The vice president of Iraq -- the country's top Sunni politician -- pleaded for calm Monday following his death sentence in absentia, while lashing out at Shiite Prime Minister Nuri al-Maliki over what he described as a politically motivated case.

The fallout over the death sentence handed down to Tariq al-Hashimi has generated a political split along sectarian lines in Iraq, raising fears the conflict will translate into violence in the streets.

"The verdict is unjust, political and illegitimate and I will not acknowledge it," al-Hashimi told reporters in Ankara, Turkey, where he has been living since fleeing Iraq five months ago.

The verdict was handed down Sunday, the same day a wave of bombings across Iraq left up to 94 people dead and more than 300 wounded. Al Qaeda in Iraq -- an umbrella group for predominantly Sunni insurgents -- claimed responsibility for the attacks in a post on Monday on a well-known jihadist web site.

"To my dear people, I say, make sure that al-Maliki and those who stand behind him don't get what he wishes. Because they want sectarian strife," al-Hashimi said.

"Whoever loves al-Hashimi and believes in my vision, do not target or harm any civilian or any resident in Iraq either by your action or your speech," he said.

Al-Hashimi has vehemently denied charges of overseeing death squads that carried out more than 150 attacks, accusing al-Maliki of pushing the case as part of an effort to consolidate power and push the country toward a religious divide.

"Al-Maliki is pushing my country to a turning point with a deeply sectarian dimension," al-Hashimi told CNN in an interview earlier this year.

At the time, he warned that the United States "will face the same problem as they faced in 2003" when a U.S.-led coalition toppled Saddam Hussein, igniting sectarian violence that nearly tore the country apart.

Al-Maliki has dismissed the claims, saying there are a number of Sunnis in key government positions.

Critics point to al-Maliki's failure to name ministers to key posts, including the ministries of interior and defense.

Months before American troops withdrew from Iraq, U.S. military officials failed to get al-Maliki to fill what the ministry positions that are seen as essential to stability in Iraq.

Al Qaeda in Iraq, also known as the Islamic State of Iraq, warned following a spate of attacks in July and August that it planned to rally Sunnis across the country. The claim has raised concerns that the group could unite Sunnis who feel disenfranchised by the political process.

While sectarian violence has decreased since the height of the U.S.-led war in 2005 and 2006, there has been a sharp escalation in attacks in recent months. In July, the number of dead hit a two-year peak with 325 deaths reported, according to the Interior Ministry. That's the deadliest single month since August 2010, it said.

The timing of al-Hashimi's death sentence also threatens to upend Iraq's fragile power-sharing agreement that has been mired for more than a year in political infighting.

"It was regrettable that the judicial decision against him was issued at this particular time and he is still officially in his position, which could become a factor that does not help or may complicate efforts to achieve national reconciliation," Iraqi President Jalal Talabani said in a statement Monday.

Under the proposal, the three major governmental positions -- prime minister, president and parliament speaker -- were to be filled by members of the country's three largest ethnic groups: the Shiites, the Kurds and the Sunnis.

As late as July, the U.N. Security Council called on Iraq to carry out long-postponed political reconciliation talks, saying all sides need to refrain from making statements that could aggravate tensions over efforts to push for inclusive political talks and national reconciliation in Iraq.

Lawmaker Nada al-Jabouri, a member of al-Hashimi's Sunni-dominated Iraqiya political party, criticized the timing of the sentencing.

"Iraq is preparing for a big national reconciliation in the near future in order to achieve stability in this country," he said.

"This will not help."

There are also questions about what the sentencing means for already tense relations between Iraq and Turkey.

The two countries have been divided over Syria and the Kurdish militant group PKK, which has launched attacks from Iraq into Turkey for years in effort to gain Kurdish autonomy.

Shortly after al-Hashimi's sentence was announced, the Turkish Foreign Ministry said he could remain in Turkey for as long as he wants, according to media reports.

Al-Hashimi has refused to return to Iraq, saying he could not get a fair trial from a court backed by al-Maliki. Iraq's Supreme Judicial Council sentenced al-Hashimi to be hung for the killings of a female lawyer and an Iraqi army general, according to a court spokesman.

Al-Hashimi can appeal the death sentence.

The arrest warrant for al-Hashimi was issued late last year after his Iraqiya party announced a boycott of Parliament, saying al-Maliki was cutting it out of the decision-making process. His Sunni-majority party has since ended its boycott.

The case appeared to largely rest on the purported confession of three men, who were identified as members of the vice president's security detail.

Iraqi state television aired video of the confessions in December, though al-Hashimi's supporters said the confessions were coerced. CNN has not been able to verify the identities of the three men.

Among the aired confessions was one by a man who detailed al-Hashimi's involvement in roadside bombings and shootings that targeted government and security officials in 2009.

Al-Hashimi fled the same day the arrest warrant was issued, first to Iraq's semiautonomous Kurdish region north of Baghdad. He then went to Turkey.

Iraq asked for help from Interpol, which issued a "red notice" that calls on the 190 countries that belong to the international police organization to help locate and arrest al-Hashimi.

No action appears to have been taken to return al-Hashimi to Baghdad. He currently is living in a government house in Istanbul.

@highlight

Death toll rises to 94 in Sunday's attacks

@highlight

Al Qaeda in Iraq's claim of responsibility follows a warning it would unite Sunnis

@highlight

Al-Hashimi, Iraq's top Sunni politician, was sentenced to death in absentia

@highlight

A court in Baghdad found him guilty of overseeing death squads