Africa has seen some ugly divorces in recent times: Eritrea and Ethiopia, Sudan and South Sudan. Now Mali is threatened with partition as a rebellion flares in the north and political uncertainty grips the capital, Bamako. Mali's neighbors and western governments are looking on anxiously as drug traffickers and Islamist groups affiliated with al Qaeda take advantage of the vacuum -- in a region already blighted by hunger, poverty and weak government.

The origins of Mali's collapse are twofold. In January, Tuareg rebels began attacking towns in the vast deserts of northern Mali. Many had recently returned from fighting for Moammar Gadhafi in Libya, bringing guns and vehicles with them. Then, on March 22, there was a coup by mid-ranking officers in Mali's army angry with corruption and the lack of resources for fighting the rebellion.

A vast country of few inhabitants (15 million) and searing desert, Mali lies at an awkward intersection in Africa. To the north is a 1,200 kilometer border with Algeria, to the east Niger with its own restive Tuareg minority, to the west Mauritania. All four countries are dealing with the growing presence of Islamist groups affiliated with al Qaeda.

Tuareg revolts in Mali and Niger are nothing new. Long marginalized, the pastoral and nomadic Tuareg have frequently taken up arms, sometimes with Gadhafi's backing. "The Tuareg feel like the outsiders of the national economy, completely excluded from the economic resources in many regions," says Salma Belaala, a professor at Warwick University in England who studies jihad in the Sahel.

This revolt, launched by the National Movement for the Liberation of Azawad, or MNLA, is more serious than previous rebellions. Its fighters now control several important towns in the north, including Gao on the river Niger and the fabled city of Timbuktu, where the mayor has spoken of teenage boys strutting through the streets with AK-47s. An area the size of Texas is now beyond the government's control. The MNLA has declared independence for Azawad.

Speaking to the U.N. Security Council last week, Mali envoy Omar Daou says: "Our people are divided. Our country is threatened with partition."

The vast areas involved -- and some of the most inhospitable and scorched terrain on Earth -- make outside intervention risky. Western analysts say the plan by the Economic Community of West African States  to deploy some 3,000 troops to reclaim areas held by the rebels may just make the situation worse. The Tuareg rebels are hardened fighters. Their chief of staff, Mohammed Ag Najm, was a colonel in Libya, and several hundred other Tuareg served in Libyan uniforms.

Professor Jeremy Keenan of the School of Oriental and African Studies in London says it's difficult to know how many people the MNLA has under arms and to separate its core force from hangers-on. "But who's going to kick them out?" he asks. "Not the Malian army, and ECOWAS would be very unwise to try to do any more than draw a line in the sand."

The MNLA is a secular, nationalist movement opposed to al Qaeda. Its Paris representative, Moussa Ag Assarid, said last week: "The biggest challenge now isn't the military, it is to get rid of al Qaeda. We need schools and the people don't have enough food, and that is because of al Qaeda making things unstable."

Al Qaeda? Really?

Even seasoned observers of Mali and  al Qaeda in the Islamic Maghreb admit that it's difficult to unravel the links between Islamist extremists and Tuareg factions. But it's clear the militants are at least fellow travelers in this revolt. One Tuareg group, Ansar Dine, aims to establish an Islamic state in northern Mali and is present in several newly "liberated" areas. Its leader, Iyad Ag Ghaly, has called on the people of Timbuktu to wage "jihad against those who resist Sharia"; there are unconfirmed reports that Ag Ghaly met three emirs of  al Qaeda in the Islamic Maghreb in Timbuktu on April 3.

Accounts from Timbuktu in the last week say the black flag associated with al Qaeda has been hoisted on pickup trucks.

A journalist in the city, Yayha Tandina, says Islamists who arrived in the city are demanding the imposition of Sharia law. Tandina says on Thursday that Ansar Dine "pretty much has control of the entire city, and is attempting to destroy all signs of Christianity, shutting down bars that sell alcohol and harassing cigarette vendors."

"What they want is to cut the hands of those who commit adultery. ... And they will no longer accept girls who are dressed in [what they call] a 'disastrous' way," Tandina says.

Other sources say the group has attracted teenage boys to its ranks with offers of food, now in short supply in many areas.

That has set off alarm bells in the country that once ruled Mali. French Foreign Minister Alain Juppe says it "appears that this extreme Islamist-Jihadist faction is taking the upper hand among the different Tuareg factions."

But the MNLA's Ag Assarid said last week: "It is true that Ansar Dine have the black flags, but they are not al Qaeda. They want stability on the streets. Although they want Sharia law, they are against al Qaeda, too." Warwick University's Belaala supports that assessment. "We can't make a systematic link between the AQIM and Tuareg. It's completely false," she says.

Professor Keenan says there is another complicating factor, asserting that the Algerian security service is highly influential among leaders such as Ag Ghaly, with whom it has long had links, as well as with key regional leaders of al Qaeda (such as Abdelhamid abou Zaid). Keenan says he believes  the Algerians see some benefit in the "specter" of al Qaeda roaming the desert because it heightens their importance to the United States as a partner in counterterrorism -- even as they simultaneously lead regional efforts to co-operate against extremist groups. Algerian officials reject claims they have any links with  al Qaeda in the Islamic Maghreb.

Al Qaeda in the Islamic Maghreb's hierarchy, reach and its links with Tuareg factions may be as clear as a sandstorm, but it has certainly become more audacious in Mali. Intelligence sources in the region say it has makeshift camps in remote desert bordering Algeria and Mauritania. In November, it abducted three Europeans from a restaurant in Timbuktu, killing a German man who resisted. Two French geologists were kidnapped the same week.  Al Qaeda has threatened to kill all five if any rescue attempt is launched.

Some Tuareg leaders and military officers claim  al Qaeda benefited from the complicity or at least negligence of the previous civilian government, with some influential politicians allegedly profiting from the extremists' connections to drug trafficking and ransoms paid to free western hostages.

A stormy outlook

The Economic Community of West African States has persuaded coup leader Capt. Amadou Sanogo to transfer power (if not leave the stage), and the speaker of Mali's National Assembly, Dioncounda Traore, was sworn in as interim president on Thursday. The U.S. State Department has described the transition as "not ideal" but also "a very important restoration of civilian rule."

Regional sources doubt that Traore can or wants to negotiate with the Tuareg. As he took his oath of office Thursday, he threatened "total war" against the rebels -- a position that appears to have the support of other west African states.

"We prefer peace, but if war is the only way out, we will wage it," Traore says, according to Reuters in Bamako.

For now, it seems extremely unlikely that whoever is in charge in Bamako (Traore, a newly elected president or Sanogo) would implement past promises of autonomy and development for Tuareg areas, and reach an agreement with the MNLA to integrate its fighters into the army. The anti-Tuareg mood in Bamako has grown visceral; the MNLA are unlikely to give up gains for pledges so often reneged on.

The nightmare scenario for Western governments is that without the rapid re-establishment of civilian rule, parts of northern Mali, southern Algeria and Mauritania could become a safe haven for al Qaeda in the same way the group has exploited power vacuums in Yemen and Somalia.

For ordinary Malians, Tuareg or not, the nightmare is very different. In one of the poorest countries in Africa, many already know hunger and insecurity. Their situation has just become more precarious.

Nongovernmental workers in Bamako speak of widespread looting in Gao, with aid groups and government offices targeted and food stores looted. Olivier Vandecasteele of Medecins du Monde says the group's property in Gao was ransacked and its vehicles stolen. Medecins du Monde continues to work in two northern regions through local staff, stressing its independence from the Tuareg fighters there. But Vandecasteele says that with the onset of the dry season, child malnutrition could rise sharply. And an offensive against rebel-held areas would make the group's work even more difficult.

Vandecasteele estimates that the fighting has already displaced upwards of 10,000 people.

His words were echoed Thursday by U.N. Human Rights Commissioner Navi Pillay, who warned that Mali "may soon be plunged into a devastating food crisis with a risk of other shortages, including medical supplies, if the insurrections and insecurity persist."

@highlight

Mali is one of poorest nations in the world

@highlight

The latest revolt is more serious than previous rebellions

@highlight

Outsiders worry a power vacuum will allow al Qaeda affiliates to take control