(Health.com ) -- I was six months pregnant when a smiling stranger on a bus asked where I was delivering. Within minutes, this woman was sharing intimate details of her own birthing experience -- the water breaking, the contractions that failed to get closer together, and the way her doctor deftly sewed up the four-inch incision from her Caesarean section. "I'm telling you, this guy was good," she said. "Next time, I'm just scheduling my C-section. None of this pushing stuff."

I reached my stop before I could probe her for more specifics. But, I have to admit, her ringing endorsement made C-sections seem pretty appealing. After all, for most of us, the thought of pushing a baby through a centimeters-wide opening is at least daunting, if not downright terrifying. And, the fact is, a C-section is so routine these days that many regard it as simply an alternative to vaginal delivery, not major abdominal surgery.

Except that's exactly what it is. And today, one in three babies is born via C-section, according to the most recent data -- a 50 percent increase over the previous decade. "We think the rate is going to go up even more," says Hope Ricciotti, M.D., associate professor of obstetrics, gynecology, and reproductive biology at Harvard Medical School in Boston, Massachusetts.

When the procedure is needed -- when the mother or baby is in distress or other factors make a vaginal delivery hazardous -- it can be a lifesaver. But only about 5 percent of C-sections are true emergencies, estimates George Macones, M.D., chairman of the depart­ment of obstetrics and gynecology at the Washington University in St. Louis School of Medicine, in Missouri. Around 3 percent are completely elective, meaning there's no medical reason whatsoever, but the vast majority of C-sections actually fall into a gray zone: the baby looks big, mom is past her due date, labor isn't progressing well.

A growing number of critics are now questioning whether so many of these healthy pregnancies should end with surgery. "There's no question that there's a basic, irreducible number of C-sections we need to do for women's health," Ricciotti says. "But there's also no question that we're doing too many in the United States."

Health.com: How to sooth heartburn during pregnancy

It takes at least four weeks to recover from a Caesarean section -- which involves cutting through the skin, tissue, and uterine wall, extracting the baby and placenta, and sewing the incision -- compared with one or two weeks for vaginal deliveries. The surgery carries with it the risk of infection, blood loss, and blood clots, as well as other potentially fatal complications.

While we've all heard that type A moms and profit-seeking doctors are fueling this trend, the truth is far more complex. Here's the real story, and what every woman needs to know before she gets pregnant.

Why C-sections are so hot

Reason #1: Better technology is picking up more potential problems

From third-trimester ultrasounds that predict the size of the baby to monitors that check the baby's heart rate during labor and delivery, obstetricians and hospitals rely on technology more than ever to flag potential problems during pregnancy, labor, and delivery. If there's a hint of trouble, they're more likely to play it safe and do a Caesarean, Macones says. "Continuous recording of the fetal heart rate came into being in the 1970s and is likely a big contributor to the increase in C-sections," he says. "Doctors today are more inclined to do a C-section if there is anything of concern."

Heath.com: The curious history in birth control

Reason #2: Moms are older

More women are waiting later to have children, and "C-sections increase with [maternal] age," Macones says. Older women have more medical problems that can complicate delivery, have a more difficult time pushing a baby out, and are more likely to ask for C-sections, he notes.

Heath.com: Is your fertility window closing?

On top of that, the fertility treatments that many older women use to get pregnant lead to more twins, triplets, etc. -- and multiples often demand a surgical delivery. "It's very hard to predict how the second baby will come out," says Owen Montgomery, M.D., assistant professor of obstetrics and gynecology at the Drexel University College of Medicine, noting that complicated positions are more common among multiples. Plus, after a trial published in The Lancet in 2002 found that delivering a breech baby (one whose head is up high and feet or butt are positioned to come out first) by C-section is safer for the fetus, the surgery became the default method for delivering multiples, regardless of the position of the babies.

Reason #3: More of today's moms-to-be are overweight

Pregnant women with body mass indexes of 30 or higher are more likely to require C-sections. And today, 34 percent of women over the age of 20 fit into this "clinically obese" category, compared with 26 percent a decade or so ago, according to the American Heart Association. "Heavier women have bigger babies," which are tougher to push out, Ricciotti says. What's more, too much fatty tissue can prevent the baby from moving smoothly through the birth canal and keep the body from absorbing medications designed to speed labor along. Obese women also have more medical problems, like diabetes and high blood pressure, which might require induction of labor, setting them up for unwanted C-sections (see below).

Reason #4: More inductions mean more C-sections

What's the problem with inducing labor? The process doesn't always work as well as natural labor, so in those cases there's a 35 to 50 percent chance that you'll need a Caesarean, Montgomery estimates. Inducing with drugs, manually stripping the membranes connecting the amniotic sac to the uterine walls, or rupturing the amniotic sac to cause contractions doesn't always do the job. And with inductions at an all-time high, making up more than 22 percent of births, according to the American College of Obstetricians and Gynecologists (ACOG), it follows that Caesareans have spiked, too.

Reason #5: One C-section leads to another

Once you have a C-section, doctors generally advise that you have one with subsequent deliveries. Vaginal birth after a Caesarean (VBAC), which used to be widely available, is rarely performed these days, after a 1999 study showed a slight chance that the scar could give way, posing "a catastrophic risk to the mother and baby," Ricciotti says. Around that time, ACOG recommended that doctors perform VBACs only in centers that can provide emergency C-sections, explains Jeffrey V. Spencer, M.D., a fetal-medicine specialist at the Anne Arundel Medical Center in Annapolis, Maryland. Plus, there are liability concerns for doctors if a VBAC goes wrong.

Heath.com: The risks of having babies after 40

This trend may reverse itself, however. "Multiple C-sections have risks as well, such as injury due to hardened scar tissue and a greater risk that [in subsequent pregnancies] the placenta will implant abnormally," Macones says. In March, the National Institutes of Health will re-evaluate whether VBACs should be more widely available.

Are C-sections really riskier?

There's really no way to 100 percent know which is a safer way to deliver. "Unequivocally, I can state that the safest method is an uncomplicated vaginal delivery," says Catherine Spong, M.D., chief of the pregnancy and perinatology branch of the Eunice Kennedy Shriver National Institute of Child Health and Human Development in Bethesda, Maryland. "That said, we don't know who will wind up having an uncomplicated vaginal delivery."

Heath.com: The tricky business of scheduling a C-section

Macones, who led a large study on VBACs last year that found it was impossible to determine whether a vaginal delivery would be safe for women who had had a prior Caesarean, seconds Spong's assessment. "It is hard to get a great comparison of vaginal versus Caesarean, mainly because there are so many factors that go into the decision to have one or the other," he explains. Scientists have batted around the idea of conducting a study that would compare a planned vaginal birth with a planned C-section. But such a trial would have to control for all sorts of variables, and, even more daunting, Spong says, "you'd need people who'd be willing to have their birth method chosen for them randomly by a computer." That, experts say, may not happen anytime soon.

What every woman needs to know

When a normal pregnancy takes a turn for the worse, few procedures work better or are easier for doctors to master than a C-section. And that has helped the in-case-of-emergency route become a safe route at the first sign of any trouble, says Atul Gawande, M.D., a general and endocrine surgeon at Boston's Brigham and Women's Hospital and author of "Better: A Surgeon's Notes on Performance."

Brettne Bloom, a 34-year-old literary agent in New York City, is grateful to have had a Caesarean. When her doctor found that her baby had stopped growing three weeks before her due date, she delivered via C-section. "I just feel so lucky to live at a time when C-sections are relatively simple procedures," says Bloom, whose daughter Eloisa is now a healthy 2-year-old. "I didn't care how she arrived in the world as long as she was safe."

Heath.com: Fertility success rates in your 30s and 40s

That's what every mom-to-be wants: a healthy baby. So if you're pregnant, schedule a conversation with your OB and ask, "What's your philosophy about C-sections?" Montgomery advises. Get your doctor's opinion on what's safe and within your control, because you may be asked to OK a gray-area C-section at the eleventh hour. The more informed you are, the better and safer delivery you'll have -- whether it's via Caesarean section or not.

Copyright Health Magazine 2011

@highlight

One third of U.S. babies are born via C-section -- a 50 percent jump over the previous decade

@highlight

Expert: 5 percent of C-sections are true emergencies; 3 percent are purely elective

@highlight

Some health professionals believe the rate is still on the rise

@highlight

Older moms, heavier moms, fewer VBACs and more multiples are all factors