(CNN) -- Once upon a time, the U.S. Census Bureau was a thriving hub of technological innovation.

Before the 1890 census, for example, the bureau commissioned the first punch-card machine for data entry, enabling the bureau to tabulate its surveys of the national population in three years instead of seven. Then, in the 1940s and '50s, the Census funded what's been called the world's first commercial computer -- the Universal Automatic Computer, or UNIVAC 1 -- which counted electrical impulses using vacuum tubes.

Today, however, critics see the census -- done every 10 years -- as a technological dinosaur.

"It's 2011. It's time the Census Bureau got away from the 1920 technology," said Jay Waite, a former deputy director of the agency who says he left over its failure to adopt new technologies in recent years.

While countries like Canada, Brazil and Norway use smartphones, the internet and smartly connected government databases to get relatively fast and cheap counts of their populations, the United States' census is a pen-and-paper enterprise, with some census workers even walking door to door to collect results.

"Everybody else is moving that direction. They're doing it. Not just because they love technology but because they can do so many more things, and they can save a lot of money," Waite said.

Meanwhile, the census' costs have been rising sharply, often doubling by the decade.

The 2010 census cost an estimated $14 billion, or about $100 per household, which still was under its initial budget. In 2010 dollars, the 2000 census cost $8.2 billion, which was twice as expensive as the census taken before that, in 1990, when the cost was $4.1 billion. In 1970, the census cost $1 billion, according to the U.S. Commerce Department.

The Census could knock up to 25 percent off of its budget if it adopted current technologies, including internet questionnaires, Waite said.

But what would those technological advances look like, exactly? And would technology be able to solve the Census' cost problems while maintaining the accuracy of a survey that is supposed to reach every household in this 312 million-person nation?

Here's a look at technologies that critics say the Census Bureau should consider.

Internet instead of paper

Perhaps the most obvious way the U.S. Census Bureau lags technologically is that it collects data about the country by mailing surveys to peoples' homes.

Shortcut: Send the forms over the internet.

"A lot of people now are much more accustomed to working with their computer and communicating online and via the internet," said Robert Goldenkoff, director of strategic issues at the Government Accountability Office, which has written reports on the Census' use of technology.

"And so people might be more willing to respond via the internet as opposed to filling out the form that they're mailed."

Canada tried a version of this for its last national census, in 2006, and it was considered a success. Nearly 19 percent of people responded online rather than on paper forms. To mitigate security concerns, the Canadians sent out paper notices with individual codes to people's homes. When respondents logged on to complete the survey, they entered that code to identify themselves as the person or people living in that household.

Even proponents have concerns about security risks, however.

"It seems like anyone with half a brain would answer the census on the internet. It seems like low-hanging fruit," Waite said. "But I ... was never able to be convinced that we could ensure the security and the integrity of the internet answers. When we take your census, we promise you that we will not let anybody but the census see your information."

The U.S. Census Bureau ran tests with internet surveys in 2003 and 2005, and neither showed significant cost savings, possibly because people then were less familiar with the internet than they are now, said Frank Vitrano, chief of the Decennial Management Division and an architect of the 2010 census.

The bureau plans to use online forms in 2020, he said.

"Maybe we look old-fashioned in not having an internet response option, but I think if you look around the world at censuses that have used internet response options, a lot of times, they've done it not to look old-fashioned rather than for methodological reasons or cost reductions," he said.

Kenneth Prewitt, former director of the Census Bureau and now a professor at Columbia University's School of International and Public Affairs, said internet technology isn't a cure-all, however.

"It's irrational to think the internet would somehow solve" all of the Census' cost problems, since people would still forget to respond, he said.

Smartphones instead of pencils

The Census Bureau spends a large percentage of its budget following up with people who don't answer the questions on the first questionnaire it sends out to homes.

The reason for this: The Census aims to be 100 percent accurate. Its figures even have political ramifications, as census data determine how many representatives states send to Congress.

Consequently, Census workers are required to contact a person six times if he or she don't respond. This is called "non-response follow-up" in census-speak, and it's a fairly low-tech process, with workers going door to door searching for delinquents, interviewing them and scratching down the answers on paper.

Those papers are then sorted by local Census workers, mailed to a processing center, scanned by a text-reading computer and entered into the system.

The Census tried to speed up this process by sending workers to peoples' doors with portable computers -- kind of like tablets or smartphones, except the Census paid to have these gadgets developed because they didn't exist early in the 2000s, when the bureau was planning for 2010.

Those "handhelds," as the Census calls them, were built for the government by the Harris Corp. In pre-census tests, they didn't fare well, and the bureau decided to scrap them.

Brazil, meanwhile, has pushed ahead of the U.S. with a smartphone census. And it did so after consulting with the U.S. Census Bureau in 2006 about its plans to use handheld devices, Vitrano said.

Terri Ann Lowenthal, a consultant who works with businesses and other stakeholders on census issues, said the fact that the Census Bureau has to plan a decade in advance makes it difficult for it to get the latest technology.

"What is considered cutting-edge or emerging technology now could be obsolete or a lot better nine years from now," she said.

Still, she said, the Census Bureau has been slow to adopt new technology and needs to work more closely with the tech industry to stay on top of trends.

She recalls meetings in the early 2000s where Census workers talked about these failed portable computers. At the time, the internet had just become a major force in society, and the idea sounded "space-age," she said.

"They're biting off more they can chew without really considering the steps it will take to get there," she said.

Using available data

It's not as sexy as the internet and smartphones, but several critics of the census said the bureau should do more with data that already exist, rather than collecting all of the information on its own.

The Internal Revenue Service, the Social Security Administration, Medicare and local school registries all collect data on the American public.

With a little work, the critics said, that data could be standardized and used to supplement the census.

This could mean better coordination among government agencies, which sometimes are forbidden by law to share data with each other. Or it could mean a national registry system, which would be updated with addresses and unemployment info continuously, instead of every 10 years.

That's essentially the setup in Norway.

"If we had a national registration system in which everyone's mobile phone number and e-mail was part of that ID, boy, that would simplify things enormously," said Prewitt, the Columbia University professor.

"You could save a ton of money."

Getting something like that approved, however, would be a political nightmare because of concerns about privacy and government tracking, he said.

"People say 'Oh, my gosh, the government's going to come in the middle of the night and rush me off to prison,' " he said. "I think a rational conversation -- if one can have one in the United States Congress -- about a national registration system would be a very good thing."

The U.S. Census Bureau plans to research ways government databases could be used as a backup source of information, allowing workers to follow up with people who don't respond to the first census mailing two or three times instead of six, said the bureau's Vitrano. It's unlikely that a government registration number will be on the table for the 2020 census, he said.

"We think there are some opportunities there for cost savings," he said.

Overall, Vitrano said, the census continues to work with new technologies and will push tech boundaries in the future.

"The research we do very often does lead to major innovation technologically, and I think it's very possible moving forward," he said.

@highlight

Critics say the U.S. Census Bureau should adapt to the internet age

@highlight

Canada gives residents the option of submitting forms online; the U.S. doesn't

@highlight

Others urge the bureau to use smartphones in data collection