(CNN) -- A video surfaces threatening the Winter Olympics. Russia's President vows the Games will be safe. Some U.S. lawmakers warn that they won't be.

One thing was clear as debate over the situation surged on Sunday: security is a top concern, less than three weeks away from the competition.

"It's a very serious fear," Sen. Angus King, I-Maine, told CNN's State of the Union Sunday.

Russian President Vladimir Putin acknowledged that the Games, like any high-profile event, could be a target for terrorists.

But, he said, Russia has a "perfect understanding" of the threat and how to stop it.

As a transcript of his interview with half a dozen national and international broadcasters was posted on the Kremlin website Sunday, a video that surfaced online again highlighted the security situation.

In the video, posted on a well-known Jihadi forum website, two young men believed to have been suicide bombers in last month's back-to-back bombings in the Russian city of Volgograd speak of those attacks and make an ominous promise.

"We've prepared a present for you and all tourists who'll come over," the video says. "If you will hold the Olympics, you'll get a present from us for the Muslim blood that's been spilled."

Attack on transit hub fuels concerns

In the video, the men are dressed in black and standing in front of a black banner with religious verse that is typically associated with al Qaeda-linked extremists.

Last month's attacks in Volgograd, a major transit hub about 650 kilometers (400 miles) away from Sochi, sparked concerns over security as the Olympics approach.

The explosions targeted a train station and a trolley bus and claimed the lives of more than 30 people.

In addition to the Volgograd attacks, there has also been violence in recent days in the southern republic of Dagestan -- the latest unrest linked to a long-running Islamist insurgency in the North Caucasus region.

Putin pledges stepped up security

Putin has pledged that visitors to Sochi for the Winter Olympics will be kept safe.

"We will try to make certain that the security measures are not intrusive or too conspicuous, so they are not too noticeable for the athletes, the Olympics' guests or journalists," Putin said, according to the interview transcript.

"But at the same time, we will do our utmost to ensure that they are effective."

Russia has plenty of experience in keeping international events secure, Putin said, pointing to the G8 and G20 summits as examples.

"Security is to be ensured by some 40,000 law enforcement and special services officers," he said. "Of course, we will draw on the experience acquired during similar events held in other regions of the world and in other countries. It means that we will protect our air and sea space, as well as the mountain cluster."

U.S. lawmakers: Games aren't safe

But several U.S. lawmakers offered a different take Sunday on CNN's State of the Union.

King, a member of the Senate Intelligence Committee, said he wouldn't go to the games himself, "and I don't think I would send my family."

Rep. Mike Rogers, chairman of the House Intelligence Committee, also called on the Russian government to be more cooperative with the United States on intelligence sharing ahead of the games.

"Their level of concern is great, but we don't seem to be getting all of the information we need to protect our athletes in the Games. I think this needs to change, and it should change soon," Rogers said.

When asked whether he thought Americans would be safe at the Games, former CIA and NSA director Michael Hayden said he trusts Russia's ability to provide security.

"I think Americans will be quite safe," he said.

Putin: 'No danger' for gay visitors

Russia's stance on gay rights has been another area of concern for many visitors.

Russia has come under international pressure since its parliament passed a law last summer outlawing "gay propaganda." The legislation makes it illegal to tell children about gay equality and has been widely criticized by Western leaders, who have called it archaic and discriminatory.

But Putin defended it before journalists Friday, saying that the law was about protecting children.

"We have just recently passed a law prohibiting propaganda, and not of homosexuality, but of homosexuality and child abuse, child sexual abuse. But this has nothing to do with persecuting individuals for their sexual orientation," he said.

"So there is no danger for people of such nontraditional sexual orientation who are planning to come to the Games as guests or participants."

Russia has also been criticized over the limitations placed on freedom of speech at Sochi. The official protest site is about a 30-minute drive from the Olympic village and is difficult to find.

But Putin said no visitors should fear problems if they protest, for example, over gay rights.

Putin says gays 'can feel safe' at Sochi Winter Olympics

Putin: No corruption

The Russian leader also dismissed claims that corruption has pushed up the cost of the games, saying there was no proof that had occurred.

When it won the bid in 2007, Russia said the Winter Games would cost $12 billion, but the government's website now cites the total cost as 1.5 trillion rubles ($45 billion.)

"I do not see serious corruption instances for the moment, but there is a problem with overestimation of construction volumes," Putin said.

He suggested the problem was a universal one, where companies underestimate costs in the tendering process in order to win the project, and then push the price back up.

But, he said, there was no evidence of anything that could be considered corruption, or "theft of public funds with the help of state officials in whose hands these funds fall," in Sochi.

"If anyone has such information, give it to us, please. I repeat once again, we will be grateful. But so far there was nothing but talks," he said.

Putin put the cost of preparations for the Winter Olympics at only 214 billion rubles ($6.4 billion) but acknowledged that the total sum, including the cost of major infrastructure projects, was much higher.

The total price tag of $45 billion outstrips the $40 billion China is thought to have spent on the Beijing Summer Games and is more than three times the cost of the London Games in 2012.

Boris Nemtsov, former deputy prime minister of Russia and a vocal critic of Putin, published a report last year describing the Sochi games as one of the most "outrageous swindles" in recent Russian history. He claimed that up to 60% of the final cost -- or $30 billion -- has been embezzled.

CNN's Nic Robertson in Sochi, Virginia Harrison in London and Greg Clary in Washington contributed to this report.

@highlight

NEW: U.S. lawmakers say they're concerned about security at the Olympics

@highlight

A video on a well-known Jihadi website threatens the Winter Olympic Games

@highlight

Russia will do its utmost to keep Sochi visitors safe, says President Vladimir Putin