(CNN) -- The death toll from an enormous storm system that plowed through the Midwest and spawned more tornadoes as it moved east climbed late Wednesday to 12, authorities said.

Three deaths Wednesday evening in Tennessee -- two in Cumberland County and one in DeKalb County -- followed six deaths earlier in Illinois and three in Missouri.

It was not clear whether tornadoes were responsible for the Tennessee deaths. Several homes were damaged or destroyed in Cumberland County, and there were reports of downed trees and power lines, according to county emergency officials.

There was some good news late Wednesday as the National Weather Service's Storm Prediction Center downgraded its outlook for severe weather from moderate to slight over the Southeast and Mid-Atlantic. It said there was only a 5% probability of tornadoes through Thursday morning.

The front at one point stretched 750 miles east to west and 670 miles north to south, said CNN meteorologist Chad Myers. It reignited in some areas as it moved into the mid-Atlantic states.

The storms first hit before dawn, with an EF4 killer tornado packing 170 mph winds as it smashed Harrisburg, Illinois, killing six. A smaller tornado caused significant damage in the music resort city of Branson, Missouri.

Nearly 200 people were hurt across the region, officials said.

Two twisters were reported Wednesday night near Hodgenville, Kentucky.

Winds in excess of 100 mph were reported in northwestern Alabama. Trees were reported down in Marion County, which was walloped by EF5 tornadoes in the April 2011 storms that pulverized the state.

Tourist town of Branson, Missouri, hit

Among the hardest hit cities early Wednesday was Harrisburg, according to the governor's office. The dead included four women and two men. The tornado had a preliminary rating of EF4, the second most powerful on the rating scale, according to the National Weather Service.

The twister appeared to have been on the ground for several miles, said Mayor Eric Gregg. The path of destruction was about three or four football fields wide, he said.

The scene in the southern part of Harrisburg, in southern Illinois, was one of debris and collapsed houses. Commercial and residential buildings were crushed. A tractor-trailer could be seen laying on its side, off the highway.

"When the sirens were going on this morning ... it was eerily quiet. I had a gut feeling something was wrong," Gregg told reporters.

"We will rebuild this city. This will make us stronger," Gregg said.

There were no reports Wednesday evening of anyone missing, the mayor told CNN's Anderson Cooper.

Harrisburg resident Caleb Cattivera said he rushed to his workplace early Wednesday only to find it gone. "I know a lot of people who live back near there."

Resident Les Winkeler said, "You just hoped your house didn't come down around you." His house was still habitable.

According to the sheriff's office, some 100 people were injured and between 250 and 300 houses were damaged or destroyed.

Among the structures hit was the Harrisburg Medical Center. CEO Vince Ashley told CNN the tornado took out 80 feet of exterior wall, exposing patient rooms, and a significant portion of the roof.

See Harper's iReport images

Luckily, hospital staff had enough time to move those patients to the better-protected center of the building before the twister struck, hospital worker Jane Harper said.

The emergency room was not damaged, Ashley said, and emergency services were still operating Wednesday evening, although many patients had been moved.

Several counties in Kentucky reported storm damage, but no fatalities were immediately reported.

At least six counties in the state reported structure damage. The Kentucky National Guard activated 30 soldiers in LaRue County to assist.

A shaken and bruised Steven Vaught of Greenville, Kentucky, recounted how he and his two dogs tumbled when his trailer rolled several times down the hill. They all survived.

"It's a joy to be here. I don't know how I'm here," Vaught told CNN Nashville affiliate WSMV. "The good Lord just didn't call me. It wasn't my time."

iReport: Branson Hilton windows blown out

An apparent tornado near Cassville, Missouri, left one person dead, the Barry County Sheriff's Office said. That person was thrown out of a mobile home, the Sheriff's Office said.

One death each has been reported in Buffalo and Puxico, Missouri officials said.

The country music showcase of Branson also was hit.

"I woke up this morning and looked outside and saw houses were destroyed," said Steven Scharmanzer in Branson. "I've never seen anything like this in the 20 years I've lived here."

Missouri Gov. Jay Nixon, who declared a state of emergency, said the damage there was in at least the tens of millions, but there were no reported deaths. "We are confident that Branson will be back bigger and better than ever," Nixon said.

An EF2 tornado smashed at least seven miles of the city's commercial strip, leaving 33 people hurt, most with minor to moderate injuries.

The city's convention center and an attached Hilton were damaged, as was a portion of Branson Landing, a large shopping and entertainment complex.

City Administator Dean Kruithof said about five or six of the city's roughly 40 theaters were damaged.

"We have so many people who want crews in here to clean up, who want to start rebuilding," Kruithof said.

Tornado in Kansas captured on video

Kansas was hit Tuesday night, and Gov. Sam Brownback declared a state of emergency for the tiny town of Harveyville, about 20 miles southwest of Topeka. Emergency teams combed the community to assess damage after the National Weather Service confirmed a tornado had struck the city.

Even when the system didn't spawn tornadoes, it wreaked havoc: The town of Pittsburg, Kansas, experienced straight-line winds up to 120 mph Tuesday, creating a one-mile path of damage that touched upon a motel, power poles and several trees, the weather service said.

The number of tornadoes wasn't necessarily higher than normal for this time of year. But it was in densely populated areas, according to CNN meteorologist Sean Morris. Most tornado outbreaks in late winter or early spring generally occur in the southern and central Plains, which are less populated.

He said it resulted from warm, moist air from the Gulf of Mexico colliding with cool Canadian air.

Strong upper-level winds that change direction and speed with height (wind shear) created favorable conditions for tornadoes, Morris said.

CNN's Logan Burruss, Kara Devlin, Joe Sutton, Josh Levs and Michael Martinez contributed to this report.

@highlight

NEW: Severe weather outlook improves for Southeast, mid-Atlantic

@highlight

Three deaths have been reported in Tennessee

@highlight

The damage in Branson is in the tens of millions of dollars, Missouri's governor says

@highlight

Harrisburg, Illinois, is among the hardest hit, with at least six deaths