Ahead of me, a trail of lights snakes up toward the sky, moving relentlessly, step-by-step, in the darkness.

I've tackled quite a few mountains in my life, but never have I hiked with as many solemn spirits as on Adam's Peak in Sri Lanka.

Barefoot pilgrims are all around me.

There are women, whose bangles can be heard rattling against tired ankles, and monks, pulling their maroon robes over their left shoulders to shield from the mountain chill.

We're all going up silently toward the summit of what is a holy mountain for Buddhists, Hindus, Muslims and Christians in Sri Lanka.

The 2,243-meter (7,359 feet) Adam's Peak lies among the island nation's southern Central Highlands, 150 kilometers (93 miles) east of the capital Colombo.

It's one of Sri Lanka's highest mountains, rising like a green fang from a carpet of dense forest reserve where wild elephants and leopards still dwell.

It isn't the scenery or wildlife that daily pulls in thousands of pilgrims though.

All of them are here to see a 1.8-meter-long rock formation that juts out from the summit.

Tough going

To Buddhists, Sri Pada, or the sacred footprint, is an imprint left by the Buddha himself.

Hindus say it belonged to Shiva while Christians and Muslims consider it a sign of Adam's passage.

Local legend has it that Sri Lanka's King Valagambahu was the first to stumble upon Sri Pada during a reign that ended in about 76 BC.

The peak gets another historic name check from none other than Marco Polo, who visited in the 14th century, reporting that his ascent was tough going.

Today, a stone staircase helps almost every Sri Lankan tackle the peak several times during their lives.

From December to May, the mountain glows nightly as torchlit pilgrims follow the trail to the top.

Some climb in the afternoon to reach the shrine at sundown but the most popular and spiritual time to ascend is the middle of the night, summiting just in time to catch the first rays of dawn.

Just getting to Adam's Peak is an act of devotion.

Pure pilgrimage

After traveling from the central city town of Kandy to Hatton on a slow train through the relentless greenery of the area's Ceylonese tea estates, I catch a rickety bus to continue my journey.

My destination is Dalhousie, a cluster of chai stalls, home stays and informal restaurants that marks the starting point of the five-kilometer Nallathanni climbing route, the shortest way to the summit.

The basic facilities on offer are attuned to the reasons for the climb. This isn't a leisure pursuit, but a pure pilgrimage.

My ascent begins at a chilly 3 a.m.

The climb can take between two and a half and four hours -- I'm aiming to summit at the break of dawn at 6.30 a.m.

Groups of pilgrims dressed in white lead me through the dark and to the beginning of the incline.

"Each time feels like the first," says Saman, a slender man from a village near Bentota on Sri Lanka's southern coast.

He and his wife are tackling their fifth climb, accompanying their six-year-old son for his first ascent.

Before the path starts rising, a monk from the nearby Japanese temple comes forward and in exchange for an offering, ties a white string around my waist as a form of blessing.

And so, with the eyes of one of Sri Pada's benevolent gods hopefully on me, I proceed upward as the incline slowly turns into a stone staircase.

Spiritual awakening?

Along the way, vendors cook pans of soothing chai over portable gas stoves.

Prices, like the sacred mountain, are steep.

The peak comes into view a couple hours into the climb.

Many hikers greet it with determined expressions, their only goal to arrive at Sri Pada before sunrise.

As we get nearer, the darkness disperses in tones of blue.

Just before dawn throws shards of burning red across the sky, we sail into a sea of pilgrims surrounding the shrine's platform.

It's quite a sight.

Pilgrims walk in circles reciting mantras, queuing up to pray before the sacred footprint.

On the edge of the slope, young monks in wool hats hold their robes tight under their chins with chilled fingers, waiting for the sun's rays to bring the new day.

With the sound of tolling bells at my back, I join the line and watch first light over central Sri Lanka.

The spectacle is enough to stop my legs from aching and make me forget that I must, at some point, return to Earth.

Getting there

Two daily trains leave from Kandy to Hatton. Number 1005 departs at 8:47 a.m. and arrives at 11:12 a.m. while number 1015 leaves at 11:10 a.m. and arrives at 13:26 p.m.

Buses run to Dalhousie from Hatton's train station until early afternoon.

During pilgrimage season (December to May), there are direct buses to Dalhousie from Colombo, Kandy and Nuwara Eliya. However, the scenic train route across the Hill Country is highly recommended.

@highlight

The 2,243-meter (7,359 feet) Adam's Peak lies amid Sri Lanka's southern Central Highlands

@highlight

Hiking up Adam's Peak to see the sacred footprint near the summit at sunrise is a popular pilgrimage

@highlight

The journey to get there is an ordeal that requires devotion