For the first time since detailed records began being kept in 1992, undocumented immigrants from Mexico made up less than half of those apprehended by U.S. Customs and Border Protection.

More Central Americans were caught crossing into the United States illegally than Mexicans, according to statistics released Friday by the Department of Homeland Security.

While Mexicans made up the single largest nationality apprehended by CBP, the combined number of Hondurans, El Salvadorans and Guatemalans apprehended was even larger.

"It's the first time in recent history where (migrants other than Mexicans) exceeded Mexican nationals," a DHS official said.

But the big picture remains the same: Statistics show that the number of apprehensions of undocumented immigrants remains low, compared to a peak in 2000.

The debate over illegal immigration in the United States is often tied to the relationship the country has with Mexico, but the flow of migration are slowing from Mexico and increasing from Central America.

"This year's statistics are informed by a number of complex and shifting factors, most notably the 68% increase in migration from countries other than Mexico, predominately from Central America, and a 14% drop in Mexican migration since fiscal year 2013," Homeland Security Secretary Jeh Johnson said in a statement.

While the statistics released Friday, which cover fiscal year 2014, show result of changing migration trends, it was not a surprise for officials.

For at least four years, the trend has been the similar -- decreases in Mexican migration and increases in migrants from Central America, the official said.

In 2014, migrants from Honduras, Guatemala and El Salvador represented 49% of all apprehensions. Mexican nationals made up 47% and migrants of other nationalities made up the rest.

The changes in migration reflect the improving economic situation in Mexico, and the worsening security situation in Central America.

Unaccompanied minors

The number of apprehensions this year -- 486,651 -- was slightly higher than the 420,789 migrants apprehended in 2013. CBP cites the surge in unaccompanied children and families who crossed illegally and turner themselves in to Border Patrol agents earlier this year.

Some 68,631 unaccompanied children were apprehended in 2014, an increase of 76% compared to 2013. The number of family units apprehended in 2014 was 68,684, an increase of 356%.

Officials say the surge, which spiked over the summer, was controlled by September.

For immigrant children, fate in U.S. a roll of the dice

Deportation priorities

During his term, President Barack Obama has used executive action to provide relief from deportation for some undocumented immigrants and set priorities for U.S. Immigration and Customs Enforcement (ICE).

These moves have postponed deportation proceedings against some who were brought illegally into the United States as children, and focused efforts of deporting those with criminal records.

24 states now suing Obama over immigration

Still, immigrant advocates say families continue to be separated, even when there is no criminal conviction, by immigration enforcement measures.

ICE reported that it is meeting the priorities with more success than before.

Most of the undocumented immigrants removed or returned by ICE were apprehended at the border. About one-third of of those removed or returned by ICE were caught in the interior of the country.

This year, 85% of those who were apprehended in the interior and deported had been convicted of a criminal offense, compared to 67% in 2011.

According to the agency, 98% of the immigrants it returned or removed fell under one of the categories for priority deportation.

ICE noted that its removals reflected the same trend of more Central Americans and less Mexicans. Removals of Central Americans increased in 2014, the agency reported, while removals of Mexicans decreased.

@highlight

This year, the majority of undocumented immigrants caught were from Central America

@highlight

Typically, most of the apprehensions are of Mexican nationals

@highlight

Mexican economic gains have slowed migration