(CNN)A nurse contracts Ebola. An urgent care center in Boston shuts down when a sick man recently returned from Liberia walks in. Health care workers complain they haven't been properly trained to protect themselves against the deadly virus.

Public health experts are asking whether the U.S. Centers for Disease Control and Prevention is partly to blame.

Here are five things they say the CDC is getting wrong.

1. The CDC is telling possible Ebola patients to "call a doctor."

When passengers arrive in the United States from Liberia, Sierra Leone or Guinea, they're handed a flier instructing them to "call a doctor" if they feel ill.

Never mind how hard it is to get your doctor on the phone, but even if you could, it's quite possible she'd tell you to go to the nearest emergency room or urgent care center.

We saw how well that worked at Texas Health Presbyterian Hospital in Dallas. On September 25, the hospital sent a feverish Thomas Eric Duncan home even though he had told them he'd recently been to Liberia.

And we've seen how well that worked in Massachusetts, where an ill man recently returned from Liberia walked into an urgent care center, which then evacuated its other patients and closed for several hours.

One way to do it differently: Set up a toll free number for returning passengers that would reach a centralized office, which would then dispatch a local ambulance to get the patient to a hospital.

The hospital would be warned that a possible Ebola patient is on the way, and the patient would not be brought through the main emergency room.

That's the idea of Gavin Macgregor-Skinner, an assistant professor at Penn State's Department of Public Health Sciences.

"Do you really want someone with Ebola hopping on a bus to get to the hospital? No," he said. "And once they get there, do you want them sitting in the waiting room next to the kid with the broken arm? Again, no."

CDC Director Tom Frieden faces rising tide of criticism

2. The CDC director says any hospital can care for Ebola patients.

"Essentially any hospital in the country can safely take care of Ebola. You don't need a special hospital to do it," Dr. Thomas Frieden said Sunday at a press conference.

"I think it's very unfortunate that he keeps re-stating that," said Macgregor-Skinner, the global projects manager for the Elizabeth R. Griffin Foundation.

He said when it comes to handling Ebola, not all hospitals are created equally. As seen at Presbyterian, using protective gear can be tricky. Plus, it's a challenge to handle infectious waste from Ebola patients, such as hospital gowns contaminated with blood or vomit.

Dr. Michael Osterholm, an infectious disease epidemiologist at the University of Minnesota,  said some hospitals have more experience with infectious diseases and consistently do drills in how to deal with biohazards.

"If you were a burn unit patient, wouldn't you want to go to a burn unit?" he said.

The CDC may already be moving in that direction.

Designating certain hospitals as Ebola treatment units "is something we're exploring further," said Tom Skinner, a spokesman for the agency.

CDC 'doubling down' on Ebola training efforts

3. The CDC didn't encourage the "buddy system" for doctors and nurses.

Under this system, a doctor or nurse who is about to do a procedure on an Ebola patient has a "buddy," another health care worker, who acts as a safety supervisor, monitoring the worker from the time he puts on the gear until the time he takes it off.

The "buddy system" has been effective in stopping other kinds of infections in hospitals.

Skinner said the CDC is considering recommending such a system to hospitals.

4. CDC didn't encourage doctors to develop Ebola treatment guidelines.

Taking care of Ebola patients is tricky, because certain procedures might put doctors and nurses in contact with the patient's infectious bodily fluids.

At Sunday's press conference, Frieden hinted that Presbyterian might have performed two measures -- inserting a breathing tube and giving kidney dialysis -- that were unlikely to help Duncan. He described them as a "desperate measure" to save his life.

"Both of those procedures may spread contaminated materials and are considered high-risk procedures," he said. "I'm not familiar with any prior patient with Ebola who has undergone either intubation or dialysis."

Osterholm said CDC should coordinate with medical groups to come up with treatment guidelines.

"We could have and should have done it a few months ago," he said.

5. The CDC put too much trust in protective gear.

Once Duncan was diagnosed, health authorities started making daily visits to 48 of his contacts.

But that didn't include several dozen workers at Presbyterian who took care of Duncan after he was diagnosed. They weren't followed because they were wearing protective gear when they had contact with Duncan. Instead, they monitored themselves.

Public health experts said that was a misstep, as the CDC should have realized that putting on and taking off protective gear is often done imperfectly and one of the workers might get an infection.

How did Dallas nurse contract Ebola?

"We have to recognize that our safety work tells us that breaches of protocol are the norm, not the exception in health care," said Dr. Peter Pronovost, senior vice president for patient safety and quality at Johns Hopkins Medicine. "We routinely break precautions."

Skinner said that in this case, self-monitoring worked, but that monitoring from health officials can be beneficial, too, and so health care workers who were involved in Duncan's care will now get daily visits from health authorities.

@highlight

Public health experts question some CDC actions on Ebola

@highlight

Patients are told to "call a doctor," but expert says an ambulance would be better

@highlight

Not just any hospital can care for Ebola patients, experts say