LONDON, England (CNN) -- There are few things in the world shrouded with as much secrecy as the super-yacht industry.

Maritime mysteries: the design and building processes for super-yachts are tightly guarded secrets.

The boats are built and kept in exclusive locations, they're owned by the notoriously inaccessible super-wealthy, and for most of us the closest we'll get to them is in the pages of glossy magazines.

In a bid to gain a stronger insight into the super-yacht world I've organised an interview with Dr William Collier, the owner of Liverpool's G.L. Watson & Co - the oldest yacht design company in the world.

The company formed in 1873 and in its time has produced four America's Cup yachts and more presidential and royal yachts than any other yacht designer. It seems the logical business to profile.

But, there's a catch.

In this industry 'loose lips' really do 'sink ships'... or at least destroy business, anyway.

Collier can't tell me anything about the projects the company is working on, the people he's working for, or how much these ocean-going beasts cost to produce.

"We enter into very strict confidentiality agreements with our clients. We find it frustrating at times because we would like to approach people about doing a project because we have done a similar project - but we can't mention it.

"These guys can get into the press whenever they want. Unfortunately in the United Kingdom due to the nature of the press they have nothing to gain from having their personal property displayed for all to see," Collier told CNN.

And when most of G.L. Watson & Co's business comes from client referrals, the company is wise not to jeopardize confidentiality agreements.

Collier confirmed the company would have less than 100 clients on its books and it tries to manage several projects on differing scales at the one time.

He said a usual workload was to have one 200-feet plus project, one around 100-150 feet and a few smaller projects on the go simultaneously.

The 'smaller' vessels Collier refers to are often in the range of 60-80 feet long. Just tiny.

Though Collier declines to comment on the net worth of his clients, I infer from the discussion that most of them are multi-millionaires, if not billionaires. This is certainly not a place for someone with shallow pockets.

He said the current 'credit crunch' hitting many consumers was unlikely to have too much impact on his business.

"They would be generally insulated from that. Budget is always an issue for people but that is more because people don't like change. A lot of what we do is to protect the client's interests - to make sure they don't pay too much," he said.

Collier said the company had two major strands: design and owner representation.

While the first aspect is self-explanatory, the second involves the full management of entire building or restoration projects from the owner's point of view.

The full process of building or restoring a boat usually took between three to five years and became quite an intimate affair, he said.

"We have a very close relationship with the clients.

Inevitably because we are designing someone's ideal home we are finding out a lot about them and what they like and don't like. You get to know them very well."

However, it's not all fairytales. The privileged position his job places him in also has its downfalls.

"Anyone who says these things go smoothly is lying," he laughed.

Collier said although he had not experienced any disappointed clients, he had heard of cases where multi-million dollar vessels had not been to the satisfaction of the buyer.

After buying the company in 2001 at a time when he had been personally working towards restoring a G.L. Watson & Co original, Collier -- a passionate sailor himself, said the market was changing.

The company worked on both sailing and motor-powered yachts, and he said it was going back to the future in some respects.

"The company originally came very much out of a racing sailing design. From the 1880s it became more involved in cruise yacht design. What we are doing now is getting back into that big yacht market."

He said there was a trend towards creating replicas or restorations with as many of the original materials as possible.

"People for many years have been restoring sailing yachts and in many instances they tend not to use original materials. But, people are becoming more educated in this market.

"Now, if people are going to do something in this market they want to do something special, something worthwhile," he said.

One of the projects which Collier does detail is the Nahlin, a 296-foot 1930s G.L. Watson & Co original, which is set for restoration.

After being returned to British waters only in 1999, Collier said the vessel would have a complete overhaul based on the company's archives of the original design, and it would become the "biggest restoration project ever".

Collier said the company also planned to expand the range of services it provides to clients.

Although there's plenty to look forward to at G.L. Watson & Co and business is flourishing -- Collier drops in a strong reminder that the job of pleasing wealthy clients does not open the door to excessive levels of wealth for himself.

"We are not yacht owners - we don't own these. We are here to produce them for orders."

In fact, for one of the most glamorous industries in the world, Collier said there was plenty of hard graft done behind-the-scenes, and for him, a lot of travel to and from his Liverpool base.

"We don't always need to be in the Mediterranean! The lifestyle isn't always attractive."

@highlight

G.L. Watson & Co. is the oldest yacht design company in the world

@highlight

The company is bound to tight confidentiality agreements about its projects

@highlight

The restoration of 1930s vessel 'Nahlin' will be the biggest of its kind

@highlight

Most yachts take three-to-five years to complete