As new allegations emerged surrounding the FIFA bidding process for the World Cup finals, an American former anti-terrorism lawyer will interview leading figures from Qatar's bid team in Oman Monday.

Those interviews will take place against the backdrop of calls for a new vote on which country should host the 2022 event.

Qatar has promised laywer Michael Garcia "full cooperation" after soccer's global governing body was engulfed in new scandal following a British newspaper's  damning investigation into the bidding process for the World Cup finals.

The story alleges a Qatari official paid more than $5 million in an attempt to secure support for his country's successful bid to host the 2022 tournament.

The Sunday Times alleges that Mohamed bin Hammam made secret payments to soccer officials in the run up to the controversial ballot.

Bin Hammam, the former president of the Asian Football Confederation, was a member of FIFA's powerful 24-person executive committee charged with voting on who hosted the finals at the time of the vote in 2010.

Despite the country's small size, a technical report from FIFA calling its bid "high risk" and summer temperatures that can exceed 50 degrees Celsius (122 degrees Fahrenheit), Qatar shocked the world by winning the right to host the 2022 finals, defeating bids by the United States, Australia, Japan and South Korea.

FIFA vice-president Jim Boyce has said he would back a re-vote, potentially opening the possibility of the U.S. staging the 2022 tournament.

When FIFA voted on who should host the 2022 World Cup in 2010, the organization 's president  Sepp Blatter reportedly voted for the U.S., while a potential rival for the presidency, UEFA chief Michel Platini, voted for Qatar.

'Millions' of e-mails

The Sunday Times claims to have seen millions of e-mails detailing payments to officials in the Caribbean, Africa and the Pacific designed to secure support for the tiny, gas-rich Middle Eastern emirate's quixotic bid to host the world's most popular sports tournament.

"Bit by bit, we have been unraveling it and finally we hit the mother lode," Sarah Baxter, deputy editor of the Sunday Times, told CNN in an interview.

"We've seen millions of documents that prove without a shadow of doubt that corruption was involved. There is clear evidence linking payments to people who have influence over the decision of who hosted the World Cup.

"You also have a bunch of officials with a bearing on the vote begging favors. They were prepared to sell their influence. What bin Hammam was doing was buying people up who could have influence."

Denial from the 2022 bid committee

Mohamed bin Hammam responded by saying he would not be making any comments other than he believed "that the truth will find its way to (the) public one way or another."

The Qatar 2022 bid committee strenuously denies any wrongdoing or knowledge of any payments made on its behalf.

"Mohamed bin Hammam played no official or unofficial role in Qatar's 2022 Bid Committee," it said in a statement sent to CNN.

"As was the case with every other member of FIFA's executive committee, our bid team had to convince Mr. bin Hammam of the merits of our bid. ...

"Following today's newspaper articles, we vehemently deny all allegations of wrongdoing.

"We will take whatever steps are necessary to defend the integrity of Qatar's bid and our lawyers are looking into this matter.

"The right to host the tournament was won because it was the best bid and because it is time for the Middle East to host its first FIFA World Cup."

Dogged by allegations

Almost as soon as Qatar won the bid to host the 2022 World Cup finals, the process was dogged by allegations of bribery and corruption.

In the run-up to the 2010 vote, two FIFA executive committee members were suspended after another Sunday Times investigation filmed Nigeria's Amos Adamu and Tahiti's Reynald Temarii appearing to offer to sell their votes in exchange for money.

Bin Hammam was banned from all football-related activities for life after first being accused of offering bribes to soccer officials in the Caribbean seeking support for his doomed 2011 bid to replace Sepp Blatter as FIFA president.

He was cleared of those allegations after a hearing at the Court of Arbitration for Sport but was later banned for different "conflict of interest" charges relating to his time as AFC president.

Ethics investigation

The Sunday Times' allegations come ahead of a FIFA-commissioned ethics investigation into the bidding process for the 2018 and 2022 tournaments.

That two-year investigation has been led by Garcia.

"We are cooperating fully with Mr. Garcia's ongoing investigation and remain totally confident that any objective enquiry (sic) will conclude we won the bid to host the 2022 FIFA World Cup fairly," the Qatar bid team added in its statement.

Several leading figures in the sport have called for the vote over hosting the 2022 World Cup finals to be rerun.

"I certainly as a member of the executive committee would have absolutely no problem whatsoever if the recommendation (in Garcia's report) was for a revote,"  FIFA vice president Boyce told the BBC on Sunday.

But FIFA's head of media, Delia Fischer, told CNN that Boyce was not speaking to the BBC on behalf of FIFA when he mentioned a rerun of the vote and that the organization would not be making a statement until after Garcia's meeting with the Qatari delegation in Oman.

Garcia didn't immediately reply to attempts by CNN to contact him.

Murky world of favors and junkets

The 11-page Sunday Times investigation uncovers an alleged murky world of international payments, favors and junkets.

Among the allegations are claims that bin Hammam ran a network of 10 slush funds to make payments to 30 African football officials and that up to $1.6 million had been paid to former FIFA Vice President Jack Warner.

Although the Qatar 2022 bid team denies any involvement from bin Hammam, a 2010 interview seems to suggest he did have some role to play.

"When it comes to executive committee members, we don't really get involved in what happens inside the committee because FIFA is very strict," the bid's chairman, Sheikh Mohammed bin Hamad bin Khalifa al Thani, told World Football Insider a month before the 2010 vote.

"But outside the executive committee and within the bid itself, Mohamed bin Hammam has been a very good mentor to us. He's been very helpful in advising us how to go about with our messaging and can have the biggest impact.

"He's always been advising us and always been by our side. He's definitely our biggest asset in the bid."

The Pacific connection

One of the most damaging claims centers on the fate of the former head of the Oceania Football Confederation, Reynald Temarii.

After Temarii had been caught on camera allegedly offering to sell his vote, he was suspended from the executive committee and had, according to the e-mails seen by the Sunday Times, been preparing to resign, allowing his deputy to vote in his stead.

But the Sunday Times alleges that bin Hammam paid Temarii's legal fees of $300,000 before the Tahitian decided that he would not resign after all and would instead fight the charges.

That move effectively took a vote in the executive committee away the Oceania Football Confederation, which was likely to choose Qatar's rival Australia.

"I don't know whether it is a smoking gun, but the Reynald Temarii allegations are very significant," said James Corbett, one of the world's leading journalists on FIFA's World Cup bidding process.

"What it shows is clear manipulation by someone very close to the bid," he added.

Corbett believes that many of the accusations of bribery and illicit payments could be connected to bin Hammam's abortive presidential campaign rather than the 2022 vote.

"Putting someone (a soccer official) from, say, Somalia up in a five-star hotel and giving them $5,000 won't win you the World Cup bid," he said.

"But it will get that person's support for a FIFA presidential bid. And that could have future use."

Blatter and FIFA to blame?

The problem, he believes, goes even deeper than corrupt payments from a few individuals.

"It's not about bin Hammam or even Qatar," Corbett said.

"It is about a system that is rotten to the core and easily manipulated. There's also serious questions that need to be asked about Blatter.

"Bin Hammam was heavily involved in his (Blatter's presidential) campaign in 1998. Was he using these tactics to help defeat Lennart Johansson? Questions need to be asked."

The Sunday Times has promised to release more revelations in the run-up to the World Cup in Brazil, which starts in less than two weeks.

"Qatar itself should call for a rerun of the vote," Baxter believes.

"The bid was tainted. We are not saying there's no right of the Middle East to host the World Cup. But Qatar won through corrupt means.

"How can you host the World Cup with integrity? That is why they should press for the vote to be rerun. And if not they should be forced. FIFA's reputation is at stake. It is crying out for reform."

The end game?

The latest allegations come after a slew of negative reports surrounding Qatar's hosting of the 2022 World Cup finals.

Attempts to move the tournament from summer to winter have angered Europe's powerful and rich soccer leagues.

Allegations of migrant worker abuse under the so-called kafala system of sponsorship, which has been heavily criticized by international human rights groups, have also tainted what had been greeted as a jubilant moment in Qatar's short history.

But the latest allegations, coupled with Garcia's imminent report on the bid process, could be the beginning of the end game.

"This is a turning point," said Corbett. "For the first time we have seen hard allegations regarding manipulation of the bid process.

"I think this is the beginning of the end."

@highlight

Investigation by British newspaper alleges network of payments for World Cup votes

@highlight

Qatar had won the bid to host 2022 World Cup finals

@highlight

USA, Australia, Japan and South Korea lost out

@highlight

FIFA executive committee member calls for rerun of vote