(CNN) -- When President Barack Obama said this weekend that bombing Syrian targets is the right thing to do, and then asked Congress to approve it, the international crisis took a turn toward a fierce domestic battle.

There are so many moving parts to this complicated story that it can become quite difficult to keep up.

Let this Q&A bring you up to speed on the dizzying developments.

Is the U.S. going to war with Syria?

No -- at least not yet. Even though Obama said he wants to strike Syrian targets after the regime allegedly used chemical weapons on a rebel stronghold last month, he says he wants to wait for Congress' blessing first.

When will Congress decide?

Not anytime soon. Lawmakers won't be back in Washington until September 9. But the Senate Foreign Relations Committee says it'll hold a hearing on Syria this Tuesday.

Can't lawmakers be called in earlier?

They can, for an emergency debate. But Obama said he won't ask for that. Gen. Martin Dempsey, the chairman of the joint chiefs of staff, says it's fine to wait. According to officials, Dempsey told the president a delay won't jeopardize a military strike.

Will Congress support Obama?

Obama might be able to count on the Senate, where the Democrats hold a slim majority. The question is, will the Republican-dominated House go along? Lawmakers agree that Syrian President Bashar al-Assad's alleged use of chemical weapons is a travesty. But they also don't want a repeat of Iraq.

Where exactly does the hesitation lie?

Some, like Republican Sen. Ted Cruz, say the U.S. should act only if there's a clear threat to its national security. Others, like Republican senators John McCain and Lindsey Graham, say airstrikes won't go far enough. They want al-Assad removed from power.

Does Obama really have to wait for Congress' green light?

Technically, no. The 1973 War Powers Act allows the president to launch military action, but he must notify Congress within 48 hours. But just because he can doesn't mean he will. "While I believe I have the authority to carry out this military action without specific congressional authorization, I know that the country will be stronger if we take this course, and our actions will be even more effective," he said Saturday. "We should have this debate, because the issues are too big for business as usual."

But didn't he order airstrikes in Libya in 2011 without congressional approval? How is Syria different?

In Libya, the U.S. was backing NATO action. In Syria's case, there's been no U.N. Security Council resolution calling for an intervention. If the U.S. goes in, it would be going in unilaterally.

What's the U.N. saying?

U.N. Secretary-General Ban Ki-moon says he'll go before the Security Council after a team of U.N. inspectors -- who've been on the ground investigating the alleged attack -- presents its report. But it could take the team up to three weeks to analyze the evidence. And even then, it'll only say if there was a chemical attack, not who was behind it.

So would the U.S. really have no foreign support?

British Prime Minister David Cameron called for military action against Syria -- only to have his hopes quashed when lawmakers narrowly voted it down. French ministers will meet Monday to discuss Syria, and hold a debate two days later. "France cannot act alone," its interior minister said Sunday. "We need a coalition."

German Foreign Minister Guido Westerwelle said the time gained waiting for U.S. congressional approval "must be used to reach a common position of the international community within the U.N. Security Council." In another tweet, he said that the results from the U.N. inspectors' visit to Syria "must be sped up."

How do Americans feel?

A poll released last week showed almost 80% of Americans think Obama should get congressional approval first. And after his announcement Saturday, anti-war protests sprouted up across the country -- including one in Los Angeles that drew hundreds.

And what about Syria. How does it feel about all of this?

The Syrian government has said it didn't use chemical weapons in the August 21 attack. It says jihadists fighting alongside Syrian rebels used them to turn global sentiment against the regime. Syria's prime minister says the country's army is on "maximum readiness and fingers are on the trigger to confront all challenges."

What about the Syrian opposition?

A major Syrian opposition group, the Syrian National Coalition, said it was disappointed by Obama wanting Congress' permission. "We can't understand how you can promise to help those who are being slaughtered every day in the hundreds, giving them false hope, then change your mind and say 'Let's wait and see,'" the group told CNN.

And the Local Coordination Committees in Syria, another opposition group, lamented the notion that a U.S. strike would be limited.

"A limited strike to merely warn Assad today will lead to nothing but his increase in violence, as well as to his complete confidence that no one would prevent him from killing," the group said in a statement. "In the end, no one will pay the price but the Syrian people."

How exactly would U.S. carry out an attack?

No one is calling for boots on the ground. Five U.S. warships with Tomahawk cruise missiles are waiting in the Mediterranean Sea. The Tomahawk has a range of about 1,000 miles. It can loiter over targets, circling for hours, and can be reprogrammed midflight to change course. Yes, each costs about $1.2 million, but they can be fired from quite a distance. This means no one has to get within range of Syrian fire.

Could Syria strike back?

Syria has some anti-ship missiles -- but they have a range of only 62 to 186 miles, says Edward Hunt, a senior analyst at IHS Jane's. It also has a number of Scuds and similar surface-to-surface weapons, but these are not designed to be used against moving targets such as U.S. warships, Hunt said.

How are the neighbors reacting?

Security is tight in Lebanon, where one in six is now a Syrian refugee. In Israel, there's been a rush on gas masks because residents fear that Syria could target Israel for retaliation. And Jordan, a key Western ally, says it won't be a launchpad for a strike.

This is all a lot to digest. Give me the takeaway.

A U.S. strike against Syria is not imminent. And even though Obama can launch a military attack unilaterally, he'd prefer to have Congress' approval first.

CNN's Dana Bash, Saad Abedine, Jim Acosta, Gregory Wallace, Evan Perez, Laura Smith-Spark, Mohammed Jamjoom, Tom Watkins, Catherine E. Shoichet, and Richard Allen Greene contributed to this report.

@highlight

Congress won't be back until September 9

@highlight

Poll: 80% of Americans feel Obama needs Congress' permission

@highlight

Some decry the alleged chemical weapons attacks, but don't want another Iraq

@highlight

Syria says it is ready to confront any challenge