(CNN) -- If you've been mesmerized by the drama, like millions of other viewers watching coverage of the Olympic Games, you have heard the most heroic, inspirational stories of athletes reaching the pinnacle of international competition. Or, at least you think you have.

The truth is American viewers are missing out on the best of the Games.

Coverage of the Olympics in the United States understandably focuses on American athletes. That is as it should be, but not to this degree. By concentrating mainly on Americans' stories, the NBC network is depriving U.S. viewers of some of the most fascinating, moving and exciting aspects of the Olympics.

How much have you heard, for example, about Guor Marial, who marched in the opening ceremony under the banner of "Independent Olympic Athletes"?

Marial became a marathoner after running for his life since he was a young boy in Sudan, growing up in the middle of one of the deadliest wars of the 20th century. He learned to run as he fought to escape from those who killed his siblings and relatives and later kidnapped and enslaved him. Imagine such a story of tragedy and redemption, from slavery to triumph.

His life is a most unbelievable odyssey, culminating at the Olympic Games. His parents live in a village with no electricity or running water. He hasn't spoken to them in years and hopes someone will get word to them to try to get to a television to watch their son.

It's fine to cheer for the Americans, but how about a cheer for Marial? There's one who deserves to become a star -- and one who should have NBC's cameras following him.

His is not the only fascinating story at these Games.

American viewers are interested in the performances of American competitors. There's nothing wrong with that, and there's nothing wrong with NBC producers offering profiles, even fawning ones, of the hometown athletes. But the U.S. public is missing out on what truly makes the Olympics special.

The only time network viewers hear about other athletes, it seems, is when there are suspicions of doping or other violations, which could potentially help Americans. It would seem the rest of the world is there only to serve as the rivals Americans require to conquer the podium.

No question, the United States has brilliant, talented, exciting competitors; everyone wants to see them. But in hundreds of hours of coverage, there should be room in the spotlight, time in the schedule, for the rest of the world.

In NBC's telling, it's all about Michael Phelps and Ryan Lochte, about American gymnasts and swimmers, and soon enough about American track stars and, ultimately, about crowning the few who will grace the Wheaties box, who will sell us Subway sandwiches and Gatorade, Nike sneakers and Snickers chocolate bars.

It's about manufacturing heroes because, in a truth we all know, too much of it is about making money.

Behind the cynicism and the commercialism, however, the Games really do have the power to inspire. There truly is a history of toil and drama behind every athlete. That's because the Olympics are full of heroes, but they're hardly all Americans. (Although a remarkable number of them do make their home in the United States.)

Every athlete has a story, and there are almost 15,000 athletes at London 2012.

In addition to the rivalries at the pool and the very touching images of U.S. athletes' parents suffering and celebrating in the stands, we would all gain from hearing more about, say, Tahmina Kohistani, the lone woman in the Afghan delegation, who endured threats and taunts to keep her out of the Games. Because some people in some countries, including hers, are convinced that sports are no place for women. In Afghanistan, people have been killed for helping girls learn to read and write.

Kohistani deserves a gold medal just for making it to the Games.

Criticism of NBC's U.S.-centric coverage of the Olympics is nothing new. Overly nationalistic narratives and neglect of non-Americans are chronic problems, which attract attention every time the Olympics roll around. From the veteran sports writer Frank Deford to everyday viewers, many complain. As one blogger says, "Watching the Olympics in the U.S. is no fun because the only thing you can watch is Americans winning."

American viewers, I have no doubt, would cherish the opportunity to learn more about the first women to compete for Saudi Arabia, Wojdan Ali Seraj Abdulrahim Shahrkhani and Sarah Attar, who represent a country where women are not only banned from participating in sports, they're even banned from watching sports events in major stadiums.

The Olympics would have given NBC an unparalleled chance to receive permission for a glimpse into the secretive North Korea. We could have learned about the mysteries of training in the Hermit Kingdom for the two North Korean medal-winning weightlifters, Kim Un Guk and Om Yun Chol.

Learning about how many hundreds of hours Lochte spent at the pool, or how many pairs of shoes he has in his collection is fine. But just think what more we could be discovering.

Does it have to be this way? Is NBC just doing what viewers want? I don't think so. I believe Americans would relish the opportunity to find out about many other fascinating individuals competing at the Games.

During my days at CNN, politics caused the United States and the Soviet Union to boycott each others' Olympics. CNN founder Ted Turner, my former boss, decided to create his own Olympics, staging the Goodwill Games over a span of 16 years. CNN producers and camera crews traveled the world to produce profiles of the men and women who would participate in Ted's most excellent sports adventure. The profiles were unforgettable.

Americans may be missing out on some of the best of the Games. Fortunately, the rest of the world is not. As Afghanistan's Kohistani said, "there are a lot of Afghan girls and women [who are] watching me and they hope that one day they shall be [in my place]. And I am going to open a new way for the women of Afghanistan."

One day, perhaps, Americans, too, will have the opportunity to gain inspiration from athletes like her, whose journey deserves more attention, even if she does not compete for the USA.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Olympic coverage in the U.S. understandably focuses on U.S. athletes

@highlight

Ghitis: But fascinating stories, like the Sudanese runner who had been a slave, are missed

@highlight

She says Americans won't see the Afghan athlete who endured threats to keep her home

@highlight

Ghitis: In hundreds of hours of coverage, NBC should find time for the rest of the world.