(CNN)In Uganda, more than 28 million people in the country are without electricity. To put that into perspective, the entire population of the beautiful landlocked east-central African nation is less than 38 million people.

To tackle energy poverty, many entrepreneurs are increasingly devising innovative solutions to explore feasible alternative power options. One of them is Rose Twine. Having grown up in both urban and rural areas of Uganda, Twine knew first hand the challenges faced by many homes when it came to cooking a simple meal. A passionate environmentalist, she decided to do something about it.

In 2009, she teamed up with her brother to found their Kampala-based company with their flagship product: the "eco stove." The siblings' green oven uses a type of volcanic rock combined with solar power to act as the fuel for the kitchen appliance.

Cook food, charge your phone

"The whole point was to ... reduce deforestation, as well as the chores involved in finding firewood for the local person who can't access electricity or gas," explains Twine.

The stove has an internal air system that helps heat up the volcanic rocks, which are ready to cook when they turn bright red in color. When the device is switched off, the rocks cool and return to their natural state until the next use. Meanwhile, solar panels on the appliance charge up and help provide additional heat to the stove.

Alternatively, Twine explains, the appliance can also be used to provide an additional light source, charge cell phones, play a radio or even iron clothes through steaming.

At the moment, the most common solid fuels for cooking and heating homes in Uganda are firewood and charcoal, both of which release thick, acrid smoke into the household. This exposes residents to a number of respiratory health problems -- the World Health Organization estimates that 4.3 million people die annually as a result of hazardous household air pollution.

As the Ugandan capital of Kampala continues to flourish more people are choosing to relocate to the city. But an increasing population also means more man-made health factors. Societal problems include extra trash and traffic, which in turn add to the worsening air pollution. Outside of the city, in rural areas, the once green and fertile forests are disappearing at an alarming rate. Deforestation has seen the country lose two thirds of its forests between 1990 and 2005 making it harder for villagers to find wood for burning.

Twine hopes her product will provide users with immediate environmental, social, health and economic benefits once they have upgraded their existing kitchens with her eco-alternative.

Part businesswoman, part eco-warrior

She says: "Everybody says I want (the eco stove) because charcoal is expensive, firewood is hard to find, electricity is very expensive and its not reliable."

Surrounded by countless families facing these hardships of accessing sustainable energy everyday, Twine made it her mission to provide a reliable fuel source through her social enterprise startup.

It's a vision that has proved fairly popular as more Kampala residents adopt this eco-friendly way of cooking. But Twine explains it usually requires a live demonstration of the product to clinch the sale.

"This is a new innovation in the continent that a lot of people need more understanding. It's not something that you can go on TV and say 'this a stove here that will solve all your cooking challenges.' No!

"That's why we are always cooking beans (outside the store). You need a lot of stuff on site to be able to demonstrate for anybody who comes in, because it's not something somebody is going to read about it and say 'a stone that cooks and lasts two years' and believe in it. No -- they want to see."

It's still early days but the sustainable business has seen some local success in promoting renewable energy -- a cause of great importance to Twine. And it's this passion that spurs the environmental entrepreneur onwards.

She explains: "Believe in the dream (and) I think you'll go all the way. Once you believe in it it's easy to transmit the same passion and the same conviction to the person who is going to buy into it.

"Once you believe in what you're doing, don't be distracted and don't even be discouraged."

Read this: African entrepreneurs get billionaire boost

Read this: Bamboo bikes change the face of transport in Ghana

Read this: The life-saving backpack that doubles as a light

More from African Start-Up

@highlight

Access to electricity across Uganda is fairly limited or not accessible

@highlight

Combined with lack of firewood and expensive gas prices, many homes are struggling with energy resources

@highlight

Rose Twine founded Kampala-based business, Eco stoves, a heating appliance using volcanic rock and solar power

@highlight

The oven also doubles as an alternative energy source and can power radios, charge phones