Singapore (CNN) -- As part of a "rebalancing" with Asia, the United States will enhance military-to-military cooperation with China while also boosting the capabilities of its allies in the region, U.S. Defense Secretary Leon Panetta said Saturday.

Panetta detailed the new defense strategy to a gathering of Asia's military leaders, saying the majority of U.S. warships would move to Asia.

"By 2020 the Navy will reposture its forces from today's roughly 50-50 split from the Pacific and Atlantic to a 60-40 split in those oceans," Panetta said.

"We will also invest -- invest in cyber, invest in space, invest in unmanned systems, invest in special forces operations," he said. "We will invest in the newest technologies. And we will invest in new technology to mobilize quickly, if necessary," Panetta said.

Along with enhanced military cooperation, Panetta emphasized diplomacy and a "rules-based order" that includes "open and free commerce, and open access by all to their shared domains of sea and air" -- a current point of friction in the South China Sea between China and regional nations. Panetta called for disputes to be resolved without coercion or the use of force.

North Korea proclaims itself a nuclear state in new constitution

The defense secretary was kicking off his eight-day trip to Asia, geared toward explaining the U.S. strategy.

The so-called U.S. 'tilt' to Asia includes beefing up the strength of its regional allies such as the Philippines and Vietnam.

"We will play an essential role in promoting strong partnerships that strengthen the capabilities of the Pacific nations to defend and secure themselves," Panetta said.

Asked if helping the militaries of regional allies would raise the potential for conflict, Panetta said, "I don't think we should take the attitude that just because we improve their capabilities that we are asking for more trouble."

Panetta said the United States should "do everything we can" to help those countries defend themselves, but at the same time, the U.S. would "encourage them ... to abide by an international set of rules and standards and order."

Why the Chinese are flocking to U.S. colleges

The increased regional involvement by the United States has raised concerns about tensions with China and suggestions it represents a threat to China.

"I reject that view entirely," Panetta said, calling the U.S. shift "fully compatible with the development and growth of China. Indeed, increased U.S. involvement in this region will benefit China."

Panetta said the United States will work to improve communication with China with an aim to "build trust" between the two nations.

Looming over the discussions in Singapore is the conflict between China and various regional nations -- such as the Philippines, Vietnam, Brunei, Malaysia and Taiwan -- over the South China Sea.

Chen Guangcheng discusses his next moves

The South China Sea, nicknamed "the second Persian Gulf" because of its potential for massive oil and gas reserves, is also a key passageway for the world's oil and is home to enormously valuable fisheries.

A crisis in the area has the potential for major economic damage to the United States as well. As one of the busiest sea lanes in the world, disputes in the South China Sea could have a major impact on shipping by forcing costly rerouting.

According to estimates by the Center for Strategic and International Studies, $5.3 trillion of trade passes each year through the South China Sea; U.S. trade accounts for $1.2 trillion.

Former Japanese leader: 'I felt fear' during nuclear crisis

There have been several disputes recently, with concern that such incidents could spark military action.

Speaking to the gathering by the International Institute of Strategic Studies (Asia), which included defense ministers and top military officials from 27 countries, Panetta said the U.S. supports the Association of Southeast Asian Nations' (ASEAN's) development of a binding code of conduct for the South China Sea area.

On the other side of the U.S.-Asia strategy is an emphasis on building the U.S.-China relationship. "The key here is to try to strengthen mil-to-mil so that we can have greater transparencies ... and to take steps to confront mutual challenges," Panetta said.

He said the United States was "clear eyed" about its relationship with China. "We're not naive about the relationship, and neither is China. ... But we also both understand that there really is no other alternative but for both of us to engage."

"We have also agreed on the need to address responsible behavior in cyberspace and in outer space," Panetta added.

Panetta said he plans to visit China sometime this summer.

The U.S. decision to play a larger role in Asia comes against the backdrop of rising military spending in that region while the U.S. trims its own military in the face of massive deficits.

Defense spending in Asia has been projected to surpass Europe's this year. "There is no doubt that it will continue to increase in the future," Panetta said.

To offset U.S. budget realities, the United States will "sharpen the technological edge of our forces," Panetta said.

He said the U.S. military "will be smaller, and it will be leaner, but it will be agile and flexible and quickly deployable and will employ cutting edge technology in the future."

Panetta detailed how the United States will spend its money with "investments" in rapid deployment technology and in capabilities that will help the U.S. deal with the realities of long distances in the Pacific such as "new aerial refueling tankers, a new bomber, an advanced maritime patrol and anti-submarine warfare aircraft."

Under required budget cuts by Congress, the Department of Defense must reduce the planned budget by nearly half a trillion dollars over the next decade.

Despite financial constraints, Panetta said, there is a "detailed blueprint" for meeting regional goals and its fiscal responsibilities.

"Make no mistake -- in a steady, deliberate and sustainable way, the United States military is rebalancing and is bringing an enhanced capability ... to this vital region," he said.

Also present at the conference, U.S. Republican Sen. John McCain said U.S. budget cuts will affect the outlined Asia strategy.

"At some point, and I think we are at that point, we will not be able to carry out the commitments," McCain told reporters. He said money for additional ships could be found by spending less on the redeployment of U.S. marines out of Okinawa, Japan, and by getting the "cost, waste and mismanagement" of weapons systems in the Pentagon under control.

@highlight

Panetta: By 2020, about 60% of the U.S. Navy's warships will be in the Pacific Ocean

@highlight

The so-called U.S. 'tilt' to Asia includes beefing up the capabilities of regional allies

@highlight

South China Sea is a point of friction among Asian countries; a crisis there could affect the U.S.

@highlight

Panetta is on an eight-day trip to Asia, geared toward explaining the U.S. strategy