(CNN) -- Anytime I hear about a death that may be linked to addiction, I am reminded that this is a misunderstood and deadly disease. Deaths caused by addiction have risen astronomically in the past decade. Drug overdose is now the No.1 cause of accidental death in the United States; more common than death by car accidents.

"Glee" actor Cory Monteith, who was found dead at a Vancouver hotel on Saturday, had said that he struggled with substance abuse since his teenage years. The British Columbia Coroners Service said he died as a result of "a mixed drug toxicity, involving heroin and alcohol."

Whenever someone with addiction dies, I grieve the lost potential and wonder about the limitations of our ability to address this cunning, baffling and powerful disease.

I am also humbled by my own experience with addiction and recovery, and grateful for the help I received.

It seems nearly impossible to believe that people with addiction would continue to use drugs and alcohol to the point of death, but that is what people with addiction do: They deny both the consequences and the risks of using. As we continue to learn about addiction, we're understanding more about why addicted people behave the way they do. But that's little solace for friends and family.

Addiction is a brain disease, and our knowledge of it has expanded significantly, which has informed our treatment programs and altered our perceptions. We know that addiction resides in the limbic system, a subconscious part of our brain that is involved with memory, emotion and reward.

Replacing addiction with a healthy obsession

We refer to this area of the brain as the reward center, as it ensures that all rewarding or reinforcing activities, especially those associated with our survival, are prioritized. The reward center makes sure we survive by eating, drinking fluids, having sex (for survival of the species) and maintaining human interactions.

In late stages of addiction we can see how reward-related drives, especially those for survival, are reprioritized when people risk their families, their jobs, even their lives to continue to use drugs and alcohol. The continued use of the drug becomes the most important drive, at a subconscious level and unrecognized by the individual, undermining even life itself.

When a methamphetamine-addicted mother makes the nightly news after neglecting her children for four days while on a meth run, we can't comprehend how anyone could do such a thing and tend to think she does not love her children. She may have been going out for groceries with the intent to return home and feed her children, but ran into a dealer and started using.

Addiction took over, and she was driven by subconscious forces even though she loves her children as much as I love mine. Her love and her natural instincts to care for and nurture her children were overridden by her own brain, the reward system reprogrammed to seek and use drugs at all costs. Unbeknownst to her, drug use has become the most important thing in her life.

When we witness the incomprehensible behaviors associated with addiction we need to remember these people have a disease, one that alters their brains and their behaviors. We tend to believe we all have free will, so it is difficult to understand how the addicts' perception has been so altered as to drive them to destruction.

5 damaging myths about addiction

We also assume they can make their own decisions, especially when it comes to help for their addiction. In so doing we are expecting the person with a diseased brain to accept the unacceptable, that the continued use of drugs is not providing relief from the problem -- it is the problem, and they need to stop that which has become paramount.

They are unable to make such decisions because their brains have been altered to prioritize use of the drugs, even above survival itself.

Relief of psychic pain, the real, unimaginable pain of addiction, is part of the problem. People have many reasons for seeking relief from pain; some pain precedes the addiction, but most pain is the result of the addiction.

The addicted neglect their primary relationships and they may lie, cheat and steal to continue drug use. And they know this at some level, they recognize their uncontrolled behaviors, but they can't change, they can't stop.

Hopelessness becomes a way of life. Self-loathing, shame and guilt become the norm as the consequences of continued drug use accumulate.

They use drugs to ease the pain, but the very remedy exacerbates the problem. The answer to their dilemma goes unrecognized due to the neurobiological changes that have occurred in their brains.

From drug addict to yoga instructor

The good news is that treatment is effective and specifically designed to help people recognize the problem within. Most people are coerced into treatment for one reason or another; they may be facing legal issues, job loss or divorce.

With good treatment their likelihood for recovery and abstinence is just as good as the minority who seek treatment of their own accord. Unfortunately, fewer than 10% of those with addiction recognize they have it and seek treatment.

This is the primary reason people don't seek help. Our largest public health problem goes unrecognized by those with the disease.

Every one of these deaths is tragic. They died of a disease that lies to them. Great talent and intelligence do not protect us from any illness.

We can safely watch such a tragedy, gawking as we drive by the destruction, insulated from the suffering and unable to help. But addiction is all around us and we need to respond to the rising death toll.

All of us are responsible for learning the truth about addiction, raising awareness and intervening for those who have this disease, knowing they are unlikely to be able to do so for themselves.

More on addiction from CNN Health

@highlight

Cory Monteith voluntarily entered a treatment facility for substance addiction in April

@highlight

Monteith has been frank about his struggles, saying that he began using drugs at 13

@highlight

Coroner: Monteith died as a result of "a mixed drug toxicity, involving heroin and alcohol"