Sochi, Russia (CNN) -- "He didn't want carpets, he preferred to hear footsteps of people as they approached on the wooden parquet flooring," says Anna Hovantseva, the tour guide, as she explains another interior-design quirk of one of the most morbidly fascinating personalities of the 20th century.

It's fair to say Joseph Stalin, the notorious dictatorial leader of the Soviet Union, still holds a curiosity for many. The Georgia native helped create much that is modern Sochi, the host of the 2014 Winter Games, when he built his summer retreat in this town in 1937.

The retreat is open to visitors and will soon offer rooms to guests this summer for 7,000 roubles ($200) per night. Welcome to the home of Stalin.

Benefiting from the cool, restorative mix of sea and mountain air streams, the villa -- or "dacha," as it's known locally -- was situated for the health-giving nature of its surroundings.

Nestled in the coniferous, cypress-tree forest of the Matsesta mineral springs area and perched in the foothills of the Caucasus Mountains, it was seen as the ideal refuge to replenish the man whose day job was ruling over 200 million people.

Follow CNN's live Sochi Winter Olympics coverage

It also has a rather snazzy green exterior. "The color is the same as the trees, it camouflages the building," adds Hovantseva -- another handy feature for a property if you have many enemies.

For guests staying over, the facilities don't compare well to the luxurious standards of comfort demanded by modern national leaders. The interiors of every room consist of uniform beechwood paneling devoid of decoration. Portraits of Stalin that adorn the walls and the fireplace were hung there long after his demise, such was his dislike of them.

There's a swimming pool, so small it more closely resembles an oversized sunken bath, where the Communist chief enjoyed walking (he couldn't swim) in seawater up to his shoulders. There are also fantastic views of the Black Sea, which laps against the shore a few miles away.

Entertainment is basic, especially given the cinema room where Stalin used to view his favorite Charlie Chaplin movies is no longer functioning, but there is a billiards room with the original table and cue used by the man dubbed "Uncle Joe."

And in a break with tradition of museums around the world, visitors can use both to try to pot balls in the small Russian-standard pockets.

However, there is one word of warning: If you're considering a stay it's probably wiser to visit in the summer. The property walls are a secure 70 centimeters thick and, on Stalin's orders, the house has no heating.

That accounts for the cool temperatures in the majority of rooms CNN visits. But it remains a mystery why the temperature drops five degrees in Stalin's cinema, where his waxwork sits ominously behind a desk in front of copies of Pravda and opposite a bullet-proof sofa.

Our guide denies the presence of the rumored ghost of Stalin: "No, absolutely no. It is cold because of the architecture. (The thick walls) are very difficult to warm up. Of course now it is cold in the dacha, but it's very pleasant to stay there in summer."

It was designed by architect Miron Merzhanov, to whom Stalin made only one request for the building: No fountains. A direction that required a swift alteration to the original water feature that sat in the middle of the central courtyard into a flowerbed.

Despite the dacha's peculiarities, though, the presence of the leader of the USSR in such a small coastal resort had a seismic effect in the town now being viewed on televisions across the world.

"No doubt that when our leader began to visit Sochi, the city benefited from great development," Hovantseva says.

"Earlier our city was the resort for the nobility, for only rich people. There had been tourists' villas long before Stalin came here.

"But when Stalin began to visit Sochi, he began to develop it as a resort town for all people. Thanks to him, a lot of sanatoriums and hydropathic establishments (and) a road to Matsesta were built. All in all, he did really much for the development of Sochi."

Ironic then that the town Stalin "built" was the one chosen by President Vladimir Putin, who also has a summer house in Sochi, to represent the modern face of Russia to the world.

Local journalist Alexander Valov edits the independent "BlogSochi," a forum he has used to reflect the positive and negative sides of Sochi hosting the Olympics, much to the ire of Russian officials.

"First of all I see it from the city's point of view and how the infrastructure is being developed. But there are negative sides, too ... we had a huge beach with 70 meters covered with pebble, a beautiful seafront, but now (as a result of development) there is no beach. The ecology and nature was damaged greatly," Valov told CNN.

The choice may be seen as shrewd if costly politicking by some, but for Hovantseva, Sochi seemed like the obvious and most welcome choice to host the Winter Games.

"With the Olympics, Sochi has received a great new development. For example, the new buildings were built, even the image of the city has changed. We could compare the current policy with Stalin's one," she says.

"I was not surprised because our city is really unique. Thanks to our mild climate you can relax here all year round, even in winter. So it was quite logical and natural," the guide tells CNN as we view the pictures of Stalin's family on show in the fridge-like cinema room.

There is a black and white image of his second wife Svetlana, who died young -- officially from appendicitis amid rumors of suicide. There's also pictures of his son Yakov, who did not survive internment in a German prisoner of war camp.

The smiling faces in the photos do not convey the whole picture, according to Hovantseva.

"Generally, he liked to be all alone. He loved his wife Svetlana and his children. He had no friends. He read and thought a lot. He enjoyed hunting. He also loved farming. He grew lemons (for medicinal drinks). So he was an unsociable man, I think."

Hovantseva says there is no shortage of interest in the dacha. She thinks attitudes toward Stalin are as varied as the visitors to the site; some consider him a great politician, many consider him a dictator and treat him a little "disdainfully."

However, one factor that shows no sign of changing is the restorative powers Sochi offers to the political elite.

@highlight

Joseph Stalin's summer home is on sightseeing list for Sochi

@highlight

Dictator helped create much that is modern Sochi when he built dacha in 1937

@highlight

Home has several features helpful to a man who had many enemies