(CNN)Shannon Zwanziger seemed perfectly healthy. She was an active 17-year-old who rarely got sick and hadn't been to a doctor in more than three years.

Then one day, she came home with the flu. She died a week later.

Shannon is part of grim new statistics released this week by the Centers for Disease Control and Prevention showing that the flu has reached an epidemic level in the United States this year.

It's blamed for more deaths than it was at this time last year -- including 15 children. That's as of December 20. Already, more flu-related deaths are suspected, including a 4-year-old boy in Port Isabel, Texas, CNN affiliate KGNS reports.

It's still early in the flu season, which often begins in early fall and persists through May, so it remains to be seen exactly how pervasive the flu will be.

Passed out in her mother's arms, never came to

Shortly before she died on December 9, Shannon had worked her way -- slowly -- down the stairs at home by sitting and sliding down each step. She eventually made her way to the bathroom to take a bath.

"I helped her get in the bathtub, but when I saw her eyes, I said, 'I think this is a mistake -- we've got to get you out of here,' " her grief-stricken mother, Gwen, in Owatonna, Minnesota, told CNN on Wednesday. "She couldn't help me get her out. So I lifted her up, and she passed away in my arms."

Technically, Shannon was still alive, but she never regained consciousness.

Zwanziger began administering mouth-to-mouth resuscitation and screamed for her husband, Terry, who called 911. Emergency medical workers rushed Shannon to a hospital, which found a slight heartbeat and flew her to a larger hospital. After a few hours, her heart stopped altogether.

"She was such an incredible kid," Gwen Zwanziger said by phone. "She had her whole life planned out. She was living life to the fullest. If you're going to have the perfect kid, she was it."

Zwanziger had taken her daughter to a clinic at the hospital when she first became ill. She was told that her sickness was the flu and would run its course at home. The Zwanzigers cared for her, gave her liquids and did everything they were told.

But Zwanziger says the family later learned that at some point, Shannon's liver gave out. And an autopsy confirmed that she had a type A flu.

The CDC said that because of privacy rules, it can say only that there were two "confirmed reports of flu-pediatric deaths in Minnesota this season."

It will be several more weeks before autopsy results show whether Shannon had an underlying health issue that the family was unaware of, Zwanziger says.

The American Academy of Pediatrics recommends an annual physical exam throughout childhood after the age of 4. But a study found that one third of Minnesota teens ages 13 to 17 had no preventive care visits, and another 40% had only one such visit during those years.

Medical care not enough

When Shannon became sick, Zwanziger says, she got excellent medical care, but it wasn't enough. She wants more people suffering from symptoms to have blood tests.

Shannon had not had the vaccine. Her father was vaccinated, but her mother was not because she had a bad reaction to a swine flu vaccine in the 1970s, she said.

("If a person has had a serious allergic reaction to flu vaccines in the past, this might be a contraindication to getting one, but they should talk with their doctor to understand if that reaction is relevant to the decision to get a vaccine now," says Dr. Joseph Bresee, chief of the Epidemiology and Prevention Branch of the CDC's Influenza Division.)

The Zwanzigers gave their daughter a choice, and she chose to forgo the vaccine. It's unknown whether the vaccine would have saved her.

Bad year for the vaccine

The CDC said it does not yet have information on how many of those killed by the flu this year were vaccinated.

It's an unusually bad year for the vaccine. Just over half the strains tested were not covered by it. The biggest reason is a mutated strain that was not being spread at the time the vaccine was designed.

Predicting the flu to help avoid it

Still, getting vaccinated is "the best way to reduce the chances that you will get seasonal flu and spread it to others" and "may make your illness milder if you do get sick," according to the CDC.

"It's still about 61% effective," Dr. Seema Yasmin, a CNN medical analyst, said. "Most flu vaccines protect against three or four different strains of flu actually, so even if it's not a great match against one particular strain, it will still protect you against the other strains that are going around right now."

Alarming numbers

While alarming, the latest statistics don't indicate that the outbreak this year will be, overall, worse than in previous years, the CDC told CNN on Wednesday. It's too early to know.

Flu activity is high in nearly half the country -- 22 states and Puerto Rico, according to a map released by the CDC.

An infectious disease specialist with the Inova health care system in Fairfax, Virginia, said medical staff has been busy.

"We've seen more patients than we anticipated," Dr. Sujata Ambardar told CNN affiliate WJLA. "The hope is that things will stabilize, but I don't see it stopping anytime soon."

The "epidemic threshold" is crossed to some extent every year, a CDC chart shows.

In the week ending December 20, nearly 7% of deaths were blamed on pneumonia and flu. That's higher than it was at the same time last year, but later on in the season, the percentage of deaths blamed on the flu generally goes higher.

The number of children killed by the flu spiked tremendously in 2013. Thirty-seven deaths were blamed on the flu in the 2011 to 2012 season; the next season, 2012-2013, there were 171 deaths, the CDC says. In the 2013 to 2014 season, the figure was 109.

The 2009 season, which stretched from April 2009 to October 2010 and included the H1N1 pandemic, saw 348 deaths.

Totals are known for children but not adults because child deaths must be reported to the CDC; there's no similar requirement for adult deaths.

Older people are generally those worst-affected. Flu-related hospitalizations among people 65 and older has reached 38.3 per 100,000 people, the highest rate of any age group, the CDC says.

Flu activity generally peaks in the United States between December and February.

The not knowing

Gwen Zwanziger says she did not catch the flu from her daughter, even after administering mouth-to-mouth resuscitation.

Mixed in with all the pain and grief the family is suffering is the frustration of not knowing how the death happened.

"I just cannot figure out why she died from this," the grieving mother says.

CNN had contacted an online fundraising campaign for the Zwanziger family -- her parents and her sister, who is married and has a baby -- to learn more about the girl's death. Organizers got back in touch, saying Gwen Zwanziger wanted to talk and deliver a message: "We need to take it more seriously. And you need to be really proactive."

CNN's Eve Bower and Steve Almasy contributed to this report.

@highlight

Doctor says her medical group has seen more patients than expected

@highlight

Shannon Zwanziger, 17, seemed perfectly healthy, got the flu and died within a week

@highlight

CDC officially declares a flu epidemic and says 15 children have died