In the pink-hued streets of Toulouse, France's "Ville Rose," flags are flying at half-mast: The city is in mourning -- and shock.

In just over a week, three brutal shootings have left seven people -- including three young children -- dead, and two more fighting for their lives.

The attacks, two targeting soldiers from ethnic minorities, and the third focused on a Jewish school, have stunned the country, and left local residents dreading the gunman's next move.

"There is a lot of fear," said Jean Cohadon, crime reporter on the Dépêche du Midi newspaper. "He has killed three times already, with more victims each time, and people are asking 'What will he do tomorrow?'"

Toulouse, a pretty city on the banks of the Garonne river in southwestern France, is best known for its historic old town, universities, churches and galleries, and for being home to aircraft manufacturer Airbus.

With a huge student population, and workers drawn from across the world to work in companies linked to the aerospace industry, the city is proudly international.

"I've always felt very safe here," one Jewish-American resident, who asked not to be named, told CNN. "We love the city. It is a charming place, like a village within a city, really, very quaint.

"We are just shell-shocked by what has happened. We can't believe it -- it seems so surreal."

The drama began nine days ago, with the shooting of an off-duty soldier in Toulouse.

But at first, Cohadon says, no one could imagine the horrors to come. "The first death was not unnoticed, but no one had any idea of what was behind it -- the soldier was not in uniform, and it seemed like an isolated incident," he told CNN.

Then last Thursday three members of a local parachute regiment were gunned down in Montauban, 30 miles away. Two of the men died; the third remains critically ill.

Police soon linked the two attacks, which involved soldiers from North African and Caribbean backgrounds, and which were carried out with the same weapon, by a gunman who fled on a scooter.

"That led to questions about the motivation behind the attack," said Cohadon. "Why were soldiers targeted? Why members of a parachute regiment? Was there a link to our operations in Afghanistan?"

With the third attack, on the Ozar Hatorah School in Toulouse on Monday, things became, Cohadon says, "even more troubling."

"Here we have four deaths, of whom three were children, little children, just three, six and eight. The attack seems predetermined, very violent -- the gunman is said to have shot at everything that moved, and again he made his getaway on a scooter."

Again, the shooting has left local residents questioning the attacker's motive -- and what else he may be capable of.

"Is the motive simply racist? Is it someone who is attacking minorities? Or is it a terrorist attack?" said Cohadon. "And if he was capable of killing three times, in such a way, what happens next time?"

Security has been beefed up across the city -- and at religious sites around the country -- and anti-terrorism police from Paris have been brought in to oversee the investigation, a sign that the killings are officially considered an act of terrorism, but the gunman remains at large.

"There is a lot of concern that no one has been apprehended yet -- that's the big issue for everyone: Is this person going to be found?" says the U.S. expat, a member of the Americans in Toulouse group.

"But walking around the city, you wouldn't necessarily know about it -- the streets are still bustling."

City authorities have canceled the annual carnival, which was to have taken place this week, both out of respect for the victims and their families, and because of concerns over safety.

"It's an amazing statement from the city to say 'There's no way we can celebrate,'" said the U.S. expat.

It seems unlikely that the city's residents will feel like celebrating anything until the killer is caught and brought to justice -- until then, Cohadon says, a mood of "worry and incomprehension" will continue to hang over the town.

@highlight

City of Toulouse on high alert after three deadly shootings in just over a week

@highlight

Police hunt gunman on scooter who is thought to target members of ethnic minorities

@highlight

Local reporter: "People are asking 'what will he do tomorrow?'"

@highlight

Authorities have canceled city's carnival out of respect for dead, safety fears