(CNN) -- Hope flickered in war-torn Afghanistan on Tuesday as national security forces formally took over security leadership and peace talks with the Taliban are now in the works.

NATO-led troops transferred security responsibility to Afghan forces. The United States and an Afghan government group dedicated to peace and reconciliation will hold talks with the Taliban militant group in Qatar.

"I wish a long-term peace in Afghanistan," Afghan President Harmid Karzai told his troops at a handover ceremony in Kabul.

But a senior U.S. official said reconciliation is likely to be "long, complex and messy" because trust between Afghans and the Taliban is extremely low.

The latest moves could portend a hopeful chapter in the long and costly Afghan conflict. What do these developments mean for Afghanistan and the United States? Here are some key questions that will be asked in the coming months:

1. Are the Afghan troops up to the task?

There are certainly doubts.

A Pentagon review in December found that only one of 23 Afghan army brigades was capable of functioning on its own.

Meanwhile, literacy rates are low, desertion rates are high, and many deserters have joined the insurgency. There also have been a troubling number of "green-on-blue" attacks: Afghan troops attacking their American comrades.

But then-Defense Secretary Leon Panetta spoke positively about the progress Afghans had made in growing their army, reducing violence and becoming more self-sufficient. At the time, Afghan forces were leading nearly 90% of operations across the country.

"We're on the right path to give (Afghanistan) the opportunity to govern itself," Panetta said.

Karzai has said he welcomes the U.S. troop withdrawal and insists his army can defend the country against the Taliban.

"It is exactly our job to deal with it, and we are capable of dealing with it," Karzai said during an interview with CNN's Christiane Amanpour.

2. What are the conditions for peace?

Karzai seems eager to resume stalled peace talks with the Taliban and include them in the political process.

The High Peace Council of Afghanistan -- a government group devoted to reconciliation and peace -- will go to Qatar and participate in talks with the Taliban, Karzai said Tuesday.

The United States will have a first formal meeting soon in Doha, Qatar, after the Afghans and Taliban huddle, senior administration officials said. The meetings coincide with the Taliban opening an office in the Gulf nation of Qatar.

For their part, the Taliban told reporters in Doha on Tuesday that they want to improve relations with the world. They are calling themselves the "Islamic Emirate of Afghanistan."

The Taliban back "supporting a political process and a peaceful resolution that will bring an end to the occupation in Afghanistan and establishing an Islamic and independent government in it" and forging "true security," a representative said.

At the same time, the Taliban representative advocated the idea of political resistance.

The United States and Afghanistan have several conditions the Taliban ultimately need to meet for a peace deal -- breaking ties with al Qaeda, ending violence and accepting the Afghan Constitution, including sections on women's rights, senior administration officials told reporters Tuesday.

Conditions also were outlined by the High Peace Council, with one senior official saying there was no place for violence while talks are ongoing. "We are hoping the (number of) Taliban attacks go down or even stop after we start talks," the official said.

The first meeting between the United States and Taliban is expected to be an exchange of agendas and what each side wants to talk about, followed by another meeting in a week or two.

One of the administration officials said foremost on the U.S. mind is hearing how the Taliban are going to cut ties with al Qaeda and urging them to talk seriously with the Afghan government. Exchange of detainees are expected to be on the agenda -- including Bowe Bergdahl -- the U.S. soldier believed to be in militant captivity.

"Peace is not at hand," another senior official cautioned, adding there is "no guarantee this will happen quickly if at all."

3. How big a threat do the Taliban still pose?

The Taliban are still "resilient and determined," according to a recent Pentagon report, and pose a major security threat.

The Taliban continue to carry out high-profile attacks in the capital, Kabul, even targeting the Afghan Supreme Court during a suicide attack in June. Another strike targeted a building near Kabul airport.

On Tuesday, a suicide bomber attacked the convoy of Haji Mohammad Mohaqiq, a member of parliament, killing three people and wounding 21 others. Three bodyguards were among the injured. Mohaqiq -- a Shiite and an ethnic Hazara -- is a member of Afghanistan's political opposition.

The Taliban regime in Afghanistan was sheltering al Qaeda when the terror network launched attacks against the United States on September 11, 2001. The next month, the United States cranked up military operations that led to the toppling of the Taliban government.

Ever since, international forces have been fighting radical Islamic militants in Afghanistan and neighboring Pakistan.

4. What are the biggest challenges?

The main fear among Afghans is that the country could revert to another civil war once the United States withdraws its combat troops.

"Some people we've spoken to sort of take it for granted that there's going to be a civil war when the United States leaves," said CNN's Erin Burnett on a trip last year to Afghanistan. "It happened before when the Soviet Union left (in 1989)."

Above all, Karzai said the Afghan army needs the tools to battle the insurgents, namely more equipment and firepower. He came to the Pentagon in January with a wish list asking for more helicopters, drones and other hardware, according to a senior defense official.

"We need an air force. We need air mobility," Karzai told Amanpour. "We need proper mechanized forces. We need, you know, armored vehicles and tanks and all that."

Retired Army Gen. Stanley McChrystal, once America's top commander in Afghanistan, said the Afghan people are "terrified because they think they have something to lose."

"There has been progress made," he said. "But they're afraid that if we completely abandon them in 2014, as they perceive we did in 1989, (things) would all go back."

5. What support will the United States and allies provide?

American forces, now at about 66,000, are expected to dip to 32,000 by the end of the year and further throughout 2014.

The plan is to withdraw all combat troops but keep a residual force in the country to help train Afghans and carry out counterterrorism operations when needed.

The size of that force is still being discussed.

Gen. John Allen, the former commander of U.S. troops in Afghanistan, recommended between 6,000 and 15,000 troops. But that figure was lowered to a range between 2,500 and 9,000, according to a defense official.

The United States and NATO have pledged to continue to support and train Afghan forces in what NATO Secretary-General Anders Fogh Rasmussen deems a "new relationship," starting in 2015.

Acknowledging that there is still much to do in the interim 18 months, Rasmussen said, "Today, our shared goal is in sight."

CNN's Ed Payne and Roba Alhenawi contributed to this report.

@highlight

NEW: Afghanistan's High Peace Council says there is no place for violence during talks

@highlight

NATO-led troops transfer security responsibility to Afghan forces

@highlight

Doubts remain about whether Afghan troops are up to the task

@highlight

There are fears the country could revert back to civil war