(CNN) -- Jerry Yellin has spent most of his life trying to forget about the stench of death on the island of Iwo Jima 65 years ago.

Yellin was a P-51 fighter pilot who had turned 22 a few weeks before he touched down on the island March 7, 1945, amid some of the bloodiest fighting of World War II's Pacific campaign.

"To one side, there were mounds and mounds and mounds of bodies of Japanese soldiers being pushed around by bulldozers into mass graves. And right behind our squadron area was the Marine mortuary, where they'd lay out the bodies, check their dog tags and fingerprint them for identification," recalls Yellin, an 87-year-old retiree who lives in Vero Beach, Florida.

"I've lived with those memories all of my life and it was not something I ever wanted to go back to."

Nevertheless, Yellin was back on the island last week for the first time since 1945 to attend a ceremony commemorating the battle's 65th anniversary. About 22,000 Japanese soldiers died defending the island, along with more than 6,000 Americans, in a battle that was memorialized in the iconic photograph of five U.S. Marines and a Navy corpsman raising the U.S. flag atop Mount Suribachi, the island's dormant volcano.

The Americans secured the island on March 26, 1945, marking the U.S. military's most significant advance in its island-hopping strategy to reach Japan. But the battle proved to be longer and deadlier than planners had anticipated, depleting much of the U.S. military's resources. The U.S. abandoned its plan to invade the Japanese mainland and turned to the atomic bomb to end the war.

Since 1995, the Japanese and American associations of Iwo Jima have met on the 8-square-mile island, now known as Iwo To, to commemorate the 35-day battle with a "Reunion of Honor."

Yellin and several other veterans made the day-long trip to Iwo Jima from Guam on March 3 with the tour company, Military Tours. Each man had his own reason for going, but all left united through the shared experience of an event that only a few can understand, says Cyril "Cy" O'Brien, a Marine correspondent who covered the Battle of Iwo Jima, who also made the trip.

"In a way, it's reliving something that happened so long ago that was probably what I would consider some of the most ennobling moments of our lives. I am a writer, too, so going there this time, looking at the terrain and seeing this hill, this cliff, this gorge, opens a whole new page to the memory," he says.

O'Brien, a retired newspaper reporter who is working on a book about his experiences as a war correspondent, has been back to Iwo Jima for the Reunion of Honor four times. But the sense of awe never diminishes as the first sight of the island from the plane, he says.

"When we approached Iwo Jima and saw Suribachi, you would be amazed what happens. Everything became as quiet and as solemn as if we'd entered a cathedral. You could tell the island had captivated everyone, the island had brought them back to their youth. The first moment was a very stirring moment. Always is," he says.

For Yellin, it has been a longer journey back to the battlefield where, as a young airman, he left behind 11 comrades, sparking years of bitterness and racial prejudice. Yellin recalls passing over the flag each time he and his brothers flew a mission to support the Marines on the ground, who faced the formidable task of taking the island from a military force on its last stand.

"I never thought of the people on the ground as people. You can hate somebody so much that you don't see them as people," he says. "I had no desire to go back to Japan. Why the hell would you want to visit the place where your enemy was? Who wants to visit the people you fought against and hated?"

The healing began in 1988, when his son married a Japanese woman whose father was a pilot in the Japanese Imperial Army Air Service, who also flew missions in Iwo Jima. Yellin's son's future in-laws opposed the marriage until the men met and shared their experiences in Iwo Jima.

"I hated him and he hated me. We met for the first time three days before the wedding. And he said, 'Any man that could fly a P-51 against the Japanese and live must be a brave man, and I want the blood of that man to flow through the veins of my grandchildren.'" he says. "Then, my son got married and started having children and my whole life expanded. I saw that human beings were killed in the war, and they were kind people, they were bright people, and now they're my family."

Through the marriage, the two wartime enemies made peace, a process that Yellin documented in a novel published last year, "Of War & Weddings." But he still never considered visiting Iwo Jima until he was offered an opportunity to commemorate his fallen brothers -- 11 in combat and five in training -- from the 78th Fighter Squadron in a ceremony during the Reunion of Honor.

Upon learning of his plans, Yellin's 18-year-old grandson expressed interest in seeing the place where his grandfathers had once fought each other.

"I just didn't want to relive all that, but because I have a Japanese grandson and because he wanted to go, I had to go," says Yellin. "And I'm happy, delighted, thrilled that I went. I cried most of the day, from the moment we landed. Many memories came back, and we did a memorial for the 16 guys. It was like closing the circle."

@highlight

Retired fighter pilot Jerry Yellin returns to Iwo Jima with son, grandson for "Reunion of Honor"

@highlight

Reunion brings together veterans, officials from Japan, the United States

@highlight

Return represents closure for Yellin, whose son married the daughter of Japanese pilot

@highlight

"It's reliving something that happened so long ago," Marine correspondent Cy O'Brien says