(CNN) -- The last few years have seen the beginnings of an energy revolution in the U.S. The coming of shale gas and now shale oil has transformed not just its energy outlook, but also the climate change debate.

The game has changed: Energy independence, the goal first set by Nixon in the early 1970s, looks like being achievable, at least for the North American continent.

The game that has changed has profound implications for energy and climate policy.

To date it has been based upon two assumptions: The first is that fossil fuel prices would go ever upward as oil (and gas) production peaked and then declined. That, in turn, meant that energy policy should actively try to increase the security of the supply by increasing domestic energy production. The second was that climate change is best addressed by a top down international climate change agreement, and that within that framework, the U.S. should accept a cap on the amount of carbon it would release into the atmosphere.

The two assumptions fitted together. Ever rising oil and gas prices would make current renewable energy technologies, like wind and bio-fuels economic; and energy security would be enhanced through switching away from imported oil and gas.

Taken together, putting a cap on carbon emissions would accelerate this transition, and the U.S. would want to do this for fear that others who pushed ahead with current renewables -- like the Europeans -- would gain a competitive advantage as oil and gas prices rose. The cap would, on this view, give Europe a head start with renewables, and as these become economic against the higher oil and gas prices, fossil fuel dependent countries like the U.S. would lose out.

Almost everything that could be wrong with this approach has turned out to be so. The U.S. now has cheap natural and shale gas and it has rapidly rising oil production. Gas prices have more than halved in the last five years, and oil production is up over a quarter over the same period. Its carbon emissions have fallen to their lowest level for two decades in the first three months of 2012, partly because it has been able to switch from coal to gas, especially in electricity generation.

Without much by way of either an energy or a climate policy, it has both improved its security and reduced its emissions. So great are the potential oil and gas reserves that already North America is producing most of its energy needs. Canada is having to look to export from its west coast rather than sell its oil and gas to the U.S.

Indeed so great is the energy abundance that a process of repatriating energy intensive industries is now getting underway. The energy cost advantage of the U.S. looks likely to outweigh the labor cost advantage of China.

The U.S. has adopted only a few really significant policies affecting climate. One, the pursuit of ethanol as a fuel is proving very expensive -- and tragic for world food markets. Another, the fuel efficiency standard for autos, is perhaps the sole example of effective policy on climate.

The new energy abundance is not however entirely good news: Contrary to what many environmentalists have claimed, there are enough fossil fuels to fry the planet several times over. The obvious implication is that going green is not going to happen automatically through higher prices.

On the contrary, low carbon technologies are going to be expensive and therefore out of the market for a long time to come. In the U.S., nuclear is the biggest casualty, but other renewables face the same challenge.

Nor are the major world economies going to accept top down Kyoto style carbon caps any time soon. Faced with a serious world economic crisis, and with the U.S. now in pole position on the energy competitiveness front, the willingness of both China and Europe to go further and faster on carbon caps has got even weaker.

At the Durban climate conference last year all that could be agreed was that nations would try to agree by 2015 what they might do after 2020.

In Doha this year, nobody has had any serious expectation of much progress. By 2020, on current growth rates, the Chinese and Indian economies will be twice their current sizes, with lots more coal burned, and global carbon emissions will be beyond the critical threshold of 400 parts per million and on their way towards 500 ppm, thereby resulting in the 2 degrees-plus temperature rises the scientific consensus predicts.

Faced with this new game, what should the U.S. -- and indeed the rest of the world -- do about energy and climate change? Two obvious recommendations are: Accept that Kyoto is not going anywhere and build on the new gas abundance to get out of coal. Broadly that is where the U.S. is heading.

The next steps are harder: A carbon price is a necessary condition for facing up to the pollution our consumption is causing. If we don't want to pay the price of our pollution, then we don't want to tackle climate change. So far, the sad reality is that we are not prepared to act. That is why nothing much has been achieved on the carbon front since 1990.

Why then might the U.S. consider putting a price on its carbon emissions, through taxing pollution? One powerful reason has nothing to do with climate change: It needs the money. Taxing carbon might be politically painful, but not as painful as taxing income. So for the wrong reason there are some grounds for optimism.

What would be even better is if some of the money were spent on new technologies. Current renewables can't bridge the carbon gap. Low-density intermittent energy just doesn't generate enough electricity to carry though decarbonisation. But future renewables just might, and here is not only the best hope on the climate front, but also precisely where the U.S. stars. Its deep technological base and its entrepreneurial culture provide one of the best places to drive through the necessary advances.

For the rest of the world, the lessons are much the same. Everyone needs to switch out of coal, and gas provides a now much more abundant alternative whilst we develop new technologies. Sadly Europe is engaged in a dash from nuclear and gas towards coal.

It needs to waste less money on current expensive renewables -- especially the really expensive options like offshore wind -- and get serious about future renewables. Next generation solar technology is an obvious candidate. And everyone needs to put a carbon price in place.

The climate change problem can be cracked, but not through current policies. And in the meantime the world needs to get used to the idea that the U.S. no longer needs the Middle East to keep its cars and industries moving.

The opinions expressed in this commentary are solely those of Dieter Helm.

@highlight

Dieter Helm: America's new abundance of energy is a game changer for the climate

@highlight

He says North America could achieve energy independence and is moving away from coal

@highlight

Without a real climate policy, U.S. carbon emissions have fallen to lowest level in decades

@highlight

Helm: Still needed is for the U.S., other nations to put a price on carbon emissions