(CNN) -- When Democratic Gov. Ted Strickland of Ohio hits the campaign trail before Election Day, you might want to listen, because the outcome his re-election bid could have a direct impact on you -- even if you don't live in his state.

The number crunchers at Election Data Services estimate that next year, Ohio is going to lose two seats in the U.S. House of Representatives. It's up to the Ohio state government -- including the governor -- to decide which House members will go: Democrats or Republicans.

Imagine if, 10 days from now, the Republicans win control of the House, but by only a one-seat majority. Republican John Boehner becomes speaker.

But if a Democrat holds the governor's mansion in Ohio, he could insist that when his state loses two seats, both must be in districts held by Republicans. That means just through redistricting in Ohio alone, the Democrats could take back control of the House.

That would affect your life, because everything from education policy to health care and taxes goes through the House, and which party is in control makes a big difference. The balance of power could hinge on who gets elected governor in states far from yours.

The scenario painted above is highly unlikely -- in part because Republicans will probably retain control of the Ohio state Senate, and they would force a compromise with their governor.

But there's more to this chess game. Ohio isn't the only state that stands to lose seats, and other states will win seats. Texas, for example, is poised to gain four seats. Republicans control the legislature in Austin, and there's a tight race for the governor's  office.

Florida stands to gain two seats through redistricting. Republicans control the legislature in Tallahassee, and there's a close contest in the gubernatorial race.

New York is likely to lose one seat. Democrats control both state houses, and a Democrat is poised to win the governor's mansion.

In all, 18 states will gain or lose representation in the House of Representatives, totaling a change of 24 seats.

In most states, it's all up to the legislature, and the governor vetoes or approves the map. Some states have a different process to try to minimize political games, but that's hard.

"If one party has complete control of the process, they will tilt the table to their favor, so their state will be more likely to elect Democrats or Republicans for entire decade," until redistricting begins again, explains George Mason University professor Michael McDonald, an expert on the process.

Imagine another scenario: On Election Day, Democrats eke out a win and retain control of the House by five seats. But Democrats lose governors and state legislative races across the country. Once redistricting happens next year, those elected state officials could wipe out the Democrats' majority by adding seats Republicans will control and eliminating seats Democrats are certain to control. Democrats in Congress would lose their majority because of politicians elected in a state you've never even visited.

Sound unfair? The redistricting process is required by the U.S. Constitution to ensure that every member of the House has an equal population district. It's the main reason we conduct a Census every 10 years, so we can rebalance districts based on where people are living. These new district lines last for 10 years, until the next census.

When a state has to change even one seat, all the districts in the entire state stand to be redrawn. Remember, every district has to have population of equal size. That means the whole deck is reshuffled.

There are clever ways to draw districts to ensure that one party or another is all but certain to win there.

"A long time ago, people figured out you could do more than rebalance populations so politicians can manipulate the boundaries to their favor," McDonald said, adding that manipulation for political gain is ingrained into our politics. "This is what's called gerrymandering. So the party that controls a state can tilt the balance of power in Washington, D.C."

The origin of "gerrymandering"

The list of states that will gain or lose seats is released in December. But Election Data Services crunched the preliminary census numbers and estimates that the following states will see changes.

Texas will gain four seats, Florida will gain two, and Arizona, Georgia, Nevada, South Carolina, Utah and Washington will each gain one.

Ohio and New York will lose two seats, and Illinois, Iowa, Louisiana, Massachusetts, Michigan, Missouri, New Jersey and Pennsylvania will each lose one.

@highlight

Governors play a big role in the redistricting process

@highlight

Theoretically, redistricting could cause a shift in the balance of power

@highlight

This year, 18 states are expected to gain or lose representation in the House

@highlight

When a state has to change just one seat, the districts in the state stand to be redrawn