(CNN) -- Seven years after devastating terrorist attacks brought death to New York's World Trade Centers, the Pentagon and a Pennsylvania field, the first permanent, on-site memorial is being dedicated Thursday at the Pentagon.

An artist's rendering shows the New York 9/11 memorial, with the museum entry pavilion between two pools.

Official memorials at the other two sites are still years away.

In New York, construction has begun on a complex that will include a memorial with a tree-shaded plaza and reflecting pools, and an underground museum with an entry pavilion.

It's part of a bigger project, including new office towers and a transportation hub, whose target date has been repeatedly delayed.

The goal is to open the memorial to the public by the 10th anniversary of the attacks, in 2011, and the museum by the year after.

New York Mayor Michael Bloomberg stressed the importance of those dates and called progress "frustratingly slow" in an opinion piece published Wednesday in the Wall Street Journal.

"The memorial must be completed by the 10th anniversary," Bloomberg wrote. "No more excuses, no more delays."  Watch and listen to Thursday's memorial services »

However, on CNN's "American Morning" Thursday, Bloomberg said quality is more important than speed of construction.

"We want to make sure what we build is the right thing, that 100 years from now people will look back and say, 'They built it well and built the right thing,'" Bloomberg said. "Nobody's going to remember if it took five years or 10 years. I'd like it to go faster. I've recommended we reduce the level of bureaucracy, but that's not our number one priority."

Federal, state and local governments, as well as several agencies and private developers are involved in the planning and construction.

"It's a complex site, and there was an extensive public process involved in determining the plans for the site," Lynn Rasic of the National September 11 Memorial & Museum said Wednesday. "And I think what's important now is that we look forward and do everything possible to meet the 10th anniversary date." iReport: How are you observing 9/11?

The Port Authority of New York and New Jersey, which owns the trade center site, says it's on board as far as the date for opening the memorial.

Completion dates for the museum and pavilion are part of a review to be finished by September 30, Port Authority spokesman Steve Coleman said.

"We don't want to put any more false hopes, false dates out there in the public domain that can't be met. That's why they want to make sure this thing is a thorough review and we have realistic and achievable dates that we come out with," he said.

Coleman said the Port Authority hasn't felt pressure from families of September 11 victims to speed up the process.

"What we're hearing from family members is that they want to see it done right, rather than rushed," he said.

The memorial will feature two huge reflecting pools, with waterfalls flowing down their sides, where the iconic twin towers stood, according to the memorial's Web site. Engraved around the pools will be the names of those who died in the September 11 attacks as well as the victims of a 1993 terrorist attack on the World Trade Center.  Watch and listen to sights and sounds from 9/11 »

The steel and glass entry pavilion will include two large steel columns salvaged from the twin towers. As visitors descend underground into the museum, they'll see the slurry wall, the bedrock that held back the Hudson River when the towers collapsed.

The Pennsylvania memorial is also scheduled to be completed by the 10th anniversary of the attacks. It will center on the site where United Flight 93 crashed after passengers apparently wrested control of the plane from the hijackers. A plaza will surround the crash site, known as Sacred Ground.

Plans call for a Tower of Voices, with 40 windchimes representing the 40 passengers and crew members who died.

The Pentagon memorial, opening Thursday, includes a bench, a tree and a pool for each of the 184 people killed there when another hijacked airliner crashed into the building.  Watch a victim's family tour Pentagon memorial »

The areas are arranged in order of the victims' ages, ranging from the youngest, 3-year-old Dana Falkenberg, to the oldest, John D. Yamnicky, 71, according to a Defense Department Web site.

"When we learned that there were five children who lost their lives that day, that's really what sparked the idea," designer Keith Kaseman said.

To read the name of a person killed in the Pentagon, a visitor must look toward the building; if the victim was on board the airplane, the name can be seen by looking up.

After dedication ceremonies, the memorial opens to the public at 7 p.m. ET.

"This place is really all about the visitor's thoughts, your interpretation," Kaseman said.

@highlight

World Trade Center memorial plaza scheduled to open in 2011, museum in 2012

@highlight

Memorial at Pennsylvania plane crash site also due to open in 2011

@highlight

Pentagon memorial including benches, trees, pools is dedicated Thursday

@highlight

Watch 9/11 memorials in New York and Washington on CNN.com Live