(CNN) -- Stefani Joanne Angelina Germanotta, better known as Lady Gaga, remembers when she was bullied in high school. She returned from gym class and discovered profanity scrawled across her locker. "It sticks with you and it hurts. And I went home and cried. I didn't want to go to school," she said. Her story isn't unique. On any given day, 160,000 students opt to stay home because they are afraid of being bullied.

Today, at the Harvard Graduate School of Education, Lady Gaga is officially launching her Born This Way Foundation, which will inspire bravery and kindness in young people. As one of the best-selling recording artists of all time, Lady Gaga has repeatedly encouraged her fans to "be someone that nurtures." With her new foundation, she is poised to do much more.

Bullying is pervasive in and out of school. Each year, 20% of high school students report being bullied -- physically, emotionally, or socially. The results can be tragic, as the recent suicides of Phoebe Prince, Jamey Rodemeyer and Carl Joseph Walker-Hoover have taught us.

Victims seldom report bullying incidents to their parents or their teachers because they are embarrassed, fear retaliation, worry that adults will make things worse, or resigned to the belief that nothing can be done. The humiliation of being bullied can haunt people their entire lives. As Secretary of Education Arne Duncan put it, "Bullying is insidious, it tends to get enveloped in a code of silence and shame."

Contrary to conventional views, bullying is not simply a result of troubled kids or peer pressure. The stark reality is that bullying has deep roots in adult behaviors and attitudes.

What would you do if you witnessed three high school students berating another student for being smart, gay, learning disabled, quiet or just different? Research has demonstrated that most of us would do nothing. We tend to be bystanders because we believe bullying is just kids being kids or we may not know how to intervene effectively.

Our failure to act has large costs to our communities. When adults are bystanders, they inadvertently reinforce the bad behaviors of bullies and the passivity of students. However, bullying goes down when students stand up for victims.

Bullying is not a rite of passage -- it is a human rights issue. Fortunately for kids everywhere, bullying is not an intractable problem.

There are a number of ways to combat bullying. We can start by giving educators important tools. Teacher education programs typically do not include techniques on how to create a caring and safe environment in the classroom or strategies on how to handle peer conflicts. These programs often fail to provide basic knowledge of child development in the curriculum. This has to change.

At the same time, educators can utilize proven anti-bullying programs. For example, the Olweus Bullying Prevention Program has resulted in a 50% decrease in bullying behavior in Norway.

In addition, educators can play their part by breaking down the high wall that often separates the cultures of adults and students. When adults are able to gain the trust and respect of the students, they have more credibility in resolving conflicts. Strong teacher-student relationships have numerous academic, emotional, social and moral benefits for students.

Students should be enlisted in prevention efforts. They tend to be a lot smarter about their social environment than adults, and they are far more likely to adhere to community standards if they are involved in creating and monitoring those standards.

Finally, it is up to the adults in all communities to step up. Nothing short of a full-blown media campaign is required to change people's attitudes and behaviors. This kind of social movement is not without precedence. The best example is the designated driver campaign, which saved at least 50,000 lives in the United States alone. Imagine a world in which adults and children view bullying to be just as stupid and dangerous as drunk driving, and know how to stop it in its tracks.

People will need guidelines on how to confront bullies, when to ask a target if he or she is OK, how to enlist the help of others, and when to call 911. We can provide adults and children with the skills and confidence to act when they encounter bullying at bus stops, on playgrounds or online.

We are at a moment of great opportunity. In 2010, the Department of Education hosted the first summit on bullying prevention, and 48 states have now enacted anti-bullying legislation. Many schools and districts are working to create more caring communities. And Lady Gaga is speaking loud and clear at Harvard. Let's not let this moment pass. Let's translate this energy into concrete actions that will not only prevent bullying, but also help adults raise children who care about a more just and kind world.

The opinions expressed in this commentary are solely those of Kathleen McCartney and Richard Weissbourd.

@highlight

Lady Gaga is officially launching a foundation to inspire kids to be kind and brave

@highlight

Kathleen McCartney and Richard Weissbourd: Bullying is not an intractable problem

@highlight

They say that bullying has deep roots in adult behaviors and attitudes that can be changed

@highlight

While bullying is pervasive, a full-blown media campaign can combat it