(CNN) -- On November 7, Great Falls in Paterson, New Jersey, became the latest addition to the national park family. After a long fight by Paterson residents and officials to have the 77-foot waterfall recognized, their dreams were fulfilled -- partially -- by Monday's agreement. There remain years of work to mold Great Falls around National Park Service standards, but the will, and the funds, can now be brought fully to bear on the project.

BudgetTravel.com: See the parks

When Ulysses S. Grant declared Yellowstone the country's first national park in 1872, early conservationists could have only dreamed of the vast network of protected areas that grace America's states and territories today. Less than 140 years after Yellowstone's induction, the National Park Service now operates 397 parks and monuments.

Great Falls might be years away from completion, but visitors have 396 other options to explore in the meantime. And there's no better time for a park jaunt than this Veterans Day weekend, when over 100 national parks will waive their entrance fees. From November 11-13, explorers can enjoy the beauty and history of national parks from Florida to Hawaii at no charge. (Many other national parks are free throughout the year.)

No doubt many visitors will take advantage of this largesse to visit Yellowstone, the Everglades and other crown jewels of the Park Service, but there are worlds of wonder beyond the well-trodden path. Why not take a chance on one of the Park Service's more unusual and lesser-visited locales? Check out the following:

Dry Tortugas, Florida. Hot and remote, the Dry Tortugas are one of the Park Service's most inaccessible destinations. One thing they aren't is dry; the seven islands lying seventy miles west of Key West received their name from their lack of terrestrial fresh water (and an abundance of turtles), but tropical storms inundate the little archipelago with some regularity. Visitors must take a ferry or seaplane to the park, but the reward is worth it: renowned for its marine life and snorkeling, the Dry Tortugas offer clean beaches and clear water, as well as an historic American fortress to explore. Best of all, you probably won't have to share it with many other people.

BudgetTravel.com: 16 awe-inspiring American monuments

Thaddeus Kosciuszko National Memorial, Philadelphia. The Park Service isn't exactly modest in its holdings: from the Grand Canyon, to California's Sequoia National Park, to Wrangell--St. Elias in Alaska (the reigning champ at over eight million acres), it has its share of massive parks. But these spaces contain enough to fill a lifetime, so they might not be the best choice for a weekend trip. If you're not up for getting lost in a vast wilderness, why not go to the opposite extreme and visit the smallest destination in the NPS? Commemorating the life of an American Revolutionary hero, this National Memorial includes exhibits and artifacts from Kosciuszko's military career in the new country he helped to liberate. Housed within Kosciuszko's small Philadelphia home and measuring in at only .02 acres, the memorial is perfect for a quick historical tour.

Aniakchak, Alaska. Only serious adventurers need apply for an expedition to Aniakchak, a swath of land in southwest Alaska encompassing the volcano that gives the park its name. Extreme weather, a rugged, remote landscape and various other inconveniences -- like bears -- have earned Aniakchak its place as the very bottom rung of the NPS popularity ladder, but the natural riches of wild Alaska are a pot of gold for the few willing to seek out the end of this rainbow. Sure, by the Park Service's own estimates only a few dozen people make it out to Aniakchak each year, but what an unforgettable experience those determined few must have.

BudgetTravel.com: 8 most complicated countries to visit

African Burial Ground, New York. From frontier Alaska to the glittering streets of New York, the National Park Service spans all environs. On the opposite end of the spectrum from Aniakchak is the African Burial Ground, located in Lower Manhattan. The monument preserves the remains of several hundred free and enslaved Africans buried in the 17th and 18th centuries. The burial ground was forgotten and built over in subsequent centuries, only to resurface in 1991 as a result of construction excavations. A monument and visitor center now honor the memories of the interred. (The African Burial Ground does not charge admission, but will be closed on Veterans Day.)

BudgetTravel.com: 10 most interesting beaches

Nicodemus National Historic Site, Kansas. Billed by the Park Service as "the oldest and only remaining all Black Town west of the Mississippi," Nicodemus was an important outpost for African Americans moving westward after the Civil War. The historical site in Kansas is comprised of several historic buildings within the still--living community of modern Nicodemus. The town also hosts historical festivals at points throughout the year.

Hamilton Grange, New York. Many of the Park Service's most popular monuments are dedicated to familiar figures of American history. Abraham Lincoln's three memorials alone attracted over six million visitors in 2010 -- a far cry from the New York City home of Alexander Hamilton, which received only around fifteen thousand visitors a year before closing for renovations in 2006. Hamilton Grange was reopened in September and is now accepting visitors -- and at no charge. If Hamilton holds no interest for you, try another of the lesser-visited memorials dedicated to important Americans: the Frederick Law Olmsted National Historic Site in Brookline, Massachusetts, celebrates the life of the renowned landscape architect; the Flat Rock, North Carolina Carl Sandburg Home remembers the storied career of the quintessentially American poet; and in Washington D.C., the Mary McLeod Bethune Council House stands in remembrance of the early, determined civil rights activist and educator.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

The National Park Service now operates 397 parks and monuments

@highlight

This Veterans Day weekend over 100 national parks will waive their entrance fees

@highlight

Take a chance on one of the Park Service's more unusual and lesser-visited locales