Washington (CNN) -- President Barack Obama and congressional leaders wrapped up their first "fiscal cliff" meeting since the election Friday with a confident tone that had both sides suggesting an agreement could be reached before January 1, when hefty federal spending cuts and tax raises are scheduled to take effect.

"My hope is that this will be the beginning of a fruitful process," said Obama, just prior to the meeting meant to avert the so-called fiscal cliff, which some economists warn could push the country into recession.

"Our challenge is to make sure that we can cooperate together," he said.

Republican and Democrat leaders stood together after the White House talks, while House Speaker John Boehner said that Republicans recognize that neither side is going to get everything it wants.

He added that a combination of revenue increases and spending cuts is needed.

"I believe that the framework that I've outlined in our meeting today is consistent with the president's call for a fair and balanced approach. To show our seriousness, we've put revenue on the table -- as long as it's accompanied by significant spending cuts," Boehner said.

Long the sticking point between the president and congressional Republicans, increased revenue is sure to be at the center of any discussion. To the president, it means allowing Bush-era tax cuts on wealthy Americans to expire at the end of the year and returning to Clinton-era rates for high-income earners.

But to Republicans, it has come to mean closing loopholes in the tax code and ending deductions without raising rates.

For his part, Senate Majority Leader Harry Reid simply promised progress.

"This isn't something we're going to wait until the last day of December to get it done. We have a plan. We're going to move forward on it," he said.

Ahead of the meeting, members of the New Democrat Coalition, a group of centrists, sent a letter to Obama, Boehner and House Minority Leader Nancy Pelosi.

"We cannot have a full debate that allows us to address the multitude of issues facing our country if either side takes a potential solution off the table," it said.

With both parties suffering losses of moderate members in the election, this new coalition is signaling it could be a critical bloc of votes in getting a deal through the House. Boehner could potentially lose a chunk of votes from conservatives if final details on new revenue don't meet their approval. Major changes to entitlements could mean Pelosi would lose support from the progressives in the House who believe there shouldn't be any benefit cuts.

Obama and Vice President Joe Biden met with Boehner, Pelosi, Reid and Senate Minority Leader Mitch McConnell in the Roosevelt Room on Friday.

"We don't happen to think that the government needs more revenue. Government spends too much as it is," McConnell said on the Senate floor Thursday. But he added that if Democrats are willing to agree to reform entitlement programs, "we'll be there."

Boehner on Wednesday acknowledged a "spirit of cooperation" between the two sides of the aisle in the House and the president, and he said he would remain optimistic. But as he's done every time he's publicly addressed the issue, the speaker restated his opposition to allowing any tax rates to go up.

"There are ways to put revenue on the table without increasing tax rates," he said. "We've talked about this now for over a year."

The New Democrat group's letter was carefully crafted to avoid taking sides on any specific proposals on tax reform or structural changes to Medicare, Medicaid or Social Security. It pointed out that bipartisan commissions have already drawn up plans that reduce the deficit through a combination of spending cuts and new revenue, but the group didn't endorse any one formula.

And when leaders of the group were pressed to answer whether Democrats would go along with significant changes to entitlement programs -- such as changing the eligibility age for Medicare -- they didn't answer directly and instead said they remain open to everything.

"At the very beginning, before we've even sat down at the table, how about we agree that everything stays on the table until we've had a chance to discuss it," said Rep. Gerry Connolly, D-Virginia.

Earlier, Pelosi repeatedly said she wants to see a "grand bargain" -- the catch-all term for a major deficit reduction package that includes some combination of tax reform, spending cuts and entitlement reforms. But when asked what kind of entitlement changes she could accept, she said those programs should be dealt with separately from discussions about tax cuts.

"Those issues -- Social Security, Medicare, Medicaid -- they should be in their own realm. Whatever adjustments would be made in Social Security should be there to strengthen Social Security, not to subsidize a tax cut for the wealthiest people in America and say that's how we balance a budget. The same thing with Medicaid and Medicare," Pelosi said.

Rep. Allyson Schwartz, D-Pennsylvania, said the group "isn't trying to go around their own leadership" and wants to work with both parties. She said she was encouraged by what top Republicans were saying on being open to new revenue, but she seemed to echo Pelosi on entitlements, saying they are part of a longer-term solution.

Rep. Ron Kind of Wisconsin, the incoming chairman of the New Democrat Coalition, insisted that no one should be drawing bright lines on any issue and compared fiscal cliff negotiations to those between Israel and Palestinian leaders.

"We all know what we need to do -- it's like the Middle East peace plan. Everyone knows where we need to end up; we just need to figure out the political process to get there," he said.

The New Democrat Coalition grew after this month's election, from 42 members to as many as 52 or 53, depending on the results of the handful of unresolved House races. That equates to roughly one-quarter of the overall House Democratic caucus.

Similar to the "Blue Dog" Democrats, another group of fiscal conservatives who played a major role in health care negotiations, this group emphasizes bipartisan solutions. The ranks of the Blue Dogs, who hail mainly from Southern states, were decimated in the 2010 election, and the group will have fewer members -- about 15 -- heading into the next Congress after the retirement of several members.

A challenge facing moderate Democrats is they don't wield significant power in the leadership. Pelosi and the rest of the current leadership are expected to stay essentially the same in the next Congress. While No. 2 Democrat Steny Hoyer is viewed as more ideologically moderate, and often is the bridge to those members, the rest of the leaders have ties to the more liberal elements of the caucus.

The New Democrats do have the potential of gaining a seat at the leadership table -- its current chairman, Rep. Joe Crowley of New York, is vying for the post of vice chairman of the caucus, against Rep. Jared Polis of Colorado and Rep. Barbara Lee of California. Several Democratic aides expect Crowley to win the spot when the elections are held after Thanksgiving.

@highlight

NEW: Reid: "This isn't something we're going to wait until the last day of December to get it done"

@highlight

Some moderate House Democrats are sending a message to both parties

@highlight

They say they want neither side to take "a potential solution off the table"

@highlight

The coalition signals it could be critical to getting a deal through the House