(CNN) -- In "The Big Lie: Motherhood, Feminism, and the Reality of the Biological Clock," I explore many Big Lies, one of which is that women can delay motherhood until we're ready and if we're not able to get pregnant naturally, then science will make it happen for us.

Another Big Lie I write about is that we don't need feminism anymore. In a way, these are two sides of the same lie.

In the book, I make a strong argument for why we need feminism more than ever. The language of the biological clock has been around for decades, but conflicting or misleading messages persist. I believe it is the very role of feminists to arm women with knowledge so that they can make better choices to take control of their future.

Some people claim that no one is unaware of the impact of age on fertility. They're wrong.

A Fertility Centers of Illinois public survey in 2012 showed that only 18.2% of respondents accurately guessed how many couples are affected by fertility problems, and 28.1% didn't know that fertility declines rapidly in women after age 35. In addition, 68.4% of survey respondents weren't aware that as part of a couple, both men and women are equally likely to be infertile.

We should be getting this knowledge from our health educators and doctors, and we should be getting it earlier, possibly during sex education.

'The Big Lie' in putting off pregnancy

Headlines continue to distort the reality. Just last week, Jezebel ran a piece with the title, "New study suggests biological-clock frenzy is bulls--t."

Among the actual findings of the study, by the National Center for Health Statistics, is that while the use of infertility services had declined between 2006 and 2010, white women with higher education levels and household income were the ones more likely to use such services.

As sociology professor Arthur Greil, whom I also interviewed for my book, said to HealthDay, "Women, and especially middle-class white women, are delaying having a first child even longer than before. Part of that reason may be because they have confidence that infertility treatments, when they need them, will work. For a lot of them, it's a false confidence because the treatments work better when you're young."

I started writing "The Big Lie" after my third miscarriage in 2011; my first was three years earlier, when I was 37.

Since my book came out, I've seen comments along the lines of, "Just because she failed doesn't mean others will. I have a friend who had two kids naturally in her 40s."

And maybe they will succeed, but they should know that they will be pushing back against tougher and tougher odds. As it happens, my doctors were clear that the biggest factor was my age. The pathologies from my first two miscarriages showed chromosomal abnormalities (by age 40, half our eggs are chromosomally abnormal; by age 42, that figure is 90%); the third was a blighted ovum -- which happens when a fertilized egg implants in the uterus but the embryo doesn't develop.

I believe we are at a critical juncture where women of my generation are hitting our 40s and realizing that while many of us don't have children by choice, many of us don't have them because we waited too long.

U.S. women having fewer children

We have been a guinea-pig generation when it comes to delaying fertility. According to a Pew study that was conducted in 2008, nearly one in five American women had ended her childbearing years without having a child, compared with one in 10 in the 1970s.

Of course, there are many paths to parenthood and one of the objectives of my book is to encourage people to pursue those options (surrogacy, egg donation and freezing, single parenthood, etc.). Also, adoption: there are more than 100,000 children waiting to be adopted in the United States alone. In 2012, there were about 400,000 children in foster care.

However, many of the options are costly, and we cannot separate conversations about the pursuit of parenthood from the economics of it. According to a 2012 report from the U.S. Department of Agriculture, it costs about $235,000 to raise a child for the first 17 years. When you factor in fertility treatments or adoption costs, etc., many people simply can't afford to have children.

I believe we have to make parenthood a more attainable goal by incorporating more fundamental fertility awareness in sex education and by providing more support through guaranteed parental leave, widespread insurance coverage for fertility treatments, subsidized childcare, etc.

I intended my book to be a conversation-starter and policy-changer. I explore how various factors, including feminism's early victories and advances in reproductive science, dovetailed to create an atmosphere in which women believed their timetables for motherhood were more within their controls.

Ultimately, though, "The Big Lie" is a feminist book, intended to get women to push past the rhetoric and to arm themselves with information.

Five questions on egg freezing

One point of feminism, after all, has always been to push back against the sort of magical thinking that tells a woman that someone will be there to come to the rescue, whether a husband or a fertility doctor. That mind-set holds us back from solutions; we have to balance the heartbreaking scenarios with the optimistic ones. Feminism provides a framework within which to argue for solutions to many of the issues that cut across geographic and economic lines.

When I started telling my story, I was shocked to discover how many others had stories to tell, too -- if not about themselves, it was about a friend, mother, daughter, etc. A 2009 survey of infertility patients by pharmaceutical giant Schering-Plough revealed that 61% hide the struggle to get pregnant from friends and family.

I am hopeful that my book will encourage others to normalize the discourse. I've received dozens of e-mails and read many more comments by those for whom some aspect of my story rings true. I am certainly not the only woman to have multiple miscarriages. I'm not the only woman whose marriage was a casualty of the process.

And I'm not the only woman to feel like maybe I waited too long to try to have a biological child. Nor am I the first to write about all these. There are excellent books by Peggy Orenstein, Amy Richards, Miriam Zoll and more.

I've been inspired by those who turn adversity into action. Supreme Court Justice Sonia Sotomayor wrote in her memoir, "My Beloved World," "There are uses to adversity, and they don't reveal themselves until tested ... Difficulty can tap unsuspected strengths."

In my case, I took what I learned from my mistakes and from my experience with delayed motherhood and used it as a starting point to interview dozens of women of various ages, sociologists, adoption counselors, and fertility doctors about their opinions.

The result is a book that I hope will help others. I explore the choices that women have to make during the course of their lives -- including the choice to have children or not.

Women and men need to share their stories, educate themselves, strategize for their goals, advocate for a better future -- and not to be afraid of feminism. Women don't need any more Big Lies.

The opinions expressed are solely those of Tanya Selvaratnam.

Watch Sanjay Gupta MD Saturday at 4:30pm and Sunday at 7:30am ET. For the latest from Sanjay Gupta MD click here.

@highlight

Many women are unaware of the impact of age on fertility

@highlight

Waiting to have your first child could be a mistake, author says

@highlight

"We have been a guinea-pig generation when it comes to delaying fertility"

@highlight

We need feminism now more than ever, Tanya Selvaratnam says