(CNN) -- American taxpayers have forked over around half a trillion dollars to U.S. intelligence services since the 9/11 attacks, yet nearly a decade after al Qaeda assaults on New York and Washington, the American intelligence community still cannot answer the most basic of questions:

Where is Osama bin Laden? Where is his top deputy, Ayman al-Zawahiri? And where is Taliban leader Mullah Omar?

As reported by CNN on Monday, NATO officials believe al Qaeda's leaders are hiding somewhere in northwestern Pakistan, while Mullah Omar is thought to orbit between Quetta in western Pakistan and the southern port city of Karachi. As Pakistan is roughly twice as large as California and Karachi is a city of 18 million, these are not particularly precise locations for the world's most wanted men.

If the CIA and other U.S. intelligence agencies were private companies and were chronically unable to accomplish one of their key missions, their shareholders would have long ago revolted, fired their management and their stock would be trading at values near zero. Instead, the budgets for the U.S. intelligence agencies continue to spiral upward, while almost a million Americans possess top-secret clearances.

What does a top-secret clearance gain you?

Not much, judging by the content of the tens of thousands of secret documents about the Afghan War made public by WikiLeaks in July. The one surprising thing about this massive classified data dump was how little of it was in any way surprising. It contained the kind of material that the casual reader of news articles have long known: Elements of Pakistan's military intelligence service may be supporting the Taliban!

The dirty little secret of the intelligence world is that much of what you really need to know isn't exactly a secret anyway. Bin Laden declared war on the United States on CNN in 1997 and then again on ABC News a year later, and he soon made good on those threats with al Qaeda's attacks on two U.S. embassies in Africa and the bombing of the USS Cole in Yemen.

In the summer of 2001, bin Laden and his top commanders gave an interview to the Middle East Broadcasting Corp., in which they dropped broad hints that they were planning a large-scale, anti-American assault, which turned out to be the 9/11 attacks. When President George W. Bush was briefed by the CIA a month before 9/11 that bin Laden intended to attack the United States, it was merely to state the blindingly obvious.

Similarly today, al Qaeda and allied groups such as the Taliban constantly release videotapes and print products in which they lay out their doctrines and strategies and document their attacks and tactics, all of which are widely available on the Internet.

The conflict with al Qaeda and its allies is effectively the first open-source war, which is the opposite of how the highly secretive Kremlin conducted the Cold War. Yet U.S. intelligence agencies remain largely configured as if they are doing battle with a superpower, rather than a network of jihadist networks.

As a result, the CIA today more resembles an accounting firm than the swashbuckling, action-oriented spy agency of popular imagination.

This is not an accident. Hiring by the CIA and other agencies in the intelligence community is predicated on passing a background check that has become more onerous since 9/11 and is a legacy of the Cold War notion that a superpower adversary with billions of dollars at its disposal is trying to recruit spies and informants.

But al Qaeda has no capacity to buy spies inside America's intelligence community, and, more broadly, al Qaeda and its allies have shown no ability to recruit inside the U.S. government.

Yet applicants to the American intelligence agencies today are likely to encounter real problems with their background checks if they have relatives in the Arab world or have  spent time in countries such as Pakistan, precisely the sort of life experiences necessary for effective spies.

By contrast, the Office of Strategic Services, the precursor of the CIA, recruited bilingual agents deeply familiar with European culture who took great risks to undertake highly effective operations in Nazi-occupied Europe. In today's CIA, those brave men and women wouldn't have made it past the background check.

Much of the work that has been done to reform the intelligence community since 9/11 has been directed at fussing with the wiring diagram of its bureaucracy: Should the director of National Intelligence control CIA station chiefs, or is that the purview of the CIA director? This kind of jockeying, of course, does nothing to solve the real question American taxpayers want answered: Where is bin Laden? That question is likely only to be resolved by good old-fashioned espionage.

Emblematic of what ails the intelligence community today was its reaction to the failed attempt by al Qaeda in the Arabian Peninsula (AQAP) to blow up a Northwest passenger jet landing in Detroit, Michigan, with a bomb made of plastic explosives on Christmas Day 2009. To do the job, AQAP recruited in Yemen a Nigerian graduate of the elite University College London. His name was Umar Farouk Abdulmutallab.

There was a great deal of subsequent hand-wringing by Obama administration officials about how improved information sharing protocols might have worked better to assemble the shards of information known to the government about Abdulmutallab, which might have prevented him from boarding the Northwest flight.

Their solution: Hire more analysts. But this was to misdiagnose the problem. The intelligence community is awash in analysts. While the precise number is classified, it is reasonable to assume that there are tens of thousands. What is needed is not more analysts but better on-the-ground intelligence.

If the CIA had had a spy on the fringes of AQAP, the appearance of an educated Nigerian from London in the remote desert areas of Yemen where al Qaeda members hide out would have been something that the spy would have flagged to his handlers as remarkable. There does not appear to have been such an agent.

What can be done? The House and Senate Intelligence committees that oversee the intelligence community should hold the CIA to real account using a simple metric: How many jihadist groups including al Qaeda have been penetrated by its agents?

This is less onerous a demand then one might imagine. After just a few months of hanging out in Pakistan, Bryant Neal Vinas, an unemployed Hispanic-American convert to militant Islam from Long Island, managed to waltz into an al Qaeda training camp where he was trained how to attack American bases in Afghanistan. And that was seven years after 9/11.

Budgets should be cut if the CIA can't provide proof that it is penetrating al Qaeda and its affiliates; at the end of the day, this is the most likely way that we will ever find bin Laden, who is not going to be voluntarily given up by the few who know his location today.

President Obama should appoint someone in the U.S. government whose job it is to find bin Laden and who can coordinate that effort across the 16 agencies that make up the U.S. intelligence community.

Finally, the background check for spies should be reformed so that men and women with the regional expertise and linguistic abilities to penetrate and recruit inside jihadist terrorist groups are hired to go outside the wire and get the job done.

The opinions expressed in this commentary are solely those of Peter Bergen.

@highlight

U.S. spends billions on an enormous intelligence bureaucracy, says Peter Bergen

@highlight

He says nearly a decade after 9/11, U.S. can't locate Osama bin Laden

@highlight

American intelligence agencies aren't positioned to infiltrate militant groups, he says

@highlight

Bergen: "Budgets should be cut if the CIA can't provide proof that it is penetrating al-Qaeda"