Sydney (CNN) -- Of the many challenges China faces in its progression towards global economic leadership over the next 15 years, one of the biggest is the food, water and air security of its 1.35 billion people.

It needs to confront this issue with the same zeal and determination it has shown in pursuing economic growth since the 1980s because the environmental downside of that success is the widespread contamination of its soil, water and air -- with costly consequences for the health and safety of its people.

China has less than 10% of the world's cultivated land and only 7% of its potable water, but must seek to feed almost 20% of the world's population, according to the United Nations Food and Agriculture Organization (FAO).

Beijing and other parts of northeastern China are already water-stressed, the air quality in inland mega-cities such as Chongqing and Chengdu is abysmal, farming land is being poisoned by toxic runoff from mining and industrial activities, acid rain blights large parts of south China, contagious disease is an ever-present risk among its livestock, and unscrupulous makers sell tainted foodstuffs.

When natural disasters such as drought, floods, earthquakes and landslides are factored in, the food security picture for China can start to look very bleak indeed.

At the same time, new demographic and social pressures are emerging: China's people are living longer and eating more, according to the U.N. Population growth and economic prosperity are driving demand for water-intensive and protein-rich food such as meat and dairy. That in turn means farmers must produce more soybeans and corn for animal feed, or import what they can't grow.

The speed of the middle class consumption boom is so swift that unless China takes decisive steps soon to re-engineer its food and water usage patterns and supply chains, and commits to a massive greening of its industrial landscape, it risks social dislocation that could undo much of its progress. Food price inflation in the big cities -- China has 160 cities with populations above 1 million -- could trigger unrest.

China's current five-year plan puts considerable emphasis on resource conservation and environmental improvements, but time is not on the side of the new leaders about to take office.

Still, China has faced existential challenges before. Fifty years ago, it emerged from the most catastrophic famine in its history, when drought, floods and Mao Zedong's disastrous Great Leap Forward experiment in agrarian collectivization claimed the lives of an estimated 30 million to 45 million people between 1958-62.

Multiple factors allowed China to recover from those terrible years, including replacing ideology with pragmatism and giving farmers a chance to produce extra crops for themselves.

Since then, better farming practices, improved seeds, more mechanization and information, and smoother supply chains have all helped China in its quest for food security.

So too have offshore food investments in Asia, Africa, the Americas and Australia -- though managing local reaction to these investments carries its own challenges.

Today China is both the biggest producer and consumer of wheat, rice, meat, fish, vegetables and fruit. But it falls short in animal feed. Although China produces 15 million tons of soybeans a year, demand is so high that it must import four times that amount from the United States and Brazil.

By 2015 it could be importing 80 million tons a year, while corn imports could reach 20 million tons, according to Morgan Stanley research and forecasts by food companies such as COFCO and Olam.

On the food safety front, Chinese consumers scarred by the melamine poisoned milk and tainted meat scandals of the past few years are demanding better quality controls. They are alert, too, to any disease outbreaks in China's vast stock of pigs and chickens.

And bubbling in the background is China's problem of water contamination and over-use. According to U.N. FAO statistics, only India uses more water. By the time China's population reaches 1.6 billion around 2030, average water availability will have dropped from 2,195 cubic meters per person a year to just 1,760 m3, the U.N. says. The FAO defines stress conditions as below 1,700 m3, with chronic scarcity below 1,000 m3 and absolute scarcity below 500 m3.

Already Beijing, Jiangsu, Shandong and Tianjin are at "extreme risk," according to the 2012 Water Stress Index compiled by global risk analyst Maplecroft.

Clearly, China has a lot of issues to handle. But with the right policies, it has the chance both to enhance its food security and rejuvenate its environment.

Japan in the 1990s showed how an industrial, heavily-polluted landscape could be re-greened, and how big cities such as Tokyo and Osaka could clean up their air and waterways.

Reduce, reuse, recycle has to be China's resources mantra. Farmers must further refine growing cycles to be more water-efficient. Supply chains between farms and urban tables must run faster and keep wastage to a minimum.

There is one more "R" in the mix - reform. Xi Jinping must lead the reform effort, to address corruption and criminal behavior in the food supply chain.

As well, there are three "Is" -- innovation, infrastructure and investment -- for the leadership to focus on.

There needs to be greater innovation to improve food safety, more investment on infrastructure to upgrade food and water distribution and waste disposal systems, and a proactive approach to long-range investment in domestic and overseas food assets.

Failure to preserve China's environment will be costly in multiple ways.

The opinions expressed in this commentary are solely those of Geoff Hiscock.

@highlight

China has less than 10% of the world's cultivated land and only 7% of its potable water

@highlight

Pressure increasing as China's people are living longer and eating more, according to U.N.

@highlight

China's current five-year plan emphasizes resource conservation, environmental improvement

@highlight

Hiscock: Time is not on the side of the new leaders about to take office