(CNN) -- Only two Republican presidential candidates will appear on the ballot in Virginia next year, regardless of how many are in the race.

Mitt Romney and Ron Paul will have the Dominion State all to themselves. Supporters of Newt Gingrich, Rick Perry, Rick Santorum, Jon Huntsman and Michele Bachmann will have to be content with yard signs or donations as ways of cheering on their favorite would-be nominee.

That's because their campaigns failed to gain the requisite 10,000 signatures. It is, to be sure, a self-inflicted wound, a measure of some organizational chaos. But it is also a function of illogically restrictive local laws. They not only impede ballot access but end up denying open representative democracy to operate on the road to the Oval Office.

The United States is the only nation in the world, save Switzerland, that does not have uniform federal ballot access laws, according to Ballot Access News, a website run by Richard Winger that is dedicated to the issue. This may reflect the country's closely held federalism, but it can create chaos in a presidential year. In many cases, the rules are imposed by state party bosses who are less interested in democracy than in rigging the system to benefit their favored candidates.

Take, for example, my home state of New York. It votes reliably Democratic in presidential years, at least since Ronald Reagan thrashed Walter Mondale in 1984. But the state's primary delegates can still be a prize in a protracted Republican nomination fight. In 1999, John McCain had to sue to even have his name appear on the ballot alongside George W. Bush because the Republican state party chair and his committee essentially decided that Bush would be their nominee without the inconvenience of putting it to a vote. Local laws allowed them to restrict ballot access until public pressure and a court injunction overruled their attempted end-run around democracy. Each presidential cycle, the corrupt kabuki continues.

In this election season, Virginia's ballot isn't the only one with high barriers to entry. Indiana requires 4,500 signatures and Illinois 3,000.

In Rhode Island, some Republican officials are warning that not a single Republican candidate could qualify for the state's primary ballot. Changes to ballot laws last spring now give candidates about two weeks after they declare on January 19 to collect 1,000 signatures from registered Republicans for a ballot spot -- a difficult task during the cold season.

Because our primary system focuses intensely on the first few states -- notably January's gantlet of Iowa, New Hampshire, South Carolina and Florida -- dark-horse candidates logically focus their efforts and limited resources on crucial early contests. But if they are able to build enough support in those states, they can find themselves cut off at the knees in later primary states with high-hurdle filing deadlines or signature requirements. This adds to the advantage of establishment candidates with enough big money behind them to build national organizations before the early states have even voted.

Republican primary voters have watched their candidates debate more than a dozen times this year alone. They have informed opinions. By the time January is over, the current field of seven candidates will probably be cut to three or four. Certainly, at that crucial stage of the nomination, every registered Republican should have a chance to vote for his or her preferred nominee.

One of the major problems in American politics today is that the parties have forgotten that they are not the purpose of our democracy.

Independent voters like me -- now nearly 40% of the electorate and on the rise across the nation -- are effectively disenfranchised in the crucial closed partisan primaries where most elections are effectively decided.

Open primaries, such as in New Hampshire, where independents are allowed to vote, often have the additional benefit of selecting the best general election candidate, the one best able to appeal to centrists as well as conservatives. Look, I'd like to see more open primaries across the nation as a means of achieving a more representative democracy, less disproportionately dominated by partisan activists. But surely, registered Republicans should have the ability to vote for the candidate of their choice, regardless of ridiculously restrictive local election laws.

"It's very disappointing watching people on TV act like its only Newt Gingrich or Rick Perry who are being affected," said Winger, who runs Ballot Access News. "It's the voters who are being injured."

Gingrich, Perry and the other leading Republicans deserve to have their names appear on the ballot as long as their campaigns continue. Their supporters should have the right to vote for their favored candidate. Anything less is hiding behind legalisms, with other candidates defending the status quo because it suits their short-term self-interest, not because it is right or just.

It is a coward's way to win a primary, and it demeans our democracy by denying voters the full range of choice at a pivotal point in the race for the presidency.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Rules on collecting signatures have left only 2 GOP candidates on Virginia ballot

@highlight

Lack of uniform federal ballot access laws disenfranchises some primary voters, he says

@highlight

He says state party machines can set arbitrary rules that favor establishment candidates

@highlight

Avlon: Gingrich, Perry, other GOP candidates deserve names on the ballot if they're running