Is it a slow leak that will grow into a cascade, or a minor drip easily plugged?

More and more, conservative Republicans in Congress are breaking from a pledge they signed years earlier against any kind of tax increase or additional tax revenue.

Facing the so-called fiscal cliff of automatic tax hikes and deep across-the-board spending cuts at the end of the year, the GOP legislators are signaling their willingness to cut a deal with President Barack Obama and Democrats that would include more money for the government.

Poll: Lawmakers won't act their age on fiscal cliff

The overall numbers remain relatively small -- a handful of senators and House members -- but they include influential veterans such as Sens. Saxby Chambliss of Georgia and Lindsey Graham of South Carolina, along with Rep. Peter King of New York.

King has "tried to weasel out" of the pledge, anti-tax crusader Grover Norquist told CNN's Piers Morgan on Monday. "I hope his wife understands commitments last a little longer than two years or something."

Norquist said King knew when he signed it that he was pledging that "as long as you're in Congress, you will rein in spending and reform government, not raise taxes. It's not for 500 years or two generations. It's only as long as you're in the House or the Senate. If he stayed too long, that's his problem."

iReport: Share your financial compromise stories

On Sunday,  Graham declared on ABC, "We don't generate enough revenue," officially disagreeing with the Taxpayer Protection Pledge he signed at Norquist's behest.

Others who have rejected the strict dogma of the Norquist pledge include Sens. John McCain of Arizona, Tom Coburn of Oklahoma and Bob Corker of Tennessee, as well as Rep. Scott Rigell of Virginia, who was elected in the tea party wave of 2010 and recently re-elected.

Norquist, who founded the conservative Americans for Tax Reform, advocates shrinking government by cutting spending instead of raising taxes through higher rates or reforms.

He sounded unconcerned Monday about the GOP backlash, telling CNN that "no pledge taker has voted for a tax increase."

"You've had some people discussing impure thoughts on national television," Norquist said.

Norquist: I'll unseat pledge breakers

At the White House, spokesman Jay Carney told reporters he hoped the "welcome" comments by some Republicans represented "a difference in tone and approach to these problems."

To CNN Chief Political Analyst Gloria Borger, the softening tone by some in the GOP was explained by new poll numbers that showed 45% of Americans would blame Republicans for failing to avoid the fiscal cliff, while 34% would blame Obama.

The public shift comes after Obama won re-election and Democrats increased their slim Senate majority and narrowed the GOP majority in the House in this month's election.

In what have been secret talks so far, Obama and Congress are seeking to revive a possible "grand bargain" to cut the chronic federal deficits and debt.

Without a deal, tax cuts from 2001 and 2003 -- when George W. Bush was president -- will expire, raising rates for everyone starting in January. In addition, spending cuts would reduce spending on the military, national parks, the Federal Aviation Administration and other important government services.

However, the government and Congress still would have time to prevent draconian effects from the fiscal cliff when a new Congress convenes in January.

Obama promotes his fiscal cliff solution

William Galston, a senior fellow in governance studies at the Brookings Institution, called that a form of brinksmanship best avoided.

"To be sure, no one believes that non-agreement by December 31 would be the end of the story. After a period of finger-pointing, discussions would resume," he wrote last week in a New Republic opinion piece. "But equally, no one knows how the failure to reach agreement before the end of 2012 would affect the dynamics of the negotiations."

In addition, "we can be reasonably sure ... that national and global markets would react adversely and that businesses, which are already retreating from planned investments in new plant and equipment, would become even more uncertain and risk-averse."

The CNN/ORC International poll released Monday also showed that a solid majority of respondents -- two-thirds -- supports the Democratic stance that any agreement should include a mix of spending cuts and tax increases. Of that total, Republicans favor such an approach by 52%-44%.

In particular, Obama and Democrats insist that wealthy Americans, so far identified as those with income higher than $200,000 for individuals or $250,000 for families, should pay more taxes than they do now so that rates for everyone else stay the same.

However, the outgoing Congress in a lame-duck session for the rest of the year, as well as the new Congress to be seated in January, include large numbers of Republicans who signed the Norquist pledge.

Come January, there will be 39 senators, including Chambliss and Graham, and 219 House members who endorsed it.

Trending: Graham says he'd break no-tax 'pledge'

The House total constitutes a narrow majority in the 435-seat chamber, though some members have denounced their allegiance to the pledge.

Some congressional conservatives sought to deflect attention from the Norquist pledge on Monday, focusing instead on the need to work out a deal that included concessions by Democrats.

"The goal is to solve the problem," insisted Rep. Kevin McCarthy, the No. 3 House Republican in the incoming Congress. He rejected Obama's call for letting tax rates on income over $250,000 return to higher levels of the 1990s, telling CNN "that doesn't solve the problem" because "you do nothing about the growth of government."

Long a defining difference between Democrats and Republicans, the tax issue has stymied efforts to work out a deficit deal for the past two years.

Obama and House Speaker John Boehner came close to agreement last year before conservative rejection of any increased revenue and liberal resistance to entitlement reform scuttled the effort.

Boehner, the Ohio Republican who has emerged as party leader in the deficit talks, agrees to the concept of increased revenue, though he and Senate Minority Leader Mitch McConnell of Kentucky both remain opposed to actually raising tax rates.

Instead, they propose broad tax reform that will lower rates while eliminating unspecified loopholes and exemptions to spur economic growth that they say will result in more overall government revenue.

"It's fair to ask my party to put revenue on the table. We're below historic averages," Graham told ABC. "I will not raise tax rates to do it. I will cap deductions. If you cap deductions around the $30,000, $40,000 range, you can raise $1 trillion in revenue, and the people who lose their deductions are the upper-income Americans."

At the same time, Graham and other conservative lawmakers demand that Democrats agree to significant reforms in entitlement programs such as Medicare and Medicaid, the government-run health care programs for senior citizens, the disabled and the poor.

"I will violate the pledge, long story short, for the good of the country, only if Democrats will do entitlement reform," Graham said.

On the same program, Democratic Sen. Dick Durbin of Illinois said some changes to Medicare are needed, but he ruled out any reforms to Social Security, the national retirement plan, saying it is a separately funded system that "does not add a penny to our debt."

Noting opposition to entitlement reforms by traditional Democratic allies such as organized labor, Durbin said everyone has to realize that some changes are needed in Medicare and Medicaid.

Fiscal cliff tax deal: Getting to $1 trillion

"Those who say 'don't touch it, don't change it' are ignoring the obvious," said the Senate's No. 2 Democrat, adding that "we can make meaningful reforms in Medicare and Medicaid without compromising the integrity of the program, making sure that the beneficiaries are not paying the price for it, except perhaps the high-income beneficiaries. That to me is a reasonable approach."

However, Durbin balked at one proposal sought by Republicans -- to slowly raise the eligibility age for Medicare above the current level of 65.

"What happens to the early retiree who needs health insurance before that person's eligible for Medicare?" Durbin asked. "My concern about raising that Medicare retirement age is there will be gaps in coverage or coverage that's way too expensive for seniors to purchase."

Graham rejected Durbin's point, saying the same change instituted in Social Security has worked. He also called for adjusting benefits based on the personal wealth of recipients, so that those with more money have to pay more for services.

Norquist said Democrats will never agree to the negotiating position of Graham and other Republicans, calling the demand for entitlement reforms akin to a "pink unicorn that doesn't exist."

Read more: 8 things that could kill a fiscal cliff deal

The political risk for Republicans to going against the no-tax pledge comes from angering Norquist and other conservatives who can target them in GOP primary campaigns in 2014 and beyond.

Norquist said Monday his group would "certainly highlight who has kept their commitment and who hasn't" when re-election time comes.

"The key here is whether or not the Republicans will move away from the ideologically rigid position, which has been the Grover Norquist pledge," Democratic Sen. Carl Levin of Michigan told NBC on Sunday. "You've got to raise additional revenues, including tax rates on the wealthy. They have to go up. Either real tax rates or effective tax rates, there are ways of doing that."

Opinion: Can GOP handle prosperity?

@highlight

Grover Norquist says lawmaker "tried to weasel out" of anti-tax pledge

@highlight

More Republicans call for increased tax revenue in a deficit deal

@highlight

President Obama and Congress are trying to work out an agreement

@highlight

Without a deal, the nation faces the so-called "fiscal cliff" come January