(CNN) -- An ambitious employee of "The Circle," an all-seeing, all-knowing tech company at the heart of the new novel by Dave Eggers, raises her hand to pitch an idea to her bosses: Use the firm's social network to register virtually everyone in America to vote.

Then she takes it further. "Our interfaces are infinitely easier to use than, say the patchwork of DMV sites around the country," she says. "What if you could renew your license through us? What if every government service could be facilitated through our network? People would leap at the chance. Instead of visiting a hundred different sites for a hundred different government services, it could all be done through the Circle."

The idea of substituting a frictionless private network for clunky government sites might seem an appealing one, given the much-publicized woes of Obamacare's HealthCare.gov.

It's just one of the ways Eggers is fortunate in the timing of his book, which seems ripped from recent headlines about privacy, technology and social media.

"The Circle" will send many readers hunting for the paperback copies of "1984" they haven't opened since high school. But does its portrait of a digital totalitarian future inspire the same kind of foreboding that George Orwell's dystopian novel did at a time when many people believed dictatorships were destined to control the world?

Are Google, Facebook and Twitter taking us to, as a Joe Nocera column in The New York Times suggested, "a world without privacy"?

Eggers builds his story around Mae Holland, a naive employee of her hometown's public utility, who escapes the boredom of her life in a cubicle by landing a job at The Circle, the most desirable tech company around.

Through a friend, rising Circle star Annie, Mae is installed in a "customer experience" post where she is dazzled by the company's feature-rich 400-acre campus, full of benefits for workers ranging from tennis courts to gyms to theaters to a cafeteria where famous singer-songwriters show up to entertain. Powerful politicians are always visiting the campus. Company parties offer primo food and drink. Employees are encouraged to help themselves to the merchandise at a company store stocked with cutting-edge products that haven't yet been publicly released.

Mae's father, who suffers from multiple sclerosis, and who, with her mother, is locked in constant battle with his health insurer for the care he needs, is soon put on The Circle's generous health plan, at Annie's behest.

Yet Mae's work, a grueling round of interaction with The Circle's customers, is at odds with the paradise of benefits the company touts. Everything she does is instantly measured and rated and she's encouraged to keep going back to the customers to persuade them to give her higher scores. She goes to absurd lengths to win favorable ratings.

And those parties aren't only a reward for her hard work; attendance is mandatory for those who want to be seen as embracing The Circle's values and suitable for promotion. Officials blithely talk about the importance of "work-life balance" when what they really mean is that people should be using their "off hours" to be furthering The Circle's agenda through social media.

Eventually, Mae will graduate from "customer experience" and gain fame as she wears a camera that makes her life almost totally transparent. She only has to look at her wrist device to see the "zings," Twitter-like bursts of comments her millions of followers send as they react to every conversation she has and every letter she reads.

Mae's ties to Annie, her parents and an old boyfriend and to her passion for kayaking are steadily weakened as she falls afoul of The Circle's imperatives to share and to reveal all. Rather than rebel and quit her job at the prestigious company, though, she becomes the fiercest adherent of its values.

At The Circle, employees are encouraged to think big, to hatch ideas for new services relying on the power of big data, measurement and intrusiveness. And those ideas are breathtaking in their ambition -- and scary in that they don't seem as far from realization as they should in Eggers' fantasy world.

A book that begins as a lighthearted cautionary tale grows into a claustrophobic portrait of relentless effort to achieve the culmination of "closing the Circle," erasing privacy and anonymity to the point where anyone anywhere can be located with precision within minutes and tracked by The Circle's "SeeChange" cameras or by fleets of drones.

How much of "The Circle" is tongue-in-cheek? There are parts where Eggers surely is having fun with Mae's innocence and her bosses' laughable rhetoric and overweening ambition. None of the characters is fully formed enough to seem real.

Still, he seems to be searching also for a way to prod people to ask whether the cost of surrendering privacy is always an acceptable price to pay for the newest service or the coolest device. In a recent interview with The Telegraph, Eggers was asked: "What is the greatest threat to our freedom today?" His answer: "Our feeling that we're entitled to know anything we want about anyone we want."

In this respect, "The Circle" isn't all that far away from "1984" in its ability to sound an alarm.

Yet Orwell's vision, from the vantage point of the late 1940s, was guided by the actual horrors of the Soviet Union's totalitarian regime.

Eggers, as much as his narrative evokes the events of today from the NSA surveillance controversy to the Obamacare website troubles, imagines a horrific future that hasn't arrived and likely will never come.

@highlight

In a novel, a character proposes that a social network should take on government functions

@highlight

"The Circle" is proposed as a venue for voter registration, and every government service

@highlight

Author Dave Eggers paints dark picture of corporations using digital networks to erase privacy

@highlight

Does Eggers' vision resemble the kind of totalitarianism depicted in "1984"?