(CNN) -- Even hardened race fans, accustomed to witnessing spectacular crashes, were stunned to see the shattered body of 20-year-old race car driver Kevin Ward Jr. sprawled on a New York dirt track Saturday night.

He had been run over and killed by a car driven by Tony Stewart, one of the most famous, charismatic and controversial drivers on the $3 billion-per-year NASCAR race circuit. Much of the public's interest in Stewart undoubtedly derives, not only from his winning record but also from his tough guy, bad boy image reminiscent of the sport's early rough-and-tumble days.

That image will certainly be one of the things authorities in New York will be looking at when trying to decide whether to close this case as a tragic accident or to press forward with criminal charges.

The preliminary signals from the Ontario County Sheriff's Office would indicate a favorable outcome for Stewart. Sheriff Philip Povero has announced that the Ward tragedy is viewed as an "on track crash," and that to date there was no evidence of "criminal intent." The sheriff did hedge a bit by saying that the "investigation was continuing."

The sheriff has undoubtedly been carefully reviewing the amateur video of the crash. It depicts Stewart's car in close proximity to Ward's car coming out of Turn 2 in the race. Ward's car then appears to be pushed into the outside wall, forcing his car out of the race.

Ward then appears to exit his vehicle angrily and charges on to the racetrack, pointing in the direction of Stewart's and other drivers' swiftly approaching cars. In graphic and stunning video footage, young Ward is hit, apparently by the right rear tire of Stewart's vehicle, causing him to be dragged down the track to his death.

We can expect that Povero will continue his investigation by interviewing witnesses and undoubtedly obtaining copies of other videos taken from different angles. He will likely consult with experts in racing.

His key questions: 1. Was Ward's decision to stand in the track, so close to moving vehicles unusual? 2. Should Stewart, knowing he may have struck Ward's car, have anticipated a problem when approaching the turn as a "yellow flag" had been thrown warning drivers to proceed cautiously as an accident or debris ahead was likely?

Povero will be working in close conjunction with the Ontario County District Attorney, R. Michael Tantillo, a seven-term veteran of criminal investigations and trials. Tantillo supervises a staff of about 10 attorneys that serves a county with a population of about 107,000 residents.

New York, on average, prosecutes 5% of vehicular accident death cases as criminal matters. Most cases are viewed as tragic accidents caused by either driver or pedestrian negligence. Cases prosecuted criminally usually involve charges of drunken or drugged driving. So far no allegations of intoxicated driving have emerged in the Stewart/Ward investigation.

In this case it will be impossible to know what was going through Stewart's mind as he approached the Ward vehicle under the warning of a yellow flag. To prosecute this case as an intentional murder or even as a more serious form of manslaughter, there would have to be proof that Stewart "intentionally" aimed his car at Ward seeking to kill or injure him seriously.

Stewart's intent here is impossible to prove regardless of his bad boy reputation unless he were to confess to an intentional murder. I think it's safe to say that is not going to happen.

Prosecutors will next examine whether Stewart operated his vehicle with "depraved indifference," "recklessness" or "criminal negligence" at the track that night. Evidence of such conduct would be necessary to support any nonintentional murder, manslaughter or criminally negligent homicide charge.

The evidence supporting criminal charges is conspicuously absent given what we now know about the case. Ward recklessly choose to walk into an active and highly dangerous racetrack exposing himself to injury or death. An experienced professional driver such as Stewart had a right to expect that his fellow drivers would conduct themselves in a safe and professional manner during the race.

Collisions are a common part of the race scene, and one would expect a driver in Ward's vulnerable position to get off the track and out of harm's way immediately. Stewart was, no doubt, shocked to see Ward in the roadway pointing in his direction as he approached the turn again. In fact, Stewart's car appears to fishtail slightly, indicating an attempt to avoid contact with Ward.

In determining whether Stewart's conduct was reckless or criminally negligent, the conduct of the other drivers in the race will be examined. They appear to be proceeding at a similar speed as Stewart under the yellow flag warning. They too were probably surprised to see Ward positioned in such a dangerous place.

The evidence supporting criminal charges is just not here. In the end, all signs point to a red flag for any criminal charges against Stewart in this tragic accident arising from America's most popular summer sport.

@highlight

NASCAR driver Tony Stewart's car hit and killed driver Kevin Ward Jr. during race

@highlight

Paul Callan: Sheriff likely to look at Stewart's bad boy image and amateur video of crash

@highlight

Callan: Still, sheriff says, no evidence of criminal intent on Stewart's part

@highlight

Callan: Ward recklessly walked onto track; Stewart had right to think that would not happen