(CNN) -- Its name is Black Beauty, and it has traveled a long way to tell you about its home: Mars.

This meteorite, discovered in northern Africa, contains preserved materials from the Red Planet that are 4.4 billion years old, say scientists in a new study published in the journal Nature. Black Beauty, they say, may be the first identified example of crust from ancient Mars, and its age suggests that the planet's crust formed within the first 100 million years of Mars' existence.

"It's just pressing its nose against the creation of Mars," lead study author Munir Humayun, a professor at Florida State University, said of the meteorite.

What's more, the rock contains 10 to 30 times more water than any previous Martian meteorite, suggesting it was derived from a water-rich environment, said University of New Mexico professor Carl Agee, who was not involved in the Nature research, but separately studies Black Beauty. It is unlike any other Martian meteorite ever found, he said.

"If I were going to start looking (for evidence of past Martian life), this would be the first place I would go, to this meteorite, because it is a sample from the surface," Agee said.

It's really old, older than we thought

Black Beauty contains zircon crystal grains that are 4.4 billion years old, according to the new study. That's only about 100 million years after the solar system's first dust condensed.

"Since it takes time to build up a crust, and to allow that crust to process itself until it can start growing zircons, it's pretty amazing that we have such ancient zircon," Humayun said.

What's more, said Humayun, the oldest crusts of the Earth and moon formed at around the same time.

Although scientists have found zircons that are almost that old on Earth, only one -- discovered in Western Australia -- is around the same age. But five zircons in this Martian meteorite alone -- some of the first zircons to come to Earth from Mars -- seem to date to 4.4 billion years old.

"A very large portion of the Martian crust must be very ancient," Humayun said.

Humayun's sample of Black Beauty, officially called NWA 7533, is about the size of a fist, but all pieces of the meteorite together total about 1.5 kilograms (3.3 pounds).

Earth sees a lot of meteorites generally; about 100 tons of rocks come in from space every day, said Don Yeomans, manager of the Near-Earth Object Program Office at NASA's Jet Propulsion Laboratory. But rarely do we find Martian rocks. Less than 100 have been found, Humayun said.

A large meteor impact on Mars, about 5 to 11 million years ago, was enough to eject material from the crust and into space in the form of this meteorite, Agee said. Cosmic ray exposure measurements suggest it was floating in space for all this time.

Black Beauty had initially been described in a Science study published in February, led by Agee, which dated it to about 2.1 billion years old. But since then, Humayun and colleagues found the rock contains materials that are 4.4 billion years old, and published their new findings this week.

Agee said his group has independently confirmed Humayun's results regarding the age.

What accounts for this discrepancy? Agee said his first result may have been for the bulk rock -- that is, an average age of all of the rock types embedded within it. It's likely that the earliest formation of the meteorite was at 4.4 billion years, Agee said, but it continued to be shaped by geological processes for another 2 billion years before it blasted off into space.

Agee and Humayun continue working on different Black Beauty samples separately, but not as rivals, said Agee. In fact, they are good friends.

"Two labs working completely independently coming up with similar conclusions is much more convincing than if you're all part of the same gang," Agee said.

Different than other meteorites

NASA's most powerful and sophisticated rover on Mars, the 2-ton Curiosity, has given plenty of insight into the planet's former habitability since it landed there last year. But even it cannot do a great job of dating rocks.

On Earth, scientists can better estimate ages because they can measure the amount of trace elements in rocks, not just the most common elements. The trace elements -- those that are present in tiny quantities in a particular sample -- can be more indicative of the processes that led to the formation of meteorites than common elements, Humayun said.

The trace element iridium, present in this meteorite, indicates that it came from a mysterious area of Mars called the southern highlands. That makes Black Beauty the first known resident of the southern highlands to get to Earth.

Other samples from Mars that have reached Earth have been coming from the Martian Northern Hemisphere, which has low, flat plains. The Southern Hemisphere, by contrast, has a lot of craters, Agee said, meaning it's about 3.8 billion years old or older.

Given its newly confirmed age, Black Beauty is one of the oldest samples scientists have seen from Mars. The other possible contender for that title is the famous Allan Hills meteorite, which has been dated to a similar time frame. NASA announced in 1996 that the Allan Hills meteorite, discovered in Antarctica, contained evidence of primitive life, but that conclusion has since been disputed. Agee noted futher that the Allan Hills sample is a chunk of bedrock, and would not have interacted with water and the surface environment the way that Black Beauty did.

In the meantime, scientists are also probing Black Beauty for ancient Martian fossils. So far none have turned up, Agee said, but there could still be chemical byproducts of primitive life hidden in the rock samples.

Clues to Martian history

Mars had a lot of volcanic activity when Black Beauty's zircons formed 4.4 billion years ago, Humayun said. Volcanic processes would have released water, carbon dioxide and nitrogen, which were trapped inside the interior of Mars, creating a "a very quick, thick atmosphere, perhaps even an ocean on the surface."

In other words, we're talking about "very livable conditions" at that time, Humayun said.

"If there was a biosphere on Mars ever, this is the time it would have originated," he said.

Unfortunately for whatever life may have existed then, these processes happened very early in the history of Mars. The planet then underwent heavy bombardment by asteroids and comets, forming the craters in the southern highlands and knocking the atmosphere and oceans off the planet.

On Earth, a biosphere emerged after our own planet was bombarded, and took advantage of abundant sunlight.

The cold, dry conditions at the surface of Mars today are so hostile that nothing could survive, Humayun said. But Black Beauty may hold clues to what might have lived early in the planet's history.

"We will be looking inside this rock for evidence of early micro-organisms that may have left behind chemical traces," he said.

How it got to scientists

Recovered pieces of the meteorite, found in 2011, are now the subjects of intensive study. But they didn't just crash-land on scientists' desks.

A thriving business has emerged in Northwest Africa among nomads who wander the Sahara Desert collecting fossils and other interesting rocks and sell them. That's how Black Beauty first got to a dealer, who sold it to a private collector in Indiana, who then gave it to Agee to look at.

The rock sat on Agee's bookshelf for two months. He wasn't even sure that it was a meteorite. Finally, he decided to cut into it and see what it was.

"It was shiny black on the outside, and when I cut into it, it was still very black, but it had also white specks and sparkling specks, and it looked really different than anything I'd ever seen," Agee said.

The Moroccan dealer who bought it from nomads called the meteorite "Black Beauty," a name that has stuck among scientists working on it, Agee said.

Once the word got out that Black Beauty was from Mars, the nomads scoured for more pieces of the meteorite, some of which ended up with Humayun.

Any meteorite buff who sees Black Beauty would be "struck by its odd beauty," Agee said.

"It is just a gorgeous sample," he said. "It's so different. I always say to everybody, 'It's my favorite meteorite of all time.' "

As scientific investigations continue, researchers may find even more reasons to praise Black Beauty.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Meteorite has materials from Mars that are 4.4 billion years old

@highlight

It has 10 to 30 times more water in it than any other Martian meteorite

@highlight

Scientists will analyze it for chemical traces of life

@highlight

No fossils have been found in this meteorite