(CNN) -- More than 700 infants and 40 health care workers have been exposed to tuberculosis, commonly called TB, at a hospital in El Paso, Texas, according to the city's Department of Public Health.

Health officials are not yet saying if any of the people exposed have tested positive for the disease.

An employee at Providence Memorial Hospital in El Paso came to work with an active case of TB some time between September 2013 and August 2014. He or she worked with infants in the nursery and in the post-partum unit at the hospital, the health department says.

The hospital has identified 706 infants and 43 workers who were exposed to the disease during that time period. The family of each patient was sent a certified letter and is being contacted via telephone with instructions on how to get tested for TB. Any necessary follow-up care will be provided free of charge by the health department and the hospital.

The infected health care worker is no longer working and is receiving treatment, the owner of the hospital, Sierra Providence Health Network, said in a statement.

Tuberculosis is an infectious disease that generally causes coughing, chest pain and difficulty breathing, according to the Mayo Clinic. An estimated 2 billion people worldwide have what's called latent TB, where the bacteria remain dormant and don't cause symptoms.

"Once in the body, the bacteria usually lay dormant for months or years before they begin to grow and cause a case of active TB," the City of El Paso's Department of Public Health said in a statement. "That is why it is so important to identify people who may have been exposed, screen them, and provide treatment."

The bacteria that cause TB spread through the air when an infected patient coughs or sneezes, but it's not a highly contagious disease; close contact over a longer period of time is required before another person becomes infected, according to the Mayo Clinic. Only active TB can be spread.

The Texas Department of State Health Services conducted an on-site investigation at Providence Memorial Hospital last week and cited the hospital "for deficiencies that represent immediate jeopardy to patient health and safety," said Carrie Williams, the department's director of media relations. Investigators "found serious deficiencies in the areas of infection control, patient rights and governing body."

The Center for Medicare Services has placed the hospital on a termination track, said David Wright, deputy regional administrator for CMS in Dallas. He said CMS is giving the hospital until October 11 to identify policy changes that need to happen to ensure something like this won't happen again. If the hospital fails to do so, its Medicaid and Medicare funding will be cut off.

"This is one of the largest TB exposure investigations we've ever been involved in, and it involves infants, so it is particularly sensitive," Williams said. "Babies are more likely than older children and adults to develop life-threatening forms of TB."

Patients with TB must take antibiotics for six to nine months. Some strains of TB are resistant to antibiotics, which makes them more dangerous. Without treatment, TB can be fatal, the Mayo Clinic says.

There is one vaccine for TB -- Bacille Calmette-Guerin, known as BCG -- that is not widely used in the United States, according to the Centers for Disease Control and Prevention; it is given more often to children in countries where TB is common.

There were 9,582 recorded cases of TB in the United States last year. In October, health officials identified 140 infants who may have been exposed to tuberculosis in a similar incident at a hospital in Nevada.

CNN's Matthew Stucker contributed to this story.

@highlight

Hospital worker in El Paso, Texas, came to work with active case of TB

@highlight

706 infants and 43 workers were exposed to TB

@highlight

TB is an infectious disease, but not highly contagious