(CNN) -- It's sometimes said that the '00s opened with a Pearl Harbor and ended with a Great Crash. Yet this dramatic decade still lacks even a name. The Forties had big bands and a bigger war, the Sixties protests and hippies, the Seventies "malaise." But what do we call the decade just ending?

The Double-Zeros? The late Bill Safire suggested the Naughties, "nought" being an old-fashioned term for "zero" (as in dough-nought).

Whatever you call them, the years from 2000 on have been united by one great theme: This is the decade when the bills came due for neglected problems.

1) Terrorism

The most painful thought about the 9/11 attack was how easily it could have been prevented. If the state trooper who pulled over Ziad Jarrah for speeding had a way to detect a fraudulent driver's license -- if the gate agent who checked Muhammad Atta in Portland, Maine, had acted on his suspicions -- if, if, if.

Through the 1990s, the United States was targeted by an escalating series of terrorist actions. Yet the country's leaders continued to treat terrorism as second or third-tier problem.

President Clinton did not respond to the attack on the USS Cole in December 2000. Some suspected he feared retaliation would disrupt his Israeli-Palestinian peace negotiations. Candidate George W. Bush promised Muslim voters that he would end the use of CIA terrorism evidence in immigration hearings.

The bill for past laxity came due on September 11, 2001. And over the remainder of the decade, other bills would arrive: the bill for allowing Saddam Hussein to remain in power in 1991, the bill for not responding to Iranian-sponsored terrorist attacks in the 1990s.

After the attack on the U.S. Khobar Towers barracks in Saudi Arabia killed 19, the Clinton administration threatened retaliation if Iran repeated the atrocity. That threat was followed by the ramping up of the Iranian nuclear program that confronts the world today.

2) Health care

The private marketplace had developed a promising, cost-efficient means of delivering healthcare: the health maintenance organization. Thanks to the spread of HMOs, health care costs grew more slowly in the 1990s than any decade since World War II.

Because health care costs are paid out of employee wages, slowing those costs boosted worker pay. Thanks in large part to the slowdown of health cost inflation, worker incomes grew faster in the 1990s than in any decade since the 1960s.

But the HMOs had their faults and kinks. Instead of defending and improving the HMO system, demagogic state and federal politicians waged war on HMOs, imposing strict mandates on them that forced up their costs. And they persuaded employers to revert to more traditional and expensive fee-for-service medicine.

The main result: Costs exploded upward again in the 2000s. The average cost of a health policy for a family of four doubled between 2000 and 2006, from about $6,000 to about $13,000.

A secondary result: Wage growth stopped. The typical earner actually brought home less after inflation in 2006 than in 2000.

3) Immigration

In 1986, Congress passed the Simpson-Mazzoli bill, granting amnesty to illegal aliens and promising stricter enforcement of immigration laws in the future. The law failed miserably. The amnesty only invited a huge surge of migrants hoping for a second amnesty. The promised enforcement never materialized.

Over the ensuing decade, the United States received the biggest influx of migration since before the First World War. These new migrants transformed the lives of middle-class Americans.

In the 1960s, McDonald's was the typical night out for a middle-income family. In the 1990s, a family earning the same income could enjoy table service at an Olive Garden or Applebee's.

House cleaning, gardening, nannying and valet parking all became more affordable to middle-class Americans.

There were losers from this social transformation: lower-skilled natives priced out of low-wage jobs. But they had little political clout, and their feelings were easily ignored.

But in the 2000s, it became apparent that the illegal migrant population had grown vastly bigger. Migrants were now displacing the native-born from more desirable work: construction, meatpacking, trucking.

More ominously, the children of the migrants were growing into something that looked very much like an underclass.

The rate of teen motherhood among second-generation Hispanic children is higher than among blacks. Barely half of second-generation Hispanic migrants complete high school on time. Rejecting the low-skilled jobs that employed their parents, but unprepared for more skilled work, they fall into gangs and alienation.

And this time, unlike 1986, we are talking about a population numbering in the tens of millions.

These bills for past mistakes arrived in the 2000s. But we did not manage to pay them. Maybe it would be both more numerically and historically accurate to call the decade not the double zeroes but the triple zeroes.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

The decade that's ending doesn't yet have a name

@highlight

David Frum says the decade was marked by unsolved issues of earlier years

@highlight

Frum: Terrorism, health care inflation, immigration issues came home to roost

@highlight

He says these problems haven't been solved in this decade either