Spice, bath salts, herbal incense.

They sound like something you might find on the fragrance aisle at Target, but these are actually dangerous drugs masked as harmless fragrances, sold in convenience stores and online.

Innocent names such as Mr. Smiley hide the dangers.

No one really knows what's in these so-called synthetic drugs.  Manufacturers play a dangerous cat-and-mouse game with law enforcement by constantly changing the chemical compounds of the drugs to circumvent existing laws.

Teen recovers after smoking synthetic pot

Last week, Colorado health authorities announced that they -- along with the federal Centers for Disease Control and Prevention -- are investigating a rash of hospitalizations and three deaths believed to be the result of smoking synthetic marijuana. And real marijuana is legal in Colorado.

CNN's Drew Griffin, who got exclusive access to a federal sweep of synthetic drugs earlier this year, spoke to John Scherbenske, a Drug Enforcement Administration official who oversees its Synthetic Drugs and Chemicals section.

Scherbenske helped shed light on these manufactured drugs and why the DEA has stepped up its attempts to target those who sell these drugs and raise awareness about the dangers.

Here's what you need to know:

What exactly are synthetic drugs?

There is no exact definition, because the term is used to describe a wide range of chemical products that are ever-changing.  Synthetic marijuana and "bath salts" are the most common of these drugs, which are often sold as incense or plant food.  Unlike drugs such as marijuana and cocaine, these drugs do not come from plants; they are manmade.  Synthetic marijuana consists of drug chemicals that are sprayed on plant materials and sometimes marketed as potpourri.

While methamphetamine and MDMA -- also known as "ecstasy" or "molly" -- are technically synthetic drugs because they are made entirely from chemicals, the term "synthetic drugs" usually refers to bath salts and synthetic marijuana that are often sold in stores and online as household items.

When did they start appearing in the United States and who's using them?

These drugs first appeared in the United States around 2009, according to Scherbenske, and they have since exploded in popularity, particularly among teenagers.

"The biggest user population of these drugs are 12- to 17-year-olds," Scherbenske said. He believes they are popular among younger folks "because they are easily accessible," whether it's in a convenience store, a smoke shop or online.

Social media-savvy teens use the Internet to spread the word about where to find these drugs to -- as Scherbenske explains -- "discuss the effects these substances had on their body."

What's the point of making synthetic drugs?

Well, synthetic drugs makers have easy access to customers by marketing these drugs as harmless household items. So they make lots of money.

"It is very profitable business," said Scherbenske. "There have been multimillion dollar seizure -- cash seizure with these people that are selling these drugs."

Are these drugs legal?

It's a tricky question because the laws cannot keep up with the variety of chemical compounds.

The federal government and at least 38 states have taken steps to ban the substances. But, as soon as one compound is banned, the molecular structure of the synthetic product is altered and that "changes the whole structure of the drug, so the drug becomes legal and we're at it again," James Capra, DEA chief of operations, said at a news conference in June, according to Time magazine.

Retailers are also skirting the law by labeling the drugs as "not for human consumption," according to the DEA's Scherbenske.

"It's a cat-and-mouse game that these retailers are using," he said.  "There is an underground market that know exactly how to abuse that product to get high."

Everyone knows that drugs are harmful.  So what's the big deal about these?

Most drug manufacturers aim to refine their drug for purity, to increase the street value and their profit margin. But with synthetic drugs, the manufacturers' main goal is to alter the chemical compound to stay one step ahead of the law.

"The U.S. has encountered over 200 new substances over the past four years," Scherbenske explained. "Our chemists are finding multiple drugs, multiple compounds when we make purchases of these drugs."

And that means there's no standard when it comes to these drugs.

"When we buy these substances and send them to the lab, they could have one compound in it, or they could have five separate compounds."

The combination of those compounds and their reactions "is very scary," Scherbenske said.

"We do not know the long term effect that it will have on a person's body."

Emily Bauer went from being a normal 16-year-old to nearly dying after trying a form of synthetic marijuana packaged as "potpourri" that she bought with her friends at a gas station.  Her family believes the drug is what caused her to have several strokes, which have limited her physical and mental abilities.

Synthetic drugs also have "unpredictable effects on human behavior," according to Dr. Paul Adams, who works in an emergency room in Miami.

"This is a terrible drug because it takes a combination of methamphetamine, and the paranoia and the aggressiveness, and LSD, the hallucinations, and PCP, the extreme paranoia that you get, (and) combines it into one," Adams explained.

Police in Panama City, Florida, reported two violent incidents linked to use of bath salts in 2011. In one, a woman allegedly tried to behead her 71-year-old mother; in the second, a man on bath salts used his teeth to tear up the back seat of a patrol car.

That's particularly troublesome when some retailers are marketing synthetic drugs as a safer, legal alternative.

Who is making this stuff?

Most of the chemicals that are used to make these synthetic drugs are coming directly from China, according to the DEA's John Scherbenske.

"They ship the bulk product here in the United States, where we have individuals that will take that product and package it for retail distribution," he explained.

According to a recent article in Time magazine, the drugs come mostly from "suburban laboratories around Chinese port cities ... from where they can be easily shipped to Europe or North America using regular international courier services."

They're also available in larger quantities and sold over the Internet as "research chemicals," according to Time.

The DEA is "in dialogue" with China about the problem, Scherbenske said, without offering specifics.

"We are also in dialogue and conversation with our international counterparts experiencing the same issues that we are in this designer drug problem," he said. "That is one of the ways to fight this problem is through demand reduction and the education of the people who are using these products."

So who's selling it here in the U.S.?

Scherbenske says people are starting their own businesses to sell these drugs once they see the profit potential.

"And they are starting to become organized," he added.  "Is it organized crime? Not at this point, but they are figuring out ways to work around our laws. They are making millions of dollars figuring out how to launder that money. We don't even know if they are paying taxes on this money."

These retailers have even taken the feds to court to protect their business: four stores sued the DEA in 2011, claiming the federal agency was "impeding their business," Scherbenske said.

"We don't have a problem with people selling legitimate items. But when you are selling basic rat poison to our children, we do take issue with that."

@highlight

Synthetic drugs are often sold as harmless fragrances or household items

@highlight

The DEA has stepped up its attempts to target those who sell these drugs

@highlight

The CDC is investigating dozens of illnesses and 3 deaths possibly linked to fake pot