Washington (CNN) -- Jennifer Tonge is not a lunatic. She is a member of the British House of Lords, appointed to that eminent body in 2005 after a career in politics and medicine.

On February 11, she was asked a question by www.thejc.com, the online version of Britain's Jewish Chronicle.

Tonge serves as patron of an online journal based in Gaza, the Palestine Telegraph. The previous week, the Palestine Telegraph accused the Israeli medical teams doing humanitarian work in Haiti of harvesting organs from earthquake victims. TheJC.com asked Tonge for comment. Tonge first commended the Israeli teams for their work in Haiti. She then added these words:

"To prevent allegations such as these -- which have already been posted on YouTube -- going any further, the IDF and the Israeli Medical Association should establish an independent inquiry immediately to clear the names of the team in Haiti."

The YouTube video to which Tonge refers can be seen here. It's the work of a solo crank, and hardly seems to require an "independent inquiry" to refute.

The statement to TheJC.com was not Lady Tonge's first entry into Middle East analysis. She has expressed herself often on the subject of Israel and Israel's supporters, and in vivid terms. In a speech to a meeting during her Liberal Democratic Party's annual conference in 2006, Tonge declared: "The pro-Israeli lobby has got its grips on the Western world, its financial grips. I think they've probably got a grip on our party."

(That grip was not too tight to prevent Tonge's party from collectively denouncing Israel for attacking Hezbollah after Hezbollah kidnapped two Israeli soldiers.)

On February 14, Lady Tonge was removed from her position as health critic for the Liberal Democratic Party in the House of Lords. But Tonge's comments did not originate in the ether. They could be footnoted to a respectable newspaper in Sweden.

In the summer of 2009, the Swedish newspaper Aftonbladet published a story about a recent mass indictment in New Jersey. On July 23, the U.S. attorney for New Jersey announced the arrest of 44 people for a range of criminal enterprises involving bank fraud, rigging of bids on public projects, trafficking in counterfeit goods, etc. The accused represented the gorgeous mosaic of New Jersey politics, with last names like "Suarez," "Catrillo," "Cardwell," and "Khalil." Some of the names were Jewish.

One of the Jewish names, Levy Izhak Rosenbaum, was accused of the lurid crime of trafficking in the purchase and sale of human organs. Rosenbaum was said to have offered sums of $10,000 to entice poor people in Israel and Eastern Europe to sell kidneys to him, which he would then remarket for $160,000 to transplant patients in the United States.

Aftonbladet transformed this story of illegal commerce into a story of Jewish predation. The paper gave space to a freelance writer -- Donald Bostrom -- to charge that the Israeli army regularly harvested organs from the bodies of slain Palestinians.

After briefly acknowledging that the vast majority of the world's illegally harvested organs come from China, Pakistan, and the Philippines, Bostrom then hurled this astounding charge:

"Palestinians also harbor strong suspicions that young men have been seized, and made to serve as organ reserve, just as in China and Pakistan, before being killed."

Jewish vampirism is an ancient fantasy, dating back to the Middle Ages. Yet it remains current in the contemporary Middle East. A Syrian film company created a multipart TV drama out of the story in 2003. The drama was broadcast worldwide on Hezbollah's al-Manar satellite network. Iranian state TV broadcast a drama in 2004 in which the plot turns on an Israeli plan to steal Palestinian children's eyes.

It's a winding road from medieval folktales to Hezbollah TV to the New Jersey mob to a Swedish daily to the British House of Lords.

But it's a road traveled by more and more people. On February 11, Tel Aviv's Reut Institute presented a paper to the Israeli cabinet warning of "delegitimization" aimed at the Jewish state. As reported by Ha'aretz, the paper warns:

"The 'delegitimizers' cooperate with organizations engaging in legitimate criticism of Israel's policy in the territories such as Amnesty [International] and Human Rights Watch, blurring the line between legitimate censure and delegitimization. ... The network's activists are not mostly Palestinian, Arab or Muslim. Many of them are European and North American left-wing activists," who portray Israel as a pariah state and deny its right to exist.

In the United States, where pro-Israel feeling runs stronger and the activist left is weaker, the delegitimization project focuses less on Israel itself, and more on Israel's supporters.

The central text for this project is a book called "The Israel Lobby and U.S. Foreign Policy" co-authored by Profs. Stephen Walt and John Mearsheimer, which argues that "the Israel lobby" maneuvered the United States into the Iraq war on Israel's behalf. Walt and Mearsheimer present their argument in delicate language, but it's the same case argued by Prof. Juan Cole of the University of Michigan, again not a crank, but a past president of the Middle East Studies Association.

In a 2004 blog post, Cole wrote of a "one-two punch secretly planned by the pro-Likud faction in the Department of Defense. First, Iraq would be taken out by the United States, and then Iran. David Wurmser, a key member of the group, also wanted Syria included. These pro-Likud intellectuals concluded that 9/11 would give them carte blanche to use the Pentagon as Israel's Gurkha regiment, fighting elective wars on behalf of Tel Aviv (not wars that really needed to be fought, but wars that the Likud coalition thought it would be nice to see fought so as to increase Israel's ability to annex land and act aggressively, especially if someone else's boys did the dying)."

Hard to miss here the echo of another ancient myth, memorably enunciated by a character in John Buchan's 1915 spy novel, "The Thirty-Nine Steps."

"[If] you're on the biggest kind of job and are bound to get to the real boss, 10 to one you are brought up against a little white-faced Jew in a bath-chair with an eye like a rattlesnake. Yes, Sir, he is the man who is ruling the world just now."

Walt returned to his theme in a blog post this week in Foreign Policy:

"Israeli leaders from across the political spectrum became cheerleaders for the invasion, and they played a prominent role in helping to sell the war here in the United States."

This debate came home to the blogosphere last week, when New Republic literary editor Leon Wieseltier published a long article denouncing uber-blogger Andrew Sullivan as either an anti-Jewish bigot or else "moronically insensitive."

Sullivan -- a former editor of the magazine for which his once-intimate friend Wieseltier writes -- has over the past few months abruptly switched from passionate champion of Israel to strident criticism of Israel and its supporters.

Many rallied to Sullivan's defense on the specific complaint at issue, myself included.

But one wishes that people who do not share the malignant feelings of a Tonge would take care not to use the same malignant language.

It's possible to hate Israel without hating Jews. It's even possible to hate Jews without hating Israel, as is said of a famously nasty British media personality: "He managed the impressive feat of being intensely anti-Semitic without becoming even slightly pro-Arab."

But these interesting theoretical potentialities exist mainly on the blackboard. In real life, it becomes very difficult to separate hatred of the Jewish state from hatred of the Jews who live in that state.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says Israel is facing a delegitimization campaign

@highlight

He says some critics engage in wild charges without any foundation

@highlight

Frum says he defended Andrew Sullivan against charges of anti-Semitism

@highlight

But he says in other cases, hatred of Israel and of Jews go hand-in-hand