(CNN) -- Imagine being alone in your house. It's the middle of the night and suddenly, the lights go on. Without you switching them on. And then they go off. And a minute later, they are back on.

The wife of Jeff Hagins, co-founder of SmartThings, gets this magic all the time. Her husband likes to show off how he can remotely control devices in his home -- including the lights.

But the idea of smart homes goes beyond showing off.

"It's a peace of mind thing, you can check if all the doors are locked or find out about a water leak," Hagins says.

He says his company can make homes cheaper and greener to run. The system helps to save energy by cutting down waste -- such as switching lights off when motion sensors suggest nobody is around.

Huge market

The future looks promising for the smart industry. A NextMarket report sees the U.S. market growing sixfold from $1.28 billion in 2014 to nearly $7.8 billion in 2019. Smart locks sales alone will grow from $66 million to nearly $1 billion in just five years, the report suggests.

Tech giants are jumping on board with their offering. Apple has announced its HomeKit service, which will allow home owners to control all connected devices in their homes. Google bought Nest, the company behind smart termostats that track users habits to heat or cool the house before they even realize they'd like the temperature to change.

Home automation company Belkin is foreseeing a world where people control everything with one app in their phones. "Most people already use their smartphones as alarm clocks, so now they can start making their coffee before leaving the bed," says Kieran Hannon from Belkin.

The company makes smart light switches, plugs and light bulbs, and has also partnered up with makers of kitchen devices to allow users to put their dinner to cook while on the way home from work.

All the data

But with all the magic of connected homes comes a great concern about potential data misuse. Intimate information about people's way of living would be incredibly valuable to companies wanting to target the right people with their products.

Tony Fadell, the founder of Nest gets this question a lot -- cespecially since Google didn't hesitate to pay $3.2 billion for his company. Google is already using its users data to make money -- tracking what people search for and using that information to for targeted advertising.

But Fadell says his company will never allow customers' data to flow to advertisers. "People are inviting our products to their homes," he says. "The trust is very important."

In the case of SmartThings, people have to specifically opt-in to share their data with outside companies. "We don't own the data, our customers do," Hagins says.

He says there are situations when users want their data to be shared. If a house gets broken in, a home security app could automatically alert the police. Less scary scenario sees a gardening company tracking the moisture levels in a lawn, making sure the sprinkling system is switched on and off at right time.

Hackers, welcome

Loosing a cell phones is annoying. Loosing a cell phone that controls nearly everything in your house can be a disaster -- like leaving your front door wide open to anyone to come in.

A research by AVTest recently exposed the main gaps in security, such as the lack of encrypted communication, which leaves the systems vulnerable to viruses and malware.

Hagins envisions a future where anyone can buy smart home apps just like they buy mobile phone apps. But that also means anyone can build these apps without any regulation.

When Apple announced its vision of hooking up smart home devices with Bluetooth and Wifi in June, it also said it would not make its own smart home products. Instead it will partner up with established makers and equip their product with Apple chips.

The company said it will require each partner to follow the same security standards as other Apple products. As it steps up its efforts to become part of the smart home market, Apple announced it will reveal more details on its "Made For i" conference in China.

As the AVTest predicts, security is likely to be the trump card in the industry.

@highlight

The smart industry is making millions, with the U.S. market predicted to reach $7.8 million by 2019

@highlight

However potential data misuse is still a concern for many users - Google is already using the data of its users to make money

@highlight

Smart Home Apps can potentially put users at risk, especially when multiple systems are under the command of a single device