(CNN) -- The cowards who aimed to silence 14-year-old Malala Yousufzai with a bullet have instead made the Pakistani schoolgirl a global icon. Even as she remains in a hospital bed, her advocacy for the millions of girls worldwide who are denied an education sounds beyond the borders of Pakistan.

Malala has reminded us all that the real dream for these girls is simple: They want an education. But she is also a symbol of how far we are from making that dream a reality.

Seven years ago, I traveled to an area not far from Malala's home in Mingora. A massive earthquake had destroyed 80% of the town of Balakot, and I was on site with UNICEF, working to salvage some normalcy for thousands of traumatized and injured children.

The work was gratifying beyond words, as we brought warm coats and blankets to children who had lost everything. But the real joy of the trip was watching hundreds of girls attend school for their very first time. UNICEF specializes at finding opportunity in crisis, and this was no exception: Parents needed safe shelter for their children as they went about the business of rebuilding their homes and lives, so UNICEF-supported schools met a community need -- and fathers who had never allowed their daughters to be educated agreed to let them attend. Enrollment skyrocketed.

Most of UNICEF's "schools" were open air, under trees or outside of tents. Eager students sat cross-legged on the cold dirt. Some of the girls were hesitant; others boldly pushed boys aside to ensure they were sitting as close to the teacher as possible. One 8-year-old leapt up to the makeshift blackboard and with great dramatic flair, pretended to lead the class. Oh, the shrieks of delight her cheekiness elicited from astonished classmates! Suddenly, girls were equal to boys!

Over the last seven years, UNICEF-assisted districts in Pakistan have enrolled more than half a million girls as first-time students â€” including 21,000 in earthquake-affected regions. But inequalities remain. In Pakistan, the government spends less than 2.5% of its GDP on the education sector, and only half of the 19 million children of primary school age are in school.

About 58% of boys are enrolled in primary school compared to 48% of girls. But those numbers don't reflect the real depth of gender inequity. In areas like the Swat Valley, where Malala lives, the percentage of girls in school is far lower -- and overall, well under half of Pakistani women are literate. The percentage of female literacy is as low as 7% in some rural areas.

Conflict, poverty, school fees and child labor create barriers to education for all children, but girls often face additional obstacles related to their gender and role in society. Some are expected to work in the home, supporting the family, others expected to marry and have children at a very young age. Some live in communities where girls are not perceived as equal to boys, or deserving of the same rights. And even as the global gender gap for primary school enrollment has been narrowed, there's been little progress for adolescent girls: An estimated 31 million are not in school in South Asia.

As a consequence of this gender discrimination, an estimated two-thirds of the world's illiterate adults are women.

The failure to educate girls has far-reaching consequences: A girl who is educated is more likely to educate her own children, and her ability to protect her children because of her knowledge will improve her family's prospects through the generations. Educating girls is one of the most effective tools for improving economies and raising productivity in developing countries. According to some estimates, about half of the drop in under-5 child mortality over the last 40 years can be attributed to increases in women's education.

In my dozen years with UNICEF, I've met thousands of children in some of the world's most challenging circumstances. When I ask them what they wish for, without hesitation they respond, "an education." If we want to stand with Malala, we need to raise our voices, too. All the world's children have equal value and potential. It's up to us to be sure they are provided the opportunities they deserve.

@highlight

Szarkowski: Malala Yousufzai has become a global icon for gender equity in education

@highlight

Szarkowski traveled to Balakot, Pakistan seven years ago with UNICEF

@highlight

Hundreds of girls around Balakot first went to school with UNICEF help

@highlight

Szarkowski: If we want to stand with Malala, we need to raise our voices