Gaza (CNN) -- Angry clashes erupted Friday in the West Bank, after Palestinian leaders called for a "day of rage" in response to the shelling of a United Nations shelter that killed 16 people.

At least four Palestinians were killed in outbreaks of violence in several parts of the West Bank, according to medical sources.

The call for a massive follow-up to what were already some of the largest West Bank protests in years came as diplomats scrambled to find a cease-fire proposal that would satisfy mortal enemies Israel and Hamas and end more than two weeks of violence that has claimed more than 800 lives, most of them civilians.

The developments come as Israel and Hamas agreed to a 12-hour humanitarian cease-fire beginning Saturday morning.

Prime Minister Benjamin Netanyahu told U.S. Secretary of State John Kerry that Israel agreed to a cease-fire, a U.S. official told CNN. The official, who is traveling with Kerry, spoke on condition anonymity. The news was first reported by Reuters and Agence France Presse.

Hamas also agreed to the cease-fire, according to a statement released by senior Hamas spokesman Sami Abu Zuhri.

There were questions whether the temporary truce would hold given that a previous Egyptian-backed cease-fire earlier this month collapsed.

Israel's military warned militants against targeting its soldiers and civilians during the 12-hour period it would respond, saying it would respond. During the cease-fire, Israel Defense Forces says it will continue working to "locate and neutralize tunnels" being used by militants.

The cease-fire agreement came hours after U.N. Secretary-General Ban Ki-moon called for the cease-fire, with the hopes it would be extended to seven days, while diplomats work to broker an end to the bloodshed.

The cease-fire talks are playing out against a backdrop of mounting casualties.

At least 864 people have been killed and more than 5,700 wounded since the start of an Israeli operation on Gaza, the Palestinian Ministry of Health said Friday. An Israeli military representative said Friday that another soldier had been killed in Gaza, bringing the total number of Israelis killed to 36 -- 33 soldiers and three civilians.

A 23-year-old man was shot near Huwara village outside Nablus by Jewish settlers, a doctor at the Rafidia Hospital said. The circumstances of his death are unclear, but it led to clashes between protesters and the Israeli military in which another man was killed, medical sources said.

Two more men were killed during clashes with Israeli troops at a checkpoint north of Hebron in Beir Ummar in the West Bank, according to Palestinian medical sources.

A pro-Hamas demonstration in Ramallah drew a crowd of several hundred, and a protest march toward a Jewish settlement led to heavy clashes with the Israel Defense Forces and border police.

Several people were injured, a CNN crew at the scene said.

The IDF confirmed one Israeli soldier was killed and several were wounded Friday in Gaza, when militants fired mortars and anti-tank missiles.

It also confirmed one of its soldiers, Sgt. Oron Shaul, was killed in battle in Gaza on Sunday.

Hamas had said it was holding Shaul after capturing him in an ambush on an armored personnel Sunday in which six other IDF soldiers died.

A committee led by the chief rabbi of the IDF concluded that he should be defined as "a soldier killed in action whose burial site is unknown," an IDF statement said.

Diplomatic moves

Meanwhile, the Americans were taking the lead on drafting an agreement with Israel and the Palestinians on a one-week humanitarian cease-fire starting Sunday, several diplomatic sources told CNN on Friday. Palestinian Authority President Mahmoud Abbas is the main Palestinian party to the agreement and has been the lead in discussions that include the United States, Egypt and Israel.

At one point, the United States and Egypt were said to be close on an agreement with Israel and the Palestinians on the one-week cease-fire proposal, several diplomatic sources told CNN on Friday.

But Kerry told reporters Friday that no final proposal was submitted to Israel for a vote.

"We still have some more things to do over the course of ... 24 to 48 hours," Kerry said, adding that he would travel to Paris on Saturday, where he will continue to press for a deal.

If the temporary 12-hour humanitarian truce holds, it will be used to get medical supplies into Gaza, and the injured and some of the dead bodies out -- with the hope that the parties can enter formal negotiations on a more permanent cease-fire that addresses economic, political and security concerns about Gaza, with other nations involved.

Palestinian Parliament Member Mustafa Barghouti told CNN Hamas will comply with the terms of the temporary cease-fire.

"Of course, they will," Barghouti said during an interview that aired Friday on CNN's The Situation Room with Wolf Blitzer. "Not only Hamas but all Palestinians."

Americans fighting for Israel

U.N. shelter hit

The word of a temporary truce follows violent protests in the West Bank and Gaza, prompted after the U.N. shelter in Gaza was hit, killing 16 people and wounding a couple hundred more -- most of them women and children.

Video from the school showed chaos amid pools of blood. There were so many victims than many gurneys included two wounded children.

One father carried his small daughter into a hospital. There wasn't much he could do but try to comfort his little girl as she cried and begged for him not to leave her.

The bloodshed left the U.N. chief, Ban, exasperated.

"I am telling to the parties -- both Israelis and Hamas, Palestinians -- that it is morally wrong to kill your own people," Ban said. The "whole world has been watching, is watching with great concern. You must stop fighting and enter into dialogue."

A Palestinian government statement called the shelling "Israeli brutal aggression."

It's unclear who was responsible. The Israel military said it is investigating.

"From initial inquiries done about the incident, during the intense fighting in the area, militants opened fire at ... soldiers from the school area," a military statement said. "In order to eliminate the threat posed to their lives, they responded with fire toward the origins of the shooting."

Regev, the Israeli government spokesman, said Friday that it could have been inadvertent Israeli fire or the result of a Hamas rocket strike on Israel that fell short.

"Even if we do discover in the end that it was errant Israeli fire, why was a U.N. school, the vicinity of a U.N. school, turned into a war zone by Hamas?" Regev said.

The Israeli military said the area surrounding the school in Beit Hanoun had turned into a battlefield, and it had asked that the facility be evacuated even before the school was hit. A four-hour window was given, the military said.

Chris Gunness, a spokesman for the United Nations Relief and Works Agency for Palestine Refugees in the Near East, disputed that Friday. He said the Israeli military never responded to the agency's urgent pleas for a cease-fire.

"If the IDF had responded, this carnage would never have happened," he said.

The Israeli military accused Hamas militants of refusing to let people at the shelter leave, saying they were being used as human shields.

"This is a tragedy. This is a clear tragedy," Israeli military spokesman Lt. Col. Peter Lerner told CNN.

Thursday's strike marks the third time a U.N. school serving as a shelter has been hit.

The first occurred Tuesday at an UNRWA school in eastern Gaza, where about 300 people were staying. The second occurred Wednesday in central Gaza at a shelter where about 1,500 were staying. There were no fatalities and few injuries in those incidents.

Is Hamas using human shields in Gaza?

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

Map: Tension felt around the world

U.S. ends ban on flights in Ben Gurion

FAA ban marks Israeli setback, Hamas 'victory'

How does the Iron Dome system work?

Gaza crisis: Who's who in Hamas

CNN's Karl Penhaul and Salma Abdelaziz reported from Gaza. Chelsea J. Carter and Michael Pearson reported and wrote from Atlanta, and Laura Smith-Spark wrote in London. CNN's Ben Wedeman, Elise Labott, Ashley Fantz, Richard Roth, Ian Lee,Tal Heinrich, Ali Younes and Tim Lister contributed to this report.

@highlight

NEW: Israel Defense Forces warn if militants attack during truce, it will respond

@highlight

Israel and Hamas agree to 12-hour humanitarian cease-fire

@highlight

At least four people are dead as new protests, violence, break out in the West Bank

@highlight

The Israeli military confirms the death of a soldier that Hamas claimed to have captured