(CNN) -- Animated television specials are among the most cherished holiday traditions of yuletide revelers young and old. Mention "A Charlie Brown Christmas" (1965), "Rudolph the Red-Nosed Reindeer" (1964) or "Frosty the Snowman" (1969) and people light up like Charlie Brown's tree (after the kids gave it a little love), Rudolph's nose, or the hot sun that melted poor Frosty.

You can thank "Mister Magoo's Christmas Carol" -- the first animated Christmas special -- for that holiday gooeyness. It premiered 50 years ago this month.

"Mister Magoo's Christmas Carol" originally aired on December 18, 1962, on NBC at 7:30 p.m. For the first time since 1967, the special will air on a major network -- once again on NBC -- Saturday, December 22 at 8 p.m. ET.

While the major networks have aired the aforementioned holiday staples, including "Dr. Seuss' How the Grinch Stole Christmas!" (1966) every year since their airdates, "Magoo" hasn't aired outside of syndication for 44 years. Now that "Mister Magoo's Christmas Carol" has hit he half-century mark, this often overlooked, underappreciated, somewhat obscure Christmas special is experiencing a renaissance of sorts.

CNN spoke to animator Darrell Van Citters, author of "Mister Magoo's Christmas Carol: The Making of the First Animated Christmas Special," about how "Magoo" paved the way for Christmas specials yet to come.

"Because this was such a huge success," said Van Citters, "it inspired other people to follow in its footsteps, especially 'Rudolph the Red Nosed Reindeer,' which was the next one."

Van Citters couldn't pinpoint why "Mister Magoo's Christmas Carol" fell by the wayside, but he did note that the character began to dwindle in the years following the Christmas special.

Your Christmas traditions

"'How the Grinch Stole Christmas' had a book attached to it," said Van Citters, "'Charlie Brown' had all of those books, all of those specials. These were constantly in the forefront of peoples' minds during the holidays. And 'Rudolph,' well, who doesn't know that song? Between all of these other specials getting all of this promotion, and Mr. Magoo kind of fading, it really got lost for a long time."

As far as adaptations of Charles Dickens' 1843 tale "A Christmas Carol" go, many have tried, many have failed, and -- arguably -- a handful have succeeded. Most people would count "Magoo" among the successful renditions.

"I think this is one of the stronger versions because it's quite loyal to the original," said Van Citters. "They are reciting lines from the book, and on an emotional level I think it's one of the strongest -- even over live-action -- because the songs really emphasize the emotional aspect of it. They know exactly where to go to tell their story."

That's right -- "Mister Magoo's Christmas Carol' is a musical as well as an animated special.

"To take a classic story like that," said Van Citters, "and then to mix in Mr. Magoo, and then make it a musical, it's kind of a big leap. And he didn't just make it a musical; he went after the best Broadway songwriters of the time. It's one of the stronger, if not the strongest, musical interpretations of Dickens."

Composer July Styne and lyricist Bob Merrill, who were developing "Funny Girl" at the time, wrote the songs for "Mister Magoo's Christmas Carol" while ensconced at the Beverly Hills Hotel in March and April of 1962.

The Styne-Merrill team created Broadway-caliber songs like "Alone in the World" and "Winter Was Warm," which gave "Mister Magoo's Christmas Carol" an emotional quality which made it more theater than the cartoon it was.

Cleverly presented as a play-within-a-play, the special features the character of Mister Magoo starring in a Broadway production of "A Christmas Carol." That little technique solved the producers' dilemma regarding whether or not audiences would buy Quincy Magoo as Ebenezer Scrooge.

"Mister Magoo had kind of changed over the years," explained Van Citters. "He had started out as this crotchety old man and over the years he had become softer. [Producers] thought it would be kind of weird to put this character in a role with no explanation. Nowadays people do it routinely and you don't think twice about it, but at the time it was a big leap. Originally, Mr. Magoo was going to be in a small community theater production, but as the songs got bigger, they decided to make it a Broadway production with him as a well-known actor."

Although "Mister Magoo's Christmas Carol" was released on Blu-Ray/DVD as a special anniversary edition, Van Citters is the first to admit that the animation isn't what resonates with longtime fans of the special.

"The animation fills the bill, but there isn't anything in the way of nice motion or defining the characters through the way they move," said Van Citters. "It's all about simply hitting their marks to tell the story. It's a little rough around the edges, but it works, too. The songs are so good that you overlook stuff like that."

Van Citters pointed out that the important thing is that the special "has a lot of heart."

In fact, the instant the special ended on the night it premiered, producer Lee Orgel's phone rang. Walt Disney had phoned to tell Orgel how wonderful it was.

Van Citters wrote about the conversation in his book.

"Let me tell you something, Lee," Disney told Orgel. "Not only is this generation going to watch it, but your children, your children's children and your children's children's children will watch this show. That's how good it is."

Walt Disney's stamp of approval was the ultimate gold star.

"Here's this guy that practically invented animation as we know it," Van Citters told CNN, "who takes the time out of his day to watch it and call this guy up and tell him how much he liked it."

Much to the dismay of fans, a "Mister Magoo's Christmas Carol" soundtrack has never been released. Plans for a storybook record were scrapped, and the audio master tapes are long gone. Van Citters said there's a chance they've simply been mislabeled and are somewhere in the vaults.

"We're still looking for them and hopefully one day there will be a CD release," he said.

Van Citters also explained that the cast and crew had no idea that "Magoo" was destined to become a classic.

"Everyone who worked on this simply thought they were doing a special for that year," he said. "Nobody thought it was going to last as long as it did. Everyone was surprised it did as well as it did. They were so happy with it they aired it for the next five years and it was still getting good ratings. The second year it got better ratings than the first."

The Baby Boomer fans of "Mister Magoo's Christmas Carol" remain dedicated to keeping their beloved special's memory alive. At a December 2009 screening at The Paley Center For Media in New York City, many of those in attendance sang along and called out lines similar to midnight screenings of "The Rocky Horror Picture Show." (But with far fewer fishnets, one would imagine.)

"The fans are very dedicated," said Van Citters. "Those who remember it remember it very well and are very passionate about it. So it's exciting that NBC is putting it back on and it will be exposed to a whole new generation of viewers."

That whole new generation of viewers may never grasp the concept of a television event.

"It's funny, isn't it, that TV specials have kind of disappeared," said Van Citters. "At one time a special was special. There used to be just three networks and when someone did something unique, everyone knew about it and they set aside time to watch it. But now we have access to everything at any time of the day, at any place in the world, and you can watch it on a postage stamp or a screen almost as big as a movie theater screen."

But back in the 1960s of course, Van Citters pointed out, if you missed your favorite Christmas special you were forced to wait for the next airing.

"You only had that one chance, and then 52 weeks later you could see it again."

@highlight

First animated Christmas special, "Mister Magoo's Christmas Carol," is 50

@highlight

"Magoo" paved the way for "Charlie Brown," "Grinch," "Frosty," "Rudolph"

@highlight

Though it has fallen into relative obscurity, the fan base remains solid

@highlight

"Mr. Magoo's Christmas Carol" will air tonight for the first time since 1967