Patrick Dati had reached his breaking point.

With a metal pin in his arm and Vicodin coursing through his veins, he picked up the phone to call his psychiatrist.

Dati had undergone surgery for a broken arm after his then-boyfriend allegedly threw him down the stairs when he tried to leave their home.

Now he sat on the phone with his doctor, explaining why he couldn't carry on, as he tried to overdose on painkillers.

The attempt to end his life, which landed him in a psychiatric ward for two days, resulted in part because he felt trapped in the abusive relationship and saw no way out.

"I couldn't let my boyfriend go because he wasn't allowing me to," Dati said.

Dati is one of an estimated 3.4% of adults who self-identify as lesbian, gay, bisexual or transgender, referred to as LGBT, in the United States. He's also one of a quarter of gay men in America who report having encountered intimate partner violence.

While Dati reached out to LGBT resources for help while he was ensnared in the abusive relationship, including the Center on Halsted Anti-Violence Project's 24-Hour crisis hot line in Chicago, many in his position find that help is hard to come by.

Now, thanks to new LGBT-inclusive language in the Violence Against Women Reauthorization Act, signed into law this month, domestic violence victims like Dati will have access to many of the same abuse and trauma services as victims of heterosexual partner violence.

Ty Cobb, the senior legislative counsel at the Human Rights Campaign, said the new language explicitly includes the LGBT community in the largest Violence Against Women Act grant program, the STOP grant program.

Previously, there was no grant money specifically allocated to providing domestic violence services and outreach for the LGBT population.

"This provides funding to care providers who collaborate with prosecution and law enforcement officials to address domestic violence," Cobb said.

Originally passed in 1994, the Violence Against Women Act provides support for organizations that serve domestic violence victims. President Obama signed the reauthorization into law in Washington on March 7, saying it was a "day of the advocates, a day of the survivors."

The act's new language highlights the reality that LGBT people also experience intimate partner and sexual violence.

After the announcement, the president of the National Domestic Violence Hotline, Katie Ray-Jones, said in statement: "This legislation that extends protections to all victims no matter their race, legal status or sexual orientation sends an important message that no victim should be excluded from receiving critical resources that will help them live a life free of abuse."

Human rights and domestic violence activists say LGBT people are an underserved population when it comes to victim services and outreach.

According to a study by the National Coalition of Anti-Violence Programs, 45% of LGBT victims were turned away when they sought assistance from a domestic violence shelter. Nearly 55% of those who filed for protection orders were denied them.

Lack of access to services is not exclusive to the LGBT community; heterosexual victims are also turned away from shelters, usually for lack of space or funding as opposed to intolerance. According to the Missouri Council Against Sexual and Domestic Violence Services, the state turned away 19,000 victims in 2011 from shelters because of inadequate space.

Still, not all states have laws ensuring the availability of civil orders of protection to LGBT victims, which may further contribute to victims' isolation.

"When we don't include LGBT in the conversation, when we have conversations that assume this is violence that only happens to women as perpetrated by men, we aren't giving LGBT the language to talk about their own relationships," said Sharon Stapel, the executive director of the New York City Anti-Violence Project.

"By omission, we're saying 'you don't matter -- you're not a part of this.'"

The Violence Against Women Act  language comes at a pivotal time, as incidences of lesbian, gay, bisexual and transgender violence have come under more scrutiny.

A 2010 Centers for Disease Control and Prevention survey found that the prevalence of intimate partner violence was higher in some LGBT relationships than in their heterosexual counterparts: 61% of bisexual women and 44% of lesbian women reported intimate partner violence versus 35% of heterosexual women.  Meanwhile, 26% of gay men and 37% of bisexual men reported being assaulted or stalked by a partner, compared with 29% of heterosexual men.

The special report of the National Intimate Partner and Sexual Violence Survey was the first of its kind to present comparisons between groups by sexual orientation.

According to Stapel, the Violence Against Women Act  reauthorization breaks down the barriers that LGBT people face when they recognize their relationship is unhealthy and violent -- and decide to reach out for support.

"Some of those barriers are very unintentional. They are service providers who are used to dealing with violence against women and have these very gendered ways of talking about the problem," Stapel said.

For instance, if a woman calls a domestic violence hot line, most hot lines will immediately divert to language specific to boyfriends or husbands. Stapel said there's no intent to discriminate or be insensitive, it's just an easy assumption because the majority of callers are females with male abusive partners. (According to the National Domestic Violence Hotline, 97% of its callers are female.)

At the same time, the assumption can be alienating.

"The first question makes them think, 'Oh, can I say that I'm a lesbian?' Or if a man calls, he is treated suspiciously because the presumption is that he's an abusive partner calling around looking for his wife or girlfriend," Stapel said. "The first response that men may have is 'Oh no, this might not be a friendly place for me to go.'"

Because of the new LGBT provisions, the law has been decried by anti-same-sex-marriage groups, including the United States Conference for Catholic Bishops.

"All persons must be protected from violence, but codifying the classifications 'sexual orientation' and 'gender identity' as contained in S. 47 is problematic," the bishops said. "These two classifications are unnecessary to establish the just protections due to all persons. They undermine the meaning and importance of sexual difference. They are unjustly exploited for purposes of marriage redefinition, and marriage is the only institution that unites a man and a woman with each other and with any children born from their union."

The Human Rights Campaign sees the reauthorization as a landmark achievement.

"One of the most amazing consequences is that not only did the Democratic-led Senate, but the House led by Republicans passed language that prevents discrimination," Cobb said.

The House passed the Senate's version of VAWA after the House GOP's version of the bill, which did not include protection for LGBT people, was defeated.

For domestic violence survivors like Dati, it's a welcome starting point in acknowledging and understanding the particular challenges of LGBT intimate partner violence.

"The gay community, my friends, supported me because LGBT domestic violence is very common -- at least in Chicago," Dati said. "The people that saw what I was going through were there when I needed them, but it took me going through the abuse first."

When a friend won't walk away from abuse

Dati ultimately filed a restraining order when his ex-boyfriend began stalking him at his mother's house while he recovered from his suicide attempt and other injuries.

While domestic violence in heterosexual relationships certainly isn't limited to physical abuse, Stapel said emotional abuse is a particularly powerful tactic in LGBT relationships.

"For example, threatening to out your partner to their boss when you live in a state with no employment nondiscrimination protection for being gay, that's a really powerful threat, no matter what size you are in proportion to your partner," Stapel said.

Stapel finds the isolation and rejection many LGBT people feel from their families and friends who may not have accepted their lifestyle can also play a major role in how they view their relationships with their partners.

As a way to control their partner, abusers might say things like: If you leave me, who else is going to love you? Who else is going to be there for you?

"It can really put someone who is already feeling insecure about their connections to people in a space where they feel really dependent on their abusive partner," said Stapel.

Dati, who turns 50 this month, said his experiences led him to become a public advocate against abuse and sexual violence to show that it does, indeed, get better. He has written a book about being a survivor titled "I Am Me."

"I don't want to see another person live the way I did," Dati said. "I went to hell and back and what I tell people now is, I'll never live with that kind of abuse again."

@highlight

Members of the LGBT community suffer domestic violence at higher rates than straights

@highlight

Many of those hurt struggle to find support resources to leave bad relationships

@highlight

Reauthorized Violence Against Women Act includes LGBT Americans

@highlight

Anti-same-sex-marriage groups see the move as a blow, while advocates think it's a boon