San Francisco (CNN) -- A federal appeals court ruled against California's voter-approved ban on same-sex marriage Tuesday, arguing the ban unconstitutionally singles out gays and lesbians for discrimination.

In a split decision, a three-judge panel of the 9th U.S. Circuit Court of Appeals found the state's Proposition 8 "works a meaningful harm to gays and lesbians" by denying their right to civil marriage in violation of the 14th Amendment.

"Very soon, Proposition 8 will be gone forever," said Kristin Perry, one of two women who challenged the ban in federal courts along with a male same-sex couple. "Today marks the culmination of what has been a transformational year."

Toobin: What does ruling mean?

Supporters of Proposition 8, which passed with 52% of the vote in 2008, said they were willing to take the issue all the way to the U.S. Supreme Court. And a stay halting same-sex marriages remains in place as the appeals continue.

Lea este artÃ­culo en espaÃ±ol/Read this article in Spanish

The Alliance Defense Fund, a conservative Christian legal foundation that backed Proposition 8, said it was not surprised that "this Hollywood-orchestrated attack on marriage -- tried in San Francisco -- turned out this way." But it said it was confident the Supreme Court would uphold "the expressed will of the American people."

"No court should undercut the democratic process by taking the power to preserve marriage out of the hands of the people," it said.

Nevertheless, supporters of same-sex marriages cheered the decision when it was announced in San Francisco on Tuesday morning.

"For me, it's a beautiful day," same-sex marriage activist Billy Bradford said. "But it's a great day for the Constitution."

Perry and her partner, Sandra Stier, are raising twin boys who will be ready to attend college next year. One of the boys, Spencer Perry, said he lived "in a home with a lot of love," but added, "Proposition 8 has done a really, really good job of trying to tear that love apart."

"We can see a light at the end of the tunnel," Spencer Perry added.

Tuesday's ruling affirms a 2010 decision by a U.S. district judge in San Francisco. In the majority opinion, Circuit Judges Stephen Reinhardt and Michael Daly Hawkins noted that they were speaking only to Proposition 8, and that other states would have to decide the issue of marriage themselves.

"For now, it suffices to conclude that the people of California may not, consistent with the federal Constitution, add to their state constitution a provision that has no more practical effect than to strip gays and lesbians of the right to use the official designation that the state and society give to committed relationships, thereby adversely affecting the status and dignity of the members of a disfavored class," the opinion states.

In a part-concurring, part-dissenting opinion, Circuit Judge N. Randy Smith said he wasn't sure Proposition 8 "lacks a rational relationship to legitimate state interests" in terms of raising children. Previous rulings show an argument for "extreme judicial restraint" in such cases, he wrote.

California's Supreme Court ruled same-sex marriages were legal in California in 2008, before Proposition 8 went before voters. Its passage put an end to the practice.

The Church of Jesus Christ of Latter-day Saints, which came under fire for its strong support of the referendum, said through a spokesman that it "regrets" the ruling.

"California voters have twice determined in a general election that marriage should be recognized as only between a man and a woman. We have always had that view," Scott Trotter, a spokesman for Utah-based Mormon church, said in a written statement. But Trotter added that the church wants "people on all sides of this issue to act in a spirit of mutual respect and civility toward those with a different opinion."

Opponents of same-sex marriage point out that they have won votes in every state where the issue has been on the ballot. But a CNN/ORC International Poll n September found that public opinion has shifted nationwide since 2009, with 53% now saying same-sex marriages should be recognized as valid and 46% opposed.

CNN legal analyst Jeffrey Toobin said Tuesday's decision appears to be tailored narrowly to California. That might be an advantage when the Supreme Court considers any appeal, since the justices might decide against taking a case that has no impact beyond the state.

"This might well be the last word on the case," Toobin said.

California Lt. Gov. Gavin Newsom, who had allowed same-sex marriages when he was mayor of San Francisco in 2004, called it "a historic milestone towards equality for all Americans."

"This is the biggest step that the American judicial system has taken to end the grievous discrimination against men and women in same-sex relationships and should be highly praised," Newsom said in a written statement.

Six states grant same-sex marriage licenses: New York, Massachusetts, Connecticut, Iowa, Vermont and New Hampshire. The District of Columbia also does.

Five additional states recognize civil unions, providing state-level spousal rights to same-sex couples. They are Hawaii, Delaware, New Jersey, Illinois and Rhode Island.

Tuesday's decision also rejected arguments by supporters of the ban that now-retired federal judge Vaughn Walker should have stepped aside and let another judge hear the case. Walker found Proposition 8 unconstitutional in 2010, and disclosed after his retirement that he is gay and in a long-term relationship, leading Proposition 8 advocates to argue he should not have heard the case.

CNN's Dan Simon, Bill Mears and Michael Martinez contributed to this report.

@highlight

NEW: "Very soon, Proposition 8 will be gone forever," one of the plaintiffs says

@highlight

NEW: The Mormon church says it "regrets" Tuesday's ruling

@highlight

Proposition 8 supporters say they'll appeal, and a stay remains in place

@highlight

The narrowly written decision may be "the last word" on California, Toobin says