(CNN) -- The North Korean military issued a fresh burst of ominous rhetoric Thursday, warning that U.S. bases in Guam and Japan are within its "striking range."

The statement from the Supreme Command of the Korean People's Army, carried by the North's state-run news agency, follows the announcement by the United States this week that its B-52 bombers were making flights over South Korea as part of annual military exercises.

"The U.S. should not forget that the Andersen Air Force Base on Guam where the B-52s take off and naval bases in Japan proper and Okinawa where nuclear-powered submarines are launched are within the striking range of the DPRK's precision strike means," the North Korean military said Thursday.

Despite Pyongyang's rhetoric, no U.S. Navy submarines are based in Okinawa or anywhere else in Japan, although they may make calls at U.S. bases there. DPRK is short for Democratic People's Republic of Korea, North Korea's official name.

Interactive: Nuclear weapons: Who has what?

Citing what it called the United States' "nuclear blackmail and threat," the North said it that it, too, would "take corresponding military actions."

Pyongyang had already reacted angrily to the B-52 flights, warning Wednesday of "strong military counteraction" if the planes made more sorties over the Korean Peninsula.

Angry words after new sanctions

Tensions have spiked in the region since North Korea carried out its latest underground nuclear test last month, the first under its new young leader Kim Jong Un, prompting the United Nations Security Council to respond by toughening sanctions on the secretive regime.

The sanctions enraged the North further, and during the week when the Security Council was voting on them, it ratcheted up its threats, suggesting it could carry out a pre-emptive nuclear strike on the United States and South Korea.

Although analysts and American officials say Pyongyang is still a long way from being able to carry out such an attack on the U.S. mainland, the United States' bases in Japan and Guam appear to be within range of the North's conventional weapons.

In its comments Thursday, "the Kim Jong Un regime is just firing back" at its enemies in response to the B-52 flights and the military exercises of which they're a part, said Lee Jung-hoon, a professor of international relations at Yonsei University in Seoul.

He said that the U.N. sanctions were also likely to be fueling the North's ire, but that the regime's threats were largely driven by domestic concerns.

"They're doing all this to prop up the regime," Lee said.

The military first strategy

Since Kim took over from his father as the head of the North Korean government in late 2011, he appears to have maintained the pursuit of a stronger military deterrent rather than adopting a more conciliatory approach to relations with South Korea and the United States.

The result has been a major foreign policy headache for U.S. President Barack Obama, with Kim showing more interest in dialogue with the basketball star Dennis Rodman than U.S. diplomats.

As well as the nuclear test, his government has conducted two long-range rocket launches -- one that failed and one that succeeded -- both of which were widely viewed as tests of ballistic missile technology.

Kim has also revamped the military's leadership, ousting some generals and promoting others.

The nuclear test and rocket launches have shattered hopes of any new talks on the North's nuclear program in the near future.

Indeed, Pyongyang has said recently that the program is not up for negotiation and announced that previous nonaggression treaties with Seoul no longer apply.

A new North Korea

The regime's unabashed declarations about its nuclear weapons, which it had been much cagier about in the past, show that "it's not the same North Korea as 10 years ago," Lee said.

The United States and other global powers need to "formulate a whole new strategy" to address the changed situation, according to Lee.

"The way we've been dealing with it for the past two decades has failed," he said of the regime. "It has become close to being able to deploy nuclear weapons."

Although U.S. officials say they don't believe North Korea is in a position to strike the United States at the moment, Defense Secretary Chuck Hagel last week announced plans to deploy additional ground-based missile interceptors on the West Coast as part of efforts to enhance the nation's ability to defend itself from attack.

"The reason that we are doing what we are doing, and the reason we are advancing our program here for homeland security, is to not take any chances, is to stay ahead of the threat and to assure any contingency," Hagel said at the time.

@highlight

North Korea is verbally "firing back" at recent moves by the U.S., an analyst says

@highlight

Pyongyang has expressed anger that the U.S. is flying B-52s over South Korea

@highlight

The flights are part of annual military exercises

@highlight

Tensions on the Korean Peninsula have flared since the North's latest nuclear test