New York (CNN) -- Israel's government is missing an opportunity to secure the country's future and build a coalition of nations to counter increasing Iranian influence, according to analyst Fareed Zakaria.

He says the government, headed by Prime Minister Benjamin Netanyahu, is letting the dispute with the United States over expanded settlements in East Jerusalem get in the way of making progress toward resolution of the conflict with the Palestinians.

"The Netanyahu government goes on and on about the existential threat that Israel faces from Iran, the need for the world to mobilize, to put that above all else," Zakaria said. "If that really is the case, shouldn't Israel try to be supportive and deepen the relationship with the one country whose military, political and economic support is going to be absolutely crucial in dealing with this threat, that is, the United States?

"If the Iranian threat were really the overriding threat to Israel, wouldn't it be willing to subordinate other issues and make some progress on the Palestinian issue because it would help the moderate Arab states who also share the worries about the rise of Iran, and would allow the moderate Arab states to form a kind of tacit alliance with Israel?"

Zakaria, author and host of CNN's "Fareed Zakaria GPS," spoke to CNN on Wednesday. Here is an edited transcript:

CNN: In your view, how badly have U.S.-Israeli relations been damaged by the announcement of the East Jerusalem settlement expansion?

Fareed Zakaria: I think by itself this would be a small friction that could easily be overcome, but it comes on the heels of increasingly tense relations between Washington and Tel Aviv, and because of that, it has become larger than life precisely because it seems to be the straw that broke the camel's back for the Obama administration. It became a symbol for the fact that in their view, the Netanyahu government is simply not trying to be cooperative in the search for some kind of movement forward on the Israeli-Palestinian issue.

CNN: And why do they feel that way?

Zakaria: They have been trying to get the Netanyahu government to do something concrete that would demonstrate that they are interested in moving forward, whether it is direct talks, whether it's a settlement freeze or any other such signal that would allow the process to begin moving forward rather than to stay where it is.

So far, the Netanyahu government has done nothing like that, and in fact has taken several steps that would make it difficult to enter into direct negotiations. ... He has within his coalition members of the orthodox right in Israel who still very much hold to a view that the Jewish state should be on most, if not all, of the land of greater Israel, which includes the West Bank. ...This government has probably been the least responsive to concerns from Washington on the issue of the peace process in 20 years.

CNN: The so-called proximity peace talks were delayed as a result of this dispute? Is that a real step backward?

Zakaria: The whole problem with the peace process is that it's sort of going around in circles. I myself think the proximity talks are themselves almost like a bad joke.

They're not actually going to talk to one another. The American negotiator is going to shuttle back and forth between them. We're in 2010.

If everyone agrees that there's going to be a two-state solution and we kind of know what the plan is going to look like, roughly -- which is to say the plan that was largely agreed upon by the two parties in 2000 under the auspices of Bill Clinton -- we are now going back to the most tentative steps of circling around each other, barely talking to one another. It's as if we're at the beginning of a negotiating process when really we should be at the end of one ...

CNN: You've laid out the obstacles on the Israeli side. Are there obstacles on the Palestinian side too?

Zakaria: There are huge obstacles on the Palestinian side: First of all, the divided Palestinian authority -- Hamas being in charge in Gaza and the Palestinian Authority in charge on the West Bank. There is the reality that Hamas is still not reconciled to the idea of a Jewish state. There is the reality of the corruption and perhaps the lack of legitimacy of the Palestinian Authority. But one would have to say that these problems have existed for a long time, and it's not clear to me that these problems have gotten worse.

In fact, the Palestinian Authority is better functioning than it has ever been under Salam Fayyad, the prime minister. There is greater control over the territory by the Palestinian Authority. There is less of a problem of terrorism, a more serious effort to build from the ground up a modern state ... and there have been some very small hints from the Hamas leadership that they would be willing to accept the state of Israel. It's not nearly enough, but the point is, if there's been any movement, it has not been movement backward in the Palestinian case.

CNN: On the Israeli side, what's the significance of expanding the settlements in East Jerusalem?

Zakaria: There are religious parties in Israel who want to create facts on the ground [that] make it more and more difficult to trade land for peace. It's also an indication that the broader Israeli public has sort of lost interest in the resolution of the Palestinian problem.

I think that many see the wall as essentially ending the problem of terrorism. The Israeli public as a whole has moved right and there is a collective belief that Israel can simply kick this can down the road and deal with the problem later. I think it's short-sighted, in terms of demographics, regional politics, in terms of the technology of terrorism, pushing this problem away when there will be more Palestinians with the potential for being more radicalized, perhaps a greater international coalition arrayed against Israel. It doesn't seem to be a far-sighted way to secure Israel.

Israel is basically succeeding brilliantly in the economic realm ... in many ways, it is even more productive than European countries. It is a technological superstar. What it needs is political stability and to resolve this problem so it can move even more dramatically forward. But it has a political system where that kind of resolution becomes politically difficult because of many highly reactionary forces within the system.

CNN: Is there a way out of this mess?

Zakaria: The way out would be for the Israelis to recognize that it is profoundly in their long-term interest to resolve this issue, recognize that they are the stronger party ... and see if there is a possibility of some kind of resolution to get out of the terrible bind it's in. It has 3.5 million people on territory it controls who neither have political rights nor a state of their own. Nor can they be part of Israel.

That's a structural reality which is terrible for the Palestinians but also terrible for the Israelis because it undermines Israel as a democratic state. It's better resolved soon, and whether that means you give up a few hillsides here or there, strikes me as being far less significant than the gain for Israel, which would be to once and for all resolve this issue.

CNN: Is the Netanyahu government in danger of collapsing?

Zakaria: No, I think Netanyahu is playing this juggler's game to keep his coalition together. But it's a far cry from the man who wants to present himself as an international statesman or even an important figure in Israel's history. ... He's turning out to be a political hack who spends his time counting the votes in the Knesset rather than thinking about his legacy in the history books. ... The image is of a Churchillian statesman, and the reality is of a local alderman counting the votes.

@highlight

U.S.-Israel relations are at a low ebb over Jerusalem settlements issue

@highlight

Fareed Zakaria says Obama administration is frustrated with Netanyahu government

@highlight

He says Israel should show it is serious when it says countering Iran is its highest priority

@highlight

Zakaria: Progress with Palestinians would facilitate alliance with moderate Arabs