Kathmandu, Nepal (CNN) -- Pushpa Basnet doesn't need an alarm clock. Every morning, the sounds of 40 children wake her up in the two-story home she shares with them.

As she helps the children dress for school, Basnet might appear to be a housemother of sorts. But the real story is more complicated.

All of these children once lived in Nepal's prisons. This 28-year-old woman has saved every one of them from a life behind bars.

Nepal is one of the poorest countries in the world -- according to UNICEF, 55% of the population lives below the international poverty line -- so it lacks the social safety net that exists in most Western nations. Space is extremely limited in the few children's homes affiliated with the government.

So when no local guardian is available, an arrested parent often must choose between bringing their children to jail with them or letting them live on the streets. Nepal's Department of Prison Management estimates 80 children live in the nation's prisons.

"It's not fair for (these) children to live in the prison because they haven't done anything wrong," said Basnet, who started a nongovernmental organization to help. "My mission is to make sure no child grows up behind prison walls."

Basnet is one of several in Nepal who have started groups to get children out of prison. Since 2005, she has assisted more than 100 children of incarcerated parents. She runs a day care program for children under 6 and a residential home where mostly older children receive education, food, medical care and a chance to live a more normal life.

"I had a very fortunate life, with a good education," Basnet said. "I should give it to somebody else."

Basnet was just 21 when she discovered her calling, she said. While her family ran a successful business, she was studying social work in college. As part of her studies, she visited a women's prison and was appalled by the dire conditions. She also was shocked to discover children living behind bars.

One baby girl grabbed Basnet's shawl and gave her a big smile.

"I felt she was calling me," Basnet said. "I went back home and told my parents about it. They told me it was a normal thing and that in a couple of days I'd forget it. But I couldn't forget."

Basnet decided to start a day care to get incarcerated children out from behind the prison walls. While her parents were against the idea at first -- she had no job or way to sustain it financially -- eventually they helped support her. But prison officials, government workers and even some of the imprisoned mothers she approached doubted that someone her age could handle such a project.

"When I started, nobody believed in me," Basnet said. "People thought I was crazy. They laughed at me."

But Basnet was undaunted. She got friends to donate money, and she rented a building in Kathmandu to house her new organization, the Early Childhood Development Center. She furnished it largely by convincing her parents that they needed a new refrigerator or kitchen table; when her parents' replacement would arrive, she'd whisk the old one to her center.

Just two months after she first visited the prison, Basnet began to care for five children. She picked them up at the prison every weekday morning, brought them to her center and then returned them in the afternoon. Basnet's program was the first of its kind in Kathmandu; when she started, some of the children in her care had never been outside a prison.

Two years later, Basnet established the Butterfly Home, a children's home where she herself has lived for the past five years. While she now has a few staff members who help her, Basnet is still very hands on.

"We do cooking, washing, shopping," she said. "It's amazing, I never get tired. (The children) give me the energy. ... The smiles of my children keep me motivated."

Coordinating all of this is no easy task. But at the Butterfly Home, the older kids help care for the younger ones and everyone pitches in with household chores. The atmosphere feels like an extremely large family, a feeling that's fostered by Basnet, who smothers the children with love. The children reciprocate by calling her "Mamu," which means "Mommy."

"I don't ever get a day off, but if I [didn't] have the children around me, it would be hard," she said. "When I'm with them, I'm happy."

Do you know a hero? Nominations are open for 2013 CNN Heroes

All the children are at the Butterfly Home with the consent of the imprisoned parent. When Basnet hears about an imprisoned child, she'll visit the prison -- even in remote areas of the country -- and tell the parent what she can provide. If the parent agrees, Basnet brings the child back.

She is still eager, however, for the children to maintain relationships with their parents. During school holidays, she sends the younger children to the prisons to visit, and she brings them food, clothing and fresh water during their stay. Ultimately, Basnet wants the families to reunite outside prison, and 60 of her children have been able to do just that.

Parents like Kum Maya Tamang are grateful for Basnet's efforts. Tamang has spent the last seven years in a women's prison in Kathmandu. When she was convicted on drug charges, she had no other options for child care, so she brought her two daughters to jail with her. When she heard about Basnet's program, she decided to let them go live with her.

"If Pushpa wasn't around, (they) could have never gotten an education ... (they) would have probably had to live on the streets," she said. "I feel she treats (them) the way I would."

Tamang's oldest daughter, Laxmi, said she can't imagine life without Basnet.

"My life would have been dark without her," said Laxmi, 14. "I would've probably always had a sad life. But now I won't, because of Pushpa."

In 2009, Basnet started a program to teach the parents how to make handicrafts, which she sells to raise money for the children's care. Both mothers and fathers participate. It not only gives them skills that might help them support themselves when they're released, but it also helps them feel connected to their children.

"Often, they think that they're useless because they're in prison," Basnet said. "I want to make them feel that they are contributing back to us."

Making ends meet is always a struggle, though. The children help by making greeting cards that Basnet sells as part of her handicraft business. In the past, she has sold her own jewelry and possessions to keep the center going.

Her biggest concern is trying to find ways to do more to give the children a better future. She recently set up a bank account to save for their higher educations, and one day she hopes to buy or build a house so they'll always have a place to call home. Their happiness is always foremost in her thoughts.

"This is what I want to do with my life," she said. "It makes me feel (good) when I see that they are happy, but it makes me want to work harder. ... I want to fulfill all their dreams."

Want to get involved? Check out the Early Childhood Development Center website at www.ecdcnepal.org and see how to help.

CNN's Sumnima Udas contributed to this report.

@highlight

In Nepal, many children have little choice but to live in prison with their incarcerated parents

@highlight

Fortunately, more and more are finding special homes like the one run by Pushpa Basnet

@highlight

Basnet also operates a day care in Kathmandu for children under 6 years old

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes