(CNN) -- Devoted fans.

Faithful listeners.

Seldom have those words sounded quite so apt.

They describe the people who enjoyed the singing of George Beverly Shea, who died last week at the age of 104. The name may not be instantly recognizable to some Americans, but that was no fault of his. He accomplished something very few vocalists can claim: During his career, he sang in front of an estimated 200 million people in live performance.

How could this be?

He was the lead vocalist at Billy Graham's crusades and revival meetings for more than 50 years. If you went to see Billy Graham preach, you heard George Beverly Shea sing.

And, oh, what a voice he had.

It didn't matter what your own religious beliefs were. If you were interested in the craft -- the art -- of vocal performance, and you were in the presence of Bev Shea (that's how he was known to his friends), then you recognized greatness.

He was not fancy as he sang, he indulged in no gimmicks, at times he seemed as calm before a microphone as a man waiting patiently for a bus. But that was deceptive. His deep and immaculately modulated baritone, his resolute attention to precise phrasing and pronunciation, his implicit and unmistakable regard for his audience -- this was a professional artist of the highest order.

The fact that he sang gospel music might, in theory, have worked against him, might have limited the number of his potential listeners; for many of the years of his career, the nation was obsessed with rock 'n' roll and other forms of popular, here-one-week, gone-the-next records. But he had a certain advantage:

A singer's audience is often influenced by the person who presents him or her. In the Beatles' early days, they had CBS television's Ed Sullivan to do that. It made a big difference.

George Beverly Shea, for half a century, had Billy Graham to present him. At all those crusades, in all those stadiums and arenas, they were a matched pair. Graham wouldn't have had it any other way.

They perfectly complemented each other's strengths. Graham, at his peak, was utterly electric on a stage -- his presence was crackling and palpable, there was no structure in the world too big for him. In the charisma and magnetism department, he needed no help.

But Shea was steady and soothing and reassuring. He was placid waters to Graham's blazing lightning. And for all those years, he was a considerable part of the draw.

Hear and see Bev Shea sing at 1961 Billy Graham crusade

In 1971, when I was getting started as a reporter, the Billy Graham Crusade was scheduled to come to Chicago's cavernous McCormick Place for a week-and-a-half of summer services. I asked his advance team if I could spend days and nights with them, observing how they did what they did: how they made the arrangements and logistical decisions to get all those people to pack the huge hall every evening. They were welcoming and open about having me hang around.

Those were the years when the most successful and highly publicized musical acts were groups such as Three Dog Night and Creedence Clearwater and Alice Cooper.

So I was struck to find how constant, in my conversations with the people who were coming to the crusade meetings, their unprompted references to Shea were. He was a major and incandescent star to them -- they had been listening to him for years, and they couldn't wait to see him perform in person.

There was a phrase back then that was used in politics: the Silent Majority. In those times of turmoil and earsplitting acrimony in public life, the term referred to those Americans who didn't raise much commotion, but whose fidelity to tradition was unwavering.

I thought then, and I think now, that the concept also applied to the enduring popularity of Shea. He never tried to be stylish or trendy; he didn't shift his approach as the decades went by. He just sang like a dream -- and, with his clear, careful enunciation and his dignified comportment on stage, he showed unwavering respect for the people in the seats.

To watch and listen to Shea sing "How Great Thou Art," the gospel number most closely associated with him, was to be in the presence of an absolute master. (And if you've ever heard Elvis Presley's haunting rendition of the same song, then you just know that Elvis had to be a George Beverly Shea fan, too.)

He did fine for himself: more than 70 albums, a Grammy Award, a separate Lifetime Achievement Award from the Grammy organization. In the days when what is now called terrestrial radio -- that is, free radio, broadcast by local stations -- ruled, you couldn't help hearing his voice as you twisted the dial through the stations in your town. He was a permanent cast member of Billy Graham's "Hour of Decision," which was syndicated to local stations all over the country, and the power of that voice would stop your hand, at least momentarily, from seeking something farther down the dial.

On Sunday his funeral will be held in Montreat, North Carolina, his home for many years; on Monday he will be buried in a private ceremony on the grounds of the Billy Graham Library in Charlotte, North Carolina.

I remember asking a member of the audience at that long-ago crusade in Chicago what it was that made Shea's music so important to her.

"When he sings," she said, "he just brings me comfort."

Which, in an often frenzied world, is not a bad sum-up of a long, serene and melodic life.

The opinions in this commentary are solely those of Bob Greene.

@highlight

George Beverly Shea, gospel singer at Billy Graham crusades, died recently at 104

@highlight

Bob Greene: Regardless of their faith, people knew greatness when they heard Shea

@highlight

Graham was electric on stage, Greene says. Shea was soothing and comforting

@highlight

Greene: With clear enunciation, dignified presence, he showed respect for his audience