(CNN) -- Ivorian-born businessman Tidjane Thiam is all too familiar with the daily challenges of setting the strategy and overseeing the operations of a global company.

Over the last three years, the London-based executive, who served as a government minister in Ivory Coast in the 1990s, has been at the helm of Prudential, a life insurance giant and financial services group with a 160-year history and more than 26 million customers in Asia, the U.S. and the UK.

But for Thiam, the first black CEO of a FTSE 100 company, being a cabinet minister in Ivory Coast was much tougher than heading a global company.

"The difficulty you have when you work in an emerging market is you never have enough," he says. "It's very tough because it's like being asked to choose between cutting your right arm or your left arm. So every decision is very painful, engages lives, has a huge impact on how people live, whether they live or not, and if you take that responsibility seriously it can be quite heavy."

Related: Ivory Coast seeks chocolate fairness for farmers

Born in 1962, Thiam spent his childhood in Ivory Coast and Morocco before relocating to France for studies. He made his first professional steps in Paris and New York and in 1994 he returned to Africa to be in charge of Ivory Coast's infrastructure projects.

But in 1999, while Thiam was abroad, a military coup overthrew Ivory Coast's government. Thiam returned to the country and was initially put under house arrest. He was then asked to work for the new regime but Thiam refused the offer and returned to Europe to work in the private sector.

Thiam spoke to CNN's Robyn Curnow about Prudential, Ivory Coast and what it takes to be a good leader. An edited version of the interview follows.

CNN: Being the first African to run a big FTSE 100 company, that kind of discussion that comes back at you a lot, doesn't it?

Tidjane Thiam: It does -- I try to stay away from it and to move away from it, but fundamentally it's not a real issue. Fundamentally I think you just have to be yourself, that's the only thing you can do anyway and that's the only way to live your life.

CNN: Prudential is very much a multicultural organization. What are the tricks to running a global business in today's environment?

TT: The the only thing you can do is to be authentic. People have their own filters to look at you and to decode what you are saying or what you are doing according to their own cultural references, but I think one thing people can read across cultures is whether you're being genuine or not.

Read related: Oil vs. cocoa: Why Ivory Coast isn't like Libya

CNN: You've told me before it's harder being an African minister in a government, than a CEO of a large company.

TT: It's very different. The difficulty you have when you work in an emerging market or emerging economy is you never have enough. For instance, often I had to get involved in the public investment process and frankly if I added all the requests we had when we did the budget every year, it was between 50 and a 100 times the resources we had.

In the West, when you budget you're going to get 20, 30% more than what you have, not 50 times or a 100 times, and frankly I think each and every one of those requests were legitimate.

So if you have to go from 50 to one, it's very tough because it's like being asked to choose between cutting your right arm or your left arm, so every decision is very painful, engages lives, has a huge impact on how people live, whether they live or not, and if you take that responsibility seriously it can be quite heavy. The consequences of the decisions you make are of a completely different magnitude on a human level.

CNN: You very much charted a new road in terms of privatizations, that was in a way revolutionary in West Africa.

TT: It's not complicated, we had no money, as the President put it. The first challenge he gave me was. "look ... we have a drought, the dams are empty, we need a power plant but we have no money so I need you to build a power plant." That was my first job, so yes, I think if you don't have money, you have to be creative. So it was actually very exciting. We had to go out and innovate, frankly it's as much out of necessity that we went and raised private capital.

Watch: Rebuilding Ivory Coast's cocoa trade

CNN: You rejected the military regime's offer. I've read that you've said that the period after the coup was a very lonely time.

TT: I have to say the coup was popular, people did not understand my position, my position was a position of principle ... A lot of so-called democrats were applauding the coup and I'm saying this is really short-term thinking and it's very poor thinking -- because it is bad for democracy that in one of the few countries in Africa where there had never been a coup and I was absolutely convinced that it was all going to go wrong and there was no stopping it.

Watch: How a coup made a CEO

Because in countries with weak institutions once you've allowed someone to take a minister or cabinet member and make him crawl with his AK-47, that's it -- it's going to happen over and over and over again.

It's always wrong to build your power on military might...because someone will always have a bigger gun than you. There's always someone who's got a bigger muscle than you or a bigger stick than you, a bigger baseball bat and he can always break your skull, that's why we have a rule of law, that's why we have civilization.

CNN: You get angry, don't you?

TT: Yes, it's just unnecessary. We are the poorest, we are the weakest, we are divided -- if on top people are going to fight each other, what chances do we have?

I go to Asia, you get to Bangkok, Hanoi, Manila, Hong Kong, Singapore, I challenge you to see a difference between Sunday and Monday -- there are seven days in a week and they use those seven days to work and to produce.

So if we spend our time fighting each other while others are working together toward a goal, we shouldn't be surprised if we fall behind.

@highlight

Ivorian-born Tidjane Thiam is the chief executive of Prudential

@highlight

Thiam is the first black chief executive of a FTSE 100 company

@highlight

He worked as a minister of planning and development in Ivory Coast in the 1990s

@highlight

He left the West African country in 1999 after a military coup