Aaron Swartz, an Internet savant who at a young age shaped the online era by co-developing RSS and Reddit and later became a digital activist, has committed suicide.

Swartz's body was found Friday evening in Brooklyn, said Ellen Borakove, a spokeswoman with the New York medical examiner's office. The 26-year-old had hanged himself in his apartment.

His family and partner said they were "in shock, and have not yet come to terms with his passing."

"Aaron's insatiable curiosity, creativity, and brilliance; his reflexive empathy and capacity for selfless, boundless love; his refusal to accept injustice as inevitable -- these gifts made the world, and our lives, far brighter," they said in a statement. "We're grateful for our time with him, to those who loved him and stood with him, and to all of those who continue his work for a better world."

A prodigy, Swartz was behind some of the Internet's defining moments, soaring to heights that many developers only dream of. At the same time, he was plagued by legal problems arising from his aggressive activism, and he was also known to suffer depression, a personal matter that he publicly revealed on his blog.

Technology activist Cory Doctorow met Swartz when he was 14 or 15, Doctorow said on his blog.

"In so many ways, he was an adult, even then, with a kind of intense, fast intellect that really made me feel like he was part and parcel of the Internet society," Doctorow wrote.

"But Aaron was also a person who'd had problems with depression for many years," Doctorow blogged. He added that "whatever problems Aaron was facing, killing himself didn't solve them. Whatever problems Aaron was facing, they will go unsolved forever."

At age 14, Swartz co-wrote the RSS specification.

He was later admitted to Stanford University, but dropped out after a year because, as he wrote in a blog post, "I didn't find it a very intellectual atmosphere, since most of the other kids seemed profoundly unconcerned with their studies."

What he did next was help develop Reddit, the social news website that was eventually bought by heavyweight publisher Conde Nast in 2006.

Swartz then engaged in Internet digital activism, co-founding Demand Progress, a political action group that campaigns against Internet censorship.

But he pushed the legal limits, allegedly putting him on the wrong side of the law.

In 2011, he was arrested in Boston for alleged computer fraud and illegally obtaining documents from protected computers. He was later indicted in an incident in which he allegedly stole millions of online documents from the Massachusetts Institute of Technology. He pleaded not guilty in September, according to MIT's "The Tech" newspaper.

Two years earlier, the FBI investigated him after he released millions of U.S. federal court documents online. The alleged hacking was significant because the documents came from the government-run Public Access to Court Electronic Records, or PACER, which typically charges a fee, which was 8 cents a page in 2009.

No charges were filed in that case, but on October 5, 2009, he posted online his FBI file that he apparently requested from the agency. He redacted the FBI agents' names and his personal information, he said.

In that file, the FBI said more than 18 million pages with a value of about $1.5 million were downloaded from PACER in September 2008 to Swartz's home in Highland Park, Illinois.

"As I hoped, it's truly delightful," he wrote of his FBI file.

Swartz's family and partner recalled his "commitment to social justice," and called his death "the product of a criminal justice system rife with intimidation and prosecutorial overreach." They criticized U.S. prosecutors for seeking "an exceptionally harsh array of charges (for) an alleged crime that had no victims," and MIT because it did not "stand up for Aaron."

"Decisions made by officials in the Massachusetts U.S. Attorney's office and at MIT contributed to his death," they said.

Christina DiIorio-Sterling, a spokeswoman for the U.S. Department of Justice, declined to comment on Swartz's case, citing respect for the family.

His funeral will be held Tuesday at a synagogue in Highland Park.

Swartz, who completed a fellowship at Harvard's Ethics Center Lab on Institutional Corruption, frequently blogged about his life, success and personal struggles. In some instances, he wrote about death.

"There is a moment, immediately before life becomes no longer worth living, when the world appears to slow down and all its myriad details suddenly become brightly, achingly apparent," he wrote in a 2007 post titled "A Moment Before Dying."

On November 27, 2007, he blogged about "depressed mood."

"Surely there have been times when you've been sad. Perhaps a loved one has abandoned you or a plan has gone horribly awry. Your face falls. Perhaps you cry. You feel worthless. You wonder whether it's worth going on," he wrote.

"Everything you think about seems bleak — the things you've done, the things you hope to do, the people around you. You want to lie in bed and keep the lights off. Depressed mood is like that, only it doesn't come for any reason and it doesn't go for any either.

"At best, you tell yourself that your thinking is irrational, that it is simply a mood disorder, that you should get on with your life. But sometimes that is worse. You feel as if streaks of pain are running through your head, you thrash your body, you search for some escape but find none. And this is one of the more moderate forms," he wrote.

People we've lost in 2013: The lives they lived

@highlight

Swartz's family says federal prosecutors and MIT "contributed to his death"

@highlight

Swartz, 26, was found Friday after he hung himself, ME's office and his family says

@highlight

He helped pioneer the Internet's icons of RSS and Reddit at a young age

@highlight

Swartz then became an aggressive Internet activist, landing him in legal trouble