London (CNN) -- Britain's celebrated landscape is set to be changed forever as an incurable disease threatens the existence of one of its most familiar trees.

But a group of environmentalists have come up with a high-tech solution to try to tackle the crisis in the countryside.

The detection of ash dieback disease, believed to have most likely been transmitted via fungal spores carried on the wind from continental Europe, has prompted environmental authorities to warn it will not be possible to eradicate the disease from Britain's "green and pleasant land."

Experts fear vast numbers of Britain's 80 million ash trees, the country's fourth most abundant tree specimen, will be lost from its parks and forests.

In a sign of how seriously the British government is taking the presence of the disease, Chalara fraxinea, it has held meetings of the government's crisis committee COBRA -- more commonly convened for national security emergencies -- in response.

There is no cure or vaccination for ash dieback, although some specimens are exhibiting some resistance to the disease. When ash dieback hit Denmark, 90% of its ash trees were affected.

Efforts to respond to the disease are focused on tracking and containing its spread, resulting in the destruction of more than 100,000 infected trees to date.

To that end, a group of environmentalists has devised its own solution to help the public help authorities track the spread of the disease.

"AshTag" is an app which allows members of the public to report likely sightings of the disease to authorities, along with precise location coordinates, using their smartphones.

Members of the public can photograph the tree in question and log the report with the service, and the details will be sent to the Forestry Commission to investigate. Sightings will be plotted on a map, using different colored pins denoting whether the specimen is unchecked, uncertain or likely.

"We made it in a weekend -- a lot of late nights, a lot of coffee," said Toby Hammond of the University of East Anglia's Adapt Group, which is behind the initiative.

"It's a huge task to map this disease -- if you were to do it thoroughly, you'd have to look at every ash tree in the UK," he said.

A much more effective approach, he says, is to use "crowd sourcing... by getting involved all the people who are out walking their dogs or may have an ash tree in their garden that they are concerned about."

The response has been strong. The app has been downloaded almost 10,000 times in a week, resulting in more than 500 possible sightings being uploaded. People without smartphones can still use the service using their computers.

Infected ash trees develop lesions on their bark, and dieback and browning of their leaves, which can be harder to spot during autumn months.

The app allows for smarter use of resources by allowing staff to filter out unlikely sightings and direct the attention of authorities to the most likely cases to investigate.

Sadly, it has not been able to provide any relief for people like Robert Crowder, whose family business, Crowders Nurseries, has run since 1798, and who estimates the company's losses to ash dieback to be worth about $320,000.

His nursery was recently ordered to burn 50,000 ash saplings -- a loss Crowder believes could have been avoided had the government acted sooner to try to prevent the spread of the disease when it appeared in Western Europe.

"We had seen evidence of the disease in nurseries in Denmark, Germany and Holland and we told the government in 2009 and they chose to do nothing about it," he said. "We have now had a financial loss as a result of their indecision."

Britain's ecosystems have suffered from serious tree diseases in the past, with as many as 30 million elms lost to Dutch elm disease in the 1970s.

Jim C. Smith, an urban forestry adviser for the Forestry Commission, said ash dieback was "at least as serious" as Dutch elm, "but we don't know how it will actually spread in the country."

It is hoped that Ashtag can play a role in preventing the spread of ash dieback -- and potentially any of the nearly 20 tree diseases in the UK -- to those proportions.

@highlight

Ash dieback, an incurable tree disease, has been detected in the UK

@highlight

It threatens Britain's 80 million ash trees, the fourth most abundant tree in the country

@highlight

A smartphone app called Ashtag is providing a way for the public to report diseased trees

@highlight

More than 100,000 trees have been destroyed in efforts to contain its spread