(CNN) -- This week the U.S. president will visit Brussels for the first time. Quite why he has left it to his second term to make the trip baffles many in the EU's halls of power.

And there's no denying it paints a decidedly underwhelming picture of today's trans-Atlantic relationship at a time when Russia's aggression in the east requires it to be strong.

Born from the ashes of the second world war, Europe's alliance with the United States has been a major force for global peace and prosperity, conquering cold wars and fighting for common values.

Yet amid allegations of America spying on its friends and Europe's ensuing grudge, it's time to redefine those ties so that both parties can move on to the next stage.

Like a marriage in which the kids have long flown the nest, the EU and the U.S. have drifted apart.

Europe's countries have crept closer together, pooling their commercial might into one free trade and legislative bloc, just as Washington has entered a new isolationist era.

Mistrust has crept in.

Younger, burgeoning emerging economies have tempted the roving eve and, though it's not yet time to call in the divorce lawyers, a reality check is long overdue.

So what better excuse to take stock than a comparatively new initiative called the Transatlantic Trade and Investment Partnership, or T-TIP for short, the biggest free trade pact in history and the cornerstone of a new economic age.

Let's face it, trade in itself is not a sexy subject.

But if politicians were to let the money do the talking for once, their electorates would sit up and listen.

And a few years from now, the pros and cons of increased globalization will yet again make their way higher up the political agenda; for better or worse.

The T-TIP is ambitious. Perhaps a little too ambitious, you could argue, with the goal of creating an open market for the region's 700 million potential consumers. A move which economists reckon could add about half a percent of growth to both economies by 2027.

Yet any deal will require endless negotiations, consultations with huge swathes of industry, hours clocked up in red-eye flights and much late-night quibbling over health and safety and agricultural trading directives among a myriad other issues.

Eurocrats will be sorely disappointed if Barack Obama does not set a clear agenda on this topic in his address.

EU Trade Commissioner Karel De Gucht told me at a gathering organized by the German Marshall Fund that any trade deal worth having would have to be "ambitious."

Still, as various rounds of failed WTO negotiations have taught us, there is no use in putting too many issues on the table or nothing will be achieved.

To see the light of day, the pact will have to accomplish three broad things.

First governments will have to sell the concept to their people and convince them of its economic benefits.

Research conducted by the European Commission estimates an open trans-Atlantic area could add 214 billion euros in extra growth for both parties.

Secondly the partnership affords both sides an opportunity to tackle superfluous red tape, harmonizing existing rules and regulations, providing a new framework for drafting future legislation.

Where the T-TIP pact will really make a difference is on its third goal: investment. Both economies currently enjoy $4 trillion of such money flows, supporting 7 million jobs. If the free trade zone were to give business leaders the confidence to see a clearer, less bureaucratic trade climate, such figures would multiply fast.

So that's the theory but what about the practicalities?

Smashing subsidies, eliminating other non-tariff and tariff barriers to trade will be unpopular, especially with so called special interest sectors like chemicals and cars, each deploying their formidable trade lobbies at each twist and turn.

To be effective any new rules will also have to govern new, complex and intangible commodities, like data, and balance Europe's hunt for new energy providers with America's desire to keep its oil surplus to itself.

The initial stages of the free trade zone are unlikely to be passed until after the U.S. midterm elections. Even then, selling the concept to an increasingly protectionist congress will be tricky. And all the while, the European Parliament is coming up for its own vote in May, further delaying the T-TIP timeframe.

Yet the opportunity cost to the world's most influential alliance of not formalizing its lucrative partnership at a time when other deals are being struck elsewhere would leave both sides wrong-footed.

The trans-Atlantic relationship needs a new purpose.

Although the two may not exactly be celebrating their diamond anniversary, it's time to renew those vows and start thinking about the putting something extra in the pension fund.

And where better to start than with more trade.

Read more from Nina dos Santos:

Russia sanctions: EU should leave trade alone
Scotland and England: Better together or more affluent apart?

@highlight

Barack Obama to visit Brussels, the de facto "home" of the EU, for the first time this week

@highlight

CNN's Nina Dos Santos says Obama should use the trip to revitalize relations between the U.S. and the EU

@highlight

Trans-Atlantic links have been damaged by allegations the U.S. spied on its European friends

@highlight

The Transatlantic Trade and Investment Partnership may help reinvigorate the relationship