If you're following the news about ISIS, which now calls itself the Islamic State, you might think you've mistakenly clicked on a historical story about barbarians from millennia ago.

In a matter of months, the group seized territory in both Iraq and Syria and declared an Islamic caliphate, celebrating its own shocking slaughter along the way.

"I don't see any attention from the rest of the world," a member of the Yazidi minority in Iraq told the New Yorker. "In one day, they killed more than two thousand Yazidi in Sinjar, and the whole world says, 'Save Gaza, save Gaza.'"

In Syria, the group hoisted some of its victims severed heads on poles. One of the latest videos of the savagery shows a Christian man forced to his knees, surrounded by masked militants, identified in the video as members of ISIS.  They force the man at gunpoint to "convert" to Islam. Then, the group beheads him.

ISIS has targeted members of numerous minority groups in the region, including Christian nuns, Turkmen and Shabaks, according to Human Rights Watch.

France called Thursday for an emergency meeting of the U.N. Security Council. Foreign Minister Laurent Fabius said his country is "highly concerned about the latest progress of ISIS in the north of Iraq and by the taking of Qaraqosh, the largest Christian city of Iraq, and the horrible acts of violence that are committed."

The United States is considering emergency air drops to help thousands of stranded Yazidis, a U.S. Defense official told CNN. The department also is weighing "other military options," a senior State Department official said.

Asked about the possibility of U.S. airstrikes, White House spokesman Josh Earnest said Thursday he was "not in a position to rule things on the table or off the table."

Earlier this week, ISIS fighters tried to seize control of Iraq's largest hydroelectric dam, but Kurdish forces fended them off, the dam's director said.

"If 'IS' manages to consolidate its territory and preserve its legitimacy, an offensive jihad against all other countries will then be considered viable," Jonathan Russell of Qulliam, a think tank formed to combat extremism, wrote on CNN.com.

"Al Qaeda will now want to challenge ISIS's appropriation of its key objectives and tactics. The only way for al Qaeda to stay relevant now is through a violent and spectacular attack. Although ISIS may eventually be a victim of its own success, the real victims will be the thousands of innocent Muslims and non-Muslims caught in the crossfire of this millennarian struggle."

Pope leads call for action

As the tales of horror trickle out from areas ISIS controls -- including Mosul, Iraq's largest city -- a growing chorus of voices is calling on the world to act.  The most prominent is Pope Francis.

"The Holy Father follows with strong concern the dramatic news from the north of Iraq, concerning defenseless populations," the Vatican said in a statement Thursday. "Particularly struck have been the Christian communities, a people fleeing from their own villages due to the violence that in these days is raging and overwhelming the region."

"Dear brothers and sisters so persecuted, I know how much you are suffering and I know that everything has been taken from you. I am with you in faith, and with Him that has conquered evil," the Pope said recently during the Angelus prayer.

"His Holiness also sends an urgent appeal to the international community, in order that they may work towards ending the humanitarian crisis and protecting those who are affected or threatened by violence, and to ensure necessary aid, especially that which is most urgently needed by so many homeless, whose fate is solely dependent on the solidarity of others," the Vatican said.

"An entire religion is being exterminated from the face of the Earth." Vian Dakhil, a Yazidi, said in an appeal to the Iraqi parliament. She called it a "genocide."

Yazidis, among Iraq's smallest minorities, are of Kurdish descent, and their religion is considered a pre-Islamic sect that draws from Christianity, Judaism and Zoroastrianism.

Analysts: West must arm Kurds

"The world now faces two urgent challenges: to prevent the genocide of the Yazidis and to stop ISIS from continuing to conquer swaths of the Middle East," global affairs columnist Frida Ghitis wrote on CNN.com. "Bombing ISIS positions would help save the Yazidis, but supporting the Kurds is key to success on both counts."

The Iraqi Kurdish army, known as the Peshmerga, has fought ISIS but is "outgunned," partly because the Iraqi army dropped its weapons "and fled when ISIS rolled in from Syria and captured Mosul," Ghitis says.

Ghitis wants the United States to help arm the Kurds against ISIS.

The United States has been reluctant to do so, wary that the Kurds will try to break off from Iraq and build a separate state at a time Washingon is trying to bolster a central Iraqi government in Baghdad.

"If the U.S. decided to help the Kurds, there would be no guarantee that the Kurds wouldn't later use those weapons to further their own interests," Dexter Filkins writes in the New Yorker. "But what other choice is there?"

Filkins notes that Iraq has begun air strikes aimed at helping the Kurds -- but, he says, "the Iraqi Army has proved itself utterly ineffectual in combating ISIS."

On Wednesday, the Iraqi air force struck a building Mosul believed to be used by ISIS, killing 76 people, an Iraqi official told CNN. But local officials said dozens of those killed were actually civilians who had opposed the Islamic State.

Meanwhile, Iraq's Badr Brigade Shiit militia is is training women to join men in protecting Baghdad if the Islamic State works its way to the capital.

Masrour Barzani, Kurdish intelligence and security chief, called for direct military assistance from the United States in an interview with the Washington Post.

"We've got to help our allies to defend themselves," says David Schenker, head of the Washington Institute's Program on Arab Politics, another voice in support of arming Kurds.

"The other half of that equation is working with the moderate Syrian opposition -- providing them with robust capabilities against the regime and ISIS."

Analyst: Build a U.S. base

Michael Rubin, a former Pentagon official who focuses on Arab politics and terrorism, disagrees on both fronts.

At this point, "the definition of 'moderate' in Syria is 'not engaging in cannibalism,'" he says. "If we did not know about two Chechen brothers in Boston before they carried out the Marathon bombings, how could we know whom to trust within Syria?"

It's too late to arm moderates as a means of curbing the violence in Syria, says Rubin, who is now with the conservative American Enterprise Institute.

And among Kurds in Iraq, there's a danger: "Kurdish leadership is just as permeated by, and just as close in terms of a working relationship with, the  Islamic Revolution Guards Corps" -- Iran's elite force. "In the past, the Kurds have leaked intelligence to the Iranians -- and they could presumably leak weaponry."

The Peshmerga is also not as competent as its popular image suggests Rubin says.

He wants the United States to accept an offer from the Massoud Barzani, head of the Kurdistan Regional Government, to set up a base in Kurdistan.

"It would kill two birds with one stone," he says. The United States could base drones or manned aircraft in the region to be used in the fight against ISIS, and the U.S. presence would help cut through some of the Iranian influence.

The Iraqi government wouldn't like it, "but at this point, it's the lesser concern," Rubin says. "We could mitigate this with a request to Baghdad to approve. Baghdad has more to lose by not blessing this especially if we go ahead anyway."

But Earnest, the White House spokesman, said Thursday that President Barack Obama has made clear "there are no American military solutions to the problems in Iraq. We can't solve these problems for them. These problems can only be solved with Iraqi political solutions."

He added that Obama has "demonstrated his clear willingness to take the kind of military action that's required to protect core American interests," including personnel around the globe. But any U.S. military action in Iraq would not include boots on the ground, Earnest said.

ISIS's cruelty could be its downfall

But the West may have reason to take no immediate action, says Fahad Nazer, terrorism analyst with JTG Inc.

"Unlike other al Qaeda branches, ISIS doesn't seem eager to attack the West. It has too much to lose," he writes on CNN.com.

"While the West has never been comfortable with Hamas in Gaza or Hezbollah in Lebanon, it has largely left it up to the countries of the wider Middle East to deal with these militant, Islamist organizations," he writes.

Also, "The West may find solace in the fact that ISIS has many enemies in the Arab and Muslim worlds," Nazer writes.  And with so many groups suffering from its persecution and terror, such "violent ideology and brutality makes its endurance over the long-term unlikely."

The West could work with populations in the region to stand up against terrorism as it did with the Iraq Awakening Councils who turned against al Qaeda in 2006, says Schenker.

There's also the possibility that al Qaeda and ISIS will fight each other so heavily that they inflict casualties and weaken each other. But the risks of inaction by the West in the immediate future may be too great, says Schenker.

"ISIS digging in consolidating gains," he says, "will make it much more difficult to combat in the long run."

"Several Obama administration officials have told us that our national security is at risk from ISIS," adds Elliott Abrams, who served as deputy national security adviser under President George W. Bush.

Abrams supports arming Kurds and says the United States should be willing to use its military power as well. "Otherwise," says Abrams, who is now with the Council on Foreign Relations, "What is the Obama message: there are huge risks, but we'll just watch for a while?"

What chance do Yazidis have against group too brutal for al Qaeda?

@highlight

The White House does not say whether air strikes are an option

@highlight

"What's the Obama message?" a former national security official asks

@highlight

Pope sends "urgent appeal" to end the crisis

@highlight

Video shows militants force a Christian to convert to Islam, then behead him