(CNN) -- Last month, thousands of people in Saudi Arabia opened up their newspapers to find a full-page picture of a woman with a black eye clearly visible underneath her burqa.

Below the image ran the slogan in Arabic, "Some things can't be covered", and a list of phone numbers for local domestic abuse shelters. In a culture that tends to turn a blind eye to the issue of violence towards women, it was a shocking and powerful image.

"It's a problem that's been swept under the carpet for years," says Scott Abbott, the creative director for Memac Ogilvy, the Riyadh-based agency responsible for the advert.

When Ogilvy approached the King Khalid Foundation, a charity that focuses on issues of advocacy and developing the country's non-profit sector, they weren't sure what type of reaction to expect.

"I think that there was always a real concern that, given the subject matter, it would never get through," says Abbott.

A major push came from Saudi princess HRH Banderi A.R. Al Faisal, the foundation's director. Though the campaign has captured the public's attention, both within Saudi and abroad, where an English version has made the rounds online, Al Faisal says she doesn't see the ad as shocking.

"My media and PR team were a bit nervous going into this, saying, 'Are you sure you want to do this?'" she admits. "I didn't understand why. I don't understand what is so controversial. Who will say, 'Yes, it's ok for women to be beaten up'?"

Read more: Women directors find acclaim worldwide

Saudi women are legally reliant on the permission of their male guardians to travel freely, driving is still a socially contentious issue and there are no laws that protect victims of domestic abuse. According to Al Faisal, however, change is in the air.

"For several years, domestic abuse was sort of the elephant in the room. There was nowhere for a woman to go if she was abused because a system wasn't set up to handle that," she admits. Though the issue is still not completely out in the open, she notes the last few years has seen a rise in shelters that cater to female victims of violence.

It has been a watershed year for women's rights in the conservative country. So far, women have been accepted into the government's advisory Shura Council, given the right to vote, gained entry into a range of new professions (including engineering and law) and granted permission to have their own IDs without guardian permission.

Adam Coogle, a Middle East researcher at Human Rights Watch, admits that though these measures are impressive, more needs to be done to protect women inside the country.

"There are no laws that protect women specifically. If, for example, a woman claims rape, and a man says it was consensual, she can face a counter charge of adultery," he says.

Though there is currently no law that punishes a man for beating his wife, the King Khalid Foundation has prepared legislation that would do just that. In fact, it is the pending bill, which would decide the punitive measures abusers could face (a mix of imprisonment, financial restitution and loss of custody), that spurred the campaign to begin with.

Last year, the Shura Council pushed through similar legislation the foundation helped pen protecting the rights of children in abusive situations. Al Faisal is confident that the drafted legislation will meet with the same level of success.

Read more: The Saudi museum with more Facebook likes than the Louvre

Coogle, however, says that Saudi still needs to overcome considerable social hurdles before the situation improves.

"Women who speak out about emotional abuse or neglect often face societal judgments. There is a prevalent attitude that if a man hits his wife, it's acceptable, because she's not being a good wife."

Coogle points to a ten year old study in the Journal of Muslim Affairs where Saudi men were polled on whether they ever hit their wives -- 53% answered yes.

Al Faisal agrees that the Saudi mindset has to change and notes that a major obstacle is the naturally guarded nature of the culture.

"This is a very private society, and we tend to try to deal with things discreetly. We do not air our dirty laundry in public, as families or as communities," she says. "The negative side of that discretion is that it allows abusive behavior to thrive, because it is not stopped."

A main goal of the campaign is to create a countrywide social dialogue. In that regard, says Abbott, the campaign has been successful.

"Outside of the two days of ads we ran, it's been printed on the front page of national newspapers," he says. "People are talking about it, and it's been largely well-received."

@highlight

Saudi Arabia has launched its first anti-domestic abuse ad campaign

@highlight

Domestic abuse is not currently criminalized in Saudi Arabia, and there are no laws protecting women from violence

@highlight

The King Khalid Foundation has timed the campaign to push an anti-abuse law it drafted last year