Cairo (CNN) -- Uncertainty ruled in Egypt Wednesday as the Muslim holy month of Ramadan began and the military said it would address the issues of this week's deadly violence.

It wasn't clear whether the religious observance would calm or inflame tensions a week after a military coup.

The military, which ousted President Mohamed Morsy from office last week, said that 206 people who had been detained Monday during deadly clashes with security forces face charges of manslaughter, voluntary manslaughter, acts of violence and illegal possession of firearms. The suspects will remain in police custody for another 15 days while investigations into their actions continue. More than 600 people in all were detained Monday.

The announcement comes as the military seeks to portray itself as a stabilizing force in the splintering nation.

The question remains: Who's on board?

Not the Muslim Brotherhood, according to the group's high official of religious law.

Grand Mufti Abdulruhman Albir told the Reuters news agency that he does not recognize the authority of the nation's interim president and will not negotiate until Morsy regains power.

What is the Muslim Brotherhood?

"Therefore, there is no need to speak about any decrees, because they were issued by people without authority," Albir said.

That's a direct reference to Interim President Adly Mansour, who has issued a constitutional declaration giving himself limited power to make laws and outlined a timetable for parliamentary and presidential elections, according to state media.

The grand mufti's position is important because the Muslim Brotherhood's political wing, the Freedom and Justice Party, won the most seats in parliamentary elections. Morsy was elected president under the Freedom and Justice Party banner.

On Wednesday, prosecutors issued arrest warrants for the Brotherhood's chairman, Mohammad Badei, and for the vice chairman of the Freedom and Justice Party, Esam El Arian, state-run Nile TV reported.

The Egyptian government said Wednesday that Morsy -- arrested last week during his ouster -- was in a safe place, and that no charges have been filed against him.

"He is not free to go around, but he's treated very well," acting Foreign Minister Mohammed Kamel Amr told CNN's Christiane Amanpour. "And you understand that this is also for his own safety."

'Nail in coffin' for Arab Spring? Experts predict Egypt's future

Interim government begins to take shape

Filling other key roles are Hazem El-Beblawi, a liberal economist who was finance minister and deputy prime minister, who will serve as the interim prime minister, and Mohamed ElBaradei, the Nobel Peace Prize-winning diplomat, who will serve as interim vice president, the fledgling government said.

MENA, Egypt's official news agency, also reported that cabinet posts will be offered to the Freedom and Justice Party, as well as to the Salafist al-Nour Party.

But their participation seems questionable with the Muslim Brotherhood not recognizing the interim government and al-Nour -- which supported Morsy's ouster -- withdrawing from the talks to form an interim government after this week's deadly confrontation between the military and Morsy supporters.

Fifty-one people died in the clashes outside Republican Guard headquarters. The military has promised to investigate.

Muslim Brotherhood spokesman Ali Ahmed said that even if invited, it could not participate in the interim government.

"More than 700 of our members have been arrested, broadcasters have been shut down, and people killed in front of the Republican Guard," he said. "It is impossible to speak under the current circumstances. There is no way to have negotiations."

ElBaradei: Morsy's ouster was needed so Egypt cannot 'fail'

Money pours in

Even as the interim government struggled to unify political support at home, it picked up the financial support of some regional heavyweights -- neither are fans of the Muslim Brotherhood.

Saudi Arabia's finance minister said the kingdom has pledged $5 billion in grants and loans to the interim government, according to the official Saudi news agency SAPA.

And the United Arab Emirates will give $1 billion to Egypt and lend it another $2 billion as an interest-free central bank deposit, state news agency WAM reported Tuesday.

Washington's support

Adly Mansour: Interim president, veteran judge, mystery man

For now, the United States continues to support Egypt financially.

The White House has refused to describe as a coup the military's ouster of Morsy, who was reportedly being held under arrest at the Republican Guard headquarters. Doing so would require the United States to suspend its $1.3 billion in annual military aid to Egypt.

When is a coup not a coup?

It is in the interest of the United States and the Egyptian people "in their transition to democracy to take the time necessary to evaluate the situation before making such a determination," White House spokesman Jay Carney said Tuesday.

But he added that U.S. officials were "cautiously encouraged" that the interim government's plan "includes a return to democratically elected government that includes presidential and parliamentary elections."

In response to a question, State Department spokeswoman Jennifer Psaki told reporters that, "broadly speaking," the administration still believes that continuing military aid is a U.S. national security priority.

But Sen. John McCain, R-Arizona, has called for a suspension of military aid to Egypt.

8 issues Egypt is facing

CNN's Reza Sayah reported from Cairo. Ed Payne reported and wrote from Atlanta.

@highlight

NEW: More than 200 people detained during clashes face charges

@highlight

Reports: Cabinet posts will be offered to the Muslim Brotherhood and Salafists

@highlight

A presidential declaration by Adly Mansour would grant him limited legislative powers

@highlight

The declaration outlines a timetable for parliamentary and presidential elections