(CNN) -- What was a 60-year-old American with a heart condition doing in the midst of the months-long protests in Bangladesh?

To understand the answer, you have to go back a few years in Ruhel Ahmed's life.

At 18, he was a student-turned-guerilla freedom fighter wounded in action in the 1971 independence war -- a war that started 42 years ago to the week. Earlier this year, he returned to the homeland where he fought, weaker, but still strong at heart, and inspired by what he has seen. This demonstration is personal for the solar technician from Austin, Texas.

"There's an unfinished job of trying the war criminals," said Ahmed, who was in Dhaka on business when the demonstrations started in February. He joined as quickly as he could, camera in hand, documenting his experiences along the way for six weeks.

"I was here for 20 years in America. Now that my family is settled and my kids have grown up, my lifelong dream has been to go back to Bangladesh and see that justice is done. The time has come now," he said.

The Shahbag protests, named after a Dhaka neighborhood, center on that brutal nine-month war in which Ahmed and other Bangladeshis fought for independence from Pakistan. When one of the top officials in the opposition Jamaat-e-Islami party, Abdul Quader Mollah, was sentenced to life in prison for war crimes on February 5, protesters demanded a death sentence. (Since then, violence has escalated as other war criminals received death sentences, and Jamaat supporters launched counterprotests.)

Photos: Shahbag takes over Dhaka intersection

During Ahmed's time in Bangladesh, he would spend about six hours a day among the protesters, as they shared their stories about why they were there. He encountered many among the hundreds of thousands in the crowd who shared the protests with the world via social media, all the while knowing they could be in danger. Ahmed himself said he is willing to die for the cause.

Dozens have been killed in incidents related to the protests since February. "One of the bloggers I met spent the day talking to me. The next day he was chopped in pieces."

Bangladesh on the brink?

On March 8, Ahmed was documenting the protest with his camera when chaos erupted. Three Molotov cocktails were tossed from a five-story building, allegedly by supporters of Jamaat. "Everybody panicked," he said.

"One of the speakers at the demonstration said, 'Our parents were not afraid in 1971; we won't be afraid now,'" according to Ahmed. "Within 30 seconds, everyone sat down and started chanting slogans."

Of course, scenes of large protests have become more common in recent years, with varying results. When he sees how other protests like those in Egypt's Tahrir Square turned out, he is concerned with how that country still lacks stability, but he says this demonstration is different.

"We are taking Gandhi's approach, we are nonviolent. This is unprecedented. You see kids, mothers, old people who cannot walk," he said.

Bangladeshi freedom fighter explains why he's protesting

Though he has personal reasons to see "justice" and the war criminals punished, many of the protesters he encountered weren't even born in 1971. However, they were familiar with the war through school, and many had fathers, grandfathers or uncles who fought.

"The new generation -- the Facebook generation -- is totally determined," he said. He even suggested renaming the site of the protests "Facebook Square."

"They're not going to leave until justice is done. I ask them, 'How long?' They say 'As long as it takes.' They want the extreme jihadist party (Jamaat-e-Islami) banned; they want the country to be a secular country. I hope I survive that long to see it is done."

Ahmed recently returned to the United States because of his health. He is going to have a heart procedure done this week. Then he is ready to return for as long as four months to join the continuing protest.

Though his return to Bangladesh has been short, his life is forever changed. He has been touched by so many things he saw: from balloons filled with written messages for those who died in the war, to a candlelit vigil, where his camera panned the crowd, showing the "hopeful, determined" faces of the demonstrators.

"I'm dying to go back, believe me."

@highlight

What was an American doing in the midst of an intense protest in Bangladesh?

@highlight

Ruhel Ahmed is a veteran of the 1971 war at the heart of Bangladesh demonstrations

@highlight

He has been in the U.S. for a few weeks, but plans to return soon for several months