Emboldened militants, backed by Sunni tribal leaders, pushed toward Baghdad on Friday as increasingly nervous U.S. officials mulled their limited options to help slow the militants' advance.

In recent days, Iran has sent about 500 Revolutionary Guard troops to fight alongside Iraqi government security forces in Diyala province, a senior security official in Baghdad told CNN. However, that claim was rejected by Iran's Foreign Ministry.

"We have made our position clear. We are not involved in fighting in Iraq," ministry spokeswoman Marzieh Afkham told CNN.

A senior Iranian government official told CNN that Tehran is monitoring the situation in Iraq and could send advisers there, but would not send a fighting force.

Iranian President Hassan Rouhani reiterated his nation is prepared to help advice Iraq  if asked.

Meanwhile, Sunni tribal leaders have lined up in support of radical Islamists from the Islamic State in Iraq and Syria, or ISIS, making their push toward Baghdad easier, a Saudi intelligence official told CNN's Nic Robertson.

As Iraq further disintegrated, residents fled Mosul in droves. Militants captured the country's second-largest city this week after soldiers scattered, leaving their uniforms and weapons behind.

Three explosions hit Shiite areas in the capital city Friday evening, killing one person and wounding 20 people, police told CNN. A car bomb also exploded in al-Tarmiya, a Sunni area about 37 miles (60 kilometers) north of Baghdad, killing two civilians and wounding seven others, police officials in Baghdad told CNN.

The spreading violence prompted U.S. President Barack Obama to say the beleaguered government required assistance, but he warned Friday that it would take "several days" for the U.S. to react.

"This is not going to happen overnight," he told reporters.

And, he said, the United States will need assurances from Iraq's government that it will work to find a political solution the crisis.

A senior Obama administration official said Friday that the President has not yet made a decision on whether to act on any military options. But another senior administration official indicated that a decision could come as early as this weekend.

Airstrikes are among the options on the table, White House spokesman Jay Carney said Thursday. But there will be no repeat of a large U.S. troop presence on Iraqi soil.

"We are not contemplating ground troops," Carney said. "I want to be clear about that."

U.S. officials have also discussed bolstering ongoing efforts to send arms, equipment and intelligence information to help Iraq and its military.

Kerry: Wake-up call

Secretary of State John Kerry said Friday that the ISIS militants are a threat not just to Iraq, but to the United States and the rest of the world -- and that is why Obama is urgently considering his next steps.

"Every country that understands the importance of stability in the Middle East needs to be concerned about what is happening," Kerry said, speaking at a summit in London.

"That is why I am confident the United States will move rapidly and confidently in order to join with its allies in dealing with this challenge."

Kerry said the latest events had been a "wake-up call" for Iraq's divided political leadership, which has been accused of failing to address growing sectarian divisions.

The United States has a "very direct relationship" with Iraq, he said. "I don't think anybody in the region or in this administration believes it is in the interests of the United States to turn our backs on that."

The militants from ISIS want to establish a caliphate, or Islamic state, in the region -- stretching from Iraq into northern Syria, where it has had significant success battling the forces of President Bashar al-Assad.

Their lightning advance in Iraq has been aided by support from many Sunnis who feel that the Shia-dominated government has marginalized them.

U.N: Summary executions, mass displacement

This week's violence has created a brewing humanitarian crisis, thanks to the displacement of some 500,000 civilians from Mosul, and sparked fears of widespread rights abuses against civilians.

U.N. High Commissioner for Human Rights Navi Pillay on Friday expressed alarm over the rapid deterioration of the situation in the country.

"The full extent of civilian casualties is not yet known, but reports suggest the number of people killed in recent days may run into the hundreds, and the number of wounded is said to be approaching 1,000," Pillay said in a statement.

She said she was deeply disturbed by reports that ISIS fighters, including prisoners freed when the militants overran Mosul's prison Tuesday, "have been actively seeking out -- and in some cases killing -- soldiers, police and others, including civilians, whom they perceive as being associated with the government."

Her agency has received reports of the summary executions of Iraqi army soldiers during the capture of Mosul, and of 17 civilians on a street in the city on June 11, she said.

More than 500,000 people have fled the fighting in Mosul, the International Organization for Migration said Wednesday.

Jittery families eager to leave sat in traffic jams stretching as far as the eye could see.

The U.N. refugee agency said many left with little more than the clothes on their backs and were in urgent need of shelter, water, food and medical care.

ISIS fighters amid civilian population

According to several U.S. officials, the U.S. military has not finalized a proposed set of ISIS targets in Iraq for Obama, amid significant military concerns that strikes may prove futile against ISIS fighters who are dispersed and mingled with a civilian population.

Several more top-level meetings are scheduled in the next 48 hours, as Obama mulls his course of action.

"Our planning is looking at the full range of options," a senior U.S. official told CNN. Those options range from increasing U.S. surveillance flights over ISIS areas to potential airstrikes, the official acknowledged.

Iraq has indicated a willingness for the U.S. military to conduct airstrikes against the militants.

Washington has already provided $15 billion in training, weapons and equipment to the Iraqi government.

The country has been plagued by instability, though not on the current scale, for years. The United States led the 2003 invasion that toppled longtime leader Saddam Hussein.

Peshmerga gains

On Friday, fighting for control of towns in Iraq continued.

Dozens of ISIS fighters clashed with Iraqi security forces for two hours in Um Garami village, about 100 kilometers north of Baghdad, police officials in Baquba said. They tried to take over the village but ended up withdrawing after Iraqi security forces aggressively pushed back, according to the officials.

Meawhile, three villages in Diayal province were taken over by ISIS fighters, the police officials said. Nearly 100 fighters attacked the Sunni towns of al-Asriya, Hamreen and Askari, where they clashed with security forces, and won, said the officials.

While the Iraqi army has done little to resist the advance of the ISIS militants, Kurdish fighters deployed by the semiautonomous Kurdish regional government, in coordination with Baghdad, are having more impact.

The Kurdish fighters, known as the Peshmerga, are battling ISIS in Iraq's eastern Diyala province, said Mohammed Moullah Hassan, mayor of Khanaqin, a predominantly Kurdish area of Diyala.

He told CNN that 95% of Jalawla'a was now under the control of the Peshmerga, while the town of Sadiya is encircled on one side by the Peshmerga and on the other by ISIS, with Iraqi security forces still in the town.

On Thursday, authorities said Kurdish troops had beaten back militants to control the entire province of Kirkuk.

Prime Minister Nuri al-Malaki has called on Iraqi citizens to join the fight against the militants.

That call was echoed Friday by a representative of Grand Ayatollah Ali Sistani, the most powerful Shiite cleric in Iraq.

During his Friday sermon in Najaf, Sheikh Abdul Mahdi Al-Karbalai urged Iraqis to volunteer and fight for security forces. "The responsibility to confront and fight the terrorists is everyone's responsibility," he said.

Meanwhile, Iraq's Justice Ministry urged the prisoners freed by ISIS from Badoosh prison near Mosul to surrender to security authorities, according to a statement issued to the media.

It added that the detainees were convicted of civilian and criminal charges, not terror related offenses, and that a special pardon may be issued to absolve them from escape-related charges.

Iraq claims victory in Tikrit

After days of stunning defeats, Iraq claimed a key victory Thursday.

Tikrit, former Iraqi leader Saddam Hussein's hometown, was under full control of the military Thursday, state-run Iraqiya TV said. Just a day earlier, it appeared to be in the hands of militants.

But that victory claim appeared in doubt again Friday, with militants still in the city and still the target of government actions. Airstrikes by the Iraqi military killed 70 ISIS militants and wounded 40 others in Tikrit on Friday, state TV reported.

Iraqi Foreign Minister Hoshyar Zebari said even though the military fled in Mosul this week, the government has since "taken a number of steps to push back the terrorists."

The Iraqi military carried out airstrikes overnight targeting the al-Ghazlany military base, just south of Mosul, where a group of ISIS militants was believed to be based, the Iraqi Defense Ministry said Thursday.

Footage surfaced on social media sites Thursday purportedly showing ISIS militants parading heavy artillery through Mosul, a predominantly Sunni city of 1.6 million.

U.S. contractors evacuated

State Department spokeswoman Jen Psaki said American citizens working on contracts supporting U.S. military sales to Iraq are being temporarily relocated.

Among those leaving for safety are U.S. contractors at a military base in Balad, about 55 miles (90 kilometers) north of Baghdad.

The security concerns were exacerbated by the seizure of 48 people, including diplomats, in a Wednesday raid on the Turkish Consulate.

Turkish Foreign Minister Ahmet Davutoglu said  Thursday that the health of those captured is "fine." He said the government was working to secure their release.

Militants also seized parts of Baiji, a small town on the main highway to Mosul where Iraq's largest oil refinery is located.

Earlier this year, ISIS took control of the city of Falluja and parts of Ramadi. Across the border in Syria, it controls towns such as Raqqa.

@highlight

Iranian ministry rejects claim that Iran has sent troops to battle ISIS militants

@highlight

Airstrikes kill 70 militants and wound 40 in Tikrit, state TV reports

@highlight

Bomb blasts hit Baghdad neighborhoods and a Sunni area north of the city

@highlight

Sunni tribal leaders supporting militant push, Saudi intelligence source says