(CNN) -- In just 12 years leading up to 2010, Vietnam cut the country's malnutrition rate in half by investing in small scale farming.

Poverty in the country has plummeted from 58 percent in 1993 to 18 percent by 2006, says development charity Oxfam, who cites the Asian country as a exceptional model for others around the world.

Vietnam went from being a rice importer to the second biggest exporter of rice in the world. "The magic formula is political will and vision," says Hannah Stoddart, head of economic justice policy at Oxfam GB. "Planning a government strategy and making sure the investment gets to those who need it most is the key," she says.

Smallholder farming, a term used for small scale or family farming, is in fact the best way to describe 500 million farms globally where two billion people live and work.

The term includes a wide range of producers from the most marginal and impoverished to those working in markets at a local, national or international level. Very often these farmers are women who must work to provide the food for their families.

Oxfam is a staunch believer that smallholder farming is the way forward. "All evidence in small scale farming, family farming on small plots of land, show it is one of the surest ways to relieve poverty," says Stoddart.

Fair trade success

In Malawi, one of Africa's poorest countries, thousands of farmers are now part of the Fairtrade International (FLO) group, farming mainly tea, coffee, sugar and ground nuts.

"Malawi is the first of its kind in Africa to have a fair trade network, and there is a lot of interest in how we are doing it," says Frank Olok, network coordinator for the Malawi Fairtrade Network. In the last 18 months, many have seen their hardships turn into success, says Olok, who serves as the liaison between many farmers and the FLO.

Watch: Planting a million trees a year to tackle deforestation

Malawi already has 30,000 farmers involved in fair trade farming methods, plus another 20,000 working on these farms.

"When we talk about smallholder farmers, we are talking about the farmer who owns one to five acres of land, using rudimentary means of farming, who is not able to easily access finance," says Olok. "The majority of the farmers in Malawi today are smallholder farmers."

Indeed, says one Malawi farmer, Gladys Kayanja, whose small tea farm now has a bridge to help her get between her home and the tea field during the rainy season. "The fair trade premium bought an ambulance which serves my family and relatives when we are sick. Before that we used to carry a very sick patient many kilometers before reaching the hospital," says Kayanja.

Schools, electricity, irrigation, and much more has been put in place in Malawi due to the success of the cooperative-style network. A further bonus is many of the farmers then find themselves able to diversify into businesses.

In southern Sudan, Rabha Elis Bandas, director and founder of the Women's Development Group, decided to take matters in her own hands after she was tired of watching local farmers suffer waiting for food aid during Sudan's civil war. She has set up her group to help farmers with supplies and the skills needed.

"There is enough land in South Sudan and it is really fertile, it just needs work. What we need and want is for people to grow their own food, not to depend on Uganda and Kenya," she says. As Bandas has proved, the importance of smallholder farmers is even more important in times of political strife.

Hope for Haiti

In Haiti, the Smallholder Farmers Alliance (SFA), a cooperative of 2,000 farmers started in 2010, has established tree nurseries planting one million trees a year in a country which has lost 98 percent of its trees to deforestation.

The SFA provides high quality seeds, tools and training, and has already helped the farmers increase their yields by 40-50 percent.

One Haitian farmer said the SFA has helped her turn her life around, especially since recent hurricanes ruined her crops. "My life situation is better," said Romeus Mercilie. "I have enough food to feed my kids and the sell the remaining food at the market. I now have a dream and I know how to protect my dreams," she said.

Mercilie says thanks to a flat interest rate loan from the SFA, she was able to restart her business, purchase new livestock and save money.

Smallholder farming spells big business

From the economic side, opportunities for smallholder farmers are exponential. "There's a huge opportunity for smallholders to sell to big businesses," says TIm Aldred, head of policy and research at Fairtrade Foundation.

"The risks are that you can get locked into a big supplier who holds the power and pushes your prices down," said Aldred, who added that recent controversy at the G8 meetings in June addressed how to empower the smallholders so they don't end up stuck in unhelpful relationships with multinational corporations.

The United Nations has declared 2014 the International Year of Family Farming with the aim to support and recognize the importance of smallholder farming. By doing so, the U.N. says it will help eradicate hunger, reduce rural poverty and reach food security through sustainable production.

While the scale of investment of what's needed hasn't yet happened, Oxfam says there are glimmers of hope out there with farmers learning about the market system, how to improve their yields, form cooperatives, and access credit safely.

"There's all kinds of brilliant stuff that's going on but it needs to be scaled up," says Oxfam's Stoddart. Once that happens, she says "the poorest people will start benefiting from their labor."

@highlight

Vietnam cut malnutrition by half with small scale farming

@highlight

U.N. declared 2014 the International Year of Family Farming.

@highlight

Rabha Elis Bandas set up a group to help Sudanese farmers with supplies

@highlight

Smallholder Farmers Alliance in Haiti provides loans to help farmers