(CNN) -- Like many 23-year-olds, Amanda Eang is self-conscious about her body. She constantly covers up and wears loose-fitting clothing to disguise her shape.

At five-foot-two, she weighs just 93 pounds, and for years she has tried to gain weight.

"There are a lot of shows about losing weight, but they really don't have anything for people who are underweight," she says. "It's just as frustrating for people who are trying to gain weight."

Eang, who lives in Toronto, says she has tried everything: eating junk food (which left her with high cholesterol), drinking supplements and doing resistance training. She'd like to reach 110 pounds, but she has never even weighed 100 pounds.

Fewer than 2% of adults in the United States are underweight, according to 2007 to 2010 data collected by the National Center for Health Statistics. To be considered underweight, individuals must have a body mass index of less than 18.5. A woman who is five-foot-six, for example, would weigh 114 pounds or less.

For some, difficulty gaining weight can be a frustrating problem and must be approached in a healthy way, experts say.

Ruling out problems

Before attempting to put on pounds, individuals who feel they are underweight should visit their primary care doctor for a complete physical examination, says Craig Primack, a medical obesity specialist and member of the American Society of Bariatric Physicians.

Waist size signals diabetes risk

A physician can rule out medical issues that would impede weight gain or cause malabsorption, including celiac disease, lactose intolerance, bacterial overgrowth syndrome or B12 deficiency.

Genetics play a big role in why some people are underweight, Primack says. A high metabolic rate is usually a factor, he says

The rest is a mystery. Experts have done significantly less research about being underweight than causes of being overweight.

If individuals are slightly underweight, it might not be a sign of a problem. They may be in sync with their bodies' needs and avoid overeating, Primack says.

Being naturally underweight is different from an eating disorder, in which individuals consciously try to reduce their size and avoid eating through various means.

"If someone has a problematic relationship with food, that's an eating disorder, and it doesn't matter what your weight is," says Linda Bacon, a psychologist and researcher at the University of California at Davis and author of "Health at Every Size: The Surprising Truth About Your Weight."

Fitness trainer gains and loses 70 pounds in one year -- on purpose

In extreme cases, being underweight can lead to difficulty fighting diseases, and for women it could lead to amenorrhea, or inability to menstruate, says Rachel Begun, a registered dietitian and spokesperson for the Academy of Nutrition and Dietetics.

If individuals are underweight and also not getting enough nutrients, this could cause osteoporosis, anemia and other nutrient-related conditions.

Putting on the pounds

No matter the reason for wanting to gain weight, it is important to focus on the quality, not the quantity, of calories consumed, Begun says.

"The whole point is to eat more calories, but it shouldn't be a license to gorge on empty calorie foods," she says.

Pairing calorie intake with both aerobic exercise and weight resistance training is crucial for cardiovascular health, she says.

What to eat and drink when you exercise

Primack suggests fewer repetitions of higher weight in exercises that incorporate the whole body, done three to four times per week, in addition to cardiovascular exercise.

At 28 years old, five-foot-ten and 138 pounds, Bryan Johnson of Minneapolis has tried some of these tactics to little avail.

He'd like to reach 160 pounds, a goal he says he's "pretty much given up on." He's attempted intense workouts, drinking protein supplements and eating until he feels sick. Sticking to these plans despite his work schedule has been his biggest obstacle, he says.

Like healthy weight loss, healthy weight gain takes time, Begun says. Individuals should try to put on about one pound per week, which means adding about 500 calories per day, she says. This allows for adding lean muscle and bone mass rather than unhealthy fat.

Would you lose weight if money were at stake?

It is best to choose foods from all food groups, especially complex carbohydrates, lean protein and healthy fats. Some healthy yet calorie-packed options include nuts and nut butters, seeds, dried fruit, low-fat milk, yogurt smoothies, avocado, hummus and other bean spreads, Begun says.

Whole grain pastas, sauces with brown lean beef and fish are also positive choices, Primack says.

Gaining a new perspective

As society in general has become increasingly overweight, underweight individuals may feel they stand out.

Others should be conscious of how their remarks that someone looks "too skinny" could be hurtful, Eang says.

"Some people have said, 'Oh, you look fine,' ... and there are other people who say, 'You're skinny.' It's the same way, that if a person were fat, (commenting on) it would be offensive."

Bacon says it is more important to practice healthy habits than to worry about weight and societal ideas about beauty and attractiveness.

"I don't think the answer is to gain weight to meet social standards or meet some kind of arbitrary idea of health," she says. "We have so many social and health expectations that aren't predicated on what's true for the individual."

If underweight individuals are living healthy lifestyles but still find themselves on the lower end of the weight spectrum, it may be helpful to change how they view their bodies, she says.

"The best avenue is to start to appreciate the functionality of our bodies," she says. "It is just amazing I have legs that can carry me from one place to another ... that we have mouths that allow many of us to be able to speak. There is so much we can just appreciate and marvel at in our bodies."

Are you part of the "2 percent"? Do you feel as if you are underweight and want to gain a few pounds? Is weight even the best way to determine if an individual is healthy? Share your thoughts and experiences in the comment section below.

@highlight

Two percent of adults in the United States are underweight

@highlight

Difficulty gaining weight can be a frustrating problem

@highlight

Genetics play a big role in why some people are underweight

@highlight

It may be more important to practice healthy habits than worry about weight