(CNN) -- "Why not eat insects?" asked Vincent Holt, a 19th century British author in his eccentric treatise on changing the English diet.

"Why should these creatures be called loathsome... they are in every way more fitted for human food than many of the so-called delicacies now highly prized," he wrote in "Why Not Eat Insects?" published in 1885.

Grubs and bugs, believed Holt, were better than crabs and lobsters ("foul creatures" that feed on "putrid flesh") and if embraced by "the working man" also could alleviate malnutrition and rural poverty.

Despite his prediction that the day will come "when the slug will be as popular in England as the sea-slug is in China," he didn't manage to convince Victorian Britons to give up their meat and veg for slimy or six-legged livestock.

However, modern palates might now be ready to accept a serving of insects, as appetites grow for healthy and environmentally-sensitive foods across the globe.

Insects are high in protein, vitamins and minerals like calcium, zinc and iron -- something that a few European and U.S. food start-ups have realized, with new offerings such as insect energy bars.

Yet while still niche and generally seen as an exotic novelty for foodies in the west, in other parts of the world bugs don't have the same "ewww!" factor.

Edible insects have long been a staple part of diets in many parts of Africa, South America and Asia, and Thailand is one country where bug farming has become a growing business over the last 15 years.

It leads the world in insects for food production, averaging around 7,500 tons per year, according to a 2013 report by the UN's Food and Agriculture Organization (FAO).

That's still tiny compared to the country's chicken production (around 1.6m tons per year), but insects hold a number of advantages over traditionally farmed animals.

"Mini-livestock" could be key to combating future global food shortages, suggests the FAO, as insects are relatively easy to raise and have a minimal impact on the environment compared to conventional cattle.

According to the FAO, to produce one kilo of edible crickets, only two kilograms of feed are needed, compared to five kilograms of feed for a kilo of pork and ten kilograms of feed for one kilo of beef.

Across Thailand there are around 20,000 insect farming enterprises producing 200 edible insect species, the most popular type being crickets, grasshoppers, palm weevil larvae and bamboo caterpillars.

The Asian financial crisis in 1997 precipitated the rise of commercial insect farming in Thailand.

The return of jobless workers to the northeast of the country was a concern that Yupa Hanboonsong, co-author of the FAO report and associate professor in entomology from Khon Kaen University, decided to address head on.

"We went to rural areas to train people how to grow crickets so at least they were guaranteed food for consumption."

The long-standing tradition of eating wild crickets meant no cultural barrier to eating insects had to be overcome and a new industry could be nurtured.

The main challenge was providing enough training to scale up farms and create high standards in agricultural practice.

More needs to be done to create a well-managed, sustainable industry, says Hanboonsong, but "fifteen years ago you would never have seen insects being sold in supermarkets like you do today."

International enterprises have begun to set up processing and packaging operations in Thailand for export, and last week Dutch supermarket chain Jumbo announced it will sell insect products in its stores from next year. However in Thailand, most of the demand is domestic.

For Hanboonsong, the key to keeping cricket farms growing and promoting insects as food internationally is for farmers to diversify their products.

Jacky Chung, director of Ento, a UK-based food start-up, agrees.

"The European mindset is generally that insects are icky," he says.

For that reason the company is developing products like insect seasoning and "croquettes" for a potential commercial release next year. Currently they source their insects from an organic collective in Spain.

"Making the products like this should make it easier for Western palates to accept," says Chung, who adds that what you feed an insect affects how it tastes.

Ento's pop-up restaurant in south London last year was an enlightening experience for Chung and his colleagues. A far cry from Holt's vaunted "slug soup," the company served up a range of dishes including insect risottos and insect medallions.

"Most people are very disconnected from where their food is from, they generally don't want to see something on their plate that resembles the animal it's from."

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Insects could be a valuable food of the future as global population increases

@highlight

High in nutrients, they are also more environmentally friendly than traditional livestock

@highlight

Thailand leads the world in edible insect production

@highlight

Cultural antipathy could be overcome by product diversification, proponents say