(CNN) -- The nine young North Koreans thought they were near the end of their long and dangerous journey toward freedom.

Their years-long odyssey had taken them thousands of miles, from North Korea, one of the world's most repressive states, to Laos, a small, landlocked nation in Southeast Asia. From there, they just needed to cross the border into Thailand and find their way to South Korean diplomats who would be able to offer them citizenship and a new life.

Orphaned and homeless: Surviving the streets of North Korea

But something went wrong in Laos. They were detained by the authorities. And rather than transferring the group of young refugees to South Korean officials, as the people engineering their escape were anticipating, the Laotian government this week did something unexpected.

It gave them back to North Korea.

"This is a horrible, horrible thing that has happened," said Suzanne Scholte, the president of the Defense Forum Foundation, a U.S.-based nonprofit group that was involved in the effort to get the young North Koreans to safety.

Analysis: North Korea diplomacy effort grows, but sides are still far apart

The United Nations' refugee agency, UNHCR, says Laos deported the group of North Koreans to China on Monday. And Scholte said Friday that she believes they have already been flown back to North Korea, where she fears they could face torture or even death.

Human rights advocates and UNHCR have criticized the decision by Laos to deport the refugees, who are between 15 and 23 years old, noting that international law gives people the right not to be forced to return to places where they face persecution.

Thousands of North Koreans have fled their country's Stalinist regime since the Korean War in the 1950s and settled in South Korea, which offers them citizenship. Most of them make their way there through China and Southeast Asia.

Plucked from the streets

Until they were detained by Laotian authorities earlier this month, it appears the group of young North Koreans traced a path similar to that of many other refugees.

Years ago, they slipped through the authoritarian grip of their homeland and crossed the border into China, most likely with their various parents.

Opinion: What North Korea could learn from Myanmar

Scholte said that in China, one or way another, they all ended up fending for themselves on the streets, eating out of trash bins and dodging North Korean agents. She said she didn't know whether their parents had abandoned them, died or been detained and sent back to North Korea.

They were plucked from that precarious existence by a South Korean man and his wife who were living in China, Scholte said, referring to the man only by the name of "M.J." to protect his identity.

Read more: Why the Korean War still matters

M.J. and his wife took in a total of 15 young North Koreans, giving them food, shelter and protection for more than four years. To avoid getting caught, the youngsters had to remain inside at all times.

"You could liken it to a Jewish family trying to hide from the Nazis," Scholte said. "They had to be invisible."

China doesn't treat North Koreans in its territory as refugees and usually sends them back across the border.

Difficult journeys

In 2011, the Defense Forum Foundation began working with M.J. and his wife to try get the group of North Koreans out of China to South Korea or the United States.

They managed to get the three oldest North Koreans to safety in South Korea via Thailand, Scholte said. Next, they succeeded in organizing the escape of the two youngest children and one with learning difficulties to the United States.

Analysis: What's Kim Jong Un up to?

Nine others remained in China. M.J. and his wife accompanied them on the quest to reach South Korea via Laos and Thailand.

They reportedly entered Laos around May 10 and were detained soon after that. At the time, Laotian authorities assured M.J. and his wife, who were not being held, that there was nothing to worry about, Scholte said.

"We had no reason to believe that the Laotians were going to cut some deal with North Korea," she said, noting that she had helped to get four other North Koreans to the United States from Laos in 2009.

But on Monday, she said, M.J. received word that the group of refugees was being taken to the North Korean Embassy. By then, it was too late to save them.

"When I got the call, I was in shock," Scholte said.

An 'alarming case'

Other organizations also were surprised by the development.

Laos has been one of the main routes to a safe country for North Korean defectors, according to Eun Young Kim, a senior program officer with the Citizen's Alliance for North Korean Human Rights, a nongovernmental organization based in Seoul.

"We never officially experienced the Laotian government actually cooperating with the North Korean government and sending them back to North Korea," she said. "This is a very surprising, alarming case, especially the fact that the North Korean government got involved."

Read more: Escaping from N. Korean gulag

It was unclear what prompted the decision by Laos to give the refugees to the North Koreans.

Laotian government officials in the country's capital, Vientiane, declined to provide official comment on the matter when contacted by CNN on Friday.

But Khantivong Somlith, an official at the Laotian Embassy in Seoul, said that the refugees had been handed over to North Korea because they didn't have visas and were therefore in Laos illegally.

"We know they are Koreans, that's why they were sent back to the North Korean Embassy," he said. "That's the rule."

He said he didn't know where the refugees are now.

Controversy in South Korea

South Korean officials have been criticized in their country's news media as having failed to act quickly and decisively enough to get the North Koreans out of Laos after their detention.

But Scholte said that all those involved in the attempt to recover the refugees had "underestimated" the North Koreans' determination to get hold of them. She noted the efforts of South Korea in previous successful operations to rescue North Koreans. "We haven't seen this before," she said.

Interactive: Who's in range of North Korean missiles?

The South Korean government has declined to discuss the specifics of this case.

"We've expressed our government's position to the relevant nation and we have also consulted on future measures," Foreign Ministry spokesman Cho Tai-young said in a news briefing Thursday.

After reaching a peak of nearly 3,000 in 2009, the number of North Koreans arriving in South Korea dropped to just above 1,500 in 2012, according to the South Korean Unification Ministry.

Concerns over safety

International organizations, meanwhile, are raising concerns about what fate awaits the deported refugees.

"North Korea has to come clean on where these nine refugees are and publicly guarantee that they will not be harmed or retaliated against for having fled the country," said Phil Robertson, deputy Asia director of the advocacy group Human Rights Watch. "As a result of their return they are at dire risk -- North Korea criminalizes unauthorized departures and is known to torture those caught trying to escape and those sent back."

U.N. High Commissioner for Refugees Antonio Guterres expressed deep concern "about the safety and fundamental human rights of these individuals if they are returned" to North Korea.

M.J. and his wife, herself a former North Korean refugee, are now back in South Korea and remain very upset about what happened, Scholte says.

"This is a couple that was willing to risk their own life and safety to shelter these children," she said.

CNN's Jethro Mullen reported and wrote from Hong Kong. CNN's Brian Walker and Madison Park in Hong Kong, K.J. Kwon in Seoul, Kocha Olarn in Bangkok and C.Y. Xu in Beijing contributed to this report.

@highlight

Nine young North Korean refugees were detained in Laos this month

@highlight

Laos takes the unusual step of handing them back to North Korean officials

@highlight

The head of a U.S. group helping the refugees calls it "a horrible, horrible thing"

@highlight

Repatriated North Koreans can face torture, Human Rights Watch says