Horsemeat has been discovered in products labeled as 100% beef and sold in Sweden, the United Kingdom and France.

Food authorities in those countries have launched investigations but the supply chain being studied includes still more countries.

We look at the implications.

How did the presence of horsemeat come to light?

In January, the Food Safety Authority of Ireland found that 10 out of 27 hamburger products it analyzed in a study contained horse DNA, while 23 of them tested positive for pig DNA.

In one sample from Tesco -- Britain's largest grocery chain -- the horsemeat accounted for about 29% of the burger.

Read more: Horsemeat found in hamburgers in Britain and Ireland

On Monday February 4, Swedish food producer Findus withdrew its frozen lasagna -- labeled with the British spelling, "lasagne" -- from British stores as a precaution after its French supplier, Comigel, raised concerns about the type of meat used.

On Wednesday February 6, tests confirmed that horsemeat was present in a number of samples.

The next day, Britain's Food Standards Agency (FSA) confirmed that "meat content of beef lasagne products recalled by Findus has tested positive for more than 60% horse meat."

Findus said a letter from Comigel dated February 2 suggested the contamination might date back to August 2012.

Then on Friday February 8, retailer Aldi withdrew two products -- Today's Special Frozen Beef Lasagne and Today's Special Frozen Spaghetti Bolognese -- after they were found to contain between 30% and 100% horse meat.

The products implicated were also from French supplier, Comigel.

On Monday February 11, Tesco announced that it had found horsemeat in some Everyday Value Spaghetti Bolognese - which it had withdrawn from sale a week earlier as a precaution. It said no evidence of the veterinary drug phenylbutazone - or bute - had been found.

Which other countries are affected?

Agence France-Presse (AFP) has reported that Comigel supplies products to customers in 16 countries.

Findus France has temporarily withdrawn three ready-prepared dishes -- lasagna Bolognese, shepherd's pie and moussaka -- because of the discovery of horsemeat in products that should be 100% beef.

Six big French retailers -- Auchan, Casino, Carrefour, Cora, Picard and Monoprix -- have also said they are recalling lasagne and other products.

Some companies in Sweden supplied by Comigel -- including Axfood, Coop, and ICA -- have also pulled certain meat products from the shelves due to the possibility they contain horsemeat.

The Netherlands Food and Consumer Product Safety Authority confirmed on Tuesday February 12 that Dutch supermarket chains including PLUS and Boni had withdrawn Primafrost brand lasagne from their shelves, while its authenticity was investigated.

A spokeswoman said it was a preemptive measure.

Will eating horsemeat make me sick?

Britain's FSA says horsemeat "is not a risk in itself" but that it has ordered Findus to test its lasagne for the veterinary drug phenylbutazone, or "bute."

Bute is not allowed in the food chain because in humans it can cause rare cases of a serious blood disorder, aplastic anaemia. The anti-inflammatory was banned from use in humans after it was found that about 1 person in 30,000 recipients suffered a serious side effect.

The FSA said the levels of bute reported in previous testing of contaminated meat would have to be multiplied a thousand-fold to be at the same level as that which used to be given to humans.

In a statement, Britain's chief medical officer said: "It's understandable that people will be concerned, but it is important to emphasize that, even if bute is found to be present at low levels, there is a very low risk indeed that it would cause any harm to health."

How did horsemeat enter the food chain?

Britain's FSA said the evidence it had "points to either gross negligence or deliberate contamination in the food chain."

It said it was working closely with police, who would be involved if evidence suggested a level of criminality within the UK.

Environment Secretary Owen Paterson said the frozen burgers from Tesco and the lasagne from Findus were believed to be linked to suppliers in Ireland and France respectively.

Paterson said the French authorities viewed the issue "as a case of fraud rather than food safety."

In an oral statement to parliament on Monday February 11, Paterson said the "ultimate source of these incidents is still being investigated."

He said he had been in contact with ministers in Ireland, France and Romania and that the issue appeared to be one of "fraud and mislabeling."

AFP reported that Comigel had blamed French meat-processing company Spanghero, which blamed Romanian abattoirs where it said the meat was bought via traders in Cyprus and the Netherlands.

But Romania's prime minister said the two Romanian slaughterhouses initially suspected to have links to the horse meat scandal never had direct contact with Comigel and had not done anything illegal.

Minister of Agriculture Daniel Constantin said there was no evidence false horse meat labeling occurred in Romania.

Read more: Battle over blame after horse meat found

What action are food authorities taking?

Britain's FSA has ordered food businesses to use independent laboratories to test all beef products for authenticity -- to see whether the content of the meat matches the label.

The deadline for the first round of testing is Friday February 15.

The FSA has also ordered Findus to test for bute, with results due "in the next few days" and to be published on the authority's website.

It has advised any retailers or producers that had sourced beef products from Comigel to conduct a precautionary withdrawal of product.

In France, consumer affairs minister, Benoit Hamon, has also ordered an immediate investigation and said results will be available by midweek.

In a statement, Hamon said a provider in Luxembourg and traders in Cyprus and the Netherlands were part of the chain being probed.

The Swedish National Food Agency has announced it is reporting Findus to police, which is the standard course of action when products have been sold with the wrong labels.

European Union officials plan to meet in Brussels to discuss the issue on Wednesday February 13.

Read more: EU officials to meet about horsemeat scandal

How has the public reacted?

The revelations have revolted many meat eaters in the United Kingdom, where horse meat is generally considered taboo, although it is commonly eaten in neighboring France, as well as countries including China, Russia, Kazakhstan and Italy.

January's discovery of pig DNA in beef products is of particular concern to Jews and Muslims, whose dietary laws forbid the consumption of pork products.

Jewish dietary laws also ban the eating of horse meat.

Read more: Horse: Coming to a meat case near you?

@highlight

Horsemeat has been found in "beef" products sold in Sweden, the UK and France

@highlight

Horsemeat isn't a health hazard, but could contain a veterinary drug unsafe for humans

@highlight

Britain's FSA suspects "gross negligence or deliberate contamination"

@highlight

The agency has ordered food businesses to test all beef products for authenticity