(CNN) -- "Global declines in press freedom" persisted last year, with setbacks highlighted in Israel, Italy, Taiwan, Hong Kong and elsewhere across the world, an annual survey said Friday.

Media freedom campaigners don gags during a news conference in Hong Kong in April 2008.

Freedom House, a nongovernmental organization that supports democracy and freedom of the media, said in its annual press freedom survey that "negative trends" outweighed "positive movements in every region, particularly in the former Soviet Union, the Middle East and North Africa."

"This marked the seventh straight year of overall deterioration. Improvements in a small number of countries -- including bright spots in parts of South Asia and Africa -- were overshadowed by a continued, relentless assault on independent news media by a wide range of actions, in both authoritarian states and countries with very open media environments."

Israel -- once the only country to be consistently rated free by the group in the Middle East and North Africa -- was ranked as "partly free" because of the Gaza conflict.

The report cited "increased travel restrictions on both Israeli and foreign reporters; official attempts to influence media coverage of the conflict within Israel; and greater self-censorship and biased reporting, particularly during the outbreak of open war in late December."

Elsewhere in the Middle East, there are concerns about harassment of journalists and bloggers in Libya, Iran, Syria, Tunisia and Saudi Arabia. The drop in violence in war-torn Iraq helped journalists move around the country, and a new law in the Kurdish region gave journalists "unprecedented freedoms."

Hong Kong, which is part of China, also dropped in rankings from free to partly free, a reflection of "the growing influence of Beijing over media and free expression in the territory."

"Of particular concern were the appointment of 10 owners of Hong Kong media outlets to a mainland Chinese political advisory body, increased restrictions on film releases in the period surrounding the Olympics, and reports that critics of Beijing encountered growing difficulty in gaining access to Hong Kong media platforms."

The report cited deterioration of of freedoms in Taiwan, which has been characterized as East Asia's freest media environment. That's because of "legal pressures and attempts to control broadcast media outlets."

Italy dropped from free to partly free because of the "increased use of courts and libel laws to limit free speech, heightened physical and extralegal intimidation by both organized crime and far-right groups, and concerns over media ownership and influence," the report said.

It cited fears about media magnate Silvio Berlusconi becoming prime minister again. There are concerns about "the concentration of state-owned and private outlets under a single leader."

In the former Soviet Union, "legal pressure and attempts to control broadcast media outlets" were cited in Russia, Armenia and Kyrgyzstan. The report noted other problems in Russia, saying "reporters suffer from a high level of personal insecurity, and impunity for past murders or physical attacks against journalists is the norm."

Across Africa, there were "some improvements," citing developments in Comoros, Sierra Leone, Angola, and Liberia. But there were continued problems in places like Zimbabwe and Eritrea.

"Senegal took a significant step backward due to a dramatic increase in both legal and extralegal action against journalists and media houses, accompanied by overtly hostile rhetoric from the president and other officials," the report said.

The report cited strides in South Asian nations, ranking the once "not free" Maldives to "partly free." It mentioned a "new constitution protecting freedom of expression, the opening of additional private radio and television stations, the release of a prominent journalist from life imprisonment, and a general loosening of restrictions after the country's first democratic presidential election in October."

It said Bangladesh and Pakistan reversed declines in freedom of the media. But there were setbacks in Afghanistan and Sri Lanka, two countries racked by warfare.

In some countries in the Americas, such as Mexico, Bolivia and Ecuador, "attacks and official rhetoric against the media escalated." Venezuela and Cuba were ranked as not free, and there were "high levels of intimidation and self-censorship" in Colombia and Guatemala. Positive developments were noted in Guyana, Haiti and Uruguay.

The worst-rated countries in the world are Myanmar, Cuba, Eritrea, Libya, North Korea and Turkmenistan.

"Given the current economic climate, which is certain to place a further strain on media sustainability and diversity in rich and poor countries alike, pressures on media freedom are now looming from all angles and are increasingly threatening the considerable gains of the past quarter-century," the report said.

@highlight

Annual survey says "negative trends" outweighed "positive movements" in 2008

@highlight

Report singles out former Soviet Union, Middle East, North Africa

@highlight

Bright spots seen in parts of South Asia, Africa

@highlight

Worst-rated countries: Myanmar, Cuba, Eritrea, Libya, North Korea, Turkmenistan