(CNN) -- Applauding budget-cutting measures taken and proposed by Greece's government in the face of intense public pressure, European finance ministers announced Monday that Athens is on track to receive fresh loans in mid-July.

"The Greek authorities are embarking on a significant and necessary adjustment effort," said members of the Eurogroup, which consists of officials from countries in the Euro economic zone, in a statement. "Ministers recognized the considerable progress achieved by the Greek authorities over the last year (and) are also conscious of the serious challenges that Greek citizens are facing in these difficult times."

No specifics were given on the extent or parameters of the loans, which would be the second round in the bailout aimed at keeping Greece solvent -- and preventing its economic crisis from worsening and spreading through Europe and beyond.

While Athens is on track for the new loans, the ministers said they were contingent on completing a planned "compliance report," finalizing details through ongoing negotiations with European officials and taking other steps, including continuing austerity measures.

"This, together with the passing of key laws on the fiscal strategy and privatization by the Greek parliament, will pave the way for the next disbursement (of loans)," the finance ministers said.

The Eurogroup also said "voluntary roll-overs of existing Greek debt" would be permitted under the strict parameters of its bailout plan. The ministers explained the relaxed move was needed given that Athens likely won't get access to private market funds until early next year.

This statement came a day after Greek Prime Minister George Papandreou called for lawmakers to back his latest round of budget-cutting measures, telling them, "The government must stop spending more than it takes in."

He's fighting to stay in power in the face of weeks of protests against plans for measures to bring down the country's budget deficit and get a second international bailout.

He reshuffled his Cabinet on Friday and is seeking a vote of confidence in his new ministers as his party clings to a wafer-thin majority in parliament.

Two days after his appointment as finance minister, Evangelos Venizelos attended talks Sunday on a second economic bailout package for his debt-strapped country as part of a two-day meeting on Europe's economic outlook in Luxembourg. The former defense minister also took over the post of deputy prime minister.

The Greek bailout tops the agenda of the meeting of the Eurogroup and Economic and Finance Ministers Council, which representatives of the International Monetary Fund will also attend, according to an EU news release. The IMF is contributing to the bailouts of European Union member countries.

IMF staff members will present their assessment of Europe's economy. They and the finance ministers will examine existing bailouts for Ireland and Portugal, as well as the economic progress in those countries.

Ireland is poised to meet proposed austerity conditions for the second quarter, according to the EU, and has received second-quarter disbursements. Portugal has met requirements for the first payments of its bailout package.

The crisis raises concerns for Europe's currency, the euro. A default on its debts by Greece, or another struggling nation such as Portugal or Ireland, could adversely affect the world economy.

The harsh reforms designed to help reduce Greece's enormous budget deficit have so far led to tax hikes and public-sector job losses alongside already record-high unemployment.

There are fears that efforts to restructure Greece's debt could send shock waves through Europe's banking sector and spark investor panic similar to that in the 2008 collapse of Lehman Brothers, the U.S.-based global investment bank.

Venizelos addressed the Greek nation Friday, urging consensus in solving the crisis.

"Our priority is the viability and sustainability of the public debt," he said. "There is no disagreement on this issue."

Papandreou faces opposition from his party over the austerity measures needed to secure an additional bailout package.

The IMF said Thursday that it would continue to back Greece provided that Greece carried out the economic policy reforms agreed upon by the government.

The Greek government's popularity has plunged recently, and anti-government protests turned violent Wednesday, as demonstrators threw gasoline bombs at the finance ministry and police fired tear gas at protesters, police said.

On June 9, the Cabinet approved a tough five-year plan for 2011-15 and introduced a bill in Parliament to put austerity measures into effect.

The latest measures include further cuts in public spending, more tax increases and the faster privatization of state-held assets, including utilities, ports and airports.

The government proposes reducing the public-sector workforce by 150,000; workers will also face changes in working hours, practices and wages. The plan also sets out changes to social benefits, including pensions and unemployment aid.

According to the finance ministry, these measures will help achieve 28.3 billion euros ($40.5 billion) in cuts from 2012 to 2015, and shrink Greece's public deficit to less than 3% of gross domestic product, in accordance with the EU target.

The government has said the passage of these additional measures is essential to Greece's securing the fifth portion of the first 110 billion euro ($158 billion) bailout package that Greece signed with the European Union and the International Monetary Fund to prevent the country from defaulting on its debts.

CNN's Diana Magnay and Ben Brumfield and journalist Elinda Labropoulou contributed to this report.

@highlight

NEW: Euro zone ministers say new loans are contingent but on track

@highlight

The finance ministers say the new funds could be given out as early as July

@highlight

The ministers also OK "voluntary roll-overs of existing Greek debt"

@highlight

Talks on a second Greek bailout package follow three weeks of street protests in Athens