(CNN) -- Watching the returns in key congressional and gubernatorial races on election night, you might be forgiven for thinking the 2014 midterm elections were a slam dunk for Republicans, with voters roundly endorsing not only conservative candidates but also conservative ideas.

But that means you haven't paid attention to the ballot measures. In votes on everything from "fetal personhood" amendments to the minimum wage, voters even in the reddest of red states sided with the progressive camp. As Ben Casselman of FiveThirtyEight succinctly summed it up in an Election Night tweet: "So voters want a higher minimum wage, legal pot, abortion access and GOP representation. Ok then."

Here's a look at the befuddling outcomes in ballot measure contests, contrasted with the other results on Election Night, and what they might portend for the future.

Minimum wage

Voters in three states -- Arkansas, Nebraska and South Dakota -- voted to approve increases in their state minimum wage rates. In Nebraska, for instance, voters decided to raise the state minimum wage from the current federal minimum of just $7.25 an hour to $8.00 in 2015 and $9.00 in 2016.

In South Dakota, voters approved a measure to raise the federal minimum wage up to $8.50 next year, and after that have their minimum wage increase with inflation. Voters in Alaska are also expected to approve a similar measure. And in Illinois, voters backed a nonbinding measure encouraging lawmakers to raise the minimum wage in that state.

This happened even as the same voters chose to send Republicans to Washington and their state capitols -- the same Republicans who have been blocking minimum wage legislation. Confused? Perhaps the voters were, too.

For instance, in Alaska, enthusiasm for raising the minimum wage was so strong going into the election that Republican Senate candidate Dan Sullivan reversed his previous position opposing the minimum wage hike and came out in support of the ballot measure. As Katrina vanden Heuvel wrote in the Washington Post, anticipating these votes, "It shows, once again, that the American people want to see genuinely progressive reforms" -- even when, vexingly, they aren't voting for progressive candidates.

Marijuana legalization

Either because Snoop Dogg is the most influential political voice in America or because weed is really, really popular -- or maybe both -- Oregon and Washington, D.C., both passed ballot measures to legalize the use and possession of small amounts of marijuana. Voters in Alaska were expected to approve a similar measure.

Meanwhile, voters in at least three Michigan cities backed measures to remove fines for small amounts of marijuana possession (as have other Michigan cities in past elections). And while voters in Lewiston, Maine, voted against pot legalization, the city of South Portland just down the road voted to endorse legalization.

The main buzz kill was in Florida, where a constitutional amendment to legalize medical marijuana failed to garner the 60% of votes needed to pass. The measure got just 58% support.

And finally in Washington state, where weed is already legal, voters debated the next burning topic: how to tax it. As of this writing, the results of the Washington measure were, let's just say, hazy.

Restrictions on pregnant women

It's distinctly possible that conservatives in Colorado were high when the proposed a so-called "fetal personhood" ballot measure. Similar measures already failed on the ballot in 2008 and 2010 but that didn't stop extremists from trying again. They put a measure on the ballot to amend the Colorado state constitution to include fetuses in the definition of "person" and "child" in the state's criminal code, a change that would unleash all kinds of dangerous ramifications not only for reproductive freedom in the state, but for fertility treatments, birth control and the basic rights of pregnant women.

Thankfully, yet again, Colorado's "personhood" amendment failed by an almost 2-to-1 margin. Oddly, Colorado voters elected Republican Cory Gardner, who co-sponsored and defended similar "personhood" legislation -- though Gardner tried to run away from his anti-abortion stance late in the race.

Also Tuesday night, a similar measure to restrict the rights of pregnant women was struck down by a roughly 2-to-1 margin in North Dakota -- a state that Mitt Romney won in 2012 by a similar margin.

In Tennessee, by a 54-46% margin, voters did approve a measure to modify the state's constitution to explicitly restrict abortion rights and give state legislators unfettered power to regulate -- and ban -- abortion services. There are already stringent restrictions on abortion in Tennessee but not codified in the state's constitution. Now the state constitution designed expressly to protect the rights and liberties of all Tennesseans has been severely altered to deny rights to women in the state and restrict the basic freedom to control their own bodies.

Gun safety

A little over a week before the election, a student in Marysville, Washington, opened fire inside a high school, shooting five classmates. Three of the victims died, as did the shooter, who took his own life. This undoubtedly was fresh in the mind of Washington state voters as they considered two competing ballot measures in the election: one to require background checks on all gun sales, including those bought at gun shows and online, the other to prevent the state from passing any background checks measures unless or until the federal government does so first.

Voters passed the first measure and rejected the second.  Polling before the vote found that support for expanding background checks increased following the shooting. Hopefully, other states won't wait for mass atrocities before enacting similar common-sense gun safety laws.

Meanwhile, voters in Alabama and Mississippi passed constitutional amendments codifying the right of people in those states to "hunt, fish and harvest wildlife." As if doing so were somehow in jeopardy. But in the context of laws to promote safe access and ownership to guns, both measures were cast in a political context -- and both were supported by the National Rifle Association.

Criminal justice reform

Voters in California backed a major change in the state's criminal justice code. Minor drug and theft charges will now be considered misdemeanors instead of felonies and come with shorter prison sentences -- a maximum of one year in jail instead of three years under current law.

The change will affect 1 in 5 of those incarcerated in the state who are sentenced for minor drug possession or writing bad checks. Thousands will be able to petition to have their sentences immediately reduced. The ballot measure was supported by everyone from George Soros and his Open Society Institute to Jay Z to CNN's own Newt Gingrich, all of whom think California has better things to spend its money on than warehousing citizens for petty offenses.

Gambling

Voters in Massachusetts voted not to repeal a 2011 law that allowed gambling in the state, in effect revoking the license of three already-operating casinos there. California voters looked likely to reject an off-reservation casino by one Indian tribe.

And Colorado voters rejected a measure to allow expanded betting at horse tracks -- which is probably a good thing being that it's Colorado, the first state to legalize marijuana. Though it is presumably still legal for Coloradans to informally bet on whether the horses are high.

@highlight

Sally Kohn: Results of ballot initiatives favored progressive outcomes,defied GOP sweep

@highlight

Three states voted to hike minimum wage even as they elected GOP candidates

@highlight

Several states voted to legalize possession of small amounts of pot

@highlight

Kohn: Restrictions on pregnant women failed in 2 states, passed in Tennessee