(CNN) -- When a 'Yellow Dragon' roars, Beijing listens.

The Forbidden City in Beijing was enveloped by floating sand and dust on March 18, 2008.

These huge, sky-blackening dust storms sweep across Asia in March and April, bringing with them millions of tons of sand from inner Mongolia and depositing it in China and on across the Korean peninsula to Japan.

During the past few years the storms have grown in ferocity and scale, and they are at the vanguard of an advancing Gobi desert that threatens more than 400 million people in the Chinese provinces of Xinjiang, Inner Mongolia, Gansu, Ningxia and Shaanxi.

The economic toll has been estimated to cost the Chinese economy $6.5 billion per year. But desertification is not limited to China and it is fast becoming a serious global problem that will only be exacerbated by climate change.

In the Chinese provinces of Inner Mongolia and Xinjiang the causes are reasonably straightforward, and in many ways they area is an exemplar of the situation in developing countries worldwide.

Rapid population growth has put enormous pressure on agricultural systems that have been pushed towards unsustainable farming practices in order to cope with demand. In China livestock numbers have nearly doubled in the last 30 years, from around 200 million in the early 1970's, to 427 million in 2002.

As a result huge amount of marginal land has been taken in as pasture, overgrazed to the point of exhaustion, and now farmers are being forced to watch the topsoil literally blow away on the spring winds.

In Africa demand for water has shrunk Lake Chad by 95 percent since the 1960s, leaving only sand and scrub.

In Kazakhstan desertification has meant that nearly 50 percent of cropland has been abandoned since 1980.

The Sahara is advancing into Ghana and Nigeria at the rate of 3,510 square kilometers per year.

In Iran, fierce sandstorms are believed to have buried more than 100 villages in 2002.

But this is only expected to get worse. Across the world climate change is set to exacerbate problems where poor land use and population pressure is already putting an immense strain on finely balanced ecologies.

Africa may only be able to feed 25 percent of its population by 2025, according to the United Nations University Institute for Natural Resources in Africa.

Many countries in the Mediterranean basin could face a future of significant food and water shortages as climate change bites and deserts spread.

Already desertification is estimated to cost Spain US$200 million per year. Predicting the regional effect of climate change is always difficult, but some scientists are suggesting a four degrees rise in the Mediterranean by 2100, with an associated 10 percent to 40 percent drop in rainfall.

A change on this scale would cause existing areas of desert to spread and exacerbate the problems associated with erosion, wildfires and the salinization of the water table.

Already water supplies In Algeria, Egypt, Lebanon, Libya, Malta, Morocco, Syria and Tunisia are at or close to 1,000 cubic meters per person per year, which is widely taken as a benchmark for water scarcity.

Globally crop yields are likely to fall substantially as the area of desert grows across Africa, the Middle East, the United States and Europe and this, coupled with associated rising prices for key crops such as maize and soybeans, could threaten food security in some countries.

Scientists also predict that water shortages could increase the risk of supply contamination and associated diseases such as cholera and dysentery.

Because desertification is often caused by population pressure, effective control is hard to achieve and many solutions are focused on dealing with the symptoms rather than the root cause of the problem.

The Chinese government is creating a forest belt stretching 2,800 miles (4,500 kilometers) to block the advancing sands of the Gobi desert and diminish the effect of the sandstorms.

The African Union is seeking support to fund a similar "Green Wall" to hold back the Sahara. In Algeria officials hope that the inauguration of the 250,000 hectare Taghit National Park will slow the advance of the sands.

But for such schemes to work they will need to take account of local context and build what Camilla Toulmin, director of the International Institute for Environment and Development, calls "a mosaic of local innovations."

She cites the regeneration of trees around fields in central Niger, and the terraces for soil and water conservation in Burkina Faso as perfect examples.

Many ecologists argue that it is small, simple, localized changes towards more sustainable patterns of land-use that will offer effective long-term solutions.

For example, in many areas of the world the search for fuel for cooking fires puts enormous strain on the landscape: as trees are cut down, erosion increases and deserts spread.

But the shift towards using cheap, fuel-efficient 'rocket stoves' and solar cookers could cut the amount of wood needed dramatically.

Leguminous plants, such as beans, which 'fix' nitrogen from the air can be used to help restore fertility in already damaged areas. Belts of trees and grass can be used to reduce wind velocity and stop sand spreading, and provide a managed resource for local communities.

In Spain, Sunseed Desert Technology, an organization that "aims to develop, demonstrate and communicate accessible, low-tech methods of sustainable living in a semi arid environment" has had enormous success renovating abandoned 1,000-year old Moorish irrigation systems.

They believe that similar systems, alongside "appropriate technology" such as solar heaters and biogas producers, may offer a way to slow desertification in many other countries.

What is becoming clearer year-by-year is that we can't fight the advancing desert - only by looking after the land can we expect it to look after us.  E-mail to a friend

@highlight

Desertification is fast becoming a global problem

@highlight

Dust storms affect 400 million people in China each year

@highlight

Large-scale projects like 'Green walls' are touted as one way to solve the problem

@highlight

Others say that sustainable and careful local land management is the best solution