(CNN) -- Severe storms pummeled Alabama and cut a path of destruction across several other southern states Wednesday, killing dozens of people, leveling buildings and trapping residents in their homes.

Authorities said at least 42 people died in storms across the region. Alabama appeared to be the hardest hit Wednesday night, with at least 25 people killed in severe storms and tornadoes, emergency management director Art Faulkner told CNN.

The National Guard dispatched hundreds of personnel to some of the state's hardest hit areas.

"This has been a very serious and deadly event that's affected our state, and it's not over yet," Alabama Gov. Robert Bentley told reporters Wednesday evening.

In a statement released by the White House late Wednesday, President Barack Obama announced he had approved Bentley's request for emergency federal assistance including search and rescue support.

"While we may not know the extent of the damage for days, we will continue to monitor these severe storms across the country and stand ready to continue to help the people of Alabama and all citizens affected by these storms," Obama said.

"Michelle and I extend our deepest condolences to the families of those who lost their lives because of the tornadoes that have swept through Alabama and the southeastern United States," he said.

At least one strong tornado swept through Tuscaloosa, Alabama, leaving dozens of roads impassable and destroying hundreds of homes and businesses.

Video from CNN affiliates there showed a massive whirling cloud darkening the sky as it approached.

"It literally obliterated blocks and blocks of the city," Mayor Walter Maddox said, describing Tuscaloosa's infrastructure as "decimated."

An apparent tornado blew out windows, ripped off siding and damaged cars as it hit the DCH Regional Medical Center there, Command Center Coordinator Janet Teer said.

Soon afterward, witnesses reported tornado touchdowns in Birmingham, Alabama.

"It looked like it was probably a mile wide," Birmingham Mayor William Bell said.

The northwest corner of the city was particularly devastated, he said, with hundreds injured and many others missing.

A "particularly dangerous situation" tornado watch from the National Weather Service remained in effect Wednesday night for parts of Mississippi, Alabama, Tennessee, South Carolina and Georgia -- including metro Atlanta.

Several meteorological conditions combined Wednesday to create a particularly dangerous mix, CNN meteorologist Sean Morris said. A storm system that brought severe weather to parts of the South Plains earlier this week was heading east, a cold front was moving across the Deep South and upper levels of the atmosphere were conducive for severe storms.

"It is tornado season, but an intensive event like this only will occur maybe once or twice a year," he said. "It's very rare to have all these ingredients come together."

Earlier Wednesday a tornado was believed to have struck the northern Alabama community of Cullman, damaging a hospital, ripping the roof off the courthouse and pummeling a number of residences, authorities said.

Mayor Max Townson told CNN it appeared a tornado touched down on the west side of Cullman and then cut through the heart of the city, which has about 15,000 residents.

"Downtown was hit pretty hard," said Freddie Day of the Cullman police department. He said a number of ambulances had been dispatched throughout the city. It was not immediately known how many people were injured.

Reports of people trapped in homes or overturned vehicles along with reports of downed power lines were coming in from every state in the region, according to emergency management officials.

At least 11 people were killed in storm-related incidents in Mississippi Tuesday night and Wednesday, according to the state Emergency Management Agency, which revised its death toll down from six earlier in the day.

"Our thoughts and prayers are with the families who lost loved ones or property in this devastating storm," said Mississippi Gov. Haley Barbour, who declared a state of emergency in 39 of the state's counties. The declaration allows the state to offer aid to the counties during recovery efforts.

The state was also bracing for flooding along the Mississippi River.

A local coroner reported three people were killed in Ringgold and eight were taken to the hospital after a twister swept through the town in the northwestern part of the state.  Some buildings were completely demolished.

A fourth died in nearby Trenton, Georgia, according to the Georgia Emergency Management Agency.

Arkansas and Tennessee reported that at least one person had died in storms in each of those states.

Barbara Martocci with the Tennessee Valley Authority said the Browns Ferry Nuclear Plant in Alabama automatically shut down after losing off-site power.  Power has since been restored, however the plant has not been brought back online, the official said.

In Cullman, the severe weather caused a natural gas line to rupture, though the extent of the damage was not immediately known, said Day of the Cullman police department.

Officials at Cullman Regional Medical Center were assessing damage after declaring  a "code d" -- a disaster -- at the facility, switchboard operator Sharon Barnett told CNN. There were no immediate reports of storm-related injuries at the hospital.

One witness said the damage at the hospital was confined to the roof. "There's no actual building damage, just stuff that fell off the roof," said Summer Frost, who works at a Subway restaurant inside the hospital.

In Chattanooga, Tennessee, iReporter Erika Dunn said a tree fell on her great-aunt's home. She said her great-aunt reported the storm was so bad she could see a white wall of water coming toward the house. She was headed for her basement and was closing the door of her screened porch when the tree fell.

"It got really strong, really fast," Dunn said.

Hundreds of thousands of people across the region were without power, including 269,000 in Birmingham, said Michael Sznajderman, spokesman for Alabama Power.

"We're chipping away" at restoring power, he said, but crews may be forced to halt work as a second line of storms approach.

CNN's Anna Rhett Miller, John Branch, Stephanie Gallman, Maria White, Vivian Kuo, Sean Morris, Dave Alsup, John Murgatroyd, Ed Payne, Phil Gast, Tommy Andres and Scott Thompson contributed to this report.

@highlight

NEW: Three confirmed dead in Ringgold, Georgia

@highlight

NEW: Alabama nuclear power plant loses power

@highlight

Birmingham's mayor says many people are missing and hundreds are injured

@highlight

Alabama's emergency management director says 25 people have been killed