(CNN)  -- The recession means competition in pro football this year isn't restricted to the gridiron. The National Football League and its 32 teams also are battling for the consumer's discretionary spending dollars.

Less-established NFL teams, such as the Jacksonville Jaguars, face special challenges in the recession.

And just like on the playing field, some teams are having an easier time scoring an economic touchdown than others.

"Overall ticket sales are very positive but difficult in these challenging times," NFL spokesman Brian McCarthy said in a statement. He did not provide overall ticket sales numbers for the current season.

The league is coming off a year that saw overall attendance drop slightly, 0.7 percent, from 2007 amid the start of the economic slowdown.

Bill Prescott, a Jacksonville Jaguars vice president and the team's chief financial officer, said the team started to see the impact of the recession last year, when single-game ticket sales and concession revenue dropped as the season progressed. Heading into this season, he said, sales are off even more than the team expected -- new ticket sales are down 75 percent from last year and season ticket renewals are down 10 percent.

No Jaguar games are sold out, despite a recent survey by The Media Audit that found 76 percent of adults in Jacksonville, Florida, regularly follow the Jaguars -- the fifth-best percentage of any NFL market.

"The economy is having that impact on us," Prescott said. "As a very small market, I think we're feeling it more than some of the other teams in the league."

The Minnesota Vikings also have yet to sell out any of their games, though the team expects that could change with the recent high-profile signing of quarterback Brett Favre. Within a day of Favre's signing, the Vikings had sold an additional 3,000 season tickets and 10,000 single-game tickets.

"The economy's affecting all professional sports teams," said Steve LaCroix, the Vikings' vice president of sales and marketing. "We're not only competing for people's time and money, but trying to keep the fans in the stadium on game day as opposed to watching on TV."

LaCroix said there weren't a large number of cancellations in season ticket holder accounts. However, some fans did trim down the number of seats in their respective accounts. LaCroix added some are coming back on board as the season approaches.

The Cincinnati Bengals are getting nationwide exposure through the HBO reality series "Hard Knocks," which chronicles the team's training camp and preparation for the upcoming season. However, the Bengals' streak of 44 straight sellouts, a franchise record, is at risk, according to spokesman Jim Brennan. The Bengals' September 13 home opener against Denver is not sold out yet.

Some teams, however, are more than holding their own as far as ticket sales go despite the nation's fiscal woes. The Denver Broncos are sold out for the 40th straight year -- dating back to the first game of the 1970 season, according to spokesman Jim Saccomano. And Chicago Bears spokesman Scott Hagel says the team is sold out for the 25th straight season. He adds the season ticket renewal rate is well over 90 percent, on par with the prior decade.

According to league spokesman McCarthy, 24 of the NFL's 32 teams did not raise ticket prices from last year. One of the teams that did is the Indianapolis Colts, which bumped up the cost of 10 percent of its season ticket holder seats, according to team spokesman Craig Kelley. All games are sold out. Two factors working in the Colts' favor -- they have a new stadium that opened last season and the team has been a perennial contender for the past decade.

In order to try and offset the impact the economy has on the game, McCarthy said teams have created more options and flexibility for fans in order to help them afford tickets. Among those options are half-season ticket plans, such as the ones offered by the Jaguars and the New York Jets.

"We knew some season ticket holders because of the economy wouldn't be able to afford to come to all 10 games (including the preseason)," said the Jaguars' Prescott. The half-season plan has been very popular, he said. "We wanted to make as many products available to them whether they could come to one game, two games or with the half package we've bundled five games in each package so they can come for half a season." Prescott said the team is also considering introducing a package where fans can purchase tickets for a few games of their choice.

David Carter, executive director of the USC Sports Business Institute, thinks the best way for teams to limit the recession's impact on ticket sales is to offer exemplary customer service.

"These fans need to feel as though they're having a great time and they're getting value for their money," said Carter. "If they're able to do that, they will justify continuing to spend on the NFL, because every game matters. They want to be part of the continuity of the NFL season."

Carter believes the league has to fight the recession on two fronts. He says the first is the pricing of seats to everyday fans -- especially those in markets where the demand isn't as keen as the NFL would like. The second challenge is corporate resistance.

"You have those that have traditionally purchased seats or acquired sponsorships taking a long look at whether they want to be involved this year or not, and a lot of corporate budgets are already in bed for the rest of the year," explained Carter.

Still, Carter believes the NFL may be well-equipped to weather the economic storm, thanks in large part to timing.

"There's a general feel that things are picking up in the economy, and I think that's going to bode well for them over time. They may have survived this downturn a little better than the other leagues."

Matt Gonter has been a Washington Redskins season ticket holder for the past five years. He said he briefly considered whether to cancel his subscription heading into this year but decided against it -- citing the team's long waiting list to get season tickets.

"I swore to myself if I ever got Redskins season tickets, I'd do everything in my power to keep them," Gonter said.

However, he did turn down an option to upgrade to different seats and a parking pass, saying he would have considered it in years past but not under the current economic climate. He also might sell his tickets for certain games online.

"I'm thinking of going on StubHub and selling a couple of tickets. I eat so much of the cost for the preseason tickets, because you have to pay full price for those," Gonter said. One ticket for an NFL game this year on the secondary ticket seller goes for an average of $151, compared with $156 at this time a year ago.

Four-year Cleveland Browns season ticket holder Zeke Paster held on to his subscription and plans to make cutbacks instead when it comes to concessions and tailgating costs. However, he may get rid of some of his tickets before the season is over.

"If they're not doing well, I would maybe try to sell the tickets for some of the cold weather games," Paster said.

Paster and Gonter admit surrendering their season ticket packages for good would be a painful decision.

"The atmosphere is unmatched," Paster said. "There's nothing like being in the stadium or in the parking lot when the Browns are doing well."

Gonter says the camaraderie is worth the cost.

"I just like the experience of sitting in the parking lot under a tent, tailgating, drinking beer and then going to the game and having a good time watching the Redskins."

@highlight

For Jacksonville Jaguars, ticket sales off more than expected

@highlight

Cincinnati Bengals and Minnesota Vikings also looking to score more sales

@highlight

Denver Broncos and Chicago Bears holding the line despite recession

@highlight

Sports expert says NFL's best weapon would be exemplary customer service