(CNN) -- A man who has been fighting for permanent custody of his daughter under Native American tribal law can continue to raise her for the moment in Oklahoma, a new twist in a high-profile legal case already decided by the Supreme Court.

The Oklahoma Supreme Court issued an emergency stay on Friday to temporarily delay the transfer of Dusten Brown's daughter, Veronica, 4, to her adoptive parents in South Carolina. The order was made public on Tuesday.

Attorneys for Brown and the adoptive couple, Matt and Melanie Capobianco of North Charleston, planned to attend a closed-door hearing at the Oklahoma Supreme Court later on Tuesday.

It is unclear when that court would issue a ruling on custody.

In June, a divided U.S. Supreme Court sided with Capobiancos when Brown sought to assert his parental rights. They had legally adopted her when she was a baby.

The justices said the adoption was proper and did not intrude on the federal rights of the father, a registered member of the Cherokee tribe, over where his daughter would live.

The court said Brown could not rely on the Indian Child Welfare Act for relief because he never had legal or physical custody at the time of adoption proceedings, which were initiated by the birth mother without his knowledge.

Birth father arrested in 'Baby Veronica' adoption fight

Broad legal implications

The case raises issues about the scope of a special federal law aimed at keeping Native American families together. It also put at odds competing orders from courts in two states.

South Carolina judges in recent weeks had finalized the adoption back to the Capobiancos, who are white.

Following the Supreme Court order, a family court in South Carolina developed a "transition plan" to ease any transfer, taking into account the girl's age, sensitivities of the parties involved, and Native American heritage dynamic underlying the larger legal dispute.

Brown refused to turn the child over and was cited for contempt. A warrant was issued on August 10 for "custodial interference."

The father then took his case to Oklahoma courts.

The South Carolina Supreme Court originally ruled for Brown.

The adoptive couple has said separation from Veronica has been difficult.

"We are looking forward to seeing her again soon when we have the opportunity to do so, because we miss her so very much," said Melanie Capobianco.

Christinna Maldanado, Veronica's birth mother, also expressed satisfaction when the high court ruled in June.

"Matt and Melanie are part of my family, and they have treated me like part of theirs. I'm hopeful that we will all be reunited with Veronica very soon," the statement said.

Groups hopeful for father

Native American groups had remained hopeful Brown would maintain custody.

Several parties have a stake in the outcome. These include the biological and adoptive parents, the federal government, the Oklahoma-based tribe, and a legal guardian appointed by the state to represent the child's interests.

Brown had earlier signed a legal document agreeing to put the girl up for adoption, but his attorneys said he did not understand the extent of the waiver and that the birth mother misrepresented the child's American Indian heritage to social service workers when the adoption was finalized.

At issue was whether Brown, as the onetime non-custodial father, could gain parental custody, after the non-Indian mother initiated an adoption outside the tribe.

A special congressional law governs such interstate adoptions, since the current 556 federally recognized-tribes all fall under Interior Department oversight, giving those tribes certain unique benefits and rights.

The Capobianco's lawyers had argued federal law does not define an unwed biological father as a "parent."

Opinion: Should race be a factor in adoption?

Relinquished parental rights

The Indian Child Welfare Act was a response to decades of often abusive social service practices that resulted in the separation of large numbers of native youngsters from their families, in many cases to non-Native American homes.

The legislation was designed to "promote the stability and security of Indian tribes and Indian families by the establishment of minimum federal standards to prevent the arbitrary removal of Indian children from their families and tribes and to ensure that measures which prevent the breakup of Indian families are followed in child custody proceedings."

Brown's relationship within the "federally recognized government" of the Cherokee Nation means Veronica is a member of the tribe and subject to its jurisdiction.

"It's not anyone's intent ever to rip a child away from a loving home," said Todd Hembree, the Tahlequah, Oklahoma-based tribe's attorney general. "But we want to make sure those loving homes have the opportunity to be Indian homes first."

But Brown argued he successfully established paternity under state law, and qualified as a "parent" under the tribal statute, thereby giving him proper control and custody of his daughter.

He agreed to relinquish his parental rights in exchange for not paying child support, but said the mother never indicated she intended unilaterally to give the child up for adoption.

And Brown claims the biological mother tried to "conceal" his Indian heritage during the adoption process with the Capobiancos.

@highlight

Top Oklahoma court issues stay of transfer of girl from father to adoptive parents

@highlight

Dusten Brown fights to keep daughter even though U.S. Supreme Court ruled adoption was proper

@highlight

Brown is member of Cherokee tribe and has based legal case on Native American law