(CNN)For many kids, a trip to Disneyland is a dream come true. But for some of those kids and their families who visited "the happiest place on Earth" a few weeks ago, that dream has become a nightmare. In the past month, 36 people have come down with measles traced to an exposure at the theme park, including five employees of Disneyland.

Prior to the introduction of a vaccine in 1967, nearly every American got the measles; but since 2000, it has effectively been eradicated in this country, with the only sources of exposure being foreign visitors or Americans who traveled and brought it back. The threat is growing, however, because not enough people are getting vaccinated and even for those who have gotten vaccinated, the overall trend is a problem for all of us.

Vaccine rates in the United States have been in steady decline since the late '90s. Seventeen states now have fewer than 90% of children vaccinated for measles. Often times, like-minded people who have unvaccinated children tend to cluster in the same communities, thus creating pockets with very low vaccination rates.

The reduction in vaccination rates reveals one of the quirks of vaccines; they only protect a population if nearly everyone is vaccinated. This is the concept of herd immunity. The magic number for measles is 95,  which means if at least 95% of people in a community are vaccinated, everyone is protected. This is because the chance of the virus finding the individuals in the group who have little or no protection is very low. If a vaccinated, and protected, person gets measles they may not even know it, but the virus will be stopped in its tracks by their immune response before they can make more people sick. However, the more poorly protected, or unprotected, people there are, the easier it is for the virus to find them, make them sick and spread.

For those of you who are vaccinated and might be thinking you're protected from infection even in communities with vaccination rates lower than 95%, you still need to worry. Adults can be affected, too. In fact, 13 of the 18 confirmed cases of measles in Orange County were adults. While the measles vaccine is extremely effective -- the best we have -- effectiveness can reduce over time, leaving both children and adults vulnerable, even if they were vaccinated. Therefore, the risk of any one of us coming down with a completely preventable childhood disease like measles will increase if vaccination rates continue to decline.

Disney officials have recognized the importance of vaccination. After learning of the exposure, they offered vaccination and immunity tests to their employees, according to a statement issued by the Walt Disney Parks and Resorts chief medical officer, Dr. Pamela Hymel. Of the five employees affected, three have been medically cleared to return to work, a spokesman said, and others are on paid leave until medically cleared.

To be sure, there are valid medical reasons that some children can't be vaccinated, such as allergies to components of the vaccine, underlying diseases that compromise the immune system, or because they are simply too young. But these children vitally depend on herd immunity to protect them from childhood diseases.

The unfortunate reality, however, is that more and more parents are choosing not to vaccinate their children for nonmedical reasons. Some refuse vaccines on the grounds of religious beliefs; others refuse on the repeatedly disproved argument that vaccines contribute to autism. Their high-risk decision not to vaccinate endangers not only their children, but also those who can't receive the vaccines, and even those of us who have had the vaccine a long time ago, and depend on herd immunity.

5 things to know about measles

Regardless of the reason why parents choose not to vaccinate their children, it is important for the rest of us to realize they are making the choice for all of us, too. By not vaccinating their own children, they increase everyone else's chance of getting a preventable childhood disease like measles, whooping cough or even polio. Just last week, a 25-day-old baby died of whooping cough, which, like measles, is also spreading unnecessarily in the United States due to the decrease in vaccine rates.

Just like the drunk driver who makes a socially irresponsible decision that can endanger not only his life, but also the lives of the other drivers and passengers on the road, parents who choose not to vaccinate their children put everyone else at risk.

We can each play a part in protecting children by making sure parents understand their responsibility to vaccinate their children and the potential consequences on all of society if they don't. It's a small world after all, and the actions of the few can, and do, affect the many.

@highlight

A measles outbreak resulted after exposure at Disneyland; 36 became ill

@highlight

Cynthia Leifer: Fewer people getting vaccinated, raising risks for all of us