(CNN) -- The death of longtime Libyan dictator Moammar Gadhafi is shaking the Arab world. And nations like Egypt, which next month holds its first parliamentary elections since the fall of President Hosni Mubarak in February, are watching.

Egypt, like Tunisia -- which holds elections this weekend -- needs a great many positive influences to consolidate its nascent democratic government. If Libya's National Transitional Council should turn in a militant Islamist direction and become hostile to the European Union or the United States, it could jeopardize democratic progress in Tunis and Cairo alike.

Egypt's position is precarious enough as it is. Two weeks ago in Cairo, for example, Coptic Christian protesters clashed with security forces, leaving 25 dead and more than 300 injured. The violence stems from the Supreme Council of the Armed Forces' refusal to share key decision-making powers with civilians and tests its ability to manage the country's fragile political transition.

Today in Egypt, no political faction is strong enough to monopolize power and none is weak enough to be ground out of existence. As a result, the army's failure to build a solid political consensus creates a recipe for ongoing confrontation. As long as Egyptians believe they stand to gain more through violence than peaceful political negotiations, the situation in Cairo will worsen.

Three decades ago, after the Islamic Revolution in Iran, the Ayatollah Khomeini wasted no time in enacting a brutal purge of the country's secular military elites, whom he feared would endanger his rule. In refusing to establish a new order that Egypt's most powerful political constituencies can all get behind, the Egyptian army may now be leading itself in the same direction.

The army's stubbornness in refusing to craft a new constitution before holding elections at the end of November is ill-considered and dangerous. The coming parliament will be charged with choosing 100 experts to draft the new constitution. But Christians and secularists fear that an Islamist-dominated parliament will produce a constitution that discriminates against them.

Having had little more than six months of freedom, most Egyptian political parties are still in their infancy, and the older secular parties are not yet ready for elections. Islamist parties are the best prepared, as they have been well funded, are known across the country and have enjoyed most of the coverage in the state-owned media since the fall of Mubarak.

Yet secularists -- who constitute 70% or perhaps 80% of Egypt's political parties -- asked for more time to prepare for elections and for the military to facilitate an agreement on a bill of rights that sets down guiding principles for the new constitution. Islamists oppose such a move, as they fear it would create rules the secularists could use to oppress them.

As a provisional government, the army must create a new political framework that guarantees majority rule while protecting the rights of religious, ethnic and political minorities. Yet in spite of a worsening domestic situation, the military shows no such desire.

After Mubarak's fall, Egyptians hoped the army would be the guarantor of a democratic transition; that it would do this transparently, sharing power with civilian political groups, and presiding over a convention culminating in a modern, democratic constitution that protects every Egyptian individual and political group that rejects violence.

In late July, the Supreme Council of the Armed Forces sent a worrisome signal when it celebrated National Day, the anniversary of the 1952 coup d'etat in which the military took power. This coup smothered Egypt's nascent democratic process in its cradle and ushered in an era of military rule lasting almost six decades. After the coup, military men in civilian attire rigged every election, abused human rights and monopolized the political system.

In years past, National Day was nothing out of the ordinary -- the country had celebrated it every year for almost six decades -- but this year, it signaled the military's intention to backpedal on political reforms and maintain an undemocratic status quo.

The 1952 regime has hidden behind many different ideologies and adopted a range of different national and international alliances to suit its needs. It began as a capitalist government, allied with the West, turned to Moscow and became socialist in the 1960s, then adopted a mixture of socialism and capitalism in the late '70s, and allied itself with Washington.

Yet in no incarnation was the military-backed regime ever democratic. Until Egypt's rulers reject the order established in the 1952 military coup, the country will never move forward toward genuine democracy.

Ongoing protests and rising violence are not a coincidence. They are the fruits of 60 years of failed policies. If Egyptians could be confident in their political futures -- that they would be subject to the rule of law rather than the rule of man -- they would be less frustrated. If they could be sure that the country's new political order would respect their individual rights and liberties, they would no longer be in the streets.

If a new constitution ensured that Islamists, Christians, secularists, men and women alike all enjoyed equal rights, then maybe violence and protests would not be the way to be heard.

If the Supreme Council of the Armed Forces respected its mandate to establish the rules of the game, and then shared power with political parties, Egyptians would be confident that it sought only to preserve rule of law and public order, not to perpetuate its own rule.

Egyptian military elites can take comfort that they will not meet the same end as Gadhafi, nor that of the Iranian military after the fall of the shah. But they should take the latest violence very seriously, as they are in a far more delicate position than they may realize. They cannot continue to manage the country's transition the way that they have.

The opinions expressed in this commentary are solely those of Khairi Abaza.

@highlight

Khairi Abaza: Gadhafi's death has resonated in Arab Spring countries like Egypt, Tunisia

@highlight

He says Egypt's transition to democracy has been rough; how Libya proceeds matters

@highlight

He says Egypt's military rulers aren't managing factions in transition; this isn't encouraging

@highlight

Abaza: Army must make political framework that ensures majority rule, backs minorities' rights