(CNN) -- Even if you've never visited Malaysia or Indonesia, it's likely that you've made contact with these countries through the chocolate bar you've just eaten or the soap you've just washed your hands with.

Over 87% of palm oil, a common ingredient in thousands of consumer commodities, was produced by the two countries in the past year, according to the United States Department of Agriculture (USDA).

Palm oil remains solid at room temperature, making it a remarkably versatile commodity used in cooking and processed food products like ice cream and cookies, as well as biofuels, agro-chemicals, and consumer products such as soaps, detergents, and cosmetics.

As a result, demand for palm oil has been steadily rising since the 1970s, making it hugely valuable â€” and profitable.

Last week, Malaysian state-owned palm oil conglomerate Felda Global Ventures Holdings debuted on the Bursa Malaysia stock exchange in the world's second largest Initial Public Offering (IPO) this year. The share price of the world's third largest palm oil operator rose by 20%, generating US$3.2 billion for the company.

While the IPO has been a boon for the company's coffers, conservationists say the palm oil industry has been a curse for the environment in Malaysia and Indonesia.

Palm oil production threatens tropical forests, peatlands, and wildlife habitats, environmental groups such as Greenpeace say.

More than 10% of deforestation in Malaysia and Indonesia over the last 20 years occurred to make way for palm oil plantations, according to a report by the Union of Concerned Scientists (UCS). In Indonesia, an average of 300,000 hectares is lost annually to palm oil clearing, the report said.

One of the major consequences of deforestation is the effect on climate change. "Because forested land, especially forested peatland, has a high carbon density, the production of palm oil on deforested lands causes disproportionately greater...global warming emissions than an equal area of non-forested land," according to the UCS report.

The group estimates that growing and refining each metric ton of crude palm oil produces the equivalent of 0.86 metric ton of carbon dioxide or 860 kilograms.

Each hectare of carbon-rich peatland drained to plant oil palms releases an estimated 3,750-5,400 tons of carbon dioxide over 25 years, said Wirendro Sumargo, a forest campaigner at Greenpeace Indonesia. By comparison, he said, 500-900 tons of carbon dioxide are released from clearing a hectare of tropical forest without peat bogs.

Oil palms also have less biomass than the natural forests they replace, meaning the trees store much less carbon dioxide, according to UCS. Once oil palms reach the end of their productive life cycle, the destruction of their timber also returns carbon to the atmosphere.

To harvest palm oil in an environmentally safe way, high carbon stock forests, peatlands, and high conservation value forests must be avoided for development, said Sumargo. He added that the Indonesian government has routinely granted concessions for oil palm development in forested areas, which has led to widespread deforestation in Sumatra and Kalimantan. The UCS also claims the government issues land leases on favorable terms to an elite, influential pool of investors. For example, the Sinar Mas Group, which owns one of the country's leading palm oil growers-refineries, is controlled by the powerful Widjaja family empire. The company has been an ongoing target of heavy criticism from green groups for contributing to mass deforestation and the endangerment of wildlife.

Over the past five years, Greenpeace has launched campaigns against snack food conglomerates, including Unilever and Nestle, after finding their products, such as Nestle's Kit Kat chocolate bars, contained palm oil sourced from the Sinar Mas Group. Deforestation forces large animals, such as tigers, elephants and orangutans, into small and isolated pieces of natural habitat, according to Sumargo.

While the campaigns increased consumer awareness and provoked Unilever and Nestle to suspend their contracts until Sinar Mas improved its practices, much work remains to be done to make the palm oil industry sustainable, environmental groups say.

For its part, the Indonesia government implemented a two-year moratorium on new permits to clear primary forests in May 2011, in a US$1B deal with Norway intended to reduce greenhouse gas emissions stemming from deforestation.

Others point out that the palm oil industry has significantly alleviated rural poverty in Indonesia, where over 10% of the rural population lives below the poverty line. According to World Growth, over 41% of palm oil plantations were owned by small landowners in 2008, producing 6.6 million tons of palm oil. The palm oil industry contributes approximately 4.5% of gross domestic product in Indonesia, according to the USDA.

Felda Global Ventures manages nearly 425,000 hectares of land in Malaysia and Indonesia, the majority of which is used for oil palm cultivation, according to its website. Its associate company, Felda Holdings, produced 3.3 million tons of crude palm oil in fiscal 2011, according to company spokesman Izan Hussain.

Hussain said that company's last plantings of oil palms occurred in the 1990s.

"Going forward, in newly acquired areas, where it involves planting in secondary forest areas, FGV will only do so after conducting high conservation value assessment," he said.

"We will only proceed if the findings indicate that no wildlife or endangered species will be affected, nor any social conflicts will arise from the development of the land."

The company has a program in place to obtain certification from the Roundtable on Sustainable Palm Oil (RSPO) for all 70 of their palm oil mills by 2017, according to Hussain. He said that only eight mills are currently certified.

@highlight

Over 87% of palm oil produced by Malaysia and Indonesia in past year

@highlight

Palm oil is versatile ingredient in thousands of consumer commodities

@highlight

Demand for palm oil steadily rising since the 1970s, making it hugely profitable

@highlight

Green groups say palm oil industry threatens tropical forests, peatlands, and wildlife habitats