Washington (CNN) -- A Supreme Court majority appeared poised Tuesday to give a woman convicted of trying to poison her best friend a chance to argue that her case should have been handled in state courts.

Carol Anne Bond was given a longer prison sentence in the federal system, after being charged with violating an international treaty on the use of chemical weapons.

The case of toxic love has soap-opera elements, but Bond's lawyers argued she was being treated like an international terrorist, instead of someone caught up in a domestic dispute.

Several justices seemed to agree.

"She wants to make the argument that this is a strictly state, local crime, and that any attempt by the federal government to convert it into a treaty-based terrorism crime is erroneous," said Justice Antonin Scalia. "Why doesn't she have standing to make that argument?"

Justice Elena Kagan added, "It's all a question of what Congress' scope of authority is under the (Constitution's) Necessary and Proper Clause" on federal authority.

The implications go far beyond this case, and could establish important precedents on the strength and purpose of the Constitution's 10th Amendment, which preserves state sovereignty. It is also an issue roiling the current political debate, especially among Tea Party conservatives in this post-9/11, security-conscious environment.

At issue is whether Bond has a right -- called "standing"-- to contest her conviction on grounds it went far beyond the normal scope of federal jurisdiction in this kind of crime. The high court, in a case from more than 70 years ago, suggested that this so-called "gateway" claim could only be raised by state officials, not individual plaintiffs.

Bond, a native of Barbados, lived outside Philadelphia and worked as a microbiologist. As a federal appeals court succinctly summarized the relevant facts in the case: "Bond was excited when her closest friend, Myrlinda Haynes, announced she was pregnant. Bond's excitement turned to rage when she learned that her husband, Clifford Bond, was the child's father. She vowed revenge."

Bond, known to her family as Betty, struck back by stealing dangerous chemicals -- arsenic-based 10-chloro-10H-phenoxarsine -- from her company, and also obtained potassium dichromate over the internet. Both substances in heavy doses can cause toxic, even lethal harm with very little physical contact. The 40-year-old then tried to poison Haynes some two dozen times over several months, secretly sprinkling small amounts of the chemicals on an apartment doorknob, car door handles and a mailbox.

While suffering no more than a chemical burn on her thumb, Haynes grew suspicious -- one of the chemicals was a bright orange powder. After getting little help from local police, she called postal inspectors in 2007, who set up surveillance cameras. Bond was videotaped stealing mail and placing chemicals inside the mailbox and car muffler, court records show. She was soon arrested.

Bond admitted her guilt early on and claimed she never meant to kill Haynes, but only wanted to cause her "an uncomfortable rash." The defendant also said her friend's betrayal caused an "emotional breakdown" that made her respond in such a shocking fashion.

Instead of being charged with simple assault, which may have gotten her six months to a year or two in state prison, Bond was indicted in federal court on two counts of mail fraud and two counts of violating a federal law and international treaty for the possession and use of "chemical weapons."

When a judge denied her motions to transfer the case to state court, Bond pleaded guilty and immediately appealed. She received a sentence of six years behind bars and nearly $12,000 in fines and restitution.

An appeals court ultimately rejected her standing claims.

The strange case took an even stranger turn when the Supreme Court was asked to weigh in. After first adamantly claiming Bond had no right to appeal, the Justice Department reversed course. But the Obama administration still believes Bond's federal conviction was valid.

In court arguments, the standing issue dominated the debate.

"This isn't sarin," a lethal nerve agent terrorists have used in the past against civilians, said Bond's attorney Paul Clement. "There is something sort of odd about the government's theory that says that I can buy a chemical 'weapon' at Amazon.com. That strikes me as odd." He added Bond used a "commonly available chemical."

That received a sympathetic response from some on the court after Clement's legal opponent stepped up.

"If it is in fact a 10th Amendment claim, unless you have a state official or the state, there is no standing," said attorney Stephen McAllister.

"Pretty harsh, if we're talking about prudential standing, to deny that to a criminal defendant, isn't it?" replied Chief Justice John Roberts.

Justice Anthony Kennedy went further.

"Your underlying premise is that the individual has no interest in whether or not the state has surrendered its powers to the federal government, and I just don't think the Constitution was framed on that theory," he said.

Justice Ruth Bader Ginsburg pushed McAllister to admit there was no previous high court case in which a criminal defendant was held to have lacked standing to challenge a statute under which the defendant was prosecuted.

Since the Obama Justice Department admitted its handling of the standing issue was wrong, the justices had to appoint an outside private attorney to argue what the government had originally claimed. McAllister, an experienced lawyer and onetime law clerk to Justice Clarence Thomas, was given the tough assignment.

Many conservatives hoped the majority right-leaning bench would use the opportunity to delve further into the scope of the 10th Amendment, which states, "The powers not delegated to the United States by the Constitution, nor prohibited by it to the states, are reserved to the states respectively, or to the people."

While some justices thought the case should be decided only on standing grounds, others were more eager to explore the larger issues.

Obama administration attorney Michael Dreeben argued Congress' power to enforce treaties and to control commerce was sweeping, including state "regulation of a commodity."

"Given the breadth of this statute, that would be a very far-reaching decision, wouldn't it?" said Justice Samuel Alito, clearly troubled. By the federal government's reading, he noted, "a chemical weapon is a weapon that includes toxic chemicals. And a toxic chemical is a chemical that can cause death to animals. And pouring vinegar in a goldfish bowl, I believe, will cause death to the goldfish, so that's a chemical weapon," which could potentially mean life imprisonment for the perpetrator. He suggested that was not what Congress had intended.

In the broader political context, conservatives, along with a healthy mix of liberals and libertarians, worry that the federal government and Congress have been overly aggressive in staking claims to disputes they believe are best left to states, especially in the criminal arena.

And it's not just felonies. Areas like gun ownership, zoning laws, environmental regulations, taxation, health care and education standards all could be re-examined in the wake of a high court decision.

Even if Bond prevails on the standing issue, she might still face an uphill battle in phase two of the her legal fight, getting her federal conviction ultimately thrown out on 10th Amendment grounds.

Either way, it may come too late to do her any good, if the justices sidestep the 10th Amendment aspects. She is set to be freed from federal prison in West Virginia next year, likely before any future case on the merits would be resolved.

A high court ruling will likely be issued by June. The case is Bond v. U.S. (09-1227).

@highlight

The case involves a woman convicted of federal charges related to chemical weapons

@highlight

Bond found out her husband and best friend were having an affair, and a baby

@highlight

Justices mull Bond's standing to argue that her case should have been decided in state courts