(CNN) -- The scenes are depressingly familiar.

A gunman opens fire on an American campus. Students, teachers and administrators duck for cover. Parents anxiously wait for their kids to check in, praying for the phone to ring.

It played out again Tuesday at Reynolds High School in Troutdale, Oregon, a city of 16,400 people 12 miles east of Portland.

Jared Padgett, a student at the school, shot and killed another student before taking his own life.

The 15-year-old Padgett arrived at school on a bus, carrying a guitar case and a duffel bag, Troutdale Police Chief Scott Anderson told reporters Wednesday.

The freshman student had an AR-15 type rifle, a semi-automatic handgun, nine loaded magazines capable of holding several hundred rounds, and a large knife, Anderson said.

Authorities have found no link between Padgett and his victim, 14-year-old freshman, Emilio Hoffman, and no known motive.

Padgett shot and killed Hoffman in a locker room. He also shot and wounded a teacher.

Padgett then moved through a main hallway, where he ducked into a small restroom as officers closed in, Anderson said.

There was a brief exchange of gunfire, but, based on autopsy reports, Padgett died of a self-inflicted gunshot wound.

"Given the weapons and the amount of ammunition that the shooter was carrying, the early notification and the initial law enforcement response were critical," the police chief said.

The school shooting, the second in a week, is the latest in a long string. An attack at Seattle Pacific University last week killed one person and wounded two others.

Timeline of U.S. school violence

Speaking in Washington, President Barack Obama said the nation should be ashamed of its inability to get tougher gun restrictions through Congress in the aftermath of mass shootings that he said have become commonplace in America.

"Our levels of gun violence are off the charts. There's no advanced, developed country on Earth that would put up with this," he said.

Heroics by coach

Todd Rispler, a teacher and coach at the school, was praised by police for what they called heroic actions.

Witnesses at the school said that after the shooter killed Hoffman, he chased Rispler out of the building while shooting at him. Several students said they saw blood on Rispler's white shirt as he ran.

What they didn't see was that the coach ran to the main administrative office, where he alerted the school's leadership about the gunman on the premises.

Officials immediately initiated a lockdown on the school.

"Despite being injured, (he) was able to make his way to the office and initiate the school lockdown procedure," Anderson said.

The news was warmly received by students at the school, who made a celebrity of Rispler by posting about him on social media.

"Everyone on Twitter is talking about how he's a boss and how even if he was shot and injured he'd be fine," student Kara Ikebe told CNN.

A closer look: How many school shootings since Newtown?

The debate

So, what now? Will this latest instance of gun violence compel Congress to act?

The President isn't optimistic.

Most members of Congress are "terrified" of the National Rifle Association, he said Tuesday, adding that nothing will change until public opinion demands it.

"The country has to do some soul-searching about this. This is becoming the norm, and we take it for granted, in ways that, as a parent, are terrifying to me," Obama said.

There was no immediate response from the NRA.

The number of active shooter events -- defined as one or more people whose primary motive is mass murder in a confined or populated area, not including gang and family-related shootings -- has risen somewhat in real numbers in recent years.

A report by the Advanced Law Enforcement Rapid Response Training Center found that the number of these types of mass shootings has increased from an average of about five a year prior to 2009 to 15 in 2013.

Opinion: Gun debate? What gun debate?

The focus

The NRA and its supporters have previously said that no number of laws can effectively stop anyone out to kill.

"The violence is in the person, not in the gun," Jerry Henry, executive director of GeorgiaCarry.Org, said this year. "And until you figure out how to treat the violence, then you're going to have that. And taking all the guns off the street is not going to make anybody any safer."

CNN analyst Fareed Zakaria disagrees.

"Every time there is a serious gun massacre in the United States -- and alas, these are fairly common -- the media focuses on the twisted psychology of the shooter and asks why we don't pay more attention to detecting and treating mental illness," he wrote.

"The question we should really be focused on is not the specific cause of a single shooting, but why there are so many of them in America."

America's per capita gun homicide rate in 2009 was 12 times higher than the average of Canada, Germany, Australia and Spain.

"Does anyone think that we have 12 times as many psychologically troubled people as they do in these countries?"

It's a point Obama also touched on Tuesday.

"The United States does not have a monopoly on crazy people. It's not the only country that has psychosis," he said.

Oregon school shooting victim 'didn't deserve what he got'

The aftermath

Back at Reynolds High School on Tuesday, anxious parents waited for news that their children were safe as word of the shooting spread.

Evacuated students were bused to a local grocery store parking lot and released after clearing a police pat-down for weapons.

One couple, Craig Tuholski and Tawnjia Reimer, were talking with CNN affiliate KGW about how agonizing the wait for news was, when Tuholski's cell phone rang.

"Is that Chris?" Reimer asked before letting out a sigh of relief. "Oh, thank God."

"That's what we were waiting for," Tuholski said after hanging up.

The vigil

Several hundred people turned out Tuesday night for a vigil to honor Hoffman, including his family.

Although senior Jaylen Edwards didn't know Emilio Hoffman well, he posted one of the early tweets calling the community to attend.

"At the end of the day, we can come together for a great cause and support Emilio and his family," he told affiliate KATU.

As candles flickered in the fading light, the heartbroken community sang "Amazing Grace."

"We just have to make sure that we all stick together and have each other's backs," Edwards said.

Special sentence sought for Seattle college shooting suspect

CNN's Jason Hanna, Mariano Castillo, Steve Almasy, Tom Cohen, Evan Perez, Pam Brown, Shimon Prokupecz and Stefan Simon contributed to this report.

@highlight

The shooter had an AR-15 type rifle, a handgun, loaded magazines, and a large knife

@highlight

Authorities have found no motive and no link between the gunman and his victim

@highlight

They identify the shooter as 15-year-old Jared Padgett

@highlight

"The country has to do some soul-searching," Obama says