(CNN) -- While there's been no shortage of snow this winter, the barrage of winter storms has left many U.S. cities short of one thing: salt.

In New Jersey, record amounts of snowfall have left mayors scrambling for more salt to sprinkle on their roads and sidewalks for safety.

The salt situation in West New York has been "very critical," Mayor Felix Roque said. In a typical winter, the town's salt silos would normally be at least three-quarters full at this time of the year, he said. Now, they are virtually empty.

They've had to mix the small amounts of salt they have left with sand to try stretch resources, Roque said.

Mayor Steven Fulop of Jersey City, the second-largest city in New Jersey, said its salt shortage also has been difficult.

A delivery of salt arrived in Jersey City on Monday -- an order placed two and a half weeks ago. Normally, salt arrives only two or three days after an order is placed. And the shipment is less than what the city will need, he said.

Instead of badly needed salt, the city has been "using pretty much anything and everything we can get our hands on," including sand and liquid brine, Fulop said.

But the New Jersey Department of Transportation says it has enough salt for "several storms," noting that its commissioner, James Simpson, has been working tirelessly to acquire more resources.

"In addition to getting salt from our normal channels, the commissioner has reached out to other companies and agencies for salt that we can obtain independently from our normal suppliers," said Joseph Dee, a spokesman for the department.

Daring motorists urged to smarten up before taking on bad weather

Rules torpedo salt shipment

While coordinating with one of its main salt suppliers, Dee said, the New Jersey DOT learned of a 40,000-ton pile of salt in Maine that had not been spoken for.

Its supplier said, "If you can get a ship to take it, it's yours," Dee said.

According to the Merchant Marine Act of 1920, also known as the Jones Act, all commercial goods transported between ports in U.S. waters must be carried on U.S.-flagged ships, but the New Jersey DOT didn't have a U.S.-flagged barge large enough to carry all of the salt in one trip. A waiver of the Jones Act would have to come from the U.S. Department of Homeland Security.

A Department of Homeland Security official said Tuesday that no decision has been made on waiving the requirements of the Jones Act.

Dee said his department was seeking a waiver so a larger ship without a U.S. flag could make the delivery, but he got "indications that the waiver was not going to be successful."

CNN first learned of the 40,000-ton salt supply via Twitter.

The New Jersey DOT sent a smaller U.S.-flagged barge Monday night to bring about 9,500 tons of salt to New Jersey and expects it to arrive by Friday or Saturday, Dee said. The barge will have to make multiple trips to carry all of the salt, possibly taking several weeks. Dee did not know if more ships would become available to help transport the salt.

Still, Dee says, New Jersey is well-equipped to handle any winter weather.

"Clearly we want the salt, we'd like it as quickly as possible, but we have enough salt on hand," he said.

Some cities are close to their snowiest winter in history

Shortages in other areas

New York Gov. Andrew Cuomo said this month that the long, snowy winter had left New York City and Long Island with salt shortages as well, prompting the state Department of Transportation to move 3,500 tons of road salt to those areas from state stockpiles, according to a statement.

The state is also mixing sand with salt to stretch resources, a Cuomo spokesman said.

Boston has gone beyond U.S. borders in its quest for more salt, receiving shipments from as far away as Mexico, according to a tweet from CNN affiliate WBZ.

The scramble for salt has led many in other states to turn to alternatives to keep roads safe, with some methods of snow and ice removal proving to be cheaper than traditional salt.

In Polk County, Wisconsin, cheese brine from factories is used for snow and ice control, said Michael Sproul, program manager at the Wisconsin Department of Transportation.

"Cheese brine is not an alternative to salt, it's just a cheaper version," he said, adding that it's mixed with salt to conserve supplies. "In Wisconsin, it's a waste product. For us, it can be used on the roads. Someone can give it to us. We ask them to filter and deliver it, and we use it. ... We're doing them a favor. It's just another material that we can use with salt to treat the snow and ice that's supposed to be close to free."

The brine is effective because it works at a lower temperature than normal salt, said Emil Norby, technical support manager at the Polk County Highway Department.

In 2011, Bergen County, New Jersey, officials used a mixture of salt and water that resembles pickle juice and costs significantly less than salt, former county Public Works Director Joe Crifasi told CNN affiliate WCBS. The county also had an exceptionally snowy winter this year.

Other alternatives to salt have included liquid byproducts, including beer waste and beet juice, according to a study by the Cary Institute of Ecosystem Studies, a New York state-based environmental group.

Some communities are dealing with high costs for both salt and overtime for plow drivers.

In Oak Park, Illinois, salt is three times the normal price because of high demand this winter, and overtime for plow workers is adding up.

The New Jersey DOT reports that it has spent more than $82 million for snow and ice removal through February 11 of this year, compared with $62 million spent all of last year's winter season.

Even before the last storm, more than 372,000 tons of salt had been used in New Jersey this winter, compared with "last year's 258,000 tons for the whole winter," Dee said.

5 reasons climate change is back in the news

CNN's Ross Levitt, Maria Santana, and Allie Malloy contributed to this report.

@highlight

Salt shortages are hitting cities across the country, particularly in the Midwest and Northeast

@highlight

Federal rules have delayed delivery of a 40,000-ton pile of salt to New Jersey

@highlight

Some governments are using brine instead of salt, and others have used sand-salt mixtures

@highlight

Costs of snow removal are much higher now than in previous years