(CNN) -- In the wake of the Japanese prime minister's visit to Yasukuni shrine last week, Japan's struggles to move forward from its wartime past are back in the headlines. Commentators decry that Shinzo Abe's visit will increase tensions in East Asia. They are right: this gesture will curdle Japan's already sour relations with South Korea or China, and indeed has already provoked the predictable outcry. But Yasukuni visits are a symptom, not the main cause, of Japan's poor relations with its neighbors.

A country's commemoration is a vital part of its national identity, but depending on their political agendas, leaders constantly manipulate and negotiate national remembrance. Countries often glorify their own past, while vilifying their rivals' behavior and ignoring their suffering.

One country's heroes are another's villains â€” as seen, for example, in the Palestinian decision to name a square after Dalal Mughrabi, a young woman who carried out the deadliest terror attack in Israel's history, killing 13 children among the 38 dead. This decision outraged Israelis; an adviser to the prime minister said it represented the "glorification of murderers" and was another example of "incitement of hatred and violence against Jews and Israel."

On the other hand, for countries seeking reconciliation, leaders understand that they must avoid commemoration that antagonizes their partner. So, they look for inclusive, rather than alienating, ways to remember their heroes and history. Thus when the Poles and Germans commemorated the past, they mourned together at Krzyzowa, a site associated with the German resistance, which emphasized German honor rather than brutality.

The French and West German leaders in 1984 clasped hands together at Verdun (the site of the bloody World War I battle where both countries experienced monumental losses). Later, French and German leaders, alongside their American, British and Russian counterparts, bowed their heads together at Normandy.

Furthermore, reconciliation between the British and Irish was also reflected in and reinforced by commemoration. Last month in Belgium, leaders from the two countries, once bitter enemies, together paid respects to British and Irish who perished in the First World War.

All these countries adopted unifying rather than divisive themes in their commemoration, because they perceived reconciliation to be a vital interest.

In East Asia, a mix of domestic politics and strategic conditions are pushing in the opposite direction. China and Japan are struggling to define the rules of a region in which they are now both great powers. Tokyo resents and worries about Chinese air and naval incursions into the East China Sea, where the two countries dispute ownership of an island chain (known as Senkaku in Japan, Diaoyu in China).

The Chinese see similar menace in Japan's efforts to control the islands. The Chinese also fear Shinzo Abe's desire to increase patriotic nationalism and to revise Japan's "peace constitution" to permit greater military assertiveness.

As for South Korea, one might think that the rise of Chinese power would push Seoul closer to Tokyo, particularly since the two countries share an ally in the United States. But so far this has not been the case; Seoul enjoys excellent relations with Beijing, and has shown a strong tendency toward hedging between East Asia's great powers.

Indeed, national remembrance in East Asia reflects that reconciliation is not a priority. In Tokyo, Abe's decision to visit Yasukuni was a clear choice to cater to a powerful conservative domestic political base, and to reinforce his "patriotic" agenda. Yasukuni enshrines among its 2 million souls 14 war criminals, and features a museum that whitewashes Japan's past aggression. With his visit, Abe has demonstrated that he sees nationalism -- a vital part of domestic mobilization against security threatsâ€”as more important than conciliation toward Seoul or Beijing.

For their part, China and South Korea also remember the past in ways antagonistic to Japan. China's memory of the Nanjing massacre â€”such as at the Nanjing Massacre Memorial Hall-- depicts the Japanese as rapacious and incurably prone to aggression. Of course, the Chinese suffered terribly at the hands of the Japanese, and the Nanjing Massacre is a horrific blight on human history. Yet the Poles were no less wounded by the Germans, and they have chosen to reconcile with their former tormentors.

Similarly, in a controversy similar to the one over Dalal Mughrabi Square, Chinese and South Koreans have recently decided to build a statue in Harbin, China, to honor a man who assassinated a Japanese leader there. In 1909, Ahn Jung-geun shot Ito Hirobumi, a highly decorated, four-time Japanese prime minister and resident-general of Japanese-occupied Korea.

South Korean soccer fans have also unfurled massive banners of Ahn at matches against the Japanese national team. Outraged, Tokyo calls Ahn a criminal. Some have likened the statue in Harbin to building a statue to Lee Harvey Oswald in Dallas.

Commemoration is not the root cause of poor relations in Northeast Asia; it is a window to just how distant relations are there. Instead of looking for ways to honor and show respect for one another's heroes and history, they remember in ways that humiliate and antagonize. Sadly, as long as prevailing strategic trends continue, we are likely to see more of the same.

The opinions expressed in this commentary are solely those of Jennifer Lind.

@highlight

Jennifer Lind: Visit by Japan's prime minister to war shrine provoked objections from China

@highlight

She says history can be used by leaders to encourage reconciliation or to humiliate and antagonize

@highlight

Many factors lie behind the tension between Japan and China, she says

@highlight

Several European countries have shown how joint commemorations can advance harmony, she says