Kabul, Afghanistan (CNN) -- Osama bin Laden and his deputy Ayman al-Zawahiri are believed to be hiding close to each other in houses in northwest Pakistan, but are not together, a senior NATO official said.

"Nobody in al Qaeda is living in a cave," said the official, who declined to be named because of the sensitivity of the intelligence matters involved.

Rather, al Qaeda's top leadership is believed to be living in relative comfort, protected by locals and some members of the Pakistani intelligence services, the official said.

Pakistan has repeatedly denied protecting members of the al Qaeda leadership.

The official said the general region where bin Laden is likely to have moved around in recent years ranges from the mountainous Chitral area in the far northwest near the Chinese border, to the Kurram Valley, which adjoins Afghanistan's Tora Bora, one of the Taliban strongholds during the U.S. invasion in 2001.

Tora Bora is also the region from which bin Laden is believed to have escaped during a U.S. bombing raid in late 2001. U.S. officials have long said there have been no confirmed sightings of bin Laden or Zawahiri for several years.

The area that the official described covers hundreds of square miles of some of the most rugged terrain in Pakistan, inhabited by fiercely independent tribes.

The official also confirmed the U.S. assessment that Mullah Omar, the leader of the Taliban, has moved between the cities of Quetta and Karachi in Pakistan over the last several months.

The official would not discuss how the coalition has come to know any of this information, but he has access to some of the most sensitive information in the NATO alliance.

Analysis: The finger is being pointed at Pakistan

However, Richard Holbrooke, the U.S. special envoy to Pakistan and Afghanistan, said there was nothing new to what the official was saying.

"We hardly have a day that goes by where somebody doesn't say they know where Osama bin Laden is," said Holbrooke, who was in Rome, Italy, for a conference on Afghanistan.

Another U.S. official, who spoke on condition of anonymity, said the exact locations for bin Laden and Zawahiri are unknown, other than that they are "somewhere in the tribal areas of Pakistan near the Afghanistan border."

"If we knew where he was -- in a house, an apartment, a villa or an underground cave or bunker -- we would have gotten him," said the official. "We can't rule out he may be in a cave one day and a house in a city on another."

The official referred to CIA Director Leon Panetta's comment a few months ago that the United States has not had any precise information about bin Laden's whereabouts for many years.

"He is, as is obvious, in very deep hiding," Panetta said. "He's in an area of the tribal areas of Pakistan that is very difficult."

As for Pakistan's role, Holbrooke said it was ultimately up to Islamabad to decide how to craft its fight against militants.

"The United States and our allies -- all would encourage them to do as much as they are able to do," Holbrooke said. "There's been a long discussion about whether ... they would go into other parts of the border area. That is for them to decide on the basis of their resources."

Pakistan's Interior Minister Rehman Malik said Monday that similar reports of bin Laden and Mullah Omar's whereabouts have proven false in the past.

Malik denied the two men are on Pakistani soil, but said that any information to the contrary should be shared with Pakistani officials so that they can take "immediate action" to arrest the pair.

The NATO official, who has day-to-day senior responsibilities for the war, offered a potentially grimmer view than what has been publicly offered by others.

"Every year the insurgency can generate more and more manpower," despite coalition military attacks, he said.

Although there has been security progress in areas where coalition forces are stationed, he said in other areas, "we don't know what's going on."

He pointed to an internal assessment that there are 500,000 to 1 million "disaffected" men between the ages of 15 and 25 in the Afghan-Pakistan border region. Most are Afghan Pashtuns, and they make up some of the 95 percent of the insurgency who carry out attacks just to earn money, rather than to fight for a hard-core Taliban ideology, he said.

The official said it is now absolutely vital for the Afghan government to address the needs of this group with security, economic development and jobs in order for the war to end and for Afghanistan to succeed.

"We are running out of time," he said.

In recent days, Gen. David Petraeus, the top U.S. commander in Afghanistan, has made a number of public statements expressing some optimism about the progress of the war. Petraeus "doesn't think time is running out, " his spokesman, Rear Adm. Gregory Smith, told CNN.

The NATO official said the entire scenario is made more complex by the fact that "there is a huge criminal enterprise" in Afghanistan, dealing in human, drug and mineral trafficking. Those crimes are also tied in to the insurgency.

He acknowledged the overall strategy now is to increase offensive airstrikes and ground attacks in order to increase the pressure on the Taliban and insurgent groups to come to the negotiating table with the current Afghan government.

There is a growing sense that many insurgent leaders may be willing to accept conditions such as renouncing al Qaeda because they want to come back to Afghanistan.

But, the official cautioned, hard-core Taliban groups such as the Quetta Shura run by Mullah Omar, the Haqqanis, the HiG (Hezb-e-Islami Gulbuddin) and the Pakistani Taliban still could potentially muster as many as 30,000 fighters.

The U.S. continues to face a more localized insurgency in the south. In places like Marja and the Helmand River Valley, the majority of the fighters captured are within a few miles of their homes.

The insurgent leader Mullah Abdullah Zakir has increased his strength in the south, the official said. He essentially exerts some levels of control and influence both in the greater Kandahar region and across the south from Zabul to Farah province.

The official continued to stress the urgency of getting the Afghan government to deal with the multitude of problems it faces.

Right now, the U.S. war plan approved by President Barack Obama extends through 2014, the official said. That is the official document that spells out matters such as troop rotation schedules.

The U.S. military could sustain a war "'indefinitely," the official said. But the goal is to achieve reconciliation and allow the Afghan government to function and provide security and services to the people.

Without that, he said, "we will be fighting here forever."

CNN's Hada Messia in Rome, Italy, and Pam Benson in Washington contributed to this report.

@highlight

"Nobody in al Qaeda is living in a cave," official says

@highlight

The leadership is living in relative comfort, he says

@highlight

Bin Laden likely moved around in an area of rugged terrain

@highlight

U.S. special envoy says there's nothing new to the report