(CNN) -- When Sunday Oliseh was a young boy kicking a football around the dusty streets of Lagos, he never dreamed he would one day carry the hopes of 170 million people on the world's biggest sporting stage.

"As a child, the World Cup was something that was not for us but for others," says the man who became one of Nigeria's pioneering football exports.

"It was something like a mirage for my nation until my generation came around."

Indeed, football was not even considered a respectable profession in the Oliseh household.

"For my parents growing up, football was taboo and you could understand them because way back then, in Africa, nobody made a living out of playing football," the 39-year-old tells CNN's Human to Hero series.

"For my parents, there was no way you could play football because you're going to grow up, become older and be unemployed, so you had to be schooled and I really thanked them because it's made me get that education that has helped me to manage myself as an adult.

"In the do-or-die world of football, if you're not really educated and paper smart, you could sign contracts that will hurt you forever, so I thank them immensely."

Oliseh quickly won over his parents when he earned a contract at local club Julius Berger. Now known as Bridge Boys, it has provided a stepping stone to bigger things for a long line of international players.

"I remember coming home with my first wages and my father called my brothers and said, 'Look, your brother is earning way, way more than I earned as an accountant for his first contract,' " Oliseh recalls.

"That's when we were just like, 'Wow, there's something starting here.' "

It was a journey that would take him far from home -- to clubs in Belgium, Italy, Germany, the Netherlands.

Oliseh, a defensive midfielder, would captain his country, win an Olympic gold medal, and star at World Cups in the United States and France.

African nations had regularly appeared at the World Cup since the 1970s, but Nigeria had to wait until 1994 for its first appearance.

The scene was the Cotton Bowl in Dallas, and the opponent was a star-studded Bulgaria team that would go on to reach the semifinals.

"We were so nervous," Oliseh says. "The men's room was filled up before the game."

The talented Super Eagles (and their bladders) needn't have been so concerned.

Oliseh and co. powered to an impressive 3-0 victory and topped the group despite losing to an Argentina team captained by Diego Maradona.

"I got the opportunity to rub shoulders with the player whose poster was on my wall at the time," Oliseh says.

"He was the best player of our generation. That was when it dawned on me that I was ready for the big league."

The Super Eagles lost to eventual runner-up Italy after extra time in the last 16, but their swashbuckling style captured the imagination of fans around the world and set the tone for a golden age of Nigerian football.

Next came Olympic success at Atlanta '96, beating Argentina 3-2 in the final with a last-gasp winner.

"My parents called me the next day and said, 'Son, you owe us money!' and I said, "How come Papa and Mama?" and they said, 'All the neighbors have been here drinking so when you come back, you have to pay us back!'

"Nigeria went crazy. The President gave the whole country two days off. No work, we had to celebrate this -- so that shows you how much it meant to my nation and to Africa."

For Oliseh, the 1998 World Cup was even better as he scored one of the goals of the tournament in a 3-2 win against Spain, though Nigeria would lose heavily to Denmark in round two.

The goal was not only special for sending Nigeria into the knockout stage, but also because it was predicted by former teammate Dosu Joseph -- a goalkeeper whose career was ended by a serious car crash.

"All I could think about was, 'Damn, Dosu Joseph said this!' So he was the one I was running up to in the stands, to my brother to just share the moment with them," Oliseh says.

"And my nation was going through a dark period at the time. Our President had just died, and this victory united our nation again."

These were halcyon sporting days that the football-mad country has yet to repeat.

Oliseh helped Nigeria qualify for the 2002 World Cup, but was not selected for the finals. As would happen again at the team's next appearance -- at Africa's first World Cup in 2010 -- Nigeria exited at the group stage.

But now, Africa's most populous nation is daring to dream again. And the omens are strong.

Just like in 1994, the Super Eagles will go into the World Cup finals as African champions, and in Brazil they have been handed what is on paper a favorable draw after qualifying undefeated.

Once again they will face Argentina, along with Iran and tournament debutant Bosnia-Herzegovina in Group F.

But while the makings of a good team are there, Oliseh warns the present squad will have to go a long way to match the vintage sides of the mid-'90s.

"The World Cup group of 1994, as far as I see it, was the most solid team Nigeria ever produced," Oliseh says.

"Football in Nigeria during our generation hit the highest it could go. It became worldwide, it became a nation of footballers."

By comparison, today's Nigerian stars have had a head start in making it in the game -- in many ways they are standing on the shoulders of giants.

Victor Moses, Efe Ambrose and Emmanuel Emenike all earn big money plying their trade for Europe's elite teams, having been scouted and groomed from an early age.

"My generation was blessed with this burden of being pioneers," Oliseh says. "You didn't have anybody who had done it before that you could ask and say, 'Look, what is it like?'"

"When I went to the Italian league I was the first -- I had no other Nigerian to call up and say, 'How did you cope?' "

No matter.

With a confident and enthusiastic attitude to life, much like his playing style, the position of nomadic footballing trailblazer suited Oliseh.

He was one of the first Nigerians to play in Belgium, spending four years at RFC Liege before moving to Reggiana in Italy after the 1994 World Cup. A season in Serie A was followed by a move to FC Cologne in Germany then a sojourn in Holland with Ajax of Amsterdam.

While in the Dutch capital Oliseh would endear himself to the Ajax faithful with his dancing goal celebrations, picking up three trophies.

Oliseh returned to Italy in 1999 for one season with Juventus before moving back to Germany, this time with Borussia Dortmund -- winning the Bundesliga title and a runner-up medal in the UEFA Cup.

Each country provided different lessons in football and in life.

"The moment I got to Italy, then I found out football was not a pleasure, it was business," he says.

Germany taught him discipline and was "where my way of living as a man was built."

Playing for Juventus, meanwhile, enabled Oliseh to live and play alongside legends of the modern game like Zinedine Zidane and Alessandro Del Piero -- which he describes as "great for my own education as a person."

While there have been many Nigerians and thousands of Africans to follow in Oliseh's footsteps in the 20 years since he made the move to Europe, African national teams have not developed in the same rapid manner.

Pele famously said an African nation would win the World Cup before the year 2000 -- a prediction that has yet to be met. No African team has ever gone beyond the quarterfinals.

Oliseh, who has set up coaching projects in Belgium since retiring in 2006, has strong opinions on why this is the case.

"I think an African country will eventually win the World Cup. What is lacking now, it's simple to say ... what is wrong is that we don't plan well. We leave the planning 'til late," he says.

On the park, Oliseh also has a radical diagnosis for player development and tactics.

"Africans need to learn how to start pressurizing the opponents. Football has changed now. It's no longer football where you pick individuals and expect them to do well," he says.

"Now it's more about team work, team dynamics, team schemes, things that are planned out. How to look at the opponent, how to bring about antidotes to the opponent's playing star.

"When it comes to physical strength and bursts of speed, you can't beat an African. But what is lacking now is just that technical and tactical know-how. Then we'll get it."

Oliseh's World Cup days may be long past, but come June and July he will be watching events in Brazil with avid interest.

"If I was to live without football now, I think I would die -- even my kids sometimes are bored because Papa is always watching games."

@highlight

Sunday Oliseh played for Nigeria at the 1994 and 1998 World Cups

@highlight

Former midfielder was the first Nigerian to play in Italy's Serie A

@highlight

Oliseh won an Olympic gold medal at the 1996 Atlanta Games

@highlight

He believes African nations must change their approach if they are ever to win a World Cup