(CNN) -- President Barack Obama is poised to make his case to the country on the next steps for tackling the threat posed by ISIS. Certainly, ISIS' advances this summer -- including the seizure of territories in Iraq and Syria, declaration of a new "caliphate," and its killings of thousands in Iraq and Syria, including two American journalists -- have been a wake-up call. What should the President keep in mind as he prepares to deliver his speech Wednesday?

Here are five key questions he should answer in his speech and as he follows up in the coming weeks:

What metrics will the United States use to gauge the success of airstrikes in Iraq and possible additional strikes in Syria?

Since early August, the United States has conducted targeted airstrikes inside Iraqi territory -- all with the aims of deterring further advances by ISIS, protecting U.S. personnel in Iraq, preventing instances of genocide and preventing ISIS' control of key assets, including dams. In recent days, the United States has widened the geographic areas where it has conducted strikes in Iraq.

With some steps forward on forming a new Iraqi government in Baghdad, the United States may be positioned to conduct even more strikes inside Iraq, because the Obama administration has made the formation of a more inclusive government a condition for additional security assistance. Furthermore, the Obama administration is reportedly contemplating strikes inside Syrian territory -- where al Qaeda affiliate Nusra Front, as well as ISIS, poses a threat to regional stability. At some point soon, the United States needs to develop a clearly defined set of objectives linked to the ongoing and possible additional airstrikes to allow it to measure the impact of its strikes.

How will President Obama manage the international and regional coalitions he seeks to build against ISIS?

During the past week, the Obama administration has talked a lot about the need to build a broad international and regional coalition against ISIS. It took some steps at the NATO summit. Secretary of Defense Chuck Hagel went to Turkey this week to talk next steps, and Secretary of State John Kerry is in the Middle East trying to build a regional coalition. These ministerial-level meetings are important to set a framework, but if the Obama administration is serious about building a coalition, it will need multiple levels of coordination and engagement with partners beneath the level of the secretaries of state and defense. It needs to be an intense, ongoing effort.

As we've seen in places like Libya recently, coalitions wrought with major internal divisions tend to fall apart -- with sometimes disastrous results -- as outlined in a recent report. There isn't just a Shia-Sunni divide between Iran and Saudi Arabia, but also a new Arab Cold War between leading Sunni states in the region.

What are the contingency plans if Iraq does not make additional progress in forming an inclusive, cross-sectarian response to ISIS?

Iraq's leaders took an important step this week in forming a more inclusive government, but this government still lacks leaders for two key security ministries: defense and interior. And even if the government formation process is completed soon, it may be unclear for years whether the government in Baghdad will rule inclusively and accommodate the interests of the country's Sunni minority and the Kurds, who have increased their autonomy in recent months. U.S. policy is wisely conditioned on trying to use the leverage of U.S. assistance to Iraq as an incentive to bring Iraq's diverse political factions together, but there is always the possibility that this might come apart. Incidents like the massacre of Sunnis last month by Shia militias could happen at any moment, and the question for U.S. policymakers is what the fallback plan should be if Iraq's leaders do not bring together a cohesive government.

What is the new plan for supporting Syria's third way opposition forces to counter ISIS and the al-Assad regime?

It looks like President Obama is poised to redouble U.S. efforts to support Syrian opposition forces fighting ISIS, the regime of Syrian President Bashar al-Assad, as well as the al Qaeda affiliate Nusra Front. Obama proposed an additional $500 million of assistance in June, and any strategy to deal with ISIS in Syria is going to need some forces on the ground willing to work as part of an expanded campaign there. The key question the administration will need to answer is whether it has learned from the past few years of failed efforts to strengthen the Syrian opposition; multiple actors in the region have offered many forms of assistance to different factions of the Syrian opposition, and yet it is today weak and beleaguered. Additional money and weapons might help, but could also be squandered without a broader coordination strategy.

How can the international and regional coalition more effectively address the massive humanitarian crisis in Syria, Iraq and neighboring countries?

An estimated 3 million Syrians are now refugees in neighboring countries, and an additional 6.5 million are displaced inside Syria. Inside of Iraq, millions have been displaced by the multiple waves of conflict inside the country, including the most recent conflict in northern Iraq with ISIS. Additional military actions by actors in the region and possible expanded U.S. strikes would have an impact on this already disastrous humanitarian situation.

President Obama appears ready to engage in a more expansive strategy to deal with the problem posed by ISIS, and his speech will try to outline the multifaceted nature of his approach. But as we have learned from other speeches by President Obama, the key test will come in how well his administration actually follows up on the implementation of its stated policy.

Obama meets with congressional leaders on ISIS strategy

CNN poll finds majority of Americans alarmed by ISIS

@highlight

President Barack Obama is set to outline his strategy to counter ISIS on Wednesday

@highlight

Obama should outline how exactly he will gauge success, say Brian Katulis

@highlight

Building lasting coalitions will be essential, Katulis writes

@highlight

Katulis: Administration should make clear what support it will offer forces opposing ISIS