(CNN)The blizzard of 2015 isn't done yet.

While sparing much of New York and New Jersey, the much talked-about storm managed to wallop parts of New England on Tuesday. And even after producing coastal flooding and dropping several feet of snow (including 30 inches in Framingham, Massachusetts, and up to 6-foot drifts statewide), there's more to come.

"We fully expect that there are parts of eastern and central Massachusetts where people may get ... another 5 to 10 inches of snow," Gov. Charlie Baker said around midday. "... And there are areas around eastern Massachusetts, at this point, that you would probably describe as being in a whiteout-type condition."

Massachusetts wasn't the only state getting hit hard Tuesday afternoon. The National Weather Service has also reported about 16 inches of snow in Portland, Maine; over 21 inches in Hudson, New Hampshire; and 28½ inches in Orient on New York's Long Island.

It's not just the snow. East-facing coastal areas -- already coping with early morning flooding, heavy snow and potent winds -- are bracing for a new high tide and the storm surge expected with it around 5 p.m.

Nantucket and its 15,000 residents "lost power to the entire island," said police Chief William Pittman, a situation he attributed to sustained winds of roughly 50 mph, punctuated by gusts of around 80 mph. National Grid had restored electricity, using generators, to most of them by noon, state emergency management director Kurt Schwartz said, though a more permanent solution was still probably a day  away.

On Massachusetts' South Shore, the ocean roared inland to flood the Brant Rock Esplanade lined with homes and businesses. The town's police department posted a photo of what it called a "major seawall breach (that) caused structural damage" to an unoccupied home, while authorities in neighboring Duxbury showed a deck blown yards away from a home. And not far away in Scituate, slushy ice, seawater and debris clogged streets.

"And they're talking about another wave (of snow)," said Jim Cantwell, a state representative for both Marshfield and Scituate.

On the northern edge of the storm in Maine, Rockland resident Steve DePasa said at 1 p.m. that up to 15 inches of snow was already on the ground, and "we're expected to get another 10 inches." So what can you do in the meantime, besides pray that the power stays on?

"It's just go out and clean up a little bit so you can," said DePasa, a CNN iReporter. "Then wait a few hours and do it again."

The good news? Most people seemed to have heeded the warnings about the storm, which was forecast as "crippling" and "potentially historic," by stocking up and staying off the roads. If you go through this every year, after all, there's a good chance you'll know the drill.

"During these storms, everybody has to hunker down and just be safe," said Bob Connors from Plum Island, on Massachusetts' North Shore. "We've become pretty proficient at that."

While residents of Rhode Island and Massachusetts battled Tuesday's storm, others in the Northeast -- namely people in New York and New Jersey -- were breathing a sigh of relief.

Compare that with a day earlier, when they'd have been more likely to be hyperventilating, given the all but cataclysmic warnings about the coming storm.

They were told it could turn 58 million people's lives upside down. Seven states, from New Jersey to New Hampshire, declared states of emergency. School was called off for not just Tuesday but Wednesday as well. Public transit shut down. Businesses closed, suggesting a far-reaching economic impact in one of America's busiest commercial regions.

Yet by mid-morning, snow wasn't even falling in New York City. By then, travel bans in New Jersey and New York -- even places like Long Island's Islip, which got more than 20 inches of snow -- had been lifted, as some restrictions remained in effect in neighboring Connecticut.

New York City Mayor Bill de Blasio called all the warning and preparations "a better safe than sorry scenario."

"We've dodged the bullet," he told CNN. "This is nothing like we feared it would be."

The forecast even improved for Boston. Once expected to see up to 30 inches of snow, the prediction for the Massachusetts capital was downgraded to 15 to 25 inches early Tuesday.

Still, 2 feet of snow isn't anything to scoff at.

Just ask all those who had their cars snowed in, their front doors blocked and their backyards littered with branches Tuesday.

"The worst part is the steady winds, I think they were approaching 50 mph," said Pittman, Nantucket's police chief.

The storm has also proved dangerous. A 17-year-old died after he hit something while snow-tubing Monday night in Huntington, New York, Suffolk County's Tim Sini said. And an 83-year-old man who suffered from dementia was found frozen to death in his backyard in the same Long Island county, he added.

In Marshfield, Massachusetts, there are worries that homes and businesses along the coast could experience significant damage due to the deteriorating seawall.

"If you don't have that line of defense, then you could have severe damage and homes that will fall into the ocean," said Cantwell. "Without the seawall, you'd have tremendous erosion."

Even New Englanders who live further inland aren't out of the woods yet.

Worcester, Massachusetts, had 25 inches around midday Tuesday, with another 6 inches expected as the afternoon rolled on, Mayor Joseph Petty said. Crews are already trying to clear streets, but it's not easy.

"The biggest problem we have now is the winds putting the snow back on the streets after we plow them," Petty told CNN. "We have about 35- to 50-mph winds, which are supposed to slow down as well."

Yet, as Hartford Mayor Pedro Segarra points out, local authorities can't let up -- not if they want life to go back to normal anytime soon.

"We don't have an option. When it snows, we have to clear the streets," he said.

And if you're trying to escape this wintry mess, don't count on it.

Traffic crawled on everything from side roads to highways -- including the Massachusetts Turnpike, which was closed to traffic as of early Tuesday afternoon -- and many public transit systems shut down.

Amtrak was also affected, suspending Northeast Regional and Acela Express services between New York and Boston for Tuesday because of the weather.

Flying out wasn't an option due to the combination of stiff winds, heavy snows and ice.

What to know if you're traveling

More than 4,700 flights in and out of the United States had already been canceled as of 2:15 p.m. Tuesday, the flight-tracking website Flightaware.com reported. That's on top of 2,800 scrubbed Monday. Hundreds more have already been called off for Wednesday.

Some airports turned into makeshift shelters, whether folks liked it or not.

A Virgin Atlantic New York-to-London flight was delayed for roughly 6 hours Monday due to an ill passenger, bad weather, mechanical problems and other issues. By the time the flight was finally canceled around midnight, roads were closed and passengers had to stay at New York's Kennedy airport overnight, according to the airline.

By early Tuesday afternoon, incoming flights began arriving again at New York's LaGuardia airport. Delta tweeted that it would have a limited number of flights landing at Kennedy and Newark Liberty in nearby northern New Jersey as well.

The storm warnings seemed to impress even the most jaded Northeasterner, as groceries flew off store shelves from Brooklyn to Bangor.

Still, it's not like everyone was shaking in their snow boots.

As Steve Nogueira, a retired meteorologist who lives in Taunton, Massachusetts, said, "We've done it before."

And the coastal city of Portsmouth, New Hampshire, could soon be shaking for a different reason. Hundreds have accepted an invitation, via Facebook, to a massive  community snowball fight -- one that organizer Devin Murphy joked is in the proud tradition dating back to around 1624, when the city was first settled.

Murphy said parents have asked if their kids are welcome. They are, he said, and the snow should be light and less dangerous. Some of the bars in the small, close-knit New England community will be open to cater to the snowball fight warriors. Murphy called the response tremendous, especially compared with what he got the last two times he tried to organize such an event.

"At this point, it's just going to be fun," he said.

Fresh off snowblowing his driveway, Jim Robins estimated about 2 feet of light, fluffy snow had fallen outside his home in Dover, New Hampshire. That's hardly a dusting, but it's also not surprising when you live in New England.

"Sure, that's a lot, but I have tons of family in Buffalo and they were dealing with 6-10 feet of (snow) at the start of the season," Robins said. "...We will weather this like the New Englanders we are."

CNN's Ed Payne, Josh Levs, Ralph Ellis, Ashley Fantz, Sara Ganim, Joe Sutton, Dana Ford, Aaron Cooper, Joshua Gaynor, Taylor Ward, Teri Genova and Kevin Conlon contributed to this report.

@highlight

Flights begin arriving again at New York's LaGuardia airport

@highlight

Massachusetts governor: 5 to 10 inches more snow could fall in parts of state

@highlight

"This is nothing like we feared it would be," New York's mayor says of the impact on his city