Simferopol, Crimea (CNN) -- Money, time zones, flags, water, ships: just a few of the issues to deal with when you divorce one country and prepare to join another. The pro-Russian leadership of Crimea is now issuing declarations on an almost hourly basis about the practical consequences of joining the Russian Federation, even as much of the rest of the world says the whole process is illegal.

Their biggest headache is geographical: Crimea has no land border with Russia. The closest link is a windswept ferry crossing in the far north-eastern corner of Crimea that connects Kerch with the Russian mainland. The town's mayor told CNN last week that a bridge will be built across the 4.5-kilometer wide Strait of Kerch to mother Russia, as promised by Russian Prime Minister Dmitri Medvedev, but that's a multi-year project.

Then there are other challenges.

Military

There are still thousands of Ukrainian troops based in Crimea, and for many of them it is home. Their fate is far from clear. The new Crimean authorities say they can stay in uniform if they swear allegiance to Crimea, or leave. Those wishing to "return" to Ukraine would be given safe passage, without their weapons. The Ukrainian government continues to insist the bases will not be evacuated. Ukraine's Deputy Prime Minister Vitaliy Yarema said Monday that "if the Crimean authorities try to force the Ukrainian military out, the Ukrainian military has the right to use force."

For now there is a stand-off, with the Ukrainians saying that -- for several days at least -- an agreement has been reached that allows supplies to reach the troops still holed up in bases and surrounded by Russian troops. There's been no word from Moscow on this.

The new Crimean government says it intends to take over Ukrainian naval vessels currently in Crimean waters. Some have been blockaded in a lake after several old Russian ships were scuttled. But most of the Ukrainian navy is in poor shape and would not be much of an asset. In fact, the Ukrainians admitted this month that only four navy ships were battle-ready, and the fleet's commander has already switched allegiance.

Money

Currently ATMs in Crimea still dispense hryvnia, the Ukrainian currency. The ruble is little used in Crimea and money-changers would rather have your euros or dollars.

Crimea plans to have its own central bank, tied closely to that of Russia, and adopt the ruble as the official currency in April. In practical terms, it's likely that some banks in Crimea will start working in rubles while others -- for the time-being -- will use the hryvnia. The new Crimean leader, Sergei Aksyonov, says he expects Crimea to be a dual-currency state for a while, and the regional parliament voted Monday to allow the hryvnia to remain an official currency until 2016. For its part, Ukraine's central bank has no plans to starve Crimea of currency, because it could wipe out the savings of Ukrainians living in Crimea, according to a bank official who spoke to CNN's Nina dos Santos on Monday.

The Russian Deputy Finance Minister, Sergei Shatalov, has floated the idea of a special tax regime for Crimea while the new authorities adapt laws and tax regulations to conform with those of Russia and businesses and properties are re-registered. But Crimea will also need an infusion of Russian cash, especially if Western sanctions extend beyond visa restrictions and asset freezes for a few prominent individuals and start impacting businesses in Crimea.

In the past the region has received hefty subsidies from the Ukrainian government as one of the poorer parts of the country. The average wage in Crimea is $240 a month, far lower than that of Russia, according to data from the Ukrainian State Statistics Committee. Analysts say Russia may have to pump from $1 to $3 billion each year into the Crimean government's budget if pensions and other benefits are to be raised to Russian levels - at a time when several other Russian regions are close to insolvent.

Water and power

Between 80 and 90% of Crimea's water comes from Ukraine. A canal brings water supplies from the Dnieper River across the Isthmus of Perekop and into the Crimean peninsula. With warm, dry summers and low rainfall (15 inches a year), Crimea needs that water to irrigate its arable land. Ukraine says it has no intention of cutting off water supplies, perhaps because it in turn relies on Russia as a source of natural gas (and owes Russian provider Gazprom $2 billion on that debt). To cut off Crimea's water would look like a vindictive and indiscriminate gesture from a country desperate for western support.

Russia could build a water pipeline under the Kerch Strait into Crimea, using water from the Kuban River, but it would be an expensive long-term project.

Two-thirds of the peninsula's gas supplies come from the Ukrainian state-owned supplier Chernomorneftegaz. Crimea's coal-fired power plants supply only one-tenth of the electricity it needs. The rest comes from Ukraine. If Russia had to supply Crimea with most of its power needs, pipelines and pylons would have to be built. Which leads us to....

Energy resources

On Monday, the Crimean parliament passed a resolution to seize the assets in Crimea of two Ukrainian energy producers. One is the state-owned Chernomorneftegaz, which has drilling rigs off Crimea's west coast and in the Sea of Azov.

The parliament's resolution said the takeover would include ownership of the region's "continental shelf and the exclusive (maritime) economic zone." This could be very problematic. While a land border would look relatively straightforward (even if rejected by Kiev), disputes on maritime boundaries would not, as Crimea's coastline is dotted by islands and spits of land.

The Black and Azov Seas are estimated to hold nearly 60 trillion cubic feet of gas. Several offshore fields being developed are close to both Crimea and the Ukrainian mainland and may become a flashpoint as the crisis evolves.

On Tuesday, the Ukrainian Justice Minister, Pavlo Petrenko, described the attempted confiscation of Ukrainian assets as "an act of thievery made by those people who are part of the pseudo-Crimean government." While losing a few railway locomotives is bearable when you are virtually bankrupt, losing oil and gas revenues is not.

The crisis may also deter western oil companies from investing in exploration. Exxon has already put on hold its pursuit of one block. None will want to be associated with a government the U.S. and European Union has declared illegitimate.

Flags

Already lowered and raised. The vivid blue and yellow of Ukraine is gone (though police cars will need repainting). Now the Russian and Crimean flags flutter side-by-side: both red, white and blue, but slightly different.

Time zones

The new leadership in Crimea has already announced that on March 30 it will align the republic with Moscow time -- two hours ahead of Ukraine's in winter months. This would mean dark mornings in Simferopol. On New Year's Day, the sun rises at 7:22am in Simferopol. In the new time-zone it would rise at 9:22am.

Food

Wander round a supermarket in Simferopol and it's soon apparent that most foodstuffs and household goods are coming from, or through, Ukraine. The profit motive and consumer demand may be enough to ensure this flow continues, but much depends on whether the new border hastily being drawn across northern Crimea becomes a regular European crossing or a grim reminder of the frontier that once divided the continent.

The port of Sevastopol provides Crimea with an alternative but likely more expensive import-export hub. Its facilities are badly in need of modernization, but a $10 billion investment plan proposed by a Chinese tycoon may be disrupted by the current turmoil and/or sanctions.

The future?

There have been orderly separations and divisions in the past, most notably that of the Czech Republic and Slovakia in 1993, dubbed the Velvet Divorce. But that was painstakingly prepared with guidance from international experts. Crimea's rupture from Ukraine has been more sudden. Integration with all things Russian will take much longer, and cost much more, than the rapid political process playing out in Moscow.

CNN's Nina dos Santos and journalist Victoria Butenko contributed to this report.

@highlight

There are issues when you divorce one country and join another, writes CNN's Tim Lister

@highlight

The biggest headache is geographical: Crimea has no land border with Russia

@highlight

There are still thousands of Ukrainian troops based in Crimea -- seen as their home

@highlight

Currently ATMs in Crimea still dispense hryvnia, the Ukrainian currency