A divided Supreme Court, debating Wednesday whether public prayers at a New York town's board meetings are permissible, looked at the country's history of religious acknowledgment in the legislature and the court's own traditions.

Two local women brought suit against Greece, New York, officials, objecting that the monthly public sessions on government open with invocations they say have been overwhelmingly Christian in nature over the years.

The hour of sharp oral arguments presented another contentious case over the intersection of faith and the civic arena. The court's conservative majority appeared to have the votes to allow the policy to continue in some form, but both sides expressed concerns about the level of judicial and government oversight over the content presented by members of a particular faith.

"We are a very religiously diverse country," said Justice Samuel Alito, who worried about the town officials articulating binding guidelines on what can be said. "All should be treated equally. So I can't see how you can compose a prayer that is acceptable to all these" religions.

But Justice Sonia Sotomayor worried about the effect on local citizens who choose not to stand and bow their heads when asked during a public prayer. "You think any of those people wouldn't feel coerced to stand?"

The high court began its public session Wednesday as it has for decades, with the marshal invoking a traditional statement that ends, "God save the United States and this honorable court."

The town of about 94,000 residents outside Rochester began allowing prayers to start its meetings in 1999, after years of having a "moment of silence."

Co-plaintiffs Linda Stephens and Susan Galloway challenged the revised policy, saying officials repeatedly ignored their requests to modify or eliminate the practice, or at least make it more inclusive.

"It's very divisive when you bring government into religion," Stephens told CNN from her home. "I don't believe in God, and Susan is Jewish, so to hear these ministers talk about Jesus and even have some of them who personally question our motives, it's just not appropriate."

Atheist gets her day at the Supreme Court

The town government counters that after concerns from the two women and others, it sought diverse voices, including a Wiccan priestess, to offer invocations. Officials say they do not review the content of the remarks, nor censor any language.

"The faith of the prayer giver does not matter at all," said John Auberger, Greece's board supervisor, who began the practice shortly after taking office 1998. "We accept anyone who wants to come in and volunteer to give the prayer to open up our town meetings."

A federal appeals court in New York found the board's policy to be an unconstitutional violation of the Constitution's Establishment Clause, which forbids any government "endorsement" of religion. Those judges said it had the effect of "affiliating the town with Christianity."

Congress and state legislatures regularly open their sessions with a prayer. The question in part before the court is whether local government bodies are different, in that there might be more active involvement with the local citizenry, who may want to personally petition the town in zoning, tax, and other matters.

But after the "oyez" intonation by Marshal Pamela Talkin -- a rite introduced by Chief Justice John Marshall in the early 19th century -- to kick off the high court session, Justice Elena Kagan explored the limits of permissible government action by making the issue more personal.

She asked whether the court could suddenly invite a Christian minister to invoke the following prayer, inside the ornate marbled courtroom: 'We acknowledge the saving sacrifice of Jesus Christ on the cross.' "Would that be permissible?" asked Kagan.

Thomas Hungar, attorney for Greece, suggested courts are different, and that the national legislature had done similar prayers since the nation's founding.

"Whatever line might be drawn between non-legislative bodies and legislative bodies," he said, "it would be incongruous, if Congress could have legislative prayers and the states couldn't."

But the lawyer for the women, supported by Americans United for Separation of Church and State, said that unlike most legislatures, there was no official policy on prayers in Greece.

"The policy should give guidelines to chaplains that say: Stay away from points in which believers are known to disagree," said Douglas Laycock. "And we think the town should do what it can to ameliorate coercion. It should tell the clergy: Don't ask people to physically participate. That's the most important thing."

That was when some on the court began to have doubts about when and to what extent lawmakers -- and later courts -- should be advising various faiths what to say, and parsing what is sectarian and not in the language.

"Give me an example of a prayer that is acceptable to all of the groups that I mentioned," said Alito. He had included Hindus, Muslims and Buddhists.

When Laycock suggested something like, "The prayers to the almighty, prayers to the creator," Alito and others were unconvinced, saying polytheists might object.

"What about devil worshippers?" asked Justice Antonin Scalia, bringing laughter to the courtroom.

"Well, if devil worshippers believe the devil is the almighty, they might be OK with it," responded Laycock, smiling.

Town prayers need less Jesus, more Krishna

"Who was supposed to make these determinations? Is there supposed to be an officer of the town council that will review?" asked Chief Justice John Roberts. "Do prayers have to be reviewed for his approval in advance?"

Justice Anthony Kennedy, who may prove the decisive, or "swing," vote in this petition, was especially vocal. "It just seems to me that enforcing that standard involves the state very heavily in the censorship and the approval or disapproval of prayers," he said. "I'm serious about this. This involves government very heavily in religion."

He also suggested small towns deserve as much right to allow a brief prayer in public sessions as elsewhere. "In a way it sounds quite elitist to say, well, now, we can do this in Washington and Sacramento and Austin, Texas, but you people up there in Greece can't do that."

Several members of Congress were in attendance for the argument, including Sen. Marco Rubio, a Florida Republican.

"Every day before the Senate meets, the Senate chaplain comes out and gives a prayer, and that's important to us," Rubio told CNN just after arguments ended. "It's part of our country's tradition; it's also our constitutional right, to be able to exercise that. And I thought it was important to defend that here today."

Nearly 120 members of Congress, mostly Republicans, along with 18 state attorneys general have filed supporting legal briefs backing the city.

The Obama administration is doing the same.

But the two plaintiffs, who were also watching in the courtroom, said they have faced harassment from their community and even vandalism of their property.

"The pastors face the people, they don't face the town government, so it's like they're praying over us," Galloway told CNN after the argument. "When they all stood and I sat, and I have a hundred eyes looking at me, and questioning what's going on, they think I'm being disrespectful. It does put a lot of pressure on you and it makes you very uncomfortable. It singles you out, and that shouldn't be in my town government, and it shouldn't be anywhere."

The high court has generally taken a case-by-case approach on determining just when the state intrudes unconstitutionally into religion, while generally allowing faith to be acknowledged in a limited basis in a public forum. "In God We Trust" remains on currency; the Pledge of Allegiance and oaths of office mention a creator; and menorah and creche displays are permitted in local parks.

But the justices acknowledge the tricky line they must walk -- politically, socially, legally-- when deciding Establishment Clause appeals.

"It's hard because the (Supreme) Court lays down these rules and everybody thinks that the court is being hostile to religion and people get unhappy and angry and agitated," said Kagan near the end of the argument. "Part of what we are trying to do here is to maintain a multi-religious society in a peaceful and harmonious way. And every time the court gets involved in things like this, it seems to make the problem worse rather than better."

The case is Town of Greece, N.Y. v. Galloway (12-696). A ruling is expected by early summer.

Test your knowledge of the U.S. Supreme Court

@highlight

Several members of Congress in attendance for the argument

@highlight

Greece, New York, town board meetings are opened with a prayer

@highlight

Two women, an atheist and a Jew, say the prayers are overwhelmingly Christian

@highlight

The high court itself opens its session with a statement that references God