(CNN) -- President Obama made it very clear: The second term is all about the domestic agenda. If only the world would cooperate.

Obama outlined his goals for the next four years, sketching above all a progressive vision of a country with less inequality and more justice. And, judging by his inaugural speech, he plans to put his shoulder to the wheel. After all, much of the first term was consumed with averting a national economic catastrophe. Now he can get on with building a legacy, reviving that hope and change he promised back during the 2008 campaign.

But the most subtly striking part of Obama's inauguration speech was how it largely ignored the rest of the globe. In his 20-minute address, he dedicated perhaps one minute to foreign policy.

America, he said, will "try and resolve our differences with other nations peacefully." He vowed the country "will remain the anchor of strong alliances" and it will support democracy. He also declared the United States "must be a source of hope for the poor, the sick, the marginalized, the victims of prejudice..." and stand for "human dignity and justice."

Opinion: Obama's ringing defense of liberalism

Beyond that, he did not spare a single word for tens of thousands killed by dictators, as they have been in Syria; nothing about the struggle for liberal democratic rights in places like Egypt, which sets the tone for the Middle East. Nothing about repression and thwarting of freedom of expression, the rollback of democratic rights, or the push to destroy existing democracies, statements that could have come as welcome words of encouragement for people who share American values of freedom and justice in places like Egypt, China, Iran, Russia or Mali.

The president should keep in mind that millions around the world yearn to know they have the backing of the most powerful country on Earth. As he surely knows, even his words make a big difference.

And while Obama plans to dedicate his efforts to the domestic agenda, a number of brewing international crises are sure to steal his attention and demand his time. Here are a few of the foreign policy issues that, like it or not, may force Obama to divert his focus from domestic concerns in this new term.

Opinion: Obama finally meets Machiavelli

Syria unraveling: The United Nations says more than 60,000 people have already died in a civil war that the West has, to its shame, done little to keep from spinning out of control. Washington has warned that the use of chemical or biological weapons might force its hand. But the regime may have already used them. The West has failed to nurture a moderate force in the conflict. Now Islamist extremists are growing more powerful within the opposition. The chances are growing that worst-case scenarios will materialize. Washington will not be able to endlessly ignore this dangerous war.

Egypt and the challenge of democracy: What happens in Egypt strongly influences the rest of the Middle East -- and hence world peace -- which makes it all the more troubling to see liberal democratic forces lose battle after battle for political influence against Islamist parties, and to hear blatantly anti-Semitic speech coming from the mouth of Mohammed Morsy barely two years before he became president.

Iran's nuclear program: Obama took office promising a new, more conciliatory effort to persuade Iran to drop its nuclear enrichment program. Four years later, he has succeeded in implementing international sanctions, but Iran has continued enriching uranium, leading United Nations inspectors to find "credible evidence" that Tehran is working on nuclear weapons. Sooner or later the moment of truth will arrive. If a deal is not reached, Obama will have to decide if he wants to be the president on whose watch a nuclear weapons race was unleashed in the most dangerous and unstable part of the world.

North Africa terrorism: A much-neglected region of the world is becoming increasingly difficult to disregard. In recent days, Islamist extremists took American and other hostages in Algeria and France sent its military to fight advancing Islamist extremists in Mali, a country that once represented optimism for democratic rule in Africa, now overtaken by militants who are potentially turning it into a staging ground for international terrorism.

Russia repression: As Russian President Vladimir Putin succeeds in crushing opposition to his increasingly authoritarian rule, he and his allies are making anti-American words and policies their favorite theme. A recent ban on adoption of Russian orphans by American parents is only the most vile example. But Washington needs Russian cooperation to achieve its goals at the U.N. regarding Iran, Syria and other matters. It is a complicated problem with which Obama will have to wrestle.

A tale of two terms: Unfinished business and battles ahead

Then there are the long-standing challenges that could take a turn for the worse, such as the Israeli-Palestinian conflict. Obama may not want to wade into that morass again, but events may force his hand.

And there are the so-called "black swans," events of low probability and high impact. There is talk that China and Japan could go to war over a cluster of disputed islands.

A war between two of the world's largest economies could prove devastating to the global economy, just as a sudden and dramatic reversal in the fragile Eurozone economy could spell disaster. Japan's is only the hottest of many territorial disputes between China and its Asian neighbors. Then there's North Korea with its nuclear weapons.

We could see regions that have garnered little attention come back to the forefront, such as Latin America, where conflict could arise in a post-Hugo Chavez Venezuela.

Four priorities for the next four years

The president -- and the country -- could also benefit from unexpectedly positive outcomes. Imagine a happy turn of events in Iran, a breakthrough between Israelis and Palestinians, the return of prosperity in Europe, a successful push by liberal democratic forces in the Arab uprising countries, which could create new opportunities, lowering risks around the world, easing trade, restoring confidence and improving the chances for the very agenda Obama described in his inaugural speech.

The aspirations he expressed for America are the ones he should express for our tumultuous planet. Perhaps in his next big speech, the State of the Union, he can remember America's leadership position and devote more attention to those around the world who see it as a source of inspiration and encouragement.

Obama's second-term priorities

After all, in this second term Obama will not be able to devote as small a portion of his attention to foreign policy as he did during his inaugural speech.

International disengagement is not an option. As others before Obama have discovered, history has a habit of toying with the best laid, most well-intentioned plans of American presidents.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

President Obama devoted nearly all his Inaugural speech to domestic issues

@highlight

Frida Ghitis says there are world crises that will command Obama's attention

@highlight

She says turmoil in Middle East, repression in Russia, tension in Asia are urgent issues