(CNN) -- If you want a snapshot of the challenges facing newspapers, you should have been with me at the exhibition area at the SXSW Interactive gathering in Austin, Texas, a few days ago.

The New York Times had set up a booth, with hundreds of other companies, and a woman was hawking print and digital subscriptions.

A man shuffled by and she made her pitch: You must read the Times, how about subscribe? The man shrugged and said no thanks, but admitted he did read Times stories online. The woman pressed on, a bit sharper: Wait, you read the Times but won't pay? You know how good it is. The man did not slow his pace; he said he read the Times' stories not at NYTimes.com or on a Times app, but on the Huffington Post and other aggregators.

The look on the woman's face was one of disgust. The Times umbrellas and others goodies for those who did sign just lay there. The man moved on.

To its credit, the New York Times is having success with its digital subscription model -- total digital subs are up over a year ago and the Gray Lady even saw a bump in newspaper subscriptions because of the way it had bundled its digital offer.

The newspaper industry is declining faster than any other industry in the United States, according to a report released last week from the Council of Economic Advisers. The best papers in the country are bleeding red; skilled editors, reporters, photographers and ad people are being let go to balance the books and please creditors.

So what? Well, as millions of people grow suspicious of government on one side, or Wall Street on the other, the news media is about the only place left that can consistently hold institutions accountable. You don't have a news business without people to gather it.

As the paper side collapses it's taking the news side with it.

What happened?

The loss of classifieds to the Internet, an investment community that played these institutions like poker chips and left choking debt in the wake, owners without an honest commitment to independent news in a democratic society, and newspapers themselves that were slow as readers flocked to the Web.

I grew up reading the Wilmington News Journal and New York Daily News and as an adult had a front row seat as papers and print publications struggled with all things digital: platforms, technology, audience trends and revenue.

Newspapers need to succeed in five broad areas if they have a hope of saving the news:

First, newspapers are losing their connection to enough readers to stay in business. Papers did not keep up as attention spans shifted and younger readers failed to develop a news reading habit. NPR's new CEO Gary Knell told an industry group last week that no one under 30 has read a paper, and they never will. The noble and necessary work of covering, investigating and following stories goes on, but papers are slow to meet readers where they live.

The commuter-friendly tabloid became a habit for generations of readers. It was the right format for readers crammed onto buses and subways. The lesson: Convenience is one key to connection and news habits.

Authenticity is another factor (ask a Pete Hamill). As a young reporter I grabbed the Philadelphia Daily News first because its voice captured the street sense of the city in a way that the excellent Inquirer never truly could.

Second, newspapers do a rotten job explaining why they matter. Yes, they make the case every day in what they cover. But they need to share what they do, how they do it, why they do it, and show the difference they make. The Las Vegas Sun, in its investigation of appallingly negligent hospital care two years ago, showed how to explain the process to readers. Openness increases credibility.

Papers also need to explain why professional newsrooms exist plus carve out a space for readers to have a meaningful role. The website Talkingpointsmemo.com has conducted groundbreaking investigations by relying on and trusting its readers. The site, and others, show that crowd sourcing works. There is a role for bloggers, readers and social media if it is done smartly.

Next, the move to mobile. From phones to tablets, this is the most exciting development of a new medium since the Web itself. It isn't just that newspapers need apps or a presence on these devices, it's what they should be doing with them. Far beyond repurposing news, this is a whole new chance to engage readers, curate the best coverage and display and explain news in new ways. I saw some compelling examples at SXSW that give me hope.

The business side of the newspaper business remains a mess.

Ad revenue continues leaking from the print side, and the digital side is taking a long, slow time to make up the difference.

The days are long gone when all content can be locked behind a pay wall, as much as some wish. That doesn't mean news has to be free even if it is freely available. Licensing of content still makes sense. Limited pay wall models, like The Times', clearly show promise.

Finally, the biggest barrier to newspapers' future is that guy who walked by The New York Times table and shrugged. The problem is us, the reader.

Public media, my profession, asks listeners and viewers to pay part of the cost. Some do; at least in large enough volumes to keep it going and (pretty much) healthy.

I'm not suggesting this will work for newspapers; but we need people like you and me to value the news we read anywhere and also accept that we have to pick up the tab.

The stakes are much bigger than a free umbrella.

The opinions in this commentary are solely those of John Barth.

@highlight

Study shows newspaper industry is declining faster than any other U.S. industry

@highlight

John Barth blames loss of ads to Internet, greedy investment firms, diluted news commitment

@highlight

He says papers need to connect to readers, be authentic, be creative on Web, platforms

@highlight

Readers need to realize, he says, they must pick up part of the tab for their news