(CNN)Millions of people have now seen the video.

Eric Garner, standing on a sidewalk, asks the NYPD officers surrounding him, "What did I do? What did I do?"

Garner, 43, raises both hands in the air and tells the officers not to touch him.

Moments later, he's on the ground while a plain-clothes officer places him in an apparent choke hold.

Garner gasps, "I can't breathe, I can't breathe."

His words are muffled as his face is pressed into the pavement.

By the end of the video, Garner is lifeless on the Staten Island sidewalk.

The video went viral. Garner's death sparked protests across the country, thrusting into the spotlight the issue of police brutality on unarmed citizens. Citizens who, in increasing numbers, have taken to arming themselves with their own kind of weapon -- their cell phones.

"The police out here [are] crazy.  Nobody trusts them. So I decided to pull out my camera every time they come over here," said Ramsey Orta, who filmed the July 17 incident on his cell phone.

The Bureau of Justice Statistics reports that acts of police force have not increased dramatically in recent years. Their Police Public Contact Survey found that in 2008, only 1.4% of those who reported contact with police had force used or threatened against them, with no statistically significant increase since 2002.

What has changed is the prevalence of cell phones equipped with cameras. Cell phone videos of alleged police misconduct have proliferated online, flooding social media websites and provoking questions about law enforcement behavior.

Luis Paulino's August 2012 beating by NYPD officers was captured on video and posted online. The video shows officers throwing Paulino to the ground. Several officers punch him repeatedly. According to Paulino, the officers started in on him after he saw them violently beating another young black man on the sidewalk. In the background, an unidentified male can be heard encouraging people to record what was happening and yelling, "He didn't do nothing!"

For Paulino, the video proved to be vindicating. He was initially charged with disorderly conduct, resisting arrest and obstructing a government official, but all charges were dropped.

Without the video, "there wouldn't have been anything but my word against 15 police officers," Paulino told journalist Soledad O'Brien.

Paulino has filed a lawsuit against the city. The NYPD will not comment on the case, citing the legal proceedings.

"When you are in public spaces, where you have a right to be, you can photograph anything that is in plain view," said Jay Stanley, a senior policy analyst for the American Civil Liberties Union. Stanley's research focuses on technology-related privacy and civil liberties issues.

The ACLU says that photographing things that are plainly visible from public spaces is a "constitutional right" and that this includes "federal buildings, transportation facilities, and police and other government officials carrying out their duties."

Law enforcement officials also do not have the right to confiscate any video or photographs being taken, nor can they ask to view it without a warrant.

"If you are not interfering in any real way with legitimate police operations, they don't have the right to interfere in any way," Stanley said.

Still, even with the perceived ubiquity of cell phone videos showing alleged acts of police misconduct, it seems that some errant officers aren't deterred by the cameras.

Stanley said he believes authorities are simply still adjusting to the availability of new technology and the knowledge that they may be recorded at any time.

"For police officers, it can take a while to sink in [that they may be filmed].  As police officers do take in that new reality, we may see a revolution in terms of a drastic reduction in brutality.  We may not, but it's too early to tell," he said.

Paul Callan, a CNN contributor and former prosecutor, said he believes that drastic reduction has already begun.

"I believe that the existence of cell phone video and social media postings has substantially reduced police brutality over the long run.  Although the intensity of news coverage of cases such as [George] Zimmerman and Michael Brown makes it feel like there is more police brutality, my sense of the situation as a lawyer who is in court several times a week is that the number of cases is diminishing," Callan said.

Some police departments are embracing camera technology and are even utilizing it to strengthen transparency and accountability between their officers and the community.  Police departments in Rialto, California, and Mesa, Arizona, have implemented body-camera programs for their officers.

The initiative seems to be working.  A 2014 study by the U.S. Department of Justice cites both departments, noting an 88% reduction in citizen complaints and a 60% reduction in officer use-of-force incidents after one year of camera deployment in Rialto. In Mesa, there were 40% fewer complaints for officers with cameras and 75% fewer use-of-force complaints overall.

On September 4, NYPD Commissioner Bill Bratton announced that the police department would be testing two types of body cameras that would allow officers to record audio and video during their patrols.

"The NYPD is committed to embracing new and emerging technology in order to continue to keep New York City safe," Bratton said. "Having patrol officers wear body cameras during this pilot demonstrates our commitment to transparency while it will also allow us to review its effectiveness with the intention of expanding the program."

The statement came less than a week after it was announced that officers in Ferguson, Missouri, had adopted the use of body cameras after the death of Michael Brown, an unarmed teen who was fatally shot by an officer.

In New York, cameras will be distributed to officers patrolling in precincts that reported the highest number of "Stop, Question, and Frisk" encounters in 2012. The policy -- in which police stop, question and frisk people they consider suspicious in an effort to deter crime -- has been widely criticized for unfairly targeting young, male minorities.

Police-community relations in such precincts, with predominantly black and Latino residents, have been tenuous. Police department figures showed that nearly nine out of 10 people "stopped and frisked" in 2011 were African-American or Hispanic,  though New York  Mayor Bill de Blasio has said 90% of those stopped were innocent.

In mid-November, the NYPD said the body-camera program is still in the planning stages.

In the four months since Garner's death, the New York Medical Examiner's Officer ruled it a homicide.  Officer Daniel Pantaleo, who is seen on the video choking Garner, was put on modified assignment and stripped of his badge and gun amid the investigation, the NYPD said.

In a statement, Patrolmen's Benevolent Association President Patrick J. Lynch called Pantaleo's reassignment "a completely unwarranted, knee-jerk reaction for political reasons." He said the move "effectively pre-judges this case and denies the officer the very benefit of a doubt that has long been part of the social contract that allows police officers to face the risks of this difficult and complex job."

CNN's attempts to reach Pantaleo for comment were unsuccessful.

A second police officer was placed on desk duty.  The NYPD also announced new mandatory training for officers on the proper use of force when engaging a suspect.

Garner, a grandfather with six children, had a lengthy criminal history, including more than 30 arrests, and had previously been arrested for selling untaxed cigarettes in May. Police said they initially approached him on July 17 because they believed he was selling cigarettes illegally again.

The case is now in the hands of Manhattan's district attorney. Citing the legal proceedings, Bratton declined to comment further on the case.

In early October, Bratton spoke to a conference of NYPD officers, publicly stating that there were "a few" officers in the department who "just don't get it."

"They're not the right fit for the NYPD in 2014.  My intention going forward is to ensure that we will aggressively seek to get those out of the department who should not be here.  The brutal, the corrupt, the racist, the incompetent," Bratton said.

Bratton told Soledad O'Brien that policing is "a balancing act."

"How do you have the appropriate level of policing to reduce crime, and prevent it, to reduce disorder and prevent it, but do it in a way that the law-abiding in that community don't feel they need to be fearful of the police?"

It's a balance that Paulino wonders if the NYPD will ever achieve.

It has been two years since the incident, but Paulino, a former college football player, still goes to physical therapy every week to rehabilitate his injured shoulders.

"Every time I'm asked about the incident, I close my eyes and I can see myself there again.  I can see myself on the floor getting punched, getting kneed and asking why?" Paulino said.

"Every day I wake up and I've got aches and pains in both my arms.  I'll never be the same."

@highlight

Death of Eric Garner, 43, was captured on cell phone video

@highlight

Video went viral and sparked protests

@highlight

Cell phone videos of alleged police misconduct have proliferated online