(CNN) -- While the Olympic Games in London steals the world's attention, over 5,000 miles away another global event born from the same ideal of cultural exchange and peaceful rivalry is entering the home stretch.

Rather than competition, Expo 2012 in the city of Yeosu, South Korea, is the latest incarnation of an event that officially is meant to foster international understanding; unofficially it is used for national promotion, boosting trade and providing networking opportunities.

Of the approximately 4 million visitors that will have wandered through the transformed cement port and industrial site before it closes on August 12, most will have been there to enjoy the pavilions hosting interactive displays on ocean conservation and marine exploration -- the theme of this year's event.

But a small but notable minority will not have been there to watch the shows. For them it provides a number of chances to broker deals and reach new contacts where 104 countries can be reached in a day.

"It's government relations really," said Stine L. Guldmann, director of the Denmark pavilion. "South Korea is quite important to Denmark. It's an opportunity to brand your country both in a tourism way but also attract skillful people or showcase our abilities."

Denmark's pavilion is funded by a mix of public and private money, including some Danish companies at the forefront of the renewable energy industry. Lego bricks are on hand to attract the visitors and keep them entertained, but a backroom for more grown-up meetings is regularly used.

"There has to be a reason for them both (government and private companies) to be here and spend money on it," said Guldmann. "It's a success if our private partners are happy with their participation and our political relations are very strong."

The basic principle of Expos is non-commercial and educational, according to the Bureau International des Expositions (BIE), the organizing body that was founded in 1928.

Yet that has not prevented a strong presence from the commercial sector, with a large part of the Yeosu site devoted to temporary pavilions from South Korea's biggest corporations, some of which were built at a cost of more than $1million.

"Expos don't provide concrete benefits for companies," says Lee Joon-hee, Commissioner for Expo 2012. "But is it still relevant... the evidence of why they are still relevant is that a lot of companies and countries want to host Expos."

Participant countries have different reasons to be in Yeosu. Qatar and the U.S, with strong trade and diplomatic ties to South Korea, respectively, have been two of the more popular pavilions.

Earlier this year a 20-year deal for Qatar to supply South Korea with natural gas was signed between the two countries, but pavilion manager Mona Sulaiti was keen to stress that the reason for their participation at event "is about people, not business relationships."

Andrew Snowhite, CEO of the U.S. Pavilion, believes the event is unique in its scope and potential. "It's the only place where you can create something that has a critical mass around it; it's a very large event. It's a big tourism opportunity for some, for others it's about trade," he said.

For developing countries like Angola, participation is a way to draw attention to a little known country, either as a holiday destination or potential trading partner.

"We don't see it as being old fashioned," said Claudia Santana of Angola's pavilion. "We are building our country since 2002... if you search for an official tourism website in Angola you can't find it, so we have to find other ways to show our country. There's a lot of work ahead for our country and this is part of it."

For all the fostering of relationships and networking over glasses of sweet tea or Lego, ultimately the biggest tangible benefit of the event goes to Yeosu itself.

The city is little known by people within South Korea let alone internationally, but around $2billion spent on operations and facilities from the government, BIE and private investors has completely transformed it.

"This area is relatively backwards and needs a boost," said Lee Joon-hee, saying it is part of a larger project to develop South Korea's southern "Sun Belt". "It will put Yeosu on the map. We have big ambitions to be a famous marine resort area."

Yeosu's infrastructure has been upgraded, with new, marble-smooth roads cutting through the lush hillsides and along the coast, while the train to the capital Seoul now takes half the time it used to.

While it is still undecided what will happen to most of the Expo site when it closes -- conference centers and shopping malls have been mooted -- and tourism to the region develops, there will be an immediate beneficiary of the improved infrastructure: the petrochemical industry. Just a few miles from the Expo is one of South Korea's biggest industrial complexes that dwarfs the Expo site and is the area's largest industry.

"For the moment we just want domestic development," says Lee, "Secondary is marine resort development."

@highlight

Expo 2012 in South Korea an unofficial business and development opportunity

@highlight

Officially event is meant to foster international understanding and cooperation

@highlight

Chance for interaction between governments and corporations

@highlight

$2bn invested in area hosting the event in southern South Korea