(CNN) -- Commercial air travel is already filled with annoyances like shrinking personal space, overpriced meals and frequent delays. For many people, there's one bright spot to flying: A forced break from making, receiving and hearing phone calls.

That could change with the Federal Communication Commissions new proposal to drop the ban on cellular connections and allow phone calls once a plane reaches 10,000 feet.

The FCC first pitched the idea in 2004, before the rise of the smartphone. The reaction from passengers and flight attendant unions at the time was loud and negative: phone calls on planes would be disruptive, annoying and a potential safety issue. The FCC decided against the proposal.

Now people are more attached to their tablets and smartphones. So much so that they rebelled against the ban on using small electronic devices such as phones, tablets and e-readers during takeoff and landing. After reviewing safety issues, the FAA and airlines finally gave in this month and relaxed restrictions.

An unpopular idea

Quietly playing games or reading e-books on a tablet or phone is one thing, but chatting away mid-flight doesn't seem to be as in demand.

In a survey of 1,600 adults by an advisory group, the FAA found that 61% of people supported a ban on making calls while in the air.

"I'm definitely against it," said Spud Hilton, travel editor at the San Francisco Chronicle. "People would be carrying on loud, full-voiced conversations right next to someone who doesn't want to hear it."

The Association of Flight Attendants, the world's largest union of flight attendants, came out against the idea on Thursday, citing safety and security concerns.

"In far too many operational scenarios, passengers making phone calls could extend beyond a mere nuisance, creating negative effects on aviation safety and security that are great and far too risky," the AFA said in a statement.

Brett Snyder, who blogs about the airline industry on Crankyflier.com, agrees with lifting the restriction and thinks each airline should be allowed to set its own policy.

"The public in the U.S. seems to be strongly against cell phones on airplanes, but let the airlines make the decision on whether or not they want to move forward and allow it," said Snyder.

Keeping the peace

Cell phones could cause friction between passengers who want to talk and passengers who would prefer peace and quiet. They would introduce yet another behavior flight attendants would have to police.

"We're trained to de-escalate. Why would you put something in the environment that can escalate?" said Veda Shook, the international president of the Association of Flight Attendants. Shook has worked as a flight attendant for the past 22 years.

"The idea potentially introduces yet another stress factor into an already stressful environment," said airline pilot Patrick Smith of AskThePilot.com.

The stress is made worse by tight quarters. When taking a phone call in public, it's good etiquette to keep 10 feet away from other people, protocol expert Pamela Eyring told Reuters. It's not even possible to get 10 inches of space on an airplane, where economy class seats are typically 17 to 18 inches wide and each seat is butted up against the one next to it.

One option is for the FCC and airlines to allow cell phone use and hope that passengers act responsibly and only make calls when necessary and speak in a quiet voice. Unfortunately, the firsthand experience of flight attendants, frequently fliers and people who take other forms of mass transit cast doubt on that dream scenario.

"The real problem with travel, especially air travel, is not baggage fees, it's not long lines... the real problem with travel is other travelers," said Hilton.

The "quiet car" option

This is not the first time the issue has come up. Terrestrial mass transit systems, including subways, buses and trains, have already struggled with the invasion of cell phones and loud talkers.

Some trains have addressed the problem of disruptive passengers on cellphones by adding quiet cars during certain hours. The Metro-North railroad has separate cars during rush hour where noise, loud chatting, and phone calls are prohibited. Some Amtrak trains also offer quiet cars, which forbid phone calls and any noise technology, and feature dimmed, soothing lighting.

Greyhound bus lines doesn't have an official policy, but individual bus drivers have been known to crack down on loud talkers.

Unfortunately, quiet sections aren't a practical solution for airplanes (though they would add yet another "premium" seating feature for which airlines could charge extra).

"On an airplane, there's no such thing as a quiet car," said Shook. "In my opinion it's not that different from having a smoking section on a 747, it's absurd."

Smoking sections, which separated smokers and nonsmokers with a row of seats, were banned in the United States along with smoking on airplanes in 1988. Before 1973, smokers could light up in any seat they liked.

"Theoretically, you could have a talking section and a nontalking section, but you'd have to put up some serious plexiglass," said Hilton.

Discount Malaysian airline AirAsia introduced a quiet zone in early 2013. Sandwiched between first class and economy, the zone is an adult-only section intended to give travelers a respite from screeching children.

Like smoke from cigarettes and the sound of a crying baby, a loud phone conversation would likely ignore any invisible barriers and carry through an entire plane.

Call waiting

The FCC will present its proposal in December, but even if it passes, it will be a while before in-flight cell phone calls are a reality. Cell phone towers are on the ground and airplanes will need special equipment before passengers can dial out.

"As it stands, cellular phones simply will not work at higher altitudes in an airplane cabin. Changing this will require investment in on-board technology," said Smith.

Individual airlines will have to decide if allowing calls is something they want to allow. A more business-oriented airline might jump at the opportunity to lure working travelers. Others might side with the majority of passengers and flight attendants and stick with a policy of "silence is golden."

"There's so much hustle and bustle out there already," said Shook. "Can people just have some peace and quiet for a few hours? It's not that retro of an idea."

@highlight

The FCC is proposing lifting the ban on cell phone calls on airplanes during flights

@highlight

Flight attendants and many passengers are against the idea for noise and safety reasons

@highlight

Creating a quiet area is one possible way to appease both sides, but sound will still carry