Guantanamo Bay, Cuba (CNN) -- Through hours of outbursts and objections in military court, Eddie Bracken said he had one image in his mind: that of a plane smashing into the World Trade Center tower where his sister worked.

Anger surged inside him, Bracken told reporters Sunday, a day after he sat among a group of victim family members who watched the arraignment of accused 9/11 mastermind Khalid Sheikh Mohammed and four others at Guantanamo Bay, the U.S. naval base where the men are being tried before a military court.

"Just listening to that rhetoric, how they perceive themselves -- it's hurtful, because they have no remorse. I don't think they even have any souls," he said.

Bracken's sister, Lucy Fishman, worked as a secretary on the 105th floor of the south tower of the World Trade Center. She was one of the nearly 3,000 people killed when the towers were brought down by hijacked jetliners on September 11, 2001.

Outside the courtroom Sunday, Bracken read a statement he said was a message for Mohammed and the other men.

"I came a long way to see you, eye to eye. ... If you would have this in another country, it would be a different story. They would have given you your wish to meet your maker quicker than you would realize. But this is America, and you deserve a fair and just trial, according to our Constitution, not yours. That's what separates us Americans from you and your ideology," he said.

But still, he told reporters, hearing the defendants and their attorneys criticize the proceedings was difficult.

"They're complaining, and our families can't complain no more. They took their lives. ... I wouldn't care if they were on a bed of nails. ... But it's our justice system, and they have rights," he said.

Earlier Sunday, an attorney representing one of the defendants said prolonged silence and occasional outbursts during their arraignment were signs of "peaceful resistance to an unjust system."

"These men have endured years of inhumane treatment and torture," James Connell, who is representing defendant Ali Abdul Aziz Ali, told reporters at Guantanamo Bay.

U.S. Army Brig. Gen. Mark Martins, the chief prosecutor in the case, declined to discuss the defendants' behaviors but said the military trial process is just and impartial.

"You all saw them. You saw their reactions. I saw a process that was moving forward methodically," he told reporters Sunday.

The attorneys' comments came after a 13-hour court session on Saturday -- the first appearance in a military courtroom for Mohammed and four others since charges were re-filed against them in connection with the attacks.

The hearing, which wrapped just before 10:30 p.m., offered a rare glimpse of the five men who have not been seen publicly since January 2009, when they were first charged by a military tribunal. Mohammed, Ali and the others -- Walid Muhammad Salih, Mubarak bin 'Attash, Ramzi Bin al-Shibh and Mustafa Ahmed Adam al Hawsawi -- appeared to work together to defy the judge's instructions, refusing to speak or cooperate with courtroom protocol.

On Sunday, attorneys representing them told reporters that the proceedings had been unfair to their clients. They criticized restrictions that they said prevented them from discussing topics like torture.

"We are hamstrung ... before we ever start," said David Nevin, who is representing Mohammed. "The system is a rigged game to prevent us from doing our jobs."

Martins said he strongly disagreed with that assessment.

"They can talk to their clients about anything," he said.

On Saturday, silence from the defendants -- some of whom ignored the judge, while others appeared to be reading -- slowed the proceedings to a crawl.

Bin 'Attash was wheeled into the courtroom in a restraining chair. It was unclear why he was the only defendant brought into court in that manner, though he was allowed out of restraints after he promised not to disrupt court proceedings. Toward the end of the day, he took off his shirt while his attorney was describing injuries she alleged he sustained while in custody.

The judge told bin 'Attash, "No!" and warned that he would be removed from the courtroom if he did not follow directions.

At one point, bin 'Attash made a paper airplane and placed it on top of a microphone. It was removed after a translator complained about the sound the paper made against the microphone.

Hours into Saturday's proceeding, one of the defendants broke his silence with an outburst.

Bin al-Shibh shouted in heavily accented English: "You may not see us anymore," he said. "They are going to kill us."

During recesses, the five men talked amongst each other and appeared relaxed. They passed around a copy of The Economist.

Bin al-Shibh appeared to lead the group twice in prayer in the courtroom, once delaying the resumption of the hearing.

Mohammed, whose long beard appeared to be dyed red by henna, was much thinner than the last time he was seen publicly in a courtroom.

The judge, Col. James Pohl, needed the five to vocally confirm their desire to be represented by the attorneys who accompanied them to court. Because the defendants refused to cooperate, Pohl ruled the men would continue to be represented by their current military and civilian attorneys.

All five men are charged with terrorism, hijacking aircraft, conspiracy, murder in violation of the law of war, attacking civilians, attacking civilian objects, intentionally causing serious bodily injury and destruction of property in violation of the law of war.

If convicted, they face the death penalty.

There were so many allegations behind the charges, it took more than two hours for officers of the court just to read into the record the details of the 9/11 hijackings.

The reading of the charges "provided a stirring reminder of the importance of the case," Martins said Sunday.

"For so many people involved in this trial, the pursuit of justice is worth every moment spent," he said.

The next hearing is scheduled for June 12. It will likely be at least a year before the case goes to trial, Pohl said.

The charges allege that the five are "responsible for the planning and execution of the attacks of Sept. 11, 2001, in New York, Washington, D.C., and Shanksville, Pa., resulting in the killing of 2,976 people," the Defense Department said.

Though Mohammed confessed to organizing the September 11 attacks on New York and Washington, his confession could be called into question during a trial. A 2005 Justice Department memo -- released by the Obama administration -- revealed he had been waterboarded 183 times in March 2003. The technique, which simulates drowning, has been called torture by President Barack Obama and others.

The military initially charged Mohammed in 2008, but Obama stopped the case as part of his effort to close the U.S. detention center at Guantanamo Bay. Unable to close the center, Obama attempted to move the case to federal court in New York in 2009, only to run into a political firestorm.

The plan was dropped after complaints about cost and security, and Attorney General Eric Holder announced in April 2011 that the five would face a military trial at Guantanamo Bay. The decision was met with some criticism, including from the American Civil Liberties Union.

ACLU Executive Director Anthony D. Romero said last month that the administration is making a "terrible mistake by prosecuting the most important terrorism trials of our time in a second-tier system of justice."

@highlight

A 9/11 victim's brother says the arraignment "brought up all the old memories" of the attacks

@highlight

The chief prosecutor says the military trial process is just and impartial

@highlight

An attorney says the defendants "have endured years of inhumane treatment and torture"

@highlight

Khalid Sheikh Mohammed and others drag out arraignment for 13 hours