(CNN) -- Niki Gianni was 11 or 12 when she found a video on YouTube called "Meet Your Meat." Saddened and disgusted by the footage from a slaughterhouse, the Chicago girl announced she was no longer going to eat meat. Her parents were less than thrilled.

"When she first said she wanted to be a vegetarian, we were just looking at each other and we said, 'We can't be switching meals for you. You are not going to get your protein.' We were not educated in the health benefits," said Gianni's mother, Julie Gianni.

While many parents worry whether their vegetarian or vegan children will receive adequate nutrition for their growing bodies, the American Dietetic Association says such diets, as long as they are well-planned, are appropriate for all phases of life, including childhood and adolescence. "Appropriately planned" vegetarian or vegan diets are healthful, nutritionally adequate and may provide health benefits in the prevention and treatment of certain diseases, the dietetic association says.

"You can really feel the difference when you are eating something from the ground and something from a factory," said Niki Gianni, an animal activist who became a vegan shortly after embracing the vegetarian lifestyle.

10-year-old: Why I became vegetarian in first grade

Now an 18-year-old college freshman, Niki Gianni said her eating habits expanded her palate and turned her away from processed foods. Her food choices also influenced her family: Her mother is now a vegan and her father and sister are vegetarians.

The number of vegetarians in the United States is expected to increase over the next decade, according to the dietetic association. A vegetarian diet is associated with a lower risk of death from ischemic heart disease, and vegetarians also appear to have lower overall cancer rates, lower blood pressure and lower rates of hypertension than nonvegetarians.

Vegetarianism is more than just not eating meat, said Roberta Anding, a registered dietitian at Baylor College of Medicine and Texas Children's Hospital and a spokesperson for the dietetic association.

"It's really embracing more of that plant-based lifestyle and having enough variety in your diet that you can be well-nourished," Anding said. "You can be unbelievably well-nourished on a vegetarian diet if you choose your foods wisely and appropriately."

Lilian Cheung, director of health promotion and communication at Harvard School of Public Health's Department of Nutrition, agreed. Teens who abstain from eating animal-based foods but who take in refined and sugary foods such as French fries and sodas are not doing themselves any favors, she said.

Eating a variety of vegetables and fruits of all colors and eating the purest form possible is vital in these diets, Cheung said. Beans, legumes, nuts, tofu and seeds all are excellent protein sources, said Cheung, who said veganism and vegetarianism are becoming more mainstream among young people.

"I think the reason why veganism is getting more and more popular is there are more celebrities like President Clinton," embracing the lifestyle, said Cheung, editorial director of the department's nutrition website, The Nutrition Source.

Julie and Niki Gianni said they have encountered a lot of people who had misconceptions about vegans and vegetarians, including that they are weak or that they are not getting the vitamins and minerals they need.

"(People) asked, 'How are you going to get your protein?' They just look at you like you are abusing your children," Julie Gianni said.

In the beginning, the Giannis didn't quite know what to serve their daughter. Niki Gianni ate a lot of vegetarian burger patties and chicken nuggets.

"I think this happens to a lot of vegetarians: I doubled up on eating eggs and dairy because my parents weren't sure what to feed their 12-year-old who didn't eat meat," she said.

Now, Julie Gianni makes her own goulash and noodles and frequently cooks with seitan, a high-protein meat substitute made from wheat. Niki Gianni said she has yet to find a vegetable she won't eat. She loves portobello mushroom and artichoke sandwiches, and dines in the vegan cafeteria at college.

Niki Gianni and her family have done copious research about their lifestyles, becoming educated about meeting their nutritional needs through an array of fresh foods.

Such vigilance and education is vital, experts said, because adolescence is characterized by the second and final period of rapid growth and development. Those growing bodies need nutrients, including calcium, vitamin D, B12 and iron.

Teens or children who are vegetarian and who then also decide to give up dairy products need to find an alternate source of calcium, Anding said. While calcium can be found in almonds and in green leafy vegetables, the amount is small.

Vitamin B12, found in animal protein, can become a concern if dairy or eggs leave the diet, Anding said. Vitamin B12 deficiencies manifest over time. The vitamin, which can be found in fortified cereals, is stored in the liver and when levels are low, the body withdraws the vitamin from the organ.

"Sooner or later you are going to run out," Anding said. "It's not going to be instant."

Anding said she treated four young women with vitamin B12 deficiencies that showed up about a year into their veganism.

"You can end up with permanent cognitive issues. I applaud you for looking at this from an environmental perspective but I don't want to save the planet and sacrifice you," she said. "You have to take a B12 supplement."

To aid iron intake, Anding recommends using a cast iron skillet for cooking; some of the iron will leach into the food. Vitamin and mineral supplements also provide a way to get adequate iron and other essential nutrients, she said.

"Clearly, there are some big benefits of a plant-based diet, so I'm not objecting to that. I think the more restrictive the diet becomes, the more exclusive the diet becomes, the harder it becomes for the average person to execute those diet changes," she said.

Heather Lazaro, whose family lives in Orange County in Southern California, said she was concerned when her daughter, then 11, came home from school and announced she didn't want to eat meat.

"We didn't think it was going to last," said Lazaro, whose daughter Alyssa is now 16. "To this day, I always worry if she is getting the right amount of protein and vitamins" and nutrition she needs, she said.

Alyssa Lazaro is a pescatarian; she doesn't eat land animals or birds but eats fish. She said she just wanted to try giving up meat. In addition to consuming plenty of vegetables and fruit, she eats soy products, protein shakes and eggs. She said she feels better staying away from meat.

"Whenever I eat vegetables I just feel a little bit more energetic and ready to go through life with a big smile on my face," the high school student said.

Anding and Cheung said young people and their parents should get information from reputable websites such as eatright.org, kidseatright.org and thenutritionsource.org.

Vegetarians and vegans have to be willing to explore new foods and Anding said she would discourage such lifestyles for children who like only a handful of foods, including meat.

Anding, who for decades has worked with children and teens with eating disorders, said parents also need to make sure their children are eating. She has seen veganism used to mask those disorders.

"It's really unfortunate because it is taking a lifestyle that is unbelievably healthy and using it to perpetuate an eating disorder," she said.

Cheung recommends that parents talk to their children's pediatrician about a vitamin supplement and have them see a registered dietician so they have a good overview of what they should be eating every day.

"It can be a very unhealthy diet if the choices are unhealthy," she said. "But it is very possible to have a very healthful vegan diet as well if you choose wisely.

"We just need to get more literate, get more knowledge. I don't think we should basically just categorize one way or another," Cheung said. "It just depends on what foods are chosen."

@highlight

Parents worry whether vegetarian or vegan children will receive adequate nutrition

@highlight

Such diets may provide health benefits in the prevention and treatment of certain diseases

@highlight

Number of vegetarians in the United States is expected to increase over the next decade