WASHINGTON (CNN) -- A report from the U.S. State Department details "an upsurge" across the world of anti-Semitism -- hostility and discrimination toward Jewish people.

"Today, more than 60 years after the Holocaust, anti-Semitism is not just a fact of history, it is a current event," the report says.

The report -- called Contemporary Global Anti-Semitism and given to Congress on Thursday -- is dedicated to the memory of the late U.S. Rep. Tom Lantos, a survivor of the Holocaust, the extermination of 6 million Jews during World War II.

The report details physical acts of anti-Semitism, such as attacks, property damage, and cemetery desecration. It also lists manifestations such as conspiracy theories concerning Jews, Holocaust denial, anti-Zionism and the demonization of Israel.

"Over much of the past decade, U.S. embassies worldwide have noted an increase in anti-Semitic incidents, such as attacks on Jewish people, property, community institutions, and religious facilities," the report says.

The report also deals with efforts to combat the bigotry, described by Gregg J. Rickman, the department's special envoy to monitor and combat anti-Semitism, as "one of the oldest forms of malicious intolerance."

The report says violent acts and desecration of Jewish property happen whether there are a lot of Jews or only a few  living in the region. Bigoted rhetoric, conspiracy theories regarding Jews, and anti-Semitic propaganda are transmitted over the airwaves and on the Internet.

It says that although Nazism and fascism are rejected by the West "and beyond," blatant forms of anti-Semitism are "embraced and employed by the extreme fringe."

"Traditional forms of anti-Semitism persist and can be found across the globe. Classic anti-Semitic screeds, such as 'The Protocols of the Learned Elders of Zion' and 'Mein Kampf' remain commonplace.

"Jews continue to be accused of blood libel, dual loyalty, and undue influence on government policy and the media, and the symbols and images associated with age-old forms of anti-Semitism endure."

New forms of anti-Semitism are reflected in rhetoric that compares Israel to the Nazis and attributes "Israel's perceived faults to its Jewish character."

This kind of anti-Semitism, the report says, "is common throughout the Middle East and in Muslim communities in Europe, but it is not confined to these populations."

The report says various U.N. bodies are regularly asked to launch "investigations of what often are sensationalized reports of alleged atrocities and other violations of human rights by Israel."

"The collective effect of unremitting criticism of Israel, coupled with a failure to pay attention to regimes that are demonstrably guilty of grave violations, has the effect of reinforcing the notion that the Jewish state is one of the sources, if not the greatest source, of abuse of the rights of others, and thus intentionally or not encourages anti-Semitism."

The report gives examples of leaders and governments that "fan the flames of anti-Semitic hatred within their own societies and even beyond their borders." It cites Syria, Belarus, Venezuela, Egypt, and Saudi Arabia.

"Iran's President Mahmoud Ahmadinejad has actively promoted Holocaust denial, Iran's Jewish population faces official discrimination, and the official media outlets regularly produce anti-Semitic propaganda," the report adds.

It notes "societal anti-Semitism" in places where there have been efforts to fight the problem. Among the countries are Poland, Ukraine, Russia, France, Germany and the United Kingdom.

"Recent increases in anti-Semitic incidents have been documented in Argentina, Australia, Canada, South Africa, and beyond," the report said.

The report is a follow-up to the State Department's January 2005 "Report on Global anti-Semitism." E-mail to a friend

@highlight

Anti-Semitism not just history, it's "a current event," State Department report says

@highlight

Report cites attacks, Holocaust denial, property desecration, hate-mongering

@highlight

Some governments promote anti-Semitism, report says, citing Iran, Syria