(CNN) -- Certain people exude such a powerful presence that they can absolutely captivate you within the very first moment of meeting them.

When I was introduced to Bill Thomas at a conference, he was that kind of mesmerizing.

A fortysomething, Harvard-trained doctor casually dressed in jeans and Birkenstocks, he took the stage and spoke passionately -- with an actor's eloquence -- about aging.

He laid out a vast and ambitious plan for how America could transform the experience of growing older, of what it means to be well, and of how we care for people in their seventies, eighties, and nineties.

He argued that the medical system, the elder-care system, and the nursing home system have to evolve: "Aging should be conceived of as an era of continual growth and renewal, rather than a period of decline," he said.

He had absolute clarity in every part of his argument, and his energy was both motivating and mobilizing.

When I talked to him after his session, I asked, "Bill, how do you describe your purpose in life?" He answered, spontaneously and effortlessly, "To bring respect back to elderhood in America."

In eight words, he captured his entire life's work.

Bill reminded me that the first step in living your purpose is to distill it.

This very act sets an accurate compass heading. It shapes your choices, tells you what is important, and helps you separate the merely interesting from the truly crucial.

How to find your company's purpose

So how might you go about finding your purpose in a way that's as compelling as Bill's?

How do you find a due north course for yourself, or your tribe, or your entire company -- a course that you may sometimes veer from, but that always draws you back to center?

Over the years, I've worked with leaders from Apple, IBM, Nike, Facebook, and numerous other companies on making this journey.

As we begin to imagine -- or reimagine -- the company's purpose, the process typically begins with looking at the intersection of several key truths:

- What does the world hunger for? What does it desire? What does it need or suffer from a lack of?

- What are the unique talents of the organization? 

- Who has the company timelessly been?

- And who must it fearlessly become?

A company's purpose lies at the center of these four forces.

To discover it, we incite debate, storytelling, self-examination, study sessions in the historical archives, musings about the future.

We help leaders in these companies find what they truly care about. That work of introspection and getting to clarity is rarely easy.

But it is almost always rewarding. Once defined, purpose informs a company's every move. It adds meaning and mindfulness to day-to-day operations and motivation that goes far beyond.

How to find your personal purpose

What's interesting is that this method, which works so well for finding a compass heading for a company, also works for individuals.

To define your personal purpose, start with these questions:

- How will the world be better off, thanks to you having been on this earth?

- What are your unique gifts and superpowers?

- Who have you been when you've been at your best?

- Who must you fearlessly become?

At the intersection of these four questions lies your personal purpose.

The questions are deceptively simple, and you might be tempted to rush through them.

To really do the task justice -- and to do yourself justice -- you have to peel away the layers of your self-conception.

You have to get beyond that image you've made for yourself that you so strongly defend. And you have to get at what is actually true.

The tension among your answers reveals as much as the commonalities. Lean into it. This process may take days. It may obsess your thinking for weeks. For some, it takes years to unfold.

There is no magical timeline. Move at your own pace.

The same process holds true whether you're a leader doing the hard work of articulating a purpose for your organization or you're an individual ready to live a more directed life.

So let me return to my story about Bill Thomas.

At the end of our conversation, he said to me, "What would you say your purpose is, Keith?"

I thought about it a bit, then started to talk: "I work with companies as they go through deep, formative periods of transformation. I work with CEOs to help mobilize people during those times of change. Along the way, I help them see things from new vantage points, and then help those institutions rise to the challenge ... "

I kept talking, but Bill politely interrupted. "Keith, way too much! It doesn't sound like you're very clear about what your personal purpose is."

I was stumped. His reaction made me reflect.

I consider myself a fairly self-aware and mindful person (don't we all?), and I thought I was pretty clear about why I've been put on this earth.

But Bill pointed out something powerful. The work of introspection is put into action only once you've succinctly put your purpose into words.

After leaving the conference, I spent a few weeks crafting what I believe my purpose is. "To help people aspire, then be, great." And then, coincidentally -- or perhaps there are no true coincidences -- 99U asked me to write this essay.

Putting purpose into action

Once you've vocalized your unique purpose, how exactly does it play out? How do you put it into action?

I like the way Richard Leider, one of the world's foremost experts on purpose, describes how to approach the next step.

He defines purpose as being in the right place with the people who matter to you, doing your life's work.

So the endeavor becomes, in Richard's words, to "pack" and "repack" one's life -- discarding ideas, thoughts, duties, old baggage about relationships, in favor of packing the things you truly need to be at your best in life.

I am constantly humbled at how purpose drives the people and companies I admire:

Casey Sheahan served as the CEO of outdoor clothing pioneer Patagonia for a decade.

In his post, he was responsible not only for the financial health of the company but also for charting its positive impact in the world.

His personal purpose is about helping people live a mindful existence -- that is, to bring thoughtfulness and intentionality to their work and play.

Meanwhile, Patagonia's purpose is to "build the best product, cause no unnecessary harm, and use business to inspire and implement solutions to the environmental crisis."

With both his personal and business purposes aligned, Casey created a company culture that continues to make Patagonia the proof of concept for a different kind of compassionate business.

Ask: How can your personal purpose align with your organization's purpose to create the conditions to do good in the world?

Bill McDonough -- the sui generis thinker behind the cradle-to-cradle design approach -- demonstrates a commitment to his personal purpose of creating a sustainable planet in how feverishly he lives it out.

He crisscrosses the globe. He's in China one day helping to build sustainable cities, and speaking to young architects about how to rethink energy efficiency on the next.

One day he's with the CEO of Ford Motor Company discussing different kinds of transportation, and the next he's researching the chemical composition of building materials to create ones that are healthy for the planet.

Ask: Can you live your purpose in a more all-encompassing way?

Artist, architect, and activist Maya Lin's purpose shows up not only in what she makes but also in what she chooses not to make.

She spends her time focused solely on the projects and causes that allow her to grow and contribute. She says "no" to the rest.

Restraint and discipline come to those who are clear about their purpose in life.

Ask: What does your purpose reveal about what you should stop doing?

In the start-up realm of Silicon Valley, companies live or die by how quickly they move and act.

But for Dave Morin -- one of Facebook's most impactful early employees and today the founder of mobile social network Path -- smart is more important than fast.

In order to help his company live up to its purpose of creating technologies that bring us closer to the people we love, he has started a "slow product movement" -- a mindful practice that is not about speed of product development but the quality of the things he develops.

Ask: What does your purpose imply you must be patient about?

Purpose drives impact, impact rewards purpose

Purpose compels you to act. It brings into focus the things that matter most.

I asked Bill Thomas how he's made so many strides in advancing his cause over the years.

His response: "I entertain the conversations, meetings, relationships that are most in line with my purpose over any other activity. Frankly, life is simply too short to fritter away your time chasing things that don't matter to you. Or to the world."

And here is the most interesting bit: The impact you have in the world also affirms your purpose.

Impact justifies purpose. It fuels purpose. It empowers you to live your purpose more boldly every day.

This is how everyday people can achieve extraordinary things.

We listen to that purpose. We achieve things because of our purpose. And that in turn makes each of us hungry to live by our purpose even more.

In our own humble way, this is how people become great.

Will you take the next step? Will you invest the time to find your personal purpose?

Will you gather your colleagues to define the purpose of your organization? In that move, greatness emerges.

Read more: The surprising benefits of doing nothing

9 awesome 'schools' that will help you master life

Introverts' secrets of success

@highlight

Leadership expert Keith Yamashita says finding your purpose brings into focus what matters most

@highlight

When you apply that to your career it shapes your choices and helps you separate interesting from crucial

@highlight

Yamashita lays out a series of questions to help you find your purpose -- and live it

@highlight

Yamashita has worked with Apple, Nike, Ebay and Facebook on similar issues