(CNN)The public outrage over the "religious freedom" bills recently passed in Arkansas and Indiana caught the governors of those states completely off-guard, judging by their confused and contradictory responses.

As poll watchers, they surely knew that most Americans now oppose the discriminatory laws and practices they accepted as normal only a dozen years ago. But the politicians underestimated the pushback organized by local and national businesses, including companies with no previous record of public support for social equality.

They had better adjust to a new reality.

For the past three decades, socially conservative evangelicals and pro-business interests have been powerfully allied against government regulations, environmental initiatives and social welfare programs, while supporting lower taxes for the wealthy and pushing back against the growing diversity in America's population.

For many, this alliance been puzzling: Other, equally devout Christians who place more emphasis on Jesus Christ's message of unconditional love and on his denunciations of excessive wealth and neglect of the poor, have been uncomfortable with it, as have many business leaders. Their priorities, after all, are based on the bottom line. And companies that sell goods and services to the public are learning that support for discrimination -- or even passive acceptance of it -- threatens that bottom line.

Hence, after Indiana Gov. Mike Pence signed a law that opened a new door for discrimination against same-sex couples, the threat of boycotts and other retaliation was swift, from groups as diverse as the National Collegiate Athletic Association, the Indiana Pacers, Walmart, Eli Lilly, Apple and even the Marriott International hotel chain.

Marriott International was founded by J.W. Marriott, a dedicated Mormon, and is now run by his son Bill, also a Mormon who fully accepts his church's teachings about traditional marriage.  Yet in June, Marriott International launched a "#Love Travels" marketing campaign, aimed at attracting lesbian, gay, bisexual and transgender travelers with an assurance of "the company's commitment to make everyone feel comfortable about who they are."

Asked about the discrepancy between his religious rejection of same-sex marriage and his marketing overtures to same-sex honeymooners, Marriott pointed to the Bible's injunction of unconditional love, but added "beyond that, I am very careful about separating my personal faith and beliefs from how we run our business."

In 2014, global spending by LGBT travelers was estimated at more than $200 billion, and spending by this market segment is rising much faster than overall spending on travel. So Marriott worries when states start to make such travelers feel unwelcome.

Businesses seeking to develop brand loyalty among younger consumers have a special incentive to highlight their rejection of anti-gay bias.  A CNN poll taken in February found that 72% of millennials nationwide believe that same-sex couples have the right to have their marriages recognized as valid.  Even among white evangelical Protestants, 43% of millennials support same-sex marriage, compared with less than 20% of those their grandparents' age, 68 and older.

It used to be that businesses could close their eyes to discrimination in areas geographically isolated from the more liberal coasts, but that is no longer possible. According to researchers for MTV's "Look Different" anti-bias campaign, 90% of youths aged 14 to 24 agree that it is important to make their communities a less biased place, and almost 80% say that everyone has a responsibility to help tackle bias.

So who's the "moral majority" now?

For media-savvy millennials, following that moral imperative means spreading the news about discrimination wherever it occurs and reaching beyond geographic boundaries to mobilize against it. In the first 24 hours after Arkansas passed its version of the "religious freedom" bill, the Twitter hashtag #BoycottArkansas was used 12,000 times. It then snowballed after celebrity blogger Perez Hilton tweeted it to his 5.9 million Twitter followers.

America has crossed a threshold where it is no longer a good business model or political strategy to be intolerant of diversity, whether that pertains to race, ethnicity, gender or sexual orientation. Since 2011, the majority of children that have been born in the United States each year are members of racial or ethnic minorities.  Hispanics are projected to account for most of the growth in the labor force between now and 2060.

Women now lead men in educational attainment. And more than half of Americans live in states where same-sex marriage is legal. Business leaders and politicians who ignore or offend these constituencies do so at their own peril.

@highlight

Stephanie Coontz: Indiana, Arkansas governors caught off guard by outrage, boycotts over anti-LGBT law

@highlight

She says religious conservatives who discriminate no longer hold sway in a culture comfortable with diversity, including same-sex marriage