United Nations (CNN) -- The U.N. Security Council this week will take up a draft resolution proposed by Morocco that calls on Syrian President Bashar al-Assad to step down and transfer power.

"It is primarily a straightforward condemnation of what has transpired, a call upon the government of Syria to adhere to the commitments it made," U.S. Ambassador Susan Rice told reporters about the draft. She noted that it contains no sanctions nor does it threaten the use of force.

State Department spokeswoman Victoria Nuland said the draft demands the government end the violence, pull back its heavy weaponry from residential areas, allow monitors to operate freely, release political prisoners and allow the news media to operate.

"This is a regime composed of a small minority that is now attacking the majority of Syrians," she said. "It is the regime that bears responsibility for the violence."

Nuland said U.S. officials have also seen reports "of Iran playing a nefarious role inside Syria." But, she added, "we are not in a position to confirm the accuracy" of those reports.

The proposal comes after the Arab League suspended a mission to monitor whether al-Assad was abiding by an agreement to end the crackdown, which has left thousands of civilians dead.

Arab League Secretary-General Nabil el-Araby is scheduled Tuesday to deliver the monitoring mission's findings to the Security Council. He and Qatari Prime Minister Sheikh Hamad bin Jassim al-Thani will also address reporters.

"A swift reaction by the U.N. Security Council is urgently needed," said Herman Van Rompuy, president of the European Council. "I urge all members of the U.N. Security Council to assume their responsibilities in relation to the situation in Syria, and adopt steps long overdue in order to bring an end to the repression in Syria."

U.S. Secretary of State Hillary Clinton on Monday called for the council to "send a clear message of support to the Syrian people: We stand with you."

"The United States condemns in the strongest possible terms the escalation of the Syrian regime's violent and brutal attacks on its own people," Clinton said in a statement. "The longer the Assad regime continues its attacks on the Syrian people and stands in the way of a peaceful transition, the greater the concern that instability will escalate and spill over throughout the region."

French Foreign Minister Alain Juppe will travel to U.N. headquarters in New York on Tuesday "in order to persuade the Security Council to fully assume its responsibilities in the face of the increased level of crimes against humanity being perpetrated by the Syrian regime," according to a statement on France's U.N. delegation's website.

"Everything must be done to bring an end to the spiral of violence now resulting from the bloody crackdown that Bashar al-Assad's regime has been imposing for more than 10 months," the statement continues, urging other nations to support the Moroccan resolution. "It's time for the Security Council to be able to take action in order to help resolve this crisis."

The state-run Syrian Arab News Agency (SANA), citing an official source at the Foreign and Expatriates Ministry, reported Tuesday that "the U.S.-Western hostile statements" are being espoused to "target Syria and create a different image about the ... Syrian crisis."

"We won't be astonished at the absence of wisdom and reasonability of those statements," said the source, who was not identified. "We regret that those statements are still coming from countries accustomed to making the Middle East a field for their foolishness and failing experiments."

Meanwhile, Russian Foreign Minister Sergey Lavrov said Russia had proposed its own draft resolution calling for the end to violence by all sides, the rejection of foreign interference in Syria and the start of an international dialogue without conditions, SANA said Monday, citing Japanese NHK Television.

"We are convinced that the Moscow contacts are indispensable in order to immediately cease any violence in Syria, prevent bloodshed and confrontation in the society, and ensure the success of deep democratic transformations in the country in compliance with the aspirations of all Syrians," the ministry said, according to the state-run Itar-Tass News Agency.

Russia said Syrian authorities have agreed to informal talks with opposition representatives in Moscow. "We are expecting that the opposition will also give their assent in the next days and put the interests of the Syrian people before any other ideas," the Russian Foreign Ministry said.

SANA carried two reports quoting Russian officials rejecting foreign interference. One cited a Russian official as complaining that "the opposition and those supporting it in the west and Arab world" are refusing to engage in dialogue.

One of the Syrian reports also cited Russian Deputy Foreign Minister Gennady Gatilov as calling on the Security Council "to study in detail the report of the Arab League Observer Mission on Syria" before discussing the draft resolution the Arab League has presented to the Security Council.

Morocco's draft resolution calls for al-Assad to step down and supports "full implementation" of the Arab League recommendations on Syria. That would include calling on Syria to form a unity government within two months.

Monday's developments came amid continued heavy fighting between Syrian forces and the rebel Free Syrian Army in suburbs of the capital city of Damascus, where Syrian forces have been battling to take back neighborhoods in Saqba and Maleiha, according to opposition groups.

One hundred people were killed Monday, according to the Local Coordination Committees, an opposition group that organizes and documents demonstrations. The deaths include eight children and a woman, the group said. Seventy-six of the deaths were in Homs, 15 in Daraa, six were in the Damascus countryside, two were in Idlib and one in Hasakah, the group said.

A resident of Homs said six members of a family -- parents, two boys and two girls -- were found killed Monday in the city's Karm Al-Zayton neighborhood. A YouTube video showed what appeared to be marks of torture on the bodies.

A resident, citing witnesses, told CNN that victims were killed by forces loyal to al-Assad. CNN could not confirm this independently.

"Look at this boy, he was found holding on to his mother," said a voice on the video. "Some of his mother's hair is still in his hand! ... look at the hair. His mother's hair is still in his hand."

The woman's eye had been gouged from its socket. "This is the work of Assad's gangs and his so-called reforms," the voice said.

Government forces stormed the town of Rankous, and an explosion shook the town, according to the opposition activist group Syrian Observatory for Human Rights.

Two defectors from the military were killed, dozens of civilians wounded, and some houses were destroyed in the bombardment, the London-based group said.

In Idlib, clashes were under way Monday afternoon between military forces and a group of defectors, the observatory said.

The group also reported violence in Rastan, Daraa, and other towns and cities across Syria.

In Aleppo, lawyers conducted a sit-in at a courthouse, objecting to the killings of Syrians by security members and calling for the release of detainees, the Local Coordination Committees said.

In part of Homs, Syrian forces battled to take back a neighborhood from the rebel army and anti-government protesters, according to an opposition activist who asked that his identity be withheld for fear of government reprisal.

Casualties littered the streets of the neighborhood, which was under siege, the activist said.

On state media, Syria routinely blames violence in the country on "armed terrorist groups."

Citing Syria's Interior Ministry, a SANA report claimed that "competent authorities killed big numbers of terrorists and caught many others" over the past three days.

"The authorities are chasing the terrorists who remain at large," the report adds.

A similar statement, also attributed to the Interior Ministry, read Monday by a host on state television said security forces had "conducted operations" over the prior three days in several cities, pursuing members of the "armed terrorist groups that committed the most horrific crimes of killing and kidnapping, and planted landmines and detonated them on streets."

The groups had "the most advanced weapons, including Israeli and American made weapons," and Syrian troops were able to kill many of the terrorists and arrest others, the statement said, adding that the pursuit for others was under way.

SANA reported that "six army members, including a colonel, were martyred on Monday by the gunfire of an armed terrorist group while they were in the line of duty" in Daraa. When the group attacked a car carrying military personnel, "a clash occurred, resulting in the killing and the injury of a number of the terrorists," the agency said.

Another 22 members of the army and law enforcement were taken from hospitals in Tishrin and Homs and buried Monday, SANA reported. "The martyrs were killed at the hands of the armed terrorist groups while performing their national duty in Damascus countryside, Homs and Idlib."

SANA also reported that an "armed terrorist group" blew up a gas pipeline. No casualties were reported.

In addition, SANA said, another group killed a doctor at Bissan Hospital in Homs.

CNN cannot independently confirm opposition or government reports of those killed or wounded because access to the country is limited.

Syria has seen a sharp increase in violence in recent weeks, with hundreds killed in clashes between government forces, rebels and anti-government protesters.

That escalation led the Arab League to suspend its mission Saturday.

Ali Erfan, senior adviser to the Arab League's secretary-general, said observers outside Damascus would be redeployed to the capital.

Some will leave the country, while others will remain without conducting missions, he said, adding that he did not know how many would remain.

The violence in Syria erupted in Daraa last March, after a number of teenagers and children were arrested for writing political graffiti that opposed the government. The unrest spread into an uprising, part of the "Arab Spring" taking place in several countries across the the Middle East and North Africa.

The United Nations estimated last month that more than 5,000 people have died since March. Opposition groups estimate a higher death toll, with counts near or exceeding 7,000 people.

CNN's Hamdi Alkhshali, Arwa Damon, Josh Levs, Yousuf Basil, Joe Sterling, and Jill Dougherty contributed to this report.

@highlight

NEW: France's foreign minister will try to persuade the U.N. "to fully assume its responsibilities"

@highlight

Clinton calls on the U.N. Security Council to show Syrians "we stand with you"

@highlight

Monday's death toll reaches 100, an opposition group says

@highlight

Syria's Interior Ministry says security forces are conducting operations against terrorists