(CNN) -- Mon Dieu, how things change! A decade ago, France's opposition to the U.S.-led invasion of Iraq caused such disdain that restaurants across the United States began calling French fries "freedom fries."

Some Americans bandied around the term "cheese-eating surrender monkeys," coined by TV show "The Simpsons," for their Gallic cousins, while then-British Prime Minister Tony Blair became George W. Bush's BFF.

Yet on Friday, as the United States tried to rally support for military intervention in Syria, Secretary of State John Kerry had only fond words for the French, calling them "our oldest ally."

Hollande, in turn, described the two nations as "close friends and allies."

Meanwhile, Britain -- whose Parliament voted against military intervention in an embarrassing defeat for Prime Minister David Cameron -- was relegated to an unfamiliar backseat position as Washington gears up for potential combat.

So did Kerry's words signal a new era in French-American relations?

While France has been a historical ally of the United States, going back more than two centuries to the Revolutionary War, in more recent times the French and their American cousins have not always marched to the beat of the same drummer.

French President Jacques Chirac was sharply critical of the Bush administration as it tried to drum up support to invade Iraq in 2003 without a U.N. mandate. "Iraq today does not represent an immediate threat that justifies an immediate war," he said in March 2003. His opposition earned him then-Defense Secretary Donald Rumsfeld's scorn, as he dismissed France as belonging to "old Europe."

Undeterred, Chirac's tone was no softer six months later, when he addressed the U.N. General Assembly in New York. "The war, launched without the authorization of the Security Council, shook the multilateral system," he said. "The United Nations has just been through one of the most grave crises in its history."

When former President Ronald Reagan launched air strikes back in 1986 on sites connected to Libyan dictator Moammar Gadhafi, after an incident in which Libyan agents had bombed a disco in Berlin, killing two Americans, France denied U.S. planes access to its airspace, according to news reports from the time. The aircraft instead took off from Britain. At that point, Francois Mitterand was in the presidential palace, while Chirac was prime minister.

More recently, Hollande told President Barack Obama during an Oval Office meeting days after he was elected to the French presidency that he would stand by his campaign pledge to withdraw French combat troops from Afghanistan by the end of the year.

France was one of the bigger contributors of troops to the NATO-led International Security Assistance Force, making its withdrawal a blow to the Obama administration.

But when Gadhafi was again in the sights of the international community in 2011, as Libyan rebels fought for his ouster, then-President Nicolas Sarkozy was an enthusiastic participant in the conflict.

French fighter planes bombarded pro-Gadhafi forces as part of a NATO effort also spearheaded by Britain, while the United States kept a low profile. Sarkozy and Cameron gave a passionate speech together in the Libyan city of Benghazi, newly united after the divisions prompted by the war in Iraq.

France's involvement didn't do much to help Sarkozy's re-election effort the following May, when he lost out to Hollande, but it did perhaps indicate a willingness by France's leaders to re-engage with international diplomacy.

Hollande has carried on the trend, sending French forces into Mali, at the African nation's invitation, to help push back militant Islamists earlier this year.

But if international strikes on Syria go ahead, and France plays a part, Hollande may be in need of his transatlantic buddies.

Nearly two out of three French people are opposed to a military intervention in Syria led by an international coalition including France, according to figures released Saturday by one of the country's main polling agencies and published by daily newspaper Le Parisien.

Another survey, by the BVA polling agency, suggested 58% of those surveyed do not trust Hollande to lead a military intervention in Syria.

But while Hollande is currently the Obama administration's golden boy, it's probably too soon to count out the long-running Anglo-American friendship hailed, in Britain at least, as the "special relationship."

Foreign Secretary William Hague made it onto Kerry's call list Friday -- and Obama and Cameron are also still speaking.

A readout of their call Friday from the White House said that the United States "values the special relationship with the United Kingdom, a close ally and friend."

And a 10 Downing Street readout of the same call said Obama "stressed his appreciation of his strong friendship with the Prime Minister and of the strength, durability and depth of the special relationship between our two countries."

The House of Commons defeat was clearly a blow for Cameron, who has repeatedly spoken of the need for robust action on Syria, but the loss of British support for potential U.S. action is more symbolic than militarily significant.

The two nations have weathered plenty of storms together in the past and will likely find themselves back on the same page in future.

Washington stood behind Britain when it went to war against Argentina in 1982, following the Argentine invasion of the Falkland Islands, a disputed British territory in the South Atlantic.

The two were also key allies during World War II, leading then-Prime Minister Winston Churchill to first describe their bond in 1946 as the "special relationship" that would help prevent future wars and bolster world stability.

In the meantime, Obama can cozy up with France, Turkey -- which has also voiced support for military intervention -- and other Arab regional players, while Cameron nurses his wounded pride.

CNN's Chelsea Carter and Pierre Meilhan contributed to this report.

@highlight

Secretary of State John Kerry hails France as the United States' "oldest ally"

@highlight

Britain, which touts its "special relationship" with the U.S., won't join military action in Syria

@highlight

Paris and Washington have not always seen eye-to-eye, notably on the 2003 Iraq invasion

@highlight

France also declined to support U.S. strikes on Libya under Reagan in 1986