Washington (CNN) -- President Barack Obama announced Thursday that the United States has canceled joint military training exercises with the Egyptian military and alluded to the fact that his administration could take further steps to deal with the violence in Egypt.

"Going forward, I've asked my national security team to assess the implications of the actions taken by the interim government and further steps we may take as necessary with respect to the U.S.-Egyptian relationship," Obama said.

In a statement from his vacation home on Martha's Vineyard, the president, however, refrained from calling the government overthrow a coup, which would have implications for the military and humanitarian aid the United States sends to Egypt.

"The United States strongly condemns the steps that have been taken by Egypt interim government and security forces," Obama said about this week's Egyptian military crackdown against protests in Cairo. "We deplore violence against civilians."

Obama avoided taking sides with any factions in the country, which his administration has done consistently.

"We don't take sides with any particular party or political figure," Obama said. "We want Egypt to succeed. We want a peaceful, democratic, prosperous Egypt. That's our interest."

The president continued: "America cannot determine the future of Egypt. That's a task for the Egyptian people."

Obama put the United States on the side of the Egyptian people, stating that his administration believes regular Egyptians "deserve better than what we have seen in the last several days."

"To the Egyptian people, let me say the cycle of violence and escalation needs to stop," Obama said. "We call on the Egyptian authorities to respect the universal rights of the people."

Bergen: Al Qaeda leader's 'I told you so' on Egypt

Bright Star -- next month's joint U.S.-Egyptian military exercise -- would have involved thousands of American air and ground forces. Obama administration officials told CNN on Wednesday that canceling the military exercises -- which are held every two years -- was being considered.

The president is currently on vacation with his family on Martha's Vineyard, an island off the coast of Massachusetts. Some Republicans and right-leaning blogs have criticized that fact that while Egypt fell into turmoil, the president golfed, went to a cocktail party and ate at an upscale restaurant.

A senior White House official told CNN's Jake Tapper Thursday the president was briefed on the severity of the violence in Egypt in a phone call with key administration officials involved in U.S.-Egypt relations, including Defense Secretary Chuck Hagel, Secretary of State John Kerry and Director of National Intelligence James Clapper.

Obama's statement comes a day after the bloodiest day in Egypt since the 2011 revolution that ousted Hosni Mubarak. At least 525 people were killed and more than 3,700 injured, according to the Egyptian Health Ministry, in clashes that began when security forces moved in to break up protesters demonstrating in support of former President Mohamed Morsy, who was elected to office after Mubarak's ouster.

The number of dead could go up, as the Muslim Brotherhood has said many of its supporters who were killed have not yet been counted.

Egypt's Christians under pressure as churches are torched

The violent outbreaks mark the bloodiest moment in Egypt's short-lived experiment with democracy.

In July, Egypt's military toppled Morsy, the country's first democratically elected president, and remanded him to jail. The Obama administration at the time did not call the overthrow a coup.

That decision was roundly criticized by Republicans like Sen. John McCain of Arizona and Sen. Lindsey Graham of South Carolina, who traveled to Egypt earlier this month and said Morsy's ouster was clearly a coup.

The terminology could affect the more than $1 billion in foreign aid Egypt gets from the United States.

U.S. law restricts providing aid in instances of a military coup, and though White House spokesman Jay Carney has said the Obama administration is evaluating the "incredibly complex and difficult situation," he also said Washington is not ready to cut off the aid.

"It would not be in the best interests of the United States to immediately change our assistance programs" to Egypt, Carney said in July. When reporters pressed Carney on the coup question, the spokesman stubbornly repeated a lengthy response that essentially said the United States would determine how to proceed at its own pace.

"What we don't believe is necessary is to hastily reach a determination when the right course of action in our view is to review this in a deliberate manner, to consult with Congress, to review our obligations under the law and to, in the meantime, encourage the authorities in Egypt to hasten a return to democratic governance in that country, and to a democratically elected government," he said.

The Obama administration, when pressed on this issue, has stressed the complexity of the situation in Egypt -- the most populous Arab country in the world and one of only two Arab nations to have signed a peace treaty with vital U.S. ally Israel.

Obama condemns Egyptian military crackdown on civilians

Obama's Thursday statement echoed much of what Kerry said on Wednesday -- that the violence was a "serious blow" to reconciliation efforts in the African nation.

"The United States strongly condemns today's violence and bloodshed across Egypt -- it's a serious blow to reconciliation and the Egyptian people's hopes for a transition towards democracy and inclusion," Kerry said from the State Department press briefing room.

CNN's Tom Cohen, Jake Tapper and Barbara Starr contributed to this report.

@highlight

NEW: Obama cancels military exercises with Egypt, says U.S. might take further steps

@highlight

U.S.-Egyptian military exercise would have involved thousands of American air and ground forces

@highlight

Obama did not call the Egyptian military's overthrow of the government a coup

@highlight

U.S. law restricts aid in instances of military coup; Egypt gets more than $1 billion from U.S.