New York (CNN)   -- For years, Nobel Peace laureate Shirin Ebadi has been speaking out against human rights violations in her country of Iran, where her defense of political prisoners and support for human rights and democracy have earned her the ire of the ruling regime.

In 2008, Iranian authorities shut down the Center for the Defense of Human Rights, of which she is president, and since 2009, she has been living in exile.

Ebadi is now in the United States to promote her latest book, "The Golden Cage: Three Brothers, Three Choices, One Destiny" (Kales Press, 2011). The book tells the story of an Iranian family torn apart by competing ideologies.

Roxana Saberi interviewed her at Columbia University in New York. Here is an edited transcript.

Question: In your book, "The Golden Cage," the first sentence quotes Iranian sociologist Dr. Shariati saying: "If you can't eliminate injustice, at least tell everyone about it." But some people ask, "What's the use of speaking out?" And does the Islamic Republic of Iran care when others criticize its human rights record?

Answer: If no one speaks out when a government violates human rights and uses oppression, this oppression continues. But when people are informed, they gradually become aware, and when they become aware, they begin to object. No change happens in society unless people become aware.

Q: And does the Islamic Republic care?

A: About the Islamic Republic, it's the same. In 1988, there was a massacre of political prisoners in Iran. At that time, there was no internet, people couldn't spread news much to one another, and very few knew of this story. As a result, Iran's government quietly continued. But [after Iran's disputed presidential election in] June 2009, with the help of the internet, people took photographs and film of the many individuals who were killed in the streets, then put these images on YouTube. The whole world understood what was happening. For example, the killing of Neda [a young Iranian woman shot to death at a protest] shook the world.

Q: What more could or should the U.S. government and the international community do about Iran's human rights record?

A: The development of democracy and human rights in any country is the duty of that country's people, and foreign countries must watch from a distance and provide help without interfering in internal affairs. It was very important that the U.S. government and other member countries of the U.N. Human Rights Council voted to condemn Iran's human rights violations and to assign a special U.N. rapporteur on human rights for Iran. It was also important that the United States announced travel bans and asset freezes for certain Iranian individuals who have had a direct role in killing or repressing the Iranian people. This is not interference in Iran's domestic affairs but support of the people. ... These types of steps must continue.

Q: How can citizens of the U.S., Europe, and other countries help promote human rights in Iran?

A: They can do the most. When you vote, vote for those who are not warmongers, and vote for those who respect human rights. When you see a president who doesn't respect human rights, don't vote for that person. In fact, I have always said that U.S. policy won't change unless the American people change, and the American people won't change unless they get more information about the world. So this is our duty, to give necessary information to the people.

Q: And in your opinion, does the current U.S. president respect human rights?

A: Mr. Obama has so far shown that he respects human rights.

Q: At a talk at The New School, you said that Iran's Green Movement has in no way become weaker but has just changed its form of resistance. What hope is there that the movement for democracy in Iran will prevail?

A: There is a lot of hope that the people of Iran will prevail because fortunately they don't resort to violence, they continue their resistance, and also the economic situation is very bad. The price of food in Tehran has even become more expensive than in the United States. And most importantly, many divisions have formed among conservatives. Altogether, these factors will cause the regime to weaken.

Q: Will we see the democratic movement prevail in our lives?

A: This depends on whether I die tomorrow or in another 30 years.

Q: Let's say you live another 30 years. Will we see it?

A: Yes, within 30 years, of course.

Q: What influence do revolutions and protests in countries such as Egypt, Libya and Syria have on Iran's democracy movement?

A: Syria is the Islamic Republic's only ally in the Middle East, and it is not only an ally but also a puppet of Iran. A revolution has begun in Syria, and the people there are protesting against the dictatorship of the Assad family. If they succeed in bringing democracy to Syria, this will help democracy in Iran a great deal.

In Tunisia and Libya, democracy will also help Iran very much, and the people coming to power in those countries will help democracy in Iran progress. In Egypt, the fundamentalists are strong, and in the beginning, it's possible they will be very close to the Iranian government, but they won't become a puppet of Iran because they are Sunni, while the Iranians are Shiite, and feelings of racism exist between the Iranian government and Arab governments.

There are no common interests between Iran and Egypt. Also, Egypt sees itself as a big brother of Islamic and Arab countries, and Iran also sees itself as a leader of Islamic countries, ... so while Egypt and Iran will build political relations, Egypt certainly won't transform into a puppet of Iran.

Q: What about events in Bahrain?

A: In Bahrain and Yemen, the Shiites have protested because they faced discrimination and their situation is not good. Shiites are being killed, and this has caused the Iranian government to support them. Iran even wrote a letter to the United Nations and requested that the issue be sent to the U.N. Security Council. The West has remained quiet, while Iran tells the Shiites that you see, we are the only country supporting you.

It is clear that when the people of Yemen and Bahrain reach power, Iran will have a lot of influence on them. The best path is for the West, especially the United States, not to remain indifferent toward the repression of the Shiite people in Bahrain and Yemen.

Q: As you know, when I was in prison in Iran, I wanted to retain you, as well as your colleagues Mr. Soltani and Mr. Dadkhah, as my attorneys, but the authorities pressured my father and me not to work with you. I realize that many prisoners in Iran suffered and are suffering more than I did. But to what extent was my experience representative of the experiences of many other prisoners and attorneys in Iran, and what kind of pressures do attorneys there face?

A: If Iranian attorneys want to defend political prisoners, problems will certainly be created for them. For example, Nasrin Sotudeh has been sentenced to 11 years in prison. ... Mr. [Mohammad] Seifzadeh was sentenced to nine years in prison. After the 2009 election, Mr. [Abdolfattah] Soltani and Mr. [Mohammad Ali] Dadkhah went to prison. They are now free on bail. Mrs. Shadi Sadr, Mr. Mostafaei and me -- all of us were forced to come out of the country because of harassment by the authorities.

So you see that every person who supports political prisoners becomes the target of the regime's anger. Moreover, the court forces political prisoners to choose from among the attorneys who work with the regime itself and who are puppets of the Intelligence Ministry.

Q: During these past few years, particularly under the presidency of Mahmoud Ahmadinejad, what changes for women's rights have you seen in Iran?

A: There have been no changes, except that the repression has become greater for women. There has been no change in the laws, but whatever happened has not been in women's interests.

Q: You talked about your being abroad. What positive or negative aspects does your exile have for your human rights efforts?

A: I preferred to be in Iran, but the situation there is such that because of censorship and repression, there is no possibility for any kind of human rights activity.

@highlight

Nobel Peace laureate Shirin Ebadi was in New York to promote her new book

@highlight

She was interviewed for CNN by journalist Roxana Saberi who was imprisoned in Iran

@highlight

Ebadi predicts democratic reform will happen in Iran