Washington (CNN) -- There was good news and bad news Thursday at a congressional hearing on the embattled Veterans Affairs health care system.

Politicians, health care experts and a VA official agreed solutions exist, but more than three hours of questioning by the House Veterans' Affairs Committee showed that responses so far by Congress and the administration fall short of what's needed.

"It's going to take wholesale, systematic reform of the entire department," said Republican Rep. Jeff Miller of Florida, the committee chairman. "It's very clear the status quo is not acceptable and it's time for real change."

Dr. Robert Jesse, a top official in the VA health administration, also acknowledged the need for major changes after revelations first reported by CNN of sometimes deadly waits for medical care faced by veterans.

"We own this"

"We know that we have let veterans down, but we're going to make it right," Jesse told the panel, adding that "you all deserve better from us."

Declaring that "we own this" and "we're going to fix it," he later said: "Today we really need to be looking at the entire structure of the organization to move forward. We really need to examine everything."

An internal VA audit released Monday found that tens of thousands of newly returning veterans wait at least 90 days for medical care, while even more who signed up in the VA system over the past 10 years never got an immediate appointment they requested.

The VA has acknowledged 23 deaths nationwide due to delayed care, and CNN's reporting uncovered the deaths of dozens of others who were waiting for VA care in Phoenix.

Despite efforts in recent years to address longstanding problems at the department, including reductions in backlogs for benefits and the number of homeless veterans, the long waits have continued for newly enrolled veterans to get initial appointments for care.

Reasons for the chronic problems include the increasing number of veterans returning from wars in Iraq and Afghanistan, and a bonus system that rewarded managers for meeting goals regarding access to treatment.

The VA audit confirmed CNN reports of secret wait lists used to cover up wait times that exceeded department guidelines.

The controversy led to the resignation of Veterans Affairs Secretary Eric Shinseki, while some VA officials have been put on administrative leave pending investigations by the VA inspector general's office and Congress.

FBI getting involved

On Wednesday, the FBI said it opened a criminal investigation of the VA in conjunction with the inspector general's probe, which has expanded to 69 facilities.

"At the department's direction, the FBI has instructed agents in its Phoenix office to conduct an investigation into the allegations related to the VA," a Justice Department spokesman said. "Federal prosecutors will be working with these investigators to determine whether there is a basis for criminal charges."

Meanwhile, both the House and Senate have passed legislation to permit veterans experiencing long wait times for medical appointments to seek care at non-VA facilities at the government's expense. They now will negotiate a compromise between differences in the two measures.

Interim Veterans Affairs Secretary Sloan Gibson, who took over when Shinseki stepped down, also has announced a series of steps in response to the problems.

They include a hiring freeze at central headquarters and 21 regional facilities, suspension of all performance awards for senior managers in fiscal year 2014, eliminating an unattainable goal of getting newly enrolled veterans an appointment within 14 days, and ordering an independent outside audit of VA medical care scheduling practices across the system.

The VA also has contacted 50,000 veterans waiting for care and will continue reaching out to others, Gibson said after the release of the VA internal audit.

Health care audits told the House committee on Thursday that such steps, while welcome, failed to address the underlying need for systemic reforms at the VA to instill a culture of serving the veterans, rather than the bureaucracy.

Outside cultural assessment

"There is a pervasive VA culture that puts personal gain in the system ahead of veterans. That's wrong," said Tim McClain, president of Humana Government Business.

Saying more than "band-aids" were needed, McClain added that "any long-term solution must include a culture and organizational assessment from the outside."

Betsy McCaughey, a conservative health care activist known for her opposition to President Barack Obama's health care reforms, complained the Senate legislation included provisions that would undermine the intended goal of letting veterans access civilian medical facilities.

McCaughey, the former lieutenant governor of New York, pointed out that veterans would need to prove they had experienced unacceptable waits for VA care, and that any private doctor treating them would have to first call the VA for authorization.

Noting the bureaucratic dysfunction at the department, she said: "Good luck getting anybody to answer that call."

Jesse, the VA's acting under secretary for health, insisted the VA had the capacity to handle the system proposed in the Senate legislation, though he acknowledged that problems occurred at some facilities.

The VA legislation was moving quickly through Congress, showing the political sensitivity of the issue in an election year defined by partisan divide.

House Minority Leader Nancy Pelosi signaled Thursday that a final compromise must leave intact the government role of providing health care for veterans instead of privatizing it, as sought by GOP conservatives.

Vets could get care outside VA under bill passed by House

Do bonuses promote cheating?

CNN's Evan Perez contributed to this report.

@highlight

House panel looks at organizational causes of VA problems

@highlight

Top VA official: "You deserve better from us"

@highlight

Experts: VA needs to focus on veterans, not bureaucracy

@highlight

House Minority Leader Nancy Pelosi: Compromise on VA bill can't privatize veterans' care