(CNN) -- "Viewers don't want to be informed. Viewers want to feel informed."

Those are the words of Chet Collier, one of the founders of Fox News, as quoted in Gabriel Sherman's new biography of Roger Ailes, the network's chief.

Mission apparently accomplished: Fox is the most-watched cable news network, and yet, some surveys suggest that people who rely on Fox as their primary information source know less about current events than people who watch no news at all.

But to jab at Fox for inaccuracy is to miss Fox's purpose. Fox has created an information community. We used to say, "Everybody's entitled to his own opinion, but not his own facts." In a mass media age, what counted as "fact" was defined by a few great national institutions: a small group of prestigious newspapers, a pair of leading news magazines, a trio of television broadcasters.

Dissenters had a difficult time reaching any kind of large audience -- or even identifying who their audience might be.

Advancing technology opened new possibilities, and Sherman's biography deftly tells the story of how it happened.

The launch of CNN inspired NBC to create a cable news channel of its own, CNBC. Roger Ailes -- a former TV producer who had emerged as the most successful Republican campaign consultant of the 1980s -- was hired to run CNBC. After he lost an internal power struggle, Ailes joined Rupert Murdoch's Fox network.

And the rest, as they say, is history.

Before Fox, news programmers had struggled with the question of what their product was. Did it include health information, and if so, how much? Weather? Financial information? Human interest? Political opinion? Ailes built his new channel upon a very different question: who is my product for?

The largest generation in American history, the baby boomers, were reaching deep middle age by the mid-1990s. They were beginning to share an experience familiar to all who pass age 50: living in a country very different from the one they had been born into.

Fox offered them a new virtual environment in which they could feel more at home than they did in the outside world. Fox was carefully designed to look like a TV show from the 1970s: no holograms, no urban hipster studios, lots of primary colors.

In other respects too, Fox offered a path back to a vanishing past. Here was a place in which men were firmly in charge, and in which women were valued most for their physical attractiveness. Here was a place in which ethnic minorities appeared only in secondary roles -- and then, with brave exceptions, only to affirm the rightness of the opinions of the white males in the primary roles.

Back in the 1970s, students of public opinion had noticed a strange anomaly: in the very years, 1967-1973, when trust in government, business, the military and organized religion most sharply declined, trust in television rose. Some speculated that TV as an institution had an inherently adversarial relationship to other institutions: TV enhanced its own credibility by denigrating the credibility of everything and everyone that wasn't TV.

That theory was coded into the DNA of Fox. Here, on this station, the chosen market segment could enjoy security and validation. Out there was depicted a hostile world of threats, danger, crime, and decaying values.

In the nearly two decades since the launch of Fox, the average age of the viewers has increased -- and so has their alienation from a country that twice elected Barack Obama to the presidency.

Economic prospects have narrowed and darkened for middle-income people. First the stock market, then the housing market, then the gold market bubbled and burst -- taking the savings of the unwary with them. Americans in their 60s have reason to worry about the stability of Social Security and Medicare.

New claims on government assistance -- unemployment insurance, health care spending on under-65s -- can be seen as drains on resources that would otherwise flow to the over-65s.

The question famously associated with Fox News' Bill O'Reilly, "Who's looking out for you?" resonates especially powerfully in the ears of the economically anxious elderly in a rapidly changing country.

Gabriel Sherman tells eyebrow-raising stories about Roger Ailes. Always a man who kept enemies' lists, Ailes has -- in Sherman's account -- succumbed to increasing apprehension as he has gained increasing power. His office is secured with a double set of locked and coded doors. His country home features a panic room. Former employees report being followed and suspect their e-mail has been read. The anxiety that permeates Fox News' broadcasts emanates authentically from the man at the top. Yet it speaks also to something pervasive in Fox's audience too.

Like talk radio before it, but even more intensely, Fox offered information programmed not as a stream of randomly connected facts, but as a means of self-definition and a refuge from a hostile external reality. Fox is a news medium that functions as a social medium.

How this new kind of TV news was built, and at what price, is the story painstakingly narrated by Gabriel Sherman in his indispensable book. What to think of this new kind of information entity is up to you. He only reports. You'll have to decide.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Fox's Roger Ailes created an information community for a specific demographic

@highlight

He says Fox appeals to an older audience concerned about direction of change in America

@highlight

He says new biography of Ailes shows an anxious network and an anxious audience