(CNN) -- Islam Mohmand and his two wives have so many children that he sometimes gets confused and needs help to remember all of their names.

They have 20 kids in all but would be happy to bring even more into their small family house.

But population experts in Pakistan, where the Mohmands are from, say families like theirs are fueling a population explosion that is fast becoming the country's most dangerous crisis.

Pakistan's population has grown from around 33 million in 1947 to more than 180 million people in 2012, making it the sixth most populous country in the world. It is also one of the world's poorest, with 60% of Pakistanis living on just $2 per day, according to the World Bank. The majority of the population -- 70%, according to the United Nations -- is largely illiterate and resides in rural areas lacking the most basic services.

With only one in five Pakistani women using modern birth control, the United Nations estimates Pakistan will become the world's third most populous country after China and India by 2050.

"I consider the population problem the biggest problem of this country," said Akbar Laghari of Pakistan's Department of Population Welfare. "The future is bleak because of this."

He admitted the government has to share the blame as not enough is done to offer effective family planning services and teach people about birth control.

"We don't have that much mobility, we don't have the resources," he said.

"Because of the political upheavals in the country and frequent changes in government ... they [the government] are not giving it top priority."

With widespread poverty, an energy crisis, woeful public services, and a bloody, resource-draining insurgency, Pakistan can ill afford to see this rapid growth continue.

"Naturally there will be epidemics, there will be wars -- there will be fights for food, water and everything," Laghari warned.

"It's a huge concern that we're growing at one of the fastest rates in Asia," said Zeba Sathar, Pakistan country director for the Population Council, a non-profit organization that specializes in public health research in developing countries.

"I think it's an ignored problem. We're brushing it away and I'm afraid we're losing time."

Sathar says many people are unable to make informed decisions because support services such as family planning are lacking. "The poor end up with many children because they don't have access to right kind of information," she said.

"We're doing a lot of research where women say 'we didn't want that many children,' or they wanted to have them later but they just didn't find the services.

"The philosophy is we're not into controlling the number of children. If you can bring up a healthy family with 20 children, kudos to you. It's a question of running out of resources. It's when the 15th one suffers."

But the Mohmand children are already paying the price -- the family can only afford to send four of their offspring to school, the rest have to work to support the family.

A lack of education is not the only challenge. Pakistan is a deeply conservative country, where some view birth control as un-Islamic.

"None of these methods is allowed in Islam," said Maulana Tanveer Alvi, a Muslim cleric. "Whatever is born in the world -- animals, humans, anything living -- God is responsible for their care.

"The process of reproduction will go on until God stops it. Why should a Muslim worry about the increase in population when God has taken responsibility for everyone's care?"

Culturally, many women are often confined to the marital home and deprived of the right to make important decisions such as whether to have a child.

"Women don't always get to choose ... they require permission from their husband or even their mother-in-law," said Laghari.

However, other Muslim countries with similar problems to Pakistan, including Bangladesh and Iran, have introduced measures to curb their growing populations.

Experts say those countries started with the political will to do something and spent a lot of time and resources on family planning efforts.

The World Health Organization (WHO) says government field workers and satellite clinics are the two crucial elements in the campaign in Bangladesh -- which saw its population grow from 75 million when it gained independence in 1971, to more than 142 million currently.

It said thousands of Health and Family Welfare centers have been upgraded nationwide, while Family Welfare Assistants provide door-to-door visits giving millions of couples family planning support and sexual health education.

@highlight

Pakistan's population has grown from around 33 million in 1947 to more than 180 million people in 2012

@highlight

UN estimates Pakistan will become world's third most populous country after China and India by 2050

@highlight

Pakistan suffering from widespread poverty, an energy crisis, and a bloody insurgency

@highlight

Other Muslim countries in the region -- such as Bangladesh -- have successful birth control programs