(CNN) -- Board a bus or a train today and chances are you'll see several people with eReaders in hand. While most probably bought their electronic books on a popular website, you may find a few who borrowed the paperless books from the library.

EBooks accounted for 6.4% of all publishing in 2010, according to the American Association of Publishers, and 114 million electronic books were sold last year.

While the majority of eBooks sold today are bought by individual readers, a growing number of the paperless books are winding up in public library catalogs.

"Our popular e-content collection at ebooks.nypl.org currently has over 75,000 copies across more than 35,000 titles," said Christopher Platt, director of Collections and Circulation Operations at The New York Public Libraries. He oversees the intake of more than a million new items every year.

While that sounds like a lot of eBooks, it's a tiny fraction of the system's overall number of books available for lending. "We have over 6 million items across our 90 locations in the physical circulation collections," Platt said.

EBook lending is growing at a fast pace at the New York Public Library. The number of downloads of electronic books on the library's website grew by 81% in the last 12 months, Platt said.

The more than 9,000 public library systems across the country are experiencing a similar growth in eBook demand.

So why would someone pay for an eBook if they can download it free from a library's website? After all, the process is more or less identical to buying an electronic book on Amazon.com or Barnes and Noble's website.

That has publishers approaching eBook lending with some trepidation.

Several large publishing companies have yet to make eBooks available to public libraries. Those that have sold eBooks to libraries set limitations on how they can be loaned out. For example, one electronic copy of a book can be taken out by just one reader at a time. Some companies limit the number of copies of a book they'll sell to a library. A few have set a limit on how many times a book can be downloaded.

Platt said publishers shouldn't be concerned that eBook lending will affect commercial sales of eBooks. "Digitally, there's kind of a fear right now," Platt said.

Several publishing companies were contacted for this story but none returned messages seeking comment.

"The impact is profound both on the publishers and the libraries," said author Warren Adler. He has written 30 books, including "The War of the Roses" and "Random Hearts." Both were made into popular movies.

Adler said he believes as more publishers make eBooks available to libraries, the companies will limit the number of times most books can be loaned out. "They have a product that has to get out there even to libraries. I don't think they'll remain reluctant." Adler said. "They're going to have to figure out ways to stay profitable and this is going to be a challenge."

Consider that public libraries make up 10% of all book sales in the United States each year. While publishers are concerned about the institutions competing in the eBook market with a free product, libraries are also an integral part of the publishing industry's bottom line.

"We do not want to see any publisher go out of business, because they create the content," Platt said. "It's very much that we're on the same side of the fence here. We just have to be able to work together."

As with physical books, there can be a wait involved in downloading an electronic book from a library's website. Publishing companies call that wait "friction" and it's why they're comfortable with libraries lending physical books for free. But publishers think there's less friction involved in borrowing an eBook from a library's homepage. The concern is that this could affect commercial sales.

Librarians think making eBooks available for lending has value for the publishing industry. Platt said it exposes readers to books in a way that legitimizes the material.

That material can reach a much wider audience. Libraries across the country recently developed the ability to make their eBook downloads compatible with the Kindle, Amazon.com's eReader. Amazon.com representatives did not respond to a request for an interview. Amazon sells more eBooks in the United States than any other company.

Some patrons noted that a library is more than just a place where people go to take out books. They often serve as civic meeting centers. They offer an opportunity for social interaction that you don't get with eBooks.

"I love the libraries," said Ronald Baines outside the New York Public Library Branch on 5th Avenue and East 40th Street in Manhattan. "They're entertaining. Since I was a kid they were very entertaining and they're resourceful. As I became older they became more important to me in terms of identifying information and accessing information"

Baines has never read an eBook. "The written word is a wonderful thing and that's something you should always have in your hand ... turning those pages, there's an experience that comes with that."

Carol Salzano walked out of the same library branch with a bag full of books. She worries that libraries will lose their place in society as borrowing eBooks grows in popularity. "I think it will be sad. I mean there's just something about smelling the books and the whole experience," Salzano said. "It's like a feeling of calm and peace and you don't really get that anymore. You can't just sit and read a book."

Platt isn't concerned about the potential for libraries to lose their role as a gathering place. He said they'll continue to offer enriching programming that draws people to the buildings

With the closing of Borders bookstores there are just about as many public library branches in the United States as there are commercial bookstores; more than 16,000. It may not be surprising, then, that while more people are borrowing eBooks from libraries, more people are also going to libraries. "Our usage is going up as well," said Platt as he pointed out that New York libraries loaned more than 28 million items in 2010. "That's a lot of people coming through our doors."

But the number of digital patrons is growing at a much faster pace. "We have, I think, over 150,000 Twitter followers on our flagship Twitter account and over 40,000 Facebook friends," Platt said.

He hopes that more publishing companies will see the benefit in making eBooks available to public libraries with mutually beneficial arrangements. One possibility would be the creation of subscription packages segmented into specific genres or themes such as best-sellers, classic novels and children's books, each with their own price.

The challenge for publishing companies is figuring out how to capitalize on the millions of people across America who patronize libraries without having too much of the product being given away.

@highlight

Paperless books are winding up in public library catalogs

@highlight

Source: Publishers shouldn't be concerned that eBook lending will impact sales of eBooks

@highlight

As with physical books, there can be a wait in downloading from a library's website