Tokyo (CNN) -- Japanese officials' concerns over food contamination expanded beyond the country's borders Tuesday as tests detected radiation in ocean water offshore.

Plant operator Tokyo Electric Power Co. said that high levels of radioactive substances were found in seawater near the plant, but said that the results did not represent a threat to human health.

"There should be no immediate health impact. If this situation continues for a long period of time, some impact can occur," Chief Cabinet Secretary Yukio Edano told reporters.

The impact such radiation could have on marine life was unclear. Japanese authorities were scheduled to measure radioactivity in waters around the plant on Tuesday and Wednesday, the International Atomic Energy Agency said.

Earlier seawater radiation monitoring detected levels of iodine-131 that were 126.7 times higher than government-set standards, the electric company said on its website. Its monitors detected cesium-134, which has a half-life of about two years, about 24.8 times higher than the government standards. Cesium-137 was found to be 16.5 times higher than the standard.

The electric company detected these levels in seawater 100 meters (328 feet) south of the nuclear power plant Monday afternoon. Radioactive particles disperse in the ocean, and the farther away from the shore a sample is taken, the less concentrated the contamination should be.

Because of the huge amount of dilution that happens in the ocean, there's not much chance of deep-water fish being tainted, said Murray McBride, a professor at Cornell University who studies soil and water contamination.

"I think the ocean can handle that a lot better than the physical environment and population centers," said Jim Walsh, an international security expert at the Massachusetts Institute of Technology and a CNN consultant. "We don't want any of this to happen, but better it go out to sea than stay in Japan."

Winds have largely blown radioactive material emitted by the plant offshore since an earthquake and tsunami crippled cooling systems at the plant March 11.

But tests have detected contamination of food grown near the plant.

The Japanese government has banned the sale of raw milk from Fukushima Prefecture, where the plant is located, and prohibited the sale of spinach from neighboring Ibaraki Prefecture after finding levels of radioactive iodine and cesium higher than government standards, the country's health ministry reported.

And officials in Fukushima halted the distribution of locally grown vegetables outside the prefecture.

The government has also banned sales of spinach and milk from parts of Gunma and Tochigi Prefectures, according to the prime minister's office.

On Tuesday Edano said contamination had not been detected in other agricultural products.

"The products which are being grown in these areas are being monitored and the monitoring will continue," he said.

He urged consumers to "try not to panic," noting that the government had stopped shipments of any farm products they believed could be contaminated.

Edano has stressed that officials believe the levels of radiation in food -- while above the legal standards -- do not pose any immediate health risk, saying they were mostly dangerous only if consumed repeatedly over one's lifetime.

On Monday a spokesman for the World Health Organization said short-term exposure to food contaminated by radiation from Japan's damaged Fukushima Daiichi nuclear plant poses no immediate health risk.

Tests have also detected radiation in tap water.

On Monday, authorities in the village of Iitake urged residents to avoid drinking tap water that tests showed contained more than three times the maximum standard of radioactive iodine.

Water in other jurisdictions showed lesser signs of contamination, although far below levels of concern under Japanese law, according to the International Atomic Energy Agency website. The U.N. agency said it had received reports from Japan's government that six out of 46 samples tested positive for the iodine-131 radioactive isotope.

Iodine and cesium isotopes are byproducts of nuclear fission in reactors such as the ones damaged in the March 11 earthquake and tsunami that devastated northern Honshu, Japan's main island. Although iodine-131 has a radioactive half-life of eight days, cesium-137's half-life is about 30 years.

The decision to prohibit produce sales is another potentially devastating blow to a part of northeast Japan hit by the earthquake, tsunami and other potential fallout from the Fukushima plant.

Edano has said farmers will be compensated for revenue lost by the restrictions.

"Primarily this is due to the nuclear reactor accident, so we assume (Tokyo Electric Power Company) will be held responsible for compensation. The government might take some supplementary action," he said.

Fukushima ranks among Japan's top producer of fruits, vegetables and rice. Ibaraki, south of Fukushima, supplies Tokyo with a significant amount of fruits and vegetables and is Japan's third-largest pork producer.

For radiation to be an issue for rice, the contamination would have to be more severe and prolonged that what has been seen so far, said McBride, the Cornell University professor.

Soil contamination was a huge issue around Chernobyl, but the radiation emitted from the Fukushima Daiichi plant isn't anywhere near that level, he said.

"We're not at that stage; that's the scenario you have to consider if contamination gets severe enough," McBride said.

CNN's Jo Kent, Steven Jiang, Martin Savidge, Paul Ferguson, Thom Patterson, Matt Smith and Elizabeth Landau contributed to this report.

@highlight

High levels of radioactive substances have been found in seawater

@highlight

The impact on marine life is unclear, and tests are expected to continue

@highlight

Tests also reveal radiation in milk and spinach

@highlight

Japan's chief Cabinet secretary urges consumers "not to panic"