The whisky glows like a candle in the bottom of the glass. Its aroma is rich, deep, musky, inviting. But dare I take a sip?

This is the new Balvenie 50-year-old, which carries a price tag of £25,000 ($40,800) a bottle. Which means that the single dram I am holding is worth about £830 ($1,350).

Slowly, I raise it to my lips.

I am standing in the whisky room at the luxurious Cromlix hotel in Dunblaine, Scotland -- which incidentally is owned by local boy tennis star Andy Murray -- along with a select group of journalists.

We have been invited to the exclusive launch of the new 50-year-old, which is only the fourth time the distillery has released a whisky of this age.

"A 50-year-old Macallan featured in (the film) Skyfall, but whiskies of this age are extremely unusual," says Sam Simmons, global brand ambassador for The Balvenie, who is introducing us to the latest release.

"Nobody 50 years ago knew that people would care about Scotch the way they do in 2014. Nobody planned to leave this whisky for so long. Its existence is a bit of a miracle."

We tilt our glasses. The butter-colored liquid is rich with notes of cloves, summer flowers, dried fruits and marzipan, underpinned by the woody polish of an old gymnasium.

"It tastes like soap," somebody says.

"You've eaten soap?" Simmons replies.

There is a pause.

"It reminds me of the inside of a grand piano," ventures someone else.

"Whisky of this age has a natural alcohol level of below 50%," Simmons explains. "That's when very unpredictable chemical reactions happen between the spirit and the wood. That's the magic time. It creates whisky that is unique, quirky and unpredictable."

Whisky collectors are making big money

As extraordinary as this whisky is -- it is exceptionally long, with flavor lingering for several minutes after each sip -- one question is in the back of everyone's mind. Who would pay £25,000 for a bottle of whisky?

The answer is people like Mahesh Patel, a whisky collector and building tycoon from Atlanta, Georgia, who once bought a Dalmore Trinitas 64-year-old for £100,000 ($166,000).

"I have about 5,000 bottles, including a lot of old, one-off, high-end whiskies," he says. "Over the years, I've spent about $2 million on it. The collection is worth about $6 million now. I keep it at different locations all over the world, for security reasons."

Patel is one of a breed of whisky collectors that have found that their passion for the drink has led to great financial gains. Distilleries first hit on the idea of limited editions and special releases in the early Nineties, such as the famous Black Bowmore that came in a wooden presentation case.

Collectors like Patel bought the bottles largely for the love of them. But over the decades, their value started to appreciate to the extent that unusual bottles started to be seen as cash cows.

Fast-forward to 2014, and the market is booming. According to the Investment Grade Scotch index that is compiled by UK-based Whisky Highland, the top 100 whiskies appreciated by an average of 440% in the last six years.

Last month, a 50-year-old bottle of Japanese Yamazaki single malt sold for £20,000 ($33,000). In January, Sotheby's sold a six-liter decanter of Macallan M for £387,000 ($631,000).

These transactions are becoming relatively frequent, if not commonplace. Indeed, Whisky Highland expect 30,000 bottles to be sold at auction this year, a 50% increase on the 20,211 that were sold in 2013.

By contrast, the Standard & Poor's 500 stock index increased by 31% in the same period, and the Live-ex Fine Wine 100 Index dropped by 2%. If you're a drinks investor with money to spend, it is something of a no-brainer.

Is whisky for collecting or drinking?

But most people in the whisky world see collecting purely for the sake of investment as something of a taboo.

"You have to start by drinking the product and enjoying the product," says Patel. "Buy two bottles, one to drink and one to collect. Otherwise you're going against the spirit of the industry."

Andy Simpson, the founding director of Whisky Highland, agrees -- but only to a point.

"There are three types of buyers: drinkers, collectors and investors," he says. "I know one person, who shall remain nameless, who is teetotal, and buys whisky only to invest.

"Some people think that this is a crime and whisky should be set free. But from my perspective, people can choose how to spend their money. It's supporting the industry and that's a good thing."

Simpson, a former corporate banker, is launching a new business called Rare Whisky 101, which he describes as "consultants, brokers and valuers".

"Whisky has always been collectable, but there were no market figures before Whisky Highland came along five years ago," he says. "There were no indices, charts, graphs, nothing. Rare Whisky 101 will have the world's largest online database of whisky auction sales, so investors can accurately follow the market."

This is the latest contribution to the digital revolution that has transformed the secondary whisky market.

Physical auction houses like Bonhams and Sotherby's have traditionally tended to charge 25% commission, and hold auctions just a few times a year. By contrast, sites like Scotch Whisky, Whisky Online, Just Whisky and Whisky Auctioneer run online auctions regularly, and charge a commission of just 10%.

"Those sites have added liquidity into a traditionally illiquid market," says Simpson. "They are part of the reason why whisky is booming, and the growing value of whisky is starting to usurp the experience of opening and drinking it."

Whisky investment funds: too good to be true?

The market is gradually showing signs of maturity. In June, the world's first whisky investment fund was set up by Rickesh Kishnano, the CEO of Platinum Wines in Hong Kong; another has been established in Singapore.

But many seasoned collectors -- who themselves have made millions through buying and selling whisky -- are skeptical about whisky funds, and suggest that potential investors tread carefully.

"They worry me because genuine whisky experts are few and far between, and there is nobody credible behind these funds," says Sukhinder Singh, founder of the Whisky Exchange, who boasts a "handsome" private collection of 6,000 bottles that he keeps in his boardroom.

"They are run by people from the wine industry, but you need a lot of knowledge specifically about whisky to make good investments. It's not about just buying old whisky. I've been collecting for 30 years and I know everyone who is good. How many whiskies have these guys tried? Fifty? A hundred? That's not enough."

There are lots of hidden pitfalls, he says. For example, if you invest in a whisky that is not "amazing to drink", demand may remain low even if it is a limited edition. And while some bottles go up, it is common for others to lose value.

For example, the Royal Wedding limited edition Macallan whisky, which marked the marriage between the Duke and Duchess of Cambridge in 2011, rose from £150 to £1,650 by 2013. These days, however, after the distillery lost many fans by removing age statements from its bottles, it has depreciated to about £900.

By contrast, however, the iconic Macallan Private Eye whisky, which was released in 1996 to mark the 35th anniversary of the British satirical magazine, has appreciated from £35 to about £1,500, and shows no sign of falling from grace.

Telling the difference between these two whiskies requires significant expertise.

The importance of loving your whisky

According to Singh, when it comes to whisky collecting, there is no substitute for genuine passion. He still vividly remembers the first bottle in his collection.

"I visited a man in Scotland, and noticed a special bottle on his mantelpiece, with a beautiful, intensely colorful label," he says. "It was an original bottling from a distillery called Kirkliston, which had closed in the early 1900s.

"I knew I had to have it. It took me half an hour to persuade him to sell it to me, for £700, which was a lot of money at the time. It's worth about £20,000 now, but I'll never sell it."

What advice would he offer an aspiring collector or investor? "The whisky market is on fire at the moment, it really is," he says. "But you can't become an expert overnight.

"As a rule of thumb, buy limited edition bottles from iconic distilleries. But most importantly, learn about whisky, meet the experts and talk to them, and drink as much as you can."

Back in the honeyed presence of The Balvenie 50-year-old, Sam Simmons is inclined to agree. "Ultimately, whisky is about loving the mystery of the drink, conversation and friendship," he says.

"Whisky is to be drunk and enjoyed. However high the stakes get, you can never lose sight of that."

Battersea Power Station: The life, death and rebirth of a London icon

Biodesign: Why the future of our cities is soft and hairy

Flying monkeys and winged goats: Photos that make you question reality

@highlight

A 50-year-old whisky costing £25,000 ($40,800) has been released by The Balvenie distillery in Scotland

@highlight

The top 100 whiskies appreciated by an average of 440% in the last six years

@highlight

Rare whisky is becoming a popular investment

@highlight

Whisky investment funds have been set up, but seasoned collectors urge caution