(CNN) -- Dr. Sean Kumer is actually happy when a call from work wakes him from a deep sleep.

A call means the transplant surgeon at The University of Kansas Hospital can save another life. He worries, though, about possible changes being discussed regarding the way donated organs are distributed; if they go into effect, he may not be able to save so many lives.

"I worry (the possible changes) will harm my patients," Kumer said.

On September 16, the United Network for Organ Sharing, the nonprofit that manages the nation's transplant system, will hold a public hearing to discuss ways to "increase equity" in how organs are assigned to patients across the country. Each organ has a different system for handling its waiting list, and the network has seen a particular problem with donated livers.

Currently, a donated liver is supposed to go first to the person who is most likely to die without a transplant, but the system also takes geographic factors into consideration. That means the sickest person in the country doesn't always get dibs. Instead, the system uses a "local, regional and national" algorithm.

There are wide disparities in the number of organs available in the country's 11 regions. In the South and Midwest, donations are high. Donations on the coasts are low.

So if you live in California, an area that has one of the lowest liver donation rates, you would probably wait longer to qualify for a transplant than someone who lives in Tennessee, in a region where the donation rates are much higher. That's why Apple co-founder Steve Jobs flew to Tennessee to get his liver transplant, even though he lived thousands of miles away in California.

These are disparities the organ network considers "unacceptably high." (PDF)

The biggest problem is a serious shortage of donated livers. Although about 6,000 liver transplant operations happen each year, that's only a fraction of those who need them. There are 15,600 people on the waiting list right now.

An average of 1,500 people die each year while waiting for a liver transplant across all regions, whether there is a generous donor community or not. And the number of people needing liver transplants is expected to rise. With the nation's obesity epidemic, fatty liver disease has become a growing problem with more patients needing transplants.

"We lose someone every week who never got a shot at a lifesaving liver transplant because of where they live," said Dr. David Mulligan, chief of transplantation and immunology at Yale and chairman of the United Network for Organ Sharing committee considering the change. "That same person would have had a shot if they lived in Kansas or Georgia or Louisiana."

To address this disparity, Mulligan says, his committee is open to ideas. Right now, it is considering a variety of mathematical models. One would reduce the 11 U.S. transplant regions to four or eight. Centers on the West and East coasts could see a 40% to 50% increase in volume with this shift, according to some estimates.

These models worry doctors who live in the regions where the supply of donated organs is better. Doctors in Kansas benefit from a highly successful donor outreach program and don't want their region to be an "organ farm" for the parts of the country where not as many donate, Kumer says.

"What they are attempting to do is say, 'Hey, those guys have all the organs. Let's go over and poach those' instead of having their own grass-roots campaign to identify new donors," Kumer said.

Dr. Tim Schmitt, director of transplantation at The University of Kansas Hospital, thinks the organ network's committee is looking at the problem the wrong way. Instead of shifting regions, he believes, it should focus on signing up more organ donors.

"That's where we should devote all our energy, rather than just shuffle the organs around the country," Schmitt said. "I think everyone in UNOS and in the transplant community wants to save more lives; that is a no-brainer. But we feel that geographic disparity is more a reflection of other broader problems."

This week, Schmitt and doctors at dozens of transplant centers in the Midwest and the South sent a letter of protest to the organ network, urging the committee not to make any changes until all available data are considered.

If the network implements the "concept" proposal and broadens the geographic boundaries for sharing donor livers, it would "represent the most drastic change in liver allocation ever," the authors wrote, and "would significantly disadvantage many areas of the country currently able to serve their patient populations."

A congressional delegation from Georgia also sent a letter in April, asking the network to put a hold on the remapping process. Their letter argues that the changes could reduce the "number of liver transplants performed in Georgia by 25%" and "inevitably drive up costs, decrease survival rates, and waste precious resources in an already constrained sector of healthcare."

Transporting organs longer distances could cost health care centers $30 million more annually, according to some estimates. Mulligan argues that cost would be offset when doctors have to take care of fewer people with end-stage liver failure.

Mulligan says his committee will make sure it does not "hurt the regions that have been successful" with organ donation. He believes that ultimately, a new system will save hundreds of lives every year.

"We are totally aware that there are certain parts of the country that will see big shifts, and that will be scary to them, but we have to take off our hats that represent our individual centers and think about what is best for patients all across the country," Mulligan said.

Both sides of the debate agree though, that no matter how the system will change, it is only a temporary fix akin to "rearranging the deck chairs on a sinking ship," Mulligan said. "We are going to continue to have this problem if people don't donate."

To become an organ donor, register at OrganDonor.gov.

Waiting for a new face: Transplants give people back their lives

@highlight

There is a shortage of liver transplant donors in the United States

@highlight

Only 6,000 of nearly 16,000 people on waiting list get a liver transplant each year

@highlight

There are big regional differences in how many will get a transplant