(CNN) -- The music of Hugh Masekela is the sound of South Africa. In a career that has spanned more than 50 years his songs have expressed both joy and indignation, exploring themes of inequality and hardship, protest and hope.

Hugh Masekela, still an inspiration.

More than just an inspirational musician, Masekela was an inspirational campaigner against apartheid and is now helping to build a new South Africa.

Masekela was born on 4 April 1939, in Witbank, South Africa. He started playing the piano when he was six, but seeing Kirk Douglas play a jazz trumpeter in the movie "Young Man with a Horn" inspired him to switch instruments.

When he was 14, he was given his first trumpet by the chaplain at his school, renowned anti-apartheid campaigner Trevor Huddleston. Within six months Masekela got together with some school mates to form the Huddleston Jazz Band.

He went on to join Alfred Herbert's African Jazz Revue and the Jazz Epsitles, and played in the orchestra for the hugely successful South African musical "King Kong," whose cast included his future wife, legendary singer Miriam Makeba.

Watch Hugh Masekela take CNN on a tour of Johannesburg ».

But South Africa's apartheid laws were making life increasingly difficult. After recording their first record Masekela and The Jazz Epistles were primed for a national tour, but after the Sharpeville Massacre of 1960 the government banned gatherings of more than 10 people, so the tour had to be abandoned.

Masekela was determined to further his musical education and moved to London in 1960, studying at the Guildhall School of Music, before leaving for New York, enrolling in the Manhattan School of Music and immersing himself in the city's buzzing jazz scene.

After finishing his studies Masekela planned to return to South Africa to teach music, but he found himself cut off from his homeland. "When I was ready to come back, I couldn't. The place [South Africa] was impenetrable," he told CNN. "By then Mandela had been sentenced to life imprisonment. So I stayed 26 years longer than I planned to."

Resigned to living in the U.S., Masekela began making a name for himself as a musician, fusing jazz, Latin, African and pop influences in a style all of his own. In 1968 he recorded the breezy instrumental pop tune "Grazin' in the Grass," which gave him a surprise number one hit and became the best-known song of his career.

In the 70s he began to divide his time between the U.S. and Africa, living in Guinea, Liberia and Ghana. Incorporating more African influences in his music, he went on to record classics such as "Home is Where the Music is," "Stimela" and "Soweto Blues."

See Hugh's career in photos. »

In Botswana he started a music school and set up a mobile recording studio. Nelson Mandela heard about the projects and sent Masekela a birthday message telling him to "keep up the good work."

Masekela was so moved that he immediately wrote "Bring back Nelson Mandela," which became an anthem for the anti-apartheid movement.

But his vocal opposition to apartheid made him a potential target for South African security forces and he was forced to leave Botswana for London. It was there that he co-wrote the music for hit Broadway musical "Sarafina!"

Masekela went on to play with Paul Simon on his Graceland tour, along with other South African artists including Ladysmith Black Mambazo and Miriam Makeba.

It wasn't until 1990, following the release of Nelson Mandela, that Masekela was finally able to move back to his beloved South Africa.

"It was great, but it was also a tense time coming back to South Africa," he told CNN.

"It was a time of real turmoil. There were no-go places in the townships, there was sniping, there were major clashes and it was a time when civil war was threatening."

Since moving back to Johannesburg, Masekela has continued to record platinum-selling albums and has toured all over the world, but he is also heavily involved in helping his homeland fulfill its potential.

Having himself struggled with alcohol and drug abuse in his younger years, Masekela now supports drug-rehabilitation project the Musicians and Artists Assistance Program of South Africa.

Another of his projects is to help black Africans own a stake in the country's media outlets. He recently told Al Jazeera, "TV, broadcasting, manufacturing, management and publishing should be owned by Africans. Until that happens we won't be able to project ourselves, we'll always project from the perspective of those who have exploited us."

The struggle against apartheid may be over but Masekela is still fighting inequality and hardship, and at 70, he is still a source of inspiration and hope.

@highlight

Musician Hugh Masekela was an inspirational campaigner against apartheid

@highlight

He left South Africa in 1960 to go to music school in London and New York

@highlight

His hit songs included Grazin' in the Grass" and "Bring back Nelson Mandela"

@highlight

He returned to Jo'burg in 1990 and continues to record and tour the world