LONDON, England (CNN) -- "I feel that my life is worthless. I have lost my interest in talking to others, and in my studies too. I have also lost interest in being with a crowd of people. All I want is to sit all by myself. Is my problem an illness? Has it got any solution?" - Letter from a male university student, 18, Nepal

"Chatting" on the road: SSMK reporters in action

This extract is just one example of the 1,500 letters and 400 e-mails that Binita Shrestha, 29, receives each month. As the host of Nepalese community radio show, "Chatting with my Best Friend," Shrestha and her co-host, Binayak Aryal, provide a vital link to young people across the remote regions of the mountainous country.

"Chatting with my Best Friend," or "Saathi Sanga Manka Kura" (SSMK), launched in April 2001 with the mission to broadcast life skills to Nepalese youth and equip them with the knowledge and the confidence to make better-informed decisions.

The lively hour-long show features drama, songs and light-hearted banter between its young hosts. But the focal point of the show -- and the reason for its popularity amongst its young and often isolated audience -- is the listeners' letters section, where Shrestha and Aryal give frank, unbiased advice on everything from teenage sex, HIV and drug use to careers and family matters.

The team have handled letters from a girl whose father had raped her but whose mother wouldn't believe her; a boy whose HIV-positive girlfriend was pressuring him to marry her; a girl who had contracted a sexually transmitted disease and didn't know what to do; and girls facing sexual harassment on the streets. That's on top of the issues faced by many teens around the world: low self-esteem, lack of career opportunity, sexuality and self identity; plus the problems that have risen from the recent Nepalese conflict: enforced migration, the risk of landmines and dealing with disabilities.

Some cases, like the one from the girl who was raped, require special attention. (She was advised to talk to her older sister and was put in touch with a local counseling center.) But the SSMK team are able to respond to most of their huge mailbag with templated letters and advice booklets, enabling the listener to make their own informed decision.

The weekly show has six million listeners across Nepal -- a staggering 20 percent of the population and 50 percent of its 14-29-year-old target audience. Since launch, it has doubled in length, has its own spin-off careers show and has sired similar projects in Cambodia and Laos. And when the SSMK team hit the road, they are greeted like film stars by legions of avid fans. "You don't ever feel lonely. Anywhere I go, I am surrounded by people," says Shrestha.

With its peer-to-peer approach, "Chatting with my Best Friend" aims to lift some of the taboos surrounding sex, drugs and related issues like human trafficking.

Unsurprisingly for a country whose population is traditionally both modest and reticent, the show received some resistance when it was first broadcast. But while those taboos aren't going away -- even Shrestha says she sometimes feels awkward listening to the show with her family -- "Chatting with my Best Friend" has opened up communication both amongst youth and across the age divide.

And the show's combination of friendly chat backed up with clear information is working. One of the main achievements of "Chatting with my Best Friend," according to its listeners, is that it has boosted their self-esteem. "[The show] has helped thousands of Nepalese deprived of proper knowledge," writes one. "Several of my problems got solved through your program," adds another.

For the SSMK team, the show is no nine-to-five. The pressure is intense. When Shrestha leaves the office, her job follows her. People approach her on the street or when she's traveling, hoping that she can solve their problems. "They really have expectations," she told CNN. It can get overwhelming. "We can only give them comfort sometimes," she admitted. "I feel very bad if the situation is very critical and I am not able to do anything. We are just radio producers: we can't have solutions for everything."

But their dedication brings a closeness that she treasures: "The people that work on the show are like a family. We all know what we're working for," she said.

That closeness has helped Nepalese youth to link up with each other, too. Some found it uncomfortable to listen to the show's subject matter with their families, and chose to listen with friends. That's resulted in a thousand listener groups springing up across Nepal whose members listen to the show together each week, hold special information events and raise awareness of HIV, safe sex and other personal issues within their communities. One remote village's group even organized the building of a link road to the main highway, two kilometers away.

The SSMK model's success has spurred a sister project in Cambodia, "We Can Do It!" that launches this December, and a more modest project in Laos based within a secondary school.

Ronni Goldfarb, founder and president of Equal Access, hopes that the future will bring more opportunities for collaboration to bring the SSMK model to new countries in Asia, Africa and Latin America.

Goldfarb is keen to point out how cost effective community radio can be. In rural Nepal, where Internet access is limited and television and print are prohibitively expensive, radio can reach thousands of youngsters who would otherwise be isolated within their small villages. Equal Access does this for less than ten cents a year per listener.

"By 2020 the world's youth population will easily reach four billion," Goldfarb told CNN. "Empowering youth -- tomorrow's leaders, parents and teachers -- with self-esteem, the confidence and skills to create a better life, and a supportive network of peers is one of the most powerful contributions Equal Access can make to future generations and to a more equitable world."

Back in Kathmandu, as half of Nepal's most famous youth radio duo, Shrestha's bright future has only begun. But she won't stay with SSMK forever. "Even though I feel really young at heart, I know that in years to come I won't be young any more," she explained. And when that day comes, she and Aryal will pass on the SSMK baton to a new generation of presenters -- who will bring the SSMK brand of friendly, supportive and practical advice to a new generation of Nepalese youth.

...................................

How can we equip our youth to face the challenges of the future? What's the best way to inspire young people? Share your thoughts and read others' views in the Just Imagine forum.

For more information on "Chatting with my Best Friend" and Equal Access's other projects, see the Equal Access Web site. E-mail to a friend

CNN's Brie Schwartz contributed to this report.

@highlight

"Chatting with my Best Friend" broadcasts frank and practical advice in Nepal

@highlight

Show's remit is to educate youths in life skills, sex education, HIV awareness

@highlight

Half of Nepal's 14-29-year-old youths tune in to the weekly radio show

@highlight

Show's peer-to-peer model is being adapted for Cambodia, Laos