(CNN) -- I was in my office last week when a 14-year-old soccer player came in with her parents. She told me a story that is, unfortunately, very common.

She had been at practice when she planted her foot, twisted her knee and went down in a heap. "I felt a pop," she said.

Even before examining her knee, I knew it wasn't going to be good news. The knee was swollen, the first indication that bleeding inside the joint, called a hemarthrosis, had occurred.

I pulled on her knee to test the ligaments and unfortunately, my suspicions were confirmed. She had torn her anterior cruciate ligament.

Because of its poor blood supply and location inside the knee, the ACL has the unfortunate distinction of being the ligament in the knee with the worst healing potential. This is important since the ACL has the most important job, keeping the femur (thigh bone) and the tibia (leg bone) moving in unison during twisting maneuvers.

ACL injury is a buzz word among athletes.

In young athletes, it's an unfortunate reality, as they are occurring at increasing rates over the past two decades. In part it's because more children are playing competitive sports and doing so at a younger ages. But they are also playing longer seasons and sometimes all year. Now the American Academy of Pediatrics is advising doctors in a new clinical report on the best ways to approach and treat ACL injuries in children.

Teens who play sports have heard about the injury and know it isn't good. What they don't quite realize, however, are the future implications.

Famous athletes such as quarterback Tom Brady and alpine skier Lindsey Vonn have come back after ACL surgery, so how bad can it be? The truth is that surgery can restore knee function, but it does little to diminish the risk of arthritis 15 to 20 years down the line. Regardless of whether an athlete has surgery, the risk of arthritis skyrockets later in life from an ACL tear. Kids who tear their ACL today are often left with 60-year-old knees when they're 30.

If parents and coaches realized the long-term implications of an ACL injury, I think they'd be more attuned to prevention. Multiple studies have demonstrated that strong muscles, particularly the landing muscles in the hips, glutes and hamstrings, can prevent ACL injuries from happening.

There are many resources to develop strength programs, including the PEP program and The ACL Solution. These and other programs are easy to implement at home or practice and twice per week is enough to make a difference. The new American Academy of Pediatrics report advocates this kind of training.

Demand that your youth sports programs have ACL prevention programs. If they don't, set them up. Although boys and girls are at risk for ACL injury, post-pubertal girls are at least four times more likely to tear their ACL than boys. Parents can and should intervene to make sure their kids are safe.

When I see young athletes who tear their ACL, one of the first questions their parents ask is: What could we have done to prevent this? The answer: everything.

@highlight

The anterior cruciate ligament, inside the knee, serves a crucial function

@highlight

ACL injuries are increasing among young athletes

@highlight

A new report recommends training to prevent ACL injuries