(CNN) -- Earlier this week, New York police arrested four people suspected of selling heroin to actor Philip Seymour Hoffman, who later died from a heroin overdose. But the police haven't yet connected them to the drugs that killed Hoffman. Assuming law enforcement does -- and they might because the actor's telephone number was found on the cell phone belonging to one of the suspects -- can those suspects be held responsible for Hoffman's death?

The simple answer is no. But that doesn't mean whoever sold heroin to Hoffman would be exempt from a heap of trouble.

In New York, homicide is defined as "conduct which causes the death of a person." But not all homicides are the same. Homicide is defined in several "grades," ranging from criminally negligent homicide to manslaughter to actual murder. All share one basic requirement: intent to cause death or, at least, death arising from grossly negligent or reckless conduct. In layman's terms, that means you either have to mean to kill someone, or know there's a risk of death and don't care about it.

By all accounts, the people who police believe sold heroin to Hoffman were ordinary drug dealers plying their illicit trade. They may not have cared who they sold to. They may not have cared that Hoffman had a history of drug and alcohol problems. And they may not have cared that they were feeding demons that had taken hold of Hoffman.

But it's also unlikely that those alleged dealers intended or believed that anyone, including Hoffman, would die using their product. Prosecutors also generally don't hold drug peddlers responsible for the consequences of their dealing, so it's unlikely that lawyers from the Manhattan District Attorney's Office believed the dealers did.

The people who police accuse of selling heroin to Hoffman could not even be charged with felony murder -- that is, a death happening during the course of committing another offense -- because New York's felony murder law only applies to robbery, burglary, rape and similar violent crimes.

Still, those suspects could face serious legal problems. Police found 350 glassine bags of heroin at the time of their arrest, which, if found to belong to the suspects, strongly suggests they intended to sell them. After all, that amount of smack is a lot for personal use.

So, at the very least, a seller who supplied heroin to someone who overdosed could be charged with criminal possession of a controlled substance in the third degree because he or she "knowingly and unlawfully" possessed heroin "with intent to sell it." That crime is punishable by up to 8â…“ to 25 years.

If police link them to the heroin that killed Hoffman, they also could be charged with criminal sale of a controlled substance in the third degree because they "knowingly and unlawfully" sold heroin. That crime also is punishable by up to 8â…“ to 25 years.

These penalties are, of course, the maximum sentences that could be imposed. If convicted of those crimes, though, those alleged dealers will surely spend time behind bars. Both statutes also carry mandatory minimum sentences of one to three years.

The police in New York have already made examples out of the dealers suspected of selling heroin to Hoffman. They spent enormous resources to quickly hunt them down. For better or worse, it's doubtful that that level of effort was expended for anyone else who died of a drug overdose in New York in the past several years. And there were plenty of them -- 541 in 2010, 630 in 2011 and 730 in 2012.

Now it's up to the prosecutors in New York. If they, too, want to make examples of suspected dealers, ample tools exist to put them behind bars for a very long time. It's just that they won't be locked up on homicide charges.

Legally speaking, it was Philip Seymour Hoffman who was responsible for his own death, even if drug dealers sold him the means to that end.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: If suspects sold heroin to Hoffman, can they be held for his death? Not likely

@highlight

Writers: "Homicide" means you meant to kill, or know there's a risk of death and don't care

@highlight

In Hoffman's case, police spent huge resources to hunt down the suspects, they say

@highlight

Writers: It's doubtful any of the hundreds who overdose each year will get that attention