Istanbul (CNN) -- Turkish Prime Minister Recep Tayyip Erdogan agreed to put the brakes on plans for a mall on a park in Istanbul for now, a compromise of sorts to end the two weeks of persistent unrest across the nation.

The government will keep construction plans on hold until a court considers the objections of protesters camped out in the Taksim Square's Gezi Park, officials say, If a judicial ruling is not in line with what Gezi protesters want, a plebiscite on the park will be held.

Erdogan also will investigate claims of excessive use of force by police -- a major concern of the citizenry.

This comes after leaders of the protests in Istanbul's Taksim Square met last night with Erdogan at his home in Ankara, the capital -- an event regarded as a sign of reconciliation between the government and the protesters.

The protesters -- part of a Taksim Solidarity coalition -- were pleased: "This is just the beginning, resistance will continue," protesters chanted at a meeting in Istanbul.

Erdogan, in a speech broadcast on TV Friday, called on people camped in Gezi Park to withdraw.

"We say please, come now and withdraw from Gezi Park, go to your homes. And if those from those illegal organizations remain there, then we will be left face-to-face with them. Because that Gezi Park is not a park of this illegal organization, these occupying organizations. It belongs to the whole of Istanbul and whole of the nation, and everyone should be able to benefit and enjoy this Gezi Park easily."

The sit-in against the development served as a symbolic stance against what many perceived as creeping infringement of rights in a secular society. People protested plans to bulldoze Gezi Park and replace it with a shopping mall housed inside a replica of a 19th-century Ottoman barracks.

What was a small protest broadened into an outpouring in the square and throughout the country as security forces cracked down hard on demonstrators. The images, seen worldwide on social media and TV, sparked criticism in world capitals as well as Turkey itself -- a NATO member and a U.S. ally.

The unrest also signaled political danger for Erdogan -- a popular, populist, and democratically elected politician serving his third term in office.

Erdogan has been criticized for heavy handed tactics, even among his allies, and for trying to impose developments without popular public input. The park plan is the final straw for many anti-Erdogan Turks, who think the government is intent on imposing its will whenever and wherever it wants.

The criticism has been a blow to Erdogan and his Islamist-rooted party, which has overseen an economic boom in the country over the past decade. His actions have buoyed the secular opposition -- the one-time powerful demographic that feels marginalized by Erdogan's Justice and Development party, the AKP.

But despite Erdogan's tough rhetoric toward protesters, he and his government appear to be hearing the diverse voices in Taksim and other squares across Turkey. He mocked what he saw as the protesters' lack of cleanliness and rowdiness and warned those people camped out in the park and the square to leave.

After the meeting, Huseyin Celik, deputy chairman of the AKP, told reporters in Ankara on Friday that Gezi Park would be kept untouched until the court's decision.

"A plebiscite will be held to sound Istanbul people out to determine what they want and do not want. We will definitely respect the final decision of the people of Istanbul no matter what the outcome will be. Our government will undoubtedly implement the decision of Istanbul people."

Tayfun Kahraman, a city planner speaking on behalf of the Taksim Solidarity protest movement, thanked Erdogan and his ministers for accepting their demands for a meeting. He said Erdogan said the government would implement the final result of a plebiscite across Istanbul and investigate police behavior.

"We will closely follow his promises and the process. Unfortunately four people died in the incidents. We still feel the pain of their death. We will organize an activity in Gezi Park tomorrow, a commemoration for the dead as a lament and expression of deep sorrow," Kahraman said. Taksim Solidarity is a coalition of protesters that comprises dentists, pharmacists, engineers and other educated secularists.

The government wants the protesters to leave Taksim, but there is no single organization or person capable of getting everyone to pack up and go. Many groups in Taksim and some -- such as the LGBT, Turkish Youth Union and Red Hack -- have already vowed to hunker down in the park.

In Istanbul later, protesters stressed the importance of the police brutality issue, with one official saying their attacks "trampled all human dignity." That issue was hit home strongly during the meeting.

Protesters said Erdogan didn't respond to demands that those detained should be freed and stripped of charges and that central squares across the country be opened for freedom of speech and expression.

Earlier this week, many activists had backed out of a meeting with Erdogan out of anger over the tear gas against demonstrators by police this week.

After two weeks of raucous anti-government street protests, calm settled over Istanbul for a second day Friday as the city prepared for pro-government counter demonstrations.

Erdogan's party has organized counter protests for the weekend to give a voice to Turkey's "quiet majority to the people and the world," he said. They will show the international community "a real, true picture of Turkey."

Two rallies will be held away from anti-government protests to avoid possible confrontations, he said.

Police in Ankara launched tear gas at rowdy demonstrators who tried to set up barricades to cut off traffic. Police released 46 demonstrators detained in the protests, CNN sister network CNN Turk reported.

Opinion: Past and future collide in Turkey clashes

Letters from Turkey, with pride

What's driving unrest and protests in Turkey?

CNN's Gul Tuysuz reported from Istanbul. Joe Sterling and Ben Brumfield reported and wrote from Atlanta..

@highlight

Erdogan urges people to leave Gezi Park

@highlight

Protesters chant, 'this is just the beginning'

@highlight

Prime minister meets with a coalition of protesters