Air traffic controllers may be taking more risks in handling airliners under a 2-year-old rule allowing them to report errors without fear of punishment, congressional investigators say in a report highlighting a spike in incidents.

Controllers and the FAA, however, say the rule has actually improved safety.

The report by the Government Accountability Office -- which notes a 53 percent increase in controller errors within five miles of airports and a 166 percent jump in errors handling approaching flights up to 40 miles out -- comes at a time of remarkable commercial aviation safety in the United States. The nation has not seen a fatal airliner crash since 2009, the same year the rule went into effect.

The increase in errors "began a notable climb in the fourth quarter of fiscal year 2009, peaked in the second quarter of fiscal year 2010, and remained at rates higher than the historical average through the second quarter of 2011," the GAO said in its report.

The FAA says the jump coincides with the non-punitive reporting rule, which took effect in July 2009. That system encourages air traffic controllers to voluntarily report errors so that dangerous patterns can be identified and the system can be made safer, the agency said.

The system, which protects controllers who report efforts from legal or disciplinary action,  has "produced a wealth of information to help the FAA identify potential risks in the system and make corrections," FAA spokeswoman Laura Brown said.

"More information will help us find problems and take action before an accident happens," she said.

But the GAO said  FAA officials who are not identified in the report told investigators that the system also may reduce personal accountability and "may make some air traffic controllers less risk averse in certain situations." That may have led to more errors, according to the GAO, which also said some FAA officials told them the rule also limits the ability of managers to take action against employees who make a mistake.

The GAO also said 65% of the errors reported through the non-punitive system, some of which may have involved violations of the standards separating aircraft in flight, were not fed into a separate FAA reporting system for operational errors. That may have reduced the number of errors directly reported to FAA supervisors, the GAO said.

Rep. Thomas E. Petri, the Aviation Subcommittee chairman and one of six Congress members who requested the GAO study, said the spike in errors raises significant concerns.

"Airlines and FAA controllers alike share credit for the safety record we enjoy today," Petri, a Wisconsin Republican, said in a written statement. "However, the recent uptick in near miss events is a precursor to tragedy."

But Paul Rinaldi, president of the National Air Traffic Controllers Association, said his take on the report is that it shows the FAA has "taken several steps to further improve safety at and around airports."

Bill Voss, president of the Flight Safety Foundation, said he supports the FAA's non-punitive reporting system, saying it is bringing to light errors that would have gone unreported under the old system.  But he said the new system, by itself, can not explain all of the increases in controller errors.

"A jump is inevitable when you change your reporting system. You worry if you don't have a jump because you feel like something hasn't worked," Voss said. "But when you look underneath these numbers, as GAO has done very carefully, you can't explain everything away by a change of reporting. It looks like there's some substance to it too, and that has to be dealt with."

@highlight

FAA's non-punitive reporting system took effect in July 2009

@highlight

Since then, reporting of controller errors has risen dramatically

@highlight

GAO says system may reduce personal accountability, "risk-averse" behavior

@highlight

FAA, controllers union say the reporting system has made U.S. air travel safer