Washington (CNN) -- The nation's first black president could be in danger of becoming a "one-termer" if he can't convince enough white voters that he deserves another four years in the Oval Office.

For weeks, he's hovered around 40% of white voter support - a level that Democratic presidential candidates have struggled with in the recent past and one that analysts believe Barack Obama must maintain in order to win. At the same time, he has to encourage minority voters to go to the polls and capture 80% of their support.

Do the math: CNN racial bloc voting calculator

"Obama in 08 became the first presidential candidate ever to lose whites by double digits and win. And he could lose them by even more this time and still win. But he can't fall through the floor with them, and the polling shows him ... right at the water line of 40 percent that he'll need, maybe just below sometimes just above," said Ron Brownstein, the National Journal editorial director and CNN senior political analyst.

"The big qualification: he's running better among working class whites in the upper Midwest battlegrounds of Iowa, Wisconsin and Ohio than anywhere else and that is his last line of defense in this very close election," he said.

With 59% support among whites, Republican presidential nominee Mitt Romney is hitting record numbers among that group. He is approaching a margin of support last seen by Republican Ronald Reagan in his 1984 re-election.

Yet, support for Romney among non-white voters has hovered between 18-20%, according to national Washington Post-ABC News tracking poll data.

During his 2008 presidential campaign, Republican nominee John McCain got roughly 55% of the white vote and 20% of the non-white vote.

"This is a long-term demographic problem," John Avlon, a CNN contributor, said. "We don't want to see our politics divided by race going into the future. That is not healthy or sustainable for a nation as large and diverse as we are and this election is shaping up along these fault lines."

The racial trends in this year's election are part of a complicated calculus in which a greater number of white Republican voters could offset possibly lower turnout among the Democratic base of minorities and young voters.

Moreover, an ongoing fight in battleground states over voter identification laws, which some opponents say are efforts to disenfranchise minority voters in a close election and proponents say are needed to prevent fraud, is also a factor.

The result is a deeply partisan and polarized election that could hinge — in part — on some uncomfortable racial math.

"Part of the reason we're thinking about this is the dynamic of this being a black president," said Mark Anthony Neal, a cultural and Black studies professor at Duke University.

Is Obama taking black vote for granted?

Neither the Obama and Romney campaigns commented on the racial differences in the polling figures.

However, both campaigns have shown that they are aware that the nuances of race factor into potential wins.

Romney's comments during a May fundraiser that "it would be helpful to be Latino" because were he "born of Mexican parents, I'd have a better shot of winning this," went over poorly with some Latinos—a voting block the campaign is trying to make inroads with through Spanish language advertisements and dispatching bilingual surrogates.

During recent comments to the Des Moines Register editorial board, Obama said: "I will just be very blunt. Should I win a second term, a big reason I will win a second term is because the Republican nominee and the Republican Party have so alienated the fastest-growing demographic group in the country, the Latino community."

Obama made history when he won the 2008 presidential election — a feat he accomplished in part with 43% of the white vote. It was the same percentage former President Bill Clinton netted in 1996.

But Democrats have struggled for the past decade to hold on to white voters during presidential elections, Brownstein said.

In 2004, Sen. John Kerry lost his presidential run after getting only 41% of that group. In the 2000 election, Vice President Al Gore lost with 42% of the white vote, 90% of the black vote and 35% of the Latino vote.

"Democrats have struggled for several decades to maintain any measurable level of support among whites, especially non-college whites," Brownstein said.

"No Democratic nominee has won a majority of whites since 1964. And it's been especially hard for Democrats to hold onto whites after they have had unified control of Washington, which suggests they are having trouble convincing whites to buy into their vision of activist government."

And Republicans have struggled to woo minority voters.

In 2004, for example President George W. Bush won re-election with 30% of the minority male and 24% of the minority female vote. Exit polls from the 2000 election showed that Bush received only 9% of the black vote and 35 percent of the Latino vote.

The number of minority voters has increased since those elections. Over the next several generations, the wave of minority voters -- who, according to U.S. Census figures, now represent more than half of the nation's population born in the past year -- will become more of a power base in such GOP strongholds as Alabama, Mississippi and Georgia. That hold will extend all the way to California, experts say.

GOP problem: 'Their voters are white, aging and dying off'

But for now, the population remains majority white and turnout rates are traditionally lower among minorities—both factors that could prove problematic for Obama.

"What we're beginning to see is the Republicans are becoming increasingly white and Democrats are increasingly losing white people. They're maintaining the minorities, but losing whites ...," CNN contributor LZ Granderson told the network. "It's the message. Something they're doing as a party that is not appealing to the white voter. And so it isn't just about President Obama. It's about the platform."

Granderson: Both parties have a huge race problem

Political experts attribute part of Obama's struggles with some white voters to disappointment in his handling of the economy.

Discomfort over his shift on such social issues as support for gays serving openly in the military and his administration's federal mandate requiring religious institutions to offer employees insurance coverage for contraception may keep some socially conservative white voters from casting ballots for Obama, political experts say.

But for some voters, a subtle form of racism may also be at play, Neal said.

"If we were in a post-race society, the measurement is not the election of Obama but the re-election of President Obama. He still had to perform and he has been held on a short leash in that context," Neal said making the analogy that black professional sports coaches and managers are similarly given less room to stumble than their white counterparts.

"Many voters including black voters don't feel Obama performed exceptionally (on the economy)," Neal said. "So much of what we've seen in terms of Romney support is a fundamental distrust of Obama because he's not giving the goods. That argument is easier to be made because he's black. ... It's not so much they are voting for Romney because he's white but the economy protects them. They don't have to feel guilty because of the economy. The economy lets them off the hook."

Whatever the reasons for the gap, Obama will have to work overtime to maintain numbers of white voters who say they will vote for him while convincing minority voters to turn out to vote, said Andra Gillespie, an associate professor of political science at Emory University.

"To be more comfortable he should be going above 40 percent (with white voters)," Gillespie said. "He's focusing on women, the majority of whom are going to be white, by talking about issues of reproductive health and contraception. He's going for the white youth vote by talking about student loans."

Both campaigns realize that all of their careful math hinges on getting out the vote.

"They should have a good sense of where their voters are and who their voters are. They should have spoken to them by phone," Gillespie said. "And they should have a plan in place to ask them to vote between now and Election Day."

@highlight

40% of white voters say they'll vote for President Obama--the minimum threshold he needs to win

@highlight

For at least a decade, Democrats have had lower numbers with white voters in presidential elections

@highlight

Political experts attribute lower white support to party identification trends, economy, social policy, race

@highlight

Obama must hold the line with white voters; get high minority turnout to win.