(CNN) -- The pilots hardly had time to react. Two streaks of light shot past their plane as it climbed into the skies above Mombasa in Kenya. Fortunately for the hundreds of tourists on board, the two SA-7 surface-to-air missiles (SAMs) fired by terrorists from a hillside close to the airport missed their target.

Minutes later and thousands of feet below, more than a dozen people were killed in a bomb attack on an Israeli-owned hotel, the second part of a coordinated attack carried out by al Qaeda in November 2002.

It remains the only record of al Qaeda firing SAMs on a passenger jet. But if the president of Chad is right, the terrorist group may just have acquired another batch. President Idriss Deby has told the magazine Jeune Afrique (Young Africa) that al Qaeda's North African affiliate -- Al Qaeda in the Islamic Maghreb (AQIM) -- has taken advantage of unrest in Libya to seize SAMs from military stockpiles in rebel-held areas.

He claimed that the missiles had already been "exfiltrated" by the AQIM from Libya and taken to the group's sanctuaries in the Ténéré region of north and northwestern Niger. "It's a very serious situation," he added. "AQIM is on the way to becoming a veritable army, the best equipped in the region."

Deby said he was "100% sure" of the information, but U.S. military officials have not publicly weighed in on the claim. When asked about the reports during testimony before Congress Tuesday, Adm. James Stavridis, the NATO supreme allied commander in Europe, said he would respond in closed session.

There are certainly plenty of SAMs in Libya. Video and photographs have shown rebel fighters posing with shoulder-fired surface to air missiles including SA-7s, the same type fired in Kenya. The SA-7 is a 1960s-era Soviet-made missile, later distributed to insurgents fighting Soviet troops in Afghanistan by the CIA in order to disguise their true origin.

But analysts doubt that AQIM has obtained such missiles. Deby offered no concrete evidence -- in public at least -- to back up his claims. He may also have an interest in playing up the al Qaeda threat in his own backyard. Counterterrorism analysts say that Deby did not add to his credibility when he said there was some truth to Moammar Gadhafi's assertion that al Qaeda was orchestrating the Libyan rebellion, a claim for which no evidence has surfaced. Stavridis said in his testimony that only "flickers" of al Qaeda activity had been detected in eastern Libya.

Given relatively high rates of Islamist radicalization in eastern Libya in recent years, it is possible that al Qaeda sympathizers in rebel ranks could have transferred weapons to AQIM. But it seems unlikely because the rebels' overwhelming motivation is to topple the Gadhafi regime.

A more plausible scenario sees AQIM buying missiles on the very substantial black market in weapons in Africa. According to Andrew Lebovich, a researcher at the New America Foundation who closely tracks AQIM, the organization's significant revenues from kidnapping, drug smuggling and human trafficking mean that it has the money to buy SAMs.

"If, and it's a big if, AQIM really did get hold of surface to air missiles and transport them all the way down to Niger, their main rationale would likely be to use them to defend against helicopter raids on their camps by French and other special forces teams in the area." he said.

AQIM appears to have already acquired some anti-aircraft weapons. Geoff Porter, an expert on AQIM, wrote in the February edition of CTC Sentinel, published by West Point's Combating Terrorism Center, that AQIM has used its rising revenues to purchase DSHK (Dushka) .50 caliber anti-aircraft machine guns on the black market, possibly from West Africa.

AQIM has been traditionally weak in Libya, according to Noman Benotman, a former Libyan jihadist who is now a senior researcher at the Quilliam Foundation, a UK-based counterterrorism think tank. The group's leadership is mainly Algerian, and its foot soldiers are being increasingly drawn from the Sahel region of Mali, Niger and Mauritania.

But there are signs that its horizons are broadening. According to a recent briefing paper on Libya co-authored by Benotman, up to 40 Libyans have joined the group in the last two or three years. And in 2009, Saif al Islam Gadhafi, one of the Libyan leader's sons, told CNN's Nic Robertson that several Libyans had joined AQIM's ranks in Algeria and Mali.

According to Benotman, AQIM decided to start infiltrating Libya after the fall of the Tunisian regime in January, after years of avoiding the country because of Gadhafi's intimidating security apparatus. He wrote that "in early January 2011, two Libyan AQIM members left their bases in northern Mali and travelled via southern Algeria into Libya. Arriving in Ghat, a remote desert city in Libya's extreme south-west on 15 January, they were involved in a shootout with Libyan security forces, killing one policeman, before being killed themselves. This is AQIM's first known armed operation in Libya." CNN has not been able to independently verify the incident.

Last week Sheikh Abu Musab Wadud, the head of AQIM, reacted to Western airstrikes by issuing a video statement denouncing the intervention as a "modern crusade" and promising to work to remove it.

The SA-7 may not be state of the art, but it has proven crudely effective over the years. SA-7s were among the weapons deployed by Iraqi insurgents to bring down several U.S. military helicopters in Iraq. While most military aircraft are equipped with counter-measures, civilian planes generally are not.

Western counterterrorism officials say they are concerned about the flood of weapons from Libyan garrisons now in circulation and the difficulty of tracking them. Most are not as dangerous as SAMs, but some just may be.

@highlight

Chad president claims North African affiliate has stolen some SAMs

@highlight

No concrete evidence yet of this

@highlight

But al Qaeda known to have enough funds for weapons black market