(CNN) -- Late last year, a video producer and I visited South Korea, which is said to be the global hub for gaming addiction, as well as gaming addiction treatment.

There we met with three young men who had been in some form of treatment for their obsession with video games -- everything from "talk therapy" with counselors to "virtual-reality" treatment, which is designed to create negative associations between the player and the game they can't stop playing.

We met a 17-year-old who said he felt like online games were "pulling him" away from the real world. Others said they had contemplated suicide or played for up to 20 hours per day. The obsessions came with real consequence for these young men. Some had damaged relationships with family members; one found himself unemployed and unable to dig out of a rut.

But can these obsessions be classified as Internet or gaming addiction?

For an expert opinion, I turned to Dr. Charles O'Brien, a professor of psychiatry at the University of Pennsylvania and chair of the working group that will determine whether such disorders make an official list in the United States. The group decided to recommend that more research be conducted before Internet addiction could be listed as an official disorder in the United States.

The following transcript of our conversation is edited for clarity and length:

CNN: What does the research on gaming and Internet addiction say, in general?

O'Brien: That's a very good question. The DSM-5 (Diagnostic and Statistical Manual of Mental Disorders) committee that I chair has been totally guided by research data. There are a lot of people who want us to add all kinds of conditions to the DSM. Besides Internet addiction or gaming addiction, there's jogging addiction, sex addiction, food addiction. There are all kinds of pressures, but we go by the data, and we go by data in referee journals.

We think (Internet addiction) is something. I even went to Beijing to visit a hospital that is dedicated to what the Chinese call Internet addiction, and it was full of young men who had been brought in by their parents because they had been spending hours a day and neglecting their studies and their health, even, playing these various games. Typically it's "World of Warcraft" that they're playing. But they don't really have what we consider to be evidence (that this is a disorder).

CNN: Is there anything that's known for sure about Internet addiction?

O'Brien: There have been clinical studies. They're all anecdotes. As a clinician, I think I've seen a few cases, but they were very variable. And there are a lot of things we don't know. Such as, is this a phase that someone is going through?

Even in my own family, I have a son who was 13 and 14 and was spending hours a day playing Internet games. They do it in groups. Their partners may be in China or Japan. They do it on the Internet. And they neglect their studies. Eventually, he kind of outgrew it, and now he's in college and is an honors student.

It's not a clear enough syndrome that you can say at this point it's clearly a disease -- that it's an illness or a sickness. But we're open to that idea. Certainly, it does seem to be that way, but we have to have more evidence.

CNN: What threshold would it have to cross to be its own disorder?

O'Brien: We would need studies done in multiple sites. People would have to get together and decide on criteria for the diagnosis. And we put some potential criteria in the write-up, in the appendix for DSM-5. For example, a natural history. What happens to these people? How do they respond to treatment? What treatment seems to work? There are a lot, well, not a lot, but a significant number of American therapists who are treating cases like this, but they are generally writing up studies as clinical experience. This is not evidence. You have to do careful studies.

CNN: Since there are people who are treating gaming addiction, do you think that's safe? Or is it potentially dangerous?

O'Brien: It's not dangerous. Typically they're treating it with talk therapy. I don't know of any studies where any medications have been used. But you can't consider it science when people are just reporting interesting cases. That's not the kind of thing that we look for.

CNN: Is it possible gaming or Internet addiction could be linked to other disorders, like anxiety or depression? And this is just the way the person copes or acts out?

O'Brien: Exactly. There are some people who are seeing a therapist and it's interpreted that they're sort of escaping into a computer and using this to deal with their anxieties. Or maybe they have bipolar disorder or obsessive compulsive disorder. But these are just theories. There needs to be some evidence based on a significant number of cases. How are the cases similar?

CNN: How long have people been looking into this issue?

O'Brien: The literature really began in the 2000s.

CNN: How long does it typically take for a new disorder to be accepted?

O'Brien: It depends on how rare it is. Most of the disorders we have now are just age-old disorders.

One of the disorders that's very prominent today is post-traumatic stress disorder, PTSD. And you probably saw the Time magazine cover showing one soldier or veteran commits suicide every day. But we didn't even have the diagnosis of post-traumatic stress disorder until about 1980. And it was there. It's not as if Napoleon's troops didn't have this or Washington's troops didn't have it.

But it hadn't been described. People weren't as well trained in behavioral observations and writing them up and so-forth. It was described for the first time in the 1980s and it now turns out to be a fairly common disorder and people get PTSD from various kind of trauma ... it's not just war.

We've made a lot of progress with PTSD, and I think it would be a good model for Internet addiction.

CNN: Is there any good information about what happens in the brains of Internet addicts?

O'Brien: I found maybe five or 10 articles of brain imaging studies of Internet addicts. They found that the changes were very similar to those seen in compulsive gambling.

CNN: What does that mean, exactly?

O'Brien: Addiction is a learned behavior. For example, we do a lot of studies with cocaine addicts and nicotine addicts and alcoholics. And when you show an alcoholic or cocaine addict cues that look like people taking cocaine or the smell of cocaine or things like that, the brain lights up in the reward centers, or the pleasure areas, the same areas that light up when people or animals eat delicious food or have sex or engage in any behavior that leads to a feeling of pleasure.

CNN: So people who have an obsession, or possibly an addiction, to games or the Internet, their brains light up in that same way?

O'Brien: Exactly. And it becomes really an intense learned effect. We find that if we give them even a brief cue exposure, even before it reaches the level of consciousness, their brains are already activated. It becomes a very strong reflex, and this is why it's so hard to stop. You probably have friends who have tried to stop smoking many times, and they keep going back because it's a learned behavior. Even though they consciously want to stop, the drug has pretty much taken control of them.

CNN: When you went to that hospital in China, what were the cases like? What is it like for a person who exhibits symptoms of gaming or Internet addiction?

O'Brien: Well, it's just like anybody else who begins playing Internet games. It starts off like everyone else. This is a multibillion-dollar industry. People are buying these things. But then they just gradually spend more and more time doing it, and they begin neglecting other activities and their friends. Their friends are on the Internet.

There was a terrible case that was in the newspapers last year in South Korea, where this couple who had a real baby were so involved with the virtual baby and doing things with the virtual baby that they neglected their real live baby and the baby died. To me that's the most dire, horrible thing that I've ever heard of. These people were clearly obsessed with it but that doesn't tell me that they had a disorder that we could define scientifically.

CNN: Do you think it's possible?

O'Brien: Oh yes, sure. We just don't think the way to go about doing a classification system of mental illness is that you can just put things in too readily. It took a while before PTSD was described and identified and it made it into the DSM.

CNN: So it doesn't discount the reality of those symptoms or the possibility that it is a disease?

O'Brien: That's right. My personal belief is that eventually it will become an official disorder because more and more people are going to do studies on it, and we're hoping to facilitate that."

@highlight

Gaming and Internet addiction are not official disorders in the United States

@highlight

Internet addiction warrants more study before it can be classified, psychiatrist says

@highlight

Psychiatrist: "My personal belief is that eventually it will become an official disorder"