(CNN)You're likely to sweat a little to get to some of the best waterfalls. But they deliver a cool refuge and a powerful reminder of nature's force.

The United States' waterfalls splash through national parks and preserves and are tucked away in state parks known only to nearby residents. Waterfall lovers will travel thousands of miles and hike or bike to see these prime examples of nature in action.

Here are 10 stunning waterfalls across the country that are well worth the effort.

50 states, 50 spots: Natural wonders

Havasu FallsGrand Canyon, Arizona

Those who brave the Arizona heat to visit Havasu Falls are rewarded with refreshing natural swimming pools. Year-round water temperatures stay near a comfortable 70 degrees Fahrenheit.

The falls are at the bottom of Havasu Canyon on the Havasupai Indian Reservation adjacent to Grand Canyon National Park. Havasupai means "people of the blue-green waters," and the name doesn't disappoint when it comes to the aquamarine pools at the base of the falls.

The village and falls are only accessible by hiking or horseback. It's a 10-mile trip from the trailhead to the falls, which are about two miles beyond Supai Village. Hiking conditions are excellent in the earlier spring and later fall, with moderate temperatures.

The area that includes the waterfall is managed by the tribe, which limits the number of visitors. One of the most beautiful and popular spots in the area, reservations are recommended.

Triple FallsWestern Gorge, Oregon

High in the Multnomah Falls area of the Columbia River Gorge in Western Gorge, Oregon, is the aptly named Triple Falls. The Oneonta Creek that runs through the gorge splits into three channels, which make their way around rock formations before they take the 64-foot plunge over the ledge.

A moderately steep 5-mile round trip hiking trail takes visitors to an overlook above the segmented waterfall, but hikers rarely venture to the base.  There are 10 other waterfalls within a few miles, but take the time to see Triple Falls. It's one of most beautiful falls in the gorge because of its unusual, segmented pattern.

Waimoku FallsMaui, Hawaii

Off the famous Hana Highway, nestled into the Kipahulu District of Maui's Haleakala National Park is the 400-foot Waimoku Falls. The falls are on the Pipiwai Trail, which gains 800 feet in elevation along the 4-mile round trip hike.

On the way to Waimoku, hikers will pass the 185-foot Makahiku Falls and through a thick bamboo forest. Flowing down a steep lava-rock wall, covered by moss and vegetation, Waimoku Falls and the pool below are visible and accessible from a rocky hill above.

Swimming is possible in the Kipahula District, but the pool under Waimoku Falls is not deep enough and falling rocks are a risk. There are much better-suited pools along the way. Check with the visitor center before you start your hike for current conditions.

Blackwater FallsDavis, West Virginia

The dark water of appropriately named Blackwater Falls comes crashing down five stories into the river below at West Virginia's Blackwater Falls State Park.

You can see the waterfall from numerous spots within the park, watching the amber-colored river plunge down and twist through the 8-mile long gorge.

The tannic acid from fallen hemlock and red spruce needles is responsible for the tinted water that gives the spot its name. The falls are open year-round, with a beautiful array of wildflowers, panoramic views and a winter sled run.

Shoshone Falls, Twin Falls, Idaho

Known as the Niagara of the West, the height of Idaho's Shoshone Falls is 212 feet, 36 feet taller than Niagara Falls.

At their most powerful, the falls extend across the entire 900-foot-wide canyon, spilling into the Snake River below.  Depending on the volume of water, the falls can take the form of a few trickling streams or a solid wall of water. Spring and early summer are the best times to see the falls at full force.

Nearby recreation areas offer an abundance of water sports, such as canoeing, kayaking and paddle boarding on the Snake River.

Bridal Veil FallsValdez, Alaska

A frozen waterfall? In winter, that's what you'll find when you visit Bridal Veil Falls, about 15 miles outside Valdez, Alaska.

For hikers who don't want to cross a glacier to get to the falls, the 2-mile Valdez Goat Trail has a great vantage point of the falls about a mile into the hike.

For adventurous travelers up for the ice climb route, Bridal Veil Falls is one of the most accessible, lengthiest and widest ice climbs along the Keystone Canyon. Its closeness to the ocean keeps temperatures around freezing, rather than the sub-arctic temperatures seen in other parts of the canyon.

Cascade FallsGiles County, Virginia

The creek waters of Cascade Falls in Virginia drop over a 69-foot rocky ledge into the pool below, giving the famous falls its name.

Some of the streams tumble over several ridges on their way, while others take the steep drop all at once. A  2-mile hike along Little Stony Creek will lead visitors to the falls. Many hikers take a second upper trail for the two-mile hike back. The Cascades Recreation Area is the beginning of the hike to the falls, with the trail also open to horses and bicycles, as well as year-round trout fishing.

During the winter, ice formations hang from the surrounding 200-foot cliff wall, with wooden stairs and platforms for close, easy viewing and great photographs of the falls.

Vernal FallYosemite, California

By following the Mist Trail or the John Muir Trail inside California's Yosemite National Park, visitors will be treated to a close-up view of Vernal Fall.

Vernal Fall is visible from a footbridge less than a mile into the hike. Just beyond the bridge the two trails diverge. Adventurous hikers can continue along the Mist Trail up 600 granite steps of "nature's giant staircase" to the top of 317-foot Vernal Fall. Expect waterfall spray in the spring and early summer. Beyond Vernal Fall on the Mist Trail you'll find the impressive Nevada Fall.

While a late July wildfire has hit Yosemite, the park remains open and the falls remain accessible.

Amid several years of drought, Vernal Fall is one of the better waterfalls to seek out, according to a National Park Service spokeswoman, because it is fed by a glacier and a spring in addition to snow melt. Some of the park's other falls are running dry due to the lack of precipitation.

Potato River FallsGurney, Wisconsin

When most people think of the Midwest, waterfalls don't immediately spring to mind.

Change your thinking: Potato River Falls, found in Gurney, Wisconsin, has been called one of the most beautiful waterfalls in the region. Located at the end of Potato River Falls Road in a county park, the falls are easily viewable from several trails.

The waterfall, divided into Upper and Lower falls, plunges 90 feet into the river.  On the half-mile trail that leads to Upper Falls, hikers can access the top of Potato River Falls by following the river bank. Autumn visitors will also be treated to some wonderful opportunities to photograph the fall colors.

Bond FallsPaulding, Michigan

One of the best kept secrets of Michigan's Western Upper Peninsula, Bond Falls has a 40-foot drop that extends 100 feet wide and divides into several smaller cascades.

Located on the middle branch of the Ontonagon River near Paulding, Michigan, the falls have been designated a Michigan State Scenic site. Bond Falls is very accessible, with a level boardwalk from the parking area near the base of the falls leading visitors to a viewing point.

@highlight

Alaska's Bridal Veil Falls is usually frozen in winter

@highlight

Shoshone Falls, in Idaho, is 36 feet taller than Niagara Falls

@highlight

Visitors can climb and explore Wisconsin's Potato River Falls