TEHRAN, Iran (CNN)  -- Iran's supreme leader is warning the thousands of people who have been protesting last week's presidential vote to maintain self-restraint or face a stiff reaction from authorities.

Ayatollah Ali Khamenei speaks to a crowd in Tehran during Friday prayers.

Members of the opposition -- who have staged noisy demonstrations for the last six days to protest what they believe was a rigged election -- are weighing their options after Supreme Leader Ayatollah Ali Khamenei drew a line in the sand during his all-important sermon during Friday prayers.

The supreme leader declared last week's presidential election a "definitive victory" for President Mahmoud Ahmadinejad and sloughed off charges of vote tampering.

"Any extremist move will fan up another extremist move," said Khamenei, who criticized the street protests and said those who caused violence during demonstrations would be held accountable.

"If the political elite want to ignore law and break the law and take wrong measures which are harmful willy nilly, they will be held accountable for all the violence and blood and rioting."

Khamenei called on those who don't believe the results to use proper legal avenues, such as requesting a recount they could observe.  Watch Khamenei deny allegations of vote-rigging »

He did not, however, issue a call for a new vote -- a move that opposition leaders such as Mir Hossein Moussavi have been demanding.

Instead, he passionately defended the election as he addressed a crowd at Tehran University.

The election is expected to be a topic of conversation on Saturday before the Guardian Council, which supervises the country's elections. A council official said the body has invited three candidates -- Moussavi, Mehdi Barrubi, and Mohsen Rezaie -- to its meeting to discuss any issues they see fit, according to the Islamic Republic News Agency.  Watch Khamenei defend the outcome of the election »

More protest rallies are planned for Saturday -- one sponsored by supporters of opposition candidates Moussavi and Karrubi and another by supporters of former President Mohammed Khatami. While both camps said they had no plans to cancel the marches, the Interior Ministry told FARS news agency there were no permits issued for either event.

Analysts and observers are now debating what will happen next as more developments emerged on Friday.

"We do not yet know whether Ahmadinejad will stay, whether Mousavi will somehow be given a second chance, and if the ongoing political struggle will affect the security of the Supreme Leader," Anthony H. Cordesman of the Center for Strategic & International Studies wrote in a paper published Friday after the speech.  Watch CNN's Christiane Amanpour describe what she saw while reporting on Iran election »

He said that it's clear Khamenei is backing Ahmadinejad and any review of the election will be under those loyal to the supreme leader. But at the same time, Khamenei "cannot put this genie back in the bottle."

"Whatever happens, if Ahmadinejad stays without a truly legitimate election, the result will fester, not go away. Every embarrassing new piece of excessive rhetoric, every new threat to Iran's neighbors, every new problem in the economy, and every new act of social repression will be a reminder of the fact that Iran's leadership has questionable legitimacy at best," Cordesman wrote.

Human rights monitor Amnesty International issued a statement on Friday saying Khamenei's sermon "indicates the authorities' readiness to launch violent crackdowns if people continue to protest which may cause a widespread loss of life."

"We are extremely disturbed at statements made by Ayatollah Khamenei which seem to give the green light to security forces to violently handle protesters exercising their right to demonstrate and express their views," said Hassiba Hadj Sahraoui, Amnesty's deputy director of the Middle East and North Africa program.

"If large numbers of people take to the street in protests in the next couple of days, we fear that they will face arbitrary arrest and excessive use of force, as has happened in recent days."

The group said Khamenei should have warned security to act with restraint.

"For a head of state to put the onus of security on peaceful demonstrators and not on the security forces is a gross dereliction of duty and a license for abuse," Sahraoui said on Friday.

Ahmadinejad got more than 24 million votes, defeating Moussavi, his main challenger, Khamenei said. He called the result plausible.

"Eleven million votes difference? Sometimes there's a margin of 100,000, 200,000, or 1 million maximum. Then one can doubt maybe there has been some rigging or manipulation or irregularities. But there's a difference of 11 million votes. How can vote rigging happen?" he asked.

He lauded the election as a "political earthquake."

"It was a great manifestation of people's participation in the affairs of their country. It depicted very well people's solidarity with their establishment," he said.

Khamenei praised the 85 percent voter turnout of about 40 million people, but said that some critics "wanted to indicate that as a doubtful victory; some even wanted to show that this is a national defeat. They wanted to give you bad taste in the mouth."

He also criticized what he said was a media narrative that the election pitted people who support the government against those who don't. He said all four candidates support the Islamic revolution.

"Enemies try through various media, and some of those media belong to the Zionists, ill-wishers. They try to make believe in those media that there is a fight between supporters of the Islamic establishment and the opposition. No, that's not true," he said.  Watch CNN's Kara Finnstrom on how information is coming out of Iran »

At various junctures through the talk, the crowd chanted "Allah is Great," "Death to Israel," "Death to America," and "Death to Britain."

The supreme leader took on the United States, Britain, and Israel and apparently people in Iran, accusing them of manipulating and undermining the process. The comments prompted Britain's Foreign Office to summon Iran's ambassador to Britain.  Watch how world has reacted to the election »

The U.S. House of Representatives on Friday overwhelmingly approved a resolution that supports "all Iranians who embrace the values of freedom, human rights, civil liberties and the rule of law." A similar measure was being prepared in the Senate.

And President Obama, in an interview with CBS News, said he was "very concerned -- based on some of the tenor and tone of the statements that have been made -- that the government of Iran recognize that the world is watching.

"And how they approach and deal with people who are, through peaceful means, trying to be heard will, I think, send a pretty clear signal to the international community about what Iran is and is not," Obama said.

Since Iran's 1979 Islamic revolution, sermons during Friday prayers have been delivered by prominent officials, including by the supreme leader on usually important occasions.

This appearance comes at what observers call a critical juncture in Iranian history, and since last Friday, tens of thousands of demonstrators have taken  to the streets of Iran's capital to protest the election results.

When Iranian TV airs Friday prayers, the camera regularly focuses on important officials. In this case, the event was noteworthy for who was and who was not there. iReport.com: Share images from Iran

Ahmadinejad and Rezaie were there, but Karrubi and Moussavi -- who called for a boycott of the prayers -- were not seen.

Parliament speaker Ali Larijani, who has had a tense relationship in the past with Ahmadinejad, was sitting next to the president.

But former President Ali Akbar Hashemi Rafsanjani, who has been in a power struggle with Khamenei, wasn't shown on the TV broadcast. Rafsanjani is chairman of the Assembly of Experts -- which is responsible for appointing or removing the supreme leader and monitoring that body's attitudes toward Khamenei.

Khamenei remained staunch in his defense of Ahmadinejad, saying his views were closer to the president's than to those of Hashemi Rafsanjani, a supporter of Moussavi.

The supreme leader at the same time defended Rafsanjani from charges of corruption made by the president during the presidential debate. However, he opened the door to corruption charges against Rafsanjani's relatives.

Khatami, a supporter of Moussavi, wasn't seen as well.

In discussing Iran's support of human rights, Khamenei slammed U.S. policies in Afghanistan and Iraq .

There have been arrests and casualties since the election, with Amnesty International saying reports suggest up to 15 people have died. The government maintains the death toll is seven. An activist told CNN that the death toll has climbed to 32 across the nation, with 12 of those victims in Tehran.

Iranian TV Thursday night aired confessions from people who authorities say were paid to destabilize Iran. TV aired remarks from some "terrorists" who said the United States paid them to come from Iraq to Iran for the purposes of committing terrorist acts against the Iranian leadership.

CNN's Badi Badiozamani, Christiane Amanpour and Joe Sterling contributed to this report

@highlight

Ayatollah Khamenei urges demonstrators to maintain self-restraint

@highlight

He criticizes protests, says those who caused violence would be held accountable

@highlight

He also criticizes international media for how they have portrayed the election

@highlight

Khamenei says candidates can make appeals through legal avenues