(CNN) -- Like any major city, Amsterdam has world class museums crammed with classic art works that visitors will drop major money to see.

Being a city that has traditionally championed liberal attitudes, it's no surprise it also hosts exhibitions dedicated to sex and drugs.

Where Amsterdam excels, though, is in its extensive collections of curiosities -- museums that celebrate the engagingly odd obsessions of their curators.

Here are seven of the best:

Cheese Museum

In an ideal world there would have been a fifth Indiana Jones sequel in which our hero goes in search of vintage dairy produce buried deep below some ancient ruined temple.

Grabbing his treasure from its booby-trapped resting place, Indy would growl: "This cheese belongs in a museum," before dashing for safety as a giant ball of Gouda comes crashing toward him.

The museum in question would have to be Amsterdam's Cheese Museum, a tiny two-floor celebration of Dutch cow creations just over the canal from the Anne Frank House.

Exhibits are thin on the ground but there are enough free Gouda samples to induce a bad case of the cheese sweats before you're back on the street.

Eccentric exhibit: The world's most expensive cheese slicer -- a diamond-encrusted tool said to be worth $34,000

Cheese Museum, 112 Prinsengracht; +31 20 331 6605

The Cat Cabinet

It's no secret that people who love cats sometimes love them slightly too much -- but they've got nothing on Dutchman Bob Meijer.

When the former banker's much-cherished mog, who went by the name of J.P. Morgan, shuffled off to the cattery in the sky, he decided to transform his home into a shrine to his departed pet.

The result is De Kattenkabinet -- several rooms of a well preserved 1880s canal house crammed with cat collectibles and feline-themed paintings and sketches from artists including Rembrandt and Picasso.

Meijer continues to occupy the building's upper stories, as do four other felines, including Lily, a 19-year-old tortoiseshell cat who enjoys the attention of visitors.

Eccentric exhibit: A massive oil painting that appears to show a wizard casting spells over a giant ghostly cat.

The Cat Cabinet, 497 Herengracht; +31 20 626 9040

Dutch Funeral Museum

It lies some distance out of the city center, but the Dutch Funeral Museum is worth the trip just to marvel at Amsterdam's absurdly well planned suburbs.

The museum is housed in what's left of the former home of a cemetery director, close to the entrance of the graveyard he used to supervise.

Despite its gloomy subject matter, the Funeral Museum is surprisingly un-macabre, with informative and matter-of-fact displays on different Dutch burial rituals and the paraphernalia of death.

Just as well, really, otherwise no one would want to visit the rather pleasant and airy cafe at its entrance.

Eccentric exhibit: Black, square noses, designed as the grieving equivalent to a clown's red nose.

Dutch Funeral Museum, 124 Kruislaan; +31 20 694 0482

Museum of Bags and Purses

Another collection crammed into a grand canal house that justifies the entrance fee almost as much as the items on display.

This serious display of historic handbags and larger luggage starts off sedately with a selection of dainty, metallic numbers favored by royalty.

It explodes into life with more contemporary baggage, some shaped like hats or stags.

There are an eyebrow-raising "Guardian Angel" knife and gun bags designed by Vlieger & Vandam Bags.

Eccentric exhibit: A pre-mobile telephone bag that features a handset, dialer and long cord to plug into the wall.

Museum of Bags and Purses, 573 Herengracht; +31 20 52464 52

Max Euwe Chess museum

Sure, there's nothing too extraordinary about a museum exploring the checkered history of one of the world's oldest games -- but this goes further, focusing on one single player.

This diminutive facility on the first floor of a notorious former prison charts the life and times of Max Euwe, the Netherlands' only world chess champion.

It's an affectionate tribute to Euwe, who died in 1981, and perhaps only one for chess aficionados -- but there's also a great chance to stick your nose into working offices based in the same building.

There's a giant board outside the building where you can watch talented teenagers wipe the floor with professorial old chessmen straight out of central casting.

Eccentric exhibit: A chess wall of fame featuring grandmasters such as Bobby Fischer and Boris Spassky.

Chess Museum, Max Euwe Plein 30A; +31 20 625 7017

National Museum of Spectacles

A museum for people who enjoy trying on other people's glasses -- and let's face it, that's everyone.

Housed in and above a genuine optician's shop virtually unchanged since customers first squinted through its windows in the 19th century, this shop charts 700 years of serving the shortsighted.

Once you've viewed eyewear ranging from early owl-like nose-perchers to the chunkier frames sported by Buddy Holly and Elvis Costello, you can enter the shop and purchase your own pair.

Eccentric exhibit: Masquerade masks with built-in lenses -- for those who want to recognize other people, but not be recognized.

Spectacles Museum, 7 Gasthuismolensteeg; +31 20 421 2414

Pipe Museum

In a city where there's an entire industry based around smoking certain substances, it stands to reason there's a museum dedicated to the pipe.

This is no novelty head shop though -- it's a serious study of toking devices that hark back 2,500 years to the days when coughing up lumps of tar was considered healthy.

Space in this lovely 17th-century canal house is given over to pipes designed for smoking stuff stronger than a bowlful of shag -- and these are out-smoked by elaborate European fumers designed for more pedestrian fare.

Eccentric exhibit: A pipe crafted from the pincers of a crab.

Pipe Museum, 488 Prinsengracht; +31 20 421 1779

@highlight

Amsterdam is home to world class museums, but also some highly odd collections

@highlight

A shrine to a deceased cat, a collection of bags and purses and a display on funerals among the oddest

@highlight

Several of the Dutch city's smaller museums are housed in elegant canal-side houses