Union City, Oklahoma (CNN) -- David Stottlemyre was inside an oil field repair shop in El Reno, Oklahoma, when he saw a tornado "looking at us dead in the eye."

The lifelong Oklahoman said he and two co-workers stayed inside as the building took a direct hit; the roof collapsed and the structure blew apart. Though the three survived unscathed, "We're all pretty shook up," the oil field mechanic told CNN. "Surreal, really no other way to explain it."

Friday evening's twisters killed at least nine people, two of them children, and injured scores more in Oklahoma, the office of the city's medical examiner said. Five victims had not been identified.

Canadian County Undersheriff Chris West said the seven fatalities in his county were inside vehicles.

Oklahoma City-area hospitals treated 104 people for injuries related to the storm, the state health department said. Eleven were still being treated as of 5:15 p.m. (6:15 p.m. ET), hospital officials said.

A National Weather Service survey team found damage indicating an EF3 tornado had struck near El Reno, 25 miles west of Oklahoma City. EF3s pack gusts of 136 to 165 mph. The strongest tornado is an EF5.

It measured peak rainfall of 7.9 inches 45 miles east of Oklahoma City, outside Meeker.

How to help

The storms came less than two weeks after a monstrous EF5 tornado turned parts of Moore, a suburb of Oklahoma City, into rubble.

"There's just no rest," city spokeswoman Kristy Yager said.

In all, 17 tornadoes were reported in the Midwest. The number was expected to change when officials conduct storm surveys, said Kurt Van Speybroeck, a meteorologist with the National Weather Service.

At one point, some 200,000 customers were without power in the Midwest, most of them in Missouri and Oklahoma, though that number fell significantly as Saturday wore on. Three Oklahoma City-area medical facilities were running on generators Saturday, the health department said.

Tornado damage 'sobering'

While twisters damaged houses in Missouri and Illinois, Oklahoma City and its surrounding areas, including El Reno and Union City, were hit hardest.

The storm system swatted down power lines and uprooted trees, flicked big rigs on their sides and yanked off part of the terminal roof at Oklahoma City's Will Rogers World Airport, where some 1,500 area residents had taken shelter in a tunnel.

Get up to speed on the massive storm

"We're just grateful we were able to get everybody down there," airport spokeswoman Karen Carney told CNN.

A power outage and debris on the runway -- caused by 80 mph winds, not a tornado -- at one point forced the airport to cancel all flights.

Service resumed Saturday, when the lights flickered back on to reveal water damage to the walls, counters and floors, Carney said.

One twister tore open Kris Meritt's parents' brick house like a carton, sucking out its contents and tossing most of them onto the lawn.

It spared the walls and part of the roof, then moved on to raze the house next door.

The parents returned to survey the damage, but rushed off when another tornado was headed their way.

"It's a sobering thing to think about life, and to see all your memories just tossed about," Merritt said. "Everything from your childhood on up."

Though Friday's tornadoes were not as strong as the EF5 twister that killed 24 people on May 20, fear drove some people into their cars to flee, ignoring warnings not to drive.

Officials described parts of Interstates 35 and 40 near Oklahoma City as "a parking lot."

"People were actually driving southbound in the northbound lanes to try and get out of the way," said storm chaser Dave Holder.

J. Marshall Shepherd, president of the American Meteorological Society and director of the Atmospheric Sciences Program at the University of Georgia, said Saturday that should not have occurred.

"We knew well in advance these storms were going to be quite dangerous," he told CNN. "The weather service was crystal clear, to stay off the roads after 4 p.m. yesterday."

In Moore, the storms affected residents still picking up the pieces from the previous disaster.

"There's damage everywhere," Mayor Glenn Lewis told CNN's Anderson Cooper.

'Overwhelmed' by rains, flooding

Most of Lewis' already devastated town blacked out Friday night, with flooded streets adding to the headaches.

"I can't even get home to see if my house is OK," the Moore mayor said Friday night.

Eight to 11 inches of rain hosed Oklahoma City, drenching the area, Yager said.

Get up to speed on the massive storm

An inch of water pooled on the first floor of City Hall, and apartments in low-lying areas of town were hit harder.

"We've seen widespread flooding throughout the entire 621 square miles," she said.

Flooding stranded some motorists.

"We saw flooding in areas that we don't see flooding," said police Lt. Jay Barnett. "We were overwhelmed."

3 die by drowning in Missouri

The impact of the severe weather spread beyond Oklahoma.

A powerful storm caused major damage to a gymnasium of Gillespie High School in southwestern Illinois, with bricks piled up from what had been the gym's front now piled up on the school's lawn, Gillespie Mayor John Hicks said. Seven to 10 homes were destroyed, and more than 30 others suffered damage, in the storm.

Thankfully, though, no one died or was significantly injured in the town of about 3,400 people. Gillespie's mayor said things might have been much different had the storm struck next week, when hundreds were set to gather not far from the high school for a celebration called Black Diamond Days.

In Missouri, Gov. Jay Nixon declared a state of emergency, as the storm front moved into his state stripping sidings and roofs off homes and causing deadly flooding.

A tornado in St. Charles and St. Louis counties left a path "over 10 miles of significant damage ... that caused dozens and dozens of houses to be literally blown up," the governor told CNN affiliate KSDK on Saturday.

Aerial video from CNN affiliate KMOV showed the second floors of several homes ripped apart, with houses to the front and behind still standing. In one home, a man walked across the exposed second floor, walls and roof gone, at one point picking up what appeared to be a picture as he negotiated debris on all sides. Nearby, shirts still hung on one side of what used to be a closet.

Also damaged was the 10,000-seat Family Arena in St. Charles, county spokesman Colene McEntee told CNN. The damage led three high schools in the Francis Howell school district to cancel graduation ceremonies that had been scheduled for Saturday, KSDK reported.

No one was killed in that tornado, but three people drowned in the state, according to Nixon. Problems with high waters aren't necessarily going away, especially in the southern part of the state.

"Waters are rising, floods are still occurring, and we're asking people to be very safe," the governor said Saturday afternoon.

Moore re-traumatized

In Moore, the howls of civil defense sirens sent storm-weary residents scrambling again.

Candace Looper retreated to her windowless laundry room with her cat and stacked couch pillows on top of her.

"I've been praying, and I've been singing 'The Lord's Prayer' and singing 'Amazing Grace,' so I'm OK," she told CNN.

LaDonna Cobb and her husband, Steve, were with their children at their school on May 20 when a tornado demolished the building.

A photograph of Steve Cobb carrying one of their daughters with his wife looking to him with blood on her face emerged as a symbol of Moore's suffering and resilience.

Friday's tornadoes drove them into a shelter and put fear into their hearts again.

"We're terrified," Cobb told CNN's Piers Morgan.

The second tornado was particular unsettling for their children.

"They were not handling it very well. They were pretty upset," Cobb said.

Once it passed, Lewis, the city mayor, rode around town in his pickup.

"This is unbelievable that it could possibly even hit again," he said. "We just started picking up (debris) two days ago."

CNN's Nick Valencia reported from El Reno, Oklahoma; George Howell reported from Union City, Oklahoma; and Holly Yan and Ben Brumfield from Atlanta. Jason Hanna, Greg Botelho and Tom Watkins reported and wrote from Atlanta. CNN's Jake Carpenter, Carma Hassan, Joe Sutton, Jennifer Feldman, Chandler Friedman and Dave Alsup contributed to this report.

@highlight

NEW: 3 drown in Missouri, governor says

@highlight

NEW: Illinois mayor says school's gym, dozens of homes damaged

@highlight

Weather service survey team finds evidence of EF3 tornado

@highlight

A mother and child are among 9 killed in the Oklahoma City metro area, officials say