Washington (CNN) -- While space travel still gets a lot of attention, not enough attention has been accorded to a major new expedition to the deepest point in the ocean, some 7 miles deep -- the recent journey by James Cameron, on behalf of National Geographic.

The cover story of the prestigious journal Foreign Affairs lays out the "Case for Space." "60 Minutes" recently ran a story about the dire effects on Florida's space industry of scaling back our extraterrestrial endeavors. Newt Gingrich gained attention earlier this year by calling for building a permanent base on the moon. And President Obama has talked of preparing to eventually send Americans into orbit around Mars.

Actually, there are very good reasons to stop spending billions of dollars on manned space missions, to explore space in ways that are safer and much less costly, and to grant much higher priority to other scientific and engineering mega-projects, the oceans in particular.

The main costs of space exploration arise from the fact that we are set on sending humans, rather than robots. The reasons such efforts drive up the costs include: A human needs a return ticket, while a robot can go one way. Space vehicles for humans must be made safe, while we can risk a bunch of robots without losing sleep. Robots are much easier to feed, experience little trouble when subject to prolonged weightlessness, and are much easier to shield from radiation. And they can do most tasks humans can.

British astronomer royal Martin Rees writes, "I think that the practical case (for manned flights) gets weaker and weaker with every advance in robotics and miniaturization. It's hard to see any particular reason or purpose in going back to the moon or indeed sending people into space at all." Nobel Laureate Steven Weinberg calls manned missions "an incredible waste of money" and argues that "for the cost of putting a few people on a very limited set of locations on Mars we could have dozens of unmanned, robotic missions roving all over Mars."

The main argument for using humans is a public relations one. As Neil deGrasse Tyson puts it in Foreign Affairs, "China's latest space proclamations could conceivably produce another 'Sputnik moment' for the United States, spurring the country into action after a relatively fallow period in its space efforts." Also, astronauts are said to inspire our youth to become scientists and explorers. However, it is far from established that we cannot achieve the same effects by making other R&D projects our main priority.

Take the oceans, about which we know much less than the dark side of the moon. Ninety percent of the ocean floor has not even been charted, and while we have been to the moon, the technology to explore the ocean's floors is still being developed. For example, a permanent partially-submerged sea exploration station, called the SeaOrbiter, is currently in development.

The oceans play a major role in controlling our climate. But we have not learned yet how to use them to cool us off rather than contribute to our overheating. Ocean organisms are said to hold the promise of cures for an array of diseases. An examination of the unique eyes of skate (ray fish) led to advances in combating blindness, the horseshoe crab was crucial in developing a test for bacterial contamination, and sea urchins helped in the development of test-tube fertilization.

The toadfish's ability to regenerate its central nervous system is of much interest to neuroscientists. A recent Japanese study concluded that the drug eribulin, which was derived from sea sponges, is effective in combating breast, colon, and urinary cancer.

Given the looming crisis of water scarcity, we badly need more efficient and less costly methods to desalinate ocean water. By 2025, 1.8 billion people are expected to suffer from severe water scarcity, with that number jumping to 3.9 billion by 2050â€”well over a third of the entire global population.

If the oceans do not make your heart go pitter-patter, how about engineering a bacteria that eats carbon dioxide -- and thus helps protect the world from overheating -- AND excretes fuel which will allow us to drive our cars and machines, without oil? I cannot find any evidence that people young or old, Americans or citizens of other nations, would be less impressed or less inspired with such a breakthrough than with one more set of photos of a far away galaxy or a whole Milky Way full of stars.

Space enthusiasts claim that space exploration has generated major spinoffs for our life right here on Earth. Tyson quotes President Obama suggesting that the Apollo mission "produced technologies that have improved kidney dialysis and water purification systems; sensors to test for hazardous gases; energy-saving building materials; and fire-resistant fabrics used by firefighters and soldiers," and adds a few more innovations to the list: "digital imaging, implantable pacemakers, collision-avoidance systems on aircraft, precision LASIK eye surgery, and global positioning satellites."

Of course, the space environment is radically different from the one on Earth. Materials and technologies that are suited for a vacuum, zero gravity, and extreme cold and heat are not the ones we typically can use on Earth.

Opinion: Gingrich's moon colony lost in the laughter

Elias Carayannis, professor of Science, Technology, Innovation and Entrepreneurship at The George Washington University, notes "government agencies -- particularly those such as the National Space and Aeronautics Administration that are continually pressured to justify their activities -- tout the spin-off value of their investments in sometimes quite extravagant claims." Products such as Velcro, Tang, and Teflon that are often cited as spinoffs of space technology did not actually result from the space program.

Space promoters tell us, once every few months, that there are signs that there might be or has been water on one of the planets that might make "life" possible. I wonder if some of those who hear these reports interpret them to mean that we expect to find a civilization out there, one that we could ally with, say against the Chinese. What scientists are really talking about is organic material, the kind found in any compost -- not a reason to spend billions of dollars of public funds.

In short, do not cry for Mars. It is not going away. We can send R2D2 to explore it and still keep a whole pile of dough for important and inspiring exploration missions right here on Earth, starting at the beach nearest you.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

Many voices have suggested U.S. should reinvigorate its space program

@highlight

Amitai Etzioni says there are more pressing priorities on earth than in space

@highlight

Manned missions are much less cost effective than robotic exploration, he says

@highlight

Etzioni: Exploring the ocean, much of which is uncharted, is an urgent priority