Derik, Kurdish-controlled northern Syria (CNN)It wasn't until jihadist militants mounted a relentless siege of Kobani, a border town within sight of international television cameras, that much of the world realized ethnic Kurds were an effective fighting force within Syria.

But as much of the rest of Syria ripped itself apart in a vicious civil war, Syria's Kurdish minority spent three years quietly building a series of mini-states in the north of the country.

They refer to these three enclaves as Rojava.  Until recently, some outside observers saw them as something of a success.

"They tried to run them as pretty autonomous statelets that were actually rather admirable in some ways.  They included many different ethnic groups, faith groups, and they tried to be inclusive," said Hugh Pope, a senior analyst with the International Crisis Group, a conflict mediation organization.

Bulletins pasted on walls on the streets of one Kurdish-controlled town urge business owners to post signs in the three official languages of Rojava: Kurdish, Arabic, and Syriac -- an ancient Christian language spoken in the Middle East for nearly 2,000 years.

"The municipality will help in preparation and translation," the bulletins printed by the municipality of Derik.  "Our language is our identity, our history, our existence and our dignity."

In some ways, the Kurdish-controlled zone feels a world away from many other battle-scarred towns in northern Syria.

These areas have barely been targeted by the Syrian government airstrikes and barrel bombs that pummel rebel-held cities and towns, killing at least 182 civilians last week alone, according to the Syrian Observatory for Human Rights.

Unlike the atmosphere in territory controlled by Islamist militias, women in Rojava walk freely on the streets, their hair and faces uncovered.

And everywhere, there are posters and graffiti celebrating the bravery and martyrdom of Kurdish fighters from the People's Protection Units, or YPG.

"Our martyrs do not die.  They live on in memory!" a Kurdish commander announced at a memorial ceremony for slain fighters.  The commander, a woman dressed in green camouflage wearing a pistol on her belt, stood in front of scores of uniformed female Kurdish militants who performed military parade drills with Kalashnikov assault rifles.

A pillar of the Kurdish movement's ideology rests on gender equality.

The fiercely secular YPG stands in sharp contrast to its bitter enemy the Islamic State of Iraq and Syria (ISIS).  In territories it controls, ISIS militants dramatically reduced freedoms of women and issued public statements justifying the kidnapping and enslavement of thousands of women from the Yazidi religious minority in Iraq.

"We as women defend and protect our people," said Hadiye Yusuf, the female co-president of the largest of the 3 Kurdish enclaves, in an address at the memorial ceremony.

"We carry weapons to protect our homes and avoid becoming slaves of ISIS," she added.

At the conclusion of the ceremony, female fighters as well as the mothers and widows of YPG members killed fighting ISIS, chanted "Biji sera Apo," or "Long Live Apo."

Apo is the nickname of Abdullah Ocalan, the imprisoned leader of the Kurdistan Workers Party, or PKK.  For 30 years, militants from this Marxist-inspired Kurdish separatist movement fought a guerilla war against the government in nearby Turkey.  To this day, Turkey, as well as its NATO allies the United States and the European Union, officially label the PKK a terrorist organization.

YPG leaders insist the PKK is a fraternal, though distinctly separate organization.

The YPG's iconography and membership suggest otherwise.

PKK leader Ocalan's portrait sits at the center of many posters of slain YPG fighters.  In addition, during two trips CNN journalists made to Rojava, CNN encountered at least a dozen armed Kurdish militants of Turkish origin.

In an interview with CNN, co-president Hadiye Yusuf said in her youth she had been a PKK fighter, before eventually becoming an activist in a women's association.

The Syrian Kurds' close links to the PKK put Rojava at odds with the Kurdish zone's neighbor to the north: Turkey.

That left the enclave of Kobani vulnerable when ISIS mounted its assault last month.

"When push came to shove in Kobani, the YPG fighters were terribly exposed and have been dealt very cruel blows," said the ICG's Hugh Pope.

More than 200,000 refugees fled across the border to Turkey to escape the ISIS advance.  Meanwhile, Kobani's Kurdish defenders were pushed back almost to the border fence with Turkey in their grim struggle against the jihadi offensive.

American airstrikes, and a series of weapons and ammunition air drops, succeeded in loosening the ISIS siege.  But the US move to help the Syrian Kurds strained relations with Turkey, whose president called the American aid drops "a mistake."

While the Syrian Kurds have become a point of tension between two NATO allies, they are also enjoying soaring popularity among Kurds scattered across different countries in the Middle East.

Last August, YPG fighters mounted a daring rescue operation across the border into neighboring Iraq.  They evacuated thousands of of Iraqi Kurds from the Yazidi religious group, who were trapped by ISIS on a barren mountain.

Over the last month, the YPG's defense of Kobani have electrified and united Kurds often fractured by linguistic and political divisions.

But the popularity has come at great cost.

Hundreds of YPG members have been killed, and many more wounded, in the war against ISIS.

At the memorial ceremony for fallen fighters last weekend, a widow named Khalisa Gharzi sat with her daughter and son watching the speeches.

She was in the final month of her pregnancy with her daughter Zhanda last year, when her husband Ramadan was killed in a battle with ISIS.

Gharzi said her husband's body had been mutilated when it was recovered, with one of his ears severed.

"I am angry and sad about what happened to him, but I'm still proud because he was a fighter," Gharzi said.  "If I didn't have these children, I myself would go and fight.  Because this is a just war."

Not far away, her 3-and-a-half-year old son Hogur played next to rows of female fighters who sat on the parade ground clutching their rifles.

The boy was dressed in the green camouflage uniform of a future Kurdish fighter.

ISIS prisoners reveal life inside terror group

@highlight

Syrian Kurds have become a point of tension between NATO allies Turkey and the U.S.

@highlight

The United States has aided Kurdish defenders holding off ISIS in Kobani

@highlight

But for 30 years, militants from the Kurdish separatist movement fought a guerilla war

@highlight

Their opponent in that fight has been the government in nearby Turkey.