Beijing, China (CNN) -- A little more than a year after his election, President Obama said his administration has laid the groundwork for success on global and domestic matters.

"I think that we've restored America's standing in the world, and that's confirmed by polls," he told CNN's Ed Henry in a wide-ranging interview this week during his trip to China.

"I think a recent one indicated that around the world, before my election, less than half the people -- maybe less than 40 percent of the people -- thought that you could count on America to do to the right thing. Now it's up to 75 percent."

The president said that makes it easier for world leaders to cooperate with the United States, noting Chinese and Russia involvement in nuclear talks with Iran.

Obama has visited 20 countries during his first year in office, more than any other U.S. president.

A decision on troops levels in Afghanistan is "very close," the president said. "I will announce that decision certainly in the next several weeks."

Obama has been holding regular meetings with his war council to develop options for sending more troops to Afghanistan. Last week, the president told the group -- comprising top Cabinet, Pentagon and administration officials -- that the U.S. troop commitment to Afghanistan is not open-ended and then asked for revisions to options he previously received, a senior administration official said at the time.

The war council is considering a request by the top U.S. commander in Afghanistan for up to 40,000 more troops.

"We have a vital interest in making sure that Afghanistan is sufficiently stable, that it can't infect the entire region with violent extremism," Obama said. "We also have to make sure that we've got an effective partner in Afghanistan. And that's something that we are examining very closely and presenting some very clear benchmarks for the Afghan government."

On the China trip, Obama gave interviews to other networks as well, including Fox News, NBC and CBS. During the talk with CBS, the president said he was angry about multiple leaks over his Afghanistan policy deliberations. He said leaking such information is a firing offense.

"We have deliberations in the situation room for a reason," he said. "We're making life and death decisions that affect how our troops are able to operate in a theater of war. For people to be releasing info in the course of deliberations is not appropriate."

In his interview with Fox, Obama indicated concern that a growing national deficit may contribute to a loss of confidence and eventually a "double-dip" recession. He said he is willing to consider targeted tax cuts to help bring down rising unemployment.

The president told CNN that he's confidence efforts to overhaul health care will succeed despite missed deadlines along the way.

Senate Majority Leader Harry Reid, D-Nevada, said Tuesday that he was still waiting for a cost estimate of the legislation from the nonpartisan Congressional Budget Office. That estimate won't be completed until at least Wednesday, a senior Democratic source said.

Sixty votes in the 100-member Senate are required to overcome a filibuster and open Senate debate on the bill. Democratic leadership sources said a Saturday vote to start debate is likely. It remains unclear, however, whether the Democrats have enough votes.

"There are just a lot of procedural hurdles that explain why health care hasn't been dealt with in 40, 50, 70 years," Obama said.

"But I remain confident that we are going to get this done, and we're going to have a bill that reduces our deficit, bends the cost curve, covers millions of people who don't have health insurance right now and, for people who do have health insurance, makes their insurance more secure."

In a CNN/Opinion Research Corp. poll released Tuesday, 46 percent of respondents said they favored the version of the bill that the House of Representatives recently passed, while 49 percent opposed it. The survey's sampling error was plus or minus 3 percentage points.

Asked about running for re-election, Obama didn't say "yes," but he acknowledged the long-term nature of his policy goals.

"I don't want to be making decisions based on getting re-elected, because I think the challenges that America faces right now are so significant," the president said. "Obviously, if I make those decisions and I think that I'm moving the country on the right direction economically, in terms of our security interests, our foreign policy, I'd like to think that those policies are continued, because they're not going to bear fruit just in four years."

Obama said if he were concentrating on re-election, he wouldn't be tackling politically hot topics such as health care and education reform, development of a clean-energy economy and the closing of the Guantanamo Bay detention facility in Cuba.

The U.S. military is holding about 215 men at Guantanamo. Among the detainees are five suspects with alleged ties to the 9/11 conspiracy, including accused mastermind Khalid Sheikh Mohammed. Attorney General Eric Holder said last week that Mohammed and four others will be tried in a civilian court in New York.

"There are a whole series of choices that I'm making that I know are going to create some political turbulence," the president said. "But I think they're the right thing to do. And, you know, history will ... bear out my theories or not."

@highlight

President Obama says improved U.S. image promotes global cooperation

@highlight

Decision on troops levels in Afghanistan is "very close," Obama says

@highlight

Obama tells CBS he's angry about leaks on Afghan policy deliberations

@highlight

President says he's tackling tough issues such as health care, Gitmo closure