London (CNN) -- Probably the most boring question you can ask about religion is whether or not the whole thing is "true." Unfortunately, recent public discussions on religion have focused obsessively on precisely this issue, with a hardcore group of fanatical believers pitting themselves against an equally small band of fanatical atheists.

I prefer a different tack. To my mind, of course, no part of religion is true in the sense of being God-given. It seems clear that there is no holy ghost, spirit, geist or divine emanation. The real issue is not whether God exists or not, but where one takes the argument to if one concludes he doesn't. I believe it must be possible to remain a committed atheist and nevertheless to find religions sporadically useful, interesting and consoling -- and be curious as to the possibilities of importing certain of their ideas and practices into the secular realm.

One can be left cold by the doctrines of the Christian Trinity and the Buddhist Fivefold Path and yet at the same time be interested in the ways in which religions deliver sermons, promote morality, engender a spirit of community, make use of art and architecture, inspire travels, train minds and encourage gratitude at the beauty of spring. In a world beset by fundamentalists of believing and secular varieties, it must be possible to balance a rejection of religious faith with a selective reverence for religious rituals and concepts.

TED.com: Karen Armstrong's wish for a charter of compassion

It is when we stop believing that religions have been handed down from above or else that they are entirely daft that matters become more interesting.

We can then recognize that we invented religions to serve two central needs which continue to this day and which secular society has not been able to solve with any particular skill: firstly, the need to live together in communities in harmony, despite our deeply rooted selfish and violent impulses. And secondly, the need to cope with terrifying degrees of pain which arise from our vulnerability to professional failure, to troubled relationships, to the death of loved ones and to our decay and demise.

God may be dead, but the urgent issues which impelled us to make him up still stir and demand resolutions which do not go away when we have been nudged to perceive some scientific inaccuracies in the tale of the seven loaves and fishes.

The error of modern atheism has been to overlook how many sides of the faiths remain relevant even after their central tenets have been dismissed. Once we cease to feel that we must either prostrate ourselves before them or denigrate them, we are free to discover religions as a repository of occasionally ingenious concepts with which we can try to assuage a few of the most persistent and unattended ills of secular life.

Secular society has been unfairly impoverished by the loss of an array of practices and themes which atheists typically find it impossible to live with. We have grown frightened of the word morality. We bridle at the thought of hearing a sermon. We flee from the idea that art should be uplifting or have an ethical mission. We don't go on pilgrimages. We can't build temples. We have no mechanisms for expressing gratitude.

The notion of reading a self-help book has become absurd to the high-minded. We resist mental exercises. Strangers rarely sing together. We are presented with an unpleasant choice between either committing to peculiar concepts about immaterial deities or letting go entirely of a host of consoling, subtle or just charming rituals for which we struggle to find equivalents in secular society.

TED.com: Jonathan Haidt on the moral roots of liberals and conservatives

Religions merit our attention for their sheer conceptual ambition; for changing the world in a way that few secular institutions ever have. They have managed to combine theories about ethics and metaphysics with practical involvement in education, fashion, politics, travel, hostelry, initiation ceremonies, publishing, art and architecture -- a range of interests which puts to shame the scope of the achievements of even the greatest and most influential secular movements and individuals in history.

For those interested in the spread and impact of ideas, it is hard not to be mesmerized by examples of the most successful educational and intellectual movements the planet has ever witnessed.

There are sides of religions that are timely and consoling even for skeptical contemporary minds. Atheists can learn to rescue some of what is beautiful, touching and wise from all that no longer seems true. The wisdom of the faiths belongs to all of mankind, even the most rational among us, and deserves to be selectively reabsorbed by the supernatural's greatest enemies. Religions are intermittently too useful, effective and intelligent to be abandoned to the religious alone.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Alain de Botton.

@highlight

Alain de Botton says athiests are right to disbelieve religious dogma

@highlight

But he says they make the mistake of rejecting the benefits religion brings

@highlight

De Botton: Religion offers consolation, ritual, spirituality that atheists can adopt

@highlight

Religions have been the most successful educational movements, he says