London (CNN) -- British Foreign Secretary William Hague pledged Thursday to help Libya improve human rights and boost stability, as rights groups and analysts warned that urgent action is needed to tackle the problem of lawless militia groups.

Libya has achieved much in the year since the start of the popular uprisings that helped bring Moammar Gadhafi's 42-year rule to an end, Hague said in a statement, but challenges remain.

Chief among them is how to deal with the many armed groups that took part in the uprising and now continue to exercise power, analysts say.

Rights group Amnesty International said in a report Thursday that armed militias are committing human rights abuses with impunity, threatening to destabilize the country and hindering its efforts to rebuild.

Detainees at 10 facilities used by militia in central and western Libya told representatives from Amnesty International this year that they had been tortured or abused, and at least 12 detainees held by militias have died after being tortured since September, the human rights group said.

The Libyan authorities have not effectively investigated the torture allegations, it added.

Hague said Britain would host a conference in the spring to look at ways the government "can take urgent steps to implement commitments made on upholding human rights and ensure reports of detainee abuse are being addressed."

It will also provide "practical expertise to promote the rule of law," he said, with British experts offering advice to the interior ministry, Libyan police and lawyers.

Britain will also fund a six-month program to engage young people in civic society, Hague said.

"The work to rebuild Libya is just beginning and there are undoubtedly challenges ahead. But it is important to remember what has been achieved," he said.

However, the armed groups -- mostly made up of young men without regular jobs -- are showing little inclination to give up their weapons, analysts say.

Jane Kinninmont, an analyst for the London-based think tank Chatham House, said the militias were one of the main challenges the National Transitional Council, the country's transitional government, now faces as it tries to extend its authority.

"They are far more important than alleged remnants of pro-Gadhafi forces -- there are more of them, they can legitimately claim that they helped in the revolution, and indeed they can argue that they did more to remove Gadhafi in practical terms than the lawyers and academics that are running the NTC," she told CNN via e-mail.

Kinninmont said militia members now need jobs if they are to be integrated into civic society.

"Most of those jobs will probably have to come from the public sector in the first instance, as Libya is an extremely state-dominated economy," she said, adding that an estimated 70% of the workforce is employed by the state at present.

"Of course, westerners are advising Libya to focus on diversifying the economy away from oil and reduce dependence on the public sector, but realistically the experience of other oil exporters in the region suggests this will take a long time," she said.

However, the government has made faster progress than many expected in terms of restoring the functioning of the economy, she said, and oil money could help with the reintegration of former fighters.

Noman Benotman, a senior analyst at the Quilliam Foundation and a former leader of the Libyan Islamic Fighting Group, which aimed to overthrow Gadhafi, said everything he has heard suggests the militia groups have no real intention of laying down their arms.

The thousands of militia members countrywide do not view the NTC as being a legitimate political entity, he said. As a result, they argue that they need their weapons to ensure the future security of Libya.

Meanwhile, the transitional government has done too little to speak to the Libyan people and instill confidence in the mostly good work it is doing to establish a functioning state, Benotman said.

Some militias are forming powerful coalition blocs, making it even harder for the defense and interior ministries to deal with them and enforce the rule of law, he said.

David Pollock, a senior fellow at the Washington Institute for Near East Policy and former senior adviser on the Middle East at the U.S. State Department, agrees that some of the competing regional militias have more power than the government itself.

They are using that power "for extortion, for settling scores, tribal or personal, or otherwise generally for asserting their control over parts of the country," he said.

He believes the Libyan government needs to strengthen the centralized military, while at the same time devolving some civic power to the tribal and regional groups and spending oil money to aid development outside the capital.

This would help to defuse the long-standing tensions that exist between Tripoli and regional power bases, he said.

The authorities' efforts to integrate militia members into a regular national army were a good step, he said, but much harder to achieve in practice than in theory.

Pollock also points out that while any abuse is unwelcome, the large-scale atrocities committed under the Gadhafi regime were far worse than what is now being reported.

Shashank Joshi, an associate fellow at the Royal United Services Institute (RUSI), a U.K.-based think tank, argues that the transitional government had few options when it assumed power.

It lacked the military capability or the cohesion to take on the militias after the fall of Gadhafi's regime, he told CNN, and still lacks the capacity to force them to disband.

"It's obviously a major problem that we have abuses committed on this scale... but at the same time there's nothing Libyans can really do," he said.

"All they can really do at the moment is take on some of the most egregious violations, some of the people who have committed abuses on the biggest scale."

A form of post-conflict justice is also needed, so that those militia members who have committed major abuses do not end up in positions of power, he said.

The dangers of allowing armed leaders to assume power in a new government can be seen in the experiences of Iraq and Afghanistan, Joshi said. "Libya shouldn't allow these people to have a free pass," he said. "Even if they can't be taken on or disarmed, they can at least be disempowered."

The European Union, United States and other international bodies could aid the Libyan authorities by imposing financial and travel sanctions on those who commit abuses, he added.

The international community is guilty of taking its eye off the ball in Libya, Pollock said, and must ensure it backs up the struggling NTC or risk watching Libya "tip toward more violence instead of getting gradually better."

A spokesman for the Tripoli Military Council told CNN Wednesday that civilian leaders in Libya must do more to assert their authority, holding accountable militia members who perpetrate abuses.

"If the Libyan state is being built, these guys who committed this need to be brought to justice, whether they are revolutionary fighters or not, otherwise the whole world will ask, 'What changed in Libya?' The same systemic abuse and torture is continuing, and this is dangerous for the new Libya," council spokesman Anes Alsharif said. "The only solution is for the government to take over. You cannot let these guys keep holding the prisoners."

Civilian authorities have been slow to step in, Alsharif said, even though some prisoners have been held for months without facing official charges.

"When you talk to the government they say, 'keep them, we don't have time yet,' and this is wrong," he said.

A process for government takeovers of prisons has begun, Libya's interim prime minister said in a televised address last month.

Libya's ambassador to the United Nations, Mohammed Shalgham, told the world body last month that Libya does not approve of any abuse of detainees and was working to stop any such practices.

Libyan Interior Minister Fawzy Abdilal told CNN this month that the country's interim government had not yet succeeded in integrating militias from different cities into a national security force.

Other organizations have also raised concerns about the militias.

The medical charity Doctors Without Borders said last month it was halting its work in detention centers in Misrata because detainees were tortured and were denied urgent medical care.

Human Rights Watch said earlier this month that the torture and killing of detainees is an ongoing practice among Libyan militias and will continue unless the militias are held to account.

CNN's Jomana Karadsheh contrbuted to this report.

@highlight

NEW: Foreign Secretary William Hague offers Libya help to tackle human rights abuses

@highlight

Armed militias are one of the biggest challenges for Libya's government, an analyst says

@highlight

Rights group: Militias torture detainees, target migrants and displace communities

@highlight

Officials have said they are working to stop abuse and integrate militias into a national force