(CNN) -- It's a bittersweet Christmas season for Joseph Kassab, who grew up in Iraq under Saddam Hussein's Baathist regime and now lives in Detroit, Michigan. Tempering the season's joy is his concern for fellow Iraqi Christians, who have endured killings, displacement and daily intimidation.

An Iraqi policeman checks security in a Baghdad church where midnight Mass will be celebrated Wednesday.

Christians in Iraq face a "bleak future," said Kassab, executive director of the Chaldean Federation of America, a nonprofit group that helps Iraqi Christians.

"We are heading for a demise," he said. "It's getting to the point where it might be an ethnic cleansing in the future."

A recent U.S. government report focused on the plight of Iraq's Christian minority. U.S. diplomats and legislators are worried, too.

"I think the Christians are caught in the middle of a horrible situation," said U.S. Rep. Anna Eshoo, a California Democrat of Assyrian and Armenian ancestry.

She said Iraqi Christians are suffering as a result of "religious cleansing," and she has urged more help for minorities who have fled their homes in Iraq.

The Iraqi government has worked to be inclusive and accepting toward Christians, but daily intimidation has cowed the Christian community, with crosses removed from churches, priests afraid to wear their clerical garb, the faithful reluctant to attend church, and churches hiring private security guards.

Iraq's Christian population has fallen from as many as 1.4 million in 2003 to between 500,000 and 700,000 more recently, according to the U.S. Commission on International Religious Freedom.

A recent commission report outlined chilling abuse that Christians suffer in Muslim-dominated Iraq. It sounded an alarm about the treatment of minorities such as Chaldo-Assyrian Christians, an ancient people who embraced the Christian faith in its early years and still speak a form of Aramaic, the language of Jesus. Read some of report's examples of violence against Iraqi Christians

The community has endured displacement, killings and kidnappings, with churches being attacked and occupied.

The U.S. State Department's International Religious Freedom Report for 2008 says two-thirds of Christians in Iraq are Chaldeans, a branch of the Catholic Church. Almost a third are from the Assyrian Church of the East. The rest include Syriac Christians, who are Eastern Orthodox; Armenians, both Roman Catholic and Eastern Orthodox; and Anglicans and other Protestants.

Christians and other minorities represented about 3 percent of Iraq's population before 2003, but many have fled to Jordan, Syria, Lebanon, Turkey, and other countries.

The community includes many who are well-educated, including business people and professionals. They live in Baghdad and Basra, as well as in the city of Kirkuk and the autonomous Kurdish region.

The Christian community is predominant in northern Iraq's Nineveh province, in the big city of Mosul and in the nearby Nineveh Plain, where many displaced Christians live.

Tensions in Nineveh province heightened a few months ago, after provincial officials blocked the creation of local police forces for the Nineveh Plain.

Then hundreds of Christians took to the streets in and around Mosul. They were protesting the demise of a national measure that would have included minority representation on the country's provincial councils. Fourteen Christians were killed in violence and many fled their homes.

That prompted Eshoo to write to Secretary of State Condoleezza Rice in October about the "rapidly deteriorating conditions for Christians in Mosul."

The commission's Elizabeth Cassidy, an international legal specialist, said the bias that Christians face in Iraq reflects "the growing lack of diversity in that part of the world.

"It's bad for these countries that they become all one religion," she said. She said she fears that Muslim extremists will become predominant in Iraq.

The commission gathered information from the Christian refugees who fled the sectarian violence in recent years.

"The ones we've talked to and who are outside seem to fear going back. Despite the security gains, they don't feel it's safe enough to go back," Cassidy said.

The commission made several recommendations for the U.S. government in Iraq, such as ensuring fair provincial elections, training and deploying police to vulnerable communities, making prevention of minority abuse a priority, and distributing assistance funds fairly.

One proposal calls for amending the constitution to get rid of language that gives Islam primacy. The constitution guarantees religious freedom and rights to all people, including Christians, but states unambiguously that "Islam is the official religion of the state and is a foundation source of legislation."

Iraqi Christian activists, such as Michael Youash, project director of the Iraq Sustainable Democracy Project in Washington, favor the creation of a distinct region in the Nineveh Plain -- where neither Arabs nor Kurds predominate.

He cites part of the constitution that says it "shall guarantee the administrative, political, cultural, and educational rights of the various nationalities, such as Turkomen, Chaldeans, Assyrians, and all other constituents."

Youash, who authored a paper on the Iraqi minority crises for the American University International Law Review, warned that the demographic changes will hurt Iraq because Assyrian Christians "are disproportionately represented in Iraq's professional and educated elite."

"They are a significant component of the American administrative structure in Iraq," he said. "This depletion of Iraq's human capital will have devastating effects throughout the country."

@highlight

Iraq's Christians face killings, intimidation; many have fled to other countries

@highlight

Community has decreased from 1.4 million in 2003 to half that

@highlight

One expert sees diversity decreasing, fears Muslim extremist majority in Iraq

@highlight

Christians in Iraq face "horrible situation," says U.S. congresswoman