(Health.com)  -- Doctors often recommend exercise for patients with fibromyalgia, but the chronic pain and fatigue associated with the condition can make activities like running and swimming difficult.

Tai chi -- a slow, meditative martial art -- may be an effective alternative, a new study suggests.

Fibromyalgia patients who took tai chi classes twice a week for three months experienced less pain, stiffness, and fatigue than a control group that attended lifestyle education and stretching sessions, according to the study, which was published in the New England Journal of Medicine.

Tai chi involves a series of slow, fluid movements that focus on balance and deep breathing.

Although it's not clear from the study how exactly tai chi might improve fibromyalgia symptoms, both the physical activity and the meditative aspects are likely beneficial, says Chenchen Wang, M.D., the lead researcher and an associate professor at the Tufts University School of Medicine, in Boston, Massachusetts.

"Some people need the physical improvement; some people need more mental improvement," she says. "Tai chi can help with both."

Health.com: How fibromyalgia is diagnosed

Previous research has shown that tai chi can help relieve the symptoms of arthritis and other pain conditions, but this study is the first controlled trial to examine its effectiveness as a treatment for fibromyalgia, which affects an estimated 10 million Americans.

The study included 66 fibromyalgia patients who were randomly assigned to take one-hour tai chi classes with an experienced teacher or one-hour classes that taught coping skills, pain-management techniques, and stretching.

Participants were also asked to practice tai chi or stretch on their own for 20 minutes each day, depending on which group they were in.

Health.com: 13 mistakes fibro patients make

After three months,  Wang and her colleagues asked the patients to rate their pain symptoms, physical functioning, fatigue, and mood, all of which were combined on a single scale ranging from 0 to 100, with higher scores indicating more severe symptoms. (The patients completed the same survey before the study began.)

The average score among the tai chi patients dropped from 63 to 35, while the average for the control group dropped by just nine points, from 68 to 59. Three months after the sessions stopped, the scores had remained roughly the same, which suggests that the benefits of the tai chi were lasting, Wang says.

The results were encouraging, as existing fibromyalgia treatments -- including medication, sleep therapy, and aerobic exercise -- fail to help many patients. "We need another approach," says Wang.

Health.com: Medical marijuana may help fibromyalgia pain

Robert Shmerling, M.D., an associate professor at Harvard Medical School and the clinical chief of rheumatology at Beth Israel Deaconess Medical Center, in Boston, says that he often recommends alternative treatments, such as acupuncture and massage, to his fibromyalgia patients, although some of them are skeptical.

"I would certainly put tai chi on the list," says Shmerling, who co-wrote an editorial that accompanies the study. "It's difficult to take something that's as safe as tai chi and show that it has this dramatic benefit and not be enthusiastic about it."

The calming style of tai chi used in the study, known as Yang, may be especially effective for fibromyalgia patients, says Kim D. Jones, Ph.D., an associate professor at the Oregon Health & Science University School of Nursing, in Portland.

"It works more on the parasympathetic nervous system, ...the part of the nervous system that helps us feel calm and relaxed," says Jones, who studies Yang-style tai chi and yoga in fibromyalgia but wasn't involved in the study.

Health.com: 13 conditions that mimic fibromyalgia

Jones recommends that fibromyalgia patients find a well-trained instructor rather than trying tai chi on their own.

She points out that learning tai chi in a group may have its own therapeutic benefits, by boosting confidence, for instance.

Many community centers offer affordable tai chi classes, but experienced teachers can be expensive and hard to come by. However, if future studies support the benefits of tai chi, insurance companies might start to cover the practice, Shmerling says.

Copyright Health Magazine 2011

@highlight

Study suggests Tai chi as a good exercise for fibromyalgia patients

@highlight

Tai chi practicers experienced less pain, stiffness and fatigue

@highlight

Doctor says the benefits of tai chi were also lasting