Singapore (CNN) -- Holding a black noose over her head, Singaporean forensics expert Lim Chin-Chin explained Wednesday to a packed courtroom how re-enactments showed that American engineer Shane Todd would have been able to hang himself from a similar black strap attached to his bathroom door.

"One final push and he lands," she said, describing how a chair could be shoved away by the feet so a body would drop.

This was the third day of the inquiry into the death of Todd, who was found hanging in his Singapore apartment on June 24. Singapore's medical examiner concluded that Todd committed suicide, but Todd's parents disagreed and hired a pathologist in the U.S. who -- based on Singapore's autopsy report and photographs of the body --suggested there was evidence that his death was a homicide.

Singaporean lawyers hired by the Todd family have suggested Singapore's police work was sloppy and that an assumption of suicide led police to neglect other evidence. In court, the Todds' lawyers asserted a possible crime scene was altered: Todd's hanging body was cut down and laid on the floor and a nearby chair moved before a forensics team and photographer arrived. Police maintain this follows standard procedure.

U.S. senators seek to stop funding Singapore firm after American's death

On Tuesday a senior police inspector told the court it wasn't necessary to take fingerprint or DNA swabs at the scene because there were no "tampering marks" on Todd's apartment door, and no "signs of ransack" in his apartment.

The 31-year-old Todd had been working for a year and a half at the Singapore government's Institute of Microelectronics (IME) when he decided to quit his job and return home to the United States. He was part of a team researching uses of Gallium Nitride (GaN), a semiconductor that can operate at extremely high temperatures. Documents found on Todd's laptop after his death reportedly indicate IME may have had plans with Chinese telecom giant Huawei to co-develop an amplifier using GaN. Such a device could have both military as well as civilian uses.

Todd's parents believe their son may have been murdered over his knowledge of such a sensitive project. They say their son had warned them his life was in danger. Both IME and Huawei deny that any joint GaN project ever went forward. The lawyers for Singapore's Attorney General say they plan to show evidence that Todd had little experience in GaN work and "found it difficult to cope." The state also says Todd's laptop shows he accessed suicide-related web pages in the months before his death, with a search in March on how to tie a hangman's noose.

Lim, who heads Singapore's main Forensics Lab, walked through a detailed presentation of simulations intended to recreate the evidence found in Todd's apartment -- the compression marks on the doorframe caused by a hanging weight, and floor scratches that matched the movement of a chair which Todd could have pushed away with his feet as he hanged himself.

READ MORE: Montana family disputes Singapore police probe into son's death

Todd's parents, who flew to Singapore from their home in Montana, watched Lim's testimony in silence as pictures of their son's dead body were displayed. But after Lim finished, Todd's mother appeared unable to continue, and requested the family's lawyers call for an end to the day's proceedings. Outside court, Rick and Mary Todd expressed disgust with the inquiry.

"What we've been discovering is that the evidence that's been presented, we can't rely on. It's been moved, it hasn't been preserved and we are trying to get to the bottom of it, if we ever will be able get to the bottom of it," said Rick Todd.

Todd's mother, Mary, wept as she told reporters the police and Singapore's investigators had ignored evidence.

"We have given them evidence from the minute we heard that our son was hung, that he could have been murdered. We've given them computer forensic evidence, we've given them physical evidence... Why are they not looking into all of those things that add up to murder, not suicide?" she asked "I am very, very disappointed in this process and I want the truth to be known in Singapore."

Wednesday's inquiry also focused on Todd's phone and laptop. Peter Ong, a lawyer for the Todd family, had raised the question of whether Todd's laptop could have been hacked or remotely accessed to upload information or insert a suicide note.

Singapore's technology crime forensics expert Kristen Soong testified that she had conducted several tests for viruses and that she had found no evidence of remote access or any trace of malicious software. "There was only one user by the name of Shane to this account," Soong added.

Ong also asked why there was activity on Todd's phone after his death, when the phone was in police custody. He introduced phone records he said showed activity over a span of five days after Todd's death. Soong told the court it was up to the police to see if there had been any misuse of the phone, to which the Todd's lawyer Ong replied, "Apparently there may be."

The inquiry began on Monday with the testimony of Todd's friends in Singapore. Todd's girlfriend Shirley Sarmiento, a nurse in Singapore, was the first witness to be called. She had gone to his apartment on the night of June 24, concerned when he didn't answer calls or texts, and discovered his hanging body. Sarmiento testified she didn't know the details of his work but said Todd told her "how much he hated" it. On one occasion he told her he was "working on something that could get him into trouble with the American government" and that "heavy hands" were coming after him, though he didn't elaborate.

But Todd had also confided in his girlfriend that he had been depressed since October 2011. But she said he "did not display any suicidal tendencies."

Michael William Goodwin lived across the hall from Todd. He'd been the one who first heard the screams of Todd's girlfriend when she found his body. Goodwin testified that he and Todd talked over beers a month before he died and that he seemed very stressed.

"He told me he wanted a fresh start. He told me he hated his job," Goodwin said.

Asked by one of the Todd's lawyers if he believed Todd had taken his life, Goodwin said Todd was always "upbeat" and showed "no evidence at all that he would ever take his own life."

Asked if he was surprised to hear Todd had been taking medication for depression, Goodwin said, "It wouldn't surprise me." Looking out at the courtroom he said, "Twenty people in this room" could be suffering from depression and no one would know.

Witness testimony will continue until the end of the month. The judge in the inquiry - termed the Coroner in Singapore - will issue a final report declaring whether Shane Todd committed suicide or whether the facts point to "misadventure." Any finding other than suicide could potentially be taken up as a criminal case. A determination of "suicide" by the Coroner would be considered final with no further legal recourse for the family.

@highlight

Singapore is holding an inquest whether a U.S. engineer's death was correctly ruled a suicide

@highlight

Shane Todd was found hung in his apartment before his planned departure home to the U.S.

@highlight

His parents contend Singapore police ignored evidence that suggests he may have been murdered

@highlight

Singapore police says that Todd's computer showed a search for suicide techniques before his death