SHANGHAI, China (CNN)  -- On Saturday at 10 a.m. it's show time for Brenda Zhang and her subtitle team. They roll out of bed, meet each other online and chat, while their modems download the latest episode of "Prison Break," which just aired half a world away on Friday night in America.

Chinese netizens have a growing appetite for online English content.

Once they have the show on their hard drives, the team spends the rest of the day creating subtitles for it in Chinese before putting it back online for other fans to watch.

Dozens of such groups exist in China. They are voluntary and are translating a mix of media, from books and magazines to games, TV shows and movies. The translated products are for an audience whose primary means of accessing foreign entertainment is the Internet.

The members of these online translations groups participate out of a desire to improve their English. For many there is also a passionate interest in overseas content and a desire to make it accessible to other Chinese people.

"This is a way to fulfill your life and do something you are interested in," said Zhang, a 24-year-old who translates for a team that calls themselves "Showfa."

"I think Chinese people need to know something different, to see how the foreigners think about life, think about love."

Aside from the international content made available on the Web, largely by the translation groups, people in China have fewer opportunities to legally watch imported entertainment than in many developed countries.

While the viewing selections have been growing in recent years, Beijing still issues quotas for the number of international films allowed in cinemas each year, while the limited amount of content permitted to air on state-run TV is usually censored, poorly dubbed and not popular anymore.

Translation team members download TV shows through different methods: watching directly from a Web site or downloading from a translation group Web site. Clips can also be downloaded through BitTorrent -- file-sharing sites such as Xunlei. Through this method, groups post their "seeds" on these sites, and people can download them.  The translation teams acknowledge that what they are doing is less than legal and say they do worry that someday they may be forced to quit (so far there are no reports of a group being shut down).  "We are living in this grey zone," said Deping Wang, a former member of a team called 1000fr. "It is not legal, but at the same time, nobody can live without it. This is the dilemma."  Many international media companies are concerned the groups are eroding their potential profit margins in China by illegally making the content available for free. Some, however, see the translation groups' efforts as a conduit for cultivating a market that will be willing to buy content if it is allowed to be distributed through official avenues in the future.  "While there is still an issue on the translation right, we also take a broader view to look at its impacts on other parties such as it's providing a platform for a Chinese audience who would otherwise not be able to understand or access The Economist content," Henry Luk, Asia-Pacific regional director for The Economist Group, told CNN via e-mail.  Since 2006, a group calling itself the Eco Team has translated more than 8,000 articles from British newsmagazine The Economist. Members collaborate with the translations, posting articles on their message board to be collectively copy-edited. The final versions are published on Eco Weekly a biweekly publication that can be downloaded and printed at no cost. The Eco Team Web site has more than 60,000 registered users, according to the group.  "We want this magazine to be published in Chinese," said translator Jerry Bai at a recent party held by some of the Eco Team members in Shanghai. "This is our only one wish."  However, beyond the copyright issues that come up around the subtitle squads, Bingchun Meng, a media lecturer at the London School of Economics who is studying the teams, sees them as an opportunity to understand the social dynamics of virtual groups.  "These are fascinating communities," Meng said. "You think that everything online is more egalitarian and anti-establishment, but what we see is the emergence of another kind of operation of power, but maybe the power doesn't come from the traditional source but from different venues."  Virtual communities  The translation teams consist of loosely structured yet highly coordinated, even hierarchical, virtual communities often consisting of hundreds of participants around the world. While some members occasionally meet each other offline, they mostly communicate through email, online forums or via instant messaging services, like QQ and MSN Messenger.  Within each team, there are leaders responsible for organizing the translation efforts of various sub-groups assigned to different TV shows and movies in English and also other languages such as German and Japanese. Leaders select the shows to subtitle by taking votes from Chinese "netizens" about the programs they want to see.  More experienced translators are given so-called "zero day" shows -- highly popular programs, like "Prison Break," that are recorded and uploaded by someone living abroad to a special FTP site immediately after the program. Meanwhile, back in China, a team is on standby, ready to download and subtitle the show as fast as they can for Chinese fans to watch online -- and to see if they can beat rival translation gangs.  Competition can be fierce. To get ahead, some teams route content through servers in Thailand and Hong Kong to circumvent slow speeds that can stymie downloads between the United States and China.  "It can buy 10 minutes, and, you know, 10 minutes means a lot of things," said Wang, the former member of 1000fr, one of the first translation teams in China.  There are around a half-dozen other subtitle groups that are well known, including YDY, or Yidianyuan (Garden of Eden), 1000fr's main rival.  "These two groups fight together to see who is the fastest to translate into Chinese," Wang said. "Two hours was one of our record translation times."  Before someone can be a translator, he or she must first go through an application process and take a language test. Wang said she had to translate 300 words in 15 minutes to become part of 1000fr.  Teams also often have entire human resources departments responsible for recruiting new members, and there is never a shortage of applicants.  "A lot of people apply. A lot," said Zhang, who is responsible for bringing in new recruits for Showfa's Japanese subgroup. "There are a lot of TV series, and we need a lot of human resources."  But just as quickly as new members come, they also go. Many of the translators are college students with plenty of time on their hands, often quitting once they graduate and have to get a job.  Zhang finished school several years ago but still manages to find time to spend with her subtitle group who she says are also her best friends. They also meet online every Tuesday morning to translate another popular American show, "24". Yet now on Saturdays, Zhang and the translators will have to come up with a different routine. This season of Prison Break was its last.  "We will take a break," Zhang said. "And wait for new shows."

@highlight

Online translating teams in China volunteer to translate pirated English media

@highlight

Virtual teams compete with one another to translate latest downloaded U.S. shows

@highlight

Team member: "We are living in this grey zone ... it is not legal"

@highlight

Media expert: Groups are unique experiment in social dynamics of virtual groups