Buenos Aires, Argentina (CNN) -- Marianela Galli waited 34 years for the men who killed her family to be punished. On Wednesday night, inside a packed courtroom in downtown Buenos Aires, she learned their fates.

"We have justice and these people are going to jail and I can finally walk in the streets without them," she said.

Sixteen former Argentine military officers received sentences ranging from 18 years to life in prison for their roles in human rights abuses committed during Argentina's 1976 to 1983 dictatorship. The bloody era, when the military used kidnapping, torture and murder to silence dissidents, became known as the "Dirty War." The seven-year junta claimed an estimated 30,000 lives.

Galli's parents and grandmother were among the victims.

On June 12, 1977, 16-month-old Marianela, her mother, Patricia, her father, Mario, and her grandmother, Violeta, were kidnapped from their home in Buenos Aires. They were taken to the Argentine Naval Mechanics School, known as ESMA, the largest and most notorious of dozens of detention centers operated by the Argentine military at that time.

After three days in captivity, the military released Galli and gave her to her father's family. Her parents and grandmother remained inside the ESMA, where they endured two months of torture before being drugged and then thrown alive from an airplane into the chilly waters of the South Atlantic.

Thousands perished in the weekly Wednesday "death flights," and most of their bodies were never recovered.

"I don't have my parents with me. I don't have my grandmother with me. They changed my life against my will and there is nothing I can do about it," she said.

Marianela GalliÂ´s story is remarkable, but it is not unique. Five-thousand people passed through the white-washed walls of the ESMA. Most were never seen again.

The conclusion of the two-year ESMA trial on Wednesday night provided a sense of closure for victims' family members and friends, thousands of whom braved chilly spring temperatures outside the courthouse to watch a judge read the sentences on a big-screen television.

"This trial took many years to happen, but thankfully our former president, Nestor Kirchner, embraced the human rights cause. That is why we are here today," said Tati Almeida, a member of the human rights groups Mothers of the Plaza de Mayo, whose son, Alejandro, was "disappeared" by the military.

The silent marches staged by victims' mothers and grandmothers first brought the world's attention to the atrocities taking place in Argentina in the late 1970s. They have continued their efforts to seek justice for the victims ever since.

"This is a very emotional moment for me. It will take me several days to process it. Because from the first accounts I gave years ago up until now, repeatedly testifying and testifying, we now finally have the first sentences," said Munu Actis, a survivor of the ESMA detention center.

As Judge Daniel Obligado read out the sentences, the loudest jeers were reserved for Alfredo Astiz, a former Navy captain whose boyish looks and deceitful ways earned him the nickname the "Blonde Angel of Death."

Astiz worked as a Navy spy, gaining the trust of human rights activists and then choosing which ones to target for disappearance. Astiz has been unrepentant for his actions, saying he was simply following orders.

"This is not justice, this is a lynching," he said shortly before his sentencing.

Astiz received a life sentence for his role in the deaths of renowned Argentine writer and journalist Rodolfo Walsh, French nuns Alice Domon and Leonie Duquet, and Azucena Villaflor, one of the founders of the Mothers of the Plaza de Mayo.

Mario Galli, Marianela Galli's father, had come up in the naval ranks together with Astiz before deciding to leave the military because of their increasingly violent tactics. It was a decision that ultimately cost him his life.

A French court sentenced Astiz to life in prison in 1990 for the kidnapping and killing of two French nuns. But he remained free for more than a decade. For many years, an amnesty law in Argentina giving former military officials immunity from prosecution over human rights abuses protected him.

Galli recalls seeing him one night in 1998 when she was working as a waitress at a Buenos Aires restaurant. Astiz walked in at 1 a.m. and ordered a coffee.

"I felt absolutely helpless when I saw him. I couldn't believe that this man who had helped kill my parents was allowed to be free," she said.

The ESMA trial was just one of many taking place in Argentina. Amnesty laws protecting former military officers were stripped in 2005 under the leadership of the late president Nestor Kirchner.

His wife and successor, Cristina Fernandez de Kirchner, has also been a vocal proponent of putting former officers on trial. This human rights initiative has helped bolster support for Fernandez, who was re-elected to a four-year term on October 23rd with 54 percent of the vote.

"The Kirchners are the ones who have made these trials happen, and I am eternally grateful to them for it," Jorge Morresi said after the sentencing on Wednesday. His cousin was "disappeared" in 1977.

The sentencing of the officers took more than one hour to read. When it was finished, thousands outside the courthouse hugged, cried, danced and sang.

As she embraced her aunt, Monica, who raised her following her parents' death, Marianela Galli reflected on the historic day that she had long hoped would arrive.

"This is a different kind of sensation. I am sad, and very happy because justice is coming, finally," she said.

@highlight

16 former military officers are sentenced for human rights abuses

@highlight

Woman whose family members were killed: "We have justice"

@highlight

Victims wait outside the courthouse to watch a judge read the sentences

@highlight

Alfredo Astiz, known as the "Blonde Angel of Death," is sentenced to life in prison