The historic six-month agreement over Tehran's nuclear program may begin a new era of relations with Iran, but it will be a long road back for the country's most vital sector, oil.

Iran produces about two and half million barrels a day -- far off its 4-million-barrel-per-day peak a decade ago.  Output is hovering at a level last seen at the end of Iran's war with Iraq. With North Sea Brent crude averaging over $100 a barrel for a record three years running, the sanctions on energy alone are costing Tehran about $50 billion in lost annual revenue.

Despite the deal breakthrough, U.S. Secretary of State John Kerry said most of the sanctions will stick as the world gauges the intentions of this relatively new administration in Tehran.

"During the six month phase, the oil sanctions that will remain in place will continue to cause over $25 billion in lost revenues to Iran or over $4 billion a month," he said.

The message is clear:  the pressure remains, but if all goes well, in a half year's time Iran can expect more in return for transparency.

The last few years have been filled with uncertainty. Tensions around the Strait of Hormuz with the on-and-off threats by the previous government of Mahmoud Ahmadinejad to block oil shipments in the Gulf have kept what strategists call a 10-15% risk premium on global energy prices.

Iran sits on about 9% of the world's proven oil reserves, claiming a few years back that it has nearly 150 billion barrels and the world's largest gas field. But its top four customers --China, India, Japan and South Korea -- have all had to cut back their energy imports by a third or more in the past few years due to U.S. and European pressure.

With every year that has passed, the screws have been tightened by Washington and the countries of the European Union.  It was not only sanctions against oil, but also blocking Iran's ability to secure shipping insurance and to trade in U.S. dollars and euros.  That economic isolation, many Middle East strategists I have spoken with suggest, is what brought Iran's new government to the negotiating table.

In 2012, the Iranian rial plunged by up to 80%.  Basic staples of life, poultry and bread skyrocketed in price and the economy went through a period of hyper-inflation.

With rising import prices due to a plummeting currency, industrial Iran is no longer able to compete.  There are reports that the state manufacturing sector had laid off up to 800,000 workers in 2012 and those who have kept their jobs saw their wages eroded by skyrocketing prices.

Oil executives with experience in the country say this initial agreement would help lift a cloud of uncertainty over the oil market, but that President Hassan Rouhani and his cabinet have to establish much better contract terms if this honeymoon period lifts sanctions.

The blunt-speaking Chief Executive of French energy group Total, Christophe de Margerie, told me at an energy conference in Abu Dhabi this month that Iran needs to try and create a better climate for investment if this weekend's breakthrough is sustained.

"I can tell you with the experience we have from Iran it doesn't always bring as we say in French partie de plaisir ... a win-win."

Oil giant Saudi Arabia has expressed doubts about signing a deal with Tehran, which will introduce more challenges within OPEC.  Iraq plans to double production by 2020 to six million barrels a day and with Iran wanting to rebuild exports, the Kingdom may have trim its own production to defend prices.

It is still early days, but this country of nearly 80 million people has been described as potentially being the Germany of the Middle East with plenty of natural resources -- that is, if it can emerge from years of economic isolation.

@highlight

Oil sanctions on Iran remain in place for the next six months despite historic deal

@highlight

Iran produces about two and half million barrels a day - far lower than a decade ago

@highlight

Sanctions on energy alone are costing Tehran about $50 billion in lost annual revenue

@highlight

Iran sits on about 9% of the world's proven oil reserves and claims the largest gas field