Kiev, Ukraine (CNN) -- The mood around Independence Square in Ukraine's capital was very somber Sunday as thousands gathered, mourning the dozens of people killed in demonstrations during the past week and wondering who will take charge of the politically divided nation.

They wondered where President Viktor Yanukovych, who reportedly tried to leave the country Saturday night, had gone.

No one in the government appeared to know.

There was a great uncertainty in the country after the rapidly moving events of the past 24 hours, which saw Parliament oust Yanukovych, free his political rival Yulia Tymoshenko from prison and schedule elections for May.

It appeared that two political forces were trying to establish control of the country: the opposition and Yanukovych, who maintains that he is still President and still in control despite fleeing to the eastern part of the country. Clearly, though, his power has been greatly diminished

Oleksandr Yefremov, parliamentary leader of Yanukovych's Party of Regions, condemned the ousted President on Sunday in a video statement, blaming him for the "robbery and deception" of the nation.

The former ruling party blamed Yanukovych for illegal orders that led to casualties, financial debt and shame in the eyes of the world, Yefremov said.

It also remains to be seen how Russia -- Yanukovych's ally -- will respond with the Winter Olympics in Sochi closing on Sunday.

Rapid changes to political scene

Tymoshenko, the former prime minister, was freed after 2Â½ years in prison Saturday and returned to the capital in a development many couldn't have imagined as dawn broke that day.

She went to Independence Square and had strong words for Yanukovych.

"Today, Ukraine has finished with this terrible dictator," Tymoshenko told the cheering crowd.

She served as prime minister from 2007 until she was forced out of office in 2010 after losing the election to Yanukovych. A year later, she was sentenced to seven years in prison after being convicted of abuse of authority over a natural gas deal negotiated with Russia.

The West considers her case politically motivated and has called her "a political prisoner."

She is considered a hero of a 2004 revolution that forced the results of a presidential election won by Yanukovych to be thrown out.

Where is the Presdent?

Last we heard, Yanukovych was in Kharkiv, a pro-Russian stronghold near Ukraine's border with that nation.

He tried to leave the country by plane but was turned away, authorities said.

The country's acting interior minister said Sunday that government officials in Kiev don't know the whereabouts of Yanukovych and two of his top ministers.

On Saturday, the President and his entourage attempted to board a charter flight without proper documentation in the eastern city of Donetsk, according to the head of Ukraine's Border Guard Service, Sergei Astakov.

He was on the tarmac when he was turned back by security forces, Astakov said.

But the President took to television airwaves, saying he's still the legitimate leader. He said he was forced to leave Kiev because of "vandalism, crime and a coup."

"I don't plan to leave the country. I don't plan to resign. I am the legitimate President," he said from Kharkiv.

May elections

Parliament voted to oust the President and hold new elections on May 25. It also appointed Oleksandr Turchinov, the speaker, to take on Yanukovych's duties until then.

Lawmakers also fired several ministers, including the foreign and education chiefs.

But who will lead the nation is still a big question.

Tymoshenko announced Sunday that she doesn't want to be considered for the nomination for prime minister, according to a statement posted on the Batkivshchyna party website.

The opposition coalition is a chaotic mix of voices, each working to assert dominance.

Former world champion boxer Vitali Klitschko has been the most well-known opposition figure during the crisis. He heads the Ukrainian Democratic Alliance for Reforms party. But the opposition bloc goes well beyond Klitschko and his party.

Then there's Arseniy Yatsenyuk, another opposition figure and former foreign minister.

Last month, the President offered a package of concessions under which Yatsenyuk would have become the prime minister and Klitschko deputy prime minister on humanitarian issues. The opposition refused.

Russia's influence

The series of concessions started Friday with Parliament overwhelmingly approving the return of the nation's 2004 constitution. Reinstating it gives the President less power -- a key demand of protesters who'd taken over Kiev City Hall for weeks -- and paves the way for lawmakers to appoint key ministers.

Close ally Russia has been busy hosting the Winter Olympics, which end Sunday.

But it's closely linked to the crisis, which started in November, when Yanukovych scrapped a European Union trade deal and turned toward Russia.

Russia offered to lend money to Ukraine in a deal worth billions of dollars and lower its gas prices.

The deal sent protesters to the streets as Russia pressured Yanukovych to crack down on demonstrators.

On Saturday, Russia's ambassador to the United Nations, Vitaly Churkin, condemned what he called Western attempts to influence the outcome of the tumult in Ukraine.

"Either they don't understand the consequences of what they're doing, or they're engaged in a very provocative game of destabilizing Ukraine and therefore Eastern Europe," Churkin said in a post on his official Twitter account.

Churkin has accused the opposition of wanting to take power by force.

"If those so-called democratic opposition leaders come to power on the shoulders of thugs, that will not produce democracy in Ukraine," he said.

On Sunday, U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov spoke about the situation in Ukraine. According to written statement from a senior State Department official, Washington strongly prodded Moscow to accept the results of the Parliament's decisions.

Kerry also asked Russia to work with the United States and the European Union on enabling "critically needed reforms" and to not use military force in the country, which shares a border with western Russia.

Explainer: What and who are behind Ukraine's political crisis?

iReport: Protester describes bloodied people being rushed to medics

U.S. talks tough, but options limited in Ukraine

CNN's Victoria Butenko, Phil Black and Ingrid Formanek reported from Kiev, and Steve Almasy, Faith Karimi and Chelsea J. Carter reported and wrote from Atlanta.

@highlight

NEW: U.S. asks Russia to accept changes in Ukraine, work to move country forward

@highlight

Yulia Tymoshenko, freed from prison, says no to future prime minister slot

@highlight

Government say it doesn't know where ousted President Viktor Yanukovych is

@highlight

Official from Yanukovych's party blames him for "robbery and deception"