(CNN) -- I was recently diagnosed with brain cancer.

This was shocking news. Sitting across from a doctor holding a clinical folder with your name on it, and hearing him say the words "low-grade glioma," "language and comprehension areas of your brain," "surgery" and "chemotherapy" is a very weird experience.

My first idea was to seek other opinions. Maybe this hospital is wrong. Maybe there are other places that wouldn't need to do surgery. Maybe there is a laser, a chemical, an ancient tradition, a shaman, a scientist, a nanorobot.

I felt incomplete about the way that the medical system was handling my situation.

Being "diseased" is like a state of suspended life. Can I work? Have fun? Be creative? Not really.

When you are declared "diseased," you become a set of medical records, therapy, dosages, exam dates. It's as if you disappear, replaced by your disease.

I immediately asked for my clinical records in digital format, and left the hospital.

TED.com: A new understanding of cancer

My main objective -- the best thing I felt that I could do -- was to make my digital information available on the Internet, in formats that would allow people of multiple cultures, skills, professions and inclinations to access, use, recombine and redistribute it.

Why would I want them to access this information?

To help me find the best cure for myself, and in the process to produce substantial social change by redefining the word "cure."

But when I went home to publish my medical records, all I could do was send them to specialized professionals, either by duplicating the CDs and mailing them or by copying their closed format and uploading them somewhere.

I had no direct access to my own information, since I use Linux and OSX rather than the files' Windows-based viewer. As a software engineer, I found software and programming tools to hack the files and make them open -- but a nontechnical person would have difficulty making use of their own medical data.

I needed, first of all, something which I could easily share, maybe allowing people to open it from their browsers, or even from their smartphones.

TED.com: New strategy in war on cancer

So I opened up my medical records and converted the data into multiple formats: spreadsheets, databases, metadata files in XML and video, image and sound files. And I published them on The Cure.

The responses have been incredible. More than 200,000 people have visited the site and many have provided videos, poems, medical opinions, suggestions of alternative cures or lifestyles, personal stories of success or, sadly, failures -- and simply the statement, "I am here." Among them were more than 90 doctors and researchers who offered information and support.

The geneticist and TED fellow Jimmy Lin has offered to sequence the genome of my tumor after surgery -- in an open-source platform, of course. And the Italian parliament has been debating a motion to make all patients' medical records more open and accessible, which would be amazing progress in my country.

Within one day I also heard from two different doctors, who recommended similar kinds of surgery. The first version is "awake surgery," which monitors the brain in real time as different parts are touched. The second is a variation in which electrodes are placed on the brain during surgery, and then a brain map is produced (with the patient awake) and used during a second surgery (with the patient fully unconscious).

TED.com: Your genes are not your fate

Existing portals and websites that allow patients and ex-patients to exchange stories and opinions already exist. But we're talking about something different.

I see a cure as a dynamic process, in which multiple doctors, professionals, artists, scientists and others join as a society -- to converse, support each other, be open to various contributions and shape solutions that merge humanity, technology, technique, philosophy and art. Creativity and "normal life" become part of the process and bring "diseased" people back to life.

To me, a true cure is complete, is human, and has dignity. And it never ends.

Such a cure is a dialogue in which "experts" maintain their status -- and in fact, an enormous thank you goes out to all the extremely qualified professionals who are constantly responding to my calls -- but the whole process opens up to possibility.

TED.com: The potential of regenerative medicine

And this is exactly what is happening: We are creating a cure by uniting the contributions of surgeons, homeopaths, oncologists, Chinese doctors, nutritionists and spiritual healers. The active participation of everyone involved -- both experts and ex-patients -- is naturally filtering out any damaging suggestion which might be proposed.

To achieve this kind of cure, we must be open to strategies from different cultures and philosophical orientations. And we must embrace a wider, more profound discourse about the ways in which information circulates digitally.

For now, I'm following a complex strategy developed with the help of a series of doctors and experts who responded to my open-source cure site and have suggested a variety of therapies to deal with the disease.

As of now, my cancer growth has stopped. We are waiting for the next test results to decide when and if to proceed to surgery.

How can you be involved? Tell us about excellent techniques and technologies from around the world that can effectively confront low-grade glioma. We have explored many opinions in Italy and Europe, but fewer outside.

Share your stories and experiences, the solutions you have found, the fraud you have encountered.

Send us videos, poems, images, audio or text that you see as relevant to a scenario in which art and creativity can help form a complete and ongoing cure.

Or tell us, "I am here!" -- alive and connected, ready to support a fellow human being.

The opinions expressed in this commentary are solely those of Salvatore Iaconesi.

@highlight

Salvatore Iaconesi: I was diagnosed with brain cancer at the age of 39

@highlight

He says he decided to put his medical records online, invite world to help find a cure

@highlight

More than 200,000 people have visited site; many have provided valuable information, support

@highlight

Iaconesi: I'm following a complex set of therapies before deciding on surgery