(CNN) -- Lingering oil residue at the bottom of Gulf Coast marshes caused heart defects and hindered reproduction in a small fish seen as an environmental bellwether, researchers said Thursday.

The Gulf killifish spends its whole life in the marshes of the Gulf Coast, with few in their lifetimes venturing more than a football field's length from where they were born. Because of that, they've been the subject of several studies since the Deepwater Horizon oil spill erupted off Louisiana in April 2010.

The latest, conducted by scientists from Louisiana State University and University of California-Davis, found killifish embryos that were exposed to oiled sediments hatched at a rate 40% lower than those cultivated in samples from un-oiled sites. Those that did hatch were smaller, had lower heart rates and had cardiovascular deformities that were likely to hurt their chances of survival, said Ben Dubansky, an environmental toxicologist at Louisiana State University.

"Early life exposure affects heart function, and these abnormalities persist until adulthood and make it harder for fish to survive, evade predators and eat," Dubansky said.

The findings were published online this week in the peer-reviewed journal Environmental Science and Technology. Co-author Andrew Whitehead said the killifish is the "canary in the coal mine" for the Gulf Coast, where scientists are still trying to catalog the effects of the 2012 disaster.

"They're the most abundant fish in these marshes," said Whitehead, a genome biologist at UC-Davis. "They're a really important forage species -- that means a lot of the fish that we care about commercially eat them. They're really important as that sort of middleman member of the community ... Their biology is going to reflect the quality of their local environment."

Because the oil spread across the Gulf in patches, Whitehead said it's still too early to tell what the findings mean for killifish populations overall. The study this week isn't a direct sign that the numbers are shrinking, but it's a warning, he said.

"Any animals that share a similar habitat to our killifish are going to be at similar risk to this species, and there are lots of commercial species that we care about that share the same habitat," he said.

In earlier studies, scientists observed deformities in the gills of killifish. In this study, Whitehead said, "We brought the field into the lab" by collecting water and sediment samples from areas that had gotten hit by oil during the spill, introducing embryonic killifish and comparing the results to fish cultivated in samples from un-oiled sites.

"What we found were pretty clear and dramatic and pretty obvious development differences in the embryos exposed to the oiled sediments," he said.

Killifish are typically a few inches long and commonly used as bait. There's no sign that the oil components are accumulating in their meat, but the fish are suffering "massive biological effects" as their systems process the compounds, said LSU environmental toxicologist Fernando Galvez, another collaborator on the study.

Researchers are still trying to assess the damage the spill did to the Gulf Coast, but fishermen in some parts of Louisiana say the catch has yet to recover from the spill. Oil company BP, which owned the ruptured well and is responsible for the cleanup, announced plans for nearly $600 million in restoration projects in Alabama, Mississippi, Florida and Louisiana this week.

The new research was funded by the National Science Foundation and the Gulf of Mexico Research Initiative, the BP-funded effort to study the environmental impact of the Gulf spill.

BP said in a statement Friday that while the company had not had a chance to review the data in the new study, "it is important to note that there are many sources of PAHs (polycyclic aromatic hydrocarbons, or compounds in the oil that settled into the sediments) and other stressors that elicit the biological effects described in the killifish paper. These sources have existed for years in Louisiana marshes, and not all are associated with oil."

BP says the spill has cost it more than $32 billion to date, including cleanup costs, compensation and penalties. It's currently in a federal court in New Orleans, seeking to avoid a finding of gross negligence that could result in another $17-plus billion in fines under the Clean Water Act.

@highlight

Study links oil exposure to heart defects in Gulf killifish

@highlight

The species is the "canary in the coal mine" for the Gulf Coast, scientist says