(CNN) -- The capture of the surviving Boston Marathon bombing suspect last Friday ended the city's nightmare. But for investigators, a huge task lies ahead.

They "have a million questions, and those questions need to be answered," Massachusetts Gov. Deval Patrick said over the weekend.

Those answers could help authorities explain why two brothers might have done this and how the terrorist attack could have been prevented.

Here is a look at five of the burning questions vexing investigators:

1. Did the suspects act alone?

Preliminary interviews with surviving suspect Dzhokhar Tsarnaev suggest that he and his older brother, Tamerlan Tsarnaev, were self-radicalized jihadists, not members of a terrorist group, a U.S. government source said.

Hospitalized since his capture on Friday and unable to speak, Dzhokhar Tsarnaev is communicating with investigators by writing and nodding.

Tsarnaev has indicated that his older brother, not any international terrorist group, directed last week's deadly attack in Boston, the government source said.

He has conveyed that Tamerlan Tsarnaev's motivation stemmed from jihadist thought and the idea that Islam is under attack, so jihadists need to fight back, the source said Monday. Authorities might never have all the answers about Tamerlan Tsarnaev, 26, who died after an encounter with police early Friday.

Nevertheless, the possibility that the Tsarnaev brothers were members of a terrorist group has not been ruled out.

The government source cautioned that the interviews were preliminary, and that Dzhokhar Tsarnaev's account needs to be checked out and followed up on by investigators.

As CNN's national security analyst Peter Bergen points out, the brothers' e-mail traffic will be of huge interest to investigators as they seek an answer to this question.

And even if the suspected Boston bombers were not connected to a terrorist organization, the brothers may have had help.

2. What was Tamerlan Tsarnaev doing in Russia?

The older brother's six-month trip to Russia during the first half of 2012 is also a focal point of the probe.

His father has said that Tamerlan Tsarnaev was with him at all times during that trip. But investigators are not ruling out that he could have met up with some nefarious characters during that visit to Makhachkala, the capital of Russia's Dagestan republic, where his father still lives today.

"What I'm very concerned about is that when he went over there, he very well may have been radicalized and trained by these Chechen rebels, who are the fiercest jihad warriors," said Rep. Michael McCaul, a Republican from Texas who is chairman of the House Homeland Security Committee.

The trip came after the suspect, an accomplished boxer, became increasingly religious, his aunt said.

After returning from the trip, Tamerlan Tsarnaev started a YouTube channel with links to various videos. Two were posted under a category labeled "terrorists," but later deleted. It's not clear by whom.

A CNN analysis of the YouTube channel determined one deleted video featured a militant named Abu Dujana, whose real name was Gadzhimurad Dolgatov. Russian security services killed Dolgatov in December during an assault on an apartment in Makhachkala.

The investigation also will look into whether Tamerlan Tsarnaev made other trips to the northern Caucasus region, McCaul said Sunday.

A look at Tamerlan Tsarnaev's past

3. How did Dzhokhar Tsarnaev go from 'lovely kid' to suspected terrorist?

After the FBI named the two suspects on Thursday night, many who knew the brothers expressed disbelief -- particularly friends of Dzhokhar Tsarnaev.

He was "a lovely, lovely kid," said Larry Aaronson, a former teacher at the younger Tsarnaev's high school. Aaronson described the young man as compassionate, caring, and jovial.

Ruslan Tsarni, the boys' uncle -- who made headlines for calling the boys "losers" -- said he believes Tamerlan Tsarnaev influenced his younger brother. Investigators are looking into whether that was the case.

Some acquaintances of the boys believe Dzhokhar Tsarnaev may have been brainwashed by his brother. "All I can say is I think his brother put him up to it," said Peter Tenzin, who co-captained the high school wrestling team with Dzhokhar. "There's no way in heck that he would do it. Mentally, he's just not that kind of guy."

Uncle: Cambridge friend 'brainwashed him completely'

4. Why wasn't the FBI tracking Tamerlan?

Acting on Russia's concerns that Tamerlan Tsarnaev was a follower of radical Islam, FBI agents interviewed the older brother in 2011, an FBI official said.

But the Russian government's request was vague and the lack of specifics limited how much the FBI was able to investigate Tsarnaev, according to a U.S. official and a law enforcement source.

Nevertheless, many are wondering why this young man seemingly dropped off the FBI's radar in the years since, particularly after his six-month trip to Russia's unstable North Caucasus region.

"This man was pointed out by a foreign government to be dangerous. He was interviewed by the FBI once ... then, he went to Russia. ... Why wasn't he interviewed when he came back either at the airport when he was returning or later?" Democratic Sen. Chuck Schumer of New York said to CNN.

FBI takes heat over Boston bombing suspect

Republican Sen. Lindsey Graham also voiced concern about the FBI's handling of Tamerlan Tsarnaev, but the senator from South Carolina pulled back his criticism on Monday, saying that the problem might have been partly the result of Tsarnaev's misspelled name on a travel document.

Many lawmakers are asking whether the FBI should have done more.

"I think there's going to be an awful lot of questions about this, that's going to be looked at over the coming months and maybe longer than that," said Rep. Michael Capuano, a Massachusetts Democrat.

"Like every situation, I have faith that the FBI and other agencies have done their job. Can they improve their job going forward? Absolutely."

5. Why was an MIT police officer killed?

This is another missing piece of the puzzle. Police don't know why Sean Collier, a young MIT campus police officer, was killed -- allegedly by the Tsarnaev brothers.

Collier was inside his police vehicle Thursday night after responding to a loud disturbance call when he was shot and killed on the MIT campus, according to Watertown Police Chief Edward Duveau.

"It appears that the suspects approached from the rear... and then fired four to five shots into the cruiser," Cambridge Police Commissioner Robert Haas said on "CNN Newsroom" Monday.

A short time after the MIT shooting, the suspects are believed to have carjacked an SUV about a mile away. Later, Tamerlan Tsarnaev was killed in a police confrontation.

The motive for Collier's killing is unknown, Haas said. "We really have no idea at this point in time."

@highlight

The capture of Dzhokhar Tsarnaev last week ended Boston's nightmare

@highlight

Yet, investigators must answer "a million questions"

@highlight

There is still no clear motive for last week's bombings

@highlight

And it's still unclear if the suspects acted alone