(CNN) -- He provided the sense of dread to Martin Sheen's journey upriver in "Apocalypse Now," but for musician and "soundscape ecologist" Bernie Krause the authentic sound of the wild can be more disturbing than any synthesized film score.

"I'm not a very religious person but the living world is speaking to us in very profound ways and it's telling us we'd better pay some attention," he said, speaking from his home in California.

For 44 years Krause has traveled across the globe recording the sounds of the natural world and has amassed an archive of more the 4,500 hours and over 15,000 individual creatures. But perhaps the most remarkable part of Krause's back catalog of nature's orchestra is that that around 50% comes from now silent or extinct habitats.

"I believe that we're in danger of losing this important part of our lives very quickly," he said.

Crouching in a pitch-black jungle while a jaguar growls nearby or recording the sound of ants "singing" is a long way from Krause's early career as a musician.

Part of the 1960s folk quartet "The Weavers," he then became one of the first musicians to use a Moog and experiment with synthesizers. It was when recording natural sound with his musical partner Paul Beaver for 1970 album "In a Wild Sanctuary" that he had his acoustic epiphany.

"My parents hated nature, they considered a bonefish dangerous. We had no animals in the house when I was growing up and I really missed that. Going out in the field (to record 'In a Wild Sanctuary') I realized at 30 years old how much I had missed," he said.

"I decided right then and there it would be a life-changing event. Little by little I spent more time in the field recording."

While continuing other work, including writing books and the film scores for "Rosemary's Baby," "Performance," and Francis Ford Coppola's Vietnam War epic, Krause ventured into pristine landscapes across the world.

Yet it was not until a 1983 trip to Kenya that he developed a theory to match his endeavors.

"I discovered that the voices coming from only animals was very much like music. I realized that when all of these critter found these niches, a bandwidth so that all their voices can be heard -- just like instruments in an orchestra -- that a habitat was healthy," he said.

100 most endangered animals named in report

This "biophony," as Krause calls it, can be studied as a marker of an eco-system's health. While some in the scientific community remain skeptical of Krause's ideas, they have been adopted by university courses in the U.S., and aided the study of ecology.

Now in his 70s, Krause is resolved to keep up his field work, if need be by capturing soundscapes with digital recorders tucked into his pockets or tiny mics attached to his shoulders to avoid arousing unwanted attention.

From noises that inspire primal fear to fascination, what he hears never fails to surprise and intrigue him.

"The most remarkable thing is the smaller critters, like sea anemones making noise, even viruses have a sound. Every living organism creates an acoustic signature that makes it unique and special," he said.

"A coral reef that is alive has many different sounds, each fish species has their own signature, some gnaw on coral, others make noise with their swim bladders. A living reef is filled with all kinds of racket going on, whereas a reef under stress, dying or dead has almost no sound apart from the lapping of the waves above."

Pacific nations create largest marine park

This quieting of nature is not only alarming for the natural world but unhealthy for humans, too, believes Krause.

"The (loss of forests) on people (who live there) is profound. There's an element of stress that has been introduced into their lives, because they can no longer hear the voices that are narrative of place, part of their spiritual and cultural roots. When these place disappear it's like they lose part of their home.

"The further we (as the human race) grow away from the natural world, the quieter the natural world becomes and the more pathological we become as a culture."

@highlight

Krause has recorded more than 4,500 hours of the sounds of the natural world

@highlight

More than 50% of his archive comes from places that no longer exist in the same form

@highlight

Coined the term 'biophony' for the organized musical soundscapes of nature