Hong Kong (CNN) -- Violence in the restive western Chinese region of Xinjiang has left 35 people dead, state media reported, but overseas Uyghur groups questioned the official version of events.

Frequent outbreaks of violence have hit Xinjiang, a resource-rich region where the arrival of waves of Han Chinese people over the decades has fueled tensions with the Uyghurs, a Turkic-speaking, predominantly Muslim ethnic group.

The latest bout of unrest took place early Wednesday in the remote township of Lukqun, about 250 kilometers southeast of the regional capital of Urumqi, Chinese state-run media reported.

"Knife-wielding mobs attacked the township's police stations, the local government building and a construction site, stabbing people and setting fire to police cars," state-run newspaper China Daily reported, attributing the information to officials with Xinjiang's regional committee of the ruling Communist Party.

The official broadcaster CCTV posted pictures of burnt out cars in front of a police station whose facade was singed black in places.

Twenty-four people were killed by rioters, including 16 Uyghurs and two police officers, the state-run news agency Xinhua reported. Police shot and killed 11 rioters and captured four others, who were wounded, the news agency said.

Xinhua called the event a "terrorist attack," a common description by Chinese authorities for violence in Xinjiang involving Uyghurs.

Doubts raised

"The official reports, however, must be questioned in view of the inability to independently verify this narrative," said the World Uyghur Congress (WUC), a Germany-based Uyghur advocacy group.

The WUC said it had tried to gather more information about the events, but "all Uyghur telecommunications have been shut down" in Turpan, the prefecture where Lukqun is situated.

The China Daily article didn't say what had caused the riots, and Xinjiang government officials didn't respond to phone calls from CNN seeking comment. Efforts to reach people and businesses in Lukqun were unsuccessful.

The state-media account of what happened also didn't mention the ethnicity of those involved in the riots.

But the WUC suggested that Chinese authorities' use of the standard term "knife-wielding mobs" to describe the rioters was an indication they were Uyghurs.

It called upon authorities "to independently investigate the incident and its root causes, and to alleviate the legitimate concerns of Uyghurs so as to avert such incidents in the future."

The Uyghur American Association said it "urges the international community to exercise caution over details" of the events.

Chinese Foreign Ministry spokeswoman Hua Chunying said Wednesday that the ministry was "seeking information from relevant departments" on the matter.

Simmering tensions

Uyghurs have complained of discrimination by the Han Chinese and harsh treatment by security forces in Xinjiang, despite official promises of equal rights and ethnic harmony.

The worst violence in decades took place in July 2009, when rioting between Uyghurs and Han Chinese left around 200 people dead and 1,700 injured in Urumqi. That unrest was followed by a heavy crackdown by security forces.

Tensions have continued to simmer.

In April this year, clashes killed 21 people in Xinjiang's Kashgar Prefecture. Regional government officials called those events "a terrorist act" carried out by "mobsters," an account that overseas Uyghur groups disputed.

"The increasing frequency with which these incidents occur illustrates the PRC's reticence to address the root causes of the tensions that are escalating," the WUC said, using an abbreviation of People's Republic of China.

"There is an ever pressing need for the PRC to afford linguistic, cultural and religious freedoms, as well as ceasing politically-motivated arbitrary detentions, enforced disappearances and extra-judicial killing, in order to alleviate the recurrence of these needless and avoidable events," the group said.

CNN's Dayu Zhang in Beijing contributed to this report.

@highlight

NEW: Fatalities include 16 Uyghurs and two police officers

@highlight

State media say "knife-wielding mobs" attacked government buildings

@highlight

But Uyghur advocacy groups express doubts about the official account

@highlight

Ethnic tensions exist between Han Chinese and Turkic-speaking Uyghurs