(CNN) -- The slaughter of hundreds in Egypt this week was horrifying. The response of the United States to that slaughter seemed puny and impotent. The president and the secretary of state offered strongly worded condemnations, and the United States canceled its participation in a military exercise that probably wouldn't have happened anyway, given the unrest.

Around the world critics suggested the United States was either effectively condoning the violence or sending a strong message that it wouldn't penalize the Egyptian military for this or future harshness. It didn't help that after his statement the president slipped off for a round of golf.

The unnecessarily callous optics of the golf game aside, the unsettling reality is that America's options were puny and likely to have very little effect. Indeed, the White House wisely avoided falling into the trap of "feel good measures:" bold gestures that may resonate but ultimately won't work.

Some argue the United States should suspend the delivery of some or all the $1.3 billion in annual aid it sends to the Egyptian government. But this would only further reduce the limited influence we have over the Egyptian military.

Mosque at center of Egyptian clashes

It is important to remember that after Egyptian President Mohamed Morsy's overthrow, governments from the Persian Gulf in a matter of days offered the new Egyptian government 10 times the amount the United States gives each year. Not only did this shift the balance of influence away from the United States, but it also raises the possibility that they might well have replaced any funds we withdrew, blunting the impact of our actions.

It is also important to remember that the situation in Egypt is not black and white. While there is no excuse for the kind of massacres that took place this week, the Muslim Brotherhood also has a share of responsibility for the situation on the ground. The Morsy government regularly abused its authority, trampled on basic human rights and was so widely reviled in Egypt that its overthrow was welcomed by tens of millions of citizens.

Indeed, if you are looking for a place to fault the U.S. response, look to our relative tolerance of Morsy's abuses and our failure to strongly and effectively call him out as his government crushed personal freedoms, suppressed the press, threw opponents in jail and stood by as the Muslim Brotherhood actively sought to sow discord throughout the Middle East.

Had the United States been tougher back then and had it worked more with the international community to tie total aid flows to better behavior, it could have helped forestall the current situation. The United States consistently did and said too little too late. It also fell into the trap of overstating the legitimacy that being elected conferred on Morsy, even as he undercut that legitimacy by acting in a perniciously undemocratic way.

Is it still safe to travel to Egypt?

This last overall point contains the secret to effective U.S. leverage over Egypt and many countries these days. The United States cannot have much impact acting alone. Unless--in an instance like this-- it can speak for a broad cross section of aid-giving countries and institutions, the impact of any conditions it sets is likely to be limited.

Impact requires purposeful, active political and economic diplomacy at the highest levelâ€”including the willingness to pressure friends. It also requires having a clear plan. Finally, those with whom the United States is interacting, be they friends or adversaries, have to believe that it has the resolve to follow through -- and the willingness to take materially positive action if things go the way America wants.

But a United States that is post-Iraq and post-Afghanistan is correctly seen in the Middle East and elsewhere as "leaning back." A trifecta of forces has contributed to this:

The huge costs and damage of our misadventures in the region have left us disinclined to further commit major resources or incur further risks. Our domestic economic problems have led us to turn inward and question how we allocate our resources. And the polarization in U.S. politics has both produced divisions that make action hard and empowered the extreme wings of both parties, groups that for all their divisions happen to share a taste for isolationism.

American inaction in Syria, the growing violence in Iraq, our apparent inclination to get out of Afghanistan at any cost, and our relative silence on the decaying situation elsewhere in North Africa all contribute to the unhelpful perception that we are not going to put our shoulder into much in the region (or elsewhere for that matter).

It's not that we'll be absent. Not that we won't issue statements. Not that we won't take some modest actions. It's just that we will do less where we can do less. We will hesitate more. And with each illustration of thisâ€”whether our restraint is soundly based or notâ€”we lose credibility and thus leverage.

This is the hard choice for America: Embrace the risks and costs of real engagement or accept those associated with a much more passive role. This doesn't mean we have to be foolish. We don't need more Iraqs.

Egypt's identity torn in two

But the lesson of Iraq was not to never intervene again. It was to never do so rashly, recklessly or for the wrong reasons. It was to resist the temptation to act alone, to step up to the hard work of real diplomacy, to keep our eye on our nation's need to be a more effective leader in the international community, rather than simply the bullying hyperpower. It was to understand that the trick of leadership is actually getting others to follow, building coalitions, leveraging our power with that of others.

Because as we are now discovering, sometimes the greatest costs of mistakes like the ones we made in Iraq and Afghanistan are the way they limit our ability or inclination to take action in the future when it is truly necessary.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: After Egypt slaughter, U.S. response was criticized as puny, impotent

@highlight

He says cutting funds might feel good, but will cede U.S. leverage to Arab nations offering aid

@highlight

He says real impact requires strong political, economic diplomacy at highest levels

@highlight

Rothkopf: U.S. has choice: embrace risks of engagement, or be passive, accept less clout