(CNN) -- Facebook's latest defense of the mental distraction it creates for its users? It's not a bug, it's a feature!

At least that's the meaning I take from a Web commercial for the new smartphone start screen, Facebook Home, in which founder Mark Zuckerberg's announcement of the portal's launch is disrupted and interrupted by a host of Facebook updates.

"After all your hard work," he says to a group of employees in their work space, "Facebook Home is ready to ship." But as he continues, one employee glances down distractedly at his phone and begins thumbing through his, new, supercharged Facebook Home device. Zuckerberg's voice fades as a "screaming goat" appears on a desk and bleats loudly. A friend leaps out of nowhere, racquet in hand, saying, "Dude, forget work -- come play!"

Eventually, the whole office is a race track and then even a pool party that only the one, distracted employee can see and hear. Of course, the employee has missed the whole announcement. When it's over and Zuckerberg asks for his response, he glibly replies, "You know it, Mark." Zuckerberg has no idea he's been ignored.

By casting himself as the butt of the joke, it's as if Zuckerberg seeks to inoculate himself from critique. Can't we all just lighten up? Everyone knows that this stuff is distracting. We have all pretended to be listening to someone on the phone or in real life while actually checking e-mail. At least Facebook is aware of it, and -- if the commercial is to be believed -- the distractions it offers are pretty darned engaging. Yes, you can be with your friends and at work at the same time.

Except you can't. The ad is an apt, if sanguine, depiction of what I've been calling "present shock," the human incapacity to respond to everything happening all at once. In a rapid-fire, highly commercial digital environment, this sense of an overwhelming "now" reaches new heights. Unlike computer chips, human beings can only process one thing at a time. Whatever succeeds in attracting our attention only wins it at the expense of something else. Joke as we might like about it, our efficiency, our accuracy, our memory and our depth of understanding go down when we try to multitask.

Yet Facebook collapses time in more ways than that. Consider how people from your distant past, as far back as, say, second grade, can show up right in your Facebook present, asking to be "friends." If you click yes, they will show up right alongside and indistinguishable from your current friends. The distance once afforded by decades of time vanishes in the Facebook universe, as everything old is now again.

But wait, there's more. It's not just the past that comes careering into the present on Facebook, but the future. Facebook is just the front end -- the consumer interface -- of a big data engine. Facebook and its affiliates are busy churning the data generated from every keystroke to figure out who of us is likely to go on a diet, get pregnant, change political affiliation, question our sexuality and more. All so advertisers can act on our probable future behaviors by targeting marketing messages to us today.

Facebook brings us both friends from our past and advertisements from our future, all competing to distance us from the boring but emotionally grounded present. And this temporally compressed digital landscape is supposed to be our new "home."

Meanwhile, as if to prove that humans really can exist in more than one place at the same time, our Facebook profiles continue to carry on our online lives for us even when we're not logged on. An advertising feature called Sponsored Stories inserts our names and pictures into advertisements, so that we may endorse products tangentially associated with people or things we may have once "liked." To our friends, it looks like we're adding a live update, while in reality, we're sleeping, eating or even tweeting elsewhere.

This is the disorientation produced by present shock. I call it digiphrenia, the experience of trying to exist in more than one incarnation of yourself at the same time. Of course, now that we're in on the joke, we're supposed to realize that coming back online to discover one of our other selves has been hawking a coffee bar we've never even visited isn't a violation: It's sort of funny. Just take it in stride, like Zuckerberg does.

In the end, however, the joke may really be on Zuckerberg after all. Young people, teens in particular, are drifting away from Facebook for less overwhelming social applications such as the 140-character Twitter and the intentionally temporary photo service Snapchat.

And when I looked up Facebook Home online to try to find out just what it was, the first search results that came up were from users sharing how to disable it. This way, consumers can buy the discounted phones on which Facebook Home ships, and turn them back into a regular Android smartphones, where Facebook is just another app we can use in our own good time.

Ha.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Doug Rushkoff: New Facebook app allows you to be disoriented even more by message flow

@highlight

Zuckerberg butt of joke in ad for new app with employee ignoring him for Facebook updates

@highlight

Facebook is the eternal "now," he says, with future, present coalescing in bogus reality

@highlight

He says Facebook is really a big data collection agency, and it's losing supporters and users