(CNN) -- Here's a hot tip: The University of North Carolina is going to win the NCAA men's basketball tournament.

A Georgia Tech professor's computer model suggests UNC will win this year's NCAA men's basketball tournament.

At least that's the prediction of Joel Sokol, a Georgia Tech professor whose statistical model correctly selected the Final Four, championship game and winner of last year's tournament.

Be glad he's not in your office's betting pool.

Finding some kind of rationality in March Madness, which starts in earnest Thursday, has been an American pastime for decades. Tournament brackets are everywhere, and from sports TV to the dinner table, everyone seems to have predictions about which team will claim the top spot, and why.

But in recent years, "bracketology," as sorting out the single-elimination basketball tournament is sometimes called, has increasingly become the scientific endeavor its name suggests. It's even something on which university professors and professional statisticians stake their reputations.  Watch Sokol explain his predictions »

There are at least 40 individual people or groups using statistical models to analyze college basketball and rank its teams online, according to Kenneth Massey, whose Web site, masseyratings.com, lets users compare the analyses.

Anecdotal evidence suggests more people are getting in the game, perhaps because the raw data used to run the equations -- team records, point margins and the like -- is easily accessible on the Internet.

All of these off-shoot predictions supplement the official computer model used by the NCAA, which is called the Rating Percentage Index. But a selection committee of live people still ranks teams and puts them in tournament brackets.

At their cores, the computer models all operate like question machines, said Jeff Sagarin, who has been doing computer ratings for USA Today since 1985.

Different people come up with different brackets because they're asking different questions.

Sagarin's equations ask three questions: "Who did you play, where did you play and what was the result of each specific game?" The computer keeps repeating those questions in an "infinite loop" until it comes up with a solid answer, he said.

Sagarin has arranged the formula as such partly because he thinks home-court advantage is a big deal in college basketball.

Other models ask different questions or give the questions different weights. Sokol, of Georgia Tech, for example, cares more about the win-margin than where the game was played.

He got into NCAA basketball prognosticating after watching his team, Georgia Tech, lose a nail-biter in 2002 when Tennessee hit a shot at the buzzer from half court.

Sports analysts made a big deal of the loss, he said, which seemed statistically dumb to Sokol. As far as he's concerned a close game might as well be a tie -- the toss of a coin could predict the winner.

"That last shot is almost meaningless," he said.

It took a few years of testing for Sokol to start believing in his computer model, which was the subject of an academic paper in 2004. That year, Georgia Tech made it to the Final Four, which Sokol and colleagues had predicted.

"They really kind of made us believers in our own system," he said.

Sagarin, who has one of the older and more respected prediction equations in the business, said a year or two of success does not mean a model will continue to foretell the outcome of the tournament correctly.

He grew up a sports junkie who was "too skinny" to make it big on the court or field. For a time, he used his intimate knowledge of statistics and college basketball to bet on the annual NCAA tournament.

Buzzer-beating shots became the bane of his existence, and in 1983, after Houston lost to underdog North Carolina State on a last-second dunk in the tournament final, Sagarin gave up on betting.

"Each year I try to put minor improvements in [the computer model] and test in the off-season, but that all goes out the window when guys hit three-point shots at the buzzer," he said.

"There's a lot of luck in life. Life is a series of heads and tails, and human beings try to describe rationale behind them ... when in fact it may be random."

Dan Shanoff, who blogs on sports at danshanoff.com, said gut feeling is more important than statistics, but taking a look at the numbers can never hurt.

In the end, he said, it's all chance.

"You think you know everything about college basketball and then all of a sudden your mom is finishing ahead of you [in a tournament pool], which happens every year to me with my mom," he said.

Shanoff's gut tells him Louisville will win the men's tournament this year.

Sokol, of Georgia Tech, puts Louisville in the Final Four with UNC, Pittsburgh and the University of Memphis.

He said Michigan State and Oklahoma are ranked too high and due for an upset, statistically speaking.

While all of this information could be helpful for people betting on the Big Dance, Sheldon H. Jacobson, a professor of computer science at the University of Illinois, said he doesn't fill out a bracket, despite the fact that he's developed a computer model for the tournament.

"I enjoy the games and I enjoy the tournament, and not filling out a bracket gives me the freedom to do that," he said.

@highlight

People are using computer models to try to pick NCAA basketball winners

@highlight

A successful model from Georgia Tech picks UNC to win this year

@highlight

As more data is available online, the practice appears to be more popular

@highlight

One professor says it's more fun to watch for fun than fill out bracket