They are the latest political pawns in a partisan battle over U.S. immigration: Thousands of children who have risked their lives fleeing poverty and violence in Central America seeking "permisos" or a pass to stay in America.

It is a political chimera that touches on thorny issues like immigration reform, foreign aid, human trafficking and the U.S.-Latin American drug trade, which has helped fund violent Central American cartels that are destabilizing that region, federal officials told lawmakers at a House Homeland Security Committee hearing on Tuesday.

During the session, the partisan differences on immigration reform and border security were stark.

"Why aren't we putting them on a bus like we normally do and send them back down to Guatemala?" Alabama Republican Rep. Mike Rogers asked about the children pouring across the southern border and being held in detention facilities.

"Because the law requires that I turn them over to (Health and Human Services) sir," responded Homeland Security Secretary Jeh Johnson.

"Well the law required Obamacare to be kicked in two years ago and that hasn't stopped the administration before when it wants to do something different," Rogers replied. "This is a humanitarian crisis. ... It is a national security crisis for our country and I don't know why these children are being treated any differently."

And so it went as lawmakers and federal officials went round and round, hotly debating how best to deal with the thousands of children awaiting their fate in hot, cramped detention facilities and the thousands more expected to flood the southern border by the end of the year.

"This is a crisis. It is a crisis that has been in the making for years, one that we should have seen coming but few concrete actions have been taken," said committee Chairman  Michael McCaul.

"The Department of Homeland Security and the United States government as a whole has been slow to act, turning a blind eye to the warning signs," the Texas Republican said. "The tragic fact is these children are making a dangerous journey based on misinformation and the false promise of amnesty."

Immigrant children tread treacherous political landscape

Partisan back and forth

Republicans blame the White House and say relaxed deportation policies toward immigrant kids and their families are encouraging an estimated 60,000 Central American children who, federal law enforcement agents say, will cross the southern border into the United States this year.

"I think this humanitarian crisis can be laid directly at the feet of the President and his policy in 2012," said Rep. Candice Miller, a Michigan Republican.

She was referring to a program backed by the Obama administration that defers deportation for children brought to the United States previously by their parents or guardians illegally.

Though most of the children pouring across the border now would not qualify for "amnesty" under the policy, immigration law and policy experts say there is strong evidence to suggest the administration's position motivated others to make the difficult journey to the United States in the hopes that they will be granted a similar reprieve.

"What is critical here is that we correct the record, we straighten the misperceptions," Johnson told the committee. "The smuggling operations are creating a misinformation campaign that there is a 'permisos', or free pass."

Influx of immigrant children expected to last through summer

President Barack Obama and fellow Democrats blame House Republicans, for refusing to take up a Senate-passed comprehensive immigration reform package last year and for continued fighting over incremental proposals.

They also stress that the surge of children on the nation's southern border is a multi-faceted problem.

"Those out there who are looking for simple answers to lay the blame on President Obama's policy on deferred action for childhood arrivals, or even the Senate passed comprehensive immigration reform legislation, I would note that neither would apply to these kids," said Rep. Bennie Thompson, the panel's top Democrat. "Hence the assertion that the recent surge in unaccompanied children is due to lax immigration enforcement does not pass the smell test."

An analysis by the Migration Policy Institute, found that the "deep root causes for this child migration, and for the recent surge in arrivals" are complex.

"In reality, there is no single cause. Instead, a confluence of different pull and push factors has contributed to the upsurge," the report found. "Recent U.S. policies toward unaccompanied children, faltering economies and rising crime and gang activity in Central American countries, the desire for family reunification, and changing operations of smuggling networks have all converged."

A multi-faceted problem

In the meantime, the administration is trying to stem the problem on several fronts by employing a multi-agency approach and drawing on Homeland Security, Federal Emergency Management Agency and U.S. Customs and Border Protection, among others.

Should Obama use the power of his pen to turn the tide on immigration reform?

Obama has spoken with Mexican President Enrique Peña Nieto about that nation's role in helping to quell the problem.

Vice President Joe Biden also has traveled to Guatemala to discuss strategies for stemming the problem with Central American leaders.

Johnson, who will travel to Guatemala later this summer, also made a public service announcement in Spanish and English last week aimed at Central American parents. He stressed that sending their children to smugglers who then sneak them across the border is dangerous and illegal.

The administration is aggressively working to break up smuggling rings which, Johnson said have a financial incentive to spread misinformation about amnesty for children immigrating to the country illegally.

He told the congressional panel that he is also weighing sending more border patrol agents to the frontlines of the problem.

White House to spend millions to curb undocumented children crossing border

The administration unveiled a plan to spend roughly $100 million in aid to Guatemala, Honduras and El Salvador to help the children reintegrate and remain in their home countries once they are sent back by the United States, according to a White House statement.

The administration also announced it will set aside $161.5 million this year for programs aimed at helping countries in that region better "respond to the region's most pressing security and governance challenges."

Republicans want the administration to do more.

"Instead of increasing funding we need to stop U.S. aid in the centrals," Miller said. "I would say no more money from America until they step up to their own responsibilities and stop their citizens from migrating to the United States. ... We need to whack our neighbors to make sure they understand they're not going to be taking our money. We are not the ATM machine."

@highlight

Members of Congress, Obama administration in partisan debate over immigrant kid surge

@highlight

Republicans blame administration policy temporarily deferring deportation

@highlight

Democrats say the GOP perspective is misleading, the problem is multi-layered

@highlight

Thousands of children await a resolution as the partisan bickering continues