(CNN) -- Walk into Lisa Nasser's kitchen most evenings and you're greeted by rich aromas that indicate an exceptional cook is at work on a delicious creation.

Colleen Doyle, editor of the "What to Eat During Cancer Treatment" cookbook, prepares tuna-bean salad.

Cooking is Nasser's passion, but she left the kitchen and the cooking to others for six months in 2006 when she, like her mother before her, learned she had breast cancer. Numerous rounds of chemotherapy left her spent. "I didn't have the energy to go shopping, bring in the food, prepare the food. I needed to rest, to sleep," she recalls.

Nasser's experience isn't unique. According to the American Cancer Society, more than a million Americans will undergo cancer treatment this year. For cancer patients, nutrition is especially important, but many find that they are too tired to cook, or the food tastes bad, or they are too nauseated to eat, or they have painful mouth sores -- or all of the above.

To coincide with National Breast Cancer Awareness month in October, the American Cancer Society has released a cookbook called "What to Eat During Cancer Treatment."

Colleen Doyle, registered dietitian and editor of the cookbook, says the book is full of recipes and eating strategies that patients with all types of cancer can adopt to help deal with the unpleasant side effects of treatment. Chemotherapy, radiation and drug therapies often leave patients with nausea, diarrhea, constipation, mouth sores, taste alterations and unintentional weight loss.

"One of the things we did was organize recipes by the symptoms that they might be experiencing," Doyle says. "A lot of cancer patients going through chemo -- no surprise -- feel nauseous around those times when they are getting chemo. And so we talk to them about eating foods that are kind of bland; think about avoiding really spicy foods, any kind of Mexican foods, things with lots of flavors, things with lots of herbs and spices."  See recipe samples from the cookbook »

That certainly was the case with Nasser. "I wanted pasta or rice dishes, anything that was bland," she says.

Doyle says it's also helpful to eat small frequent meals when battling nausea and to recognize that for some, the odor of cooking foods can be unsettling for the stomach. "If you have somebody who cooks meals for you, it might be helpful for you to be in a totally different part of the house when they're cooking if you're going through a period where the smell of food really bothers you," says Doyle.

Nasser was fortunate enough to have friends and neighbors deliver meals to her house. Once her nausea started to subside she was able to be more adventurous in what she ate. "I remember calling a friend saying I wanted grape leaves. I remember wanting that tart lemony flavor and only hers were going to do it," she recalls.  Watch Doyle cook in the kitchen »

It turns out that tart, strong flavors help with another nagging symptom of cancer therapy: altered taste perception. Like Nasser, some patients experience a metallic taste that will not go away. For others, food might seem tasteless, as if the taste buds have stopped working.

For those problems, the cookbook offers recipes like tuna-bean salad that help wake up the taste buds and mask the metallic taste. "This dish is full of lots of different flavors: strong flavors in the red peppers, the onion, the celery and the tuna itself. ... It also has a real tangy vinaigrette that can help kind of [push] that flavor quotient up a bit," says Doyle.

Doyle also suggests marinating meats in Italian salad dressings, or mustard or barbecue sauce, and trying strongly flavored foods such as cranberries, sauerkraut or pickled vegetables. Cooking with glass pans instead of metallic cookware and using plastic utensils instead of silverware might also make a difference.

Patients undergoing cancer treatment can also suffer bouts of constipation or diarrhea. One of the best strategies to ease constipation -- a common side effect of chemotherapy, anti-nausea and pain medications -- is to eat foods high in fiber, such as vegetables, fruits (including dried fruit like prunes, raisins or apricots), beans and nuts.

What if diarrhea is a problem? "There's a real concern about becoming dehydrated. So be sure you're drinking plenty of fluids and that those fluids don't have caffeine," says Doyle. Broths, diluted juices, sports drinks -- even Popsicles or gelatin -- can help get some liquid into the system. Foods such as applesauce, rice and bananas can help slow down the digestive tract, as can oatmeal and canned peaches or pears. Avoid greasy, fried or very sugary foods because they can be irritants.

Thanksgiving marks four years since Nasser's days of chemotherapy drips and intravenous needles. Her health today is excellent and neighbors are once again making excuses to stop by during dinnertime in order to bask in the inviting aromas and sample the rich sauces bubbling up from deep pots on her stove top.

Nasser, who didn't have the benefit of the cookbook when she was sick,  hopes to use her copy only as inspiration and not as a tool for providing relief from the side effects of cancer treatment. "Hopefully I won't need it for that. And if I do, I'll now know what to do," she says.

@highlight

For cancer patients, nutrition is important, but many have a hard time eating

@highlight

American Cancer Society has new cookbook: "What to Eat During Cancer Treatment"

@highlight

Cookbook contains recipes to help with treatment side effects

@highlight

Recipes aim to combat metallic taste, nausea, constipation, diarrhea, mouth sores