(CNN) -- I peered over the shoulder of the flight engineer and studied the pressurization gauge on his panel. The needle indicated that the cabin was climbing, and the slow popping in my ears confirmed it. Not good. The flight engineer swiveled his seat away from the panel and turned in my direction, brow furrowed, eyes wide.

"Should I tell the captain?" he asked.

The question seemed foolish, but I understood. The flight engineer was brand new, having completed his training with the airline a week earlier. I was a seasoned veteran of six months, observing from the jump seat for the purpose of monitoring co-pilot procedures. I had just upgraded from the flight engineer position to a "window seat" on the 727.

"Yes," I replied with raised eyebrows. "I would tell the captain...like right now."

The captain had already begun to swivel in his seat. He squinted at the array of switches and indications on the panel. A conference with the flight engineer ensued. All four of us in the cockpit focused momentarily on the cabin rate needle. It was still indicating a climb. For some mysterious reason, we were slowly losing cabin pressurization. The captain turned toward me in a silent gesture to obtain confirmation. I nodded.

Without hesitation, he instructed the co-pilot to request an immediate descent to 10,000 feet from our altitude of 37,000 feet. I reached for the oxygen mask and strapped it to my face. The rest of the crew followed my lead. Ten minutes later, and after the completion of the appropriate emergency checklist, we reached 10,000 feet. Our 152 passengers had to endure a lack of air conditioning because of the pressurization problem, but other than that, the experience was a non-event.

This should have been the same outcome for the single-engine Socata TBM 900 turboprop that crashed, tragically, in the waters off Jamaica on Friday.

The TBM 900 had departed Rochester, New York, bound for Naples, Florida, with two occupants on board: Larry Glazer, the pilot/owner and his wife, Jane Glazer. But the pilot became unresponsive while the airplane cruised at 25,000 feet over Georgia.

Instead of landing in Naples, the autopilot system allowed the turboprop to continue flying off the eastern U.S. coastline, crossing over Cuba before, with its fuel supply exhausted, it crashed into the sea about 12 miles north of the Jamaican coastline. Two U.S.-launched F-15s confirmed through observation that the pilot appeared unconscious.

The French-made TBM 900 is a sophisticated piece of technology, far superior to the old Boeing 727 airliner I described above. It is a great representative of the new generation in privately-owned cabin class airplanes, competing with traditional twin-engine turboprops and even small, corporate jets.

Composite material, finely tuned aeroengineering design, a reliable and proven Pratt and Whitney engine and advanced cockpit displays and controls all combine to make the $3.7 million airplane a respected machine. More than 1,000 of these airplanes are operating today; the 900 is the most recent version.

According to an Aircraft Owners and Pilot Association (AOPA) report, this was the third TBM owned by Larry Glazer; he had logged 5,000 hours in the model. One would think that such experience would have produced a positive result and not a crash into the ocean. What happened exactly?

Hypoxia, lack of oxygen to the brain, would appear to be the most likely culprit. Depending upon the health condition of an individual, the time of useful consciousness at 25,000 feet isn't much more than about a minute. But that's if a depressurization occurs as a catastrophic event with some type of major hole in the fuselage, allowing air to escape explosively.

But in this instance, judging by 30 minutes of Air Traffic Control audio recording, it was not a catastrophic occurrence, but rather a slow event. News reports say the pilot asked to descend to 18,000 feet because "we have an indication that is not correct in the plane," according to a stream of that transmission posted on LiveATC.net.

After about one minute, the airplane was cleared initially from 28,000 feet to 25,000 feet where it eventually remained until fuel exhaustion. While descending, ATC gave further clearance to 20,000 feet but the pilot responded with an unintelligible transmission. It's possible he was already suffering from hypoxia.

A slow loss of oxygen to the brain is insidious; most people not familiar with the symptoms don't recognize the danger.

A depressurization problem is a traumatic event that it is easily managed -- but only if the problem is recognized. Like the captain of the 727, a pilot facing such a situation would have to don an oxygen mask the minute he suspected the issue. The next objective would be to descend the airplane to a habitable altitude -- 10,000 feet is a typical procedure goal. For this to occur, a sense of urgency has to be stated or an emergency declared.

Apparently, none of this happened.

At the airline level, we train for such a depressurization event from day one. It is an emergency that is etched into our muscle memory. I am certain this emergency was part of the training for this particular TBM pilot. Whether it was part of his muscle memory, we can't know.

The airplane is equipped with an emergency oxygen bottle attached to quick-donning masks for just such circumstances. It is possible that the system may have malfunctioned. Perhaps a closed valve not noticed on the preflight inspection? An undetected leak? Or maybe the system that had been causing the malfunction released the cabin pressurization in one final event.

Regardless, if indeed a pressurization malfunction had been observed, the prudent decision would have been to descend immediately and head off a tragedy.

Sad as this outcome was, we can be thankful for small favors. The airplane's sophisticated automation system steered it away from populated areas and a tragedy of even greater proportions.

@highlight

Early in pilot career, Les Abend faced rapid loss of cabin pressure

@highlight

He says captain of doomed flight that crashed in Jamaica waters may have faced that, too

@highlight

If so, hypoxia would have kept him from making lifesaving altitude adjustments, he says