Washington (CNN) -- The women talked about it at the gym, caring for their children, over drinks and dinner and in the hallways of Congress.

More than 200 Nigerian schoolgirls were gone, kidnapped from their beds by an armed terrorist group, Boko Haram, who vowed to sell them into forced child marriages — all because the young women had dared to seek an education.

So, just a few days before Mother's Day, every single woman lawmaker in Congress signed letters urging President Barack Obama to push the U.N. Security Council to add Boko Haram to the al Qaeda Sanctions List.

It was a move Rep. Ann Wagner, a Missouri Republican, said would send "a strong message to the administration and the U.N."

The sanctions would require all member nations to freeze the assets of those affiliated with Boko Haram, an Islamic militant group, and prevent travel through their borders.

"We are mothers, sisters and daughters and we were all feeling helpless and wanted to do something," said Rep. Ann Kuster, a New Hampshire Democrat.

She worked across the aisle with Wagner over the course of two days last week to get the 79 women in the House to sign the letter.

"It's not that we're going to do this without men, but we are going to speak up and not be silenced," Kuster said.

They were inspired by the example set earlier that week by Sen. Susan Collins, Republican of Maine, and Sen. Barbara Mikulski, a Maryland Democrat, two veteran lawmakers who got the 20 women in their chamber to sign a similar letter.

The message, the women said, was to give voice to the voiceless. And, as female lawmakers, they say their perspective lends a different take on this and other policy issues.

"Symbolically, it is very important that all the women in the House and Senate came together to get the U.S. government to push the U.N. Council on the sanction issue," said Jennifer Lawless, director of the Women and Politics Institute at American University. "It's hard to come up with a better mix to push this forward. It highlights issues that cut across party lines that affect women and girls."

We will not be silenced

Their election to Congress in 2012, with a historic number of women elected to the Senate, made them the largest class of female lawmakers to ever walk the halls of the Hill.

Ever since then, the 99 women of the 113th Congress have pushed for changes that political experts say have had an impact both in terms of perception and policy on women and girls.

The list of key initiatives is long.

• Female lawmakers, such as Wagner, have bills poised to come to the floor next week designed to end what the United Nations estimates is the $9.5 billion human trafficking industry in the United States and also are working on measures aimed at addressing campus sexual assaults.

• Mikulski sponsored a paycheck fairness measure in the Senate and when it was blocked last month by Republicans, she lashed out at those who say women are "too emotional when we talk."

• Rep. Carolyn Maloney, a New York Democrat, and Rep. Marsha Blackburn, a Tennessee Republican, have a measure that would create a bipartisan commission to study using private funds to create a National Women's History Museum in Washington.

• The women of the Black Congressional Caucus recently pressured the Pentagon to re-examine grooming rules they felt were discriminatory to female troops of color.

• Women in both chambers last year helped lead the fight to reauthorize the Violence Against Women Act and ensured that language expanded protections to immigrants, Native Americans, gays, lesbians, and transgender individuals.

• That same year, Rep. Barbara Lee, D-California and more than a dozen other Democrats put forth a House resolution asking Congress to recognize the disproportionate impact of climate change on women and children in poor nations.

• Democratic Sens. Kirsten Gillibrand of New York and Claire McCaskill of Missouri worked for most of 2013 on competing measures to reform the process for prosecuting military sex assaults. Though headlines tended to focus on fractures within the Senate women's caucus over the two competing measures, the very fact that the two lawmakers were able to raise the profile of the issue is noteworthy, Lawless said.

Political fight over military sex assaults divides women senators

• And it was the actions of women, in particular Collins and Sen. Patty Murray, Washington Democrat, as a chief budget negotiator, that helped end last year's government shutdown and helped craft a debt deal.

Breaking bread and stalemates

Collins said she remembered sitting in her office one Saturday watching C-SPAN in disgust as lawmakers bickered over the details of a spending plan and whether that plan should, as some in the GOP wanted, defund or whittle away at Obamacare.

She pounded out a three-point plan to end the shutdown and went to the Senate floor to plead with fellow lawmakers to let go of partisanship and start negotiating.

When she left the floor, her cell phone rang. It was Sen. Lisa Murkowski, an Alaska Republican, offering to help. When the phone rang again, it was Sen. Kelly Ayotte, a New Hampshire Republican. Part of that plan would help form the framework that ended the government shutdown.

"There have been definite strides and we're pleased at seeing progress," said Linda Young, president of the National Women's Political Caucus, a nonprofit group which seeks to improve female participation in politics. "When there are more women at the decision-making table there is a different perspective expressed."

At a gathering hosted by Senate women every six weeks, Mikulski has three rules: no staff, no press and no leaks. The get-togethers, which are often held at a lawmaker's home, are a time for the women to bond outside of the halls of Congress and get to know one another on a personal level.

Recently, Senator Amy Klobuchar, a Minnesota Democrat, hosted the women.

Over on the House side, the women try to get to know each other on a personal level.

"We've got our softball team, the gym, we get together for dinner or a cocktail," Wagner said. "We talk about our families and who are as wives, daughters and mothers. You have to reach a humanity level to realize that end of the day we need to come together."

All of that bonding might have an effect on policy, according to research by the University of Virginia.

"Based on scoring all lawmaking activities in the House of Representatives, women in the minority party are one third more effective than men in the minority party," said Craig Volden, a public policy and politics professor at the University of Virginia who, along with his team, examined the sponsorship of bills from 1973 to 2008.

Volden and his team of researchers have also found that female lawmakers tend to sponsor bills on broader range of policy areas than their male counterpart, and that the "women's issue" areas tend to face more gridlock than the "'men's issue" areas.

'No room for gridlock'

When it comes to the issue of helping rescue the kidnapped Nigerian schoolgirls, female lawmakers say there is no room for gridlock.

"I knew the 20 women of the Senate, standing united and speaking in unison, were in a position to send a very powerful message, one that not only condemns this crime but that also helps spur action to bring these girls back home safely to their families," Collins told CNN in a statement.

And they will not take "no" for an answer.

"We may make some additional calls to the White House," Wagner said. "Just to make sure they understand our position on this going forward."

@highlight

A historic number of women were elected to Congress in 2012

@highlight

They spoke with one voice decrying the Nigerian schoolgirl kidnappings

@highlight

Their clout is being felt more frequently on hot-button issues

@highlight

Studies find women are more bipartisan, but get more done when in the minority party