(CNN) -- Views on marijuana are shifting, but nearly everywhere, it is too early to talk about substantive changes to drug policies.

Not so in Uruguay.

The small South American country is poised to become the first nation to legalize and regulate the production, sale and consumption of weed. This would place Uruguay at the vanguard of liberal drug policies, surpassing even The Netherlands, where recreational drugs are illegal but a policy of tolerance is in place.

The bill, which was passed by Uruguay's Chamber of Deputies and will be taken up by the Senate, attempts to answer the questions that inevitably arise when debating drug policy: How will marijuana be regulated? Who will grow it? How can the country avoid cannabis tourism?

The Uruguayan government offers specific proposals for how to manage a legal market for marijuana.

The government supports the marijuana bill and says it was designed to resolve issues particular to Uruguay. But the model the bill proposes will undoubtedly be studied by other countries that grapple with the similar questions.

Why Uruguay, why now?

There is a contradiction in Uruguayan law, the secretary-general of the country's National Committee on Drugs, said: Consumption of marijuana has been legal, but its production and sale are not.

"We seek to eliminate that incongruence," Julio Calzada told CNN.

The other tenets of the marijuana bill are to treat the use of weed as a health issue and to make a distinction between dangerous drug traffickers and consumers.

The same debates about marijuana that exist in the United States -- about medicinal properties, recreational use, the impact on the justice system -- have been happening in Uruguay for a long time, Calzada said. The decision to push legislation to overhaul its drug policies did not come overnight.

"We have reflected on our problems," Calzada said, and the government felt that Uruguay's tradition of tolerance and equality merited action on the marijuana issue.

President Jose Mujica's Broad Front coalition has a majority in the Senate, making passage of the marijuana bill likely when the chamber considers it in October. Then, Mujica has said, he will sign it into law.

However, the progress that the bill has made is at odds with what polls say is the will of the people.

According to a CIFRA/Gonzalez, Raga and Associates poll in July, 63% of Uruguayan respondents said they disagreed with the bill. Only 26% said they approved. The poll, which surveyed more than 1,000 Uruguayans and has a margin of error of plus or minus 3 percentage points, is not much different from earlier polls published when the bill was proposed.

"The government does not overlook the polls and public opinion," Calzada said, but the government believes it is in the best interest of the country to go forward with the bill.

It is not the executive branch, but the Congress that will pass the law, and voters will decide in the next elections whether to "punish" the ruling party for going against public sentiment, he said.

The model

The marijuana bill could be modified by the Senate, but as it is currently written, it provides several paths for the legal production and sale of marijuana, while increasing health education about the risks of drug abuse.

In short, the proposed law states that the planting, cultivating, harvesting and selling of marijuana remain illegal but adds a long list of exceptions to that rule.

Households may grow up to six plants and harvest a maximum of 480 grams of weed per year.

Another avenue would be the creation of "membership clubs" made up of between 15 and 45 people, who can grow up to 99 marijuana plants.

These growing operations must be licensed by the government, and the pot will be sold to the public through pharmacies, which also will be licensed to do so.

Those who grow or sell marijuana outside of these government-licensed options will be subject to prosecution and could face prison terms of 20 months to 10 years.

The bill calls for the creation of a new government body -- the Institute of Regulation and Control of Cannabis -- that would be in charge of the licensing and any sanctions for noncompliance.

The institute would also oversee a registry of all marijuana buyers that would be designed to ensure that those who buy marijuana are at least 18 years old and residents of Uruguay.

This requirement is also meant to deter cannabis tourism to the country.

The bill also instructs the health system to provide educational programs about the risks of drug use at all levels of schooling.

Any direct or indirect advertising for marijuana in any media would be prohibited.

A grand experiment

The government studied drug policies in many countries where marijuana is decriminalized or tolerated, but the bill that has garnered international attention was not designed to be copied. It is tailored for the problems that Uruguay faces, Calzada said.

Rising drug violence "has impacted daily life in our country," and regulating the market could be a solution, he said.

If it becomes law, the new marijuana regulation will put Uruguay at odds with many countries that continue to pursue an aggressive policy of prohibition. But conversations about rethinking marijuana laws have sprung up in Latin America and elsewhere, and Uruguay is prepared to take any heat about its decision, Calzada said.

@highlight

Uruguay is close to legalizing and regulating marijuana

@highlight

If the bill becomes law, it will allow the production and sale of weed

@highlight

The proposal is specific for Uruguay, but the model will be of interest to other countries

@highlight

The government is pushing for the bill, which polls show the public is against