(CNN) -- Space, it has been said, is big. Really big.

But big enough for two companies that want to mine near-Earth asteroids?

A venture announced Tuesday in California hopes so.

Deep Space Industries says it wants to start sending miniature scout probes, dubbed "Fireflies," on one-way missions to near-Earth asteroids as soon as 2015. Larger probes, "Dragonflies," that will bring back 50- to 100-pound samples from prospective targets could be on their way by 2016, company CEO David Gump told reporters.

The goal is to extract metals, water and compounds that can be used to make spacecraft fuel from the chunks of rock that float within about 50 million kilometers (31 million miles) of Earth. Gump said the ability to produce fuel in space would be a boon for NASA, as the U.S. space agency shifts its focus toward exploring deeper into the solar system.

As much as 90% of the weight of a prospective months-long Mars mission could be fuel -- and it costs between $5,000 and $10,000 per pound to put anything into space.

"If NASA can launch just the hardware and tank up in orbit, where the fuel is cheap, that means we could get to the Red Planet a lot sooner than we currently expect," Gump said. That could also allow commercial satellite companies to extend the life of hardware that's now written off when fuel for maneuvering thrusters runs out.

"If you give it one more month of active work in orbit, it's worth about $5 (million) to $8 million to the owner of that satellite," Gump said.

Tuesday's announcement comes nine months after the unveiling of a similar project by Planetary Resources, a company led by space tourism pioneers Eric Anderson and Peter Diamandis. That group, backed by investors such as filmmaker James Cameron and Google executives Larry Page and Eric Schmidt, says it hopes to get its first unmanned probes into space by the end of 2013.

Since the retirement of its space shuttles, NASA has hired out supply missions to the International Space Station to the private rocket company SpaceX. It completed the first commercial flight in October and is vying for a contract for manned flights into orbit alongside Boeing and Sierra Nevada.

Deep Space Industries said it can build its first class of probes largely with off-the-shelf parts and book them on other launch vehicles, such as the French-built Ariane rockets or the Falcon boosters developed by SpaceX.

Executives said Tuesday they're also developing a foundry designed to produce metal parts from nickel, an element abundant in asteroids, and operate in space, and a class of "Harvestor" craft to extract valuable material from the asteroids.

But John Mankins, the company's chief technology officer, said its plans are based on existing technology, not "magic."

"You don't see any space elevators. You don't see antigravity. You don't see warp drive," said Mankins, a former NASA scientist. "There is really nothing the business plan Deep Space Industries is using that cannot be done with the technological research that has already been accomplished in laboratories across the planet."

Coronal mass ejection blasts Earth

NASA landed a probe on the 20-mile-long asteroid 433 Eros in 2000, while Japan's space agency not only landed its Hayabusa spacecraft on the roughly 1,700-foot asteroid Itokawa in 2007 but also returned it to Earth with small samples in 2010.

Andrew Cheng, project scientist for the Eros probe NEAR-Shoemaker, said the big question facing commercial space ventures remains what it will cost to get their equipment off Earth.

"The physics are feasible. The economics is a different story," said Cheng, who now leads space research at the Applied Physics Laboratory at Johns Hopkins University. He said he's hopeful that ventures such as Deep Space Industries can succeed as more companies venture into space, however.

"If someone identifies a way to do something out there that makes a lot of money, and there's a lot of traffic and a bigger market, then the cost will come down," he said. "It's a bit of a chicken and egg problem."

Space is a new legal frontier as well. The 1967 Outer Space Treaty provides for "free access to all areas of celestial bodies" by any nation, but isn't clear about commercial rights, said Henry Hertzfeld, who researches space policy at George Washington University. Until that's cleared up, that adds risk to any business venture, he said.

Cheap access to space has been "the sort-of Holy Grail" for decades, "and we're not much closer to that than we were 50 years ago," said Hertzfeld, who is also an adviser to Planetary Resources.

But Deep Space Industries Chairman Rick Tumlinson, a longtime booster of private space efforts, said the company sees itself as the 21st-century version of the "settlers and shopkeepers" who followed the Lewis and Clark expedition into the American West.

"One company may be a fluke. Two companies showing up -- that's the beginning of an industry," Tumlinson said.

"Space is big. There's room for everybody," he added.

@highlight

Deep Space Industries is the second company to announce plans to mine asteroids

@highlight

Company hopes to launch its first probes by 2015

@highlight

"Space is big. There's room for everybody," chairman says

@highlight

Commercial space ventures face a "chicken-and-egg problem" with costs, however