The name Ed Hardy conjures visions of rhinestone-studded trucker hats, colorful cartoon skulls, dragons and koi fish, and reality stars like Jon Gosselin and the cast of Jersey Shore.

A profitable licensing deal with French businessman Christian Audigier put Hardy's work on clothing, energy drinks, fragrances and even tanning lotions. It seemed like the deal of a lifetime, but in hindsight, Hardy said, the agreement made his name synonymous with the "douches" of pop culture and ultimately cheapened his personal brand.

Now, he is stepping out from behind the large shadow of the Ed Hardy brand to set the record straight in "Wear Your Dreams:  My Life in Tattoos," a memoir released in June. Co-written with biographer Joel Selvin, the book shares how Hardy went from college-educated fine artist to tattoo pioneer to one of the most polarizing brands in recent memory.

"People began globally to know my images, my name and my signature, but they didn't know there was a real person behind it," Hardy told CNN.

From skin to canvas

Donald Edward Hardy was born in Newport Beach, California, and his mother began to encourage him to draw when he was 3. As a preteen, he took pens and colored pencils to the skin of neighborhood friends and became an amateur tattoo artist in his neighborhood.

He had his first exhibition at the Laguna Beach Art Festival after graduating high school and attended the San Francisco Art Institute. After turning down a graduate position at the Yale School of Art, according to his memoir, he met and began a correspondence with famed tattoo artist "Sailor Jerry" Collins in 1969. He went on to study in Japan with legendary tattoo artist Horihide, working with clients from the infamous yakuza, or Japanese mafia. Both men influenced the heraldic aesthetic that defines Hardy's signature ornate images today.

He opened his San Francisco tattoo shop, Tattoo City, in 1977 and is credited with helping transform tattooing from a mark of sailors and prisoners to a mainstream option for self-expression. His 1995 gallery show, "Pierced Hearts and True Love: A Century of Drawings in Tattoos," prompted a New York Times article that asked whether tattooing could be fine art.

CNN Health: Understand the risks and precautions of tattoos

Hardy's forays into clothing started with silkscreen shirts bearing his artwork for sale in his shop. In 2003, the artist was approached by two men who saw his work in Juxtapoz art magazine. The two ran Ku USA, an Asian-influenced casual wear brand, and they became the first to put Hardy's images on clothing.

French fashion businessman Christian Audigier came across the shirts and approached Hardy to do a licensing deal that would make him "a global phenomenon," Hardy wrote in the book.

Hardy said he and an associate met Audigier and signed over the master license to much of his artwork, allowing Audigier to produce items featuring the images. This deal turned out to be enormously profitable. By 2009, sales exceeded $700 million for the brand, according to the book, and Hardy's work could soon be seen everywhere.

The brand's omnipresence was enhanced by famous fans. At its height, Ed Hardy clothing could be seen on celebrities from Madonna and Catherine Zeta Jones to cast members of "Jersey Shore" and Jon Gosselin of the "Jon and Kate Plus 8" reality show. Gosselin infamously donned Ed Hardy-printed shirts in public appearances with alleged mistress Hailey Glassman, and visited France to meet with Audigier. Hardy said the character associations ruined the brand's reputation, and even wrote in the book that a Macy's buyer mentioned Gosselin when the line was dropped from Macy's stores.

Hardy had no problem saying, "Morons dehumanized it," when asked about his views on public distaste of the Ed Hardy brand. He maintained that the clothes and imagery were not to blame for the brand's downfall, but pointed to Audigier's aggressive love of celebrities, which Hardy said tainted his image and his name.

According to the book, Audigier pocketed a lot of the profits that came from sub-licensing Hardy's images to several companies that produced lifestyle-related products, and even began altering the images. The two soon landed in court, and the tattoo artist found himself spending time perusing legal documents instead of creating art until an undisclosed settlement was reached in 2009.

Attempts to reach Christian Audigier were unsuccessful.

From must-have to must-hate

Simon Doonan, creative ambassador-at-large for Barney's New York, surprised many by praising the Ed Hardy line in the New York Observer in 2009.

"Criticizing Ed Hardy for being cheesy is like saying that Elvis was 'flashy' or that Liberace was 'tacky,' " Doonan wrote. "It's a giant case of DUH! Of course it's cheesy! That's the whole point, you doo-doo heads. Ed Hardy is fromage-y and hedonistic and naughty and badass and—the ultimate crime in the world of haute fashion—Ed Hardy is FUN!"

Doonan compared the rise of Hardy clothing to "the gaudy heyday of Gianni Versace."

So why would people buy something "fromage-y" like Ed Hardy apparel?

"It gave regular people Hollywood edge, and gave Hollywood people street edge," celebrity stylist Phillip Bloch said.

Today, however, the brand "represents bad taste," he said. "It went too far and all over the place at once."

This could explain why there's a "Hating people who wear Ed Hardy" Facebook group with more than 1,800 members, and a Funnyordie.com sketch titled "The Ed Hardy Boyz" with less-than-likeable characters who go on misadventures to protect the Ed Hardy brand name from rival clothing lines.

The blog Stuff White People Like lists "Hating people who wear Ed Hardy" as item 124. A New Orleans nightclub even banned the line, with a sign on its door that read "If it's on Jersey Shore it's not coming through the door: No Affliction, No Ed Hardy, No Christian Audigier, No Exceptions."

Hardy said he thought partnering with Audigier would give him time to work on his art. He didn't expect success and the infamy it eventually created.

Celebrity fashion labels: the good, the bad and the ugly

"Oversaturation and overexposure" can kill a brand, said Tom Julian, director at The Doneger Group, a fashion retail and consulting company.

Popular brands can quickly fall from grace if their public exposure isn't strategically managed. Answering the "many entities that knock on the door" can be bad for business, Julian said, noting that designers may choose to wait five or more years before signing licensing deals, because it allows them to be strategic with market penetration.

Hardy said Audigier's widespread licensing aspired to make the brand more accessible to people at every price point. That strategy backfired, as the brand became what Bloch described as "very trailer park."

"They made it too unexclusive," he said. "No one wants to be in something that everyone has."

Both Bloch and Julian said the brand would have to wait several years before a successful comeback is tangible. Hardy noted that the master license was taken on by Iconix Brand Group in 2011, which also represents the London Fog brand and Madonna's Material Girl line. The group has plans to develop the label, which Hardy said is still popular in Asia and other countries.

The stories behind your favorite fashions

Back to the drawing board

Though he completed his last tattoo in 2008, Hardy is still an active artist who splits his time between San Francisco and Honolulu and mentors artists of Tattoo City, now run by his son, Doug. This month, he'll travel to Beijing to show a 30-painting exhibition of his original artwork.

Although Hardy said he might have done things differently if given the chance, he also admitted that it was surreal to see his name and art become so well-known. With this memoir, Hardy aims to convince the public that despite the infamy of his eponymous brand, he is and has always been an artist.

@highlight

Ed Hardy, the tattoo artist behind popular clothing line of the same name, released memoir in June

@highlight

Hardy signed a deal giving Christian Audigier rights to produce products with his art

@highlight

Once the height of popularity, the Hardy empire fell from favor due to overexposure

@highlight

Hardy is still making art and wants the public to know he is more than the clothing brand