Tripoli, Libya (CNN) -- A political party widely regarded as the liberal option in Libya's historic parliamentary elections was leading in early results from weekend polling, according to election officials.

The National Forces Alliance had about 52% of the vote across four of the 13 districts where results were released late Monday. The NFA led in three of those -- Janzour, Tarhuna and Zlitan. But it trailed the field in Misrata, where the Union for the Homeland -- led by prominent Misrata figure Abdurrahman Sewehli -- led the pack.

According to the Project on Middle East Democracy, the alliance is a coalition of 58 political parties that has campaigned as a "more liberal, progressive option" in the election, the first in Libya in more than four decades. The party's platform focuses heavily on economic issues, according to the Project on Middle East Democracy.

The party is led by Mahmoud Jibril, who was prime minister in the interim government that declared Libya a free nation after the 2011 revolt that toppled longtime ruler Moammar Gadhafi in October. The mercurial Gadhafi dismantled many of the civic institutions common to democratic states during his 42 years in power, leaving Libya struggling to emerge from his shadow.

About 3,500 candidates were running for 200 seats in a new parliament, and turnout was about 60% of the country's 2.8 million registered voters, election commission Chairman Nuri Khalifa Al-Abbar said.

The results out Monday were less than 10% of the estimated 1.7 million votes cast in the North African country.

Final results are not likely to be announced before the end of the week at the earliest, the state-run LANA news agency reported. And it will take weeks or even months for the winners to form an effective coalition government, said Fadel Lamen, president of the American-Libyan Council.

"The election is providing one thing only: legitimacy," said Lamen, who just returned from a visit to Libya. "Everything else, all the problems, all the challenges, will still be there the morning after."

Observers say a new Libyan state is slowly starting to take shape, but it still could be years -- generations even -- before the revolution will bear fruit.

Dartmouth University professor Dirk Vandewalle said signs that Libya is beginning to turn the corner abound.

"Schools and businesses are reopening. Ministries are being reorganized and are starting to make and implement policy," said Vandewalle, author of "A History of Modern Libya."

"Most importantly, the power of the militias is very slowly but inexorably being eroded," he said.

The nation's judiciary is even starting to flex its muscle, Vandewalle said, noting that it recently overturned a law that seemed aimed at restricting free expression.

The parliamentary vote is a litmus test for Libya in the post-Gadhafi era. Balloting took place 17 months after political demonstrations against Gadhafi broke out in two Libyan cities. Those demonstrations spread, leading to a civil war, NATO airstrikes and Gadhafi's death by a bullet to the head in October.

While Gadhafi's death ended much of the violence, unrest continues in parts of the country, particularly the south and the west, and the government has not been able to completely contain the militias that helped overthrow the former leader.

But the government has proved capable of responding to such crises, Vandewalle said: Authorities were able to disarm the militia that took over Tripoli's airport on June 4, forced attackers out of the prime minister's office and removed protesters who had blocked access to a state-owned oil company.

Whether the government will be able to forge a long-term solution to the country's regionally based militias is another matter, said Lamen, the American-Libyan Council president.

"Having a central solution to a local problem most of the time doesn't work," he said.

Libyan leaders will instead have to work with local councils, who have the power to rein in the militias.

At the same time, those leaders are likely to face difficulties from mid-level bureaucrats in their own government agencies, many of whom are holdovers from Gadhafi's rule. Work stoppages have not been uncommon, Lamen said.

Many Libyans seem ready to put the revolution behind them, Vandewalle said, noting an encounter he had with a man whitewashing graffiti on the walls of Tripoli's old city.

"Enough," Vandewalle quoted the man as saying when asked why he was going to the trouble. "Libya is moving on."

The last time Libya held an election was almost half a century ago and, for many people, the act of casting a ballot was novel after 42 years of Gadhafi's rule. Ruling has proved similarly unfamiliar, Vandewalle said.

"It would be utterly impossible to construct in only a few months all the institutions of a modern, properly functioning state Gadhafi destroyed in his pursuit of statelessness for 42 years," he said.

"Building a state and a nation takes time, ideas, compromise and leadership -- particularly difficult if, as in Libya, the social and political landscape after the civil war was essentially a tabula rasa, and none of those qualities now needed to construct a modern state were in demand during the Gadhafi period," Vandewalle said.

Once seated, the new national assembly will be tasked with appointing a transitional government and crafting a constitution.

U.N. Secretary-General Ban Ki-moon congratulated the Libyan people on the election and hailed the electoral staff for "well-conducted and transparent" polling.

"Last year, thousands of Libyans sacrificed their lives or suffered lasting injury in order to win the right of the Libyan people to build a new state founded on human dignity and the rule of law," Ban said in a statement Sunday.

"Yesterday, their determination was again on display as men and women, young and old, cast their ballots, many with deep emotion, even in some areas where they faced threats to their security."

This story is based on reporting by CNN's Jomana Karadsheh in Tripoli and Michael Pearson and Moni Basu in Atlanta.

@highlight

NEW: Liberal party leading in early results

@highlight

More than 1.7 million Libyans cast ballots, an election official says

@highlight

Eight polling stations closed by violence were opened Sunday, an official says

@highlight

Libyans last voted before Moammar Gadhafi came to power 42 years ago