London (CNN) -- British Muslim groups voiced their horror and condemnation Thursday over the slaying of a soldier in a London street by attackers who said they were acting to avenge Muslim deaths overseas.

But Muslim commentators also suggested there is more that the country's leaders can do to address issues within the Muslim community, particularly among alienated young men.

Woolwich attack: Latest developments

According to 2011 census figures, Muslims make up the second-largest religious group in Britain, with 2.7 million people. That represents an increase of 1.2 million (from 3% to 5% of the population) since 2001.

The suspected attackers in the Woolwich slaying, who are hospitalized under police guard, claimed to be acting for Islam, but it's not yet clear if they were affiliated with any group.

"The only reasons we killed this man ... is because Muslims are dying daily," said one of the suspects, wielding a cleaver with bloody hands, in video aired by CNN affiliate ITN.

"This British soldier is an eye for an eye, a tooth for tooth," he said. "We swear by almighty Allah we will never stop fighting you until you leave us alone."

The Muslim Council of Britain condemned what it called "a truly barbaric act that has no basis in Islam."

Read more: London attack mirrors plot to behead Muslim soldier

It urged Muslims and non-Muslims alike "to come together in solidarity to ensure the forces of hatred do not prevail."

Political and social commentator Mohammed Ansar also urged restraint.

"What we have seen on the streets of London has been particularly sickening, a really, really heinous act of I would say criminality -- and I'm being careful to say criminality, not terrorism," he told CNN.

The motivation for what happened in Woolwich remains unclear, he pointed out.

"What we need at this time is a sense of calm, a sense of measure and a sense of perspective. What we don't need are knee-jerk reactions ... to really ratchet up tensions and really stoke and inflame anxieties within communities."

Asghar Bukhari, of the UK Muslim Public Affairs Committee, described the attack as shocking, but said there had been failures by both the UK government and the Muslim community when it came to tackling extremism in Britain.

London attack: Terrorist targeting soldiers at home again?

The British government is "completely denying that it has anything to do with the political situation around the Muslim world," including its foreign policy, he said. Britain has been involved in wars in Iraq and Afghanistan.

At the same time, Muslim organizations "have failed their own community by not teaching these young, angry men how to get a democratic change to this policy that's ruining so many lives," he said.

He said Muslim leaders were unwilling to bring about change, saying they preferred to debate minor theological issues than take practical steps to educate young people about political action.

As a result, young people's outrage over what is happening in the Muslim world is creating a "blow-back" effect as they take violent action in the West, he said, as seen with the Boston bombings.

The attack in Britain is "very, very sad," he added, but reflects an anger bubbling under the surface that could boil over at any time.

'Heads in the sand'

Shiraz Maher, of the International Centre for the Study of Radicalisation at Kings College London, said Wednesday's attack appeared to reflect a tactical shift by terror network al Qaeda toward targeted rather than mass casualty attacks.

The suspects may have been radicalized online, he suggested, although police have as yet released no details in the Woolwich case.

Authorities have been trying to counter radical websites and messages, but it's a difficult task, Maher said.

Witness: Attackers 'were just animals'

Alongside that, Maher said he believes Muslim leaders in Britain can and should do more to root out radicalization in the community.

"A lot of Muslim leaders have had their heads in the sand for a very long time," he said. "A lot of Muslim leaders in this country weren't born here, they don't speak the language necessarily, they don't understand a lot of the pressures and debates and issues that young Muslims are having."

There has been a sense of inertia in some cases, he said, and Muslim communities haven't always reacted as quickly as they should have.

There has been a small shift in the right direction with the emergence of new community groups and civil society initiatives, he said, but changes need to happen faster.

"We need to have a very strong counter-narrative to the ideas of al Qaeda," he said, which suggest that there is a war against Muslims led by non-Muslims.

"We need a civic identity, we need to make people understand that we are all British citizens, we are all part of this society. Whether you disagree with a particular issue or not, there are ways to voice your feelings, and killing a serviceman is not one of those."

There is apprehension across Britain, not just in London, in the face of demonstrations by groups like the far-right English Defence League, he said.

As each side gets more radical, it fuels the other, he said -- and that has consequences for the vast majority of people who do not share those opposing views.

"Ordinary people always get caught up in the crossfire of extremism," he said.

CNN's Zain Verjee contributed to this report.

@highlight

Muslim Council of Britain condemns "a truly barbaric act that has no basis in Islam"

@highlight

"What we don't need are knee-jerk reactions," says commentator Mohammed Ansar

@highlight

"A lot of Muslim leaders have had their heads in the sand," says analyst Shiraz Maher

@highlight

A suspect in Wednesday's Woolwich killing claimed to be acting to avenge Muslim deaths