Star NFL linebacker Junior Seau -- just 43 years old when he took his own life last May -- suffered from chronic traumatic encephalopathy, a neurodegenerative brain disease that can follow multiple hits to the head, the National Institutes of Health said Thursday.

Questions of CTE came up immediately after Seau's body was found, with a handgun nearby, in the bedroom of his home in Oceanside, California.

CTE can result in Alzheimer's-like symptoms such as dementia, memory loss, aggression and depression, but it can be diagnosed only after death.

In a statement issued Thursday, Seau's family said, "While the NIH's findings have provided a measure of comfort, we remain heartbroken that Junior is no longer with us, and are deeply saddened to receive confirmation that he suffered from such a debilitating condition.

"Junior was a loving father, teammate and committed member of his community," the statement continued. "That is how we will always remember him."

Seau's death adds to dark legacy of championship team

Seau's family donated his brain to the National Institutes of Health for research, and Thursday the NIH released a statement saying "abnormalities were found that are consistent with a form of (CTE)."

According to the pathology report from the NIH, five researchers -- two NIH neuropathologists and three independent experts -- examined slides of Seau's brain and all confirmed that there were signs consistent with CTE. None of the researchers was aware of the identity of the brain when initially looking at it.

In a recent study, researchers found CTE in 34 of 35 deceased NFL players whose brains were donated by family members. Dr. Ann McKee, the director of neuropathology at VA Boston and a co-author of that study, says the CTE diagnosis in the Seau case was not unexpected.

"From what I've read about the symptoms (Seau) was experiencing the last couple of years -- the ones relayed by the family -- it is not surprising to me that he had this disease," said McKee, who was not involved in the Seau case.

"It doesn't sound like it was early CTE, that it was becoming quite widespread in the brain. And he was young at the time of death. It is another sad day to see another fairly well-established case of CTE."

A brain with CTE is riddled with dense clumps of a protein called tau. Under a microscope, tau appears as brown tangles similar to dementia. However, the Boston study showed this progressive, tau protein array in football players much too young for a dementia diagnosis, which typically occurs in people in their 70s or 80s.

Opinion: Seau was hurting, and didn't know how to say it

What may be a surprise to some is that Seau was never diagnosed with a concussion in all the years he played football. That points to the bigger mysteries of the disease that scientists such as Dr. Julian Bailes, the co-director of the NorthShore Neurological Institute, hope to someday solve.

"It is not unprecedented that he didn't have a concussion history. That's part of the problem in figuring this out," Bailes said. "It seemed logical at first that it would be people with multiple concussions that would be at risk of CTE. As we've learned more, it was surprising that some of those at risk for CTE were players who did not have a history of concussion."

Seau was one of a string of high-profile NFL players -- along with Dave Duerson, Shane Dronett and Shane Easterling -- who took their own lives and were later diagnosed with CTE.

Not everyone who is exposed to repeated head trauma would develop the disease, experts say.

"Based on what we know thus far, I think we have to assume that the No.1 risk factor we have is the degree or extent of exposure," Bailes said. "And if anyone had high exposure, if there was anyone you'd worry about, it'd be Junior Seau. He played for 30 years. He played youth football, college football, for 20 years in the NFL."

The National Football League responded to the announcement of Seau's diagnosis with a statement saying, "We appreciate the Seau family's cooperation with the National Institutes of Health. The finding underscores the recognized need for additional research to accelerate a fuller understanding of CTE."

The NFL Player's Association issued a statement calling on Congress to review the issues of health and safety in football, mentioning the $100 million it set aside of player funds for medical research during the term of the current collective bargaining agreement.

The NFLPA also said it has asked the league for independent sideline concussion experts, the certification and credentialing of professional football medical staff and better worker's compensation.

"The only way we can improve the safety of players, restore the confidence of our fans and secure the future of our game is to insist on the same quality of medical care, informed consent and ethical standards that we expect for ourselves and for our family members," the statement said.

@highlight

Seau's family is "deeply saddened to receive confirmation" of his condition

@highlight

Seau took his own life in May; his family donated his brain for research

@highlight

The National Institutes of Health says the brain shows signs of CTE

@highlight

Seau was one of several high-profile NFL players to take their own lives