(CNN) -- The eyes of the world are on the U.S. Congress this week and next. Unlike resolutions about naming a post office, honoring the 2013 World Series champion Boston Red Sox or defunding Obamacare, members of Congress also take votes that test their consciences and prompt them to examine what they believe because the right vote might not be the one that is politically expedient or representative of the current public mood.

Our elected representatives will vote on whether to authorize the president to use military force in Syria, where according to U.S. and British intelligence, the regime of Bashar al-Assad defied an international norm and used sarin gas to murder roughly 1,400 of its own citizens, including more than 400 children.

The American people, weary from more than a decade of war, are rightfully skeptical of any plan to get involved in a civil war that already has claimed the lives of more than 100,000.

At times like this, I think about the words of my former boss, Sen. Ted Kennedy, who 11 years ago this month on the precipice of the Iraq War said, "There is a difference between honest public dialogue and partisan appeals. There is a difference between questioning policy and questioning motives.

"There are Republicans and Democrats who support the immediate use of force -- and Republicans and Democrats who have raised doubts and dissented. In this serious time for America and many American families, no one should poison the public square by attacking the patriotism of opponents, or by assailing proponents as more interested in the cause of politics than in the merits of their cause. I reject this, as should we all."

Voting your conscience -- standing up for what you believe in -- is not only the safest way to ensure you can articulate a defense for your vote, but it's also your duty as an elected official.

This crime committed by al-Assad's government, and belief that inaction could lead more countries to use chemical weapons and put our security in peril, has forced a president who said he "was elected to end wars" into the unlikely position of advocating for military action.

By seeking the authorization of Congress, the president did his part to restore the power to the people, or, specifically, to their elected representatives.

Like Kennedy, I, too, would like to reject the notion that Republicans or Democrats in Congress would seize upon this vote to tally political points or pad their campaign finances.

Pacifist Democrats or libertarian Republicans may vote against the authorization because, after more than a decade of war, they don't think the United States should intervene.

Others on both sides of the aisle will vote for it because they believe our country has a role to play in holding dictators accountable who use weapons of mass destruction in violation of a standard adhered to by 98% of the world's population.

Both votes should be votes of conscience.

Unfortunately, last week we saw a congressman accused of fundraising off his position switch, a presidential hopeful suspected of reversing his stance to please his party's base and remembrances of former presidential contenders who were tarnished by voting for a war.

For those elected officials who are concerned about how his or her vote will impact their next election or their future presidential pursuits, I promise you two things: Voters will respect your decision if it is made out of duty of office, rather than personal ambition, and whatever you think the politics are today might not be the same politics a year from now, and will most certainly not be the politics three years from now.

There is an eternity between now and the next presidential election, and the most important aspect you can retain between now and that first presidential primary vote is authenticity -- don't put your finger to the wind, vote out of spite for this president or overcorrect the lessons of the fateful vote in 2002 to authorize the Iraq War.

Do what you think is right, and the politics will follow.

On "Crossfire," in Congress and in the public discourse, I am looking forward to the thoughtful discussion about the stakes in Syria, and I am proud to live in a country where peaceful disagreements are part of our fabric.

The opinions expressed in this commentary are solely those of Stephanie Cutter.

@highlight

Stephanie Cutter: At times, members of Congress take votes based on conscience

@highlight

Syria issue requires members to consider what is right, not what is expedient, she says

@highlight

Cutter: This is a time for politics to be put aside and for thoughts of 2016 to take a back seat

@highlight

She says members should act as they think is right and let the politics follow