(CNN) -- Army Sgt. Bowe Bergdahl's release from Taliban captivity was largely celebrated at first.

In the ensuing days, however, several serious issues have arisen, bearing upon death, honor and the law.

Were U.S. soldiers killed searching for Army Sgt. Bowe Bergdahl?

A controversy exists over whether soldiers were killed, directly or indirectly, in the search for Bergdahl after he was taken captive by the Taliban.

Former soldiers involved in the operations to find Bergdahl asserted to CNN this week that at least six soldiers were killed because of the search for Bergdahl in 2009. They provided the soldiers' names and their dates of death, with circumstances for some of them.

A day later, Nathan Bradley Bethea, a former member of Bergdahl's battalion who searched for him that summer in 2009, wrote in the Daily Beast that eight soldiers' deaths were tied to the Bergdahl search. Bethea provided the eight soldiers' names -- including six names that CNN earlier reported.

Asked about this point, Defense Secretary Chuck Hagel told reporters Wednesday that he did not know of specific circumstances or details of soldiers dying as a result of the efforts to find Bergdahl.

Bergdahl's former team leader, Evan Buetow, told CNN that, "I can't say for a fact and I don't know if there is really anyone who can prove that soldiers died on a directed mission to find Bergdahl. However every mission, especially in the following two or more months, those were directed missions. Everything after that, they were still missions that were in search of Bergdahl. ... Bergdahl leaving changed the mission."

Bowe Bergdahl: Strong, well-rounded and easy to talk to, friends say

Did Bergdahl desert?

An Army fact-finding investigation conducted in the months after his disappearance concluded that Bergdahl left his outpost deliberately and on his own free will, according to a U.S. military official briefed on the report. The official spoke to CNN Tuesday on the condition of anonymity due to the sensitive nature of the information.

There was no definitive finding Bergdahl deserted because that would require knowing his intent -- something Army officials couldn't do without talking to the soldier. The investigation included interviews with members of Bergdahl's unit, none of whom reported seeing him go, the official said.

It is "unfair" to Bergdahl and his family to presume anything about his motivations for leaving the base, Hagel said Wednesday.

Secretary of the Army John McHugh said Tuesday that "a comprehensive, coordinated" review of Bergdahl's case will be conducted.

The review "will include speaking with Sgt. Bergdahl to better learn from him the circumstances regarding his disappearance and captivity," McHugh said.

Earlier in the week, Hagel declined to address directly detailed questions about Bergdahl's case -- particularly accusations that he deserted, as some of his former brothers-in-arm allege.

Before he went missing, Bergdahl spoke of wanting to get lost in the mountains and walking to India, his comrades said.

"I believe he totally deserted," said former Staff Sgt. Justin Gerleve, Bergdahl's former squad leader.

Did Obama break the law?

The Taliban freed Bergdahl in exchange for the U.S. release of five Taliban fighters held in Guantanamo Bay, but the Obama administration didn't tell Congress of the releases. Under law, the White House has to give a 30-day notice to Capitol Hill before any terrorists are transferred from Guantanamo.

White House National Security Adviser Susan Rice defended President Obama's decision not to notify Congress.

"Given the acute urgency of the health condition of Sergeant Bergdahl, and given the President's constitutional responsibilities, it was determined that it was necessary and appropriate not to adhere to the 30-day notification requirement, because it would have potentially meant that the opportunity to get Sergeant Bergdahl would have been lost," Rice said.

The president did indeed break the letter of the law, said Jonathan Turley, a law professor at George Washington University.

But there are questions about the law itself, he added.

"There's two different questions here. One is, did he violate the federal law? The answer to that is most obviously yes," Turley said. "The second question is whether that law is constitutional. And the answer to that is more difficult.

"This is just a notice requirement. There are thousands of such notice requirements. And the problem with the president's argument is there's no limiting principle, that he could argue that all national security laws could fall into the same unilateral power," Turley said.

Hillary Clinton wanted tougher deal for Bergdahl

Did Bergdahl help the Taliban?

There's no evidence that Bergdahl helped the enemy directly, though he's certainly been used in Taliban propaganda.

What has partly fueled this accusation is how Bergdahl reportedly had sent e-mails to his parents denouncing U.S. activities in Afghanistan, according to a 2012 story in Rolling Stone magazine.

Bergdahl's former comrades also wondered if he gave the Taliban intelligence because the enemy executed "very calculated, very methodical" strikes after Bergdahl's disappearance, said former Army Sgt. Buetow.

But a U.S. official who has been briefed on the initial Army fact-finding investigation conducted in the months after Bergdahl disappeared told CNN that Bergdahl's commanders referred to him as "a good soldier" in that report.

Some of his teammates said he had expressed "boredom" and thought his unit was too passive and should have been "kicking down doors," the official said.

Taliban video shows Bowe Bergdahl's release in Afghanistan

Was Bergdahl tortured?

It's too early to say how severely Bergdahl was mistreated during his five years of captivity.

Officials have yet to state the findings of their medical examination of Bergdahl following his release Saturday.

A Taliban propaganda video of the handover of Bergdahl showed him looking gaunt and blinking repeatedly -- as if in disbelief or shock.

"He doesn't look that bad to me," remarked Chris Voss, a former FBI lead international hostage negotiator, about Bergdahl's condition.

Some experts speculate Bergdahl may have experienced Stockholm syndrome, in which he may have emotionally bonded with his Taliban captors over the five years.

Why is his unit coming out against him?

There's something new and something old motivating the former members of Bergdahl's unit to condemn him.

First there were the immediate reports that Bergdahl was being hailed as a hero. Those accounts incensed the former soldiers.

The comrades also remembered 2009 and how they searched for Bergdahl.

"He walked off," former Pfc. Jose Baggett, 27, of Chicago said. "He left his guard post. Nobody knows if he defected or he's a traitor or he was kidnapped. What I do know is, he was there to protect us, and instead he decided to defer from America and go and do his own thing. I don't know why he decided to do that, but we spent so much of our resources, and some of those resources were soldiers' lives."

In fact, the former soldiers say they are so outraged that they are speaking out publicly at significant peril. The former servicemen said they earlier signed nondisclosure agreements about the disappearance and search for Bergdahl, but they're now violating it.

Opinion: Five tough ethics issues in Bergdahl swap

Is that illegal?

The former soldiers may well be in open violation of that contract.

But they say they will risk punishment.

"It's certainly a possibility, but I don't think that I could have continued to go on without being able to share with you and the people the true things that happened in this situation, because if you guys aren't made aware of it, it will just go on, he will be a hero, and nobody is going to be able to know the truth," said former Army Sgt. Josh Korder, whose back is tattooed with the names of three soldiers who purportedly died while searching for Bergdahl.

Army officials didn't immediately return a CNN request for comment about what consequences, if any, the former soldiers may face if they're in violation of a nondisclosure agreement.

For those former troops, honor is at stake.

"For me, he's a deserter. America needs to know," said Gerleve, the former squad leader. "He's back, and he needs to be held accountable."

Was Bergdahl swap legal? Depends on who you ask

Official: Army will review freed soldier Bergdahl's case but it's not first priority

Bergdahl hurts Obama's most promising chance to close Gitmo

CNN's Barbara Starr and Jake Tapper contributed to this report.

@highlight

Controversy roils over whether soldiers were killed because of search

@highlight

Former comrades accuse Bergdahl of desertion, though Hagel asks for fairness

@highlight

Obama broke the law in not notifying Congress, professor says

@highlight

Former troops violate nondisclosure pact to denounce Bergdahl's actions