YORK, Pennsylvania (CNN)  -- The city of York is steeped in history. The central Pennsylvania town was a stop on the Underground Railroad, and it was even, briefly, the nation's capital.

A week of race riots in York, Pennsylvania, left two dead 39 years ago.

Sen. Hillary Clinton's rally here Saturday, on the corner of Market and Beaver Streets, was down the block from a local landmark that touches on a less-heralded chapter in the city's history: the site of the monument that wasn't.

A few months ago, Mayor John Brenner and others pushed for a memorial at the corner of George and Market Streets, in the center of town, that would remind York residents of a deadly week of race riots 39 years ago.

The violence claimed two victims: police officer Henry Schaad, and minister's daughter Lillie Belle Allen, in murders that went unsolved for decades. Schaad was white, Allen black.

But disputes over nearly every aspect of the project brought emotional responses that seemed to split along racial lines, including disagreements over inspiration, location and design. The process stalled entirely a few weeks ago, as organizers went back to the drawing board.

This dispute is emblematic of the divide facing both Democratic candidates in next Tuesday's Pennsylvania primary.

"The issue of race has touched this community, much more deeply than it has in other places. It's not in the forefront, it's not usually discussed, but that issue has been very important to people here," said local NAACP chapter president Eric Kirkland, in a row house just off George St., the main drag that bisects the city's downtown.

"Historically, this has been a very racially hostile area. Race relations have always been strained here. There's an old guard, and they have those old ideas," he said.

But the face of York itself has changed. A decade ago, the town was 70 percent white. City officials say black and Latino residents now make up roughly 45 percent of the population of 41,000.

Sen. Barack Obama is expected to win the overwhelmingly Democratic town, locals say, and Clinton has the edge in York County, an area dominated by white, working-class, conservative voters -- a group that has largely backed the New York senator this year.

But presidential loyalties here this primary season don't fall neatly along racial lines -- York's residents are split between the two candidates in patterns that defy traditional assumptions.

Neatly manicured lawns in some of the city's mostly white suburbs are dotted with Obama signs. In the city, a restaurant window near Newberry Street -- where Allen was killed nearly four decades ago -- has a Clinton sign taped to the inside glass.

Seven years ago, the town's mayor and several other white men were arrested for Allen's 1969 murder. In the shadow of a pending indictment, Mayor Charlie Robertson -- up for re-election -- won the Democratic primary in 2001. He later stepped down. Eventually, he was acquitted by a local jury. Two others were convicted of murder and others took plea deals.

In the wake of the trials, the city became a magnet for outside hate groups, who clashed with anti-racist demonstrators in the center of town. In the years since, the most public division in York has been the measure of progress.

Some, including Kirkland, say race is still a central issue here. Others -- including many resentful of the city's national notoriety after Robertson's arrest -- say it is not.

But most residents fall somewhere in between, caught in a decades-long conversation that moves in fits and starts, spurred along by activists and city officials. The national dialogue may have turned to race this campaign season -- but in York, where the discussion has been on the agenda for years, many say they're all talked out.

"Race is here. It's an undercurrent," said York Mayor John Brenner, an Obama supporter. "I do think in places like York that actually had civil unrest in the 1960s, I think we have more work to do. And we've done a lot of work in recent years. Most of our voters, I think, have moved on."

Many of those voters -- among them Harley-Davidson factory workers, waitresses and home health aides -- echoed Brenner, saying their top concern had nothing to do with race, but with how they were going to pay their rent or afford health care.

"A few years ago, all those satellite trucks were parked out front for the trial, all those outsiders came to town for a week, and they had the story in their heads before they even got here," said mechanic Mike Davis, just outside the city's Central Market.

"You didn't see anyone from around here at the courthouse, except the families. But that case is all most people know about York. I know that's what they care about. But I have bigger things to worry about. Like my next mortgage payment."

York has been slightly better off than many of Pennsylvania's hard-hit industrial areas, thanks to a more diverse local economy and an influx of new residents from neighboring Maryland that have made it one of the commonwealth's fastest-growing counties.

But residents say that thousands of jobs have disappeared -- and with them, a way of life.

"I know we had that working-class tradition. I'm a product of it," said Brenner, whose father was a union electrician. "I think York County has changed. That whole blue-collar model of the past just doesn't work anymore. It's still here, but it's not as strong as it used to be."

Kirkland, who opposed Brenner's favored proposal for a race riot memorial, agrees with the assessment.

"There should be a memorial [to the victims of the riots]. But those are symbols. The reality is, the fundamental standard of living for people in this city has gotten worse, it's gotten much worse, since the trials. There are not enough jobs for people who need jobs. A monument isn't going to change that," he said.

Kirkland is skeptical the city has truly moved beyond its headline-grabbing past. But he says the campaign, no matter who wins, has revealed a level of local progress on that front that has surprised many York residents.

"You travel the county, you travel the city, you travel the townships and most of the people want the same thing," he said. "They want good jobs, a good education. They want to make sure they have decent health care. There's not a whole lot of difference there in terms of what people's needs are and wants are and desires are.

"I think things may be changing here, in the process of changing. It's like a lightbulb going on." E-mail to a friend

@highlight

York, Pennsylvania, was the site of deadly race riots in 1969

@highlight

Issue of race has touched the community, says local NAACP president

@highlight

Presidential loyalties in York don't fall neatly along racial lines

@highlight

Some skeptical the city has truly moved beyond its headline-grabbing past