Sydney, Australia (CNN) -- In Ireland it took years to weed out the details of systemic sexual abuse of children by Catholic clergy.

In Australia, Prime Minister Julia Gillard has put no time limit on what will be the most wide-ranging inquiry into child sex abuse in the nation's history -- one that will not be confined to the Catholic Church.

As she announced the establishment of a Royal Commission into institutional responses to instances and allegations of child sex abuse, Gillard said the inquiry would not target any one church but would encompass all religious institutions, state institutions, schools and not-for-profit groups like scouts and sports clubs.

"There have been too many revelations of adults who have averted their eyes from this evil," she said.

The evil of which she speaks is said by the mother of one victim to be endemic.

Pat Feenan's son, Daniel, is now 36 years old.

"Every morning he opens his eyes, he walks with that pain," she told CNN.

Daniel was an 11-year-old altar boy at St Patrick's Church in Maitland in the Hunter Valley, north of Sydney, when the abuse began at the hands of Father James Patrick Fletcher, who died in prison after being found guilty of child abuse -- including that of Daniel.

The family were devout Catholics when Fletcher was assigned to the parish and to the Feenan family, who opened their home to him. Soon after, the grooming began, and in time, the family says, so did the abuse.

According to court evidence, throughout Daniel's high school years Fletcher forced him into violent oral and anal sex, often in open spaces and always under threat. Fletcher would tell Daniel their "special time" together should be kept secret lest Fletcher hurt one of Daniel's brothers. The abuse ended when Daniel was 17. Seven years later he went to the police.

Though he was later contrite, the archbishop of the diocese tipped off the abuser, moving him to another parish, according to a police investigation.

"I am ready and willing to help the Royal Commission in any way I can," Pat Feenan told CNN.

"And so is my courageous son. He's brave. He was the first in the Maitland Archdiocese who had to testify in court. My Daniel had to go through the pain of the inquisition and the media and the reporting of the horrible details.

"He knows he has played a part in this, and he knows I fought really hard for this Royal Commission and for justice. He feels vindicated," she added.

Vindication is not something the Royal Commission can deliver Chrissy and Anthony Foster of Victoria.

"Our girls were assaulted at school by the local Catholic priest," Anthony Foster told CNN.

"They were five years old and up, raped multiple times over many years. It went on for several years -- we think about five years with Emma and with Katie probably about three or four years," he said.

When Emma was 14, parish priest Kevin O'Donnell, now deceased, was convicted of the sexual assault of 13 others. During his trial, testimony was offered that he had abused consistently from 1946 until he was brought before the courts. When Emma heard news of his conviction, she began to harm herself, the family says.

"We saw her with blood pouring out of her wrists," said Foster, "taking heroin to dull the pain."

When she was 26, Emma killed herself.

Katie's story is equally tragic.

When she 14, her parents found a suicide note she had written along with her diary in which she had detailed how O'Donnell had abused her. The Fosters were alarmed when they saw their daughter had begun to binge drink.

A year later, just before her 16th birthday, tragedy struck.

"She was at a friend's house," Foster told CNN. "She was drunk, crossed the road and was hit by a car. She has severe brain injuries," he said.

"She has pre-accident memory. But she can't run her life. She has a five-minute window on life," added Foster.

Katie and Emma Foster's abuser is buried in the Catholic Church crypt at Melbourne Cemetery.

Prime Minister Gillard insists the inquiry -- with the power to compel witnesses, offer indemnities and seize documents -- is not aimed at the Catholic Church.

"This is a Royal Commission which will be looking across religious organizations as well as state-based care and the not-for-profit sector. It is not targeted at any one section or religion," she said.

However, the only religious leader Gillard consulted after she decided on the Royal Commission was the Catholic Archbishop, Cardinal George Pell.

A divisive figure, Cardinal Pell defended himself and his church against claims last week of systemic cover-ups by the church hierarchy.

As calls for a national inquiry grew louder in the wake of explosive claims by a senior police officer that the church was complicit in the crimes by moving offending priests and destroying crucial evidence to stymie prosecutions, Cardinal Pell said the Catholic Church was being disproportionately targeted.

"We have to answer up for what we've done," Cardinal Pell told his congregation on the weekend.

"But any suggestion that we are the only culprit or only community producing culprits is entirely misleading," he preached.

But others disagree.

"This is really an inquiry into the Catholic Church and the cover-up," Foster told CNN.

"It's all the revelations of abuse in the church that brought this to a head. We know there is other sexual abuse, but this has come about because of rampant sexual abuse by Catholic Church clergy," he said.

For Pat Feenan and her son Daniel, the Royal Commission is most certainly about the sins of the Catholic Church and what he sees as the lack of compassion shown to its victims.

"We went through the whole trial with no support from the church," she told CNN.

"The priests supported Fletcher, to see how he was, to pray with him. We were in the same courthouse, and no one came near us. The church community were not encouraged to be mindful of the victim. There were prayers for the priests and not for the victim. That's not fair," she said.

As for the police officer who blew the whistle on both fellow officers and the church for covering up the abuse, the announcement represents an opportunity.

"Now we're going to start listening to the victims and start listening to their families," said Detective Chief Inspector Peter Fox.

"And we're going to start doing something about the problem. The big problem is denial, when you're not prepared to sit down and actually start to acknowledge that there's a problem and look at ways of fixing it," he said.

Gillard said her government will consult with victims' support groups, religious organizations and state and territory governments to determine the Royal Commission's terms of reference.

@highlight

Australia to investigate institutional responses to allegations of child sex abuse

@highlight

Country's Catholic Church facing claims of systemic cover-ups by church hierarchy

@highlight

Senior police officer: Church complicit by moving offending priests, destroying evidence

@highlight

Prime Minister Julia Gillard says the inquiry will not be limited to the Catholic Church