(CNN) -- A billion messages are sent on Twitter every 2Â½ days. That's three for every man, woman and child in the United States.

Sure, the vast majority of tweets haven't made history. But there have been no shortage of big moments for Twitter since its debut more than seven years ago. That's part of the reason Twitter has become a digital watercooler of sorts for global conversations around live TV events such as elections, the Oscars or the Super Bowl.

With news that Twitter has filed to become a publicly traded company, we took a look back at some of the key moments from its brief history. From celebrity-driven milestones to political downfalls to tweets from space, they've been as diverse as the more than 200 million people who now use the site.

May we present seven years of famous, and infamous, tweets and Twitterers:

March 2006 -- The first-ever tweet was posted by co-founder Jack Dorsey as part of an internal messaging system for Odeo, the podcasting company where Dorsey, Biz Stone and Evan Williams worked at the time. It said simply, "just setting up my twttr."

July 2006 -- The full version of Twitter was introduced publicly on July 15, although Twitter didn't spin off into its own company until the next year.

March 2007 -- Although not yet mainstream, Twitter exploded in popularity among early adopters at the South By Southwest Interactive festival in Austin, Texas. In a clever move, the company placed large screens in conference hallways that displayed live tweets about SXSW events. Buzz quickly grew, and by the end of the week, daily Twitter usage had tripled.

April 2008 -- In an early example of the power of Twitter, an American graduate student used the service to alert his friends that he had been arrested at an anti-government protest in Mahalla, Egypt. After mounting pressure, authorities released him from jail the next day.

January 2009 -- A US Airways plane with 155 people on board made a miraculous emergency landing on the Hudson River after striking a bird during takeoff. An eyewitness tweeted out a widely shared photo of passengers waiting on the plane's wing to be rescued, cementing Twitter's status as a real-time, news-gathering tool.

April 2009 -- Actor Ashton Kutcher narrowly outpaces CNN to become the first Twitter user with 1 million followers.

June 2009 -- After a disputed election in Iran, thousands of people took to the streets of Tehran in protest. The Iranian government cracked down on media reports about the protests, so demonstrators took to Twitter to get the word out, inspiring the phrase, "Twitter Revolution."

August 2009 -- Justin Halpern was amused by his father's blunt wisecracks so he created a Twitter account called "Sh*t My Dad Says." Within months he had millions of followers and a book deal, which led to a short-lived CBS sitcom, "$#*! My Dad Says," starring William Shatner.

January 2010 -- Astronaut Timothy Creamer sent the first live tweet from space under his account, Astro_TJ. It said: "Hello Twitterverse! We r now LIVE tweeting from the International Space Station â€” the 1st live tweet from Space! :) More soon, send your ?s."

April 2010 -- The Library of Congress announces plans to archive every public tweet on Twitter.

January 2011 -- Twitter and Facebook play a key role in "Arab Spring" uprisings as people in Tunisa, Egypt, Syria, Libya and other countries used the social networks to message each other and organize protests.

March 2011 -- Within minutes of news reports about an Egyptian cobra escaping from its enclosure at the Bronx Zoo, an anonymous jokester created a witty Twitter account that imagined the freed snake sightseeing its way around New York City. (Sample tweet: "Leaving Wall Street. These guys make my skin crawl.") The account quickly amassed more than 100,000 followers and heralded a new wave of parody Twitter feeds.

May 2011 -- Sohaib Athar, an IT consultant in Abbottabad, Pakistan, unwittingly live tweeted the U.S. Navy Seals' raid that killed Osama bin Laden after spotting helicopters hovering over his neighborhood. He later tweeted, "Uh oh, now I'm the guy who liveblogged the Osama raid without knowing it."

June 2011 -- U.S. Rep. Anthony Weiner resigned in disgrace after confessing to sending lewd photos of himself to women on Twitter. Weiner may never get the hang of this Twitter thing: His ill-fated New York mayoral bid was derailed this month by similar revelations.

June 2012 -- NASA landed a rover, Curiosity, safely on Mars and began exploring the Red Planet while beaming updates to Earthlings via a clever and educational Twitter account. Today it has 1.4 million followers.

November 2012 -- President Obama acknowledged his successful re-election with a tweeted image of him embracing his wife, Michelle, and the words "Four more years." With almost 800,000 retweets, it became the most-shared tweet ever.

November 2012 -- The Israel Defence Forces live-tweeted its rocket attacks against Hamas in Gaza, including a photo of a Hamas leader it claimed to have kllled. Some observers saw it as the first time a military conflict was chronicled in real time on social media.

December 2012 -- Pope Benedict XVI joined Twitter as @Pontifex, becoming the first pontiff to do so. His successor, Pope Francis, has continued the papal account, which now has almost 3 million followers for the English language account, and 3.7 for the Spanish Twitter handle, @Pontifex_es.

January 2013 -- Twitter users in Japan and Korea set a record by posting 33,388 tweets per second in their time zone as the New Year dawned on January 1.

January 2013 -- Justin Bieber dethroned fellow pop star Lady Gaga to become the most followed person on Twitter. The Biebs now has more than 44 million followers.

January 2013 -- Twitter launched Vine, an app that lets users shoot and share 6-second looping videos. It has since acquired more than 13 million followers, who fill their followers' feeds with delightfully strange video creations.

February 2013 -- The Super Bowl was already one of Twitter's annual high points, when would-be wits unleashed some of their best 140-character one-liners. But this year, when a racy Beyonce halftime show was followed by a 35-minute power outage, things went into overdrive. At the peak, there were more than 268,000 tweets per minute -- and more than 24 million for the entire game.

April 2013 -- Hackers from the Syrian Electronic Army took over the Associated Press Twitter account and posted "Breaking: Two Explosions in the White House and Barack Obama is injured." It was one of the most high-profile Twitter hacks to date and had far-reaching ramifications. The Dow Jones Industrial Average plummeted dramatically before rebounding when the hoax was exposed.

CNN's Doug Gross contributed to this report.

@highlight

Twitter has filed to become a publicly traded company

@highlight

The first tweet was sent in 2006; co-founder Jack Dorsey called it "Twttr"

@highlight

In 2009, Ashton Kutcher beat CNN's breaking news feed to 1 million followers

@highlight

This year's Super Bowl peaked at 268,000 tweets per minute