Each year, 75,000 witnesses identify criminal suspects. Yet, as the New Jersey Supreme Court has acknowledged in a recent landmark case, there is "a troubling lack of reliability in eyewitness identifications."

In fact, given the risk of executing an innocent person, 16 states ban capital punishment.

Yet, in Georgia, Troy Davis faces execution on Wednesday, even though seven out of nine witnesses have recanted their testimony against him.

A study released Monday by the American Judicature Society, analyzing 850 photographic lineups, found that mistakes in identification are often related to how the photos of a line-up are presented. It found if a person uninvolved in the case presents the photos one-by-one, rather than all at once, fewer mistakes are made. Another critical factor is whether the authority presenting the photos knows who the suspect is.

But it's not only the method of presentation that is skewing justice. It's also fear.

I know.  I had my own bout with mistaken eyewitness testimony.

A few years ago, on a bright clear sunny afternoon, I was driving on an empty Connecticut country road when a man ran out in front of my car from a field to my left, carrying a VCR in his arms.  The movement, and his incongruous burden, drew my attention. The man froze when he saw my car, and as I passed him our eyes met for a very long moment in the rear-view mirror.

I will never forget the jolt of that confrontation.  I didn't understand at the time what I was seeing, but the fear, and something wilder, that I saw in his eyes was palpable.

After I passed, he dodged into the bushes on the other side of the road and disappeared.

I went on to do the errands of the day, while puzzling about the meaning of what I had just seen.  Four hours later I decided to tell this experience to the police.

It was then I found out there had been a robbery in that neighborhood, a VCR had been stolen and a suspect caught.  But before he had been arrested, the suspect shot a police officer, who was in the hospital badly wounded.  The police asked me to make an  identification from a photographic lineup.

Here is what I did: Three separate times, I pointed out a photograph of a man with a beard as the man I had seen on the road.

As I learned from the subsequent unfolding of the case, the man I had seen on the road had no beard. In four hours, of course, he hadn't had time to grow one.  There was no way that the photograph to which I pointed could have been a picture of the man who was under arrest.

I chose the photograph of another man because meeting the suspect's eyes in the rear-view mirror had shocked me so much -- even though I had no conscious knowledge that he had a gun -- that I refused to recognize his face. It was probably because, subconsciously, I never wanted to see him again.

This is what it can mean to be a witness to violence. You are not a rational spectator. It doesn't matter if a photograph is set in front of you that depicts the real criminal and no one influences you improperly.  You can still choose an innocent man.

We can analyze all the numbers we want, but until we acknowledge more fully the role emotions play, we won't have the data required for the policies we need.

Other factors are also instrumental, according to the New Jersey Supreme Court. Findings can be influenced by whether the witness is under a lot of stress, whether the sighting is brief or a weapon is visible, if the witness is a different race from the suspect.  The court recommended that juries be better instructed in how these and other factors can affect the ability to remember correctly.

But the AJS study's conclusion is stark: Even if the photos are viewed one by one, culprits were correctly identified only 27% of the time.  According to The Innocence Project, 76% of those who were exonerated based on DNA evidence were convicted, at least in part, by eyewitness accounts.

I am a historian of photography and a scholar of visual studies.  I have made my living and my reputation by the sharpness with which I can see, remember and recount the details and meaning of photographs.  By the time I was asked to make this identification from a set of photographs, I had been practicing this profession for over a quarter of a century.  I was used to looking at all kinds of photographs, even mug shots, which are an area of interest for contemporary artists and cultural critics.

And I got it wrong.

Until we understand what happens when people look at photographs they don't want to see, we will not get the data that will drive better policy. We will continue to get wrongful identifications, wrongful convictions and worse, wrongful executions.

@highlight

Laura Wexler:  7 out of 9 witnesses recanted testimony against Troy Davis

@highlight

Studies find witness testimony notoriously unreliable, she says, including in photo lineups

@highlight

Wexler, whose specialty is photos and memory, made incorrect ID of suspect

@highlight

Wexler: Fear and emotion play a large role in whether you recognize a suspect