(CNN) -- With a straight face and a shrug, world motorcycling champion Jorge Lorenzo details the danger involved in reaching the sport's dizzying pinnacle: "I had my first injury at age seven."

For most of the last 18 years his body has absorbed a litany of crashes -- some at speeds of 150 miles per hour as he contests the elite MotoGP competition which he has now won twice.

"On my wrist, maybe twice, and as for my collar bone -- five, six times. My head, so many."

He catalogs these events as if reeling off a shopping list, pausing briefly to explain that one of them, at a Spanish circuit in 2008, left him unable to remember anything for "two or three days."

The riders, whose bikes cost millions of dollars, get so close to the ground when racing that they not only touch the tarmac with their highly-padded knees, but also their elbows.

"Too much pain, too many injuries," Lorenzo told CNN's Human to Hero series. "It's almost 20 years that I have injures, have crashes. It's normal when you are a rider, it sometimes happens, no?"

Given this gruesome roll call, it is a wonder the Spaniard's mind isn't submerged by dread as he tears round the track but it is with a softer, more sensuous tone that Lorenzo explains his relationship with the motorbike that so often puts him in harm's way.

"It's like dancing," he said. "When you dance with a girl, you don't think. Just hear the music and just move.

"At the beginning when you don't know how to dance you have to think how to put the feet and how to move your body.

"But when you do it for so many times, then you don't think. Just flow, no? That's the same for the bike on the track when you are a professional rider."

Change of tack

Lorenzo ascension to such an ingrained in-race mentality has come from his history of hard knocks, but his past also pivots on a decision to race smarter, not faster.

The crash which accounted for his temporary memory loss marked a watershed in his career. It was the fifth consecutive meeting in which he'd toppled off his bike.

It signaled a necessary change of approach that paved the way for him to realize his dream of becoming MotoGP champion in 2010 and 2012.

"I was an aggressive rider in the past," he explained. "Then the first year in MotoGP I still was an aggressive rider. I crashed many times. I injured myself many times.

"In 2008 I had my fifth consecutive crash in Catalunya in 2008. And I hit my head in one crash twice or three times, bump bump bump bump ... so much. I didn't remember anything for about two or three days.

"So at this time I told myself, 'I have to change.' Or change my way of riding. I became more calm, more clever, or thinking (about) more things I do on the bike, or I stop riding.

"And now I'm much more different. I'm different and normally I don't crash so much. Last year I crashed maybe twice."

Broken ankles

If the frequency of these crashes is hard to compute, the desire for Lorenzo and his peers to race at all costs is even more mind-boggling.

After a nasty smash during practice ahead of the China Grand Prix in 2008 -- his self-confessed reckless period -- Lorenzo broke both his ankles. Yet he still took part in the race, securing fourth place. He had to be lifted off his bike once he'd finished.

Lorenzo's new stealth on the track was evident in the 2010 season as he charged to his first MotoGP title. He won nine grands prix and showcased his new-found maturity by finishing on the podium in 16 out of 18 races.

It marked the realization of a dream that was formed at five years old and, alongside his first ever world title in the 250cc division, it is Lorenzo's proudest achievement in a sport that has dominated his life.

Bike-mad upbringing

If his epiphany at five sparked a desire to win the world title, his love for bikes came even earlier growing up in Mallorca, part of Spain's Balearic Islands and also the home of tennis star Rafael Nadal.

"I started to practice at three years old with a bike that my dad started to build, handmade, for me," he said.

"My first race was at three years old, but I didn't have the license. I was crying because I wanted to race. The boss of the race saw me crying and he said, 'Okay, you can race. But I didn't have the license, so I had to wait two more years to get the license.

"I started at five to race constantly. Trial, motocross, minicross, scooter, pocket bikes. Everything I could do, and my father could offer me.

"And then in 1997, I started to race around all of Spain in world racing. Then at 14 I signed with Derby, a Spanish brand, for the 125cc world championship."

'The most important thing'

He revs himself up ahead of races by listening to American rockers Linkin Park ("because it gives me a lot of power") but afterwards Lorenzo needs to take the edge off the adrenalin rush.

"I do some meditation, some yoga. I stay relaxed, just breathing and not thinking anything for five minutes. And I finish completely relaxed."

Lorenzo's rise through the ranks of motorbike racing now sees him sitting on top of the world -- a place he intends to maintain when the 2013 season kicks off in Qatar this April.

"The competitive goal must be trying to fight again for the world championship," he said. "But I always try every year to grow as a rider, and especially as a person.

"To improve my weak points, and try to keep the good points I have. But to grow -- grow as a person, and as a rider. It's the most important thing."

@highlight

Jorge Lorenzo is the reigning world motorbike champion in MotoGP

@highlight

Spanish rider says he has been injured from the age of seven until now, at 25

@highlight

He started riding bikes at three and competed in his first races aged five

@highlight

Lorenzo once took part in a race in China despite having two broken ankles