(CNN) -- Airbus test pilots and managers celebrated Friday after the long-awaited inaugural flight of the Airbus A350 XWB went off without a hitch.

Aviation enthusiasts around the world had their eyes on France as the aircraft took off from Toulouse-Blagnac airport around 10 a.m. local time and landed safely about four hours later.

The test crew waved an Airbus flag from a hatch above the cockpit as the aircraft taxied after its successful maiden journey.

The crew, who emerged to applause from waiting friends and family, said the aircraft proved easy to handle and performed well throughout the test program.

"After the first few minutes, it didn't feel like we were doing a first test flight," said Peter Chandler, chief test pilot for Airbus. "It was so relaxed and so predictable."

"It's a great day for all people who have a passion for aerospace," said Airbus Chief Executive Officer Fabrice Bregier.

Airbus hopes to have the new aircraft fully certified for commercial flight within 12 to 13 months, he said.

"This is about going fast but never rushing, and I am very confident that after this first flight ... we will deliver this aircraft by 2014 to our first customers," he said. Airbus hopes to capture more than half the global market of 6,000 long-range aircraft over the next 20 years, he added.

"I knew it was going to be impressive, but I was blown away," Airbus Chief Operating Officer John Leahy said immediately after the A350 XWB takeoff.

"Did you hear how quiet it was? Did you hear what you didn't hear? We're going to set new standards. Not just for comfort, not just for performance. But for environmental friendliness. People living around airports won't even know we're taking off," he said to the attending press.

The flight followed many hours of training in a simulator for the six international test flight crew members.

Bregier said he had set a target nine months ago of completing the first test flight before the upcoming Paris Air Show.

However, the company has not confirmed speculation that Airbus is planning to show off its new plane to aviation enthusiasts at the show, which runs June 17 to 23.

Frank Chapman, an Airbus test pilot who watched from the ground, said the decision had not yet been made but would depend on the data from the test flight and safety checks over the next few days.

Paris Air Show 2013: On your marks, jet set, go!

The A350 XWB is the first in a family of super-efficient passenger planes Airbus designed to go head-to-head with rival Boeing's 787 Dreamliner and 777s.

"XWB" means "extra wide body." There are three members in the A350 family: the A350-800, the A350-900 and the A350-1000, which seat 270, 314 and 350 passengers, respectively, in three-class seating.

The first test plane, "MSN1," was unveiled on May 13 at Airbus headquarters in Toulouse, France.

Turbulent production history

Friday's first test flight was the latest achievement in what has been a turbulent production history for the A350 program since it was first announced in 2006.

"Airbus's initial A350 design wasn't an entirely new aircraft, but a knee-jerk reaction to the 787," aviation journalist David Kaminski-Morrow, air transport editor of Flightglobal.com, told CNN in an earlier report.

"The company, which was hip-deep in sorting out A380 development, simply hadn't foreseen the huge pent-up demand for a more efficient 250-seat airliner, and tried to take the easy way out by offering a re-engined version of its A330." 

While the A330 is incredibly popular, the airlines were more interested in the potential efficiency offered by a clean-sheet design, he added.

Airbus rolls out new A350 XWB

Being publicly lambasted by some of its largest customers -- one aviation executive called it a Band-Aid reaction to the 787 Dreamliner, while the CEO of Singapore Airlines said the plane just didn't go far enough -- the pressure was on for Airbus to come up with a plane that would genuinely advance the global aviation scene.

This year, there were cancellations. Abu Dhabi-based airline Etihad Airways axed seven orders for A350-1000s, saying they still weren't happy with the design, criticizing its range, performance and fuel burn.

"Airbus belatedly woke up and countered with a completely new version of the A350, and managed to tap into the market," said Kaminski-Morrow. 

On the technical side, the big appeal for airlines is that over 70% of the A350 XWB's airframe is made from advanced materials that combine composites (53%), titanium and advanced aluminum alloys. 

The A350 XWB is the first Airbus passenger jet to use both fuselage and wing structures made primarily of carbon fiber-reinforced polymer, resulting in lower fuel burn as well as easier maintenance, according to the company. 

Its rival, the 787, is one of the most advanced airliners launched in recent years, and is made up of 50% composites and uses 20% less fuel than other aircraft in the same category.

Airbus A350 time crunch

Paris Air Show hopes

Industry experts said ahead of the test flight that there was an outside chance the A350 XWB might be spotted in the skies at the air show, even though Airbus had said the plane would be too busy carrying out flight tests to attend.

"We're still waiting to find out whether the A350 will put in an appearance," said Murdo Morrison, editor of aerospace industry magazine Flight International.

"That certainly would be a highlight -- it's one of the newest and most exciting aircraft, but it and Bombardier's C-Series are at a critical point in their development.

"It becomes a bit of a fight between the marketing people, the publicists, who want the company to get all the best headlines, and the engineers who are working to critical deadlines to get the plane ready to fly as soon as possible," he explained.

"What may happen is they pop in for one day -- fly in and then fly out again -- or even, in the case of the A350, that they do a flypast, without even landing."

Follow all the action at the 2013 Paris Air Show via our Twitter list

CNN's Bryony Jones contributed to this report.

@highlight

The first A350 XWB test flight comes to a successful end in Toulouse, France

@highlight

"I knew it was going to be impressive, but I was blown away," says Airbus COO

@highlight

The A350 is designed to go head-to-head with rival Boeing's 787 Dreamliner and 777s

@highlight

There's still no confirmation of an A350 XWB appearance at Paris Air Show