(CNN) -- China has stepped up its engagement with Africa in recent years, scouring the resource-rich continent in its bid to access natural resources and forge new trade routes. But the Asian powerhouse is also emerging as an attractive business destination for Africans.

China's booming economy has been luring an increasing number of Africans to its shores in recent years, most of them eager to export goods from the world's second-largest economy back into their continent.

"I found out there are a lot of opportunities of doing business," says Nigerian shop owner CJ Cajetan, who moved to Guangzhou two years ago as a student but decided to stay in China and try his luck as a clothes seller.

Cajetan is one of the tens of thousands of Africans who've gone to live and work in Guangzhou, a manufacturing city located on the Pearl River in southern China.

This strong new trading community builds on a growing business engagement between the two sides. Already Africa's largest trade partner, China's economic cooperation with the continent has shot up in recent times. Two-way trade between the two surged to a record $114.8 billion in 2010, according to Chinese authorities.

Linking aid, trade and investment, Beijing's business model in Africa involves building extensive infrastructure projects in the continent and granting loans in exchange for access to natural resources, trade opportunities and expansion into new markets.

Read more: Why Asian giants scent opportunity in Africa

But the burgeoning relationship between the two has also seen a number of African companies trying to get a foothold in the Chinese market, hoping to tap the country's growth and expanding middle class.

South African drinks giant SABMiller has been working for years with a local Chinese brewer and now produces China's biggest selling beer. Such success can be achieved by more African companies as their nations gain a firmer footing, according to consultant Kobus van der Wath.

"China is very open for business for us," says van der Wath, founder of Beijing Axis, a China-focused international advisory firm. "China's repositioning itself continuously for the new Africa that's emerging. We're very well received. We don't come with baggage," he adds.

But despite the growing opportunities, many Africans in China still feel the overall relationship is far from a two-way street.

In Guangzhou, some Africans complain of discrimination, restrictions on religious practices and visa issues. Residents like shipper Festus Mbisiogu -- who has been working in China for six years -- say they have trouble getting documents allowing their families to join them, making it harder for them to settle down.

"Our children are not allowed to reside in China and our joy is not fully complete, we are not living with our children," says Mbisiogu, of Blue Diamond Logistics. "To make the money is not the problem ... but what about your family?"

Read more: Doing business in China: Five tips for success

Others say that navigating potential pitfalls, like protecting intellectual property, can also be a challenge in China.

"If people bring things into China to get them manufactured here, I think keeping that technology secret, as it were, will be very, very difficult," says Graham Hughes, a South African factory manager based near Beijing.

The Chinese government says it's fighting to protect intellectual property rights. It also says it welcomes foreigners to work and live in China and says its visa policies have been applauded.

Beijing has also been sponsoring programs at Chinese universities to encourage young Africans to come to the country to study.

See also: Is the West losing out to China in Africa?

One such student is Susanne Nambatya, from Uganda. "I believe the social problems affecting China, they are the same problems affecting Uganda," says Nambatya. She takes part in a Masters program in Beijing, where she learns economic models that she hopes can spur her country to a sweeping transformation of its own

"I keep asking my question, what is China doing that Uganda can't do?" she adds.

Fellow African student Martin Larbi says his China experience has also been enlightening.

"Coming to China I have seen the other side of industrialization," he says. "I believe industrialization promotes the development of the economy, but the other side I've seen is the pollution of the environment -- it's hard for me to see the blue skies I used to see in my country."

But back in Guangzhou, Cajetan has adapted to his new environment. Like the students in Beijing, he wants to help modernize his home country one day by drawing on his experience in China.

"My plan is to establish a factory because I like to live in Lagos," he says. "I like to help people. I want to employ people to work at my factory."

@highlight

Growing numbers of Africans are seeking economic opportunities in China

@highlight

Many are keen to export goods from world's second-largest economy back into Africa

@highlight

Beijing is sponsoring programs at its universities to encourage Africans to study in China

@highlight

Despite opportunities there are still many challenges for Africans doing business in China