(CNN) -- For students, parents and teachers in Chardon, Ohio, the week has been a disorienting one after a high school shooting left three teenagers dead.

As the community of 5,100 tries to regain the normalcy that was shattered by violence, the Chardon school district has decided to resume classes Friday.

Throughout the week, the school system has offered counseling. Teachers and staff members were asked to return to school, where they could meet with counselors, on Wednesday. Parents and students were also encouraged to come to campus on Thursday, when counseling will also be offered.

After such a traumatic incident, counselors focus on two stages of recovery: the immediate response of helping people feel safe and the longer-term process of helping them cope.

Tom Olbrich, disaster response coordinator at the Jefferson Center for Mental Health in Wheat Ridge, Colorado, worked with youth, faculty and families in the aftermath of the 1999 Columbine High School shootings. After thousands of hours with them, Olbrich and his colleagues learned that there's no quick fix. Some kids required as many as three years of assistance.

There's a wide range of reactions, and it could depend on how close they were to the kids who were hurt and what they witnessed, he said. For families who lost children and students who lost friends, it's a much more difficult struggle.

Most people process the events and heal, but about 8% to 15% are likely to develop post-traumatic stress disorder, said Russell T. Jones, professor of psychology at Virginia Tech, who counseled survivors of the shootings there.

After a school shooting, students may be reluctant to return to classes and resume their normal academic life, experts say.

On Monday morning, a student identified as T.J. Lane fired shots in the Chardon High School cafeteria. Police say the 17-year-old sophomore confessed to firing 10 rounds and was described by the county prosecutor as having chosen his victims "at random."

The victims are Daniel Parmertor, 16, a teen who loved to ski and found work maintaining the computerized pins at the local bowling alley, who died Monday; Demetrius Hewlin, 16, who died Tuesday morning; and Russell King Jr., 17, who was declared brain dead early Tuesday. Two others were injured.

There is an expectation of safety at school, so it's natural for students, parents and staff members to feel angry, shocked and scared. At this point, the children are probably receiving traumatic stress event counseling, said Dominick Flarey, the executive director of the American Academy of Grief Counseling. He is not involved in the counseling of the Chardon High School students.

"The first need of the kids is going to be to feel safe and doing what they can to make the kids in the high school understand that they are safe," he said.

In the short term, counselors help connect kids, parents and faculty with their natural supports such as friends, family and others whom they're comfortable being around, to emphasize feelings of safety. Children may have fears about going back to school, which counselors try to assuage by identifying whom the child can be with in order to feel safe.

"Kids are going to go through a range of reactions in the next days and weeks," Olbrich said

Parents have also been through distress, because they were probably panicking over the safety of their kids, Flarey said. The initial counseling can reassure people that it's OK to be upset.

"It's not swept under the rug and 'let's pretend it didn't happen,' " Flarey said.

After the shootings at Virginia Tech that left 32 students dead in April 2007, Jones, a clinical psychologist, was one of the counselors who went into classes to discuss the symptoms of depression, acute stress disorder and PTSD.

Virginia Tech students find support, outlet for grief online

"People typically have nightmares," Jones said. "People are angry. People are typically having difficulty concentrating; they might be irritable. They might snap at others. They might have tendency to avoid the situation. All of these are very normal reactions."

For most people, it takes days and weeks to move on with their routines.

"What we try to tell individuals is that one can expect that to happen," he said. "They are not 'crazy.' Those are very normal reactions to abnormal actions. That's comforting to most individuals."

Those who had symptoms persisting beyond a month were encouraged to see mental health specialists, Jones said.

"The classic response is avoidance, because people don't want to think about it or go to places that remind them of it," Jones said.

Research published by Jones and his colleagues in 2011 found that 15.4% of Virginia Tech students experienced high levels of post-traumatic stress three to four months after the shootings.

Life at Virginia Tech a year later

Some of the "real therapy" happens when the initial shock wears off, Olbrich said.

Olbrich and his colleagues ran several support groups after the shootings at Columbine High School in 1999, still the deadliest event at an American high school, in which 12 students and a teacher died.

Debunking the myths of Columbine, 10 years later

In group therapy sessions, the counselors tried to group kids together who had similar levels of exposure to the incident.

For instance, students in the library had some of the worst experiences, as this is where much of the massacre took place and where the two shooters killed themselves. Ideally, these kids would not be in the support group with students who saw or heard different things.

"If you mix those groups, there's a risk that the stories they tell could actually re-traumatize kids who didn't see that," Olbrich said.

In Columbine, the demand for services related to that shooting hit its peak a year and a half after the shooting, Olbrich said. Traumatic memories flooded back for some when they heard helicopters, since there were a lot of helicopters in the air on the day of the Columbine shooting.

Nothing the same after Columbine

There were ongoing programs for up to three years after the shooting, but not everyone needed that extended support. A small number of people affected by the incident, to this day, struggle with memories that come back on occasions such as the anniversary of the shooting, Olbrich said.

At Virginia Tech, Jones said, some individuals present at the shooting didn't come forward for treatment until 4Â½ years later.

Students should be encouraged to talk about it with their support system when they're ready, said Jones.

"Children and families should not be forced to talk about it, because compulsive retelling has adverse effects on individuals," he said.

Another strategy is to encourage adolescents to write their feelings in a journal, Flarey said.

"When emotions stay stuck within themselves, that's when grief tends to become more complicated," he said.

An adolescent's recovery from a tragedy like this can be a long process that's very individual.

Some kids bounced right back; others took more time.

The community still remembers the event but has largely moved forward, Olbrich said of Columbine.

"Sometimes, people talk about wanting to get back to normal. And you sort of have to help people realize that it's never going to be quite the way it was," he said. "There will be a new normal you reach, but it will be different than how things were before. But it can still be good, and you can be productive, and you can get through this and come out of it even stronger."

CNN's Jacque Wilson contributed to this story.

@highlight

Chardon, Ohio, schools open for counseling for teachers, parents and students

@highlight

First step is to make kids, parents and faculty feel safe, counselors say

@highlight

Much of "real therapy" happens long after the event