Santiago, Chile (CNN) -- U.N. Secretary-General Ban Ki-moon arrived Friday in earthquake-damaged Chile, which endured two more strong aftershocks while working to recover from last week's devastating earthquake and tsunami.

"I'm here to express [the] solidarity of the United Nations, of the international community, to the people and government of Chile," Ban told reporters at the airport in the capital, Santiago.

"I know that this is one of the worst natural disasters in recent history of Chile; at the same time, I'm very moved to see such strong courage and fortitude and resilience of Chilean people," Ban said.

Earlier, shortly before 9 a.m. Friday, an aftershock with a magnitude of 6.6 struck the area, the U.S. Geological Survey said. The aftershock followed another with a 6.0 magnitude, the survey said. The two are the latest in scores of aftershocks that have hit after the massive magnitude 8.8 earthquake and subsequent tsunami Saturday.  Full coverage of Chile's earthquake

Friday's aftershocks did not cause any known injuries or damage, Chile's National Emergency Office said, and the U.S. National Oceanic and Atmospheric Administration's Tsunami Center did not issue any warnings.

The tsunami and 8.8 magnitude earthquake -- the fifth-strongest worldwide since 1900 -- killed hundreds of people and toppled buildings, particularly in the Maule region along the coast.

Shocking scenes hours after quake

Roads were torn up and power was cut off in many areas. Thousands have been left homeless.

Food, water and the restoration of basic services, such as electricity, are top priorities, said the U.N. Office for the Coordination of Human Affairs.

The Chilean government, which is leading the rescue and relief efforts, has asked the United Nations for items such as field hospitals with surgical facilities, dialysis centers, generators, satellite phones, structural damage evaluation systems, saltwater purifying systems, mobile bridges and field kitchens.

Ban said Friday that he will talk to Chilean President Michelle Bachelet and President-elect Sebastian Pinera about how the United Nations can best help. Pinera, a conservative billionaire businessman, takes office next week.

The secretary-general said he will visit hard-hit Concepcion to assess the damage and will bring the matter to the United Nations.

"Now it is time for the United Nations and international community to stand with the Chilean people and government," he said, after noting the Chileans' generosity in helping Haiti after its 7.0 earthquake on January 12. That quake flattened much of the Haitian capital, Port-au-Prince, and killed hundreds of thousands of people.

A 24-hour telethon, "Chile Helps Chile," which organizers hope will raise $27 million for earthquake victims, was scheduled for Friday.

Residents in devastated Constitucion expressed a determination to rebuild.

"It very hard, but it's not impossible. We have to be strong; we have to reinvent ourselves," said resident Antonieta Biachi. "You have to start from scratch; there is no other option."

Though he is not yet in office, Pinera has named six officials to lead recovery efforts.

More than 13,000 soldiers and other military personnel have been dispatched to restore order in the earthquake-damaged area. Food and water began to arrive earlier this week in Concepcion, and officials said they distributed 3,500 aid packages Wednesday. But many residents have complained that federal aid has been slow to arrive.

A six-member U.S. Agency for International Development disaster response team has been sent to Chile to assist with relief effort, said State Department spokesman P.J. Crowley.

The team should arrive Saturday, he said. A USAID contractor also is embedded with the Chilean National Emergency Response Office, the country's equivalent of the U.S. Federal Emergency Management Agency.

The United States sent 71 satellite phones, plastic sheeting and two mobile water treatment units, the U.S. State Department said. Six more water treatment units are to arrive within a week. A field hospital and two C-130 aircraft to assist with moving supplies around the country have also been deployed.

The United States also sent $1 million to the International Federation of Red Cross and Red Crescent Societies to aid their efforts.

Bachelet toured parts of central and southern Chile on Thursday. She visited Talcahuano, where the tsunami roared through many parts of the seaport town. Bachelet also toured Talca, the capital of Maule.

"This is the time for action," she said later Thursday on returning to Santiago, where she met leaders of the Catholic Church, a partner in providing help in the quake's aftermath.

The top priority remained the needs of survivors, followed by reconstruction efforts, Bachelet said.

Chile has announced three days of national mourning beginning Sunday. Every house has been authorized to hang the national flag in memory of those who perished.

The death toll was revised downward Thursday as authorities reviewed discrepancies in the reported number of dead in the Maule region.

The casualty count there included more than 200 people who are missing but not confirmed dead, said Deputy Interior Minister Patricio Rosende. Therefore, the official nationwide death toll is lower than the 802 figure given by emergency authorities.

To limit confusion, Rosende read aloud the names of 279 Chileans who had been killed and identified by Thursday evening. He said would update that official number regularly. The new tally does not account for hundreds of unidentified victims.

With disasters of this magnitude, "the number of dead change daily," Rosende said. "It takes months sometimes to compile the information, because one of the biggest problems in the affected areas is the lack of precision and uncertainty at the scene."

Despite the disaster, the Chilean Davis Cup tennis team will open competition Saturday in Coquimbo, Chile, against Israel. Team officials and players said they would be playing in honor of quake victims.

"It will be difficult, but we will do our best for our country," said player Fernando Gonzalez.

CNN's Brian Byrnes, Sara Sidner, David Ariosto, Elise Labott, and Karl Penhaul contributed to this report.

@highlight

Ban Ki-moon arrives to meet leaders, survey damage

@highlight

Two strong aftershocks, magnitudes 6.0 and 6.6, strike Friday morning

@highlight

Chilean government asks U.N. for field hospitals with surgical facilities, generators

@highlight

Some Chileans complain federal aid has been slow to arrive to quake-hit region