(CNN) -- The U.S. response to the increasing natural disaster in Pakistan is, like so much else when it comes to American relations with that country, too little and too tentative.

Epic flooding now hitting Pakistan is an unfolding humanitarian crisis on the scale of its 2005 earthquake, which claimed some 75,000 lives, or the 2004 Asian tsunami, in which more than 200,000 people died. And because of the gradual nature of flooding, as opposed to the sudden impact of an earthquake, the devastation over time could overwhelm those earlier crises.

One in nine Pakistanis -- some 20 million people -- are already homeless, lacking food or medicine. Health officials warn that a cholera epidemic is likely, with 3½ million children now at risk.

Despite the cataclysmic scale of this disaster, the Obama administration is not responding with the same direct, comprehensive and large-scale effort that the Bush administration undertook in response to the 2005 Pakistani earthquake and the 2004 Asian tsunami.

This current approach of primarily relying on the Pakistani government and local aid groups will not work -- either in terms of meeting the scale of the crisis or swaying Pakistani public opinion toward the United States.

American aid to the flood victims is a clear humanitarian imperative. Some have argued that it is also in the national security interest of the United States to win friends and stabilize the country. This is of particular concern since, according to my contacts in Pakistan and reports in South Asia media, radical Islamist groups allied to al Qaeda are on the front lines in providing direct aid to the flood victims.

Jamaat-ud-Dawa, linked to the terrorists who carried out the 2008 attack in Mumbai, India, has already reportedly established 13 relief camps, with some 2,000 members providing help.

Pakistan, the only nuclear-armed Muslim majority country, is the home base for both the Taliban and al Qaeda. Its population faces growing radicalization; the chairman of the Joint Chiefs, Adm. Mike Mullen, has called it the most important country to the future of Islamist extremism.

The United States thus far is donating $76 million in assistance, only a portion of which is being provided directly by the U.S. military.

But the $76 million is dwarfed by the massive humanitarian assistance -- hundreds of millions -- the U.S. military brought directly to victims of the 2005 earthquake and the 2004 tsunami -- delivered via aircraft carriers, hospital ships and thousands of American troops. U.S. military helicopters flew some 6,000 relief operations to Pakistani earthquake victims alone. For both the 2005 earthquake and the tsunami, the U.S. military worked closely with local governments, but did not leave it primarily up to them to deliver the aid.

Large-scale humanitarian assistance can have a dramatic favorable influence on public opinion. The nonprofit organization I lead provided empirical proof of this in conducting the first public opinion surveys of Indonesia after the tsunami and Pakistan after the 2005 earthquake, as well as follow-up polls.

After the tsunami struck Indonesia, the world's largest Muslim country, on December 26, 2004, the United States led an extraordinary international relief effort of on-the-ground, people-to-people aid. It was broadcast nonstop on local Indonesian television and had a clear American "brand."

Afterward, public opinion among Indonesians dramatically swung toward the United States, with 65 percent of Indonesians expressing a favorable opinion as a direct result of American aid. Mullen called the shift in Indonesian public opinion toward America "one of the defining moments of this new century."

Similarly, after the devastating earthquake hit Pakistan in 2005, the United States stepped in with another intensive relief effort -- again widely reported in local media and clearly identified as American aid. Afterward, our surveys found that 79 percent of self-identified Osama Bin Laden supporters (78 percent of all Pakistanis) thought well of the United States because of its humanitarian mission.

Among all Pakistanis, the U.S. government was more popular than al Qaeda, the Taliban, or any Pakistani Islamist radical group -- even among Pakistanis who thought favorably of these groups. Indeed, the number of Pakistanis who voiced a favorable opinion of the United States doubled from 23 percent six months before the earthquake to 46 percent one month after American aid began.

Yet our research shows that in the case of both the tsunami and Pakistani earthquake, public opinion changed only because the American military delivered the aid directly, in a comprehensive campaign cooperative with, but not dependent on, local governments or nonprofit groups.

Whether from donor fatigue or simply a lack of vision, the United States is not mobilizing a similar effort now.

In addition, the Pakistani government's response to the crisis has been ineffective at best. Distrust of Pakistan's political leaders is spreading as rapidly as the floodwaters.

The United States has the same opportunity as the radical Islamists to fill the void.

It can help the victims of one of the largest natural disasters we have recently seen. The United States can also win over Pakistanis, in the key country in the battle against extremism.

But only if the administration steps up and deploys the same level of military resources as with the 2004 tsunami and the 2005 Pakistani earthquake can we succeed.

The opinions expressed in this commentary are solely those of Ken Ballen.

@highlight

Ken Ballen says Pakistan floods are crisis that could rival 2005 earthquake, Asian tsunami

@highlight

But U.S. not meeting disaster with rapid, comprehensive approach, as before

@highlight

Extremists ready to assume aid role; U.S. squandering chance to woo Pakistanis, he says

@highlight

Ballen: Aid efforts are important opportunities to garner good will; wrest aid role from extremists