(CNN) -- The path that brought U.S. citizen David Coleman Headley to the point of pleading guilty to involvement in two international terrorism plots is complicated and twisted.

His life, in many ways, is far from the average American experience, but he's also very much a product of a typical American upbringing.

He's an unusual fusion, a product of two worlds, a rare blending of East and West. And because of his unusual background, Headley, experts say, is one of the most unusual and important American-born terrorists.

Even his eyes -- one blue and one brown -- reflect the double life he has lived almost since the day he was born.

Headley pleaded guilty Thursday to all 12 charges against him in connection with the four-day siege on India's financial capital in 2008 that left more than 160 people dead and a planned attack in Denmark.

Headley, the son of an American mother and Pakistani father, was accused of extensive involvement in planning the devastating attacks on hotels in Mumbai, which the Indian government says were carried out by the Pakistan-based terrorist group Lashkar-e-Tayyiba. At least six Americans were among the dead.

Headley, 49, was indicted last October and charged by the U.S. government for conspiracy to murder and maim people in India and provide material support to a foreign terrorist organization.

He initially pleaded not guilty to the charges, but he has changed his plea as part of a deal with the government to cooperate with investigators and possibly to avoid the death penalty he might have received if convicted on some of the charges.

In the federal courtroom in Chicago, Illinois, on Thursday, Headley told the judge that he did not dispute any of the 12 charges. By pleading guilty, he also gave up his right to appeal in the case.

He faced six counts of conspiracy to bomb locations in India and to murder and maim persons in India and Denmark, and six counts of aiding and abetting the murder of U.S. citizens in India.

The indictment against him charged that Headley scouted targets in Mumbai for more than two years to set up the November 2008 attacks. He was also accused of planning a terrorist attack on a Danish newspaper, which was never carried out. The newspaper became the target of Muslim fury in 2005 after it published cartoons depicting the Prophet Muhammad in a manner offensive to Muslims.

Even family asks: Who is David Coleman Headley?

Now that he's admitted to conspiracy to murder and maim in the Mumbai attack, even members of his own family are wondering who David Headley really is.

"I was really shocked. And just didn't expect something like that. And I mean such a hands-on accusation," said William Headley, his uncle, reflecting on when he first learned of the government's accusations against his nephew. "It was like you had poured cold water inside my chest."

David Coleman Headley was born in 1960 in Washington, D.C., but with a different name: at birth, he was given the Urdu name Daood Gilani.

He was the son of an eccentric, flamboyant and rebellious high society mother from Philadelphia, Pennsylvania, Serrill Headley; and a strict, formal Pakistani diplomat father, Sayed Salim Gilani. The couple met at the Pakistani Embassy in Washington but moved to Lahore, Pakistan, when their son was very young.

"He was the first baby I had anything to do with," his uncle William Headley said. "He was the first baby I ever touched or held or anything like that. And somewhere I have a photograph of me in my pajamas holding little Daood. ... He was a nice-looking little baby."

Fractious union of East and West

After only a few years, Daood's parents split up, an early sign of the fractious union of East and West.

The separation left Daood straddled between his traditional Muslim father and his very Western, very American mother. For a time, his mother remained in Pakistan, but she eventually returned to Philadelphia, where she opened a popular bar called the Khyber Pass. The Khyber Pass is the name of the main passage between Pakistan and Afghanistan.

Daood remained in Pakistan throughout much of his childhood, and as a teenager he was enrolled for several years at a prestigious and regimented Pakistani military academy, the Hasan Abdal Cadet College.

But then his mother pulled him out of the school and brought him back to Philadelphia. There, the teen moved into his mother's apartment above the bar.

In 2006, Daood Gilani changed his name to David Coleman Headley, borrowing the family's American name, and even the middle name of William Headley's father, Coleman. The change was made, U.S. officials believe, to help Headley escape detection and travel more easily between the United States, India and Pakistan.

In an exclusive television interview with CNN in January, Headley's uncle described his disbelief in learning that his own nephew was connected in any way to the massacre in Mumbai -- disbelief that lingered until he began receiving letters from his nephew in his jail cell.

"To find an insider in my own family involved [in terrorism] -- you're not responsible for what your family does and yet you have such a close association with it, it's your blood."

Headley wrote to his uncle from jail, saying that despite his heritage, he was now 100 percent Muslim.

Headley's life has been full of twists and turns, from his dual heritage childhood -- being equally comfortable in Pakistan's Muslim circles and in Philadelphia's social scene -- to his marriage to a blond American beauty and subsequent divorce, after which he took a traditional Muslim wife.

Drug trafficking snare

In the 1990s, Headley became a major drug dealer and turned informant for the Drug Enforcement Administration after being caught, according to his family. His involvement with the DEA may have been one of the factors that pushed him toward Islamic extremism.

In 1997, he was running a video shop in New York. On February 7 of that year, he was in a midtown hotel negotiating to bring a large load of heroin from the Middle East to New York City.

But he had walked into a trap. The hotel room, on the ninth floor, was wired by the Feds. As Gilani tried to escape, he found himself surrounded by gun-toting DEA agents. It was a moment that became the ultimate turning point in his life, said his uncle.

"Daood said 'If I get free of this I'm going to commit myself to God,' " William Headley recounted. "So that is when, I would say, he became a serious Muslim."

What happened next is somewhat of a mystery. While his co-conspirator in the drug deal went to prison for 10 years, Headley was out within 15 months. His family believes the DEA was using him as their own informant, frequently sending him to Pakistan and Afghanistan to meet directly with heroin dealers.

Those trips may also have put Headley in direct contact with Islamic terror groups who use the drug trade to finance their operations. It was during this time that he may have first encountered Lashkar-e-Tayyiba, the Pakistani group that some say is now second only to al Qaeda in its global terrorist reach. The indictment indicated that Headley had moved among senior figures in Lashkar -- including Ilyas Kashmiri, who's alleged to have had contacts with al Qaeda.

Headley case called unique

The Headley case is unique for many reasons, experts say.

"It reads like a spy novel more than your typical terrorism cases," said Frank Cilluffo, who heads the George Washington University Homeland Security Policy Institute.

He says Headley was a sophisticated and valuable asset for anyone in the terrorist world, because of his ability to move easily between the East and the West.

"This is someone who clearly lived in two different worlds and grew up in two different worlds and had an awareness of both the United States -- having spent much of his adult life and later childhood life here -- as well as in Pakistan," said Cilluffo.

"Clearly, you have someone who was conflicted, even though he lived in both worlds. You get the sense that he never felt at home in either world, searching for his identity ... and we know how, unfortunately, it plays out," he added.

Headley's uncle still finds it hard to believe. He was shocked when CNN called to tell him that his nephew was pleading guilty.

The nephew he knew was not someone who could have been involved in a terrorist plot, William Headley said.

"We absolutely cannot imagine it," he said. "It's not at all consistent with anything we know at all."

@highlight

David Coleman Headley is a product of two worlds, a rare blending of East and West

@highlight

His mother was a fun-loving Philly socialite; his father was a strict, formal Pakistani

@highlight

His arrest in a heroin sting was a turning point in his life, an uncle says

@highlight

He's been tied to Lashkar-e-Tayyiba; India says group carried out Mumbai attacks