One of the oddest features in the new Kindle Fire tablets is decidedly retro: a button that summons a human tech support representative on your screen.

When you press the Mayday button on a Kindle Fire HDX, a small box appears on the tablet. In the box is live video of a friendly Amazon customer support person. You can slide his or her face around your screen so it's not blocking any key buttons or settings, and then ask away.

"How do I set up my e-mail account?" a new Kindle Fire owner might wonder. The representative can see, control and draw little arrows and lines on the screen. "First, open this mail app," they'll say while a bright orange arrow appears on on you screen pointing to the mail app. If you'd rather they just take over, they can navigate and press the buttons for you, all while you watch it happen (and admire the look of concentration on the rep's face) in real time.

More on the new Kindle Fires

Offering up a live human is the exact opposite of what many tech companies are doing for tech support.

In addition to directing people to online help forums and detailed help documents, some major companies such as eBay are using automated online assistants. The programs show an illustration of a friendly face on your screen and use artificial intelligence to mimic a real customer service interaction.

Humans are still present at 800 numbers (after you navigate a maze of automate options that thin out the herd), and on the other end of live chat support, but typically they can't see your screen without jumping through some hoops, and there's no face-to-face interaction.

"What we wanted to do was to elevate that tech support customer experience by bringing a tech support person ... directly on your screen and giving them the ability to see what you're doing," said Amazon CEO Jeff Bezos at a demo of the feature in Seattle.

More than being able to see someone's face, having a representative automatically see and control your screen is the best way to provide customer support. (After years of long, arduous phone calls talking my mom through computer problems, I finally set it up so I could control her screen from across the country and fix any problems myself. It was the best idea I've ever had.)

"Tech support is very difficult to do over the phone," said Bezos. First the customer has to describe the problem and what they're seeing. Then the representative has to describe what they're supposed to do to fix it. The potential for miscommunication and confusion is great.

Because it's easier, screen sharing will greatly cut down on the amount of time it takes to solve a problem. So while there will likely be many more requests for help using Mayday than an 800 number, the time savings could even out.

At least at first, the feature will be ripe for some fun, unorthodox uses. Lonely people might just dial up a rep to chat, ask about their favorite movies and ask about their day. Luckily the video connection is only one way and they cannot see the customer, only their screen. Amazon isn't afraid of the goofy people.

"I expect in the early days, we'll see lots of people using this feature just to try it out, just to show it off to their friends, and that's great. We're excited about that. We want that to happen," said Bezos.

The tech support representatives are trained to be extra friendly and accommodating. For example, customers are encouraged to ask them about movie or app recommendations.

In the battle of iOS versus Android, Apple products are given credit as easier to learn and use while Android tablets and phones offer more customization and control. Even though the Fire runs a highly customized, nearly unrecognizable version of the Android Jelly Bean mobile operating system, it appears to be aiming for a more Apple-like ease of use.

The company has always prided itself on providing very good customer service, and previously, Kindle owners could call a representative 24 hours a day at an 800 number. To start, Mayday will use the same customer service representatives already in place around the world but give them the new technology and training. If it takes off, Amazon will bring in more people.

The cost of the staff, training and technology required to provide instant access to a live person 24 hours a day, seven days a week must be sizable. But like the Kindle Fire hardware itself, Amazon does is not trying to make money off it.

The goal is to make it easier for people to use the tablet. The more they use it, the more time they will spend in the Amazon ecosystem, and the more money they will spend on Amazon content and products.

Happy customers equal more profit.

@highlight

The Kindle Fire HDX has built-in live tech support

@highlight

The representative can see, control and draw on the tablet screen

@highlight

The feature will make it easier for tablet owners to get acquainted with the devices