(CNN) -- In football-obsessed Kenya, like much of Africa, the beautiful game is more than just a sport -- it's an inescapable way of life for millions of young people, a sacred carnival that's staged passionately everywhere from grandiose stadiums to gravel fields and dusty patches of land.

But for the laborers inside this brightly lit workshop on the outskirts of Nairobi, football is also serious business.

Surrounded by Arsenal and Liverpool team posters on either side of the walls, the blue-shirted workers meticulously cut and stitch pieces of leather. Eyes straight down, they put the final touches on the white and yellow footballs they're crafting on their wooden work stations.

This is the Kenya-based hub of Alive & Kicking, the only formal manufacturer of sports balls in Africa. The social enterprise, which has two more plants in Zambia and Ghana, uses the widespread popularity of football in the continent to help create jobs and offer disadvantaged children access to sport equipment.

"In Africa, the passion for football is absolutely immense," says Sughra Hussain, chief executive of Alive & Kicking, which was launched in 2004 by late Briton Jim Coogan.

"But according to our calculations, a third of children have actually never played with a real football before," she adds, explaining the principles on which the group was founded. "At the same time, there are very high levels of unemployment, with a high proportion of the population living below the poverty rate."

Durable balls

All across Africa, millions of football-loving children are unable to afford quality balls to play with. Instead, they often rely on whatever's at hand to create their own makeshift versions, using anything from strings and plastic bags to strips of cloth and inflated condoms.

These improvised balls, however, often won't last long. Lopsided and fragile, they regularly fall victim to the thorn bushes dotting the weedy fields and pebbly yards the game is usually played on.

Read this: Cameroon's outspoken football star

To deal with this, Alive & Kicking uses locally sourced leather to produce durable balls that are suited to local conditions.

"Our balls are made from genuine leather, so they last longer on the rough terrains of the compounds and slums in which they are often used," says Hussain.

Health awareness

Over the last nine years, Alive & Kicking has produced more than 500,000 balls, including volleyballs and netballs. About half of them are sold in the major supermarkets of the countries the group works in, at a cost of around $18, while the rest are either bought by local NGOs or corporate organizations.

But Alive & Kicking, which employs 130 people in three countries, is not only interested in the retail side of the business.

More than just a company, the group has donated a fifth of the balls it's produced --- more than 100,000 -- to schools and children's projects in rural areas as part of its efforts to raise health awareness.

Read this: Flying doctor saving lives

Each donated ball is printed with simple directives such as "Play Safe" and "Sleep Under A Net" to convey health messages about the dangers of HIV/AIDS and malaria.

Famous backers

For its efforts, the group has over the years attracted the interest of several high-profile athletes and officials, including English Premier League football stars and world dignitaries like the Secretary General of the United Nations Ban Ki Moon.

Even Barack Obama was presented with one of the group's balls during a visit to Kenya in 2006.

England international footballer Micah Richards, who's been named an ambassador for Alive & Kicking, says: "It's a fantastic way to create jobs for those that need them in Kenya, Zambia and Ghana, and provide equipment for people that can't afford to buy it."

@highlight

Alive & Kicking is a social enterprise that manufactures balls in Africa

@highlight

It aims to create jobs for adults, provide children with balls and raise health awareness

@highlight

Launched in 2004, it has so far produced more than half a million balls

@highlight

It employs 130 people -- one third of its workforce is people under 30