(CNN) -- After three days of chaos, drama and an unknown number of deaths, Algerian special forces troops were holding their fire Saturday in the hostage crisis at a gas facility in the nation's remote eastern desert.

Survivors described harrowing escapes from Islamic militants who attacked the site early Wednesday. Some invented disguises, others sneaked to safety with locals, and at least one ran for his life with plastic explosives strapped around his neck.

Read more: Power struggle: The North African gas industry targeted by militants

Six Americans were freed or escaped, a U.S. official told CNN. The official provided no other information about their status or whereabouts. Other Americans were unaccounted for. Earlier Friday, State Department spokeswoman Victoria Nuland said there were still American hostages.

Yet others didn't make it -- either because they were killed or were still being held.

Algerian troops staged a military offensive that some nations criticized as endangering the lives of the hostages.

On Friday evening, they were trying a different tack, the state-run Algerian Press Service reported.

"The special forces ... are still seeking a peaceful settlement before neutralizing the terrorist group currently entrenched in the refinery, and free a group of hostages who are still detained," it said.

It was not clear how many hostages were seized by the Islamist militants and how many were being held. Thursday's military operation ended with 650 hostages -- including 100 foreigners -- freed, while at least 12 Algerian and foreign workers were killed, the Algerian Press Service reported in what it said was a "provisional toll."

In addition, 18 of the attackers were "neutralized," APS said.

The dead include one American, identified as Frederick Buttaccio, Nuland said, as well as one French and a Briton.

At least 30 foreign workers were unaccounted for, according to the official media report.

British Prime Minister David Cameron said Friday that significantly fewer than 30 of his countrymen remained hostage. There could be as few as three Americans still being held, two U.S. officials said earlier this week.

The fate of eight workers with Norway's Statoil, some of them Norwegians, was unclear, the company said. The same was true for the 14 Japanese unaccounted for, Chief Cabinet Secretary Yoshihide Suga told reporters in Tokyo. And Malaysia's state-run news agency, citing its foreign ministry, reported Thursday two of its citizens were held captive.

A spokesman for Moktar Belmoktar, a veteran jihadist who leads the Brigade of the Masked Ones -- a militant group associated with al Qaeda in the Islamic Maghreb -- reportedly offered to free U.S. hostages in exchange for two prisoners.

The prisoners are Sheikh Omar Abdel Rahman, who orchestrated the 1993 World Trade Center bombing, and Aafia Siddiqui, a Pakistani woman jailed in the United States on terrorism charges, the spokesman said in an interview with a private Mauritanian news agency.

Asked Friday about the offer, State Department spokeswoman Nuland rejected it, restating U.S. policy of not negotiating with terrorists.

Opinion: Algeria situation is a wake-up call for the U.S.

"This is an act of terror," U.S. Secretary of State Hillary Clinton said Friday. "The terrorists ... are the ones who have assaulted this facility (and took) hostage Algerians and others (from) around the world who were going about their daily business."

A dangerous escape

The incident began when the militants -- apparently angry about Algeria's support in a rout of their comrades in neighboring Mali -- targeted the gas field, which is operated by Algeria's state oil company in partnership with foreign companies.

At the start of the siege, the militants gathered the Westerners into a group and tied them up, survivors said.

The kidnappers were equipped with AK-47 rifles and put explosive-laden vests on some hostages, a U.S. State Department official said.

Some escaped by disguising themselves, according to Regis Arnoux, who runs a catering firm at the site and had spoken with some of his 150 employees who were freed. He said they all were traumatized.

Some Algerian hostages were free to walk around the site but not to leave, Arnoux said. Still, a number of them escaped, he said.

As the Algerian military launched its operation Thursday, the militants moved some hostages, according to one survivor's account.

With plastic explosives strapped around their necks, these captives were blindfolded and gagged before being loaded into five Jeeps, according to the brother of former hostage Stephen McFaul.

McFaul, with the explosives still around his neck, escaped after the vehicle he was in -- one of several targeted by Algerian fighters -- crashed, his brother said from Belfast, Northern Ireland.

"I haven't seen my mother move as fast in all my life, and my mother smile as much, hugging each other," Brian McFaul said upon his family hearing his brother was safe. "... You couldn't describe the feeling."

McFaul said the other four Jeeps were "wiped out" in an explosion, and his brother believed the hostages inside did not survive.

Nations mobilize to help citizens caught up in crisis

U.S. Defense Secretary Leon Panetta, speaking in London, said the United States was working round the clock to ensure the safe return of its citizens.

Those freed include some Americans, while other U.S. nationals were unaccounted for, U.S. officials said.

The United States was evacuating 10 to 20 people caught up in the crisis, a U.S. defense official told CNN on Friday. They were to be taken to U.S. facilities in Europe, where their condition would be assessed, the official said.

Britain has sent trauma experts and consular affairs officers who can issue emergency passports to a location about 450 kilometers (280 miles) away from the plant, a Foreign Office official said, so they'll be "as close" as possible to the scene.

BP, which helps operate the gas field, said Friday that a "small number of BP employees" were unaccounted for. The same held for some workers with Statoil, though nine others with the company -- including five who escaped -- were safe. Four Norwegians and a Canadian with that oil firm were in an airport hotel in Bergen, Norway, after being taken from Algeria, Statoil spokeswoman Sissel Rinde said.

Both BP and Statoil -- two of the foreign companies with In Amenas operations -- were pulling their personnel out of Algeria, which is Africa's largest natural gas producer and a major supplier of natural gas to Europe.

BP said it had flown 11 of its employees and several hundred staffers from other companies out of the North African country Thursday and was planning another flight Friday.

Mark Cobb, a Texan who has a LinkedIn profile identifying him as general manager for a BP joint venture out of In Amenas, said he had escaped on the first day and was safe.

A U.S. military C-130 plane flew 12 people who were wounded in the ordeal out of Algeria on Friday, a U.S. defense official said. None of them were Americans, though efforts continue to evacuate freed Americans.

Three workers for a Japanese engineering company that was working on the site have been contacted and are safe, said Takeshi Endo, a senior manager for JGC Corp. But the company had not been able to contact 14 others, he said.

France's foreign ministry said that, in addition to one death, three of its citizens were rescued.

Japan 'terribly disappointed' in Algerian military operation

Algeria faces tough questions from governments of the kidnapped nationals over its handling of the crisis. Neither the United States nor Britain, for instance, was told in advance about Algeria's military operation Thursday.

Japanese Chief Cabinet Secretary Yoshihide Suga said his nation's officials had urged Algeria's government to avoid exposing hostages to danger. "We are terribly disappointed about the Algerians' military operation," Suga said.

Japanese Vice Minister Shunichi Suzuki summoned Algeria's ambassador Friday to express Tokyo's concern.

U.S. officials made a similar plea to the Algerians, urging them to be cautious and make the hostages' safety their priority, an official in President Barack Obama's administration said.

A senior U.S. official said American officials did not trust information they got from the Algerians, "because we hear one thing and then we hear something else."

But Algeria acted out of a sense of urgency after noticing hostages being moved toward "a neighboring country," where kidnappers could use them "as a means of blackmail with criminal intent," Communications Minister Mohamed Said told state television.

Algerian troops fired on at least two SUVs trying to leave the facility, Algerian radio said. And a reporter saw clashes near the site, according to the Algerian Press Service and radio reports.

"There were a number of dead and injured, we don't have a final figure," the communications minister said of casualties after the operation.

Belmoktar, the man behind the group claiming responsibility for the attack and kidnappings, is known for seizing hostages.

French counterterrorism forces have long targeted Belmoktar, an Algerian who lost an eye fighting in Afghanistan in his teens. Libyan sources said he spent several months in Libya in 2011, exploring cooperation with local jihadist groups and securing weapons.

The militants said they carried out the operation because Algeria allowed French forces to use its airspace in attacking Islamist militants in Mali. Media in the region reported the attackers issued a statement demanding an end to "brutal aggression on our people in Mali" and cited "blatant intervention of the French crusader forces in Mali."

Latest on the Mali situation

French Prime Minister Jean-Marc Ayrault said the Algerian hostage situation "confirms the gravity of the terrorist threat and the necessity to fight it with a determined and united front."

That sentiment was echoed by Clinton, the top U.S. diplomat. She stressed the need for a concerted, international effort to address terrorist and other threats around Africa.

"It is absolutely essential that, while we work to resolve this particular terrible situation, we continue to broaden and deepen our counterterrorism cooperation," she said Friday. "It is not only cooperation with Algeria, it is international cooperation against a common threat."

CNN's Barbara Starr, Laura Smith-Spark, Mike Mount, Joe Sutton, Elwyn Lopez, Frederik Pleitgen, Dan Rivers, Mitra Mobasherat, Saskya Vandoorne, Laura Perez Maestro, Junko Ogura, Dheepthi Namasivayam, Saad Abedine, Elise Labott and Tim Lister contributed to this report, as did journalists Peter Taggart from Belfast and Said Ben Ali from Algiers.

@highlight

NEW: 6 Americans are freed or escaped, State Department says

@highlight

Algeria says 12 hostages were killed in the wake of a military operation

@highlight

Terrorists are "entrenched" in a gas refinery with captives, APS says

@highlight

The U.S. rejects a reported prisoner exchange offer voiced by a jihadist spokesman