LONDON, England (CNN) -- We've become used to a world where what we buy is determined by what products are stocked by a handful of chain stores, but there are signs that may be changing. The future could be one of thriving cottage industries and skilled artisans lovingly producing custom-made wares.

An "apple jacket," by jacquelineknits, is just one of the handmade items you can find on Etsy.

That's the vision of Etsy, a U.S.-based Web site that describes itself as "an online crafts fair." But unlike your local Sunday-morning market, Etsy's crafts fair has some 200,000 stall holders, who have this year sold just under $50 million-worth of their homemade goods.

The site was conceived and launched in 2005 by Rob Kalin, a carpenter, among other things, who was looking for somewhere to sell his work online. At the time, the only real outlet was eBay, but Kalin was looking for something different, something that would provide a place for small-time artisans to sell their creations.

But according to Etsy, the site is more than simply a good business opportunity. "One of our goals is to change the way the economy works. It's become normal for people to buy online and the spread of the online buying culture means it has become very democratic. If you have a computer and camera and you like to make things, you can make and sell anything you want. I consider it liberating for people," an Etsy spokesman told CNN.

If the site's popularity is anything to go buy, it's a model that's proved tremendously successful. But the reason for that success is that Etsy has tapped into a growing pool of crafters and a demand for handmade goods.

In the U.S. especially, there has recently been a resurgence in the popularity of handmade goods. The idea has even emerged of crafting as a form of political activism -- the term "Craftivism" has been coined to describe the idea of 'making your own' as a statement against runaway consumerism and the homogeneity of mass production. A survey carried out by Etsy earlier this year revealed the average age of its crafter/sellers to be 35 -- a far cry from the stereotypical image of grandma knitting a scarf in her rocking chair.

Tapping into that zeitgeist, Etsy has tried to create a crafting community by hosting online crafting workshops and offering advice on how to turn a hobby into a business. The site encourages interaction between crafters, but crucially, it enables interaction between buyers and sellers.

"Anyone can go to, say, H&M and get a sweater, but then you have the same sweater as millions of people, but there's no real meaning to it. It's really great to be able talk to the person who made something that you now own -- it gives it another layer of meaning and specialness that a lot of people are looking to find," said the spokesman. Do you prefer handmade to mass produced?

Interestingly, Etsy also offers a service called Alchemy, where buyers request a specific product they want made, along with a deadline and price range, and sellers bid to provide that product for a certain fee. That concept of 'merchandise on demand' turns the idea of mass production on its head, but British Web site Kings of Neon takes the idea one stage further.

Designer Adam Duffy set up Kings of Neon when he realized there was a demand for customized sneakers. As well as adorning plain white plimsolls with his own colorful creations, Duffy lets his customers send him their own graphics, which he turns into a design for them.

"Personally, I've never bought anything mass produced. I think fashion is about being individual and not wearing the same thing as everything else, otherwise it almost becomes a uniform," Duffy told CNN.

Next month he intends to launch a new site that will allow users to create their own designs online, an extension of the shoe customizing offered by NikeiD and Vans, which let you personalize your sneakers' color scheme online.

The design-your-own trend is growing and it's not just limited to sneakers. Zazzle.com lets you customize your own T-shirts, mugs, plates, skateboards, postcards, ties, aprons and pretty much anything else that has a printed image on it. It's just a matter of importing the image you want to use, adding some text, if that's what you want, and clicking 'ok.' The result won't make Gucci lose any sleep, but it will be unique. While it's very different experience from that offered by Etsy, Zazzle does have tools that let you sell your designs on their Web site.

At first glance, U.S. online T-shirt firm Threadless is a similar proposition, but what sets Threadless apart is the way it determines which T-shirt designs it sells. Threadless lets members of the public send in their own T-shirt designs, which are then displayed on its website. The site's 800,000 users can view the designs and vote for the ones they'd like to see printed. Each week, six designs, selected from around 800 submissions, make it onto T-shirts, which are then sold on the Web site. The designers receive $2,000 in cash and $500 in gift certificates.

What's clever about the Threadless method is that it means the T-shirts it manufactures have always been extensively market tested -- by the same target market it's pitching its product to. It's an example of what has become known as 'crowdsourcing' -- getting members of the public to collectively perform a task usually done by a professional. Although the term has been applied to some very different projects, at its best it's profoundly democratic -- and it's made possible by the Internet.

Kings of Neon, Zazzle and Threadless can only exist because the Internet allows interaction between buyer and seller. Similarly, Kalin started Etsy because he couldn't afford to rent a physical shop in New York to sell his work from. By providing a virtual shop floor, and a potentially huge passing trade, the internet is a leveler that allows the artisan to compete with the chain store.

With the idea of designing-your-own gaining currency, the emergence of a growing army of crafters, and a way for them to sell their product, all that's needed for a shopping revolution is a consuming public ready to ditch the chain stores in favor of the artisans.

EBay recently announced a new web venture called Worldofgood.com, which will provide a shop front for all manner of mostly handmade, ethically supplied goods from around the world. The idea is similar to Etsy, but with a global, 'fair trade' spin, and the involvement of web giant eBay is a sure sign that handmade has gone mainstream.

"In my opinion, in the U.S. and the western world there is a backlash now. Brand names were really popular in the 80s and 90s, but now I think people are kind of tired of that -- they want something that's more tailored to them," Etsy's spokesman said.

If he's right, and we see a growth in craftspeople and artisans selling directly to the public, then the commerce of the future may bear an uncanny resemblance to that of the past.

@highlight

U.S.-based Web site "Etsy" is 'an online crafts fair' with 200,000 sellers

@highlight

There is a growing demand for handmade and personalized products

@highlight

"Threadless" lets it users design T-shirts and vote for the best ones

@highlight

The Internet gives artisans an outlet to sell their handmade products