(CNN) -- Attorney General Eric Holder announced last week that the Justice Department's civil rights investigation of Cleveland's police department found that it engaged in a "pattern or practice" of unreasonable and unnecessary use of force.

Coming on the heels of the death of 12-year-old Tamir Rice, who was shot and killed by a Cleveland police officer, many have wondered if this conclusion and damning report proves anything about Rice's death.

Not directly.

But this report doesn't exactly help the public's perception of the Cleveland police, either.

To many, the involvement of the federal government in investigating the killings of Rice, Michael Brown, and Eric Garner are a welcome event. After all, federal law enforcement does not have the intimate working relationship that local state investigators likely have with the police force -- a relationship that could compromise an internal investigation.

The federal government is designed as a limited government. There is supposed to be no general federal "police power" -- that is, no right of the federal government to regulate for the health, safety, or general welfare of the citizenry. The reality is, legislation and court decisions over the past century have gradually expanded the federal government's control and review of local activities.

In these cases, authority to review the practices of law enforcement agencies potentially violating federal rights comes from the Violent Crime Control and Law Enforcement Act of 1994.

And the DOJ is increasingly vigilant in enforcing these laws. In just the last five years, the Civil Rights Division initiated more than 20 investigations of police departments, which it claims is more than twice as many investigations than were opened in the previous five fiscal years. It would seem that the modern DOJ has made civil rights a priority.

(The Cleveland police said in a statement they've begun remedial measures and "much more work is needed.")

The Cleveland report itself is almost chilling in its detailed narration of specific instances of excessive police force. But that's not all: The reported procedures, policies, and tactics are also equally as concerning. Among the findings:

1. 'Fool me once, shame on you. Fool me twice ... '

Would you be surprised to learn that the DOJ previously investigated the CDP in 2002 and found similar deficiencies? How about the fact that in 2004, the Justice Department and CDP entered into an agreement to correct these problems, including revising its use of force policy and establishing new procedures for -- you guessed it -- reviewing officer-involved shootings.

However, that prior agreement was not enforced by a court and had no independent monitor. Here's where the DOJ appears to engage in some subtle CYA, when it writes that in 2005, "we found that Cleveland had abided by that agreement and it was terminated."

In the next sentence, the DOJ adds: "It is clear, however, that despite these measures, many of the policy and practice reforms (from the) 2004 memorandum agreement were either not fully implemented or ... not maintained over time."

So was the Cleveland force compliant in 2005? Or did the CDP just Jedi-mind-trick the Justice Department about the force, and convince DOJ to move along?

2. 'Beyond a reasonable doubt' is not a two-way street

Apparently investigators in CDP's Internal Affairs Unit only find violations of division policy if the evidence against the officer proves misconduct beyond a reasonable doubt. According to the Justice Department, this is an unreasonably high standard reserved for criminal prosecutions and inappropriate for internal police investigations.

Not surprisingly, discipline is comparatively rare at the CDP. Only a small fraction of officers were disciplined in connection with a use of force incident over more than a three year period. The Cleveland Plain Dealer analyzed similar CDP force data in 2007, finding that out of 4,427 uses of force over four years, supervisors justified the force in 100% of those cases.

3. It's the little things ...

This is a minor detail, but a potentially divisive one. The DOJ observed a sign hanging in a district station identifying it as a "forward operating base," which is a military term for an outpost in a war zone. People sympathetic to law enforcement might say "no big deal -- that's part of police culture." To other members of the community and to the Justice Department, this is disturbing evidence of police culture: that CDP is more of an occupying army than a community partner.

4. What documents?

Were this not such a serious matter, the DOJ would LOL at CDP's document retention and production. The Cleveland department failed to produce deadly force investigations that occurred after April of 2013. CDP failed for some time to produce certain 2012 use of less lethal force reports. CDP failed to provide dozens of additional Internal Affairs investigations. It failed to provide final dispositions for every civilian complaint, including complaints filed two years ago. It failed to provide Taser firing histories.

Should I go on? If document-shredding Enron were still around today, even they would say of CDP's document retention policy: "Come on, guys. Get it together."

5. Basic mistakes and failures

The report found tactical errors and a failure to follow basic, generally accepted techniques for responding to an armed suspect. In one such case in 2011, officers failed to control the scene, failed to designate locations from which officers could seek cover and contain the threat, failed to use a negotiator, and grouped together with little or no cover.

Look for critics to point to these findings as support for the proposition that the CDP's response to the Rice call was bungled.

These are just a sampling of the findings by the Justice Department. The actual report contains other procedural concerns and is worth a long read.

DOJ and Cleveland have now committed to developing a consent decree. This time, it will include an independent monitor and be court-enforceable.

In the past several months citizens have repeatedly demanded, and expected, the intervention of federal law enforcement in these alleged cases of excessive force. This shows how embedded the idea of federal review is among the public.

But the Constitution never provided for the federal government to review local police practices -- that jurisdiction was created by Congress, and really not that long ago.

If not for that legislation, the police would ultimately only be policed ... by the police.

@highlight

Justice Dept. found a pattern of unnecessary use of force by Cleveland cops

@highlight

Danny Cevallos: Report reveals that these concerns were longstanding

@highlight

In 2004, Justice Dept. and CDP agreed to correct problems, but little was changed, he says

@highlight

Cevallos: Report damages perception of CDP as it deals with controversial killing of 12-year-old