At the height of his power, Zhou Yongkang controlled police forces, spy agencies, court systems and prosecution offices across China -- and the domestic security czar wasn't shy in deploying his vast assets to crush dissent and unrest in the name of "preserving social stability."

During his reign before retiring in 2012, as worsening income inequality and official corruption fueled mass discontent nationwide, Zhou oversaw the domestic security budget swell to surpass that of the two million-strong Chinese military -- the world's largest.

As a member of the ruling Communist Party's Politburo Standing Committee -- China's top decision-making body -- Zhou was one of nine men who effectively ruled the country of more than 1.3 billion people.

Away from the spotlight, though, Zhou and his family members were reportedly taking advantage of his leadership position to accumulate enormous wealth. The allegedly blatant exchange between money and power, as revealed by China's state media, would eventually prompt Zhou's shocking downfall last summer.

After months of intense political rumors, the Communist Party's disciplinary arm in late July announced a formal investigation into Zhou for "serious disciplinary violations." On Saturday, state-run Xinhua news agency reported his arrest after the Communist leadership expelled him from the party.

Zhou's case was sent to the country's highest prosecution authority, paving the way for a criminal trial that would make him the most senior official ever to face corruption charges in the history of the People's Republic.

Party investigators found the 71-year-old former leader received huge bribes, abused his power to benefit family and friends, and leaked state secrets, according to Xinhua. He was also accused of having affairs with multiple women, and trading power and money for sex.

Anti-corruption campaign

Many have viewed his fall from grace as a watershed moment in the secretive world of Chinese politics now ruled by President Xi Jinping, who has been spearheading a massive anti-corruption campaign ostensibly targeting "tigers and flies" -- high-ranking and low-level officials -- alike.

"The important thing here is that Xi has proven he's powerful enough to break this taboo of never incriminating former Politburo Standing Committee members," said longtime political analyst Willy Lam with Chinese University of Hong Kong.

Unlike Xi, who is "Communist royalty" thanks to his father's status as one of Chairman Mao's comrades in arms during the revolution, Zhou was born to a poor family in eastern China.

His father was an illiterate farmer but borrowed money to send him to school. Smart and hardworking, Zhou didn't disappoint and went on to become one of the few local students admitted into an elite university in Beijing.

That school, now called China University of Petroleum, was the cradle for titans in the state oil industry. After graduating with a degree in oil exploration, Zhou was assigned to an oil field in the country's northeast and rose through the official ranks from the late 1960s through the mid-1980s.

Described by many as a capable and humbling young party cadre, Zhou was remembered more for his political savviness than technical knowledge. His political skill shone when he was transferred to the oil ministry in Beijing, which later became a giant state-owned oil company and one of Zhou's power bases.

Decisive leader

Overcoming factional wars in the ministry, Zhou was said to be a decisive leader who focused on expanding domestic oil exploration as well as overseas projects, a two-pronged strategy that would continue to this day. Fast growth of business abroad made supervision from Beijing harder, sowing the seeds for corruption.

In 2001, after a stint as minister of land resources, Zhou was named the Communist Party chief of Sichuan in southwest China, one of the country's most populous provinces. State media there portrayed Zhou as an eloquent leader with a clear vision, and credited him for luring high-tech companies including Intel to the southwestern province, as well as modernizing the agriculture and tourism sectors.

Zhou also developed strong local ties and planted officials loyal to him -- including secretaries he brought from Beijing -- in key postings throughout the province.

Zhou's big break came in 2002 when he returned to Beijing and was put in charge of the ministry of public security, which runs the country's police forces.

Five years later, he rose to the apex of power by taking a seat in the nine-member Politburo Standing Committee -- with an expanded portfolio that covered all domestic security affairs.

His reign coincided with a time of mounting social and ethnic unrest as well as such major events as the Beijing Olympics in 2008, the 60th anniversary of the People's Republic in 2009 and the World Expo in Shanghai in 2010.

Ruthless hardliner

As the leadership prioritized security and stability above all else, Zhou greatly expanded police power at the expense of already-limited judicial independence, cementing his reputation as a ruthless hardliner among political dissidents and activists.

It was also during this period that Zhou became a patron of Bo Xilai, a fast-rising political star who was waging his own controversial war against organized crime in the southwestern metropolis of Chongqing.

Bo's spectacular downfall in 2012 -- complete with tales of murder, bribery and betrayal -- attracted global attention. State media cited his subsequent conviction on corruption charges as a prime example of Xi's resolve to clean up the party.

Bo supporters, however, have long called him a political victim as the former high-flying politician was once considered Xi's main challenger for the top spot of Chinese leadership. Political activists and observers now note the similarity between the Bo and Zhou cases.

"Zhou challenged Xi's authority and threatened his rule -- that's why he's now being held responsible along with his gangs," offered Hu Jia, one of China's leading political dissidents, who was thrown into prison for more than three years on "subversion" charges when Zhou first took over nationwide law enforcement.

"The bottom line is: All officials are corrupt," he added. "Xi can't find a better excuse to rid of his political opponents than fighting corruption -- something that helps him win the masses' hearts and minds.

"The people being investigated for corruption are on the losing side of factional struggles," echoed Lam, the Hong Kong analyst. "People who are close to Xi are less liable to becoming incriminated."

Zhou's family, aides probed

Those close to Zhou have fallen with him. State media have reported official investigations -- and formal arrests in some cases -- into dozens of Zhou's family members and former aides. The biggest impact was felt in the domestic security apparatus, state oil industry and Sichuan province -- three places Zhou once ruled.

Details have also emerged in Chinese media about possible skeletons in Zhou's closet, including the suspicious circumstances surrounding the death of his first wife. Most stories, though, have focused on the vast wealth amassed by Zhou's older son as well as his two brothers and their families. The Zhous reportedly benefited immensely from China's booming energy and real estate sectors thanks to Zhou's deep ties to the two related ministries.

Zhou's older son, who is 42, is said to own multiple luxury properties worth millions of dollars. Before even turning 30, the younger Zhou's first foray into business met with fast growth and quick success after winning a contract to upgrade IT systems for 8,000 gas stations across China. His companies also reportedly reaped huge financial gain from buying and selling oil fields and hydropower stations.

State media reports also indicated that one of Zhou's younger brothers, a onetime farmer, used Zhou's influence to launch a "crisis management" business and profited from helping people get out of jail, enter police academy and sell steel pipes to state-owned oil fields.

Other published articles have painted an intricate web of officials, cronies and tycoons -- some with alleged mafia connections -- orbiting around the domestic security czar before the crumbling of his power structure.

"I think, unlike Bo Xilai, Zhou Yongkang will cooperate with investigators because his family is involved," said analyst Lam, predicting a suspended death sentence for both Zhou and his older son. "His only incentive now is to protect his son -- he will toe the line to protect his son."

@highlight

Zhou arrested as part of corruption probe, expelled from Communist Party

@highlight

Zhou Yongkang was a member of the ruling Communist Party's Politburo Standing Committee

@highlight

He's the highest-ranking official to get caught up in President Xi Jinping's anti-corruption campaign

@highlight

Zhou was also a patron of Bo Xilai, a former a fast-rising political star who was jailed for graft