Washington (CNN) -- CNN's John King and other top political reporters empty out their notebooks each Sunday on "Inside Politics" to reveal five things that will be in the headlines in the days, weeks and months ahead.

Insights on the reluctant "wartime President" and a concerned former President were part of a trip around the "Inside Politics" table that also highlighted an effort to leverage Latino political might, Rand Paul's minority outreach and a dilemma as GOP groups try to undermine potential Libertarian spoilers.

1. Back to the future: Bill Clinton adopts Arkansas as a 2014 project

For political junkies of any ideological persuasion, watching Bill Clinton on the stump is a treat, and it's an added bonus when he is back home in Arkansas.

This past week, he was in fine form as he tried to give a boost to embattled Democratic Sen. Mark Pryor and other Arkansas Democrats, including gubernatorial candidate Mike Ross.

Missed it? Not to worry. Jonathan Martin of The New York Times tells us you will get another chance. Maybe two.

"I'm told he's not just going back once, he's going to go back two more times to Arkansas: when early voting begins later this month, John, and then right before Election Day," said Martin. "As one longtime friend of Bill Clinton told me -- who knows him better than anybody -- said if he could, he'd be doing direct-mail pieces."

While the former President does know several of the candidates on the ballot in Arkansas, Martin notes this involvement isn't motivated just by his friendships.

"He also cares about retaining some kind of Democratic strength in a state that has gone to the right, and I think he wants to try and make it at least potentially viable for his wife in 2016," said Martin.

2. The current commander in chief bemoans 'wartime' label

President Obama was first elected on a promise to get U.S. troops out of the Middle East, but he will wind down the final two years of his term directing a sustained military campaign against the terror group ISIS.

And unlike George W. Bush, who embraced the "wartime President" label after the September 11, 2001, attacks, this commander in chief prefers not to be characterized that way.

Julie Pace of The Associated Press took us inside the White House debate over how to handle the balancing act.

"One of the concerns is that they don't want to present him as a wartime President, because he was campaigning as a person who got the U.S. out of wars, but they also want to make sure that he looks like he is managing the situation," said Pace.

"So while you're not going to see the President making trips to war zones overseas, you are going to see more pictures of him meeting with commanders at the Pentagon, perhaps traveling to bases around the country. The whole idea is to show that even though he'd rather be talking about other things, he's still on top of this."

3. Latinos see LGBT advances as an example worth following

As Latinos look to maximize their political clout, Ed O'Keefe of The Washington Post says some key activists have an example of steady, if sometimes slow, progress.

O'Keefe shared reporting about a recent Arizona summit of Latino, legal and labor activists, which took place just as the Supreme Court declined to hear challenges to several state laws allowing same-sex marriages.

For Latinos who at times are frustrated with both political parties, and other obstacles, O'Keefe said the big week for LGBT rights was not unnoticed.

"They are modeling this a lot on what the gay rights movement has done over the past two decades," said O'Keefe. "Obviously they had a very good week. The hope is to accelerate that and potentially make some gains in the next few cycles."

4. Rand Paul goes to Ferguson and promises he is a different kind of Republican

Kentucky Sen. Rand Paul spends a lot of time and energy promising to expand the Republican tent, and trying to prove wrong skeptics in the African-American community who cite, among other things, past statements questioning provisions of the landmark Civil Rights Act.

This past week, he was off to Ferguson, Missouri, and Nia-Malika Henderson of The Washington Post reported on why Paul wanted to make the trip and how it fit into his larger strategy.

"What's going to be interesting to see from Rand Paul is if these are conversations that he continues," said Henderson. "Part of it is he obviously wants to expand the Republican Party, but he's also got the challenge of whether or not he's going to be a leader in his own party on moving that party, not only in talking about criminal justice reform, but also in talking about race and racism and discrimination."

5. TV time scarce, so GOP allies look for digital ad platforms to target Libertarians

Pro-Republican super PACs are nervous that several Libertarian candidates in key Senate races are shaping up as spoilers, and they are looking to find ways to peel off some of their support.

But they are also encountering a problem: TV ad time is scarce in the final three weeks of the campaign, especially in the big battleground states.

North Carolina is one of the biggest concerns. Most GOP strategists believe that if the election were held today, Democratic Sen. Kay Hagan would win, in part because of support for Libertarian candidate Sean Haugh.

So the Chamber of Commerce and other groups are looking for ways to try to boost Republican Thom Tillis by taking after Haugh. But with TV time so scarce, the effort has forced a search for digital advertising platforms.

And more old-school tactics also are likely to be added to the mix: phone banks and direct mail.

@highlight

Bill Clinton plans two trips back to Arkansas before midterms

@highlight

Obama's strategy is to avoid the "wartime President" label

@highlight

Latinos see LGBT advances as an example worth following