(CNN) -- Forget space.

The most exciting new frontiers of exploration are on our very own planet, says Dr. Robin Hanbury-Tenison, one of the greats of British exploring.

"I'm excited about this planet and what we don't know about it," he says.

"To discover life that has been cut off for 25 million years under the Antarctic ice cap is just mind-blowing and much more exciting than finding life on Mars," he says.

Hanbury-Tenison OBE and an honorary Doctor of Science from Plymouth University, sees three new frontiers of exploration: the tropical rainforest canopy, which researchers are beginning to access by hot air balloon and which is teeming with new species; caves (only 10% of the world's caves have been discovered); and coral reefs, which are revealing more of their secrets thanks to smart technology.

The key to exploring these new frontiers is science.

Explore, don't tour

For Hanbury-Tenison, who has led more than 30 expeditions over the last 60 years, the thrill of reaching a place and taking a few trophy photographs isn't enough.

"What is a turn-on is stepping over the threshold from being a tourist to being an explorer-scientist. Then you are actually contributing to saving the world, to enlightening people to what is wrong and campaigning," says the 77-year-old, who has written more than 20 books on his adventures, most recently "The Modern Explorers."

He's not suggesting it's easy to make the leap from tourist to explorer, but it's possible if you're smart about it.

First, you have to know what you're talking about, which means reading as much as you can about your chosen destination.

"Provided you always treat people with respect, integrate and live as near to the way locals are living and not bring in too much from the outside world, you can do good rather than the sort of damage mass tourism does," he says.

There are plenty of places still to be explored on Earth, ranging from "explorer light" to "hardcore explorer."

If you want to get involved and contribute to scientific exploration, lacking a science degree isn't an obstacle as long as you're prepared to work hard and be humble, he says.

How to become an explorer

Hanbury-Tenison says many of the world's research centers will open their doors if you approach them in the right way.

"If you want to be an explorer, go to one of these research stations, they have amazing ones in Peru, and say, 'I'll sweep the laboratory floor but can I come back when you look for the giant otters and I'll paddle the boat.' Make yourself useful."

Some wannabe explorers yearn for the days when the world was a pristine planet and great Victorian explorers such as Charles Darwin and Alfred Russel Wallace went off on journeys and returned with mountains of exciting new material and stories.

But Hanbury-Tenison says there's much more of the Earth left to explore and species to discover and that the mission is more important now than ever.

"It doesn't matter if people have been there before, it isn't about being the first -- it's about understanding and learning more about it.

"And that's more urgent now than ever. We're cutting down the rainforests and destroying them before we've discovered how exciting and interesting it all is."

Kate Whitehead is a Hong Kong-based journalist who was most recently editor of Cathay Pacific's Discovery magazine.

@highlight

Dr. Robin Hanbury-Tenison sees three new frontiers of exploration: the tropical rainforest canopy, caves and coral reefs

@highlight

Not having a science degree isn't an obstacle as long as you're prepared to work hard and make yourself useful

@highlight

Dr. Hanbury-Tenison has led more than 30 expeditions since the 1950s