Athens, Greece (CNN) -- My first memory of anything to do with a U.S. presidential election lurks in the mists of my Athenian childhood.

It was a warm June evening. My mother had taken me for a walk around the ancient stadium where the first modern-era Olympics were staged in 1896.

Suddenly I saw her eyes fill with tears after hearing a newsboy screaming, at the top of his voice, that someone called Bobby Kennedy was dead.

It was 1968, a year into the dark ages of our military dictatorship. I still recall her explanation of those tears: "He was our last chance," she lamented.

When in the months and years that followed members of my family were arrested by the secret police, when the streets of Athens caught fire following the student uprising of 1973, when, indeed, war broke out over Cyprus in 1974, it was not hard to imagine that our calamities must have had something to do with the fact that three well aimed bullets had kept a good man out of the White House.

Jerusalem postcard: Mitt Romney walks fine line

It was 1976 again when a U.S. presidential campaign snuck into my then-teenage imagination. I recall my schoolmaster's enthusiasm for a certain Mr. Carter -- who would, in his estimation, put human rights on the map, impose an arms embargo on Turkey and, thus, reward the recently re-democratised Greece with the bargaining power it craved so as to reverse Cyprus' occupation, and thus liberate us Greeks from the need to spend an unseemly portion of our national income on defence.

While the embargo was indeed introduced, it was not long before my schoolmaster and every other Greek I knew were deeply disappointed by the president from Georgia.

Looking back, every U.S. election of that past few decades incited expectations amongst my fellow Greeks that were, quite quickly, dashed -- although this was more a reflection of our unrealistic expectations than on anything that occurred in Washington.

Thankfully, this pattern seems to have been broken. Today, no one I know casts a longing eye on the White House. Even though Greece is needier than it has been for a long while, Greeks are not looking to Washington, D.C. for rays of hope.

Havana postcard: Should U.S. raise fist to Cuba?

If anything, Greek public opinion is wary of what might happen after the election is over, fearful that Germany and the European Central Bank may be delaying any attempt to amputate Greece from the eurozone until after the political dust has settled in the United States.

My hunch is that Greeks have the impression that America no longer has either the interest or the capacity to influence our modus vivendi.

They saw the contempt with which the inane European finance ministers treated Tim Geithner, the U.S. Treasury Secretary, in the fall of 2011, when he visited them in Poland to impart advice on how to address the euro crisis.

From this and other sad incidents, Greeks have surmised that the U.S. no longer holds sway over our European destiny; at least not the way it used to.

Delhi postcard: Why India longs for U.S. election

Where once we would intensely study every little sign coming from Washington for clues of what might befall or grace us, now the Greek antennae are trained anxiously toward Frankfurt, Berlin and Paris.

While these lines are being written, my wife and I are preparing for our move to America; in effect, postmodern refugees from our hideous crisis. A job offer as chief economist for a video game company, and a visiting professorship at University of Texas, at Austin, plus an opportunity for my artist wife to work and exhibit in the West Coast, offered us escape pods from the misery of Greece, indeed from Europe's inanity.

As we prepare, our friends, strangers who stop me in the street, waiters in restaurants, everyone asks us about America. And most have something to say about the presidential election.

The Greeks I speak to would rather Mr. Obama won. But they do not fear a Mitt Romney administration. Interestingly, they tend to think of the U.S. as a country which, powerful as it may still be, is just as impotent in the face of the forces of global recession as we are.

More: Get latest updates at CNN's Election HQ

And here lies the difference from the past: Athenians exhibit a new and unexpected form of national unity when discussing the U.S. election!

Whereas in the past we were divided between Left and Right, between pro- and anti-Americans, nowadays America is being seen by almost everyone here as a kindred spirit; a nation that understands what the Greeks, the Irish, the Portuguese etc. are going through in the hands of a German-dominated austerian Europe; a continent that has lost its way.

Greeks even seem to have developed a sophisticated feel about the divisions within the United States, between those struggling in the current recessionary climate and the notorious 1% who have never had it so good. And they can map these divisions onto the divisions that are burgeoning in Europe between the "core" and the '"periphery."

Paradoxically, it may be that the crash of 2008 simultaneously robbed America of much of its global authority and endowed my fellow Greeks with a better feel of the Americans' struggle to keep democracy alive in troubled economic times.

@highlight

Greeks believe U.S. has no sway over Europe's economic crisis, says Varoufakis

@highlight

Many are worried the ECB could plan to kick Greece out of euro after U.S. election

@highlight

Varoufakis: Crash of 2008 robbed America of much of its global authority