One moment Monday morning, a Ukrainian flag still was flying over a military base in Ukraine's Crimea region -- the base's commander reportedly kidnapped by pro-Russian troops the day before.

Later Monday, masked troops were at the base, and the Ukrainian flag was gone.

The bloodless incursion by apparently pro-Russian forces onto the Ukrainian base in the city of Bakhchisaray -- amid disputed accounts over whether the base commander had switched sides -- was one of the latest encounters between pro-Moscow troops who are consolidating their hold on the Black Sea peninsula and Ukrainian forces who still are there.

The incident at the base came a day after German Chancellor Angela Merkel bluntly told Russian President Vladimir Putin by phone the Moscow-backed referendum on whether Crimea should join Russia is illegal and would violate Ukraine's constitution if it goes ahead on March 16.

Legal or not, Crimean referendum will shape Ukraine crisis

Putin has defended breakaway moves by pro-Russian leaders in Crimea, where Russian forces have been tightening their grip on a region that has been the epicenter of a battle for influence among Moscow, Kiev and the West since Ukrainian President Viktor Yanukovych's ouster last month.

Pro-Russian forces last week pushed into the autonomous region in a bloodless siege, prompting criticism from Western nations and Ukraine's interim government.

Moscow has denounced the events that led to Yanukovych's ouster as an illegitimate coup and has refused to recognize the new Ukrainian authorities, putting the two countries on a collision course over control of Crimea, which has longstanding ties to Russia and has thousands of Russian troops stationed there.

Putin has said Russia has the right to protect Russians living in the former Soviet republic.

As tensions mount, Ukraine's armed forces carried out training exercises to test their readiness, the country's Defense Ministry said. Citing televised comments made by Defense Minister Ihor Tenyukh on Sunday, it said the army was not calling for full mobilization, as diplomacy was still the preferred method to resolve the crisis.

The Prime Minister of the autonomous region, Sergey Aksenev, was recently appointed commander-in-chief by the region's parliament, giving him the power to form an army, government spokeswoman Ekaterina Polonchuk told CNN.

Aksenev told the Interfax news agency that the decision to form a military stems from "the presence of illegal armed groups in the territory of Crimea," comments confirmed to CNN by Polonchuk. So far, it appears a small number of men have joined the new army.

Opinion: Five myths about the crisis

Masked troops at Ukrainian base

Monday's appearance of masked troops at the Bakhchisaray base came a day after a pro-Russian group appeared to have kidnapped base commander Vladimir Sadovnik at a checkpoint, according to the Ukrainian military.

When a CNN crew visited the base Monday morning, the Ukrainian military was in charge, but Sadovnik still was missing. The deputy commander said that if "they to try blackmail us into giving up the base, it won't happen."

Three hours later, the crew returned to the base, and the Ukrainian flag was no longer flying there. Masked gunmen were on the property, looking at the crew from the other side of a fence.

The deputy commander told CNN said 15 gunmen came to the base with Sadovnik, and that the gunmen were planning to take vehicles from the base. CNN was not allowed inside.

What Sadovnik did upon his return is disputed. Ukrainian Defense Ministry spokesman Vladislav Seleznyov said Sadovnik had switched allegiance and persuaded some of the Ukrainian troops there to join him.

Sadovnik and the men who joined him loaded trucks with fuel, radios and other goods to take away from the base, according to Seleznyov.

But Sadovnik, talking later to CNN by phone, denied Seleznyov's account. He said his kidnappers allowed him to return to the base, and that he still was loyal to Ukraine.

He said pro-Russian forces did ask Ukrainian troops at the base to change sides Monday, but that he did no such thing. He said he still was at the base; CNN couldn't immediately verify his location.

The control of base wasn't immediately clear Monday.  Seleznyov said both Ukrainian and Russian flags were flying at the base late Monday afternoon.

Putin earlier this month secured permission from his parliament to use military force to protect Russian citizens in Ukraine. The move came days after Yanukovych's flight from the country. Yanukovych was ousted after three months of protests against his decision to spurn a free trade deal with the European Union and turn toward closer ties with Moscow.

Are the Russians listening?

At the United Nations, French Ambassador Gerard Araud told reporters the situation in Crimea "is worsening by the day." Russian troops are being reinforced and Moscow appears ready to annex the region, he said after a Security Council session Monday afternoon.

"(The session) was a call to the Russians: We want to negotiate. We want a political settlement. Please don't worsen this crisis," Araud said. But he added, "The Russians are not showing any signal that they are listening to us -- not only to the Security Council, but to all the heads of state and government."

And British Ambassador Mark Lyall Grant said no "free and fair" vote could be held "while Crimea is under the illegal control of Russian troops and armed militias who are denying access to international monitors."

"In the light of these concerns, if the referendum goes ahead on the 16th of March, its results must be considered illegal and illegitimate by all nations," Grant said.

Opinion: Clock is ticking on Crimea crisis

Propaganda war

Earlier, Ukraine's Defense Ministry said a group of about 20 pro-Russian activists from the so-called Crimea self-defense squads had broken into the military hospital in the region's main administrative city, Simferopol, and thrown out its chief.

In a later statement, it said the hospital chief was back at work after negotiations but added the premises were being blockaded by the activists.

However a CNN team that traveled to the hospital found it very quiet, with no one around. A guard on duty said he had not heard or seen anything unusual and that there was no senior official to speak with as Monday was a public holiday.

In the course of the rapidly changing events of the past week, a propaganda war over Ukraine has quickly developed as each side seeks to strengthen its stance.

Scenes of balaclava-wearing men without insignia patrolling streets or other premises have now become a familiar sight in the region.

Reports of confrontations weren't limited to Crimea. In the eastern mainland Ukrainian city of Lugansk, just a few kilometers west of the Russian border, 50 to 60 pro-Russian activists burst into an IRTA TV station building on Monday, editor-in-chief Katerina Rakova said.

The intruders initially threatened to burn the building if they weren't allowed to broadcast. But they eventually left, warning that they would return if they are dissatisfied with the station's news broadcasts about pro-Russian demonstrations in Lugansk, Rakova said.

Russia, meanwhile, accused far-right groups Monday of "conniving" with the new authorities in Ukraine.

In a statement, the Russian Foreign Ministry condemned "lawlessness" in eastern Ukraine and accused the West of being silent over violence and detentions taking place against Russian citizens, such as one incident last week when it said masked gunmen fired on and injured peaceful protesters.

On Monday afternoon, U.N. Secretary-General Ban Ki-moon said he was "increasingly alarmed" by developments in Ukraine.

"Recent events in Crimea in particular have only served to deepen the crisis.  As tensions and mistrust are growing, I urge all sides to refrain from hasty actions and provocative rhetoric," he said.

@highlight

French U.N. ambassador says Russia isn't listening to anyone

@highlight

Ukrainian military base commander in Crimea denies switching allegiance

@highlight

Russia says far-right groups "conniving" with new authorities in Kiev

@highlight

Pro-Russian Prime Minister of Crimea is assembling a small army