Washington (CNN) -- A federal appeals panel on Wednesday temporarily blocked a lower court ruling that halted enforcement of the "don't ask, don't tell" policy banning openly gay and lesbian soldiers from the military.

The ruling by a three-judge panel of the 9th Circuit Court of Appeals gave the government the delay it sought in challenging a federal judge's order last week to stop enforcing the policy around the world.

"The order is stayed temporarily in order to provide this court with an opportunity to consider fully the issues presented," said the appellate panel's ruling, which gave parties in the case until October 25 to file further documents.

CNN iReport: Please share your thoughts on don't ask, don't tell

Aubrey Sarvis, an Army veteran and executive director of the Servicemembers Legal Defense Network, said the appeals court panel's ruling "means that 'don't ask, don't tell' is once again on the books, and is likely to be enforced by the Defense Department."

"Gay and lesbian service members deserve better treatment than they are getting with this ruling," Sarvis said. The American Civil Liberties Union and the Human Rights Campaign also expressed disappointment and called for an end to "don't ask, don't tell."

Earlier Wednesday, the Obama administration filed an emergency request with the 9th Circuit Court of Appeals to stop the military from allowing openly gay troops from serving, putting itself in a strange position.

In effect, the administration wants to continue barring gays from the military even though it ultimately favors repealing "don't ask, don't tell."

"They are in a very bizarre position, frankly, of their own making," CNN senior legal analyst Jeffrey Toobin said.

On Wednesday, the White House referred all questions about the issue to the Department of Justice.

The administration filed a motion Tuesday asking U.S. District Court Judge Virginia Phillips to stay her order last month that banned the enforcement of the "don't ask, don't tell" policy. When Phillips denied the request, government lawyers took their case to the 9th Circuit on Wednesday.

In court documents filed in San Francisco, California, the administration argued that "don't ask, don't tell" should remain intact for now.

The administration argued that changing it abruptly "risks causing significant immediate harm to the military and its efforts to be prepared to implement an orderly repeal of the statute."

Toobinsaid the administration would like Congress to deal with the issue on a political level and doesn't want the courts to take it on unilaterally.

A measure that would repeal the policy after a military review and approval from the president, defense secretary and Joint Chiefs chairman has passed the House and awaits action in the Senate.

By battling the legal challenge to the existing law -- a traditional practice of the U.S. government -- the administration is trying to buy time to implement the repeal process worked out with military leaders and contained in the legislation before Congress.

If the 9th Circuit eventually overturns Phillips' ruling and Congress does not take any action, "don't ask, don't tell" could be back.

"And the Obama administration would be responsible for that," Toobin said.

Meanwhile, spokeswoman Cynthia Smith said Wednesday that the Defense Department "will continue to obey the law, and we will abide by the terms of the court's injunction unless and until the injunction is stayed or vacated."

The Log Cabin Republicans, plaintiffs in the case that Phillips ruled on, said Wednesday that the group remained fully committed to defending this worldwide injunction because it is what is best for all service members.

"While we are disappointed with the court's ruling granting a temporary administrative stay, we view the decision as nothing more than a minor setback," said Dan Woods, a partner in the law firm White & Case who is representing the group it the case.

"We didn't come this far to quit now," he said in a statement, adding that the group expected the appeals court to uphold the lower court injunction against "don't ask, don't tell."

The Pentagon has already begun advising recruiting commands that they can accept openly gay and lesbian recruit candidates, according to Smith.

The guidance from the personnel and readiness office was sent to recruiting commands Friday, Smith said.

The recruiters were told that if a candidate admits that he or she is openly gay and qualifies under normal recruiting guidelines, the application can be processed. Recruiters are not allowed to ask candidates if they are gay as part of the application process.

Christian Berle, executive director of the Log Cabin Republicans, said there have not been any incidents of consequence the administration feared would occur.

"The armed forces continues to move along and succeed because it is the greatest military in the world," Berle said.

Dan Choi, an infantry officer who was discharged under the "don't ask, don't tell" policy, turned in paperwork Wednesday to re-enlist in the Army. He said the Obama administration ought not to lift a finger to defend discrimination.

"They should walk their talk," Choi said after re-enlisting.

The Obama administration has said it needs more time to work with the Pentagon to repeal the policy, blasted by critics as blatantly discriminatory.

"This president has made a commitment, and it's not a question of whether that program, whether that policy will change, but when," Obama adviser David Axelrodsaid. "We're at the end of a process with the Pentagon to make that transition, and we're going to see it through."

The arrangement worked out with the Pentagon includes a military review of how to make the transition work, which is to be completed in December. After that, Obama, the defense secretary and the Joint Chiefs chairman would have to certify that the plan won't harm the combat readiness of U.S. troops.

Obama and White House Press Secretary Robert Gates have repeatedly stressed the need for an orderly transition from the "don't ask, don't tell" policy in order to deal with myriad issues including barracks arrangements and benefits.

Speaking to a mostly young audience at the MTV, BET, CMT town hall meeting last week, Obama reaffirmed that the "policy will end and it will end on my watch."

"I agree with the basic principle that anybody who wants to serve in our armed forces and make sacrifices on our behalf, on behalf of our national security, anybody should be able to serve," he said.

At the same time, Obama said, "it has to be done in a way that is orderly," and he insisted that congressional action is needed because Congress passed a law that prohibits the president from unilaterally changing the policy.

CNN's Adam Levine, Dan Lothian and Tom Cohen contributed to this report.

@highlight

NEW: ACLU, service members group express disappointment

@highlight

Appellate panel says it needs more time to make a final decision

@highlight

Defense Department says it will obey the law as set by courts

@highlight

The administration favors repealing the policy, but not abruptly