(CNN) -- We've all been there before. Your head hits the pillow after a long day's work, your consciousness pleasantly fading away as the sweet promise of sleep draws closer ... Then it hits you -- an idea for a game-changing invention that will make you a millionaire overnight.

Come the following morning however, and the prospect of turning that once-in-a-lifetime idea into a reality seems so implausible that you swiftly forget about the whole thing and carry on with your day.

But it needn't be like this. With a bit of careful planning and a dollop of determination, your somnolent stroke of genius could be on the shelves before you know it. CNN spoke to some industry experts to get you on your way.

So, should I patent my idea immediately?

It depends who you ask. Jay Short, a client adviser from Innovate Design -- a firm that helps inventors get their products into the marketplace -- reckons it's the first thing you should do as soon as you've emerged from your shed.

"Get a skilled intellectual property (IP) professional involved as early as possible," he suggests. "You need to have formalized protection in place before coming close to the market, because there's always a risk that a more nimble operator could rush out a copy of your idea and gain a first-mover advantage."

However, serial inventor Mike Bucci, author of "An Entrepreneur's Guide to Turning your Idea into your Future," argues against over-zealous patenting.

"Most inventors are very afraid that someone will steal their idea, but for the most part companies who knock-off products don't steal ideas, they steal successful merchandise. They let the market work out which inventions are successful and generally don't take the risk with things that haven't been tested."

However, Bucci warns that not rushing into a patent office too early shouldn't be mistaken for having a lax attitude to patents protection in general.

"Get a provisional patent application in fairly early and once you've established the commercial viability of your product, then it's time to seriously secure your IP," he says.

But how do I know if my product is commercially viable?

Well, this is -- quite literally if you're lucky -- the $1 million question. Short recommends testing the water for demand by starting off with a "small production run and selling through an online port such as your own website or on eBay."

Alan Ward, commercial director at Bang Creations -- a firm that provides product design and innovation expertise -- agrees. He observes that starting small allows you to develop a track record and prove demand to potential investors or large retailers without taking on too much risk.

"A little customer-base and solid feedback is a real sweetener when you're pitching your product," he says.

In addition, Ward offers a quick, rudimentary formula for establishing a snapshot of your potential market.

"Study your competitors -- how many units are they shifting and to whom? Go online, look at user reviews for similar products -- get a flavor for the levels of enthusiasm around it," he suggests. "Now, let's say you've identified roughly a million people in the country who are in your market, you should be able to identify a market specific, typical or good penetration level as a per cent. For board games for example, a top game could realistically expect to reach 1.5-2% of the target market."

Ward cautions that such market research is more of an art than a science, but is nonetheless crucial to establishing a rough idea of commercial viability.

So, when do I ship my production to China?

Not so fast! Short points out that although labor in China is generally much cheaper than in the West, those savings could well be offset by hefty transportation fees, especially as the cost of fuel continues to rise.

Much also depends on the type of product you're making.

"If it's simple, has a low unit value and requires bulk -- like a new type of door nail -- then it might make sense to export production," he says.

However, other types of goods -- particularly those with a more bespoke, high-end feel -- can benefit from local manufacturing.

"Apart from the fact that you're saving on transportation costs, it's just much simpler. You're in a better position to manage and respond quickly to problems when they inevitably arise," says Short.

Ward also notes that some types of product are increasingly enjoying a "marketing edge" among conscientious consumers if they are known to be locally manufactured.

It all sounds like a lot of hard work. Couldn't I get someone else to do it?

Sure, you can license your invention to an established manufacturer or brand, but be prepared for a much smaller bite of the pie.

"A reasonable cut is in the region of 5%," says Ward. "So if your product is on the shelves for $20 and selling to the retailer for $8 you're taking home 40 cents per product sold."

As such, Ward adds, to make a sizeable income you've either got to be selling in big volumes or at a high price point.

This is starting to get complicated. Who can I turn to for advice?

Bucci is a member of the United Inventors Association of America (UIA), which is itself composed of a multitude of state-level factions, each dedicated to providing support and advice to inventors.

"A lot of first-time inventors have the blinkers on when it comes to things like understanding price -- how much someone will be prepared to pay for their product, and therefore how much they need to manufacture in order to make a profit," says Bucci.

"Organizations like the UIA offer expertise based on years of experience and collective knowledge to help inventors get to grips with these issues in a very supportive way."

Ward, somewhat naturally, says that there are also a number of commercial organizations like his own who offer professional assistance in bringing products to market, but he is commendably frank about the risks associated with such services.

"It can be difficult to get an objective opinion from some commercial businesses because they inevitably have an angle," he admits. "They can be very helpful if they genuinely put your needs first, but it is important to identify those that have a vested interest in pushing you to develop a product -- even if it is not likely to generate money."

Ward recommends that budding inventors solicit referrals from trusted sources, check who else the company has worked with and if they have links with other reputable non-commercial organizations, particularly government-sponsored bodies.

Last but not least, the one thing all three men agree on is to do your research before spending a penny on anything.

"The best way to be successful as an inventor is always to educate yourself before taking action," concludes Bucci. "I can't promise you'll get rich, but you'll certainly stand a much better chance of not going broke."

@highlight

Many of us have had at least one good idea for an invention, but rarely follow it through

@highlight

Getting a product to market poses many challenges, but none that can't be overcome with research and planning

@highlight

CNN asks industry experts for their advice on how to turn a good idea into a good product