Irbil, Iraq (CNN) -- A day after Britain's military launched its first airstrikes against ISIS in Iraq, the question is: Who will be next to join the U.S.-led coalition in its air campaign against the extremists who have seized a swath of Iraq and Syria?

As Turkish soldiers and tanks took up position along the border with Syria on Tuesday, Turkey's government put a motion before its Parliament asking for authorization to take military action against ISIS -- the terror group that refers to itself as the Islamic State.

Lawmakers are expected to debate the measure in a special session Thursday before voting, according to Anadolu, Turkey's semiofficial news agency.

Australian aircraft started flying over Iraq in support of allied operations Wednesday, Prime Minister Tony Abbott told Parliament in Canberra.

But the government is awaiting an invitation from Iraq before a final decision is made on whether to commit Australian forces to airstrikes, he said.

The Australian mission consists of inflight refueling and electronic surveillance in support of the United States and others.

The retired U.S. Marine general tapped to coordinate the U.S.-led coalition against ISIS said there is an opportunity for broad cooperation in the fight, even as the countries involved struggle to define their roles.

"It's actually an important moment where so many countries from so many different backgrounds share that view (that ISIS poses a threat to the region), that this is an opportunity to create partnership across those lines of effort that would achieve real effect," John R. Allen told CNN.

Poll: Americans back airstrikes, oppose use of U.S. troops

Airstrikes rain down

The United States could use the help. The airstrikes have already cost it close to $1 billion, according to the Center for Strategic and Budgetary Assessments, a military think tank.

That number will only rise as costly munitions are used -- and could soar further if more U.S. forces are committed to the operation.

The U.S. military said Tuesday that it was the busiest day for airstrikes against ISIS since the military campaign began, with 28 total, including the two UK strikes.

More strikes were carried out Wednesday by the United States and a partner nation, the U.S. military said, including around the predominantly Kurdish town of Kobani in Syria, known in Arabic as Ayn al Arab. Other strikes hit ISIS targets in Iraq northwest of Mosul, near the Haditha Dam and northwest of Baghdad.

Tuesday, British planes helped Kurdish troops who were fighting ISIS in northwestern Iraq, dropping a bomb on an ISIS heavy weapon position and shooting a missile at an armed pickup truck, the UK's Defense Ministry said.

An initial assessment indicates both strikes were successful, according to the ministry.

Britain joins the United States and France as countries that have hit ISIS in Iraq with airstrikes, while Belgium and Denmark have also said they also will provide planes. Of those nations, only the United States -- in partnership with some Arab countries -- have struck ISIS positions in neighboring Syria.

When the first coalition airstrikes came in Iraq and Syria, Turkey's absence was noted.

Turkey has said it is offering support to the U.S.-led coalition targeting ISIS, but it has stopped short of joining the 40-some countries that make up the group.

Syrian town fears massacre; Obama admits underestimating ISIS

Blast hits school

In Syria, where a 3Â½-year-old civil war rages on between government forces and rebel groups including ISIS, twin blasts struck Wednesday near a school in the nation's third-largest city, Homs.

The death toll has climbed to 39, with at least 30 children between the ages of 6 and 9 killed, according to U.N. Secretary-General Ban Ki-moon. The toll was confirmed by the London-based monitoring group the Syrian Observatory for Human Rights, which collects information about civilian casualties in the country.

An explosives-packed car was detonated minutes before a suicide bomber blew himself up in front of the school Wednesday, Syria's state-run SANA news agency said. The blasts were timed to coincide with students leaving school, to inflict maximum casualties, it said.

The neighborhood that was attacked is predominantly Alawite, a religious minority that is a Shiite offshoot to which Syrian President Bashar al-Assad belongs. There was no immediate claim of responsibility.

It was the first such attack in months in Homs, once at the heart of the anti-Assad revolution but now firmly back under government control.

Images that aired on state-run Syrian TV showed gruesome images of the aftermath of the blasts, including body parts scattered across a neighborhood in chaos.

Ban described the attack on children as "an act of utmost depravity," according to a statement released by his office.

Refugees flood into Turkey

Turkey's debate over whether to step into the fray comes as the flood of refugees from Syria has escalated, with 150,000 people fleeing to Turkey in recent days. Meanwhile, ISIS fighters armed with tanks and heavy weapons advance on Kobani in northern Syria, destroying villages in their path.

Two Kurdish fighters told CNN that three airstrikes were carried out around Kobani early Wednesday, two to the east and one to the west of the town.

If ISIS takes Kobani, it will control a complete swath of land from its self-declared capital of Raqqa to the Turkish border, more than 100 kilometers (60 miles) away. It has been fighting for months, capturing portions of northern and eastern Syria and western and northern Iraq for what it says is its new Islamic state, or caliphate.

Pro-ISIS sympathies simmer in Jordanian city

And Sheikh Hassan, of the Syrian Kurdish National Defense committee, who is in Kobani, said fighting continues to the east, west and south of the town, with neither side having taken more ground.

Kurdish fighters and ISIS militants are also exchanging fire near the Syrian village of Siftak to the west of Kobani, south of the Turkish village of Karaca, Kurdish fighter Alan Minbic said.

Opinion: To beat ISIS, focus on young people

Meanwhile, police officials in Kirkuk, northern Iraq, told CNN that a motorcycle rigged with explosives detonated in a village in northern Kirkuk on Wednesday. At least two people were killed and 11 injured.

Two roadside bombs exploded in a commercial area in Mahmoudiya, about 19 miles (31 kilometers) south of Baghdad, police officials in the capital said. At least three people died and 18 others were injured.

CNN's Ben Wedeman reported from Irbil, Laura Smith-Spark reported and wrote in London. Chelsea J. Carter reported and wrote from Atlanta. CNN's Gul Tuysuz, Elise Labott, Hamdi Alkhshali, Mohammed Tawfeeq, Ingrid Formanek, Adam Levine and Barbara Starr contributed to this report.

@highlight

Bomb blasts kill 39 people, including 30 schoolchildren, U.N. chief says

@highlight

U.N. chief condemns attack as an "act of utmost depravity''

@highlight

Coalition is at an important moment, John R. Allen, retired general, says

@highlight

Turkey deploys troops along its border with Syria as lawmakers consider intervention