WASHINGTON (CNN) -- President Obama's newly revamped Office of Faith Based Initiatives is reigniting a contentious debate across the ideological spectrum over whether religious organizations that accept funds from the government should be allowed to discriminate when hiring.

On the campaign trail, President Obama's views on federal money and discrimination seemed clear.

In one corner is a string of religion-backed organizations that have accepted federal funds from the 8-year-old program to advance their secular charity work. President Bush issued an executive order in 2002 that allowed these groups to continue their practice of discrimination with respect to hiring. Specifically, many of the organizations carry policies against hiring outside their religion or hiring homosexuals whose lifestyles conflict with church doctrines.

In the other corner are separation-of-church-and-state advocates and human-rights organizations that say the government must constitutionally compel these organizations to follow nondiscrimination laws if they accept federal funding. Anything less, they say, would at best be a violation of church-state separation and at worst an implicit endorsement of discrimination.

"[President Obama] is under heavy pressure from those who support faith-based hiring in these enterprises to not just eliminate it," said Ira C. Lupu, a professor at The George Washington University Law School. "Others say that hiring on the basis of religion is discriminatory and that the government should never subsidize that. As a political matter, there is a lot of pressure from both sides."

Obama himself waded into the debate during the presidential campaign, delivering a widely viewed speech in Zanesville, Ohio, during which he endorsed faith-based programs, but said the beneficiaries of such government aid should be forced to cease discriminatory practices.

"If you get a federal grant, you can't use that grant money to proselytize to the people you help and you can't discriminate against them -- or against the people you hire -- on the basis of their religion," Obama said in the July 1 speech at the East Side Community Ministry.

But since Election Day, the president and his aides have been far less clear on whether the new faith-based initiatives office will significantly depart from the Bush administration's policy.

In an executive order to be announced on Thursday, Obama does not rescind Bush's provision to allow faith-based groups to discriminate in their hiring practices, but does provide a legal process for organizations to go through in order to that ensure hiring is legal and non-discriminatory.

Administration sources say the new legal safeguard is a "key step forward" in addressing the thorny issue of faith-based hiring.

But Dr. Joel Hunter, a senior pastor at Northland Church in Longwood, Florida, who will be part of a 25-member council of religious leaders in the faith-based office, said the issue is a particularly tricky one for religious leaders.

"We're going to have to work that out, because on the one hand, you don't want to use federal funds to discriminate. But on the other hand, we can't have religious organizations taking money on the condition that they will hire people who live a lifestyle contrary to what they teach," he said.

If the Obama administration moves slowly on resolving the issue, the new president risks alienating a large bloc of his supporters, many of whom are already wary of faith-based funding from the federal government.

"In an ideal world, there would be no faith-based office," said the Rev. Barry W. Lynn, executive director of Americans United for Separation of Church and State. "But if we must have this office, certain steps must be taken to bring it into line with the commands of the Constitution."

For the faith-based groups, the issue is not so clear-cut. Under the Civil Rights act of 1964, faith-based organizations have a right to discriminate in hiring with respect to religion. Many of these organizations argue they risk losing their fundamental identity if the government forces them to hire individuals outside their faith.

"To us, it's not a matter of discrimination, it's a matter of our faith ethos," said Samuel Rodriguez, the president of the National Hispanic Christian Leadership Conference. "What they are telling us is to negate who we are in order to acquire federal grants. ... That's just unacceptable."

Rodriguez, whose organization represents more than 19,000 churches, said he and other religious leaders have directly communicated their concerns to the Obama administration and are confident the president will not seek to rescind the policy.

"President Obama understands he's at risk of alienating the vast majority of the evangelical community," Rodriguez said.

But opponents argue organizations use the right to hire within their religion as an excuse to implicitly discriminate against gays and lesbians -- many of whom may share the same faith as the organization but are deemed not good practitioners of it.

"The Bush administration's policies and initiatives that have allowed religious institutions to discriminate against [lesbian, gay, bisexual and transsexual] Americans with public money are not consistent with the values espoused by President Obama and his Administration," Joe Solmonese, president of the Human Rights Campaign said. "We are hopeful that the new administration will take the necessary steps to address this critical issue of fairness expeditiously."

At Pastor Rick Warren's presidential forum in August, then-presidential candidate Obama said a distinction should be made between how federally funded groups hire within their own mission and how they hire when it comes to secular charitable work.

"The devil's in the details," he said then. "What we do want to make sure of is that as a general principle we're not using federal funding to discriminate, but that is only when it comes to the narrow program that is being funded by the federal government. That does not affect any of the other ministries that are being taken, that are taking place."

@highlight

Bush faith office allowed religious groups to discriminate in hiring

@highlight

During campaign, Obama said federal money shouldn't go to discriminatory groups

@highlight

Obama faith office's position on the issue is unclear so far

@highlight

Religious, secular groups take stands on both sides