Washington (CNN) -- Two state supreme court justices from neighboring states find themselves in disagreement these days -- not over a legal issue, but over how they should have gotten their jobs.

The two justices, Ohio Chief Justice Thomas Moyer and Pennsylvania Justice Seamus McCaffery, were both elected in statewide votes.

Moyer said having to raise funds can erode public confidence in the courts.

"Going out asking for money creates a real strain in my judicial work, and I can't promise or predict to voters how I would decide a particular issue," Moyer said. "It conflicts with the idea that judges are and should be impartial and not be influenced by anything, especially money."

But as Pennsylvania's newest elected high court member, McCaffery said it was a treat visiting all of his state's 67 counties on his Harley-Davidson motorcycle.

"That's the beauty of having electoral process where we need to be responsive to the community," said the Philadelphia former cop-turned-judge. "And I think it's important that judges should be out there. It's just as important as other elected officials."

The experiences of both men are now at the forefront of a growing national debate over selecting judges. Twenty-one states have some sort of contested system for top judges. The other 29 states, along with the District of Columbia and the federal government, appoint their judges, often under a merit-based selection system in which the governor gets the final say.

Some, including retired U.S. Supreme Court Justice Sandra Day O'Connor, are pushing for reform, saying election-based systems could raise doubts about a judge's impartiality.

"Studies show that roughly 70 percent of the public believe judges are influenced by campaign contributions, and more than one quarter of judges agree," O'Connor said in an exclusive interview with CNN. "This is alarming because the legitimacy of the judiciary rests entirely on its promise to be fair and impartial. A judge's sole constituency should be the law. If the public loses faith in that impartiality, then there is no reason to prefer the judge's interpretation of the law to the opinions of the real politicians representing the electorate."

O'Connor is lending her reputation, her energy and her name to a new project, the O'Connor Judicial Selection Initiative. The initiative assists state-level efforts to name judges by merit-based selection systems, not elections.

"This initiative is a matter of great importance to our country," O'Connor said. "The amount of money poured into judicial campaigns has skyrocketed, intensifying the need to re-examine how we choose judges in America. I believe it is our moral duty and obligation to restore the public's confidence in our judicial system."

The O'Connor Judicial Selection Initiative was created by the Denver, Colorado-based Institute for the Advancement of the American Legal System. The group's founder and director, Rebecca Kourlis, said O'Connor has long been a passionate defender of judicial independence.

"Justice O'Connor adds practical experience with a system [in her home state of Arizona] that works, and she adds a perception of balance and moderation [in] that she has never been associated in the minds of the public with extremes on either side of the political ledger," said Kourlis, a retired justice from Colorado's Supreme Court.

Kourlis said she senses increased momentum for change on the national level, partly because of a U.S. Supreme Court ruling in June that arose from a judicial scandal in West Virginia.

In the so-called Caperton Caper, the U.S. Supreme Court found that West Virginia Supreme Court of Appeals Justice Brent Benjamin acted improperly when he refused to remove himself from a 2006 civil appeal. The court ruled that there was a perceived conflict of interest in the 2006 case because Benjamin had previously received financial support from the CEO of the key defendant.

"What the [U.S. Supreme Court] made clear in 'Caperton' was that judges are different, that campaign donations need to be thought of in a different way when those donations are going to fund a judicial campaign," Kourlis said. "It put on the front burner those questions of propriety with respect to campaign donations to judges and how that impacts people's perception of impartiality on the bench."

Nevada has scheduled a ballot initiative that could make it the first state in 15 years to switch from a voter-based selection of judges to a merit-based selection.

Ohio, too, has begun rethinking its voter-based system. Moyer, who has been through four elections on the state high court, said he notices voters growing more skeptical of judges. That perception, he said, is fueled in part by negative ads from political and business interests with a stake in elections.

"The only way to eliminate the public distrust is to eliminate money from the process," Moyer said.

Moyer is heading an effort that would give the governor and an independent review panel the power to select state judges. Voters could then decide a few years later whether to retain those justices.

Many states that choose judges by merit also have accountability systems that include independent performance evaluations and retention votes. Supporters call that a transparent, unbiased tool for the public to essentially "judge the judge" on their record.

McCaffery knows his personality and personal story helped get him elected. An Irish immigrant, he used his law enforcement background to get a spot as a Philadelphia trial judge, famously dealing with unruly football fans at the small "Eagles Court" underneath Veterans Stadium. The bald, burly judge with an easy grin was elected in 2007 and says he enjoys his work.

"I'm electable, not appointable," he said during the run for his seat. "If I'm elevated, I am responsible to the citizens -- not the governor, not the folks who talk about merit selection."

McCaffery calls the merit-based system "elitist."

The 19 states that held state supreme court elections in 2007 spent a combined $34.4 million, shattering previous campaign spending records. In 2008, nearly $20 million was spent on TV advertising for the 15 states that held contested elections for 26 supreme court seats.

The political and financial stakes have become enormous, from ideological groups sparring over abortion rights and gay marriage to business groups dueling with trial lawyers over multibillion-dollar punitive damage awards.

Reform advocates say judicial independence comes only with public confidence in the system.

"People don't like the notion of cash in the courtroom -- any whiff of any expectation that judges can be bought is just not acceptable in our country," Kourlis said. "People understand how important it is to have an impartial judge. From your own personal perspective, walking into a courthouse, you don't want to be asking whether that adverse party donated to that judge's campaign."

@highlight

Former Supreme Court justice wants to reform the way judges are chosen

@highlight

Twenty-one states have some sort of contested system for selecting judges

@highlight

Reform advocates say campaign contributions can bring judges' impartiality into question

@highlight

Elected judge in Pennsylvania says it's "elitist" to appoint judges