Jakarta, Indonesia (CNN) -- A court handed down a 20-year sentence Thursday for an Indonesian man convicted of helping assemble the bombs that killed more than 200 people in Bali in 2002.

The Jakarta court found Umar Patek, 45, guilty of taking part in premeditated murder and conspiracy to smuggle explosives and firearms for use in terror attacks.

Patek had faced a maximum penalty of death, and the courtroom was packed for the verdict delivered by a panel of five judges.

He stared at the floor and showed no emotion as the verdict was read. He shook the judges' hands and hugged his lawyer before he was escorted to a car waiting in the basement of the courthouse for transportation to a jail on the outskirts of the city.

Patek, who has expressed remorse for his actions, will consider appealing to a higher court, said his lawyer Asludin Hatjani.

Hatjani said he was "very disappointed" by the verdict.

"Umar Patek did what he was accused for because he was under pressure from his seniors, and he failed to convince them to prevent the attacks, although he already tried hard to do so," Hatjani said.

Patek was one of Indonesia's most wanted terrorists, with a $1 million bounty on his head from the U.S. government's Rewards for Justice program.

Three of the masterminds of the Bali bombings -- Imam Samudra, Amrozi bin Nurhasyim and Ali Ghufron -- were executed in 2008. Patek was the last of the accused to stand trial in Indonesia.

The October 12, 2002, blasts tore apart two nightclubs in Kuta, a town popular with tourists on the Indonesian island of Bali. At the time, the country's police chief called the attack "the worst act of terrorism in the country's history."

Among the dead were 88 Australians and seven Americans.

Patek eluded investigators looking into the 2002 attacks for many years until his capture in January 2011 in Abbottabad, Pakistan, the same village where U.S. Navy SEALs shot and killed al Qaeda leader Osama bin Laden several months later.

Patek was extradited to Indonesia in August.

He faced six charges, including premeditated murder, for his part in the Bali bombings, as well as helping build bombs used in a series of attacks on Christmas Eve in 2000.

He also was accused of smuggling firearms from the Philippines to Indonesia and planning a militant camp in Aceh in 2010.

Patek denied all the charges but admitted helping mix a relatively small amount of the total quantity of explosives used in the Bali attack.

The first bomb detonated in the busy Paddy's Bar on Jelan Legian just after 11 p.m., according to a report from the Australian Federal Police.

Seconds later, as survivors fled the first blast, a second larger bomb hidden in a van exploded outside the crowded Sari Club. A third bomb went off later near the U.S. Consulate in Renon, a suburb of Denpasar, the Australian police said.

Hundreds were reported missing in the confusion that followed the blasts. Many of those killed were foreign vacationers, although some residents were also caught in the attack.

According to testimony given May 31 during his trial, Patek said that when he arrived in Bali, 950 kilograms of explosives had been combined, and he reluctantly agreed to mix the remainder.

"When I saw Sawada, aka Sarjiyo, looking exhausted and nervous, finally I agreed to helped him and both of us mixed the explosive ingredients that were less then 50 kg. I did it lazily because it didn't come from my soul and it was contrary to my conscience," he said, according to an English translation of his testimony.

Sarjiyo was sentenced to life in prison in 2004 for his role in the attacks.

During his trial, Patek asked for forgiveness for the bombings, which he said he "even suggested canceling."

After the attacks, he said, he felt "remorse and regret."

"I said that it was my last involvement on that kind of action in Indonesia. Please know that whether I came to Bali or not, the Bali bomb would still have happen(ed)," he said.

Patek's lawyer argued that his client was not directly involved in the planning of the bombings. He doesn't deny helping assemble the bombs but was unaware how they would ultimately be used, his lawyer, Hatjani, said during Patek's trial, which started in February.

Hatjani slammed the prosecution's case as "vague and far from the truth" and argued that an anti-terrorism law introduced in Indonesia in 2003 could not be used retroactively for the 2002 attacks. Prosecutors have used several articles under the penal code, the emergency rule law and the 2003 anti-terrorism law to charge Patek.

Patek is one of the last figures associated with a splinter group of Jemaah Islamiyah, an al Qaeda-linked terror group behind the Bali bombings and other attacks in Indonesia.

Many in that group, like Patek, trained and fought in Pakistan and Afghanistan in the early 1990s and were deeply influenced by bin Laden's teachings.

Patek fled to Mindanao in the southern Philippines with several other Indonesian militants. One of them was Dulmatin, another former Jemaah Islamiyah member, who returned to Indonesia and helped set up a military-style training camp in province of Aceh.

He was killed in a police raid just outside Jakarta in October 2010.

Patek returned to Indonesia from the Philippines in 2009. Prosecutors allege that he was involved in preparing firearms for the Aceh training camp, a charge the defense disputes.

"Patek was only in transit in Indonesia and was not involved in training of firearms," Hatjani said. "He was there to attend a wedding and he didn't even see the firearms."

Indonesian authorities have tried and convicted hundreds of terrorists since the 2002 Bali bombings. The arrests of senior militants with combat experience have weakened the terror network and its ability to launch major attacks.

Radical Indonesian cleric sentenced to 15 years in prison

According to recent reports by the International Crisis Group, the terror threat in the country remains but has shifted to attacks on Indonesian authorities, with smaller groups or radicalized individuals targeting the police.

Journalist Rudy Madanir reported from Jakarta. CNN's Hilary Whiteman reported from Hong Kong. CNN's Kathy Quiano contributed to this report.

@highlight

NEW: Umar Patek showed no emotion as his sentence was handed down

@highlight

Patek was found guilty of taking part in premeditated murder

@highlight

He has admitted helping mix explosives but denies involvement in the planning

@highlight

After 10 years on the run, he was arrested in January 2011 in Pakistan