(CNN) -- During the summer, southeastern Utah's high desert is like a furnace where the wind whips hot air over a seemingly endless expanse of arid terrain. Particles of sand erode and are re-deposited in new areas, collapsing old formations and slowly building sedimentary rock that will hold up new ones.

The flora and fauna that live amidst those gusts are some of Mother Nature's toughest and most resourceful creations, enduring months without a drop of rain and withstanding desert heat and sub-freezing temperatures.

Arches National Park is home to this wildlife as well as the world's highest concentration of natural sandstone arches. From the largest, Landscape Arch, to the tallest, Double Arch South, the park's 119 square miles are one of the most unique places on earth.

Park stats: The visitor count at Arches has steadily increased since 2004. The park drew more than one million guests last year and has averaged that many since 2008.

The location: Arches National Park is located in southeast Utah, about five miles north of Moab. There are airports in Moab, Salt Lake City, about four hours away and Grand Junction, Colorado, about two hours away.

If you go: Park admission is $10 per vehicle. Individual admission is $5. Admission is valid for seven days.

Park passports are $25 and provide entry to Arches, Canyonlands National Park, Hovenweep National Monument and Natural Bridges National Monument. They are valid for one year.

The visitor center is open every day except Christmas, but be sure to check the website as hours change according to the season.

Meet our ranger: Kait Thomas, an interpretive ranger at Arches National Park, grew up in Monrovia, Indiana. When she was 11, her dad started taking her on annual vacations to national parks in the western United States. The experience had a profound effect on her, she says.

"I knew I wanted to move west," says Thomas, 25. "I wanted to be a part of the beauty that you find in national parks."

But Thomas, 25, became a pre-law student when she moved to Salt Lake City for college. On the way back to school after a 2008 summer internship working for a political campaign, she had her "Aha!" moment, realizing she completed the dream to move west, but not the one to work for the national park service.

"I just waltzed in to Arches National Park visitor center and asked if they needed help," she says.

At first, the answer was "No, thanks." But Thomas says a combination of her stubbornness and a supervisor's willingness to listen during a 45-minute impromptu meeting led to her volunteering for six weeks in 2008. In 2009, the supervisor invited her to become a seasonal ranger. In 2010 Thomas became a full-time ranger.

"It really is the first part of the country that I fell in love with," she says. "There is something about the desert and how hostile, dramatic and colorful it is. You have this contrast of something that is incredibly harsh yet unbelievably delicate."

For a day trip don't miss: The Windows trail hike. Thomas says the area has the highest concentration of arches in the park, including five that range from 60 to 100 feet high.

"It's a nice summary of the park," she says. "It's the most bang for the buck, if you will."

Favorite less-traveled spot: Hiking to Tower Arch from Klondike Bluff. Thomas says reaching Klondike Bluff requires driving on a dirt road that will not support RVs or buses. It's about 3.5 miles from Klondike Bluff to tower Arch, she says.

"It's a great place to escape all the hustle and bustle you find everywhere else in the park," she says.

Favorite spot to view wildlife: Courthouse Wash. Thomas says hot summer temperatures make seeing wildlife difficult. But you can see mule deer, coyotes and bobcats at Courthouse Wash as well as big horn sheep near the visitor center from October through December.

Most magical moment in the park: Having lunch in the shade of Wall Arch the day before it collapsed in August of 2008.

Thomas said she was patrolling Devil's Garden Trail when the temperature hit 105, and she stopped at Wall Arch to rest and eat. The next day a group of tourists came into the visitor center and wanted to know why the trail was blocked. Thomas and other rangers went to investigate and discovered the arch had collapsed.

"I realized geology is always happening," she says. "One sand of grain could have fallen and the whole thing pops and collapses. We don't have any answers as to when (the arches will fall) but that is why it is so special to be here now."

Funniest moment in the park: Discovering that five members of a NorteÃ±o band, dressed in full concert costume, had lugged their instruments three miles to Delicate Arch and began belting out tunes under its shade. (NorteÃ±o music generally comes from northern Mexico and Texas. It features an accordion that produces musical rhythms similar to polkas.)

"We informed them they needed a permit (to play inside the park)," she says.

Oddest moment at the park: An excited family asking her to identify 10 species of lizards they captured, put in a black box and had planned to take home.

"I identified all their lizards and promptly made them put them back," she says.

It's illegal to remove wildlife from national parks.

A ranger's request: Stay on the trails and off the arches. The land off the trails is home to biological earth crust which protects against erosion and takes decades to rejuvenate after being stepped on. The arches are all made of red sandstone, a mixture of quartz, feldspar and iron oxide. While they may look sturdy, they could collapse if you climb on them.

Carry more water than you think you need. Thomas says heat-related illnesses are the No.1 medical issue at the park. She recommends you drink a minimum of one gallon of water per day and carry salty snacks to maintain electrolyte levels.

Also, be sure to shake out your shoes before putting them on. That's because scorpions gravitate toward dark, cool spaces. If you see a rattlesnake on the trail, do not chase it. Thomas says the majority of rattlesnake bites that happen in the park are on peoples' hands.

Another park she'd like to visit: Denali National Park in Alaska.

"I've never been to Alaska and I want to see really raw, big mountains," Thomas says. "I'm always into the biggest and the best. I want to see something that is more primitive than anything else we have (here)."

What national park would you like to visit? Please share your thoughts in the comments section below.

@highlight

The park is home to more than 2,000 sandstone arches

@highlight

Iron oxide creates the chemical reaction that turns the sandstone red

@highlight

Utah's high desert has scalding summer and freezing winter temperatures

@highlight

The best time to view wildlife in the park is October through December