(CNN) -- Federal accident investigators Tuesday pinned blame for a 2013 UPS cargo plane crash in Alabama squarely on the pilots, but some members saved caustic criticism for UPS, saying the company could have taken steps to prevent the deadly crash.

"Yes, the pilots flew the airplane into the ground, there's no question," said National Transportation Safety Board member Robert Sumwalt, a former airline pilot.

Though the NTSB did not blame UPS in its formal report, Sumwalt pointedly told cargo company representatives: "You have got problems. Get them cleaned up."

In a three-hour meeting in Washington, the NTSB cited a litany of errors the pilots made: The captain failed to correctly program an aircraft computer, failed to monitor the plane's altitude, didn't relay important information to his co-pilot, and failed to abort the landing when it became apparent the plane was in trouble. The first officer, meanwhile, failed to communicate altitudes to the pilot as the plane approached Birmingham-Shuttlesworth International Airport. In a conversation captured on the plane's cockpit voice recorder, the co-pilot also confessed to being fatigued, evidently after failing to use her off-duty time to get appropriate rest.

Both pilots died in the pre-dawn incident August 13, 2013, when the Airbus A300-600 crashed a short distance from the Birmingham runway.

But Sumwalt said UPS also failed to take actions that could have prevented the crash.

The global delivery company did not update software on a ground proximity warning system, which could have given the crew an earlier indication they were too close to the ground, he said.

If UPS officials had an iPhone, "I guarantee they would keep their software up to date," yet they failed to update software on a plane carrying two of its employees, he said.

A UPS official called Sumwalt's claim "the speculative opinion of one member," saying the company's software met FAA standards, and that there is no evidence the upgrade would have prevented the accident.

"Based on the rate of descent of this particular aircraft, it would be impossible to determine whether a software upgrade would have made a difference," Capt. Houston Mills, UPS director of airline safety, told CNN. He noted that the NTSB does not cite the software in its official finding.

Sumwalt said the cargo carrier also did not provide all of the available weather information to the pilots. As a result, the pilots likely expected to see the airport after descending below clouds at 1,000 feet, but didn't clear the clouds until 350 feet.

"Everything UPS does is about efficiency. They have guys running around with clipboards and stopwatches to make sure if an airplane is a minute late, someone will be held accountable for it. But the sad thing here -- this (technology) could have possibly prevented this accident."

"If you're interested in efficiency, I can guarantee you on August 14 of last year, those packages on the airplanes did not get delivered by 10:30 in the morning," Sumwalt said.

UPS' Mills acknowleged that known information about the cloud ceiling was not relayed to the pilots. But, he said, the pilots had been given a forecast that included a variable cloud ceiling, giving the pilots enough to plan and execute their approach.

NTSB: No distress call prior to UPS cargo plane crash in Alabama

The board said the captain did not have a stabilized approach -- meaning the plane's speed, direction and descent were not within established standards -- in the final minutes. It was the same problem that led to the 2013 crash of an Asiana jetliner in San Francisco.

"An unstabilized approach is a less safe approach," said NTSB Acting Chairman Christopher A. Hart. "When an approach is unstable, there is no shame in playing it safe by going around and trying again."

The U.S. aviation industry has closely watched the UPS crash investigation largely because it highlights different FAA standards for commercial and cargo aircraft. In January of this year, the FAA required additional rest hours for commercial pilots, but it exempted cargo pilots.

Cargo pilots say rest rules should be uniform, regardless of the type of aircraft flown.

Wednesday, the NTSB concluded the pilots of Flight 1354 had been given an adequate opportunity to rest, even under the rule that applies to commercial pilots. The rule did not make a difference in this case, the board said.

UPS pilots complained of fatigue before fatal crash

Asked if the UPS culture encourages pilots to call in fatigued when they are tired, 91% "strongly disagreed" or "somewhat disagreed," according to a survey conducted in March by the Independent Pilots Association, a union that represents UPS pilots.

"You probably have some bias in here as it was issued by a (union)," Sumwalt said. "But when you have 2,202 people responding to that, they are trying to tell you something."

UPS spokesman Malcolm Berkley said the union was "politicizing" the investigation in an effort to change pilot work hours. UPS pilots typically work 70 hours a month -- 30 in the air, Berkley said, less than the 55 hours the typical commercial pilot flies.

The safety board approved more than 20 recommendations, including one that board member Mark Rosekind called "ground-breaking" that would require warnings about flying fatigued during pre-flight briefings on overnight flights.

@highlight

In 3-hour meeting, NTSB cites a litany of errors the pilots made

@highlight

NTSB: Captain failed to correctly program computer or monitor plane's altitude, more

@highlight

But UPS has also "got problems" and must "get them cleaned up," says NTSB board member