Washington (CNN) -- It is the label that sends chills through the Supreme Court: judicial activist, shorthand for members of the bench who put politics and partisanship above respect for Congress, the Constitution, and the power of precedent.

The justices are used to such rhetorical slings from lawmakers and political commentators, but not from one of their own.

But Justice Ruth Bader Ginsburg in recent weeks has laid down the accusation on her conservative colleagues, and it threatens to raise tensions as the court begins its new term on Monday.

The docket may not be the blockbuster of the past two years-- where healthcare reform, voting rights, and gay marriage grabbed headlines-- but a range of hot-button issues will keep the nine-member bench busy.

"The possibilities for changes in the law are even greater this term, because there is an array of cases where conservatives might overrule or significantly undercut more liberal precedents," said Thomas Goldstein, publisher of SCOTUSblog.com, and a leading Washington appellate attorney.

Among the petitions the court will address:

• Affirmative action and whether states violate the Constitution when passing laws banning racial preferences in college admissions and job hiring.

• Legislative prayer and the responsibility of states to accommodate a variety of faiths to speak in a public forum.

• A "separation of powers" political fight between the president and Congress over recess appointments.

And more cases may soon be added:

• Whether search warrants are needed before police can look at your cellphone data.

• Can business exempt themselves from parts of the healthcare reform law on religious freedom grounds?

Activist court?

The court's eldest justice gave several print interviews over the summer, a rarity for a member of the bench not promoting a book or extracurricular project. Ginsburg told the New York Times this was this "was one of the most activist courts in history."

She clarified her remarks to USA Today: "If you take activism to mean readiness to strike down laws passed by Congress, I think the current court will go down in history as one of the most activist courts in that regard."

The 80-year-old justice was particularly concerned about the court's June ruling to gut the key enforcement provision of the Voting Rights Act.

Section 5 gave the federal government coverage power over states with a past history of discrimination -- requiring those jurisdictions to get Washington's prior approval before any changes in their voting laws -- including voter ID and early registration.

In her powerful dissent, read from the bench, the senior member of the court's unofficial liberal wing called the majority decision "hubris."

"After exhaustive evidence-gathering and deliberative process, Congress reauthorized the VRA, including the coverage provision, with overwhelming bipartisan support" in 2006, she wrote. "In my judgment, the court errs egregiously by overriding Congress' decision."

The Justice Department has since sued Texas and North Carolina over their voting procedures, using another part of the law that could make it considerably harder for federal officials to prove discriminatory intent.

But on a larger stage, Ginsburg's recent comments have reignited a longstanding debate over the role of judges -- and whether Chief Justice John Roberts and his fellow conservatives have a long-term strategy to selectively tilt the court to the right -- in areas like affirmative action, election financing, and business regulation.

"I think that Justice Ginsburg is picking up on something the American people have picked up on as well-- the Supreme Court conservatives might be stepping over their bounds," said Elizabeth Wydra, chief counsel at the progressive Constitutional Accountability Center.

"Ginsburg is pointing out that the conservatives are in fact what we might call activists -- going beyond what the law requires to have a more conservative ideological agenda."

'Sour grapes'

But other legal observers have suggested Ginsburg is inappropriately shedding her judicial robes for the politician's microphone. Some conservatives call it a form of "sour grapes"-- attacking the result only when you lose.

"Her criticism was based on impressionistic claims that don't pan out," said Carrie Severino, policy director at the conservative Judicial Crisis Network. "She was looking to find a way to characterize her disagreement with some of her colleagues, but unfortunately disagreeing with someone doesn't make them an activist."

So how do the eight years of the Roberts Court stack up when it comes to its record of overturning acts of Congress? Figures compiled by CNN -- with help from SCOTUSblog and the Library of Congress -- found 12 cases since 2005 where such laws were completely struck down, or about 1.5 per term. The 19 years under Chief Justice William Rehnquist (1986-05) and the 17 under Warren Burger (1969-86) averaged about two per term.

But quantity may not be the accurate measure, since some laws-- and the rulings themselves-- have far greater political and policy impact than others.

Progressives point to those high-profiled decisions -- the VRA case three months ago, and the 2010 "Citizens United" case loosening a century of federal restrictions on corporate spending by "independent" groups like businesses and unions.

"Conservatives have tried to get the courts to strike down laws that were passed by Congress but by which they disagree -- their campaign finance cases, regulations about air pollution control, environmental protection," said Wydra. "And so, we see this sort of de-regulatory agenda that conservatives are now pushing through the courts, when they've failed to win through the political process."

Ginsburg actually sided with the majority in half of the one dozen rulings knocking down federal laws-- including the landmark June opinion favoring homosexual rights.

'No regrets'

In the so-called Windsor appeal, the court tossed out a major part of the federal Defense of Marriage Act-- which defined it as only between one man and one woman. Social conservatives expressed their displeasure.

"Justice Ginsburg in fact is one who does that more often than other justices," ruling against the will of Congress, said Severino. "This is the court that upheld Obamacare on fairly specious grounds, and it's in the process of redefining marriage. It's absolutely absurd to say that this court is coming to any conservative results regularly. Maybe it's not as far left as Justice Ginsburg wants, but we're seeing a court where she's getting her way much of the time already."

Friends of Ginsburg privately say she has no regrets with her more outspoken tone. She has long had the reputation as brilliant jurist, with a fierce, exacting intellect.

But now, say associates, this diminutive, soft-spoken grandmother is clearly finding her voice in recent years, accepting of her stature as the public face of a more progressive view of the law and constitutional limits. She calls herself the "heir to that role" of senior justice in the minority once held by John Paul Stevens.

Her candor may also serve another purpose, a blunt message to the left: back off. Her age and recent ill health-- she is a two-time cancer survivor-- have prompted some liberal activists to demand Ginsburg step down from the bench now, to give President Barack Obama a third opportunity to keep the seat in liberal hands for perhaps decades to come.

The president has said he has a "soft spot" for Ginsburg, but she has made clear that will not affect her decision about when to retire.

"There will come a point when I-- it's not this year... As long as I think I have the candlepower, I will do it. And I figure next year for certain. After that, who knows?" she told CNN Senior Legal Analyst Jeffery Toobin in a New Yorker profile this past spring.

And a more coy observation, when telling the New York Times, "There will be a president after this one, and I'm hopeful that that president will be a fine president," she said.

It is an oft-quoted refrain on the law and society-- French commentator Alexis de Tocqueville's observation that, "There is hardly a political question in the United States which does not sooner or later turn into a judicial one."

Public divided

After eight often turbulent years, the Roberts court shows little sign of moving dramatically away from where it essentially is now: four more conservative justices, four who are more liberal, and a moderate-conservative in Justice Anthony Kennedy, who often tilts the balance.

This court is conservative, but it can be argued, not radically so. But given the increasingly partisan tone overtaking Washington -- and the current government shutdown is only the latest chapter -- even this institution finds it harder to stay immune from eroding public confidence.

Americans' opinion about the Supreme Court is split down the middle, with 48% saying in a June CNN/Opinion Research survey they approve of how the court is handling its job and 48% saying they disapprove. Just a year earlier, a majority-- 53% approved. Prior years had the numbers in the 70% range.

"Among the justices themselves, there is still an incredible confidence that each of them is deciding the cases neutrally without politics intruding," said Goldstein. "And the public generally thinks that's true too. But because there have been so many recent high-profile difficult cases, political partisans tend to paint the court-- caricature it-- as a political tool. That's not right but it is undermining political confidence and support for the justices."

But as far as any hard feelings on battles lost, and on words said, do not expect any lingering bitterness inside the court. Ginsburg and her colleagues have already returned to work from their summer recess, met privately as a group this week, and seem prepared for the hectic round of arguments and opinion writing that starts the First Monday in October.

"We could not do the job the Constitution gives to us, if we did not use one of Justice (Antonin) Scalia's favorite expressions: 'Get over it,'" Ginsburg said to a Philadelphia audience recently. "Even though we have sharp disagreements on what the Constitution means, we have a trust. We revere the Constitution and the court-- and we want to make sure it was in as good shape when we joined."

@highlight

Ruth Bader Ginsburg's comments about 'activism' on bench may raise tensions

@highlight

This term's docket not as explosive, but still includes affirmative action and prayer

@highlight

Roberts court shows little sign of moving dramatically away from where it is now

@highlight

Americans' opinion about the Supreme Court is split down the middle