Drones are everywhere.

Consider that just in the past few days, a Federal Aviation Administration official revealed that in March a US Airways passenger jet nearly collided with a small-unmanned aircraft that looked similar to an F-4 Phantom jet and was flying above 2,000 feet over Florida. These details and the fact that the drone was described as "camouflaged" suggest that it was not a civilian drone.

Then Sunday the Iranians announced that they had engineered a copy of a highly sophisticated U.S. surveillance drone that they had captured in 2011. Iran's state television showed footage of what they claimed was a replica of the American RQ-170 Sentinel drone. A photograph showed Iran's Supreme Leader, Ayatollah Ali Khamenei, sitting next to the drone.

The same day that the Iranians showed off their new drone, Sen. Rand Paul, R-Kentucky, wrote an op-ed in The New York Times arguing against the appointment of David Barron as a federal judge. Barron was a White House lawyer who was involved in drafting the legal opinions used to justify the 2011 drone strike in Yemen that killed Anwar al-Awlaki, an American citizen who had taken a leadership role in al Qaeda.

Paul wrote, "Killing an American citizen without a trial is an extraordinary concept and deserves serious debate. I can't imagine appointing someone to the federal bench, one level below the Supreme Court, without fully understanding that person's views concerning the extrajudicial killing of American citizens. ... I believe that all senators should have access to all of these opinions. Furthermore, the American people deserve to see redacted versions of these memos so that they can understand the Obama administration's legal justification for this extraordinary exercise of executive power."

Not so long ago, killing an American citizen on the other side of the world with an armed drone would have been in the realm of science fiction. Before 9/11, the United States had only a handful of experimental drones that had never been used to kill anyone. Today, there are at least 7,000 drones in the U.S. arsenal, more than 200 of which are armed drones  that have killed thousands of people.

Nine facts about armed drones

This large American fleet of drones is a harbinger of an important trend. Armed drones will likely prove as important to the future of warfare as tanks were during World War II. We can expect to see them used not only by the United States, but also by other countries such as China and Russia that are jumping into the production of armed drones.

But armed drones raise a number of moral and political issues that are unresolved. In Pakistan, the CIA drone campaign is deeply unpopular because Pakistanis ask themselves: What gives the United States the right to invade the sovereign airspace of our nation and sometimes kill our civilians, even in the service of the laudable goal of killing al Qaeda militants?

For American readers, do a thought experiment in which armed Mexican drones were routinely killing members of drug cartels living in Texas, but they were also sometimes killing a number of ordinary Texans and you get a sense of how the average Pakistani thinks about this issue.

In Yemen, the U.S. drone campaign has also become increasingly controversial because drones continue to kill Yemeni civilians -- as they did last month in a strike that targeted members of al Qaeda's Yemeni affiliate. In that strike on April 19, at least nine militants were killed but so were three civilians.

Even with these issues, drones present features that make them appealing to political and military leaders. Drones are not simply pieces of artillery that happen to fly. They have four characteristics that mean they are likely to reshape warfare at a tactical level.

First, armed drones are different from any previous form of artillery because they can linger over and assess a target for many hours. That capability can quite dramatically lower the civilian casualty rates that have been typical of earlier eras of warfare.

The smallest bomb dropped by the U.S. Air Force is typically 500 pounds. Such a bomb cannot, of course, distinguish between a civilian and a combatant. A drone can do so. And it can also shoot much smaller missiles, such as the 100-pound Hellfire missile.

In that sense there is a case to be made that armed drones presage a more ethical form of warfare that kills fewer civilians. But that doesn't mean of course that drones and the people who operate them won't kill civilians in the future. The U.S. drone campaigns in Pakistan and Yemen have killed hundreds of civilians over the past half decade.

Second, armed drones also make it possible to wage war against particular individuals. In a sense drones are flying assassins that target particular people.

It is not an accident that the rise of drone warfare has coincided with America's unconventional war against al Qaeda and its allies. In conventional wars, armies wearing uniforms attack each other. But in the kind of drone warfare that the United States has conducted since 9/11 outside of conventional war zones in countries such as Pakistan and Yemen, drone strikes are not directed at someone because of his status as a uniformed member of another military force, but rather because of the individual's suspected connection to al Qaeda or an allied group.

Bergen: Target an American with drones?

Third, there is a lower threshold for the use of force when armed drones are an option. In many ways the use of armed drones is akin to the use of cyberwarfare. Both tactics greatly reduce or eliminate the number of deaths that would result from a conventional armed conflict.  And whoever launches a drone attack or a cyberattack pays no costs of the kind that would typically take place on a conventional battlefield.

You can't shoot down a drone pilot or kill a computer technician launching some kind of cyberattack thousands of miles from the intended target. For this reason, drones and cyber capabilities can make conflict more likely as the barriers to engage in either drone warfare or cyberconflict are so low. (Until, of course, the opponent has the resources to retaliate in kind.)

Fourth, drone warfare is taking place in an unprecedented information environment in which the U.S. government collects ever-vaster amounts of data. This data collection is so extensive that the National Security Agency, for instance, can record every phone call that is made in a particular country.

It is this merger of "big data" and drone technology, which is also complemented by human intelligence about suspected terrorists provided by CIA assets on the ground in places such as Pakistan's tribal regions, that has made drone warfare against al Qaeda and its allies so effective.

The CIA drone campaign in Pakistan has killed 58 militant leaders, according to a count by the New America Foundation. Thirty-five militant leaders have also been killed in Yemen. Meanwhile, at least 339 civilians have been killed as well as at least 2,200 foot soldiers in militant groups in Pakistan and Yemen. At least 230 other people were reported killed, though it was not clear from reliable news accounts if they were militants or civilians.

Indeed, using the most conservative estimates from a database of drone attacks maintained by the New America Foundation, the Obama administration authorized the killing of more than 2,400 people in drone strikes in Pakistan and Yemen from the time it first assumed office until the end of March 2014. (Using the least conservative estimates from that database, the total number of people killed was almost 4,000.)

Put another way, using the most conservative estimates of the numbers of people killed in drone strikes by the Obama administration, they amount to three times the total number of the some 800 prisoners at the Guantanamo prison camp placed there by the Bush administration. As President Barack Obama reportedly told some of his aides, "Turns out I'm really good at killing people. Didn't know that was going to be a strong suit of mine."

Osama bin Laden recognized the devastation that such drone strikes were inflicting on his organization, writing a lengthy memo about the issue that was later recovered in the compound in Pakistan where he was killed three years ago.

In the October 2010 memo to a lieutenant, bin Laden advised his men to leave the Pakistani tribal regions where the drone strikes have been overwhelmingly concentrated. Bin Laden wrote, "I am leaning toward getting most of our brothers out of the area" and urged his followers to depart for the remote Afghan province of Kunar, explaining that "due to its rough terrain and many mountains, rivers, trees, it can accommodate hundreds of the brothers without them being spotted by the enemy."

The civilian casualty rate from drone strikes has been dropping dramatically in recent years. According to New America Foundation data, the casualty rate in Pakistan for civilians and also for "unknowns" -- those who were not identified in news reports definitively as either militants or civilians -- was around 40% under President George W. Bush when the drone program was in its infancy. It has come down to about 7% under Obama.

Bergen: Obama's high-stakes drone war in Yemen

In 2013 in Pakistan and Yemen, the numbers of civilians killed by drones in both countries combined was the lowest ever, in the single digits, according to the New America Foundation's data.

This shift has been accomplished because of the combined effects of smaller munitions, improved drone flight technology, better intelligence on the ground, stricter White House guidelines regarding the use of drones, increased congressional oversight of the drone program and greater public scrutiny of the issue.

It will be many years before other countries are able to build up the capacity that the United States has to carry out lethal drone strikes. As of 2013, the United States had drone bases in countries such as Afghanistan, Djibouti and Saudi Arabia. And it isn't as easy as some might think for other nations to arm unarmed drones.

Such weapons systems require specific electrical engineering; the wings must be reinforced for the aircraft to sustain the force of launching a missile; the drone must be equipped with fire control systems, and built-in mounting brackets are needed to attach munitions to the vehicle.

But even with these inherent limitations, the drone industry thrives, and more companies and nations continue to jump on board the drone bandwagon. And the U.S. aggressive and secretive drone campaign against al Qaeda and its affiliates is setting a powerful international precedent about the use of armed drones.

It is these kinds of drone strikes that are controversial since the use of armed drones in a conventional war is not much different, legally, than a manned aircraft that drops bombs or fires missiles.

There has been virtually no substantive public discussion about what an international legal framework governing such drone attacks should be among policymakers at the international level. It's long past due for that conversation to happen.

@highlight

Peter Bergen says use of drones for military purposes is going to proliferate

@highlight

Drones enable warfare to be fought at lower cost without risking pilots' lives

@highlight

They offer more precise targeting but still will kill civilians and thus will stir debate

@highlight

Bergen: Ethical and legal questions raised by the use of armed drones abound