(CNN) -- Video games are no longer viewed as the preserve of teenage timewasters but as useful tools for businesses to prepare employees headed overseas.

"Serious games", as they're generally referred to (distinguishing them from those played for entertainment), often employ simulations of real-life scenarios, giving business travelers the chance to navigate a foreign climate prior to takeoff.

Read also: High-tech hotels a hit with geeky guests

"The biggest failure of traditional (training) techniques is that they are not engaging enough for learners to stick with," notes Mike Emonts, the senior business development specialist at Alelo, a software company that specializes in Virtual Cultural-Awareness Trainers.

Alelo's products were originally created to train military and government personnel to operate abroad. Using realistic scenarios, users can learn to how to manage a crowd in Iraqi Arabic, or direct rebuilding measures in Pashto. The company is currently working to adapt their model to fit with enterprises dong business internationally.

"We believe the effectiveness of our solution would apply to the travel market," says Emonts. "The bottom line is that travelers are not looking to simply learn a language. They want to order at restaurants, and ask people directions. They have specific tasks they want to be able to accomplish. Our training solutions are specifically developed for this purpose."

Though pervasive in many industries, serious games have only started gaining momentum in the business travel sector. Louis Bernard, who has recently developed "Mr Travel" believes his is the only travel security game on the market.

"I've done my homework, and there's nothing else out there that does what we do," he says. Mr Travel, which made its UK debut at the Business Travel Show last week, mimics the sort of scrapes a road warrior might face in a foreign climate.

Though the world it portrays is fictional (users "time travel" through cartoon landscapes like the Wild West, and ancient Persia), the dilemmas are all real.

Users are taught how to safely store their passport, avoid questionable food, and even endure a kidnapping.

Companies sending employees overseas are required by law to provide them with travel security training.

Bernard, whose background is in crisis management and risk development, has himself administered many of these educational sessions.

"Travel security presentations can be boring," he admits. "That's why I developed Mr Travel; I wanted to come up with a way to engage employees, and ensure they actually retain the appropriate information."

Read also: Digital detox: Gadget junkies go cold turkey

In addition to being an arguably more effective education model, Mr Travel is also a lot cheaper than traditional training.

Still, given the potential spending power of business travelers (and the companies that employ them), there is still a relative gap in the market for serious games that address their needs.

Ian Bogost, a professor at the Georgia Institute of Technology and a founding partner of Persuasive Games, theorizes that a shaky global economy has forced some companies to take a pause from investing in serious games. He also finds that corporations make reluctant trailblazers.

"The idea of using a medium like games, or anything else that's new and slightly unproven, or unfamiliar, always puts it at a disadvantage."

Bogost developed Jetset, a tongue-and-cheek game about airport security aimed at business travelers, back in 2007, but found there wasn't much market for it at the time.

"If you travel a lot, and watch what folks are doing on airplanes, you'll find them playing Solitaire or Bejeweled on their iPhones. They're games that don't have anything to do with the travel experience, because really, when you're traveling, you just want it all to go away; you don't want to think about the fact that you're on a plane."

Still, Bogost recognizes that there is tremendous opportunity for more advanced games in the travel industry.

"Business travel seems like a great audience for this type of media," he notes. "They always have (personal electronic devices) on their person, they're stuck in one place for long periods of time, and stuck in one place where they have internet access. On the surface, it makes sense."

@highlight

Businesses are increasingly using games to train employees heading overseas

@highlight

Games rely on simulated realities to give users a practical experience

@highlight

Mr Travel is the first security travel game on the market. It guides users through a variety of potentially dangerous scenarios