WASHINGTON (CNN) -- A woman asked Rep. Allen Boyd at a town hall meeting the other day if health care reform proposals would force people to let the government access their bank accounts.

False rumors about health care have been aired at town hall meetings, like this one in Maryland last week.

"That's not true," the Florida Democrat responded. "When someone sends you something on the Internet that sounds crazy, how about just checking it a little bit?"

The CNN Truth Squad, which fact-checks political claims, has debunked the bank-access rumor as false. Yet that claim, and others that have been disproved, keep coming up in the national debate on health care reform, inflaming an already emotional issue.

Heated protests have disrupted town hall meetings nationwide, with people shouting at legislators and venting anger at President Obama.

While the anger is genuine, some of it is based on misunderstandings of the actual proposals, said Kenneth Thorpe, a health policy expert at Emory University.

"People are freaked out because there's a lot of bad information and misinformation being ... put out there by opponents of health care reform," Thorpe told CNN.

Obama and the Democrats say misleading information sows fear and anger, particularly among senior citizens who are worried about how changes in health care could affect Medicare. The White House and House Speaker Nancy Pelosi have set up Web campaigns to refute what they describe as provably false information.

"It is now evident that an ugly campaign is under way not merely to misrepresent the health insurance reform legislation, but to disrupt public meetings and prevent members of Congress and constituents from conducting a civil dialogue," Pelosi and House Majority Leader Steny Hoyer wrote in a recent commentary.

Republican opponents respond that the emotional reaction is due to Democratic efforts to rush through legislation that amounts to a government takeover of the health care system. They say the proposals eventually will lead to a system that rations treatment based on an individual's ability to contribute to society.

"We've actually started a national debate about exactly what is at stake here," Republican National Committee Chairman Michael Steele said Wednesday.

Speaking on MSNBC, Steele said the town hall meetings across the country are reflecting that debate. However, when asked directly about one of the most controversial statements by some Republicans -- that a House bill would create "death panels" to decide who gets treatment -- Steele refused to acknowledge that such language was misinformation.

The CNN Truth Squad determined the "death panel" claim was false, along with others spread by conservative commentators and activist groups who say Democratic proposals would promote euthanizing elderly Americans and mandate free health insurance for illegal immigrants.

One of the most disputed provisions, contained in a House health care proposal, would pay doctors for consultations with patients on end-of-life issues, such as living wills. The proposal is similar to one originally written by Republican Sen. Johnny Isakson of Georgia.

Opponents have implied or said outright that consultations would be required -- even though the proposal says they would be voluntary.

Some Republicans and Democrats have rejected the "death panel" language, but the issue keeps coming up. At a town hall meeting Tuesday night in Dartmouth, Massachusetts, powerful House Democrat Rep. Barney Frank called the notion that health care legislation required killing elderly people "the single stupidest thing I've heard."

Obama says the misinformation confuses people over an already complex issue that requires public understanding.

"The notion that somehow I ran for public office or members of Congress are in this so that they can go around pulling the plug on grandma ... when you start making arguments like that, it's simply dishonest," the president recently said.

Wendell Potter, a former insurance company communications executive, told CNN that the insurance industry deliberately spreads false information with the goal of disrupting the debate.

The insurance industry hires public relations firms that create front groups to try to "destroy health care reform by using terms like 'government takeover of the health care system' or we are heading down a 'slippery slope toward socialism' or 'we're going to kill your grandpa' because of these health care regulations," said Potter, now a senior fellow at the Center for Media and Democracy, which calls itself a nonpartisan watchdog group on public relations spin.

Asked to respond to Potter's accusation, the director of strategic communications at America's Health Insurance Plans, Robert Zirkelbach, acknowledged in an e-mail Wednesday that the group opposes some aspects of Democratic health care proposals.

"We have been very clear and up front since day one about our opposition to a government-run insurance plan that would dismantle employer coverage, bankrupt hospitals, and increase the federal deficit," Zirkelbach's e-mail said. He denied that employees of his group, which is the national association of health insurers, were "responsible for disruptive and inappropriate tactics at health care town hall meetings."

However, some of the language cited by Potter is used by politicians, including Republican Sen. Orrin Hatch of Utah, who told the NBC program "Meet the Press" on Sunday that "the Democrats want a government plan, where the government will take over health care."

Democratic proposals call for creating a government-funded health insurance plan for people who otherwise lack coverage. That is the so-called public option, which they say would compete with private insurers.

Hatch and other Republicans argue the public option would create a subsidized competitor that would drive private insurers out of business, leading to the government taking over the health care system.

Though Democrats deny that Republican assertion, it touches on broader fears among conservatives.

Many conservatives consider the proposed health care overhaul an irresponsible and dangerous expansion of the federal government. They liken it to socialist-style control over private issues, at a cost of nearly $1 trillion over 10 years.

At the same time, Americans facing an economic recession and costly government responses -- such as the $787 billion economic stimulus package and billions more paid to bail out the financial services and auto industries -- are fearful of further change and additional federal debt. Such concerns come up repeatedly at the town hall meetings held by Democrats and Republicans.

The deficit recently topped $1 trillion for the first time; Obama has said he hopes to cut it in half by the end of his first term.

"When the economy is hurting, people are more inclined, I think, to be skeptical, nervous," Frank said.

The misinformation, while refuted, has brought changes in the debate.

Conservative commentator Rush Limbaugh exulted Monday when Republican Sen. Charles Grassley of Iowa said that Senate negotiators dropped the end-of-life consultation provision from their proposal because Grassley said he worried it "could be misinterpreted and implemented incorrectly."

Limbaugh said on his radio show that no matter what the health care proposals say, they will result in less money available for health care.

"It will forever transform the relationship between Americans," he said. "We will instantly become rivals. We're going to become competitors vying against each other for precious health care dollars."

Grassley, who is one of three Republicans negotiating a possible bipartisan health care agreement, has used controversial language himself. He told a town hall meeting last week he couldn't support a provision that would "pull the plug on grandma."

Former Democratic Sen. Tom Daschle called such comments part of the problem.

"It's hyperbolic, it's fear-mongering, it's actually politics at its worst," Daschle said Sunday on NBC's "Meet the Press." "That's the kind of thing that generates the kind of anger and fear and anxiety that people have today."

@highlight

Claims that have been debunked continue to pop up in town hall meetings, protests

@highlight

Dems say "ugly campaign" under way to misrepresent proposals, disrupt debate

@highlight

GOP says Dems trying to rush through a bill that eventually would lead to rationing

@highlight

End-of-life provision that sparked "death panel" rumor dropped from Senate version