Jose Antonio Vargas trumpeted that he was an undocumented immigrant for years. But authorities never apprehended him.

Until now.

On Tuesday, U.S. Border Patrol agents detained the Pulitzer Prize-winning journalist-turned-activist in McAllen, Texas, after he told them he was in the country illegally, officials said.

He was released on his own recognizance with a notice to appear before an immigration judge, the Department of Homeland Security said in a statement.

Vargas was detained Tuesday morning at the McAllen airport while trying to pass through security en route to Los Angeles, said Ryan Eller, campaign director for Define American, a group Vargas founded in 2011.

Vargas became an outspoken advocate pushing for an overhaul of the nation's immigration laws in 2011, when he revealed he was undocumented in a column for The New York Times Magazine.

Recently, he detailed his life story in "Documented," a film about the U.S. immigration debate that he wrote and directed. CNN aired it on June 29.

Vargas said in a statement released by a spokesperson Tuesday evening that he had been released.

"I want to thank everyone who stands by me and the undocumented immigrants of south Texas and across the country," he said. "Our daily lives are filled with fear in simple acts such as getting on an airplane to go home to our family."

Even with his high profile and frequent speaking events about his immigration status, Vargas hadn't found himself in the cross hairs of authorities until his trip this month to the border region to support unaccompanied minors coming from Central America

"Mr. Vargas has not previously been arrested by (Immigrations and Customs Enforcement) nor has the agency ever issued a detainer on him or encountered him," the Department of Homeland Security said Tuesday. "ICE is focused on smart, effective immigration enforcement that prioritizes the agency's resources to promote border security and to identify and remove criminal individuals who pose a threat to public safety and national security."

Tania Chavez, an undocumented youth leader who met with Vargas recently and has accompanied him around the McAllen area, told CNN that he was detained because he did not have proper documentation.

It was a possibility Vargas feared after he arrived in the region.

"Because I don't have any ID besides my Filipino passport, it's going to be hard for me to actually get out of here at some point when I decide to get out of here in the next couple of days," he told CNN on Sunday.

Early Tuesday, Vargas tweeted that he was about to go through security at McAllen-Miller International Airport. Since outing himself as an undocumented immigrant three years ago, he says he has traveled extensively, visiting 40 states.

"I don't know what's going to happen," he tweeted, directing his followers to the Twitter handles for Define American and the University of Texas-Pan American's Minority Affairs Council.

Within minutes, the latter retweeted a photo of Vargas in handcuffs with the caption: "Here's a photo of (Vargas) in handcuffs, because the Border Patrol has nothing more pressing to do apparently."

In Politico last week, Vargas wrote a piece headlined "Trapped on the Border."

The story documents how he went to McAllen to visit a shelter where undocumented immigrant children were being held. He also wanted to share his "story of coming to the United States as an unaccompanied minor from the Philippines," he wrote for Politico.

Once in McAllen, he spoke to Chavez, who expressed concern that he might not make it through the U.S. Customs and Border Protection checkpoints about 45 minutes outside McAllen.

"Even if you tell them you're a U.S. citizen, they will ask you follow-up questions if they don't believe you," Chavez told him, according to the Politico piece.

"In the last 24 hours I realize that, for an undocumented immigrant like me, getting out of a border town in Texas -- by plane or by land -- won't be easy. It might, in fact, be impossible," he wrote Friday.

Vargas, Define American and other groups traveled to McAllen to "stand in solidarity with and humanize the stories of the children and families fleeing the most dangerous regions of Central America," Eller told reporters Tuesday. Vargas told CNN on Sunday that he traveled to McAllen to document the plight of refugees.

Before he went to bed Monday, Vargas told Eller, "Our America is better than this. We're more humane. We're more compassionate. And we're fighting for a better America, a country we love but has yet to recognize us," the Define American campaign director recalled Tuesday.

At 12, Vargas came to the United States from the Philippines in 1993 with a man he'd never met but whom his aunt and a family friend introduced as his uncle, wrote in his 2011 New York Times Magazine column.

Once in the States, he lived with his grandfather, a security guard, and grandmother, a food server. Both were naturalized American citizens who had been supporting Vargas and his mother since Vargas was 3. He'd later learn that his grandfather had paid $4,500 for this purported uncle -- who was a coyote, or people smuggler -- to bring Vargas to the United States under a fake passport and name.

"After I arrived in Mountain View, California, in the San Francisco Bay Area, I entered sixth grade and quickly grew to love my new home, family and culture. I discovered a passion for language, though it was hard to learn the difference between formal English and American slang," Vargas wrote for the magazine.

One of his earliest memories, he wrote, was a schoolmate asking him, "What's up?" He replied, "The sky."

Vargas says he didn't know he was in the country illegally until he was 16, when he applied for a driver's license and was told his green card was bogus. He went home and asked his grandfather whether that was true, according to the magazine story.

"Lolo was a proud man, and I saw the shame on his face as he told me he purchased the card, along with other fake documents, for me. 'Don't show it to other people,' he warned," Vargas wrote.

Vargas has written for numerous publications as a journalist, including The New Yorker. He interned for The Seattle Times and worked for The Huffington Post, the San Francisco Chronicle and the Philadelphia Daily News.

In 2008, he was part of the Washington Post team that won the Pulitzer Prize for its breaking news coverage of the previous year's shooting rampage at Virginia Tech. Vargas got bylines on two of the nine stories the Pulitzer board cited.

"Over the past 14 years, I've graduated from high school and college and built a career as a journalist, interviewing some of the most famous people in the country," he wrote in his 2011 magazine piece. "On the surface, I've created a good life. I've lived the American dream. But I am still an undocumented immigrant."

Vargas: Undocumented and hiding in plain sight

Share your immigration story

@highlight

Homeland Security says Jose Antonio Vargas has a notice to appear in court

@highlight

Officials say he was detained after telling authorities he was in the country illegally

@highlight

The journalist wrote last week that he suspected he might not get out of McAllen, Texas

@highlight

At 12, Vargas came to the U.S. illegally with a man he'd never met, he wrote in 2011