(CNN) -- The tornado that tore through the Oklahoma City suburbs this week ranks among the strongest storms ever to strike the United States, packing powerful winds that topped 200 mph.

Officials from the National Weather Service gave the tornado that hit Moore on Monday a preliminary EF5 rating -- the highest score on the scale that measures tornado intensities.

The Enhanced Fujita scale uses the physical damage caused by the storm to estimate how fast the wind was blowing.

Opinion: How can we be safe from tornadoes?

Teams are still evaluating the destruction, and the rating released Tuesday is preliminary. So far, they've found that the tornado spanned 1.3 miles -- the length of more than 22 football fields lined up end-to-end -- carving a 17-mile path of destruction.

Damage assessments show that the tornado was an EF5 for at least some of the time it was ravaging the area near Oklahoma City.

Oklahoma City Mayor Mick Cornett didn't mince words Tuesday when he described what he saw.

"We're talking levels of debris that's 4 feet high, as far as you can see. And we're talking about cars that are upside-down and school books and children's toys and trees without bark," he said. "This was the storm of storms."

Tornado prediction is improving, scientists say

As officials continue to assess the damage, here are CNN senior meteorologist Dave Hennen's responses to some key questions about the storm:

What are EF5 storms?

Storms now used the Enhanced Fujita scale, or EF scale, which is based on damage, which than translates to estimated winds. EF5 storms are the strongest storms on Earth, with winds of over 200 mph.

How frequent are EF5 storms?

You can go years without an EF5 tornado. In fact, since 1950 this is only the 59th tornado on record that has reached that threshold.

How frequent are storms of this strength in this area?

While EF5 storms are rare, the area in the Plains known as "Tornado Alley" is a focus for when this happens. There also seems to be a focus for strong tornadoes in an area known as "Dixie Alley," which covers parts of the Southeast and includes Mississippi, Tennessee, Alabama and Georgia.

Opinion: The making of a nightmare tornado

What factors give rise to a storm of this strength?

A number of factors have to come together at the right time and place to produce a strong tornado. The clash of warm and cold air at the surface combined with lift in the atmosphere and strong winds both at the ground and high above help contribute. The greater the temperature differences and the winds, the greater the chance for supercells, or the thunderstorms that produce tornadoes.

Deadliest tornadoes on record

How long does it take to assess the strength of a storm? Why does it take so long?

After a tornado, the local National Weather Service office sends a team to take a look at the damage. In this case, the Norman, Oklahoma, office sent numerous teams in the field to evaluate damage. Since this storm path was 17 miles long and the damage path was so wide, it takes time to see all of the damage.

Some people are calling this the strongest storm ever. Is that accurate?

Crews are still surveying the damage. The strongest tornado on record to date struck Moore in 1999. It had winds recorded at 318 mph at 300 feet above the earth's surface. At the surface, officials estimated winds were at 250 mph. The estimated winds of this week's storm are 200-210 mph, but survey teams are still evaluating. It's safe to say this is one of the strongest tornadoes.

Moore in bull's-eye twice, science may know why

CNN's Emanuella Grinberg contributed to this report.

@highlight

Officials give the Oklahoma tornado a preliminary EF5 rating

@highlight

Storm's winds topped 200 mph as it carved a 17-mile path of destruction

@highlight

Tornado spanned 1.3 miles

@highlight

CNN senior meteorologist: "It's safe to say this is one of the strongest tornadoes"