LONDON, England (CNN) -- When it comes to Sharia-compliant banking, few Western countries can compete with Britain. One of the world's prime financial centers, the City of London is also the key Western hub for Islamic banking.

The IBB opened its doors in 2004 and became the UK's first and only standalone Islamic high street bank.

With 23 banks, nine fund managers and a number of international law firms offering Islamic finance in the City, by 2006 British Sharia-compliant assets were thought to be in the region of $22 billion.

The global industry has trebled in the past decade and is now worth around $531 billion.

Britain is also in the vanguard when it comes to Sharia-compliant retail banking, catering for its population of approximately three million Muslims.

In 2004, the Islamic Bank of Britain (IBB) opened its doors for the first time, becoming the UK's first and only standalone Islamic high street bank.

A number of Britain's "big five" high street banks are getting in on the act. Lloyds TSB and HSBC offer Islamic banking, including mortgages, current accounts and trust funds for children.

In the retail market, Britain is the only European country that offers government-authorized Islamic banking products.

In the United States, only regional banks like University Bank, Michigan offer Sharia-compliant products.

Authorities and regulators in France -- despite having a Muslim population twice the size of Britain's at six million -- have been slow to realize the potential of this sector.

"In France, Islamic finance is at an embryonic stage. They are where we were three or four years ago," Sultan Choudhury, the IBB's director of sales told the Financial Times.

British mosques dating back 150 years attest to the long connection between the United Kingdom and Muslims, but it is the British government's staunch support of the sector -- backing words with legislative changes -- that has responded to the needs of Muslims in the financial world.

Junaid Bhatti, who was involved with the setup of the IBB, told CNN: "Government is a firm supporter of the industry down to amending legislation to create a level playing field for Islamic banking."

The British sector is currently experiencing phenomenal growth of around 20 percent per year compared with global growth of around 15 percent. Industry insiders feel there is still scope for continued growth.

Aktar Ahmed of Lloyds TSB Islamic finance told CNN: "Islamic finance is still in its infancy at the moment. We're seeing a fantastic rate of growth both globally and here in the UK."

Lloyds TSB now offers Sharia-compliant banking at all of its 2,000 UK branches. Services include an Islamic current account, mortgage and child trust fund.

Islamic mortgages have proved particularly successful in Britain, with the market growing from barely a trickle in 2003 to a value of $1.7 billion in 2007.

But Islamic banking in the United States is suffering from an image problem. Many Americans are felt to be hostile to the concept after the 9/11 attacks, equating it with "terrorist finance."

"There seems to be this misperception out there that the U.S. is perhaps Islamophobic," said Abdi Shayesteh, an attorney at law firm King and Spalding, which has had a practice dedicated to Islamic banking and finance since the 1980s.

"The U.S. regulators have been supportive and they've accommodated Islamic banking and finance since the mid 80s," Shayesteh told CNN.

With a best-guess figure of six million Muslims in the United States of whom around 60 percent are devout (and therefore likely to use Islamic banking services), Shayesteh considers domestic Sharia-compliant banking an untapped market.

"We have at least 3.6 million [potential customers] at the very base level market opportunity for banks from abroad and here to tap into," he explained.

Even so, with constitutional limits on promoting any one religion over another, which keeps legislators quiet about the opportunities, and no sign that any major American banks will be rolling out Islamic products, the market remains unexploited for now. E-mail to a friend

@highlight

Britain leads the Western world in terms of Sharia-compliant banking

@highlight

Major banks such as HSBC and Lloyds TSB offer Islamic banking

@highlight

In the U.S. only regional banks like offer Sharia-compliant products