(CNN) -- A year ago in an interview with CNN's Carol Costello, I said it would take a difference-maker, a Rosa Parks or a Jackie Robinson-like figure, to stand up for what is right and break the ice so real progress can be made in the battle for equality in professional sports.

Twelve shorts months later, we get to meet that courageous person, the one who is creating positive change and breaking down barriers before our very eyes.

Like Parks or Robinson, Michael Sam is a difference-maker.

Never before has there been an openly gay player active on a roster in the three biggest professional sports leagues -- NFL, MLB and NBA. With his decision to come out publicly as he begins his professional football career, Michael Sam will forever be seen as an iconic figure to professional athletes and the LGBT community. He is a bold spirit who has just accelerated the process of acceptance of homosexuals in professional sports.

Is the NFL ready for a gay player? Truthfully, it doesn't matter. The time has come.

There will, however, be players, fans and organizations who directly or indirectly express their ignorant, homophobic and antiquated views on homosexuality. As a former professional athlete, I can imagine what it is like to anticipate receiving the league's first openly gay player, and it should be a great honor for any player to gain Sam as a teammate. It would allow them to be a part of this movement into a new era.

Conversely, there will be players such as Jonathan Vilma who will express concern about how to respond if gay teammates tried to look at them while they are naked in the locker room or shower.

There will be baleful fans who hide behind screen names in chat rooms and on Twitter and Facebook who "shout" in all caps hateful, derogatory and homophobic slurs at gay athletes. This type of person matters not, and they should just continue to be ignored and remain as nameless, faceless, irrelevant cowards.

There may be NFL teams who will not draft Sam in the upcoming draft now. You may hear that some general managers of NFL teams think that a gay player would be a distraction for the team. When you hear these types of comments, just chuckle and remember that the Missouri Tigers finished the 2013 season ranked No. 5 in the nation, went 12-2 in the Southeastern Conference, or SEC (arguably the best conference in all of college football), while their star player, Sam, was named First Team All-American, SEC co-defensive player of the year -- and he happened to be gay.

Sam told his team about his sexuality before the 2013 season, and I am blown away by the incredible example that has been set by his teammates, his head coach Gary Pinkel, and the entire Missouri football staff. They embraced him, supported him, rallied behind him and respected him enough to let him come out to the public on his own terms. Their example is a microcosm of what homosexuality in sports can and will be.

Will Sam's decision to come out before the NFL draft have a negative effect on his draft status? Perhaps, but if teams pass on Sam because of his sexual orientation, they did not deserve him. Courageous difference-makers deserve to be surrounded by bold, brave and like-minded leaders. I reiterate: It will be a boon to gain Sam as a teammate.

Many of us grew up in households where we learned that that everyone is created equally, but as we discovered the world and some of the ignorant and hateful people in it, we learned that everyone is not treated equally.

History shows us that many groups were unjustifiably treated differently. It is baffling and unthinkable today that some "minority groups" were ostracized and mistreated because of their race, religion, gender, height, handedness, and even because of their birthmarks.

Ignorance can be overcome. Equality can be achieved.

Complete acceptance of homosexuals in professional sports will not come easy. Great things rarely do. There will be much backlash and discussion. Some will call Sam "crazy" for coming out. But the same adjective could have been used to describe some of the greatest minds and difference-makers the world has ever known.

Martin Luther King Jr., Florence Kelley, Eleanor Roosevelt and many others have stood up for what is right, and the rest of us have benefited. We can all contribute to our society as the greats before us have, but to do so, we have to be willing to smash the status quo and perhaps be called "crazy."

The opinions expressed in this commentary are solely those of Coy Wire

@highlight

Coy Wire: In battle for equality in sports, Michael Sam is a difference-maker

@highlight

He says by coming out, the NFL prospect accelerated acceptance of gays in sports

@highlight

He was a star player with the fifth-ranked Missouri Tigers and says his team stood behind him

@highlight

Wire: The time has come for this; ignorance can be overcome.