Some call Makoko the "Venice of Africa".

But while the intricate waterways may replicate the layout of the picturesque Italian city, living conditions could hardly be more contrasting.

Makeshift houses with corrugated iron roofs balance precariously atop stilts. Down below, narrow wooden boats act as a form of aquatic taxi ferrying goods and people around the bustling community.

Nobody knows the exact population of this slum district of Lagos but it is estimated to be as high as 100,000. What's sure is that few tourists will come here to take a romantic gondola trip beneath the night sky, moonlight bouncing off the water onto informal shacks.

There is little by the way of a sewer system meaning all sorts of pungent smells are sure to puncture the nostrils. On top of that, law enforcement agencies rarely enter the slum with security left to groups of young men known locally as the "Area Boys."

A lens on home

For photographer Sulayman Afose, however, the muddy waters of Makoko have always been home.

The aspiring 24-year-old was born, raised and continues to live in this chaotic floating district.  As such, it is one of the subjects he feels most comfortable turning his ever more popular lens on.

"I started my photography here in Makoko," Afose told CNN when we meet at the plush surrounds of the 2014 Lagos Photo Festival.

"It's really inspiring .... I've been able to get a lot of inspiration in terms of seeing a lot of things in my community," he added.

Afose's career has really begun to take off in recent years. After learning his craft in workshops put on by the African Artists Foundation he went on to study photojournalism at the Nigerian Institute of Journalism.

He's since had photos exhibited at various national arts and photography festivals as well as appearing in numerous international magazines and publications.

International collaboration

Afose has even worked alongside the respected Spanish photographer Cristina De Middel.

"(I am) happy to see some of my work published," he said. "And to see the fact of my name written on the pictures is something very great."

Yet despite the international recognition, its the daily hustle and bustle of Makoko that continues to inspire Afose. He explains that his knowledge of the local customs, attitudes and the people who live there gives him an edge over those who may come from outside to document life in the community.

"To tell the story with this (holding up a camera), you have to know who this guy is (pointing to a man in a photograph)."

Just by looking at him, "is he happy or is he not happy? You have to try to know what it is all about.

"You can't just pick up your camera and start shooting," he said.

Here and now

Then there's the skill vital for any photojournalist to develop, the handy knack of being in the right place at the right time.

Afose was rapidly on the spot when a fire that tore through part of Makoko in 2013. The scenes were horrific but the images Afose captured told the story and brought some of  the harsh realities of life in the slum to the outside world. They appeared in numerous publications in print and online.

"The fire was caused by a generator and it burned a lot of houses in the community," Afose explained.

"I had the opportunity to get there at the right time and try document what the scene was all about, what caused the scene (and) what caused the fire outbreak," he added.

It is likely the Makoko fire wouldn't have garnered as much attention in the national and international press without Afose's timely and grabbing images.

The experience has made him even more aware of the importance of having local people tell the story of the community there. So much so that it has inspired him on to his next challenge.

"I want to go further, I want to know more," he said.

When pushed on what this means, he added, "you know, maybe having a university degree (so I can) come back to the community and teach people ... to become what I am today."

Maybe then the outside world will be able to appreciate even more of life in Makoko through the sharp-shooting eyes of its residents.

@highlight

Photographer Sulayman Afose specializes in capturing life in the Makoko neighborhood of Lagos

@highlight

The 24-year-old was born, raised and still lives in the floating slum

@highlight

Afose says this gives him an edge over photographers who come to document the area from elsewhere