If you have ambitions of being one of the first people on Mars, listen up: A Dutch company says it is moving along with its plan to send four lucky Earthlings to colonize the Red Planet. The catch: They won't ever come back.

The Mars One foundation announced Tuesday that it has secured lead suppliers for an unmanned mission launching in 2018, which involves a robotic lander and a communications satellite. Lockheed Martin has been contracted to study building the lander, and Surrey Satellite Technology Ltd. will develop a concept study for the satellite, Mars One said.

This first mission will demonstrate technology that would be involved in a permanent human settlement on Mars. If all goes well -- and that's still very much an "if" -- the first pioneers could land on Mars in 2025.

Enthusiasm has been growing since the project's first big announcement in April. More than 200,000 people have signed up to be prospective astronauts, Mars One CEO Bas Lansdorp said in Washington on Tuesday.

Apparently, they're OK with living out the rest of their lives on Mars. The technology for a return flight doesn't exist -- there's no Kennedy Space Center launch pad over there! -- and having a one-way trip greatly reduces costs, the company has said.

The application period is now closed, and by the end of this year, the company plans to notify those special folk who made it to Round 2.

The unmanned mission is the "most important and most difficult step of actually getting humans to Mars," Lansdorp said.

It would also be the first privately funded planetary exploration mission.

"The opportunity to participate in that is just really exciting," said Ed Sedivy, a chief engineer at Lockheed Martin Space Systems.

Lansdorp expects that the majority of funding for the unmanned missions will come from sponsors and partners, not public contributions.

The cost of the lander and satellite will be something that the contracted companies will study, although Mars One has a ballpark figure in mind, Lansdorp said.

Mars Curiosity rover finds life-supporting chemicals

What they want to send in 2018

The lander will be based on the successful NASA Phoenix mission, Lansdorp said. The Mars One probe will feature a robotic arm carrying a camera that will shoot continuous video, as well as a water experiment that will demonstrate the production of liquid water on the surface of Mars.

"The highest priority is to actually have liquid water on Mars," he said.

This unmanned mission will also carry the winning projects from an experiment contest. There will be a worldwide university challenge giving teams the chance to propose tests to carry out on Mars.

These could be science experiments, of course, but Mars One is also interested in "fun" experiments. One of Lansdorp's visions, for instance, is a balloon with a camera attached to it that would film Mars from an altitude of 200 to 500 meters, which has never been done.

The communications satellite will provide live video feed from surface of Mars to Earth, representing the first Mars synchronous communications satellite, Lansdorp said.

Tourist trips to the Moon by 2043?

Getting to Mars

Mars One was originally slated to land the first humans in 2023, but the project has been delayed.

After the first humans arrive in 2025, the plan is send additional crews every two years, Lansdorp said. Right now, the idea is to send crews of four, but eventually bigger vehicles may become available to transport more people.

Is there enough time to get the lander and satellite on their way by 2018? Sedivy said it takes about 3½ years from commitment to initiating a preliminary design to launch, so that gives his company about a year of leeway to study this concept before promising to execute it.

That timeline is "pretty favorable," he said Tuesday. But as to whether it's enough time to develop the science side of things, that's "a little tricky," he said.

It takes money

Mars One is looking at "a range of funding scenarios." The total estimated budget for getting the first four humans to Mars is $6 billion. Lansdorp would not disclose how much money has been secured from partners and sponsors but said donations currently total more than $200,000.

A reality TV concept may help recoup costs. Lansdorp noted that Mars One will have the most unique video "available in the solar system," which has a lot of value, and he hopes this will attract sponsors and partners. Media coverage will be a main funding source.

But will the money come through? Will the technology really be developed by 2018 for the unmanned mission and to send people there by 2025? Will four humans survive the journey in a tight space capsule and embrace a desolate planet as their home?

As Lansdorp himself said Tuesday, "You can't go to Mars on excitement."

Time will tell whether prospective applicants can go at all.

Follow Elizabeth Landau at @lizlandau

@highlight

More than 200,000 people say they want to go to Mars

@highlight

The first mission will be unmanned, planned for 2018 launch

@highlight

Lockheed Martin, Surrey Satellite Technology Ltd. are studying concepts