Three days of intensive talks about Iran's nuclear program concluded early Sunday without an agreement, though key players insisted they believed the process is moving in the right direction.

"A lot of concrete progress has been achieved, but some differences remain," European Union foreign policy chief Catherine Ashton told reporters in Geneva, Switzerland.

Iranian Foreign Minister Javad Zarif echoed that sentiment, saying "hopefully we will be able to reach an agreement when we meet again."

"I think we are all on the same wavelength, and that's important," Zarif said. "And that gives us the impetus to go forward."

The inclusion of top diplomats such as Zarif, Ashton and U.S. Secretary of State John Kerry left some thinking that this latest meeting could lead to a breakthrough to satisfy the international community's desire that Iran not develop a nuclear weapon and, with that, a relaxation of crippling sanctions on the Middle Eastern nation.

That didn't prove to be the case this time, though the parties -- including Zarif and Ashton -- will meet again November 20.

Both Ashton and Zarif fielded questions posited on the assumption France blocked a resolution this time around. But neither singled out any one party, with the Iranian foreign minister saying differences among the countries are only "natural ... when we start dealing with the detail."

"We had a very good three days, a very productive three days," Zarif said. "And it's something that we can build on."

Kerry also voiced optimism, saying, "I can tell you, without any exaggeration, we not only narrowed differences but we made significant progress. ...There's no question in my mind that we are closer now."

At the same, the top U.S. diplomat cautioned against jumping into any agreement that everyone is not comfortable with -- especially given the complicated, technical details to deal with and the need to "build confidence between countries that have really been at odds with each other for a long time now."

"Diplomacy takes time, and all the parties here need time to fully consider the issues," Kerry said.

Israel-Palestinian relations hit new snags as Kerry visits Jerusalem

Iranian president: West shouldn't miss 'unique opportunity'

It is widely believed that Iran harbors aspirations to produce nuclear weapons. Repeated findings by U.N. weapons inspectors indicate that the country appeared to be conducting nuclear weapons research.

Iran has always maintained that its nuclear program is for purely peaceful purposes. Even though Iran has denied working toward nuclear weapons, it has said it will not submit to any plan that would totally eliminate its nuclear program.

For years, international leaders have been fearful of the instability a nuclear-armed Iran could bring to the Middle East.

Those fears, for example, include the possibility of a pre-emptive Israeli strike that could spark a broader conflict. In the past, Iran has threatened Israel with military attack.

Iran has been under crippling U.N. sanctions related to its nuclear program since 2006, and those sanctions have hobbled the nation's economy. The United States first sanctioned Iran over its nuclear program in 2000.

The relatively sudden progress in recent meetings -- after years of stalemate -- follows a slight thaw in relations between Iran and the West under the newly elected President Hassan Rouhani.

Rouhani, himself, weighed in Saturday from afar, taking to Twitter to say "the West should not miss this unique opportunity."

Saying the Iranian delegation was participating in Geneva "with strong will & determination," Rouhani tweeted that "one of the slogans the Iranian nation has embraced is that of 'constructive interaction with the world.'"

The Iranian president also spoke at a meeting with Japanese Foreign Minister Fumio Kishida, contending that resolving the nuclear issue will "help restore stability and tranquility to the entire region."

"The negotiating parties should bear in their mind that this opportunity was created following recent presidential election in Iran as the Iranian peopled called for establishing a constructive interaction with the world," Rouhani said, the state-run Islamic Republic News Agency reported.

Iran's nuclear capabilities

Israel: 'Bad deal'

Israeli Prime Minister Benjamin Netanyahu, who is not involved in the talks, warned that an agreement is "the deal of a century for Iran" but a "very dangerous and bad deal for peace."

"It's a very bad deal," he said. "Iran is not required to take apart even one centrifuge. But the international community is relieving sanctions on Iran for the first time after many years. Iran gets everything that it wanted at this stage and pays nothing."

A senior Israeli government official says Israel backs a diplomatic solution that would dismantle Iran's military nuclear program, "dismantling all the centrifuges, the removal of the enriched uranium and the closure of the heavy water reactor."

If Iran wants nuclear power "for civilian purposes, as it claims, it has no need for centrifuges and heavy water. These are only required to produce nuclear weapons. Like 17 other countries in the world (e.g. Canada and Indonesia), she can do this without a centrifuge and without a heavy water reactor," the Israeli official said.

A heavy water reactor at Arak, which weapons experts warn could be used to process weapons-grade plutonium, is under construction and could be activated early next year. Once the reactor is activated, it could be dangerous to incapacitate.

Responding to Netanyahu's remarks, British Foreign Secretary William Hague asked for trust and understanding.

"We haven't done the deal yet. We haven't made this deal yet. So I think everybody will have to comment on it if and when we reach a successful conclusion, and make their judgment about it then. So I'd ask everyone to be patient and to wait for us to arrive at that conclusion if we can."

Hague stressed that any agreement would "require some flexibility on all sides." He is cautiously optimistic, citing the mood among diplomats.

"The atmosphere of these negotiations, as others have told you before, is completely different from the atmosphere of a few months ago. Clearly, dealing with these ministers from Iran is a different experience from the recent past. So a lot of progress has been made, but it's too early to say that we will reach a successful conclusion today," Hague said.

Graham: New sanctions on Iran needed

U.S. officials outline possible deal

Two senior U.S. administration officials said that, under the potential deal, Iran would agree:

• to stop enriching nuclear fuel to 20% purity.

• to render unusable most of its existing stockpile of such fuel.

• not to use advanced IR-2 centrifuges, which can enrich nuclear fuel five times faster than older centrifuges.

• not to activate a plutonium reactor at Arak.

In turn, the P5+1 would agree:

• to unfreeze some Iranian assets held in banks overseas.

• to consider easing sanctions banning trade in gold, precious metals and petrochemicals.

Other sweeteners were also under consideration, they said.

One of the officials said the deal is designed to "stop Iran's progress by stopping the shortening of time by which they could build a nuclear weapon" while providing temporary, reversible sanctions relief to Iran.

That official cautioned that the deal is not done but said it could happen if the Iranians agree to the P5+1's demands.

The P5+1 or EU3+3 -- comprises the United States, France, Britain, Russia, China and Germany

@highlight

U.S. secretary of state says "diplomacy takes time"

@highlight

Iran's foreign minister says the meetings are "something that we can build on"

@highlight

EU official: "Concrete progress has been achieved, but ... differences remain"

@highlight

This marks the latest movement after years of stalemate on Iran's nuclear program