Ann Arbor, Michigan (CNN) -- There haven't been many times when I have been at a loss for words when conducting an interview as a medical reporter. This was one of those moments.

The man cleared his throat, after ignoring the question I just asked him. "You want to know what I think?" he said loudly.

"I do," I replied.

"Is that what this is about -- you want to know how I really feel, what makes me tick?" he said even louder.

I nodded as calmly as I could.

"Let me tell you something," his voice trailed off. He paused and looked momentarily distracted. He gave a long, hard look at his lawyer, who was standing right behind me. He shivered a little bit and bunched up his powder blue sweater.

"I have no regrets, none whatsoever," he said. It was windy outside, but it was also over 90 degrees in sunny Ann Arbor, Michigan. I was now sweating, and he was ... well, cold.

He shifted his gaze from his lawyer back to me. "Sanjay, you want to know the single worst moment of my life?"

That wasn't the question I asked, but in fact I was curious to know the answer.

"OK," I replied -- a little uneasily.

He smiled now and said in a very deliberate, almost staccato voice: "The single worst moment of my life... was the moment I was born." And, we had officially begun my sit-down interview with Dr Jack Kevorkian.

We were in Ann Arbor because we both attended the University of Michigan Medical School. I graduated in 1993 and the 82-year-old Kevorkian in 1952. We found his class picture in a long hallway connecting the medical school to the University Hospital.

As he shuffled toward the picture, he leaned in to me and said, "I am not a sentimental person." Still, he had a glimmer in his eye when he identified the younger and more handsome version of himself.

I was about to ask him about the other members of his class, when he started pointing at various student pictures. "Dead... dead, dead," he repeated over and over. He was bringing me up to date on the status of his classmates.

"Dead, dead," he paused and cracked a smile. "This guy here ... he wanted me in jail." I looked over, pointed, and asked, "This guy?" "No... but, he probably did as well," Kevorkian replied. He then laughed and shuffled off again down the hallway.

I didn't know what to expect when I was planning this interview. I had read everything I could find about him, including two books he had written while in prison.

I had watched the documentary that will premiere June 28 on HBO and the recent docudrama with Al Pacino, for which, he told me, he received "not a penny."

He lives in a small apartment in Royal Oak and has recently adopted a caloric-restriction diet, eating around 500 calories a day, he says.

Kevorkian had sprung onto the national scene right about the time I was starting medical school. He fascinated my parents, and during the rare occasions I attended a cocktail party with them, the conversation among their friends seemed to always turn to him. He invoked strong emotions in so many people he had never met.

"During your interview for medical school, right there in that building, when they asked you, 'Why do you want to be a doctor?'  what did you answer?" I asked.

"What did you answer?" he replied somewhat harshly. Throughout the two-and-a-half hour interview, he fluctuated wildly between being downright combative and hostile to being sweet and fatherly.

It was almost as if he desperately wanted me to understand all the decisions he had made in his life. By this point, I knew he was just asking me rhetorically, so I waited patiently for him to collect himself.

"I told them all the stuff they wanted to hear. Oh, I want to heal people and I want to join medicine, because it is the noblest of all professions... noble, yeah right."

"Is medicine a noble profession?" I continued. "What do you think?" he once again fired back. I waited. "No, it is not," he finally answered.

Dr. Jack Kevorkian is as opaque a person as I have ever met. But despite his crazed rants -- often about the Ninth Amendment to the Constitution, complete with a defense of James Madison and trashing of Thomas Jefferson (that guy ... he just took all the credit!) -- Kevorkian still knows how to make a point.

Not surprisingly, he strongly advocates assisted suicide, or euthanasia, or what he calls "patholysis." Terms matter to Kevorkian, and this is the term he prefers when describing the "medical procedure" he performed on at least 130 people, by his own count.

"Path means disease or suffering," he said to me.

"And lysis, means destruction," I said.

"Exactly," he answered. Patholysis, he repeated. The destruction of suffering.

As we walked around campus, Kevorkian drew a lot of attention. Many stopped to say hello, ask for an autograph or take a picture. He spent time with every person, asking about them and their role at the university. It was about an hour into the interview when I realized Kevorkian was trying to make a broader point. It started when I cited a study about the people he had "patholysed."

"It says here that in at least five of the people, there was no evidence of any disease on autopsy."

I let that hang in the air for a second. He seemed a little stunned that I had found this study. He shook his head slightly, and looked again at his lawyer, with no intention of addressing the point I had just made.

"Recently, I had three former CEOs of companies -- perfectly healthy -- who called me up and told me they wish to die." He let that sink in.

It was my turn to be stunned. "So... what did you do? What did you tell them?" I asked gently.

"No, nothing," he said with a dismissive wave of his hand. "I didn't do anything, but people have their rights."

I realized this was what he had building up to for some time. This wasn't just about assisted suicide; this was about upholding the ability for people to do whatever they wanted to do, without interference from doctors, the states or the federal government.

That the rights of the masses should not impede on the rights of a few. Someone once told me that was the "gist" of the Ninth Amendment, and it is something that has helped inform Dr. Jack Kevorkian's thinking and his life.

Turns out he did have some regrets, which he told me about. He wishes he'd treated his parents better, and his sister, he said quietly. He also is deeply resentful that the Supreme Court never heard his case, which he felt was a constitutional one.

"That is what they are for!" For a moment, I had finally penetrated inside the head of Kevorkian, and it was a lucid, well thought-out, and somewhat frightening place to be. And, perhaps he was right about Madison as well -- he really didn't get enough credit for contributing to the Constitution.

"In times of desperation, people may make decisions they regret," I started up again. "This isn't about deciding whether you want frozen yogurt or ice cream. These decisions about patholysis are ... forever."

He agreed with that point, but quickly pointed out that he obtained mental health exams on all of his patients before agreeing to proceed. He also thoroughly reviewed medical records -- about what he was looking for exactly, he was less forthcoming. Fact is, he says he turned down "many" patients who had requested his services.

And, for what it is worth, he never charged. A family member had once sent repeated checks to him after Kevorkian assisted in his wife's suicide, and he kept sending the money back, he told me.

I did ask Kevorkian about his reflections on his own mortality. "I am not ready to die," he answered. "I have purpose in my life and three missions," he added.

He wants to tell mankind about "impending doom." He worries that our culture of overabundance will soon lead to the extinction of the human race. "I am not going to be too popular for that one."

His second mission is to educate people about patholysis. "They just don't get it in Oregon, " he said. "Or in Washington state or Montana, the other states," where assisted suicide has been legalized. In those states, a person has to be considered terminal in order to qualify for assisted suicide.

"What difference does it make if someone is terminal?" he said. "We are all terminal."

His third mission is to convince the American public that their rights are infringed upon each and every day -- and that the Ninth Amendment is not being upheld. Everything from banning smoking in public places, to assisted suicide, euthanasia and patholysis.

By the end of the interview, Dr Jack Kevorkian was smiling a lot and thanking me for spending a day with him. He was back to the paternal, friendly Jack.

We shook hands, and he hung on for a few extra seconds, looked me in the eyes and said, "Thank you Sanjay."

I told him it was an honor to meet him, and hoped to see him again soon. As he shuffled away, I couldn't help but think Kevorkian still invoked strong emotions in people -- but I also hoped that if the moment of his birth was the worst of his life that he had some good moments since then.

Watch Sanjay Gupta MD Saturday at 4:30pm and Sunday at 7:30am ET. For the latest from Sanjay Gupta MD click here.

@highlight

Dr. Jack Kevorkian says he has assisted in the suicide of at least 130 people

@highlight

Kevorkian prefers the term "patholysis," destruction of disease or suffering

@highlight

Says his case was a constitutional issue; Supreme Court should have heard it

@highlight

Tells Dr. Sanjay Gupta, "I am not ready to die."