(CNN) -- When an elderly nun and two fellow peace activists walked undetected onto one of the nation's most secure nuclear facilities last year, they wanted to call attention to the dangers of nuclear weapons.

Yet their actions in Oak Ridge, Tennessee, triggered a very different concern:

If three older peaceniks can easily trespass onto the Y-12 National Security Complex -- once considered the "Fort Knox" for highly enriched uranium -- just how safe are the nation's nuclear weapons facilities from terrorists?

Nuclear weapons interactive: Who has what?

Sister Megan Rice, 83; Greg Boertje-Obed, 57; and Michael Walli, 63, will stand trial this week on federal charges of destroying U.S. government property, depredation against federal property exceeding $1,000, trespassing and injuring national-defense premises.

The last charge alone carries a maximum penalty of 20 years in prison. The trial began Tuesday at federal court in Knoxville, Tennessee, according to WATE, CNN's affiliate in Knoxville.

In the predawn hours of July 28, 2012, Rice, Boertje-Obed and Walli walked under the cover of darkness through the woods and up a hillside, approaching a chain-link fence surrounding the Oak Ridge nuclear facility.

Armed with flashlights and a bolt cutter, they cut their way through the fence, fully expecting to be arrested on the spot.

Instead, they walked nearly a mile, cutting through four fences in all, breaching what was supposed to be the most tightly secured uranium processing and storage facility in the country.

"When we got to the very high security fence where there's a lethal force authorized ... I thought, maybe we should turn around," Boertje-Obed told CNN's David Mattingly.

But they didn't. Hours later, the three activists were finally confronted by a guard after hoisting banners, spray-painting messages and splattering human blood on a building that houses highly enriched uranium.

Since the incident, Congress has held a series of hearings and issued security recommendations to the Department of Energy and its National Nuclear Security Administration, which runs Y-12 and seven other nuclear weapons sites.

Most recently, Deputy Energy Secretary Daniel Poneman testified before the House Energy and Commerce Committee in March that the Department of Energy has taken "several major actions ... to improve security" since the Y-12 breach, including management changes and independent security reviews.

Today, changes at Y-12 are noticeable. A new security contractor is in charge. New signs and security fences are going up.

While last year's security breach shed light on systematic weaknesses at Y-12, a former nuclear reactor safety manager at the Sandia National Laboratories said he doesn't think the nation's nuclear weapons material were ever at any risk.

"What these people did was more like trespassing than gaining access to any weapons-grade material," said Michael Allen, who is now a vice provost and dean at Middle Tennessee State University.

"Once they got in, they could spray paint things, but it's just like if you got into Fort Knox, you wouldn't know the combination to the locks."

Allen said the country's nuclear weapons material is spread across eight sites around the country that are "usually out in the middle of nowhere" to protect against threats.

"There's really only one place where the weapons are fully assembled; I'm not going to tell you which one," Allen said. "And the reason there are eight places, they don't want people to have the full knowledge (of what the other facilities do).

"We almost never see an assembled nuclear weapon."

But another nuclear security expert said the Y-12 breach was more than just trespassing by a few environmental protesters.

"This was a very serious incident because they penetrated the protected area, and that's when there was supposed to be an immediate security response," said Edwin Lyman, a senior scientist with Global Security Program, a watchdog group that monitors the Department of Energy and the Nuclear Regulatory Commission.

"If they had been trained, the kind of paramilitary group that the Department of Energy is supposed to be ensuring they can protect against, with hand-carried explosives, other breaching tools, physical access to the building structure ... the guards would have already lost."

Lyman said the breach was not an isolated incident.

"It was a result of this reduced central oversight, giving contractors more responsibility for supervising themselves, and that's an invitation of corner-cutting and complacency to set in," he said.

The incident not only broke the public's trust that the government is "exercising good oversight" of its nuclear weapons facilities, according to Lyman, but he said it also has "global implications."

"If we can't even control our own nuclear weapons material, it shows what a major challenge it is around the world ... that have comparably dangerous materials but are even less protected.

And, Lyman pointed out, if the United States appears to have vulnerabilities in protecting its nuclear weapons material, "then that not only reduces our authority to criticize other countries, it raising questions about the integrity of our own security. "

CNN's David Mattingly and Tristan Smith contributed to this report.

Watch Erin Burnett weekdays 7pm ET. For the latest from Erin Burnett click here.

@highlight

Three peace activists face trial this week for breaching a nuclear weapons site

@highlight

The incident last year took place at the Y-12 facility in Oak Ridge, Tennessee

@highlight

If convicted, they could face 20 years in prison