London (CNN) -- The world's most influential political and business leaders are gathering in an upmarket ski resort in the Swiss Alps this week to discuss the biggest challenges facing society in 2012.

Six hundred miles away from the snows of Davos, in rainy London members of the Occupy movement are celebrating 100 days since they set up camp outside St Paul's Cathedral, hoping to find solutions to some of the same problems.

The protesters have been there since October 15 last year, battling both the elements and the authorities.

Their decision to establish a protest village in the heart of London's financial district, the City, was a controversial one. Demonstrators had first attempted to occupy the nearby London Stock Exchange, but were quickly moved on.

Instead they pitched their tents around the steps of St Paul's, one of the most famous landmarks in the city: A symbol of London's endurance during the dark days of the Blitz, and a site of celebration, as the venue for the wedding of Prince Charles and Lady Diana Spencer in 1981.

The camp sparked rows between the authorities and the church, which stepped in to protect the occupiers from the police, allowing them to stay, despite threats of eviction. Two leading members of St Paul's later resigned over the row.

Jesse Jackson: Occupy in memory of MLK

Occupy London spokeswoman Naomi Colvin says the movement has achieved a tremendous amount in its first 100 days.

"It has been an astounding success," she told CNN. "It is very noticeable how all the political parties represented in parliament have been bringing themselves around to Occupy -- we are setting agendas that others then follow."

Protester Bryn Phillips agrees: "We've raised a lot of important issues, we've made it possible to discuss a lot of subjects which were not being mentioned, and we have been able to include the public and people who are usually excluded in that discourse.

"Five years ago, if you talked about the problems of capitalism, you were branded a maniac, now even [Conservative British Prime Minister] David Cameron is talking about the nature of capitalism; we've made it possible to discuss it without people accusing you of being a communist."

Last week, the City of London Corporation won a high court fight to force the closure of the camp. The occupiers insist they will appeal, but Phillips concedes it may be time to move on.

"Personally, I think it is time for the tents to go," he said. "They have served their purpose, but I think there is a risk of us becoming too emotionally attached to them.

"By occupying part of the City of London, we have found out a lot, we have raised a lot of issues: The lack of transparency, the lack of accountability, but we don't need to be outside St Paul's to do that any more."

Colvin insists, though, that any shift away from the original site will not signify the end of Occupy London -- quite the contrary: Whether or not the St Paul's camp survives, she says, the movement itself will continue to make its presence felt in the coming weeks, months and years.

"I think we will see day-long 'Occupations' in city centers, in shopping areas and in other locations, and I think Occupy will spread out more into the community," she said.

"We have brought a lot of people together, people with specialist knowledge, who have been able to create networks of expertise, and those links, those conversations will continue, whether the physical site is there or not."

Occupiers are already doing outreach work, giving talks in citizenship classes at local schools, and encouraging people to become more involved in democracy.

Phillips says this and other community work is key.

"Our society has gradually been confiscated, fragmented over the past few years, and the point of Occupy is to help repair the severed links, to restore a sense of reciprocity and social cooperation.

"We need to get out into the boroughs and the parishes, and to support the non-economic institutions which are trying to do the same thing, whether that means churches or Citizens' Advice Bureaus."

And some camping will continue at Finsbury Square, which began as an overflow from the main site at St Paul's, and where there is, Colvin hopes, "no threat of eviction" -- occupiers there are hoping to create a sustainable eco village.

Paul, from Lincolnshire, is a relatively new arrival at Finsbury Square. He says Occupy was never intended as a quick-fix.

"It's a long-term protest movement," he told CNN, sitting in front of a wood-burner to keep warm in the drizzle. "We've seen huge one-day demonstrations before -- the march against the war in Iraq had 1.5 million people in it, but it didn't stop anything.

"The government is supposed to be there for the people, but they don't do anything for us when we ask," he said, explaining that he hopes that will change, in the face of a concerted and long-lasting Occupy campaign.

Fellow occupier Jack, back at St Paul's, agrees.

"We won't be rushed -- we are only three months into a discussion which is so big, and so important, how can you expect us to have reached a consensus already? Give us a chance, be patient."

But Jack insists that Occupy is far more relevant to ordinary people than the World Economic Forum, which he says welcomes only the global elite.

"I think Davos is the complete opposite of Occupy -- Davos is there to represent the powerful, while we're here to represent the people. We're trying to balance things out as best we can, to show that there are alternatives to the system as it stands, to have a debate about it, but not to impose our views on people.

"Davos is very exclusive, whereas we welcome anyone, we are completely inclusive -- to the point of madness sometimes, because you do get the occasional crackpot -- and everyone is listened to.

"It seems very unequal, very unfair, because I don't believe that [the delegates at Davos] all want to make the world a better place for everyone, and yet they are the ones holding all the tools, they are the ones with a lot of the power to do that."

But there are Occupiers in Davos too. They may not have made it onto the stage at the World Economic Forum, or be taking part in debates with the likes of Angela Merkel and Al Gore, but they are here all the same, in a temporary settlement of igloos and yurts near the conference center.

Blog: Meeting the Occupy Davos protesters

"We are not just here to build igloos," David Roth told CNN. "We are here to have protests on the streets.

"We should take the power back; we should not let the richest 1% have the power -- they cannot be the solution for our crisis, because they are the crisis, they are responsible for the crisis."

And there are signs that despite the icy temperatures, relations between the two camps, Occupy and the World Economic Forum, may be thawing.

"There have been attempts to broker a conversation," says Colvin. "It may not happen this year, but we hope it can happen in future."

Robert Greenhill, WEF managing director, recently dropped in to the Davos camp to help build one of the igloos, and later hinted on Twitter that the groups have more in common than some might think. "Different approach, same goal: Improving the state of the world."

CNN's Erin McLaughlin and Irene Chapple in Davos contributed to this story.

@highlight

Occupy protesters in Davos have built igloos to camp close to the World Economic Forum

@highlight

Davos Occupier: "The 1% cannot be the solution - they are responsible for the crisis"

@highlight

Occupy London protest celebrates 100 days at St Paul's Cathedral, ponders future plans

@highlight

WEF boss tweets: "Different approach, same goal: Improving the state of the world"