In the summer of 2007, mobile health (mHealth) was a field in its infancy. Monsoon season in Bangladesh, however, was in full swing, and with it came an enormous spike in cholera cases. I was working at a diarrheal disease hospital in the capital, Dhaka, at the time. More than 1,000 patients were rushed to the hospital on stretchers every day, most admitted to the makeshift wards of canvas tents that sprawled over parking lots and spilled into the streets.

It was there that I saw my first patient die. He was a 53-year-old male, a husband and a father, emaciated and severely dehydrated. I remember struggling to place an IV into his cephalic vein, shuddering at the words repeating in my mind. He looks like a corpse. In 10 minutes he passed away, and we learned that his family had brought him on a three-day journey to the capital for treatment. They were wholly unaware that a satellite clinic had been deployed no more than 20 minutes away from their home. This was an enormous tragedy, and for years I would think about how it could have been prevented.

It turned out that a solution was in place and waiting to be discovered.  The key is to leverage the unprecedented communication boom that's happening today.

Health: Tracking your body with technology

It is easy to forget that the mobile revolution has been a global phenomenon. Of the more than 6 billion cell phone subscriptions worldwide, 76% are in developing countries. From rural Malawi to bustling Hyderabad, cell phone coverage and penetrance have become surprisingly advanced.

When I saw the potential of how we can radically transform the way we deliver health care to underserved populations, I co-founded Medic Mobile in the hopes of building new models of health care support networks from simple, SMS-based platforms.

This direction opened the gateway to establishing emergency triage systems, sending medication adherence reminders, enabling home-based antenatal care, tracking community immunization and dispatching mass announcements detailing satellite clinic schedules and locations.

Handheld device that saves lives

For example, in Kurnool, India, where first-year childhood vaccination rates have lingered in the 60th percentile, we worked with a local immunization center to design a mobile-based reminder system for parents. Local health workers enrolled newly pregnant women in our records and took down their cell phone number. Once the system was updated with an infant's birth date, it would automatically schedule SMS reminders to be sent to the family when it was time for a vaccination. The system also sent periodic educational messages about the importance of complete immunization and the diseases they protected against. After six months of piloting this intervention, we were already seeing dramatic improvements in vaccination rates. Mothers walked into the clinic grinning, baby in one hand, cell phone in the other.

While I am focused on helping people in the developing countries, I am keenly aware that mobile health care innovations also impact people close to home.

Working at Stanford hospitals, I can attest to the luxury of checking my patients' vital signs while lying in bed, or test driving in-house communication systems for consultations, which utilize smartphones rather than 1980's-era pagers.

Health: Your smartphone is a pain in the neck

Mobile health development in the United States means innovating with the newest technologies, from diabetes management apps to miniature diagnostic devices, all aiming to capitalize on the potential of the latest tablets and smartphones. The possibilities are truly mind-blowing.

Interestingly, U.S.-based mobile health care innovations can serve as testing beds for tools that will likely be deployed in Africa, Central and South America, or Southeast Asia in the coming years. And many SMS-based innovations gaining prominence abroad might return to the developed world as cost-effective methods of addressing fundamental problems in our overburdened health care system.

I like to think that the paths of innovation are convergent. Imagine a world where, whether you're sporting an iPhone 5 or a Nokia 3100, you can remotely access your medical information, reschedule doctors' appointments, monitor loved ones' vital signs, receive secure lab results, compete for "best blood sugar control," manage tailored medication reminders, etc.

That day may not be that far off.

@highlight

Many of the 6 billion wireless subscriptions worldwide are in developing countries

@highlight

Nadim Mahmud: Mobile tech can radically transform the way we deliver health care

@highlight

He says doctors can easily send reminders to patients about medication, vaccination

@highlight

Mahmud: Mobile health care innovations in the U.S. are mind-blowing