Nairobi, Kenya (CNN) -- Twenty men are engaged in fiery debate on a sidewalk near Nairobi's Westgate mall, where terrorists stormed the shopping center and killed at least 67 people.

A man at the center gestures emphatically as some listen and nod. Others shake their heads.

Here and at coffee shops and barbershops and social spots the debate is much the same: Should Kenya withdraw its troops from Somalia after terrorists stormed the mall?

The terrorists who attacked the mall on Saturday claimed to be members of Somalia-based Al-Shabaab and barked out their resentment of Kenyan troops in their country.

"They said, 'We are the Al-Shabaab, we are here to kill you for killing our women in Somalia,'" said Jane Kamau, who hid in a box when attackers opened fire at the mall.

Kenya entered a high-stakes gamble two years ago when it sent troops to neighboring Somalia to flush out the Islamist militants it accused of kidnapping and killing foreigners in the coastal area.

The abductions affected Kenya's once-bustling tourism industry, a major hit to the nation's revenue.

Al-Shabaab vowed to attack Kenya until it withdrew its troops. Since then, grenades have landed at bus stops, churches, mosques and bars, killing dozens. Militants have regularly taken to social media to brag about their attacks and to threaten more.

'We need to protect our borders'

John Mutua, part of the sidewalk debate, said keeping troops in Somalia is not the best option.

"We need to get them out," said the 34-year-old businessman. "They'll keep killing us, and we'll continue killing them --- it will never end. We should all stop fighting, start afresh."

Next to him, bank teller John Kamau, 28, shakes his head vehemently.

"That's nonsense, it's not that easy," he said. "We're already in too deep. We will be considered cowards if we get out. They (Al-Shabaab) started it by killing and kidnapping people in our own land."

Mutua waves him off. He tries to draw in a Kenyan soldier standing guard near the cordoned-off area near the mall.

"Do you guys like being in Somalia?" Mutua asks.

The soldier glares at him and turns the other way, clutching a long rifle.

At a barber and hair-stylist shop about 20 miles from the mall, a similar debate is under way.

Jane Njeri sits under a buzzing hair dryer. She pops her head out long enough to give her two cents, before tucking her head back.

"The reason the troops invaded is because our borders were porous to begin with," she said. "We need to fix our security. We need to protect our borders. Those troops fighting in Somalia, we need to bring them home to help with those efforts. If we fix our security, we don't have to fear terrorists."

Philex Ambani, 23, said sending the troops there was not a good idea to begin with. But they should stay, he said.

"If they want our soldiers to get out, they need to stop killing us," he said. "It's that simple. It wasn't worth it to go there over a bunch of tourists, but we are already there. We can't give up now. "

The Westgate mall standoff ended Tuesday, according to government officials. It was the worst terror attack in the nation since al Qaeda blew up the U.S. Embassy in 1998, leaving more than 200 dead.

Kenya's president steadfast

Kenya is East Africa's biggest economy and a crucial trade route into the rest of the continent. It is also a major U.S. ally in the war against Islamist militants in the region.

It provides an important buffer of stability in a region that includes the fledgling Somali government and the politically tense Sudans.

Kenyan President Uhuru Kenyatta has ruled out the withdrawal of the military, which is now part of the African Union forces battling the militants in Somalia.

"We went as a nation to Somalia to fight the war against terror unleashed on Kenyan people, Somali people and people around the world," Kenyatta said this week. "This is not a Kenyan war, this is an international war."

Godwin Murunga, deputy director of the African Leadership Centre in Nairobi, said the threat facing Kenya is complex and withdrawal from Somalia is not advisable.

But revamped security in the nation, he said, will go a long way.

"Kenya needs to bring its citizens together to recognize security threats, to mobilize them into a common security consciousness and surveillance system that they trust and have confidence in," Murunga wrote in an opinion piece for CNN.

'Don't ask me about Shabaab'

Having seen what happened to many of the victims of the mall massacre, Agnes Mumbua said she will do whatever she can to help protect herself.

A Catholic, she plans to learn how Muslims pray and the names of major Islamic figures. Survivors of the mall massacre have said attackers asked victims whether they were Muslims. Those who failed to answer questions about Islam were killed, they said.

"If learning the Quran will help save me, I will do what it takes," she said. "It seems the Kenya government is not leaving Somalia soon, so I might as well protect myself."

Government officials have said the terror attack killed 62 people and five of the suspected 15 terrorists. At least 61 people remain missing, the Kenyan Red Cross has said.

Back on the sidewalk near Westgate, insurance agent Frederick Omolo shakes his head when asked his opinion about Al-Shabaab.

"Don't ask me about Shabaab. I don't want to hear that word in my life, ever," he said.

He's listening to the debate on the militant group, a brown envelope in his hand. In it are life insurance documents for his friend John, whom he was going to meet at a coffee house at the mall.

He was in the parking lot on his way to drop them off for John to sign when he heard gunshots and took off, clutching the envelope.

His friend never left the mall. No one has seen him since.

"On second thought," Omolo said, "let's improve our security big time, post armed cops in major public venues, do a sweep of areas suspected of harboring terrorists, then keep our troops in Somalia to do the job."

Omolo passed by the mall every day during the hostage crisis and sat on a sidewalk behind the police barricade, holding the insurance papers.

They are still in the brown envelope.

@highlight

Kenyan troops have been in Somalia since 2011 to try to root out terrorists

@highlight

The terrorists who killed dozens in Nairobi said they resent troops' presence

@highlight

Some Kenyans say it's time to get out and start afresh

@highlight

Others say withdrawing is a sign of cowardice and that border security is key