(CNN)Ransom is as old as kidnappings, bad guys and money. But it never gets old enough not to demand again, as the Japanese government now knows all too well.

In a video posted Tuesday to social media, a black-clad ISIS militant stood over two men he said were Japanese citizens. Both would die, he said, unless the Japanese government paid the Islamist extremist group $200 million within 72 hours.

That ISIS wants ransom isn't unexpected. But a few things -- like the public nature and staggering amount of the request -- make it stand out.

Yes. It's hard to quantify all the examples, because hostage takers in ambitious militant groups like ISIS rarely make their demands public. But just as kidnappings are the norm for such groups, so is asking for ransom.

One documented example is the case of James Foley, an American journalist abducted in northern Syria in November 2012. ISIS would later demand 100 million euros (about $132 million) for his release, said Richard Byrne, a spokesman for the news website GlobalPost that Foley freelanced for before.

Neither GlobalPost, nor Foley's family, nor the U.S. government paid that amount. Even if they had, there's no telling if ISIS would have kept its word and freed Foley. Instead, the group not only beheaded Foley, but recorded his killing and put it online for the world to see.

One thing that makes the latest ransom request unique is that ISIS made it publicly and set a three-day deadline for it to be met. This suggests as much posturing as fundraising, especially when coupled with its decrying Japan for supporting governments involved in the anti-ISIS fight (even if Tokyo isn't part of the international military coalition going against it).

ISIS' rationale seems similar to other terror groups: Kidnappings help raise money and, if ransoms aren't paid, make a point, such as the groups are not to be messed with and even civilians are in danger.

Rationalizing the public relations strategy of a group like ISIS can be a challenge. But there's no doubt the group uses modern technology to get the word out on its captives, including when they are beheaded. Such pictures further the image of ISIS as a ruthless, defiant organization dedicated to wiping out anyone -- soldiers or civilians -- who doesn't follow its extreme conservative version of Sharia law.

The money-making aspect is more under the radar, but still significant.

The U.S. Treasury Department estimated in 2012 that al Qaeda and its affiliates (which don't include ISIS, though the terror groups have similarities) compiled $120 million from ransoms over the previous eight years.  And a New York Times investigative piece from July 2014 determined that al Qaeda and its affiliates took in $125 million since 2008, including $66 million in 2013 alone.

There hasn't been a similarly detailed review for ISIS, but that doesn't mean ransoms -- in addition to things like oil revenues, criminal enterprises as well as taxes, tolls and other fees imposed on those in its territories -- aren't a significant part of the group's budget.

Countries don't advertise how much they pay in ransom; doing so could invite kidnappers to seize their citizens for ransom. But that doesn't mean some countries don't do it.

The summer 2014 New York Times article, citing French media reports, identified France as the country that pays out the most to al Qaeda affiliates. France's reported $58 million figure, since 2008, is far higher than the next-highest total, $20 million, as paid out from Oman and Qatar. The Times reports that Switzerland paid out $12 million, Spain $11 million and Austria $3 million in the same time frame.

It's not just al Qaeda that France has dealt with: Four French journalists taken captive by ISIS were released last April.

A group's ransom request could depend on a lot of factors. A high-profile hostage, for instance, could demand a higher price. And a solitary kidnapper may ask less than one belonging to a large, powerful, defiant group -- especially one, like ISIS, that's proved its willingness to kill civilians.

The amount of ransom requested and paid apparently has gone up. A decade ago, the Times reported that a standard asking price might be $200,000. Nowadays, it's more likely to be in the millions. Phil Balboni, GlobalPost's CEO, told CNN that European governments have paid between $2 million and $4 million for hostages.

But it is not $200 million, as was requested for the two Japanese hostages. Nor is it the $132 million requested for Foley. Both figures from ISIS are exceedingly high and seem to suggest the group is as interested in making a point (and killing its captives) as it is in making money, given the unlikelihood it will be paid.

On Tuesday, Japanese Prime Minister Shinzo Abe did not rule out paying a ransom or negotiating with his two citizens' captors. Does that mean Tokyo is willing to pay, or at least, talk?

Not necessarily. Japan hasn't said it has paid ransoms before, and there's no reason to think the country would in this case. Japan signed a 2013 G8 communique that stated, "We unequivocally reject the payment of ransoms to terrorists, and we call on countries and companies around the world to follow our lead to stamp this out."

This policy mirrors those of the United Kingdom and the United States, with Foley's mother, Diane, telling CNN that a U.S. official once threatened her with prosecution if she tried to raise ransom on her own. Why wouldn't countries like these two and Japan tap into their relatively vast resources to save the lives of their citizens?

For one thing, groups like ISIS and al Qaeda may not be the most trustworthy, so paying up won't necessarily guarantee a release. And it might end up putting others at risk, both by encouraging more kidnappings and funding those behind mass killings.

As Under Secretary for Terrorism and Financial Intelligence David S. Cohen argued in 2012, "Ransom payments lead to future kidnappings, and future kidnappings lead to additional ransom payments.  And it all builds the capacity of terrorist organizations to conduct attacks."

Some say that countries with no-ransom policies can end up giving militant groups incentives to kidnap more people if they negotiate with them.

This debate raged after the Taliban's release of U.S. Army Sgt. Bowe Bergdahl last year in exchange for five Taliban figures then in U.S. military custody at Guantanamo Bay, Cuba. President Barack Obama said afterward, "I make absolutely no apologies for making sure we get a young man back to his parents."

In Japan's case, such a prisoner swap isn't an option. It's not as if the country has a lot of suspected ISIS members in its custody. So Tokyo's bargaining chips might consist more of doing something like not giving $200 million to those invested in the anti-ISIS fight -- a pledge that Abe said Tuesday he's not willing to rescind.

ISIS' history shows there may not be a lot, but it's possible that there will be talks with the ISIS hostage takers. Japan can point to the fact that unlike the United States and Britain, it's not involved directly with the military effort in Iraq or Syria. ISIS might surprise everyone by freeing the Japanese pair as a goodwill gesture.

But absent a last-ditch diplomatic effort, Japan may have to rely on military forces from allies in the West, the Middle East or elsewhere to rescue its citizens.

Whatever the approach, time is clearly running out.

@highlight

On a video, ISIS demands $200 million to release two Japanese citizens

@highlight

The request is much higher than is typically requested or paid out for hostages

@highlight

Some nations have policies against paying ransom, saying it encourages kidnappers