(CNN) -- I'm a little nervous about flying right now.

You can guess why. An airplane takes off from Malaysia's main airport and disappears. An international coalition of countries has been searching for Malaysia Airlines Flight 370 for more than a week without success. How does an airplane disappear?

Closer to home, a U.S. Airways flight blows a tire on takeoff and smartphone pictures show the plane's nose hitting the ground. Fortunately, the pilot manages to land without seriously injuring anyone. A Delta Air Lines aircraft loses a panel on one of its wings during a flight from Orlando, Florida, to Atlanta. It also lands safely. These scary-sounding mishaps are smaller reminders that things can and do go wrong

Despite how rare airline accidents are, many travelers get nervous when major -- and even relatively minor -- incidents occur. It's not rational thinking. The odds of dying in an airplane crash are really low.

There were 35.1 million commercial flights worldwide, and 15 fatal accidents with 414 fatalities in 2012, the last full year for which the International Air Transport Association has Ascend Flightglobal data.

And the odds are even better if you only flew within the United States: There were no airline fatalities in the U.S. in 2012, according to the National Transportation Safety Board.

You know you're more likely to die in a car crash. More than 33,000 people died in motor vehicle crashes in 2012 in the United States alone. Also specific to the United States, the National Highway Traffic Safety Administration's 2012 Traffic Safety Facts Data reports a fatality rate of 1.14 fatalities per 100 million vehicle miles traveled.

Over the course of your lifetime, you're more likely to die by killing yourself (1 in 106), drowning (1 in 1,112) or choking on your food (1 in 3,842), according to the National Safety Council.

Now that we know all that data, why do air disasters still unnerve us?

The mind was built to flee

From an evolutionary perspective, the mind's primary objective is to look out for anything that might harm us and avoid it at all costs, says Julie Pike, a psychologist at the Anxiety Disorders Treatment Center in Durham, North Carolina. This has helped people live longer for thousands of years, she says.

This discomfort over this latest airline incident reminds us how little control we have over many aspects of our lives.

"We like to be able to see, hear and control where we're going and what we're doing; we like situations in which we believe we could make an exit if necessary, grab the wheel, or jump out of the way," says Pike, via e-mail. "With flying, that's impossible."

This is one weird airline mystery

Commercial airline pilot and aviation author Patrick Smith says the intense media coverage causes people to lose track of the fact that, despite occasional tragedies, commercial flying has never been safer than it is right now.

"Worldwide, the trend over the past several years has been one of steady improvement, to the point where last year was the safest in the entire history of commercial aviation," says Smith, who blogs about air travel at askthepilot.com, via e-mail. "Hopefully their number continues to diminish, but a certain number of accidents will always be inevitable."

"In some ways, the weirdness of the Malaysia Airlines story speaks to how well we have engineered away what once were the most common causes of crashes. Those that still occur tend to be more mysterious and strange than in decades past."

Airline fatalities are rare, but the possibility is still scary. What can we do about it?

Face your fear

Don't try to run from the fear, suggests Pike. "Rather than trying to control the plane, work on accepting the desire to control it," she says.

"Thank your mind for trying to protect you. Focus on simply noticing the thoughts, feelings and sensations without attaching to them or trying to make them go away."

Tell the crew you're scared, suggests flight attendant Heather Poole, author of "Cruising Attitude: Tales of Crashpad, Crew Drama, and Crazy Passengers at 35,000 Feet."

"If we know you're scared, we'll go out of our way to be reassuring if the airplane does encounter a few bumps," says Poole, via e-mail. "We'll update you on whatever information the captain passes along to us regarding delays, mechanicals, weather or turbulence. I've gone as far as to sit in an empty seat beside someone and hold their hand."

Poole, who's been a flight attendant for 18 years, suggests passengers who hate turbulence sit close to the cockpit -- the front of the plane isn't as bumpy as the rear. Passengers can also download the MyRadar app to track the bumpy weather.

Or how about a prayer? Artist's Way author Julia Cameron writes out prayers for her specific fears of flying: takeoff, turbulence and landing. She also takes a nice stack of gossip magazines: "Buy tabloids. Celebrity gossip is engrossing. Celebrity cellulite can make you forget turbulence."

@highlight

The disappearance of Malaysia Flight 370 has made some nervous fliers more nervous

@highlight

Statistics are on the flier's side: More people die in car accidents than in airplane crashes

@highlight

Even eating is more dangerous -- you're more likely to die by choking on your dinner