Brussels (CNN)Soldiers stood guard outside the Jewish Museum in central Brussels on Saturday, as Belgium joined France in deploying its military alongside police to counter the threat of potential terror attacks.

Security has been stepped up across Europe in the wake of last week's shootings in Paris and a sweeping Belgian counterterror operation two days ago that left two suspects dead in the city of Verviers.

An attack at the Jewish Museum in Brussels last year by an accused gunman suspected of having joined ISIS in Syria left four people dead.

Soldiers in camouflage gear and police could also be seen by the Great Synagogue of Europe in Brussels and some roads in the area were closed to traffic. Troops have been deployed in Belgium's largest city, Antwerp, to protect its Jewish district.

The move follows a series of police raids that authorities said targeted a terror cell on the brink of carrying out an attack against police officers.

Defense Minister Steven Vandeput told a news conference that besides Jewish sites, a number of embassies in Brussels were being protected, including those of the United States, Israel and Britain.

Belgium has deployed 150 troops so far in Brussels and Antwerp, he said. That number could be increased by another 150 in the coming days and could be extended to other cities in Belgium, depending on police requests.

The military personnel are supporting the police and are under their command, Vandeput said. Belgium's security council is expected to review the national threat level and security measures next week.

Vandeput told journalists it was the first time in 35 years that the military had been deployed on the streets of Belgium.

Overall, authorities made 17 arrests related to the Belgium threat -- 13 in Belgium and four at two locations in France.

Three people remained in custody and two were released under strict conditions Saturday in Belgium, the prosecutor's office said.  The others were released. In addition, Belgium is seeking the extradition of two Belgian nationals arrested in France.

In a sign of the widening scope of the threat, police in Greece said they are conducting an investigation in connection with the Belgian terror plot. A police spokesman would not specify whether anyone had been taken into custody, saying, "We are not in a position to comment at this point."

Meanwhile, France has deployed more than 10,000 troops alongside thousands of police officers as it responds to the deadly attacks in Paris last week, in which 17 people were killed.

A total of 122,000 police officers, gendarmes and military personnel are deployed as part of the security plan, Interior Minister Bernard Cazeneuve said Friday.

There are 12 people in custody in the Paris region in connection with the investigation there, according to the Paris prosecutor's office. A number have been arrested and then released.

Two men in their early 40s were also arrested Friday in Berlin on suspicion of links to ISIS, police said. They did not appear to have been planning attacks in Germany and the police operation had been planned for some weeks.

European counterterrorism agencies are scrambling to assess the potential terrorism threat from people with suspected links to Islamic extremists.

As many as 20 sleeper cells of between 120 and 180 people could be ready to strike in France, Germany, Belgium and the Netherlands, a Western intelligence source told CNN.

European Union and Middle East intelligence agencies identified an "imminent threat" to Belgium, and possibly to the Netherlands, the source told CNN.

"There is a tremendous amount of concern over sleeper cells in Europe," said a Western official with direct knowledge of the situation.

However, the Netherlands said it was not raising its terror threat level, currently at "substantial," the second-highest level -- where it has been since March 2013.

"That means there is a realistic threat, but no concrete or specific information of an attack in the Netherlands," said Edmond Messchaert, a government spokesman.

One of the two gunmen who attacked France's Charlie Hebdo magazine, Said Kouachi, was buried overnight in his hometown of Reims, France, his lawyer, Antoine Flacaquier said.

Said Kouachi's wife was there, but no other family members -- and there was no imam present, Flacaquier told CNN affiliate BFM on Saturday.

Kouachi was buried in an unmarked grave, Flacaquier said.

His brother Cherif Kouachi's widow, Izzana Kouachi, had requested that both brothers be buried in Gennevilliers, on the outskirts of Paris.

The Gennevilliers mayor's office told CNN that the city was obliged by law to bury Cherif Kouachi there, as he was a resident of the city. But a spokesman for the mayor, Jean-Francois Boye, said that it would not do the same for Said, because he lived in Reims.

The two suspects killed in Belgium were shot during a police raid on a building in the eastern city of Verviers on Thursday, Belgian authorities said. A third suspect was injured and taken into custody in the operation. Authorities have not yet confirmed their identities.

Federal prosecutor Eric Van Der Sypt said Friday that 13 people were arrested in a dozen ensuing anti-terror raids overnight.

"This group for what we know now was specifically targeting Belgium police and planned to kill Belgium police on the streets or in buildings where Belgium police is housed," he told CNN.

"We always have to take into account that there is a possibility that people who go to Syria and come back have plans to commit terrorist attacks. When possible, we try to monitor and we try to follow up these people and especially those who we think could be a threat, but like I said, a zero threat is impossible."

He said the Belgian authorities were already doing all they could to manage the threat.

The suspected terror cell, which included people returning from Syria, planned to target police officers, Van Der Sypt said. Police said they recovered weapons, bomb-making materials and police uniforms.

Two people suspected of involvement with the alleged terror cell in Verviers were detained trying to cross from France into Italy through the Frejus tunnel, a spokesman for Belgium's federal prosecutor's office said.

The attacks in Paris began on January 7, when Said and Cherif Kouachi raided Charlie Hebdo magazine, killing 12 people.

A day later, gunman Amedy Coulibaly -- who purportedly was affiliated with ISIS -- shot a policewoman in the south of Paris.

Coulibaly killed four more people he had held hostage at a kosher supermarket. Police shot him and the Kouachi brothers dead on January 9.

Security officials have since been working to track those with links to the three attackers.

How the Kouachi brothers were radicalized

Al Qaeda in the Arabian Peninsula, al Qaeda's Yemen affiliate, claimed responsibility Wednesday for the Charlie Hebdo shooting. One or both the Kouachi brothers are thought to have traveled to Yemen.

Sectarian turmoil in Yemen is bolstering al Qaeda in the Arabian Peninsula's (AQAP) local recruitment, and buying it space for attacks against the West, according to one Western diplomat.

AQAP's claimed involvement in the Charlie Hebdo attack has turned the spotlight on Yemen and potential connections between jihadists there and in France.

A Yemeni official briefed on security matters told CNN that two Frenchmen had been detained a few months ago as they tried to leave the country.

They were "suspected of offering logistical support to AQAP in the south," the official said, adding that they were not thought to be offering to fight. He said officials were assessing whether to charge the men or what their next step would be.

ISIS, the extremist Islamist group that controls swathes of Iraq and Syria, may present an even greater threat.

Officials are monitoring groups of men who have returned from fighting in Syria.

It is believed ISIS directed operatives to return to Europe to launch attacks in retaliation for airstrikes against the terror group in Syria and Iraq, according to the official.

Several European nations, including the United Kingdom, France, Belgium and the Netherlands, are participating in the air campaign against ISIS in Iraq.

ISIS runs large training facilities in Syria, has deep pockets, and access to thousands of potential European recruits.

CNN's  Ivan Watson reported from Brussels and Tim Lister from Paris, while Laura Smith-Spark wrote and reported from London. CNN's Ray Sanchez, Antonia Mortensen, Nick Paton Walsh, Deborah Feyerick, Paul Cruickshank, Susannah Palk and Lindsay Isaac contributed to this report. Journalist Elinda Labropoulou in Athens also contributed.

@highlight

Greece police investigating connection to Belgian terror plot.

@highlight

Defense minister says military deployment is first on Belgium's streets for 35 years

@highlight

Belgian soldiers are protecting Jewish sites, embassies, amid a heightened terror threat