(CNN)  -- The terrorist threat posed by radicalized Muslim- Americans has been exaggerated, according to a study released Wednesday by researchers at Duke University and the University of North Carolina at Chapel Hill.

A small number of Muslim-Americans have undergone radicalization since the September 11, 2001, terrorist attacks on New York and Washington, the study found. It compiled a list of 139 individuals it categorized as "Muslim-American terrorism offenders" who had become radicalized in the U.S. in that time -- a rate of 17 per year.

That level is "small compared to other violent crime in America, but not insignificant," according to the study, titled "Anti-Terror Lessons of Muslim-Americans."

To be included on the list, an offender had to have been wanted, arrested, convicted or killed in connection with terrorism-related activities since 9/11 -- and have lived in the United States, regardless of immigration status, for more than a year prior to arrest.

Of the 139 offenders, fewer than a third successfully executed a violent plan, according to a Duke University statement on the study, and most of those were overseas. Read the report:"Anti-Terror Lessons of Muslim-Americans"

"Muslim-American organizations and the vast majority of individuals that we interviewed firmly reject the radical extremist ideology that justifies the use of violence to achieve political ends," David Schanzer, an associate professor in Duke's Sanford School of Public Policy and director of the Triangle Center on Terrorism and Homeland Security, said in the statement.

In the aftermath of 9/11, however, as well as terrorist attacks elsewhere in the world, the possible radicalization of Muslim-Americans is a "key counterterrorism concern" -- magnified by heavy publicity that accompanies the arrests of Muslim-Americans, such as that seen in the wake of the November shootings at Fort Hood, Texas, in which 13 people were killed. Army psychiatrist Maj. Nidal Hasan, a Muslim born in Virginia, is charged in connection with that incident.

Other high-profile incidents include the charging of eight Somali-American men on charges related to what authorities say are efforts to recruit youths from the Minneapolis, Minnesota, area to fight for al-Shabaab, a Somali guerrilla movement battling the African country's U.N.-backed transitional government. At least two young men from Minnesota have been killed in Somalia, including one who blew himself up in what is believed to have been the first suicide bombing carried out by a naturalized U.S. citizen.

In addition, five Americans were arrested last month in Pakistan, and police have said they are confident that they were planning terrorist attacks. A Pakistani court Monday gave police two weeks to prepare their case against the five; authorities have said they plan to prosecute the youths under the country's anti-terrorism act.

But it is the Muslim-American communities themselves who play a large role in keeping the number of radicalized members low through their own practices, according to the study. Leaders and Muslim-American organizations denounce violent acts, for instance, in messages that have weight within communities.

In addition, such communities often self-police -- confronting those who express radical ideology or support for terrorism and communicating concerns about radical individuals to authorities. Some Muslim-Americans have adopted programs for youth to help identify those who react inappropriately to controversial issues so they can undergo counseling and education, the researchers said.

"Muslim-American communities have been active in preventing radicalization," said Charles Kurzman, professor of sociology at UNC, in the statement. "This is one reason that Muslim-American terrorism has resulted in fewer than three dozen of the 136,000 murders committed in the United States since 9/11."

However, "since 9/11, there has been increased tension among Muslim-Americans about their acceptance in mainstream American society," the study said. Muslim-Americans report feeling a stronger anti-Muslim bias from the media as well as from day-to-day interactions.

"While Muslim-Americans understand and support the need for enhanced security and counterterrorism initiatives, they believe that some of these efforts are discriminatory, and they are angered that innocent Muslim-Americans bear the brunt of the impact of these policies."

Steps can be taken to minimize radicalization among Muslim-Americans, the study said. The most important is encouraging political mobilization among Muslims, which helps prevent radicalization and also demonstrates to Muslims abroad "that grievances can be resolved through peaceful democratic means." Policymakers should include Muslim-Americans in their outreach efforts, and public officials should attend events at mosques, as they do churches and synagogues, the study recommended.

Also, Muslim-American communities should widely disseminate their condemnation of terrorism and violence, and those statements should be publicized, the study said. Law enforcement has a role to play as well, by making efforts to increase the level of trust and communication with such communities. This could include the cultivation of Muslim-American informants, the study suggested, a policy that could be developed and openly discussed with community leaders.

Governments can promote and encourage the building of strong Muslim-American communities and promote outreach by social services agencies, the study said. "Our research suggests that Muslim-American communities desire collaboration and outreach with the government beyond law enforcement, in areas such as public health, education and transportation."

And the Muslim-American community can promote enhanced education about its religion and beliefs, the study said. Increased civil rights enforcement can also be an important tool.

However, policies that alienate Muslims may increase the threat of homegrown terrorism rather than reducing it, the study said.

"Our research suggests that initiatives that treat Muslim-Americans as part of the solution to this problem are far more likely to be successful," said Schanzer.

Schanzer, Kurzman and Ebrahim Moosa, associate professor of religion at Duke, co-authored the study, which summarized two years of research involving interviews of more than 120 Muslims in four different communities nationwide -- Seattle, Washington; Houston, Texas; Buffalo, New York; and Raleigh-Durham, North Carolina. The study was funded by a grant from the Department of Justice.

@highlight

Study released Wednesday by researchers at Duke University and UNC-Chapel Hill

@highlight

139 people listed as "Muslim-American terrorism offenders" since 9/11

@highlight

Summarized research involving interviews of more than 120 Muslims in four U.S. communities

@highlight

Study: Ideology "that justifies the use of violence for political ends" is roundly condemned