(CNN) -- When protests swept across Tunisia and Egypt at the beginning of this year, history student Jabbar Savalan was inspired.

A 19-year-old in oil-rich Azerbaijan, he did what many activists in the Arab world were doing: He got online, posting a call on Facebook for a "Day of Rage" against the authoritarian government of the former Soviet republic.

The next day, February 5, he was arrested, handcuffed and forced into a police vehicle without being informed of his rights, according to Amnesty International. He has been in custody ever since.

He says he was interrogated for two days before he saw his lawyer, slapped, and threatened into signing a confession, the group says.

Police say they found a small amount of marijuana in his jacket pocket, according to Amnesty. Three months after being arrested, he was sentenced to prison, despite a blood test which showed no presence of drugs, and the testimony of his family and friends that he is not a drug user.

He's due to get out in August 2013.

Savalan is one of at least 17 Azerbaijanis considered "prisoners of conscience" by Amnesty International, which released a damning report Wednesday accusing the country of suppressing dissent and the press.

Self-censorship has increased and criticism of the state "is punished in all sectors of society," Amnesty's Azerbaijan researcher Natalia Nozadze said in the capital, Baku, on Wednesday.

The "report shows lengths that the government goes to to silence" opponents, she said.

The "government has criminalized peaceful protests by banning them" and "defamation of the government continues to be criminal offense," she said.

The government of President Ilham Aliyev -- whose father, a one-time member of the Soviet Politburo, was president before him -- uses techniques described as despotic in other parts of the world, said a top Amnesty official.

"Azerbaijan has achieved the bones but not the meat of a democracy -- opposition are allowed to exist but not to function," said John Dulhuisen, the deputy director of the agency's Europe and Central Asia program.

He said Amnesty's researchers had not been able to meet government representatives while preparing the report, which is called "The Spring That Never Blossomed: Freedoms suppressed in Azerbaijan."

An opposition journalist who served four years in prison also spoke at the press conference.

Eynulla Fetullayev, founder and editor-in-chief of Gundalik Azerbaijan and Realny Azerbaijan newspapers, was sentenced to eight years and six months in jail in 2007, but Amnesty International helped him win his freedom earlier this year, he told the press conference.

Pro-government media, including the main television channels, did not attend the press conference, local journalists told CNN.

The head of the International Press Institute expressed some support for Azerbaijan's government, saying it had displayed a willingness to engage in dialogue.

But she said self-censorship was a concern.

"Journalists in Azerbaijan fear retribution from businesses and government officials over what they write. They fear jail or physical attack and that is unacceptable," said Alison Bethel McKenzie.

The government rejected Wednesday's report.

"The Amnesty report was not fair at all. Its task was to criticize Azerbaijan. I don't think this is fair," said Foreign Affairs Ministry spokesman Elman Abdullayev.

"Democracy is a process. Things that have been achieved here and done so far should be mentioned," he argued.

He said the media are free to say whatever they like, and he rejected the idea that there were prisoners of conscience in his country.

Azerbaijan is strategically important because of pipelines that bring oil and gas from the Caspian Sea and Central Asia to the West via Turkey.

Amnesty insisted that the international community is more interested in Azerbaijan's oil and gas sectors than in a democratic government that supports human rights.

Located between Russia, Iran and Turkey, Azerbaijan cooperates with NATO and is a member of the Council of Europe -- which has also been critical of Azerbaijan in the past.

@highlight

Azerbaijan clamped down on dissent inspired by the Arab Spring, Amnesty says

@highlight

It accuses the oil-rich ex-Soviet republic of holding at least 17 prisoners of conscience

@highlight

Azerbaijan rejects the report as unfair

@highlight

The Caspian Sea country has strategically important oil and gas pipelines