Arriving with the Iranian supreme leader's blessing to show "heroic flexibility" in global diplomacy, and having built up to his U.N. General Assembly appearance with weeks of conciliatory gestures, tweets and media engagement, Iranian President Hassan Rouhani carried the prospect of a sudden breakthrough in the 34-year U.S.-Iran impasse in his right hand. But despite fevered global attention, no dramatic handshake with President Obama ever happened.

Reportedly, the Iranian U.N. delegation told its American counterparts that the handshake was "too complicated back home" just now.  When it will not be too complicated back home is a good question.

If recent history is any guide, things may remain complicated for some time.

In 1998, then-Iranian President Mohammad Khatami came to the U.N. General Assembly after a landslide election victory and an even stronger voter mandate than Rouhani.  President Bill Clinton addressed the assembly the same day as Khatami, and media outlets speculated on the prospect of a "chance" meeting between presidents.

Clinton and Khatami earnestly wished to meet, but the word came from Tehran forbidding the encounter.   Even then, it was "too complicated" back in the corridors of power in Tehran.

Also in parallel, then-Secretary of State Madeline Albright and Foreign Minister Kamal Kharrazi met within the contact group working on Afghanistan, just as Secretary of State John Kerry and Foreign Minister Javad Zarif are set to meet Thursday within the context of the P5+1 -- countries involved in diplomacy with Iran over its nuclear program -- and possibly one-on-one.

No presidential meeting ever happened at either General Assembly  gathering.

Nonetheless, after the 1998 assembly, positive U.S.-Iran diplomatic engagement on Afghanistan did foster the removal of the Taliban and a successful Bonn Agreement establishing a democratically elected Afghan government.

This limited but important diplomatic progress continued, despite some setbacks, until President George W. Bush ranked Iran among the "axis of evil" in his first State of the Union address after September 11.  Things had become pretty complicated in Washington.

At the presidential level, either the U.S. side or the Iranian side can always -- and credibly -- point to domestic political factors making any bold conciliatory gesture too complicated.  Deeply rooted policy instruments, skepticism, alliance structures and political careers have grown up around three decades of estrangement in both capitals.

Given these longstanding issues, it is not surprising that the adversarial framework still guides virtually all interaction and that breakthroughs -- even as simple as those afforded by a handshake -- are fraught with peril.  Indeed, even the Supreme Leader of Iran Ayatollah Ali Khamenei was obliged to qualify his recent call for "heroic flexibility" after hardliners objected.

But while the U.S.-Iran relationship might continue within this adversarial framework for the time being, with complex domestic considerations affecting every step, there is still some reason for measured optimism.

Coming out of their General Assembly appearances, both presidents seemed to agree on four key points:

First, that the nuclear issue is a primary obstacle to progress on other areas of dispute, and resolving this issue must be a top priority.

Second, that the diplomatic arena, rather than the superheated spotlight of head of state politics, may hold the key to real progress.

Third, that discussions aimed at resolving the nuclear dispute must take place within an atmosphere of "mutual respect."

Fourth, that any reduction of economic sanctions will require concrete, verifiable progress on the nuclear issue.

No less important than this consensus on foreign policy, both understand that antagonizing important domestic constituencies in each others' capitals only makes diplomatic progress harder.  President Rohani's acknowledging the Holocaust during his interview with CNN's Christiane Amanpour on Tuesday, and thereby distancing himself from his bellicose predecessor, was a welcome case in point.

To advance these priorities, both the United States and Iran have entrusted progress on the nuclear issue to their diplomats.  On the U.S. side, Obama announced during his U.N. speech that Kerry would assume the lead on the nuclear issue.  Within Iran's system, Iran's Foreign Ministry took over the nuclear file from the Supreme National Security Council after the appointment of Zarif.

Zarif's credentials and track record offer the promise of a credible and professional partner, as does the clear mandate of Iran's recent elections that brought Rouhani to power with the promise of ending Iran's international isolation.

So the spotlight shifts to diplomacy, and both sides agree that tangible, timely results are a must.  Kerry now must be empowered to employ all the tools in America's diplomatic arsenal to achieve progress in tandem with U.S. allies on the Iran nuclear issue.

The best intelligence and analysis support, upgraded Persian-language media outreach and information programming, and expanded academic and cultural exchanges with the Iranian people will bolster State's efforts greatly.  Of course, U.S. allies as well as Congress -- justifiably skeptical after so many years -- must be kept informed of progress.

It will take hard work and time, but for the first time in decades, empowered bilateral diplomacy has a chance.  Perhaps at some point along the long road ahead, ideally after a peaceful resolution to the nuclear dispute opens the way to broader bilateral dialogue, we may even witness the long-awaited presidential handshake.

@highlight

Ramin Asgard says an Obama-Rouhani handshake turned out to be "too complicated"

@highlight

Asgard: Near-U.S.-Iran presidential handshake in 1998, but it was complicated then

@highlight

But diplomatic signs hopeful, he says, and Obama and Rouhani agree on key principles

@highlight

Asgard: For the first time in decades, empowered bilateral diplomacy has a chance