Abu Dhabi (CNN) -- The last four years of economic sanctions by the U.S., the European Union and other western partners have ground down the Iranian economy.

At this time last year, the Iranian rial had plummeted 80% from its peak, inflation had shot up, poultry and bread were in short supply and there were numerous reports of layoffs in the state manufacturing sector.

But the most glaring example of the pain exerted has to be in the energy sector.

READ MORE: Rouhani -- Nuclear weapons have no place in Iran's security

Iran's oil output has plummeted to the lowest level since 1992, to just 2.6 million barrels a day this summer. According to BP's Statistical Review of World Energy, production peaked out at 4.39 million barrels before sanctions in 2007.

That lost export production is currently costing Iran $58 billion a year, based on conservative pricing of $95 a barrel. It's incentive enough to get back to the bargaining table.

The industry is salivating at the potential return of Iran to the energy market, although there is a great deal of diplomatic ground to cover.

Iranian President Hassan Rouhani has opened the door to compromise and U.S. President Barack Obama is open to breaking a 30-year impasse, but it is just the beginning.

We often hear that it will take years for Iran's energy sector to recover, but getting back to pre-sanctions levels may be easier than most people believe.

READ MORE: China set to pass U.S. as top oil importer

"This is a thirty day proposition, to get back to where they were before the sanctions," Fereidun Fesharaki, the Chairman of FACTS Global Energy told me. "Now if you want to get higher volumes then it takes many, many years to build up the capacity."

Not only is Rouhani speaking in moderate tones, but he has placed a like-minded individual at the ministry of energy. Bijan Zanganeh was oil minister from 1997-2005, what many refer to as Iran's "golden era" of production.

Major contracts were signed with French energy giant Total, Anglo-Dutch group Royal Dutch Shell, Norway's Statoil and Gazprom of Russia. Little has happened since.

READ MORE: Threat of military strike sends ripples through oil industry

The potential is clearly there. Iran sits on 9.4% of proven global oil reserves, putting it in the top five worldwide. The outlook is more promising for natural gas, with 18% of global reserves, placing Iran number one, according to BP's annual survey.

Iraq's Deputy Prime Minister of Energy, Hussain al-Shahristani, told me he hoped diplomacy will take its course. He said world energy markets should count on a slight easing of sanctions over time, which he doubts will impact the price of crude in 2014.

But one can see a perfect storm brewing, with some major factors converging over the next 12 months.

Oil kingpin Saudi Arabia is building capacity to pump 12.5 million barrels a day. Iraq is aiming to go from 3.5 million by the end of this year to 9 million by 2020. The U.S., according to the International Energy Agency, will be level-peg with Saudi Arabia by the end of the decade as well.

This is why producers here in the Middle East may not be jumping for joy if Iran mounts a surprisingly quick return the markets in 2014.

READ MORE: From hope to despair: Egypt slides into economic collapse

"Nobody wants Iranian oil back on the market," said energy consultant Fesharaki. "If they came in today, the immediate reaction is the Saudis either have to cut back production or the price of oil must fall. It's not possible to just continue business as usual."

In early 2012 Saudi Arabia's energy minister Ali al Naimi told me the Kingdom wanted to defend $100 a barrel, and it has been able to do so. As a result, OPEC producers have been swimming in surpluses, making $1.25 trillion in 2012.

READ MORE: Where Keystone's oil will go

If Iran's nuclear development plan can be agreed within the IAEA -- a very big if at this juncture -- it would lower the tenor of anxiety in the region. Oil strategists say it would also begin reducing the current risk premium, which has kept the benchmark crude North Sea Brent above the century mark for a record three years in a row.

@highlight

Economic sanctions have ground down the Iranian economy and hit the energy sector

@highlight

The country has huge potential and president Rouhani has opened the door to compromise

@highlight

The global markets are salivating at the idea of Iran boosting its oil exports

@highlight

But a return will cause significant upheaval, and not all will welcome it