Tasmania (CNN) -- As the sun sets, clouds of smoke begin to glow deep orange and pink. I watch as flames leap from the dark silhouettes of trees and embers are flung high into the night sky.

I look over the forest that I have watched day in and day out for almost 15 months. As fire throws an eerie glow across my upper canopy home, I say goodbye.

It was over a year ago that I first climbed a rope 60 meters to the top of an old growth Eucalypt in Tasmania's Southern Forests and vowed to remain at that lofty height until the forest was protected.

For 449 days, I lived in constant uncertainty about when it would be that I would return to the ground. But I never imagined it would be like this.

In early March, a fire started within two kilometers of my tree-sit. It was so close that any change in the wind direction could have brought the flames to my tree within minutes, and I may not have made it out of there alive. I had to get down. Early police investigations found the fire was deliberately lit.

That first moment my feet touched earth was incredible and overwhelming. I clung to my climbing rope and didn't want to let go. After being attached physically to the tree by that rope for so long, it was a big step to take to finally let go and walk through the forest.

The next big step was the car, which, after only moving as far as the tree could sway for all those months, felt like I was suddenly hurtling along at the speed of light. Then there was an even bigger step -- the house. Being surrounded by four walls and a roof again was certainly something to get used to.

While I now hold the Australian record for the longest ever tree-sit, it was never about records. I went up that tree and remained there for one reason -- to protect Tasmania's unique, ancient forests that were, and still are, under threat from industrial scale logging.

In early February, the Australian government made a nomination to include 124,000 hectares of threatened Tasmanian forest into the existing World Heritage Area.

When I heard the news I sat and watched as honey eaters and pardalotes hopped from branch to branch around me, imagining what it would feel like to descend from the tree knowing this forest would never be logged.

Within days the reality began to be exposed around the state logging was continuing unabated in those forests nominated for World Heritage. In response to protests for the logging to stop, Tasmania's deputy premier Bryan Green said that it was only occurring in a small number of coupes where "existing harvesting operations" were being completed.

Clearly, the fight was far from over. And so, I renewed my determination -- I would stay in the tree for as long as it takes. After preparing myself to stay in the upper canopy of that magnificent tree for an indefinite period of time, the abrupt end of my action was a shock and something I am still coming to terms with.

I do not regret one single day being in the tree tops. I am proud of what I have achieved in bringing an international spotlight to these spectacular forests. I can't say it was always easy. There were certainly times when I wondered what on earth I was doing on a tiny platform in the middle of a wild forest, exposed to storms, wind, rain and snow.

However, through all the challenges the beauty of the forest shone through. I watched the forest change through all four seasons, as the tree exploded with flowers in summer right through to seeing the entire forest carpeted in thick white snow in the middle of winter.

I was lucky enough to have a solar panel and Internet to communicate to the world, allowing me to Skype my way into conferences, festivals and school groups as well as update a blog about life in the tree.

For all this technology and communication, the isolation of being alone in the tree tops was often overwhelming. The tree became my closest companion, along with the birds, skunks and many beetles that shared my upper canopy home.

While I was in the tree I had thought many times about how much I missed my friends and family and how amazing it would be when I finally reach the earth again and can spend time with them. Now I begin to realize how I was never really alone in that tree.

Being on the ground has its advantages of course, and I have enjoyed my first hot bath and sleeping in a proper bed. But there is a hard side to it too, and I miss the tree and the birds more than I could have imagined. I miss the daily visits from the curious currawongs who would hop around on my platform. I miss watching the trees sway in the wind. I miss the sound of boo-book owls calling gently across the moonlit valley. I miss the constant presence of the tree by my side.

I may be on the ground but I am no less determined to continue this fight. I will be doing everything I can from the ground to keep the pressure up on the industry and the Australian government. Now that the government has recommended these areas for internationally recognized protection, it is even more critical that people around the globe take a stand to ensure these ancient forests survive for the future.

The opinions expressed in this commentary are solely those of Miranda Gibson.

@highlight

Environmentalist spent months up a tree in attempt to stop logging

@highlight

Miranda Gibson was forced down in March after fire threatened tree

@highlight

She describes the feeling of coming back to ground after 449 days

@highlight

Gibson vows to continue fight to save Tasmania's Southern Forests