(CNN) -- The U.N. Security Council on Sunday condemned the weekend massacre of more than 100 civilians in Syria, with members casting blame on government forces for the deaths, while violence continued to rage on the ground.

U.N. military observers said the toll from the Friday assault on the village of Houla included dozens of women and children. After consultations Sunday afternoon, Security Council members condemned "attacks that involved a series of government artillery and tank shellings on a residential neighborhood," as well as the killings of civilians by close-range gunshots and "severe physical abuse."

"Such outrageous use of force against the civilian population constitutes a violation of applicable international law and of the commitments of the Syrian government under United Nations Security Council Resolutions 2042 and 2043 to cease violence in all its forms, including the cessation of use of heavy weapons in population centers," said Azerbaijan's Deputy Ambassador Tofig Musayev, who presided over the meeting. The members demanded that Syrian troops immediately pull its troops and heavy weapons back from cities in accordance with an April cease-fire.

Read Ban Ki-moon's letter to the Security Council

Bashar Jaafari, Syria's U.N. ambassador, told reporters the statement wasn't blaming his government for all the killings, since the statement left the cause of most deaths ambiguous. He said most of the deaths were caused by gunfire, and the council statement did not specifically assign blame for those fatalities.

And Russia, a longtime ally of Syrian President Bashar al-Assad, believes "it still remains unclear what happened and what triggered what," as Russian charge d'affaires Alexander Pankin put it.

But German Ambassador Peter Wettig said there was "clear evidence" connecting the government to the deaths. "The evidence is not murky, and there is a clear footprint of the government in this massacre," Wettig said. And Martin Brines, the French deputy ambassador, said a briefing by the head of the U.N. observer mission in Syria "clearly shows the responsibility of the Syrian government in failing to protect its civilians as well, as attacking them directly."

U.N. observers in Syria said the toll from the Houla massacre had risen to 108 on Sunday, including 34 women and 49 children under the age of 10, said Sausan Ghosheh, the observer mission's spokeswoman. Horrific images of the bodies in Houla spread across the internet, fueling fresh protests by Syrian opposition groups in several cities.

Videos posted Sunday on YouTube show demonstrations in cities around the country, including Damascus, Daraa, Idlib, and the suburbs of Hama.

"Oh Houla, we are with you until death," protesters chanted in Daraa. And a demonstration in Idlib showed a U.N. vehicle among protesters. In the Hama suburbs, demonstrators called for President Bashar al-Assad to step down.

But the 14-month-old clampdown continued, with opposition activists reporting another 51 people -- including 11 children and four women -- killed across the country on Sunday. Twenty-five of those deaths took place in Hama, where heavy shelling was reported, they said.

Opposition activists said killings began with a mortar bombardment following Friday prayers, followed by a rampage by government-allied militias. Video posted over the weekend showed opposition activists displaying the bloodied remains of more than 10 children, including some with limbs blown off or skulls torn open. In another, medics treated a crying infant whose chest was covered in bandages.

Syria has denied its troops were behind the bloodbath in Houla, and Jafaari denounced what he called a "tsunami of lies" against his government. He called the deaths "an appalling, horrific unjustified and unjustifiable crime" and vowed Syria's government had launched a national commission to investigate them.

"Whoever committed these crimes will be held accountable by the Syrian authorities, by the Syrian government's law," he said.

In state-run media, the Syrian regime said "al Qaeda-linked terrorist groups committed two horrible massacres against a number of families in the towns of al-Shumariyeh and Taldo in the countryside of Homs province."

The state report also showed gruesome images of children spattered with blood.

CNN can not independently confirm details from Syria nor the authenticity of videos, however, as the Syrian government strictly limits access by foreign journalists.

But Alex Thomson, a reporter for Britain's ITV television network who was in Houla, said its residents appeared to be voting with their feet.

"There are lots of civilians in the rebel-held areas. They are not apparently frightened of the fighters. They are speaking openly to the United Nations," Thomson told CNN. "In the areas of the town held by the army, there is nobody -- it's a ghost town."

U.N. human rights chief Navi Pillay called for the situation in Syria to be referred to the International Criminal Court.

"There should be an immediate and unfettered investigation of the incident by an independent and impartial international body," she said. "The Syrian government has a legal and moral responsibility to fully assist such an investigation, and to take concrete steps to prevent any similar acts."

The New York-based Human Rights Watch similarly demanded an investigation and echoed the call for the U.N. Security Council to refer Syria to the ICC.

Citing survivors to the violence in Houla, the group reported that armed men dressed in military clothes attacked homes and executed families, though witnesses did not know whether the men were members of the army or a pro-government militia.

The group recounted the experience of a 10-year-old boy, who saw his 13-year-old friend shot.

The Syrian crisis began in March 2011, when peaceful demonstrations modeled on the "Arab Spring" uprisings in Tunisia and Egypt sprang up across Syria. Al-Assad's government responded by turning police and troops on demonstrators -- but the protests spread across the country, with defecting soldiers taking up up arms on behalf of the opposition.

A cease-fire agreement, brokered by former U.N. Secretary-General Kofi Annan's office, has been in place since April 12 as part of a six-point peace plan. But Col. Qasim Saad Eddine, a spokesman for the rebel Free Syrian Army, said Saturday that it was "no longer possible to abide by the peace plan" after the Houla killings.

U.N. officials say more than 9,000 people, mostly civilians, have died and tens of thousands have been uprooted since the uprising began in March 2011. Opposition groups report a death toll of more than 11,000 people.

Sunday's Security Council session came a day ahead of a scheduled meeting between Syrian officials and Annan, the joint U.N.-Arab League special envoy on the crisis. Meanwhile, British Foreign Secretary William Hague was headed to Moscow for talks in hopes of putting Russian pressure on al-Assad.

"We have had many differences of view with Russia at the Security Council, but Russia does support the Annan plan," Hague said in a statement from his office. "And so I hope Russia will redouble its efforts to get the Assad regime to implement that plan. It's not in the interests of Russia, just as it's not in the interests of anybody in the world, for Syria to descend in to an even bloodier situation and into full scale civil war and that is now the danger."

A U.N. report issued Friday said Syrian forces are still using heavy weapons in many areas despite the April cease-fire, and "The overall level of violence in the country remains quite high" despite the presence of U.N. monitors. Monitors have heard the sound of shelling in cities and towns and seen the aftereffects, their report states, while Syrian authorities say they were coming under fire from rebel troops.

Meanwhile, opposition groups effectively control "significant parts of some cities" the monitors state. But the government's stepped-up security crackdown "has led to massive violations of human rights" by Syrian troops and pro-government militias, the report states.

The United States joined the condemnation of the Sunday afternoon. National Security Council spokesman Tommy Vietor said the United States was horrifed by "credible reports" of the massacre, "including stabbing and ax attacks on women and children."

"These acts serve as a vile testament to an illegitimate regime that responds to peaceful political protest with unspeakable and inhuman brutality," Vietor said in a written statement.

@highlight

More than 50 people are killed throughout Syria on Sunday, opposition activists say

@highlight

Security Council singles out "government artillery and tank shelling" in massacre

@highlight

"Severe physical abuse," gunfire also blamed

@highlight

Syria says the statement leaves blame ambiguous, promises to investigate