(CNN) -- The United States is looking for new ways to regain its strength, to shake off the recession blues and fortify its position of international leadership. But Washington is missing the obvious, neglecting its closest neighbors. Big mistake.

With America's European partners struggling, with China's economy powering ahead, and the Middle East simmering with uncertainty, Washington has decided to "pivot" from its decade-long post-9/11 wars and look to Asia and the Pacific. But the United States is overlooking the most logical, natural place to build strong friendships, partnerships and alliances: Latin America.

In recent years, attention focused on two places. First, the perennial center of global turmoil, the greater Middle East shook under armed conflict and ideological clashes, with major wars in Iraq and Afghanistan happening simultaneously with an escalating confrontation between Iran and the West over Tehran's nuclear program.

At the same time, nervous attention turned to China, whose dazzling growth propelled a once-minor economy into the world's second largest in a few short years, making it clear that the China-U.S. rivalry will become one of the dominant features of this century.

But while Washington paid little attention, something rather spectacular happened to the south, in Latin America.

A region that had become a caricature of itself -- the place that gave us words such as junta and banana republic -- attained a new level of political and economic maturity. Most countries found a workable economic formula, addressing poverty without repelling investors. In most nations, democracy grew strong roots.

Not everybody ignored the Latin American miracle. China and Iran, the two countries the West most worries about, have been busy developing diplomatic relations and increasing economic ties.

During years when the United States paid little mind to relations with Latin America, home to 600 million people with economies worth $5 trillion, Beijing and Tehran set their sights on the American hemisphere.

Beijing engaged in an aggressive economic push, becoming a top customer for Latin American natural resources, loaning billions, developing infrastructure and building trade ties.

And Iran found in Latin America a way to dodge Western economic sanctions and break its diplomatic isolation. In the last few years, Tehran has opened new embassies in Colombia, Chile, Uruguay, Bolivia, Ecuador and Nicaragua. In addition, it is opening Iranian cultural centers in 17 countries in the region. Political and economic ties are blossoming, while Washington pays little attention.

And this is happening just as Latin America has developed in a direction that could make it easier to build ties with the United States. Most people in the continent live in democracies, having strongly rejected the right of the military to seize power and rule by force. Most Latin countries now have free market economies that seek, with some success, to raise the bottom for the millions who still live in poverty.

Latin America and the United States have much in common. With the exception of Cuba, Venezuela, and two or three Venezuelan acolytes, the hemisphere, including the United States, is made up of countries that share easily compatible ideologies.

With 50 million people of Latino heritage living in the United States, personal ties also help create a steady foundation for a more powerful hemispheric alliance.

To be sure, not every country has seen stronger democratic and economic growth in recent years. Venezuela has seen its economy falter and its president, Hugo Chavez, has amassed a dramatic concentration of power. That model, in which the president grows so powerful that it undermines democratic institutions, has been imitated to different degrees in Bolivia, Nicaragua and Ecuador. But the model embraced with the greatest enthusiasm is unabashedly democratic, market-friendly, with a social conscience, as seen in Brazil.

The results have been spectacular. China wows the world with double-digit economic growth, but Brazil has suddenly become the world's seventh largest economy, on its way to displace the U.K.  as the sixth. Brazil's Gross Domestic Product grew 7.5% last year. Argentina's soared 9.2%. Others expanded just as fast. Paraguay's GDP climbed a stunning 15% and Uruguay's more than 8%.

Much of that came from trade with China. And if China's economy falls into recession, Latin America will hurt. But Latin economies are pulling tens of millions out of poverty and into the middle class. That means they are becoming consumers who could keep the economy moving even if trade falters.

In a region where the United States has long been the unrivaled principal trading partner, trade with China is exploding, totaling $180 billion last year, up 160% since 2006. Suddenly, China has become Brazil's main commercial partner, topping the United States.

Just when it most urgently needs to regain its footing, the United States is ceding ground through neglect, missing out on the chance to expand markets in a way that could benefit the United States and Latin America, and losing diplomatic and political ground when it can least afford it.

Washington will inevitably continue to focus on the Middle East. And Asia will surely garner growing attention. But neglecting Latin America is simply foolish. The United States is overlooking a natural alliance. A respectful partnership, not one where one country dictates to others, could help the United States build a stronger diplomatic presence on the global arena, help it shake the blues and get ready for the tough challenges the young century has already thrown in its path.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: As U.S. starts to look to Asia, it overlooks the opportunities in Latin America

@highlight

Countries like Brazil are booming economically and have strong democracies, she says

@highlight

Ghitis says others have noticed: China overtook U.S. as Brazil's main commercial partner

@highlight

Ghitis: 50 million Latinos in the U.S. also create a strong, natural foundation for alliances