Chicago (CNN) -- Doctors and patients have a new tool to prevent breast cancer: A drug that is already approved for the treatment of the disease.

Women who are at high risk for breast cancer that is fueled by the hormone estrogen could reduce their risk of getting cancer by taking the hormone-blocking drug Aromasin, according to a study presented at a conference in Chicago on Saturday.

"We proved that exemestane (Aromasin) reduced the risk of invasive breast cancer by 65%," said lead author Dr. Paul Goss, who is a breast cancer specialist at Boston's Massachusetts General Hospital. Goss presented his research at the annual conference of the American Society of Clinical Oncology. The study has also been published in the New England Journal of Medicine.

Aromasin is one of three drugs in the class of drugs called aromatase inhibitors, which block the production of estrogen in postmenopausal women.

Two other estrogen-blocking drugs exist, but few women use them to prevent breast cancer because there are rare but serious possible side effects, such as an increased risk of uterine cancer and blood clots.

Previous studies showed that cancer drug tamoxifen reduced the risk of getting breast cancer in older women by 50% and osteoporosis drug raloxifene reduced the risk by 38% after five years of taking the drugs.

Exemestane, better known under the brand name Aromasin. was found to have fewer side effects than tamoxifen, according to Goss. His study enrolled 4,560 healthy postmenopausal women at high risk for breast cancer in a placebo-controlled, double-blinded clinical trial. The 65% risk reduction was found after women had been taking the drugs for only three years. The study continues.

"This is the first study to show that a new class of drugs, aromatase inhibitors, have the ability to prevent breast cancer in high-risk women," said Dr. Jennifer Litton, who is a breast cancer specialist at the MD Anderson Cancer Center in Houston and is not connected to this research.

Litton says she prescribes tamoxifen a lot in her practice and believes it's a very good and very affordable drug. But when she tells women about the possible side effects like uterine cancer, "it definitely scares women away, even though the incidence of these side effects is really rare." She hopes more women in the high-risk category will now be open to taking a cancer-preventing drug like Aromasin.

Dr. Jose Baselga is the associate director of Massachusetts General's Cancer Center, but did not participate in the research. He says the study is very good but cautions that the side effects of Aromasin should not be ignored.

"Aromatase inhibitors do have side effects and they are significant," Baselga said. Women can have hot flashes, get arthritis and suffer bone loss from taking the drugs, which can have a big impact on a woman's quality of life, especially for someone who doesn't actually have cancer, he said. He also pointed out that 94 women were treated with this drug and did not benefit before one woman was prevented from getting breast cancer.

So when it comes to prescribing Aromasin, "I would limit it to patients who have very high risks" for getting breast cancer, Baselga said.

According to the study, women taking Aromasin had no serious toxic effects and only "minimal changes in health-related quality of life."

Women are considered to be at high risk for breast cancer if they are older than 60, postmenopausal and/or have had abnormal breast biopsies in which there are some lesions.

All the experts agree that women need to talk to their doctor to fully understand the risks and benefits of taking these drugs to prevent getting breast cancer.

Pfizer, the maker of Aromasin, announced in May that the U.S. patent for this drug had expired, making it eligible for generic drug manufacturers to produce and sell it.

Goss expects the price of this drug to decline quickly because of this. However, he says Pfizer would not reveal to him if they plan to ask for an extension of their patent based on this research. A spokesperson for the company, which funded some of this research, would not comment on this topic either.

@highlight

Study shows Aromasin has fewer side effects than rivals

@highlight

Women at high risk for breast cancer could take drug before they get it

@highlight

Risk reduced by 65%, study shows