London (CNN) -- Global mean temperatures this year might not have scaled the record-equaling heights of 2010, but it's been another tumultuous 12 months.

According to the World Meteorological Organization's (WMO) provisional status report, issued at the United Nations climate talks in Durban, 2011 was the 10th warmest year on record and warmer than any other year with a La Nina event.

La Nina -- an opposite weather pattern to El Nino which cools surface waters in the eastern and central Pacific -- occurs two to three times a decade on average, says climatologist and scientific coordinator of the WMO statement Blair Trewin.

This most recent one -- which started in the second half of 2010 and continued until May this year -- has been one of the strongest in the past 60 years, says the WMO, and was "closely associated" with many of the regional weather events that have dominated the headlines throughout the year.

January saw floods in northeast Australia -- the worst in Queensland's capital, Brisbane since 1974 -- and deadly landslides caused by a deluge of rain in Brazil.

The appalling disaster in a mountainous region around 60 kilometers north of Rio de Janeiro claimed at least 900 lives, according to the WMO, making it the single most deadly weather event of the year.

Heavy rains also caused many regions of the world to flood in 2011 including parts of southern Africa, Central America and southern states of Europe.

But is was major flooding in Southeast Asia that dominated the news as the year came to a close, wiping out more than 650 lives in Thailand, and dozens more in neighboring Myanmar and Cambodia.

Rainfall during June to September's monsoon season in northern and central Thailand was up to 80% higher than the seasonal average, says the WMO.

The situation came to a head in October as already inundated natural waterways combined with high tides to swamp the Thai capital Bangkok.

Among the other more notable extremes of weather in 2011, says Trewin, were the huge weather disparities experienced in the U.S.

The WMO reported 14 separate climate events this year in the U.S. which they estimate caused losses upwards of $1 billion.

Heavy snow fell across southern and Midwestern states -- including Oklahoma, Kansas and Missouri in February.

April and May played host to one of the most active tornado seasons on record, according to the WMO, and the Mississippi River suffered its worst floods in nearly 80 years.

But 600 miles west in Texas a drought was taking hold and wildfires raged.

Summer temperatures in the Lone Star State averaged 30.4 degrees Celsius (86.7 degrees Fahrenheit) -- 3 degrees Celsius (5.4 degrees Fahrenheit) higher than the long-term average, according to the WMO and the highest-ever recorded in any American state.

All the while, many northeastern states and parts of southern Canada were experiencing their wettest year on record -- the most severe flooding coming in the wake of Hurricane Irene in late August and Tropical Storm Lee which followed quickly on her heels.

Elsewhere, the Horn of Africa endured a terrible drought which put up to 12 million people at risk of starvation until October's rains eased the threat. But such was their intensity -- Wajir, northeast Kenya received more rain in six weeks (402 millimeters) than the annual average -- it led to crop damage, says the WMO.

The general warming trend -- 13 of the warmest years have occurred in the 15 years since 1997 -- was highlighted by summer sea ice melt in the Arctic.

The WMO reported that the seasonal minimum, reached on September 9, was 35% below the 1979-2000 average and the second-lowest on record with both the Northwest and Northeast passages ice free for periods during the summer.

"Our science is solid and it proves unequivocally that the world is warming ..." WMO secretary-general Michel Jarraud said on publication of the provisional report.

Human activities are to blame, Jarraud says, and temperatures are "rapidly approaching" a level which scientists believe could kick-start "far-reaching and irreversible" climate change.

Final figures for 2011's weather will be published by the WMO in March next year.

@highlight

2011 was the 10th warmest on record according to World Meteorological Organization

@highlight

Status report says La Nina event "closely associated" with 2011 extreme weather

@highlight

Severe regional flooding experienced across Northeast U.S., Southeast Asia and Africa

@highlight

Arctic sea ice extent was second lowest on record -- 35% below 1979-2000 average