The military coup d'etat that ousted Egyptian President Mohamed Morsy brought with it some diplomatic complications for other nations -- namely, that they want to avoid calling it a coup.

A description of this week's events -- the military placing the president under house arrest and naming a new leader of its choosing -- fit the definition of a coup. But labeling it as such could mean an end of U.S. military aid to Egypt, and subsequently a deterioration of relations with an important ally in the Middle East and North Africa.

For now, Western nations have avoided using the word "coup," preferring to watch developments unfold, and pointing to the fact that popular sentiment appears on the side of the military.

Defining a "coup d'etat"

The most accepted definition of a coup is a sudden overthrow of a government by a group of conspirators.

The events in Egypt are troubling because Morsy's government had been elected democratically. But an autocratic style had turned many of those who voted for him against his leadership and created deep divisions in Egypt.

The massive protests that took place before the coup, and the celebrations afterward, lead some observers to define it as a revolution.

But there are previous examples of situations where the public turned on a leader and were labeled a coup nonetheless.

The environment that led to the ouster of former Honduran President Jose Manuel Zelaya in 2009 was similar to what was seen in Egypt.

"There was a significant amount of conflict within the country. There's a degree -- a high degree -- of polarization. There was a worry about the -- some of the policies that the president undertook and so on," then Assistant Secretary of State Arturo Valenzuela said of Honduras.

The State Department was slow to call it a coup, but eventually stated the action against Zelaya was unjustifiable. The United States temporarily stopped some aid programs to Honduras.

Still, when it comes to conflicted countries, the United States has more interests tied to Egypt than Honduras, keeping the Obama administration from calling it what it is -- a coup.

Repercussions of a coup

It matters what the government calls the Egyptian military's seizure of power, because there is money at stake. Call it a coup and some of the $1.5 billion in annual aid that the United States gives Egypt is put in jeopardy.

"If this were to be seen as a coup, then it would limit our ability to have the kind of relationship we think we need with the Egyptian armed forces," Joint Chiefs Chairman Gen. Martin Dempsey told CNN.

Egypt is a key player in U.S. foreign policy in the region, and anything to sour that relationship could have unintended consequences.

So it was no coincidence that President Barack Obama's statement on the coup did not actually use the word "coup."

He didn't call upon the military to restore power to "the democratically elected civilian government," but rather to "a democratically elected civilian government."

In other words, it need not be deposed President Mohamed Morsy's.

The thinking of the president and administration officials, according to a knowledgeable source, is that while the administration is not explicitly supporting the removal of Morsy from power -- it expressly did not support the move -- it is seeking to push the Egyptian military in a direction.

But U.S. Sen. John McCain, R-Arizona, called Friday for the suspension of U.S. aid to Egypt's military.

"We cannot repeat the same mistakes that we made at other times in our history by supporting the removal of freely elected governments," the ranking member of the Senate Committee on Armed Services told CNN affiliate KNXV. Once the military sets a timetable for elections and a new constitution, "then we should evaluate whether to continue the aid," he said.

A democratic coup?

The Egyptian coup presents a unique case in that there was a popular uprising that accompanied it.

While military coups usually have the goal of concentrating power in the hands of the armed forces, in this case, the generals immediately named a civilian jurist as interim leader.

It is a role reminiscent of the uprising that ousted former Egyptian President Hosni Mubarak in 2011. In that instance, the military took over in the interim until democratic elections could be held.

Once again, the military is stating that it does not want to impose a military dictatorship, but instead usher in another democratically elected government.

Law professor Ozan O. Varol published a paper in the Harvard International Law Journal after Mubarak's ouster, arguing that the events of 2011 broke the mold of traditional military coups.

"Although all coups have anti-democratic features insofar as they place the military in power by force or the threat of force, some military coups are distinctly more democracy-promoting than others," he wrote. "In these coups, the military responds to popular opposition against an authoritarian or totalitarian regime, overthrows that regime, and facilitates fair and free elections within a short span of time."

The current situation in Egypt is still playing out, but Varol's research explains why many see this week's coup as the expression of the popular will of the people.

@highlight

The overthrow of Egypt's Morsy meets most definitions of a coup

@highlight

But the events in Egypt are not universally being called a coup

@highlight

Calling it such may lead to a halt of aid to Egypt