As my official bio reads, I was made in Cuba, assembled in Spain, and imported to the United States -- meaning my mother, seven months pregnant, and the rest of my family arrived as exiles from Cuba to Madrid, where I was born. Less than two months later, we emigrated once more and settled in New York City, then eventually in Miami, where I was raised and educated.

By the time I was 45 days old, I belonged to three countries. My first newborn photo appears on my U.S. alien registration card. As an adult, I see this as a foreshadowing of what would eventually obsess my writing and my psyche:  the negotiation of identity.

My first encounter with this was with cultural negotiation. My childhood was braced between two imaginary worlds. The first was the nostalgic world of 1950s Cuba in the hearts and minds of my parents, grandparents, and immediate family, but also the exile community at large in Miami.  "Somewhere" there was an island paradise we all came from, a paradise we lost (for complex reasons I was too young to comprehend), but nevertheless, a paradise, a homeland known as la patria -- to which we'd all return someday, exactly as we were, to find it exactly as it was.

Obama embraces key social justice movements in inaugural address

That storyline was what I knew of that homeland I imagined from family folklore told across the dinner table, gossip at beauty salons with my mother, or in the aisles of the mercados shopping for Cuban staples like chorizo and yucca with my grandmother; or from old photo albums that they had managed to smuggle out of Cuba, and the rum-drunk talk about "what happened" from the men playing dominos on the terraza in the backyard.

The other imaginary world -- America-- was at the other end of the spectrum.

Although technically we lived in the United States, the Cuban community was culturally insular in Miami during the 1970s, bonded together by the trauma of exile. What's more, it seemed that practically everyone was Cuban: my teachers, my classmates, the mechanic, the bus driver. I didn't grow up feeling different or treated as a minority. The few kids who got picked on in my grade school were the ones with freckles and funny last names like Dawson and O'Neil.

Against that setting, America seemed like some "other" place. And as a child, I truly believed that the real America, just beyond my reach, was exactly like the America I saw on TV reruns like "The Brady Bunch" and "Leave it to Beaver." In my case, the stereotypical American family was the "other," the exotic life yearned for, as much as I yearned to finally see that imaginary Cuba. Sorting out these contradictions and yearnings was an everyday part of my childhood, and one of the main themes of my writing today.

Gergen: Obama 2.0 -- tougher, wiser?

The other negotiation was the engineer versus the poet. As might be typical, my exile/immigrant family pushed for me to pursue a career that would ensure I would have a better life than they did. Also, in a working-class family, the idea of pursuing a life in the arts was outside the realm of possibilities. My family even thought architecture was too "artsy."

Add to that the cultural-generational divide when it came to the arts in America. Robert Frost and T.S. Eliot were not dinner conversation at my house. My parents didn't even know of the Rolling Stones. They wanted me to continue the story of the "American dream" that they had begun. Fortunately -- or unfortunately -- I was a whiz at math, and when the time came to decide on a career path, I succumbed to their loving insistence. But I always harbored a creative spirit throughout my childhood, completely taken by Legos, paint-by-number sets, latch-hook rug kits -- anything that gave me expression.

Richard Blanco, America's first Latino, openly gay inaugural poet

My sexual identity was something I also had to negotiate. The antagonist in my coming-out story was my grandmother, a woman as xenophobic as she was homophobic. Anything she perceived as culturally "weird," she also labeled as "faggotry" -- "mariconería." This included my playing with toys like G.I. Joes and action figures of super heroes (Wonder Woman being my favorite). Convinced that I was queer -- she had good intuition, I guess -- she was verbally and psychologically abusive because she was also convinced she could make me a "real" man.

She scared me into a closet so deep and dark that the idea of living as a gay man was completely, like a career in arts, out of the realm of possibilities. And so, like many gay men of my generation, I led a straight life, and was even engaged twice to be married, until I came out in my mid-20s.

A tale of two terms: Obama's unfinished business and battles ahead

Being named poet laureate for the inauguration personally validates and stitches together several ideals against which I have long measured America, since the days of watching "My Three Sons" and "The Dick Van Dyke Show" reruns. For one, the essence of the American dream: how a little Cuban-American kid on the margins of mainstream America could grow up with confidence, have the opportunity to become an engineer thanks to the hard work of his parents who could barely speak English, and then go on, choosing to become a poet who is now asked to speak to, for and about the entire nation.

The most powerful quality of our country is that each day is full of a million possibilities:  We are a country of fierce individualism, which invites me to shape my life as I see fit.  As I reflect on this, I see how the American story is in many ways my story -- a country still trying to negotiate its own identity, caught between the paradise of its founding ideals and the realities of its history, trying to figure it out, trying to "become" even today -- the word "hope" as fresh on our tongues as it ever was.

Regardless of my cultural, socioeconomic background and my sexuality, I have been given a place at the table, or more precisely, at the podium, because that is America.

@highlight

Richard Blanco grew up surrounded by Cuban exiles, finding America in sitcom reruns

@highlight

Blanco: Negotiating my identity as an American and a gay man is wellspring of my poetry

@highlight

Blanco says his life mirrors that of America, a nation of hope still trying to find its own identity

@highlight

He says he's lived the American dream: from immigrant to reading poem to the nation