Hong Kong (CNN) -- In the last two months, eight people in Cambodia have died from bird flu, a rare but deadly disease causing concern among health authorities. Six of the victims have been children.

The H5N1 virus, known to be highly contagious to poultry, typically resembles the flu when contracted by humans. But it kills more than half the people it infects, according to Centers for Disease Control and Prevention.

Of the nine confirmed H5N1 cases in Cambodia this year, only an 8-month old infant has survived. The infant had received medical attention early, said Dr. Ly Sovann, the Ministry of Health's deputy director for communicable diseases control in Cambodia.

The eight bird flu deaths in the last six weeks -- considering that Cambodia has had 19 reported deaths from the disease in the last 10 years -- has sparked increased surveillance efforts. Health officials are warning people to wash their hands often, to keep children away from poultry and to avoid eating sick poultry.

So far, the nine cases are not believed to be related, although most of them came from the southern region.

Bird flu research resumes, but not in U.S.

The eight H5N1 deaths in Cambodia occurred with a 15-year-old girl and a 35-year-old man on January 21, and a 2-year-old girl and a 9-year-old girl on January 28. In the next month, a 5-year-old died on Feburary 7, a 3-year-old girl died on February 13, a 2-year-old boy died on February 19, followed by a death of a 35-year-old man on Monday.

He came from the Kampong Cham province in central Cambodia and died after developing fever, coughing and difficulty breathing earlier this month.

The patients experienced symptoms such as coughing, fever, difficulty breathing, sleepiness and vomiting.

Bird flu does not usually pass from person-to-person, but the disease is closely monitored because of concerns that the H5N1 virus could mutate allowing to spread more easily among people.

"We conducted investigations and found that all the cases were transmission from the poultry," said Sovann. "There is no evidence of transmission from human to human at this stage."

All nine patients are believed to have been exposed to sick or dead poultry, according to health authroties.

H5N1 typically spreads between birds, but can jump to humans, especially if they're living in close proximity. The greatest risk of exposure to the virus is through the handling and slaughter of infected poultry.

"Home slaughtering and preparation of sick or dead poultry for food is hazardous: this practice must stop," said Dr. H.E. Mam Bunheng, the Cambodian minister of health, in a statement. "Children also seem to be most vulnerable and are at high risk because they like to play where poultry are found. I urge parents and guardians to keep children away from sick or dead poultry and prevent them from playing with chickens and ducks."

Health teams are carrying out "enhanced surveillance" in the villages and communities where bird flu cases have been reported, according to the World Health Organization. Officials are also telling people with flu-like symptoms who have difficulty breathing to seek medical attention immediately.

The disease is transmitted through the infected bird's saliva, nasal secretions or feces. It can spread in markets or places where eggs and birds are sold in crowded conditions.

The recent cases prompted China to announce temperature checks on people traveling back from Cambodia, according to the country's General Administration of Quality Supervision, Inspection and Quarantine.

China had two deaths from bird flu this year. The patients, a 31-year-old man and 21-year-old woman died in mid-February in the southwestern area of the country. Both had close contact with birds, according to Xinhua, the Chinese news agency.

The only other country with a confirmed H5N1 case this year was Egypt, where a 36-year-old woman died in late January.

Mexico slaughters 1.2 million chickens infected with bird flu

@highlight

Eight people, mostly children have died in Cambodia from bird flu

@highlight

Cambodia has had 19 reported deaths in the last 10 years, before recent oubtreak

@highlight

H5N1 is rare among humans, but potentially fatal