WASHINGTON (CNN)  -- Federal safety officials want the Federal Aviation Administration to immediately ground a type of small sports aircraft, saying six of the planes have broken up in flight in the past three years, killing 10 people.

The National Transportation Safety Board questions the safety of the Zodiac CH-601XL.

In an urgent letter to the FAA, the head of the National Transportation Safety Board says there is "substantial circumstantial evidence" that aerodynamic "flutter" preceded some, if not all, of the fatal accidents, and that more accidents are likely to occur if action isn't taken.

Flutter is a condition in which airflow around the plane causes unsafe structural vibrations. The vibrations can quickly cause the plane to break up if it is not sufficiently dampened, the safety board said.

The aircraft involved is the Zodiac CH-601XL, a single-engine, two-seater that was designed by Zenair Inc. It is built by various manufacturers and also sold as a kit.

In making its recommendation, the safety board said it reviewed six fatal accidents, including crashes in Spain and the Netherlands, and said flutter is the likely cause of the accidents. The board said it also considered other incidents that did not result in deaths.

The NTSB said two other countries, the Netherlands and the United Kingdom, have grounded the aircraft.

The FAA had no immediate response to the safety board's recommendation.

A Zenair official did not immediately return a reporter's phone call. But the NTSB letter says Zenair contends that the flutter problem can be addressed by proper cable tension, and asserted that a November 2005 certification flight test confirmed the plane is protected from flutter.

But the safety board said the type of testing used may not be adequate to uncover all susceptibility to flutter.

The NTSB said the FAA certified the CH-601XL as a Special Light Sport Aircraft in 2005. This type of certification does not require that the FAA approve the airplane's design. Instead, the airplane model is issued an airworthiness certificate if the manufacturer asserts that the plane meets industry-accepted design standards and has passed a series of ground and flight tests.

The safety board is asking the FAA to prohibit further flight of the Zodiac CH-601XL until the board can determine that the airplane is no longer susceptible to aerodynamic flutter.

"The NTSB does not often recommend that all airplanes of a particular type be prohibited from further flight," NTSB Acting Chairman Mark V. Rosenker said in writing comments. "In this case, we believe such action will save lives.

"Unless the safety issues with this particular Zodiac model are addressed, we are likely to see more accidents in which pilots and passengers are killed in airplanes that they believed were safe to fly."

The safety board also found that the stick-force gradient -- a measure of the force applied to the control stick and the increase in lift that results -- was not uniform throughout the range of motion, particularly at high vertical accelerations or increased gravitational forces.

The lessening of the gradient at high gravitational force could make the airplane susceptible to being inadvertently over-controlled by the pilot, which could create a condition in which the airplane is stressed beyond its design limits, leading to an in-flight structural failure.

CNN's Mike M. Ahlers contributed to this report.

@highlight

National Transportation Safety Board questions safety of the Zodiac CH-601XL

@highlight

Officials: Six planes have broken up in flight in past three years, killing 10 people

@highlight

Zenair, designer of plane, has said proper cable tension addresses issue

@highlight

FAA had no immediate response to the safety board's recommendation