(CNN) -- Syrian warplanes reportedly targeted Iraq this week. Scores of civilians were killed at markets and gas stations in Anbar province Tuesday, local leaders told CNN.

A militant group called ISIS, the Islamic State in Iraq and Syria, has been pushing into Iraq, shaking the country, its leadership and, in turn, threatening the region. But what does it mean that Syria reportedly is now attacking its neighbor?

Here are some answers to get you up to speed:

What does ISIS want, and how is that related to Iraq and Syria?

ISIS includes mostly Sunni militants who want to create an Islamic state across Sunni areas of Iraq and Syria. In the towns it controls in Syria, it has imposed Sharia law. Women must be covered, music is prohibited, girls and boys must not mingle at school. The group's tactics are so ruthless even al Qaeda has distanced itself. For example, ISIS kidnapped more than 140 Kurdish schoolboys in Syria last month and forced them to take daily lessons in radical Islamic theory, according to the Syrian Observatory for Human Rights, a London-based monitoring group.

The militant group was born in Iraq, initially called the Islamic State of Iraq, an umbrella organization headed by al Qaeda. The group's leader, Abu Bakr al Baghdadi, served four years in a U.S. prison camp for insurgents, at Bucca in southern Iraq. He was released in 2009. The Islamic State in Iraq relocated to Syria and eventually became known by its new name, the Islamic State in Iraq and Syria.

Is ISIS capable of getting what it wants?

Regrouping and strengthening in Syria, ISIS became well-financed and highly organized. Today, the group has grown large enough to divide the entire region along sectarian lines, experts say.

ISIS has produced and attracted more jihadists and foreign fighters than the war in Iraq ever did. It has more suicide bombers at its disposal, more heavy weaponry and vehicles and more money than any other terrorist organization in the world.

It also has launched an intensive and sophisticated media campaign with flashy videos directed at Westerners, enticing them to join the fight. ISIS has also employed a classic guerilla warfare tactic -- the militants live among civilians. It would be difficult to target these militants in general strikes without injuring or killing innocent people.

Why would Syria reportedly bomb Iraq now?

Bashar al-Assad's regime knows where ISIS bases are inside Syria, but its response to ISIS has been fairly muted for months.

The existence of ISIS has helped to justify the Syrian government's often-used line that it is fighting "terrorists," and opposition activists have long accused the regime of allowing the group to operate and grow, pointing to the government's constant barrel bombing of civilian neighborhoods in places such as Aleppo, while ISIS positions remain largely untargeted.

But since the militant group has taken over large parts of northern Iraq recently, Syria has intensified its targeted campaign of ISIS positions, particularly in Raqqa, Syria, where ISIS has operated its headquarters for some time.

Damascus denies bombing positions in Iraq, but several sources, including an eyewitness and the head of the Anbar provincial council, said Syrian warplanes launched this week's strikes. CNN is seeking a response from the Syrian government.

It's unlikely al-Assad anticipated that ISIS would achieve such impressive and significant victories in Iraq. The only weapon Syrians have in the border area is air power; Syrian ground forces pulled out long ago. Bombing Iraq now serves to clip ISIS' wings a little.

Map: Where ISIS has taken control in Iraq

How are the Iraqi and Syrian conflicts linked?

Under Iraqi Prime Minister Nuri al-Maliki, the Iraqi government has gradually become closer to the Syrian regime. They share allies such as Iran and Hezbollah and enemies such as al Qaeda, ISIS, Sunni extremists and Saudi Arabia, too. The old colonial borders in the region are disappearing, and a conflict is emerging that is more Sunni versus Shiite.

Al-Maliki, some experts said, stoked that sectarian tension even more in a speech Wednesday in which the Shiite leader slammed Sunnis. He blamed his political rivals for "coordinating" the crisis in Iraq and accused Sunnis of collaborating with militants.

See: Al-Maliki changes tune on unity government

What are the Iraq military's shortcomings?

Iraq is using its air force -- what's left of it -- to fight back against ISIS. Iraq has initiated airstrikes, but targeting the group means putting a scope on constantly moving targets. ISIS uses pickups, not tanks. Without precise intelligence from the ground, battling ISIS is tough.

And it's critical to remember that Iraq lost virtually all its air power with the 2003 U.S. invasion.

The Iraqi army crumbled in the face of ISIS' advances. The governor of Kirkuk told CNN that the Iraq force is a "checkpoint army," meaning that it is able to set up and run checkpoints but isn't sophisticated enough to fight ISIS cells. The Iraqi army also tends to use a counterproductive strategy of rounding up individuals as a method of control, aggravating the local population. Finally, the Iraqi military is up against a terror organization more powerful than anything that the U.S. military was battling and struggled to overcome.

Why has U.S. air power not been used against ISIS in Iraq?

Many experts believe that U.S. airstrikes in Iraq are far too risky and might not deliver the results the United States wants.

Again, consider that ISIS is mixed among the civilian population. Airstrikes may kill innocent people.

And there are logistical questions that have to be answered. Where would the air power come from? Bases in Turkey perhaps? Would Turkey give its green light?

Also, some in Iraq perceive that the United States put al-Maliki in power and supported his regime for years, and U.S. interference with air power might not be welcomed. The United States has to worry about Iran, too. U.S. strikes in Iraq could undermine progress Iran and the United States have made on the issue of nuclear weapons.

Also, ISIS is not the only group fighting to gain control of Iraq. Sunni insurgent groups that were active during the U.S.-led invasion have also joined in the battle. Sunni tribal leaders all oppose al-Maliki and view him and his Shiite-dominated government as a bigger threat to the country than ISIS.

Members of insurgent groups not aligned with ISIS could be killed, possibly creating a new set of enemies.

Any U.S. airstrikes in Iraq could further deepen the divide if there's a perception the action was done to bolster al-Maliki's government. It could also further alienate Sunni groups whose support eventually will be needed for any sort of political process to succeed in the country.

Op-ed: How ISIS threatens the wider world

CNN's Nic Robertson, Mohammed Tawfeeq and Nick Paton Walsh contributed to this report.

@highlight

ISIS wants to create an Islamic state across Sunni areas of Iraq and Syria

@highlight

Syrian response to ISIS inside its borders has been fairly muted until now

@highlight

But Syrian regime bombed ISIS positions in Syria recently and reportedly bombed in Iraq