Washington (CNN) -- The U.S. Army hopes it can do a better job of preventing mental health problems in the ranks with more aggressive screening of troops -- before they ship out to a war zone.

After nine years of fighting in Afghanistan and Iraq, the military is coping with a wave of mental health issues, from post-traumatic stress disorder to depression and suicide.

Army medical experts have been studying the results of a just-released study of the benefits of pre-deployment evaluation of soldiers and follow-up treatment while they were in Iraq. The study found that improved screening reduced later behavioral problems by 78% and reduced thoughts of suicide by more than half.

The service is struggling with a troubling suicide rate. At a news conference at the Pentagon later Wednesday, officials will report that while the number of suicides in the active-duty force declined in 2010, the number of suicides in the Army Reserve and National Guard increased, a senior Army official said.

The Army Surgeon General's office said Tuesday it hopes to have new screening and treatment procedures in place in six months. The changes will be based in part on the research published by the American Journal of Psychiatry Tuesday.

"The most important part about the study, even more than the screening, is that they identified which soldiers could benefit from follow-up treatment in-theater," Col. Rebecca Porter told CNN. Porter is the director of behavioral health for the Surgeon General of the Army. "That's important for the mission and it is important for individual soldiers, to see the fight through."

The increase in Reserve and National Guard suicides is among troops who are in the United States and not activated for duty. The senior Army official said more than half of those troops were never deployed to a war zone.

Researchers looked at more than 21,000 soldiers bound for Iraq in 2007 and 2008. Roughly half were evaluated before they deployed and were provided with follow-up visits and care when they arrived in Iraq.

The study concluded that this evaluation -- before, during and after the stresses of a combat -- pays off in fewer problems.

"This predeployment screening process was associated with a decreased need for clinical care for combat stress, psychiatric and behavioral disorders, and suicidal ideation," the report said. Suicidal ideation is the planning of suicide or other suicidal thoughts.

The authors said the study provided the first direct evidence to support pre-deployment mental health screening across the Army.

"Soldiers in screened brigades had significantly lower rates than those in unscreened brigades for clinical contacts for suicidal ideation, combat stress, and psychiatric disorders, as well as lower rates of occupational impairment," they said.

In the pilot study that was the basis for the research, some soldiers were not cleared to deploy, others required additional treatment before they deployed and others received follow-up visits at their bases in Iraq.

And the study found that both the individual soldier and the unit stood to gain from the increased care, as medical problems, emergency treatment and evacuations were reduced.

"These results show that an aggressive program of mental health screening, tracking, and coordination of care may enhance a unit's functioning while decreasing negative soldier outcomes," the study said.

Porter said that an additional benefit of enhanced screening would be reducing the stigma that hinders some military personnel from seeking mental health assistance until their condition worsens.

The American Journal of Psychiatry is not the only professional publication to focus on mental health problems in the military. A special edition of the journal American Psychologist also examines how to improve the psychological readiness of U.S. military personnel.

"Like our physical fitness program, I believe that psychological resilience development can become not just something we in the Army 'do,' but rather a critical component of our culture that will be integrated throughout our community to develop better soldiers," Gen. George Casey, the Army's chief of staff, wrote in the introduction to the article in American Psychologist.

Brig. Gen. Rhonda Cornum, a doctor with the Comprehensive Soldier Fitness program, agreed.

"Modern warfare is characterized by demanding missions, extreme climates, sleep deprivation, cultural dissonance, physical fatigue, prolonged separation from family and the ever-present threat of serious bodily injury or death," Cornum wrote. "Waiting for illness or injury to occur is not the way commanders in the U.S. Army approach high-risk actions, and it is not the way we should approach high psychological risk activities."

@highlight

The Pentagon will report on Army suicide rates for 2010 Wednesday

@highlight

A study found pre-deployment screenings cut down on problems later

@highlight

The soldier and unit both benefit from the screenings