My mother-in-law and I talk about nearly everything. But when I mentioned to her recently that I was working on a story about emergency preparedness, I realized that's one thing we've never discussed -- even though she lives nearby and would certainly factor into our family plan.

"If a disaster strikes, where would we meet?" we asked each other. "Who would we call? What would we take with us?"

A new national advertising campaign shared with CNN exclusively ahead of its official launch Wednesday aims to get families like my own at least talking about what we'd do in the face of a natural disaster or other emergency.

"This is a pretty fearful topic for a lot of parents," said Priscilla Natkins, executive vice president and director of client services for the Ad Council, the private nonprofit group spearheading the campaign along with the Federal Emergency Management Agency.

"This is not something they want to think about or necessarily talk about with their kids," she said.

The Ad Council, which has produced many memorable PSA campaigns, ranging from Smokey Bear's warnings about forest fires to the "Friends Don't Let Friends Drive Drunk" series, conducted a national survey on emergency preparedness. The survey included 800 adults.

Be prepared for any home emergency

Six out of 10 American families said they did not have a family emergency plan, according to the survey. Only 19% felt they were "very prepared" for a disaster.

"What we have found (is) despite our best efforts and we have made some impact, we have some terrific messaging out there over the years, not enough people and not enough parents are actually doing what they should be doing in terms of being prepared," said Natkins.

To try to change that, the public service announcements are not your typical PSAs. They are light-hearted, funny and unconventional, with scenes such as a family proudly talking about how unprepared they are.

"I'll pack the dead batteries," says the son after his father asks what each family member will do in preparation for an emergency. "I'll only put what I don't need into a duffel bag," says the daughter, with her mom adding, "Great, that's totally unhelpful."

"We think these ads will resonate with audiences because we think the messaging comes from insights that are so universally important to people," said Val DiFebo, CEO of Deutsch NY, the agency that created the ads pro bono to help raise awareness.

"The fact that most people will admit they don't have a plan or that they can just wing it, which is exactly what we talk about in these ads, is (how) you get people to pay attention and act and say it's time."

Digital tips for the next Sandy-like emergency

The PSAs are timed to release right before the 10th annual National Preparedness Month in September, an initiative managed and sponsored by FEMA to encourage Americans to prepare for emergencies in their homes, schools, businesses and places of worship.

"What we try to get people to understand is that number one, not all disasters come with warning labels," said Darryl Madden, director of FEMA's Ready campaign.

"What we also try to make people understand is that don't think of it in terms of the Katrinas or of the Sandys, but think about other events that could happen in your community that present a certain risk that you need to be prepared for."

The ads, which will run and air in advertising time and space donated by various media outlets, encourage Americans to visit FEMA's website for kids. The site, with more parent- and kid-friendly content coming September 1, includes information such as a downloadable family emergency plan and guidance on how to talk to kids about emergencies in an age-appropriate fashion.

DiFebo said that her agency's strategy was to create a sense of urgency without going overboard.

"What you don't want to do is be so alarmist that people don't want to pay attention to the message or they say this is just too scary for me and it's too scary for my kids so I'm not going there," she said. "That's really the biggest mistake you can make."

Does your emergency kit have a cell phone?

While my mother-in-law and I had never talked about what we'd do in the event of an emergency and my family still does not have a disaster plan, the subject of emergency preparedness is very close to our hearts.

A dear family friend, John Solomon, was the founder of a comprehensive blog on the topic, regularly read by FEMA and other emergency preparedness officials, called In Case of Emergency, Read Blog -- A Citizen's Eye View of Preparedness. He created the blog as he worked on a book on simple steps to prepare families for terrorist attacks and natural disasters.

Sadly, John never finished that book. He died nearly two years ago from complications after a bone marrow transplant for leukemia.

FEMA has since created an award in John's name, and so has the New York City Office of Emergency Management. John's family and friends have also created a fellowship program in his name -- the first student fellowship in New York City government specifically focused on emergency management.

I can't think of a nicer way to honor our dear friend than to finally create an emergency plan of our own and share it with our girls -- tonight.

Follow Kelly Wallace on Twitter and like CNN Living on Facebook.

@highlight

New unconventional ad campaign encourages families to create an emergency plan

@highlight

Six out of 10 Americans don't have a disaster plan, according to survey

@highlight

Only 19% said they were very prepared for a disaster

@highlight

One tag line for quirky campaign: Winging it is not an emergency plan