(CNN) -- One of the lesser-known things done by Spain's pre-Civil War left-wing government during its short rule was to legalize abortion. Banned under Franco, abortion was allowed again in 1985, and in 2010 legal abortion was extended radically by the left-wing Zapatero government.

In recent years, hundreds of thousands of Spaniards have taken to the streets to demand an end to Spain's laissez-faire abortion culture. The current conservative government is now promoting a bill which restricts -- albeit with significant compromises -- legal abortion. Among protests against the bill, topless activists called "Femen" threw bloodstained underwear at Madrid's Cardinal-Archbishop as he visited a Madrid parish.

Contrasting view: Spain 'heading for self-made mess' with abortion ban

If, as predicted, the bill is passed, abortion will no longer be regarded in law as a "right" but as a crime. This classification is not a draconian throwback to a previous age: Today abortion remains part of the criminal law in many Western jurisdictions, even in places with high rates of legally-permitted abortion such as Britain.

Two other elements of the proposed Spanish law which mirror the British abortion law relate to doctors: A requirement that two doctors are necessary to authorize an abortion in most cases, and a right of conscientious objection for those doctors who reject abortion.

These three elements send a message that abortion is not merely a medical procedure but an act of grave moral significance for all involved: Doctors, mothers and unborn children.

There is nothing in international human rights law which denies or downgrades a human being's right to life based on physical development. If we recognize that unborn children are human beings, then we must recognize that abortion is Spain's leading cause of death.

Even advocates of legal abortion admit that unborn children are human beings. Those advocates, however, draw arbitrary lines on legal personhood and therefore the right to life: some at 12 weeks after conception, some at 24 weeks, some at birth and a few even years after birth.

There is, however, no solid foundation for such lines. A human being has at the moment of conception the same genetic identity throughout life.

This is why some pro-lifers like myself have reservations about the proposed law. The bill enshrines a compromise without a rational basis. Abortion would still be allowed when doctors diagnose a threat to the mother's health or when following an allegation that the baby was conceived in a non-consensual act.

When a danger is detected to the mother's health, the correct way for doctors to proceed is to "kill" the danger, not kill the child. Abortion doesn't cure any illnesses or treat any conditions. Just as we don't kill children after birth if caring for them may involve a danger to the mother's health, we shouldn't kill them before birth either.

When a woman has been made pregnant through rape, an abortion punishes an innocent person -- the child. It doesn't unrape the mother. Studies and surveys suggest that many, if not most, women made pregnant through sexual assault do not choose abortion and are glad they didn't.

There is evidence, albeit not yet conclusive, which suggests that legal abortion may pose an additional health risk for women. A recent meta-analysis of 36 studies of Chinese women suggests a link between abortion and breast cancer. The research of New Zealand's Professor David Fergusson, who supports a legal right to abortion, suggests a significant link between abortion and negative mental health outcomes.

Today Spain is an aging nation with one of the world's lowest birth-rates. Estimates suggest that in a few years deaths (of born people) will outnumber births. The Spanish cannot afford to continue to regard children as burdensome optional extras.

In the United States, the Hispanic population continues to grow in size and significance. It is an absurd irony that Spain's native population has been declining just as their ethnic brethren have been advancing in the world's richest nation.

Despite the new bill's compromises, I welcome its recognition of the equality of disabled human beings through the proposed deletion of disability as a ground for abortion. The revival of eugenics has been one of the most retrograde trends in recent decades, a sinister shadow of those dark pre-1945 years in which science was abused to justify eliminating so-called "lives unworthy of life."

No unborn child is unworthy of legal protection against abortion: for we were all unborn children once.

Read more: 2009 -- Spanish Parliament approves abortion bill

The views expressed in this commentary are solely those of Anthony Ozimic.

@highlight

Spain's proposed abortion law would restrict abortion to rape victims or women who would suffer lasting harm

@highlight

Anthony Ozimic says no unborn child is unworthy of legal protection against abortion

@highlight

Having an abortion does not "unrape" a rape victim, he says, or cure an illness

@highlight

Ozimic says if unborn children are human beings, then abortion is Spain's leading cause of death