Washington (CNN) -- A March 16 referendum on whether the Crimea Peninsula should rejoin Russia has become the focus of the Ukraine crisis.

Like nearly every aspect of the conflict, the vote planned by Crimea's regional parliament evokes widely differing interpretations of its legitimacy and importance.

Here are some of the biggest questions about the issue, with a look at how key players are weighing in:

1) What is the Crimean referendum?

Voters in the autonomous Ukrainian region of about 2 million people will choose between remaining part of the former Soviet territory or becoming part of neighboring Russia.

The referendum follows the lightning chain of events in Ukraine in previous weeks that included increasingly violent protests against the government, the country's pro-Russian President fleeing across the border, and then Russian troops seizing what amounts to military control of Crimea -- where Russia's Black Sea fleet is based.

By unanimously backing the referendum, the Crimean parliament signaled the intentions of regional leaders as well as Russia to restore the territory to Moscow's control.

Ukraine's interim government insists Crimea is part of the country, a stance supported by the United States and its European allies.

Disturbing tales emerge from Crimea

2) Is it legal?

Depends on who you ask.

In the Ukraine, the interim government rejects the referendum as unconstitutional, while many in the pro-Russian Crimea region desire the chance to again align with Moscow.

Russia says the political upheaval in Ukraine that forced out President Viktor Yanukovych ended the Kiev government's constitutional authority.

After a phone conversation Thursday between President Barack Obama and Russian President Vladimir Putin, the Kremlin said Putin made the point in the call that the ousting of Yanukovych was an "anti-constitutional coup."

Now, it says, the people of Crimea should have the right to decide their future in the same way as other autonomous regions, such as Kosovo's breakaway from Serbia.

Obama, however, declared Thursday that "the proposed referendum on the future of Crimea would violate the Ukrainian constitution and violate international law."

Samantha Power, the U.S. ambassador to the United Nations, told CNN on Thursday that the Ukrainian constitution requires territorial referendums to be held "across the entirety of Ukraine and not just in a sub-region like this."

She argued that Yanukovych fled on his own volition, and that constitutional authority agreed to in a February 21 deal he reached with opposition leaders and European envoys remained in effect.

Under that agreement, Ukraine will elect a new government on May 25 for the entire country, including Crimea.

Russian Parliament backs Crimea vote, brushes off sanctions threat

3) What would it mean?

Obama's quick condemnation of a Crimean referendum showed the United States expects the outcome to favor realigning with Russia.

The autonomous region has a 60% ethnic Russian population, having been part of Russia until it was ceded to Ukraine in 1954 by the Soviet Union.

While it would still remain an autonomous region in theory, Crimea would effectively come under the direct influence of Russia once again.

Power said that if the referendum goes forward, the result would get little recognition beyond Russia.

That didn't matter in 2008 when Russia under Putin sent troops into neighboring Georgia, another former Soviet territory, to back autonomy for the pro-Russian regions of Abkhazia and South Ossetia.

More than five years later, both territories effectively annexed with Russian forces still present.

Asked if Crimea and perhaps other parts of eastern and southern Ukraine that favor Russia might end up the same, Power said: "I think it's maybe not helpful to talk about precedents."

"We are seeking to create a future where the past is not replicated here in Ukraine, and the broad unity of the international community I think is impressive and formidable," she added.

Cyberwar hits Ukraine

4) Potential fallout?

For Russia, the motivation is ensuring control of its Black Sea fleet based in Sevastopol as well as its economic influence in Ukraine and other former Soviet territories and satellites.

The Crimean referendum would provide an electoral justification for what amounts to a land grab amid Ukraine's political upheaval.

Obama acknowledged Russia had legitimate concerns that needed to be part of a solution, such as guarantees it could maintain the Sevastopol-based naval fleet in Ukraine.

However, his call for Russian troops in Crimea to return to barracks and negotiations between Russia and Ukraine on a solution has so far yielded little progress.

Both the United States and European Union have threatened sanctions if no significant progress occurs soon, but major economic ties between Russia and European powers such as Germany raise questions about the strength of any EU steps.

CNN's Fareed Zakaria said Putin may get his wish with Crimea, but at a cost.

"They got Crimea, but they've scared off Ukraine," he said. "And, most importantly, the people of Ukraine are now deeply suspicious of Russia. The people in Poland and Hungary and the Czech Republic, or probably in places like Kazakhstan, are all now fearful."

CNN's Mariano Castillo contributed to this report.

@highlight

Russia backs a Crimea-only vote about joining it or staying with Ukraine

@highlight

The United States and its European allies say such a referendum is illegal

@highlight

To Russia, the ousting of the elected Ukraine government was illegal

@highlight

At issue is whether constitutional authority exists in Ukraine