(CNN) -- The Obamacare website might still not be working, but journalists are. All across the country, as Republicans try to highlight tragic tales of Americans losing their current health insurance and allegedly stuck with more expensive options, journalists are coming to the rescue. In case after case, journalists investigated these stories and called the policyholders and combed the insurance exchange websites to bring actual facts to bear in our public debate about Obamacare.

Here are just some of the mythical stories journalists have helped dispel â€” and the lessons we can learn from them about the reality of the Affordable Care Act:

Deborah Cavallaro was making the rounds on television complaining about how her current insurance plan was canceled under Obamacare. So Los Angeles Times columnist Michael Hiltzik talked to her. Her current plan cost $293 per month but had a deductible of $5,000 per year and out-of-pocket annual limits of $8,500. Also, the current plan covered just two doctor's visits per year.

But in the California insurance exchange, which Hiltzik helped Cavallaro check, she could get a "silver" plan for $333 per month â€” $40 more than she's currently paying. But the new plan has only a $2,000 deductible and maximum out-of-pocket expenses at $6,350. Plus all doctor visits would be covered. Hiltzik writes, "Is that better than her current plan? Yes, by a mile."

Dianne Barrette also popped up on television on a CBS news report in which she lamented that her $54-per-month insurance plan had been canceled under Obamacare. But Nancy Metcalf at Consumer Reports investigated Barrette's story and found that her current policy was a "textbook example of a junk plan that isn't real health insurance at all." According to Metcalf, if Barrette had ever tried to use her insurance for anything more than a sporadic doctor's visit, "she would have ended up with tens or hundreds of thousands of dollars of medical debt."

The plan, for instance, only pays for hospitalization in cases of "complications of pregnancy." Instead, Metcalf found that Barrette could get a "silver" plan in the state insurance exchange for $165 per month that would actually cover Barrette in the case of any sort of serious or even moderate illness. Which is the very definition of insurance, isn't it?

Edie Littlefield Sundby, a stage-four gallbladder cancer survivor, published an op-ed in the Wall Street Journal blaming the Affordable Care Act for her canceled insurance policy. In her essay, Littlefield wrote that because of Obamacare, "I have been forced to give up a world-class health plan." But, according to Igor Volsky of Think Progress, Sundby's insurer, United Healthcare, "dropped her coverage because they've struggled to compete in California's individual health care market for years and didn't want to pay for sicker patients like Sundby."

Earlier this year, United, which has publicly supported the Affordable Care Act, announced that it would pull out of the individual market in California. A company representative said it withdrew because its individual plans have never had a huge presence in the state. According to United, and in compliance with state law, the company won't be able to re-enter the California individual market until 2017.

By then though, competitors will get stuck with sicker patients like Sundby signing up in the first wave of Obamacare. This means that companies like United can cover cheaper patients if it decides to go back to the California individual insurance market.

According to a report by Dylan Scott at Talking Points Memo, a Seattle woman named Donna received a cancellation letter from her insurance company regarding her current plan. The letter steered Donna and her family into a more expensive option and said, "If you're happy with this plan, do nothing." The letter made no mention of the Washington State insurance exchange, where Donna could find plenty of other more affordable choices, because the company wanted a convenient excuse to jack up Donna's rates.

Had Donna "done nothing," she would have ended up spending about $1,000 more per month on insurance than the cost of insurance she ultimately chose through the Obamacare exchange. In fact, the practice of trying to mislead customers has become so widespread that Washington state regulators issued a consumer alert to customers.

This is just the tip of the iceberg. Republicans who have been desperate from the very beginning to destroy Obamacare at any cost, regardless of facts or the urgent health care crisis facing America, will continue to dig up stories of people supposedly harmed by the law. And journalists will hopefully continue to investigate these allegations, helping us all sort fact from fiction.

In the meantime, there's a side benefit to all this: If you are one of the small fraction of Americans who currently relies on the individual insurance market and has seen your current policy canceled, call a journalist â€” like one of those in the stories above. Reporters all across the country are hungry for real-life stories about how Obamacare is working.

Plus, most reporters have access to high-speed Internet. If you can't get through to the Obamacare exchange site, there's a journalist standing by willing to help you navigate the exchange options and explore your pros and cons in terms of costs and benefits. The website might still be glitchy, but old-fashioned shoe-leather reporting is as reliable as ever.

Editor's Note: This article has been updated to include United Healthcare' explanation of its withdrawal from California's individual insurance marketplace.

The opinions expressed in this commentary are solely those of Sally Kohn.

@highlight

Sally Kohn: Republicans are desperate to destroy Obamacare at any cost

@highlight

Kohn: Stories about people supposedly harmed by the law are not always true

@highlight

She says journalists are digging into allegations, helping us all sort fact from fiction

@highlight

Kohn: The website still has glitches, but old-fashioned reporting is very reliable