(CNN) -- An Amnesty International report issued Wednesday blasts Shell Oil Co. for its handling of the hundreds of oil spills that occur each year in Nigeria and accuses the company of "serious deficiencies and abuses" that render "wholly unreliable" its claims about how much oil is spilled and how often.

The 80-page report, titled "Bad Information -- Oil Spills in the Niger Delta," cites corrosion, poor maintenance, equipment failure, sabotage and oil theft as causes of oil spills.

But it challenges the company's assertion that the vast majority of the spills are caused by sabotage and theft.

"There is no legitimate basis for this claim," the report says. "It relies on the outcome of an oil spill investigation process -- commonly known as the Joint Investigation Visit or JIV process -- in which the companies themselves are the primary investigators."

Reliable data about the spills is critical to limiting the harm they can cause to the environment, livelihoods and human health, the report says.

Determining their cause is critical because communities affected by spills blamed on sabotage or theft get no compensation in Nigeria, which is itself a flaw, the report says.

"Oil companies should be held responsible for a spill that is due to sabotage or theft if the operator has failed to take sufficient measures to prevent tampering with its infrastructure," it says.

In response, Shell -- in a statement sent to CNN by spokesman Ross Whittam -- said: "The Shell Petroleum Development Company of Nigeria Ltd (SPDC) firmly rejects unsubstantiated assertions that they have exaggerated the impact of crude oil theft and sabotage to distract attention from operational performance.

"We seek to bring greater transparency and independent oversight to the issue of oil spills, and will continue to find ways to enhance this. These efforts include publishing spill data online since January 2011 and working with Bureau Veritas, an independent third party, to find ways to improve the immediate response to a spill."

The Amnesty report acknowledges improvements since 2011, but says "serious flaws remain" in the company's oil spill investigation process.

"These include weaknesses in the underlying evidence used to attribute spills to sabotage and the fact that the JIV reports are filled out by Shell after the joint investigation process -- not as part of the joint investigation process. There is, consequently, a lack of transparency and oversight in terms of what is recorded on the new JIV reports."

But Shell said in its statement that SPDC cannot control the joint investigation process, since it involves representatives of regulatory bodies, the Ministry of Environment, the Nigerian Police Force, the state government and affected communities.

The company cited a recent report from Britain's Chatham House that said an average of 100,000 barrels of oil were stolen each day in the first quarter of this year.

"Coordinated action from the industry, government, security forces, civil society and others is needed to end this criminality, which remains the main cause of oil pollution in the Delta today," it said. "SPDC regrets that some NGOs continue to take a campaigning approach rather than focusing on on-the-ground solutions that bring societal benefits."

Audrey Gaughran, director of global issues for Amnesty in London, rejected the company's characterization of the report's claims as "unsubstantiated."

"The assertions are very well substantiated in the report," she said in a telephone interview. "We've taken the process down step by step, with expert advice, and provided individual cases, and all of this was provided to Shell beforehand to seek responses, and we got no responses to anything."

She also disputed the company's description of Bureau Veritas as independent. "Bureau Veritas is hired by Shell," she said.

And she said the Chatham House report is irrelevant. "Yes, it documents significant theft," which is a serious issue, she said. But, she added, "Theft is not oil spills. Proving there's loads of theft doesn't prove there's lots of oil spills due to the theft."

@highlight

Amnesty International cites "serious deficiencies and abuses"

@highlight

It challenges Shell's assertion that the vast majority of spills are caused by sabotage and theft

@highlight

Shell calls the report's assertions "unsubstantiated"

@highlight

Amnesty cites its reporting of individual cases