(CNN) -- Christian militia fighters killed at least 72 Muslim men and boys in two attacks in a remote southwestern corner of the strife-torn Central African Republic, rights group Human Rights Watch said Thursday.

The attacks in the village of Guen, which occurred in February, came to light after the rights group interviewed survivors, mostly women, children and the elderly, who had sought refuge in a nearby village.

Researchers also uncovered another massacre two weeks later in another village, Yakongo, this time of 19 people. They were killed by armed fighters from Seleka, a predominantly Muslim group, supported by cattle herders, the rights group said in a report.

According to Human Rights Watch, French and African Union peacekeeping forces are deployed in the larger southwestern towns of Boda and Carnot but do not patrol the road between them where these villages lie.

The spiraling ethnic violence in the Central African Republic has led some observers to fear another genocide like that seen in Rwanda nearly 20 years ago.

The Central African Republic was plunged into chaos last year after Seleka ousted President Francois Bozize.

Rebels infiltrated the capital in March 2013, sending Bozize fleeing to Cameroon. One of Seleka's leaders, Michel Djotodia, then seized power, only to step down as president in January after failing to halt the escalating violence.

Catherine Samba-Panza, the mayor of Bangui, was recently installed as the country's interim President, but the situation remains volatile.

To counter attacks on Christian communities by Seleka groups, vigilante Christian groups known as the anti-balaka, which translates to "anti-machete," have fought back.

Witnesses told Human Rights Watch that anti-balaka fighters were behind the two attacks on Muslims in Guen, one on February 1 and the second four days later.

One woman described seeing her husband being set upon with machetes as she fled with their 4-year-old son.

And the father of 10-year-old Oumarou Bouba told Human Rights Watch that the militia did not spare his son despite his young age.

"I took my son when the anti-balaka attacked," he said. "As we were running away, he was shot by the anti-balaka. He was shot in the right leg, and he fell down, but they finished him off with a machete. I had no choice but to run on. I had been shot too. I later went to see his body, and he had been struck in his head and in the neck."

Human Rights Watch called for Samba-Panza's interim government to investigate the killings and hold those responsible to account.

It also called for the international community to hasten the authorization and deployment of a U.N. peacekeeping force in order to protect vulnerable people in remote areas.

"These horrendous killings show that the French and AU peacekeeping deployment is not protecting villages from these deadly attacks," said Lewis Mudge, Africa researcher for Human Rights Watch.

"The Security Council shouldn't waste another minute in authorizing a United Nations peacekeeping mission with the troops and capacity to protect the country's vulnerable people."

On Tuesday, the European Union announced a military operation to help restore stability to the Central African Republic.

It will focus on securing the country's capital, Bangui, and its airport, "with a view to handing over to a U.N. peacekeeping operation or to African partners," a statement said.

France, the former colonial power in the Central African Republic, deployed 1,600 personnel there to support African Union troops in December after a U.N. Security Council vote authorizing military intervention.

Last year's coup was the latest in a series since the country gained independence in 1960.

CNN's Tom Watkins contributed to this report.

@highlight

Survivors tell of a massacre of Muslim men and boys in a remote village, rights group says

@highlight

Another massacre carried out days later by Muslim fighters, Human Rights Watch says

@highlight

The group calls for a U.N. peacekeeping force to protect vulnerable rural communities

@highlight

Spiraling ethnic violence in the Central African Republic has led to fears of genocide