(Mashable) -- So you want to work at Facebook, one of the world's hottest companies -- what do you have to get your foot in the door and get noticed?

It's not going to be easy -- you have competition.

Facebook received 250,000 job applications last year and is consistently rated as one of the best places to work. And with Facebook's IPO around the corner, the competition for jobs is only going to heat up.

There are plenty of ways to get noticed and stand above the crowd, though. I chatted with Thomas Arnold, head of recruiting for the social network, on what the company looks for and what it takes to get a job at Facebook.

What jobs are available at Facebook?

Ever since Facebook announced it was moving to a bigger office and raised $2 billion in funding, it has been ramping up its hiring.

While there are many openings in legal, communications, HR, marketing, online operations, business development, IT, design, user experience and internationalization, the company is especially looking for technical talent, especially software engineers and product managers.

The Facebook interview process

I actually went through the entire Facebook interview process in 2008, before I joined Mashable as an associate editor. And while it's definitely changed since I applied for a job on the company's User Operations team, the basic format has remained the same.

The first step is almost always a recruiter phone-screening -- Facebook will begin exploring your resume, asking you about your previous work, especially about what you've built and what leadership roles you've had in the past. Sometimes there's a second screening, depending on the role.

If you pass the screening, the company will fly you out to its Silicon Valley headquarters for a series of on-site interviews with the hiring manager (your potential future boss) and a group of your peers -- in other words, you will be interviewed by the members of the team you're hoping to join.

As Arnold explained to me, these interviews are designed to determine whether you have the skills for the job and whether you're a cultural fit. The group then makes "a collective decision on whether you're a great fit" for the position.

The process itself greatly varies from group to group -- expect more technical skill challenges if you're applying for an engineering job. Oh, and one extra piece of advice from me: Always put the user first in any scenario or interview question.

Standing apart from the crowd

With more than a quarter of a million applicants, how does Facebook whittle down the applicant pool?

"We're primarily looking for builders," Arnold says. He explains that Facebook has an entrepreneurial spirit and is a flat organization, and thus it's looking for people who can thrive in that environment. Employees need to be self-starters who don't need a lot of direction, so autonomy and self-motivation are highly valued.

Builders -- especially engineers who like to build projects on their own and have cool, working products or apps they can show off -- are sought after by the Facebook team. If someone builds a unique application and/or solves a problem in a way that hasn't been done before, he's going to get Facebook's attention.

Strong applicants to Facebook also "just get the social space," Arnold says. They not only understand the product, but can see the company's vision. Even more important is that they're active users of the product.

This may seem like a no-brainer, but Arnold says his team finds a lot of applicants who haven't used their Facebook accounts in weeks or even months. And that is a very clear sign to Facebook that the person won't be a good fit.

Finally, it's very helpful to know someone at Facebook who can vouch for you -- this was true even when I interviewed with the social network three years ago. While I got special consideration due to my unique history with Mark Zuckerberg and Facebook, I still had a Facebook reference.

Final thoughts

While I ultimately failed to secure a job at Facebook, you don't have to let that be the case for you. For those of you applying to non-technical roles, be sure you're active users, understand the company culture and have a resume filled with leadership and "builder" activities.

It's more impressive if you launched an organization or product than if you simply took it over.

For technical talent, the best thing you can do is build something. If you build a really impressive iPhone application that gains some traction, you're going to get noticed. If you are a major contributor of open source code to various projects, you're going to get noticed.

In the end though, the big filter is cultural fit. There isn't really much you can do to prepare for that -- the Facebook team simply knows if you're going to mesh well with them or if you're not going to be able to keep up.

And as I said before, be sure to have an employee refer you. Otherwise, you're going to have a really difficult time just getting the phone screening.

© 2011 MASHABLE.com. All rights reserved.

@highlight

The company is especially looking for technical talent

@highlight

Strong applicants to Facebook "just get the social space," Thomas Arnold says

@highlight

In the end, the big filter is cultural fit