(CNN) -- The Obama administration finally got it right when it decided to stop fighting to put age limits on who can buy morning-after pill Plan B without a prescription.

The fight started a year and a half ago, when apparently for the first time in history, the secretary of health and human services overruled a Food and Drug Administration decision. The FDA said Plan B should be sold the way aspirin is sold -- with no restrictions. The Obama administration wanted age limits; a coalition of reproductive rights groups sued the government, and on Monday, the Justice Department backed down and ended the legal wrangling.

Plan B One-Step is a form of emergency contraception. It works like other forms of birth control pills, by preventing an egg from being released from the ovaries.

Feds drop 'morning-after pill' appeal

It has secondary effects as well. It may work to prevent fertilization of an egg if one has already been released. It may also stop an egg that has been fertilized from implanting in the wall of the uterus. But it does not cause an already implanted, fertilized egg to be aborted. In other words, it only works to prevent pregnancy, not to end one. The difference between this drug and conventional birth control pills is that it can be taken right after sex instead of daily.

Plan B is safe. Long before HHS Secretary Kathleen Sebelius overruled the FDA, adults could buy it without a prescription. If you were 17 and could show identification proving your age, you could also buy the drug without a prescription. If you were 16 and younger, you needed one.

This is not the way drugs are normally treated. Usually, there are prescription drugs and over-the-counter drugs. Few fall into this prove-your-age category. Pseudoephedrine does, for instance, because people are concerned you might take it and make crystal meth. But the vast, vast majority of medications do not. To enact this kind of pre-authorization, you'd need a compelling reason.

Some argued that allowing the drug to be sold so freely to kids would be implicit consent for them to have sex. I hate to break it to you, but they're having sex already. Don't take my word for it as a pediatrician -- lots of research shows that kids are having sex before they are 16.

Whether or not Plan B is sold in pharmacies without a prescription isn't going to change that. Moreover, this is the same argument people have made about the HPV vaccine, that it would make girls more promiscuous, and research shows that isn't true.

Others, including the Obama administration, argued that it was too dangerous for girls to be allowed access to this drug because they couldn't understand its proper use, and they might abuse it. This might be a compelling argument, if it, too, hadn't already been studied.

As the FDA conducted the review that informed its decision, the Center for Drug Evaluation and Research specifically evaluated whether Plan B was safe and effective in younger girls, whether they understood its proper use, and whether they appreciated that it wouldn't protect them from sexually transmitted infections. The center found that girls did understand all of these points, and that's why it ruled that it could be sold to them without a prescription.

This argument seems to be applied only to Plan B, and not any other drugs. For instance, in 2011, more than 117,000 calls were made to poison control centers for kids under the age of 5 because of exposure to pain medications. More than 44,000 calls were made for small children exposed to antihistamines. Even more calls were made for adults. These drugs cause thousands of problems a year, and sometimes even deaths. Yet no one thinks about making those medications harder to get.

President Barack Obama said that the reason a 10- or 11-year-old should not be able to buy Plan B "alongside bubble gum or batteries" was because if they didn't use it properly, it "could have an adverse effect." From 2008 till 2011, 10 children died in the United States from ingesting batteries. Plan B killed no one at all.

This decision matters. Although Plan B is legally available to girls age 17 with proof-of-age right now, misinformation, and sometimes pharmacists' views, can prevent girls from obtaining the drug in time. Research proves this. If you don't take the medication soon after sex, it becomes less effective. Delays -- such as needing to get a prescription, or being denied it by a pharmacist -- could make it useless.

When Obama took office, he promised to shield science from politics. Yet in ignoring the findings of the FDA, he did the opposite. Science shows Plan B is safe and effective, and meets the standards for over-the-counter use. Science shows that other drugs are far more dangerous, yet they receive none of the consideration Plan B does. This drug is controversial because it involves sex and pregnancy.

In deciding not to pursue the case, the Department of Justice has chosen to side with science. Those reasons, unfortunately, appear to be more pragmatic than scientific. It seems that even now, a senior administration official told The Washington Post, Obama still opposes over-the-counter access to emergency contraception for young girls. Some believe that this move is a political decision -- that he really isn't opposed but gets to appear like he is while still getting the decision he wants.

If that's the case, it's a bit too cynical for me. I'd rather see an administration that is consistent in its reliance on science, data and evidence. In this case, the administration got it right, even if it's for the wrong reason.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Administration stopped fighting to put age limits on buying morning-after pill Plan B

@highlight

Aaron Carroll: Plan B prevents pregnancy but does not end it, and is safe and easy to use

@highlight

Arguments debunked, he says: Girls use it correctly, and it doesn't cause promiscuity

@highlight

Carroll: By dropping its campaign, administration sides with science, not politics