(CNN) -- Looking like a tourist can cost you money and pride.

Looking like a local can open you up to even greater harassment.

Read our survivor's guide, split the difference and come away with your upper lip intact.

1. Getting around

Travel around the UK is relatively simple.

Yes, they drive on the left, but don't be daunted. Most roads are so narrow that it doesn't make any difference which side you're on.

Be prepared when driving distances of more than 20 miles.

These can be epic undertakings on Britain's congested highways, but the misery of gridlocked traffic will be more than compensated for by road signs pointing to places with names like Ramsbottom, Throcking and Goole.

Britain has an extensive and efficient rail network, which only ever grinds to a halt when the weather turns hot, cold, wet or dry.

Tickets are expensive but you can find cheap fares by booking eight or nine years in advance of travel.

Try: The Night Riviera sleeper train from London to Penzance then a drive or hike around the spectacular Cornish Coast.

More: 10 of London's oldest, greatest pubs

2. Climate

There are warm days in the UK, but you know you're in a damp country when the merest hint of sunshine is front page news.

Britain has four seasons, and while the transitions between them can be pleasant, each is typically as wet, gray and cold as the last.

All are considered by Brits to be "ice cream weather."

Whatever the climate throws at you, be prepared for endless conversations about it.

These needn't be dull since, like Eskimos with snow, Brits have a impressive lexicon for rain.

If you hear the word "mizzle," it probably means a light shower. Or maybe a low quality Snoop Dogg track.

Try: The Royal Botanic Gardens. Dazzling spring and fall displays, but enough hot houses to ward off the worst of the weather (Kew, Richmond, London; +44 20 8332 5655).

More: The world's best city is ...

3. Royalty

Don't be duped by Downton Abbey. Britain has come a long way since the days when ordinary folk were awestruck by aristocracy.

This is a modern country where all are born equal and social rewards are based on merit.

This is why few British people bothered turning up when a blue-blooded chap married his sweetheart in 2011.

It's why barely anyone noticed when she gave birth a couple of years later.

And it's also why no one batted an eyelid when his flame-haired brother got naked in Vegas.

OK, none of that is true. British people are as in thrall to their royal family as you are.

And they're willing to sell you a Wills 'n' Kate souvenir tea towel with matching oven mitts to prove it.

Try: Windsor Castle. Sprawling royal residence west of London where Queen Elizabeth II can occasionally be spotted in her natural habitat (Windsor, +44 20 7766 7304).

More: Photos: Prince George's christening

4. History

Britain has so many ancient attractions, it's hard to know where to start.

And if you do manage to visit all the sites of historical interest, archeologists will simply dig up the bones of another 15th-century king from under a parking lot, just to annoy you.

But since some Brits are only aware of two key dates -- a French invasion in 1066 and an England soccer World Cup victory 900 years later -- you don't need to try too hard to catch up.

Try visiting the northern city of York, where you can wallow in 2,000 years of British history in one location.

Or Bath, where you can do the same and also wallow in a nice thermal bath (Hot Bath Street, Bath; +44 844 888 0844).

Try: York Castle Museum. Compelling and sometimes gruesome stroll down Britain's memory lane (York Castle Museum, York; +44 19 0468 7687)

More: 5 travel relationship killers

5. Tea

There may be coffee shops on every UK street corner, but Britain is resolutely a tea-drinking nation.

Vast lakes of insipid infusions are consumed on a daily basis.

Visitors will note the almost mandatory provision of a miniscule electric jug, or kettle, in every hotel room.

It will take four hours to boil half a cup, but for many Brits this is an essential lifeline. There isn't any crisis they believe can't be solved with a nice cup of tea, and perhaps a biscuit.

When preparing tea, there are rituals to be observed.

Use boiling water and, if you must resort to tea bags, always add the milk last.

Failure to do so will result in such distress that it may take another cup of tea to calm everyone down again.

Try: For posh tea, try Fortum & Masons (181 Piccadilly, London; +44 84 5602 5694). For normal, head to the Regency CafÃ© (17-19 Regency St., London; +44 20 7821 6596).

6. Language

Even if you're fluent in English, you may experience linguistic difficulties in the UK.

Regional dialects vary extensively in the space of a few miles, resulting in bafflement even among locals.

If you can't understand what a British person is saying, it's fairly safe to assume it's either a). something about the weather (see climate above), or b). an apology.

British people love apologizing: they're sorry to trouble you, sorry they can't be more helpful, sorry about the rain and sorry about invading your country in 1762, or whenever it was.

They also love apologizing when it's not even their fault: they're sorry that you bumped into them, sorry you knocked them to the floor and sorry that you are repeatedly thwacking them over the head and telling them to stop apologizing.

Be warned though, it's contagious.

Try: Glasgow. Scotland's second city is reputedly the UK's politest. Perhaps it's the impenetrable accents. Or the awful weather.

More: Want better sex? Travel more

7. Cuisine

Britain's bland national diet has been revolutionized by South Asian migrants whose spicy concoctions are now firm favorites sold on every high street.

Meanwhile, pubs that once nourished customers with despondent sandwiches are now studded with Michelin stars.

But don't be fooled.

They might pretend to love fine dining, but when on the hoof, many Brits still prefer to fill their faces with offal and saturated fat.

Few journeys are made within the United Kingdom that aren't catered with sausage rolls, Cornish pasties and Scotch eggs.

Visitors troubled by the sight of greasy meat should also be warned of three words that will strike fear -- if not full-blown cardiovascular seizures -- into their hearts: Full. English. Breakfast.

Try: Offally good food: St. John Bar and Restaurant (St. John Street, London; +44 20 7251 0848). Offally average: Any branch of Greggs bakery.

8. Television

Be sure to take time out from your travels to sample a few hours of British television, but seek not the polished period dramas that are easily exported to other countries.

Where British TV excels is in its celebration of the lives of ordinary, dare we say boring, citizens.

The UK's three most popular soaps focus not on the beautiful or the damned, but on normal folk engaged in humdrum tasks like buying cheese, arguing about pottery or tending to their farms.

Talking of farms, every spring since 2010 British television has dedicated numerous prime time hours to some of the best reality TV ever conceived: live coverage of the annual lambing season. Keep up with that, Kardashians!

Try: Tour locations from the UK's sheep-heavy "Emmerdale" soap: dull plots, stunning scenery (Brit Movie Tours; +44 84 4247 1007)

@highlight

Tedious road journeys are offset with entertaining place names like Ramsbottom, Throcking and Goole

@highlight

Prepare for endless conversations about weather -- probably identical whatever season it is

@highlight

Coffee shops everywhere, but Britain is a tea-drinking nation. Vast lakes of insipid infusions are consumed daily