Washington (CNN) -- Eight weeks after the massacre of 20 Connecticut first-graders, a ban on the kind of semi-automatic rifle used by the killer remains elusive -- if not impossible.

Such a ban became a rallying cry for victims' families, advocacy groups and politicians supporting tougher gun laws in the emotional aftermath of the Newtown shootings in December.

President Barack Obama still calls for updating a 1994 assault weapons ban that expired 10 years later as part of his package of steps intended to reduce chronic gun violence in America, especially in major cities.

However, fierce opposition by the powerful National Rifle Association and millions of American gun owners has shifted debate away from prohibiting specific weapons to making it harder for criminals, terrorists and the mentally ill to obtain guns.

Along with a renewed ban on semi-automatic weapons, Obama also wants to limit magazine clips to 10 rounds, expand background checks to all gun sales, crack down on gun trafficking, and strengthen efforts to prevent firearms from falling into the wrong hands.

The multi-faceted proposal provided Congress with options on legislation, enhancing chances of passing some provisions, said Lanae Erickson Hatalsky, director of social policy and politics at Third Way, a Washington think tank that proposes policy compromises on major issues.

Gun violence plans: What's in the works

While her group supports a renewed ban on military style weapons, Erickson Hatalsky said "political reality" dictated a different approach.

"Keeping guns out of the wrong hands is not only more politically palatable but also more effective to stop gun violence," she explained.

That strategy reflects "an understanding of gun crime in the country," she added.

Opinion polls back up her assertion.

A Quinnipiac University survey released Thursday showed that 92% of respondents support expanding background checks to all gun sales. In households with guns, support was 91%.

However, a majority of households with guns opposed a renewed ban on semi-automatic weapons, while the full survey showed 56% of respondents backed the provision.

The poll also found that 46% of respondents believe the NRA better reflects their views on guns, compared to 43% for Obama.

Newtown calls on Connecticut to 'show America the way' on gun control

Diverse views in America

Obama acknowledged on Thursday that Americans have diverse views on the issue, depending on where they grew up and how they live.

"There are different realities and we have to respect them," he told House Democrats at their policy retreat, noting rural hunters and urban dwellers come from distinct gun cultures.

At the same time, the president called for action, saying "there are commonsense steps we can take and build a consensus around, and we cannot shy away from taking them."

Earlier this week, White House spokesman Jay Carney made clear that the goal was progress on reducing gun violence, rather than any specific provision.

Carney called proposals backed by legislators from both parties "the first progress we've seen in many, many years dealing with gun violence." But none of the measures he mentioned -- expanded background checks, cracking down on gun trafficking, criminalizing "straw" purchases in which legal buyers obtain weapons for those unable to do so -- included a new ban on semi-automatic weapons.

Gun debate: Where is the middle ground?

NRA President Bob Keene said he expected few substantive changes in law because "people are smarter than politicians," which means "common sense ultimately prevails."

"They hope that they can use emotion to achieve an anti-firearms agenda that they haven't been able to achieve in the past," Keene told a recent Christian Science Monitor breakfast event.

"I am convinced that as these things are discussed, that we're going to come out about where we have come out in the past," he added.

His organization keeps a scorecard for each Washington legislator on gun issues, and spends millions on campaign contributions to favored candidates.

In the nearly two months since the Newtown shootings, Obama and the White House have sought to maintain public attention on the issue.

Loaded language poisons gun debate

Vice President Joe Biden will take part in a roundtable discussion on gun violence on Monday in Philadelphia.

Four days later, Obama will award the Presidential Citizens Medal -- the nation's second-highest civiian honor -- posthumously to the six educators killed with the 20 first-graders at Sandy Hook Elementary School.

In Congress, some influential Democrats join virtually all Republicans in opposing, or at least questioning, a renewed ban on semi-automatic weapons like the Bushmaster AR-15-style rifle used in the Newtown shootings.

Senate Majority Leader Harry Reid, who gets high marks from the NRA for his opposition to past gun control efforts, has indicated support for expanding background checks but refuses to endorse a new weapons ban.

According to Reid, a bill from the Senate Judiciary Committee was unlikely to include an updated weapons ban, but he would allow a vote on the provision during floor debate.

Weapons like the Bushmaster mimic the appearance and some features of fully automatic military rifles, though they technically do not meet the definition of an assault weapon because they are semi-automatic -- meaning each shot requires a trigger pull.

Supporters of a ban say such weapons have no place in the general public because they are designed solely for rapid-fire killing capacity, rather than hunting or sport shooting.

Opinion: Nothing stops a bullet like a job

Right to bear arms

The NRA and other opponents contend that any limit on private gun ownership violates the constitutional right to bear arms. Even partial steps in that direction, such as prohibiting specific models, are considered a path to potential confiscation or other future elimination of Second Amendment rights, they argue.

In recent decades, the NRA has led lobbying efforts that shifted the discussion away from stronger gun controls -- such as an outright ban on handguns and a national registration of gun ownership pushed by top Democrats in the 1980s and 90s -- to the incremental measures under consideration now.

Erickson Hatalsky of Third Way noted examples of the NRA's influence in the last significant gun legislation -- the Brady Bill of 1993 that required background checks on guns purchased from licensed dealers, followed by the limited assault weapons ban a year later.

While the Brady Bill led to the background check system in use today, the NRA made sure it didn't apply to private sales, such as those at gun shows, she said.

How the violent mentally ill can buy guns

Obama and other Democrats now want to close what they call a loophole to make background checks a requirement for any gun sale.

The issue gained prominence after the Columbine high school shootings in 1999 in which three guns used by the two underage killers had been purchased by 18-year-old Robyn Anderson at a Colorado gun show to avoid a background check.

Anderson later told a Colorado House of Representatives committee that the gun purchases had been "too easy."

"I wish it had been more difficult," she said. "I wouldn't have helped them buy the guns if I had faced a background check."

The 1994 weapons ban targeting military style weapons was gone 10 years later, when Congress let it expire in the administration of President George W. Bush -- an outcome sought by the NRA.

Keene and other NRA officials argue the ban failed to reduce gun violence because it targeted firearms used in only a fraction of the nation's gun violence. They also contend the government isn't properly enforcing the background checks created by Brady Bill, making an expansion illogical.

"We are not willing to support measures we feel unduly burden innocent and law-abiding Americans, and on the other side do not have any real impact on the problem we're trying to solve," Keene said.

To Erickson Hatalsky, the goal is to get laws on the books that make it harder for criminals, terrorists and the mentally ill to obtain guns -- either through private sales or from traffickers through straw purchases.

Minor exceptions would apply to family members giving guns to each other, or people borrowing guns on a hunting ground, she said.

"How are they going to stop somebody who's a gun trafficker if there's no federal law against that now," she wondered.

January's FBI gun background checks are second-highest

Limits on magazine rounds

A tougher issue involves proposed limits on ammunition magazines to 10 rounds, she said. Larger capacity magazines allow semi-automatic weapons to fire dozens of rounds in seconds.

At a Senate Judiciary Committee hearing on gun control last week, Mark Kelly argued that the proposed limit could have prevented the death of a young girl in the Tucson, Arizona, attack that seriously wounded his wife -- former Rep. Gabrielle Giffords.

According to Kelly, the 13th shot fired killed 9-year-old Christina-Taylor Green, and the shooter got tackled when trying to reload. With a 10-round limit, Green might still be alive, he said.

Gabby and Mark: The new 'Bradys' of gun control

The NRA and its supporters say larger-capacity magazines are popular, with millions already in the possession of American gun owners who want them to feel secure against criminals armed with similar firepower.

They also contend citizens have the right to such weaponry to protect against future government tyranny, which they say was the intent of the Second Amendment's right to bear arms.

Erickson Hatalsky rejected any inference by the NRA or its supporters that Obama's proposals or other measures being discussed in Congress amount to taking away people's guns.

She praised the president's strategy of presenting a broad package for Congress to consider, saying: "It behooves people who are working on this issue to keep the NRA arguing about lots of different issues, rather than allowing it to concentrate on one and defeat it."

Ted Nugent sings praises of gun ownership

CNN's Halimah Abdullah contributed to this report.

@highlight

NEW: President Obama will honor the six educators killed in the Newtown shooting

@highlight

Obama includes a partial weapons ban in his package of gun measures

@highlight

The National Rifle Association mounts fierce opposition to any kind of ban

@highlight

A policy expert says political reality shifts the debate from a ban to background checks