(CNN) -- There's a reason most of Scotland's population clusters near the English border.

It's safer there -- OK, give or take certain Glasgow pubs.

The country just gets wilder the further north you go.

From its ghostly peat bog moors, to the minke whales and basking sharks patrolling its islands, the wild geese that flock here and even its own indigenous cat (a wild cat -- in Scotland?), this small country contains some of the most unspoiled territory left in Europe.

Yet few people in heavily urbanized Britain -- or outside it -- know much of these fiercely beautiful places within their country's borders.

Fewer still have explored them.

Below is the nitty-gritty (there's probably some Scottish way of saying that) of getting to them, starting with a certain improbable cat ...

1. "Highland tigers"

There are fewer than 100 purebred wildcats left in Scotland.

Seeing a "highland tiger" in the wild is a rare privilege, but you might glimpse one in the thick heather and fir woodlands of the Cairngorms National Park (access free, 365 days a year).

This pocket wilderness is home to red deer, golden eagle and osprey, as well as wildcats.

Most of the park, whose landscapes include four of Scotland's five highest peaks, can be explored only on foot.

2. The curlew's cry on the moor

Few places feel as wild as windswept Rannoch Moor.

Only one road crosses this expanse of peat bog, heather moorland, streams and lochans (a small loch).

Often the only sound here is the cry of the curlew, a wading bird.

This remote country is traversed by the West Highland Way.

After crossing the moor, this long-distance trail plunges into the forbidding ravine of Glencoe.

In 1692, Campbell soldiers in government pay massacred almost 80 MacDonald clanspeople here.

The walk across the moor from Bridge of Orchy (four trains daily from Glasgow -- see Scotrail.co.uk) takes one day.

Allow another day to walk to Glencoe and down the rugged "Devil's Staircase" to the coast.

You can camp anywhere on the way, but beware of swarms of biting midges in summer.

3. Scotland -- by sea kayak

The Scottish Sea Kayak Trail is Europe's first long-distance sea kayak journey.

This 500-kilometer odyssey takes in almost mythically beautiful stretches of coastline between Gigha, off the Mull of Kintyre, and the Summer Isles, near Ullapool.

You can do the journey in stages, or in one epic voyage that takes around two weeks.

Wilderness Scotland (Inverdruie House, Inverdruie, Aviemore; +44 (0)1479 420 420) offers four- and five-day guided journeys from £895 ($1,420).

The price includes equipment, hotel accommodation and ground transfers.

4. Ben Nevis's shorter, tougher rival

Suilven, rising above the desolation of Assynt, isn't among Scotland's highest mountains.

Reaching its 2,399-foot summit, though, involves a near-vertical scramble up rocky gullies and is a far greater challenge than the comparative stroll to the peak of much higher Ben Nevis.

At the top, after the nerve-racking final ridge traverse, a spectacular panorama of loch and moorland scenery rewards you.

With luck, golden eagles will be soaring overhead.

Suilven is 19 kilometers south-east of the village of Lochinver, Assynt; access is free. Downloadable maps are available at Walkhighlands.co.uk.

5. Wild geese and clashing stags

Vast flocks of wildfowl darken Islay's skies in winter, when tens of thousands of barnacle geese and white-fronted geese migrate from the Arctic to this southern Hebridean isle.

Their arrival in autumn and departure in spring are among Europe's most memorable wildlife spectacles.

Islay is also the best place in Scotland to see red deer stags up close as they clash antlers to establish their mating territory.

At the same time of year, you'll see mad March hares "dancing" as they, too, seek mates.

Seals and otters haunt the island's rugged coastline.

Islay Stalking (Gearach Forest, Islay; 44 1496 850 120) offers morning and evening photo safaris from £20 ($32).

6. Benign beaver hunt

Beavers -- extinct in Scotland for 400 years -- were reintroduced into the wild in 2009.

A small colony has set up home at Dubh Loch and Loch Corrie Bar, in Knapdale Forest.

Knapdale is a unique wetland landscape of rocky ridges and lush oak woodland.

As well as beavers, it's home to otters and a rich variety of birdlife.

Guides from Scottish Beaver Trail (Knapdale Reserve, Barnluasgan, Argyll) lead walks to lochs, beaver dams and feeding sites.

7. Minke whales and loggerhead turtles

The waters around the Isle of Mull are surging with marine life.

You can take a boat trip from this lovely west coast island to spot minke whale, dolphin, porpoise and basking sharks at sea, seals and otters on island shores and sea eagles in the sky above.

Rarer sightings may include giant ocean sunfish and even loggerhead turtles.

A three hour wildlife-watching boat trip with Mull Charters (Fascadale, Salen, Isle of Mull; +44 (0)1680 300 444) costs £35 ($55).

8. Climbing the twisted Old Man of Stoer

The "stacks" of Scotland's west coast offer unique climbing routes.

These steep rock pinnacles rise straight from the waves and challenge the boldest climber.

The Old Man of Stoer, a twisted, 60-meter sandstone spire, is rated among the best of these multi-pitch climbs, with a 55-meter abseil back to sea level from the summit.

Go Further Scotland (9 Melvaig, Gairloch, Ross-shire; + 44 (0)1445 771 260) offers guided ascents (maximum two climbers per expert guide) from £130 ($207) per climber.

9. Abandoned St. Kilda

It's hard to believe people ever lived on St. Kilda.

After centuries of grinding hardship, in 1930 the last islanders asked to be resettled on the mainland.

Since then, St. Kilda's only permanent inhabitants have been seabirds, wild sheep and a unique species of fieldmouse.

This is the wildest of wild places. Getting here, even in a modern vessel, takes hardihood.

St. Kilda's sheer cliffs provide nesting places for huge flocks of gannets and fulmars.

Below the sea's surface, the cliffs plunge deep, creating world-class wall dives.

Elizabeth G Charters (Failte, Main Street, Tobermory, Isle of Mull; +44 (0)1688 302 495) operates luxury liveaboard wildlife and diving cruises.

Prices from £1,000 ($1,600) per person for a six night cruise.

10. Wild stories

And then there are the wild stories -- of which one of Scotland's wildest concerns the supposed monstrous inhabitant of Loch Ness.

On an overcast day, it's easy enough to believe unknown life forms lurk in its depths.

And cryptozoology is big business in these parts -- but this vast, dark loch, containing more water than all the lakes in England and Wales combined, is impressive, Nessie or no.

The unsettled side of the loch, which you can paddle to from Fort Augustus, feels remarkably unspoiled for such a well-known place as Loch Ness -- no wonder whisky smugglers used to love its calm, hidden little bays.

Cruise Loch Ness (Knockburnie, Inchnacardoch, Fort Augustus, Inverness-shire; + 44 (0)1320 366 277) offers one-hour "monster-spotting" trips on RIBs and sonar-equipped boats, from £22 ($35) per person.

Or you can canoe the Great Glen, from Loch Ness to Loch Morar, with Boots 'N' Paddles (14 Cabrich, Kirkhill, Inverness; +44 (0)845 612 5567). The journey takes three to five days.

Robin Gauldie is a freelance travel journalist and the author of more than 20 guidebooks. He contributes to newspapers and magazines including the Scotsman, the Sunday Telegraph and the South China Morning Post. He lives in Edinburgh.

@highlight

Scotland has its own wildcat -- although it's become very rare

@highlight

Few places feel as wild as Rannoch and other windswept moors

@highlight

Beaver have been reintroduced here -- guides can take you to them