(CNN) -- Since news first broke about the shooting at a Connecticut elementary school, people began wondering how something so horrible could happen.

Within a few hours, before the magnitude of the tragedy was fully known, reports began to surface that the shooter, Adam Lanza, was autistic or had Asperger's syndrome in addition to a possible personality or anxiety disorder such as obessive-compulsive disorder.

A relative told investigators that Lanza had a form of autism, according to a law enforcement official, who spoke under condition of anonymity due to the sensitive nature of the investigation. CNN has not been able to confirm independently whether Lanza was diagnosed with autism or Asperger's syndrome, a higher-functioning form of autism.

Russ Hanoman, a friend of Lanza's mother, told CNN that Lanza had Asperger's syndrome and that he was "very withdrawn emotionally."

However, national autism organizations cautioned against speculation about a link between violence and autism or Asperger's.

While the motive for this crime is still unknown and may never be fully understood, what is clear, according to experts, is that autism cannot be blamed.

"There is absolutely no evidence or any reliable research that suggests a linkage between autism and planned violence," the Autism Society said in a statement. "To imply or suggest that some linkage exists is wrong and is harmful to more than 1.5 million law-abiding, nonviolent and wonderful individuals who live with autism each day."

Man with Asperger's shares thoughts on Sandy Hook shooting

Peter Bell of Autism Speaks said, "Autism did not cause this horror." Bell, executive vice president for programs and services for the advocacy and research group, is also the father of a son with autism.

Bell said it's not unusual to want to figure out why someone would commit such a heinous crime, but he also cautioned people to do so responsibly.

And by definition, he said, people with a diagnosis of autism or Asperger's are not inclined to commit an act of violence. The likelihood of this happening would be no different than the rest of the population, he added.

With autism, no longer invisible

One in 88 children in the United States have autism, according to the latest estimates from the Centers for Disease Control and Prevention. Boys with autism outnumber girls 5 to 1, according to the CDC; 1 in 54 boys in the United States have autism.

Autism spectrum disorders, including Asperger's syndrome, are a range of developmental disorders of the brain.

They can cause significant social impairments, communication problems and restricted, repetitive and stereotyped patterns of behavior.

It's important for the public to know that the gunman's actions can't be linked with autism spectrum disorders, said Dr. Max Wiznitzer, a pediatric neurologist and autism expert at Rainbow Babies and Children's Hospital in Cleveland.

"Aggression and violence in the ASD population is reactive, not preplanned and deliberate," he said.

For example, sometimes children with autism will get violent because they are sick or frustrated and unable to communicate how they feel.

Wiznitzer also said that violence among autism spectrum disorder patients is "sometimes due to ASD features such as desire for sameness but usually related to a co-existing disorder such as anxiety or ADHD (attention-deficit hyperactive disorder)."

Commenters and CNN iReporters also weighed in on the issue.

"I have Asperger's, a very mild form of autism," said one comenter, oblivion328. "Though as an adult I no longer exhibit any of the associated behaviors aside from some manageable social anxiety, I recall very well having tantrums as a child. I sincerely doubt if you put a gun in my hand during such an episode I'd start shooting people. Most autistics are more likely to harm themselves than anyone around them really."

"When you talk about autism or anything on the autism spectrum, you're talking about a neural disorder," said CNN's Dr. Sanjay Gupta. "I think the terms do matter here. Second of all, just this whole idea that it's linked with violence in some way and specifically pre-planned violence, I think we can dispense with that."

What concerns advocacy groups such as Autism Speaks, the Autism Society and the Autism Research Initiative is that linking autism with violence will once again stigmatize people with autism and turn back the clock on progress made so far.

"Please do not judge any individual with autism based on what is being said about a killer of innocent children and teachers," the Autism Society said in its statement.

A blood test for autism?

Bell said he is concerned that linking autism to this crime could even endanger innocent people and that the community will begin to fear those with autism.

"We worked so hard to try (integrate them) into our communities, give them opportunities to be employees, to be able to live in our neighborhoods, and if people do jump to conclusions, we really risk taking significant steps backward for people in this population," he said.

In a statement, Autistic Global Initiative Director Valerie Paradiz said, "The autism community has long labored toward building understanding, awareness and trust within communities throughout the United States and the world.

"As adults with autism living productive, peaceful lives, we urge the media and professionals who participate in speculative interviews about the motives of the accused shooter to refrain from misleading comments about autism and other neurodevelopmental disabilities. ... (M)isinformation could easily trigger increased prejudice and misunderstanding."

CNN's Dr. Sanjay Gupta and Danielle Dellorto contributed to this report.

@highlight

A relative says shooter Adam Lanza had a form of autism, law enforcement official says

@highlight

Autism is a neurodevelopmental disorder, not a personality disorder

@highlight

Advocacy groups caution against speculation about link between violence and autism

@highlight

Violence for those with autism spectrum disorders is not planned, expert says