A silent, nimble, two-wheeled killing machine.

That's what Pentagon researchers envision, now that they've greenlighted developing a hybrid motorcycle powered by two sources: an engine that burns several types of fuel and a stealthy, super-quiet electric motor.

Imagine an elite U.S. fighting force deployed in a mountainous region of Afghanistan, riding motorbikes that are nearly silent. The loudest sound is tires on dirt as they twist and turn down dried river beds and up narrow goat trails. When they launch their assault on a Taliban stronghold, the enemy is taken by surprise.

The Pentagon's Defense Advanced Research Projects Agency has tapped defense contractor Logos Technologies and motorcycle maker BRD to design the motorbike.

As a platform for the project, Logos is talking about BRD's 250-pound RedShift MX. Although the RedShift MX is totally electric, Logos wants to combine that with an engine that burns regular gasoline, as well as jet fuel and diesel. It's expected to have a range of 100 miles and make very little noise, even when the conventional engine is running.

"It looks like a nice bike," said Michael Golembesky, a former Marine Corps special operations staff sergeant, after watching a CNN video of the RedShift MX. "I don't know about that wheelie action though," he laughed. "I can't see any of our guys doin' that."

Troops mounted on stealth bikes could deploy via helicopters or verticle-landing V-22 Ospreys and later switch to silent mode for the final leg of their ground approach, Logos said.

Controlling engine noise would be an important weapon for bike-mounted forces, Golembesky said.

But Golembesky said Pentagon motorcycle developers should keep this in mind: "The guys on the ground love to keep it simple. It has to be simple because as soon as you start making things complex, things break, fall apart, it's less feasible."

Golembesky -- now a 30-something Colorado-based defense contractor and writer -- knows a thing or two about fighting Taliban on wheels in the Afghan mountains. He did it for about a year with the U.S. Marine Corps Forces Special Operations Command after two deployments in Iraq. During his time in Afghanistan with MARSOC, Golembesky and his teammates used small, four-wheeled, all-terrain vehicles to push quickly through rough topography during anti-Taliban missions.

Soon after he left the unit in 2010, Golembesky said Marine special ops in Afghanistan began improvising and bringing motorcycles into their weapons arsenal.

They started acquiring cheap "Chinese knockoff" motorbikes in Afghan bazaars and customizing them. "They'd weld racks on the back and repaint them, camouflage them down," he said. "The bikes mainly became a way to overcome covering long distances over harsh terrain."

It was really a case of fighting fire with fire. Taliban have been riding mopeds and motorcycles to attack U.S. forces since the beginning of the war in 2001, said Golembesky. "They know the most practical, low stress, low impact way to get around the battlefield and maneuver."

Soon the Marines developed tactics using the bikes. They announced a formal training program in 2012.

Troops rode the motorcycles regularly during MARSOC combat reconnaissance patrols, Golembesky said. "The bikes allowed Marines to patrol larger areas, to easily and quickly zip up hills. Quick access to higher terrain allowed a tactical advantage which was often safer than, say, a low-lying village, where Marines might risk getting caught in an ambush.

Another advantage: By constantly moving on motorbikes, special ops forces keep enemies guessing about their location. Taliban "don't know where you're going and they don't know what your intent is," Golembesky said. "The motorbike just amplifies that."

U.S. forces can use the bikes to sneak up behind enemies or block their escape. "You can do a lot of damage, just having that mobility."

American special forces including Navy SEALs and Air Force combat controllers have been using motorcycles for their operations for years. Logos says the widely used current U.S. military motorcycle -- imaginatively dubbed the M1030M1 -- is based on a platform that's nearly 30 years old.

Golembesky's forthcoming book on MARSOC operations in Afghanistan, "Level Zero Heroes," is set to drop in September. The book follows a 2012 article that grabbed attention on military blogs. Its title: "MARSOC Motorcycle Gangs in Afghanistan."

"Whenever you get a bunch of guys together on motorcycles with firepower, it's basically a gang," Golembesky said. "A very lethal gang."

@highlight

The Pentagon is developing a silent, rugged combat motorcycle

@highlight

U.S. Marines used dirt bikes in Afghan special ops, says author

@highlight

Motorbikes offer tactical advantages to special forces