Washington (CNN) -- In her grilling on Capitol Hill on Wednesday, Health and Human Services Secretary Kathleen Sebelius reiterated a frequent assertion in the Obamacare sales pitch --- consumers have options when shopping for insurance plans on the health care exchanges.

"The 15% of our neighbors and friends who are uninsured have affordable new options in a competitive market," Sebelius said in her testimony to the House Energy and Commerce Committee.

After apology, Sebelius subpoenaed over Obamacare website

But a CNN analysis found that consumer options vary significantly from state to state, and many Americans are discovering that they have very few options.

Fact-checking Obamacare claims

In West Virginia and New Hampshire, for example, residents shopping on the exchanges can only purchase plans from a single company. Contrast that with the state-operated exchange in New York which has 16 participating companies, an average of five per county. Wisconsin, which is on the federal exchange, has 13 participating insurers, although some counties in the state have only one.

So what prices are people finding in states where only one insurer lists on the exchange?

In states with many insurers on exchanges, plans vary far more dramatically in price. Some are more expensive but many are significantly cheaper.

Big difference state-to-state

In Pennsylvania, for example, with 10 insurance companies listed on the exchange, a 27-year-old can buy a silver plan from Highmark for $133.83. Highmark is the same insurance company that operates on the West Virginia exchange.

A 27-year-old in West Virginia, meanwhile, can purchase silver plans ranging in price from $193.93 to $250.69 a month. In New Hampshire, that same individual can browse silver plans costing from $236.46 and $238.62 a month. These prices do not include offsets from subsidies.

Individuals are also able to view less expensive bronze or catastrophic plans on the exchanges (the latter only being available for buyers under age 30) as well as more expensive gold plans.

Platinum plans, which offer the highest level of coverage, are not available in West Virginia or New Hampshire according to the data on Healthcare.gov.

Your options under Obamacare

A Department of Health and Human Services report released in late September asserted that an average of eight insurance companies would be participating in states on the federal exchange; try telling that to a resident of New Hampshire or West Virginia with their single choice.

In general, urban and suburban counties with higher populations tend to have more insurers, while it's common for rural counties to be limited to one or two options.

The Kaiser Family Foundation estimates that 12 million people live in counties with only one insurer, compared to the 117 million in counties with more than five insurers. There is no data to indicate how many of those people will be shopping for insurance in the exchange.

Special coverage: Health care in America

Rural areas suffer; not profitable

Rural areas are, on the whole, less desirable to insurance companies because they offer a smaller pool of potential customers. It is also more difficult for insurance companies to make a profit in rural counties because there are fewer health care providers and lack of competition allows regional hospitals to charge more for services.

Yet, the number of insurance companies operating on the exchange is often a fraction of the number that actively sells insurance in the private market.

In Wyoming, for instance, there are six companies that actively sell insurance but only two advertise plans on the exchange. In North Carolina, nine companies sell plans, but only two of those are on the exchange and only one of those sells statewide.

Some companies are choosing not to participate in certain areas because they are waiting to see how the implementation of Obamacare plays out in the first year. It remains to be seen how many will ultimately sign on despite the problems the exchange has faced so far.

The technical problems facing the website are, to some extent, drawing attention away from the shortage of insurance options. But some lawmakers are now calling on the administration to address the issue.

A group of senators and congressmen from Arkansas wrote to Sebelius on Monday, expressing their frustration at the lack of options in their state and calling on her to release information about her department's correspondence with state officials.

"Before the law's implementation, state insurance officials claimed that there would be as many as eight carriers offering coverage in the individual market," wrote Senator John Boozman and Representatives Tom Cotton, Steve Womack, Rick Crawford and Tim Griffin. "However, a consumer logging on to the AR Health Connector website will find, at most, four plans offering coverage, while 60% of the state will have no more than two provider options."

"This is a disappointing, if unsurprising, failure of the reforms promised by Obamacare, which will mean decreased competition among plans, leading to higher costs, higher premiums, and less consumer choice."

Lawmakers: Arkansas families pay more

Arkansas is one of six states that operate exchanges in partnership with the federal government. The authors of the letter say that families in Arkansas now have to pay 100%-600% higher premiums under Obamacare.

New York site lists bakery, mechanic for Obamacare help

A lack of options is certainly having an effect on insurance prices -- how much is still up for debate.

Cynthia Cox of the Kaiser Family Foundation looked into the link between options and price, and found that in counties with more than five insurers, the average premium was about $20 a month less than in areas with only one insurer. Cox specifically compared the pricing available for a 40-year-old individual shopping for a silver plan.

The Obama administration, for its part, has discounted the significance of this analysis.

"Under the Affordable Care Act, nearly all consumers (about 95%) will have a choice of two or more health insurance issuers, often many more," HHS spokeswoman Joanne Peters said in a statement to CNN, "and nearly all consumers (about 95%) live in states with average premiums below earlier estimates."

Peters added that, "In the marketplace, new rating and benefit rules along with bans on pre-existing exclusions allow insurers to compete for customers based on price and quality."

This information is also reflected in the September HHS report.

What else can go wrong with Obamacare?

Comparisons difficult to make

Premiums on the federal exchange are lower than those previously projected, but comparing rate changes in any given state is tricky, according to Cox, who co-authored a report for Kaiser in September outlining the changes that individuals in the private market could expect.

Because all plans must offer an expanded set of benefits under the Affordable Care Act, they cannot be compared straightforwardly to plans offered in the past.

Another reason why insurance options and prices vary so significantly from region to region has to do with how state governments choose to use their rate review authority, which was expanded under the Affordable Care Act.

In some states, officials can prevent insurance companies from raising rates if they believe those rates are unjustified, and some states have used this authority to keep prices down on the exchanges.

Other states, such as Florida, have acted to formally reject their rate review authority, thereby preventing any state influence in prices.

State laws can also play a role in promoting insurance competition.

In Arizona, for example, there is a state requirement that prevents insurance companies from cherry-picking which counties they offer PPO plans in, according to Arizona Department of Insurance spokeswoman Erin Klugh â€” although they can selectively offer HMO plans.

Because of this rule, Arizonans across the state have multiple insurers to choose from.

CNN's Adam Aigner-Treworgy and Jessica Stanton contributed to this report

@highlight

CNN analysis shows Obamacare choices, premiums vary from state to state

@highlight

In West Virginia and New Hampshire, consumers only have single choice

@highlight

Rural areas have fewer Obamacare options because of sparse population, providers

@highlight

Kaiser study shows those with more choices pay lower premiums