(CNN) -- Going to the beach has become a lot like looking for hotel accommodations: If it has a one-star ranking, you know you're in for nothing but trouble. A new report released today by the Natural Resources Defense Council ranked the water quality of 200 U.S. coastal beaches using a five-star guide, and the results are far from a day at the beach.

Laguna Beach in Orange County, California, is one of the NRDC's five-star beaches for water quality.

"Nationwide, 7 percent of beach water samples are so contaminated with human or animal waste that they're not conducive for swimming," said Nancy Stoner, co-director of the NRDC's water program and lead author for the report. "For the fourth year in a row, NRDC found that there were more than 20,000 beach closings last year because of human or animal waste in the water."

Pollutants found in beach water are frequently the result of storm water or sewage overflow, and it's not something to take lightly, especially if small children, pregnant women or the elderly are spending time in the surf. Swimming in polluted water can lead to ear infections and stomach viruses, as well as more serious diseases like meningitis and hepatitis, Stoner said.

The Environmental Protection Agency sets a standard for beach water quality, and when water quality tests reveal that pollution has exceeded that standard, the beach is closed.

"The problem," Stoner said, "is that it does take 24 hours or longer to produce test results," meaning if the beach was contaminated on Thursday, you won't know about it until Friday. And once those results are produced, there's no guarantee that the cause is identifiable. While storm water and sewage are often the culprit for closures, for 62 percent of the 20,000 beach closures that occurred last year, the cause of the pollution was unknown.

But with precious few weeks of beach season left, now is not the time to avoid sand and surf like the plague. Thankfully, not all beaches are polluted equally -- the NRDC hands out five stars to beaches that meet health standards more than 95 per cent of the time and quickly notify beach goers with signs and Internet alerts when there's a potential problem.

Standout states include Delaware, New Hampshire and Virginia, which boast having pristine, nearly pollution-free shores. Virginians however should take note: Fairview Beach in King George County is certainly not one of those. According to Stoner, this beach is considered to be one of the worst offenders, particularly because it consistently fails more than 25 percent of its water quality tests.

Hands down, one of the best beaches is Ocean City, Maryland, which does well year after year because of its clean water and strict water quality monitoring, two factors that earned the popular East Coast beach five stars. In nearby Delaware, Dewey and Bethany beaches also earned a stamp of approval from the NRDC.

Newport Beach and Laguna Beach are two of California's five-star beaches, but stay away from Doheny Beach and Avalon Beach, which both failed more than 25 percent of their water quality tests in 2008.

If you're in the Great Lakes region and looking for quality beach time, strongly consider booking a trip to one of the coasts. "From 2005 to 2008, the Great Lakes consistently tested the dirtiest. In 2008, 13 percent of beach water samples violated public health standards," Stoner said.

But no matter which beach you frequent, five-star or not, you should always take precautions by avoiding beaches with obvious sources of pollution, like nearby open pipes and trash. Wait at least 24 hours after a heavy rain before hitting the waves again, allowing potential pollutants to dissipate.

To see how your closest beach stacks up, visit http://www.nrdc.org/.

@highlight

New study ranked 200 U.S. beaches according to water quality tests

@highlight

Delaware, New Hampshire and Virginia have the cleanest beach water

@highlight

Ocean City, Maryland, consistently ranks as one of the best for water quality

@highlight

Fairview Beach in Virginia consistently ranks as one of the worst