(CNN) -- Here's a little secret BlackBerry doesn't want you to know:

It would be technically impossible for all Android phones or iPhones to experience a global four-day outage like the one BlackBerry saw this week, according to mobile communications experts.

Why? The answer is in the technical details of how Research in Motion -- the company that makes BlackBerry smartphones, with their click-clacking keyboards and tie-wearing owners -- handles e-mails and text messages.

Here's the gist: RIM acts as a middleman for all e-mail and BlackBerry text messages. It picks up messages from the wireless carrier and passes them on to the recipient.

Androids and iPhones don't have a middleman for texts and e-mail.

It's this BlackBerry baton-passing system that went down Monday, killing or slowing e-mail and texting services for millions of people in Europe, North America, South America, Asia, the Middle East and Africa. The ordeal lasted four days.

"It's because of the way RIM has set up the (network) architecture that is the downfall when it comes to these types of outages," said Sean Armstrong, who manages wireless communications at a large tech company. "When it's working fine, it's a great system. When it's not working fine, it's a failure."

This week, it's fair to say the system was a big ol' failure. On social media sites, some BlackBerry users said they were so upset about the outage -- the largest in the company's history -- that they were switching to Apple iOS and Google Android devices. And customer satisfaction with BlackBerry already was low.

"Add up every other thing we've ever written about why BlackBerry is dying," wrote the tech blog Gizmodo. "This is worse."

This is not to say that Androids and iPhones never experience network outages.

But they wouldn't be global. And they would be the responsibility of a particular wireless carrier -- AT&T, Sprint, Verizon and T-Mobile -- or a particular messaging system, like Gmail, Hotmail or iMessage, Apple's new in-house messaging service. Not the maker of the phone.

That makes their problems inherently more localized.

"All the stuff goes through them for some form or fashion," Nan Palmero, a writer for the site BlackBerryCool.com, said of the way BlackBerry handles messages and e-mail. That makes it possible, he said, for the global BlackBerry network to crash, which wouldn't be the case for iPhones or Androids.

RIM, however, takes issue with this analysis.

"I would not characterize that as fair," RIM's co-CEO Mike Lazaridis said at a Thursday news conference. "We run a global, secure-push environment that provides the kind of instant messaging that's made BlackBerry so compelling and so valuable."

RIM filters e-mails and BlackBerry messages through its own server farms -- giant warehouses full of computers -- for security reasons, said Armstrong. The company scrambles messages, making them more difficult to intercept.

That's won BlackBerry big fans in the business world.

The system also uses less battery power because RIM handles much of the computation work, Armstrong said.

"The process for checking your e-mail with a BlackBerry is done by the RIM servers," he said. "So RIM is going to handle all the heavy lifting of going to your inbox and looking for new e-mail, and if it finds new e-mail, it's going to push it back your devices."

It also creates the risk of a global crash.

But maybe that's not a completely bad thing.

"For two years, we haven't had a huge issue like this," Armstrong said. "It's just been little bumps along the way. So I don't really see (the middle-man system) as a weakness. I see it as expected, because no system can be faultless."

Rich Miller, who runs the industry blog Data Center Knowledge, said it's clear BlackBerry was unprepared for a failure like the one that began on Monday.

"From what we can see from this outage, it appears RIM doesn't have the infrastructure or the process in place to handle a failure properly when it happens and then to recover from it once it's got a backlog of e-mail in its pipes," he said.

RIM has said this week's outage was caused by a failure at one of its messaging servers in Europe, along with the subsequent failure of its backup system.

Mike Gikas, a senior editor for technology at Consumer Reports, said problems like the one BlackBerry had this week could actually become more common because people are storing more of their data -- from photos to music and documents -- in the cloud, meaning on remote computer servers rather than at home.

"If these services ever get disrupted, that could just mean a lot of unhappy customers," he said. "More and more of our stuff is stored on remote servers, and there's increasing burden on the networks to have them available 24/7."

As the BlackBerry outage shows, he said, not all of them are ready.

@highlight

Experts: iPhones and Android devices will not see a global messaging crash

@highlight

BlackBerry filters messages through its own servers; Apple and Google don't

@highlight

BlackBerry's middle-man approach to messaging is what crashed this week

@highlight

Millions of BlackBerry users were without e-mail service for more than three days