(CNN) -- U.S.-Russian ties may be at their frostiest since the height of the Cold War, but at least there's some warmth to the relationship between U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov.

As Vladimir Putin and Barack Obama struggle to maintain even a modicum of cordiality, sparring over everything from Ukraine and Syria to fugitive NSA leaker Edward Snowden, their top diplomats have developed a rapport that observers say could be key to resolving an array of differences on some of the world's biggest geopolitical crises.

At first glance, the two men would seem to have very little in common. Kerry, 70, is a career politician who served nearly three decades in the U.S. Senate and is known for his sense of humor and propensity for going off-script during talks.

Lavrov, 64, is a career diplomat who has spent more than 40 years as a Russian envoy in posts around the world, and has been nicknamed "Minister No" for his tough, by-the-book approach to negotiations.

But both men are from the same generation, and observers say they have developed a mutual respect for one another over a series of face-to-face meetings since Kerry took the job in February last year.

"It seems both Kerry and Lavrov prefer the old school, they do it with grace," says one Moscow-based analyst who declined to be named in this report. "It looks like they've developed a pretty good rapport, and this is a stark difference from when Lavrov's partners were Condoleezza Rice and Hillary Clinton."

Lavrov and Rice, who was appointed Secretary of State by George W. Bush, locked horns numerous times during her tenure. One Washington Post reporter said Lavrov was known for pushing Rice's buttons, writing that the Russian had "perfected the art of irritating Rice" in meetings.

Clinton and Lavrov were all smiles when the former first lady famously handed him a plastic red "reset" button in 2009. But the reset didn't last. After Clinton branded Russia's decision in 2012 to block a U.N. resolution on Syria a "travesty," Lavrov said Western criticism of his Russia's approach was "on the verge of hysteria."

Lavrov and Kerry have managed to conjure up a dÃ©tente of sorts over the past year. Lavrov's English is excellent, and both men speak French. Lavrov often joins Kerry to talk policy on his frequent garden strolls during face-to-face meetings, and last month the pair were photographed kicking a soccer ball around the grounds of the U.S. ambassador's house in London. Both are reportedly avid sports fans -- Kerry played varsity soccer at Yale University, while Lavrov is a die-hard fan of Moscow club FC Spartak.

And in January, Kerry surprised Lavrov with a gift of two giant Idaho potatoes during a meeting in Paris. Kerry said that his friend had mentioned the spuds during a conversation over Christmas. Not to be outdone, the Russian gave State Department spokeswoman Jen Psaki a pink "ushanka" hat to help her keep "warm and fancy" during the winter storms in the U.S.

But it is their professionalism, not personal interests, that really makes the relationship work, according to Dmitri Trenin, director of the Carnegie Moscow Center.

"Presidents Putin and Obama do not get along very well," Trenin says. "There's always a personal element about all those relationships, and normally it helps. [Kerry and Lavrov] may share an interest in some outside issues, but what really makes that relationship work is that the two men are really good professionals."

They've also showed a willingness to keep picking up the phone, and managed to strike a deal on eliminating Syria's chemical weapons stockpile last September. And the pair shared a lighter moment at the end of their joint press conference, when Kerry was unable to hear the end of Lavrov's translated remarks. "It was okay John, don't worry," Lavrov assured him, to laughs from reporters. A smiling Kerry replied, "You want me to take your word for it? It's a little early for that."

Ukraine is arguably an even tougher diplomatic challenge, pitching the U.S. and Russia against each other first in Kiev, then Crimea and now in the country's restive east, where pro-Russian protesters have seized government buildings in several cities in the past several weeks.

Kerry has accused Russia of fomenting unrest to destabilize Ukraine's new, West-leaning government. In return, Lavrov has accused the West of meddling in Ukrainian affairs.

While Kerry sometimes appears to go beyond the White House's script during crisis talks, Lavrov consistently offers a faithful translation of Putin's foreign policy, according to observers -- one that the West can sometimes find difficult to interpret.

"'The president mainly speaks to the Russian people. His audience, his constituency is mainly the audience of the Russian federation. The foreign minister talks to his colleagues in other governments [and] couches his phrases in diplomatic speak," says Carnegie's Dmitri Trenin. "I see no significant daylight between what Vladimir Putin has said and what Sergei Lavrov says."

Russia says it wants Ukraine to set up a federal system in which regions with ethnic Russian majorities would have more autonomy. The U.S. says it fears that unrest in the country's east could be used by Russia as a pretext for military intervention.

As the U.S. and Russia join the EU and Ukraine for four-way talks aimed at defusing the Ukrainian crisis, experts hope Kerry and Lavrov's close working relationship will enable them to take the edge off what are expected to be contentious proceedings.

"The situation now is very, very tense and very dangerous," says the Moscow-based analyst who declined to be named in this report. "But the fact that Lavrov and Kerry talk so often is a very positive sign. They can agree and disagree on certain issues, but this personal relationship helps a little bit."

READ MORE: Militants, army face off in eastern Ukraine

@highlight

John Kerry and Sergey Lavrov to join EU, Ukraine for crisis talks in Geneva

@highlight

Pro-Russian activists have seized government buildings in eastern Ukraine

@highlight

Experts hope rapport between Kerry and Lavrov can help pave way for diplomatic solution

@highlight

Russian, U.S. diplomats have developed mutual respect over numerous face-to-face talks