A picture of popular Brazilian actress Juliana Paes climbing up onto a roof to catch a kite from the scene of TV soap opera "Gabriela" recently went viral online in the country.

But the online image had been doctored and instead of a kite, Paes is seen clutching a smartphone and the caption reads: "I finally got a TIM signal!"

It is an internet joke based on a catalog of complaints by Brazilian consumers against wireless carrier TIM, angry about its patchy coverage.

In a survey on its Facebook page in July, Rio de Janeiro-based technology review site, TechTudo, asked: "Which is the operator with the worst mobile signal?"

TIM, the second largest cell phone company in Brazil, was voted the worst with 2,127 people selecting it. The runner up was Oi with just 337 votes.

Meanwhile a spoof video of Brazilian comic Fabio Porchat wearing blue make-up and acting as someone having a nightmare trying to cancel a TIM subscription, has attracted nearly three million views.

The Blue Man Group, whose trademark is blue make-up, has done a series of commercials for TIM in Brazil.

Brazilian mobile network operators have been in the firing line from the Brazilian telecoms watchdog in recent months following consumer complaints about poor service including calls suddenly disconnecting and customers unable to get a signal.

In July, the telecoms regulator Anatel banned three mobile operators from selling new cellphone plans in certain states, telecoms market research firm TeleGeography reported.

TIM, the Brazilian subsidiary of Telecom Italia, was barred from 19 states; Oi SA from five; and Telecom Américas (Claro) from three, according to TeleGeography.

The ban was lifted in early August. Penetration of mobile subscriptions in Brazil stands at 131%, with 258 million mobile phone users, out of a population of approximately 200 million, but analysts have criticized operators for not investing in infrastructure while riding the mobile boom.

According to the World Bank, 98% of the population of Latin America now have a mobile phone signal, with Argentina and Panama in particular seeing an explosive growth in subscriptions.

Predictions are that by 2015, at least half of Brazil's population, or 100 million people, will have a mobile phone with internet access.

Read related: Seven ways mobile phones have changed lives in Africa

Blogger Anthony Hurtado also thinks that despite having sky-high tariffs on mobiles and too much legislation and regulation, Brazil will soon see a smartphone revolution.

Meanwhile the favelas, the illegal settlements in Brazil that spring up on the fringes of urban areas, known as shanty towns, which tend to be crowded, lack basic amenities and sanitation, and have informal market conditions, have experienced their own mobile revolution -- but not always a legitimate one.

In the same way that they are havens for "gatos" (illegal connections to legal sources of water and electricity), they have become havens for selling and buying stolen handsets as well as special sim cards that allow you to make international calls for free for three months -- known as "diretão." These are especially popular among drug barons who run their drugs empires using them, according to Mobile Phone Appropriation in the Favelas of Rio de Janeiro, published in New Media & Society.

About 20% of the population of Rio de Janeiro live in favelas, according to the Brazilian Institute of Geography and Statistics and there are more than 6,000 favelas across Brazil in more than 300 cities.

However mobile technology has also been a force for good in them.

Brazilian NGO Viva Rio has been running the Viva Favela project since 2001. It started with 20 favela-based community correspondents in Rio and now has more than 300 from across Brazil who produce text, photos, audios and videos about their lives, news and cultural activities for its online magazine and website, read by favela residents.

Read related: How the cell phone can improve health care

The cell phone has enabled those residents who cannot read and write well, to participate in the project, by submitting video stories and pictures created on their cell phones -- all at a low-cost as the charity does not have the funds to purchase camcorders, explains Editorial Coordinator of Viva Favela Viktor Chagas.

"Cell phones are a massive platform of inclusion," he says. "With these new technologies there are more and more people producing culture, news and content."

Guilherme Junior, 31, an arts teacher and correspondent for the site, who lives in Bangu, Rio de Janeiro, explains:  "We have to make an extra effort to create positive news as the newspapers always show only bad things about our communities."

"We have helped people perceive favelas differently and we have helped favela dwellers identify themselves differently. Favelado had such a pejorative meaning in the 80s and 90s. Now the residents use their identity to strengthen their sense of belonging," Chagas adds.

Viva Favela also trains the residents in how to make films and take photographs on their cell phones.

A photograph and audiovisual workshop that Viva Favela held at the abandoned vandalized movie theater Cine Guaraci in Rocha Miranda in Rio even inspired residents to start a campaign to get it reopened, Chagas says -- and they were recently successful.

Read related: Ex-Apple boss tackles poverty in India with mobile technology

The Alô Cidadão! (Hello Citizen!)  project which ran until 2009, enabled low-income residents, who often did not leave their favelas because of gang violence, to subscribe and receive free SMS messages each day about everything from community news, job openings and vaccination drives to cultural events that they otherwise would have missed.

It was created by the non-profit Institute Hartmann Regueira (IHR) and funded by Oi Futuro, the social arm of the largest Brazilian telecommunications company Oi and Spring Wireless.

The content was generated from local newspapers and partnerships with community groups and businesses. IHR is now looking at rolling out a new project with Oi using a smartphone application to counteract bullying in schools in the Brazilian city of Belo Horizonte.

Rede Jovem, another social project, led by NGO Solidaritas, runs Mobile Rede Jovem: SMS for Social Change, which sends daily messages about job opportunities, cultural events, sports, courses and free public services to members of poor communities.

It also runs WikiMapa, a program, in which favela residents, known as wiki-reporters, use GPS-enabled camera smartphones, with a WikiMapa mobile application, to map unregistered streets and add photos and videos of local points of interest such as hospitals, churches and stores, taken on their cell phones. These are then uploaded to www.wikimapa.org.br.

The project has so far mapped 29 favelas in Rio de Janeiro, funded by Fundación Telefónica, the social investment arm of the Brazilian wireless provider Vivo.

Read related: Smartphone explosion liberating China's migrants

Many slums and low-income areas do not exist on official online maps so the initial goal was to add the narrow, winding, often-chaotic, unregistered streets of the favelas onto virtual maps.

This had a big impact on the favelados.

"This is the only project that we have to identify and cast good things within one of the slums already considered as the most dangerous in Rio de Janeiro" says Camila Santos, 26, a wiki-reporter and resident of the Complexo do Alemao favela.

"The sense of marginalization after not even finding a reference to where they lived on virtual maps has been replaced by a twinkle in their eyes now that they can spot their streets and schools among many other used services locally available," says Natalia Santos, Executive Director of Rede Jovem.

"The results are a strengthened sense of identity and increased self-esteem," she adds.

@highlight

There has been a rising tide of consumer complaints against network operators in Brazil

@highlight

Some wireless carriers were temporarily banned from selling cellphone plans in certain states

@highlight

Drugs barons are using stolen handsets and illegal SIM cards to run their empires

@highlight

Several NGOs are using mobile technology to enhance the lives of favelados