(CNN) -- A piece of tarp that reads, "Welcome to you, God Bless You" marks a barely-enclosed dirt field. At this orphanage, the only traces of shelter are the few tents that haven't yet been stripped by the strong winds.

It's my last day in Haiti, and I'm on a trip to bring food, water and supplies to Haitians still displaced by the 2010 earthquake. The first stop is the orphanage, in the middle of one of Port-au-Prince's largest tent cities.

When I step out of the Land Rover, I begin to see the children -- they come out from behind the tarp. They're dusty, sun-burnt, and smiling shyly.

I'm again thankful for the camera in my hand, my constant companion this week. The lens is always ready to capture the utter desolation, which has my mind reeling even after a week.

At the sight of the vat of water that's brought out from the car, the children abandon their toys: a soccer ball, a ragged stuffed animal, a paint-chipped wooden car. The youngest, still a toddler, takes the first sip. His cries, when the bottle is taken away from him, ensure one last turn before the water runs out.

In Haiti, even a few drops of water can stop a boy's tears.

My intentions of going to Haiti were less than purely philanthropic. As a journalist, I planned on seeing the devastation firsthand, but I also wanted to be productive and lend a helping hand. It wasn't without chagrin that I realized volunteering means choosing to give up control and becoming available and malleable to meet the needs of others.

I've traveled to other developing countries, but I was still unprepared for the the chaos that met me when I arrived. After several lost-in-translation phone calls and hours of waiting at the airport, I took a leap of faith, got into an SUV with two men I've never met before, and prayed that I would survive -- literally.

It was more than luck that led me to New Life Children's Home and Rescue Center, a different orphanage from the one I had originally signed up to work with. Here I was taken in with open arms by one of Haiti's ultimate volunteers, Miriam Frederick.

Frederick has been fighting for Haiti for more than 30 years. She's the founder of New Life Children's Home and Rescue Center, which was established in 1977 and currently houses 130 children.

On my first day at New Life, I met 8-year-old Lavita in the infirmary. She had been suffering from severe malnutrition at the tent-city orphanage, and Miriam took her in.

"When a child comes in here, many, you would not give a nickel for their life because they are so far gone," Frederick says.

By the end of the week, Lavita is asking me to help twirl ropes with her, so her younger girlfriends can jump in on a match of double dutch.

"These kids don't just need basic provisions, they need love and they need brothers and sisters to play with them and teach them," says John Poitevent, a pastor at Christ Fellowship, in Palm Beach, Florida, which supports New Life.

"We felt like it was time that we can't just send our money. We've got to send ourselves also."

It's not often that painting church pews and scrubbing floors can generate the same enthusiasm as joining in on a game of soccer or playing a round of spoons after a long day. During my one-week stay with New Life, I witnessed entire bunk beds get built from scratch in a matter of days, boxes of medicine get organized, and water filters get distributed to the outskirts of Haiti. None of which could've been done without volunteers.

As much as I felt productive organizing suitcases of donated clothing, the trip was an opportunity to be inspired through the people we met and by the selflessness we saw amid disheartening conditions. Take Frederick, who -- despite knowing that for every one child she helps, there are hundreds of "tent-city orphans" still suffering -- continues to fight.

"I have been just challenged by her and inspired by her to just step out in faith and to step out of my comfort zone," Poitevent says.

He's not the only one. I met a high school soccer team, an older couple, a fellow Atlantan -- each a volunteer, a title that transcends age, race, career and even the fact that I only know two phrases in Creole.

I went to Haiti expecting to walk away with images of a devastated Haiti -- and I did. The scene on my last day at the tent-city orphanage is unforgettable.

However, I realize images of suffering aren't what drive volunteers to come back. It's doing even the small tasks so that a recovered Lavita has the strength to love on her fellow peers, which keeps us wanting to do more and believing that it can make a difference.

@highlight

CNN's Janet Ahn traveled to Haiti to witness the earthquake devastation and help rebuild

@highlight

Ahn met Miriam Frederick, who has been volunteering in Haiti for the past 30 years

@highlight

Frederick helps care for Lavita, 8, suffering from malnutrition after living in tent city

@highlight

Seeing Lavita's recovery encourages volunteers to continue working