Los Angeles (CNN)America's Skid Row sits in downtown Los Angeles.

This pocket of 2,000 men and women constitutes the nation's biggest concentration of homeless people living and sleeping on public sidewalks, in scattered camps under tarps.

Not surprisingly, sanitary conditions are appalling.

This quarter of despair is now at the center of national attention for another reason: This week, Los Angeles police and a homeless man in a tent engaged in a confrontation, ending with officers fatally shooting the man known only as "Africa," an apparent reference to his home continent.

It was all captured on video by bystanders. Police allege "Africa" tried to reach for an officer's gun, prompting the police gunfire against him.

"Skid Row is a 54-block area that has the largest homeless number of individuals in the country," said Jerry Jones, executive director of the National Coalition for the Homeless.

He's based in New York City.

"New York City has the largest homeless population, but Los Angeles has the highest unsheltered population in the country, which has led to the destitution you see today," he added.

New York City's unique right-to-shelter mandate ensures "temporary emergency shelter to every man, woman, and child who is eligible for services, every night," the city's website says.

But not in Los Angeles, where two-thirds of the county's 40,000 homeless people are unsheltered, Jones said.

So many live on the streets of downtown Los Angeles -- and elsewhere.

In some American minds, Los Angeles may conjure up images of a great American city cursed with an abandoned urban core.

That's an old memory.

Today, downtown Los Angeles enjoys a renaissance, right down to the new hotels and mall surrounding the Staples Center, where professional basketball and hockey are played, often to championships.

But not on Skid Row. (That's its official designation. Even Google maps label it so.)

There are few champion moments here.

The only exception may be the everyday heroes who labor in 107 charities and agencies feeding and comforting the lost souls bivouacked on the street.

The triple-digit number of social service agencies, however, is often cited as one reason that Los Angeles endures as the nation's Skid Row capital: There's a $54-million-a-year charitable infrastructure anchored to the poverty district.

Nobody seems to be going anywhere.

That doesn't deter Ryan Navales, manager of government and public affairs for the Midnight Mission, which strives to lift people out of poverty.

His work and those of his peers is like that of Sisyphus to the rock, the mythic figure whose endless labor was to push a rock to the top of a mountain and then have to do it all over again after the rock rolled downhill.

"Skid Row has become less transient," Navales said. "The history of skid row goes back to a transient neighborhood associated with the railroad. The true definition of transient is short term. Now it's long term. It's become a neighborhood."

The century-old Midnight Mission now serves 3,000 meals daily to the homeless, Navales said.

Navales cites a shortage of affordable housing as a reason for how "there's no place for people to go."

He asserts his agencies and others offers hope to those who feel hopeless.

Navales knows from personal experience.

He once worked for Microsoft as a network administrator in the 1990s, but he lost it all, including his family.

Drug addiction obliterated his life.

"After destroying my family, in and out of jail, in and out of treatment, I was living on the streets and doing what people have to do on the streets to support a really gnarly heroin habit," Navales said.

"In August of 2011, I was brought to the Midnight Mission homeless," he added. "I had a backpack on."

He now wears a suit, on Skid Row's front line, trying to relieve and unravel the nation's Gordian knot of poverty.

CNN's Paul Vercammen contributed to this report.

@highlight

Skid Row in L.A. is a 54-block area home to the nation's largest concentration of homeless people

@highlight

New York City has the biggest homeless population, but L.A. has biggest number of unsheltered homeless

@highlight

The homeless in downtown Los Angeles' Skid Row live on sidewalks under tarps and tents