Savannah, Georgia (CNN) -- As Billy Carruthers confidently walks through Savannah's Forsyth Park, the homeless residents do a double take.

Most remember Carruthers as a mentally ill, homeless, drug addict who spent his day conning tourists to buy books, then using the money to feed his cocaine habit. Carruthers is bipolar and suffers from depression. It took many years of arrests and falling off his medication before he could kick his cocaine habit.

"They look at me today, there's one thing, beyond a shadow of a doubt that they see. They see change. They see recovery," Carruthers said. "They say, 'Where you been? What happened to you?' That's what recovery is."

Psychiatrist: I hate suicide but also understand it

Today, Carruthers is helping those still living on the streets cope with their mental illnesses as part of an experimental program in Georgia. Supporters of the Opening Doors to Recovery program believe it can help stop prisons, jails and hospitals from becoming dumping grounds for the mentally ill.

The program is trying to show state leaders the benefits of putting state money into this front end program rather than funding prisons and hospitals -- which are much more expensive, according to Nora Haynes who oversees the project for the National Alliance of Mentally Ill, or NAMI.

"We've saved the state probably about $10,000 per participant and we have 100 participants ... and that's a minimum," said Nora Haynes, overseeing the project for the National Alliance of Mentally Ill, or NAMI, citing data compiled by NAMI. "We're keeping them out of jails and prisons and state hospitals and we're moving them to recovery which means they'll be going into the system less."

Most of the 100 participants in the program are suffering from a variety of mental issues including schizophrenia, bipolar disease and depression, according to NAMI. Many have long criminal records for relatively minor crimes that sent them to jail or to local hospitals at a huge expense to citizens.

Each participant is assigned a peer navigator, like Carruthers. Navigators are a point of contact for participants and help them with doctor appointments safe housing, taking medication and even run-ins with the law.

Participant names are entered into a database where they are red-flagged in the system if they have a run-in with police.

Then, instead of ending up in jail or the emergency room, the flagged participant is picked up by their assigned navigator -- anytime, day or night.

Often, said Haynes, participants' erratic behavior can be rectified by something as simple as getting them to take their medication.

A typical stay at a county jail will run about $60 per day for a psychiatric inmate, according to Georgia's Department of Corrections. The supervision provided by the Opening Doors to Recovery program costs about $25 a day.

To get her cost-savings point across to Georgia legislators last year, Haynes brought a soda can with a $1160 price tag attached to it. This prop helped her tell lawmakers the story of one mental patient who failed to take his medication, then walked out of a convenience store with a can of Coca-Cola without paying for it, and was taken to county jail.

Taxpayers paid $1160 for the incident because the patient spent 21 days in jail.

The gimmick caught enough notice to get about $800,000 from the Georgia legislature, to help get the program off the ground.

"The issue is the same across the country," said Larry Branson of the Savannah Chatham Police Department. "Our jails and prisons are the largest mental health institutions in the nation. There has to be an alternative to hospitalization or jail."

A U.S. Department of Justice study in 2006 found mental illness is rampant in the penal system: 56% of state prisoners, 45% of federal prisoners and 64% of local jail inmates have mental health problems. Many are substance abusers.

According to the National Alliance of Mentally Ill, prisoners with mental illness cost taxpayers about $9 billion a year.

Professor recounts struggle with mental illness

One of the keys to ending this cycle, experts say, is through a personal, one-on-one connection with a trusted mentor.

"I need to have someone who could speak to me in my own voice, someone I could respect, someone I could understand," said Carruthers.

So, each week Carruthers leads peer groups for the folks he navigates. They've all been homeless at one time or another.

"I'd rather stay healthy than be back in the places I've been in," said one female participant.

"I want to be myself and not walk around like a zombie anymore," said one man.

One person Carruthers cares for and navigates through the system -- who did not want to be identified -- has been diagnosed as a paranoid schizophrenic. He also has a drinking problem and suffers from delusions.

"I just hear voices," he told CNN. "When I was in jail and not taking medications, I thought I was somebody from the Bible. ... I thought my neighbor was talking to me and I took apart the ceiling fan and was trying to find a camera in there."

Canine help for mentally ill

The participant has been in and out of jail for a wide variety of minor crimes -- mainly due to his illness. For a while he lived in a homeless shelter. His parents wanted desperately to help him, but just didn't know how. Finally, one day, they picked him up and got him out of the shelter.

"You're just emotionally worn out with everything," his mother said. "One minute I say, 'Go live under a bridge' and the next, you just want to hold him and make him better."

Now, they credit the Opening Doors to Recovery program and Carruthers, his navigator, for helping him slowly get his life back.

"When I was struggling with the medication aspect, he was always there at the doctor's appointments and he would always come before work," the man said. "He'd go out of his way to make sure everything was OK."

He has been studying to be an engineer. Up until recently, he's been stable, but he had a positive test for alcohol during a drug court appearance, which was a setback in his lifelong battle. His family still believes he has a decent shot at a normal life, due to his newly found help.

"I just want him better," said his mother. "We're not always going to be here."

What is bipolar II disorder?

@highlight

Georgia's Opening Doors to Recovery helps the mentally ill stay off streets, out of jail

@highlight

It tries to prevent jails, hospitals from becoming a dumping ground for the mentally ill

@highlight

The program's director says it has saved the state at least $1 million