Nairobi, Kenya (CNN) -- Inside a gated community in a tranquil Kenyan suburb, a group of builders are putting the final touches to the exterior of a lavish, red-tiled villa nestled in the middle of a landscape garden.

Within the spacious property, no luxury is spared: Hardwood floors, Venetian finishes, designer furniture and five en-suite bathrooms ensure that all the modern conveniences are in place for the future tenants.

Welcome to Miotoni Ridge, a 14-mansion development in one of the Kenyan capital's most prestigious locations.

Houses here are designed for the highest-end of the luxury market. Asking prices are running at more than $1 million but that has not deterred any potential buyers: 60% of these properties are already sold out.

In fact, a study earlier this year by estate agents Knight Frank and Citi Private Wealth found that Nairobi was the best performing prime residential market in the world.

Values in the city grew up by 25% in 2011, leaving luxury hotspots such as London, Miami and Hong Kong behind.

Read more: Africans shun crisis-hit West for jobs back home

Ben Woodhams, managing director of Knight Frank Kenya, says the findings of the survey surprised even the agency's research department.

"We were higher than Miami and it was like 'how dare you,'" he says. "So we had to justify our figures and say 'yes, this really is what is happening here.' But it is about growth, it is not about value."

Although this growth comes from a base of relatively low prices, Woodhams says there's a number of factors that has made investing in Kenya's luxury housing market attractive.

"Regionally Kenya is a safe haven," he says. "People are seeing relatively good returns in Kenya specifically, but [also] in Africa as a whole -- particularly with the problems we are seeing in the rest of the world."

Woodhams says it's mostly Kenyan or Kenyan-linked investors that drove the country's prime housing market to the top spot.

"A lot of Kenyans in the diaspora in the [United] States and Europe send a lot of money back to Kenya and a lot of that gets invested in the property market," he says. "So that is another big driver for us."

Yet, Nairobi is not the only location in Kenya experiencing great growth in luxury real estate.

Coastal hotspots such as Mombasa, Malindi and Lamu occupied the second spot in The Wealth Report 2012, recording a 20% price growth in luxury residential properties.

Lamu, a tiny island located off Kenya's north coast, is the second home for many tycoons, attracting local and international investors who flock in to get a unique combination of sun and culture.

Andrew McGhie, a Lamu-based estate agent, says that Kenya's coast tugs at people's heart strings, not just their wallets.

"Lamu attracts a fairly adventurous romantic type person who wants to come to somewhere that is completely different to their everyday lives," he says.

"While the old town has changed a little bit in the last five years, it hasn't changed much in the last 500 years."

Read more: Using the web to fight corruption

Although Kenya's prime real estate might be booming, analysts say that international investors have been slow to dive into the country's market, partly due to security reasons.

Lawlessness in neighboring Somalia recently spilled over the border while kidnappings of tourists in the area prompted several countries to put out travel warnings.

Kenyan forces have moved to occupy southern Somalia and beefed up security on the coast. The warnings were lifted but the chilling effect remains.

"International investors are keen in getting into countries where they know that their property rights are protected. Where the rule of law is respected," says James Muratha, regional director at Stanbic Investments.

"And where there is a perception where the justice system is not up to par, then they prefer to stay away. And that is why you see more local investors investing in these markets as opposed to international investors," he adds.

Analysts also say that uncertainty about upcoming elections and high interest rates may also hamper growth in the market.

But agents believe it will only be temporary.

Woodhams says the country's market can offer top returns to individual and institutional investors.

"It is not just because of the direct relationship between rent and capital value," he says. "We are talking about year on year growth as well and I think that's the key.

"The levels of growth we have seen in Kenya have made the returns for corporate institutional investors very good indeed."

Ultimately, they hope the deals will just be too good to miss.

@highlight

Kenya's prime housing market saw the biggest price increase globally last year, a report has found

@highlight

The country's market offers top returns to investors, estate agents say

@highlight

But international buyers have been slow to dive into the market, partly due to security reasons

@highlight

Analysts say uncertainty about elections and high interest rates may also hamper growth