(CNN) -- The tiny landlocked nation of Rwanda may be known for its violent past but tourism officials are hoping, with the help of mountain gorillas, that travelers will see for themselves why the "land of a thousand hills" is worth a visit.

MOUNTAIN GORILLAS

Rwanda is one of just three countries where the world's population of mountain gorillas can be observed in the wild. In addition to Rwanda's Volcanoes National Park, gorillas also inhabit Uganda's Mgahinga National Park and Democratic Republic of Congo's Virunga National Park. These parks border each other and the area the mountain gorillas call home is known as Virunga Massif.

Volcanoes National Park is about two hours from Kigali, Rwanda's capital. The drive to the park will make it obvious why Rwanda is referred to as the "land of a thousand hills." Locals cultivate the lush green hills where the gorilla treks begin, and there are five volcanoes in the park.

The scenery is stunning from a distance but it may lose its appeal as you make your climb in search of the gorillas, who will determine the altitude and incline of the hike. The trek up the mountain can be challenging, with thick brush, fire ants and stinging nettles.

It can take minutes or hours depending on where the gorillas decide to rest.

"The gorillas don't need any visas or passports to leave one country and go to another one," the guide jokes as he leads a group of eight tourists up the side of the mountain.

Lucky visitors will see the animals feeding and crushing through the underbrush, babies running around and full-grown gorillas inching toward observers loudly declaring their importance. Hikers are not permitted closer than 10 meters, but the gorillas are under no such restriction and may creep closer, as tourist heart rates increase.

As with most wildlife tours there are no guarantees of gorilla sightings, but the odds of seeing them are good, according to Simon Gluckman, president of Intrepid Expeditions. "In 11 years I've never had someone in Rwanda not see the gorillas," says Gluckman.

Gluckman tells his clients to prepare for treks up to 9,000 feet above sea level. "If the gorillas are moving one particular day and there is somebody having a hard time keeping up physically then that person may not see them."

Visitors need a permit to hike up the mountain in hopes of seeing a family of mountain gorillas. The cost is $500 per person and permits are limited to 56 a day. Permits should be purchased well in advance and they can be obtained through a tour company or directly from the issuing organization, the country's Tourism and Conservation Office. Included in the price are the guides assigned by the park.

Once the mountain gorillas are located, visitors will spend an hour watching these incredible animals. "We only have one tour a day for one hour in order to give the animals free range," says Felix Semivumbi, a guide in the area for 24 years.

GOLDEN MONKEYS

Perhaps not as high-profile but also worth the time is a trip to see Rwanda's golden monkeys, and the price of the permit is less expensive than for gorillas: $100 per person.

The monkeys are also located in Volcanoes National Park. This tour is a good way to get adjusted to the altitude, which when tracking the gorillas can be at elevations from 7,000 to 9,000 feet, and it offers a taste of what to expect on the mountain gorilla trek if visitors do this first.

"It's a shorter walk to the golden monkeys than the mountain gorillas" since the gorillas are found at the higher altitude says Semivumbi.

Unlike the gorillas, which move at a slower pace and tend to rest as a group in one place, the monkeys keep tourists on their toes. "They are fast so we have to be fast," says Semivumbi.

Once spotted you may be following the monkeys as they swing from the treetops overhead. Watching them you will realize how aptly named playground equipment such as monkey bars and jungle gyms are; only here the equipment is bamboo.

Seeing these endangered animals in their natural habitat is worth an extra day in the area. There's only one tour per day for the monkeys and one overlapping tour for gorillas, so you can't visit both the big and small primates in the same day.

MEMORIAL SITES

It's possible to visit several of Rwanda's many memorial sites commemorating the 1994 genocide in a day.

Learning about the country's history is important in understanding the people and places you will encounter, says Rwandan Ambassador to the United States James Kimonyo.

The Rwanda of today is a different place than the country that once dominated the news, he says.

"It is one of the safest places to visit," says Kimonyo. "You can go out at night and not be bothered."

That wasn't the case less than two decades ago when ethnic violence in Rwanda erupted and Tutsis were systematically murdered by Hutus in 1994. It was a time when neighbors killed neighbors and old friends became bitter enemies.

"If you knew me and you really knew yourself you would not have killed me." This quote by Felicien Ntagengwa, a survivor of the genocide, is found at genocide sites throughout the country including the Kigali Memorial Centre.

Located in the capital, the Kigali Memorial should not be missed. It is a disturbing yet honest look at this country's horrific past. The center estimates that more than 1 million -- mostly Tutsis but also moderate Hutus -- were murdered within 100 days during the genocide.

Exhibits introduce you to children such as 4-year-old Ariane Umutoni who was "stabbed in her eyes and head." Outside in the quiet courtyard, remains continue to be placed in mass graves as they are discovered.

Many churches around the country are no longer places of worship but places to pay respect to those who died while trying to escape death.

Instead of safe havens, some churches turned into places to find easy prey to massacre.

Nyamata and Ntarama are two churches about an hour outside of Kigali. The bullet-riddled roofs and clothing of those killed are reminders of the people who huddled inside in hope of being spared.

A guide at Nyamata Genocide Memorial said more than 10,000 people were killed at the church and in the immediate area. The yard of Nyamata is now a mass grave where freshly cut flowers are left by those who survived. Down in the crypt is a powerful display of reality that some may find unnecessary to view: rows upon rows of skulls and bones.

People are still healing, but Rwandans have opened their past in order to embrace the future.

Tourism is important in rebuilding, says Kimonyo, and thankfully Rwanda has enough natural and cultural history to make it worth a stamp in your passport.

@highlight

Rwanda's natural attractions are drawing tourists to the tiny nation

@highlight

The country's brutal genocide in 1994 is marked by numerous memorials

@highlight

Tourists track gorillas and monkeys in a mountainous national park