(CNN) -- Jeff Weiss had spent 20 years teaching negotiation skills to top executives when he realized those techniques might be just as valuable to soldiers on the battlefield.

So a decade ago, he approached the U.S. Military to teach officers negotiation tools and strategies they could use in a theater of war. The West Point Negotiation Project was founded, and before long, Weiss made another realization: the lessons could go the other way, too.

"There's a ton to take from the military back to the corporations," says Weiss, a partner at Vantage Partners, a Boston-based negotiation training and consulting firm that works with Fortune 500 companies. "Business leaders have a lot to learn from military leaders who, in extreme situations, are able to take a deep breath, get perspective and negotiate through a set of strategies."

Read more: Why we pick bad leaders

Perhaps counter-intuitively, the best military negotiators adopt a creative, problem-solving approach. A more macho, "Rambo style" of negotiation -- in which the negotiator digs in inflexibly to a position they believe to be right -- is "just not effective," Weiss says, and could lead to fatal errors.

"When we're under pressure to act fast in a high-stakes situation, it often leads us to a set of traps," he adds. "We often act on perception and assumptions, we tend to use a strong position and dig in, we tend to use threats and we play a concessions game far too frequently."

Below are five key points into which Weiss has distilled the essence of successful deal-making, which he says are equally applicable whether you're dealing with potentially hostile stakeholders on the battlefield, or a fellow boardroom warrior.

Know your enemy

Step back and solicit the perspective of the other side. Understanding their point of view, whether you agree with it or not, is crucial to ensuring you have an accurate handle on the situation. This way you avoid becoming locked into a false set of assumptions, or confusing it with a situation you have seen before.

Creativity, not compromise

Be disciplined about uncovering underlying motivations -- then use those motivations to put forward a set of possible creative solutions. Says Weiss: "The most effective negotiators dig for interests or motivations underneath the stated demand, and present possibilities in response."

Be creative and look for the other side to build those possible solutions with you. "With a little creativity you can do all kinds of great stuff, without needing to compromise."

Read more: Want to be a leader? Act like one

Arm yourself ... and the other side

Be principled and fair. "You need to take responsibility for arming yourself and the other side with something objective to defend the solution with," says Weiss. "If you leave the other side telling their people, 'Well, I agreed to this because the other side pushed really hard, made a threat and coerced me,' chances are they're not going to persuade their stakeholders and critics."

Win hearts and minds

Tackle issues of mistrust head on, and don't mix them with the substance of the negotiations. "Often we find people try to buy a damaged relationship: 'You don't think I'm a good partner, I'll throw some money at this.' That never works," says Weiss. "You might make someone temporarily happy, but you don't build trust that way, and without trust it's very difficult to do complex deals." He advocates negotiating on "two tracks": trust and relationship issues on one side, the substance of the negotiations on the other.

Take control

Be active and deliberate about shaping the negotiation process in the way you want it to evolve, proposing new ways forward when talks stall. Systematically change the game if you don't like the way the other side is playing it. Don't simply fall back to a position of reacting to their demands.

This creative approach requires a major shift in perspective for macho corporates, many of whom tend to take the attitude that their "strength comes from being right," says Weiss. He says many tend to negotiate "the same way they handled their first negotiation -- they wanted food, they cried, they didn't get it, they cried harder. Unfortunately that's many people's first and last lesson in negotiation."

But while the military's finest negotiating talent may have generated these solutions, it doesn't necessarily follow that they are used more prevalently in the military than in the corporate world.

"We're getting there in the military. But," he concedes, "in large part, it still has a fairly macho approach." Perhaps not unlike the boardroom.

@highlight

Jeff Weiss says the strategies of top military negotiators work well in the corporate world

@highlight

Weiss teaches negotiation skills to executives and to the U.S. military

@highlight

The best negotiators adopt a creative, problem-solving approach

@highlight

Macho, "Rambo-style" negotiating rarely works, in the battlefield or the boardroom