(CNN) -- Twitter users may value brevity in their messages, but that doesn't mean they don't think about the social implications of language.

Is this sign sexist? Some say our language should be more inclusive of both genders.

"Can't we English-speakers just agree upon a gender-neutral pronoun?" attorney Paul Easton recently Twittered. "Tired of PC grammar gymnastics."

Easton isn't alone. There have been at least 18 recent tweets about the fact that English has no grammatically correct substitutes for words like "he," "him," and "his" that do not have a gender implied.

Consider the sentence "Everyone loves his mother." The word "his" may be seen as both sexist and inaccurate, but replacing it with "his or her" seems cumbersome, and "their" is grammatically incorrect.

"I find myself spending a lot of time reworking or obsessing over sentences to avoid sexist language, and wonder why we settled on these burdensome conventions rather than popularizing a gender-neutral pronoun," Easton said in an e-mail.

It turns out that an English speaker's mind can't instantly adopt an imposed new gender-neutral system of pronouns, linguists say. A sudden change in the system of pronouns or other auxiliary words in any language is very difficult to achieve.

That's because pronouns are "function words," which connect words and phrases but do not have "content" meanings. While new nouns like "cyberspace" and verbs like "to google" become widespread fairly quickly -- and people often come up with synonyms for "cool" -- it's much more difficult to introduce or change function words. The mind just won't incorporate them.

"The function words form a closed club that resists new members," Harvard University linguist Steven Pinker writes in his book "The Language Instinct."

Proposals for gender-neutral pronouns in English began cropping up in the 19th century -- not for reasons of equality, but for the sake of grammatical correctness, said Dennis Baron, professor of English and linguistics at the University of Illinois at Urbana-Champaign. More than 100 such proposals, including "thon" and "ip," have arisen, and none of them has stuck.

It wasn't until the 1970s that the issue became about equality for women, Baron said.

Today, Internet forums such as Twitter are buzzing about why English doesn't have a good substitute for "they," and what could be done about it. Transgender groups have also taken an interest in the topic -- in fact, the Trans@MIT at the Massachusetts Institute of Technology has a gender-neutral pronoun system in its Allies Toolkit.

If there were a deeply felt need for gender-neutral pronouns, they would arise naturally and become widespread through popular culture rather than through an educational or governmental mandate, Baron said. But, for now, many people continue to write the phrase "him or her." iReport.com: Sneak a peek at a 'Tweetup' gathering of Twitter users

"Does it make our culture less sexist? Probably not. But it's a nice gesture," he said.

Signs of sensitivity

While everyone knows that "men at work" means "people working," studies have shown that gendered words do make a difference in how we perceive things, said Kathryn Campbell-Kibler, assistant professor of linguistics at The Ohio State University.

"If you ask children to draw 'cavemen,' they do draw cave men," she said.

The issue has public policy implications, too. In response to a complaint from a local magazine editor, the public works commissioner for Atlanta, Georgia, replaced 50 "Men Working" signs with signs that said "Workers Ahead" last year and encouraged contractors to use only the gender-neutral signs, said spokeswoman Valerie Bell-Smith. Replacing the signs cost less than $1,000 total, she said.

"There are many women who work in public works, and we want to be respectful and sensitive to the fact that they're out there, too, doing the hard construction work," she said. iReport.com: Share your 'tweeting' tips, tech obsessions

Cindy Scott Day, a writer from Granger, Indiana, who recently Twittered about gender-neutral pronouns, said words like "mailman" and "fireman" have fallen out of use, in favor of "mail carrier" and "firefighter." The "biggest dilemma" is the gender-specific pronoun (he or she) issue, she said.

The words that stay, the words that go

The pronouns "I" and "we" are some of the most ancient words, supporting the idea that function words are very resistant to change. New research from Britain suggests that these words, along with the numbers one, two, three and five, have been fairly consistent for thousands of years.

Researchers used a supercomputer to look at how words have been used throughout the centuries across the Indo-European family, which includes English, the Romance languages, the Slavic languages, and Indian tongues such as Hindi.

An obvious example of the preservation of an ancient word is "two." In Spanish it's "dos," in Slovak it's "dva," in Farsi it's "do" and in Hindi it's "do" -- all of which are strikingly similar ways of denoting the number two.

"We could time travel and have very limited conversation," said Mark Pagel, evolutionary biologist at the University of Reading in the United Kingdom, who led the study. "We really believe that we can probably go back 20,000 years with those really, really old words."

Adjectives and verbs, on the other hand, change much more rapidly. The first one to go extinct will be the adjective "dirty," which will cease to be used to mean "unclean" in 750 years, Pagel said.

Other candidates for extinction are the verbs to "turn," "push," stab," "squeeze," and "throw." "To push" will likely go out of use in 850 years, Pagel said.

That's because these words have a very high rate of change, according to the computer model. Try translating them into other Indo-European languages, and you come up with very different results. For instance, already there are 46 unrelated ways of saying "dirty" in the Indo-European languages, a clear signal that in English it will fall out of use relatively quickly.

@highlight

Linguists: Pronouns are more resistant to change than verbs, nouns

@highlight

The city of Atlanta removed 50 "Men Working" signs last year

@highlight

Some of the most ancient words are "I," "we," "two," "three," and "five"

@highlight

The word "dirty" will go out of use as the way to say "unclean" in 750 years