(CNN) -- If all goes according to plan, cancer survivor Kyle Garlett will compete in October's Ford Ironman World Championship, a grueling triathlon made up of a 2.4-mile ocean swim, a 112-mile bicycle ride and a 26.2-mile run.

Heart transplant recipient and cancer survivor Kyle Garlett will compete in October's Ironman World Championship.

And he'll do it with another man's heart pumping in his chest.

"I don't think there's anybody who wouldn't consider me a success story and a survivor," Garlett said.

His medical issues began in 1989 when he received his first Hodgkin's disease diagnosis as a high school senior. In 1995, during his third battle with the cancer, doctors ceased his chemotherapy treatment when they discovered it had weakened his heart.

Two years later, Garlett learned he had secondary leukemia as a result of chemotherapy to treat the Hodgkin's, and three more years of chemotherapy ensued.

And after five years on the waiting list, he received a new heart in 2006.

Now, the 37-year-old savors his body's capabilities.

"It's kind of like the starving person who all of a sudden finds himself in front of a buffet. And now I've got the buffet. I've got my all-you-can-eat plate, and I'm just loading it up," Garlett said.

A heart transplant may seem extremely daunting, but Garlett saw it as a more hopeful operation than his years of cancer treatments.

"Going in for chemotherapy, as a patient you know what's happening. Your body is being poisoned and you know that when you come out on the other side of it, you're going to have given up something," said Garlett, a sportswriter and motivational speaker living in Marina del Rey, California.

"On the heart transplant, though, it was completely the opposite. I knew that from the day of the transplant on, every day I'd be getting stronger. And they were now doing something that was going to fix me, improve my life."

Garlett, who says he's "not a klutz" but "definitely not a natural athlete," trains about 15 hours a week for October's Ironman in Kona, Hawaii. Closer to race time, he expects to spend 20 to 25 hours a week in intense training to achieve his goal of finishing within the 17-hour time limit.

Garlett was invited to compete in the elite event because organizers believe he "demonstrates the Ironman mantra: Anything is possible," said Blair LaHaye, director of communications for Ironman.

LaHaye said a handful of athletes are invited to take part in the event each year, but their inclusion doesn't reduce the number of slots for those who get in by doing well in qualifying events, or by winning a spot through the Ironman lottery.  Garlett will compete in a half-Ironman or other long-distance event before Kona to validate his selection.

The training and competition are demanding enough for competitors without health issues. But being a heart transplant patient comes with the extra challenge of getting the organ to beat at an acceptable rate.

"When the old heart comes out, all the nerves are severed. And when the donor heart comes in, the nerves are not connected," explained Dr. Jon Kobashigawa, medical director of the UCLA Heart Transplant Program, where Garlett is a patient.

In a person whose heart is intact, "the brain will tell the heart, 'Let's go, start exercising, let's start beating faster,' " Kobashigawa said. A donor heart, however, relies on circulating adrenaline in order to get it going. As a result, heart transplant recipients must warm up thoroughly to get their heart pumping properly.

The "denervated" heart works about 80 to 90 percent as well as a normal heart, Kobashigawa said, "but through exercise, these patients who do strenuous activities, I believe, do get their exercise capacity almost to the normal range, if not normal."

It's also possible, doctors say, for the donor heart to re-innervate -- or grow nerves onto the donor heart.

Following in his footsteps

Garlett is on a trail blazed by Dwight Kroening, the first heart transplant recipient to complete the Ironman, last year in Canada.

Kroening, now 49, got a new heart in 1986 after his swelled to about twice its normal size for unknown reasons.

He was 26 at the time -- a gym teacher, coach and athlete. At first, running with his students became a struggle. Within days, he couldn't walk up a flight of stairs without stopping to rest. Soon, combing his hair and brushing his teeth became too taxing, he said.

When doctors examined him as a candidate for a heart transplant, they told him his heart was working at 8 percent of its normal capacity and he probably had about two months to live.

Kroening began exercising a week after the surgery, but soon discovered he was incapable of athletic activities that required sprinting, he said.

"I [told my doctors], there's something wrong here. I'm not able to do these things. And they said, 'Of course not,' " Kroening said.

"So being me, I was more or less bound and determined to prove that they were wrong, that I could actually train myself to be able to do these things," he said.

But overcoming those hurdles wasn't easy, even after 22 years of practice. Three-quarters of the way into the Ironman's bicycle leg, Kroening felt ill and fatigued, he said. He questioned whether he would be able to finish.

He did, in 15½ hours -- one hour longer than his target.  Watch Kroening compete in the Ironman »

"When we test [heart transplant recipients] on the treadmill, their peak heart rate is around 140 beats [per minute] and they can maintain that for one minute. ... When Dwight did the Ironman, we recorded his heart rate, and he was able to exercise at a heart rate of 133 beats per minute for 15½ hours," said Mark Haykowsky, a professor of rehab medicine at Canada's University of Alberta. Haykowsky studied Kroening for research on exercise habits of heart transplant recipients.

Since the Ironman, Kroening has competed in other events, including a marathon and a triathlon. He may compete in another Ironman next year in Arizona, the state where he received his heart transplant.

"I relate [the Ironman] to what I guess would be like childbirth," Kroening said. "In the process, you're thinking, 'I'll never do this again in my whole life. This is absolutely crazy.' But I think probably about three days later that I started thinking, 'Now this might be something that I might want to do again.' "

'The ultimate price'

Both Garlett and Kroening say promoting organ donation motivates them to compete in these endurance challenges.

Kroening also says he wants to make the most of his "orphaned" heart.

"I wish I could meet my donor family and ... thank them personally," Kroening said. "[I want to let them] know for 23 years, I've been taking good care of their son's heart."

Garlett, too, recognizes his donor's family, who provided the heart of a 42-year-old construction worker who died on the job.

"I never lost sight of the fact that that moment for my family of great joy was only going to be coming ... with somebody else having to pay the ultimate price like that," Garlett said.

"And that always was in my head, and this man who gave me his heart would always be with me."

@highlight

Cancer survivor and transplant recipient Kyle Garlett will compete in Kona triathlon

@highlight

Last year, Dwight Kroening was first person with heart transplant to finish Ironman

@highlight

The lack of nerves on a donor heart poses an extra challenge for transplant patients