(CNN) -- How much would it cost to save tigers from extinction in the wild? Thirty-five million more dollars a year.

Some perspective on this amount: Thirty-five million dollars is less than soccer star David Beckham earns annually. Surely, a world that sustains great athletes with princely sums can also afford to save this princely beast.

It's zero hour for tigers. In the past century, the world's wild tiger population has fallen by a staggering 97 percent -- from an estimated 100,000 to an all-time low of 3,200 animals. Of these, only 1,000 are breeding females.

Tigers are threatened across their entire range, from India to the Russian Far East. They face a triple threat: Poachers kill them for their pelts and body parts, hunters kill their prey, and development encroaches on their habitat.

Tiger extinction would be the stuff of great tragedy. But hopes for averting such disaster may emerge from a summit happening this week in St. Petersburg, Russia. Called together by Russian Prime Minister Vladimir Putin, conservationists, donors and leaders of all 13 tiger range states may decide the fate of tigers in the wild.

The Wildlife Conservation Society and its partners in big cat conservation have devised a strategy that offers the summit a practical plan of action to reverse the decline of tigers and put the population on a course for recovery. (This is where the $35 million comes in; more on that in a moment.)

This fall, the Wildlife Conservation Society published a peer-reviewed study identifying 42 "source sites" across the natural range of tigers in Asia, where viable populations of breeding tigers now exist.

The paper was co-authored by conservationists from organizations including the International Union for Conservation of Nature, the Global Environment Facility, Panthera, the World Bank and numerous other partners. The study suggests that managing and financing activities like law enforcement and training in these breeding areas will protect tiger populations and allow them to repopulate larger landscapes.

Implementing this plan would be straightforward. Instead of spreading conservation efforts thinly across large landscapes, the focus would shift to source sites. These are where 70 percent of the world's tigers live in just 6 percent of their current range. For example, there are 18 source sites in India, eight in Indonesia, six in Russia, three in both Malaysia and Nepal, two in Thailand and one in both Laos and Bangladesh. Protecting these sites would halt the decline in tigers and allow populations to recover.

Can it be done? In fact, something similar is being done in southwest India in one of the most densely populated places on earth. In the Western Ghats of Karnataka sits Nagarahole National Park, where the Wildlife Conservation Society, the Indian government and local communities have worked together for 20 years, joining first-rate science to public action.

Trained enforcement teams have deployed to protect both tigers and their prey from such threats as poaching and habitat loss. Voluntary resettlement to shift people away from protected areas and the cooperation of those who live in local villages have meant a 400 percent increase in tiger numbers from fewer than 20 to nearly 70.

Evidence of range state commitment to the strategy on the table at the summit is clear. More than half the $82 million that would be required for the effort each year is already committed by governments, international donors and non-governmental organizations.

But there is still a $35 million annual shortfall, and this is all that stands between the tiger and its two possible futures: extinction or robust survival across Asia.

The hopes and risks could not be clearer at the St. Petersburg summit. Putin and other world leaders can leave a great legacy. In our collective role as stewards of our planet, we cannot fail.

The opinions expressed in this commentary are solely those of Steven Sanderson and the Wildlife Conservation Society.

@highlight

Steven Sanderson of Wildlife Conservation Society says tiger population has plummeted

@highlight

A summit in Russia with conservationists, nation leaders could set tiger's fate, he says

@highlight

Society has proposed an $82 million plan at summit to stop decline, boost recovery, he says

@highlight

Sanderson: Plan still short of financial target; leaders must not fail as stewards of planet