WASHINGTON (CNN) -- Top Bush administration officials are shifting into damage-control mode after a House committee narrowly approved a resolution that labels the killings of Armenians in Turkey during World War I as "genocide."

The House Foreign Affairs Committee passed the measure 27-21 Wednesday evening, even though President Bush and key figures lobbied hard against it.

The Web site of Turkish President Abdullah Gul carried a statement calling the decision "unacceptable," saying it "doesn't fit a major power like the United States."

State Department spokesman Sean McCormack issued a statement expressing "regret" for the committee's action, warning the resolution "may do grave harm to U.S.-Turkish relations and to U.S. interests in Europe and the Middle East."

The nonbinding House resolution says the deportation of nearly 2 million Armenians from the Ottoman Empire between 1915 and 1923, resulting in the deaths of 1.5 million of them, amounted to "genocide."

Turks strongly reject the genocide label, insisting there was no organized campaign against the Armenians and that many Turks also died in the chaos and violence of the period.

Turkish officials had warned approval of the resolution could jeopardize U.S. relations with their country, a NATO member that has been a key U.S. ally in the Middle East and a conduit for sending supplies into Iraq.

Undersecretary of State Nick Burns said Secretary of State Condoleezza Rice would call the Turkish leadership Thursday to express "deep disappointment" with the vote.  Watch why Rice and Gates oppose the resolution »

"We want to convey to the Turkish people and the Turkish government a message of respect and a message of support for them and the hope we can continue to work together with them," Burns said.

The president, Rice and Defense Secretary Robert Gates all warned against passing the resolution.

"We all deeply regret the tragic suffering of the Armenian people that began in 1915. This resolution is not the right response to those historic mass killings," Bush said at the White House.

Rice and Gates said Gen. David Petraeus, the top U.S. military officer in Iraq; U.S. Ambassador to Iraq Ryan Crocker; and Adm. William Fallon, head of the U.S. Central Command, also raised concerns about the resolution.

Gates said good relations with Turkey are vital because 70 percent of the air cargo intended for U.S. forces in Iraq and 30 percent of the fuel consumed by those forces flies through Turkey.

U.S. commanders, Gates said, "believe clearly that access to airfields and roads and so on in Turkey would very much be put at risk if this resolution passes and the Turks react as strongly as we believe they will."

Nabi Sensoy, Turkey's ambassador to the United States, said the resolution's passage would be a "very injurious move to the psyche of the Turkish people."

He predicted a "backlash" in the country, saying there would be setbacks on several fronts: Turkish-American relations, Turkish-Armenian relations and the normalization of relations between the nations of Turkey and Armenia.

But House Democratic leaders said earlier if the Foreign Affairs Committee passed the resolution, they intended to bring it to the House floor.

The resolution's sponsor, Rep. Adam Schiff, D-California, said the measure already had 226 co-sponsors, more than enough votes to pass "and the most support an Armenian genocide resolution has ever received."

The resolution calls on the president "to ensure that the foreign policy of the United States reflects appropriate understanding and sensitivity concerning issues related to human rights, ethnic cleansing and genocide documented in the United States record relating to the Armenian genocide, and for other purposes."

A similar resolution passed the committee by a 40-7 vote two years ago, but it never reached the full House floor. House Republican leader John Boehner, noting the critical military and strategic alliance with Turkey, said bringing the resolution to the floor would be "totally irresponsible."

"Let the historians decide what happened 90 years ago," Boehner said in a written statement.

House Speaker Nancy Pelosi and Majority Leader Steny Hoyer met with Turkish officials in Pelosi's office Wednesday morning. Hoyer said he and Pelosi informed the officials that they support the resolution.

Hoyer said he told officials that while he considers Turkey a strong ally, "this was about another government at another time."

"I believe that our government's position is clear -- that genocide was perpetrated against the Armenian people approximately 90 years ago and during the course of the First World War. And I believe that remembering that, noting that, is important so that we not paper over or allow the Ahmadinejads of the next decade or decades to deny a fact," Hoyer said.

The term genocide is defined in dictionary.com as "the deliberate and systematic extermination of a national, racial, political, or cultural group."

But the description is hotly disputed in Turkey, the predominantly Muslim, but modern and secular, pro-Western ally of the United States.

Turks argue that all peoples -- Armenians and Turks -- suffered during the warfare. But Armenians maintain there was an organized genocide by the Ottoman Turkish authorities, and have been campaigning across the world for official recognition of the genocide.

The resolution arrives at a particularly sensitive juncture in U.S.-Turkish relations. The United States has urged Turkey not to send its troops over the border into northern Iraq to fight Kurdish separatist rebels, who have launched some cross-border attacks against Turkish targets.

Observers of U.S.-Turkish relations have argued the House resolution could make Turkey less inclined to use restraint in dealing with its longstanding problems with the Kurdistan Workers Party.

"The United States has a compelling historical and moral reason to recognize the Armenian genocide, which cost a million and a half people their lives," Schiff said. "But we also have a powerful contemporary reason as well. How can we take effective action against the genocide in Darfur if we lack the will to condemn genocide whenever and wherever it occurs?" E-mail to a friend

CNN's Deirdre Walsh, Elise Labott and Joe Sterling contributed to this report.

@highlight

NEW: Rice to call Turkish leaders to express "deep disappointment" with vote

@highlight

House panel approves Armenian genocide resolution with 27-21 vote

@highlight

Decision called "unacceptable" in statement on Web site of Turkey's president

@highlight

House resolution calls killing of Armenians during World War I "genocide"