Amardeep Kaleka will never forget the moment when his father laid on the ground and prayed.

Satwant Singh Kaleka had been shot five times while wresting a gunman in a Sikh temple in Oak Creek, Wisconsin. His turban was knocked off, and two kids and a priest crawled up beside him. Together, they prayed.

Amardeep Kaleka went to the temple and stared at that spot.

His father did not survive. He died along with five others.

"It felt like he was praying and putting something into the zeitgeist and imprinting it," he told CNN. His son hoped it would lead to a changing tide on gun violence.

Interactive: Faces of the gun debate

As he began his meditation that day, Amardeep made a vow: He would do whatever he could to ensure nobody ever went through what his family had.

"It just came over me that you can't stay silent," he said. "You can't continue to allow violence like this to happen haphazardly at a church, at a school, any place.

That was August 2012.

Four months later, 20 children and six adults were gunned down in Newtown, Connecticut.

That school massacre has led many people, including Kaleka, 33, to question where we go from here as a country. Or if we will ever get there at all.

It led him to stand up at a gathering here on Thursday, CNN's "Guns Under Fire: An AC360º Town Hall Special," and ask a panel of advocates with polar opposite views if they could agree on anything. If there was actually any middle ground.

"After meeting with so many senators, so many gun proponents and gun control advocates, it seems like they're recycling the same jargon all the time," he said, explaining his reason for the question. "So I was just hoping, let's get to the common ground."

The panel included National Rifle Association board members, the president of the Brady Campaign to End Gun Violence, law enforcement representatives and other participants voicing viewpoints across the spectrum.

Was there a consensus?

Sort of.

"There's a lot of common ground," Sandra Froman, a member of the NRA board of directors and a former president of the group, said at the town hall. "We don't want people who are insane to have guns, we don't want terrorists to have guns. Part of this national dialogue is coming together."

So everyone agreed: Something has to happen. The devil is in the details.

"I think the common ground clearly exists from a policy standpoint when talking about background checks," said Dan Gross, president of the Brady Campaign to End Gun Violence.

But it isn't that simple. It never is when it comes to gun control.

"The NRA is not against background checks," Froman said. "We support making sure they are enforced. We're not supporting more background checks of law-abiding citizens."

Her remarks signaled a slight change in the NRA's stance.

In a heated back and forth, the two debated whether it was truly harmful to force everyone who wants to purchase a gun -- whether at a gun store, a gun show, or in a private sale -- to go through a background check.

Froman talked about how the current background check system was broken, noting that an "instant check" in Colorado can actually take about 10 days.

"We have to get it working before we add any more checks," she said, noting that requiring everyone to undergo a check would take a lot of resources and money.

Philadelphia Police Commissioner Charles Ramsey spoke from his experience, saying whatever it took, whatever the price tag, it would be worth it to stem the violence.

"Please, don't worry about the cost. I'll spend the money," he said, a line that drew massive applause from the crowd at George Washington University. "It's a much greater cost than human lives. We have to do something. The status quo is not acceptable."

When Kaleka, the son of one of the Sikh shooting victims, rose to ask his question about finding a middle ground, he wasn't just talking about policy. He also meant in our collective way of thinking. A filmmaker, Kaleka has made a documentary about violence in America. There are too many facets to the problem, he says.

"It's a culture of violence. And that has to do with guns, that has to do with mental illness, it has to do with stigmatizing people, it has to do with the media, everything about our culture."

Many appeared to think he was right.

"Everybody's got to step up on this," Ramsey said. "That's prosecutors, the courts, everyone. If we're serious about this it can't just be a series of laws that are passed."

Much of the discussion inside the town hall went beyond politics and legislation. One heated debate focused on whether armed guards should be posted at schools.

That's a proposal that's been discussed by former congressman Asa Hutchinson.

"What is more important than the education and the safety of those children?" he asked, noting that if malls have armed security, so should schools. "I believe an armed security presence is very important."

It's an idea that Veronique Pozner thinks about. Her son Noah was killed in the shooting at Sandy Hook Elementary in Newtown.

"I think there might be a certain power in deterrence," she said. "In the case of Newtown, it's clear that the perpetrator did choose the path of least resistance, the most vulnerable defenseless victims. He didn't head for the high school where he could have been tackled."

While she said she wasn't sure an armed guard would have saved her son, she did say it made her feel more comfortable dropping off her other children at the new school for Sandy Hook children, a building that does have armed guards.

Colin Goddard, who survived the Virginia Tech shooting, said he understood the desire to protect children, but he didn't understand why arming guards is the go-to solution.

"I just don't understand why the first idea put forth is something that might help at the last second," he said, to massive applause from the audience. "We can do things in advance to keep a dangerous person and a gun from coming together in the first place."

That's the conversation that usually leads to a debate about mental health. It is an area President Barack Obama has pledged resources to; he and many others hope to keep guns out of the hands of the mentally ill.

The difficulty comes in figuring out who poses a threat.

"We look at behavior and what's going on in the person's life, the social dynamics and what are the personality issues that make that person think acting out dangerously is a way to handle their problems," said Mary Ellen O'Toole, a former FBI special agent and criminal profiler.

Froman, the NRA board member, said she'd like to see more sharing of resources to ensure a database of the mentally ill would prevent them from having access to guns.

But Liza Long, whose blog post "I am Adam Lanza's Mom" went viral after the Newtown shooting, said perhaps we were thinking about this all wrong. What if wasn't just about identifying threats, but actually making a change.

"We spend a lot of time talking about keeping guns out of the wrong hands,"she said. "What if we could put those resources to making people less dangerous."

For Kaleka, at the end of the day, progress on enforcing background checks would be a step in the right direction.

He recognizes that no solution will make everyone happy. But he wishes every advocate, no matter their point of view, would think about the issue as if they were in his shoes.

"When you are a survivor or a victim or someone close to you dies, it's everyday you think about it," he said. "Gun advocates or scholars or people making money about it, they probably think about it 10% of how much we think about it. We go to the bathroom and think about it. We take a cold shower one day, and we start to cry. We wake up in the middle of the night with night sweats, and we have to live with it. Every breath is taken with some thought of violence and safety."

He thinks it is time the country does the same: that its citizens think about the issue with every breath.

"I can never go another moment in my life without thinking about it. My wife, my brother, my mother, the people of Newtown, they will not go a moment for the rest of their life without thinking about it," he said. "Personally I think the tide is changing, the zeitgeist is moving towards justice. Hopefully, once we stop the fear mongering on both sides we can finally get to the point of what makes sense."

His greatest hope: That the will to do something about the violence does not die along with those who never had to.

Complete coverage: The gun debate

@highlight

Amardeep Kaleka lost his father in a shooting at a Sikh temple in Wisconsin

@highlight

He appeared at CNN's  "Guns Under Fire: An AC360º Town Hall Special"

@highlight

Kaleka hopes the country will at last find middle ground on the issue of guns

@highlight

"I think the tide is changing; the zeitgeist is moving towards justice"