(CNN) -- Thousands have died in the current Ebola outbreak in West Africa, and much of the global conversation has centered on the lack of an approved medication to treat the deadly disease.

Yet in 2013, 1.5 million people died from another infectious disease that has a cure.

On Wednesday, the World Health Organization released its 2014 Global Tuberculosis Report, which shows that 9 million people developed tuberculosis in 2013 and 1.5 million died, making it one of the world's deadliest communicable diseases.

"In addition, around 3 million people who fall ill from TB are still being 'missed' by health systems each year either because they are not diagnosed, or because they are diagnosed but not reported," the WHO said in a statement.

Tuberculosis, commonly called TB, is a bacterial infection that can be spread through the air. The bacteria usually attack patients' lungs but can also hit the kidney, spine and brain. Tuberculosis can be fatal, according to the Centers for Disease Control and Prevention, but it doesn't have to be.

Four drug regimens are approved to treat TB; the bacteria can usually be conquered by taking a mix of medications for six to nine months.

More than 700 infants exposed to TB in Texas

The prevalence rate of TB has fallen 41% since 1990. But given the fact "that most deaths from TB are preventable, the death toll from the disease is still unacceptably high and efforts to combat it must be accelerated," the WHO report authors write.

Part of the reason so many are dying from tuberculosis is that a strain of the bacteria has become resistant to treatment. About 3.5% of the people who were diagnosed with TB in 2013 had this form of the disease, according to the WHO.

But that's only 3.5%.

Another reason is lack of funding, the WHO says. About $8 billion is needed each year for a "full response," the agency says, but just over $6 billion is allocated.

This money shortage plays into what is probably the top reason many people with tuberculosis are not being treated: The majority of cases are found in Southeast Asia and the Western Pacific. Another quarter are found in Africa, which has the highest prevalence and death rate. Many people in these regions simply don't have access to quality health care.

"Pharmaceutical industries are less interested in diseases in developing countries where potential gains are limited," said Dr. Mario Raviglione, director of WHO's Global Tuberculosis Programme. "As a result, we have a problem (with tuberculosis) because people know that 95% of cases are in developing countries."

There are 15 tuberculosis vaccines being tested in clinical trials around the world, according to the WHO report. An effective vaccine could be a way to stop the epidemic for good.

CNN's Christina Lee contributed to this story.

@highlight

World Health Organization releases 2014 Global Tuberculosis Report

@highlight

9 million people developed tuberculosis in 2013, it says

@highlight

TB is a bacterial infection that can be spread through the air

@highlight

There are several drug regimens approved to treat TB