(CNN) -- As the horsemeat scandal continued to spread across the continent, European Union officials scheduled a Wednesday meeting to discuss the issue, an Irish official said Monday.

Simon Coveney, Ireland's agriculture minister, called for the informal session in Brussels, Belgium, inviting the EU Health Commissioner Tonio Borg and ministers from other European Union nations.

Coveney said officials need to take "whatever steps may be necessary at EU level to comprehensively address this matter."

French officials said Monday they will take measures to ensure that no suspicious products remain for sale.

Officials said customers of the food supplier at the center of the uproar, French-based Comigel, will be inventoried.

"We will look (starting Monday) at who their clients are and, as a consequence, we will see what products will have to be taken off the market because there is a reasonable suspicion that these products are composed of horsemeat and not beef," said France's junior minister for the social economy, Benoit Hamon.

Horsemeat has been discovered in products that are supposed to be 100% beef sold in Sweden, the United Kingdom and France. As many as 16 European nations may be involved in the supply chain, officials say.

French officials said that they should know by Wednesday whether fraud or negligence is to blame for the scandal.

Agriculture Minister Stephane Le Foll said regulators weren't at fault.

"This is not a regulation failure," he said. "We have to stop saying that just because there is a fraud. That's like saying that just because there are police officers around and that an accident happens, there is a failure on the part of the police officers."

Tesco, which operates grocery stores in 14 countries worldwide, said Monday it discovered horsemeat in spaghetti bolognese products made by Comigel. Most of the samples showed small amounts of horsemeat, but three contained more than 60%, Tesco said in news release.

"The level of contamination suggests that Comigel was not following the appropriate production process for our Tesco product, and we will not take food from their facility again," said Tim Smith, a Tesco executive.

Battle over blame after horsemeat found in beef products

Also Monday, Romania denied any responsibility in the scandal. Prime Minister Victor Ponta said the two Romanian slaughterhouses initially suspected to have links to the horsemeat scandal never had direct contact with Comigel and haven't done anything illegal.

"This tendency to throw the responsibility as far away as possible, eventually to the new members (of the European Union), to countries that might have a weaker PR policy, is something that bothers me," he said.

Minister of Agriculture Daniel Constantin said there is no evidence false horsemeat labeling occurred in Romania.

The news conference came in response to food supplier Findus France saying it will file a legal complaint against a Romanian business that is part of the supply chain. It did not name the business publicly, nor did the Romanian officials.

Authorities in Europe have said there is no immediate cause for health concerns, but government officials in the UK and Sweden are testing the meat to be sure there is no danger to public health.

The blame chain and legal action

Swedish food producer Findus announced Thursday that it had withdrawn its lasagna from stores as a precaution. The products were pulled Monday after Comigel raised concerns about the type of meat that was used, Findus Sweden said.

Findus said a letter from Comigel dated February 2 informed Findus that the contamination may date back to August.

Horsemeat found in hamburgers in Britain and Ireland

Findus is only one of several companies that receives products from Comigel, headquartered in Metz, France. Others in Sweden and Britain have pulled products from shelves.

Six big French retailers said Sunday that they were recalling lasagna and other products.

Findus Nordic, which oversees Findus throughout the Nordic region, said it has begun legal action against Comigel and its subsuppliers.

"Comigel is the villain," Findus Nordic CEO Jari Latvanen told CNN on Sunday.

Comigel has not responded to CNN's requests for comment. The company did not answer its phones when CNN called repeatedly. Neither the company nor CEO Erick Lehagre responded to an e-mail request for comment.

But Lehagre told French news agency Agence France-Presse on Sunday that his company had been "fooled" by a French supplier. "We were victims," he said, according to AFP.

Latvanen credits his company with uncovering "a serious case of fraud."

"What has happened with Comigel is a crime, a scandal," he said.

While Findus has begun legal action in Sweden, the British arm of Findus said it is considering legal action against suppliers as well.

Burger King finds horsemeat at European supplier

Tests showed up to 100% horsemeat

One food supplier in Britain, Aldi, said tests on random samples demonstrated that the withdrawn products contained between 30% and 100% horsemeat.

Samples of the affected Findus lasagna contained between 60% and 100% horsemeat, according to UK and Irish food safety inspectors.

In January, the Food Safety Authority of Ireland found that 10 out of 27 hamburger products it analyzed in a study contained horse DNA, while 23 of them -- or 85% -- tested positive for pig DNA.

Of the 10 burger samples, nine were found to have very low levels of horse DNA, the inspectors said. But in one sample from Tesco, Britain's largest retailer, the horsemeat accounted for about 29% of the burger.

Tesco apologized and vowed to make sure it never happens again.

Irish officials blamed ingredients from Poland.

Concerns about a veterinary drug

While horsemeat is not itself a food safety hazard, food inspectors are concerned it may contain the veterinary drug phenylbutazone, or "bute," commonly used to treat horses.

Meat from animals treated with phenylbutazone may pose a risk to human health and is not allowed to enter the food chain.

Tesco said it tested for the chemical in the tainted spaghetti bolognese products but found no trace.

Horse: Coming soon to a meat case near you?

Journalist Liliana Ciobanu in Bucharest, Romania, contributed to this story.

@highlight

NEW: European Union officials to meet Wednesday to discuss the issue

@highlight

French officials seek to inventory customers of food supplier for tainted products

@highlight

Romanian officials say the problem doesn't involve slaughterhouses in their country

@highlight

As many as 16 nations may be involved in supply chain