(CNN) -- Downgrade -- the most feared word in Europe's financial lexicon. Most attention Friday was focused on France -- Europe's second largest economy -- as Standard & Poor's cut its rating on French sovereign debt.

But the debt of several other countries also received the Mark of Cain, including Italy, Spain, Portugal and Austria, whose debt rating was cut by one notch from its AAA status.

Austria's inclusion might come as a surprise to those who don't follow the bond markets.

Its economy -- by European standards -- is thriving. The Governor of Austria's Central Bank, Ewald Nowotny, described the downgrade as "politically motivated" and asserted: "The structure of the Austrian economy is well-balanced; output has been evolving dynamically at above-average rates; Austria has a sizeable current account surplus; and it is the EU country with the lowest unemployment rate [just 4 per cent]."

But Austria has two problems. Its budget deficit has ballooned and now stands at 4.6 percent of GDP (although by European standards that's toward the lower end of the spectrum.)

Finance Minister Maria Fekter told Austrian television Sunday that health spending, pension obligations and the state railway system are in the crosshairs as the government looks for annual budget savings in excess of $2 billion.

Opposition parties say the government has been slow to act -- knocking investor confidence. As in the United States and elsewhere in Europe there is fierce debate in Austria over the balance between tax increases and spending cuts to reduce the deficit.

Secondly, Austria can't pick its neighbors. To the south is Italy, Austria's second largest trading partner, where the new technocratic government of Mario Monti is embarking on an austerity program and where the economy is struggling to avoid recession.

Austrian banks do a lot of business in Italy and a lot in central and south-eastern Europe.

Another neighbor is Hungary, where the government recently forced local banks to let millions of homeowners repay foreign currency loans at below market rates. That's hurting Hungarian banks because millions of householders took out mortgages in Swiss francs in recent years and now can't keep up with repayments.

And when Hungarian banks sneeze, Austrian banks catch cold. They have loans worth nearly $50 billion in Hungary alone.

Last year, one major Austrian bank with considerable exposure in Hungary failed the European Union's "stress tests" -- and has since been selling assets to fortify its balance sheet.

The Austrian government may have to pump more capital into the country's main banks, but for now Austrian banking officials tell CNN the banks can probably raise the capital they need to pass the next round of "stress tests" held by the European Banking Authority.

Even so, Central Bank governor Nowotny acknowledges that measures need to be taken to "ensure the sustainability of the business model of Austrian banks active in central and eastern Europe."

There is only so much that the Austrians can do.

Much depends on Hungary's tortured negotiations with the International Monetary Fund and the European Union over a bailout for its stricken finances. All three ratings agencies have reduced Hungary's credit-worthiness to "junk" status.

The chief Hungarian negotiator, Tamas Fellegi, is on a tour of European capitals this week, and sources in Vienna say he will meet the Austrian Finance Minister and Central Bank governor on Thursday.

It should be an interesting exchange of views. The Austrians and the European Central Bank have been highly critical of "populist" measures by the Hungarian government led by Viktor Orban that have hurt the banking sector.

But Orban is under pressure at home not to yield to international pressure. At the weekend, protesters took to the streets of Budapest with banners demanding "Hands Off Hungary."

Some commentators have begun talking of Hungary as the "Greece of eastern Europe." Reuters' Kathleen Brooks blogged last week: "Once again a small, relatively unknown economy is dominating the headlines and causing a massive headache for the European authorities."

We've been there before. In May 1931 Austria's largest bank, Credit Anstalt, collapsed suddenly. It had built up an unenviable portfolio of bad loans, but they were hidden from public view.

As Austrians raced to retrieve their savings, and governments squabbled over a rescue package, panic spread quickly to other European countries. Banks in the Netherlands and Poland collapsed.

Some economic historians believe Anstalt's failure triggered what would become known as the Great Depression.

@highlight

Austria's credit downgrade hidden behind France but could have wide repercussions

@highlight

The country has low unemployment but is exposed to financial risk in Italy and Hungary

@highlight

As in the U.S. and across Europe there is fierce debate over balancing tax increases and spending cuts to reduce the deficit

@highlight

Some economic historians believe it was a banking failure in Austria that triggered what would become known as the Great Depression