(CareerBuilder.com) -- There are essentially three generations of job seekers vying for jobs today: Baby Boomers, Generation X or Gen X, and Generation Y or Millennials. Because of this, job seekers are finding themselves competing with people of all different ages for the same job; people that can bring different experiences and skill sets to the position.

I asked career coaches, advisers and recruiters if there are any patterns in how job seekers from different generations go about the job search. Here are some that they noted:

Baby Boomers: Often show a high level of professionalism and excel in face-to-face interviews. "Baby Boomers know that the job search is ultimately about relationships, and [they] tend to invest the time in the process of developing relationships," says Lynne Sarikas, executive director of the MBA Career Center at Northeastern University. "They know the value of a handwritten thank-you note."

Gen X: Tend to utilize both in-person and online communication effectively. "When it comes to overall communication skills and working knowledge of technology, members of Generation X fall squarely between their 20-year-old and 50- to 60-year-old counterparts," says Maribeth Kuzmeski, author of "The Connectors: How the World's Most Successful Businesspeople Build Relationships and Win Clients for Life." "They are used to online job searches, emailing résumés and following up via both email and handwritten notes."

Millennials: Often adept at using all forms of social media in their job search. They tend to embrace all kinds of technology and use that technology to their advantage, including applying via their smartphone or tablet or following up via creative ways online.

"[Job seekers] over 50 years old may be used to looking for work in a newspaper, attending job fairs, dropping by a company to inquire about job leads and speaking to those in their network regarding job opportunities," says Lavie Margolin, career coach, speaker and author of "Lion Cub Job Search: Practical Job Search Assistance for Practical Job Seekers." "A younger generation would be more apt to look for jobs online and use social networks to reach out to people for help as opposed to speaking to people face-to-face or giving someone a call."

So how do job seekers compete with those from other generations? Perhaps it's by learning from each other and applying a combination of new and tried-and-true job-search tactics. Here are some tips on how job seekers of all generations can be successful in their job hunt.

Embrace both offline and online communication

To get the most out of a job search, try using both online and offline resources. Search for jobs on career websites as well as social networking sites such as Facebook, Twitter or LinkedIn. Consider building an online portfolio that houses your résumé along with examples of your work or previous successes, but don't forget to bring hard copies to an interview, too. Also try meeting with a headhunter or recruiter who specializes in finding jobs in the field for which you're applying.

Networking works

"Regardless of generation, the single most important thing you can do to support your job search is networking," Sarikas says. "Identify alumni, former colleagues, friends of friends or family who work in the companies you are interested in as employers. Conduct informational interviews to learn about the company, the culture and the types of roles in your area of interest. Meet as many people as possible who can help support your efforts, and identify how you can help them as well. While you can use the Internet and other tools to identify resources, do your networking in person whenever possible. Have a real conversation."

Execution matters

"Execution matters — cover letters and résumés must be flawless; no spelling or grammatical errors," Sarikas says. "You should be well prepared for your interview. Research the company and the people you are meeting. Have questions prepared. Information is easily accessible, so there is no excuse for not being well prepared."

The power of thank you

Follow up with both an email and a snail mail thank-you note. "Write a handwritten thank-you note to each interviewer and show your enthusiasm for the job as well as your appreciation for their time. It makes them remember you in a positive way," Sarikas recommends.

&copy CareerBuilder.com 2011. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

Baby Boomers excel in face-to-face interviews while Gen X and Millennials are more adept in using online technology

@highlight

Networking is important regardless of generation

@highlight

Follow up with both an email and a snail mail thank you note