(CNN) -- Can a quasi-mystical system rooted in ancient philosophies bring enlightenment, efficiency and a better bottom line to organizations?

For a growing number of companies across the world, the answer seems to be yes. From small businesses in Europe to U.S. government departments, a popularized personality typing system, known as the enneagram, is being promoted, with claims that it improves teamwork, communication and leadership.

"The enneagram" refers to an ancient symbol -- a circle inscribed with nine points -- with each point indicating a different personality type, driven by a set of fears, motivations and behaviors.

Key to the system is that when you understand these, you can change and direct your behavior in order to reach your full potential -- and bring it out in others.

It might sound a little hokey to some, but a yearlong study conducted in 2004 by Saville & Holdsworth reported that the enneagram is on par with the Myers-Briggs system, the Big Five and other well-known, accepted psychological systems.

"It is a sort of GPS of wisdom," says Pernille Lauritsen, founder of Mindjuice, a leadership training company in Denmark that has used the enneagram for the past 7 years.

"It is a shortcut to understanding what drives people, and to discover strengths and blind spots around yourself and others."

Read more: Struggle fuels career growth

Do you know someone who alphabetizes their spice cabinet? They may be a type 1, organized and ethical, with a strong sense of right and wrong. Often they are teachers, idealists, and advocates for change.

The corporate boardroom is likely to be frequented by a number of type 8 personalities. Self-confident, protective and even heroic, under stress they can turn into ego-centric bullies who are secretive and fearful.

"The enneagram allows you to grasp the reality other people are living in, to see where they are coming from, their filters, their points of view -- and then speak directly to that," says Helen Palmer, one of the worlds key authors and experts on the enneagram, and co-founder of the Enneagram Worldwide.

The enneagram symbol has roots in antiquity and can be traced back to ancient Greece. But it was not until the 1960s when Bolivian philosopher Oscar Ichazo used it to explain the human psyche that it started to enter the mainstream. It was brought to the U.S. and popularized by a student of his, American-taught psychologist Claudio Naranjo, in 1971.

Palmer, who was among Naranjo's first students, says the enneagram has since been given a major push by modern neuroscience. "It proves we can retrain and improve our brains," she says.

Read more: What jazz musicians have in common with the best leaders

Today, the system is used in therapy and education, and can have a strong spiritual dimension -- but one of the first and major fields of use is business, where it has been adapted as a way of bringing insight into oneself and others.

It is typically done with a half-day to two-day course in which participants learn about the nine personality types, pinpoint their own and find out what makes them tick -- and ticked off.

That knowledge, says Ramazan Turan, partner in Danish auditing firm Athos, is invaluable. During one particular conflict with a collaborator, he says he recognized that an underlying issue was not being addressed from the other's viewpoint.

"Instead of arguing my case as I normally might have, I asked him what his real concern was," he says. "That simple shift created a completely different conversation that allowed us to address the real conflict and move on."

Read more: How CIA tricks help the best bosses

A 2011 study by Enneagram in Business covering 72 companies, including Best Buy, Daimler-Mitsubishi, Toyota and Avon, found that using the enneagram led to better communication and collaboration, rising sales and increase in employee engagement.

"It is a language for figuring out what gets in the way of change and progress, " says Todd Pierce, former CIO of biotechnology company Genentech, who says it helped his management team resolve core issues in a matter of hours.

But the system is not without its hitches, and its mystical background does raise some eyebrows.

"I don't know that people are ready for this," says Gus Kious, President of Summa Physicians in the U.S., who has taught the system at hospitals and with senior management. "The enneagram requires a degree of investment of time and self, and I get the sense that people are impatient."

Pierce however is an advocate of the system: "You just have to try it. We live in a world that is becoming hyper-connected. We need to make sure we deal with the human software."

@highlight

The enneagram system sorts individuals into nine personality types

@highlight

In businesses, it has been adapted as a way of bringing insight into oneself and others

@highlight

A report shows it is on par with the Myers-Briggs system and other well-known psychological systems

@highlight

The system is typically taught in a half-day to two-day course