Washington (CNN) -- The Pentagon is blocking public release of photos apparently depicting abuse of suspected terrorists and foreign troops in U.S. custody, and urging the Supreme Court to dismiss a lower court ruling ordering the photos to be publicly disclosed, according to court documents.

Defense Secretary Robert Gates notified the high court late Friday that he was issuing an order to block the release.

The photos have been at the center of a years-long lawsuit by the American Civil Liberties Union. Congress last month gave the Obama administration specific authority to prevent any release of the 44 photos. Afterward, Gates signed a certificate of authorization, or order, to prevent the photos' release, saying their disclosure would endanger U.S. troops serving abroad.

The order covers all photographs taken of people captured or detained in overseas military operations between September 11, 2001, the day of the terrorist attacks on New York and Washington, and January 22, 2009, shortly after President Obama took office.

The Pentagon initially was set to release the images of Iraqi and Afghan prisoners in response to a Freedom of Information Act request filed by the ACLU.

But Obama and the Justice Department objected to the court-ordered release, reversing an earlier executive decision. Obama had initially agreed to the release, but changed his mind after military leaders privately and intensely urged him to block it.

The ACLU criticized the administration's about-face, saying it "makes a mockery" of Obama's campaign promise of greater transparency and accountability, and damages efforts to hold accountable those responsible for abusing prisoners.

A homeland security appropriations bill passed October 29 by Congress and signed by the president grants the Department of Defense authority to withhold the photographs.

The images were gathered as part of a military investigation into allegations that detainees held in Afghanistan and Iraq were tortured and physically abused.

According to the government legal brief filed with the high court, several of the photos show "soldiers pointing pistols or rifles at the heads of hooded and handcuffed detainees." Other images described by military reports show prisoners in restrained and humiliating positions. Military investigations led to criminal charges against some of the soldiers shown in the images.

The photos currently at issue are separate from those first publicly released in 2006 showing abuse of Muslim men held at Baghdad's Abu Ghraib prison.

The New York-based 2nd U.S. Circuit Court of Appeals ruled in September 2008 that the photos must be released. The president later said that doing so "would pose an unacceptable risk of danger to U.S. troops in Afghanistan and Iraq."

Newest Justice Sonia Sotomayor had served on that appeals court until August, but was not involved in that particular case.

The high court has delayed for weeks a decision on whether it would accept the ACLU appeal on the broader issues associated with government authority to block release of potentially embarrassing and inflammatory material by the military. The justices will now probably wait to hear from the ACLU over Gates' order before deciding whether to take the case.

The Senate in May voted for the Detainee Photographic Records Protection Act, which would limit the reach of the Freedom of Information Act request in this instance. The House adopted a similar provision in October.

Other photos could be released under the earlier appeals court ruling. The case is Department of Defense v. ACLU (09-160).

Separately, the administration also urged the high court to dismiss a pending lawsuit by several Guantanamo Bay detainees, over their claims of torture and religious discrimination.

A brief was filed by the Justice Department late Friday, the same time as the separate photograph disclosure case.

Four British men, all Muslims and former detainees at the military prison at the Navy base in Cuba, had sued onetime Defense Secretary Donald Rumsfeld and other top Pentagon officials, saying they knew of and condoned physical abuse and denial of rights guaranteed under international law.

A federal appeals court had dismissed the lawsuit -- the second one filed by the men -- saying the officials had immunity from such claims.

But in June 2008, the Supreme Court allowed Guantanamo prisoners to challenge their captivity in federal court, and the justices in December urged the lower court to reconsider its decision against the British detainees.

In the government filing, Solicitor General Elena Kagan told the high court to exercise caution in granting what she called "new rights" to detained foreign fighters suing for damages in a military setting. The high court, she noted, had previously told lower courts "to pay particular heed to any special factors counseling hesitation before authorizing a new kind of federal litigation."

The case is Rasul v. Myers (09-227).

@highlight

Documents show Pentagon urging Supreme Court to dismiss ruling ordering photos' release

@highlight

Defense secretary says showing photos would endanger U.S. troops abroad

@highlight

Obama, Justice Department have objected to release, reversing executive decision

@highlight

Separately, administration wants Gitmo detainees' suit alleging torture, discrimination dismissed