Iran may need only a month to produce enough weapons-grade uranium for a nuclear bomb, a U.S.-based anti-proliferation group says in a new assessment of Tehran's enrichment program.

But that is only if the country were able to take the most extreme and direct enrichment path, says the Institute for Science and International Security in Washington. Under other scenarios, it would take significantly longer for Tehran to produce the material -- more than 11 months in one estimate.

And that would still not give Iran a nuclear bomb. Turning enriched uranium into a usable weapon would take a great deal more time, the report suggests.

The warning Thursday from ISIS was released as U.S. lawmakers consider legislation that could tighten sanctions on Iran until a deal is reached on the Middle Eastern country's nuclear program.

It also comes after talks resumed on the program between Iran and six world powers -- the United States, Russia, China, France, Germany and Britain -- known as the P5+1.

The report examines scenarios under which Iran could produce enough weapons-grade uranium to make a nuclear bomb -- and "break out" of the Nuclear Nonproliferation Treaty.

In a statement that described the report as "extremely alarming," House Majority Leader Eric Cantor, R-Virginia, urged the United States to consider all options, including the use of military force, "to prevent Iran from acquiring the world's most dangerous weapons. We all want negotiations to succeed, but time is clearly running out."

The report adds to the sense of urgency over the talks, said Shashank Joshi, a research fellow at the London-based Royal United Services Institute. But, he noted, not all analysts share the group's view. He said it would be difficult for Iran to secretly work toward a bomb without kicking out international inspectors.

ISIS appears to have overestimated the pace of Iran's nuclear development in the past, however. In a December 2008 report, it said Iran was expected to reach a nuclear weapons capability "during 2009 under a wide variety of scenarios."

The Iranian government declared the report baseless.

"This is a huge lie because, according to Iran's Supreme Leader Ayatollah Seyed Ali Khamenei, production, storage and use of weapons of mass destruction are haraam (forbidden by Islam)," said Marzieh Afkham, a  Foreign Ministry spokeswoman. "Weapons of mass destruction have no place in the Islamic Republic's doctrine. This kind of report is totally false."

Nuclear Power/IAEA Fast Facts

Important for negotiations

According to ISIS, the quickest route to a usable amount of weapons-grade uranium in the current circumstances could take Iran "as little as approximately 1.0--1.6 months."

It said it updated its estimates based on the view that Iran has increased the number of centrifuges at its Fordow and Natanz plants and has begun installing a more advanced centrifuge model at Natanz.

"The shortening breakout times have implications for any negotiation with Iran," the report says. "An essential finding is that they are currently too short and shortening further, based on the current trend of centrifuge deployments."

The U.S. government has said it believes Iran is about a year away from a nuclear weapon -- a more advanced stage than the one the ISIS report is forecasting.

ISIS says that its estimates don't factor in the time Iran would need to convert enriched uranium into weapons components and to build a nuclear missile.

"This extra time could be substantial, particularly if Iran wanted to build a reliable warhead for a ballistic missile," the report says. "However, these preparations would most likely be conducted at secret sites and would be difficult to detect."

Iran would face considerable hurdles to manufacturing a viable weapon without alerting International Atomic Energy Agency inspectors.

The inspectors frequently visit Iran's declared nuclear stockpiles -- sometimes with less than two hours' notice -- and check that Iranians are not carrying out other enrichment activities or diverting nuclear material, Joshi said.

"So if Iran was trying to bust the rules, it would not in two hours be able to conceal what it had been doing," he said.

Iranian officials optimistic after Geneva talks

Painful sanctions

Iran, whose economy is suffering severely under the U.S. and U.N. sanctions imposed because of its nuclear program, has long maintained that it is developing nuclear energy capabilities for peaceful purposes only.

But amid a tentative thaw in relations between Tehran and Washington since Iranian President Hassan Rouhani took office in August, Israeli Prime Minister Benjamin Netanyahu has urged the world community to be skeptical of Rouhani, calling him "a sheep in wolf's clothing."

And members from both parties in the U.S. Congress have urged the Obama administration not to prematurely loosen any of the sanctions on Iran's economy.

Senior congressional staff members met Thursday with White House officials over Iran.

"Congress has been an important partner in our efforts thus far," said Caitlin Hayden, a National Security Council spokeswoman. "We will continue our close consultation, as we have in the past, so that any congressional action is aligned with our negotiating strategy as we move forward."

Iran nuclear talks

The next round of talks between Iran and the P5+1 is scheduled to take place next month in Geneva. A statement after the previous round, last week, described the talks as "substantive and forward-looking."

The tone of the negotiations appeared to signal a shift, a departure from the diplomatic standoff that prevailed under former Iranian President Mahmoud Ahmadinejad. But details on the substance of the talks were scarce.

U.S. Secretary of State John Kerry said this week that the United States will not let up its pressure on Tehran, despite the recent diplomatic overtures between the two countries.

"We will pursue a diplomatic initiative with eyes wide open, aware it will be vital for Iran to live up to those standards other nations that have nuclear programs live up to as they prove those programs are indeed peaceful," he said in Rome during a meeting Wednesday with Netanyahu.

"No deal is better than a bad deal," Kerry said, echoing comments from Netanyahu. "But if this can be solved satisfactorily, diplomatically, it is clearly better for everyone."

Netanyahu, who has said Iran's nuclear program poses an existential threat to Israel, has listed a series of measures he says Tehran needs to undertake, including a prohibition on centrifuges that can be used to enrich uranium to a weapons-grade level.

Tensions over U.S. policy on Iran have emerged with another regional ally, Saudi Arabia. The Sunni nation is wary of any rise in influence by the Shiite theocracy of Iran across the Middle East and has pushed behind the scenes for greater U.S. involvement in Syria, whose President, Bashar al-Assad, is propped up by the regime in Tehran.

Are Western sanctions against Iran to blame for playwright's death?

@highlight

The Iranian government says the report "is a huge lie"

@highlight

The report says it could take Iran one to 11 months to make weapons-grade uranium

@highlight

The estimate comes amid renewed nuclear talks between Iran and world powers

@highlight

Congress is considering legislation that could tighten sanctions on Iran