(CNN)  -- President-elect Barack Obama met Monday afternoon with Mexican President Felipe Calderon in the first face-to-face talks of the incoming U.S. leader with a foreign head of state.

Mexican President Felipe Calderon discussed immigration and trade issues with Barack Obama.

The meeting at the Mexican Cultural Institute in Washington fulfilled a tradition in effect since 1980 of U.S. presidents talking with their Mexican counterparts before being sworn in, to underscore the special relationship between the two nations. Obama takes the oath of office on January 20.

Speaking to the press afterward, Obama said the tradition is "appropriate" because of the "extraordinary relationship" between the two countries.

"My message today is that my administration is going to be ready on Day One to build a stronger relationship with Mexico," he said.

Calderon and Obama said the two leaders discussed a wide range of issues, including security, the economy and immigration.

Security is a primary concern for Mexico, where drug-fueled violence reached record levels last year. The nation recorded around 5,400 slayings in 2008, more than double the 2,477 reported in 2007.

Former House Speaker Newt Gingrich characterized the battle among drug cartels and with government authorities as a "civil war" on a news program Sunday.

"The more secure Mexico is, the more secure the United States will be," Calderon said, first in Spanish and then in English, to make sure no one missed the point.

Peter Hakim, president of the Inter-American Dialogue, attended a three-hour private dinner Calderon hosted Sunday night for non-governmental U.S. specialists and experts on Mexico. Security was a prime topic.

"Both countries share a long border," Hakim told CNN on Monday. "They are terribly worried about the violence from organized crime in Mexico and slipover into the U.S."  Watch how the meeting will highlight the two countries' special ties »

That's a message Calderon wanted to make sure Obama heard.

"This common problem of organized crime, terrorism, drug trafficking, which is an international problem, we can fight together," Calderon said after the meeting, again in both Spanish and English.

"Mexico wants to make clear what they are doing about this," Hakim said. "They're investing a lot of money into it and the extensive reforms they are going through now."

Those reforms include revamping police and judicial systems, trying to root out corruption and using new technology, Hakim said.

"The message he has is that Mexico is investing its heart and soul into this," Hakim said.

Obama will likely be receptive to that message, said Michael Shifter, a vice president at the Inter-American Dialogue.

"I think Obama is going to understand that Mexico is very important to the United States," Shifter told CNN last week. "This isn't an issue that he has focused a lot of attention on up until now. But he's going to understand that if Mexico really deteriorates or if the violence spills over into the border states, this is a war that he really has to deal with."

Mexico is also concerned, Hakim said, because of the vast number of firearms being smuggled from the United States into Mexico. Many of those weapons end up in the hands of drug traffickers.

Robert Pastor, a former National Security adviser to President Jimmy Carter and now a professor of international relations at American University in Washington, said weapons sales are a thriving business along the 2,000-mile border with Mexico.

"There are 7,600 gun shops within 50 miles of the Mexican border, and they're selling primarily to drug lords," Pastor told CNN recently. "We are part of this problem and we haven't been significantly supportive."

Calderon probably told Obama Mexico does not want U.S. money but does want the United States to help curb that flow of lethal firepower, Hakim said.

"Mexico wants the U.S. to be helpful where it can be most helpful," he said.

The economy is another area of concern to Mexico, and Calderon would like the United States "to get its economy back in shape," Hakim said.

"Mexico has done everything right and is suffering the U.S. meltdown," he said, noting that Mexico has kept budget deficits and inflation down and its banks are in good shape.

"They come with a clean bill of health," said Hakim. "It's the U.S. that overborrowed, overspent and ran up huge trade deficits. Mexico had none of that."

Obama and Calderon said they also discussed immigration, though Hakim noted that Mexico understands that issue is not a top priority right now for the United States.

Asked how he sensed the mood of Mexico's leaders toward the incoming administration in Washington, Hakim said, "They're very hopeful."

But he noted that there are some concerns, especially with trade issues and the North American Free Trade Agreement that the two countries and Canada signed in late 1993. Obama has said he would like to renegotiate the pact.

"It's no secret they're a little bit concerned about his statement during the campaign about redoing NAFTA," Hakim said. "But my suspicion is that this is less of a concern than the other issues I mentioned."

In addition to Hakim, Calderon's office said other participants at Sunday night's dinner meeting included Sidney Weintraub of the Center for Strategic and International Studies; Andrew Selee, director of the Mexico Institute at the Woodrow Wilson International Center for Scholars; Eric Farnsworth, vice president of the Council of the Americas; former U.S. Rep. James Thomas Kolbe, now a fellow at the German Marshall Fund public policy institute; and Demetrios Papademetriou, president of the Migration Policy Institute.

Calderon is scheduled to meet with President Bush on Tuesday.

@highlight

NEW: Obama: Ready "to build a stronger relationship with Mexico"

@highlight

Meeting part of tradition of incoming U.S. leaders talking with Mexican counterpart

@highlight

Security, the economy and immigration among issues on agenda

@highlight

Felipe Calderon to try to show Mexico's commitment to dealing with violence