(CNN) -- Is there a new President Obama?

Since the devastating defeat of his party in the midterm elections, Obama has seemed to be more determined than ever to move forward with his unfulfilled goals.

Within a week, the President announced that the United States and China had agreed to a historic climate change treaty. He made it relatively clear that if the Senate passed the bill authorizing him to make a decision on the Keystone pipeline, he would veto it. He won't have to make the decision, for now, since the Senate voted it down. Then, the President announced he would use his executive power to provide protection to 4-5 million undocumented immigrants.

All this offered hope to Democrats who had become disillusioned with Obama for seeming too eager to seek compromise with a Republican Party they feel is hell-bent on obstruction. For too long, many of Obama's supporters believe, he has pushed aside the big issues and adhered to a pragmatic centrism that has damaged his presidency and White House, as well as his party.

Now, President Obama has one last chance to get it right. This would not be the first time a president remade himself as the clock ran down on his time in Washington. In his final year, Ronald Reagan transformed himself from being the most hawkish of the Cold War Republicans into the person who brokered a major arms agreement with the Soviet Union.

Can President Obama transform his presidency at this stage? The opportunity is before him. On immigration, the executive order will go a long way to meeting some of the pent-up demand from activists who have been advocating that Washington do something about the uncertainty that so many immigrants and their families have been facing for years.

While the order will surely incite anti-immigration hard-liners, this will simultaneously energize the immigration rights community and mark a clear commitment from this president toward their plight. It could become the first step toward a more rational, efficient and humane policy toward the millions living without full rights within our borders.

Climate change is an issue that President Obama has always cared about very much, but something that he has not felt he had the political strength to make progress on. But now, even without congressional support, he is using the power that he does have to try to move this front and center. The treaty with China would mark a huge breakthrough in the effort to diminish use of fossil fuels.

If he makes a firm decision that he will not authorize the Keystone pipeline, that, too, would be an action that means a great deal to environmental activists who have been fighting the project for years.

Even with a Republican Congress that just says no, President Obama can use the power of the bully pulpit in the coming years to push back against the conservative rhetoric that has emerged against the science of climate change.

Of course, all this is just a start. It will take much more to provide evidence that Obama is serious about remaking his presidency. Too often the President has talked a big game but then backed down in the face of political pressure.

In the coming year, he will have to fight for the middle class, taking seriously the kinds of arguments that have been put forth by Sen. Elizabeth Warren, D-Massachusetts. He can focus on increasing support for public universities and pushing for higher infrastructure funding. He will have to take a stronger stand to protect the right of workers to organize.

As Warren has argued, "Unions have been critical to building a strong middle class in America." He needs to deal with issues like campaign and lobbying reform, which are the only ways to weaken the disproportionate influence of wealthier Americans on political decision making.

Though the administration has continually boasted about the economic recovery, he has to do more to respond to the underlying economic anxiety in the electorate as too many Americans struggle with low wage and insecure jobs.

Next summer, the President will also have the opportunity to make good on some of his promises from 2008, when he attacked President Bush's approach to counterterrorism. Until now most of the homeland security program has remained intact and the President has not done much to restore the balance between security and civil liberties.

The lame duck Congress failed to pass a big reform. Next summer when Section 215 of the Patriot Act expires, there will be another chance for change. There have been members of both parties calling on Obama to institute reforms that will curtail the levels of surveillance that are permissible.

Most important would be to end the bulk collection of phone records and allow for more transparency in what the government forces telecommunications providers to give them. President Obama should come down of the side of reform if he wants to show he is serious. To re-energize his supporters, he would need to continue to accelerate the transfer of prisoners from Guantanamo to make progress on the unfulfilled promise of his campaign to shut down this facility.

Will we have a new President Obama, someone willing to use all his political power to achieve progress on so many of the promises that have been left behind? Right now a definitive verdict is out. But the President has shown some signs that he is now responding to critics who argue that he must be true to the values of his party and more willing to take a strong, even if controversial stand, for the policies that he once promised would define his presidency.

@highlight

Julian Zelizer: Since midterms, President Obama has moved to fulfill some long-held goals

@highlight

He struck a climate deal with China and ordered changes in immigration rules

@highlight

Zelizer: Are we seeing a new Obama? Will he act on income inequality and jobs?