(CNN) -- Sandra Fisher heard the sound of running water in her Charleston, West Virginia, home on Monday for the first time in four days after a chemical leak fouled water supplies for hundreds of thousands of people.

Fisher was one of the first 5,000 customers, many of them large commercial users, who were told they could start flushing out their pipes after thousands of gallons of 4-methylcyclohexane methanol poured out of from a storage facility on the nearby Elk River on Thursday. The licorice-scented chemical, typically used to clean coal, got into Charleston's water supply, resulting in 300,000 people being told not to drink, cook or wash with water from their own taps.

"I knew a licorice smell in the air was something that couldn't be good," Fisher told CNN. "I didn't think it was candy."

The West Virginia American Water Co. said it had lifted the do-not-use order for 26,000 customers by the end of the day. Flushing the final traces of contaminants from home and business water pipes could take days, said Jeff McIntyre, the water company's president. And officials asked that water customers not rush to turn on their faucets until told to do so, for fear that demand could cause pressure in the lines to falter, introducing yet more problems.

"It's certainly going to go into tomorrow, and I'm not sure how much longer," Randy Huffman, the head of the state Department of Environmental Protection, told CNN's The Situation Room.

See West Virginia American Water Co. status map

The state put water restrictions into effect Thursday after discovering that about 7,500 gallons of the chemical, known as MCHM, had leaked into the Elk River just above a drinking water plant. Authorities told residents in nine West Virginia counties to stop using their water for everything except flushing toilets, and to watch for symptoms of exposure such as skin irritation, nausea, vomiting or wheezing.

The spill left Charleston residents scrambling for bottled water to wash their hands, brush their teeth and cook. Without safe water, schools and many businesses were forced to close. The U.S. Department of Homeland Security and the water company trucked in bottled water, and police, firefighters and National Guard troops helped distribute it around Charleston, where resident Jen Williamson reported that most stores had been restocked by Monday.

"Disposable plates and utensils, etc. are in short supply but some local churches are giving those away," Williamson wrote in an e-mail to CNN. "We are definitely trying to prevent dirty dishes but they are stacking up quickly. The problem is that when they say the water is fine to drink, do we believe them?"

She's not alone in her doubts.

"I'm not going to drink it for a while," Charleston resident Kate Long said. And Fisher said, "I will be concerned probably for the rest of the time that I live here."

But Jerry Dawson, who works in the first zone allowed to begin using water, said he's sure county, state and water company officials have done all they need to do to ensure water safety.

"I'm tickled to death to get my water back," he said Monday afternoon.

By Monday morning, water tests showed that levels of the chemical detected at water intakes had declined to well under the 1 part per million safety standard for consumption. Finished water showed even less of the contaminant, but people would probably still smell the chemical in their water even after flushing, Huffman said.

Some residents have complained of irritation of the skin, throat, chest and stomach, Dr. Rahul Gupta of the Kanawha-Charleston Health Department said over the weekend. As of Monday morning, hospitals had seen 231 people for complaints related to contaminated water, admitting 14 of them, said Karen Bowling, secretary of the state's Department of Health and Human Resources. But calls to poison control centers had been declining, she said.

But the unknowns made residents anxious.

"They don't even know what the health risks are," Stacy Kirk of Culloden told CNN affiliate WSAZ. "We had bathed, cooked and everything right before the news came on (with the water warning)."

More than 20 lawsuits had already been filed, and a Charleston judge ordered the company at the source of the leak, Freedom Industries, and West Virginia American to preserve all relevant documents and physical evidence Monday.

Absorbent booms lowered into the Elk River to contain the spill are coming out clean of any contaminants and without any odor, suggesting that the material has stopped leaking into the river, said Mike Dorsey, chief of the Department of Environmental Protection's Homeland Security and Emergency Response group.

He said the agency is sending pumping equipment to the site to help deal with heavy rain expected soon in a bid to prevent any contamination from escaping from the site in runoff.

No problems have been detected with fish kills or other effects on wildlife, Huffman said.

Dorsey said earlier that the chemical leaked through a 1-inch hole in the wall of a storage tank owned by Freedom Industries, which supplies products for the coal mining industry. It moved through the soil into the river.

Officials don't know exactly when the leak began, but they don't think it was long before Thursday morning, when it was first reported.

Freedom Industries President Gary Southern said two Freedom employees noticed material leaking from a storage tank into a dike about 10:30 a.m. Thursday. They contacted authorities and began the cleanup process, including hauling away the chemical still in the tank and vacuuming some from the nearby ground, he said.

C.W. Sigman, deputy emergency manager for Kanawha County, said the tank appeared to be "antique." He told CNN on Saturday that the company "didn't appear to understand the magnitude of the incident at the time."

"I never got a good indication from the plant folks how bad the leak was, how much was going to the river, anything else. It was probably a little ways into the incident before we realized how bad it was getting into the river."

CNN's Alina Machado, Meridith Edwards, David Williams, Mayra Cuevas, Joe Sutton, Tom Watkins and Ralph Ellis contributed to this report.

@highlight

NEW: Water coming back, but "I'm not going to drink it for a while," resident says

@highlight

NEW: Water company says 26,000 customers OK'd for use

@highlight

About 300,000 West Virginians have been without tap water since a Thursday chemical spill

@highlight

Chemical spilled into Elk River from leaking storage tank near water treatment facility