History does not necessarily repeat itself, but sometimes it makes echoes. An echo from 50 years ago reverberates today over the flap regarding the Redskins nickname and logo.

Disturbed by the Redskins quarter-century ban against African-American players, the Kennedy administration in 1961, with Secretary of the Interior Stewart Udall spearheading the effort, instructed team owner George Preston Marshall to lift the racial ban or face federal sanction.

Marshall had signed a 50-year contract to play home games in the newly constructed D.C. Stadium scheduled to open in 1962. The federal government controlled the land on which the stadium sat, and as landlord it would deny use to any employer who practiced racial discrimination.

Marshall was initially defiant. He would never yield to the government's demand. The Redskins had a long history and tradition of "no black players" that resonated with its fervent fan base. If he signed black players, white fans might retaliate by not buying tickets and merchandise.

Didn't the Kennedy administration have more important issues to deal with than whether the Redskins had a black player? And why blacks in particular? Why not other ethnic groups? Why not a female player?

The move to integrate the Redskins was liberalism run amok, said traditionalists. Troublemaking socialists were trying to tell a business owner how to run his business.

But the federal threat of withholding use of D.C. Stadium and mounting public pressure from sports journalists, opinion shapers, NFL Commissioner Pete Rozelle and the black community, including Jackie Robinson, eventually caused Marshall to jettison the team's sacred lily white tradition and hire black players.

At the time, few Americans, including Udall himself, considered the Redskins nickname racially insensitive. In fact, Udall played high school football and basketball for the St. Johns, Arizona -- you guessed it -- Redskins. In the 1930s when Udall went to high school and in the early 1960s when he headed the interior department, racial stereotypes were commonplace.

African-Americans were referred to as "darkies" and "colored," and Native Americans as "redskins." On TV Westerns, "Indians" were sometimes portrayed as noble characters, but "redskins" almost never were.

Over the decades, most Americans have come to learn that names like "darkies," "colored" and "redskins," not to mention the N-word, are considered racially offensive and hurtful. The Washington Redskins made a partial concession to racial sensitivity in the early 1960s when they cleaned up the demeaning language in their fight song, which read, in part, "Scalp 'um, swamp 'um, we will take 'um big score."

Unlike George Marshall, Dan Snyder, the present-day owner of the Washington football team, is no racist. Nor are the vast majority of the team's fans. But he, and perhaps most fans of the team, refuses to acknowledge that the nickname and logo are offensive.

Like Marshall, he is being pressured by the President of the United States and the commissioner of the NFL to consider a name change. Like Marshall, he is defiant. He will "NEVER" give up the name. Fans of the team defend the name and logo on the basis of history and tradition.

But a half century earlier, diehard fans were using history and tradition to defend a system of racial segregation in the South. American Nazis paraded outside D.C. Stadium carrying signs reading "Keep Redskins White." Just like then, current defenders of tradition blast liberals for interfering in an issue that is none of their business. Traditionalists claim the nickname honors Native Americans. But the name is no more ennobling than slurs for Jews, Irish, Japanese or other Asians.

Some fans ask why focus on the Redskins in particular? Because names like Chiefs, Indians (minus Chief Wahoo) and Braves (minus the tomahawk chop) are not demeaning. "What about the Irish of Notre Dame?" one of my college students asked. "That's not offensive or demeaning," I replied, "but what if they were named 'the Drunken Irish'?" "That would be even better," he said. That answer got a laugh but no one really took him seriously.

Just as in George Marshall's day, public opinion is mounting for racial sensitivity. A president has become involved. Native Americans have filed a lawsuit against the trademark. Representatives of the Oneida nation have met with officials of the NFL to protest the nickname and logo. On Wednesday Oneida Indians thanked President Obama for supporting a name change. Journalists like Christine Brennan of USA Today, Bob Costas of NBC Sports, Peter King of Sports Illustrated, and Maureen Dowd of The New York Times and others have advocated for a nickname change.

The echo is loud and clear. Eventually the Washington team owner will hear it.

@highlight

Kennedy administration in 1961 asked Redskins team owner to lift its racial ban

@highlight

Thomas Smith: 50 years later, President Obama said team name should be changed

@highlight

He says diehard fans use history and tradition to defend offensive name and logo

@highlight

Smith: Public opinion calls for racial sensitivity; current owner will have to respond