In many ways, shooting a engaging short video for Instagram or Twitter's Vine is harder than making a longer video.

Smartphone users have become pros at arty shots of food and sunsets, but brief video clips require a different skill set. It's not easy to tell a compelling and coherent story in 6 seconds (Vine's limit) or even in 15 (Instagram's).

As Instagram adds the ability to embed its photos and videos in outside blogs and websites -- a feature long requested by users -- we asked some experts for advice on how to make interesting, super-short videos.

So whether you're shooting gratuitous clips of puppies or advanced stop-motion animations, here are eight tips for making your little videos as slick and shareable as possible. And do you have a creative video to show off? Tag it #cnnireport on your post.

Be picky about your subject

A video takes up more of your followers' time than an image. Be discerning about what subjects are video worthy. Not everything that makes a great Instagram will translate well to video. For example, food shots are an Instagram staple, but it's harder to make a salad or bowl of pho look appetizing in motion.

CNN.com video producer Brandon Ancil suggests beginners start with the tried and true: "There is NO WAY you can mess up a mini-video with adorable subjects." Grab the nearest dog, cat, baby, bunny, deer or grandma and record them being cute.

If you're going for atmospheric shots -- leaves in the wind, waves on a beach -- don't linger too long on one shot without adding to the narrative. Brandon Loper and Jack Bibbo, filmmakers at the production company Avocados and Coconuts, recommend keeping it short or moving the story along with with a variety of shots.

Plan ahead

Part of the challenge of shooting video on Vine and Instagram are the strict time limits. Another is the requirement that you shoot the videos from within the apps. There is no importing video you've already shot on either tool (though technically you could record a screen playing an existing video, but some would classify that as cheating).

To make the most of these compact timeframes, plan ahead. If you're crafting a story with multiple shots, figure out what they're going to be ahead of time. On Instagram, you can delete your most recent clips, while on Vine, you have to start over. Neither tool lets you change the order of clips, so make sure you shoot in sequence.

Combine shots to tell a story

It is possible to tell a story in 6 to 15 seconds. Commercials have been cramming entire narratives into 15 seconds for years. Weave in quick edits and a variety of shots by making each clip just 2 seconds long.

The guys at Avocado and Coconuts recommend starting with an establishing shot. If you're doing a surfing video, you can open with a wide shot of the ocean and beach, then move to a close up of a surfboard or a sign with the name of the beach -- something that has a little more information and can move the story forward.

Add some tighter shots of someone waiting for a wave, catching it, and end with a wide shot of them back on the beach.

Ready, steady, go

Shooting with smartphones means your video may be shakier than usual. Both Instagram and Vine are plagued by a rash of jerky, dizzying videos filled with fast pans and constant movements.

Stop moving. Set the phone down on a steady surface or, even better, mount it on a tripod.

If you're holding the phone, Ancil recommends locking your arms by extending them straight in front of you to minimize movement. If you must move while shooting, walk heel to toe, rolling the foot from back to front, in order to have a smoother shot.

Loper says one other option is to move with the subject, so that even if the background  or foreground are in motion, the subject stays in one place in the frame.

Try. Stop. Motion.

Some of the best things to come out of the short-video boom are the incredibly creative animations and stop-motion videos that people have cooked up. Vine automatically loops its 6-second videos, meaning your little creation will play over and over. This has opened up the format to a variety of innovative and weird content.

To make a stop-motion video, place the camera on a tripod or otherwise secure it so that it doesn't move when you hit start and stop repeatedly. Set up your scene -- say, a ball of Play-Doh -- on a solid surface. Hit start and stop as quickly as you can, then make small, incremental changes to the scene and repeat until you've hit your time limit.

A time-lapse video requires more time and patience, as well as better battery life. Set up the camera in one spot and space out the quick clips, say one every 10 minutes for a sunset or every 30 seconds for a melting scoop of ice cream.

Pay attention to audio

There's no way to add a separate audio track in Vine or Instagram. When combining multiple shots, the ambient noise can add to the ambience of the video (ocean waves, birds, cars) or it can just come off as choppy, loud and distracting. Bibbo recommends covering the smartphone's microphone for some quiet:

"If you're out and about and you don't want it to sound disjointed, hold your finger over it or put a piece of paper over the mic," he says.

Get good lighting

Stay in an area with stable light, says Ancil. Don't move quickly from a dimly lit room to the bright outdoors -- the phone won't have time to autocorrect for the lighting. Avoid back-lighting your subjects, unless you're going for the silhouette look.

Play with the medium

People are still finding new ways to use these new video tools. Personal videos of breaking news and stop motion videos have been early breakout stars of social media, but there will be a flood of groundbreaking content on Vine and Instagram in the coming year.

For example, some people have started making micro-how-to Instagram videos, packing into 15 seconds what might have been stretched out to 3 minutes on YouTube.

Now that both types of videos are embeddable, the potential for innovative storytelling is even greater.

@highlight

Some see social videos on Instagram and Vine as a new form of communication

@highlight

To create quality videos, start by keeping the camera steady and picking an engaging subject

@highlight

Stop-motion videos and how-tos are examples of interesting short content

@highlight

This week Instagram added the ability to embed photos and videos