To people on the streets of Ferguson, Missouri, and many around the world who watched it unfold, it seemed like a scene out of another country.

"They are now firing into the crowd," a reporter says Wednesday night as loud blasts and fiery sparks show tear gas canisters apparently being shot by police. Screams follow.

"They're firing rubber bullets," a reporter with KARG Argus Radio is heard saying on video. "They're attacking reporters; they are attacking civilians. They are firing up on the media."

Ferguson Police Chief Thomas Jackson said pepper bullets were used. A CNN crew also found spent crowd-control stun grenades lying in the street.

All the details of what happened amid protests over a police officer's fatal shooting of an unarmed teen have yet to come in. Multiple law enforcement agencies from the city, county and state levels have been dispatched to calm the protests. In the chaos, it was not immediately clear which agencies did what exactly -- though Ferguson Mayor Jay Knowles did say Thursday that St. Louis County police have been "in charge tactically since Sunday."

Change is coming. Missouri Gov. Jay Nixon announced Thursday the Missouri State Highway Patrol will head up security because "at this particular point, the attitudes weren't improving."

Missouri state troopers take over security in Ferguson

Even if things turn around quickly, though, it won't erase the memories from this past week or end the debate about tactics. Chief among them are decisions like deploying heavily armed officers and using military equipment, which some experts say helped to make a bad situation even worse.

Retired Lt. Gen. Russel Honore knows a thing or two about this kind of thing, having been dispatched to New Orleans in 2005 to lead recovery efforts after Hurricane Katrina. What authorities in Ferguson should have done, he said, is have "front line policemen" to face protesters, not a SWAT team.

"The tactics they are using, I don't know where they learned them from,"  Honore said Thursday on "CNN Newsroom." "It appears they may be making them up on the way. But this is escalating the situation."

5 things to know about Michael Brown's shooting

What should police do with unruly protesters?

Sen. Claire McCaskill, D-Missouri, echoed that view Thursday, saying her "constituents are allowed to have peaceful protests, and the police need to respect that right and protect that right."

"This kind of response by the police has become the problem instead of the solution," she added.

Police said they responded with force only after the Molotov cocktails were thrown at them, and news photos showed some young men in the crowd lighting them.

Yet Alderman Antonio French of St. Louis disputes this sequence, saying police started the violence and protesters responded.

Joey Jackson, an HLN legal analyst, said if there are some protesters who are unruly -- unlike the majority -- then police "need to isolate those people and perhaps respond to them as opposed to firing upon the crowd in general."

But the chief said police can't possibly go through the crowd and just remove certain individuals.

"If the crowd is getting violent, and you don't want to be violent, get out of the crowd," he said of protesters.

Mike Brooks, a former Washington police official who now serves as HLN's law enforcement analyst, cautioned against rushing to judge police over Wednesday night's fighting.  "If there were, being thrown, rocks and bottles and Molotov cocktails, then they had to respond in kind," he argued.

But Brooks also said he has serious questions about the arrest of two journalists inside a McDonald's by an officer who, according to reports, refused to provide his name.

"Why did the police come in and ask them to leave?" Brooks asks. If there were a problem, it would be "up to the manager, the general manger of that establishment, to ask them to leave. I want to know what department these officers were from.  And if I ask an officer, 'What is your name and badge number,' that officer better give it to me."

Michael Brown shooting, protests highlight racial divide

'In middle America, you don't need leftover equipment from Iraq'

Critics of the law enforcement response include Attorney General Eric Holder, who said "the scenes playing out in the streets of Ferguson over the last several nights cannot continue."

Some blame lay with protesters, he said. Even though "the vast majority ... have been peaceful," others have been marred by violence, looting and antagonizing of law enforcement.

Yet law enforcement's aim should be to "reduce tensions, not heighten them," he said. That means respecting "at all times" the rights of those gathered to express sympathy with Brown's family as well as the ability of journalists to report the story. (Two reporters were detained and then released without charges Wednesday.)

"At a time when we must seek to rebuild trust between law enforcement and the local community, I am deeply concerned that the deployment of military equipment and vehicles sends a conflicting message," Holder added.

Throughout the week, authorities in Ferguson have said the armored vehicles and weaponry have been in place to keep the peace.

Yet civil liberty advocates and others disagree, saying the response in Ferguson is symptomatic of larger, disturbing trends in law enforcement.

In an extensive report issued weeks ago, the American Civil Liberties Union stated "American policing has become unnecessarily and dangerously militarized, in large part through federal programs that have armed state and local law enforcement agencies with the weapons and tactics of war, with almost no public discussion or oversight."

"Militarization of policing encourages officers to adopt a 'warrior' mentality and think of the people they are supposed to serve as enemies," the report added.

Rep. Emanuel Cleaver is among those who don't think such equipment makes sense in Ferguson. He told CNN he and Rep. Lacy Clay want to personally urge Defense Secretary Chuck Hagel to institute "very stringent requirements" whenever military equipment is disbursed, including special training of police.

"I think the heavy equipment probably should go to only cities like New York, Los Angeles, Chicago, where there is always a threat of some kind of a terrorist attack," Cleaver said. "But in middle America, you don't need leftover equipment from Iraq."

Veterans critical of police response

Josh Weinberg, an Army veteran who focuses on security issues for the Truman Project, contends that police sometimes do "need high-powered weaponry" and other tools to go after "up-armored" and heavily armed criminals.

"It's really scary," he says.

But that doesn't mean the way Ferguson police used some of that equipment made sense, he argues.

Videos showed "a bunch of guys on top of an armored personnel carrier," Weinberg said.  "When we're rolling around in Afghanistan and there is a threat of being shot, you don't sit on top of an APC. That defeats the purpose."

Weinberg says it's unfair to the military to call what happened in Ferguson evidence of "militarization," saying U.S. soldiers are well "trained in escalation of force."

The police apparently "had their weapons up and pointed at protesters who are obviously unarmed," he said.  In the military, he learned that "your force posture matches the threat.  You only raise your weapon if there is a threat that requires lethal force."

With a pointed weapon, Weinberg said, "you could make a mistake, maybe get startled, put your finger on the trigger and shoot somebody who doesn't deserve to be shot."

And threatening people unnecessarily can increase the tensions and danger, exacerbating the situation, he says.  "A crowd kind of has a mind of its own that develops over time, depending on what threat they perceive."

Weinberg isn't alone. "As someone who studies policing in conflict, what's going on Ferguson isn't just immoral and probably unconstitutional, it's ineffective," Army veteran Jason Fritz wrote on Twitter.  Fritz is now senior editor of War on the Rocks, which analyzes national security issues.

His was one of the tweets included in a storify being shared widely online Thursday morning, with this line at the top: "The general consensus here: if this is militarization, it's the s***iest, least-trained, least professional military in the world, using weapons far beyond what they need, or what the military would use when doing crowd control."

In another, author and former Marine logistics officer Jeff Clement wrote: "Our (Rules of Engagement) regarding who we could point weapons at in Afghanistan was more restrictive than cops in MO."

A white man's response to Ferguson

Complete coverage on the Ferguson shooting and protests

@highlight

Congressman to call for "very stringent requirements" on disbursed military equipment

@highlight

Some claim the response in Ferguson shows militarization of law enforcement

@highlight

Veterans: Police are getting military weapons without the same training and rules

@highlight

Lt. Gen. Honore: "You're in trouble" when SWAT team is called for civil disturbance