London (CNN) -- The first race in Melbourne is just around the corner and Formula 1 teams are gearing up for a season which promises to be as technical as it is tactical.

Cars converge in 2013

With the sport's governing body, the FIA announcing minor changes to technical regulations, teams have mostly tweaked their cars in 2013, says F1 journalist Craig Scarborough.

"There are big rule changes coming up next year so the teams are trying to balance their resources. They don't need to completely go out and redesign their chassis, it's just a few little features that they want to incorporate. No one has produced a massively different or a massively exciting car this year," he said.

Red Bull and Ferrari both spoke of "evolution" at their respective car launches with Red Bull's chief technical officer Adrian Newey saying the focus had been on the details of the new RB9.

"We've tidied up some bits we thought could be improved upon -- but as is usual these days, this is a car in transition," said Newey at the RB9's launch.

Vettel revs up for glory

"There will be one or two new parts appearing by the first race, which I'm sure is the same for everybody. After that it's going to be about development through the year," Newey added.

Mercedes team boss Ross Brawn says the new F1 W04 is a "clear step forward in design and detail sophistication over its predecessor," while Lotus have continued their design themes with the E21, according to technical chief James Allison.

Hamilton crashes out in Jerez

"Everyone seems to be converging on the same solutions," Scarborough says. "You could almost get an identikit of a nose, a front suspension, a sidepod and a rear suspension and you could shuffle those parts around and pretty much come up with every car on the grid."

Swiss-based Sauber are perhaps an exception to the rule this year, unveiling a car with a new silver livery and noticeably slimmer sidepods.

"Rather than air being sucked into the radiators, the air is going straight over to the exhaust -- this benefits in terms of lower drag," explains Scarborough.

"Their car this year, as it was last year, is a bit of a tour de force in terms of good ideas and it's not surprising that Red Bull have copied two or three of their ideas on this year's car.

"Sauber might be seen as one of the teams that win the design race, but don't necessarily get the race-to-race results that that deserves."

'Tsunami of regulatory change'

As Scarborough says, imminent rule changes are looming in team's rear view mirrors.

"There is an absolute tsunami of regulatory change in 2014," says Lotus' Allison. "The cars need to be reinvented from scratch."

The biggest change is the engine, says Scarborough, with a 1.6-liter V6 engine replacing the 2.4-liter V8.

"The engine is producing a lot less power, but what you will have is a far more powerful hybrid/KERS (Kinetic Energy Recovery System) set-up."

"You will have the conventional KERS -- which obviously charges under braking -- and you can also have a KERS device which attaches to the turbo charger, so when your off the power, you'll be generating energy through the turbo charger. It's called thermal energy recovery.

"This will give you more than double the power output -- (this year,) it's about 80 hp for 6.7 seconds, next year you will probably get 150 hp for about 30 seconds.

"There's lots of other stuff going on. All the stuff that bolts to the back of the car and all the cooling that requires will be completely different next year," Scarborough says.

Raikkonen: 'Lotus can win F1 title'

To ignore all these changes would mean being uncompetitive in 2014, says Allison.

"So, (the E21) needed to be developed while being squeezed on both sides from 2012 and 2014 -- that's a significant logistical challenge," Allison said.

Will tire changes make for a gripping season?

Pirelli's new tires are the most significant change this season, says Red Bull's Newey.

According to the Italian-based company, the introduction of new softer compound tires will improve laps times and increase overtaking.

"After a spectacular start with seven winners from the first seven races, the result at the end of the year was races with less competition and sometimes only one pit stop. This phenomenon was also observed in 2011, disappointing many fans," Paul Hembery, Pirelli's motorsport director said when the tires were launched in January.

"Our 2013 range of tires mixes up the cards once more to help overtaking and ensure two to three pit stops per race," he added.

Pirelli say that this year's hard compound tire (with new orange coloring on the tire sidewall) is "roughly equivalent to last year's medium compound" with the "performance gap between the different compounds now in excess of 0.5 seconds per lap."

Softer compounds mean quicker tire wear, says Scarborough.

"There will be no one-stop races because the tires just won't last that long. Drivers will have to manage the tires. Strategy is going to be really critical this year in terms of teams thinking 'do we go for extra tire stops or eek out (the maximum from) a set of tires?" he said.

"As we saw last year, if you try and run too long on a set of tires they drop off a cliff and lose all performance. That could happen quite quickly with some of the tires this year, particularly if we get a hot season."

The teams and drivers have been getting to grips with the new tires at pre-season testing in Jerez, Spain.

"With these tires, you're always on your toes," said Mark Webber and Jenson Button -- who topped the timesheets on the first day of testing -- and they talked of a "different feeling" compared to last year.

"I think it is a better tire. It will be tricky again in terms of laps and degradation, but Pirelli has done a great job getting a wider range for the tires.

"One thing that I have noticed -- you are able to go fast immediately, even on lap one. That is something that we couldn't do last year," Button told Formula1.com.

Who will set the pace in 2013?

So who will reign in 2013? Will Red Bull lead the way again? Can Ferrari claim a first constuctors' title in five years? Or will McLaren end a 15-year drought in their 50th anniversary year?

"I think you will have Ferrari, Red Bull and McLaren setting the pace. I don't see that any of them are going to have any degree of dominance. I think it will be a lot tighter," says Scarborough.

"But like last year I think you're going to get spurious results in the first third/half of the year as teams get to grips with the tires. You're going to have a situation like last year where Maldanardo can win in a Williams because they got the tires working right."

"The people who have built a good car and have the tires sussed out -- Sauber, Williams, Lotus -- could be quite threatening as well."

As for the technical aspects, Scarborough says look out for the development of the exhausts and sidepods and DRS.

Perhaps the most intriguing technical unknowns lie with how teams develop their exhausts, sidepods and their Drag Reduction System (known as DRS), says Scarborough.

"(DRS) is a bit of a killer app-type solution. No one's got it working yet. There will be a number of teams who will try and run it at different races. But really the key thing will be how the teams manage the tires."

@highlight

Minor changes to F1 cars for 2013 prior to 'tsunami of regulatory change' in 2014

@highlight

New Pirelli tires are most significant changes in 2013 says Red Bull's Adrian Newey

@highlight

New softer compounds designed to be faster but will degrade more quickly

@highlight

Fight between Ferrari, Red Bull and McLaren expected to tighter in 2013