Cairo, Egypt (CNN) -- Islam Lotfy may look like your average 35-year-old Cairene. He's dark, clean-shaven, slightly chubby and wears glasses. There's nothing in his appearance that hints at his Islamist identity, save for the prayer mark on his forehead.

Lotfy is, in fact, an active member of the Muslim Brotherhood -- Egypt's largest opposition movement, which was banned from politics under the former regime of Hosni Mubarak.

Lotfy is a lawyer who specializes in human rights cases and also a member of a youth coalition that comprises young Egyptian revolutionaries of varied ideologies.

The young members of the coalition are united by a single goal: ensuring Egypt's transition to a civil democratic state. More than four months after Mubarak was forced from office in mass uprisings that erupted January 25, Lotfy and other young Muslim Brotherhood members say they are feeling increasingly alienated from the Islamist organization that shaped their political beliefs and influenced their behavior for most of their lives.

"We are not in agreement with all of the principles adopted by the older members of the group," Lotfy acknowledged recently over espressos at Groppi's, a tea room in downtown Cairo. "Our motives are different ... we have Egypt's best interests at heart."

Prior to this year's mass protests that swept across Egypt, it was rare to hear a younger member of the Muslim Brotherhood openly criticize the group's elder leaders. Lotfy's statements suggest a possible split within the ranks of Egypt's most organized political movement.

Behind the rift is support from younger members for Abdel Moneim Aboul Fotouh -- a former member of the Muslim Brotherhood who has announced his candidacy in the upcoming presidential election. The movement's older leaders had ruled out fielding a candidate in the presidential vote and have responded by blacklisting Aboul Fotouh.

Their decision to stay out of the presidential race, however, does not mean they lack political ambition.

In statements to the news media made after Mubarak was forced from office in February, Mohamed Morsi, a senior Muslim Brotherhood leader, declared that the group would seek 35% of the seats in Parliament.

But that was before the Islamists scored a victory in the March referendum vote for proposed constitutional amendments. The result of the referendum was a resounding 77% favoring a yes vote. That outcome fueled the political ambitions of the Islamists, who had warned voters that a no vote would have been "un-Islamic."

After the results were announced, Muslim Brotherhood leaders declared their intentions to compete for around 50% of parliamentary seats in the upcoming election.

But the vote was a blow to the secularists and pro-democracy activists who had hoped to garner support for the drafting of a new constitution to replace the old one. Fearing a rise in political Islam, they have called for delaying the legislative election to allow more time for new political movements to organize.

Activists fear that, if the vote is held in two months as planned, the Muslim Brotherhood and remnants of Mubarak's National Democratic Party, as the country's only organized parties, would dominate the lower house of Parliament, called the People's Assembly. Calls to postpone the election have gone unheeded and the ruling Supreme Military Council has announced that the vote will be held as scheduled.

Despite growing concerns among some analysts that the Islamists are gaining ground, others remain confident that the group is unlikely to win more than 20% of the seats in parliament. Activist Hisham Qassem pointed to the schisms within the Muslim Brotherhood and noted that the situation today differs greatly from what it was like during the election six years ago.

"In the 2005 election, disgruntled voters had flocked to the ballot box to vote NDP members out," he said. Running as independents, the Islamists won a fifth of the seats in parliament in the 2005 election. "But, the Brotherhood has now lost the 'I-hate-Mubarak' votes," Qassem said.

On the streets of Cairo, similar views were expressed by residents, including those in poor neighborhoods like Imbaba and el Doweika, where the Muslim Brotherhood has been most active, offering a range of much-needed social services.

"I will certainly vote in the next legislative election, but my vote won't go to the Islamists," said Salem Fathalla, a mechanic in Imbaba's working-class district. "All they are after is a power grab."

"The loyalty of the Brotherhood lies with Hamas in Gaza and Hezbollah in Iran; they don't really care much about the welfare of this country," said Taher Abdel Fattah, a bearded, 56-year-old taxi driver. "No one knows what their agenda really is," he added.

Outlining the Muslim Brotherhood's vision for a "new Egypt," Mohamed Morsi said the group wants a civil democratic state with laws drawn from Islamic Shariah law. "Egypt is a predominantly Muslim country, but we have Christians too living in our midst; it is their country too," he said.

It is therefore not surprising that the new political party launched by the Muslim Brotherhood under the name "Justice and Freedom" is open to Christians -- and to women.

The Supreme Military Council now running the country has made it clear that no party will be allowed to run along religious lines.

In a surprise move, the Obama administration this week announced it would open a dialogue with the Muslim Brotherhood, saying that "it is in the interests of the U.S. to engage with all parties that are committed to non-violence and that intend to compete for the parliament and the presidency."

Mahmoud Ghozlan, a spokesman for the Islamist group, said the United States " must first respect the people's choices for a true democracy, independence and respect their choice of leaders. We would welcome the open dialogue, if they are serious and transparent."

Meanwhile, Lotfy and at least 20 other young members of the Muslim Brotherhood have teamed up with other young activists espousing different ideologies to launch their own political party, "Egyptian Trend," a move that risks their expulsion from the Islamist bloc.

Mahmoud Hussein, the Brotherhood secretary general, has said that any Muslim Brotherhood members who join competing political parties will be penalized. "Members of the Brotherhood are banned from joining any party except the Brotherhood's own Justice and Freedom party," he recently told the independent Al Shorouk newspaper.

Lotfy said he regrets the move by Brotherhood leadership to ostracize him and insisted that the new party he has helped to establish will work toward fulfilling the goals of the revolution. Among its priorities will be ending corruption and social injustice, eradicating poverty and increasing civil liberties--demands made by opposition activists during 18 days of protest in Tahrir Square this year.

Lotfy, who has worked with other young activists in the 25 January youth coalition to chart a way toward a successful transition to democracy, said he hopes to use the experience to help build the new Egypt. "There's a lot of work to be done and Egypt must come first," he said.

@highlight

Youth coalition seeks to help Egypt transition to a civil democratic state

@highlight

Some younger members say they feel isolated from the Islamist organization

@highlight

"Our motives are different," says 35-year-old Islam Lotfy