(CNN) -- What is the Obama Doctrine? As the President put it Wednesday, "Just because we have the best hammer does not mean that every problem is a nail."

The Obama Doctrine, as outlined by the President at the commencement ceremony at West Point, can be summarized as limiting the use of American power to defending the nation's core interests and being smart enough to avoid the temptation to use such power when it embroils the country in costly mistakes such as the decision to invade Iraq.

Obama was attempting to answer a central question: What strategic doctrine should guide U.S. actions in a world where America's long war against core al Qaeda and its Taliban allies is winding down, at the same time that Russia and China are both flexing their muscles and when a number of al Qaeda affiliates in countries such as Syria are enjoying something of a resurgence?

The President's answer is the foreign policy equivalent of medicine's Hippocratic oath "first do no harm."

Without directly saying so, it amounts to a cautious but firm repudiation of the decisions made by presidents such as George W. Bush and Lyndon Johnson, who ordered massive commitments of American military power against perceived enemies.

A foreign policy of judicious restraint that doesn't sacrifice core American interests is not the sort of foreign policy that lends itself well to emotional rhetoric. But that's exactly Obama's point; it is American hubris and overreach since World War II in wars such as Vietnam and Iraq that cost the nation dearly in blood and treasure, while doing little to protect America's core interests.

But the President also said that the United States reserved the right to take unilateral military action when standing up for core American interests, which he defined as "when our people are threatened, when our livelihood is at stake or when the security of our allies is in danger."

What does the Obama Doctrine mean in practice? In cases where there is no core American interest at stake, but where there are issues of concern to the global community, the President says the United States should lead multilateral efforts to resolve them.

An example of this -- which, interestingly, the President didn't cite in the speech -- was the 2011 American-led intervention to topple Libyan dictator Moammar Gadhafi to prevent him killing large numbers of his own civilians, an effort that both NATO and the Arab League led.

The Obama Doctrine means more money for U.S. Special Forces. While Special Forces occupy only a tiny percentage of the American defense budget, they are the tip of the spear when it comes to partnering with countries that have some kind of al Qaeda presence and enabling local forces to go after such groups.

At West Point, Obama announced that he would go to Congress to seek a new $5 billion fund for counterterrorism training efforts in countries in North Africa and Asia, an effort that will be led by Special Forces.

This dovetails with what Adm. William McRaven, commander of U.S. Special Operations Command, has pushed for over the past year or so -- a greater Special Forces presence in many countries around the world to partner with host nations and train them to fight al Qaeda affiliates or other groups aligned with al Qaeda's ideology.

In Syria, the Obama Doctrine means working with Turkey and the Gulf countries such as Saudi Arabia to increase funding and other kinds of assistance to the more moderate elements of the Syrian opposition and also to identify extremist groups better to make sure aid is getting to the right groups.

On Iran, the Obama Doctrine means continuing negotiations with the Iranian regime to modify its nuclear program, where the President sees that "for the first time in a decade, we have a very real chance of achieving a breakthrough agreement -- one that is more effective and durable than what would be achieved through the use of force."

It also means closing the Guantanamo prison camp since, after all, the indefinite detention of prisoners doesn't fit with American ideals. Over the past year the Obama administration has made some quiet progress on that front, releasing two Algerians and three Chinese Uyghur prisoners. A further six of the remaining 154 prisoners in Gitmo will also soon be transferred to Uruguay.

But will the Obama Doctrine be seen as the right strategy to guide American foreign policy for many years in the future? To answer that question it is worth examining what strategies have guided American foreign policy since the defeat of the Nazis almost seven decades ago.

The holy grail of American foreign policy makers is to establish a national security strategy (or doctrine) that deals with the real threats that the United States faces as they change over time. But coming up with such a strategy that actually informs effective policies is relatively rare.

Since World War II there have been two doctrines that could be described as more or less unalloyed successes.

At the dawn of the Cold War, George Kennan established the doctrine of "containment," which attempted to block Soviet expansionism through a combination of American political and economic efforts that included the establishment of U.S.-led institutions such as NATO, the United Nations, the World Bank and the International Monetary Fund.

Sometimes containment also meant that the United States fought proxy military conflicts with the Soviets, such as the Vietnam War, where the two superpowers backed different sides in a civil war. The intent of this strategy was to contain the Soviets, and yet, at the same time, to avoid becoming embroiled in an outright war that might end with mutually assured destruction.

Containment succeeded brilliantly because ultimately the Soviet Union imploded of its own internal contradictions without a shot being fired in what could have become an Armageddon-like U.S.-Soviet nuclear war.

After the collapse of the Soviet Union, Gen. Colin Powell came to be associated with the "Powell Doctrine," which was a response to the Vietnam War debacle. The Powell Doctrine was to go in at the beginning of a war with overwhelming forces to achieve clearly defined political objectives -- and then to end the conflict without getting bogged down in a lengthy occupation.

The classic example of the Powell Doctrine in practice was the 100-hour war the United States waged against Saddam Hussein in 1991, which defeated the Iraqi army that had occupied Iraq's neighbor Kuwait, and did so with relatively few American casualties.

Following the 9/11 attacks, came the Bush strategy of the war on terror that was the basis for the U.S.-led coalition's successful overthrow of the Taliban in Afghanistan. But after that it also became the basis for the unnecessary and costly war against the Iraqi dictator.

As a strategy the war on terror can hardly be judged a success alongside containment or the Powell Doctrine.

So how might history judge the Obama Doctrine? The doctrine will not satisfy some of Obama's critics, who want him to "do more" on issues such as Russia's intervention in Ukraine. But it does dovetail neatly with where a large majority of Americans are right now.

They have no appetite for any more land wars. According to a CNN poll in December, the 13-year war in Afghanistan has become arguably the most unpopular in American history.

What Obama did in his West Point speech was to chart a course that balances two natural, and contradictory, American national security impulses -- isolationism and interventionism -- and points to a hybrid approach that avoids some of the pitfalls of either of these strategic approaches.

@highlight

President Obama outlines his version of the Kennan, Bush and Powell doctrines

@highlight

Peter Bergen says it amounts to a "do no harm" view of foreign policy

@highlight

It represents a dramatic switch from counterproductive cases of U.S. overreach, he says

@highlight

Bergen: Obama Doctrine lacks drama but may be a smart way for superpower to behave