As the White House convened a day-long summit on working families with a heavy focus on work-life balance, I remembered a major survey last year that took issue with the prevailing notion that juggling work and home life is mainly a woman's issue.

According to a survey by the Pew Research Center, 56% of working mothers said it was very or somewhat difficult to balance the responsibilities of their jobs and their families; 50% of working fathers, nearly as many as working mothers, said the very same thing.

And when it comes to who is doing more of the telecommuting, another survey also challenges the longstanding belief that it's mainly working moms.

By a wide margin, more men than women are working not from the office, but from home, a business center or another location, according to the national survey by Flex+Strategy Group/Work+Life Fit Inc., which works with organizations and individuals to create flexible workplaces.

Nearly one-third of the 556 full-time employed adults who were surveyed said they do most of their work remotely, and nearly three out of four of those telecommuters were men.

Why do these findings matter? Because too often, when work-life balance is discussed among policymakers, in the media, even online, the general sense is that it's primarily a concern of women, especially working mothers.

"The significance of the research is that it proves that the way we think and talk about work-life flexibility doesn't track with reality," said Cali Yost, chief executive officer and founder of Flex+Strategy Group/Work+Life Fit Inc.

"As a result, both business and people aren't reaping the rewards of a more thoughtful, deliberate, strategic approach to managing work and life."

And when these misperceptions are held by C-suite executives, they can dramatically impact how far organizations might go to create more flexible workplaces for their employees.

"An everyone issue"

Consider a recent analysis of interviews with nearly 4,000 executives worldwide conducted by Harvard Business School students from 2008 to 2013.

Both male and female executives considered the "tension between work and family to be primarily a woman's problem," according to the report.

"As Rebecca Traister recently pointed out in the New Republic, when we're trying to solve the problem of not enough women in the upper echelons of business, tech, and politics, we always direct these conversations at women themselves," wrote Jessica Grose for Slate earlier this year.

"But the problem here isn't women's lack of ambition or, necessarily, their lack of support at home. The issue is that we need to get men to acknowledge work-life conflicts as an everyone issue, not a women's issue or a mom's issue," wrote Grose.

Craig Cincotta, vice president for brand communications for Porch.com, an online home improvement network, said in today's 24/7 connected world, work-life balance becomes an issue for nearly everyone, women and men.

WATCH: Why Zuckerberg's sister says to log off

"In my experience people often feel the need to be accessible at all times to demonstrate their commitment to the job," said Cincotta. "Answering e-mail at 3 a.m. becomes a badge of honor. When that becomes the societal norm, it makes it hard for people to find a healthy work-life balance."

Jennifer Styles, a co-owner and managing partner of The Workshop Collective, a marketing, public relations, design and Web development firm, said work-life balance is an issue for both genders, and not just working parents.

"I am not a parent. I am a co-owner of a company with over 20 employees (who are my family) and I feel guilty not 'working' all the time or being readily available for my team during all hours of the day," said Styles on Facebook.

"I try not to look at my phone after 9 p.m. but it is a challenge. ... Most business owners don't have the choice to not respond to their team/clients in a timely fashion."

Weakened commitment to flexibility?

After Marissa Mayer of Yahoo! banned working from home shortly after taking over as the company's chief executive officer, many women and men wondered if more companies might follow her lead and move in the direction of less flexibility as opposed to more.

The results of another survey by Flex+Strategy Group/Work+Life Fit Inc. show that, at least as far as employees' perceptions are concerned, that might be the case.

While 97% of those surveyed said they had some flexibility at work, more than four out of ten said they perceive a "waning commitment" to flexibility at their company, according to survey results released in May. In addition, only 40% of those surveyed who had work-life flexibility received any guidance or training from their employer on how to use work-life flexibility most effectively.

What all this means, said Yost, the expert on workplace flexibility, is that the majority of workers with flexibility "are flying by the seat of their pants and are not optimizing the flexibility they have to benefit themselves and the business."

"Everyone loses ... including women," she added.

No "one size fits all" approach

Cincotta of Porch.com says as a manager and leader within his company, he wants to help people find work-life balance -- or life-work balance, as he thinks we should call it. But he says it's an issue that each person has to define for himself or herself.

"We cannot expect a 'one size fits all' approach to the solution," said Cincotta. "Maybe it is working from home one day a week, perhaps it is a commitment not to check mail on the weekend. Whatever the solution people fundamentally develop as their own, they need to identify and respect the boundaries required to make it effective."

Expanding the conversation about work-life balance to include men and people without children can lead to more workplace changes that benefit more employees, men and women I talked with say.

It can also provide more opportunities for working parents, especially mothers who would choose to continue their professional paths if they and their partners had more flexibility to balance the demands at home.

"Having a partner split the child-rearing duties enables you to juggle your art/career/work with the responsibilities and fun that come with raising a child," said Amy Glazer, who is head of the theater program at San Jose State University and the mom of a college-age son.

"The beauty of actually dividing the parenting labor, although it's chaotic, is that when the child grows up, as my child has -- we both still have careers to come back to and the nest is too busy to feel empty."

How important is work-life balance to you? Share your thoughts in the comments or tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

The White House is holding a summit Monday on issues affecting working families

@highlight

Working fathers, like working mothers, find it hard to balance work and family, survey says

@highlight

More men than women are telecommuting, according to another survey

@highlight

Work-life balance is an "everyone issue" not a women's or moms' issue, says one writer