Hong Kong (CNN) -- A year ago, China's new generation of leaders strode out onto a stage in the cavernous Great Hall of the People in Beijing.

They were led by Xi Jinping, who took over from Hu Jintao as head of the Chinese Communist Party, which has ruled China for more than 60 years.

CNN asked three analysts for their verdict on Xi's first year at China's helm in three key areas: Domestic politics, the environment and the economy.

Domestic politics: A fiery start

Cheng Li is director of research and a senior fellow at Brookings Institution's John L. Thornton China Center.

The Chinese saying "A new leader lights three bonfires" vividly captures the momentum and accomplishments of Xi's first year as party boss.

Each of these "three bonfires" ---- the vigorous anti-corruption campaign, the successful conclusion of thetrial of disgraced politician Bo Xilai, and the comprehensive and deeper market reforms embraced at the third plenum -- have granted him much needed public support and significantly consolidated his power.

From the first day of his tenure as general secretary of the Party, he admitted to the public that the rampancy of official corruption was ruining the Party and the country.

With Wang Qishan, his most important political ally in the Politburo Standing Committee, Xi launched a tough anti-corruption campaign. Within a year, 11 ministerial and provincial-level senior leaders were arrested, including leaders within the country's most formidable special interest groups like the oil industry. Some critics may be cynical about the methods employed in the anti-corruption campaign, but the campaign has already transformed the behavior of Chinese officials.

Xi should be credited with the successful completion of the Bo trial, which was the largest legitimacy crisis for the Party since the 1989 Tiananmen Square incident and widely perceived to be a "no-win" situation for the Party leadership. The scandal revealed the fact that some high-ranking Party leaders like Bo -- China's Gatsby -- have decadent lifestyles filled with sex, money laundering, and even murder. Xi and his colleagues handled the case wisely in three aspects:

First, they focused on Bo's corruption, not on his other unlawful behavior. Second, they used social media micro-blogging to disseminate the details of the courtroom proceedings, thus undermining criticism of lack of openness. And third, Bo's verdict of life imprisonment seemed to be appropriate, neither too severe nor too lenient.

Most importantly, Xi wants to leave a strong mark on the economic front. He has embraced as his mandate the "Chinese dream," defined as the rejuvenation of the Chinese nation and the opportunity to realize a middle-class lifestyle. The overall objective of his new economic policy, as evident from the third plenum, is to make the private sector the "decisive driver" of the Chinese economy, to make the Chinese middle class happy, and to allow more members of the lower class to attain middle class status.

While Xi's above three bonfires have resonated well among the general public, there are some valid worries about Xi and his rapidly growing power. Xi's politically conservative -- and sometimes even Mao-style -- approach that has relied on tight political control and media censorship has alienated the country's liberal intellectuals. His broad and strong anti-corruption campaign may also alienate a large number of officials -- the very power base on which the Party relies.

The environment: Promises but few results

Isabel Hilton is the founder and editor of www.chinadialogue.net, a bilingual Chinese English website devoted to building a shared approach on climate change and environmental issues with China. She graduated from the University of Edinburgh with an honors MA in Chinese, and in 1973 was one of the first British students to study in China.

There was not much cheer for environmentalists in the meeting that was billed as the most significant of Xi Jinping's administration. At the close of the Chinese Communist Party's Third Plenum on November 13, China's official news agency, Xinhua, failed even to list the environment among its key points, focusing instead on the promise of economic reform.

Xi has recognized that prioritizing economic growth for 30 years has brought China to the edge of environmental collapse and he has promised to give environment the same weight as economic development. But 2013 was a year of dramatically worsening air pollution and mounting public frustration at the government's apparent inability to halt China's deforestation, maritime pollution, desertification and water and soil pollution.

Xi said China must build what it calls "ecological civilization" -- a top-level slogan that officials are still struggling to flesh out. He talked of "establishing a complete system" of ecological civilization, promised to improve the management of natural resources, and to establish "red lines" in ecological protection, along with ecological compensation for pollution victims.

It is how these and other promises shape up that will decide Xi's environmental legacy. So far, his government has announced plans to clean up lethal air pollution but they will take many years to take effect.

In other respects, environmental protection risks clashing with other concerns: a new Environmental Protection Law that is moving slowly through China's parliament threatens serious financial penalties for polluting companies, but has also been heavily criticized for restricting the rights of NGOs to take legal action against polluters, as Xi tightens the state's control of civil society.

It also plays a role in the rising incidence of protest and chronic rural poverty, which President Xi has promised to reverse. The environment could benefit from Xi's commitment to a greater role for the market, which might boost China's pilot carbon-trading schemes, and from his promise of a stronger legal system and greater transparency.

High-level promises set the policy direction, but Xi's environmental record will be judged by results. Key issues include cleaning up China's Environmental Impact Assessments, boosting the Ministry of Environmental Protection and putting it in charge of the provincial and local bureaus, building a robust, legally enforced system of fines for polluters and lifting restrictions on China's tightly controlled environmental NGOs.

The economy: Welcome shift

Louis Kuijs is Chief China Economist at Royal Bank of Scotland and a former IMF and World Bank economist.

Under the new leadership, we have seen a welcome shift towards a more comprehensive approach to reform. This was underlined by the decisions made during last week's Plenum to recalibrate the role of the government, with less direct intervention and more facilitation of the market and provision of public services.

We have also witnessed a move towards more emphasis on the sustainability and quality of growth, as opposed to simply the rate of growth. During the slowdown that China went through until the middle of this year, the leadership was more restrained than previously in rolling out stimulus measures, emphasizing that reform is more important than short-term stimulus.

In a similar vein, the leadership is trying to put more emphasis on improving the quality of urbanization -- basically by allowing migrants to integrate into a proper urban life -- and the reforms needed to make that happen in areas such as the fiscal system and rural land arrangements.

In spite of the arrival of new people at the top, the politics of reform in China's consensus-driven policymaking process has not changed.

For instance, in the case of reforms related to state-run enterprises and the fiscal system, resistance remains as strong as ever. This has meant that progress on such reforms has been slow so far although, in a promising move, the leadership is now trying to overcome such political obstacles by introducing a "leading group" with a mandate to coordinate and push the reform agenda.

All in all, on the economic front the new leadership has made a reasonably promising start. In the coming two years, I would expect to see pretty good progress on reform in those areas where the political economy is favorable, which is the case in the financial and monetary area, as well as on pricing and taxation of resources. On the other hand, in the areas of state-owned enterprises, fiscal reform and rural land arrangements, I would expect progress to remain slower in the coming two years.

@highlight

Xi Jinping took power one year ago, becoming head of the Chinese Communist Party

@highlight

Three analysts give their verdict on how key areas have fared under his watch

@highlight

Domestically, Xi has found public support and significantly consolidated his power

@highlight

The economy has seen a welcome shift but there has been little cheer for the environment