(CNN) -- The dark curtain rises again on the tragedy of Israel and Gaza, and the next act begins much like its forerunners.

Rockets hunt humans. Bombs crush buildings. Blood spills. The dead ride in caskets through streets, and mothers wail their grief to the heavens.

As Israeli reserves gather like a storm over Gaza's horizon, the added bloodshed of an incursion appears imminent, and millions watching around the world ask:

What could they hope to achieve?

There is no dramatic endgame in this, but there are concrete objectives, says Israeli military analyst and columnist Ron Ben-Yishai.

There are official ones and unofficial ones, short-term and long-term, that make sense for Israel, he argues.

Many of them will work, concedes critical Israeli columnist Gideon Levy. But he disagrees about their wisdom.

They won't cure the disease but instead feed it, he argues.

Military objective No. 1

First, the conservative government led by Prime Minister Benjamin Netanyahu wants to stop the rocket fire by force.

And weaken the Hamas militants and other groups behind it, Ben-Yishai says.

"Erode the political clout and the ability of Hamas to act both as a political and military-terrorist movement."

Those are the official goals given by the Cabinet for the military operation named Protective Edge, he says. And they'll probably be achieved, Ben-Yishai says.

"For the short-run, no doubt," Levy concurs. But he also thinks Hamas will come back stronger militarily and politically.

That's what happened over two years ago in operation Pillar of Defense and over five years ago in Operation Cast Lead, he says.

In the latter, 1,300 Palestinians and more than a dozen Israelis died.

Rockets' roots

Levy sees the rocket fire from Gaza as the boiling over of cumulative tensions.

He points to the peace process initiated by U.S. Secretary of State John Kerry between Israel and Palestinians. The one that broke down weeks ago.

The whole time, a piece was missing from the negotiating table, he says. "Gaza was ignored totally."

Then a litany of youth killings ignited passions on both sides.

Three Jewish teens were murdered, and Israeli forces swept the West Bank for suspects, making arrests that had nothing to do with the case, Levy says. Palestinians were killed.

The murder of a Palestinian teen quickly followed; his body was torched. Suspicions arose that it was revenge for the Israelis' deaths.

Add to that the desperation in Gaza. The narrow strip of land is locked in on all sides, and people there live in dire poverty and deprivation. "Gaza is today the biggest cage in the world," Levy says.

The rocket fire is just a part of it all, he says. It's a way of Hamas pounding the table, pointing out Gaza's misery.

Levy's solution to the rocket fire: Pay more attention to Gazans. Don't marginalize them. Open borders, so they can move freely.

Ben-Yishai, on the other hand, believes that the peaceful approach -- that calm will be met with calm -- hasn't worked out.

"This formula is out of the game. It's not in the cards now," he says. The military option has become inevitable.

How Iron Dome blocks rockets from Gaza, protects Israelis

Operation drill-down

Hamas militants have come back stronger after the last military operation in at least one sense, Ben-Yishai says.

They have more long-range rockets. Previously, militants had to import them all from the outside. Now they can also construct them themselves.

They've also buried a network of launch sites below the ground's surface. Hitting them "is quite a job," Ben-Yishai says.

The Israel Defense Forces will have to strike deep into those systems. But the IDF has also adapted. Its bombs have become more accurate.

That also reduces collateral damage in Gaza, he says. Most who die were shooting rockets, he says. "Those who deserve it."

It's all a vicious cycle he's seen before, Levy says. The IDF destroys the militants' capabilities; they come back stronger.

"By the next operation, they will be even better equipped," he says. So will the Israelis.

Ground incursion

Israel has called up 30,000 reserve troops and has talked about pulling in 10,000 more, a signal that there may be a ground incursion into Gaza.

Levy firmly believes it will happen, that the IDF otherwise will not be able to root out militants' rocket systems.

Ben-Yishai is less certain. "I think it is in the cards. They've not made the decision yet," he says of the government.

Netanyahu may use aggressive rhetoric but is cautious about military decisions, he says. And so far, the government is satisfied with the operations as they have been -- only from the air thus far.

The endgame

The government hopes that Protective Edge will give Israel a few years of relative peace, restore normalcy for a time, Ben-Yishai says.

"After every round of hostility ... there is a sort of lull that Israel enjoys very much," he says. People can think about other things and tackle other issues, like the economy.

But it's not nearly worth the cost, Levy says. Droves of Palestinians will be killed, others' lives ruined. But even from a purely selfish standpoint, it's at best an empty victory.

"We will see horrible scenes," he says. "The world will condemn Israel. And what comes out of it? One year of peace."

Ben-Yishai believes there is a permanent gain to be made, that repeated operations in Gaza will wear the enemy down.

He hopes that the lulls between battles will get longer and longer, "until our neighbor realizes that they cannot make us disappear. They cannot erase us from the map."

Levy thinks Gaza militants won't quit until the misery there ends.

He predicts that military intervention will set the stage for the next bloodcurdling act -- and then the next.

New wave of Israeli airstrikes hammers Gaza

Flare-up in Israeli-Palestinian violence: Why now?

Has the Middle East crisis reached a tipping point?

@highlight

Military operations in Gaza make sense for Israel, an analyst says

@highlight

They will only make the violence fester and come back strong, says another

@highlight

With talk of the IDF calling up 40,000 reservists, a ground incursion looms