Sgt. Terry Mitchell withstood fire deep in the mountains of Vietnam and was exposed to Agent Orange. He survived that grisly war, but now, four decades later, his wife believes his life was cut short by delays in care at the Veterans Administration.

On August 8, 2012, a pathology report found that a growth on Mitchell's neck was "concerning" for cancer. The recommendation: "total excision," meaning surgical removal.

But Mitchell's tumor wasn't removed until October 22, more than 2½ months later.

Ten months after that, Mitchell was dead. He was 63.

The VA Medical Center in Dallas tells CNN that Mitchell's 75-day wait to have the cancer taken out of his body "meets the standard of care" at the VA.

That has a lot of people worried.

"I really don't think it's appropriate that our vets have to wait for months," said Dr. Karl Bilimoria, who worked at three VA medical centers and is now a cancer surgeon at Northwestern University.

"That's just the way the VA works, and it's sort of been this way for years."

In 2011, Bilimoria and his colleagues published the results from their study on wait times for eight common cancers at Veterans Administration medical centers.

The researchers found that waits from cancer diagnosis to surgery were longer at VA centers for all cancer types when compared with waits for the same cancers at community hospitals. For liver and colon cancers specifically, the VA surgery wait times were more than twice as long.

In a statement, the VA told CNN, "No Veteran should ever have to wait to receive the care they have earned through their service and sacrifice. We must work together to fix the unacceptable, systemic problems in accessing VA healthcare."

VA doctor: Timeliness not at the top of my list

For three years, Bilimoria and his team shared their results with leaders at the VA. Though many were outraged about the long waits, nothing seemed to change.

"We clearly haven't seen any major initiatives," Bilimoria said.

In October, one of Bilimoria's colleagues at Northwestern wrote an e-mail directly to the head of oncology for the VA nationwide.

Dr. Michael Kelley wrote back quickly, saying in part, "Timeliness of care is of interest, but would not be at the top of my list."

Kelley added that even if there are delays at the VA, "it does not appear to result in worse survival" for veterans.

In a statement to CNN, Kelley wrote, "No Veteran should have to wait for needed cancer care. It is not appropriate or acceptable for a Veteran to wait for months for cancer surgery. I strongly believe that timeliness in the delivery of care is a top priority, which is why I've been actively engaged in the improvement of VA's quality and timeliness of care."

A VA official said that what Kelley meant in his e-mail to Bilimoria's colleagues is that he didn't think the Northwestern research was the highest priority, and he questioned those researchers' findings.

The official added that in 2007, the VA established a quality improvement program called Cancer Care Collaboratives. The official said the program made "demonstrable improvement in quality metrics, including timeliness," but declined to be specific about those improvements.

VA boss plans 'personal action' this week in wait-list case

A phone call for a dead man

The question burning in Vicki Mitchell's mind is this: Would her husband have lived if he'd had his surgery earlier?

It's almost impossible to answer.

The VA says it commissioned an independent review of cancer care that showed "in nearly all respects, the quality of VA care equaled or exceeded that of non-VA care."

But other studies have disagreed. One showed, for example, that the mortality rate at the VA after pancreatic cancer surgery is 2½ times higher than the mortality rate at large academic health centers. The complication rate was 58% higher among VA patients.

Mitchell, who still lives in Sherman, Texas, knows she'll never have an answer. But she sensed confusion at the VA as her husband was treated for a rare sarcoma, a cancer that develops from soft tissues like fat, muscle and deep skin tissues.

For example, the VA sent him to an outside specialist for a surgery that turned out to be the wrong procedure for him, so he was sent back to the VA, losing precious time. She remembers leaving desperate phone messages at the VA that were never returned, although the VA says that all calls were answered in a timely manner.

Mitchell says the confusion continued even after her husband's death. Just a few months ago, the VA called, asking to make an appointment for the veteran.

She politely told them he was dead.

"The lady said, 'I guess I really need to update my computer,' " Mitchell remembered. "I said 'yes, you really do.' "

Obama to tap former chief of Procter & Gamble to clean up VA

'Corrosive culture,' weak leadership cripple VA, report says

A fatal wait: Veterans languish and die on a VA hospital's secret list

@highlight

Research finds cancer wait times at VA centers are longer than at community hospitals

@highlight

For liver and colon cancer, VA surgery wait times were more than twice as long

@highlight

VA: "We must work together to fix the unacceptable, systemic problems"