NATO has grappled with many perilous issues in its more than six decades of existence. But it's had few times quite like this.

That was obvious Thursday, as leaders of the trans-Atlantic alliance's member countries met in Wales. They discussed everything from Afghanistan to the Middle East to Ukraine, each of which has its own special significance and presents its own unique military and diplomatic challenges.

"We meet at a crucial time in the history of our alliance," British Prime Minister David Cameron said at the outset of the two-day summit. "The world faces many dangerous and evolving threats, and it is absolutely clear that NATO is as vital to our future as it has been in our past."

There was no indication given that NATO, as a group, will be deploying more ground troops anytime soon to any new conflict -- as it has done before most recently following the September 11, 2001, terrorist attacks.

Still, the alliance is looking at a range of options to combat a range of diverse threats.

Here's a look at a few developments on those front, broken down by region:

Iraq and Syria

NATO has only invoked Article 5 -- which mandates all countries come to the aid of another member of the alliance -- one time, in response to the al Qaeda threat following 9/11.

Now, its member states are intensely focused on ISIS, a relatively new terrorist group that has rampaged through the Middle East, executing American journalists and threatening more Westerners' lives.

No one is saying that NATO is about to repeat what it did over 12 years ago, including sending legions of ground troops into a country as it did Afghanistan. But its leaders are certainly talking tough about ISIS and the prospect of NATO playing a role in attacking it.

Any request by Iraq to NATO for aid in fighting ISIS would be "considered seriously," according to NATO Secretary General Anders Fogh Rasmussen, who noted the Iraqi government hasn't reached out yet to the alliance.

The United States, however, has coordinated with the Baghdad government to launch airstrikes on ISIS fighters in Iraq and opened the door for similar attacks in Syria. Cameron told CNN that his country supports these American strikes and could take part in further military action.

"We don't rule anything out," said Cameron, adding that he wants ISIS "squeezed out of existence."

"We will act with partners in our national interest," Cameron said.

Yet he, like U.S. officials, stressed that military might alone won't end the threat posed by the Islamist militant group. Cameron said it's imperative local and national authorities in the Middle East take control and offer their citizens a government they can rely on.

"We must recognize," Cameron said, "that what's required is helping those on the ground, rather than some Western intervention (that is) completely over their heads and (leaves) them to pick up the pieces."

Ukraine

NATO countries' work with the governments of Iraq and Syria have been mixed, at best. For Iraq, they criticized Prime Minister Nuri al-Maliki until he was forced out of office, then worked closely with his successor to go after ISIS. For Syria, they've refused to cooperate at all with Syrian President Bashar al-Assad -- even if he and NATO share a common enemy in ISIS.

Ukraine, though, is a different story.

Western leaders have made a point of supporting the Kiev-based government as it combats a rebel movement that, its officials say, has been supported in most every which way by the Kremlin. And even as Moscow denies any direct involvement, Western officials have demanded the Russia withdraw thousands of troops they say have crossed the border and shelled Ukrainian forces, not to mention pull its troops back from the border.

"This is the first time since the end of World War II that one European country has tried to grab another's territory by force," said Rasmussen on Thursday. "Europe must not turn away from the rule of law to the rule of strongest."

But what can NATO countries do about it?

U.S. President Barack Obama, for one, promised this week that "we will defend our NATO allies." But Ukraine isn't part of that alliance, and Obama hasn't suggested he'll send American troops to faceoff with Russian forces in the country.

Ukraine, however, is working more and more closely with NATO, as evidenced by the Wales summit. Rasmussen said NATO will give nearly $20 million for Ukraine's military and focus on bolstering its cyber-defense, logistics and command and control capabilities.

"It is definitely a landmark event," President Petro Poroshenko said of the "strong, enormous support" that NATO government leaders have afforded Ukraine at the Wales summit. "(Cooperation is) at the highest level during the 20-year history of the partnership between Ukraine and NATO."

Opinion: NATO's moment of truth on Ukraine

Afghanistan

Afghanistan is where NATO has had its biggest, and most long-lasting, footprint outside of Europe. But that is changing -- or at least NATO's mission in the south Asian nation is changing.

Exactly how is up in the air, in part to a crisis related to Afghanistan's recent presidential election.

Despite efforts by the Taliban to disrupt the election, about 8 million votes were cast on June 14, with provisional results showing Ashraf Ghani ahead with roughly 56% support to 43% for Abdullah Abdullah, according to the country's Independent Elections Commission.

Yet both candidates have alleged large-scale voter fraud and manipulation, and Abdullah hasn't conceded. That's left the nation in limbo -- to this point, the inauguration of the new president was pushed back indefinitely from the first week of August, as an audit of the vote is conducted -- and NATO's International Security Assistance Force in limbo as well.

That's because current Afghan President Hamid Karzai had refused to sign what's known as a Status of Forces Agreement that would set the terms of keeping international forces in Afghanistan beyond the end of this year.

Both Ghani and Abduallah have said they'd sign it, but -- since neither is in office -- they can't. There is also the threat that the election crisis could lead to internal fighting in Afghanistan, further destabilizing an already turbulent nation dealing with a Taliban insurgency.

Rasmussen said Thursday that his alliance hopes to continue its efforts in Afghanistan through "a new, non-combat mission to train, advise and assist the Afghan forces starting next year."

But "without a signature" on the Status of Forces Agreement, "there can be no mission," he added.

"Although our military commanders have shown great flexibility in their planning, time is short," Rasmussen added. "The sooner the legal framework is in place, the better."

@highlight

NATO chief: "Time is short" for a deal on international forces in Afghanistan

@highlight

Ukrainian President: NATO countries have offered "strong, enormous support"

@highlight

British leader says "we don't rule anything out" when it comes to going after ISIS

@highlight

Cameron: Now "a crucial time (for) alliance" due to "many dangerous and evolving threats"