(CNN) -- When Wendell Pierce opened a new grocery store in a tough neighborhood in New Orleans, what he did not put on the outside -- bars on the windows -- was as important as what he did put inside -- fresh fruits and vegetables, affordably priced.

With his Sterling Express convenience store and Sterling Farms supermarket, Pierce, who portrayed Bunk Moreland on "The Wire" and Antoine Batiste on "Treme," is turning food desert neighborhoods into food oases.

While Pierce is a hit in the food-access movement, the stores, and his style, are also manifestations of a commitment to place. Spending an afternoon with Pierce in New Orleans, his hometown, it's easy to see Pierce's larger purpose. In the language of the Project for Public Spaces, Pierce's work is about placemaking.

Through his neighborhood inquiry, Project for Public Spaces founder Fred Kent crafted a definition of placemaking: "Turning a neighborhood, town or city from a place you can't wait to get through to one you never want to leave."

So it's magical to have fresh papaya, melons and bell peppers in Pierce's supermarket, but it's not enough.

Pierce's team set up a technology-driven security system that lets the supermarket operate efficiently, without bars on the windows.

He saw neighbors walking home, loaded down with grocery bags in the New Orleans heat, and imagined an amenity. Now Sterling Farms offers free rides home for customers spending $50 or more. The branded SUV is a rolling reminder that the store is sensitive to neighborhood needs.

In his Sterling Express convenience store, the fresh bananas by the register signal an interest in healthy customers. The restrooms, which Pierce wants to show off, are about making the neighborhood a better place. They are brightly lit and spotless.

Pierce's passion for placemaking shows up when he extends our supermarket tour to visit Columbia Parc at the Bayou, a mixed-income development that replaced the old St. Bernard housing project.

Part of the Purpose Built Communities network, Columbia Parc is a national model for neighborhood transformation. Housing, education, workforce training, recreation and wellness programs are integrated into one place. Pierce is bringing a supermarket.

St. Bernard was dangerous. Columbia Parc is safe. It's the same dirt underneath. Somehow the place changed. Warren Buffett believes in the approach and is backing Purpose Built.

Columbia Parc is a good lesson for charitable foundations that often parse life into a list of simple check-boxes, one for education, one for transit, one for arts and so on.

Placemaking recognizes that all these things, and more, are tied.

With a community kitchen, Columbia Parc can offer cooking classes to families that get new access to fresh produce, thanks to Sterling Farms, which is also generating jobs. The fitness center makes regular physical activity the norm, not the exception, and the design invites residents to walk, not ride, to school. The community garden lets kids put their hands in the dirt, which reinforces the science being taught from preschool through high school.

Around the country, the allure of placemaking is evident.

New York's High Line is more than an elevated walkway. Its arrival ignited recreation, environmental inquiry, congregation, arts and romance.

The Atlanta Bicycle Coalition draws thousands of people to its Streets Alive events, modeled after Columbia's Ciclovia. There is attention to better biking, but mostly it's residents coming together to make a better place.

In Denver, the FasTracks Program is re-shaping residential life,.Featuring 122 miles of new commuter and light rail lines, FasTracks promotes "a pedestrian-oriented environment that allows people to live, work, shop and play in places accessible by transit."

Dan Gilmartin, author of "The Economics of Place: The Value of Building Communities Around People," is an expert on placemaking.

Communities that figure out placemaking, Gilmartin believes, will see greater economic growth and improved quality of life. He's developing 25 case studies on the best placemaking ideas from U.S. cities.

Perhaps a key to placemaking is the ability to see the potential for beauty in situations where others see a tangle of bad. Or, as Project for Public Spaces encourages, "start with the petunias."

This is how an abandoned rail line, a nuisance and a danger, becomes a space famous for its sunset views.

Pierce's vision for placemaking is rooted in recollections of the places of his youth. He grew up in Pontchartrain Park.

"It's the memory of that Friday night grocery trip that I used to take with my mother," Pierce told NPR. "It was the town square, you know, men and women getting off of work and you would see them at our neighborhood grocery store. For, you know, a little 8-year-old boy that was, you know, the fishmonger in the butcher, these were, you know, common people in my life on the beginning of my weekend, and I felt as though that was something culturally that everybody should have in their neighborhood."

It's one thing to see a supermarket as a great place to get healthy food.

It's even better to imagine how the supermarket can help make a place great.

The opinions expressed in this commentary are solely those of John Bare.

@highlight

Actor Wendell Pierce opens a new grocery store in New Orleans neighborhood

@highlight

John Bare says Pierce's approach involved steps to help create a real sense of place

@highlight

He says the grocery provides nutritious fare in a food desert, helps with transit

@highlight

Bare: Others around the nation are engaging in the art of "placemaking"