LONDON, England (CNN) -- His life has never been easy. Born into poverty and war, his ears and tail were chopped off when he was just a few months old in preparation for dog-fighting. He escaped to find a better life, only to be trapped in lonely, sterile quarantine for six months.

Bear plays for the first time out of quarantine after coming to Britain from Afghanistan.

But all that changed Monday when Bear the dog stepped out of British quarantine and through the doors of a London animal shelter.

"He's absolutely a loving dog," said former British Royal Marine Paul "Penny" Farthing, who helped bring Bear to England. "He just loves people. It's a good thing he was brought back to the U.K. when he was quite young, so he's never gone through having to fend for himself in the street and be made to dogfight."

An unknown soldier in Afghanistan first found Bear last year and brought him to a local Afghan animal shelter. The shelter wasn't able to care for Bear, so it contacted Farthing, who now runs a charity for stray and abandoned animals, primarily dogs from Afghanistan. Farthing's Nowzad Dogs is named for the Afghan town where he was based for a few months in 2006. He asked Mayhew International, an arm of London's Mayhew Animal Home, to help find Bear a new home.

Mayhew International says Bear is one of the few dogs it has brought back to Britain. Usually it tries to find animals new homes within their own countries.

"Although Mayhew International does not encourage people to bring dogs to the U.K. from abroad as a general policy, we made an exception in this case as it was the perfect opportunity to highlight the plight of thousands of stray animals in Afghanistan," the organization said in a statement.

Bear's story may be unique, but he is certainly not alone. Mayhew International, which works around the world to educate people about animal welfare, says there are countless dogs in Afghanistan that are homeless or trapped in a life of dogfighting -- an increasingly popular pastime in Afghanistan.

"Animal welfare is not looked so highly upon in Afghanistan," said Christopher Sainsbury, Mayhew's international projects officer.

"In war-torn areas, people tend to forget the animal welfare side of things. [We want to] make people aware that this is a key side of things that needs to be assessed, needs to be worked on."

Bear is a Koochi dog, a large breed common in Afghanistan, according to Dr. Mohammadzai Abduljalil, a Mayhew veterinarian from Afghanistan. While no one knows Bear's exact age, Abduljalil said they believe he is just about a year old.

You wouldn't know it by Bear's size. He's already a large dog nearly 3 feet high with large paws to match.

Stepping into the Mayhew play area Monday for the first time, Bear made sure to sniff every corner of the room and mark his territory a few times before settling in to play. He had a puppy's curiosity and quickly started playing fetch and tug-of-war with Farthing, wagging enthusiastically the small part of his tail which is left.

Bear is lucky. He escaped a violent and uncertain future in Afghanistan.  Not so for many other dogs left behind. It is those dogs that Farthing hopes to help with his charity.

"They need someone to look after them, so why not me?" Farthing said.

It began when the Royal Marines arrived in the war-torn town of Now Zad, in Afghanistan's Helmand province, in October 2006. They found stray dogs wandering the streets, scavenging for food, dodging bullets and seeking shelter from the hot days and cold nights. Many were also being used for dogfighting, with their ears and tails docked to make the fights last longer and give their opponents less to bite.

Farthing and other Marines began to feed and care for a few dogs that wandered into their camp. At first they had three dogs, but other strays soon figured out the camp was a source of food and shelter, and before long the Marines found themselves caring for seven dogs and 14 puppies.

Time was running out, however. The Marines were due to leave Now Zad in February 2007 and knew they couldn't take the dogs with them. They looked for some way to make sure the dogs would be taken care of after they left.

That's when Farthing first contacted Mayhew International. They put him in touch with a small shelter in northern Afghanistan that Mayhew had assisted since its inception, providing advice and veterinary support.

The shelter offered to take the dogs on one condition: The Marines had to arrange for the dogs' transfer to Kabul, a difficult and dangerous three days' drive away.

Finding a taxi willing to accept dogs was the first hurdle; the second was that the drivers refused to allow the dogs to be transported in Western-style cages, which would give away to the Taliban that the car was carrying foreigners.

Instead, the dogs had to be tied with ropes, the Afghan way, and the puppies had to be stashed in small crates -- in this case, a bird cage.

"A lot was done on trust," Farthing told CNN. "The Afghans did it as a favor to us. We paid for some of their fuel and their costs, but it was fantastic. It was them helping us out. They didn't have to do it. It shows that the people of Afghanistan and us, we can work together."

In the end, most of the dogs made it to Kabul, but not without casualties. Two were left behind for lack of room in the taxi, and two more escaped along the way when a car door was accidentally left open. Three of the largest puppies were stolen, probably for dog fighting.

Three dogs and eleven puppies finally made it to the shelter, but nine of the puppies later died due to an outbreak of disease and shortage of vaccines.

Sainsbury, of Mayhew International, says the story of the Now Zad dogs and of Bear shows their efforts can help animals, even if it's just one at a time.

Mayhew International works with organizations already established in developing countries to plan mass sterilization drives that reduce the number of unwanted animals. They also train veterinary surgeons in modern neutering techniques that are quick and humane.

"The way that war makes looking after animal welfare harder is quite clear," Sainsbury said. "Animal welfare gets forgotten and it becomes a back-burner because organizations ... that were working in those war-torn countries will probably be unable to operate any longer. They'll be unable to aid the populations of stray and community animals which would rely on their help originally."

Mayhew CEO Caroline Yates said staff have no idea how long it will take for Bear to find a new home. They hope the publicity surrounding his arrival in Britain will encourage people to think about adopting him.

Yates said they hope to have him adopted within a month.

Said Farthing, "To be able to help just one [dog] is a reward in itself and a huge step to highlighting the undocumented suffering that animals in all war zones are subjected to."

@highlight

Bear the dog was born into poverty, had ears and tail chopped off for dogfighting

@highlight

Unknown soldier in Afghanistan first found Bear last year

@highlight

Royal Marines made preparations with company and locals to transport dogs

@highlight

Marine: "It shows that the people of Afghanistan and us, we can work together"