(CNN) -- Eric Holder, who resigned Thursday, kicked off his stormy tenure as attorney general with a challenge to the American public that set the tone for his six turbulent years as the nation's top law-enforcement officer.

"Though this nation has proudly thought of itself as an ethnic melting pot, in things racial we have always been and continue to be, in too many ways, essentially a nation of cowards," said Holder in his first public speech after being sworn in.

When the remark drew an uproar from conservatives, Holder shrugged and doubled down. "I wouldn't walk away from that speech," Holder told ABC News. "I think we are still a nation that is too afraid to confront racial issues," rarely engaging "one another across the color line [to] talk about racial issues."

And true to form, Holder -- a tall man who carries himself with the relaxed, quiet confidence of a corporate attorney -- seldom backed down from a confrontation, on racial justice or other issues.

He pressed Credit Suisse, and the Swiss bank eventually paid over $2.6 billion to settle claims it was illegally helping wealthy Americans avoid paying taxes. Holder took the lead in pushing banks and other financial companies involved in the mortgage crisis to pay $25 billion to federal and state governments, a record civil settlement.

And Holder famously sparred with members of Congress such as Darrell Issa and Louie Gohmert as the television cameras rolled. In one heated exchange at a Judiciary Committee hearing in 2013, Issa and Holder talked over each other, with the attorney general concluding, "That is inappropriate and is too consistent with the way in which you conduct yourself as a member of Congress. It's unacceptable, and it's shameful."

In another back-and-forth, Holder trash-talked Gohmert with lines that could have been taken from a comedy routine. "You don't want to go there, buddy. You don't want to go there, OK?"

While the history books will note Holder was the first African-American attorney general, a more relevant biographical fact might be his status as possibly the first attorney general who, as a college student protester, occupied a campus building: In 1969, as a freshman at Columbia University, Holder was part of a group of black students that took over a former naval ROTC office for five days, demanding that it be renamed the Malcolm X Lounge. (In a sign of the times, the university complied.)

Echoes of Holder's activist history could be heard years later, in the middle of a high-stakes battle with leaders of several Southern states over voter-ID laws and other rules changes that Holder deemed at attack on black voting rights.

"People should understand that there's steel here, and I am resolved to oppose any attempts to try to roll back the clock," Holder told CNN's Jeffrey Toobin in an article for The New Yorker.

Not all of Holder's crusades have worked out well.

The Supreme Court, despite Holder's efforts, voted to strike down key provisions of the Voting Rights Act, and conservative senators blocked Debo Adegbile, Holder's preferred choice to run the Civil Rights division of the Justice Department.

The attorney general has launched or joined legal battles against restrictions on voting rights in Ohio, Wisconsin, Texas and North Carolina, but it's unclear whether those efforts will end up back at the same Supreme Court that weakened the original law.

In 2012, House Republicans voted to hold the attorney general in contempt of Congress for stonewalling on information requests in the bungled Fast and Furious gun-smuggling operation in which 2,000 weapons went missing. It was the first time in U.S. history that a sitting Cabinet member was given such a severe sanction. (The case will continue after Holder's resignation, although his successor will inherit the fallout, not Holder personally.)

But history will surely judge Holder a success at broadly expanding access to justice for groups seeking acceptance and fairness. He announced the federal government would no longer defend laws banning same-sex marriage and told state attorneys general they could do the same.

And Holder made good on his initial commitment to change the conversation on race. He traveled to Ferguson, Missouri, and assigned dozens of Justice Department personnel to investigate law enforcement practices after the police killing of Michael Brown triggered street riots.

He has also called for voting rights to be restored to formerly incarcerated Americans, and pressed for a reduction in the prosecution of low-level marijuana users.

For one clue about how history will regard Holder, go back to 2009. In the effort to battle terrorism, Holder called for five accused terrorist suspected of participating in the 9/11 attacks to be tried in federal courts in New York -- only to see the proposal scuttled after a political uproar.

"We need not cower in the face of this enemy," Holder told skeptical members of the Senate. They didn't buy the argument, but it was classic Holder: Once again, the battler leaping into the arena and daring others to summon the nerve to fight alongside him.

@highlight

Errol Louis: Eric Holder, who has resigned, had bold stormy tenure from start as AG

@highlight

Louis: Holder took heat for saying nation cowardly on racial issues. Stood by remarks

@highlight

He confronted banks, won tax case settlements, sparred with Issa, fought voter ID laws

@highlight

Louis: He was first AG House held in contempt. He was a fighter, dared others to join him