(CNN) -- "It was like taking a big leap of faith."

That's how Regina Agyare describes her decision back in 2012 to leave her well-paid job at a major international bank in Ghana's capital Accra to follow her dream and embark on her own entrepreneurial journey. Having worked for six years as the bank's only female IT specialist, Agyare quit everything to create Soronko Solutions, a software development company.

"My friends thought I was crazy," recalls Agyare. "But I was like, 'this is it!'"

One of Ghana's first female tech entrepreneurs, Agyare had to overcome many challenges in starting her business -- beginning with breaking the gender barrier in her country.

"As an African woman, the role is you go to school, you get a job, you marry," says Agyare, whose startup is now building corporate websites and e-commerce portals for more than 30 businesses in Accra. "Entrepreneurship is not something that you are taught so I never saw myself as an entrepreneur."

Last summer, out of a passion to pass on her expertise, Agyare co-founded "Tech Needs Girls," a mentorship and educational initiative aiming to encourage young women to pursue a career in technology. Along with other female computer scientists, she makes time to visit places like Nima, a slum right in the heart of Accra, to teach girls how to code and develop mobile and web applications.

CNN's African Start-Up caught up with Agyare to talk about her initiative and discuss the reasons why there should be more women in technology. Here's what she said.

Improving technical innovation: "Currently we are missing out on valuable perspectives that 50% of the population can bring to designing the technology of the future. Research shows that diversity improves problem solving, productivity, innovation and ultimately the bottom line -- we need the female perspective in technology."

Reducing social inequalities: "Computing jobs are among the fastest growing and the highest paying, yet few women are benefiting from these occupations. This trend increases social inequalities and barriers to girls' future life opportunities. Girls need to have technology skills in order to thrive in the 21st century as more than 95% of all jobs have a digital component."

Teaching girls leadership skills and critical thinking: "By learning to create technology girls learn to speak up since they have to explain their work; they must stand tall in order to be taken seriously in this male-dominated field. The process of writing software is essentially solving a problem using critical thinking and a series of steps. The girls also get to express their creativity through their software designs."

Stopping the workforce exit: "More than half (56%) of women in technology leave their employers at the mid-level point in their careers (10-20 years). Some describe themselves as lone wolves. Personally I found technology to be very lonely since I was always the only female in the IT department."

The numbers say it all: "In the United States, women hold less than 25% of science, technology, engineering and math (STEM) jobs. In the UK, women now make up 46% of the country's workforce, but hold only 15.5% of the STEM jobs -- this excludes medicine, which has a high representation of women. Each year the number of women studying and pursuing careers in technology goes down by 0.5% thus by 2043 at the current trend less than 1% of the global tech workforce will be female."

READ THIS: 15 African startups to watch

READ THIS: Africa's techies hop aboard the StartupBus

@highlight

Regina Agyare is a leading technology entrepreneur from Ghana

@highlight

Her startup, Soronko Solutions, creates websites and e-commerce portals

@highlight

Agyare has also started an initiative teaching young girls in poor areas how to code

@highlight

Here, she discusses why there should be more women working in tech