(CNN)Israeli Prime Minister Benjamin Netanyahu's recent speech to the U.S. Congress has received disproportionate media attention across the world: the leader of America's most important client state in the Middle East defies the reservations of the White House, abusing Congress as a platform for his Israeli election campaign.

Disregarding Israel's already strained bilateral relations with the United States, Netanyahu readily risked the consequences of humiliating the Obama administration in exchange for less than an hour of political self-manifestation -- typical for a man who is domestically known to be not much of a statesman.

Netanyahu is a charismatic speaker and a passionate Israel-advocate, however, his personal and political interests have always taken precedence over serving Israel's national interests. Political survival has been the maxim of his domestic and foreign policies.

Netanyahu joins a long list of Israeli politicians overwhelmed by the plurality and polarization of domestic public opinion. So far he has been just another Israeli leader seeking "easy" short-term answers to fundamentally strategic problems, thereby further protracting an already protracted conflict. As a puppet of ideological, conservative playmakers who whole-heartedly reject a two-state solution, Netanyahu has been held hostage by the likes of Foreign Minister Avigdor Lieberman and Economy Minister Naftali Bennett who pursue a discriminatory policy of sectarian segregation intending to contain Palestinian public dissidence through mere coercion.

Consequently, Netanyahu's foreign policy vis-à-vis the peace process has been a disaster. He took over from Ehud Olmert and Tzipi Livni -- two politicians who at least believed in a two-state solution and were ready to make sacrifices to keep the peace process alive. Israeli leaders typically fall into two categories: those who believe in peace and those that have the power to make peace.

Olmert was the former, and Netanyahu long seemed like he could become the latter. In reality, however, Netanyahu is neither. He has given in to a toxic form of Jewish nationalism, disregarded Israel's relatively good regional position vis-à-vis its otherwise-occupied Arab neighbors; he has continued to build settlements out of spite, thought of ever new preconditions for bilateral negotiations with the Palestinians and waged a ruthless war against Gaza without a clear strategic endgame -- a war that was lost militarily and in terms of international reputation.

Apart from the tragic effects of Netanyahu's policy on the peace process, his stubbornness has alienated allies in Europe and Washington.

While the Arab world has been widely apathetic about the Israel-Palestinian issue amid regional disintegration, partners on both sides of the Atlantic have tried to facilitate the revitalization of constructive peace talks.

Yet, Netanyahu chose to ignore external initiatives, retracting to a Jewish nationalist rhetoric founded on security paranoia, self-victimization and the illusion of Israeli autarky in security and defense. As a consequence, Israel's foreign relations with its most important strategic partners have noticeably cooled.

Obama's Middle Eastern focus has shifted from the Israel/Palestinian issue to a rapprochement with Iran.  European lawmakers are considering recognizing Palestinian statehood despite Israeli objections.

More importantly, many traditionally pro-Israel Western publics have turned their back on the Jewish state. Younger generations in particular refuse to accept the narrative that shaped their parental generation: Israel as the David in a fight against Goliath. Israel's monopoly on victimhood has been undermined by an inflexible, uncompromising short-minded policy towards a Palestinian people under occupation whose narrative of victimhood increasingly finds attentive ears in the West.

At first sight, then, the prospect of four more years of Netanyahu, does not sound too promising -- at least in regards to the peace process. At a closer look, however, a continuation of Netanyahu's policies might actually help the Palestinian cause. His implicit rejection of the two-state solution; his prioritization of short-term security over sustainable security solutions; his pursuit of a toxic Jewish nationalist agenda justifying an intensification of sectarianism between Israel and the Occupied Territories as well as within Israel, are all factors that will leave Israel increasingly isolated.

His Israel-first narrative might win Netanyahu votes within a highly polarized electorate that in recent years has become more and more right-wing amid a top-down constructed climate of fear. Hamas' and Hezbollah's mid-tech missile capability, Syria's socio-political disintegration and subsequent rise of Islamist non-state actors, have been used by the Netanyahu government to create an Arab bogyman ostensibly threatening the Jewish state's very existence -- a new bogyman coexisting side-by-side with Netanyahu's "favorite" bogeyman, Iran. Despite Netanyahu's pre-occupation with security, the derailment of the peace process has not been much of a topic during the campaign so far.

If Netanyahu receives another mandate on Tuesday, Israel will be further driven into the international offside, pressure from the West will increase and thereby the Palestinian cause will receive ever more attention and support from policymakers and publics across the world.

Netanyahu has become somewhat of a villain in the West -- an untrustworthy, short-sighted politician who in comparison to his counterparts in Ramallah appears to lack the willingness to compromise, cooperate and empathize. Thus, while another term of Bibi will not be in the national interest of Israel, it will very likely serve the Palestinian interests.

@highlight

Political survival has been maxim of Netanyahu's domestic and foreign policies, says Andreas Krieg

@highlight

Krieg: Netanyahu's foreign policy vis-à-vis the peace process has been disaster

@highlight

New term for Netanyahu will not be in national interest of Israel, it will serve Palestinian interests, Krieg adds