Washington (CNN)Another Bush is poised to confront the seemingly endless challenges of Iraq.

Nearly 25 years after his father launched the first Gulf War and almost 12 years after his brother began a much more contentious sequel, it's Jeb Bush's turn to articulate his vision of America's approach to the Middle East -- and Iraq in particular. How he responds will have big implications for his White House ambitions.

On Wednesday, he'll deliver his first foreign policy speech since signaling his serious interest in running for president next year, laying out "how America can regain its leadership in the world," according to advanced excerpts of the speech.

The remarks come as the United States is again being drawn back into the Middle East, including Iraq, to combat the brutality of the Islamic State. The speech will offer Bush a chance to show whether his national security views align more with the swaggering interventionism of his brother or the cautious internationalism of his father.

Democrats are vowing to tether him to the controversial decisions of his brother, President George W. Bush, who they blame for starting a war in Iraq on false pretenses and for presiding over a disastrous occupation that cost trillions of dollars, thousands of U.S. and Iraqi lives and destabilized the region.

The challenges of addressing his family's foreign policy legacy are clear to Bush, who is already trying to defuse them.

"I love my father and my brother. I admire their service to the nation and the difficult decisions they had to make," Bush will say according to excerpts of his speech. "But I am my own man -- and my views are shaped by my own thinking and own experiences."

But he will also project them as a strength, calling himself "lucky to have a father and a brother who have shaped America's foreign policy from the Oval Office."

Bush is wading into foreign policy at a crucial time, when it appears that public opinion on issues of war could be shifting.

A new CNN poll shows that Obama is beginning to pay a price for the lurid execution videos posted by ISIS and the group's widening footprint through the Middle East and North Africa. Disapproval of Obama's management of the ISIS crisis has climbed from 49% in late September to 57% now, potentially providing an opening for Republicans to push for tougher foreign policy.

And Bush will slam Obama's foreign policy as "inconsistent and indecisive," pointing out that Obama's foreign policy has made the U.S. less influential despite Obama's promise to engage leaders around the world, what Bush will dub "the great irony" of Obama's presidency, according to excerpts.

But Bush is nevertheless likely to find himself pulled into a debate over conflicts initiated by George W. Bush that still vex U.S. policymakers and remain an open wound in American politics.

Democrats insist they won't let Bush get away with his pledge to not re-litigate old wars.

"If you thought George Bush's foreign policy made the world less safe, then you're going to really hate Jeb Bush's approach," said Mo Elleithee, communications director of the Democratic National Committee. "Even with the benefit of hindsight, he's one of the few people left who still stands by the decision to rush into a war in Iraq based on false information, even when it took resources away from the hunt for al Qaeda in Afghanistan. And he's made it pretty clear that if he had his way, we'd still be in Iraq and staying there indefinitely. "

Democrats believe George W. Bush created a mess abroad and voters will not buy attacks on President Barack Obama by his brother.

"The bulk of what we know of Jeb's foreign policy experience is his steadfast refusal to criticize his brother when his brother was in office," said Ben Ray of the progressive PAC American Bridge. "On Friday, I think you saw him take an unsustainable position. That is not how presidential politics works."

Bush's past statements on his brother's presidency are already powering the Democratic attacks.

"During incredibly challenging times, he kept us safe," Bush said at the Republican National Convention in 2012.

In an interview on CNN's "State of the Union" in March 2013, Bush said: "The war has wound down now and it's still way too early to judge what successes it had in providing some degree of stability in the region."

A 2010 CNN interview in which the Bush brothers appeared together could provide Democrats even more fodder. During the interview, Jeb said "I have never disagreed with (George W. Bush)... 'til death do us part."

There are deeper reasons why Bush will find it hard to skip a full discussion on Iraq or Afghanistan. Neither war produced a clear-cut U.S. victory and both nations still face intractable political, military and sectarian challenges, including the rise of ISIS and the resilience of the Taliban, which will be among the most pressing foreign challenges for the next president.

The politics of the Iraq war, meanwhile, remain toxic, and disputes over the origins of the conflict  -- which have never been resolved -- cloud the debate over how to rescue Iraq from its current plight.

Even people who worked for his brother believe Jeb Bush needs to address Iraq soon.

"There is no question that Gov. Bush has to talk about Iraq at some point," said Peter Feaver, who was a leading official responsible for Iraq on George W. Bush's National Security Council and is now at Duke University. "Those questions will be asked of him and he has to have an answer."

Kori Schake, who also worked as a senior foreign policy aide in the Bush administration, agreed.

"I do think he is in a vulnerable position on Iraq because of his last name," she said, conceding that the public perception of the Bush legacy on foreign policy was a wider problem for his party, not just Jeb Bush.

"Conservatives, Republicans have to rebuild public confidence in what we say we are going to do," said Schake, now at the Hoover Institution. "That is a high hurdle but it is an achievable hurdle."

Bush can take several approaches.

He could argue that avoiding a rehash of the fierce war debate may actually help move the nation on and focus on the best way to tackle ISIS as it spreads across the Middle East.

That might be beneficial because the current foreign policy disputes in Washington seem still mired in a perpetual blame game.

"When you ask: 'What is the appropriate U.S. response to ISIS?' half the people in Washington answer: 'George W. Bush broke Iraq and ISIS was born in the rubble. There would be no ISIS if it weren't for him.' " Peggy Noonan wrote in her Wall Street Journal column earlier this month. "The other half answer: 'When Barack Obama withdrew from Iraq, ISIS was born in the vacuum. There would be no ISIS without him.' "

Bush seems to be happy to engage in war talk if it centers on Obama's missteps, which may offer him a chance to turn the conversation on Iraq away from simply yet another fight over his brother's legacy.

At the Detroit Economic Club earlier this month, Bush warned that Obama's failure to arm rebels in Syria and insufficient attention to Iraq left a void for jihadism.

"As we pulled back from the Middle East, look what happened," he said. "Look what happened with ISIS in Syria. Look what happened with ISIS in Iraq."

And on Wednesday he will make the case for unapologetic leadership on the world stage coupled with a strong military, "because I believe, fundamentally, that weakness invites war...and strength encourages piece," according to excerpts.

This is hardly the first time Iraq has emerged as a campaign issue.

The United States is fighting its third war in the country, if the current campaign against ISIS is included. Iraq was a key issue in presidential elections in 2004 and 2008.

It now looks certain that Obama will deposit the messy aftermath of the wars onto his successor, meaning they will return to the campaign trail in 2016.

@highlight

Bush doesn't want to "re-litigate" old rows over brother's wars

@highlight

Democrats already planning Iraq war offensive

@highlight

But Obama missteps could help GOP