Editor's note: Richard Gabriel is the president of the American Society of Trial Consultants Foundation and president of Decision Analysis, a national trial consulting company. He has worked on the Casey Anthony and O.J. Simpson cases and is the author of the upcoming book, "Acquittal", to be published by Berkley Publishing, Penguin Group USA.

In the courts and in society, we tend to think of racial bias as overt bigotry and imagine that the George Zimmermans and the Paula Deens of the world hold negative stereotypes of other races and intentionally think less of them as people.

Actual bias, however, operates in the brain in a much different way.

Our acceptance of other people and cultures is a recent development in human history. The thousands of years of survival training we have acquired in our slow march up the Homo sapiens ladder have taught us to fear and suspect others who do not look and act like us. Wars and genocide have ravaged populations in such forms as the Crusades, Adolf Hitler, Pol Pot, the war in Bosnia, the Hutu-Tutsi conflict, and the recently highlighted battles between Shiites and Sunnis, all in the name of demographic differences.

Thomas Jefferson wrote the "all men are created equal" language in the Declaration of Independence while owning slaves. And despite the Emancipation Proclamation, the Supreme Court codified the oxymoronic "separate but equal" Jim Crow laws in the Plessy v. Ferguson case only 33 years later.

So, despite our noble desire to love our fellow man, we are all suspicious of "The Other" -- in this case, the young man in a hoodie in the rain. Whether that figure comes in the form of a black teenager, a gay co-worker, the Muslim neighbor, the overweight teacher, the barista with the tattoos and piercings, or, yes, even the gun owner, we all have biases. And yet most of us will never admit we have them, placing our own Gandhi-like bias-free self-image on a pillar of fairness and equity. But the truth is, the more we deny we have biases, the more we broaden and deepen those prejudices.

George Zimmerman has denied he holds any racial animosity. And that may be true. But with his statements, "F***ing punks. These a**holes, they always get away," he may have been unconsciously referring to a combination of race, youth, behavior, and clothing. His frustration with the high crime rate in Sanford, Florida, and the robberies in his neighborhood no doubt aggravated his need to "profile" the perpetrators he felt were victimizing his community.

Trayvon Martin, in saying he was being followed by a "creepy-ass cracker," no doubt also racially labeled Zimmerman out of fear. That is how all of our brains work. We categorize the characteristics of those who seem so different from ourselves that it makes us uneasy. And we do it without even thinking about it.

There is a well-known principle in social psychology called ingroup-outgroup bias, which is the tendency to judge members of your own group more favorably and others more harshly. This has been followed by a great deal of recent research on "implicit bias" -- a subconscious negative association that we automatically attribute to others. Both of these cognitive blind spots are dangerous because they run in the background of our minds, all day long, outside our awareness.

So when Juror B37 speaks to Anderson Cooper about not finding Trayvon Martin's friend Rachel Jeantel credible because she found her "hard to understand" and Jeantel was "using phrases I had never heard before," it is obvious that it was hard for this juror to relate to this witness.

And it is a combination of skin color, idiom, nonverbal behavior, and personality that causes this cultural outgroup divide, not just her race. This juror did not know about Rachel Jeantel's underbite, or that she grew up speaking Spanish and Creole, or how those things affected her communication style, and thus could not relate to her.

In her interview, Juror B37 spoke about Zimmerman's justified actions, his state of mind, her sympathies for him as well as the deceased Martin. In jury selection, she spoke about the Sanford protests before the trial as "rioting." This juror could more easily relate to Zimmerman as the neighborhood watch volunteer trying to protect his neighborhood.

Jeantel, in her interview with Piers Morgan, said she believes that the situation was "racial" and Zimmerman was "finally gonna get one." Some of Martin's supporters invoked Emmett Till and Medgar Evers and criticized the racial makeup of the Zimmerman jury. Their comments, from their experiences, reveal the harsh reality of the world they live in.

Nearly 20 years ago, when I was working for the defense on the O.J. Simpson case, much was made about the racial makeup of that jury (made up of nine blacks, two whites and one Hispanic). But again, it was not just the skin color of those jurors alone that determined that verdict. Three-quarters of those jurors had personal experience with the police profiling, planting evidence, and engaging in other  mistreatment. Their experience, derived from their racial reality, obviously made them more receptive to the defense's arguments about police misconduct. We see what we have experienced. So we see what we want to see, whether we are a white juror in Sanford, Florida, or an African-American juror in Los Angeles.

I have worked on more than a thousand trials and have watched jurors in hundreds of jury selections struggle to recognize their own biases and reconcile them with their desire to be impartial judges of facts and laws.

In jury selection in the Zimmerman case, jurors spoke about impressions they had already formed about the case, as well as their own experiences with crime and law enforcement.  And while I do not question the Zimmerman jurors' fairness in deciding this case, fundamental psychology and common sense says that you are never fully able to "set aside" your experiences and the beliefs that you have held for years.

In much of this country, this pervasive ingroup-outgroup implicit bias has allowed minority defendants to be charged and sentenced at statistically disproportionate numbers while the disparity is dismissed with excuses, a shrug, and a resigned "What are you gonna do?" It has allowed institutional discrimination to occur in government, businesses, schools, and the courts, while politicians, executives, teachers, and judges vehemently deny its existence. And it has left a bitter legacy of disparate treatment of African-Americans by mostly white juries.

At the conclusion of this tragic case, we can divide again into camps of pro-Martin or pro-Zimmerman advocates and bemoan the lack of racial progress. However, instead of just shaking our heads and speaking sadly about how far we still have to go in the area of race relations, let's use this solemn opportunity to actually move the discussion forward. Just the fact that there has been so much peaceful reflection after this verdict shows a great deal of progress.

The American Bar Association, the National Center for State Courts, the Institute for the Advancement of the American Legal System, and the American Society of Trial Consultants Foundation have all recognized that these biases are a pernicious form of decay in our justice system, and these organizations are studying and implementing reforms in the courts.

A Tufts University study in 2006 showed that diverse juries made better decisions because the different perspectives made them more thorough and less likely to make factual errors. While I am not criticizing this jury's decision, the courts and local communities would all benefit from greater diversity.

Former Police Chief William Bratton significantly reduced inner city crime rates in New York and Los Angeles and improved police relations in minority neighborhoods by community policing policies that favored mediating differences instead of authoritarian strong-arm tactics.

Community courts are gaining favor as a way of building partnerships among residents, merchants, churches, and schools to address local safety and crime problems.

Bias is not simple, and we shouldn't pretend it is. We also should not act as though it is a horrible monster that we should run from. It isn't. It lives in all of us. We just don't know it. The real question for us is not whether we have biases, but how our biases affect how we see and interact with strangers, standing scared in the rain in the middle of a gated community.

So it's time to stop pretending. It's time to make implicit bias explicit. If we're going to talk about race, let's talk about race without resorting to platitudes, righteousness or defensiveness. It's time to recognize that race is more than skin color. It is a rich tapestry woven with cultural, linguistic, behavioral and moral threads.

It's time to talk without judging. It's time to listen without condemning. It's time to admit and take responsibility for who we are. Most importantly, it's time to start understanding. If we really want this trial to mean something, we owe both Trayvon Martin and George Zimmerman at least that much.

@highlight

Richard Gabriel: People see themselves as unbiased, but we all carry prejudices with us

@highlight

Gabriel: Juror's comments showed divide between her and key witness

@highlight

He says George Zimmerman, Trayvon Martin expressed bias in remarks

@highlight

It's better to confront our biases than to keep hiding them, he says