Washington (CNN) -- They tried in Congress, at the ballot box and in the Supreme Court, but Republicans have been unable to stop Obamacare.

Now they have a new angle: suing President Barack Obama over changes in enforcing his signature health care reforms.

House Speaker John Boehner framed the issue as a matter of presidential overreach when he announced the focus of the lawsuit on Thursday.

"In 2013, the President changed the health care law without a vote of Congress, effectively creating his own law by literally waiving the employer mandate and the penalties for failing to comply with it," Boehner said in a statement.

"That's not the way our system of government was designed to work. No president should have the power to make laws on his or her own," he said.

Obama and Democrats called that premise malarkey.

"You're going to sue me for doing my job? OK," the President told an applauding crowd Thursday in Austin, Texas, using the opportunity to take a jab at congressional dysfunction he blames on Republican obstruction.

"Think about that," Obama said. "You're going to use taxpayer money to sue me for doing my job while you don't do your job."

The issue blends constitutional debate on the balance of government powers with the partisan fervor of election-year politics. Here are some questions that help provide a deeper look:

1) What's this all about, anyway?

Obama and Democrats passed the Affordable Care Act in 2010 with no Republican votes. Ever since, the political right has tried to derail the law nicknamed Obamacare, with affection by the President and derision by his foes.

Conservatives despise the measure that requires Americans obtain health insurance as part of reforms intended to lower the overall cost of U.S. health care, calling it an unworkable government expansion.

Lawsuits challenging it as unconstitutional wound their way through the appeals process to the Supreme Court, which ruled it legal in 2012.

Republicans led by presidential nominee Mitt Romney ran against it that year, making repeal of Obamacare a major campaign promise. Voters re-elected Obama and kept Democrats in control of the Senate, while Republicans maintained their House majority.

House Republicans have voted more than 40 times to repeal or dismantle the law, but their efforts never advanced in the Senate.

Now Boehner and his GOP colleagues are focusing on Obama's 2013 decision to delay a provision in the health care law that requires employers with more than 50 workers provide them with health insurance.

The so-called employer mandate originally was to take effect on January 1, but the administration's move put it off for a year to allow more time for the transition. Another revision in February further extended the mandate's phase-in.

2) Thanks, but what's it really about?

Election-year politics, mostly.

Republicans contend Obama has routinely expanded his executive powers through presidential orders and other actions that usurp the authority of Congress granted by the Constitution.

As examples, they cite a decision to stop deporting some young undocumented immigrants, as well as the employer mandate revision.

Until now, none of the grievances reached the level of a lawsuit by the GOP-controlled House against the President.

Thursday's announcement of the Obamacare focus came less than four months before congressional elections that Republicans hope will generate a huge conservative turnout to hold their House majority and seize control of the Senate.

Boehner denied any political motive, telling reporters "it's not about Republicans versus Democrats."

"This is about the legislative branch that's being disadvantaged by the executive branch," he said, adding: "What we're talking about here are places where the President is basically rewriting law to make it fit his own needs."

On Friday, White House spokesman Josh Earnest called the move "a taxpayer-funded political stunt" that he said failed to reflect the nation's priorities.

3) So did Obama overreach?

Depends to whom you talk.

George Washington University law professor Jonathan Turley told the House Judiciary Committee in December that delaying the employer mandate provision of the health care law "crossed the constitutional line."

Noting the original start date for the mandate was "a matter of considerable debate within Congress during deliberations," Turley said "no express power" existed for the President to change it.

Not so, countered Simon Lazarus, senior counsel of the at the progressive-minded Constitutional Accountability Center.

"These critics fault the Obama administration for making necessary adjustments in timing and matching enforcement priorities with resources and practical, humanitarian and other exigencies," Lazarus told the same December hearing. "But exercising presidential judgment in carrying laws into execution is precisely what the Constitution requires."

4) Typical lawyers. Please make it simple for me.

The question is whether Obama exercised more power than allowed in changing how the health care law works.

Reihan Salam, a conservative CNN political commentator, noted the Supreme Court recently voted 9-0 against Obama over recess appointments he made without congressional approval.

"There are many people who agree that this president has gone too far in abusing his executive power," Salam said Friday. "That's not about Democrats and Republicans. That's about our system of government."

Democrats point out the lawsuit challenges a presidential action similar to steps taken by Obama's predecessors, such as GOP President George W. Bush's waiving of penalties for impoverished senior citizens who missed the deadline for enrolling in Medicare Part D in 2006.

"Presidents get to deal with the implementation of these laws through the administrative process," said Democratic strategist and CNN Contributor Donna Brazile.

Ironically, House Republicans voted last year to delay the employer mandate just like Obama eventually did, but they are now planning to challenge Obama for it in court. Senate Democrats never took up the matter because it would have reopened debate on the health care law as the administration prepared to fully implement it.

Asked about such an apparent reversal, Republicans say they were right back then and now, because Congress -- not the President -- is supposed to make such a change.

5) So what happens next?

The House Rules Committee will hold a hearing next week on the proposal to sue Obama, with the GOP-led panel expected to approve it.

However, legal experts say challenges remain to getting the case before a judge.

For example, House Republicans must establish legal standing to file such a lawsuit, which means proving that Obama's action harmed the legislature as an institution.

Meanwhile, the partisan carping and finger-pointing will continue in Washington.

CNN's Jim Acosta and Dana Davidsen contributed to this report.

@highlight

House Republicans say they'll sue President Obama over his health care reforms

@highlight

Is it a constitutional challenge or election-year politics?

@highlight

Legal experts argue over who is right

@highlight

Challenges exist to getting a lawsuit before a judge