(CNN) -- "If he has a conscience he will suffer for his mistake. That will be punishment -- as well as the prison." Fyodor Dostoyevsky

A year after QPR played Chelsea at Loftus Road in an English Premier League game there is no sign of the rancor in the racism case involving John Terry and Anton Ferdinand diminishing.

Rancor which has prompted despair from media commentators at the systematic abuse players dish out to one another, their refusal to engage in the pre-match handshake ritual and abusive tweets from players and fans alike.

Prior to Chelsea left-back Ashley Cole labeling the FA as a bunch of twats in the saga, players' union chief Gordon Taylor, who is the Professional Footballers' Association chief executive, likened the dispute to a "mafia feud", while former English Football Association chairman Lord Triesman believes is is "unconscionable" the case has rumbled on for nearly a year.

Last month Chelsea captain Terry was handed a four-match ban and a $356,000 fine by the English Football Association after being found guilty of racially abusing Queens Park Rangers defender Anton Ferdinand.

Terry's punishment came just days after he announced his retirement from international football, claiming that England's governing body had made his position within the national team "untenable".

In July, the 31-year-old defender had been found not guilty of a racially aggravated public order offense at Westminster Magistrates' Court.

However the FA requires a lower burden of proof than an English court and it took the decision to bring Terry before its disciplinary system .

Published last week, the FA's 63-page report into the case made for uncomfortable reading as it detailed the dispute and its subsequent fall out over the last year.

Racism remains "significant" problem in English football

Prior to punishing Terry, the FA also had to deal with another racism case, handing Liverpool striker Luis Suarez an eight-match ban and a Â£64,000 fine after finding the Uruguayan guilty of racially abusing Manchester United defender Patrice Evra.

The rights and wrongs of Suarez's punishment and of the Terry case -- should the FA, for example, have charged the Chelsea captain after he had been cleared in a court of law -- have been played out endlessly in the media and across social-networking websites like Twitter.

But Terry's punishment and his perceived bitterness regarding the way he has been treated also raises questions about the way the FA, indeed all sports organizations, punish players.

Why for example does any punitive action taken not incorporate a rehabilitation approach as recently suggested by PFA chairman Clarke Carlisle?

With black youth unemployment approaching 50 percent in some areas of London, why doesn't the FA insist that Terry spends a significant number of hours working within an inner-city community project?

Likewise why doesn't the FA donate Terry's fine to grassroots projects actively involved in building better community relations?

Mourinho defends Terry in racism case

The FA's position is that it is a not for profit organization and all the money that it makes goes directly back into football, either through the professional game structure or directly as investment back into the grassroots structure.

"There doesn't seem to be much appetite for creativity from the Football Association," Piara Powar, executive director of Football Against Racism in Europe, told CNN, after being asked whether a "rehabilitation" approach might be more productive in the long term.

"Rehabilitation is a fundamental principle of British justice and we still believe in it," added Powar. "That is how our justice system works and the idea of rehabilitation should be applied to English football.

"The Terry case has dragged on for so long that it has allowed for some very mixed messages to come out, so I think a rehabilitation sanction is a really good idea.

"What can we think of that allows him to feel that he is not being persecuted?"

Liverpool's Suarez fined, suspended over racist remarks

However, one Premier League footballer has reservations about such an approach.

"I think that in principle the idea is a noble one," said the Secret Footballer, who writes anonymously about his experiences of playing in the Premier League.

"How would the FA pick an organisation or youth team without being biased?

"It's a bit like politics -- nobody is happy with the current situation but nobody seems to have a practical alternative.

"I think the FA are bound by what they can and can't do from a legal standpoint. Fines and bans are written in to contracts and players agree to the possibility of this action when they sign a specific contract with the FA.

"Most players do this anyway. Every team has a 'in the community' vehicle that it uses mainly to capture the next generation of supporters and players.

"All players take it in turn to meet the kids, answer questions, give out awards and play in a little game with them. "You won't read about that though because it isn't very interesting.

Down the rabbit hole: Depression in the Premier League

"We're talking about punishment for racist abuse here. I certainly don't feel that coaching a group of kids for a week is a suitable punishment.

"As a parent would you want your Black or Asian child to be coached by a player that is only there because he has been charged and subsequently convicted of racist abuse? I don't think I would."

The Secret Footballer insisted that there was nothing more professional footballers hated than missing games.

"Missing games hurts footballers more than any other punishment, if we are to buy in to a zero tolerance approach, then the punishment needs to fit the crime and we should not be scared to level 10 game bans for players found guilty of racist abuse. Like Suarez."

Sanctions

In recent years it has been argued that leading sports bodies have not always been consistent in the way players, clubs and or federations have been sanctioned.

In November 2011, UEFA fined the Bulgarian Football Union $52,000 for its fans' racist abuse of England players during a Euro 2012 qualifier in Sofia in September last year.

Fast forward to Euro 2012 and UEFA fined Denmark's Nicklas Bendtner $125,800 for exposing boxer shorts adorned with the logo of an online betting company as he celebrated scoring against Portugal.

Likewise in November, FIFA president Sepp Blatter suggested that players who have been racially abused should shake hands with their opponent upon the final whistle and move on.

A new approach?

Over in the United States, various different sports have been testing the water in trying to come up with different ways of punishing miscreant players.

Notably the NBA wants to penalize divers or "floppers" for repeated violations of an act the league says has "no place in our game".

Players will get a warning the first time, then be fined $5,000 for a second violation. The fines increase to $10,000 for a third offense, $15,000 for a fourth and $30,000 the fifth time. Six or more could lead to a suspension.

However, the players' association plans to file a grievance with the league office and an unfair labor practice charge with the National Labor Relations Board, arguing that it should have been consulted first before the new rules were implemented.

That NBA approach might win the support of Stoke City manager Tony Pulis, who called for the FA to punish Liverpool striker Suarez for diving after a 0-0 draw at Anfield on Sunday.

Major League Soccer's Disciplinary Committee has also been coming down hard on cheating players in the U.S., but retrospectively

Every week the committee -- a body of five people whose names are not public -- announces suspensions and fines for actions that were not caught by the referee in the previous weekend's games.

The league owners want to change the culture of the league from being "physical" to more "creative", but the players are unhappy that the league is "re-refereeing" games.

Meanwhile, back in England, intriguingly it is understood that a "rehabilitation" approach could be considered by the FA in the future. Watch this space.

@highlight

Fallout from racism case involving John Terry and Anton Ferdinand shows no sign of going away

@highlight

Terry was handed a four-match ban and a $356,000 fine by the English Football Association

@highlight

Fabio Capello lost his job as England coach; Terry lost the England captaincy and then retired

@highlight

In the U.S. the NBA and MLS have begun to explore new ways of punishing players.