WASHINGTON (CNN)  -- Interrogation tactics such as waterboarding, sleep deprivation and slapping did not violate laws against torture when there was no intent to cause severe pain, according to a Bush-era memo on the tactics released Thursday.

Attorney General Eric Holder says government workers who followed protocol won't be prosecuted.

"To violate the statute, an individual must have the specific intent to inflict severe pain or suffering," said an August 2002 memo from then-Assistant Attorney General Jay Bybee to John Rizzo, who was acting general counsel for the CIA.

"Because specific intent is an element of the offense, the absence of specific intent negates the charge of torture. ... We have further found that if a defendant acts with the good faith belief that his actions will not cause such suffering, he has not acted with specific intent," Bybee wrote.

The Bybee opinion was sought on 10 interrogation tactics in the case of suspected al Qaeda leader Abu Zubaydah.

The memo authorized keeping Zubaydah in a dark, confined space small enough to restrict the individual's movement for no more than two hours at a time. In addition, putting a harmless insect into the box with Zubaydah, who "appears to have a fear of insects," and telling him it is a stinging insect would be allowed, as long as Zubaydah was informed the insect's sting would not be fatal or cause severe pain.

"If, however, you were to place the insect in the box without informing him that you are doing so ... you should not affirmatively lead him to believe that any insect is present which has a sting that could produce severe pain or suffering or even cause his death," the memo said.

Other memos allowed the use of such tactics as keeping a detainee naked and in some cases in a diaper, and putting detainees on a liquid diet.

On waterboarding, in which a person gets the sensation of drowning, the memo said, "although the waterboard constitutes a threat of imminent death, prolonged mental harm must nonetheless result" to violate the law.

Authorities also were allowed to slap a detainee's face "to induce shock, surprise or humiliation" and strike his abdomen with the back of the hand in order to disabuse a detainee's notion that he will not be touched, the memos said.

Bybee noted in the memo that the CIA agreed all tactics should be used under expert supervision. Other memos said waterboarding can be used only if the CIA has "credible intelligence that a terrorist attack is imminent" and if a detainee is believed to have information that could prevent, disrupt or delay an attack, and other methods fail to elicit the information.

Another memo to Rizzo, from Principal Deputy Assistant Attorney General Steven G. Bradbury on May 10, 2005, noted that nudity could be used as an interrogation technique.

"Detainees subject to sleep deprivation who are also subject to nudity as a separate interrogation technique will at times be nude and wearing a diaper," it said, noting that the diaper is "for sanitary and health purposes of the detainee; it is not used for the purpose of humiliating the detainee and it is not considered to be an interrogation technique."

"The detainee's skin condition is monitored, and diapers are changed as needed so that the detainee does not remain in a soiled diaper," the memo said.

Another Bradbury memo laid out techniques and when they should be used in a "prototypical interrogation."

"Several of the techniques used by the CIA may involve a degree of physical pain, as we have previously noted, including facial and abdominal slaps, walling, stress positions and water dousing," it said. "Nevertheless, none of these techniques would cause anything approaching severe physical pain."

All of the CIA techniques were adapted from military "survival evasion resistance escape" training, according to a May 30, 2005, memo from Bradbury to Rizzo.

"Although there are obvious differences between training exercises and actual interrogations, the fact that the United States uses similar techniques on its own troops for training purposes strongly suggests that these techniques are not categorically beyond the pale," the memo said.

The memo said waterboarding and other techniques were used on Zubaydah; Khalid Sheikh Mohammed, believed to be the mastermind behind the September 11, 2001, terrorist attacks and identified as "KSM" in the memo; and another suspected al Qaeda leader, Abd al-Rahim al-Nashiri.

"The CIA believes that it would have been unable to obtain critical information from numerous detainees, including KSM and Abu Zubaydah, without these enhanced techniques," the memo said.

"These legal legal memoranda demonstrate in alarming detail exactly what the Bush administration authorized for 'high value detainees' in U.S. custody," said Sen. Patrick Leahy, D-Vermont, and chairman of the Senate Judiciary Committee, in a statement. "The techniques are chilling. This was not an 'abstract legal theory,' as some former Bush administration officials have characterized it. These were specific techniques authorized to be used on real people."

In releasing the memos in response to a public records request from the American Civil Liberties Union and other groups, the Obama administration informed CIA officials they will not be prosecuted for past waterboarding and other harsh interrogation tactics.

Attorney General Eric Holder promised in a separate statement that officials who used the controversial interrogation tactics were in the clear if their actions were consistent with the legal advice from the Justice Department under which they were operating at the time.

"My judgment on the content of these memos is a matter of record," President Obama said in a statement released from the White House.

Obama prohibited the use of "enhanced interrogation techniques" such as waterboarding shortly after taking office in January. Such techniques "undermine our moral authority and do not make us safer," he said Thursday.

The president said that while United States must sometimes "protect information that is classified for purposes of national security," he decided to release the memos because he believes "strongly in transparency and accountability" and "exceptional circumstances surround these memos and require their release."

Obama argued that "withholding these memos would only serve to deny facts that have been in the public domain for some time."

"This could contribute to an inaccurate accounting of the past, and fuel erroneous and inflammatory assumptions about actions taken by the United States," he said.

He added that the officials involved in the questionable interrogations would not be subject to prosecution because the intelligence community must be provided "with the confidence" it needs to do its job.

The president pledged to work to ensure the actions described in the memos "never take place again."

CNN's Kate Bolduan and Terry Frieden contributed to this report.

@highlight

Memo: To violate torture law, must have intent to inflict severe suffering

@highlight

Obama says releasing memos vital to maintaining transparency, accountability

@highlight

Legal memos offered guidance to CIA on "enhanced interrogation"

@highlight

No prosecution for actions consistent with memos, official says