Washington (CNN) -- Former federal judge and conservative legal scholar Robert Bork died early Wednesday at his Virginia home, his family confirmed to CNN. He was 85.

Perhaps best known for his nomination to the Supreme Court by President Ronald Reagan in 1987, Bork was rejected for the post after a contentious confirmation battle led by left-leaning groups that opposed his conservative judicial philosophies.

Bork had recently served as a senior legal adviser to Republican Mitt Romney's presidential campaign. He was a solicitor general during the Nixon administration and first gained notoriety for carrying out the president's order to fire the special prosecutor investigating the Watergate scandal in 1973, an episode known as the Saturday Night Massacre.

But it was the Senate's rejection of his high court nomination that earned the conservative Bork a political legacy -- symbolic of the contentious, partisan nature of congressional confirmations.

Bork was also known as a staunch advocate for "originalism," a principle that defends the original intent of the Constitution.

In recent years, Bork became a well-regarded conservative voice on legal and constitutional matters, as well as the author of several books including "Slouching Toward Gomorrah: Modern Liberalism and American Decline." He was also a frequent commentator.

He told CNN in 2005 that he had to endure his failed nomination as a metaphor. To "Bork" someone has entered the popular lexicon as attacking a public figure in the media for partisan gain.

"My name became a verb," he said. "And I regard that as one form of immortality."

Supreme Court Justice Antonin Scalia, a longtime friend, described Bork as "one of the most influential legal scholars of the past 50 years."

"His impact on legal thinking in the fields of Antitrust and Constitutional Law was profound and lasting," said Scalia. "More important for the final accounting, he was a good man and a loyal citizen. May he rest in peace."

Photos: 15 Supreme Court cases that changed America

Scalia and fellow conservative Supreme Court Justice Clarence Thomas followed Bork's example of a strict interpretation of the Constitution.

That position made Bork "one of the intellectual godfathers of the conservative movement in this country," according to CNN senior legal analyst Jeffrey Toobin.

Robert Heron Bork was born in Pittsburgh in 1927 and attended the University of Chicago Law School, where his conservative leanings were forged. He was a Marine Corps veteran.

After private practice and a teaching stint at Yale Law School, he was named to the Justice Department in 1973 at the height of the Watergate crisis. When Attorney General Elliot Richardson and his deputy William Ruckelshaus abruptly resigned rather than carry out orders to dismiss special prosecutor Archibald Cox, Bork stepped in and carried out Nixon's demands.

He was criticized for bowing to political pressure but remained on the job. Nixon resigned a year later.

Reagan named Bork in 1981 to the high-profile U.S. Court of Appeals for the District of Columbia, where he served with future justices Scalia and Ruth Bader Ginsburg.

Bork was seriously considered for the 1986 high court vacancy that eventually went to Scalia, who still serves as the senior associate justice.

The retirement a year later of Justice Lewis Powell promised an ideological sea change on the divided high court. Powell was a centrist and the court's key swing vote. The Reagan White House quickly focused on Bork, hoping it would move the court to the right.

One major roadblock: Unlike the Scalia confirmation a year earlier, Democrats now controlled the Senate and were prepared for a fight. Bork's confirmation was the most bitter Washington had seen in years, and he was ultimately rejected by the Senate 58-42, the largest margin of defeat ever for a court nominee.

From Robert Bork to Instagram in 7 steps

The concern for many senators was not one of qualification but of temperament. Bork's paper trail was extensive. He was an outspoken and prolific jurist with a clear, unapologetic conservative record. Civil rights groups and liberal lawmakers attacked his writings and rulings on voting, free speech and, especially, on reproductive rights.

"Robert Bork's America is a land in which women would be forced into back-alley abortions, blacks would sit at segregated lunch counters, rogue police could break down citizens' doors in midnight raids, schoolchildren could not be taught about evolution," Sen. Edward Kennedy, D-Massachusetts, said at the time. "The doors of the federal courts would be shut on the fingers of millions of citizens."

During the nationally televised hearings before the Senate Judiciary Committee, Bork sparred with lawmakers, strongly defending his "originalist" judicial philosophy and rejecting suggestions the Constitution was a "flexible" document that offered new rights in changing political and social times.

Bork believed in "strict constructionalism," that judges should rule based only on the text of the Constitution as it was originally enacted, and should not be seen as righting all social ills.

In 2005, Bork told CNN's "Larry King Live" what made a good justice: "A willingness to apply the Constitution according to the principles that are actually in it rather than what they call the 'evolving' or the 'living' Constitution," he said, "which simply means the judges begin to make it up."

Friends and colleagues offered tributes to the conservative legal icon.

"Robert Bork was one of America's greatest jurists and a brilliant legal mind," said Sen. Mike Lee, R-Utah, a onetime constitutional lawyer and friend of the judge. "He was an expert on issues ranging from antitrust to privacy laws and was deeply influential in promoting constitutional originalism. Despite the unfortunate and unnecessary controversy surrounding his Supreme Court nomination, Judge Bork remained an inspirational figure for those seeking to enforce constitutional limits on the federal government. Our thoughts and prayers are with the Bork family."

That political fight raised the stakes for future Supreme Court nominations, bringing a new level of intensity and partisanship to the process. Groups on both sides of the ideological debate saw advantages in pointing out the impact the high court and its nine justices have on the rule of law and the hot-button issues decided.

The Supreme Court in June made a landmark opinion, upholding the sweeping health care reform law championed by President Obama. Rulings on affirmative action, voting rights and same-sex marriage can be expected by next June.

Justices order another look at key health care provision

Years after the political fight, Bork admitted that the partisan rejection of his nomination was personally trying. He had stepped down from the bench a year after it.

Bork suffered in past years with heart disease. Before his death, he was a distinguished fellow at the Hudson Institute, which researches and analyzes issues involving defense policy, international relations, health care, technology culture and law.

The foundation's president and CEO, Kenneth Weinstein, said Bork will be missed.

"Robert Bork was a giant, a brilliant and fearless legal scholar, and a gentleman whose incredible wit and erudition made him a wonderful Hudson colleague," Weinstein said in a statement on the organization's website.

People we've lost in 2012: The lives they lived

CNN's Ashley Killough contributed to this report.

@highlight

Conservative judge Robert Bork died Wednesday

@highlight

He was best known for the confirmation battle over his 1987 Supreme Court nomination

@highlight

Bork was a staunch advocate for a strict interpretation of the Constitution

@highlight

He was 85