Washington (CNN) -- An influential group of House conservatives, unhappy with the midterm strategy of Speaker John Boehner and other top Republicans, outlined its own election-year message on the economy on Wednesday.

"I think our leadership has been good about showing what we're against. I think one area where we've had weakness is we really haven't shown what we're for," Louisiana Republican Steve Scalise told CNN in advance of introducing a new jobs bill.

Scalise doesn't call out leaders by name, but in an interview in his Washington office, he sent a clear message that he believes there is a tendency for top House leaders to play it safe. He heads the powerful Republican Study Committee, a group of fiscal conservatives that includes the vast majority of rank and file House GOP members. Since its inception, the RSC's main objective is to move House GOP leaders to the right on policy measures.

"I would like to see our leadership be bold. I would like to see us as a House majority be bold because I think the American people are hungry for bold ideas that will solve big problems because I think our country has big problems."

Scalise said he's confident voters are overwhelmingly opposed to the agenda of President Barack Obama and congressional Democrats, but he admits his own party has low approval ratings, too. "They don't trust us because they don't know what we stand for," Scalise said.

Contract With America, Part II

Idaho Republican Raul Labrador agrees.

While he didn't work on the major jobs bill that Scalise and other conservatives unveiled Wednesday, he echoes concerns that his party isn't presenting a more aggressive election year campaign to educate voters about what Republicans stand for.

Labrador says he is talking to leaders about a package of ideas "kind of like a 'Contract With America' " that would spell out bills congressional Republicans would pass in the first 90 days of the next session of Congress.

In the 1994 midterm election, many credited Newt Gingrich's "Contract With America" as a key component in helping the party retake control of the House after 40 years in the minority and helping Gingrich become speaker.

Conservatives have clashed with House Republican leaders repeatedly on policy differences over the debt ceiling, the budget and spending bills. But in this case, there isn't a major disagreement over substance -- it's about strategy.

They believe continuing to pass piecemeal economic bills and sending them to the Democratic Senate gets lost with voters and dilutes their message.

That's why the jobs measure is a big bill that rolls together roughly 15 proposals. He and others admit they are not new, but that's not the point. They believe the impact is greater by packaging them.

"The fact that we're putting so many of our good ideas together in one bill shows that we want to have a sharper focus on not just the broad problems that are holding our economy back, but actually put a comprehensive plan to the fact that our economy is still struggling," Scalise said at a news conference after filing the bill.

Democratic pollster predicts 'huge turnout disadvantage' in 2014

The list includes a plan to approve the Keystone XL Pipeline, a proposal to authorize more offshore drilling, measures to roll back some regulations on coal plants and expedite permits for natural gas exploration. It also lists bills rolling back some financial services reforms that conservatives believe hurt the ability of small businesses to expand and get more access to capital.

The push for one overarching economic plan mirrors the playbook conservatives used recently to press their leadership to agree to hold a vote on a GOP alternative to Obamacare.

The RSC introduced its own proposal to repeal and replace the health care law last year. Again they pulled together a number of ideas that Republicans previously proposed into one package. Now House Majority Leader Eric Cantor is leading an effort with key committee chairs to draft a Republican alternative to the current system.

Boehner: We're pushing for more jobs

Asked about the criticism from conservatives on the speaker's jobs message, Boehner said Wednesday "we've been focused on jobs for three years and three months."

He said he welcomed ideas from conservatives and said "if they want to package it in a way that they think is best, I'll pat 'em on the back. Job well done."

Boehner agreed on the need to present a contrast for voters, saying that "I think we've got a challenge to show people what party has better ideas - we've got ideas."

But pressed on when the GOP leadership would unveil it's health care bill or any other broad agenda, Boehner said proposals would come out "as we develop them."

Cantor has been scheduling floor votes on targeted measures, such as a bill to reduce home heating prices. In a memo to House Republicans about the spring schedule, the majority leader touted several measures under his "American That Works" agenda and pledged more items were scheduled to address the "middle class squeeze."

Not all conservatives are worried that the party needs to present a comprehensive economic solution this fall.

Rep. Trey Gowdy of South Carolina says it is important to repeatedly tell voters what you support. But he says the Democratic Senate won't take up any House GOP bill, and he believes the 2014 midterm election will center just on the problems with Obamacare.

Asked if that issue alone is enough to help Republicans expand their majority in the House, Gowdy replied, "Right now it is."

Freshman Rep. Richard Hudson of North Carolina admitted that internal divisions among House GOP members make it hard to coordinate any unified message.

He pointed to how then-Speaker Nancy Pelosi kept her members on the same page when Democrats controlled the House.

"They all had a message of the day, and they all sang out of the same prayer book. We're all a bunch of individuals, so I don't think we could ever have that same kind of message discipline," Hudson said.

He also said, "Our leadership doesn't rule with an iron fist and say 'this is what you are going to say today.' It makes it harder to have a unified message to break through the noise."

Scalise thinks a more comprehensive statement of what Republicans would do for the economy is critical to helping the party in its quest to take control of the Senate.

"Right now, there is no head of the party and the House is the only majority," Scalise said. "It would excite people more to know what we would do if we were in the majority than if you just say put us in the majority so we'll block this President's agenda."

@highlight

Rep. Steve Scalise of Louisiana: "We really haven't shown what we're for"

@highlight

He is behind a major jobs and economic proposal

@highlight

Some influential conservatives question the midterm strategy of Speaker John Boehner

@highlight

Rep. Trey Gowdy of South Carolina says the election will turn on Obamacare