(CNN) -- "My last boss was a woman. All she did was micromanage everyone."

"Every woman boss I've ever had was extremely passive-aggressive in their leadership."

"It (was) much easier being managed by a male because he didn't put up with the pettiness or the gossip."

Sorry, ladies of the working world. Those are comments we received in response to my recent piece about how companies with more women in C-suites and corporate boards do better financially.

But so many commenters said they absolutely preferred working for a man, we knew we had to explore the "why" behind that sentiment.

Then this week, the Gallup organization added some numbers -- and fuel -- to the debate.

'I'm not surprised'

In telephone interviews with a random sample of 2,059 adults, Gallup found that Americans still prefer a male boss over a female, with 35% choosing to work for a man and 23% saying they prefer women supervisors. It's the highest-ever number recorded for women bosses since Gallup has been asking.

When you compare these results to the 1953 responses -- that's when Gallup first asked this question -- the gap has narrowed significantly. In 1953, 66% chose a male boss and 5% picked a female one, a huge gap that has been reduced to a 12-point difference today.

"I think it's great to see that trend, so I'm very encouraged by it, but I'm not surprised that it's still a 2-to-1 ratio of people preferring to work for men than women," said sociologist and workplace consultant BJ Gallagher, who has written several books, including a best-seller on diversity called "A Peacock in the Land of Penguins."

Topping the list of reasons, according to Gallagher, is the fact that men still have more power in the workplace than women.

"If you had your druthers, you'd rather work for somebody who has some influence, some power, some clout, some status and that's true for men and women," Gallagher said.

"It trickles down so that if you work for a powerful boss, you're a little bit more powerful. Your whole department is seen in a more positive light if the boss is a powerful (and) influential person," she said.

'How to Tell a Male Boss From a Female Boss'

In conversations with Gallagher and other experts, it's clear another factor is at work -- the real stereotypes that exist about working for a woman.

"It's an old stereotype that women may not be good bosses so when that happens, it sticks," said Susan Nierenberg, vice president of global marketing and corporate communications for Catalyst, a nonprofit focused on expanding opportunities for women in business. "Because the stereotype is in the water, and there are fewer women leaders than men, you may remember the woman who treated you badly and say, 'Oh yeah, I remember her.' And it reinforces the stereotype.

"Perception is not reality, and stereotypes are perceptions."

Gallagher has created a list titled "How to Tell a Male Boss From a Female Boss" with examples of perceived gender differences -- "A male boss is assertive; a female bossy is bossy" and "A male boss is attentive to details; a female boss is picky."

Opinion: Are female leaders too cheerful for their own good?

"There is a double standard," said Gallagher, who also wrote "Everything I Need to Know I Learned From Other Women." "The same exact behavior in a male boss is seen as a plus, and the same behavior in a female boss gets seen as a negative."

For instance, Gallagher said if a male boss "gets agitated and slams his fist down on the table and goes, 'I want this done by 3 o'clock this afternoon,' everyone goes, 'Ooh, take charge kind of guy.'"

If a woman does the same thing, Gallagher said, people are likely to say, "Oh, what a bitch."

"So the same tone of voice, the same words, the same body language, the same everything gets filtered through our stereotypes and assumptions about how various groups should behave," she said.

The 'token woman' issue

Fueling the stereotypes, Gallagher and leaders from Catalyst said, are environments with few women in leadership positions.

"When there's going to be a token woman, one woman is going to make it to the top, what does this do?" said Ilene Lang, president and CEO of Catalyst, during an interview last month.

"Does that encourage anybody to support women? Does it encourage women to support other women? It's a culture that will encourage women to fight with other women or to discourage other women."

But when the culture of the organization focuses on mentorship and sponsorship, and there are more women in leadership positions, that "Queen Bee myth" of women not helping women gets busted, Lang said.

In fact, a report by Catalyst found that 73% of women who received career development support are helping to support and develop other women, versus 30% of men.

"Our research shows that women not only sponsor and support other women, but that they do other men as well, and they really do pay it forward to a huge amount," Lang said.

That's been the experience of Karen Shaer, one of the women I profiled last month. Shaer is senior executive vice president and general counsel of the legal services firm Garden City Group, where eight of the company's 15 executives are women.

"It could be that some women tend to be more critical, but I haven't seen that," Shaer said. "I've seen more of the efforts for women to be supportive of other women."

The mom of two said, "It's infectious. When women help other women, then the women they help (have) a role model in that regard. And then ... if (they) develop and grow into a position of power or authority, I expect they will be more likely to turn around and treat someone that way."

'I've had good experiences with both'

Shaer, a former federal prosecutor, said she doesn't have a preference -- she's had good experiences with female and male bosses.

"I'm looking more for qualities that can be shared by men and women," she said. "I'm looking for someone who's a good communicator, who's going to be someone who is a good teacher, as well as be supportive, someone who is open to giving opportunities for growth and development and that can be provided by a man or a woman."

Complaints we saw from readers that women micromanage, hold grudges and are unable to make decisions didn't reflect Shaer's experience, she said.

"Maybe I've just been blessed with very good bosses, supervisors," she said. "It has not been my experience that women do those things. I think my experience maybe has been contrary to that."

When I asked an unscientific sampling in my Facebook community about the new survey's findings, I received a handful of responses, the majority with positive comments about working for women.

"With one notable exception, all my great bosses have been women," said Kim Kennedy, a television news producer in New York. "The best ones are collaborative and intuitive, give you some room to accomplish things beyond your assignment or job description, and many have been good mentors as well."

On the other side is Joy Lipkin, a college educator in New York who also works with young special-education students.

"Men are more straightforward, less emotionally attached (I mean this in a good way)," Lipkin said on Facebook. "Women hold grudges and seek vengeance on their subordinates. That's been my experience."

A father of two who didn't want to use his name said he reports to two women now who are "so much nicer" to work with than the male supervisors in his last job. But he added, "I think, overall, it just depends on the individual people."

I agree.

The most horrible boss I've had in my career was a woman. The most amazing, mentoring and supportive boss I've had was also a woman. I've also had good and bad male bosses.

So, like Shaer from the Garden City Group, I don't have a preference. My current boss is a woman, so, of course, these days, I lean in that direction.

Do you prefer a male or female boss? Share your thoughts in the comments, or follow Kelly Wallace on Twitter, and like CNN Living on Facebook.

@highlight

After a CNN column on women and work, many commenters said they prefer working for men

@highlight

New Gallup survey finds more Americans still choose a male boss, but the gap is narrowing

@highlight

In survey, 23% said they prefer working for a woman, the highest number in study's history

@highlight

A double standard contributes to the gender gap, say experts on women in the workplace