(CNN) -- The long debate on same-sex marriage is coming to an end. A plurality of Americans now support same-sex marriage; the figure is 63% among voters under 30. The rest is just a matter of time.

The end of the same-sex marriage debate does not, however, settle the problem of marriage in America. Not remotely. Among the 95% to 97% of Americans who are not gay, the institution of marriage continues to weaken -- with ominous consequences for the next generation.

About 40% of all the babies born in the United States are born to unmarried women. Just about everybody agrees that this is a worrying development.

As candidate Barack Obama told a Chicago church in 2008:

"(C)hildren who grow up without a father are five times more likely to live in poverty and commit crime, nine times more likely to drop out of schools, and 20 times more likely to end up in prison. They are more likely to have behavioral problems, or run away from home or become teenage parents themselves. And the foundations of our community are weaker because of it."

Of course there are exceptions to every rule. On average, however, children born to unmarried women do worse in all kinds of important ways compared to children born to married couples. They are less likely to complete their schooling, more likely to get in trouble with the law, more likely to have children out of marriage themselves, less likely to achieve upward mobility. The data behind these claims are overwhelming, and not seriously contested by any social scientist -- although every once in a while, somebody will publish an article "in defense of single motherhood" that brusquely dismisses the evidence with Stephen Colbert style elan: " I am not a huge believer in studies."

Same-sex couples take long road to the altar

For those who do believe in social science, the question arises: what to do?

And here's where the looming end of the debate over same-sex marriage offers real hope.

Last week, the Institute for American Values published a major statement in The New York Times. Signed by 74 luminaries of widely diverse political points of view, it called for a "new conversation about marriage."

"The current question is, Should gays marry? The new question is, Who among us, gay or straight, wants to strengthen marriage?" the statement asked.

The Institute for American Values is known as a conservative group. In recent years, its leader, David Blankenhorn, has reconsidered his past opposition to same-sex marriage.

This rethinking has cost IAV and Blankenhorn dearly. Board members have resigned, funding sources have been cut. Yet at breakfast two weeks ago in New York City, Blankenhorn was undaunted. The challenges that led him into the marriage debate two decades ago have only become more urgent.

As the IAV writes: "(M)arriage trends in middle America, particularly among the nearly 60 percent of Americans who've graduated from high school but do not have a four-year college degree, are more and more resembling the historic marriage trends in poor and low-income America." In other words, the middle-class family increasingly looks like the lower-class family -- at an economic moment when it is very easy to tumble out of the middle class and increasingly difficult to climb into it.

"In the wake of the Great Recession and in the midst of severe and possibly long-lasting economic challenges to our society, we propose a new conversation that re-establishes the link between marriage and money, the nest and the nest-egg. What economic policies strengthen marriage? What marriage policies create wealth? In the new conversation, marriage and thrift, the two great engines of the American middle class since the nation's founding, stand best when they stand together."

The United States is becoming an increasingly class-stratified society. The few at the top enjoy unprecedented affluence. The many in the middle and at the bottom face narrowing opportunities and declining standards of living. The dwindling of marriage is both cause and consequence of America's evolution away from a society of equal chances. The restoration of marriage is crucial to reviving the middle class and offering hope to the poor.

Marriage means two incomes at a time when most Americans find two incomes essential to earning a middle-class livelihood.

Marriage secures the active presence of fathers in children's lives.

Marriage means more asset accumulation: Married families save more at every income level.

Marriage means fewer accidents and illnesses, less stress, and more happiness and personal fulfillment.

Yet even as we reach a new social consensus about marriage's importance, marriage seems to have become increasingly elusive, difficult, and uncertain. It's time for all Americans, left and right, gay and straight, to join David Blankenhorn's "new conversation."

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Americans, particularly those under 30, increasingly support same-sex marriage

@highlight

David Frum says the more pressing issue nationally is how to restore the role of marriage

@highlight

Four of every 10 children are born to unmarried women, a worrying development, he says

@highlight

Frum: Marriage improves economic prospects and education, reduces crime