(CNN) -- The gun lobby is "ginning up" fears the federal government will use the Newtown shooting tragedy, exactly one month ago, to seize Americans' guns, President Barack Obama said Monday.

At least part of the frenzy is little more than marketing, he implied.

"It's certainly good for business," the president said, responding to a question about a spike in weapons sales and applications for background checks after the massacre at Connecticut's Sandy Hook Elementary School left 27 people dead, 20 of them children.

"Part of the challenge we confront is that even the slightest hint of some sensible, responsible legislation in this area fans this notion that somehow, 'Here it comes, everybody's guns are going to be taken away,'" Obama said.

Read more: Newtown searches for answers a month later

This week, the president is reviewing recommendations from a task force led by Vice President Joe Biden looking into ways to curb gun violence. Obama set up the group after December's carnage in Newtown and demanded reform ideas by this month.

Obama said he expects to have a fuller presentation later in the week "to give people some specifics about what I think we need to do," he told reporters Monday.

While the final recommendations have not been made public, Biden has said he's found widespread support for universal background checks and restrictions on the sale of high capacity magazines, which gun-control advocates believe contribute to more bloodshed at mass shootings.

Obama said he backs such measures as well as renewing the Clinton-era assault weapons ban that expired in 2004.

Passing any legislation may not be easy: The influential National Rifle Association, among other gun rights groups, has vowed to fight any new gun restrictions -- like an assault weapon ban, which the group's president David Keene predicted Sunday wouldn't make it through Congress -- tooth and nail.

Yet, as he weighs options, Obama said politics isn't his first concern.

"My starting point is to focus on what makes sense, what works, what should we be doing to make sure our children are safe," he told reporters. "I think we can do that in a sensible way that comports with the Second Amendment."

'This is about the safety of the public'

Gun control advocates, gun violence victims, the NRA, video game makers and others have met with the Biden-led task force, with their conversations ranging from the capacity of ammunition magazines to portrayals of violence in the media.

The vice president met Monday with congressional Democrats, talks that are "part of a larger outreach effort that will involve other members of Congress," a source familiar with the meeting told CNN.

In addition to new gun restrictions, the package proposed by Obama may include mental health provisions that could garner wider support. Some initiatives -- like how the government tracks how weapons fall into criminals' hands -- could be accomplished by executive order, Obama said.

Yet other measures would require approval of a Congress that, on many issues, has been hard-pressed to get anything accomplished -- even though the momentum to act in some way, be it by clamping down on guns or putting armed guards in schools, as the NRA has proposed -- is undeniable.

Mark Kelly, a former Navy pilot and astronaut whose wife, then-Rep. Gabrielle Giffords, survived a 2011 mass shooting that left six dead, said he and his wife both own guns and support the Second Amendment. Yet the couple is adamant that more must be done to curb gun violence, touting measures like banning high-capacity magazines and having universal background checks, which Kelly said a vast majority of the NRA's 4.2 million members support.

Decisive action or imagery: Gun control and the power of political symbolism

"This isn't really about the Second Amendment," said Kelly, who has formed a political action committee intent on pursuing reforms. "This is about gun safety, and it's about the safety of the public."

The retired Navy captain told CNN he believes the debate can produce "common sense solutions to this very serious problem."

People around the country are demanding nothing less in the wake of the Newtown shooting, New York Mayor Michael Bloomberg said. He said Monday that more than 1 million people have signed a petition backed by his group, Mayors Against Illegal Guns.

"For many Americans, this is the straw that broke the camel's back," he said about the Connecticut school carnage.

Polling appears to support the contention.

Poll shows public dissatisfied with gun laws

A new Gallup poll released Monday shows 38% of Americans are dissatisfied with current gun laws and support stricter proposals. That is a 13 percentage point jump from a year ago.

The shift is most marked among men. The poll revealed a 17 percent increase in support for stricter gun control laws among men, compared to 10 percentage points for women. That may be because polling has shown women already tend to be more supportive of gun control legislation.

The increase spanned the partisan divide, but it was strongest with Democrats, 64 percent of whom said they favor additional regulations. That's up 22 percentage points from last year, Gallup reported.

Among Republicans, support rose by 12 percentage points, though that still only works out to 18 percent overall.

The poll of 1,011 adults was conducted January 7-10 and has a sampling error of plus or minus four percentage points.

Universal background check: What does it mean?

New gun violence proposal in Maryland

Connecticut Gov. Dannel Malloy wrote Biden, and told CNN, that federal gun control action is imperative, noting there's little to stop would-be criminals from taking advantage of relatively lax laws in one state and transporting guns around the country.

While this view is widely shared among gun control supporters, that hasn't stopped some of them from taking actions on the state level.

Speaking at a Johns Hopkins University summit on reducing gun violence attended by Bloomberg, Maryland Gov. Martin O'Malley said he will debut gun control proposals this week that would ban military style assault weapons and limit the size of magazines and introduce a "common-sense licensing requirement for handguns that respects the traditions of hunters and sportsmen."

The proposals would also include mental health reforms, O'Malley said.

Those include additional funds for treatment and efforts to detect and head off serious mental illness sooner. The plan also calls for investments in school safety, including a center to study ways to improve security at schools.

He said the issue isn't a partisan one, but rather a public health issue, and said it "makes no sense to blame every factor but guns."

"There may be no way to completely prevent the next Newtown tragedy," he said. "But again, perhaps there is."

New York Senate passes new gun regulations

In New York -- where a week ago, Democratic Gov. Andrew Cuomo spelled out tough new gun control proposals -- the state Senate passed a series of new gun regulations in a 43-18 vote Monday night.

The bill now goes to the state Assembly.

Cuomo called for an assault weapons ban, background checks for people who purchase guns in private transactions and a ban on high-capacity magazines.

The tentative deal would include a statewide assault weapons registry and add a uniform licensing standard across the state -- altering the current system, in which each county or municipality sets a standard -- a state Senate source said Monday.

Magazines could have no more than seven bullets under the would-be agreement, according to the source, among other provisions.

Discussions had percolated about crafting a law, similar to one in California, that allows mental health professionals to inform law enforcement if they believe their patient could pose a threat to themselves or others, the source said. Law enforcement authorities may then revoke the patient's license to carry a firearm and prevent them from having a gun for at least six months.

One month since shooting

Meanwhile, bitter memories of the tragedy that spurred such proposals remains raw, especially in western Connecticut.

The one-month anniversary of the shooting went largely unmarked in any formal way, save for a moment of silence at a news conference held by a community group, "Sandy Hook Promise," formed after the killings to find a solution to gun violence.

Nicole Hockley, whose son Dylan was among the children killed in the shooting, was among several parents who spoke.

"I still find myself reaching for Dylan's hand to walk through a car parking lot, or expecting him to crawl into bed beside me for early morning cuddles before we get ready for school," she said, her voice quavering. "It is so hard to believe he is gone."

Others spoke of their resolve to ensure such violence ends.

"We refuse to be remembered only for our loss," group co-founder Tom Bittman said. "We want the Sandy Hook Elementary School shootings to be recalled as the turning point when we brought our community, and communities across the nation, together and set a real course for change."

Newtown opens eyes to other gun violence against young people

CNN's Josh Levs, Olivia Smith, Paul Steinhauser, Dan Lothian and Dana Bash contributed to this report.

@highlight

NEW: New York's Senate passes a bill on gun regulations; the bill goes to the Assembly

@highlight

The gun lobby is stirring fears over plans to address gun violence plan, Obama says

@highlight

Some gun violence initiatives may not require legislative approval, others will

@highlight

The gun rights group NRA has vowed to fight gun restrictions tooth and nail