Rescuers plucked stranded New Jersey residents from flooded neighborhoods, workers pumped water from swamped Manhattan tunnels and stunned homeowners dug through the wreckage of their houses Tuesday after Superstorm Sandy ripped into the Northeast.

"I've lived here for 39 years," Toms River, New Jersey, restaurateur Keith Paul told CNN. "I've been through several hurricanes, going back to Gloria. And I've never seen anything like this at all."

Sandy struck land near Atlantic City, New Jersey, around high tide Monday night, whipping up a storm surge that ripped apart piers on the Jersey Shore and inundated subway and highway tunnels in New York.

The U.S. death toll rose to at least 33 by late Tuesday, spanning the Eastern Seaboard from North Carolina to Connecticut, plus one in Canada. That's on top of the 67 fatalities inflicted in the Caribbean last week.

"I never thought I'd see what I saw today," New Jersey Gov. Chris Christie told reporters after spending the day reviewing the damage to his state.

Photos: Aftermath of Superstorm Sandy

Recovery efforts were starting to take hold Tuesday night. The number of electric customers shivering without power fell to just under 6.9 million, down from nearly 8 million reported earlier in the day across 15 states and the District of Columbia. Two of the New York area's major airports, John F. Kennedy and Newark Liberty, were slated to reopen Wednesday with limited service.

But thousands of people waited in shelters, not knowing whether their homes had survived. Salt water streamed down the concrete canyons of lower Manhattan as utility workers pumped out the passages that run beneath the city.

And as if the water wasn't enough, the Queens neighborhood of Breezy Point lost scores of homes to an inferno that erupted at the height of the storm even as other houses within a few blocks were washed away.

"In all honesty, it looks like a war zone," Breezy Point resident Mike Long said. "It looks like during the night, that fighter planes or bombers came through and just bombed the entire area. It just looks terrible."

Sandy's impact: State by state

Christie said about 1,000 people had been rescued Tuesday. But those efforts were scaled back at nightfall because of the hazards lurking in the dark, swirling water that lingered across much of the region.

"There's poles down, there's trees down across wires with transformers blowing up on the street," Paul said. "You go out and walk around, it's dangerous, because if you hit a puddle and it's got electricity -- there's really not much you can do until things get cleaned up a little bit."

And in Newark, Mayor Cory Booker said authorities there were still struggling to get help to residents with medical problems.

"I've got high-rise buildings with seniors who might be dependent upon power and electricity for medical machines, people who have medicine that requires refrigeration," Booker said. "We have to get to those people, have to get them secure, got to get them to hospital. We still have flooded areas. We still have a lot of challenges."

NYU hospital evacuates patients

Atlantic City, famed for its beaches, boardwalk and blackjack, became an extension of the ocean as seaweed and flotsam swirled in the knee-deep water covering downtown streets. But while the property damage there was "pretty extensive," Mayor Lorenzo Langford said, "I'm happy to report that the human damage, if you will, has been minimal."

One fatality had been reported in Atlantic City, Christie said Tuesday night.

Parts of the boardwalk were washed out in the storm, Langford said, but the Atlantic City Alliance, which promotes tourism there, said the damage was limited to a residential area away from the district most tourists visit.

Christie said seeing the damage left behind to the state's treasured beaches was "overwhelming," to him "as a kid born and raised in this state."

"We will rebuild it. No question in my mind, we'll rebuild it," he said. "But for those of us who are my age, it won't be the same. It will be different because many of the iconic things that made it what it was are now gone and washed in to the ocean."

Transit systems struggle to restart

Across the Hudson River, meanwhile, parts of New York could be without electric service for four days, Consolidated Edison President Kevin Burke told reporters. Mayor Michael Bloomberg said restoring power and mass transit were the biggest challenges facing officials in the days ahead.

"I'm happy to say it's the beginning of a process that we all know will take a while," Bloomberg said. "But this is the end of the downside, and hopefully from here is going up."

Free but limited bus service was resumed Tuesday evening to take up some of the slack left behind by the crippled subway system, and the New York Stock Exchange was scheduled to resume trading Wednesday morning.

Powerful Superstorm images flood social media

While the East Coast was still grappling with the scope of the disaster, federal officials warned that Sandy was an ongoing concern with the potential to inflict more pain on inland states. The storm was centered about 50 miles east of Pittsburgh and packing 45-mph winds Tuesday evening, bringing flood warnings to Michigan, Ohio and Pennsylvania and blizzard warnings to higher elevations in the Appalachian Mountains.

"The coastal impacts are certainly less today than they were last night, but the effects are not zero," National Hurricane Center Director Rick Knabb told reporters in a conference call.

Forecasters predict the storm's center of circulation will be north of the Great Lakes by Wednesday. But coastal flooding in the 2- to 4-foot range could still occur "in spots," while the potential for other floods stretched as far west as Lake Michigan, Knabb said.

Superstorm Sandy's toll

The full scale of Sandy's wrath has yet to be determined. But according to a government prediction, the storm's wind damage alone could result in more than $7 billion. One estimate from Kinetic Analysis Corp., which conducts weather hazard assessments, said the storm's economic impact could be up to $25 billion.

In Washington, President Barack Obama pledged the full support of the federal government for recovery efforts. He signed major disaster declarations for New Jersey and New York on Tuesday, clearing the way for federal aid to residents and to state and local authorities.

"My instructions to the federal agency has been, 'Do not figure out why we can't do something. I want you to figure out how we do something. I want you to cut through red tape. I want you to cut through bureaucracy.' There's no excuse for inaction at this point," Obama said during a visit to the headquarters of the American Red Cross. "I want every agency to lean forward and to make sure that we are getting the resources where they need -- where they're needed as quickly as possible."

Waking up to floods, fires and darkness after Sandy

The storm's timing a week before the presidential election is tricky for Obama and Republican challenger Mitt Romney. Both candidates sought to balance the real threat of a killer storm against the need to squeeze out any last-minute advantages in battleground states ahead of next Tuesday's vote.

Obama discarded campaign events in Florida and Virginia to return to Washington and address the storm from the White House. He was scheduled to travel to New Jersey on Wednesday and survey storm damage, the White House said.

On Tuesday, Romney swapped campaign rallies for a relief event in Ohio.

"We have heavy hearts as you know with all the suffering going on in a major part of our country. A lot of people are hurting this morning," said Romney, adding that he had the chance to speak with some of the governors from the affected areas.

Here's how you can help

@highlight

"It looks like a war zone," Breezy Point resident says

@highlight

"This is the end of the downside," Bloomberg tells New Yorkers

@highlight

Sandy's U.S. toll rises to 33; nearly 6.9 million without power

@highlight

Christie vows to rebuild Jersey Shore, but "it won't be the same"