(CNN) -- You've researched, planned and shot an excellent photographic story -- well, unfortunately your work is not done.

You will need to edit your imagery into a cohesive body which best communicates the facts, the emotions and core storyline to your viewers. Processing and color-correcting your digital photos comes first. After that, writing captions to go along with your images will add the necessary context. These are some of the visual journalist's toughest tasks.

But, don't fret! Here are some key ideas to keep in mind as you start editing, digital post-processing and caption writing:

Editing photos

The skills required to edit your photographic story need to be as sharp as your picture taking. But emotional and physical experiences a photographer encounters while shooting can powerfully influence their edit, and even cloud their judgment.

That's why input from other professionals or just friends and family can be helpful. Getting fresh eyes on your photo essay and listening to feedback can really help hone your narrative.

Making the first, general edit is relatively easy because it is often clear which images are worth keeping. The real challenge is making the tough decision to remove photographs that you love for the benefit of the story. Editing down to a set of images which reflect a coherent narrative can make those images all the more powerful.

Try to cover the following elements in you photographic essay:

Introduction (establishing shot): This is usually a wide shot that shows your audience the setting of your story.

Medium shot: This shot helps establish the who and what of your story.

Close-up: Get closer to your subject and show the smaller details of your story.

Portrait: If your story focuses on a person, make sure you get a portrait shot of them.

Interaction: Action shots grab attention and show your subjects in the environment.

Signature Shot: Pull out your key-element and decisive-moment shots.

Sequence: How you organize your photos will make a big difference in how your story is perceived. Make sure you organize you photos that will tell the story.

Rules can be bent and broken, but you need to understand them first. It's helpful to arrange your photographs in a linear sequence: Introduce your viewers to the setting and characters. Move them through the story using interaction, a sequence and key elements. And finally, give the viewer some sense of an ending even if the story has yet to find resolution.

Provide a final photograph that encourages the viewer to linger, to contemplate the information they've consumed and either ask questions, guess the meaning or come to an understanding.

Digital post-processing

In a news story, what amount of digital post-processing is acceptable?

News imagery must adhere to strict journalistic standards. A good general rule is to only use basic techniques that were, in the days of analogue photography, applied in the darkroom. That means minor exposure compensation, burning, dodging, color correction, contrast enhancement and cropping.

During post-production, you should always ask yourself, "Am I altering the viewers understanding of the facts? Does my post-production technique remove or destroy information?" If you're using Photoshop filters, heavy color treatments, drastically changing exposure or overly increasing contrast, the answer is yes.

Caption writing

A caption is an informative paragraph written by the photographer to accompany the image. Captions are essential to storytelling and communicate important facts. Unfortunately, caption writing is often the most underdeveloped skill of a visual journalist. When crafting a caption it's important to be accurate, informative and complete. Give your audience the basic information -- the who, what, when, where and why of the situation depicted in your image. And write them in present tense whenever possible.

Now it's your turn

Give Rond's tips a try in this week's boot camp challenge. And for tips visual storytelling, check out CNN photojournalists Mark Hill, David Holloway and John Nowak's piece on capturing images.

@highlight

CNN's iReport boot camp challenges iReporters to improve their storytelling

@highlight

CNN's Matthew Rond shares his advice on photo post-production

@highlight

Show us your editing skills by September 13