HONG KONG, China (CNN) -- Health authorities in Hong Kong have found more eggs contaminated with the chemical melamine.

Chinese consumers were taking the news in stride. "Stop eating eggs?" asked one customer. "That's not doable."

The chemical is at the center of a tainted milk scandal that has sickened more than 50,000 children across China. It's showing up in fresh eggs, according to Hong Kong's Center for Food Safety.

Contaminated eggs were found in a batch produced by Jingshan Pengchang Agriculture Product Company, located in Hubei province, about 430 miles (695 km) east of Shanghai, the center said in a statement Tuesday

Although much lower in melamine content than contaminated eggs produced by Hanwei Eggs that were discovered last week in Hong Kong, the Jingshan eggs were still above the legal limit. Tainted eggs from Hanwei had nearly double the maximum permissible level.

Health officials in Zhejiang City also found melamine in Ciyunxiang-brand eggs produced by Changzhi City Green Biological Development Center, from Shanxi Province.  Watch how melamine is thought to have entered the food chain »

Melamine is a chemical used in making plastics and fertilizer. But in recent times, it has become the badge of shame for the Chinese food industry. Authorities say people illegally added it to food products to suggest that they contained a higher level of protein.  Learn more about the chemical melamine »

U.N. officials worry that melamine has been introduced to animal feed and that it may turn up in chicken, pork, farmed fish and other products.

Health officials in Hong Kong say that there's little risk to human health -- and that a child would have to eat perhaps 20 eggs a day for the melamine to have an effect.

But Wal-Mart decided not to take any chances. It pulled Hanwei eggs from the shelves of its supermarkets across China.

The egg scare is unlikely to take on the same dimensions as the tainted milk powder scandal, which sickened 54,000 Chinese children and led to the deaths of four babies. Again, melamine was the culprit -- and the consequences could be long-lasting.  Watch more on the local reaction to melamine found in eggs »

Experts say melamine's health risks are not well known. According to Dr. Dan Blumenthal of the Morehouse School of Medicine in Atlanta, Georgia, "something we don't know is whether there is a safe amount of melamine in food."

In the meantime, Blumenthal recommends "the prudent thing to do is to stay away from foods that might be contaminated, and this especially means infant formula and other dairy products that are coming from China."

The Chinese leadership, long criticized by other governments for poor food safety standards, has promised action. A committee of the National People's Congress is reviewing a new draft law. Prime Minister Wen Jiabao said last weekend, "Food is a continuous process that begins in the fields and ends on your dinner table. From production to transportation to refining to packaging to manufacture, every process needs to go through thorough and strict testing."

The stakes are high for China's food industry and its consumers.

Food exports from China were worth $27 billion in 2006, and Chinese food exports to the United States have risen fivefold since 1990.

Recent scandals involving melamine have led governments around the world to ban the import of certain Chinese foods; and Beijing wants to restore credibility to the "Made in China" label.

CNN's Yuli Yang contributed to this story.

@highlight

Tainted eggs from Hanwei were discovered in Hong Kong late last week

@highlight

U.N. concerned that melamine has been introduced to animal feed

@highlight

Tainted milk powder scandal sickened 50,000 Chinese children; killed four

@highlight

Chinese food exports to the United States have risen five-fold since 1990