Editor's note: Michael Wolfe is co-founder of Unity Productions Foundation, a nonprofit organization that has produced six documentary films for national broadcast. He edited the Wilbur-award-winning book "Taking Back Islam: American Muslims Reclaim their Faith," and his television work has been nominated for Peabody and Emmy awards.

Michael Wolfe says new media give voice to Muslims who weren't fully recognized by mainstream media.

(CNN) -- "The media is dying." It's the title of a Twitter page and a prime topic of conversation among reporters.

Enter a room full of journalists, and you'll hear constant anxious chatter about dying newspapers and massive layoffs at print publications.

Just one example: The Seattle Post-Intelligencer recently became the first major newspaper to cease its print edition and go exclusively online, after more than 150 years of chronicling the city's history.

As a writer who's been in the game for years -- over 30 and counting -- I'm challenged by all there is to learn and at times overwhelmed as I watch old media gradually head toward extinction. Yet, as a Muslim writer, I am excited by the world of new possibilities. Why? Because I recognize that mastering the online world can unleash a great force to promote understanding among people.

With all the focus on Islam and Muslims in the news, the voices of American Muslim civic leaders, or even ordinary Muslims going about their daily business, are too often missing in stories about their own communities here and abroad. Why is it we so often hear what this or that expert thinks about Muslims yet so rarely hear what Muslims themselves think?

Into this fray steps the Web.

The soaring dominance of new media is an extremely important moment in the history of relations between Muslims and their neighbors. For the first time, ordinary Muslims can speak directly to their non-Muslim neighbors -- and share their views on just about anything -- without the mainstream media as intermediaries selecting their talking heads, pundits and experts.

Muslims should seize this golden opportunity to communicate their stories and views directly to the world.

Take this recent example, a national online film contest called "One Nation, Many Voices." The sponsors (Link TV and One Nation, a nonprofit initiative) challenged Americans to create their own short digital videos about what it means to be Muslim in America today.

Now in its second year, the contest attracted more than 150 submissions, with close to 26,000 people voting online for their favorites. The entries provide a fascinating snapshot of what ordinary American Muslims think about the present state of their community, from the grand-prize-winning "Arab in America" -- a spoof about the challenges of finding a job and blending in -- to the youth-category winner "Green Blue Sea," about a young scuba diver's reverence for the natural world.

Why do films like this matter?

Because comprehending how Islamic values are expressed in Muslims' lives today is of central importance to the cause of peace and understanding and to realizing the promise of pluralism on which America and the global world is based.

Now, perhaps in the nick of time, the Web offers Muslims the chance to blog in their own words, tweet their reactions to a breaking news story or further progress in their own communities by exchanging ideas through online forums.

This new reality is already playing out locally and globally. Progressive American Muslim bloggers like Souheila Al-Jadda, Wajahat Ali and Eboo Patel are contributing to the marketplace of ideas online and sharing their perspectives on major breaking news stories.

Muslims in the United States and around the world are reacting in real time when events like the Mumbai attacks happen, often to condemn the violence when some mainstream media pundits are busy saying that none of them cares, or worse.

But conversations aren't one-sided; they involve at least two parties. What does this mean? It means that the opportunity Muslims now have is shared with their neighbors. When a Muslim goes online to blog about why she wears a headscarf, a Christian or Jewish woman who is interested in the topic can ask her questions directly.

Sometimes it is geography that separates us, or sometimes we are too shy or embarrassed to ask questions or speak out when face-to-face. The Web makes all of this much easier and unleashes unparalleled potential for humans to communicate directly with the rest of the world.

For those, like American Muslims, who have often found themselves left out of mainstream media discourse, the possibilities are now vastly improved.

The ultimate impact this will have on society at large remains to be seen, but with many ordinary Muslims finally speaking for themselves, and people of other faiths taking part in the conversation, the future is looking brighter.

The opinions expressed in this commentary are solely those of Michael Wolfe.

@highlight

Michael Wolfe: World of traditional media is undergoing rapid change

@highlight

He says rise of new media offers opportunities to groups like Muslims

@highlight

Wolfe: New media offers Muslims the chance to share their worldview

@highlight

He says it also promotes better communication with other groups in society