As adults we're told time and again to keep a close eye on young children around water. Most kids who drown are under the age of 4 -- toddlers who accidentally fall into water too deep.

They can drown in minutes in less than 2 inches of water.

But the recent death of a 13-year-old at a pool in Florida has experts concerned about water safety for pre-teens and adolescents.

Anthony Johnson had been playing in a pool at Disney's Pop Century Resort on Sunday. Relatives told CNN affiliate WFTV that Anthony was jumping in and out with friends when they noticed him missing, and pulled him out of the water within minutes.

The boy died Tuesday morning, according to the Orange County Sheriff's Office. Police are still investigating his death.

Ten people die every day from unintentional drowning in the United States, making it the fifth-leading cause of unintentional injury death, according to the Centers for Disease Control and Prevention. About 20% are under the age of 14. Nearly 80% are male.

"The first thing to remember is that drowning doesn't just happen," says Alison Osinski, water safety expert and president of Aquatic Consulting Services. "Something always precipitates drowning."

Only about 35% of Americans know how to swim, and only 2% to 7% swim well, Osinski says. Teens are particularly susceptible to peer pressure and often go past their limits. Exhaustion or disorientation under water could cause a weak swimmer to panic.

In this case, the swimmer would go through the stages of what lifeguards call an "active drowning," Osinski says. The word "active" may be misleading, as active drowning is nothing like what you usually see on TV.

15 things your lifeguard won't tell you

In an active drowning, a swimmer is at or below eye level at the surface of the water for about 10 to 20 seconds. The head is tilted back to get air. The eyes are either wide open or tightly shut. The mouth is often in an "O" shape from shock.

"You're not drowning if you can call for help," Osinski says.

After about 20 seconds, the swimmer will start to sink and will hold his breath underwater for anywhere from 30 to 90 seconds. If rescued during this time, the swimmer usually will be fine.

After 90 seconds, Osinski says, a swimmer will black out. At this point, things get dicey. If a swimmer is resuscitated after the four-minute mark, there's a high risk of brain damage.

The pool safety hazard you don't know about

Drowning also can be caused by trauma or a medical condition, Osinski says.

Diving into shallow water could result in paralysis from a spinal injury. Experts also look for unknown heart issues in sudden drowning cases. People with epilepsy or seizure disorders are also at high-risk.

Osinski says one of the most subtle forms of drowning is called "shallow water blackout."

Typically, a person holding his breath will be triggered to breathe when his CO2 levels get high. But if a swimmer is holding his breath for a long time while exhaling underwater, or is going underwater repeatedly, his CO2 levels are lowered. When that happens, the brain's built-in alarm to breathe doesn't go off, despite a lack of oxygen.

"You can't tell when they go unconscious, until it's too late," Osinski says.

Osinski has videos of teens drowning that were recorded on their friends' phones. The most common phrase she hears from witnesses is: "I thought they were just fooling around."

How safe is your indoor swimming pool?

Connie Harvey, aquatics manager for the American Red Cross, says people of all ages need to understand the risks associated with water. "People need to know how to swim well, they need to know how to behave safely, and make good choices for where they swim."

More than half of drowning deaths in people older than 15 occur outside of pools, according to the CDC. And alcohol is involved in 70% of cases.

Parents should set expectations for teens around water ahead of time, Harvey says. No one should be allowed to swim alone, even if they are a strong swimmer. Following the rules of a pool is also key: no running, no horseplay, no diving into shallow water. And the Red Cross recommends against any type of breath-holding competition.

Teens should know their own limits, Harvey says, and not follow stronger swimmers without help.

"We talk about the dangerous TOOs -- too far, too long," she says.

If teens are swimming in a natural body of water like a lake or river, they should use the rule "feet first, first time" to prevent spinal injuries. And when the sun stops shining, swimmers should stop swimming.

Harvey's final rule is the most important: learn how to swim. The Red Cross and many local swim organizations offer lessons for children as young as 6 months old and their parents.

How can I keep my toddler safe in the pool?

People should feel confident in whatever water environment they're in, Harvey says, whether it's a wave pool at a water park or a river with a strong current. No one should swim alone and, if possible, always swim under the watchful eye of a certified lifeguard.

Last but not least, if you do get yourself or a friend in trouble, know how to get help. Learn CPR and get training on an automated external defibrillator, or AED. Be aware of reach poles or buoys that can be thrown to help a drowning swimmer, Harvey says, and call 911 at the first sign of an emergency.

@highlight

Recent teen death in Florida has experts concerned about water safety

@highlight

Ten people die every day from unintentional drowning in the United States

@highlight

Approximately 35% of Americans know how to swim, expert says

@highlight

One of the most subtle forms of drowning is called "shallow water blackout"