(CNN) -- The threat of increasing loan rates on future college students has become the newest political cudgel. It shouldn't be. Lowering interest rates on subsidized student loans does little to address the real problems of higher education: rising tuition costs and diminishing returns.

First, let's remember how we got here. After taking back control of Congress in 2007, then-Speaker Nancy Pelosi passed legislation that temporarily lowered the interest rates on the federally subsidized Stafford Loans from 6.8% to 3.4%. The extension would last until July 2012, when the rates double to 6.8%, partly as a budget trick to offset the original costs.

The Washington Post's editorial board called the whole ordeal "a campaign gimmick that Democrats cooked up to help them retake Congress in 2006. ... It's expensive, it's poorly targeted and it diverts attention and money from bigger problems facing federal support for higher education."

With the rates set to expire in the middle of this election season, Democrats knew full well they could use the threat of rising interest rates against Republicans. They've done exactly that.

"Today you've got Republicans who run Congress, and they're not saying whether or not they're going to stop your rates from doubling," President Obama said at the University of Colorado last week. Feeling the political heat, House Republicans as well as Mitt Romney agreed to extend the low interest rates. That's unfortunate.

Republicans need not be on the defensive. How does the president plan to pay for the $6 billion subsidy? And how will it help control tuition costs? So far it hasn't. In 2011, costs at the average public university rose more than 5% for in-state students, or about $1,100. The average tuition at public universities rose more than 8%. By comparison, the rate of inflation was 3%.

Furthermore, only about a third of undergraduates have subsidized Stafford Loans and the interest rates for existing loans won't be touched. The average student with Stafford Loans graduates with about $13,000 in debt, much lower than the national average of $25,000. If the current rate doubles, they would pay about $2,600 more over 10 years. The effect of doubling the rates from 3.4% to 6.8% is minute when compared to the lifetime earnings of a person with a bachelor's degree (approximately $2.27 million) to a person with just a high school diploma ($1.3 million).

Perhaps most important, extending the low interest rates will not lower tuition costs for the students who need it most. The Stafford Loans largely fund the tuition of middle- and upper-class students on the backs of taxpayers. Pell Grants, the federal assistance to the poorest students, should be the real focus of discussion.

If Congress continues to subsidize low interest rates, they are handing the problem, and the mountain of debt, to future generations. In fact, they are passing on the debt to the very group of people they are trying to help: college students. With the federal government backing low interest rates, colleges have no incentive to lower tuition. Instead, the rates should be variable and tied to the market, not set by the government. The real problem here is the colleges and their unholy alliance with the federal government.

Here's what the president should be saying: The college system is largely failing students and taxpayers. Colleges continue to raise their prices despite record increases in federal subsidies. Between 1982 and 2007, college tuition and fees rose more than 400% (about four times the rate of inflation) Today, the average student loan debt exceeds $25,000 and total student loan debt exceeds $1 trillion. Less than 60% of college students finish college in six years or less. One out of every two college graduates today are unemployed or underemployed. The system overspends and underperforms.

It's unlikely that President Obama would ever say this. After all, he holds the system in his hands. Last year, in one of the most underreported political moves of his term, the Obama administration took over the student loan industry, cutting out private competition from banks. Taxpayers are now directly responsible for higher tuition costs and the resulting large amount of defaulted student loans.

In 2010, total student loan debt exceeded credit card debt. It may not be long before this bubble bursts, hurting the very students who need help the most.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: Lowering interest on student loans doesn't bring down college costs

@highlight

Bennett: The issue has become the newest political cudgel

@highlight

He asks: How does President Obama plan to pay for the $6 billion subsidy?

@highlight

Bennett: Government needs to stop subsidizing low interest rates