A small town in Wisconsin is a far cry from the civil war-ravaged fields of northern Syria.

But for Jordan Matson, a former U.S. solider, the battlefield feels most like home.

For the last month, Matson, 28, has been a volunteer fighter in the Kurdish militia known here as the People's Protection Units, or YPG. The group has been defending three small Kurdish statelets in northern Syria. The Kurdish militants have also spent much of the last year battling ISIS, the hardline jihadist group that wants to create an Islamic state across parts of Iraq and Syria.

"Due to two years of almost no foreign policy in the region -- while these people threatened American citizens, and bring harm to us -- I think I decided enough was enough, and I decided to come out this way," Matson said.

He saw the fall of Iraq's second-largest city, Mosul, as a turning point.

"All of the American brothers that have died over there -- all the American veterans that have died over there -- and paid their lives for that country so they could have a democracy. That just resonated in my mind. And I couldn't live with myself letting that country fall, and all my brothers' lives be for nothing," Matson said.

But instead of ending up in Iraq, Matson joined the YPG in Syria.

It marked a dramatic turn for the former soldier. During more than two years in the U.S. military, Matson says, he never saw combat, nor was he shipped overseas to serve.

In Syria, he saw action almost as soon as he arrived.

Two days after reaching the Kurdish enclave known as Rojava, he says, he was hit by a mortar round during a firefight with ISIS.

Now mostly recovered from shrapnel wounds, but still squinting occasionally from the wounds caused by the dirt that the mortar shell sprayed in his eye, Matson met CNN in the YPG-controlled town of Al-Malikiyah.

"All my life, I've wanted to be a soldier. So it just fits well over here," he said. "I'm at peace being here."

'Taking the fight to the enemy'

Matson is from Sturtevant, Wisconsin, a "mom and pop town" as he described it, with just a few restaurants and three gas stations.

He worked the third shift at a food packaging company but missed military life. Matson said he was honorably discharged from the U.S. Army in 2007. Because of problems with his record, he says the military refused to take him back, despite his multiple efforts to re-enlist.

"Civilian life just wasn't for me. The normal 9-to-5, I just wasn't comfortable with it," he said. "Over here, everything makes sense."

Matson got in contact with the YPG on Facebook. He prayed about what to do for a month or two, he said, before making the leap.

He flew to Turkey, where he was picked up and taken to Rojava, a Kurdish-controlled area of northern Syria.

Matson misses a few things about the United States: hamburgers, toilets, rock 'n' roll.

But he wouldn't change where he is for anything. He speaks about the Kurdish movement with the fervor of a recent convert.

"It's for these people that I'm doing this. Yes, it does help Americans back home, because we're taking the fight to the enemy here, so they can't take it to us. So it's that to a degree. But, for me, it's for the Kurdish people," Matson said.

U.S. airdrops give much needed aid in Kobani, but did ISIS get some?

Foreign fighters

U.S. law enforcement officials say it's illegal for an American to join a Syrian militia, just as it is for an American to join ISIS.

According to intelligence estimates, more than 100 of the foreign fighters for ISIS in Syria have come from the United States.

Canadian authorities believe that 130 Canadian citizens are taking part in jihad. Hundreds more have traveled from Europe. Thousands come from the Middle East and Africa.

When asked whether he saw any parallels between those foreign jihadi fighters and himself, Matson said there's nothing he can do to change their minds.

"They've come here to push an agenda, to push one way of life over people who do not want it. And I will not sit and stand by while people like that take those actions," he said.

He says he believes the U.S. government is watching what he does, but will not consider him a terrorist, nor deny him re-entry. If that happens, however, Matson says he could just stay in Kurdistan.

"Once this fight is over, and ISIS has been crippled, then the next stage of my life, then I'll think about that," he said.

After the rescue: A Yazidi family's harrowing flight to escape ISIS

'Someone has to do it'

Since recovering from his wounds, Matson has been working to bring other foreign fighters to Syria. He says he's recruiting for the YPG on social media.

Most of the people interested are former military, he said.

"I've had ex-military ask from Eastern Europe, Western Europe, Canada, the United States, Australia, you name it. They've been asking. ISIS has threatened all these countries that I've named to push their agenda in those nations, and the veterans of those nations who love their countries don't want to sit by while this is happening," he said.

The YPG are lightly armed guerrilla fighters. Most lack helmets and armor. They rely heavily on Kalashnikov assault rifles. But their ranks have also been reinforced by Kurds from Turkey, many of whom are veterans of a 30-year guerrilla war fought between the Turkish state and a sister organization to the YPG known as the Kurdistan Workers Party, or PKK. The U.S., the European Union and Turkey officially list the PKK as a terrorist organization.

The bloodbath in the Middle East has blurred loyalties. This month, the United States began providing air support to YPG fighters defending the Syrian border town of Kobani from an ISIS siege. In addition to bombing ISIS militants in and around Kobani, U.S. military planes parachuted weapons, ammunition and medicine to YPG fighters, infuriating the Turkish government.

Matson said the YPG could use more support on the ground, in addition to ongoing U.S.-led airstrikes.

Although those strikes, he said, have helped to shift the balance of power on the battlefield, he stressed that a lot more needs to be done. As soon as he can, he says, he'll head back to the front line.

"The way I look at it is someone has to do it, and if we don't fight, ISIS will grow -- will become more well-funded -- and they will push their agenda. So we need men on the front to take the fight to the enemy before the enemy can take the fight to us," Matson said.

@highlight

Jordan Matson, a former U.S. Army solider, is fighting against ISIS

@highlight

He was never in combat during two years in the U.S. military

@highlight

"Civilian life just wasn't for me," he says

@highlight

U.S. law enforcement officials say it's illegal for an American to join a Syrian militia