Princeton, New Jersey (CNN) -- The midterm campaigns will soon be under way. President Barack Obama has a few more months in the hot days of summer to get legislation through Congress, but representatives and senators will soon be focused on their campaigns with little thought for anything else.

The midterm elections will be extraordinarily important for the composition of Congress. If Republicans can expand their numbers in the House and Senate, they might develop enough muscle to stifle Obama from accomplishing anything else. It could also be enough to put pressure on moderate Democrats to further undercut the legislative gains of the first term by enacting spending cuts and weakening the regulatory apparatus of programs like Dodd-Frank.

On the other hand, if Democrats do well they can improve their standing in the House and place more pressure on Republicans to make compromises.

Besides the composition of Congress, the midterms will provide some insight into the challenges each party will face and what promises they might make in the 2016 presidential election.

The shape of the campaigns will start to clarify what the Republicans intend to stand for and whether they can put forth ideas that excite, rather than turn off, voters outside the reddest parts of the country.

The rebellion taking place within the GOP has been growing more intense. Many senior leaders are warning that their party is on a destructive path that will only lead to more rounds of defeat. Many Republicans privately agreed when former Senate Majority Leader Robert Dole said the GOP ought to be "closed for repairs" until next year, and in the meantime, "spend that time going over ideas and positive agenda."

Since 2010, Republicans invested almost everything in the issue of deficit reduction and saying no to everything that came out of the White House. The bet hasn't been paying off. At a certain point, voters seem to have lost interest in the message and, now that the long-term budget picture is doing much better while the economics of austerity has come under fire, the issue is gaining even less voter traction.

The midterm elections will be the opportunity in the next two years for Republicans to show voters they have something more to say, and to offer two or three big ideas they can use in the race for the White House.

Democrats face a similar challenge. They need to start hinting at what their party will be about in the post-Obama age. Many Democrats are wondering if the next election will be like 1988, when Vice President George H.W. Bush campaigned on Ronald Reagan's record and essentially promised to do more of the same, just in kinder and gentler fashion. Or will Democrats try to offer something more transformative -- a governing agenda for the challenges we face in 2016 rather than those we faced in 2008?

Voters want to hear what Democrats have to say about federal investments in the nation's economic future, about how to handle climate change and how to build on Obama's promise to restore the balance between law and civil liberties and homeland security. If Democrats can start developing ideas for the next candidate to run on, they could not only bolster their numbers on the Hill but strengthen the platform for the next crop of candidates to win over voters.

There are also questions about the mood of the electorate. Everyone will have a close eye on the immigrant vote. Although the turnout is much smaller in midterm elections, given the heat of the immigration debates, it will be significant to see if the energy levels are still high among immigrants for the Democrats and how much Republicans have been able to improve their standing with some high-profile party members like Marco Rubio coming out for reform.

It will also be important to see whether any kind of anti-immigrant backlash sets in, similar to what Democrats saw against civil rights in 1966 following the race riots in Watts and other cities. The outcome of the debate over immigration legislation in the House will have a big effect.

The aftermath of the recent controversies will also be significant. Right now the political cycle is in full scandal swing. The midterms will provide some sense of whether those stories have legs, either detrimentally for Democrats as Republicans suffered in 1974 after Watergate or whether a backlash sets in against the GOP, as New Gingrich and his allies suffered in 1998 amid the impeachment of President Bill Clinton.

Finally, the midterms will offer a platform for future presidential candidates to show their stuff.

In 1966, former Vice President Richard Nixon seized the national spotlight, campaigning for Republicans across the nation, and making it clear, through his fundraising and speeches that he was a formidable candidate who could take on Lyndon Johnson, or any other Democrat. This year, candidates from former Secretary of State Hillary Clinton to New Jersey Gov. Chris Christie will seek to use this moment, with the national spotlight turned on the political playing field, for the same advantage.

It will also be a chance for the parties to shake off some of the challenges that are holding them down, such as the right-wing drift of the GOP -- which could hurt the chances of the Republican candidates in 2016, regardless of how charismatic and talented they are.

The opinions in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Midterm elections could change the balance of power in Congress

@highlight

Zelizer: If Democrats win, they can force compromise; if GOP wins, it can torpedo Obama

@highlight

He says midterms will be a glimpse at challenges and promises parties will offer in 2016

@highlight

Zelizer: Elections will also offer a huge stage for possible presidential candidates