(CNN) -- A trial examining the New York Police Department's stop-and-frisk policy headed to a judge Monday after attorneys delivered their closing arguments after nine weeks of testimony.

The federal class-action lawsuit claims that police officers routinely stop minority men, particularly black and Latino men, without legal reasons. The police department says that the policy -- in which police stop, question and frisk people they consider suspicious -- is used to deter crime. The practice has been widely criticized.

The lead plaintiff in the case is David Floyd, a medical student who was stopped twice, once in the middle of the afternoon when he was in front of his home in the Bronx, according to the suit, which was filed in 2008.

Closing arguments Monday were marked by conflicting accounts of stop-and-frisk incidents.

For example, while attorneys for the City of New York argued that one man was stopped because he appeared to be smoking marijuana, the plaintiffs' attorneys argued that he was simply talking on a cell phone. The Center for Constitutional Rights, a nonprofit civil rights law practice, is arguing on behalf of the plaintiffs.

Another man was reportedly stopped because he fit the description of a wanted man in a high-crime area with a recent string of burglaries, but the plaintiffs' attorneys argued that he was more than a mile from where the burglaries occurred and that the last burglary in that area occurred more than 25 days earlier.

NYPD officers say they had stop-and-frisk quotas

Additionally, while city attorneys argued that many of those patted down gave their consent to the officers, the plaintiffs' lawyers countered by saying that none of the 12 witnesses who were stopped ever felt free to leave. Both sides argued that the accounts of events had changed since depositions were first taken.

The nine weeks of testimony included secret recordings from officers; statements from 41 police officials and 12 witnesses; and expert opinions from criminal investigators. Testimonies included emotional accounts from men who say police stopped them for no reason and from police officers who say quotas forced them to make unnecessary stops.

In the recordings, which were played in court by the plaintiffs' lawyers, supervising officers can be heard saying they want "more 250s," referring to the form that officers fill out when they conduct a stop, question and frisk.

City attorneys say that officers operate within the law, going where the crime is, and that crime happens to be higher in minority neighborhoods. During closing arguments, they contended that 88% of stops are justified and that there have been no legitimate indications of racial motivations.

They argued that the plaintiffs' accounts of stop-and-frisk incidents were "woefully lacking in substantive evidence" and "failed to show a single constitutional violation." Rather than quotas, the attorneys claimed, the department used performance goals, which are legitimate management tools.

"We need to have performance goals to keep the city safe," said city attorney Heidi Grossman.

Though 12 witnesses testified regarding a total of 19 stop-and-frisk incidents, city attorneys pointed out that in seven of the 19 stops, the officers could not be identified.

NYPD report: Most are minorities

"No real conclusions can be drawn when only half of the story is told," said Grossman.

The lawsuit seeks to reform stop-and-frisk under the supervision of a court-appointed monitor. During their closing statements, the plaintiffs' attorneys argued that "the NYPD believes that race is a proxy for reasonable suspicion." According to plaintiffs' attorneys, the lawsuit is not about ending stop-and-frisk but examining how the police department conducts those stops and whether it stops blacks and Latinos in violation of the Constitution.

Plaintiffs' attorney Gretchen Hoff Varner told the court that over the past eight years, blacks and Latinos constituted 85% of the people stopped, though 90% of those stopped were neither arrested nor given a court summons. Only 1% resulted in the recovery of a weapon and 0.14% resulted in the recovery of a gun.

"Clearly the NYPD isn't stopping the right people to get guns off the street," Hoff Varner said.

However, Grossman noted that reasonable suspicion can still occur even if no gun is found.

Plaintiffs' attorneys maintained that police officers feel pressure to stop and frisk to meet supervisor demands, which consequently results in the unlawful and unjustified stopping of New York City residents.

"They stopped first and invented reasons later," Hoff Varner said.

According to the New York Civil Liberties Union, the police department logged its 5 millionth stop-and-frisk under Mayor Michael Bloomberg in March.

Attorneys will be given approximately three weeks to submit any additional paperwork. U.S. District Judge Shira A. Scheindlin did not specify when she expected to reach a decision, except that it would be "prompt."

Changed outlined NYPD's 'stop, question, frisk' policy

CNN's Marina Carver contributed to this report.

@highlight

Federal trial testing NYPD's "stop-and-frisk" policy hears closing arguments

@highlight

Plaintiffs say the policy fell disproportionately on black and Latino men

@highlight

The city says the policy helps to deter crime and is not racially biased

@highlight

The U.S. district judge says her decision will be "prompt"