(CNN)Circumstantial evidence is in dire need of a public relations agency. Often described as weak and unconvincing, it is continually bashed by criminal defense attorneys as being synonymous with reasonable doubt. It enjoys none of the glamour of its attractive twin sisters DNA and scientifically based forensic evidence, who even get their own TV shows.

In truth, though, circumstantial evidence can sometimes be compelling and highly reliable. When combined with a touch of supporting direct evidence it can be the strongest of all cases as it does not rely on frequently unreliable eyewitnesses. As prosecutors often say in their summations, circumstantial evidence has no motive to lie and no problem with its eyesight.

In a Massachusetts' courtroom, the murder trial of former New England Patriots tight end Aaron Hernandez in the death of Odin Lloyd may prove to be a textbook study of circumstantial evidence and its struggle to overcome reasonable doubt and celebrity status.

Prosecutors are meticulously building a case using surveillance video and other evidence to link Hernandez to the killing. Surveillance video already publicly disclosed depicts a pre-homicide meeting between Hernandez and his friends Ernest Wallace and Carlos Ortiz, also charged in the case, at the  Hernandez home in North Attleboro. Hernandez is seen walking around with a gun and then departing with his two pals in what appears to be a Nissan Altima.

Later video shows Hernandez, Ortiz and Wallace making a fuel stop where driver Hernandez purchases what will later prove to be a very important pack of bubble gum. Prosecutors assert that a trail of text messages and more  surveillance  video, this time from a vantage point across the street from Lloyd's apartment, show Lloyd entering the vehicle in response to a Hernandez invite. Later at a time consistent with the time necessary to travel from Lloyd's apartment, a vehicle is seen entering a remote industrial park approximately a mile from the Hernandez home.

Roughly three minutes after shots were heard by workers in the vicinity, the Hernandez Altima with no Lloyd in sight pulls into the Hernandez garage. A jury visit to the scene demonstrates the distance from the industrial park to the Hernandez home can be covered in three minutes.   Three men exit the vehicle and the driver, Hernandez, pulls what prosecutors say is a gun from his waistband. The video is unclear, howls the defense; it might be a cell phone.

Lloyd's body, riddled by .45 caliber bullets, is found in the industrial park.  Prosecutors say they have more video showing Hernandez's fiancée throwing out a trash bag under suspicious circumstances. They say she was ditching the murder weapon to help the father of her child.  And for the coup de grace, the bubble gum reappears. A chewed piece of the gum is found in a rental car company trash container stuck to a .45 caliber shell casing consistent with the ammunition used to kill Lloyd. The defense asserts problems with how this evidence was recovered but the jury may believe that the gum and DNA link Hernandez to the murder weapon, which was not recovered.

Prosecutors say DNA testing links the bubblegum bullet casing to Hernandez.  Both the gum and casing were recovered by a rental car employee during a cleaning of the rental Nissan Altima allegedly used in the killing and then placed in the trash container. And by the way, the car had dirt on its tires and side panels consistent with the dirt in the industrial park.

Under Massachusetts' joint venture law, all those acting in concert to assist in a murder are guilty. No need to prove who was the triggerman -- or even a motive, which is conspicuously missing in the prosecution's pile of evidence.   Prosecutors promise even more evidence hinting that this is a slam dunk circumstantial case.

But is any circumstantial murder case a "slam dunk" case?

Here is what Massachusetts' judges customarily tell the jury about circumstantial evidence at the end of a criminal case:

"You have direct evidence where a witness testifies directly about the fact that is to be proved, based on what he claims to have seen or heard or felt with his own senses, and the only question is whether you believe the witness. ..."

In the case of circumstantial evidence, the jury is asked to draw "reasonable inferences" from facts presented.  The "mailman analogy"  is used in Massachusetts to demonstrate the concept:

"Your daughter might tell you one morning that she sees the mailman at your mailbox. That is direct evidence that the mailman has been to your house. On the other hand, she might tell you only that she sees mail in the mailbox. That is circumstantial evidence that the mailman has been there; no one has seen him, but you can reasonably infer that he has been there since there is mail in the box. ..."

New York and several other states use variations of the rain analogy, which goes as follows:

"Suppose ... the witness testified that it was clear as she walked to the subway, that she went into the subway and got on the train and that while she was on the train, she saw passengers come in at one station after another carrying wet umbrellas and wearing wet clothes and raincoats.  That testimony constitutes direct evidence of what the witness observed.  And because an inference that it was raining in the area would flow naturally, reasonably, and logically from that direct evidence, the witness' testimony would constitute circumstantial evidence that it was raining in the area."

(From New York model criminal jury instructions)

The judge, in a Massachusetts case, then will warn the jury to be careful:

"There are two things to keep in mind about circumstantial evidence: The first one is that you may draw inferences and conclusions only from facts that have been proved to you. The second rule is that any inferences or conclusions which you draw must be reasonable and natural, based on your common sense and experience of life. In a chain of circumstantial evidence, it is not required that every one of your inferences and conclusions be inevitable, but it is required that each of them be reasonable, that they all be consistent with one another, and that together they establish the defendant's guilt beyond a reasonable doubt. If the Commonwealth's case is based solely on circumstantial evidence, you may find the defendant guilty only if those circumstances are conclusive enough to leave you with a moral certainty, a clear and settled belief, that the defendant is guilty and that there is no other reasonable explanation of the facts as proven. The evidence must not only be consistent with the defendant's guilt, it must be inconsistent with his (her) innocence."

It's still early in the Hernandez trial, but with surveillance video, the evidence of dirt from the industrial park on the Hernandez car, the bullet-riddled body of Odin Lloyd, the alleged removal of the murder weapon from the Hernandez house in a trash bag by his already perjury-indicted fiancée, it appears that rain may be in the forecast when the trial concludes in the coming weeks. In the absence of some defense-produced sunshine, Hernandez may soon discover that the mailman also delivers to the MCI-Cedar Junction state prison at Walpole.

Note: An earlier version of this article incorrectly described details of the bubble gum recovered at a rental car location and cited as evidence in the case.

@highlight

Paul Callan: Prosecutors can often make compelling cases without direct evidence

@highlight

Surveillance video is key to the prosecution case against Aaron Hernandez, Callan says