(CNN) -- What do LeBron James and Bill Clinton have in common? Both were mama's boys.

And contrary to popular belief, that's not a bad thing. People tend to think of mama's boys as coddled and carried and then, later on, too attached for their own good. Mama's boys are often perceived as weak; a close relationship between mother and son is viewed as suspect.

And yet studies support the idea that boys who grow up having tight relationships with their mothers have a certain advantage. They become strong, independent leaders. Just look at the commander in chief. Barack Obama has gladly admitted: He was a mama's boy.

But there's scientific proof that the close mother-son bond is healthy and beneficial. A 2010 study out of the University of Reading, an analysis of more than 69 studies featuring more than 6,000 children, found that kids, especially boys, who have secure attachments to their mothers tended to have fewer behavioral problems throughout their childhoods.

Later on, they were expected to display fewer signs of aggression and hostility. They were, it stands to reason, more adaptable, more patient. A 2011 study published in the journal Child Development, meanwhile, found that the quality of the mother-son bond directly related to his sense of morality and his likelihood to have healthy romantic relationships, and that conflict was the biggest predictor of delinquency.

And in 2012's "The Mama's Boy Myth," author Kate Lombardi used her relationship with her son as a base from which to explore mother-son closeness, ultimately arguing that despite the pressure many mothers feel to let their sons learn to cope largely on their own, keeping them in a closer relationship ultimately helps boys grow into well-adjusted men.

Men who grew up having close relationships with their mothers, she writes, are less inclined to argue and more inclined to "work it out." They have an easier time in adult relationships.

In my own work, I have encountered many close mother-son relationships, particularly while researching my first book, "Raising Boys Without Men," which looked at many single mothers raising boys on their own.

These mothers were, perhaps not surprisingly, inclined to develop very close bonds with their sons. I followed these families for many years and came to understand that mothers, as a whole who refused to buy into the fear of being too close to their sons tended to raise boys who were more responsible, sensitive to the needs of others and more self-assured.

They were more likely to have a healthy respect for women. I learned that mothers who allowed and encouraged boys to show their more emotional side helped their sons develop confidence and empathy.

There is one place where a tight mother-son bond could come at a disadvantage: Once the mama's boy marries. A 2013 study by researchers at the University of Wisconsin found that mothers worry far more when their sons marry than when their daughters marry, and that these worries can turn into a self-fulfilling prophecy, leading to the man feeling jealousy, anger or sadness that, in the worst-case scenario, can destabilize his marriage.

Maybe no one's surprised that mothers could feel threatened by their daughters-in-law, but it's still no reason to avoid marrying a mama's boy. A confident mama's boy, after all, is often well-equipped to navigate tricky social territory.

But what about mama's girls? No one seems to bat an eyelash at the concept of close mother-daughter relationships, at least not while the daughters are small. But, in fact, "mama's girls" may walk a fine line between close and too close.

A study published in the July issue of Social and Behavioral Sciences found that relationships between mothers and daughters that could be described as "connected" helped foster better self-esteem than those relationships that could be described as something closer to "interdependent." That is, sharing and caring works; smothering does not.

A study out of the University of Georgia, for instance, also concluded that too-close relationships -- those in which mothers were hyper-involved and overly critical -- could result in women with poor social skills and disordered attitudes about eating. We do know that the mother-daughter relationship tends to work best when the roles remain, for the most part, traditional.

Indeed, mothers of both sons and daughters should worry less about getting caught up in "perception" and what other people think, especially at Mother's Day. If you suspect your son is a mama's boy, be thankful. Chances are, he will be, too.

@highlight

Peggy Drexler: People stigmatize "mama's boys," thinking they're weak

@highlight

In fact, studies show close relationship to mother can yield many benefits, she says

@highlight

Drexler: Mama's boys are less aggressive, more adaptable and patient

@highlight

She says one downside is that a close mother-son bond could disrupt the son's marriage