(CNN) -- A new virus in the same family as SARS -- found for the first time in humans in the past year -- has infected 49 people, most of them in the Middle East.

Of those, 27 people have died, the World Health Organization said Wednesday.

The virus previously was called the novel coronavirus, or nCoV. However, the WHO this week gave it a new name: Middle East respiratory syndrome coronavirus, or MERS-CoV.

Should I be concerned about new virus? Your questions answered

It's part of a family called coronaviruses, which cause illnesses ranging from the common cold to SARS, or severe acute respiratory syndrome, as well as a variety of animal diseases. However, the new virus is not SARS.

The virus acts like a cold and attacks the respiratory system, the Centers for Disease Control and Prevention has said. But symptoms, which include fever and a cough, are severe and can lead to pneumonia and kidney failure. Gastrointestinal symptoms such as diarrhea have also been seen, according to the WHO.

MERS-CoV has been detected in humans in eight countries, the WHO said last week -- Saudi Arabia, Jordan, Qatar, the United Arab Emirates, France, Germany, Tunisia and the United Kingdom.

Earlier this month, the WHO reported two health care workers in Saudi Arabia became ill while treating patients.

Here are five things you need to know about MERS-CoV:

Widespread transmission hasn't been seen

All the clusters of cases seen so far have been transmitted between family members or in a health care setting, the WHO said in a May 17 update. "Human-to-human transmission occurred in at least some of these clusters; however, the exact mode of transmission is unknown."

That means it's not yet known how humans contract MERS-CoV. But experts said there has been no evidence of cases beyond the clusters into communities.

Dr. William Schaffner, an infectious disease specialist at Vanderbilt University Medical Center in Nashville, has said the infection is "very serious" but appears "very difficult to acquire."

According to the WHO, "The recent increase in cases may in part be related to increased awareness among the medical community; however, the demonstrated ability of this virus to transmit between humans and to cause large outbreaks has increased concerns about the possibility of sustained transmission."

Cases are connected to the Middle East

"All of the European cases have had a direct or indirect connection to the Middle East," the WHO said in the May 17 statement. "However, in France and the United Kingdom, there has been limited local transmission among close contacts who had not been to the Middle East but had been in contact with a traveler recently returned from the Middle East."

New SARS-like virus poses medical mystery

Most of the cases so far are seen in older men with other medical conditions, experts have said. Precise numbers are difficult to ascertain as officials don't know how many people might contract a mild form of MERS-CoV.

Saudi Arabia leads the number of laboratory-confirmed cases, with 32 as of Tuesday, the CDC said.

No cases have been reported in the United States, but infectious disease experts have said they would not be surprised if it happens.

Underlying health conditions may make you more susceptible

A large number of patients have another condition, the WHO said, suggesting "increased susceptibility from underlying medical conditions may play a role in transmission." In addition, the infection has shown up "atypically" and without respiratory symptoms in people whose immune systems are compromised.

No travel warnings have been issued

The WHO and CDC have not issued travel health warnings for any country related to the novel coronavirus.

But, in a travel notice, the CDC said it recommends that "U.S. travelers to countries in or near the Arabian Peninsula monitor their health and see a doctor right away if they develop fever and symptoms of lower respiratory illness, such as cough or shortness of breath. They should tell the doctor about their recent travel."

In addition, those who traveled to the Middle East should see their health care provider if they develop a fever and respiratory symptoms such as a cough or shortness of breath within 10 days of returning from the Arabian Peninsula or surrounding nations, according to the CDC.

There are no treatments and no vaccine

So far, those with MERS-CoV have received supportive treatments to relieve their symptoms.

@highlight

MERS-CoV has sickened 49 people and killed 27, World Health Organization says

@highlight

The cases have a link to the Middle East, especially Saudi Arabia

@highlight

Experts say the virus could show up in the United States