(CNN) -- What rules must a turkey sandwich follow in order to board an airplane?

With the six needles found in sandwiches on four international Delta Air Lines flights from the Netherlands to the United States, it's a question already stressed travelers are starting to ask. Assuming you get any food on your flight these days, how do you know it's safe to eat?

Each country is responsible for setting its own in-flight catering rules, says Perry Flint, a spokesman for the International Air Transport Association, an airline industry group. The United Nations' International Civil Aviation Organization also has standards and guidance on catering security.

The Transportation Security Administration declined to specify its catering rules "so as to not violate the integrity of these measures," TSA spokesman David Castelveter wrote in an e-mail. "TSA conducts ongoing inspections to ensure airlines and contractors comply with these security requirements." At foreign airports, the TSA's role "is as an evaluator of those programs."

Tainted food: A sticky situation for airline travelers

None of the U.S. airlines contacted by CNN.com, including Delta, would comment on specifics of how food moves from manufacturing plants and commercial food kitchens to their airplanes. Nor would two of the largest airline catering companies, including Gate Gourmet, which supplied the turkey sandwiches under investigation.

Gate Gourmet said it is "cooperating fully with investigations by local and federal authorities and by our customer. As such, further details of this matter must remain confidential" and referred to its website for information on safety procedures.

To learn more, CNN.com turned to Peter Jones, a professor with a specialty in airline catering at the University of Surrey's School of Hospitality and Tourism Management in England.

The following is a transcript of that interview, edited and condensed for clarity:

CNN: What threats does a company screen for?

Peter Jones: Random sampling of food items is to test for pathogenic organisms to ensure against food poisoning. This is typically outsourced. Visual inspection of trays and trolleys is just for quality assurance purposes rather than to protect against threats. X-ray is designed to reveal weapons and bombs.

CNN: Is every food item that goes on a plane screened? Or do catering companies and government agencies do spot inspections?

Jones: Spot testing and inspection (are conducted) mostly by supervisors, rarely by outside agencies. Three things could be screened -- the items put on the tray; the tray once it is laid up; and the trolleys once they are full of trays. In most cases across the world, such screening is simply visual and random sampling. In some high-threat countries (for example, in the Middle East) trolleys are X-rayed (like luggage is), but this is not commonplace.

CNN: What is done when an apparently deliberate act of malice is discovered?

Jones: Such an isolated, one-off incident like this is extremely difficult to prevent. It could happen not just in a flight kitchen but in any food preparation operation, where a malicious person could tamper with food.

In this instance, it is likely that the sandwiches would be labeled and coded so that it would be known when they were made, and possibly by whom. The most likely perpetrator is the employee who made the sandwiches, but this is not necessarily the case.

The needles could have been inserted after the product was made and packaged -- during transportation to the plane. Close inspection of the packaging will reveal this (and the loaders will be known).

It is also possible that the needles were placed in the products used to make the sandwiches (the bread and filling), further up the supply chain. This is less likely as the sandwich maker should have detected such tampering.

Again close examination is likely to reveal if this were the case. Such analysis narrows down who might have done the tampering, and hence further steps can be taken to monitor the suspects and potentially prove their guilt.

CNN: Will airlines or their caterers change any procedures as a result of this incident?

Jones: Neither the airline nor flight caterer will change their suppliers because of this one incident. Millions of airline meals get served every day and billions in a year. Hence the likelihood of this happening is the equivalent of winning the lottery or aliens landing in Nebraska.

No system is completely risk-free and to suggest that this, or any other incident like it, can be completely eliminated is fantasy. You are probably 100 times more likely to die in a plane crash than eat contaminated food on a plane.

CNN's Mike Ahlers and Marnie Hunter contributed to this report.

@highlight

Airlines and caterers have shared few details about food inspection on planes

@highlight

Airline catering usually spot tested, expert says

@highlight

Expert: Isolated, one-off incidents such as recent Delta episode are difficult to prevent