(CNN) -- In the sparse hinterland of Africa's southernmost nation plans are afoot to boldly take the continent where it has never gone before -- the deepest reaches of outer space.

It's here, in South Africa's Karoo desert, that construction is scheduled to begin on the Square Kilometer Array, a cluster of 3,000 satellites working in tandem over a square kilometer area.

This highly sensitive collective of dishes and antennas will combine to act as a giant radio telescope -- the biggest in the world when built, according to the SKA Organization -- probing the dark heart of space.

An accompanying selection of array and aperture antennas, meanwhile, will provide continuous coverage of radio waves between 70 MhZ and 10 GhZ that penetrate the earth's atmosphere.

Scientists hope the project will shed further light on the mysteries posed by the likes of quasars, dark matter and black holes.

According to Phil Diamond, Director-General of the SKA Organisation, the project could even enable scientists to "pick up signals from extraterrestrials" should they exist, although this isn't the projects primary objective.

There's also the exciting possibility of capturing information on how the universe evolved in its earliest moments.

The space effect

For science, the prize is clearly huge.

A full budget for the SKA is yet to be confirmed but construction is slated to begin by 2018.

Given the scale of the project, which has the backing of 11 member countries, some have even dubbed the SKA astronomy's version of the Large Hadron Collider.

For South Africa and the wider African continent, there are also many ancillary benefits.

The SKA -- an international affair -- is headquartered in the UK with the telescope itself planned for a "dual site" location in Australia and South Africa. Distant stations will also be set up in Botswana, Kenya, Madagascar, Mauritius, Mozambique, Namibia, Zambia and Ghana.

SKA South Africa is also building the MeerKAT radio telescope, which will act as a precursor to the SKA and later be integrated into the larger telescope.

The construction, observation and upkeep of these facilities will provide skilled jobs for local people.

SKA South Africa project director Bernie Fanaroff, meanwhile, says that the telescope array will generate more data in a day than already exists on the entire internet.

As such, new computer software and programs that can pinpoint relevant data and allow humans to interact with it in a simple and time-efficient manner are currently being developed.

Given the increasing importance of "big data" collection and analysis across a host of contemporary industries, South Africa's government is taking a calculated risk that the technologies underpinning these systems will find further commercial use both in Africa and beyond.

Economic benefits

For the Rainbow Nation, these are clearly exciting and potentially lucrative developments to be a part of.

"South Africa wants to move away from being resource heavy economy to bring young people into science and technology," explains Fanaroff. "Building the SKA ... is a way of emphasizing and getting people to accept that science and tech is a key part of development."

This is a point of view that Dr Sandile Malinga, head of the South African National Space Agency, strongly concurs with.

He points to successful SANSA programs currently underway -- including the development and launch of satellites that provide data used to inform government decisions on security, agriculture and environmental protection -- which prove the benefits of serious investment in a modern space program. The agency also gave help to NASA's Mars Curiosity Mission during launch in 2011.

"(There are) endless possibilities through innovation and new technologies, which may be replicated on earth," Malinga says.

"The necessary knowledge and skills developed through such missions will open doors for our people to position themselves equally on the global space stage and even bring in external funding to our countries thus boosting the economies," he adds.

The African space race

South Africa isn't the only African nation thinking along these lines.

Nigeria, Morocco, Tunisia, Algeria and Egypt have all established space and satellite programs with similar aims.

Ghana, Uganda, Angola, Ethiopia and Kenya, meanwhile, have voiced their commitment to follow suit.

Some observers question whether the underlying infrastructure to enable these ambitions to flourish in the long term is currently in place.

Calestous Juma, a Harvard University professor and co-chair of the African Union's High-Level Panel on Science, Technology and Innovation, told CNN that while it is right that African nations invest in space technology they must do so in a thoughtful and strategic manner.

He points to the importance of focusing on education and inspiring future generations to become scientists and engineers, to create valuable and highly skilled workforces.

"What we don't want is vanity space programs," Juma said. "As it stands, I think they are focusing more on the space programs and less on the education ... (space programs) have to be designed as a capability program otherwise the economic return will not be fully realized."

While this may be the case for some African nations, Fanaroff says that since 2005 South Africa has issued some 600 grants in their human capacity development program, covering "everything from research chairs down to artisan training."

"We're putting a lot of young people through a pipeline where we're trying to take them into astronomy and physics or engineering in their first or second year of university and taking them all the way through to post-doctoral fellowships. That's starting to work quite well," adds Fanaroff.

Aid and space

Despite his concerns about infrastructure, Calestous Juma is enthusiastic about the broader aims of developing space programs on the continent.

There are others, however, who say that African nations should focus more on providing for the basic needs of their populations than on the luxury of space investment.

South Africa has one of the largest gaps between rich and poor globally, with millions living in shanty towns -- although earlier this year, the government reported that the population living in extreme poverty has dropped by 2.4 million since 2006.

Egypt has been wracked by political instability and violence since former president of 30 years, Hosni Mubarak was forced to resign by protesters in 2011 and the subsequent overthrow in 2013 of President Mohamed Morsy in a military coup.

And in Nigeria, some regions boast the unenviable record of having 60% of their population living in extreme poverty.

Matthew Sinclair from the British Taxpayers Alliance body was quoted by the UK's Independent newspaper in 2013 asking why his country was sending money to provide development assistance to nations like Nigeria and South Africa when they are investing in space technologies.

"If a foreign government has enough cash to invest in an ambitious space program, it should not expect to be receiving cash from the UK," Sinclair said.

Colonial thinking

The likes of Malinga and Fanaroff, however, have little time for these suggestions.

"This is an argument we hear often and is largely as a result of the public not being able to make the link between the benefits of space investment against addressing society's needs," Malinga says.

"Africa has immense challenges with poverty, hunger and access to potable water which can all be diminished through investment in space" by providing valuable data that can make public policy more efficient, for example.

On top of this, "innovations that arise from the 'out-of-the-box' thinking that space encourages will impact on growing local economies and create opportunities for Africans in the global market," he adds.

Fanaroff, however, is more withering in his riposte.

"We don't accept that South Africa has to remain on the edge of civilization. That we don't accept, that's the old colonial way of thinking," Fanaroff says.

"For South Africa and Africa (this could be) the next great economic growth story," he adds. "We will play a role in the future."

@highlight

The Square Kilometer Array is an ambitious radio telescope project

@highlight

Much of it will be based in South Africa -- and other African nations

@highlight

South Africa's space agency hopes SKA will have knock-on economic benefits

@highlight

Increasing number of African nations looking to invest in space programs