News reports indicate that North Korea may be preparing for a nuclear test, potentially scheduled to coincide with President Obama's visit to South Korea this week.

The North Korean foreign minister warned Tuesday that Obama's trip could "escalate confrontation and bring the dark clouds of a nuclear arms race," prompting speculation that the impulsive young leader of the North, Kim Jong Un, is again crying out for attention.

Typically, experts and government officials refer to these outbursts and nuclear or missile tests as "provocations," which are followed by sanctions, tensions and -- it is hoped -- a return to diplomacy.  But by now, it should be obvious that while North Korean behavior appears cyclical ("there they go again"), Pyongyang is on a clear, linear  path to developing nuclear weapons and the means to deliver them on target in Japan and eventually the United States.

North Korea's third and most recent nuclear test, in February 2013, used a relatively small 6- to 9-kiloton plutonium-based nuclear warhead, according to the South Korea Ministry of Defense, roughly half the yield of the nuclear bombs dropped on Hiroshima and Nagasaki.

If North Korea's new test is substantially larger, it will demonstrate that Pyongyang either has mastered the warhead design challenges of plutonium-based weapons or has covertly enriched uranium.

If it is the former case, North Korea will more easily be able to miniaturize its nuclear warhead technology for mating with ballistic missiles. If the latter case, North Korea will probably demonstrate the ability to covertly stockpile large amounts of fissile material, since highly enriched uranium facilities can be more easily hidden underground and North Korea has plenty of uranium mines to obtain the necessary fuel.

Either way, a "new form" of North Korean nuclear test would signal a substantial increase in the country's nuclear capabilities and not just another provocation requiring a short-term punishment from the international community.

The United States and its allies and partners would no doubt seek to place additional sanctions on North Korea through the United Nations, if such a test were to occur. However, given current tensions with Russia, as well as Chinese concern about North Korean stability, it is unlikely that the U.N. Security Council would approve substantial new sanctions. Yet, deterring North Korea is critical. What more could be done?

First, if the United States cannot win substantial new sanctions at the U.N., it should take additional steps in concert with South Korea, Japan and other allies and partners to squeeze the North's ability to import or export dangerous materials related to their missile and nuclear programs.

Additional sanctions should target North Korean use of international banks to conduct illicit activities. Although some of these institutions have been targeted (most notably Banco Delta Asia in 2005), more can be done to cut North Korea off from its international financing. A coalition of like-minded states could also agree to inspect any and all ships or planes that have departed from North Korea in the previous six months.  This same coalition would work together to pressure Beijing to increase inspections and cut off illicit banking activities with North Korea.

Moving China to action has usually been a challenge, but additional North Korean provocations and Kim Jong Un's execution of his uncle and China's contact in Pyongyang, Jang Song Thaek, could motivate China to take steps, particularly once it is clear that the U.S. is no longer willing to rely on the Security Council for another round of weak sanctions.

Second, the U.S. should respond to any North Korean test by increasing cooperation trilaterally with Japan and South Korea. Although South Korea-Japan relations have been at a low point, the United States has spearheaded efforts to make progress in the bilateral relationship in recent months. Obama's visit to both countries will surely touch on this issue, but a North Korean provocation could help him drive Japan and South Korea toward closer cooperation, particularly on intelligence, surveillance and reconnaissance; missile defense; and logistics.

This would not only improve U.S.-Japan-South Korea cooperation but could also deter additional provocative actions and put pressure on Chinese leaders to restrain their North Korean ally.  In December 2010, the U.S., Japan and South Korea came very close to issuing a joint collective security statement, declaring that an attack by the North on any of us would be an attack on all of us, after the North sank a South Korean vessel and shelled civilians on a South Korean-held island.  That high bar could become achievable again.

Third, the United States should bolster its extended deterrent framework -- or nuclear umbrella -- in East Asia. Today, some question U.S. willpower in the face of threats in the Asia Pacific region, particularly after the uncertain U.S. responses to aggression in Syria and Ukraine. A North Korean nuclear test would require the U.S. to make unambiguous statements about the defense of our allies and follow through with demonstrations of American capability, including deployments of assets like the B-2 bomber to Guam and increased exercises with Japan and Korea.

North Korea is estimated to have enough fissile material now for between six and 12 nuclear weapons and is working hard on miniaturization and longer-range ballistic missiles capable of hitting not only Japan but someday, potentially, the United States.  At this rate, it will not be long before an American president is going to ask his staff who let North Korea develop the ability to threaten the United States with impunity and why more wasn't done to stop the North.

We know that diplomacy has failed to knock the North off its goal and that a military strike would risk dangerous retaliation against Japan and Korea.  But in between war and diplomacy, we have a range of options that could constrict the North's program and buy us time until the threat can be removed peacefully through diplomacy or collapse of the onerous regime in Pyongyang.

@highlight

North Korea may launch nuclear test to coincide with Obama's visit to South Korea

@highlight

Writers: If it's a more serious provocation, it could signal an uptick in nuclear capability

@highlight

They say strong U.N. sanctions necessary to stop a possible march toward nukes

@highlight

Writers: U.S. must strengthen ties with S. Korea and Japan and build up its deterrent system