Cynthia Scudo is a portrait of an all-American mom of eight and grandmother of 18 who survived an extraordinary journey lasting a decade: She became addicted to prescription painkillers and then to heroin.

You'd never guess it. Trim, petite, with a bob and easy smile, Scudo had enough energy to work full-time and preside over a large family in Denver.

She had it all -- until it crumbled.

Her dark secret about a taboo drug is not as isolated as it seems, especially with the revelations of public figures whose early deaths involved heroin, such as actor Philip Seymour Hoffman, who overdosed on a cocktail of legal and illegal drugs.

Prescription drug abuse is now a health epidemic in America, worse than crack in the 1980s, and Scudo's story is one example. Her addiction to a handful of prescription drugs, with OxyContin as first and foremost, led to heroin because it gave her the same high at a cheaper price. Both are opiates.

"In the beginning, it was a feel-good," said Scudo, 55. "At the end, it was black."

Scudo didn't shoot heroin. Rather, she smoked it using a straw, tinfoil and a lighter to inhale a smaller than pea-sized pinch of "black tar" heroin. She exhaled the smoke through a fan vent in the basement bathroom of her home, sometimes at 2 a.m., so her children wouldn't smell anything.

"There's such a stigma about heroin, that it's dirty and it's IV users under the bridge and homeless people, and that is so not the case," Scudo said. "Heroin crosses all borders, all socioeconomic groups."

Scudo's addiction was far from unique. The path from prescription drugs to heroin is well traveled, according to Dr. Patrick Fehling, a psychiatrist at the University of Colorado Hospital's Center for Dependency, Addiction and Rehabilitation.

"That is very common. I have a lot of patients that ask me, 'Are prescription opioid painkillers gateway drugs towards heroin?'" Fehling said. "Absolutely."

Scudo's drug use, while extreme, shouldn't obscure one reality: "Prescription drug abuse is a massive problem in the United States," Fehling said.

How it began

For Scudo, her addiction began -- as they all do -- innocently enough.

She sought relief from hip pain, possibly caused by scarring from cesarean sections she had delivering several of her children.

Her then-husband recommended a physician.

"There was no physical therapy offered," she said of the doctor's visit. "The first reaction was, let's give you some drugs."

He put her on OxyContin.

By the second week, she was physically addicted.

She was popping so much of the painkiller and other drugs such as anti-anxiety Valium that they equated to a dosage for three men.

A second doctor reduced her prescription, causing Scudo to experience withdrawal symptoms, or become "dope-sick."

"When you start withdrawing from opiates, it focuses in your lower back and your legs, and it is like somebody has clamped a vice on both sides of your hips and is just smashing you. Hitting my back with a baseball bat would have been more comfortable," Scudo said.

She was desperate for more OxyContin.

"Some people are not addicts and can take drugs as prescribed," she explained. "But for the few people who are addicts, it's a whole different ball game."

To feed her cravings, Scudo leveraged her maternal authority: She found drug dealers who were friends of her eldest children.

"When you have eight children," she said, "you're bound to know people."

It was so easy.

But it was also so expensive. One OxyContin pill cost $80 on the street.

"One OxyContin wouldn't last me at all," she said. "I could never take just one OxyContin. That wouldn't even keep the dope-sick away."

So she turned to heroin.

Why?

Her fear of withdrawal was greater than her fear of the drug.

Living fearlessly

Like OxyContin, heroin was abundant on the street. In Denver. In the suburbs.

Once you bought from one dealer, several more approached you, she said.

She bought seven balloons -- or seven grams -- of heroin for $100, she said. That kept her high for up to three days.

"I would do some crazy stuff to get drugs," she said. "Like 2 o'clock in the morning, I'm making a run to downtown Denver. Like picking up my grandkids in the car (to go to a drug deal), praying that I was not going to get busted."

No risk was too great.

Never did she think of what she had to lose.

"Not once," she explained. "That's the addict in me."

After almost 10 years of heroin addiction, she wondered how much her family knew. Her children stopped bringing the grandchildren to visit her. She pawned family heirlooms. Her second marriage failed, and she stole from her ex-husband.

"I know they knew that I was struggling, but they didn't know how to help. I'm sure that they were scared to death for me," she said, "and the sad part is...I didn't care."

She fooled herself. After all, she was good at lying. Her job was going well. The bosses promoted her a few times. Everything was manageable, except when she got home from work at 4 p.m. and was in bed for the night at 4:30 p.m.

"I didn't want to think. I didn't want to feel. Actually I didn't care if I lived or died," she said.

The only person she couldn't fool was her alcoholic mom in recovery, who noticed Scudo's weight loss and asked her, "Are you ready for help?"

Scudo responded with an "I got this, mom, I got it."

I went from heroin addict to PTA mom

What the mirror told her

The breaking point came one morning after taking a shower.

Scudo looked at herself in a full-length mirror, naked, for the first time in six months.

"I looked like an Auschwitz survivor," she said. "I was a skeleton. I had this lovely green glow going, so I knew my liver was shutting down. The skin was hanging, literally hanging off my body.

"And something about that moment when I saw myself triggered something in my head," she said.

The next day, her ex-husband called her at work in a confrontation about a problem. Scudo had enough. She wanted to drive her car off the highest overhang on Interstate 70, but feared she wouldn't die immediately and would end up in pain. She went home, kissed the two children still living with her, went to the bedroom and cried. She closed the door. She found eight OxyContin pills, but that wasn't going to be enough to kill her. She was used to downing six at a time, crushed.

She fell asleep and took a sick day from work the next morning.

How heroin kills you

Hitting bottom

Her mother knocked on her door at 10 a.m. Her son-in-law, who worked at the same company as Scudo, told her that Scudo took a sick day.

"Have you damn well had enough?" her mother asked her.

"And for some reason, 'yes' came out of my mouth," Scudo said.

They checked her into a 30-day inpatient program for addiction on April 19, 2011, the last day she took drugs.

That meant her first day without dope was, ironically, also the unofficial, international get-high day of April 20, she noted.

Her detoxification was "six days of hell," she said.

"I lost 9 pounds in six days," she recounted. "I threw up every 15 minutes. I would have to live in the shower with the water temperature of 120 degrees to burn the skin to not feel the pain in my back."

She's been clean for three years now, she said.

She's on her third marriage.

She's changed jobs, becoming an office manager over 200 employees at a credit card company.

And she no longer wants to die.

"I am not ashamed of the fact that I am who I am. The only way that I will not make this is if I start keeping secrets from myself and other people and then my head gets to start playing games with me and telling me it has a good idea," Scudo said. "And I have got way too much to live for to go back."

She now hosts a monthly family dinner -- for 45 people in her little green house.

And the grandchildren visit again the once-lost matriarch.

New abuse-deterrent painkiller approved

FDA aims to tighten control of hydrocodone

FDA fights drug overdoses with new labels for prescription painkillers

DEA turns to texting to fight prescription drug abuse

@highlight

Cynthia had it all -- a career and a family of 8 children and 18 grandchildren

@highlight

She abused prescription painkillers and then used heroin because it was cheaper

@highlight

Prescription opiate abuse can be a gateway drug to heroin, doctor says

@highlight

"Prescription drug abuse is a massive problem in the United States," doctor adds