(CNN) -- Fourteen can be a time of total transformation. It is an age when gangly adolescent limbs may morph into lithe, stronger ones. It is when the first signs of adulthood -- breasts, hair (on faces and other places) -- start cropping up.

Fourteen is also the soonest any child should be tackling on a football field, heading a soccer ball, or body checking an opponent on an ice hockey rink, according to a leading concussion expert.

"If kids don't have axillary (underarm) or pubic hair, they aren't ready to play," said Dr. Robert Cantu, a neurosurgeon at Emerson Hospital in Massachusetts and author of a new book, "Concussion and Our Kids."

"And I have absolutely no problem with parents who want to hold a child out for longer, say 16 or 18."

No tackling? No body checking before 14?

Heading a soccer ball before 14 in soccer might be sacrificed -- if studies eventually bear out the debatable link to concussion -- but tackling and body checking essentially define football and hockey.

Limit hits, limit concussions in young brains

In Cantu's words, "These are sports in which smashing into your opponent isn't just a possibility -- it's the object of the game."

And there is some substance behind the argument for waiting until 14, says Cantu, not the least of which is protecting young, developing brains. At 14, he says, several things enhance the body's ability to protect against head trauma.

Before 14, there is a size disparity between the head and the body, causing what concussion experts call a "bobble-head" effect -- the head snaps back dramatically after it is hit.

"Our youngsters have big heads on very weak necks and that combination sets up the brain for greater injury," said Cantu, a clinical professor of neurosurgery at Boston University School of Medicine.

However, around age 14, a child's skull is about 90% the size of an adult's, and the neck and body are strong enough to steel the head against the force of a blow, according to Cantu. The more developed the neck muscles, the less dramatically the head (and thus the brain) is rocked after a tackle or a body check.

And then there is the issue of brain development, and a protein called myelin. Myelin acts as insulation, a sort of buffer, for nerve fibers in the brain.

Football player: Are you OK ruining a kid's brain for this game?

By 14, Cantu says children have a "better myelin-ated" brain, making them less vulnerable to injury.

Of course, such a bold proposition, one that would effectively change the way sports are played, causes a minor stir among experts.

"I don't know what is magic about the number 14," said Dr. Julian Bailes, co-director of the NorthShore Neurological Institute. "People suggest radical solutions, but is it practical? Is it going to be done?"

Bailes acknowledges the debate as complicated. On one hand is a real need to protect children, on the other the unavoidable and possibly insurmountable cultural questions that enter the discussion.

"What does the sporting public want and what is something we can really accomplish?" said Bailes, who also is chairman of the Pop Warner medical advisory board. "As a society, as sporting fans and participants, are we ready to say we're not going to play football?"

Apart from the cultural implications of placing broad limits on contact, there also is the question of what age-specific limits on hitting actually imply about a child's long-term risk for brain damage.

There is no definitive set of risk factors for diseases like chronic traumatic encephalopathy, a dementia-like illness that is associated with blows to the head -- although cases as young as 17 have been identified -- and no clues yet from the scientific community about when and precisely how it starts.

Suicide linked to brain disease

And then there is the pesky question of science.

"I would very clearly disagree with the concept that there is research to support (no contact before age 14)," said Dr. Jeffrey Kutcher, chair of the Sports Neurology Section of the American Academy of Neurology.

"I don't feel like we need to have all the science lined up before we make policy decisions, but those decisions should be made based on common sense and science rather than randomness."

Yet even Kutcher has difficulty dismissing the idea outright. The reality, he says, is that brains don't like to be hit a lot and younger brains are still developing, which could cause problems down the road.

Kutcher says he advocates "diminishing versus outlawing" head contact, adding that waiting to tackle until age 14 sounds arbitrary.

"Some of the sports we've introduced children to involve hundreds of hits to the head," said Chris Nowinski, a concussion expert and author of "Head Games."

"Show me the scientific evidence that that's a good idea."

What everyone seems to agree about is that hits to the developing brain are bad; that agreement can dissolve once the emotionally charged conversation about the sanctity of sport begins.

"I would love to debate anyone, anytime, anywhere about this," said Cantu. "What the other side will say is you have to teach the kids the skills of a sport at a very young age otherwise they're at a competitive disadvantage. It's just plain B.S."

"I'm pro-sports. I just want them to be played more safely," said Cantu, adding that youth athletes have the least-experienced coaches and few medical personnel on the sidelines, putting them at a compelling disadvantage.

What he wants is for parents to carefully consider the potential long-term consequences of brain blows in their children -- to advocate for their safety.

"Reform should be happening much faster at the youth level than it does," said Nowinski, who is co-founder of the Sports Legacy Institute with Cantu. "We're saying wake up, your child has so many disadvantages.

"Your kids only have one life and you should think twice about putting your kid in a sport where they're hitting their head repeatedly."

As for the magic number 14? Cantu says that age matters less than maturity and that parents might even decide to wait until after age 14 to expose their children to contact.

"The mantra of the book is that no head trauma is good head trauma," said Cantu. The brain cannot be conditioned to take head trauma so make it as little as possible."

Questions lingers about long-term impact of subtle hits to the head

@highlight

Concussion expert says kids shouldn't be tackling, body checking until 14

@highlight

Before 14, expert says, "bobble head" effect snaps back the brain

@highlight

Myelin acts as insulation for nerve fibers in the brain after the age of 14

@highlight

Opponents says the age is arbitrary and that science hasn't backed up conclusions