Mumbai (CNN) -- Just a few weeks ago, a young boy tied to a bus stop in Mumbai barely received a glance from passersby oblivious to his plight.

Deaf and mute, nine-year-old Lakhan was regularly tied to a pole by his elderly grandmother for fear he would run into traffic on a nearby road while she was away at work.

Now, grandmother and grandson are living in a home for deaf and mute children, the patch of pavement where they both lived swapped for a roof above their heads.

After reading about Lakhan on CNN in June, people wrote, tweeted, messaged, called and emailed from around the world.

Many wrote to express their concern. Some wrote to ask how they could help. Others sent funds to help rehabilitate Lakhan. One person started a Facebook page to raise awareness about his plight.

The response was overwhelming.

"I was under the impression -- 'who cares for such stories?'" said Meena Mutha, a social worker with the Manav Foundation. She'd been trying to find Lakhan a more suitable home since placing him in a government-run shelter for juveniles in June.

It was better than the street but not suitable for a boy with cerebral palsy who needed dedicated care.

Mutha took on Lakhan's case in late May when a constable called her after seeing the boy's photo in a local newspaper. Lakhan was tied to a pole with rags and his elderly grandmother, Sakubai, was obviously struggling to take care of him as well as herself.

"He is deaf so he would not be able to hear traffic coming. If he ran onto the road, he'd get killed," Sakubai told CNN in June. "See, it's a long rope," she said, holding out a piece of frayed cloth. There were many similar pieces of cloth tied to different poles.

A life of struggle

Sakubai told CNN Lakhan's father had passed away four years ago. His mother deserted them and his older sister ran away.

She had done the best she could, selling trinkets on a nearby beach to earn a meager wage to feed them. There was no money for shelter so she stretched out a piece of cloth on the ground behind the bus stop where they both would sleep.

Mutha struggled to find Lakhan a suitable home. Mumbai only has one government-run center for children with special needs and there was no room left for him.

Her exasperation turned to hope when a father and son team, Alok and Parth Polke, stepped in with an offer to take in Lakhan for free. They also offered his grandmother a job in their hostel, in Satara, a scenic hill town not far from Mumbai.

"Lakhan's a special case," said Alok Polke, who runs Samata Shikshan Prasarak Mandal (SSPM), a non-governmental organization that caters to deaf and mute children.

"His father died, his mother and sister abandoned him. He's left alone. What happens after his grandmother?"

Hostel offers new hope

CNN accompanied Lakhan, his grandmother and Mutha to Satara. He's the first mentally-challenged student to live in the SSPM hostel, which until now has only been for children who can't hear or speak.

Polke said there were "thousands of Lakhans in India" who desperately need a roof over their heads.

He said there are some homes for children who are deaf and dumb because they are comparatively easier to look after.

However, children who are mentally-challenged need dedicated help: more staff, attention outside of school hours, funding, and infrastructure. "That's lacking everywhere in India," Polke said.

Lakhan appeared to settle in quickly into his new surroundings. Within an hour of reaching the hostel, he was running around in the yard, playing with the other children, each one a child of special needs, each one quickly engaged in a game of tag.

They are some of the more fortunate ones.

Lack of care in India

According to the last census conducted in 2011, around 26.8 million people are in living with disabilities in India.

That's 2.2% of the population of more than 1.2 billion. Other bodies, including the World Bank, say the figure is much higher.

Many of them are children whose needs aren't being met by government shelters.

Even the government admits the lack of facilities for disabled children in India is a serious problem.

"There should be lots more institutions for these kinds of children," said Vijaya Murthy, a member of the government-run Child Welfare Committee in the state of Maharashtra.

When asked why the state had not established more institutions, she said the responsibility did not lie with the government alone.

"Society and government should come forward and have some rehabilitation plans for special needs children," she said.

She was unable to provide details of any specific plans the government has to rehabilitate thousands of other children like Lakhan in India, many of whom remain invisible and ignored.

For more information on how to directly help Lakhan, and people like him, go to manavfoundation.org.in.

@highlight

CNN met Lakhan Kale on the pavement in Mumbai where he lived with his grandmother

@highlight

She had tied him to a pole to stop the deaf and mute boy from running into traffic

@highlight

People emailed and phoned asking how they could help him

@highlight

Lakhan was taken in by SSPM, a non-governmental organization