(CNN) -- She was getting out of the car one autumn day in 2009, about to have lunch with a colleague, when Este Osofsky-McGonigle felt something pop in her neck.

"It was something so strong I couldn't talk for a couple of minutes," recalls the New York school psychologist. But it passed, and she regained her speech.

The rest of the day and night elapsed normally, but at 9:30 the next morning, as Osofsky-McGonigle finished up a meeting at work, her right arm went numb.

She went into her office and tried to write a letter, "Dear So-and-So." But when she picked up the pen and tried to write the letter "D," the pen just slid across the paper.

Osofsky-McGonigle tried again, but the same thing happened. "The 'D' went crazy," she said.

Fortunately, Osofsky-McGonigle could still run -- and she did, running the whole length of the school building, seeking a friend who sent her to the school nurse.

The nurse checked for a pulse in Osofsky-McGonigle's right arm, but found none. By the time she reached the hospital 15 minutes later, she could not lift her right arm or leg, speak or understand words.

Osofsky-McGonigle, at 47 and in near-perfect health, was having a stroke.

What happens during a stroke

The "pop" she felt in her neck the day before was her carotid artery tearing, a rare event called a carotid dissection. The carotid artery is the main artery supplying blood to the brain.

A blood clot formed after the dissection, and a piece of it likely broke off and traveled into an artery in her brain, blocking blood supply and resulting in an ischemic stroke, explained Dr. Daniel Antoniello, the attending neurologist at Montefiore Medical Center who treated Osofsky-McGonigle.

Ischemic stroke, which results from a blocked blood vessel, is the most common type of stroke and represents about 87% of all strokes, according to the U.S. Centers for Disease Control and Prevention. Hemorrhagic strokes, which involve bleeds in the brain, make up the remainder.

Most of the 800,000 strokes that occur in the United States each year occur among people age 65 and older, the CDC says. Unfortunately, doctors are seeing more and more strokes in younger people, partly because of the continuing epidemic of childhood obesity, early onset diabetes and cholesterol and hypertension issues, said Antoniello.

No one knows why Osofsky-McGonigle's artery tore, especially at such a young age. She had not suffered a recent injury, nor did she have any traditional risk factors for vascular disease such as high cholesterol or high blood pressure.

She may have simply been unlucky -- but after that, she was as lucky as any stroke survivor could be.

Timing is the main factor determining whether a person lives or dies -- or lives with a severe disability -- after a stroke. May is National Stroke Awareness Month.

Thanks to the alert school nurse, Osofsky-McGonigle made it to the emergency room about an hour and 20 minutes after her first symptoms. That left doctors plenty of time to administer the only approved treatment for ischemic stroke -- a clot-busting drug known as tissue plasminogen activator, or tPA.

Generally speaking, tPA is only effective and only given within a 4.5-hour time window after stroke symptoms appear, said Antoniello.

About an hour after that, Osofsky-McGonigle underwent a procedure in which doctors threaded a catheter through an artery in her groin all the way up into her brain. Once the catheter reached the clot, doctors squirted more tPA directly into the clot.

Stroke victims don't call 911, delay crucial treatment

"That dissolved the clot and restored blood flow," Antoniello said.

Still, no one knew how well Osofsky-McGonigle would recover. After the procedure, she was in intensive care.

The next day, she still couldn't speak or understand anything. On the second day, when Antoniello asked her to name some simple objects in her hospital room -- a pen, glasses, a watch -- she could not utter the words.

"She would try, but a jumbled mess would come out," he said.

Osofsky-McGonigle had aphasia, a common outcome of stroke in which parts of the brain related to language, including reading, writing and talking, are damaged.

Although some people experience a full recovery from aphasia, others only get part of their previous abilities back. How well a person recovers from stroke is highly variable and highly individual, Antoniello said.

By the third day, though, Osofsky-McGonigle, who was also starting to move her right arm and leg, could name one or two simple items -- and her recovery took off from there.

She was moved to a rehabilitation facility. At first, she made mistakes identifying family and friends, but soon could state who everyone was.

"That was a big promotion for me," she said.

As soon as she got home, she said, she was bossing her husband, Ray, and son Zachary around.

"I said, 'Zachary, get the radio off,' but it was the TV I was talking about, so he said, 'It's the TV, not the radio.' I said, 'OK, get the TV off.'

Osofsky-McGonigle started driving again and went back to work in early December 2009, a mere five weeks after her stroke.

By any standard, she experienced an astounding recovery.

"It is absolutely remarkable that someone like her had such a severe impairment and then went back to work as a psychologist two months later," Antoniello said. "There are not many people that make recoveries like her."

Once blood flow was restored, the damaged parts of Osofsky-McGonigle's brain started to "come back on board," he said. Later on, different parts of her brain may have rewired for any areas that were permanently damaged. Today, she shows no evidence of a speech impairment.

She attributes much of her recovery to determination.

"I couldn't afford to deteriorate," she said. "I had a lot of things in my life lined up and I couldn't afford to be in any way less than what I was."

Robotic system may help stroke patients

@highlight

Este Osofsky-McGonigle had a stroke in 2009 at age 47

@highlight

Timing is the main factor in determining whether someone survives a stroke

@highlight

Her doctor calls her recovery remarkable; she says it was determination

@highlight

May is National Stroke Awareness Month