(CNN) -- When I visited Princeton University on Monday, I took a walk past the Gothic dormitories on University Place before speaking about my career to a student seminar -- the same one I took 10 years ago. Every time I see the entrance to Foulke Hall, I am overcome with disbelief that my friends and I aren't still students.

I consider it a cruel and unusual fact of life that there is a learned student living in my 171 square feet of paradise. But we all had to move on, and I am happy. I'm 29, I live in Atlanta, I work at CNN.com, and I did not marry a Princetonian.

Susan Patton's letter to the Daily Princetonian advising female students to find a husband on campus is surprising in its antiquated assumptions, for sure. Democratic strategist and CNN commentator Donna Brazile and others have taken it apart for its focus on marriage over career and its pointedness toward male-female relationships.

I don't fault anyone for wanting their college romances to continue, and I know some that have. But in my experience, parts of her letter are out of whack with the realities of college today.

I'm sure Princeton was different for the class of 1977, when Patton graduated. There were only 200 women. (Princeton began admitting women only in the fall of 1969!) She wrote that it was seen as "heresy" for her to say she wanted to get married and have children.

In my generation, the gender breakdown on campus is nearly 50-50, and I never felt even a little unwelcome as a woman. I heard people express the wish to have a career, marriage and children.

But it was far from the only thing we talked about. We talked philosophy, politics, religion, diversity, journalism, anthropology and the value of higher education; that's the level of dialogue that I craved when I applied in the first place.

Patton writes about how freshman women should be "a little nicer" to senior men, as though women never date men younger than themselves in college, and therefore, there are fewer to choose from as each new class graduates. As a freshman, I barely even knew any seniors. I've heard I seemed "nervous" and "spazzy" in my first year. I lived in fear of sounding stupid, getting subpar grades and locking myself into a major I didn't like. I was probably less emotionally prepared to have a serious relationship than at any other time in my college career.

Seven years after graduation, I understand how difficult a college marriage, the kind Patton suggests, could be. Many of my good friends from Princeton are in Ph.D. programs across the country or are practicing lawyers or doctors, teachers or nonprofit administrators or, like me, journalists. In order to have those great careers, though, a lot of us had to move around. We had to take jobs or attend graduate programs that were very far away from our idyllic New Jersey town and far away from each other.

I know some Princeton couples who did the long-distance thing and are now engaged or married. Let's be clear: They didn't get married in college, but the hard work of balancing two careers in flux can work out.

Personally, I couldn't have done it. Distance is painful. New surroundings change people. Time changes people. Other people change people.

This is not a Princeton problem. This is a 22-year-old problem.

There is this truth in Patton's letter: When you live in close proximity to thousands of other people your age, it's not unreasonable to hope that you will meet at least one other person who captures both your heart and mind. Intelligence is sexy, so a lot of really smart people are going to casually hook up or date or both.

Princeton is a place that brings together some of the most fascinating people I have ever encountered. Joyce Carol Oates gave me advice on my novel. Peter Singer taught me about animal cruelty. Science writer Michael Lemonick got me interested in what I do today. I got useful sex advice from Dr. Ruth Westheimer.

The experiences we had at Princeton do change our lives. They inspire inside jokes among friends and lovers that seem annoying or absurd to anyone else and make us think that we will always maintain some connection.

The school inspires a longing to return to that beautiful time when we were surrounded by thousands of people our age who also loved to learn. About 20,000 alumni come back to Princeton for Reunions every year, a testament to the memories of "Old Nassau."

Princeton is also notorious for breeding life partnerships. Pick up any copy of the Princeton Alumni Weekly magazine and you'll see the latest wave of marriage announcements. Love that happens in college can be incredibly powerful, solidified by uninterrupted time spent together and shared academic and social bliss.

But it's not everything.

I met my college sweetheart after my junior year, when I had been taking five classes per semester, running two campus magazines, writing for other publications and tutoring a second-grader. I literally planned every hour of every weekday except six hours of sleep.

He was two years younger -- scandalous! -- and he respected me for all of my efforts. He even recognized my name from The Nassau Weekly.

I'd like to let you all in on a little secret: If you are following your intellectual passions, that itself makes you attractive. But don't do it to meet other people. Do it for yourself.

If I had married my college sweetheart, I would have dragged him to Atlanta, a city without the think tanks and rigorous public policy programs where he would thrive. Or I would have moved somewhere for him, and given these uncertain times in journalism, it is unclear whether I would have stayed in the field I love.

Inside the Princeton bubble, this may seem improbable, but you can find fascinating people who did not go to Princeton or any schools atop the U.S. News & World Report rankings. I know smart, funny people without four-year degrees. I have wonderful friends with great careers with degrees from non-elite schools. In fact, I have been dating one of these amazing people for five years -- longer than a Princeton education.

Disregarding the language in Patton's letter that's offensive to some, it's really not revolutionary. Of course, many people want to find their life partner in college.

I'm going to go out on a limb here and say: It's OK to want to find your life partner in college. You're also going to be OK if you don't find your life partner there.

A true life partner is going to admire you for following your own intellectual or career passions anyway, so don't change yourself for someone else. Potential life partners are findable -- even ones, as Patton says, "worthy of you."

I still miss my dorm, though, and I'm totally going to Reunions.

Elizabeth Landau is on Twitter at @lizlandau.

The opinions expressed in this commentary are solely those of Elizabeth Landau.

@highlight

Princeton alumna says it's OK to look for life partner in college

@highlight

Differing career paths, distance can complicate relationships that started in college

@highlight

Susan Patton's letter to the Daily Princetonian has been controversial