For decades, Johannesburg has suffered from an image problem.

Rising crime in the 1990s saw the flight of capital from the central city, with companies relocating their offices to the suburbs and the area becoming a ghost town after dark. Johannesburg became an international case study in urban decay.

But in recent years, South Africa's largest city has been undergoing a rebirth.

Thanks to a wave of young entrepreneurs bringing new life to the downtown real estate, hospitality and entertainment scenes, Johannesburg is gradually reinventing itself as the edgy, modern and diverse face of urban South Africa.

Adam Levy is a property developer who was born and bred in the city, variously known as Jo'burg, Jozi and eGoli. After traveling the world in his early 20s, he returned home in 2003 with a vision of bringing some of New York's hip designer living to his home town.

See also: Young, urban and savvy: Meet the Afropolitans

Rather than looking to make a home in the city's desirable northern suburbs, where many residents of the city set their sights, Levy focused on creating desirable new spaces in the city's downtown, which for many residents had become a no-go area.

In an old office building, he developed architecturally-designed apartments sought after by young professionals -- where he lives today.

Read also: Dada Masilo, breaking all the rules

"It was right next to the railway track, which most people had a total aversion about. No one wanted to live here and people were going 'Adam, you must be out of your mind. What would compel you to do that?'"

But the building had clear potential.

"Who in their right mind wouldn't want to have a view like this? That, for me, was the catalyst (for) believing that people would want to live downtown, would want to be in an environment like this."

Levy's other projects include transforming a run-down warehouse into a hub of creative businesses.

But reviving the city's urban zones was not just a case of repurposing old buildings, he said: It was about creating a different mindset.

"You've got to believe that you can change in the first instance... You've got to go out there and actively try and make a process of modifying the way people function," he said. "I don't believe in the culture of 50-foot walls and big electric fences. I think you can engender a different way of engaging with people."

He said the city was beginning to "find its feet," despite its troubled recent past.

"Too many of the bad stories make their way to mainstream media, so a lot of people have this negative perception of what's happening in Johannesburg," he said. "The things that are good make up 90% of the stories, I can assure you."

As crime gradually drops in Johannesburg, dining and entertainment precincts are springing into life.

Ziggy Thabethe is a successful restaurant and bar owner, who said he tried to capture some of the spirit of the city during the thriving 1970s at his establishments.

"The city was once very vibrant, if you go back into time," he said. Although the majority of the population was suffering under apartheid, "they were still able to say, 'Wow, let's go out and have some fun.'"

"The offices were (open) and the city was pumping, and people used to come into the city for good meals."

With money beginning to be reinvested in Johannesburg, people are starting to become more confident about heading out for an evening in the city again.

"I'm glad I've been able to attract a very diverse market in terms of my bars," he said. "It will be Indians, Chinese, blacks and whites. It's very...rainbow nation."

It's not just locals who are noticing the difference. Johannesburg resident Masego Maponyane said the city's new lease of life meant that visitors were no longer treating it as simply a transit point on the way to other destinations.

"Foreign tourists are ... coming here in their droves, and they're absolutely loving it," he said. "(It's) no longer a bit of a taboo or risky thing to come here."

Follow the Inside Africa team on Twitter: @CNNInsideAfrica, Presenter Errol Barnett: @ErrolCNN, Correspondent: @Nkepile Mabuse

@highlight

Rising crime in the 1990s saw capital flight from Johannesburg, South Africa's largest city

@highlight

Companies relocated their offices, and parts of the city were a no-go area after dark

@highlight

But a wave of young entrepreneurs are bringing vibrancy back to the city center