No new gun laws. The National Rifle Association has made its position clear, even amid America's most recent gun debate.

It says enforce the gun laws already on the books.

It's well-known that the organization has actively lobbied to prevent new legislation limiting guns.

But making this happen is more nuanced than just rallying its supporters and lobbyists every time a new law is proposed.

Since the 1990s, the powerful pro-gun NRA has targeted the heart of what most legislation is based on: studies about the effects of gun violence.

Last year, the NRA used its influence in Florida to push through legislation that would punish doctors if they asked patients whether they owned a gun.

And buried inside President Barack Obama's signature health care legislation is a little-known provision that prevents the government and health insurers from asking about gun ownership.

The NRA says it is simply ensuring that taxpayer money isn't being used to promote a political agenda.

"If gun control groups ... (and) individuals want to further their research, we're not saying they shouldn't be able to do it," NRA spokesman Andrew Arulanandam told CNN. "We're just saying they shouldn't be using public funds to do it."

But public health experts say it's all part of an attempt by the NRA-led pro-gun lobby to hamstring lawmakers.

"If a bunch of people do research and generate solid evidence that suggests firearms policy should be reformed and either firearms or people who used them should be regulated in new ways, (if I'm a gun-rights advocate,) I'm not going to like that," said Dr. Garen Wintemute, head of the violence prevention research program at the University of California at Davis.

"So, I'll simply prevent the evidence from being collected in the first place. It's a brilliant strategy, and (the gun lobby) succeeded."

A lightning bolt and a chilling effect

It wasn't a lot of money -- $2.6 million -- but it represented the bulk of the nation's research on firearms safety in the mid-1990s.

"With regards to gun research, it was enormous," said Stephen Teret, the founding director of the Johns Hopkins Center for Gun Policy and Research.

In the 1990s, this small portion of the Centers for Disease Control and Prevention's budget went to a program headed by Dr. Mark Rosenberg that funded two high-profile studies that concluded the risks of having a loaded gun in the home outweigh the benefits.

"That was demonstrated if you counted dead bodies; it was demonstrated if you counted individuals shot but not killed; and tallied up the good guys versus the bad guys," said Dr. Arthur Kellermann, who led the research teams under Rosenberg's National Center for Injury Prevention program.

Opinion: Let's take politics out of gun research

Kellermann said the studies were not politically motivated but simply a way to give homeowners information to make informed choices.

But the studies created what Teret described as "the lightning rod that started the bolts of lightning from the pro-gun side."

In 1996, it all ended.

Flexing its political muscle on Capitol Hill, the NRA successfully pushed for legislation that effectively ended Rosenberg's program.

To underscore its point, Congress -- in a move led by Jay Dickey, a former gun-rights advocate and Republican legislator from Arkansas -- added this language to the agency's appropriation: "None of the funds made available for injury prevention and control at the Centers for Disease Control and Prevention may be used to advocate or promote gun control."

At the time, critics in Congress accused the researchers of pursuing an anti-gun agenda and said the CDC's work was redundant.

The provision remains in place today.

The language created what Teret called "a chilling effect" for nearly all gun-related work at the CDC. Though the agency continues to track gun deaths and injuries, it does little work on how to prevent them.

Many years later, the National Institutes of Health funded a similar study that triggered the same lightning-bolt response.

In 2009, the NIH study concluded that a person carrying a gun was nearly 4.5 times more likely to be shot in an assault than someone who is unarmed.

Two years later, Congress added the same restrictive language it had imposed on the CDC to all agencies of the Department of Health and Human Services, including the NIH.

Today, the NRA maintains its position that government research into gun violence is not necessary.

"What works to reduce gun violence is to make sure that criminals are prosecuted and those who have been found to be a danger to themselves or others don't have access to firearms," the NRA's Arulanandam said, "not to carry out more studies."

Unanswered questions

So why are government studies on gun violence necessary?

Rosenberg, who left the CDC in 1999, explained that many of the questions that his group was seeking to answer remain open.

For example, he said, it's not clear whether registering and licensing firearms lowers gun violence; whether allowing people to carry concealed weapons increases or lowers the risk of gun deaths; or how letting people carry weapons in places such as shopping malls or schools or bars or parks affects the number of deaths.

"These are very big questions that we need to know the answer to," said Rosenberg, who is now president and CEO of The Task Force for Global Health.

There are other private agencies and even partly federally funded programs that have researched these issues.

But none was as far-reaching as what Rosenberg's program did in the 1990s.

The CDC's website still keeps track of the toll of gun violence -- or, as the CDC sometimes calls it, "lethal means."  Yet, the federal agency does little of the epidemiological research it once did that might offer guidance to lawmakers.

Now that gun violence has been thrust into the forefront of issues on Capitol Hill after last month's mass shooting at a Newtown, Connecticut, elementary school, the focus has turned to the medical community's role in the debate.

Last week, The Washington Post reported on a little-known provision added to the 2010 Affordable Care Act -- better known as Obamacare -- limiting what doctors can ask their patients about firearms in the home.

While the provision doesn't forbid doctors from asking about guns, it prohibits health care workers from collecting that information, documenting it and using it for research.

Democratic leader behind Obamacare gun provision

A similar law in Florida went a step further and would actually penalize doctors if they ask their patients about whether they own a gun, in most cases. A federal judge overturned the law, but Gov. Rick Scott has vowed to appeal.

Gun-rights advocates, including the NRA, have raised concerns about tracking this data, including the possibility that acknowledging legal gun ownership could bring higher insurance premiums.

With these restrictions and the revived gun debate, doctors should become active participants in the discussion about gun violence and gun policy in this country, according to the American College of Physicians.

After all, the group said in a recent publication, physicians take a stand on other public health issues, such as smoking, air pollution, drunk driving and vaccinations.

Examining gun violence isn't a political issue to most physicians, one Florida doctor said.

"Physicians basically want two things: They want continued research so we can find out what is happening along the lines of firearms and health care," Dr. Carolyn McClanahan told CNN's Sanjay Gupta. "And the second thing, though, is we want to provide basic gun education. Studies have shown if you ask parents, especially pediatricians ask parents, 'Do you keep your gun locked, unloaded, keep the ammunition separate from the gun?' that decreases the chance of a death from a firearm."

Where things stand now

When Adam Lanza unleashed a hail of bullets inside an elementary school on December 14, ending the lives of 20 young children and six staff members,  the debate over America's gun laws reopened.

Days later, Obama announced that a task force led by Vice President Joe Biden would create "real reforms right now."

That could include a revival of the assault weapons ban, something that Sen. Dianne Feinstein, D-California, has said she plans to introduce. It could also result in executive orders that would bypass the legislative process, Biden said Wednesday.

The NRA will participate in the task force meetings this week, mostly to "hear what they have to say," Arulanandam said.

Whether the effort in Washington results in significant changes to America's gun laws isn't clear.

What is clear, according to Kellermann -- who led research with the now defunct CDC program -- is that the nation has lost valuable time.

"Democracy is not served by ignorance and by excluding certain topics," he said. "I think that's been the real loss in this case."

@highlight

In the 1990s, the NRA actively quashed a federal program to research firearms safety

@highlight

The NRA says it opposes publicly funded research that could result in gun control

@highlight

The gun control debate has been reignited after the Newtown school shooting

@highlight

This week, the NRA will attend Vice President Joe Biden's task force meetings on gun control