(CareerBuilder.com) -- Every day, William Schmidt gives job seekers with a not-so-great job history, a gap on their résumé or even a criminal record, a second chance.

How does he do it? He fabricates job references to cover up their sordid pasts.

Schmidt is the founder of CareerExcuse.com, a Web site that says it will fill any gap on your résumé by acting as your past employer. It will go as far as creating a new company with an accompanying phone number, logo, Web site and LinkedIn profile. He says the site is designed to "help our subscribers meet the needs of the modern day job market."

"Many of our subscribers tell me how a bad reference from a previous employer is akin to having a criminal record and is preventing them from providing for their family. All they ask is for a second chance," Schmidt says.

While Schmidt says he feels good about the service he provides for job seekers, naturally, not everyone shares his opinion. After all, not only is it unethical to lie about anything on your job application, but some argue that it puts those who have legitimate references at an unfair disadvantage.

"It's like using a professional photographer, who helps you look your best, versus using someone else's photo. One is enhancing your appearance, while the other is blatant misrepresentation," says David Wright, author of "Get a Job! Your Guide to Making Successful Career Moves."

"People do make mistakes and bad choices. Winners learn from the mistakes while losers try to cover them up, hide them or keep making the same mistakes over and over while expecting different results."

Is the economy to blame?

Many people can agree that finding a job today is difficult and that not having anyone in your corner to toot your horn could be detrimental. Schmidt said he got the idea for his company after perusing posts on Twitter, where he said he saw many users asking strangers for references.

"We understand that there are over 12 million workers who have been fired or let go from former employers in the last eight years. With six applicants for every job today, anyone with a blemish in their career can be left out," Schmidt says.

Lauren Milligan, résumé expert and job coach for ResuMayday, says that it's sad that job seekers would think they had to fake their references, but that she can see how the poor economy could lead to making desperate choices.

"If a candidate was previously turned down because of a lack of reference, that otherwise honest person may decide to unethically stack the deck in his or her favor," she says. "It's kind of pathetic that anyone would have to [use a service for a reference], but perhaps it could be that 'rock bottom' that turns around bad behavior."

Is it worth it?

Some job seekers may think they need to use a fake reference because they were fired or need to cover a gap in their employment history. Experts say that paying someone to do that for you is likely a waste -- especially since many employers ignore the references you give them anyway.

"Having consulted on hundreds of hires, I don't care about the three personal references the candidate has given. Anyone can find three people that will swear they can turn water into wine," says Barry Maher, career consultant and owner of Barry Maher & Associates.

"I check everything else I can. And not just the last job, which may be a service that will vouch for them, but the job before that and the one before that, all the way down the line."

Checking references all the way down the line has also become much easier with the advent of social networking sites like Facebook and LinkedIn, which provide a place for you to list your employment history. Employers aren't stupid -- if a few things don't match up, they'll catch on pretty quickly.

"The good thing about social networking is that the world has become a much smaller, accessible place. The bad thing about social networking is that the world has become a much smaller, accessible place," Milligan says.

"Within a few minutes, I believe that anyone with a mid-level of expertise in LinkedIn or Facebook (combined with an elementary-level [Internet] search) could identify fake information. Hiring mistakes are so costly; due diligence can really pay off in a company's recruiting process," Milligan says.

And while employers cross-reference information that candidates provide them, including references, services like CareerExcuse.com have an answer for that, too.

"CareerExcuse.com uses [social networks] to our advantage," Schmidt says. "As a matter of fact, it is the Internet and the reliance of the Internet by human resource managers that make our services work so successfully."

Consequences of your actions

Every action has a consequence, including providing a fake job reference to a potential employer. Although you may not get caught, you'll likely have to deal with trying to cover up your lies and forever worrying about if you'll get caught.

"Liars are always going to use lies to try and put themselves at an advantage over honest people," Wright says.

"This may be effective in the short run, but over time, honesty wins out because eventually lies do get found out, and liars are exposed for who they really are. As in a great quote attributed to Abraham Lincoln: 'You can fool some of the people all of the time, and all of the people some of the time, but you cannot fool all of the people all of the time,'" Wright warns.

The truth will set you free

If you feel the need to use a fake job reference, try these three tips from our experts instead:

1. Turn your negatives into positives

"Nothing builds credibility like exposing your own negatives. You can turn them into positives, selling points, even bragging points," Maher says. He gives the example of Clyde Thompson, who "provided us with all the reasons why we may not want to hire him; all the ones that we probably would have brought up on our own once he was out of the room, and a few more we might never have come up. Clyde presented his unemployability in a light made it appear that he'd be a more reliable employee. And his honesty gained him a massive amount of credibility."

2. Don't give up

Before giving up and resigning yourself to having no references, Milligan suggests scouring LinkedIn and Facebook to try to reconnect with former colleagues. Or, consider if you've volunteered anywhere, played on a sports team or been a member of industry associations. Reach out to peers from these organizations for a reference.

"References don't only have to come from supervisors or co-workers," she says. "Perhaps company clients or vendors would have a few good things to say about you."

If you still can't find anyone to give you reference by the time an employer asks for one, Milligan suggests saying, "Unbelievably, I wasn't able to connect with any of my former supervisors or co-workers after ABC Co. shut down unexpectedly. Thanks to social networking, I'm in the process of trying to find people, but it just hasn't panned out yet. In lieu of that, I would assure you that I wouldn't have been able to achieve (insert career success here) if I wasn't good at my job and I fully expect to create more successes like that one, for you."

3. Tackle the issue head-on

Instead of trying to sweep the issue under the rug, be the first one to address it, Wright suggests.

"If you know you've got something bad that would probably show up on a background check, it can help to be proactive, particularly when you've established some degree of rapport with the hiring manager," he suggests. "Tell them that you want to be upfront with them -- you made a mistake in the past and they'll probably find out anyway, but you'd rather them hear it from you first. By being proactive, you have the opportunity to position it better as well, emphasizing your strengths or how you overcame that experience."

&copy CareerBuilder.com 2011. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

Company helps job applicants get fake references to cover for bad references

@highlight

Founder: Customers say bad reference like having criminal record

@highlight

Experts warn employers will find the truth during Internet searches

@highlight

Some say better to be upfront, explain how you've turned things around