Washington (CNN) -- The Supreme Court has rejected congressional calls for the justices to adhere officially to the same ethics rules binding on other federal judges, including when to recuse in cases involving possible conflicts of interest.

"The Court does not plan to adopt the Code of Conduct for United States Judges through a formal resolution," Chief Justice John Roberts wrote in a letter released Tuesday to Senate Judiciary Chairman Patrick Leahy, D-Vermont.

But Roberts said he and his eight colleagues would -- on their own initiative -- continue to follow the same rules as other judges when it comes to accepting and reporting on outside income, honoraria, and gifts.

Unlike other members of the federal judiciary, Supreme Court justices decide for themselves whether a conflict of interest exists, requiring disqualification. Like other judges, they file yearly disclosure reports on their financial investments, travels, and any money earned from such things as writing books, giving speeches or teaching.

The binding Code of Conduct of U.S. Judges requires recusal when "impartiality might reasonably be questioned," including having a family member directly involved in the case or if there is a financial interest, such as a justice owning stock in a company being sued.

Leahy had asked the nation's highest court to release an internal, informal 1991 resolution clarifying the justices' unofficial intention to follow the code.

"We will make the 1991 resolution adopting the Judicial Conference regulations on gifts and on outside earned income available to the public," wrote Roberts.

Leahy had no immediate response to the court's decision, but groups supporting greater disclosure said they were disappointed.

"The Supreme Court is the highest court in our land and should be held to the highest ethics standards, not the lowest," said Common Cause President Bob Edgar. "This is yet another disappointing sign from the Roberts Court that it considers itself above the laws and rules the rest of us must abide by."

The judicial code of conduct has recently become a divisive political issue as the justices prepare to hear arguments next month in the high-stakes appeal over the health care reform law championed by President Barack Obama.

Political advocacy groups on both sides -- including members of Congress -- have separately called on Justices Elena Kagan and Clarence Thomas to recuse themselves from hearing and deciding the case.

Kagan, 51, was the administration's top government lawyer handling appeals to the Supreme Court. Her nomination by Obama in May 2010, and the weeks leading up to it, came at a time when Congress had passed -- and the president signed -- the Patient Protection and Affordable Care Act. The health care reform law would significantly change how Americans receive medical services and has been the subject of six current appeals pending at the high court. Twenty-eight states and dozens of individual plaintiffs have opposed the law.

Critics say she was directly involved in the administration's initial legal strategy of the health care law.

Congressional Democrats have been among those separately calling on Thomas to pull out, citing his recent lapse in reporting the income of his wife for 13 straight years, as required by federal disclosure laws.

Virginia Thomas had worked for, and later founded, her own advocacy group, Liberty Central. Since she has openly opposed the health care bill, many liberals have said her political activities raise questions about Justice Thomas' own judicial independence and impartiality.

The court by tradition will not openly discuss when to step aside in a pending case, and that is true with Thomas and Kagan.

Roberts in his year-end report in December said he had "complete confidence" in his Supreme Court colleagues to fairly decide whether to remove themselves from hot-button cases such as health care reform

"The Supreme Court does not sit in judgment of one its own members' decision whether to recuse in the course of deciding a case," he said of his bench mates, while not directly addressing the Kagan and Thomas recusal demands. "They are jurists of exceptional integrity and experience whose character and fitness have been examined through a vigorous appointment and confirmation process. I know that they each give careful consideration to any recusal questions that arise."

That letter prompted Leahy and four fellow Democrats on the Senate Judiciary Committee this month to seek more information from the high court on the ethics issue.

Leahy and other lawmakers are also pushing legislation mandating the Supreme Court open its public sessions to cameras. Again, the ultimate unilateral decision on that would be left with justices, a majority of whom have expressed severe reservations about the proposal.

@highlight

Supreme Court justices will continue to follow same rules as other judges, says Roberts

@highlight

He says the court will release an internal, informal 1991 resolution

@highlight

It's strictly up to justices to decide whether they should recuse themselves

@highlight

Various groups want two justices to recuse themselves from the health care reform case