(CNN)Lewis Hamilton has conquered the world of Formula One but becoming a global superstar is a far bumpier ride.

Sporting ability has been transformed into lasting celebrity by footballers like Pele and David Beckham and NBA star Michael Jordan.

At the age of 30 -- and with the fastest car in the world at his fingertips -- Hamilton is at the peak of his powers.

During Sunday's season-opening Australian Grand Prix in Melbourne, millions of hardcore Hamilton fans will bite their fingernails and hold their breath when their hero returns to the track in his Mercedes racing car.

But will the Briton's quest for a third world title in 2015 even register with the average Joe?

Half a billion TV viewers watch F1 across the year, a figure which pales in comparison with the 4.7 billion football fans who watch the English Premier League over the course of a season.

Jon Stainer, managing director of leading sport and entertainment market research company Repucom, argues that Hamilton, however, is already gaining wider recognition.

"On a global scale Lewis already sits in the top half of all celebrities across sport, arts and music," he told CNN.

Repucom monitors celebrity trends by a monthly survey of the general public where 5,000 famous faces are rated according to certain parameters.

Those who rank in their study of the world's top-20 faces includes actors Angelina Jolie and Leonardo DiCaprio, singers Madonna and Jennifer Lopez, footballer Beckham and Microsoft co-founder and philanthropist Bill Gates.

"We look at celebrity awareness and other metrics like likeability, whether they are seen as trendsetters, the level of trust people place in them and whether people aspire to have a life like that celebrity.

"We are starting to see Lewis go beyond the traditional Formula One audience into the mainstream audience.

"Some of that is spurred on by his on-off relationship with [former girlfriend] Nicole Scherzinger. Those stories put him in the headlines beyond the back pages."

Hamilton split from popstar and TV personality Scherzinger for the fourth time in February after a seesawing seven-year relationship.

He may no longer be one half of motorsport's "Posh And Becks" but he's not been shy of socializing with stars from other spheres.

Just 10 days before the Australian GP, Hamilton was partying at Paris Fashion Week with musician and producer Kanye West and his wife Kim Kardashian.

Mixing with celebrity friends has raised Hamilton's profile, and for some of his fans that is part of his appeal, but there is also a danger of alienating his petrolhead devotees.

The famous friends, bright red private jet -- complete with traveling pampered pooches Roscoe and Coco -- and forays into song writing might be at odds with the perceived image of a feisty F1 world champion.

Marketing expert Steve Martin, who worked with Hamilton in his role as CEO of M&C Saatchi Sport and Entertainment, warned the driver's lifestyle could be "a bit showy."

"I'm not sure if in any walk of life people like showy people," he told CNN. "And so why should that be different on the international stage in a sporting context?"

Christopher Thomas, a Hamilton super-fan from New York, says: "Hanging out with top celebrities isn't a problem as long as it doesn't interfere with his ability to race.

"As long as he shows up to the race and does what he's supposed to, everything is fine."

Hamilton has often split opinion with his emotional approach to racing. Unlike his seemingly unflappable Mercedes teammate Nico Rosberg, the Briton races with his heart on his sleeve.

For some, that passionate impulse is exactly what draws them to him.

"Lewis is cautious and aggressive all at the same time," says Brazilian fan Melissa, who shows her support for the Mercedes driver by referring to herself as Mel "Hamilton." "Sometimes I think I will have a heart attack watching him!

"He does not live by certain standards. He is not hiding. He is authentic."

Thomas agrees: "He's so popular because you see him show his emotions. He stays true to himself."

Hamilton's fiery responses have helped make him a fearless, instinctive driver who gives no ground on track.

Consider the mental resolve required to win both his world titles at the final race of the season -- or, in the case of his 2008 triumph with McLaren in Brazil, at the very last corner.

But then there have been the meltdowns, which reached their nadir in a tumultuous 2011 season when Hamilton had an ongoing spat with Ferrari driver Felipe Massa -- at one point calling his driving skills "frickin' ridiculous" -- and controversially criticized the race stewards in Monaco.

"A lot of commentators diss Lewis for being open about his emotional life," says Tom Roope, whose company The Rumpus Room creates Hamilton's digital media. "There is that Marmite-ness -- you either love him or hate him.

"But I think people like the fact that he's not running around trying to be perfect."

His hot-blooded impulses do allow a fleeting glimpse into the real Hamilton.

Following Hamilton at grands prix over the last six years, he's not a very visible driver compared to others who can be seen chatting with team members and guests inside the motorhomes.

He is courteous and friendly in media briefings, where he will often chew on a handful of sweets, but it is hard to get beyond the façade of the PR-trained F1 driver and understand what he is really like.

Marketing and PR expert Martin believes Hamilton could improve his global popularity by opening up a little more.

"If I were to do one or two things, I'd like to make him more natural, to make him relax and be more comfortable in his own skin," advised Martin, whose clients include footballer Cristiano Ronaldo, another athlete who has successfully transcended his sport.

"When he talks to use a language that isn't so robotic. Humility and having a common touch is a very big skill that people forget.

"Beckham is the best example, he can show humility, he's down to earth, he's a smiler and he takes the highs and lows in his career very well.

"He has that continuous appeal that is so enduring, and you can take a lot of lessons from that."

If Hamilton is to extend his celebrity beyond the sporting sphere, he could do well to follow Beckham's example in another area too -- philanthropy.

The former Manchester United, Real Madrid and LA Galaxy star retired two years ago but he has been an ambassador for children's charity Unicef for the last decade.

He and his popstar-turned-fashion-designer wife Victoria have their own charitable trust.

When Beckham signed for French club Paris Saint-Germain in 2013 he also donated his multi-million dollar wages to charity.

Hamilton has also contributed to Unicef's campaigns and during a break last season he traveled to Haiti to see first hand the charity's work there with malnourished children.

"Being involved in charity and community work is a way Lewis can develop his appeal beyond F1 and the sport audience," suggests Stainer.

"That's how Beckham managed to mold and transform his character and marketability towards the end of his playing career.

"Lewis can also touch the lives of more people but that is a difficult thing to do when you're at the peak of your career."

Martin agrees that having a strategy for his career beyond sport is absolutely essential to maintaining a high profile.

"We've worked with Lewis for a number of years and he's been brilliant but it's not about living in the moment, it's about having a plan that evolves," he added.

"How does he make sure his appeal is so enduring that it lasts beyond his Formula One career?"

Hamilton still has plenty of racing left in the tank. Ferrari's Kimi Raikkonen is the oldest driver on the 2015 grid and the Finn will turn 36 in October.

For now, at least, there is one relatively easy way for Hamilton, allied with Mercedes' powerful car, to crank up his kudos.

"Win more championships," says Thomas. "And win more races in the U.S. and Canada.

"F1 is still growing in the U.S. and when it comes to celebrity status the U.S. has a big deal to do with what happens globally.

"If you're a celebrity in the U.S. then it transcends outwards into other countries."

Could winning a third world title with Mercedes push Hamilton into the ranks of F1's greatest drivers and deeper into the public consciousness?

"He's the favorite in 2015 because the Mercedes gap to the others is so big that even if it's reduced, it's probably still going to be there," Hamilton's biographer Mark Hughes told CNN over the winter.

"Lewis is in a position to make it a great career and if he keeps winning titles he will be recognized as one of the giants."

Hamilton has already raced his way to riches from rags, becoming F1's first black star, a winner of 33 grands prix and two world titles, against a backdrop of racing rivalry and a rocky celebrity romance.

On Sunday, another chapter will be written in the double world champion's rollercoaster story when the 2015 season fires up around Melbourne's Albert Park.  So, what next?

"Lewis is a bit like a soap opera," says Roope. "It's amazing how much drama there is around him."

"You need to create a story around somebody to have ongoing appeal," says Martin. "What makes great sports people, the ones that fans like over time, are those who come back from tremendous highs and lows -- that's a great story."

@highlight

Lewis Hamilton is starting to reach beyond the traditional Formula One audience

@highlight

The double world champion could expand his brand through more charity work

@highlight

A third world title with Mercedes in 2015 would also help him become an F1 great