(CNN) -- Weather officials refer to Sandy as "remnants," and by Thursday, these had stopped producing significant warnings. But as Sandy finally dies out, the tragedy has only begun for some.

Under calmer, sunlit skies from Maryland to Rhode Island, politicians, rescuers and journalists in elevated vehicles, boats and copters surveyed the silent wreckage of houses and lives turned to ruin or wiped out completely by a tempest for the record books.

While the leftovers of the superstorm flung its last gales across the Great Lakes on Wednesday, dumped rain on the nation's far northeast corner and sprinkled its last snowflakes below the Mason Dixon Line, Americans picked up the pieces, reconnected power lines and relied on help from authorities, neighbors and their faith.

Dozens of families likely made funeral arrangements, as Sandy claimed at least 56 lives in the United States; 124 total died in all countries in its path.

A running CNN tally reflects a steady restoration of power, but 4.8 million customers remained without electricity Wednesday night in 15 states and the District of Columbia.

Here's a look at how Sandy has affected the United States:

CONNECTICUT

-- Some residents did not evacuate in Hartford/New Haven because they had never experience flooding in their neighborhoods, and had to call on rescuers to help them out of their homes, CNN affiliate WFSB reported.

-- Gov. Daniel Mallory visited shoreline communities hit hardest Wednesday, beginning his tour with a stop at a church.

-- On his Youtube channel, he released aerial video of storm damage. He also announced free rail service for Thursday and Friday to Grand Central station.

-- President Barack Obama signed a disaster declaration for the state, freeing up federal funds.

-- The death toll stands at two, according to Lt. J. Paul Vance, a state police spokesman. The victims -- one of them an Easton firefighter -- were killed by falling trees.

Storm's human toll mounts

DELAWARE

-- Gov. Jack Markell has ended the state of emergency for Superstorm Sandy, and officials have reopened all previously evacuated areas.

-- Attorney General Beau Biden, son of Vice President Joe Biden, warned residents to keep an eye out for scammers "attempting to defraud homeowners" with phony home repair offers.

-- Delmarva Power predicted power will be fully restored by 6 p.m. Friday.

DISTRICT OF COLUMBIA

-- Despite the federal government being in disaster mode on a national level, on a local level, things appear to be back to normal in D.C., with government offices, schools, street cleaning and public transportation up and running.

-- Early voting has resumed.

Will you be able to vote on Election Day?

MAINE

-- One last emergency shelter remains open at the fire station in the town of Alna until the last resident sees power restored, according to the emergency management agency.

-- Only 2,296 customers still do not have power in the state.

MARYLAND

-- The National Guard went door to door in the coastal city of Crisfield in Humvees to aid victims of flood damage. Shallow water stood in many streets up to doorsteps, and residents described the ground as "soggy."

-- The death toll remains at two.

Could huge plugs have spared subways?

NEW JERSEY

-- Sandy wrought the worst destruction on the seaboard of two states. New Jersey was one, and miles of homes and businesses were devastated in a series of towns. Some remained inundated with water or sand washed up by the storm. The neighboring state of New York had the highest death toll in the storm.

-- The state got personal attention from the White House, as Obama toured storm-damaged areas Wednesday.

New Jersey coastal town turned to "devastation"

-- Sandy killed at least six people in the state, said Gov. Chris Christie, who warned people in low-lying areas to evacuate. "We're lucky that more people didn't die as a result of folks ignoring those warnings."

-- "When it comes to getting things done, I don't care what party somebody's in," the Republican governor said after touring the disaster area with Obama, a Democrat. "I'm aware of all the atmospherics. I'm not in a coma. But the fact is, I don't care."

-- Some 500,000 gallons of diesel fuel will be delivered to the state by Thursday night to run trucks and generators at nursing homes, hospitals and other high-priority locations, he said.

-- State offices will be open Thursday.

-- "We'll be ready for Election Day, one way or another," Christie said.

-- Residents not cleaning up damage to their property spent much of their time Wednesday standing in line -- at gasoline stations, stores and restaurants.

-- Transportation is coming back on line, the governor's office said. The majority of major closed roads have been cleared, Gov. Chris Christie said.

By Thursday, all airports should reopen, but service in some is limited. Air Train service to Newark International is running again but is still down to JFK.

All but one tunnel into New York City are open. Only the Holland Tunnel is still closed.

Ferry service to New York has also resumed.

Buses hit the streets again on 86 routes Thursday, according to NJ Transit. But light rail resumes on only one route and major rail service is down until further notice. The transit authority has posted dramatic photos of storm damage on its rail lines to its website.

-- Amtrak said it would provide Northeast Regional service on Thursday between Boston and New Haven, Connecticut, and between Newark and points south.

-- PATH train service, which typically ferries 245,000 people under the Hudson River to New York City each weekday, is suspended until further notice.

NEW YORK

-- With at least 28 killed, the state had the most fatalities, most of them in New York City.

-- Bellevue Hospital was evacuating its remaining 700 patients, some of them critically ill, in a process that could take two days, a source familiar with the evacuation plan told CNN.

-- Coney Island Hospital and Manhattan Veterans Affairs Hospital were also evacuated.

-- The moment the lights went out can be seen on YouTube in a fast forward, stop-motion video showing Sandy sweep through the city.

-- The Army Corps of Engineers will begin pumping water from flooded tunnels beginning Thursday, a spokesman says.

John F. Kennedy International Airport reopened Wednesday with limited service, the Port Authority of New York and New Jersey said. LaGuardia Airport was to reopen at 7 a.m. Thursday with limited service.

-- Buses were to run on regular routes Wednesday, the Metropolitan Transit Authority announced, cautioning that there may be detours and "substantial waits." Limited subway service was to resume Thursday morning, along with bus service between Downtown Brooklyn and Midtown.

-- Near-normal train service will resume from Mount Kisco, New York, and Stamford, Connecticut, to Grand Central Terminal for rush hour Thursday morning.

Cars crossing New York's East River bridges between 6 a.m. and midnight must carry at least three people, Bloomberg said. Taxis are exempt.

-- Limited commuter rail service on Metro North and the Long Island Rail Road was to begin Wednesday afternoon, and limited New York City subway service will begin Thursday, New York Gov. Andrew Cuomo said. Service below 34th Street remained out.

-- Public schools will remain closed for the week.

-- Curtains will rise again Thursday night in theaters on the Great White Way after staying dark since Sandy's assault. "The show must go on, and Broadway shows are doing just that," said Charlotte St. Martin, executive director of the Broadway League.

-- The ING New York City Marathon will be held Sunday as planned, Mayor Mike Bloomberg told reporters.

-- Thursday's planned game between the New York Knicks and Brooklyn Nets at Barclays Center has been postponed.

-- A fire in Breezy Point, Queens, incinerated 110 homes, a fire official says.

110 homes destroyed by New York fire amid storm

-- Engineers have concluded that ties from a collapsed crane atop a luxury apartment building on West 57th Street are secure, but the street below will not be reopened until this weekend at the earliest, Bloomberg said.

PENNSYLVANIA

-- The death toll in the state stands at nine, including an 8-year-old boy who was struck by a tree limb.

VIRGINIA

-- Virginia's death toll remains at two, both traffic fatalities.

-- The state has seen heavy snowfall, but temperatures have gone well above freezing.

WEST VIRGINIA

-- Officials report at least five storm-related deaths.

-- Parts of West Virginia have seen at least 2 feet of snowfall from Sandy, but temperatures are rising well above freezing.

Want to help out? Here's where to go

CNN's Marina Carver contributed to this report.

@highlight

About 4.9 million customers remain without power

@highlight

Sandy has killed at least 56 people in the United States

@highlight

"The show must go on," says executive director of the Broadway League

@highlight

New Jersey's shore is lined with ruin