(CNN) -- When Apple pulls the veil off of its newest store on Friday, New Yorkers will get their first glimpse at the classical architecture-meets-computers retail space inside Grand Central Terminal.

Behind a temporary black facade, which has teased commuters for weeks with "arriving soon" messages, Apple has been negotiating aggressively and stealthily with contractors and government agencies to quickly secure a favorable deal. The Grand Central outlet is just one of several high-profile stores the company has been readying with characteristic covertness.

Interviews with nearly two dozen people involved in the development of upcoming and recently opened U.S. Apple Stores, including the one in Grand Central, provide a look at Apple's unusually furtive way of doing business. These people say Apple sometimes employs uncommon legal tactics, refuses to name itself in public documents and hearings, and has sworn city government officials to secrecy.

Apple's shrewd negotiating tactics are well known in other parts of its business. Nondisclosure agreements are strictly enforced with employees, contractors and partners, and punishment for disloyalty is swift and unforgiving.

For example, employees who leak internal memos may be fired as soon as they are discovered. When prototype iPhones were lost in bars in two consecutive years, police officers searched the homes of people suspected of possessing them.

But retail chains, especially those that sell electronics, aren't typically associated with controversy. And retail industry executives say Apple's demands for absolute secrecy in its store-development process are peculiar and unjustified.

An Apple spokeswoman declined to comment for this story.

'Apple is not typical'

As buzz grew about work on a Grand Central Apple Store, the Metropolitan Transportation Authority, which controls the station, spurned many interview requests -- even months after the store was unveiled at a public meeting in July. A New York Times editorial published in August lamented that procuring any details about the project "was like trying to uncover a state secret."

When reached by phone in October, MTA spokeswoman Marjorie Anders told CNN in response to a question about the soon-to-open Apple Store, "We're not talking about that." Why? "Because Apple doesn't want us to."

Is this typical?

"No, but Apple is not typical," Anders said. Further questions, she said, would need to be submitted in a formal Freedom of Information request, a government process that can take months to yield documents.

Grand Central is a historic landmark, meaning each project must go through an approval process. Apple asked for its architects to deal directly with New York's State Historic Preservation Office -- a role that's supposed to be handled by the MTA -- so the process was completed promptly, said Beth Cumming, a director for New York's State Historic Preservation Office.

Similar maneuvers are being used at other stores. Officials in Berkeley, California, referred questions about a new Apple Store to the city's formal public-records division. They offered two brief reports, one of which Apple did not list its name on.

"We generally don't talk about our customers," said Berkeley spokeswoman Mary Kay Clunies-Ross in a phone interview in September. "We're obviously glad that Apple is here and hope they will stay for a long time."

At a shopping mall in the Seattle suburb of Bellevue, Washington, where Apple already has a store, the computer company is opening a new one on the floor above, where clothing and jewelry stores used to be, according to public documents.

The current Apple Store is near a Microsoft Store, which opened last year and has more floor space. Continuing the high-stakes game of one-upmanship, the new Apple Store is even larger, and from the balcony in front, customers can look down on Microsoft's shop.

There have been whispers about this brewing battle just miles from Microsoft's headquarters, but people involved in the project are not authorized to speak publicly about it. Jennifer Leavitt, an executive for Kemper Development Company, the Bellevue Collection mall developer, declined to comment.

The mysterious black barricade around the store's large perimeter says only that a new store is coming in the spring of next year.

Apple leverages success in retail

Apple Stores were conceived as a way for Apple to promote its entire smorgasbord of products and to control their presentation. Typically sleek and minimalistic with uncluttered display counters and no cash registers, each store is a representation of the Apple brand.

First opened in 2001, the stores have risen as a financial anomaly in the struggling physical-retail industry. In just a decade, Apple has opened 357 stores worldwide. In the U.S., its shops generate by far the highest sales per square foot -- a coveted statistic in retail -- with $5,626 on average, according to industry research firm RetailSails.

In a recent financial disclosure, Apple said it plans to spend about $900 million for retail facilities next year.

"Apple has enormous momentum, and nowhere is that more evident than in our retail stores," Apple CEO Tim Cook said during the first few minutes of an October news conference to unveil the iPhone 4S. "We will continue to invest in more and more stores, and raise the bar in retail."

In that speech, Cook emphasized Apple's growth in China. The Shanghai store that opened last year is a breathtaking glass cylinder. While in its planning phases, the late Apple co-founder Steve Jobs personally convinced the developer of the surrounding plaza to revise its own construction plans to make the Apple Store the centerpiece, the New York Times reported.

For that October article, architect Peter Bohlin spoke in depth with the Times about his work designing Apple Stores. He mentioned that he is working on several stores that will look like the one on New York's Upper West Side, which has a tall glass entrance that stretches up to an all-glass ceiling.

But when CNN reached out to Bohlin for comment shortly after the Times report, a spokeswoman for his firm, Bohlin Cywinski Jackson, said, "Apple has requested that we refrain from granting any additional interviews."

In many cases, Apple's secrecy and strong-arm negotiating has paid off. The increasingly mighty company has managed to secure leases without standard revenue-sharing provisions and has flown through some lengthy public-approval systems.

But that may have backfired last week, when the Grand Central Apple Store found its way into the spotlight for reasons other than its attractive layout.

Thomas DiNapoli, the state's comptroller, announced that his office would expedite an audit of the MTA's lease with Apple. Audits are common and can take at least two months, but DiNapoli moved up the review in response to a New York Post report about Apple being the only retailer in Grand Central that won't be paying a percentage of sales to the cash-strapped MTA, a comptroller official said.

MTA spokesman Aaron Donovan cited Apple's corporate policy, which says it will not cut revenue-sharing agreements for stores. What MTA got out of the deal is Apple's willingness to pay $5 million to buy out a struggling restaurant's lease for that space, and the company's agreement not to significantly modify the station's historic architecture, he said.

The new Apple Store, which employs 315 people, will inevitably drive new shoppers to neighboring retailers and to the MTA, which takes a percentage from everyone else's sales, Donovan said.

Apple's negotiators, along with most retail executives, are well aware of that fact. No doubt it was a powerful bargaining token.

@highlight

Details behind Apple's launching of its retail stores reveal a furtive way of doing business

@highlight

Retail executives say Apple's strict secrecy in its store-development process is peculiar

@highlight

Apple is set to open a store Friday inside New York's Grand Central Terminal