(CNN) -- Nightlife-driven souls looking for Floridian action point their convertibles toward the likes of Fort Lauderdale and Key West. But a certain quieter, off-the-radar destination on the state's Gulf Coast holds a different kind of allure.

The cult-fave town of Boca Grande is a throwback, an Old Florida time warp that defies the clichÃ©s of Florida beach towns -- all the sloppy, party-hearty aspects -- while embodying the best of what the state has to offer.

In the free and easy days of summer, the quest for a great American beach town like Boca Grande is a national passion. Beach towns are a mainstay of the hot months, a beacon for countless citizens looking for a reprieve from the daily grind. The Great American Beach Town, apart from being idle as all get out, is also resolutely democratic, conscious that the sand belongs to all. These spots serve as emblems of our God-given right to get too much sun and to eat tasty -- if nutritionally unfortunate -- fried food.

So get that beach chair and cooler ready -- and prepare for the simple pleasures of summer at one of these classic retreats.

Sunset Beach, Hawaii

Sunset Beach is the world capital of surfing. But in summer, all the wave-riding frenzy ebbs, and this town on the North Shore of Oahu becomes resolutely and wonderfully idle.

Stay: The oceanfront Ke Iki Beach Bungalows, a quick drive from the commercial district along the Kamehameha Highway, are all about easy atmosphere and the sounds of the North Shore's endless surf.

Eat: Ted's Bakery, down the road from the mythical Pipeline, is a casual center of surfer life known for bento-box lunches, garlic shrimp, and mahi mahi sandwiches. Finish it off with a slice of decadent Haupia chocolate pie.

See more of America's best little beach towns

Chincoteague, Virginia

This small, serene island just off the Virginia coast is the gateway to the 37-mile-long Assateague Island National Seashore -- a nature refuge that's home to wild ponies, herons, woodpeckers, and foxes. It's accessible to boaters and via car over the Route 175 bridge.

Stay: A Victorian-era home has been turned into Miss Molly's Inn, a seven-room B&B that offers high tea in the afternoons.

Eat: The Chincoteague Diner is a welcome destination after a long day on the beach. Fill up on baskets of fried seafood (flounder, scallops, shrimp) or barbequed baby back ribs.

Boca Grande, Florida

This Edenic escape on the Gulf of Mexico is a real slice of Old Florida, with a much-photographed lighthouse watching over Gasparilla Island State Park, tree-lined streets without traffic lights, and long, quiet beaches touched by gentle surf.

Stay: The Gasparilla Inn, a member of the Historic Hotels of America and the National Trust for Historic Preservation, is the classic resort and comes complete with a golf course. It's closed during the hottest months, though; the best alternative is its sister property, the Innlet, which features a waterside restaurant and a relaxed vibe.

Eat: A funky Florida spot with character, Temptation -- think murals of leaping tarpon and a neon martini sign -- serves local grouper, pompano, and soft-shell crabs.

Lubec, Maine

Lubec is all the way Down East, right near the border with New Brunswick, Canada. Its assets include an elegant Victorian/Greek Revival -- style downtown, 97 miles of shoreline, two lighthouses, and easy access to the former Roosevelt summer home on Campobello Island, which is now an international park.

Stay: The Peacock House Bed & Breakfast, installed in an 1860 Federal-style residence, has ocean views, an eclectic library and manicured gardens.

Eat: Stop by the Water Street Tavern for hearty bowls of haddock chowder, lobster "mac n cheese," and views of the bay islands.

Travel + Leisure: Ten best shelling beaches

Gearhart, Oregon

With its antiques shops and picturesque hiking trails, Gearhart -- just north of the renowned, more-bustling Cannon Beach -- is an in-the-know haven for Portland hipsters like Paige Powell and Gus Van Sant. In the evenings, people drive onto the hard-packed sand for wine and stargazing parties.

Stay: The 12 attached cottages of the Gearhart Ocean Inn, constructed in 1941, are an easy walk to the beach and the owners will furnish a "clam gun" for scooping up clams from the sand.

Eat: The nicely refined Pacific Way Bakery & CafÃ© serves top-notch muffins and coffee in the morning, and later a menu that includes bay shrimp, designer pizzas and flawless crab cakes.

Santa Cruz, California

Thrill-seekers flock to the Giant Dipper roller coaster at the Beach Boardwalk amusement park, but Santa Cruz has a surfeit of other attractions: Henry Cowell Redwoods State Park, surfers at Pleasure Point (and the Santa Cruz Surfing Museum) and frolicsome seals at Natural Bridges State Beach.

Stay: At the Casablanca Inn, most rooms have ocean views (and a handful have fireplaces, for when those NoCal nights get chilly). The restaurant looks out on the awesome expanse of the Pacific.

Eat: Center Street Grill is the go-to restaurant for salads, pastas, homemade hollandaise sauce, ahi tuna and freshly squeezed lemonade and orange juice on the outdoor patio.

Travel + Leisure: Best affordable beach resorts

Rehoboth, Delaware

An all-American classic -- saltwater taffy and ice cream on the boardwalk, days of baking in the sun on Dewey Beach -- with a lively art gallery scene and such august institutions as the Biggs Museum of American Art within an hour's drive. In the evenings, visitors dance at places like the Rusty Rudder or Shag, or just stroll the boardwalk.

Stay: The Hotel Rehoboth, a plush boutique lodging, has a welcoming fireplace and a mod cottage-furnishings store off the lobby.

Eat: Eden, a high-end restaurant that often lives up to its name, features such dishes as a lobster and crab tower and a coffee-hazelnut rubbed pork tenderloin.

Silver Lake Sand Dunes Area, Michigan

A beach staple of the Midwest, this strip along Lake Michigan -- encompassing the towns of Hart, Mears, and Pentwater -- has no shortage of massive sand dunes, beach buggies, and farmers' markets along with over-the-top July 4th fireworks.

Stay: A simple affair overlooking the lake and a spread of sand, Dunes Waterfront Resort is not a bad way to get lost on a summer weekend.

Eat: That Place Restaurant, a 1950s and '60s theme joint with posters of James Dean and Elvis, is, well, the place to get a hamburger and shake.

Rockport, Texas

This is nature Texas-style, big and ready to roll, with an enormous flock of whooping cranes in the Aransas National Wildlife Refuge, stunning beaches along nearby Matagorda Island and a 1,000-year-old oak known simply as "the Big Tree."

Stay: A funky little place with classic beach lodgings, the Fulton Beach Bungalows overlook Aransas Bay.

Eat: Steve Lew's BBQ Kitchen will take you way down home, with pulled pork and Texas-style sausage.

Gulf Shores, Alabama

Gulf Shores is near miles of splendid beaches along Bon Secour National Wildlife Refuge and is a mainstay of the American seafood industry. Apart from the National Shrimp Festival every fall, the beaches are known for the strange occurrence of "jubilees," random nights when crabs, fish and shrimp flop up on the beach and make for easy pickings.

Stay: Magnolia Springs Bed and Breakfast is a charmer with stained glass in the den, elaborate woodwork in the great hall and hearty three-course breakfasts.

Eat: Set in a circa 1897 building surrounded by Spanish moss and live oak trees, the Wash House Restaurant serves fried oyster lettuce wraps and beef spring rolls.

Travel + Leisure: Best secret beaches on earth

Avila Beach, California

If the days seem brighter in this Central Coast town, just north of Pismo Beach -- well, they are. Avila's bay location gives it less fog than its neighboring towns, making it all the better for strolling its boardwalk pier and taking a dip in the waters. You're also a short hop from Paso Robles and wine country.

Stay: The nautical-theme Avila Beach Lighthouse Suites may not be old -- the whole pier area was rebuilt after an oil spill in the 1990s -- but it's old-school, with Ping-Pong, putting greens, and a life-size chessboard.

Eat: Start your day with churro-style French toast or the Machaca -- eggs with beef barbacoa, queso fresco, beans, and hash browns -- at the local favorite, the Old Custom House.

See more of Travel + Leisure's picks for America's best little beach towns

What is your favorite U.S. beach town? Why?

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

The Great American beach town is democratic, conscious that the sand belongs to all

@highlight

Sunset Beach, Hawaii is the capital of surfing, but becomes idle during the summer

@highlight

The former Roosevelt summer home on Campobello Island is now an international park

@highlight

Gulf Shores, Alabama beaches are known for nights when seafood flops up on the beach.