Washington (CNN) -- Here is a roundup of the main themes President Barack Obama touched on during Tuesday's State of the Union address:

Immigration 
Where he stands: Obama praised his administration's efforts at increasing border security by "putting more boots on the southern border than at any time in our history," but recognized that there is still work to be done. He specifically addressed creating a path for illegal immigrants to obtain citizenship and fixing the legal immigration system by cutting waiting periods and reducing bureaucracy.

What he said: "Send me a comprehensive immigration reform bill in the next few months, and I will sign it right away."

CNN Fact Check: Illegal border crossings at lowest levels in 40 years

Gun Control 
Where he stands: "They deserve a vote." Obama's words about the victims of gun violence echoed in the House Chamber, summing up the president's stance on gun control. Obama called for a congressional vote on a series of gun control measures, including background checks in all gun sales and the prevention of anyone buying guns for resale to criminals.

Obama's emotional plea might lead to vote on guns

What he said: "Senators of both parties are working together on tough new laws to prevent anyone from buying guns for resale to criminals. Police chiefs are asking our help to get weapons of war and massive ammunition magazines off our streets, because these police chiefs, they're tired of seeing their guys and gals being outgunned. Each of these proposals deserves a vote in Congress."

"They deserve -- they deserve a simple vote."

5 things we learned from the State of the Union

Climate change 
Where he stands: Obama recognized the extreme shifts in climate over the past 15 years and advocated a transition to more sustainable and environment-friendly sources of energy, such as wind and solar, in order to reduce America's dependence on oil. Obama also proposed the creation of an Energy Security Trust dedicated to shifting our cars and trucks off oil.

What he said: "We can choose to believe that Superstorm Sandy, and the most severe drought in decades, and the worst wildfires some states have ever seen were all just a freak coincidence. Or we can choose to believe in the overwhelming judgment of science and act before it's too late."

"I urge this Congress to pursue a bipartisan, market-based solution to climate change, like the one John McCain and Joe Lieberman worked on together a few years ago. But if Congress won't act soon to protect future generations, I will."

CNN Fact Check: Wind energy breezes into the record books

Minimum Wage 
Where he stands: What is one thing Obama and Mitt Romney agreed on last year? Minimum wage. Obama recommended raising the federal wage to $9 an hour to help working families.

What he said: "Here's an idea that Gov. Romney and I actually agreed on last year. Let's tie the minimum wage to the cost of living, so that it finally becomes a wage you can live on."

"We know our economy's stronger when we reward an honest day's work with honest wages. But today, a full-time worker making the minimum wage earns $14,500 a year. Even with the tax relief we've put in place, a family with two kids that earns the minimum wage still lives below the poverty line. That's wrong."

CNNMoney.com: The impact of $9 minimum wage

Troop withdrawal
Where he stands: Obama announced that 34,000 American troops will be withdrawn from Afghanistan by next February and promised the war in Afghanistan will be over by the end of 2014.

What he said: "Beyond 2014, America's commitment to a unified and sovereign Afghanistan will endure, but the nature of our commitment will change. We are negotiating an agreement with the Afghan government that focuses on two missions: training and equipping Afghan forces so that the country does not again slip into chaos, and counterterrorism efforts that allow us to pursue the remnants of al Qaeda and their affiliates."

Opinion: Address gave foreign policy short shrift

Debt & Deficit 
Where he stands: Obama's plan to reduce the national debt focuses on how to avoid the sequester and continue to reduce deficits without cutting education and job training, while asking the wealthiest Americans to pay more. Obama argued that over the last few years, "both parties have worked together to reduce the deficit by more than $2.5 trillion -- mostly through spending cuts" and that the government is "halfway towards the goal of $4 trillion in deficit reduction."

What he said: "To hit the rest of our deficit reduction target, we should do what leaders in both parties have already suggested, and save hundreds of billions of dollars by getting rid of tax loopholes and deductions for the well-off and well-connected. ... Now is our best chance for bipartisan, comprehensive tax reform that encourages job creation and helps bring down the deficit."

GOP's Rubio rips Obama, says his plans will hurt middle class

Medicare
Where he stands: Obama took a firm stance against cutting funds for Medicare -- one of the federal government's largest line items -- while acknowledging its contribution to the nation's debt. Obama advocated the bipartisan Simpson-Bowles plan and offered to reduce taxpayer subsidies to prescription drug companies.

What he said: "Yes, the biggest driver of our long-term debt is the rising cost of health care for an aging population. And those of us who care deeply about programs like Medicare must embrace the need for modest reforms -- otherwise, our retirement programs will crowd out the investments we need for our children, and jeopardize the promise of a secure retirement for future generations. But we can't ask senior citizens and working families to shoulder the entire burden of deficit reduction while asking nothing more from the wealthiest and most powerful."

"We'll bring down costs by changing the way our government pays for Medicare, because our medical bills shouldn't be based on the number of tests ordered or days spent in the hospital. They should be based on the quality of care that our seniors receive."

State of the Union, Twitter-style

Roads and Bridges
Where he stands: In an effort to create more jobs in the United States and improve the nation's infrastructure, Obama proposed a "Fix-It First" program, to put people to work on nearly 70,000 failing bridges, as well as roads.

What he said: "Ask any CEO where they'd rather locate and hire: a country with deteriorating roads and bridges, or one with high-speed rail and Internet, high-tech schools and self-healing power grids. The CEO of Siemens America -- a company that brought hundreds of new jobs to North Carolina -- has said that if we upgrade our infrastructure, they'll bring even more jobs. And I know that you want these job-creating projects in your districts."

Obama keeps pressure on Republicans with jobs plan

Universal Preschool
Where he stands: Obama advocated for widespread enrollment in preschool, praising states like Georgia and Oklahoma that make it a priority. Enrollment in preschool, Obama says, means students grow up more likely to read and do math at grade level, graduate high school, hold a job, and form more stable families of their own.

What he said: "I propose working with states to make high-quality preschool available to every child in America. Every dollar we invest in high-quality early education can save more than $7 later on -- by boosting graduation rates, reducing teen pregnancy, even reducing violent crime. ... So let's do what works, and make sure none of our children start the race of life already behind. Let's give our kids that chance."

5 education ideas from the State of the Union

Congress
Where he stands: Obama had a lot of demands for Congress on Tuesday night. He asked Congress to vote on just about every issue and called for lawmakers to work together to be more effective by successfully solving problems regardless of party divisions.

What he said: "The American people don't expect government to solve every problem. They don't expect those of us in this chamber to agree on every issue. But they do expect us to put the nation's interests before party."

Obama dares Congress to get the job done

Foreign policy and America's future
Where he stands: Obama's plan for America's future focuses on maintaining the nation's image as a role model for freedom in the world while reducing waste and wartime spending.

What he said: "In defense of freedom, we'll remain the anchor of strong alliances, from the Americas to Africa, from Europe to Asia. In the Middle East, we will stand with citizens as they demand their universal rights, and support stable transitions to democracy."

"But as Americans, we all share the same proud title: We are citizens. It's a word that doesn't just describe our nationality or legal status. It describes the way we're made. It describes what we believe. It captures the enduring idea that this country only works when we accept certain obligations to one another and to future generations; that our rights are wrapped up in the rights of others; and that well into our third century as a nation, it remains the task of us all, as citizens of these United States, to be the authors of the next great chapter in our American story."

Analysis: Obama's vision to nudge country to the left

@highlight

During Tuesday's State of the Union address, President Obama touches on a number of issues

@highlight

He challenges Congress to work through differences for the good of the country

@highlight

He speaks emotionally about gun violence and the right to vote