(CNN) -- Not everyone relishes the idea of opening their homes to strangers on vacation.

But in an era when many travelers want an experience that takes them beyond conventional hotel chains and tourist traps, hospitality exchanges and private home rentals are flourishing.

Such alternatives can come at a high price, as home rental site Airbnb has learned in recent weeks. Thanks to a spate of highly publicized rental horror stories, Airbnb has announced new property protections and safety measures that draw upon some of the best practices already in place among well-known sites such as the Hospitality Club, CouchSurfing and HomeAway, which operates VRBO.com.

Airbnb, which pairs people looking for accommodations with hosts for a fee, already represents a hybrid of philosophies underlying hospitality exchanges. It claims to be a community where people "can build real connections" with others eager "to enrich the world through the sharing of space."

But, unlike the Hospitality Club and CouchSurfing, which espouse similar philosophies under the banner of creating a community, money is exchanged and Airbnb takes an additional 15% cut of that transaction. Like Airbnb, HomeAway operates as a marketplace, but communications and financial transactions occur between the guest and host off site, with hosts paying only for their listing.

The operators of those services and one frugal traveler offered suggestions on how to protect your home from thieves and vandals. For more information, consult safety policies and rental guidelines on their websites.

Airbnb apologizes: 'We have really screwed things up'

Research potential guests

Sites like CouchSurfing and the Hospitality Club allow hosts to screen potential guests through their profiles, which often read like personal ads, complete with a picture, offering a more intimate sense of who they are. Plus, user profiles on those sites have rating systems with feedback from previous hosts in the same way sites like Amazon and eBay include buyer and seller feedback.

"You can tell things from the way people describe themselves on CouchSurfing," said travel jounralist Matt Gross, former New York Times "Frugal Traveler" and author of its new series, "Getting Lost."

"When I was in Italy looking for a place, there were profiles of Italian guys in their mid-20s that only wanted women to stay with them. That's a good warning sign."

Because sites like CouchSurfing, Hospitality Club and Airbnb represent collections of people and not just properties, bad incidents don't stay hidden long, he said.

"They're pretty good at policing themselves when things happen. They get talked about and described in user reviews; it usually comes out into open and gets dealt with, as Airbnb is learning," Gross said.

Airbnb's enhanced profile features include information like whether users have verified their phone number and connected their Facebook account. Hosts also now can set custom trust parameters for bookings so those whose profiles don't meet specified requirements -- such as verified phone numbers, profile descriptions and location information -- will be unable to make a reservation.

The Hospitality Club, which has 670,000 members in 200 countries, goes a step further by requiring guests to provide passport numbers so hosts can verify them.

"Checking the person who shows up at your doorstep is a very big deterrent against something bad happening," said Veit Kuehne, founder of the Hospitality Club. "You have to put in some steps to make it harder for criminals and bad people to gain access to your home."

Hosts and property managers should also take it upon themselves to do a little extra work if they're not satisfied with the information available on someone's profile, Kuehne said.

Initiate direct contact with guests before they arrive

This is another way for hosts to do a gut check against potential guests. After travelers connect with hosts on HomeAway, communication continues off platform via e-mail or telephone, so hosts have control over whether they ultimately decide to open their home.

"We are a classifieds business: Owners list properties along with contact and telephone information, and they enter into contact with potential guests and they handle transactions," said Alexis de Belloy, vice president of HomeAway, which operates HomeAway.com, VRBO.com and VacationRentals.com.

"This allows hosts flexibility and doesn't lock them into a decision until they feel completely comfortable with it."

CouchSurfing is based on the concept of community, where a premium is placed on face-to-face interactions and information sharing

"Members are encouraged to meet each other, either by hosting and surfing each other's 'couches' or by participating in the several community events that happen daily worldwide. These connections can only be established when the members spend some time with each other -- time is a key factor to build meaningful connections," a CouchSurfing spokesman said.

Currently, communication between Airbnb users occurs on its platform until a reservation has been paid for, after which hosts can contact guests via phone or e-mail. In an effort to help users make informed decisions, the site has doubled its customer support team to 88 people since last month and will be bringing on a 10-year veteran from eBay as director of customer support next week, CEO Brian Chesky said on the site's blog.

Matador Network: 80 things we wish we knew before we started traveling

Require some kind of security deposit

This is relevant to Airbnb and HomeAway because hosts don't always meet their guests, unlike CouchSurfing and the Hospitality Club, where the primary motivator is to find a bed and a new friend to show guests around. HomeAway lets hosts set their own terms for a deposit and also offers the option of a property damage protection plan. Starting at $39 for $1,500 in damage, the plan offers three levels of protection that owners can work into the price of each reservation.

Starting August 15, when hosts book reservations through Airbnb, their personal property will be covered for loss or damage due to vandalism or theft caused by an Airbnb guest up to $50,000, the company announced Monday. The Airbnb Guarantee program will also apply to hosts who reported property damage before August 1.

Take the risk, if you dare

In a system based on trust and mutual respect, there's always going to be a bad apple or two, Gross said. The chain hotels are there to fall back on, but they come at a price, too.

"The connections between people are what makes travel and life worth living; they're far more valuable to me than anything I could get from a hotel and restaurant," he said. "The fact that we get so upset about someone's house getting trashed shows how rare those instances are."

@highlight

Hospitality programs and vacation rental sites connect hosts with guests

@highlight

There's always an unknown when allowing guests or renters to stay at your home

@highlight

Online services offer various vetting procedures to guard against guests gone wild

@highlight

Airbnb, a rental site that's had some host horror stories, is beefing up its protections