Los Angeles (CNN)Barbara Boxer's announcement that she would step down from her U.S. Senate seat is the golden opportunity that many of California's Democratic stars have waited years for, and it's touching off one of the most unpredictable and expensive scrambles for federal office in the Golden State in years.

With California's two Senate seats locked down for more than two decades by Boxer and Sen. Dianne Feinstein, Boxer's announcement Thursday -- via a video with her grandson -- set up a key test of the state's top-two primary system. Given the shallow Republican bench in California, many political observers predicted a fierce runoff in November 2016 between two of the state's top Democrats, depending on who emerges from the June primary.

Top Democratic contenders weigh California Senate run

"There's an entire generation of Democratic politicians who have been waiting for an opportunity like this one," said Dan Schnur, executive director of the Jesse M. Unruh Institute of Politics at the University of Southern California. "That's a lot of pent up energy and ambition."

Three of the strongest potential Democratic contenders for the seat — Attorney General Kamala Harris, Lt. Gov. Gavin Newsom and billionaire environmentalist Tom Steyer — have been coy about their plans, praising Boxer's long tenure as a champion for progressive causes, but staying mum on their own ambitions.

Former Los Angeles Mayor Antonio Villaraigosa released a statement Saturday expressing his interest: "Too many Californians are struggling to make ends meet, pay the bills, and send their kids to college. They are looking for progressive leaders in Washington who will fight for them, like Senator Boxer has done for over 20 years," the former Los Angeles mayor said in a statement. "The urgency of the needs of the people of this great state have convinced me to seriously consider looking at running for California's open Senate seat."

Steyer is expected to make a decision within days.

For the others, there was a political chess match underway behind the scenes. Boxer's vacancy could be just the first of three statewide openings in California in the next few years. The Governor's office will be vacant in 2018 and that's when Feinstein's current term expires. She could step down, though the 81-year-old senator has given no indication that she will retire.

Pelosi on Boxer retirement: 'What?'

Harris, Newsom and Villaraigosa have all expressed interest to confidantes in running both for Senate and Governor's race over the years.

Harris and Newsom share the same California-based strategists, including Ace Smith, raising the possibility they could strike a pact where Harris runs for Boxer's seat and Newsom waits to run for Governor after his two terms as lieutenant governor. (Smith, who also advised Villaraigosa before the former Los Angeles Mayor returned to the private sector, is often mentioned as potential top strategist for Hillary Clinton's 2016 campaign).

The two Northern California politicians have an amicable, if not close, relationship. If pitted against one another, they could split that region of the state between them -- clearing a path for a strong Southern California candidate like Villaraigosa, who has won prior races with strong support from Latinos.

Increasing speculation about a deal this week, Harris and Newsom sent a message of unity on Monday when Newsom chose the Attorney General to administer his oath of office at his swearing in for his second term as lieutenant governor.

Another wild card are the future plans of Gov. Jerry Brown, who faces term limits in 2018 after his fourth term as governor. Newsom, who has had a fraught relationship with Brown over the years, withdrew from his first bid for governor in 2009 after struggling to raise money with the specter of Brown entering the race. Brown, who barely campaigned in his re-election race last year and won overwhelmingly, has said little about what he would do after the Governor's office.

Beyond those big names -- which rose to the top because of their strong fundraising potential in California, and Steyer's ability to self-fund -- the list of potential candidates seemed almost endless Thursday.

More than a half-dozen members of Congress are weighing whether to jump into the race, as well as a number of state lawmakers and treasurer John Chiang, who is widely talked about as an underestimated candidate.

But federal limits on fundraising are far more restrictive than state limits—setting up steep challenges for any of the contenders. Further complicating matters for Democrats, many well funded labor groups who have played an active role in other state races will be wary of choosing sides between high profile Democrats.

While Republican Kevin McCarthy would be the most formidable candidate on the GOP side, he is unlikely to leave his post as House Majority Leader. Boxer's opponent in 2010, former Hewlett Packard CEO Carly Fiorina, now resides in Virginia and is weighing a run for President.

"I don't think there's an obvious (Republican) contender," said longtime Republican Strategist Kenneth Khachigian, who advised Fiorina in her run against Boxer in 2010. "California has become a very, very difficult state. It's going to be somewhat easier not to have to run against an incumbent, but 2016 will be a presidential year -- so the result is that there will be a lot heavier Democratic turnout, which makes it an even bigger hill to climb for a Republican."

Other Republicans who could throw their hat in the ring include Neel Kashkari, who ran unsuccessfully for governor against Brown last year, as well as Fresno Mayor Ashley Swearengin. But few GOP aspirants are thought to have a chance against the top tier Democratic contenders.

"This race is going to cost $20 million just to get to the starting gate," said longtime California political analyst Tony Quinn. "There is nobody who would be likely to run as a Republican who could come up with that kind of money." (Boxer, in conjunction with party committees raised more than $35 million for her 2010 re-election bid).

Rep. Darrell Issa, who could have funded his own campaign, withdrew his name from consideration. Democrat Eric Garcetti was among the first to step aside, saying he was focused on his new job as Los Angeles Mayor.

Boxer, who is 74 and was elected with Feinstein in the so-called "year of the woman" in 1992, did not reveal her leanings toward a potential successor during a call with reporters Thursday afternoon.

If faced with a competitive Democratic race for her seat, she could very well opt not to endorse given how many people underestimated her in her own Senate race in 1992. When she ran in that cycle against two formidable Democrats, then-Lt. Gov. Leo McCarthy and Rep. Mel Levine, Boxer was pressured to drop out, but pulled off a surprise victory: "I was an asterisk," she mused Thursday.

She said discussions of an endorsement were premature:  "I don't know if one person will come forward or if 15 will come forward," Boxer told reporters on a call Thursday. She said she made her decision over the holidays to be fair to the contenders.

"I am doing it this early," Boxer said, "because I think it's important for the field -- give them plenty of time to look at this; don't give any one person the advantage, and just send the message out loud and clear."

Feinstein similarly did not tip her hand on who she would favor in the race, but she noted that the candidates would need to get off to a fast start given the enormous expense of running a statewide campaign in California.

"Most candidates don't realize, until they've run, how big the state is and how you have to reach people," Feinstein said during a press gaggle on Capitol Hill Thursday.  "You have to figure: 'How many hands can I shake in two years.  100,000?  200,000?'  (You've) got 38 million people. So it really comes down to media, unfortunately."

CNN's Alexandra Jaffe, Ted Barrett and Deirdre Walsh contributed to this report

@highlight

Antonio Villaraigosa says he'll 'seriously consider' a run

@highlight

Barbara Boxer's retirement creates potential for wild race

@highlight

Villaraigosa, Kamala Harris and Gavin Newsom among strongest candidates

@highlight

California's top-two primary could lead to fierce Democratic race in Nov. 2016