LIJIANG, China (CNN) -- In the northwest of China's mountainous Yunnan province, among the world's most biodiverse areas, a green revolution is under way among rural residents.

Zhang Chengui was the first to adopt alternative energy in Yunnan's Meiquan Village.

In Meiquan Village near Lashi Lake, Zhang Chengui says he has been able to maximize profits by spending more time growing crops since installing a biogas digester-greenhouse, solar water heater, energy-efficient stove and rain-collecting cistern. He installed them with loans from the bank and grants from The Nature Conservancy, becoming in 2003 the first in his village to adopt alternative energy.

Since then, his income has tripled to 40,000-50,000 yuan ($5,800-$7,300), he said.

The region, which sees the crossing of three of Asia's great rivers -- the Yangtze, Mekong and Salween -- is a poor one, with firewood traditionally being the source for cooking, heating and housing for half a million households. However, despite a decade-long ban on commercial logging, such a firewood-dependent lifestyle poses a threat to Yunnan's forests and its more than 17,000 plants and wildlife, including the endangered golden monkey.

Zhang's status as Meiquan's village leader made him a natural choice to launch the alternative energy project there. By enlisting him as an ally, The Nature Conservancy was able to slowly persuade other villagers, who would otherwise be hesitant to invest their limited money.

Hundreds of households in the area have followed his lead. Under the Nature Conservancy's alternative energy project, 820 households adopted biogas digesters, and 600 adopted solar water heaters, many of them choosing both, according to Zhu Li, communications manager at the nongovernmental organization's Kunming office.

The Nature Conservancy says it and partners have taken the alternative energy project to 420 villages in Yunnan, installing more than 14,000 biogas units, energy efficient stoves and solar water heating systems. Most of those villages are remote and had relied on nearby forests as opposed to a power grid.

To tap money for such devices, villagers can receive small loans under the GreenVillage Credit program. Part of the United Nations Environment Programme's China Rural Energy Enterprises Development (CREED) initiative, the program has successful precedents in five African nations -- Senegal, Mali, Ghana, Zambia and Tanzania -- and northeast Brazil. The approach, developed by clean energy investor E+Co, helps entrepreneurs take risks in an otherwise emerging sector in order to gain public trust and attract commercial investment.

The goal is to overcome the hurdles generally posed by limited money and training in such remote areas -- and reduce fuel wood consumption by 75 percent. The initiative -- which links the government with nongovernmental organizations and financial institutions -- harnesses financing, alternative energy sources, entrepreneurship and training into income-generating activities.

In addition, the CREED initiative aims to provide alternatives for rural areas where women and children shoulder the burden of collecting firewood and wood burning. The number of hours spent daily, as well as the detrimental health effects of wood burning and indoor pollution -- such as eye and respiratory ailments -- risk contributing to the persistence of the area's poverty.

In a report last year ("Investing in a Climate for Change"), the U.N. Environment Programme said that finance is "essential" in addressing climate change. "Without substantial and sustained investment in clean energy and other measures now, the reality of a global economy free of climate change impacts will remain a distant dream," the report noted.

For most Yunnan households, whose average yearly income is a few hundred dollars, a biogas digester ($150-$300), a solar water heater ($400), or an efficiency stove ($40-80) is too costly, The Nature Conservancy points out.

Under GreenVillage Credit, households can apply for loans up to 10,000 yuan ($1460) after mapping out their income-generating activity from such devices. To offset any default, 5 percent of the loan is deposited at a bank as a guarantee, and a solidarity group of five to eight households is formed to share responsibility for the member's loan repayments. In return, participants get technical support and have about 18 months to pay the loan off.

Nearly 600 households have been able to tap more than $300,000 in loans to purchase such energy-efficient systems and generate income, thanks to GreenVillage Credit.

Whereas Zhang's family used to spend hours seeking, chopping and carrying firewood, the switch to alternative energy has enabled them to save the equivalent of 100 working days, he estimated. Thanks to the solar heater, a shower is a daily possibility, and the biogas digester -- which converts human and pig waste to a clean gas that can be pressurized -- has enabled cooking and lighting. More time is then left to devote to his income-generating greenhouse, which uses waste slurry left over from the biogas digester as fertilizer for his grapes, strawberries, apples, plums, cherries, peaches, eggplant, cucumber, tomatoes and squash.

Thanks to increased income, his children were freed up to attend the university, said the 53-year-old Zhang, whose own education ended with high school. Zhang's children have since graduated; his son became a magazine editor, while his daughter became a government official, Zhang said.

"What we have today cannot be separated from alternative energy," Zhang told journalists visiting his home last year. His life's goal, he said, was to educate the next generation well and see an improvement in his grandchildren's lives.

Elsewhere in China, biogas projects have proven more popular than in Yunnan, where colder temperatures generally require a greenhouse to cover the units.

As of the end of 2007, more than 26.5 million rural households were using household biodigesters, saving the equivalent of 44 million tons of CO2 emissions, according to China's State Council Information Office. The number is notable for a country criticized for its environmental record while trying to bridge a wide income gap between urban dwellers and rural residents who lack access to modern energy services.

@highlight

Half a million households have traditionally used wood for cooking, heating, housing

@highlight

Village leader Zhang Chengui was first in Meiquan to adopt alternative energy

@highlight

Hundreds of households have since signed on, thanks to credit and grants

@highlight

Zhang's income has tripled; children freed up to attend university, he says