(CNN) -- The Aedes Aegypti mosquito is just two to three millimeters long but its impact is devastating. Of the thousands of mosquito species, this one bears primary responsibility for one of the world's deadliest and fastest growing diseases.

In the past 50 years, incidence of Dengue Fever has multiplied by 30 according to the WHO, spreading from nine countries in 1970 to over 100 today. There is no vaccine or cure for the painful virus known as Breakbone Fever, and of the 50-100 million people infected each year, over 20,000 die.

Aedes Aegypti has spread with this epidemic, and has become the target of efforts to control the disease. But while solutions such as mass spraying of toxic chemicals have proved expensive, ineffective and environmentally damaging, scientists hope to use the insect as the agent of its own destruction.

British biotech firm Oxitec is tackling the problem through pioneering genetic modification (GM) of the Aedes Aegypti. Scientists breed large numbers of the insects in laboratories and inject the sperm cells of males with a lethal gene. When the mosquito is released into the wild and mates with a female -- always of the same species - the deadly transgene is passed on and the offspring dies.

Oxitec report successes from their Release of Insects with Dominant Lethality (RIDL) programme trials in Malaysia, the Cayman Islands and Brazil, claiming a 96% suppression rate in the latter case. This has proved enough for the Brazilian government to announce this year the first commercial release of GM mosquitoes into the wild. The treated insects are awaiting approval in the US.

Oxitec CSO Dr. Luke Alphey claims the techniques the company has been refining since 2009 offers a high degree of control.

"In the target area we could suppress the population even to zero levels," he says."It works. The engineered males can court and mate wild females and we can suppress the target populations as we demonstrated in the Cayman Islands and in Brazil. To a huge level, enough suppression to prevent epidemic dengue."

Alphey believes the concept could be applied at scale. "I hope that it will become a major part of control of major pest insects. If we could reduce, even in some countries, the burden of diseases like dengue...that would be fantastic. We're just at the dawn of genetic control."

This approach is being widely adopted. Researchers at the University of California, Irvine have pioneered a method that renders mosquito offspring unable to fly, making them harmless. At Imperial College London, a team have suppressed malaria in trials by modifying mosquitoes to only give birth to males, which do not bite and cannot transmit the disease.

Dr. Nikolai Windbichler, co-author of the latter study, uses a mousetrap analogy to illustrate the guarantee offered by genetic transfer.

"Even if one of every 10,000 mosquitoes would not function... it would not prevent the technology from suppressing populations. If you put up 20 mousetraps and one is not working, the remaining 19 would still be able to do the job."

The path of modifying mosquitoes has many supporters in the medical community.

"Scientists have made a lot of progress and there are many exciting projects", says Dr. James Logan of the London School of Hygiene and Tropical Medicine. "If we can identify a single species which transmits a disease like the Aedes Aegypti and dengue fever, (genetic modification) can have an impact. It's less achievable for malaria, which is transmitted by many species."

Although there are still questions to answer, Logan wants to see expansion. "We need more field trials to show the impact on disease transmission... I believe we need to push ahead, because the thing about mosquitoes with dengue fever and malaria in the wild is that they are always a step ahead, developing resistance, and we need new forms of novel intervention."

But critics believe that implementation of GM mosquitoes is happening too fast without enough understanding of the impact. Genewatch UK is demanding a public consultation in Brazil before the insects are released in the wild.

"Oxitec have omitted or failed to publish important information needed to make a decision", says Dr. Helen Wallace director of Genewatch UK. "The reduction figures from their trials cannot be verified and they have not proved a positive impact on disease. One problem is that if you reduce numbers of one mosquito species, another may increase.

"Many experts think that suppressing a wild population that is so mobile will not work and may cause actual harm, no one knows for sure but it is certainly irresponsible not to consider the risk."

Despite such concerns, the trend toward modification of insects for disease control is gathering pace as other solutions fail and regulators are favorable. Worms, flies and moths are also being targeted and 'weaponized' against their species. As this new battle commences, the stakes could hardly be higher.

Read more from Make, Create, Innovate:

This 'Star Trek'-style molecular sensor reads your food

Spider lessons: How to mend your body with silk

The artificial leaf that could power the world

@highlight

Biotech firm Oxitec is tackling Dengue Fever with genetically modified mosquitos.

@highlight

When the modified male mosquito mates with a female, a deadly transgene is passed on and the offspring dies.

@highlight

50-100 million are infected with Dengue Fever each year.