(CNN) -- The roar of the crowd was deafening on April 9, as 30,000 Indians cheered on their teams at one of Kolkata's most hotly anticipated sporting events -- except this crowd was not supporting record-breaking batsman Sachin Tendulkar or marveling at Harbhajan Singh's fast spin bowl.

The event was the Kolkata Derby -- a fierce soccer rivalry between Mohun Bagan AC and Kingfisher East Bengal Football Club that has seen both teams clash 299 times over the last eight decades.

The passion of the crowd was a sign of Kolkata's long romance with the "beautiful game," and indicative of a sport on the rise in India.

Soccer's history on the subcontinent stretches back to the late 1800s when it was introduced by British colonial administrators and its subsequent growth means that today it boasts 83 million television viewers, according to the India-based TV ratings agency TAM Media Research.

This figure is third only to India's de facto national sport and first love, cricket, which comes first with 122 million viewers, and wrestling which attracts 96 million.

Furthermore, a data study conducted by TAM Media Research between 2005 and 2009 found that India's football audience increased by 60% within this five-year period. This trend was reinforced by a Nielsen survey in 2010 which found that 47% of India's 1.2 billion (2009 World Bank figures) population would describe themselves as football fans.

The popularity of the English Premier League, which is broadcast on satellite channels such as ESPN, has also mushroomed among India's affluent middle class, who are increasingly passionate about a game traditionally perceived as working class.

According to Manu Sawhney, managing director of ESPN STAR Sports, the channel broadcasts more than 230 English Premier League matches live every season and offers over 1500 hours of programming, thereby feeding the growth in demand.

Jonathan Hill, the FA's group commercial director, said: "Together we have grown the popularity of English football in Asia and we look forward to continuing this strong relationship in the coming years."

India's World Cup audience has also witnessed a marked increase in recent years. In 2006, the tournament was viewed by 50 million people in India through ESPN STAR Sports alone -- a 44% rise from the 2002 figure.

Popularity paradox

The paradox of the recent boom in popularity is that -- unlike like other countries such as Japan, Australia and South Korea -- the growth in demand has not been led by the success of the national team.

India last qualified for the World Cup in 1950 and currently places 146th in FIFA's global rankings thanks to a series of qualification failures for major tournaments -- albeit interspersed by victories in the Asian Games, the Asian Nations Cup, the South Asian Football Federation Cup and the AFC Challenge Cup.

For Kalyan Chaubey, CEO of Mohun Bagan Football Academy, there are a number of factors that have contributed to the current state of affairs.

"I think a lack of international matches [is] a problem and our neighboring countries Bangladesh, Nepal and Pakistan are not strong enough, so we are not getting competitive matches," Chaubey told CNN.

"[But] the All India Football Federation (AIFF) has restructured their administration and recently money has been pouring into the game, so more windows of opportunity are opening up," he added.

"I'm sure football has a viable market in a country with a population of 1.2 billion. There are many pockets across [India] where football is equally or more popular than cricket, such as Goa, Kolkata, Kerala, Bangalore, parts of Delhi and the whole northeast of India. The passion is really high -- we just need to achieve something internationally."

The domestic dilemma

The national team is not the only area of untapped potential, according to many working in football in India; the domestic leagues and infrastructure could both be areas for development.

Chaubey cites heavy competition for an insufficient number of stadiums prone to monsoon-inflicted damage as a notable obstacle stifling the potential of Indian football, which he says regularly attracts up to 500,000 spectators in the northeast of the country.

"Every state has its own football league and there are at least five divisions," Chaubey said. "Each division has 15 to 20 teams, so getting grounds is an issue.

"When there are 100 grounds in a city that has 500 football teams that practice regularly, [clubs] hardly have time to maintain those grounds."

Building for the future

But it is at the grass roots where arguably the need is greatest and the most effort is being focused, according to Chaubey.

"Lots of youths are keen to play football but we are lacking quality coaches and infrastructure. [Many] senior teams get the facilities but youths don't."

Football coach Bill Adams, agrees with the sentiment and founded the Super Soccer Academy in New Delhi in 1998 as a way to combat what he saw as poor standards of youth coaching.

"There was a big disconnect between what I'd been doing and the kind of things the schools were doing with my child," he told CNN. "The coaching was designed for adults not for seven-year-olds."

Adams says the professional football he encountered when he relocated to India from Britain in the early 1990s was "amateurish" and held back by the government-controlled Sports Authority of India and the AIFF, which administers association football in India and controls the top-tier I-League.

But due to funding from the Asian Football Confederation (AFC), which has recently insisted on the AIFF employing professionals, Adams thinks the situation is improving.

"The AFC have really worked hard to professionalize football in India," he said. "Ten years ago, there was nowhere near this level of professionalism.  The AFC are insisting on a particular management structure and a particular academy structure, otherwise [clubs] will not be recognized and allowed in the national league."

There are further moves from the AIFF to build on these foundations too, after the body announced in April plans to restart the AFC's Vision India program, which aims to increase the national association's efficiency, improve youth and grass roots football participation through programs and activities and develop national competitions for clubs and players.

Meanwhile, FIFA has continued to make inroads in centralizing the administration of Indian football through its two Goal Projects and in improving footballing infrastructure.

In 2007, FIFA launched the $8 million "Win in India" project to build a range of football grounds across the country. Construction of three turf pitches in Bangalore, Imphal and Shillong is due for completion in June 2011, while five further pitches are scheduled to be built across Kolkata, Mumbai, Goa and Pune.

A FIFA spokesman told CNN: "FIFA is convinced of the huge potential of India in terms of football development. This is why FIFA devised the program Win in India, which is now being implemented.

"FIFA has been working with the AIFF with the two Goal projects, helping in building the association's headquarters in New Delhi, as well as two technical centers in Karnataka and Sikkim."

Untapped player potential

Infrastructure aside, India is increasingly seen as an area that could provide talent to the top clubs in Europe.

In 2009, Britain's Liverpool FC joined forces with Indian educational institution Bharati Vidyapeeth and the English FA to launch the Abhijit Kadam Football Development Centre (AKFDC) in Pune.

AKFDC is the first collaboration between an English Premier League club and an Indian college aimed at fostering Indian football excellence through a range of courses devised in partnership with leading UK educational institutes.

Premier League giants Arsenal and Manchester United have targeted talented Indian youths for training in the UK, while Chelsea have expressed interest in establishing a football academy in India.

A spokesperson for Chelsea told CNN: "It is clear that the game is growing in popularity on the subcontinent. Chelsea's "Search for an Asian Star" demonstrates beyond doubt that there is a huge passion for football within the Asian community as well as a considerable talent base.

"May will see almost 400 young Asian players travel to our training ground battling it out to win a trial at our world famous academy. Already four previous winners have gone on to play at professional academies and we hope we have inspired many others to develop their game at a higher level."

@highlight

India's 83 million football fans are a testament to a sport rapidly on the rise across the subcontinent

@highlight

Despite such grassroots support however, India's national team ranks 146th globally

@highlight

Experts blame poor international exposure and bad management for the state of Indian football

@highlight

AFC and FIFA are trying to improve the game by injecting funding for infrastructure