Washington (CNN) -- Louisiana Democrat Sen. Mary Landrieu is in the middle of a storm.

She is beset by well-funded forces on the right who sense the Gulf Coast Democrat's vulnerability in trying to defend a Senate seat in a red state. On the left, she is trying to avoid being pulled down by the undertow of a president whose decline in approval ratings and controversial health care reform law might not play well with her state's conservative sensibilities.

She's been buffeted by rough re-election fights before, and in previous successful bids for the state legislature, state treasurer's office and eventually two runoffs for the U.S. Senate seat she's proven she has the thick skin and political acumen to weather storms.

For example, her 1996 Senate win included a nail-biter of a runoff that she won by just 5,788 votes amid allegations of voter fraud by her challenger, state Rep. Woody Jenkins, and a congressional probe before she could finally assume office.

She also has the political pedigree as the sister of New Orleans Mayor Mitch Landrieu and daughter of former New Orleans mayor and Housing and Urban Development Secretary Maurice "Moon" Landrieu.

"We have been in this business for a long time; you try to insulate yourself a little bit from some of the negative aspects," Moon Landrieu told the New York Times in January.

But this time there's a lot more at stake.

2014 midterms: What's at stake

"Historically, her re-elections have been very tough," said Silas Lee, a social politics professor at Xavier University in Louisiana. "This time, to some degree, it's a nationalized re-election. She didn't have to contend with the outside interests trying to defeat her before."

Landrieu hails from a state where, despite the fact that just over 48% of the electorate are registered Democrats, voters have for the past two presidential cycles cast ballots for Republican nominees. Of the eight members of Louisiana's congressional delegation, Landrieu and Rep. Cedric Richmond, who represents part of New Orleans, are the only two Democrats.

During her 2008 re-election bid she managed to narrowly clear by two points the state's 50% threshold for electoral victory.

And that was in a good year for Democrats with the winds of a history-making victory in electing the nation's first African-American president at their back. President Barack Obama won big with minorities, women and young voters, and Democrats were able to capitalize on that energized, high turnout in down-ballot races.

In fact, that year's election was the only one in which Landrieu did not face a runoff for the Senate seat.

There are no such winds this year.

It's a midterm election year, and the electoral mood and climate have changed dramatically.

2014 Midterm Elections

Once-popular President Barack Obama now has an approval rating of 42%. His popularity soured somewhat following controversies over his administration's intelligence gathering techniques, congressional inquiries into IRS targeting of conservative political groups and the botched rollout of the Affordable Care Act, the president's signature health care reform law.

Republicans have vowed to hang Obamacare like a proverbial albatross around the necks of vulnerable Democrats like Landrieu. For example, the conservative super-PAC Americans for Prosperity, funded by the Koch brothers, a pair of wealthy industrialists, has spent more than $3 million on ads in Louisiana highlighting Landrieu's 2010 vote for Obamacare.

She faces a strong GOP challenge from U.S. Rep. Bill Cassidy, a doctor who has earned lauds for his charity work, and who in many ways symbolizes exactly what Landrieu is up against as one of only two Democrats in her state's congressional delegation. The challenge from tea party-backed retired Air Force Col. Rob Maness further complicates matters in that grassroots conservatives are rallying to his side, expanding the field of those taking shots at the incumbent.

"God help us if this goes to a runoff and helps us determine the fate of the Senate," said Jennifer Duffy, senior editor with the Cook Political Report.

Louisiana's election law calls for Election Day in the rest of the country to be an open primary for all comers. If no candidate gets more than 50% of the vote, a runoff is scheduled in December.

These races will determine control of the Senate

Meanwhile, in the Senate, her party is clawing to keep its 53-45 majority.

Democrats are fighting to keep 21 of the 36 Senate seats up for grabs in November. Half of those are Democratic-held seats in red or purple states.

"In order for her to get this far she had to have had people who vote Republican at the presidential level," said Nathan Gonzales, deputy editor of the Rothenberg Political Report. "But Louisiana is difficult when we're talking Democrats and Republicans...you have people who are Democrat by heritage but vote Republican."

As a result, Landrieu has found herself in the precarious position of trying to keep her Senate seat in a state that trends red all the while supporting the leader of her party in a way that makes clear to the people in Louisiana that they are her priority.

In her recent campaign ad, a clip shows Landrieu stating emphatically "the administration's policies are simply wrong when it comes to oil and gas production in this nation."

"For years she's forced Washington to respect Louisiana," says the commercial's narrator.

The ad goes on to tout her efforts to end the federal government's ban on offshore oil and gas drilling that was enacted after the 2010 BP oil spill in the Gulf of Mexico.

The ad also highlights her victory in requiring the federal government to split offshore royalties with Louisiana and other oil and gas producing states. Plus, as the ad reminds viewers, "now as the new chairman of the Energy Committee, she holds the most powerful position in the Senate for Louisiana."

It's also an ad that Republicans criticized for the Senator's use of staged, recreated news clips from a committee hearing. Landrieu's campaign pointed to congressional rules that ban lawmakers from using "radio or television coverage of the proceedings of the Senate for political campaign purposes."

Landrieu touts fight for oil and gas jobs in new ad

Still, Landrieu has stepped cautiously in her connection to Obama.

When the President visited her state in November, Landrieu traveled with him, but then she was conspicuously absent from a speech he gave at the Port of New Orleans. Instead, she made the rounds of other events in the state.

"She has to convince voters that she is not a typical national Democrat," Gonzales said. "She has to show some distance from the President, and Democrats have to make congressman Cassidy an unacceptable alternative."

Key races to watch in 2014

CNN's Paul Steinhauser contributed to this report.

@highlight

A changed political climate, influence of outside money complicates re-election bid

@highlight

Landrieu has faced tough political battles and runoffs in previous races

@highlight

Louisiana's Senate race could determine control of the chamber

@highlight

Landrieu has had to carefully distance herself from the President in some instances