(CNN) -- In the backwaters of India's southern state of Kerala, traditional village life goes on much as it has for the last 50 years.

The occasional satellite dish, motorized houseboat or construction of a new guesthouse are the only nods to increased outside interest in this seemingly endless string of interconnected waterways, paddy fields and coconut groves that stretches down the Malabar Coast.

Ferrymen still carry villagers on tiny canoes, as women in vivid saris wash clothes on stone steps near the river.

Exuberant children in bright school whites run along the banks, shouting cheerful hellos to any new faces.

Regularly hailed as one of the top 10 things to see in India, the backwaters offer a chance to witness another side of a country often known for its frenetic pace of life.

The main spots to embark on a backwaters adventure are the cities or towns of Alappuzha, Kochi, Kollam and Kumarakom.

Here are three great ways to experience them.

Kumarakom Lake Resort

Kumarakom Lake Resort offers a rare opportunity for those who want to enjoy the beauty of the backwaters while enjoying five-star service and luxury.

The UK's heir to the throne Prince Charles recently celebrated his 65th birthday at the resort with wife Camilla.

Built on the edge of Vembanad Lake, the resort is a stunning union of nature and historic architecture.

An array of birds hops around the perfectly manicured lawns while river otters swim in canals that snake through the property.

Bridges connect different parts of the resort, mirroring the links between villages across the backwaters.

Most of the property has been constructed using elements from Kerala's historic stately homes, such as ornate doors and elaborate roof structures.

The three dining areas offer a good range of food options made with top quality ingredients.

As the resort is on the banks of the backwaters' main lake, those wanting to see the smaller canals and waterways should take a boat trip, which the hotel can organize.

Kumarakom Lake Resort, Kottayam 686 566, Kerala, India; +91 481 252 4900; rooms from Rs 17,500 ($289) plus tax

Traditional houseboat (kettuvallam)

For centuries, Kerala's remote backwater communities used kettuvallam boats to transport rice from the paddy fields to market towns.

Today these beautiful craft made of bamboo, rattan, coir and wood are a favorite with tourists.

Usually measuring about 80 feet (24 meters) in length, Kerala's houseboats have been refashioned into stylishly furnished floating cottages.

Depending on budget, options include houseboats with two floors, balconies, living rooms and even four or five bedrooms.

The lure of the tourist dollar has brought in some ventures that do little to benefit the local community, while others guzzle fuel and dump untreated waste.

Options such as Spice Coast Cruises run on solar power and are fueled by vegetable oil, and Goodearth, essentially run by a cooperative of villages, is ethically and ecologically sound.

It's possible to spend an afternoon to a week on a backwaters houseboat, though two-day trips are the most popular.

This allows travelers to lounge on deck as they cruise past a patchwork of pastel-colored houses, churches and temples.

Most companies arrange for stops at villages selling local crafts and wares.

River regulations require boats to dock overnight but it's still nice to stop in a secluded spot, gaze at the stars and listen to the sizzle of freshly caught fish roasting on the grill.

The main rivers are like a watery highway, so the journey won't always be peaceful.

The days of being only the houseboat on the water are long gone and cruisers can expect municipal passenger boats to motor past.

But the journey also provides the chance to see duck farmers herd their flock along the river and lone fishermen in tiny boats laden with the day's catch.

Emerald Isle Heritage Villa

Located in Nedumudi, about 12 kilometers from Alappuzha, this traditional Keralan house is the ancestral home of owner Vinod Job and his brother Vijo.

Together they put together a remarkable experience that weaves together their own rich family history and village life.

Upon arrival, guests are picked up from the far side of the river by a traditional canoe, known as a vallam, and transported to the idyllic 150-year-old property.

There are a few sleeping options but The Cottage and The Granary are most charming and come with stylish outdoor bathrooms.

Emerald Isle has its own paddy fields and coconut groves, and the food is almost all locally grown.

Dinner is served in a communal space and is a showcase of traditional dishes such as karimeen pollichathu and neimeen curry.

Visitors can rent bikes, explore on foot or take trips in a traditional vallum.

The guesthouse can also arrange kayaking and fishing trips.

There are dozens of little canals connected by ramshackle footbridges, while local shacks sell everything from candy and soft drinks to Toddy, a popular local alcoholic drink.

Away from the action, Emerald Isle offers lazy afternoons in a hammock, Ayurvedic massages and beauty treatments.

Emerald Isle Heritage Villa, Kanjooparambil-Manimalathara, Alleppey 688 511, Kerala, India; +91 477 270 3899; rooms from Rs 5,700 ($94) plus tax

@highlight

The Kerala backwaters are made up of lakes, canals and rivers that stretch down the coast

@highlight

Traditional houseboats are a great way to take in the local way of life

@highlight

Homestay Emerald Isle Heritage Villa is a riverside heritage house with its own farm