(CNN) -- Having cycled around the world and then swum the length of Britain, adventurer Sean Conway is taking on an altogether different challenge -- to restore a historic wartime ship which was set for the sailing scrapyard.

As well as saving a piece of maritime heritage, Conway says there was a more practical necessity behind his unusual purchase.

"Basically my swim from Land's End to John O'Groats left me flat broke and I need somewhere to live," he told CNN.

"I'm 32 and have had to move back in with my mother.

"People have the impression that adventurers and explorers are all rich but nothing could be further from the truth."

Conway has sold the support boat that was his constant companion during his 900-mile (1400 km) four-and-a-half-month swim up the west coast of Britain last year to fund his purchase of Lady Sybil H, a six-berth motor yacht with historical connections.

Titanic connection

It was made in 1931 by famous Belfast shipbuilders Harland and Wolff, who were also responsible for the ill-fated Titanic.

"I love the history behind this," said Conway. "It has a double teak hull and being 82 years old was more of an attraction for me than just having a boat to live in."

Conway is writing a book and capitalizing on his new-found celebrity ("the last month or so have been crazy") to help fund the project, hoping to equip Lady Sybil so he can live completely self-sufficiently.

"That means solar panels and a wood-burning stove and other environmentally-friendly features," he said.

There is a "growing demand" for wooden boats of this type, according to Paul Leinthall-Cowman, the owner of Classic Yacht Brokerage which sold Conway his piece of history, said

"It's like owning a classic car, they stand out from the crowd," he told CNN.

Leinthall-Cowman has dealt in boats which have belonged to royalty and foreign heads of state, but it is doubtful he would have had such an unusual customer as the intrepid Conway.

"He actually brought Lady Sybil during the middle of his epic swim and had not actually set eyes on her," he revealed.

Online purchase

Conway takes up the story: "I saw it on eBay and thought, 'They must have got the price wrong,' so I got my mother Badette to check it out.

Living nearby, Badette was able to arrange a quick viewing and the purchase was completed.

"It needs a lot of work and it's not habitable at the moment," Conway admitted.

Leinthall-Cowman, who has a special affection for Lady Sybil H and wanted her to go to a "good home," said he had no doubt Conway could achieve anything he set his mind to.

"He's an extraordinary guy who breaks the mold," he said.

"To do his swim on a shoestring budget makes it a remarkable achievement and it took quite a while for the penny to drop with a lot of people."

Conway and his four-strong support team left Land's End on the southwestern tip of England on June 30 -- only able to start their adventure because of late help from swimwear manufacturer Speedo.

By his own admission "a pretty average swimmer," the combination of difficult weather and his lack of experience put them behind schedule.

Herculean task

Conway's coach Mark Kleanthous, himself a 36-time Ironman triathlete, had done his best to teach him better technique but knew he faced an herculean task even with such a determined athlete.

"He was below average as a swimmer, great fitness but with heavy dense legs that dropped in the water," he told CNN.

Helped by continuous tips from Kleanthous, Conway made painstaking progress along England's west coast, averaging about 15 km per day spent in the water.

He was severely hampered by tides, and especially jellyfish.

Conway was stung so often he grew a "ridiculous" ginger beard to protect his face with lashings of Vaseline.

Conway, who once climbed Mount Kilimanjaro dressed as a penguin, cut an almost comic figure with his emaciated body -- his weight plummeted to below 10 stone (63 kg) -- topped by a giant and straggling mass of ginger hair and beard.

But his determination to succeed was no laughing matter and, as he neared John O'Groats at the northern tip of Scotland, his feat began to capture the media's attention.

After completing the final agonizing stretch in freezing cold waters on November 11 ("way behind schedule," said Kleanthous) Conway could perhaps perhaps afford to rest on his laurels and bask in the glow of his success.

New challenge

But for a man who needs to test himself in everything he does, from building a home on an old ship to raising money for his charities with his incredible endurance tests, it has not taken long for him to get itchy feet.

"My next challenge is running from Cairo to Cape Town," he announced in a matter-of-fact way about a 7,000-kilometer journey across the continent of Africa.

Not one to let the grass grow under those feet, Conway has already purchased a website domain to publicize his attempt.

After his swimming and cycling feats, it would complete an "ultimate triathlon" and he is planning to attempt the final leg in 2015.

He will again enlist the help of Kleanthous, who has run 75 marathons plus completing a triple Ironman where the final leg was a 126-km foot race.

Kleanthous is warning that this will be the "toughest challenge" yet for Conway.

"From first meeting Sean I knew he could cycle around the world and possibly swim the length of Britain, but this will be much harder despite him being slight in stature," he added.

"Running long distances day in, day out is very destructive on the muscles and joints."

Rhino run?

Not only that, Zimbabwe-born Conway -- whose father is a rhino conservationist -- has been dabbling with the idea of running for an animal charity.

But even he may baulk of running the whole thing in a rhino suit. "Perhaps they can make me a lightweight version," he joked.

Assuming sales of his book and other media work bears fruit, Conway may also have the time between his training to restore Lady Sybil H to former glories.

The 63ft Pinnace was a real work horse of the RAF Marine fleet, being used for the recovery of torpedoes, sea survival exercises and ferrying duties for service personnel.

She was professionally converted to a motor-yacht in the late 1940s and owned by the same family until recently.

Conway has already registered her with Britain's National Register of Historic Vessels ahead of the further works.

Cowman-Leinthall hopes the peripatetic Conway will use Lady Sybil H on Britain's extensive network of canals to best "show her off to the public."

Simple philosophy

For now Conway will keep his mother company and prepare for his next epic adventure, but he is keen to emphasize that he is not some "super human" individual and does not take himself too seriously.

"I don't have titanium bones and I was not good at sports at school," he said.

"My message is anyone can do this."

But Kleanthous believes his protÃ©gÃ© does indeed belong to a special breed of individuals who can push themselves to the limit and beyond to achieve their goals.

"Humans have a natural instinct to explore and see what is possible," he said. "Some people dream but only a few go and find out what is possible."

Conway certainly falls into that category.

@highlight

Sean Conway has cycled around the world and swum length of Britain

@highlight

His latest swimming feat left him drained of financial resources

@highlight

He has purchased a former wartime naval vessel to live on

@highlight

The 32-year-old is now training to run the length of Africa