Washington (CNN) -- The FBI announced that it has concluded its investigation into the 2001 anthrax mailings, saying Friday that a biodefense researcher carried out the attacks alone.

The anthrax letters killed five people and sickened 17 shortly after the September 11, 2001, terrorist attacks. The letters, filled with bacterial spores, were sent to Senate Democratic leaders and news organizations.

"By 2007, investigators conclusively determined that a single spore-batch created and maintained by Dr. Bruce E. Ivins at the United States Army Medical Research Institute of Infectious Diseases (USAMRIID) was the parent material for the letter spores," said a report released Friday by the FBI.

"Evidence developed from that investigation established that Dr. Ivins, alone, mailed the anthrax letters."

There was no immediate response from Ivins' lawyer.

Ivins, 62, committed suicide in July 2008 as federal agents were closing in on him, police said.

In September and October 2001, at least five envelopes were mailed to Sen. Patrick Leahy and then-Sen. Tom Daschle, as well as to news organizations in New York and in Boca Raton, Florida.

Each envelope contained a photocopy of a handwritten note.

The five who died included two Washington postal workers, a New York hospital worker, a supermarket tabloid photo editor in Florida and a 94-year-old woman in Connecticut.

The investigation into the anthrax mailings, code-named "Amerithrax," was one of the largest and most complex in the history of law enforcement, according to the FBI.

He had spent more than 30 years as a civilian microbiologist at the Army's biological research laboratory at Fort Detrick, Maryland, where he was trying to develop a better vaccine against anthrax.

At the time of his death, Ivins was under a temporary restraining order sought by a social worker who had counseled him in private and group sessions. He also had been hospitalized in the weeks leading up to his death for psychiatric examination after he threatened to kill co-workers, investigators "and other individuals who had wronged him," according to documents released in the case.

Federal prosecutors named Ivins the culprit in the anthrax attacks after his death. Court records released by authorities showed that Ivins was "the custodian of a large flask of highly purified anthrax spores that possess certain genetic mutations identical to the anthrax used in the attacks."

The government had taken steps in the weeks leading up to Ivins' death to restrict his access to his lab.

But critics point out that then-Attorney General John Ashcroft publicly declared another Fort Detrick scientist, Steven Hatfill, a "person of interest" in the anthrax attacks. Hatfill was never charged but sued over the matter, settling with the government for $5.8 million. His case has fueled skepticism about the allegations against Ivins.

In November 2008 the U.S. Supreme Court threw out Hatfill's libel lawsuit against The New York Times over reports linking him to the anthrax probe. A federal appeals court had concluded Hatfill was a "public figure" and failed to prove the reports were "malicious."

In the report released on Friday, the FBI said Hatfill had been eliminated as a suspect.

The report outlines the government's evidence against Ivins, saying that the researcher was alone late at night in the lab where the anthrax strain RMR-1029 was stored in the days leading up to the mailings. The lab also contained the equipment capable of drying the anthrax, a function that was forbidden, the report said.

"Dr. Ivins was never in the habit of working excessive late night hours in the lab, either prior to or after the mailings," it said.

Ivins was under "intense personal and professional pressure" in the months leading up to the anthrax attacks, the report said, citing the researchers' e-mails and statements to friends.

"The anthrax vaccine program to which he had devoted his entire career of more than 20 years was failing. The anthrax vaccines were receiving criticism in several scientific circles, because of both potency problems and allegations that the anthrax vaccine contributed to Gulf War Syndrome," it said.

"Short of some major breakthrough or intervention, he feared that the vaccine research program was going to be discontinued. Following the anthrax attacks, however, his program was suddenly rejuvenated."

The report also said that Ivins' e-mails and statements show a "man driven by obsessions."

"In the month before his suicide," it said, "his homicidal tendencies became more pronounced, as he posted violent messages on the Internet regarding a reality TV star and made death threats during a group therapy session."

It also says that Ivins made several statements and actions that showed "evidence of a guilty conscience."

They included sending an e-mail to the Centers for Disease Control and Prevention that suggested "nonsensical explanations for why the first victim might have contracted inhalation anthrax," and repeatedly made efforts to shift the blame for the mailings to friends and colleagues.

"At one point, he sent an e-mail to himself documenting 12 reasons why two of his former colleagues, who were also his two best friends, likely committed the anthrax attacks," the report said.

@highlight

Biodefense researcher Bruce Ivins acted alone, FBI says

@highlight

Letters filled with anthrax sent to Senate, media after September 11 attacks

@highlight

Letters killed five, sickened 17