Washington (CNN) -- New rules meant to temper the civilian death toll from unmanned U.S. drones won't apply in the fight against terrorists in Iraq and Syria, the White House says.

The standards, which Obama spelled out during a high profile address last year, were meant partly to allay concerns many Americans felt toward lethal drones. President Obama said at the time the drone strikes were used with far greater frequency than his predecessor in going after militants -- including in his fight against ISIS.

But while officials in Washington insist there are strict standards to prevent civilians from dying in Iraq and Syria, the rules Obama said last year would stem civilian deaths aren't being applied in the new war against ISIS.

"The specific standards at issue in the NDU speech apply only when we take direct action 'outside areas of active hostilities,' as was noted at the time," said Caitlin Hayden, the spokeswoman for Obama's National Security Council, referring to Obama's address at the National Defense University in the spring of 2013. "That descriptionâ€”outside areas of active hostilitiesâ€”simply does not fit what we are seeing on the ground in Iraq and Syria right now."

In addition, the strikes in Syria and Iraq are being conducted by manned aircraft in addition to unmanned vehicles, although that distinction might not be apparent from the ground.

Related: Did Obama keep his promise on drones?

The White House's decision to exempt the mission against ISIS from the drone standards was first reported by the investigative journalist Michael Isikoff on Yahoo News.

Incidents of civilians being killed by drones have helped fuel resentment for the United States in places like Yemen, Pakistan and Somalia, where al Qaeda cells have sprouted since 2001.

During his widely-anticipated remarks about drones last year, Obama said civilian deaths were a facet of every war. But he vowed to do more to prevent them in his bid to go after jihadist cells.

"For the families of those civilians, no words or legal construct can justify their loss," he said. "For me, and those in my chain of command, those deaths will haunt us as long as we live, just as we are haunted by the civilian casualties that have occurred throughout conventional fighting in Afghanistan and Iraq."

In new criteria for drone strikes, the White House insisted there must be "near certainty that non-combatants will not be injured or killed" before an attack is ordered. Other parameters included ensuring the terrorist target is present and certifying capture isn't a feasible option.

McCain: ISIS' rise like 'watching a train wreck'

While the White House says those strictures don't apply in the battle against ISIS, they do claim measures are underway to prevent civilians from dying.

Speaking to reporters on Tuesday, Pentagon spokesman Rear Adm. John Kirby described a process of choosing targets in Iraq and Syria that takes into account the potential for non-ISIS deaths.

"While we continue to hit [ISIS] where they are, it doesn't mean we can or even that we should hit them everywhere they are at every moment," Kirby said. "We must choose. We must discriminate between targets that matter more to us in space and time than others, and between those that run higher risks of collateral damage or civilian casualties."

In the week since airstrikes began in Syria there have been reports of civilian deaths, though U.S. Central Command (CENTCOM) has yet to verify any non-ISIS militants have died in the air campaign.

On Sunday night, U.S. military forces targeted to an ISIL-held grain storage facility near Manbij. The facility was being used by ISIL as a logistics hub and vehicle staging facility, according to CENTCOM.

A Syrian human rights group said the strikes in Manbij killed at least two workers at the grain silos, and a U.S. official said the military was looking into the possibility civilians were killed.

Related: Syrian town fears massacre

As Obama noted during his remarks in 2013, civilian deaths happen during times of war. Military experts say that's an important fact for Americans to understand, even as the government works to prevent them.

"To suggest that we can do a clean war with near certainty that we won't have civilian casualties I think simply is misleading the American people. We haven't done that in the history of warfare and I don't think that history has changed," Brigadier General Mark Kimmitt said Tuesday on "The Lead with Jake Tapper."

@highlight

White House says new rules to reduce civilian deaths from drone strikes don't apply to ISIS battle

@highlight

Officials say U.S. is taking steps to prevent civilian casualties in Iraq and Syria

@highlight

Obama has said that civilian deaths are a part of every war