(CNN) -- Auctions are like sporting events; pundits and punters predict the outcome but never really know what will happen. Triumphs and record breakers tend to make art press headlines, while upsets are quickly swept under the nearest Oriental rug.

The performance this week of a Chinese Ding bowl, bought for $3 at a yard sale and sold at auction in New York for $2.2 million, is the latest result in a string of successes for "undiscovered" Chinese porcelain at auction. It began in earnest in the 1970s and reached a climax on November 13, 2010, when a porcelain vase from the reign of 18th-century emperor Qianlong took a staggering 53 million pounds from a Chinese bidder in a tiny suburban London salesroom, the kind where bidders sit on sofas and chairs that are part of the estate auction.

Both pieces sat unidentified, and unappreciated, for generations, rekindling the flame of hope that burns dimly inside all antiques enthusiasts, whether or not they care to admit it. Flea-marketeers and yard-salers openly acknowledge they live in a world of false hope, spending countless hours, like fishermen who catch nothing but the smallest fry, or nothing at all in most outings. Most hopes that live on are commonly dashed by the first encounter with a professional. The floor of an "Antiques Roadshow " taping set is littered with broken dreams -- and sometimes broken porcelain in emphasis.

I do not believe anyone has ever statistically plotted the chances of turning up a valuable object at a yard sale opportunity, but expect such a number would be too small to register on any scale. Before any attempt to uncover a dream, it pays to think strategically about what it is you are looking for. Like finding the perfect partner, this may involve a process of elimination but depends largely on common sense and good powers of observation.

The essential ingredient in determining value of an art object is no secret: supply and demand. I suggest those on the way to an early-morning yard sale repeat this over and over in the van. Rarity may therefore be a positive factor, but if something is rare, or perhaps unique, and no one wants it (your grandfather's homemade table lamp perhaps?), it has no value.

On the other hand, an object may be plentiful, even mass-produced, but have even greater demand and therefore value. Some years ago I sold a Lalique perfume bottle at auction for a little more than $200,000. Its owner had purchased the bottle at Saks Fifth Avenue in 1937 (where it was marked down 50% on sale) for $25. There were plenty more waiting to be sold at the time.

Quality is sometimes but not always a factor in value. Most baseball cards are extremely inexpensively made, and mass-produced, making all cards from any given series fundamentally the same, except of course for the subject. Most cards, even those a century old, are worth a few dollars at best, and a pitiful percentage rise into the hundreds individually, but a few are valued into six or even seven figures. The economics of supply and demand work powerfully when applied to the subtleties of collecting a set.

It is not coincidental that most remarkable numbers lately have been put up by Chinese objects. The year 2010, in which China overtook Europe to become the second-largest art market after the United States, has been described as an annus mirabilis for Chinese art collecting as wealthy Chinese from all levels of the new society chose art and objects as tangible assets, suitable for investment, trading and bragging rights beyond simple display. The demand is as large as the Chinese population and economy, and supply of exquisite objects limited, thanks to most being in Western museums or private collections.

A fundamental awareness of Chinese porcelain may be a big help in your hopes of finding the same success as the owner of the Ding bowl, but serious knowledge is an area of immense expertise shared by an elite few and respected by the trade above all other areas of understanding.

If you rely on luck, however, Chinese porcelain is a fairly good bet. The Ding bowl looks quite ordinary to most of us. It is monochrome, with an extremely subtle pattern, and does not have a mark translating as "valuable Ding bowl" stamped on the bottom, making it look like a bowl found in Pottery Barn (and more commonly found at yard sales). Good luck in your search. The only other comparable example is in the British Museum.

Perhaps a hidden treasure may be closer than you think. Heritage Auctions offers an example of the insanely rare 1913 Liberty Head nickel in April. The last one we offered sold for $3.73 million. It looks pretty much like any other nickel to most of us, and there may have been others in circulation. Check your pockets.

The opinions expressed in this commentary are solely those of Nicholas Dawes.

@highlight

Nicholas Dawes: Ding bowl that fetched $2.2 million is the latest in big deals on Chinese art

@highlight

Yard sale fans' hopes rekindled, he says, but dreams elusive (see "Antiques Roadshow")

@highlight

He says key to value is supply and demand, but calculation varies so keep trying

@highlight

Dawes: Chinese art value growing, especially in China, as society and art market open up