(CNN) -- Shigeru Ban, the 57-year-old winner of this year's Pritzker Prize -- arguably the world's most prestigious architecture award -- is the Rumpelstiltskin of building design.

For more than two decades he has taken simple materials, including paper and cardboard, and created life-changing structures for people impacted by natural disasters.

In the aftermath of the 1995 earthquake in Kobe, Japan, Ban built temporary homes for Vietnamese refugees using beer crates filled with sandbags.

In 2011, after an earthquake and tsunami devastated large parts of Japan, Ban crafted homes from shipping containers.

Last year he erected a cathedral made out of cardboard paper tubes for the people of Christchurch, New Zealand.

From Haiti to Rwanda to China, his low-cost structures become symbols of hope for people rebuilding their lives.

"For me there is no difference between monumental architecture and temporary structures in disaster areas," he tells CNN. "They give me the same kind of satisfaction."

Ban is the second Japanese artist in a row to win the prestigious award, following on from last year's winner Toyo Ito.

Tom Pritzker, Chairman and President of The Hyatt Foundation, which sponsors the Pritzker Prize, said: "He is an outstanding architect who, for twenty years, has been responding with creativity and high quality design to extreme situations caused by devastating natural disasters. His buildings provide shelter, community centers, and spiritual places for those who have suffered tremendous loss and destruction."

Congratulations on winning the Pritzker Prize. Where were you when you heard the news?

I was driving in Tokyo and I got the phone call from [executive director of the Pritzker Architecture Prize] Martha Thorne. Since I was on the jury from 2006 to 2009, I thought she was just joking. I had to stop and park the car.

You've earned global recognition for bridging the humanitarian and aesthetic aspects of architecture. Was it really such a surprise that you had won?

Honestly, it was a big surprise. I didn't expect it. As a juror I knew the level of the past winners and I didn't think I was at that level. But then it was explained to me that this year the jury considered not only the argument of architecture, but also my activities in disaster areas for 20 years. I carry on both activities simultaneously. So I thought this was not awarded because I reached a certain level as an architect, but as encouragement for me to continue working in disaster areas as well as designing architecture.

Even more opportunities will now come your way. Is there a risk this prize could actually distract you from continuing your humanitarian work?

When some people receive a big award there are more opportunities for their projects and to expand their offices. I don't want to make my office bigger. I like to design everything by myself and to go to the sites. I want to keep working in disaster areas. If I get more projects then I can spend less time on each project and I don't want to lower the quality of each project. I think we have to be very careful to keep doing the same things, as we have done.

How did the idea of working with cardboard come to you?

The strength and durability of a building has nothing to do with the material. Even a building built in concrete can be destroyed very easily. There can be a permanent building made out of cardboard tubes. In fact many of my temporary buildings have become permanent. When I first used the cardboard tube for the interior I knew this is strong enough to be a part of the structure.

Starchitects tend to devote the bulk of their time to glamorous commissions. What drove you to disaster relief?

I was very disappointed about our profession. I thought that as architects we could work more for society. Historically speaking, architecture clients are people who had the money and the power. They wanted to visualize power and money with monumental architecture. That was the architect's basic job historically. I'm not saying that is a bad thing. I also want to make a monument. But I thought we should use our experience and knowledge for the public and victims of natural disasters too. I get the same satisfaction when I design a building for a disaster. There is no difference. The only difference is I am not paid. It's pro bono.

Are there young architects in the pipeline who want to follow in your footsteps?

When I give the lecture I always feel a strong reaction from young architects and students. They are interested in working for society and joining my team. When I was a student we used to think, "I want to be a starchitect and big developer." The attitudes of young people are changing and I feel that. If I have been able to help. I think this is my biggest pleasure.

Do you have any advice for those who want to go into "disaster architecture"?

I appreciate when people want to come and join my team and do this work. But instead of just working in a disaster area it's important to travel a lot and to experience different cultures, different climates. It's important for them to be good architects first.

@highlight

Shigeru Ban is the third Japanese architect to win the Pritzker Prize in five years

@highlight

Ban has spent two decades building structures for victims of natural disasters

@highlight

He has built cathedrals from cardboard tubes and homes from beer crates