(CNN) -- In 2009, Lu Qi, an author of martial arts novels, published his first book on a slightly different type of combat sport: office politics in China.

The book, titled "Hidden in the Office," contains 23 rules for getting ahead in the workplace.

For example:

Rule 8: Those who are just above you in the hierarchy are the most dangerous. Those of similar rank are enemies.

Rule 11: You don't have to be loyal to your boss. You use him.

Rule 12: You are the dumbest if you think you are the smartest.

Rule 18: You have to worry when your boss tells you not to worry.

Each rule is accompanied by an allegorical story surrounding the life of a white collar worker in a multi-national company that illustrates what the rules mean and how to put them into practice. More than a million copies have been sold.

Lu is not alone in his success. In China, where competition is cutthroat and workplaces are characterized by opaque politics, complicated relationships and twisted love affairs, an entire literary genre has emerged on how to navigate a job-scape that is more like law of the jungle and survival of the fittest.

The genre, known as Zhichang xiaoshuo, or "workplace novels," is comprised of hundreds of titles offering practical career advice conveyed via soap opera tales about secretaries, salespeople, entrepreneurs, executives, even government officials, and what they had to do to get ahead in their careers. Many are authored by employees who, using pen names, chronicle their workplace stories and the scandals, sex and secrets they experienced while on the job (think "Secret Life of a Call Girl" meets "Your Dream Career for Dummies.")

"The middle class is still developing in China," said Lu. "Most people want to climb up to that level. They want to have better lives. They have ambitions, and they want to achieve it. They acquire knowledge from wherever they can. Books are one of the ways."

"Du Lala's Promotion Diary," the story of how a secretary climbs the corporate ladder of a Fortune 500 company to become a human resources manager, is one of the genre's most famous works. It has sold millions of copies, inspired a movie, television series and three sequels.

How the internet is changing China's office politics

In "The Boiling Money Route," author Xu Yu exposes the collision of government and business in a shadow banking industry in Wenzhou, a city near Shanghai known for its ruthless entrepreneurs and questionable business ethics. Xu Yu "grew up in a wealthy family, worked at his family's bank, a stock company and also fooled around in underground gambling," says the book's cover. "So he has lots of inside stories," it boasts.

"Xie Zhengxiang, the owner of a leading underground bank, acquires 100 million marketable securities from his mistress, Wang Anxiang. Before he can launder this through the black market operated by a Wenzhou guru, the situation of underground finance changed when an investigation team was sent by the government," the book's summary says.

"Special Promotion: How a Small Potato Gets Promoted" is a tale of how to move upwards as a government official "in a non-traditional way." Even quirkier titles include "The Confession of a Beautiful Female Department Head in Prison." There are eight books in a series called "The Notebook of a Government Department." Subject matter ranges from "how to get the leader of your leader to notice you" to "the higher you go, the more politics are involved."

Are cool offices the key to success?

"(The books) are popular because it is a very complicated and delicate situation with the government in China," said a 29-year-old surnamed He who was browsing for a book about power struggles between high-level officials at a bookstore in Shanghai. "We all want to know more about how the government officials are working."

Dancy Liang, a 32-year-old administrative assistant at a university in Shanghai, says such novels have helped her to know how to dress better and deal with sometimes complicated relationships.

"Like a man who is your boss likes you, and he often troubles you, asks you to go on business trips together, and you don't know how to refuse him," she said.

"Sometimes if we meet these kinds of problems, (the novels) will help us solve these problems. We read them because we can find a part of ourselves within them."

Quiz: How to negotiate office politics

Daisy Wong (a pen name) has authored countless columns about the personal and professional life of a 28-year-old female attorney working in high-powered law firms in Hong Kong. Her columns have been turned into books, which have topped best-seller lists both in Hong Kong and in mainland China.

"Career topics are always popular," Wong said. "Life is so quick. Relationships come and go. In a cosmopolitan place, this kind of genre hits the heart of the people -- people are lonely."

Liu Jianmei, an associate professor of modern and contemporary Chinese literature at Hong Kong University Science and Technology, says she feels like workplace novels are demoralizing.

"They drive people towards utilitarianism and materialism," she said. "They fail to pay attention to something more important, such as rebuilding positive cultural values. They may emphasize personal strength, enduring hardship, tolerating unpleasant human relationships, but on the journey for the pursuit of success, what is left at the end?"

@highlight

Hundreds of titles crowd the "workplace" genre in China's bookstores

@highlight

Appeal lies in the books' mix of soap opera plots and career advice

@highlight

Books provide information for aspiring careerists, says novelist

@highlight

Genre fails to pay attention to more positive cultural values, says literature professor