Washington (CNN) -- Undercover government investigators were able to get into major U.S. seaports -- at one point driving a vehicle containing a simulated explosive -- by flashing counterfeit or fraudulently obtained port "credentials" to security officials -- raising serious questions about a program that has issued the cards to more than 1.6 million people, Congress disclosed Tuesday.

At issue are Transportation Worker Identification Credentials, or TWIC cards, now needed by truckers, stevedores, longshoreman and others for unescorted access to the nation's ports.

The Department of Homeland Security has long touted the cards as one of the most important layers in its multilayered system to protect ports from terrorists.

But, in a highly critical report, the Government Accountability Office said Tuesday the program does not provide reasonable assurance that only qualified people get the credentials. In tests, GAO investigators got into ports using counterfeit TWICs or authentic TWICs acquired through fraudulent means, and by stating false reasons for needing access.

"This investigation raises a disturbing question: Are America's ports actually safer now than they were a decade ago?" said Sen. Frank Lautenberg, D-New Jersey. "Not only were they able to access the port facilities, but they were able to drive a vehicle with a simulated explosive into a secure area," he said.

An unclassified version of the report did not state how many tests were conducted, nor how many efforts were successful. But it said the tests were conducted at some of the nation's busiest seaports.

The findings are significant because a TWIC card suggests that its holder is not a security threat and potentially eases access to thousands of facilities, including airports and military installations, the GAO said.

Transportation Security Administrator John Pistole defended the TWIC system, saying 35,000 of the 1.8 million applicants failed criminal background checks.

Under the program, those who fail background checks can request a waiver and be granted a TWIC. Ultimately, 1,158 applicants were denied cards because of their criminal histories or immigration status, the TSA said. In addition, several were disqualified because they were on terror watch lists.

But the GAO said there are ways for unqualified individuals to acquire authentic TWICs, and said the TSA had not established internal controls to protect against abuse. Further, the TWIC program does not require that applicants claiming to be U.S.-born citizens or nationals to provide identity documents that prove citizenship, the GAO said.

And controls are not in place to determine whether an applicant needs a TWIC, the GAO said.

"It seems to me that a decade of work has resulted in a system that would put Rube Goldberg to shame," said Sen. Roger Wicker, R-Mississippi.

Said Lautenberg: "Given the critical importance of our ports, it is unacceptable that we are spending hundreds of millions of tax dollars on a program that might actually be making ports less safe."

Rep. John Mica, R-Florida, said he is upset DHS has not approved a technology to read the credentials, meaning guards must visually examine the credentials. "TWIC is turning into a dangerous and expensive experiment in security," he said in a statement.

"Nearly half a billion dollars has been spent since TSA was directed to issue biometric security cards to transportation workers," Mica said. "Yet today, 10 years later and with no approved biometric reader, TWICs are at best no more useful than library cards."

Sen. John Rockefeller, D-West Virginia, said he plans to address legislation in the coming months for some of the shortcomings exposed by the GAO. "The program needs stronger fraud controls," he said. "We also need to take a clear, hard look at whether we are getting enough return on our investment. Is the money we're spending on TWIC being used wisely? Are there other security programs that would cost less but work as well as TWIC? These are questions we need answers to."

@highlight

Transportation security at risk, report says

@highlight

Worker IDs easily faked, GAO finds

@highlight

Plus unqualified people can get real credentials, report says