(CNN) -- Novelist Samantha Shannon has been heralded by book insiders as "the next J.K. Rowling," and her debut, "The Bone Season," compared with "Harry Potter." But the unassuming 21-year-old, who recently graduated from Oxford, would rather you didn't compare her to one of her favorite authors.

"Every writer wants to be as beloved as J.K.," Shannon said. "But we don't need a 'new J.K.' because she is still writing and still amazing."

The publishing deal is the biggest similarity between the two writers: Six figures for seven books with Bloomsbury. But Shannon's adult novel, weaving in elements of fantasy and dystopia, is entirely different from the world of wizards and spells inhabited by Harry and his schoolmates.

In "The Bone Season," out this week, Shannon has built a stark world in 2059 London. The city is controlled by a security force named Scion. It has caused clairvoyants, like 19-year-old dreamwalker Paige Mahoney, to work in the criminal underworld because their talents are considered treasonous.

After being captured, Paige wakes up in an even more powerful city controlled by Rephaim, humanoid creatures who kidnap the different kinds of voyants and train them for their army.

Writing the novel between classes and a publishing internship, Shannon might sound like a tireless overachiever, and she is.

Shannon had written two books by age 19, inked a multi-book deal at 20 and is now published at age 21. But her journey wasn't an overnight success story.

Writer in the making

At 15 years old, Shannon was a precocious writer, putting down words before and after school for a "romantic sci-fi epic" called "Aurora."

"It followed an eighteen year-old female protagonist, who happens upon a wounded but devilishly-attractive alien and goes on a quest with him to find his eight lost companions" Shannon wrote on her blog.

She worked on the idea tirelessly, foregoing sleep to write. Her mother was "beside herself with worry," she remembered.

Shannon hand-delivered her manuscript to agencies all over London, but only rejection letters returned. Her passion for the idea died and her evenings held empty spaces. She picked up old writing projects and entered short story contests, but nothing could replace the fervor of working on a novel. The next step was following her passion for literature at Oxford.

Although Shannon had submitted "Aurora" to David Godwin Associates literary agency, only to have it rejected, she ended up interning there when she was 19. The girl who loved London found herself in the city's junction of Seven Dials and Covent Garden. A couple of nearby shops sold tarot cards and crystal balls.

"I had this daydream about a girl having the same day at work as me in Seven Dials, but she happened to be clairvoyant and the idea stuck in my head," Shannon said. "On my lunch breaks, I would plan out clairvoyant types."

By the end of the internship, Shannon had a new synopsis. She couldn't stop writing. Trying to fit a particular genre or audience never entered her mind. It became clear that "Aurora" was a practice novel, where she could identify her strengths and weaknesses. Now she could turn her gift for story building into a saga.

"I'm often daydreaming and it's because I've always liked the idea of there being something more than the normal world. So I wanted my readers to feel like there is a big world to explore, and I will help them into it."

5 questions for 'Night Film' author Marisha Pessl

A second chance

During the day, Shannon studied literature, film criticism and Emily Dickinson. Working on "The Bone Season" was "like an extracurricular activity, except more intense and personal."

Shannon showed the work to author Ali Smith, also in Oxford. Smith suggested she send it to an agent, and David Godwin once again entered the picture.

"I thought it was very well created," Godwin said. "The books aren't just elaborate stories that have no root in the world. That gives it much more authority."

Bloomsbury, like Godwin, tends to pursue a more literary list, eschewing fantasy novels, but they became immersed in a world they never could have imagined.

"There was this incredible instant visceral reaction to reading these pages and feeling like we were sucked into this world that's so real with these characters that jumped off the page and a narrative that just never stopped," Nancy Miller, Bloomsbury's U.S. editorial director, said.

"And she is the most down-to-earth person I've ever met. I keep wondering, where did this come from? How did she do this? I'm amazed at how young she is."

Term papers and novel drafts

Shannon's family didn't even know the book existed until she called to tell them about the deal with Bloomsbury.

Meanwhile, U.S. editor Rachel Mannheimer was impressed with the quick edits Shannon returned in between writing term papers and taking exams.

Even though Shannon was 19 at the time, the same age as her character, she kept a narrative distance that read older than her years.

Mannheimer was also taken in by Shannon's skill with creating a futuristic world on the page, especially as a reader who didn't typically subscribe to fantasy.

"It was fun to be one of the first people to be let into that world, and to be part of figuring out its contours and its rules," Mannheimer said.

The biggest challenge was withholding some details to guide readers without overwhelming them.

Reviews in The Examiner and USA Today criticized "The Bone Season" for dumping too many facts on the reader and deploying so many confusing names. A Telegraph reviewer agreed but added that Shannon "writes so well that you stay interested."

"Even in the first chapter, there is probably too much information thrown at you," Shannon admitted. "I do take this insane pleasure in world-building. I get the world in my head, but I have to make sure everyone else gets it."

Only to grow

"The Bone Season" isn't being marketed as the next young adult must-read, a la "Hunger Games," despite main character Paige Mahoney's youth. The expected audience is broad: young to old, men and women, fantasy and non-fantasy readers.

"We published it the way we know how, as a really special novel," Mannheimer said. "The protagonist may start out at 19, but there are six more books to come. Samantha will mature and her character will, too. Starting out in the adult market, readers can grow with the protagonist and she, as an author, has more room to explore serious themes."

Shannon is relieved now that Warden, one of the main characters, is out in the world. The only surviving character from "Aurora" has been with her for years.

And soon, Warden could come to life on the big screen. The Imaginarium Studios have secured the film rights to the book. Shannon has consultation rights, which she hopes to explore given her deep interest in film.

She is already six chapters into the second book, exploring more of Scion London.

"I think the books will get better and better," Godwin said. "I think there is no stopping this girl and it's incredibly important to her, the writing. All good writers, they like writing best, it's when they are the most themselves. She's obsessive, and that's good."

Follow Ashley Strickland on Twitter: @CNNAshley

@highlight

Samantha Shannon and J.K. Rowling's similar book deals created a comparison

@highlight

21-year-old author has crafted an entirely different world in "The Bone Season"

@highlight

Shannon feels most confident in her skill with world-building