New York (CNN) -- The search for Etan Patz, a 6-year-old New York boy who disappeared more than three decades ago, is expected to resume on Monday after being suspended for "operational reasons," an FBI spokesman said.

A law enforcement source briefed on the investigation said no evidence of human remains has been found so far in the basement of a building in Manhattan's SoHo neighborhood where investigators are looking.

Around 2 p.m. Sunday, investigators searching the basement abruptly folded up a tent they had erected to shield them from a nasty rainstorm.

Moments later, two large New York Police Department vans rolled in, obstructing most of the view of the scene. Through a small break between the vehicles, photographers were able to catch a glimpse of something being loaded into the side of an unmarked blue van.

FBI spokesman Peter Donald declined to discuss the reasons behind the search's suspension. "We'll be back in the morning," he said.

Sunday's developments came a day after investigators discovered a possible blood stain on a concrete wall while tearing apart the basement in their search for clues in the case, a second law enforcement source told CNN.

FBI agents, assisted by the NYPD, discovered the stain by spraying the chemical luminol, said the second source, who was also briefed on the investigation.

The chemical can indicate the presence of blood, but is not always conclusive, according to that source. At this time, the stain is described only as an area of interest.

Investigators used chainsaws to dig out the portion of the wall with the stain, which will be sent to the FBI laboratory in Quantico, Virginia for analysis to determine whether the substance is blood and, if so, whose it is, the second law enforcement source said.

The basement is about a half-block from where the boy's family still lives. Etan vanished May 25, 1979, as he walked to a bus stop by himself for the first time.

A carpenter whose former Manhattan basement is the scene of the search said through his lawyer Friday that he had no involvement in the disappearance.

Othniel Miller, 75, who has not been charged with a crime, has long cooperated with authorities and plans to continue to do so, his lawyer said.

"Mr. Miller has been cooperating with this investigation for over 30 years," attorney Michael Farkas said. "He has continued to cooperate on multiple occasions. And I am going to assist him in cooperating to the fullest extent possible."

Miller's daughter, Stephanie Miller, told CNN affiliate WCBS that her father had cooperated with federal agents, saying he "doesn't have anything to do with it."

Investigators recently relaunched their probe of the cold case, often described as a milestone effort that helped draw the plight of missing children into the national consciousness.

Missing child case 'awakened America'

Authorities said both new and old information led them to Miller, a part-time handyman, who met Etan the day before he disappeared and gave him a dollar. Miller faces no charges in connection with the disappearance.

It was interest in the carpenter that prompted authorities to bring a cadaver dog about 10 days ago to a SoHo basement, where Etan apparently had encountered the carpenter, then 42, according to a source with knowledge of the investigation. The dog picked up a human scent in the basement, where the man had a workshop.

When agents interviewed the man about his connection to the basement, the source said the carpenter blurted out, "What if the body was moved?"

Farkas, the attorney, said he will speak to authorities about that alleged remark.

"I don't know that he asked that," Farkas told reporters.

Late Thursday, authorities set up a grid in the basement and planned to rip up the concrete floor. They also took out part of the back wall of the basement, an unoccupied area beneath what was once a restaurant.

The floor was "newly poured" at the time the boy disappeared, according to another law enforcement source. It was not dug up during the original investigation.

Miller was picked up by the FBI again Thursday, but is not in custody. He was questioned and returned to his Brooklyn apartment, the source with knowledge of the investigation said.

"We're looking for human remains, clothing or other personal effects of Etan Patz," NYPD Deputy Commissioner Paul Browne said of the current investigation. "It's a very painstaking process."

In 2010, Manhattan District Attorney Cyrus Vance Jr. said his office decided to take another look at the decades-old mystery. FBI leads were then culled from that case file, sources said.

The investigation garnered national headlines as authorities splashed the child's image on the sides of milk cartons in the hopes of gathering more information, then a novel approach.

Etan was officially declared dead in 2001 as part of a civil lawsuit filed by his family against a drifter, Jose Antonio Ramos, a convicted child molester acquainted with his babysitter.

A judge found Ramos responsible for the death and ordered him to pay the family $2 million. He never paid the money.

Though Ramos has been considered a key focus of the probe for years, he has never been charged in the case. He is serving a 20-year sentence in a Pennsylvania prison for molesting a different boy and is set to be released later this year.

A source said investigators want to expand the pool of possible suspects beyond Ramos.

Stan and Julie Patz, Etan's parents, still live a block away from the scene and wouldn't comment on the new developments. A notice on the apartment building said, "To the hardworking and patient media people: The answer to all your questions at this time is 'no comment.' Please stop ringing our bell and calling for interviews."

Authorities have reason to think the new search could lead to the discovery of the boy's remains at that location, though they remain wary after past leads in the case failed to pan out, according to two sources familiar with the probe.

"I hope they find something," said resident Sean Sweeney, who says he's lived in the neighborhood since 1976.

SoHo, a Lower Manhattan neighborhood now known for its boutique shops, art galleries and loft apartments, at the time was considered a grittier locale, where abandoned storefronts dotted the city streets.

The boy's disappearance was thought to raise awareness of child abductions and led to new ways to search for missing children.

President Ronald Reagan named May 25, the day Etan went missing, National Missing Children's Day.

CNN's Adam Reiss contributed to this report.

@highlight

NEW: No evidence of human remains has been found, says a law enforcement source

@highlight

An FBI spokesman says the search was suspended for "operational reasons"

@highlight

Official: Possible blood stain discovered in basement search

@highlight

The 6-year-old boy disappeared in 1979 on his way to a bus stop in New York