(CNN) -- Music and travel have always gone together.

But if you were to name 12 great travel-inspired tracks from the last 20 years, where would you start?

No, putting Enya on shuffle to transform 11 hours of bun-numbing economy class tedium into a "spiritual journey" doesn't count.

You'd probably find it hard to start at all.

While performers like Jay-Z and Alicia Keys continue to crank out tunes that celebrate destinations like New York, barely anyone seems to be writing great songs about travel any more.

Once a life-changing event, leaving on a jet plane is now something everyone does, all the time. And it sucks.

High fuel prices and dull highways means epic car journeys are often out of the question.

And the only people still hopping freight trains inevitably wind up mangled in machinery.

So, with due apologies for excessive wallowing in classic guitar licks of years gone by, please fasten your seatbelts and familiarize yourself with the safety procedures as we embark on a journey through the best travel tunes ever recorded.

12. Peter, Paul and Mary: 'Leaving on a Jet Plane' (1967)

This wistful John Denver ballad telling the story of an achy-hearted traveler's sadness at leaving a loved one and not knowing "when I'll be back again" is an anthem for long-distance love.

In these days of volcanic eruptions, angry passengers and unhelpful counter agents, it could simply be a mundane tirade against the uncertainties of commercial flying.

Sad but apt fact: In one of popular music's most apt demises, Denver died when his experimental plane crashed into the Pacific Ocean.

11. I Nine: 'Same in Any Language' (2005)

As a director, Cameron Crowe has become the modern bard of hits ("Jerry McGuire," "Almost Famous") and misses ("We Bought a Zoo").

As a compiler of soundtracks, we'd probably put him above Wes Anderson as the best in the biz.

Though among his less celebrated films, 2005's "Elizabethtown" showcases one of his most memorable collections of excellent, semi-obscure tunes, highlighted by this strummy rocker about the gypsy lifestyle from South Carolina's critically acclaimed I Nine.

The song takes us from Tripoli to Amsterdam to Birmingham, but finds that all of us share the universal desire of chatting up a Navajo in a parking lot in Tokyo. (Somehow this all works really, really well.)

Whattya gonna do? fact: A great soundtrack couldn't hide the flaws in "Elizabethtown," which gets just a 28% approval rating from critics on Rotten Tomatoes.

10. Gene Pitney: '24 Hours from Tulsa' (1963)

Clearly a song of its time, Gene Pitney's hit is a tale of unexpectedly falling in love a day's drive away from an existing relationship.

It wouldn't happen today because the song's protagonist would have hopped onto a budget airline and made the journey in a couple of hours -- although he could perhaps have squeezed in a quick flirtation with the woman in seat 16B who was giving him those looks ...

Slightly tasteless fact: The Welsh hotel room where Pitney died of heart failure in 2006 was about 24 hours' travel time from Tulsa.

9. Iggy Pop: 'The Passenger' (1977)

Not to be confused with Elton John's execrable 1984 song "Passengers," or the 2003 album "Passenger" by Swedish nu metal band "Passenger," Iggy's restless punk anthem cleaves a ragged path through the dark heart of an unexplored urban landscape -- or at least it used to until it was appropriated (with lucrative results for Mr. Pop no doubt) to peddle cars, Guinness and cosmetics.

Sell-out fact: Apparently no longer content to be a passenger, Iggy himself -- old, wrinkled but still shirtless -- once advertised car insurance in the United Kingdom.

8. M.I.A.: 'Paper Planes' (2008)

Before you start hurling heavy objects at your screen, hear us out.

Yes, this might be a feeble attempt to keep this list current, but M.I.A.'s melodic mash-up of The Clash's "Straight to Hell" and Wreckx-n-Effect's "Rumpshaker" is about travel.

Sure, M.I.A.'s incoherent polemics on global oppression create as many critics as fans, and all the edgy stuff about visas and hustling on "Paper Planes" is somewhat undone by the misfiring irony of the song's cartoon violence -- but there's no avoiding the fact it was a solid platinum hit.

Undiplomatic fact: M.I.A.'s strident support for Sri Lanka's Tiger Tamil fighters led to her being branded a "terrorist sympathizer" by the island's government.

7. The Go-Go's: 'Vacation' (1982)

This splash of California sunshine unabashedly wallows in the giddy romance of a holiday fling without coming to terms with the fact that -- this being the 1980s -- he was just some sleazeball waiter who probably beds a different girl group every week.

Go-Go's guitarist Jane Wiedlin gets extra travel points for her 1985 solo single "Rush Hour" and her cameo in "Bill and Ted's Big Adventure."

Surprising subcontinental fact: Lead singer Belinda Carlisle now has a home in Goa, India.

6. Simon and Garfunkel: 'Homeward Bound' (1966)

This great travel song celebrates the tedium of being stuck in a dead-end en route to somewhere slightly better, which as any passenger knows, is half the fun.

Another contender from S&G is "America," veering off the beaten track to name-check the workmanlike destinations of Pittsburgh, Saginaw and New Jersey. "Homeward Bound" is a candid admission that being on the road blows and you've had enough. Boo hoo hoo.

Dirty fact: "Homeward Bound" was reputedly penned by Paul Simon after he was stranded for the night at Widnes station in England. Widnes' only other significant export is pollution.

5. Hoodoo Gurus: '1,000 Miles Away' (1991)

Australia's occasionally be-paisleyed, troubadoring Gurus may have been using travel as a metaphor for the emotional distance that being away from home can inflict

But with references to "spending half my life in airports doing crosswords and attempting to sleep" and the soul-crushing burn that accompanies life "at the bottom the corporate tree," this paean to airport barstools and estimated times of arrival is the weary road warrior's most sympathetic anthem.

Nautical fact: The crew of the Australian Royal Navy frigate HMAS Canberra declared "1,000 Miles Away" its unofficial theme song during the ship's last voyage before being decommissioned in 2005.

4. Bob Dylan: 'Tangled Up in Blue' (1975)

In truth you could conjure up a whole album of restless whines from the king of modern folk rock.

Tunes like "Blowin' in the Wind" and "The Times They Are A-Changin'" inspired legions of disenfranchised youths to make tracks, even if no one really knew what Bob was on about.

There's more clarity to be had from "Rolling Stone," even if he resorts to harping on about "clowns and jugglers" yet again.

But nothing rivals the epic trans-U.S. poetry of "Tangled."

Acting fact I: Dylan won an Oscar in 2000 for "Things Have Changed," featured in the movie "Wonder Boys." Just as well, since his woeful attempts at acting would never make the grade.

3. Willie Nelson: 'On the Road Again' (1980)

American national treasure Willie Nelson doesn't mess around with Dylanesque whimsy in this straightforward classic that does exactly what it says on the cover.

It's called "On the Road Again" and it's about being on the road again.

Hopefully Nelson isn't driving though. After arrests for marijuana and mushroom possession, it's perhaps better if one of his friends takes the wheel.

Acting fact II: Unlike Dylan, Nelson can act. Not that he needs to in movies like "Dukes of Hazzard."

2. Bruce Springsteen: 'Born to Run' (1975)

On the face of it, a rollicking love song for a girl going by the unlikely name of Wendy, but in truth a desperate anthem about getting the hell out of nowheresville (in Springsteen's case, Asbury, New Jersey), with the disaffected howl of "We gotta get out while we're young, 'cause tramps like us, baby we were born to run."

Career fact: A frustrated Springsteen recorded "Born to Run" as a final effort to hit the big time. Apparently it worked.

Steppenwolf: 'Born to be Wild' (1968)

The ultimate open-road song.

Steppenwolf's full-throttled cover version would be a perfect checklist for the rock 'n 'roll voyager, if having a checklist wasn't so un-rock 'n' roll.

"Get your motor running" -- check.

"Head out on the highway" -- check.

"Looking for adventure" -- check.

You get the idea.

Mind you, it's been so worn out over the years that the only people still listening to it are graying oldies whose checklist is more likely to include things like blood-pressure pills, sensible shoes and a hernia truss.

Not-so-wild fact: Despite being classed as one of the first heavy metal bands, Steppenwolf were originally called The Sparrows. Doesn't quite have the same ring does it?

Updated with new songs from a story originally published in 2011.

@highlight

A journey through the best travel tunes ever recorded

@highlight

Go-Go's, Bruce and S&G all represented

@highlight

You've heard our pick for number one a million times ... but still probably can't turn it off your radio