(CNN) -- Scientists say they "serendipitously" discovered that a drug used to treat a type of cancer quickly reversed Alzheimer's disease in mice.

"It's really exciting," said Maria Carrillo, senior director for medical and scientific relations for the Alzheimer's Association. "They saw very positive and robust behavior effects in the mice."

In the study, researchers at Case Western Reserve University School of Medicine gave mice mega-doses of bexarotene, a drug used to treat a type of skin cancer called cutaneous T-cell lymphoma. Within 72 hours, the mice showed dramatic improvements in memory and more than 50% of amyloid plaque -- a hallmark of Alzheimer's disease -- had been removed from the brain.

The study was published Thursday in the journal Science.

Gary Landreth, the lead researcher at Case Western, cautioned that even though his results were impressive in mice, it may turn out not to work in people.

"I want to say as loudly and clearly as possible that this was a study in mice, not in humans," he said. "We've fixed Alzheimer's in mice lots of times, so we need to move forward expeditiously but cautiously."

Mice -- and humans -- with Alzheimer's have high levels of a substance called amyloid beta in their brain. Pathology tests on the mice showed bexarotene lowered the levels of amyloid beta and raised the levels of apolipoprotein E, which helps keep amyloid beta levels low.

Landreth said he hopes to try the drug out in healthy humans within two months, to see if it has the same effect.

Those participating in the trial would be given the standard dose that cancer patients are usually given.

Researchers tested the memories of mice with Alzheimer's both before and after giving them bexarotene. For example, the Alzheimer's mice walked right into a cage where they'd previously been given a painful electrical shock, but after treatment with bexarotene, the mice remembered the shock and refused to enter the cage.

In another test, the scientists put tissue paper in a cage. Normal mice instinctively use tissues in their cage to make a nest, but mice with Alzheimer's can't figure out what to do with the tissues. After treatment with the drug, the Alzheimer's mice made a nest with the paper.

Carrillo said one of the major advantages of bexarotene is that it's already been approved by the Food and Drug Administration for use in humans, which means the researchers can move into human trials sooner than if it were a completely new drug.

The Alzheimer's Association is funding Case Western's next phase of research, which will involve using bexarotene at the levels used on cancer patients, Landreth said. Since the drug does have some side effects -- it can increase cholesterol, for example -- he hopes to use it in even lower levels as the study goes on.

Landreth said his lab had been working on other drugs for Alzheimer's for 10 years when a graduate student, Paige Cramer, decided to try bexarotene, which works on a receptor involved in amyloid beta clearance. Some other drugs that worked in mice were too toxic to use in humans.

"We're really lucky that bexarotene is a great drug with an acceptable safety profile," he said. "This doesn't happen very many times in life'"

CNN's William Hudson contributed to this report.

@highlight

"They saw very positive and robust ... effects in the mice," an Alzheimer's official says

@highlight

Researchers found improvements in mice's memories after they got the drug

@highlight

The lead researcher cautions that not all good results in mice are seen in humans