(CNN) -- Facebook's decision to allow the uploading and sharing of extreme/graphic content -- including beheadings -- makes no sense in a conventional media setting.

Most western media outlets operate under regulatory codes that make the screening or publishing of such material unthinkable -- not least because their audience might include children.

Inevitably the "protection of children" argument will be rehearsed in response to Facebook's decision, which seems almost designed to court negative commentary.

Read more: Facebook lifts ban on beheading videos

The decision will also naturally re-open the usual -- somewhat tired -- debates about the (im)possibility of regulating internet content. Internet content is of course regulated and controlled but not very effectively so.

The decision may also offer the genuinely weird and definitively 21st century prospect of UK and U.S. security services using Facebook to track global viewing patterns of beheading videos.

Read more: NSA mines Facebook for connections

More seriously perhaps, we all need to question what it means that so pivotal a social media platform is re-defining social precedents and norms -- with little external reference.

What should Facebook users take from the site's decision that it is OK to screen and view the brutal beheading of a woman in Mexico -- provided that the commentary clearly doesn't glorify the act and that any unsuitable comments are moderated/blocked?

Is it only that brutal violence is part of life and we have the right to make the obvious comments about that fact. As Facebook's statement says:

"Facebook has long been a place where people turn to share their experiences, particularly when they're connected to controversial events on the ground, such as human rights abuses, acts of terrorism and other violent events.

"People share videos of these events on Facebook to condemn them. If they were being celebrated, or the actions in them encouraged, our approach would be different."

Apart from an increased volume of utterly banal denunciations of the act (only the "right" kinds of statements will be allowed) what could the screening of such events lead to?

People who feel that violence is wrong will say so, people who make risquÃ© or bad-taste jokes will make them, and so the chatter will go on.

In 2003, the U.S. military clamped-down on active service personnel's trading of explicit smart-phone images of the aftermath of suicide bombings in Iraq.

So, the potential cultural power of such images can be recognised by liberals, conservatives, and bodies such as the Family Online Safety Institute alike -- even if they fundamentally disagree about what that power is.

Equally, it's not safe to accept the treatment of such footage as a set of taboo "magic objects," which can never be seen because they are inherently so dangerous in their ability to corrupt the majority and the minors.

Such anxieties are frequently directed at unspecified (ie: less educated than "us" -- less middle-class) mass audiences and are another means of closing down challenge or debate.

What is at stake here does seem to be a realignment of sadly well-known patterns. These are simply thrown into sharp relief by the specifics of the examples that are being spoken about today.

Facebook kills search privacy setting

'Laughably inconsistent'

Facebook sees it as a legitimate service to allow its audience to see a woman being brutally killed and then host discussion of that content, but will not allow its users to see exposed breasts -- for fear of causing offense.

Is it possible for Facebook to argue that there is nothing to debate in the representation of women's bodies? Or that they are not part of people's experience?

This is -- at best -- laughably inconsistent.

One of the primary reasons for carrying out beheadings in public or for perpetrators to video a violent act is to send the clear message to its audience: this is what our "law" or "power", or violence can do to you.

So, the re-showing of such footage on Facebook is actively collusive with those actions. It disseminates the fear and intimidation intended in the act.

Asserting that Facebook users can respond to footage of a woman's brutal murder by decrying it, sidesteps that issue. Users could just as well decry violence against women without seeing this act. But fewer of them may do so.

If Facebook really was interested in public debate, it would have established a real and carefully constructed, open forum in which this decision could be debated -- as well as other issues about its policies, operation and inconsistent stances.

What Facebook is interested in, is generating more traffic through its platform and it is doing so from within a pretty inconsistent, narrowly male and conservative image of the world and of what should be discussed within it.

How different is that from many traditional media organizations of the 19th and 20th centuries?

Read more: Twitter cracks down on abusive tweets

The opinions expressed in this commentary are solely those of Shaun Hides.

@highlight

Facebook has lifted a ban imposed in May on the uploading and sharing of violent videos

@highlight

But the social media site's rules means images of breastfeeding mothers may be removed

@highlight

Facebook is trying to generate traffic from a narrow image of the world, Shaun Hides says

@highlight

If the site wanted public debate, it would have opened discussion of the change, he says