(CNN) -- The four acoustic pings at the center of the search for Malaysia Airlines Flight 370 for the past seven weeks are no longer believed to have come from the plane's black boxes, a U.S. Navy official told CNN.

The acknowledgment came Wednesday as searchers wrapped up the first phase of their effort, having scanned 329 square miles of southern Indian Ocean floor without finding any wreckage from the Boeing 777-200.

Authorities now almost universally believe the pings did not come from the onboard data or cockpit voice recorders but instead came from some other man-made source unrelated to the jetliner that disappeared on March 8, according to Michael Dean, the Navy's deputy director of ocean engineering.

If the pings had come from the recorders, searchers would have found them, he said.

Dean said "yes" when asked if other countries involved in the search had reached the same conclusions.

Underwater search for MH370 postponed for at least 2 months

"Our best theory at this point is that (the pings were) likely some sound produced by the ship ... or within the electronics of the Towed Pinger Locator," Dean said.

The pinger locator was used by searchers to listen for underwater signals.

"Always your fear any time you put electronic equipment in the water is that if any water gets in and grounds or shorts something out, that you could start producing sound," Dean explained.

He said it is not possible to absolutely exclude that the pings came from the black boxes, but there is no evidence now to suggest they did.

However, a U.S. Navy spokesman called Dean's statement to CNN "speculative and premature."

"I am not saying that what Michael Dean said was inaccurate," the spokesman said, "but what we are saying is that it is not his place to say it."

The Navy is continuing "to work with our partners to more thoroughly understand the data acquired by the Towed Pinger Locater," according to the spokesman.

"As such, we would defer to the Australians, as the lead in the search effort, to make additional information known at the appropriate time," the spokesman said.

Here's what we do and don't know about new MH370 data

Key role in search

The pings have played a key role in shaping the search for the plane, which disappeared on a flight from Kuala Lumpur to Beijing with 239 people aboard.

The man leading the hunt said earlier this month the effort was the most difficult in human history, but technology greatly increased the chances of success.

Search officials expressed "cautious optimism" in the pings when they were discovered April 5 and 8.

Angus Houston, the man leading the hunt for the missing plane, said as recently as this month that the pulse signals remained "the most promising lead" in the search.

The optimism stemmed from the fact the pings were detected near an arc where an Inmarsat satellite had last communicated with the plane.

And it was bolstered by the pinger's steady one-ping-a-second cadence, matching that of equipment known to be on the plane.

But caution stemmed from the ping's 33.3 kHz frequency, slightly lower than 37.5 kHz design frequency. There were also concerns because the four ping detection sites were miles apart.

But experts said crash damage or deep ocean pressures could alter the pinger frequency. And they said the plane's two black boxes could have been separated during an explosion or crash. And they noted sounds can travel far, and even echo, in underwater environments.

Dean said Wednesday officials were also concerned because, after twice detecting pings on April 5, searchers had difficulty reacquiring the pings the next day.

One incident -- the loss of the pinger signal on April 8 -- had the peculiar impact of both lowering and raising expectations. The signal loss made it harder to zero-in on the black boxes. But it also boosted confidence that they had found the pingers, since the batteries were expected to die at about that time.

First phase complete

On Wednesday, Australia ended the first phase of the underwater search, having finished scanning large areas around all four ping sites.

The Bluefin-21 was not able to look at one area in the northernmost ping area because of the depth of the water there, Dean said.

With no tangible evidence found by the underwater drone, which costs an estimated $40,000 a day to operate, search officials are regrouping and preparing to deploy more high-tech equipment.

Australia said this week it will negotiate with private companies to conduct the next phase, which will resume in two months, if not later.

That phase, which aims to scour about 23,166 square miles (60,000 square kilometers), probably won't start for at least two months. The cost? About $60 million.

What happens next in the search?

CNN's David Molko and Holly Yan contributed to this report.

@highlight

Navy spokesman says Michael Dean's comments on pings are "premature"

@highlight

The pings have been at the center of the search for weeks

@highlight

The new development comes as searchers wrap up first phase of their efforts

@highlight

Malaysia Airlines Boeing 777 disappeared in March