(CNN) -- At the NATO summit in Chicago, President Obama and leaders of America's NATO allies agreed on an "irreversible" plan to withdraw from Afghanistan. But challenges remain.

Despite the deliberately unambiguous word choice used to describe the withdrawal, uncertainty about how the West will confront the obstacles ahead remains. Issues specifically related to Afghanistan are yet to be resolved, and plenty of others are tied to the volatile politics of the area.

The Afghan National Army is already taking the lead in regions with roughly 75% of the population, with U.S. and other NATO troops acting as support. However, this does not include the most contested areas in the south and east, where Afghan forces are slated to assume responsibility by next summer. Serious doubts persist about their readiness to do so.

Despite significant training efforts, the army's level of competence remains in question. It lacks many of the support functions needed for war fighting. The army will remain dependent on international forces for these capabilities and on the international community for financial assistance, expected to cost at least $4 billion a year.

The strategic partnership agreement signed by the United States and Afghanistan in early May addressed both issues. Washington pledged a residual force of U.S. troops that will stay in Afghanistan and promised financial assistance. Still unclear, however, is how many soldiers will make up the residual force, how long they will stay, what their main objectives will be and where they will be based.

Complicating matters even more, the Afghan army is overwhelmingly non-Pashtun, which makes operating in the overwhelmingly Pashtun south and east, where the Taliban-led insurgency is strongest, all the more challenging. The army's ethnic composition and that of the Karzai government are also among Pakistan's chief concerns. Which brings us to the wider regional concerns.

During the 1990s, Pakistan's rival India supported the non-Pashtun Northern Alliance against the Pakistan-sponsored Taliban. Today, Pakistan views the non-Pashtun army in Afghanistan as essentially the Northern Alliance on steroids: a 300,000-plus force equipped by the United States and, like the government in Kabul, partial to India.

If the Afghan army holds together, then Pakistan faces an unfriendly army loyal to an unfriendly government on its western border.

If the army splinters as a result of its unbalanced ethnic composition -- Pashtuns represent the majority of the population but a small minority in the army -- this probably would result in inter- and intra-ethnic violence that could rend the nation. A civil war in Afghanistan would have disastrous consequences for the region, particularly neighboring Pakistan.

Yet Pakistan's fears have led it to pursue a myopic policy that could contribute to this very outcome. It supports the Taliban, the Haqqani network and other assorted proxies in Afghanistan both as a hedging strategy and with the aim of positioning itself as the ultimate arbiter of any resolution. This has encouraged hedging among other regional actors and led to Pakistan's isolation.

Though the Pakistani security establishment supports an Afghan-led reconciliation with the Taliban, it seeks significant control over that process. This is unacceptable to Kabul, Washington and, ironically, the Taliban. They all want to minimize Pakistan's role.

These thorny issues have been extant for quite some time, but no clear path to resolving them has been proposed, and it doesn't appear any significant progress was made in Chicago.

The main focus on Pakistan during the NATO summit concerned its willingness to reopen NATO supply lines into Afghanistan that have been closed since November after a U.S. air raid accidentally killed 24 Pakistani soldiers. Since then, supplies have been shipped via the longer and more expensive Northern Distribution Network running through Russia and Central Asia.

Although reopening Pakistani supply lines is not essential for maintaining NATO forces on the ground, they constitute an important logistical link for any large-scale withdrawal.

When Pakistani President Asif Ali Zardari received a last-minute invite to Chicago, it was well understood that this was intended to ease Pakistan's resistance to reopening these supply lines. But they remain closed, subject to a disagreement over the transit fee Pakistan will receive for each truck and Washington's unwillingness to issue a formal apology for the air raid.

Most experts anticipate that the issue will be resolved sooner rather than later. More troubling, Pakistan's presence in Chicago was tied mainly to its control of supply lines, not to the vital role it could play in tipping the balance in Afghanistan toward either a political resolution or a possible civil war.

Meanwhile, the Pakistan military appears to be increasing support for its own proxies in anticipation of the NATO drawdown, heightening the possibility of civil war in Afghanistan. That other regional powers, chiefly India and Iran, are readying their own proxies for this eventuality only risks making it more likely.

Questions remain about whether any residual American force will be sufficient to provide enough support to the Afghan army to avoid such an outcome. It's also unknown whether this objective will take priority over strategically defeating al Qaeda or at least denying it the ability to reclaim its safe haven in Afghanistan.

The summit in Chicago was an important turning point. U.S. forces cannot remain in Afghanistan at present levels indefinitely, not least because there is no purely military solution to these problems. But it's clear that a timeline for the transition to a new role for the U.S. and NATO allies in Afghanistan does not mean the war is over.

The opinions expressed in this commentary are solely those of Stephen Tankel.

@highlight

Stephen Tankel: Non-Pashtun Afghan army readiness to take over Pashtun areas in doubt

@highlight

Tankel: Pashtuns are small minority in the army, which could spark civil war

@highlight

Army linked to U.S., India, which means Pakistan faces unfriendly army on border, he says

@highlight

Tankel: Despite decisions made at NATO summit for withdrawal, thorny issues remain