(CNN)On Thursday, NPR -- headquartered in Washington, just 40 miles away from Baltimore -- ran its latest update on the urban turmoil that has erupted in the wake of the death of 25-year-old Freddie Gray because of still-unexplained spinal injuries that occurred while he was under police custody.

Unfortunately, while it was a freshly produced segment, it was hardly a new story.

Titled "Baltimore Unrest Reveals Tensions Between African-Americans And Asians," the five-minute piece is urgently introduced with the promise that it will reveal "what's really happening in the more troubled neighborhoods of this majority black city," going on state that a key ingredient of the unrest was African-Americans "targeting Asian-owned businesses for destruction."

A similar claim was made after Ferguson's uprising in August of last year. Indeed, it has been a toxic feature of the coverage of many episodes of mass metropolitan violence since the late 1980s, the era during which the trope of widespread hostility between Asian and black communities first took root in the media consciousness.

Yes, interethnic tensions continue to exist, though they are hardly limited to Asians and blacks. And yes, this has resulted in troubling incidents and tragedies on both sides.

But while reports say that during the chaotic social breakdowns of the past year, black-owned businesses were mostly protected during bouts of violence, there's little evidence to suggest a pattern in which Asian businesses have been actively targeted out of racial animus.

Instead, it seems as if Asian-owned stores have experienced damage partly because they make up a portion of establishments operating in the most economically vulnerable and socially volatile of neighborhoods. In other words, they were collateral damage, along with other stores in the vicinity of riots.

So it's time to call this persistent meme what it is: A misleading, hyperbolic and dangerous distraction, one that shifts blame away from the real issues.

As Jennifer Lee, sociology professor at University of California, Irvine, and author of the 2002 book "Civility in the City: Blacks, Jews and Koreans in Urban America," notes, "the mainstream media continues to pit minority groups against one another to draw attention from larger structural problems that plague poor, disadvantaged communities. By directing our attention to interminority conflict, it directs blame away from the structures that perpetuate gross inequality and toward individual problems."

Let's be honest.

There were then -- and still are -- legitimate issues that exist between immigrant storeowners and the largely African American customers they serve that are rooted in extensive cultural differences. There's no denying that friction exists in the daily transaction between embattled communities trying hard to coexist under economic and social pressures.

For example, in 1993, the robbery and shooting of Joel Lee, a 21-year-old Korean American at Towson State University, and the subsequent acquittal of his killer, was a point of contention between the Korean and African American communities.

But things are different now. Decades after the height of media-inflamed tension between Asian and African Americans, patterns of immigration have shifted. Stores once operated by recent Korean immigrants are now owned by strivers from South Asia, the Middle East and Africa. The population of Baltimore has shrunk and its economy has contracted. Among merchants, there's ever-greater recognition that they and their customers are tied by a red thread, surviving or failing together.

For decades, black and Asian advocacy groups have been trying to bridge differences between the communities. For example, the Baltimore-based Korean-American Grocers & Licensed Beverage Association of Maryland, founded in 1995, has worked to support its entrepreneurial members in their own attempts to address longstanding issues of neglect and abuse by Baltimore's police, while also encouraging them to build deeper ties with their constituents.

A KAGRO-sponsored annual scholarship program has given hundreds of thousands of dollars in college grants to children growing up in the Baltimore neighborhoods their member retailers serve.

These aren't the kind of stories you'll hear in the media. It's easier to focus on attention-grabbing anecdotes rather than the long, hard work of adjustment and accommodation going on within and around communities.

Back in 1995, the Baltimore Sun profiled Soon Jae and Eun Ja Lee, owners of Lee's Food Market in the West Baltimore's Sandtown neighborhood -- the same part of the city that NPR called out as a locus of Asian-black tension. The story highlighted the Lees' openness to the community, their politeness and care for their customers and their outstanding generosity, which includes both free snacks to schoolchildren and the distribution of tens of thousands of free food baskets to needy local families each year.

I spoke with Eun Ja Lee, calling her without warning to check on the status of the Lees' four-decade-old business after the violence of Monday and Tuesday. Were they open? Were they safe?

"Oh, of course we're open, we're always open!" said Mrs. Lee, warmly and brightly. "This week, many customers came in and said to me 'Mrs. Lee, don't worry you are part of our community, you are our family. We will make sure you are OK -- just stay open!' We love it. We love it."

And yet, no one has come and interviewed her at their untouched and fully operational family market, nor have they talked with her customers, stoutly loyal after 37 years of patronage.

Reinforcing the tired narrative of black-Asian interracial tension generates heat, but not light. There's a far more complex and nuanced relationship between these two urban populations, one that is in an ongoing state of evolution -- and it deserves to be told, not buried under cliches and clickbait.

@highlight

Jeff Yang: The media has a misconception about urban unrest in light of Baltimore turmoil

@highlight

He says there's no pattern of African Americans "targeting Asian-owned businesses for destruction"