(CNN) -- Airport transportation security officers are probably the least understood and most maligned of federal employees. Travelers hate them for taking away water bottles and making them take off their shoes. If a story is reported about them, it's along the lines of a little old lady getting groped. They are the victims of unflattering stereotypes that make easy targets for cheap laughs.

Even President Barack Obama made a joke about pat-downs in a 2011 State of the Union address.

And when the Government Accountability Office found increased Transportation Security Administration officer misconduct, it just ratcheted up their unpopularity. The report was jarring and disturbing -- rising numbers of absenteeism, theft and intentional security lapses. Obviously, these are red flags that can't be ignored.

Report: TSA employee misconduct up 26% in 3 years

Unfortunately, instead of taking on the issue of stopping the misconduct, GAO's focus was on how TSA "could strengthen oversight of allegations of employee misconduct," the safe issues of process oversight, management of the accusations and data gathering versus digging into the controversial root causes of the actual misconduct.

TSA's response was to assure us it fires those proven to have violated the public trust. In fact, it does. It will be tempting for TSA leaders to rally around solutions involving tougher discipline, deeper investigations and more thorough documentation.

That would be exactly the wrong way to fix the real problem.

In today's TSA, too many officers switch off their minds in favor of just finishing out the shift without rocking the boat. This may be the root cause of the GAO-identified misdeeds. TSA needs to have its officers switched-on and motivated.

The security workforce comprises many who stepped up after 9/11 to stop terror attacks. My experience with transportation security officers is that they are overwhelmingly dedicated, sharp, willing and empathetic to passengers and their problems.

As The New York Times correctly pointed out in an editorial: "T.S.A. asks its officers to enforce rules of questionable utility while giving them remarkably little discretion. ... That is a huge waste of human talent."

Inside look at TSA bomb training

Considering that the human brain is the most sophisticated technology on the planet and that the officers have experience with hundreds of thousands of passengers, the question would seem to be: "How do we get the most from this resource that we already pay and have on duty at checkpoints?" It is not through additional rules and a more robust disciplinary process.

Security officers are in the best position to use their experience and training and detect a threat not covered in the Standard Operating Procedure. Al Qaeda knows the rules and designs its attacks to comply with it. To stop attacks, officers thinking on their own needs to be encouraged, not disciplined.

Once officers are allowed to think for themselves, it opens the door for mistakes and criticism. But people can be taught the fundamentals of risk management, which provides a framework for making informed judgments. The risk strategy must be carefully thought out -- complexity theory, with its network orientation, is the best way to think about transportation security risk -- and risk management tools understood and applied.

A nation with no airline security

Armed with substantial intelligence resources, TSA's air marshals, inspectors and security officers need to be nimble in thinking about and applying the principles of risk management. But they also must be empowered to act.

TSA needs to make these changes right now to take on the root causes of its public and security issues. It needs to clean up the mind numbing, overly complicated checkpoint "standard operating procedure," which no longer matches our security needs and allow officers to act. What needs to be changed:

• The intrusive pat-down needs to be discontinued in favor of a lighter technique supplemented with available technologies.

• The "prohibited items" list needs to be radically reduced to ban only real security threats such as explosives and toxins. As far as carrying knives, the FAA should make it a serious federal offense to intimidate a member of the flight crew or another passenger with a blade -- and then TSA can remove blades from the prohibited list. Blades represent virtually no threat to the aircraft at this point. And the baggie rule should be dropped. Current technology allows threat liquids to be detected when they are taken out of the carry-on and scanned in a bin.

• Passengers should be chosen randomly for shoes and coat inspections. Precheck programs for frequent fliers that expedite security screening should be applied to all travelers.

• Workers need to be retrained in risk management and encouraged to use their own judgment and experience, consulting with team members, to make prudent discretionary security calls.

• The pay-for-performance system for transportation security officers needs to be reinstated. When transportation security officers unionized, merit pay was replaced by the seniority system -- essentially, if officers follow the standard operating procedure, they get regular pay raises up till retirement regardless of how well they perform.

• We need to allow real private-sector innovation to compete and play a more meaningful role in security. Today, a fig leaf system is in place that calls itself "private sector" but is in reality just personnel outsourcing. These outsourced employees have to follow the TSA process exactly -- the only difference is that they get to charge an 8% markup on all their expenses. We need to get new ideas from outside the TSA that can be tested at our checkpoints.

A clear risk management strategy along with these changes, taken together, would energize checkpoint activity, bring the public more on board, drive out the few bad apples, and improve security.

See also: How much do we really hate the TSA?

The opinions expressed in this commentary are solely those of Kip Hawley.

@highlight

Kip Hawley: Airport transportation security officers are misunderstood

@highlight

He says infractions are related to being unmotivated and enforcing senseless rules

@highlight

Hawley: Officers need to be trained, empowered and allowed to think for themselves

@highlight

He says allow banned items, except obvious ones; stop shoe inspections, intrusive pat-downs