(CNN) -- In his campaign to become Alabama's first African-American Democratic nominee for governor, U.S. Rep. Artur Davis downplayed race, bucked the black establishment and watched his opponent rack up endorsements from the state's key minority political groups.

His strategy was unconventional, but in the days before the election, it appeared to be working. Davis held a steady lead over Agriculture Commissioner Ron Sparks in the weeks leading up to the primary, but when the votes came in Tuesday night, Sparks pulled out the win -- stomping Davis with more than 60 percent of the vote.

Sparks will face the winner of the Republican contest, which will be decided in a July 13 runoff. Current Republican Gov. Bob Riley could not seek re-election because he is term-limited by law.

"This is not exactly the speech I planned to give," Davis said as he conceded and encouraged supporters to back Sparks.

"As I leave the stage, I hope that this district will continue to advance. Let's keep on believing in Alabama. Let's keep on believing in tomorrow," he said in a speech from his congressional district.

Had the four-term congressman come out on top, he could have become Alabama's first black governor and only the third elected black governor in United States history.

The historical implications of a Davis victory were not lost on the Deep South. A black man could have taken the oath of office near where Gov. George Wallace declared "Segregation today, segregation tomorrow, segregation forever!" in his 1963 inaugural address and where Jefferson Davis took the oath of office as president of the Confederate States of America in 1861.

Davis, much to the chagrin of black political leaders, had no interest in focusing on the symbolism.

"He sees himself as a leader rather than a black leader," said Glen Browder, a former Alabama Democratic congressman and author of "Stealth Reconstruction: An Untold Story of Racial Politics in Recent Southern History."

Davis opted against soliciting the endorsements of the major black political organizations in the state, all of which went to Sparks.

"The African-American voters who will participate in the primary need no permission, and no sample ballots, to decide who they favor in this governor's race," Davis said of his decision, The Birmingham News reported.

The move highlighted the chasm between Davis, 42, and black establishment groups, headed by civil rights leaders like Democratic activist Joe Reed and former Birmingham Mayor Richard Arrington.

They felt that Davis had shunned his own race, personally insulted them with his campaign and stood no chance against a Republican candidate in November, Browder said.

Reed charged last month that Davis couldn't win the general election because he'd already told black voters he didn't want their vote.

"They still carry the scars of the civil rights movement, where blacks had to stick together," said Browder.  "[Davis] does not have those scars, but he is the beneficiary of those wars. It's a generational fight that's going on throughout the South."

A primary win for Davis would have "rewritten the textbook on Southern racial politics," he said, sending a message to Democratic candidates that they can win without those groups' backing.

His loss shows that the old guard has not lost its grip on the black electorate, Browder said.

"This is the way that these black leaders have organized minority votes and effectively impacted Southern politics for decades. And it looks like they will continue to control and channel black influence in the political process for a while now," he added.

But it wasn't just the clout of the black establishment that made some black voters question Davis.

"Artur Davis did do something to make black people not want to vote for him, and that is his 'no' vote for health care reform. Even before the black political groups stepped in the picture and refused to endorse him, he had already established a negative relationship with some of the black voters," said Angela Lewis, an associate professor of black political behavior at the University of Alabama-Birmingham.

Davis, a friend of President Obama and an early supporter of his campaign, voted against the president's health care reform package in November. While none of Alabama's representatives voted in favor of the bill, Davis was the only member of the Congressional Black Caucus to vote against it.

Some black voters accused Davis of putting African-Americans under the bus in order to get the white vote, Lewis said.

The Rev. Jesse Jackson was equally upset, saying, "You can't vote against health care and call yourself a black man," The Hill reported.

Davis' office responded to The Hill with a statement that said, "One of the reasons that I like and admire Rev. Jesse Jackson is that 21 years ago he inspired the idea that a black politician would not be judged simply as a black leader," referring to Jackson's 1988 presidential run.

"The best way to honor Rev. Jackson's legacy is to decline to engage in an argument with him that begins and ends with race," he said.

Davis has tried to keep the focus off of race throughout his years in politics. During Davis' first successful campaign, incumbent Earl Hilliard tried to portray his challenger as not "black enough" for Alabama's 7th District, which includes urban areas in Birmingham and Tuscaloosa and rural, predominately black areas in the western part of the state.  The argument failed to resonate, and Davis won the election.

In announcing his gubernatorial run in February 2009, Davis said he's always clung to one central belief: "I think the poet was wrong when he said that the past shall guide our steps and that we shall judge the future by that which has already happened.

"I think that's wrong. I think that here in the state of Alabama, we don't have to have the past dictate our future," he said.

@highlight

Ron Sparks comes out on top in Democratic primary for Alabama's gubernatorial race

@highlight

Major black political groups backed Sparks; Davis declined to solicit endorsements

@highlight

Davis was only member of Congressional Black Caucus to vote against health care bill

@highlight

"We don't have to have the past dictate our future," Davis said when he announced his bid