(CNN) -- I am a journalist. I am a teacher. I am a black woman. I am a witness to prejudice.

I've experienced it firsthand: Random strangers have called me "n----r" on a busy street in Indiana and in Dallas, Texas. So, I know the specter of hate when I see it.

Now it is hovering over Tulsa, Oklahoma, where police say Jake England and Alvin Watts confessed to shooting five people on April 6, snuffing out the lives of three and wounding two others. The two have pleaded not guilty.

This is a crime filled with hate, most certainly, but is this a hate crime? It took seven days for Tulsa County prosecutors to answer: Yes to charges of first-degree murder, with shooting with intent to kill and with malicious intimidation or harassment -- Oklahoma's equivalent of a hate crime.

For many black people in Tulsa, it was a welcome bookend to what was a very angry week.

Here's what had been reported: Watts is white, and England has been identified as white and, in some reports, as Native American. All the victims that morning were black, and England's father, Carl, was killed by a black man in a shooting tied to an attempted home invasion in 2010. England's Facebook postings about his father's death have fueled much of the speculation. Jake England is reported to have used a racial slur on his Facebook page, and then wrote, "It's hard not to go off."

The killings took place on Good Friday, and the men quickly were arrested on Easter Sunday. But as of midweek, many wondered why officials hadn't called the shooting spree a hate crime. You know what they say: If it looks like a hate crime and smells like a hate crime ...

There is a lot we don't know about this crime. England is recorded in a video released by his lawyer saying he does not hate blacks and that he counts many black people among his friends. Some allegations say that England knew one of the victims. If that is true, how random were the shootings? Still, many others say the actions of choosing the people by their race clearly make it a hate crime.

Residents in the mostly black neighborhood in north Tulsa, where the shootings happened, and many officials in Oklahoma are convinced the charge is correct. In a recent media conference call with several black officials and ministers, state Sen. Constance Johnson, chairwoman of the Oklahoma Black Caucus, said she was concerned about crimes against blacks and requested that the federal government get involved in the investigation to send a message. "This is a powder keg waiting to explode," she said.

Gwendolyn Fields agrees. Fields is executive director of the Advocacy Council, a group described as fighting for criminal justice reform in Oklahoma. She paraphrased the state's intimidation statute: "A hate crime occurs when a person targets a person because of his or her (inclusion) in a group." She added that the Advocacy Council talked to Tulsa police officials to express its concern.

Both Johnson and Fields said they are worried that such crimes are increasing, citing the killing of Trayvon Martin in Florida and crimes against black people in Oklahoma during the past five years -- perhaps the most grisly being the unsolved killing of the Rev. Carol Daniels in Anadarko, whose mutilated body was found in a church.

Johnson said these crimes are indicative of "a pattern of attacks on blacks here, not unlike the old South."

Tulsa has a tortured history. In 1921, after a black man was accused of molesting a white woman, a mob destroyed Tulsa's famous black business district. Greenwood burned. Hundreds died in the riots. After years of forgotten history, the Oklahoma Commission to Study the Tulsa Race Riot of 1921 published its findings in 2001, referring to Tulsa's "emotional and physical scars of this terrible incident in our shared past."

So, nearly 100 years after what clearly was a hate crime, religious leaders quickly met with Tulsa's black community to discuss what's been labeled another one.

I asked a colleague who lives in Tulsa for her opinion. Hate crime for sure, she said, but her reason was as eloquent and convincing as any I've heard: "People are targets just because of who they are, not what they're doing or involved in. Therefore, until these suspects were caught, every black person in north Tulsa could logically fear that he or she could be shot."

Now that the crime is officially labeled hate, people seem to feel justified. But another question lingers, as it does in the Trayvon Martin case: What does it matter if it's officially called hate if the shooters are convicted of murder?

For 48 long hours beginning on Good Friday, Tulsa's citizens felt that pain of bigotry, that sting of prejudice, that ache of fear. That's enough to end the national debate and get on with it. Bring justice for these five Oklahoma families.

The opinions expressed in this commentary are solely those of Yvette Walker.

@highlight

Three black people were killed, two wounded in a shooting spree in Tulsa, Oklahoma

@highlight

Two men were arrested and charged with murder and with hate crimes

@highlight

Yvette Walker: Circumstances of shootings show they were clearly hate crimes

@highlight

Walker says black community is relieved that prosecutors made the determination