The Pentagon's intelligence arm has assessed with "moderate confidence" that North Korea has the ability to deliver a nuclear weapon with a ballistic missile, though the reliability is believed to be "low."

Disclosed first by a congressman at a hearing on Thursday and then confirmed to CNN by the Defense Department, the assessment by the Defense Intelligence Agency is the clearest acknowledgment yet by the United States about potential advances in North Korea's nuclear program.

The surprise development comes amid heightened tensions on the Korean Peninsula.

North Korea has unleashed a torrent of dramatic threats against the United States and South Korea in recent weeks, including that of a possible nuclear strike.

The Obama administration calculates a test launch of mobile ballistic missiles could come at any time. But a senior administration official said there is no indication that missiles believed being readied for tests have been armed with any nuclear material.

Pentagon spokesman George Little said later Thursday, "It would be inaccurate to suggest that the North Korean regime has fully tested, developed, or demonstrated the kinds of nuclear capabilities referenced in the passage" of the DIA study.

That stance was echoed by James R. Clapper, director of U.S. national intelligence, who said the statement read by Rep. Doug Lamborn "is not an intelligence community assessment. Moreover, North Korea has not yet demonstrated the full range of capabilities necessary for a nuclear armed missile."

Lamborn, R-Colorado, read from a declassified version of the DIA assessment at a House Armed Services Committee hearing.

"DIA assess with moderate confidence the North currently has nuclear weapons capable of delivery by ballistic missiles, however, the reliability will be low."

Reliability is apparently a reference to the accuracy of the missiles.

Joint Chiefs Chairman Gen. Martin Dempsey, who was testifying before the House committee, appeared to be caught off guard when asked by Lamborn whether he agreed with the DIA assessment.

"Well, I haven't seen it," Dempsey replied. "And you said it's not publicly released, so I -- I choose not to comment on it."

It is was not clear whether other U.S. intelligence agencies, such as the CIA, agree with the defense analysis.

The U.S. intelligence about North Korea revealed Thursday was "mistakenly" marked as declassified, according to an administration and a defense source.

But Lamborn told CNN's "AC360" he acted properly, reciting declassified information.

"Whether it was a mistake or not, I can't answer that," Lamborn said of the information release. "Given the seriousness of the threat, this is something that I think people do need to know about."

A House Armed Services Committee aide said staffers checked with the DIA to confirm the passage was not classified before Lamborn read it.

North Korea's missile capabilities

U.N. Secretary-General Ban Ki-moon told CNN's Wolf Blitzer, "We do not have any independent information to verify" the DIA study's assessment.

Tough talk, raising a missile

Is North Korea serious about military action or is it just testing the world?

A missile had been briefly raised to an upright firing position, stoking concerns that a launch was imminent, a U.S. official told CNN on Thursday. Later, another U.S. official said it had been tucked back into its launcher.

In more tough talk from Pyongyang, a government agency was quoted by the state-run media as saying that "war can break out any moment."

After meeting privately with Ban in the Oval Office, President Barack Obama called on North Korea to tone down the rhetoric.

"We agree now is the time for North Korea to end the kind of belligerent approach they have been taking and try to lower temperatures," Obama said during a photo opportunity. "No one wants to see a conflict on the Korean Peninsula."

War of words escalates: Timeline of a crisis

Ban called on Chinese diplomats to "exercise their leadership and influence" with North Korea to reduce tensions.

U.S. Secretary of State John Kerry, during an upcoming visit, will tell Chinese leaders that Pyongyang is, as one senior administration official said, "putting China's own interests at risk."

The United States wants Beijing to "stop the money trail into North Korea" and to carry a strong message to the North that denuclearization of the Korean Peninsula is China's goal, said the official and a senior State Department official.

The latest move by the North could signify that a much-feared launch is less imminent. It could also mean the government was testing the equipment.

The first U.S. official cautioned that the raising of the missile could have been just a trial run to ensure the equipment works or an effort to "mess" with the United States and the allies that are watching for a launch at any time.

So far, South Koreans -- who've heard the cross-border bombast before -- are taking the swagger in stride. Washington regards much of the North's saber rattling as bluster.

But no one is taking any chances as the daily clamor of threats from North Korean leader Kim Jong Un's government shows no sign of letting up.

The official declined to specify what type of intelligence led the United States to conclude the medium-range missile -- a Musudan -- was in a firing position.

Should I stay or should I go? Expats mull future there

The Musudan is an untested weapon that South Korea says has a range as far as 2,175 miles (3,500 kilometers).

It could reach as far as Guam, a Western Pacific territory that is home to U.S. naval and air bases, and where the United States recently said it was placing missile defense systems.

The United States and South Korean militaries have been monitoring the movements of mobile ballistic missiles on the east coast of North Korea. Japan has deployed defense systems.

Mike Rogers, chairman of the House Intelligence Committee, told CNN on Thursday that Kim is using rhetoric to solidify his base within his country and its military.

"North Korea is one of those countries that's an army with a country, not a country with an army," said Rogers.

Opinion: Why North Korea worries Dick Cheney

The mood in South Korea? 'Very ordinary'

Life is generally continuing as normal in the region, however, despite the North's barrage of recent threats, which have included warnings to foreigners on the peninsula about their safety in the event of conflict.

South Koreans, who have experienced decades of North Korean rage and posturing -- and occasional localized attacks -- have gone about their daily business without alarm.

"South Korea has been living under such threats from the past, and we are always prepared for it," South Korean Unification Minister Ryoo Kihl-jae told CNN Wednesday. He called the current climate "a very ordinary situation."

Chinese tourism: The good, the bad and the backlash

South urges dialogue over industrial zone

The difficulties at the Kaesong industrial zone, a key symbol of inter-Korean cooperation, are among the few tangible signs of the tensions.

Pyongyang repeated a threat to permanently close the industrial zone, which it jointly operates with the South, accusing South Korean President Park Geun-hye of putting the manufacturing complex at risk.

The South Korean government, meanwhile, urged Pyongyang to work to resolve the situation through dialogue.

"Pyongyang should come to the bargaining table immediately," Ryoo said.

North Korea has pulled its more than 50,000 workers out of the complex, which is on the northern side of the heavily fortified border that divides the two Koreas, and blocked personnel and supply trucks from entering it from South Korea.

In a statement reported Thursday by state-run media, the North Korean government said that what happens at the complex in the coming days "entirely depends on the attitude of the South Korean authorities."

DMZ: Tensions high at knife-edge of Korean conflict

U.S. intelligence cites direct threats

The dangers posed by North Korea came up Thursday at a separate House Intelligence Committee hearing about worldwide threats.

Clapper said the United States believes the primary objective of Kim's bellicose rhetoric is to "consolidate and affirm his power" and to show he is "in control of North Korea."

Clapper said he doesn't think Kim "has much of an endgame" other than to get recognition from the world as a nuclear power which "entitles him to negotiation, accommodation and, presumably, aid."

But in a statement for the record before the committee, Clapper reiterated that the nation's "nuclear weapons and missile programs pose a serious threat to the United States and to the security environment in East Asia."

Since December, North Korea has put a satellite in orbit atop a long-range rocket; conducted a nuclear bomb test, its third since 2006; and claimed to be prepared for pre-emptive nuclear attacks on the United States, though most analysts believe it does not yet have that capability.

Its most recent nuclear test, in February, resulted in tougher U.N. sanctions, which infuriated Pyongyang, prompting it to sharpen its threats.

Annual military exercises in South Korea by U.S. and South Korean troops, which often upset the North, have added to the tensions, especially when the United States drew attention to shows of strength such as a practice mission by B-2 stealth bombers.

@highlight

Congressman said he used declassified information

@highlight

Ballistic missiles may be able to carry nukes, defense intelligence assessment says

@highlight

N.Korea has not fully developed nuclear capabilities mentioned in report, Pentagon says

@highlight

A missile was raised to an upright firing position, then lowered