Editor's note: Ralph J. Begleiter teaches communication, journalism and political science at the University of Delaware. During two decades as CNN's "world affairs correspondent," Begleiter was the network's most widely traveled reporter.

Ralph J. Begleiter says the Pentagon's new policy on media access to coffins of war dead is a milestone.

NEWARK, Delaware (CNN) -- The reversal of two decades of policy on images of returning war casualties is an important and welcome milestone for the American people.

The Pentagon's decision announced Thursday allowing media coverage of coffins of war victims returning to Dover Air Force Base -- if families agree -- restores to its rightful, honorable place the immense value of the sacrifice American troops make on behalf of their nation. It allows the American people to honor the dignified and respectful return of war casualties to home soil for the last time.

Although no one should have a veto over the nation's ability to pay respects to its fallen troops, I believe most families will decide that their sons and daughters deserve to be recognized publicly for their sacrifice.

These men and women enlisted in the military for their nation. They fought for their nation. They died for their nation. Their return should be respectfully and publicly acknowledged by their nation.

The ban on images of returning casualties started accidentally, and without any reference to the "privacy" of the families of those who gave their lives in service to the nation.

The accident of media history occurred in December 1989 when poor White House scheduling placed President George H.W. Bush before live television cameras just as the first American casualties were arriving at Dover Air Force Base from the U.S. invasion of Panama.

CNN and two other major TV networks fired up their split-screen technology, showing on one side the president joking with White House reporters just before the Christmas holiday -- and on the other the sober images of flag-draped military caskets being carried ceremoniously by honor guards across the tarmac at Dover.

After the holidays, the president appealed publicly to reporters to "help me" overcome a public impression that he had been insensitive on TV about the returning casualties.

News media had been covering the return of war casualties since World War II. Some military personnel believe the showing of those images -- and others from the jungles of Vietnam -- contributed to a gradual growth of anti-war sentiment during the 1960s.

Just days before the Gulf War began in January 1991, the new media policy was formalized in a cable sent by the Defense Department to its posts: There would be no media coverage of returning casualties at Dover or other stops along the way home.

The directive made no mention of anyone's privacy but portrayed the ban on coverage of returning casualties as an effort to ease pressure on stressed families, who might feel obliged to travel to Dover to witness the return of their loved one with news media watching.

Over the next decade, several exceptions were made to the ban on media coverage at Dover, including for the return of Navy personnel killed in the bombing of the USS Cole off Yemen's coast, just weeks before the election that brought the second President Bush into office.

Ironically, throughout the ban on media coverage of returning casualties, the Pentagon continued documenting this important part of any war by assigning military and government contract photographers to take pictures of the flag-draped caskets.

Those images, among the most poignant, respectful and dignified tributes to troops who died in service of their nation, were carefully maintained by the Defense Department. They were used for training of honor guards and for commemorating the significance of war casualties.

Although taken by the government, those images were withheld from public view.

From the aftermath of September 11, 2001, through the invasion of Iraq in March 2003, the Pentagon kept taking those pictures even as it expanded its ban on media coverage of returning casualties -- now arguing that such war images would somehow invade the privacy of families of the deceased troops.

It was those images that a series of Freedom of Information Act requests pried loose in 2005 after months of legal skirmishing.

(Those requests were initiated by Russ Kick, editor of a Web site called "The Memory Hole."

When the Pentagon refused to respond substantively to my own series of Freedom of Information Act requests, the National Security Archive at George Washington University and I took the government to court with a lawsuit over the images.)

Just weeks before a federal judge was expected to rule in the case, the Pentagon pre-empted a precedent-setting order by releasing voluntarily more than 700 images of returning casualties. They remain to this day available to the public on the National Security Archive Web site.

At the time Kick and I were seeking to make the Pentagon's pictures public, major U.S. news organizations were busy suiting up to cover the invasion of Iraq; they did not engage their lawyers to ask for access to Dover to witness the return of those who sacrificed their lives in the war and they have declined to do so since then.

The Pentagon policy, which had come into being over the embarrassment of a president, evolved after the U.S. invasion of Iraq, into a complete ban preventing the American people from seeing the most important single measure of the cost of war.

So desperate, apparently, was the White House desire to block public view of such images that military photographers at Dover were ordered to stop documenting the returns. To my knowledge, since 2005, no further photos have been taken showing those emotional moments when a casualty touches home soil for the last time.

The Obama administration's reversal of two decades of policy on the visibility of returning casualties should have two immediate effects:

Public opinion -- consistently supportive of making the war casualty images public -- has reached a new high. Most recently, a CNN/Opinion Research Corp. survey released Thursday reported that 67 percent of those questioned said they think the government should allow the public to see photos of caskets of U.S. troops at an Air Force base.

I have had the privilege of speaking with a number of family members who have lost loved ones in Afghanistan or Iraq. Most think the pictures should be public, but only after families authorize it.

This dramatic change in government policy should once again allow all Americans to see the full human cost of war, while paying respect to those who served their nation as well as to their families.

The opinions expressed in this commentary are solely those of Ralph J. Begleiter.

@highlight

Ralph J. Begleiter: U.S. policy on photographing war dead was result of coincidence

@highlight

He says it was due to split-screen image of president joking while coffins returning

@highlight

Begleiter: New policy allows the nation to pay proper respect to war dead

@highlight

He urges government to resume using its photographers to document the toll