(CNN) -- This week, we hosted a renowned expert in HIV/AIDS care currently practicing at a hospital known for serving the poor and vulnerable in New York.

It was her impression that there has been a dramatic decline in the number of hospitalized patients living with HIV. Presently, in fact, the hospital is considering closing the service that cares exclusively for these individuals because of the small number of admissions.

Those of us involved in the care of individuals with HIV in Atlanta were amazed. At Grady Hospital and the Ponce de Leon Center, which is our outpatient HIV/AIDS clinic, we remain busy seeing newly diagnosed individuals with AIDS, particularly presenting with late-stage disease and afflicted by the classic infections and cancers so common 30 years ago, when HIV was first described.

This month, Secretary of State Hillary Clinton gave a moving address at the National Institute of Health calling for an AIDS-free generation, and the theme of World AIDS Day on December 1 was "Getting to Zero."

Recently released data have shown a dramatic 96% reduction in transmission of the HIV virus between individuals when the infected partner is on antiretroviral therapy, leading to the concept of "treatment as prevention." Treatment regimens are simpler: Active medication regimens once exceeded 20 pills daily, yet now a single pill once a day can control the virus.

Nearly three dozen medications have been developed and are effective at decreasing mortality and improving quality of life. Mathematical estimates suggest that an individual diagnosed with HIV infection today, while still healthy, can live as long as an uninfected individual. However, the fight is far from over.

Although enthusiasm remains high, an effective vaccine is still out of reach. In the absence of a cure, lifelong treatment is required. But perhaps an even more disturbing question remains: Why do our patients in Atlanta resemble those who we saw on the medical wards in the early 1990s or see now in resource-limited settings, moreso than outpatients treated in New York today?

Despite tremendous progress, HIV/AIDS infections in the Southeast continue to rise. Nearly 50% of all AIDS cases annually are reported from Southern states. Among adults aged 20-24 (the fastest-growing age group to become infected), Georgia has 81.3 individuals with HIV infection per 100,000 population, compared with 58.6 per 100,000 in New York.

Several important studies have documented the key risk factors associated with transmission of HIV, and all of them highlight social disparities. In the South, these disparities appear to be the most severe. According to the United Health Foundation's health rankings, the region ranks lowest in the nation in "overall health."

Structural and socioeconomic factors play a significant role. Poverty, education and literacy, access to health care, unemployment, homelessness and food insecurity all contribute to poorer health outcomes.

A recent study that examined outcomes in patients identified with early HIV infection found that a risk factor for development of AIDS was residence in the South. Furthermore, resources are scarcer for patients in the South. For example, federal support is based on the number of cumulative cases of patients with HIV or AIDS rather than the development of new cases, penalizing states with later epidemics (like the South) and those whose policies did not support early reporting of cases of HIV.

Medicaid income eligibility is based on individual state policy. In the South, the income cutoff for eligibility is lower on average than elsewhere and is a fraction of the federal poverty level, leaving many without the ability to access this medical help. State health departments are often poorly funded or organized and do not have the same strong infrastructure and reporting capabilities that have been highly successful in Washington, New York and San Francisco.

AIDS drug assistance programs in the South are underfunded, limiting access to life-saving medications for patients. In Georgia, which has the second-longest wait list in the country, patients may be less able to access medications for life-threatening AIDS complications than those in the developing world.

Americans often turn a blind eye to the problem of AIDS in the United States. The message has been that the epidemic is nearly over. Even middle-class residents in Atlanta are unaware of the scope of the problem in their own city. There is denial that such striking health disparities can exist in one of the richest nations in the world.

This disenfranchised population does not have the same political voice that the organized gay community had in the early days of the epidemic, when FDA drug approval policies were adjusted to help more patients get access to medications faster. Our patients feel stigmatized and are afraid to be seen entering the building where our clinic is located. Yet globally, the devastation from the disease receives attention not bestowed on the epidemic located a few blocks away.

We are 30 years into this epidemic. How will we reflect upon the next 30 years? Will we say that we halted this disease from eliminating an entire generation in Africa? Will we remind ourselves of how the subcontinent of India was brought to the brink of disaster, only to be diverted by a worldwide effort to prevent and treat infections? Or will the already-devastated inner-city neighborhoods and poor rural communities across the United States sink into greater despair? Will we bear the guilt for so many lost lives that could have been saved? In our opinion, both missions must be addressed, not one at the expense of the other.

If an AIDS-free generation is to be realized, then we must not forget the disease within our own borders. Can we watch our neighbors suffer when the medical knowledge exists to change their future? Facing this challenge is no small feat.

There are signs of hope. For example, the Centers for Disease Control and Prevention has initiated the Enhanced Comprehensive HIV Prevention Planning Project for 12 municipalities, including Atlanta and Miami, for efforts to reduce HIV infections, link patients to care and reduce disparities.

Yet this is only a beginning. Basic issues such as poverty, education, housing and safety need to be addressed. State and federal lawmakers must understand that basic health care is a requirement and will require money.

One of our patients is a 33-year-old mother infected with HIV. She has taken her medications faithfully since her diagnosis and has been back at work for several years. She wants to raise her children to be happy, healthy and productive members of society. Her work insurance policy recently changed. Now her insurance will cover only one prescription per month (maximum $200).

Her regimen requires three medications, which exceed $1,500 a month. State support and prescription assistance programs are restricted to those without insurance. She makes $1,800 a month, which she must use to pay rent and utilities, and feed and clothe her children. She can no longer afford the medications that keep her alive and give her children a mother.

This is a tragedy that we should not be willing to tolerate in a society that values social justice and human rights. Take action now by encouraging your congressional representatives and political leaders to keep their promise on AIDS, increasing awareness in your own community, volunteering and/or giving to charities that support such efforts and sharing words of solidarity and compassion with those people most affected by this disease.

The opinions expressed in this commentary are solely those of Wendy Armstrong and Vincent Marconi.

@highlight

Nearly 50% of all AIDS cases annually are reported from Southern states

@highlight

Right now, a single pill once a day can control the virus

@highlight

96% reduction in transmission when infected partner is on antiretroviral therapy