(CNN) -- Forty-four years ago, an Australian man stood on the Olympic podium in Mexico alongside two American athletes who, with their heads bowed, punched the air with gloved hands in a black power salute.

The peaceful yet potent political protest at the 1968 Olympics by 200-meter medalists Tommie Smith and John Carlos became a symbol of the struggle for civil rights in America.

To their left in the photo stood silver medalist, Australian Peter Norman, who stared straight ahead, his hands by his side, but who expressed his support for the pair by wearing an Olympic Project for Human Rights badge.

Yet, on the list of famous Australian athletes, Norman barely rates a mention.

Far from elevating Norman to the status of hero in his home country, his family say he was shunned on his return to Australia and unfairly denied the opportunity to contest another Olympics -- claims the Australian Olympic Committee (AOC) denies.

"In the States he's hugely well known. But here in Australia, a lot of people are shocked when they find out that the white guy in the black power protest is an Aussie," his nephew, Matt Norman, told CNN.

Norman, a filmmaker who describes himself a civil rights activist, turned his uncle's Olympic story into a film "Salute" which was released in Australia four years ago and had a short run in cinemas during the 2012 Olympics in the U.S. and UK.

Peter Norman: The forgotten Black Power hero

He has turned the story into a film script called "1968" that aims to set the record straight using big name stars including Ewan McGregor, Will Smith and Jamie Fox, Norman said. It is hoped filming will begin next year.

It was not "Salute," but a magazine article that alerted Australian Federal lawmaker Andrew Leigh to Norman's story and motivated him on Monday to urge the country's Federal Parliament to formally acknowledge Norman's achievements and extend him a posthumous national apology.

The athlete suffered a heart attack and died in 2006 at the age of 64, but his 91-year-old mother, Thelma Norman, was in Parliament to hear seven MPs, including Leigh, deliver impassioned speeches as to why Norman deserves a greater presence in modern Australian history.

"It's just one of those tales that I think ought to be better known," Labor MP Leigh told CNN. "What really struck me about it, was that I, as an Aussie, should have been brought up on Peter Norman, but I wasn't."

Bronze medalist Carlos told the ABC Tuesday that there was "no one in the nation of Australia that should be honored, recognized, appreciated more than Peter Norman for his humanitarian concerns, his character, his strength and his willingness to be a sacrificial lamb for justice."

During his speech, Leigh told Parliament: "After Carlos forgot his gloves, Norman came up with the idea that the two Americans should share the one pair of gloves. A protest like this, on a global stage, had never been done before.

"At the time, it was electrifying. Racist slurs were hurled at Smith and Carlos. IOC President Avery Brundage -- a man who'd had no difficulty with the Nazi salute being used in the 1936 Olympics -- insisted the two be expelled In that moment Norman advanced international awareness for racial equality."

However, what happened after Norman returned home to Australia is less clear.

More than 40 years after that "electrifying" event, divergent accounts have emerged about whether Norman's political stance denied him future Olympic glory.

Norman's family insists he was deliberately excluded from the Australian Olympic team sent to the Munich Games in 1972, despite repeatedly qualifying.

"He qualified for both the 100 and 200 meters for the Munich Games but just wasn't selected. I guess that could be considered as a ban but he was pretty disappointed by that," Norman's brother, Laurie, told the Australian Broadcasting Corporation (ABC).

The AOC says Norman failed to qualify for the Munich Games after finishing third in the 200-meter sprint at the Australian Championships in March 1972. The body's media director also denied any suggestions that Norman was "blacklisted" for supporting Smith and Carlos' podium protest.

"There was no punishment dealt out to Peter Norman following the 1968 incident with black power salute. He was not punished. He was not ostracized. He was not blacklisted. He wasn't even reprimanded by the Australian Olympic Committee at the time," Mike Tancred told CNN.

"He was given, what has been written in a book by historians, as a gentle caution and then he was given some tickets to a hockey game so he could go and watch his teammates play hockey and that was the sum total of his punishment," he added.

Asked whether the AOC would support a formal apology to Norman from the Federal Parliament, Tancred said: "We're a little bit baffled by this debate. We never had an issue with Peter Norman. He never had an issue with us.

"There was never any suggestion that he was ostracized or not happy with the AOC. We've got nothing to apologize for because we've never wronged Peter Norman."

Norman's family says that the Olympian was also snubbed during the 2000 Olympics in Sydney by not being invited to be part of the official opening or closing ceremonies.

The AOC said no former athletes were invited and that Norman was offered tickets to buy to attend, like any other former Australian Olympian, as the cost "would have been astronomical" to host them all.

"The AOC is certainly right that they treated him like every other former Olympian," Leigh said.

"He was given the opportunity to purchase tickets. They could have done so for hundreds of people who have ever competed for Australia in the Olympics. But I do think he's pretty special. Not just because he's pretty much the only white guy to win a sprint medal in the last generation. But just that amazing stance that he took in 1968, being on the right side of history when so many others were on the wrong side."

Aside from his political statement, Norman has for 44 years retained the Australian record set for the 200-meter sprint during the 1968 Games.

Asked whether, aside from the apology, the AOC would support Norman's recognition for his achievements on the track, Tancred evoked another great and arguably better-known Australian Olympian, distance runner Herb Elliott.

"There's people like Herb Elliot who won gold medals in 1960. We're not acknowledging Herb Elliot... so why do we have to acknowledge that Peter Norman might hold a 200-meter record? There are lots of champions out there who have done equally as well or better than Peter Norman."

Tancred also said that the debate in Federal Parliament was "irrelevant" given the progress made in civil rights since the 1968 Games.

"The politicians from both sides need to look and check on who is the American President, at present. He's black. And I think the whole world has moved on since 1968. So on that score, really, their debate is irrelevant," he said.

The Australian parliament has yet to issue a formal apology or recognition for Norman. While the motion was debated, an official vote still needs to be scheduled for a later date.

Read more: Peter Norman, forgotten Black Power hero

@highlight

Australian Parliament debates whether to issue apology to Peter Norman

@highlight

Norman famously supported the 1968 Olympics black power salute protest

@highlight

AOC says there's no need for an apology as Peter Norman wasn't wronged

@highlight

Norman's family says the Olympian was "blacklisted" after his silent political protest