(CNN) -- On September 11, 2001, when thousands of innocent men and women lost their lives, tens of thousands more came to their assistance.

We as a nation saw greater acts of heroism than we could have imagined: First responders from all over New York and all over the country came to ground zero to save lives, provide proper burial for lives that were lost and assist in the enormous effort to clean up and recover from that devastating attack on our nation.

Tragically, in the nine years since the attack, more than 30,000 responders and survivors from across the country have had to be medically treated because of their exposure to ground zero toxins. They are waiting for Congress to pass legislation to ensure that they can continue to get the care they need.

Our 9/11 heroes didn't think twice that day. Bound by duty, a love of our nation and their fellow Americans, they joined hand in hand with heroes from every corner of America to come to our rescue.

Now, it's long past time we came to theirs. Nine years ago, no one could have imagined that our nation would ignore our duty to the 9/11 heroes. Nine years ago, no one could have imagined that our country would leave these heroes behind.

The James Zadroga 9/11 Health and Compensation Act would finally provide monitoring and treatment for World Trade Center responders and community members who are suffering, and for those who traveled to ground zero from all across America.

The legislation would establish the World Trade Center Health Program within the National Institute for Occupational Safety and Health (NIOSH) to provide permanent medical monitoring and treatment for WTC-related conditions to responders and community members.

The program administrator will establish a nationwide network of providers so that eligible individuals who live outside of the New York area can reasonably access monitoring and treatment benefits where they live. These eligible individuals are included in the caps on the number of participants in the responder and community programs.

One often overlooked aspect of the legislation is its level of accountability and transparency for the disbursement funds. It will terminate the six billing systems created in the chaotic aftermath of September 11, and establish a third-party administrator, who will set reasonable rates, track expenditures and enforce eligibility requirements.

And the legislation reopens the September 11 Victim Compensation Fund to cover economic damages and losses for individuals who became ill after the original December 22, 2003 deadline.

The bottom line is that this should not be a partisan fight. We have an undeniable, moral obligation to provide our 9/11 heroes with all the care they need.

Heroes like NYPD Officer Robert Helmke, who died from Stage IV metastatic colorectal cancer caused by inhaling and swallowing toxins at ground zero. He was 43. Robert worked many tours of duty at ground zero. He ate food and unknowingly inhaled toxic substances while working. At no time while working at ground zero was he instructed to wear a breathing apparatus, nor was he told that the air was unhealthy.

Stage IV metastatic colorectal cancer is a form of cancer in the upper GI tract, and it is very rare to see it in a man so young. He was told that treatment would not cure him, only help him live longer.

In his own words, he reacted to his diagnosis: "Talk about crushing news! My wife and I sat in the car and cried, and I asked her what did I ever do to deserve this.

"On July 11th, 2006, I had major surgery to remove two tumorous parts of my small colon and have radiation on the large tumor in my liver. Before my surgery, I had four chemotherapy treatments, and was in the emergency room three times to be treated for dehydration before finally having to go on an all-liquid diet and intravenous feeding.

"I have a wife, Greta, and two young children, Garrett and Amelia, who have seen my health worsen since participating in the WTC recovery. My favorite things in life are slowly being taken away from me. My work, food, helping others and caring for my family."

Officer Helmke died on July 28, 2007. And the longer we delay this bill, the more heroes like Officer Helmke we risk losing. The U.S. House of Representatives passed this bill in September and now it's time to keep our promise to 9/11 heroes and pass this bill in the U.S. Senate. We can't afford to wait any longer.

I'm urging my colleagues on both sides of the aisle to do what they know is right and support this legislation.

Republican leaders from around the country have stepped forward, including former Republican presidential candidates.

Former New York City Mayor Rudy Giuliani said, "This is something that most Americans want. Something that Republicans like me want. These are people, after all, who were hurt and harmed because of the worst attack in the history of this country. They're entitled to more consideration than this."

And former Arkansas Gov. Mike Huckabee said, "Every Republican should vote for this bill."

The men and women who lived through and came to our rescue on 9/11 were not Democrats or Republicans or independents. They were Americans first and foremost, and so were the people they saved. It's time for us in Congress to honor their sacrifices by coming together as Americans and keeping our promise to provide them with the care they need to save their lives.

The opinions in this commentary are solely those of Kirsten Gillibrand.

@highlight

Kirsten Gillibrand: Thousands lost lives on 9/11, and tens of thousands came to help

@highlight

First responders from all over New York and the U.S. came to ground zero, she says

@highlight

Gillibrand: 30,000 responders have been medically treated after exposure to toxins

@highlight

Pass bill, she says, to provide monitoring and treatment for conditions