(CNN) -- When she was America's top diplomat, Hillary Clinton acknowledged that negotiating with the Taliban for Bowe Bergdahl's release "would be hard to swallow for many Americans," according to a copy of her upcoming book, "Hard Choices," which was obtained by CBS News.

In other foreign policy matters, Clinton writes how she pushed for arming Syrian rebels and also highlights her differences with President Barack Obama on the high-stakes issue. She also said that she regretted her 2002 vote in support of U.S. military action in Iraq.

Also in her book, set to hit bookshelves on Tuesday, Clinton dishes on the 2008 campaign against Obama, her feelings about Sarah Palin, and her role in planning her daughter's 2010 wedding.

Clinton was skeptical of Bergdahl release

On Bergdahl, the former secretary of state writes that the Taliban's "top concern seemed to be the fate of its fighters being held at Guantanamo Bay and other prisons."

"In every discussion about prisoners, we demanded the release of Army Sergeant Bowe Bergdahl, who had been captured in 2009. There would not be any agreement about prisoners without the sergeant coming home," she writes, according to the excerpts.

"I acknowledged, as I had many times before, that opening the door to negotiations with the Taliban would be hard to swallow for many Americans after so many years of war," she added.

Former officials told CNN earlier this week that Clinton was skeptical of early plans to trade Taliban prisoners, which the Obama administration ultimately did to win Bergdahl's release last week.

A measured defense of release

On Monday, Clinton was asked whether she would have approved the same deal for five Taliban commanders who had been held at Guantanamo Bay, Cuba.

She did not directly answer the question and offered a measured defense of the Obama administration.

"We do have a tradition and I ascribe to it," Clinton said. "We try not to leave any of our soldiers on the field. We try to make sure, insofar as possible, you know, we bring them home."

Republicans have been blasting the Obama administration for the prisoner exchange, saying the President set a dangerous precedent by negotiating with terrorists.

Clinton left the State Department at the start of last year and is weighing another bid for the White House.

'I still got it wrong' on Iraq

On the Iraq War, Clinton writes she wish she hadn't voted to authorize the use of military force in Iraq in 2002.

"As the war dragged on, with every letter I sent to a family in New York who had lost a son or daughter, a father or mother, my mistake become (sic) more painful," she writes, according to excerpts posted online by CBS.

"I thought I had acted in good faith and made the best decision I could with the information I had. And I wasn't alone in getting it wrong. But I still got it wrong. Plain and simple," she said.

It's not the first time she's expressed regret, but it's some of the strongest language she's used on the issue.

Clinton's vote became a key topic in her marathon 2008 battle with Obama for the Democratic presidential nomination.

The issue, more than the economy, dominated the early parts of the campaign, with Obama criticizing Clinton over the vote.

Clinton at first refused to term it a mistake, but later said during the campaign that she would not have voted the same way.

Obama, who was a major opponent of the war, never had to vote on whether to authorize military action against Saddam Hussein, as he was not elected to the Senate until 2004.

Clinton rarely talks about her vote on Iraq and in the last few months, as she has crisscrossed the country speaking to a wide array of audiences, she has not been asked about it.

Conflict in Syria

In the book, Clinton describes the bloody three-year long civil war in Syria as "a wicked problem."

Clinton goes on to say that's "a term used by planning experts to describe particularly complex challenges that confound standard solutions and approaches. Wicked problems rarely have a right answer; in fact, part of what makes them wicked is that every option appears worse than the next. Increasingly that's how Syria appeared."

On whether to arm the Syrian rebels, a contentious issue, Clinton writes that "I returned to Washington reasonably confident that if we decided to begin arming and training moderate Syrian rebels, we could put in place effective coordination with our regional partners."

Clinton says there was no good policy action for the United States, and she highlights were she and Obama disagreed on the conflict.

"[T]he risks of both action and inaction were high. Both choices would bring unintended consequences. The President's inclination was to stay the present course and not take the significant further step of arming rebels.

"No one likes to lose a debate, including me. But this was the President's call and I respected his deliberations and decision. From the beginning of our partnership, he had promised me that would always get a fair hearing. And I always did. In this case, my position didn't prevail," Clinton writes.

Although as Clinton backed Obama's Syria policy as secretary of state - including negotiating with the international community on the civil war and criticizing countries like Russia and China, which stood in the way of toppling Syrian President Bashar al-Assad, Clinton's writings now show the level with which she split with Obama on arming the rebels.

When asked about Syria at events during her time on the paid speaking circuit, Clinton has used identically language to describe the conflict.

At an April event in Boston, Clinton told an audience of women leaders that the conflict was a "wicked problem" that "really requires a broad base of knowledge."

"It doesn't mean you're not incensed, heartsick, angry," Clinton told the audience at Simmons College. "But then you need to stop and say 'well, what can we do about it? How can we intervene in a way that helps, not hurts?'"

Obama, Sarah Palin, and Chelsea

Clinton also takes readers into her private meeting with Obama prior to the 2008 Democratic convention, which gave the former rivals an opportunity "to clear the air," Clinton writes.

"We stared at each other like two teenagers on an awkward first date, taking a few sips of Chardonnay," she writes of the meeting.

"One silver lining of defeat was that I came out of the experience realizing I no longer cared so much about what the critics said about me," she said.

Clinton also dishes on the Obama campaign's reaction to then-Alaska Gov. Sarah Palin's selection as Sen. John McCain's running mate, and why she declined to follow the Obama campaign's playbook on slamming the pick.

While the campaign issued a "dismissive statement" and urged Clinton to do the same, the then-senator from New York writes that she declined.

"I wouldn't. I was not going to attack Palin just for being a woman appealing for support from other women," Clinton writes. "I didn't think it made political sense, and it didn't feel right. So I said no."

Hitting a lighter note, Clinton's memoir also discusses the "urgent business" she had to address during her tenure as secretary of state - her daughter's wedding.

Flying back from Vietnam in the summer of 2010, Clinton had to shift her attention from rising tensions in the South China Sea to "one of the most important events of my life."

"This time it wasn't a high-level summit or a diplomatic crisis. It was my daughter's wedding, a day I had been looking forward to for thirty years," Clinton writes. "I felt lucky that my day job had prepared me for the elaborate diplomacy required to help plan a big wedding."

Clinton writes that she was happy to help in any way she could and her responsibilities ranged from "reviewing photographs of flower arrangements" and heading home for tastings and dress selections.

As for the former president?

"Bill was as emotional as I was, maybe even more so, and I was just glad he made it down the aisle in one piece," Clinton writes.

As Chelsea Clinton and her father danced to "The Way You Look Tonight," Hillary Clinton's head swirled with thoughts.

"It was one of the happiest and proudest moments of my life," Clinton writes. "Our family had been through a lot together, good times and hard times, and now here we were, celebrating the best of times."

CNN's Ashley Killough, Jeremy Diamond, Dan Merica and Paul Steinhauser contributed to this story.

@highlight

Clinton raised the issue of negotiating for Bergdahl in new book, 'Hard Choices'

@highlight

Decision to get Army sergeant back from Taliban captivity has generated sharp controversy

@highlight

She said "opening the door" to Taliban for Bergdahl "would be hard to swallow for many Americans"