(CNN) -- The U.S. government is being asked to update its 16-year-old cell phone radiation standard to bring it in line with current research and the way people use smartphones.

A new Government Accountability Office report on Wednesday asked the Federal Communications Commission to consider updating the standard, which limits the amount of radiation a phone emits. The report recommended following an international standard, which would allow U.S. cell phones to emit up to 20% more radiation than currently allowed.

The GAO also asked the FCC to consider updating its cell phone testing procedures to account for phones being used while next to the body -- such as in a pocket or held in your hand -- rather than only testing how phones emit radiation when held up to your ear.

More Tech: Be careful when diagnosing your ailments online

While people still often use cell phones for talking, these devices have evolved into small portable computers and multipurpose tools. It's now common to see people using cell phones as media players kept in a pocket and used with earbuds or a wireless headset, or held in the hand while checking Facebook or getting directions from Google Maps.

"Current testing requirements for mobile phones may not identify the maximum radio frequency (RF) energy exposure when tested against the body," said the report. "FCC testing requirements state that mobile phone tests should be conducted with belt-clips and holsters attached to the phone or at a predetermined distance from the body.

"By testing mobile phones only when at a distance from the body, FCC may not be identifying the maximum exposure, since some users may hold a mobile phone directly against the body while in use."

The FCC allows cell phones and other wireless devices to emit up to 1.6 watts per kilogram, averaged over 1 gram of tissue. That's the maximum specific absorption rate (SAR), a measurement of the amount of radio frequency energy absorbed into the body -- information that phone manufacturers must provide to U.S. consumers. FCC developed this limit back in 1996, based on input from several federal health and safety agencies.

A decade after the FCC published that standard, the Institute of Electrical and Electronics Engineers, a global organization that sets standards for electrical devices, published its own recommendation for a maximum SAR of 2.0.

More Tech: Couples urged online to 'make a baby' Thursday

Since then the FCC's lower limit has remained in force, which complicates matters for phone manufacturers and may increase costs to consumers.

The GAO noted: "Maintaining the current U.S. limit may result in additional costs for manufacturers and impact phone design in a way that could limit performance and functionality." To comply with the FCC's limit, some manufacturers also may have to disable features on phones sold in the U.S., according to the GAO.

Some consumer groups told the GAO they don't think the info provided by federal agency websites about mobile phone health effects is sufficiently precautionary. Also, some said they'd like the FCC website to mention the World Health Organization's controversial reclassification last year of radio frequency energy exposure as "possibly carcinogenic."

The GAO looked into the issue of revisiting cell phone radiation standards at the request of three high-ranking congressional Democrats: Ed Markey of Massachusetts and Anna Eshoo and Henry Waxman of California.

More Tech: Android races past Apple in smartphone market share

@highlight

The FCC is asked Wednesday to consider updating its cell phone radiation standard

@highlight

The new standard would allow U.S. cell phones to emit up to 20% more radiation

@highlight

The question was presented to the FCC in a new Government Accountability Office report

@highlight

It also asked the FCC to test for cell phones being used next to the body, not just at the ear