(CNN) -- Oberlin College in Ohio suspended classes Monday after a student reported seeing a person resembling a Ku Klux Klan member near the college's Afrikan Heritage House.

The sighting of the person wearing a white hood and robe was reported early Monday morning and follows a string of recent hate incidents on Oberlin's campus that have ignited shock and confusion among the student body.

"Since the beginning, there's been anger, frustration, sadness and fear, but we've been working toward a concentrated effort toward change," said Eliza Diop, 20, a politics and Africana Studies major who serves on the college student senate and is a resident of the Afrikan Heritage House, which offers programs focused on the African diaspora, according to the college's website.

Oberlin College is a small liberal arts college in Oberlin, Ohio, with almost 3,000 students. An emergency meeting among the college's officials was immediately called after the report.

In lieu of classes, college administrators asked students, faculty and staff to "gather for a series of discussions of the challenging issues that have faced our community in recent weeks," a statement on Oberlin's website said.

"We hope today will allow the entire community â€” students, faculty, and staff â€”to make a strong statement about the values that we cherish here at Oberlin: inclusion, respect for others, and a strong and abiding faith in the worth of every individual," the statement said.

The programming included a campuswide teach-in led by Meredith Gadsby, an associate professor and chairwoman of the Africana Studies Department; a collective demonstration of solidarity, including musical performances by campus groups and speeches by campus leaders; and a community convocation entitled "We Stand Together."

Gadsby has been teaching at Oberlin since 2000 and was notified of the incident at 3 a.m., just hours after the sighting was reported.

"I am worried about the students who have been made to feel incredibly unsafe and still feel targeted," Gadsby told CNN Monday.

The reported sighting of KKK regalia is the latest in a spate of incidents on Oberlin's campus. According to an incident report provided by the Oberlin Police Department, 15 hate-related events have been reported in the last month alone.

Police have not yet been able to substantiate the reports of the alleged KKK regalia sighting.

"We're looking into it and we're trying to talk to other students to see if we can verify the incident," said Oberlin Police Sgt. David Jasinski.

The other incidents have included several posters containing multiple racial slurs and other derogatory statements targeting various student communities placed around campus. Other reports include various fliers placed around campus containing racist, anti-Semitic and homophobic language and swastika graffiti.

"The frequency of these reports is astounding," Gadsby said. "Over the past four weeks, there has been a concentration of bias incidents in such a short period of time. I have no idea why this happened, no idea who the culprits are, no idea where this is coming from. Students are saying this is not what they came to Oberlin to experience."

Shimon Brand, Hillel director at Oberlin for more than 30 years, noted that these types of incidents were "exceedingly out of the ordinary" but that students have worked together to address the incident.

"Instead of students acting as victims, they reacted through understanding and engagement. There's a real sense of sadness and anger, but solidarity that there's work to be done," he said.

Chris Landers, 21, an English major and co-editor-in-chief of the college's newspaper, the Oberlin Review, said the paper has welcomed letters to the editor and has asked people to contact the staff with any incident reports to encourage dialogue from all groups on campus.

"We value every member of Oberlin. We know we're not the perfect place, but we strive to be an inclusive place. We want Oberlin to be a place where every member of every community feels valued and feels that they have a legitimate voice," he said.

These incidents are being investigated by both Oberlin College security and the Oberlin Police Department.

Scott Wargo, director of media relations for the college, said, "No official disciplinary action has been taken."

No official charges have been filed.

But Jasinski said that two students had been removed.

"It's an ongoing investigation. At this time, college security caught a couple of students. Two students have been removed from campus," Jasinski said.

Vicki Anderson, special agent for the FBI's Cleveland Division, said, "We have been made aware of the incidents and we have been in contact with the Oberlin Police Department and will continue to assess the situation accordingly."

Gadsby still feels that Oberlin can be a model for other campuses that have dealt with hate-related incidents. She hopes students will continue to mobilize and share information with law enforcement.

"It's good to be made uncomfortable; it strengthens our resolve," she said. "These incidents don't just happen at small liberal arts colleges. These moments are important for students to engage in the theories that we teach and put them into practice."

For students, it's a reminder that they need to remain vigilant in their fight against hate on their campus.

"Racism is still here. It may not be as visible as it was 50 years ago, but it's still visible. We still need to fight it, even in 2013," Diop said. "I want us to remember that hate is unproductive. Love reigns supreme."

@highlight

A reported Ku Klux Klan sighting at Oberlin College prompts cancellation of classes

@highlight

Report is the latest in a spate of racial incidents at the Ohio college in the last month

@highlight

Students, staff and faculty rally for understanding Monday