Washington (CNN) -- A deeply divided Supreme Court ruled Wednesday that criminal defendants who receive inadequate legal advice on pretrial plea bargains can have their sentences overturned, equating that with an unconstitutional and ineffective assistance of counsel.

The separate 5-4 decisions in a pair of cases from Michigan and Missouri will have a huge, immediate impact on the 97% of federal convictions and 94% of state convictions that stem from guilty pleas.

"This court now holds that, as a general rule, defense counsel has the duty to communicate formal offers from the prosecution to accept a plea on terms and conditions that may be favorable to the accused," said Justice Anthony Kennedy, joining four of his more liberal colleagues. "When the defense counsel allowed the offer to expire without advising the defendant or allowing him to consider it, defense counsel did not render the effective assistance the Constitution requires."

In a rare oral dissent delivered from the bench, Justice Antonin Scalia called the majority decision "absurd" and "unheard-of."

In unusual detail, the opinion lays out specific guidelines to defense counsel, saying they must relay plea bargain offers from the prosecution, regardless whether the lawyer believes them to be proper.

The case from Michigan involved Blaine Lafler, convicted of assault with intent to murder and other charges, after shooting and seriously wounding a woman.

The state twice offered to dismiss two of the charges, and recommended a reduced sentence in return for a guilty plea. Lafler claims he rejected the offers after his lawyer convinced him the prosecution could not prove the most serious charge. The defendant was convicted and received 185 to 360 months behind bars.

In Missouri, Galin Frye was charged with driving on a revoked license. Three previous convictions on the same charge meant he could be sentenced to up to four years in prison. Court records shows he was not told about two pretrial plea bargain offers that would have reduced his jail time.

A week before his preliminary court hearing, the man was again arrested on the same offense. With no deal on the table, he subsequently pleaded guilty and received three years imprisonment.

"There appears to be a reasonable probability Frye would have accepted the prosecutor's original offer of a plea bargain if the offer had been communicated to him," Kennedy said in his ruling, "because he pleaded guilty (later) to a more serious charge, with no promise of a sentencing recommendation from the prosecution."

Justices Ruth Bader Ginsburg, Stephen Breyer, Sonia Sotomayor and Elena Kagan supported Kennedy, who again proved to be the "swing" vote for the majority.

Both cases were sent back to lower courts to sort out the new sentencing guidelines.

In his dissent, Scalia warned criminal defendants will now flood courts with new claims of bad legal representation.

"The court today embraces the sporting chance theory of criminal law, in which the state functions like a conscientious casino operator, giving each player a fair chance to beat the house, that is, serve less time than the law says he deserves," he said. "And when a player is excluded from the tables, his constitutional rights have been violated."

He added, "In today's cases, the court's zeal to bring perfection to everything requires the reversal of perfectly valid, eminently just convictions," Scalia said. "It is not wise; it is not right."

Chief Justice John Roberts and Justices Clarence Thomas and Samuel Alito joined all or part of the dissent.

The cases are Lafler v. Cooper (10-209) and Missouri v. Frye (10-444).

@highlight

Defense attorneys have a duty to give good advice on plea deals, the court rules

@highlight

They must do so to provide "the effective assistance the Constitution requires"

@highlight

In dissent, Justice Scalia calls the decision "absurd" and "unheard-of"