(CNN) -- When you think about Russian style, don't think Moscow, think St. Petersburg.

Like the city -- which is crammed with elegant architecture -- the citizens of Russia's fashion capital know how to look good.

Their reputation for being easygoing and adventurous is often expressed in clothing.

Gaudy colors and bad leisurewear aren't the thing in St. Petersburg -- here fashionistas are more likely to mix designer threads with Grandma's castoffs.

But getting the look can take some effort; it requires legwork.

St. Petersburg isn't about grabbing something boring off the peg, its about experimenting.

Best street market

Good street markets are hard to find in St. Petersburg, but a 30-minute subway trip to the northern suburbs takes you to a clothing goldmine where you can find just about anything.

Udelnaya station, on Line 2, gives its name to Udelka, a nearby market featuring row after row of commercial "secondhand from Europe" outlets.

These are best ignored en route to the main attraction: a huge field where on weekends hundreds of locals gather to sell attic plunder.

Vintage Soviet clothes, furniture, cameras, antiques, musical instruments, vinyl, old military outfits, pins and medals are all on sale -- as are weirder items such as breast enlargers.

Half the sellers are professional rag men, so they're usually able to help in the hunt for something special -- although their definition of special may differ from their customer's.

Best garage sale

A hipper version of Udelka featuring fewer mothballs and considerably more fashionable goods is held regularly in the Loft Project Etagi (74, Ligovsky Prospekt), a cultural center in an old bread factory.

During summer, the monthly "Garage Sale" occupies the whole building, but the best finds can be made in the yard or on the terrace.

Even if there's no market, it's worth a visit Etagi to check out art and photo exhibitions and cupboard-sized shops such as Milnaya Belka (2/F, Loft Project Etagi +7 812 980 11 66), which sells Russian and Asian designers.

There's also the Green Room (+7 812 458 80 03), a cheap but cheerful cafÃ©.

Best retro shops

When the markets aren't on, you can still bag a bargain.

Worth a look is St. Petersburg's legendary second hand and clothing rental shop, Off (60 Obvodnogo Canal Quay, +7 8 812 929 92 03).

Run by a pair of extravagant shopkeepers, Off features an extensive collection of Soviet retro and vintage clothes and was favorite with Vladislav Mamyshev-Monroe, a Russian artist and gay rights icon who died last year.

Off is located in a popular loft called Tkachi, where locals come to lay their hands on bicycles, furniture, shoes and musical instruments.

Best place for boots

They're not particularly stylish, but when it comes to handling the St. Petersburg rainy seasons -- all three of them -- it's hard to beat a pair of Soviet gumboots.

These can still be picked up at the vast Red Triangle factory (136 Obvodnogo Canal Quay) that once produced them.

If you're not interested in the boots, it's still worth a trip for a glimpse into St. Petersburg's industrial communist past -- one that's slowly being reclaimed by its capitalistic future.

Best places for designer clothes

Russia's fashion industry is just emerging, but with St. Petersburg is at the forefront it's slowly making a name for itself.

Leonid Alexeev (4, Veselnaya Street, 4, +7 812 322 08 96), the engine of the local fashion scene and one its most productive designers, sells haute couture and pret-a-porter clothes, plus accessories and perfumes.

Another leading light is Tatyana Parfionova (Nevski Prospekt, 51, +7 812 713 14 15).

Parfionova is one the city's most popular designers and while her striking outfits might not protect against the snowy rigors of a Russian winter, they regularly appear on fashion week runways and represent the country abroad.

One of St. Petersburg's youngest and most challenging designers is Asya Malbershtein (Kazanskaya, 5, +7 812 6491699; by appointment only), who specializes in minimalistic leather goods.

Best places for accessories

Sticking with Asya Malbershtein, her accessories can also be found in 8-Store (Dvortsovaya Quay 20), one of several designer outlets in Taigaspace -- a beautiful 18th-century merchant house that also houses creative start-ups.

Marmeladova buketik (Rubenstein St., 40, +7 812 988 0448) is a somewhat girly outlet named after the heroine of Fyodor Dostoevsky's "Crime and Punishment."

This clothing, accessories and flower shop is owned by a St. Petersburg socialite who, in addition to making the clothes himself, also runs a chic Sixties-style barbershop around the corner.

Best places to people-watch

For those who have mastered St. Petersburg style, there are plenty of places to show it off.

The best people-watching can be found in the large-windowed cafes on Nevsky Prospekt, a central street that's busy and crowded day and night -- particularly in summer when the day is almost indistinguishable from night.

In the fashionable Rubenstein Street, party animals, foodies and local celebrities can be found mingling among the dozens of bars, upscale restaurants and coffee bars that include Mitte CafÃ© (27 Rubenstein St.; +7 812 416 14 16).

A more highbrow scene can be found at the art house foreign language film screenings in the elegant Angleterre hotel (Malaya Morskaya, 24; +7 981 870 7757).

And because this is the city Dostoevsky once called home, there's St. Petersburg's best independent book retailer, Word Order (Fontanka Quay, 15).

Offering more than just books, and surrounded by popular bars such as Produkty (Fontanka Quay 17; +7 812 312-57-54) this tiny shop has long been the unofficial center of the city's intellectual activities and regularly hosts discussions on contemporary Russian cinema, philosophy and media.

Anna Balagurova is editor of the St. Petersburg edition of The Village, a Russian internet newspaper focusing on the city, its style and culture.

@highlight

The citizens of Russia's second biggest city are known for having a style of their own

@highlight

On weekends, locals gather in Udelka to sell vintage clothing and oddities

@highlight

Russia's fashion scene is emerging, with names such as Leonid Alexeev and Tatyana Parfionova at its fore