Washington (CNN)President Barack Obama's budget plan, announced Monday, lays out the President's strategy to fight income inequality against projections that the United States is still far from erasing its national debt.

The President's vision is like an opening bid in budget negotiations and will have to be squared with very different ideas expected to come from the Republicans who control the House and now the Senate too.

The 10-year plan sets the stage for the economic fight over America's future, with the White House betting voters are ready to turn the corner on spending cuts and embrace his efforts to he thinks will lift up the middle class as well as raising taxes on the wealthy.

The White House has touted a growing economy and shrinking deficits as the impetus for proposing a range of measures aimed at helping low- and middle-income families. These would be partially paid for by raising taxes on the rich, such as an increase on investment taxes and getting rid of what President Obama calls the "trust fund loophole" in the estate tax.

According to the White House, the budget would also install new taxes hitting U.S. corporations storing assets overseas and offer nearly $300 billion in tax cuts aimed at mainly the middle class.

On a conference call with reporters, senior administration officials said 44 million households would see an average tax cut of $600 apiece.

But officials acknowledged the budget is only a starting point in negotiations with Republican lawmakers who are already criticizing much of what the White House is proposing.

In an interview with NBC Sunday night, the President rejected the idea that many of the proposals don't stand a chance in a Republican-controlled Congress.

"My job is to present the right ideas, and if Republicans think they have a better idea then they should present them," he said.

Obama said he has found over 6 years that, "when I tell the American people very clearly what direction I think the country should go in, occasionally Republicans start agreeing with me."

He added, just not as quickly as he would like.

Obama said he wants to make sure everyone benefits as the economy grows.

"I want to make sure that we have not only recovered," but that the administration has built a strong foundation that will prevent the country from ever getting mired in another economic meltdown, he said.

Now that the economy is recovering, he said  "we have to build on it."

The White House argues the budget focuses on making the U.S. more competitive by training future professionals and helping those already with jobs achieve more.

The rollout of these programs started in early January, with Obama announcing a range of policy initiatives ahead of his State of the Union speech. Programs include tuition-free community college, early education programs, affordable child care and housing and skill training to increase job mobility.

There is increased funding for special education, teacher training and support, and investment in science, technology, engineering and math (STEM) education.

The White House proposes tax credits and initiatives designed to help working parents and caregivers, as well as students struggling with debt. And it looks to incentivize programs providing training, counseling and apprenticeships to Americans and specifically veterans.

The budget also looks to change deep cuts, known as sequestration, that took effect in 2013.

The President's budget claims that it is time to replace this "mindless austerity" with smart reforms, and although Republicans agree that the forced budget cuts are dangerous, reaching a deal on what to replace it with will not be easy.

With the reversal of sequestration, Obama will look to increase spending on the military and national defense. The President's budget allocates resources to the fight against terrorist group ISIS as well as training for Iraqi security forces and humanitarian needs in the region.

Support for NATO allies and European countries targeted by Russia, stronger cybersecurity defenses and research into combating infectious diseases like Ebola are also accounted for in the budget.

Eliminating wasteful spending by modernizing and improving services within the federal government is another way the White House hopes to save money and increase U.S. competitiveness around the world.

No matter how amenable Republicans are to Obama's plan, there are some areas where his budget seems far from reality, for example: immigration.

The President's budget includes projected savings for an immigration reform bill that passed the Senate but has little chance of passing the House and or making it to Obama's desk. Although immigration is one area where both Republicans and the President will look for savings, the issue is also one of the most contentious.

Still, senior administration officials continually point to bipartisan support for some of the budget measures. One example is the $478 billion, six-year proposal to improve roads, bridges and mass transit systems.

Funding for the investment comes from taxes on foreign earnings from U.S. businesses, and administration officials say it is similar to a past Republican proposal.

As congressional leaders in both parties look ahead to the future spending battle of the coming year, administration officials point back to 2013.

Republican Rep. Paul Ryan of Wisconsin and Democratic Sen. Patty Murray of Washington found consensus in a "grand bargain" budget deal in late 2013 that had something good and something bad for everyone.

President Obama wasn't happy with everything in that budget, but administration officials say they are hoping for a similar deal.

One area where Ryan, new chairman of the House Ways and Means committee, has expressed frustration with the administration is in entitlement reform. A recent report from the Congressional Budget's Office projects entitlement spending will heavily impact the U.S. economy in the coming years.

The CBO projects that the annual federal deficit for this fiscal year will be $468 billion, or 2.6% of U.S. gross domestic product (GDP). That number reflects the gap between how much the government spends and how much it takes in.

Solid economic growth over the next few years is projected, keeping the deficit at a very modest level until 2018.

But after that the CBO expects it to gradually grow to 4% by 2025 as spending on entitlement programs like Social Security, Medicare and health insurance subsidies -- as well as interest on the country's debt - are projected to grow faster than the GDP.

Senior administration officials say that their strategy has never been to erase the deficit all together but rather to keep it at a level that is manageable. The President's budget projects a $474 billion deficit for 2016, or 2.5% of the GDP -- which would remain stable as both the deficit and economy grow.

Getting the deficit to below 3% allows for "sustainable" fiscal policy while investing in economic growth, officials said, citing economists.

@highlight

With 10-year plan, White House bets voters have had enough of budget cuts

@highlight

Republican lawmakers are already criticizing much of what the White House is proposing