(CNN) -- When a Phoenix teacher, way back in 2004, offered four students the option of learning marine science through textbook lessons or by building an underwater robot, the students chose the hands-on approach.

It was a decision that revealed the power of experiential learning and created the opening scene for a Hollywood script.

"I had nothing to do. I felt like a loser," one of the students, Lorenzo Santillan, told an Arizona newspaper in 2008. Without the robot club, "I would have probably just dropped out of high school."

In fact, all four students graduated from high school.

"All these kids have taken what they've learned and decided that they can be leaders in their community," the robotics teacher, Fredi Lajvardi, says in a new documentary film, Underwater Dreams.

The film tracks four Hispanic students who started the robotics team at Carl Hayden High School in Phoenix, a decade ago. Working under gifted teachers, the guys build an underwater robot, nicknamed Stinky. The fun starts when they enter a national competition that pits their machine against robots from both high school and college teams.

No need to spoil the finish. It's enough to say that the tale, with a tampon prominent in the construction of the robot, inspired a long-form piece in WIRED magazine, a new Hollywood feature starring George Lopez and Marisa Tomei, and the documentary film. As part of a deal with NBCUniversal and AMC Theatres, "Underwater Dreams" opens Friday, July 11, in Los Angles and New York, before rolling out to other cities. Underwriters include the Bezos Family Foundation, The Laurie M. Tisch Illumination Fund and the Virginia Piper Charitable Trust.

While "Underwater Dreams" is a compelling tale about four kids who beat the odds, it carries a larger message about education reform.

The need for reform is straightforward. In this century, economic growth depends on jobs for which Americans are not sufficiently trained, at least as compared to other countries. Absent reform, according to the The Jobs Council, U.S. firms will struggle to fill positions that require technical skill.

How to implement reform is the sticky part.

Reforming education means altering how teachers teach. When I took algebra, chemistry and physics, my teachers stood at the front of the classroom and lectured. If I learned anything, I learned by listening.

Today, there is a belief that students learn more by doing.

Sounds simple enough, but it's a challenge to reorganize instructional budgets, train new teachers, retrain veteran teachers and bring students and parents along. Instruction ends up looking different than your father's science class, as evidenced by the robotics poetry class offered at one innovative Pennsylvania middle school.

"Underwater Dreams" adds weight to the argument in favor of hands-on, experiential learning by proving that it can be accomplished in a tough setting, without lots of new resources.

The lesson is especially critical for STEM education -- science, technology, engineering and mathematics -- where we must set learning on fire for children who may otherwise disengage from school.

I first heard about the Hayden robotics program shortly after the now-famous underwater competition, when the foundation where I work began making grants to support programs at the school.

The students saw they could accomplish more than they ever could have imagined. Whether they went on to become an Army paratrooper like Oscar Vazquez or a chef, as Santillan has done, their high school experience helped.

"With robotics, the kids fell in love with building, pure and simple," "Underwater Dreams" filmmaker Mary Mazzio told me in an e-mail. "They loved the kinesthetic learning of how things worked. Although they didn't call it engineering, that is what they fell in love with. Oscar first learned to make a catapult for Halloween -- and they concocted a giant catapult right out of Joan of Arc -- and had pumpkins smashing everywhere. He fell in love."

From the film, I was struck by Dean Kamen's remarks on the need to develop talented young people. An inventor whose creations include the Segway, Kamen is also founder of FIRST robotics, which enables more than 350,000 students to build robots annually. I called Kamen to ask him whether the kids in "Underwater Dreams" represent a fluke, or whether all students could flourish this way.

"You didn't find two needles in the haystack," Kamen said. "You found a stack of needles. They are all sharp. All they needed was a little guidance, a little support."

Let's hope the release of "Underwater Dreams" leads to more schools uncovering more of these needles.

Join us on Facebook.com/CNNOpinion.

@highlight

A Phoenix teacher gave his students the option to learn by doing

@highlight

John Bare: The project motivated students to succeed and has important lessons

@highlight

He says America needs better education and training for job-related skills

@highlight

Bare: Hands-on learning can succeed even in schools hard-pressed for resources