(CNN) -- Could it get any worse for Boeing? Its entire fleet of 787 Dreamliners - the most technologically advanced airliner in the world - has been grounded over the risk of a battery catching fire in flight. That followed a series of incidents in the last few weeks affecting high-profile early customers of its ground-breaking widebody - Japanese airlines ANA and JAL, United Airlines and Qatar Airways.

After just over a year in service, and with a backlog of around 800 orders, the Dreamliner programme -- already delayed almost three years before it began flying passengers in late 2011 -- is again in stasis. Carriers forced to withdraw their Dreamliners from service will demand recompense, while others due to take delivery in the next few months will be frantically making alternative plans.

Q&A: Dreamliner woes explained

With Boeing vowing to throw all its engineering resources at solving the problem over the next few weeks, it will mean other important projects being sidelined. And while a production line geared to turning out dozens of airliners a year cannot be simply be switched off, executives will be wondering whether it makes sense to continue producing aircraft that are currently grounded around the world.

Yet, believe it or not, Boeing bosses may be breathing a sigh of relief that things have turned out as well as they have. The U.S. company's share price has held up, and while the unprecedented grounding of its entire fleet of 50 Dreamliners -- the first time an in-service type has been taken out of action since the late 1970s -- is damaging to Boeing's image and finances, it may not be catastrophic.

Much depends on what the investigators find. The best scenario for Boeing is that the problem -- centered on two powerful lithium-ion polymer batteries -- is isolated. If regulators are convinced that a fix of the way the batteries are built or installed is sufficient -- and that measures are in place to minimize any risks from an overheated battery -- the 787 could be back in service within weeks.

The battery that grounded Boeing

A much worse case is that the malaise spreads to the entire electrical architecture of the Dreamliner, forcing a back-to-the-drawing-board rethink of Boeing's design philosophy. This might take the aircraft out of service for a year or more, and would bring the airframer close to financial meltdown as it battled with a crisis much worse than the delay it experienced getting the 787 to certification.

This, however, is extremely unlikely. While Boeing took a gamble in creating an aircraft so dependent on electrical systems and composite aerostructures, it has already gone through the lengthy and painful process of convincing regulators the Dreamliner is safe. That the authorities signed off on an aircraft with such a fundamental design flaw is close to inconceivable.

As for the other incidents that have beset the type over the past few months -- a fan shaft failure on an engine, an oil leak, a windshield crack -- all can safely be put down to teething problems. Most new aircraft experience issues of this sort, an inevitable consequence of a test program becoming a production aircraft and the sheer complexity of modern airliner design.

7 elements that make the Dreamliner special

The A380, the superjumbo from Boeing's arch-rival Airbus, has had its own travails, both pre-certification, when the whole wiring infrastructure was called into question, and after service-entry when cracks were discovered in wing ribs. It would be astonishing if the 787's closest competitor, the Airbus A350 XWB, due to go into service next year, does not suffer its own bedding-in challenges.

And, indeed, while you might imagine that executives in the French city of Toulouse, where Airbus is based, are relishing their opponent's travails, that is almost certainly not the case. In an industry rightly obsessed with safety, it is in nobody's interest to imply -- even subtly -- that another's product comes with any risk to passengers. Speed, economy, style, range, capacity: all may be product differentiators. But never, never safety.

Besides, Airbus too has staked its reputation on lithium-ion technology. The A350, like the 787, will use these advanced batteries to power systems such as its auxilliary power unit. As so often in this duopolistic industry, one manufacturer's technological step-change is followed by its rival. Airbus remains convinced that its lithium-ion battery architecture will deliver operational economies.

The grounding of the 787 fleet illustrates not the flaws in Boeing's industrial culture -- a rush to bring the airliner to market, a degree of over-innovation or a desire to please shareholders by outsourcing too much design and production -- but the rigor of a regulatory regime with a zero tolerance of any mote of imperfection. And, for anyone who flies, that is good to know.

The opinions expressed in this commentary are solely those of Murdo Morrison.

@highlight

Boeing's entire fleet of 787 Dreamliners has been grounded over a battery fire risk

@highlight

Grounding stalls the Dreamliner programme, which has a backlog of about 800 orders

@highlight

Murdo Morrison says the grounding demonstrates the rigor of aviation regulation

@highlight

Best case scenario is that the battery problem is isolated, Morrison says