Hong Kong (CNN) -- At this very moment, in a major Chinese city, a worker is boarding a train home.

His journey is just one of 3.4 billion trips that will be taken during China's Lunar New Year.

An unprecedented number of Chinese will travel home this year to be with family and friends during the holiday, making it the world's largest annual migration of people.

Their yearly homecoming has been repeated over and over for the past two decades, reuniting families in the villages with the workers who have fueled China's economic miracle.

But that growth has come at a tremendous personal cost thanks in part to a household registration system called "hukou."

The hukou is akin to an internal passport that divides the population into rural and urban residents. As such, migrant workers are prevented from accessing social services in the city they're working in.

Photos: China's great migration

The deeply discriminatory nature of China's hukou system came into clear focus last month after the fatal collapse of a bridge in Henan. Local media reports said victims' families with an urban hukou would receive 400,000 yuan in compensation compared to 180,000 yuan for those with a rural hukou.

The institutionalized restriction of people's movement in China goes back for centuries, and was re-introduced by the Communist Party after 1949. Labor rights activist Han Dongfang of China Labor Bulletin says China's booming economy in recent years has made many hukou restrictions disappear, especially those that restrict the freedom of movement.

"But restrictions on access to education, welfare, medical and housing benefits still exist and disproportionately affect the poorest and least educated citizens," he says.

"In effect, the hukou system now only targets the poor."

Opinion: Why I dread Chinese New Year

Han was a democracy activist who set up the Beijing Workers' Autonomous Federation during the 1989 Tiananmen Square protests. He has spent the last two decades in exile in Hong Kong, defending worker rights in China.

Though not many people outside China have heard of the hukou system, Han says they must for a very simple reason -- the bottom line. Meaningful hukou reform would bring more riches to China's workers and the world.

"If 200 million Chinese workers, which is only about one-third of the total labor force in China, become regular consumers and taxpayers, not only will China's economy benefit, the rest of the world will benefit as well, as China consumes more products and services from abroad."

Rob Schmitz, the China-based correspondent for Marketplace, often reports on labor issues in China. He puts the plight of China's migrant workers under the hukou system in simple and stark terms: "They are treated like illegal immigrants inside their own country."

And these "illegals" make up a major portion of the urban populace. Beijing may have a population of over 20 million, but migrant workers make up a third of its residents. Thanks to the hukou system, one-third of the population of the Chinese capital are without access to basic services like health care and education.

"One of the biggest issues within the hukou system is the children," says Schmitz. "Many children are born in the large cities where their parents have moved to. This is their hometown, as far as they know it... but once they turn a certain age, and if they want to go to college someday, they will have to move to where their household registration is in their 'lao jia' or home village."

It's no surprise that many migrant workers choose to leave their children behind in their hometown to be raised by their grandparents. They are called "liu dong er tong" or "floating children."

China Labour Bulletin estimates there are some 16 million children "floating children" in China. The group says they have a substandard education. They're more prone to violence and crime. They are more vulnerable to sexual abuse.

What fortune will the Year of the Snake bring you?

Beijing has vowed to reform the hukou system as part of a greater urbanization drive -- encouraging more Chinese to move to cities where they can earn more and spend more.

And China's newest generation of migrant workers are pushing -- and protesting -- for that reform to come quickly.

"Today's younger workers, who have greater aspirations and expectations than their parents, are much more likely to express their discontent with the system, especially the way it restricts their access to public schooling for their children, subsidized housing, health care, etc.," says Han.

"They see themselves as urban residents and believe more that they should have equal access to such services."

Suki Chung of Labour Action China adds that China's latest generation of workers are more rights-aware and willing to challenge the long-held registration system.

"For the first generation of migrant workers, their hometown subsidized them and their children could go to school at home. But the new generation want their family to stay in the city."

After two decades of the "Great Migration," China's latest generation of workers simply want to stay put.

To hell with the hukou.

@highlight

Household registration system "Hukou" behind China's mass migration

@highlight

System divides the population into rural and urban residents

@highlight

Citizens can only access social services where they are registered

@highlight

Migrant workers have restricted access to education, welfare, medical and housing benefits