(CNN) -- The long-term strategy behind America's military repositioning in Asia is gradually revealing itself. A series of moves over the past six months will set the stage for rebalancing U.S. naval, air and ground forces in the region.

In November, the United States announced a permanent rotation of Marines through Australia, the stationing of up to four ships in Singapore, and expanded military exercises with the Philippines. The White House also pledged that it would protect its Asia-Pacific military forces from upcoming defense budget cuts.

Prime Minister Yoshihiko Noda's visit to Washington this week came after an announcement about American forces in Japan. Some 9,000 Marines will be transferred from Okinawa, the prefecture that hosts the majority of U.S. forces in Japan, to three other sites: Guam, Hawaii, and -- on rotating training deployments -- Australia. The deal broke the gridlock that had been holding up a reduction of U.S. troops in Okinawa.

A mutual decision not to resolve the thorny issue of a replacement facility for Marine aviation stationed at Futenma eased the way, as did the Japanese agreement to pay more than a third of the $8.6 billion cost of the move.

Okinawa is part of the long Ryukyu Island chain that acts as a natural barrier between the East China Sea and the Western Pacific. U.S. forces have been stationed there since the Battle of Okinawa, the largest Pacific amphibious assault in World War II.

The United States retained possession of Okinawa until 1972, by which time U.S. forces had ensconced themselves in a series of military installations. In 1995, the rape of a 12-year-old Japanese girl by three U.S. servicemen sparked a furor over the vast military presence in Okinawa.

The inability to make good on a 15-year-old agreement to reduce the U.S. presence and hand back more than 20% of the land occupied by troops and to substantially reduce U.S. forces has been an open wound in an otherwise robust alliance with Japan.

The new deal should soothe but not solve local tensions. U.S. forces demonstrated their value in responding to last year's massive earthquake and tsunami, and they remain ready to deal with a range of potential near-term threats.

But the transfer of Marines from Okinawa is the latest element giving definition to a long-term strategy to preserve regional order and U.S. influence throughout Asia. These gradual changes are happening amid a variety of key debates: within the United States, about the necessity and affordability of a strong presence in Asia; within China about whether America's "return to Asia" is aimed at containing growing Chinese power; and within the region over the durability of America's commitment to underwriting order in the Asia-Pacific region.

There are good reasons for retaining but dispersing U.S. military forces throughout the region.

First, the Asia-Pacific region is of growing global importance economically and politically, a long-term trend that has made it a rising priority for U.S. administrations since the end of the Cold War.

There is indeed a desire to preserve a favorable balance of military power so as to deter and accommodate a re-emerging China; yet the retention of U.S. forces in the region is not designed to curb Chinese growth.

U.S. and Japanese leaders label this as dealing with "uncertainty." It hedges against a variety of contingencies, from conflict with North Korea to natural disasters, while also reassuring allies, engaging a larger number of regional partners, and allowing the United States to be a force for stability within an evolving regional order.

Second, these changes emerge from a longstanding need for better management of the U.S.-Japan alliance. To reduce the political if not the financial costs of stationing forces in Japan, the United States must lighten the burden on local populations, especially in Okinawa.

A closer integration of U.S. and Japanese forces is likewise under way. China portrays the U.S.-Japan alliance as a Cold War relic incompatible with expanding cooperation with China; but most regional neighbors see it as a reassuring bellwether of stability.

Third, the U.S. rebalancing redistributes forces from a few, fixed bases that are increasingly vulnerable to such emerging potential threats as China's missile, cyber and space capabilities, and maritime and air forces.

Retaining the III Marine Expeditionary Force headquarters and some forces in Okinawa, the United States is shifting two Marine Air-Ground Task Forces (each comprising about 2,500 troops) to an emerging strategic hub in Guam, rotating another through Darwin, Australia, and basing supporting elements in Hawaii. These forces are more resilient because they are more difficult to target, yet well poised to maneuver together in the event of a crisis.

In short, the shifting of U.S. forces in the Asia-Pacific region is designed to deter conflict, respond to contingencies, reassure allies and partners, and shape an evolving regional order, including cooperation on humanitarian assistance and disaster response.

Japan, once called an "unsinkable aircraft carrier," remains critical to U.S. basing strategy in the Asia-Pacific. Some 30,000 U.S. forces will remain based in Japan, about the same number as in Korea. The number is higher if you count U.S. forces afloat. But as prosperous Japan and South Korea assume more responsibilities for their defense, the United States has a strategic, fiscal, and operational need to redistribute its assets. The growing importance of islands, from Guam and the Northern Mariana Islands to Hawaii and other islands that will be used for prepositioning and training, helps build flexibility in the American Pacific strategy.

Various Obama administration officials place an emphasis on America as a "resident power" of the region rather than a foreign presence. But many in the region welcome U.S. military presence precisely because it hails from a distant great power capable of underwriting peace in a region riven by historical conflicts, territorial disputes, resource competition, and disparate values.

The emerging U.S. basing strategy is designed to build on America's long-standing presence while ensuring that its stabilizing power remains welcome for decades to come.

The opinions expressed in this commentary are solely those of Patrick Cronin.

@highlight

9,000 Marines will be tranferred from Okinawa to Guam, Hawaii and Australia

@highlight

This resolves a pact to reduce U.S. troops in Okinawa, easing local tensions

@highlight

Cronin: The move also balances U.S. military presence in the Asia-Pacific region

@highlight

Cronin: U.S. presence helps preserve order, influence in the fast-growing region