(CNN) -- Big company. Big salary. Big sendoff.

Jason Shellen says he left Google because the chance to build something new "outweighed the need for stability."

That's the formula millions of American workers used for years to map their career trajectory. Conventional wisdom advised workers to land a job with a big company and retire with generous benefits.

But there's a new breed of worker who is making that formula seem as quaint as a VHS tape. They are the ultimate risk-takers -- they leave large, successful companies to pursue their own dreams even though the economy is reeling.

They are people like Jason Shellen, who resigned as Google's manager of new business development in 2007 to launch Plinky.com, a startup that's designed to inspire bloggers and users of social media sites. Shellen says he was getting complacent working at Google, despite the company's domination of the Web.

He says he decided to leave Google despite a shaky economy because he wanted to force himself to change.

"Being an entrepreneur is all about risk and innovation, not timing the market," Shellen says. "A good idea doesn't wait for the perfect time to emerge. The ability to build something new outweighed the need for stability." iReport.com: Are you striking out on your own and starting your own project at home?

Why leave a sure thing?

Stability, though, seems to be a rare quality in the workplace. Those who contemplate leaving the corporate cocoon can't help but pay attention to the constant news about corporate layoffs.

Their challenge: Why leave a comfortable position in corporate America when there seem to be so few?

Michael Rhim had to face that question. He says he was a regional vice president at TIAA-CREF, a company that provides retirement plans for nonprofit groups. He says the company had 5,000 employees, $400 billion in assets and 17,000 clients at its peak.

But Rhim says he started contemplating a change because TIAA-CREF's corporate culture was changing. He started talking with a friend who ran a consulting firm, and he started paying attention to his emotions.

"It was getting more difficult to get up in the morning," he says. "I wasn't enjoying my old job as much as I used to. The more I talked about the job with my new partner, the more excited I got."

Rhim left TIAA-CREF in March of 2008. He is now an executive at a new company, PRM Consulting, which has 25 employees. Now he does much of his own typing. He can't take clients to fancy restaurants. He even uses recycled paper for scrap paper to save costs.

Though Rhim misses the perks of a large company, he says he received a lot more in return.

"There's much quick decision making," he says. "I work in a culture where we are not afraid to try new things."

Shellen, who resigned from Google to start Plinky, says the large resources of a company can actually slow down the creative process. A person might want to invent a product, but small things like the name of the product end up being discussed in a committee.

"You don't find that in a small company," he says. "At my new company, Plinky, we sometimes dream things up in the morning and by the afternoon have it live on the Web. That never happens at a big company."

Greater freedom is also what inspired Vanessa Fox to resign from her position at Google, where she helped build Webmaster Central, one of the company's most successful projects.

Today, Fox is the founder of "Jane and Robot," which helps Web site developers ensure their sites can be found by potential customers, and "Nine By Blue," which helps businesses use online data to better understand their customers.

Fox says the challenge of creating something in an evolving space like the Internet was too great to pass up.

"As hokey as it sounds, there's more to life than money," she says. "As much as I loved working at Google, I am really enjoying the flexibility I have now, as well as the ability to really make a difference in the direction I choose to go in."

Planning your exit

Those who leave the security of corporate life should not do it without research and a plan, some say.

The notion of suddenly bolting a cushy corporate dream to follow one's bliss may seem romantic. But some who've done it say those thinking about making a change should make a frank appraisal of their talents and latch onto something unique that they have to offer.

Rhim, the retirement planning consultant, says he knew the IRS would soon change the retirement plans for nonprofit groups. He knew his expertise would be in demand.

"I sat down and put together a three-month planning process," he says. "I knew there was going to be a market out there where firms needed additional guidance."

All the careful planning, though, didn't remove his fear, Rhim says. But he discovered something remarkable. Once he committed to leaving, doors suddenly opened for him: People materialized to help him and amazing coincidences led to business opportunities.

Rhim, a devout Christian, says it seemed like his leap of faith was being rewarded.

"No question, it was a scary proposition," Rhim says. "But my pastor preached about when you do the right things, the Lord will bless you as he sees fit."

Yet Rhim says he knew he couldn't just lean on faith.

"If you realize that you have some skill sets that are valuable, you can market yourself accordingly," Rhim says. "If not, you're sitting there, waiting to see if you're going to be downsized."

Rhim says he's happy with his move. He sometimes misses having the muscle of a big company behind him, but he no longer feels he's being controlled by larger forces.

He may have to do his own typing now, but at least he is writing his own script, he says.

"If you allow yourself to have other people continue to dictate your future," Rhim says, "you're at their mercy."

@highlight

Google manager leaves during slow economy to force himself to change

@highlight

He says large resources can actually slow down the creative process

@highlight

Exec at another firm misses big firm's muscle but enjoys trying new things

@highlight

Another ex-Google worker says, "There's more to life than money"