(CNN) -- Architecture buffs savor Chicago's buildings, but you don't have to be a connoisseur to appreciate the city's masonry and steel marvels.

Some of America's most influential architects worked in the Windy City.

The Chicago Architecture Foundation conducts more than 70 different kinds of tours and expects to lead more than 200,000 people through various corners of the city this year.

Chicago's reputation for world-class architecture took root during an 1880s building boom, spurred by the city's rapid growth as a transportation hub. The Great Fire of 1871 destroyed much of the city's original construction and set the stage for innovation.

CNN asked Jason Neises, the foundation's director of tours, to give us some highlights of Chicago's rich architectural history:

THE CHICAGO RIVER: BIRTH OF A CITY

"The Chicago River is really the centerpiece of the whole city, and it's the reason why Chicago is here -- this transportation network that allowed Chicago to grow into a world-class city," Neises said.

Much of the city's best architecture -- both historic and modern -- can be seen along the river, making river cruises a top draw for tourists.  See a gallery of Chicago's architectural highlights »

Don't miss:

The Wrigley Building and the Tribune Tower (at Michigan Avenue and Wacker Drive) were built in the 1920s to house the Wrigley chewing gum company and the Chicago Tribune.

333 West Wacker Drive, completed in 1983, features a wall of green glass that curves to follow a bend in the Chicago River.

DANIEL BURNHAM (1846-1912): CITY PLANNER

Burnham was an influential early Chicago architect but is most notable for his 1909 Plan for Chicago and its lasting influence on urban planning.

"Even in modern Chicago in 2007, people think about his plan when looking to do new things in the city," Neises said.

Early in his career, Burnham worked with William Le Baron Jenney, who is known as the "father of the skyscraper" for his work with metal-frame construction.

Later, Burnham and his partner, John Wellborn Root, built a number of buildings in what became known as the Chicago commercial style, which used metal framework to allow for taller buildings with larger windows and more open floor plans.

Don't miss:

The Rookery (1885-88), 209 S. LaSalle St. This building, designed by Burnham and Root, uses both load-bearing masonry and metal-frame construction, tracing the evolution of commercial architecture.

Santa Fe Building (1904), 224 S. Michigan Ave. Designed by D.H. Burnham and Co., the building is the former home of Burnham's own offices and now houses the Chicago Architecture Foundation. It's a mature version of the Chicago commercial style that developed in the 1880s.

LAKEFRONT PARKS: TESTAMENT TO FORESIGHT

The lakefront parks were protected from commercial development from the city's earliest days and incorporated by Daniel Burnham into his 1909 city plan, creating one of the most unique and enjoyable aspects of Chicago's urban landscape.

Don't miss:

Grant Park, south of the Chicago River, is the centerpiece of the park system. The expanse is home to the 1927 Buckingham Fountain and several of Chicago's top museums, and it hosts many of the city's popular festivals.

LOUIS SULLIVAN (1856-1924): AMERICAN VISION

Sullivan, one of America's most influential architects, rejected the tradition of copying historic European styles and worked instead to develop uniquely American buildings.

Sullivan believed that buildings should look organic and in harmony with their environment, and he developed the "form follows function" philosophy.

Don't miss:

The Auditorium Building (1886-1890), 430 S. Michigan Ave., was designed to house a theater, a hotel and offices, and is widely recognized as Sullivan and his partner Dankmar Adler's masterpiece.

FRANK LLOYD WRIGHT (1867-1959): DESIGN REVOLUTION

Wright, widely considered to be the greatest architect of the 20th century, started his career in Chicago working first for Joseph Lyman Silsbee and soon after for Adler and Sullivan. Louis Sullivan was Wright's mentor.  Slide show: Learn more about Frank Lloyd Wright »

Wright developed the Prairie style in the Chicago area, revolutionizing residential architecture. The style is characterized by accentuated horizontal lines and a fluid relationship between a structure and its environment.

Don't miss:

Frank Lloyd Wright's home and studio (1889-1898) at 951 Chicago Ave. in Oak Park, Illinois, is open for tours and accessible via public transportation.

The Robie House (1909), 5757 S. Woodlawn Ave., is a masterpiece of the Prairie style.

ART DECO: JAZZ-AGE AESTHETICS

Chicago's rapid growth in the 1920s and '30s created a need for new office buildings reflective of the jazz-age style.

"This is the era of steam ship travel across the Atlantic and some of the first airplanes and these wonderful, long, streamlined automobiles. And that same design sensibility was translated into architecture," Neises said.

The resulting buildings were smooth, with little applied ornamentation and an emphasis on unbroken vertical lines.

Don't miss:

The Chicago Board of Trade Building (1930), 141 W. Jackson Blvd., designed by Holabird and Root, exemplifies art deco's emphasis on verticality.

LUDWIG MIES VAN DER ROHE (1886-1969): EMERGING MODERNISM  Mies van der Rohe's innovation brought Chicago's architecture to the world stage again in the 1940s with his glass and steel highrises.

He designed some of the first modernist buildings in the city, embracing modern materials and technology.

"If you're building a steel building, why would you disguise that as a stone building? Celebrate the steel, celebrate modern technology, put materials together artistically in a modern way," Neises said, explaining Mies van der Rohe's style.

Don't miss:

860-880 Lake Shore Drive (1949-1951). These glass and steel apartment towers are among the city's most famous post-World War II buildings.

CHICAGO MODERNISM: GROWING INFLUENCE

Pioneered by Mies van der Rohe, modernism in Chicago was proliferated in the '50s and '60s by his students and followers.

Modernist architects believed that the form, shape and volume of a building, rather than its ornamentation, should express its beauty. These ideas came to dominate commercial and institutional architecture for decades.

"It's a very kind of 'thinky' way of trying to design buildings, which is what's a little bit off-putting for some people," Neises said. But this is the reason he enjoys giving the foundation's Modern Skyscrapers tour.

"I can't always get people to like this stuff, but I can get them to appreciate it."

Don't miss:

The Inland Steel Building (1956-57), 30 W. Monroe St. Designed by Skidmore, Owings and Merrill (the same firm that designed the Sears Tower), this dramatic skyscraper clad in stainless steel was the first skyscraper to be built in the Loop after the Great Depression.

MILLENNIUM PARK: A NEW ERA

Millennium Park, which opened several years late in 2004, combines art, architecture, music and landscape design to great effect. At Michigan Avenue and Randolph Street, the park has quickly become one of the most popular tourist destinations in Chicago.

Don't miss:

The Jay Pritzker Pavilion is an undulating outdoor concert venue designed by Frank Gehry.

"Cloud Gate," British artist Anish Kapoor's reflective elliptical sculpture, invites visitors to see themselves in its surfaces from every angle. Chicagoans affectionately refer to it as the "Bean."

@highlight

The Chicago Architecture Foundation conducts more than 70 different tours

@highlight

Some of America's most influential architects worked in the Windy City

@highlight

Chicago's reputation for world-class architecture took root in the 1880s