Washington (CNN) -- Tensions between the United States and Russia over the crisis in Crimea have exploded into an open row as Russia rejects U.S. diplomatic efforts to solve the impasse.

Russian Foreign Minister Sergey Lavrov said Monday that U.S. Secretary of State John Kerry postponed a face-to-face meeting with Russian President Vladimir Putin to discuss American proposals, which Moscow has effectively rejected, on solving the crisis.

The meeting, which Russia said was supposed to happen Monday, would have marked the highest-level contact between the two countries since Russian troops took up positions in Crimea, and would have come ahead of Sunday's potentially explosive vote on whether Crimea should split from Ukraine and join Russia.

But Kerry told Lavrov he needed to know Moscow would engage seriously on a diplomatic solution before meeting with the Russian leader. He also wanted to see and end to Russia's "provocative steps" before traveling to Russia.

Relations between Russia and the West have grown increasingly tense since Russian soldiers seized effective control of the pro-Russian region. The United States and other European powers have threatened possible sanctions in response to Russia's moves, but Moscow has shown little sign of backing down.

A senior U.S. official said a proposal, which Kerry presented to Lavrov in Paris on Wednesday, summarized several rounds of talks Kerry and his counterparts from Britain, France and Germany held separately with Lavrov and Ukraine's foreign minister. Because Lavrov was not authorized to negotiate in Paris, Kerry gave him the list of ideas to take back to Putin.

According to the senior U.S. official, the Kerry proposal calls for Russian troops to return to their barracks and for the disarming of so-called "self-defense" militias in Crimea who, although they don't wear insignia, are believed to be Russian. International monitors would be dispatched to Crimea and other parts of Ukraine as part of the proposed plan.

Washington also insisted Moscow drop plans in the Duma to annex Crimea and end its support for next Sunday's referendum by Crimeans to join Russia. The U.S. also wants Russia to support a deal between the new Ukrainian government and the International Monetary Fund on a program to shore up the country's fragile economy.

The plan hinges on talks between Russia and Ukraine on ending the crisis. Kerry and the British, French and German foreign ministers spent the better part of Wednesday trying unsuccessfully to get Lavrov to meet with Ukraine's foreign minister, who flew on Kerry's plane from Paris to Kiev.

Russian lawmakers to debate bill on Crimea joining nation

Because Russia does not recognize the new Ukrainian government, Lavrov was reluctant to sit down with the foreign minister for direct talks.

U.S. and its European allies have proposed the two sides could talk as part of a "contact group" which also includes the U.S., Britain, France and Germany

The Kerry plan also integrated some elements of the February 21 deal to end the standoff between protestors in Kiev and former President Viktor Yanukovich. Even though Moscow never joined Germany, Poland, and the United Kingdom in signing the pact, it had some concessions to Russia, including a national unity government, a return to the constitution and early elections.

On Friday, U.S. President Barack Obama and President Putin spoke by phone and agreed that Kerry and Lavrov will continue talking to try and find a diplomatic solution to the crisis. Later that day, Lavrov called Kerry and invited him to Sochi for a meeting with Putin on Monday. Kerry said he would think about it, but that disturbing developments on the ground in Ukraine and Crimea were closing the space for diplomacy.

When they spoke again on Saturday, Kerry told Lavrov he wasn't ready to meet with Putin. The two of them needed to make more progress on their own talks, Kerry said. Furthermore, Kerry said Russian military moves on the ground and discussions about the referendum in Crimea and the Duma's plans to annex the region would make negotiations difficult.

Kerry sent a refined proposal to Lavrov after that Saturday phone call, described as a list of questions to get a better understanding of the Russian position. Lavrov traveled to Sochi on Sunday to discuss the one-and-a-half page document with Putin.

The official said that the U.S. government has yet to receive an official answer from Moscow about the ideas.

But Russia seems uninterested in the U.S. concept of sitting down with the Ukrainian government.

In a televised meeting with Putin Monday, Lavrov said even Kerry's revised proposal still fell short and "raises many questions on our side" because the starting point is acceptance of the "coup d'Ã©tat" that overthrew Yanukovich.

"The document contains an approach which doesn't quite suit us, as the entire wording suggests there is a conflict between Russia and Ukraine," Lavrov said, adding that Russia would be submitting counterproposals to the American plan.

"We prepared, together with members of the Russian Security Council, our counterproposals. They aim to resolve the situation on the basis of international law and take into account the interests of all Ukrainians without exception," he said.

The Obama administration seems reluctant for Kerry to travel to Russia for a meeting with Putin that could deliver very little.

Kerry is prepared to take part in talks "if and when we see concrete evidence that Russia is prepared to engage" with Washington's proposals, State Department spokeswoman Jen Psaki said, adding that Russia must engage in talks with the Ukrainians.

"The point is we're not just going to walk into something, where they're just going to say `no, no, no' to everything and we've traveled all the way there. We're not going to do that," another senior U.S. official added.

The White House said President Obama would meet Ukraine's new prime minister in Washington on Wednesday, warning Moscow would face even more outside pressure if it took any further steps toward annexing Crimea.

Opinion: Russia is playing a weak hand very strongly

@highlight

Kerry postpones a meeting with Putin, says Russian Foreign Minister Lavrov

@highlight

Meeting would have marked highest-level contact between the two nations over Crimea

@highlight

Kerry presented a proposal to Lavrov in Paris on Wednesday

@highlight

Official: U.S. has yet to receive an official answer from Moscow about Kerry proposals