(CNN) -- President Barack Obama spoke with Egypt's president moments after Hosni Mubarak addressed his country, telling the Egyptian that he must make good on his promises and avoid a violent response to the thousands of protesters in the streets.

With parts of his capital ablaze, Mubarak said he was asking his government to resign and would soon announce a new one, pledging to address the concerns of thousand of Egyptians protesting in Cairo's streets.

"I just spoke to him after his speech," Obama said, "and told him he has a responsibility to give meaning to those words, to take concrete steps and actions that deliver on that promise. Violence will not address the grievances of the Egyptian people. Suppressing ideas never succeeds in making them go away.

"This moment of volatility has to be turned into a moment of promise," Obama said.

The U.S. president repeated his administration's call for the Egyptian government to restore access to the internet and cell phone service and urged "concrete steps that advance the rights of the Egyptian people."

Obama's remarks, delivered from State Dining Room, were the strongest yet from the United States. "There must be reform," he said, "political, social and economic reforms that meet the aspirations of the Egyptian people.

"In the absence of these reforms," he said, "grievances have built up over time.

"The United States will continue to stand up for the rights of the Egyptian people and work with their government in pursuit of a future that is more just, more free and more hopeful," he concluded.

In his remarks, Mubarak was clear that he had no intentions of stepping down -- yet his resignation is what the protesters are demanding. And privately, U.S. officials fear that Mubarak may be in over his head as protests against his 30-year rule showed no signs of ending.

A senior administration official said the White House saw Mubarak's address as "hardly conciliatory and highly disappointing, but what did you expect?"

It's clear, the official said -- speaking on condition of anonymity because of the sensitivity of the matter -- that Mubarak believes he can ride this out, "and this time, we're not so sure that is the right assumption." Administration officials had hoped Mubarak would promise an immediate and open dialogue, the official said.

Before the speech, senior U.S. officials had similar thoughts, worrying that the Egyptian government may not realize all it is up against or what the protesters are saying. Mubarak, they said, has two choices: to embrace meaningful reforms or to continue the crackdown.

The United States is being very careful not to be too tough on the Egyptian leader directly, the senior officials said, because they fear that might drive the government into a survivalist mentality, causing a further crackdown.

The officials said conversations with the Egyptian government are taking place across the U.S. administration, including with U.S. Ambassador to Egypt Margaret Scobey, who has participated in several videoconferences with Washington during the day.

A senior State Department official said, "our initial impression is that he emphasized security far more than reform."

"We'll see what the implications for the government reshuffle are, but he was not particularly forthcoming in the speech," said the official, who couldn't speak on the record because of the sensitivity of the situation.

Earlier, White House spokesman Robert Gibbs said the administration is "very concerned" about the situation in Egypt, adding that at risk could be economic and military aid from the United States.

"This is a situation that will be solved by the people of Egypt," Gibbs said. "We are watching very closely the actions of the government, the police and all of those in the military."

The United States will review its "assistance posture" to Egypt based on events that take place in the coming days, he said.

Gibbs declined to elaborate how the United States might alter relations with a key ally in the region but urged restraint as massive demonstrations have resulted in widespread property damage, including at the offices of Egypt's ruling party.

That building was burned and ransacked by protesters in Cairo on Friday, Nile TV reported. A CNN witness saw the building ablaze.

Gibbs said the collective consequences of the government's actions will be the subject of a review in determining whether the U.S. will alter assistance toward Egypt.

"Within that review is military" assistance, Gibbs said.

Egypt receives about $1.3 billion in military aid from Washington every year, second only to Israel, and has received nearly $30 billion in economic aid since 1975, according to State Department figures.

"The die is cast," said Leslie H. Gelb, the president emeritus of the Council on Foreign Relations. "The administration has made clear that it leans toward the demonstrators."

Gibbs said, "we've reach a point where the grievances of the people have to be addressed through concrete reforms" but would not elaborate on the potential fallout if the Mubarak government -- considered a strategic ally in the region -- does not survive the protests.

"We don't know who these people are or if they are at all capable of putting a government together," Gelb said, cautioning of a power vacuum left by the possible collapse of the three-decade-old government.

Often considered a crucial power broker in the Middle East, Egypt has played major roles in Israeli-Palestinian peace talks and in controlling the Suez Canal, a strategic passageway for trade across the region.

Earlier Friday, Secretary of State Hillary Clinton called on Egypt's government "to allow peaceful protests and reverse the unprecedented steps it has taken to cut off communications."

"We are deeply concerned about the use of violence by Egyptian police and security forces against protesters, and we call on the Egyptian government to do everything within its power to restrain its security forces," Clinton said Friday, referring to the unfolding crisis in several Egyptian cities where tens of thousands of demonstrators clashed with state security forces.

"At the same time, protesters should also refrain from violence and express themselves peacefully," she said.

"As a partner, we strongly believe that the Egyptian government needs to engage with the Egyptian people immediately," Clinton said. "They need to view civil society as their partner, not a threat."

Servers of Egypt's main internet provider were down early Friday, including servers for the Egyptian government's sites and for the U.S. Embassy in Cairo.

Early Friday, Gibbs said that he is "very concerned about violence in Egypt," tweeting that the "government must respect the rights of the Egyptian people & turn on social networking and internet."

But at least one internet service provider, Noor, was still working.

The U.S. State Department on Friday urged Americans traveling abroad to "defer non-essential travel to Egypt."

"U.S. citizens in Egypt should remain in their residences or hotels until the situation stabilizes," the agency added in a written travel alert.

The agency warned that Egyptian security forces may block off the area around the U.S. Embassy as a result of massive demonstrations that have set vehicles ablaze and resulted in widespread property damage.

"U.S. citizens should not attempt to come to the U.S. Embassy or the Tahrir Square area at such times," the statement said, urging Americans to carry identification and a working cell phone.

Delta Air Lines spokeswoman Susan Elliott said Friday that the carrier's last flight from Cairo will depart on Saturday, and all other Cairo service is indefinitely suspended as a result of the civil unrest.

President Barack Obama has requested "multiple briefings" on Egypt, White House spokesman Tommy Vietor said Friday.

He has not called Egyptian President Hosni Mubarak, the target of the protesters' anger, "but there is daily contact between the U.S. and Egyptian governments through various channels, including the embassies and other organizations in which Obama's messages and concerns are relayed," Vietor said.

Former Clinton Defense Secretary William Cohen said Obama is likely reluctant to call Mubarak "without it appearing that we are directing what Mubarak should do and he is responding to the control of the United States."

"I think that, if anything, one might ask why hasn't President Mubarak called President Obama and said, 'Are you with me or against me?' I mean, that would be a call that might also be worthy of consideration," Cohen said.

Obama has urged the government and demonstrators to refrain from violence as protests continued.

"It is very important that people have mechanisms in order to express legitimate grievances," he said this week.

Vice President Joe Biden said on "PBS NewsHour" on Thursday that Mubarak should listen to protesters but rejected claims that the embattled Egyptian president is a dictator.

Still, Biden said, "violence isn't appropriate, and people have a right to protest."

Obama received information on Egypt from national security adviser Tom Donilon on Friday and is expected to receive additional updates throughout the day.

He noted Thursday that Mubarak has been "very helpful on a range of tough issues," but he said he has pushed the Egyptian leader to take steps toward reform.

On Wednesday, Gibbs said the U.S. administration was "monitoring quite closely the situation in Egypt and continue to do so, obviously, in Tunisia."

The protests in Egypt started after weeks of similar disturbances sparked a revolution in Tunisia and forced then-President Zine El Abidine Ben Ali to flee the country.

"This is an important time for the government to demonstrate its responsiveness to the people of Egypt in recognizing those universal rights," Gibbs said.

CNN's Elise Labott and John King contributed to this report.

@highlight

NEW: Obama calls Mubarak and tells him to openly address his people's grievances

@highlight

Privately, officials worry that Mubarak may be underestimating the protests

@highlight

Mubarak asks the government to resign

@highlight

Gibbs said the U.S. will review its "assistance posture" to Egypt