Beijing (CNN) -- When it comes to fighting corruption, virtually all Chinese give the "thumbs up."

They liken it to "a rat scampering across the street -- everyone is crying 'beat it up!'"

This resentment is mirrored in recent public opinion polls, which list graft among the respondents' top grievances, along with pollution and the rising cost of living, according to the state-run Xinhua news agency.

Far from ignoring this growing discontent, President Xi Jinping's new administration has been targeting Communist Party officials and government bureaucrats whom they believe to be guilty of "severe breaches of discipline," a favored euphemism for corruption.

The Chinese refer to more minor officials accused of corruption as "flies" and their more senior counterparts as "tigers."

So far, the campaign has claimed more flies than tigers.

But the list of high-flying officials who have gone from fame to shame include Bo Xilai, the fallen former party chief of Chongqing, who was recently put on trial and is now awaiting the court's verdict.

Timeline: Bo Xilai scandal

The campaign has also snared the former railway minister, Liu Zhijun, who was meted a suspended death sentence, and Liu Tienan (no relation), a former vice minister of the powerful National Development and Reform Commission.

Big catch

However, the big news this week has been the dismissal of Jiang Jiemin, 58, the minister of the state-owned Assets Supervision and Administration Commission (SASAC), for "serious disciplinary violations."

Jiang's dismissal is stunning news. He is a member of the Central Committee, the Communist Party's policy-making body, and has supervised all the central state-owned Enterprises (SOEs), which generate massive revenue and jobs.

He was promoted into the post only last March. Before that, he was the former chairman of China National Petroleum Corp (CNPC), one of the biggest Fortune-500 companies in China.

His dismissal follows investigations into Li Chuncheng, a former deputy party chief of the southwestern Sichuan province, and four other top oil executives.

Many of these officials are known to be allies of Zhou Yongkang, who held senior positions in China's oil industry. He wielded enormous influence over China's security apparatus when he served as a member of the nine-person Politburo Standing Committee until he retired last November.

Rumors

This has prompted rumors on Chinese social media that Zhou is also being investigated.

"If the stories about Zhou Yongkang are true -- and the naming of his associates as targets of corruption investigations surely indicates he is under pressure -- then Xi Jinping is taking China in an especially dangerous direction," said Gordon G. Chang, author of the book "The Coming Collapse of China." "I think the Communist Party is in the early stages of tearing itself apart," he added.

Chang says Xi faces grave political risks if he is indeed targeting Zhou.

"Since the end of the Cultural Revolution, senior leaders, as a means of ensuring unity and continuity of Communist Party rule, have honored the agreement not to prosecute each other," Chang said. "If they can no longer be sure they are safe in retirement, politics will inevitably return to the brutishness of the Maoist era. Deng Xiaoping lowered the cost of losing political struggles. Xi Jinping is raising the stakes, perhaps to extremely high levels."

Other analysts are not convinced that Xi is going after Zhou just yet.

"It will be too destabilizing, "said Joseph Cheng, professor at the City University of Hong Kong. "Xi Jinping wants to use the anti-corruption campaign to enhance his popularity and consolidate his power.

"Cases of Bo Xilai and Liu Zhijun were initiated by his predecessors. Xi wants to show that he too is also going after important officials and is ready to tackle vested interests. He wants to do this before the Third Plenum of the Communist Party."

Economic reforms

The plenum, a bi-annual conclave which sets major policies, is now scheduled to convene in Beijing in November.

The new Chinese leadership is expected to unveil a package of economic reforms later this year to stimulate domestic consumption as an alternative source of growth instead of relying on investment and exports that have propelled the economy for the past 30 years.

Cheng says Xi is showing strength, not weakness, by going after powerful vested interests.

He says Xi's anti-graft campaign is tied to economic reform. "He wants to reduce the privileges of the state sector, to make it more competitive and innovative, and to offer a level playing field to the private sector," Cheng explained.

On the political front, however, Xi has shown little sign of loosening up.

A document, known as "Document No. 9" and distributed internally by the Communist party's central committee, warns that "Western forces hostile to China and dissidents within the country are still constantly infiltrating the ideological sphere." These opponents, the document says, "have stirred up trouble about disclosing officials' assets, using the Internet to fight corruption, media controls and other sensitive topics, to provoke discontent with the party and government."

Public pressure

But with China's economy slowing, the rich-poor gap growing and social tension intensifying, analysts say Xi needs to champion initiatives that resonate with the public, such as fighting graft.

Since taking over the reins as China's paramount leader, Xi has issued warnings about how corrupt practices risk soiling the party's image and threaten national stability.

"We must uphold the fighting of tigers and flies at the same time, resolutely investigating law-breaking cases of leading officials and also earnestly resolving the unhealthy tendencies and corruption problems which happen all around people," Xi said in a speech addressing the Communist Party's top discipline body, Xinhua reported in January.

Xi has even directed the spotlight on the People's Liberation Army, where his wife Peng Liyuan serves as a senior officer. He has issued directives banning drinking and extravagant dining -- particularly among senior officers -- and called for audits of military-owned assets.

More recently, the PLA issued a directive tightening approval of gala performances by army singers and dancers. Military performers, like Peng, are now asked not to perform in privately-funded performances and casinos, and not to take part in local TV talent shows.

They are also ordered not to set up companies or studios for personal financial purposes.

While Xi may earn praise for showing his resolve in tackling corruption, it remains to be seen if he can sustain the campaign long enough to eradicate "all the rats which still roam the corridors of power" in China.

@highlight

President Xi Jinping's new administration has been targeting corrupt officials

@highlight

Former rising star Bo Xilai has been the most high-profile case so far

@highlight

But some analysts wonder whether this drive is politically-motivated

@highlight

Joseph Cheng: "Xi's anti-graft campaign is tied to economic reform"