(CNN) -- Actor Edward James Olmos wishes he could trace his family's Mexican history back 100,000 years, but he'll have to settle for 1930 for now.

In what one online genealogy firm say is an extraordinary trove of data for American families of Latino descent, the complete 1930 Mexican census is being distributed publicly for the first time.

It's considered a rich mine of information because that year's census is Mexico's earliest, most accurate accounting of its population, with 90% of its people counted, according to the firm Ancestry.com.

That sort of family lore -- compiled just after Mexico recovered from its tumultuous, bloody Revolution of 1910-20 -- not only piques the interest of prominent Latinos such as Olmos but also stands to sate the curiosity of 31.9 million U.S. Hispanics of Mexican descent. America's own 2010 census just elevated Latinos to the No. 2 group for the first time.

The 1930 Mexican census is so antique that it consists of nearly 13 million hard-copy pages, with rows and columns filled out by hand in florid penmanship.

The handwriting evokes a bygone era dramatically at odds with the digital age that is making those documents available for free on Ancestry.com. Other genealogy firms have put pieces of the census online, but Ancestry.com says it's providing the entire 1930 census online for the first time, spokesman Sean Pate said.

"This is the most important document we have for Mexican-American people in this country," Olmos said in an interview with CNN. The Oscar-nominated actor is working with the online firm to trace his family's Mexican history.

Like the waves of European immigrants before them, many Latinos have only oral histories of their origins, Olmos said. The 31.8 million Americans of Mexican descent account for most of the country's 50.5 million Hispanics, according to the Pew Hispanic Center.

"Short of the verbal history that went from person to person, family to family, we really never knew more than that," Olmos said. "This is the first time we've had a document.

"For me, it's building my self-esteem and self-respect as to who I am and for the people who sacrificed for me to be where I am. Now I know who they are and what are their names. Now you want to know more about those people. I would like to go back 100,000 years if I could," Olmos said.

Mexico's 1895 census is considered the country's first national census, but those records aren't available to the public and aren't considered as complete as the 1930 census, said representatives for Ancestry.com, which claims to be the largest online family history resource.

The 1900, 1910 and 1920 censuses aren't regarded as complete and reliable as the 1930 census -- officially called "El Quinto Censo General de Poblacion y Vivienda 1930, Mexico," or the Fifth General Census of Population and Housing, according to Ancestry.com's representatives.

The 1930 census doesn't include citizens from the federal district, which includes Mexico City, but it's historically significant because it marks how federal officials sought to make it a vehicle for national unity, said officials with the online firm.

An "aggressive propaganda campaign" emphasizing the civic duty to participate in the census resulted in the "extremely high participation rate," and that's why the 1930 count is considered the best Mexican census of the 20th century, the online firm said.

The records list the names of persons in a household and contain many fields of information: Name, age, gender, birthplace, address, marital status, nationality, religion, occupation, real estate holdings, literacy, any physical or mental defects and even any Indian language spoken.

Ancestry.com says the 13 million records reveal several facets about Mexico in 1930:

The most common female name was Maria, and the most common male name was Juan.

The three most common surnames were Hernandez, Garcia and Martinez.

Famous Mexicans in the census include Maria Felix (1914--2002), who was among the best-known Mexican actresses, and Carmello Torres Fregoso (Bernardo del Carmen Fregoso Cazares; 1927-2003), a renowned bullfighter who later became a successful businessman, the company said.

Nearly 18% of the population were recorded as "soltero" (single); 11% were "casado por lo civil y la iglesia" (civil and church marriage); 10% were "casado por la iglesia" (church marriage); and 8% were "union libre" (free union, or living together without marriage).

The four most populous Mexican states were Puebla, Veracruz, Jalisco and Oaxaca.

"As the United States is home to the second-largest Mexican community in the world, Mexican-Americans comprise 10% of the total U.S. population. Therefore, it is fitting that the world's largest online family history resource now has an expansive collection to serve this important demographic," said Josh Hanna, Ancestry.com executive vice president, in a statement.

The firm announced the free availability of the documents on its website this month because it's National Hispanic Heritage Month.

Olmos said the 1930 census would make genealogical research easier and more reliable -- especially because records haven't been evenly maintained in Mexico's history.

For example, Olmos spent eight years trying to find his father's birth certificate in Mexico, he said.

In the end, he never found the birth certificate, but he did find "a birth memoir inside a hospital" that noted his father's birth in Mexico City in 1922, Olmos said.

"He walked out of the hospital and someone marked it down. That's how we got him," Olmos said of his father's birth.

Olmos, who himself was born in Los Angeles in 1947, used that hospital memoir for his father's birth to obtain dual citizenship with Mexico several years ago, he said. Olmos' mother was also born in Los Angeles, so securing his father's Mexican birth record was critical to Olmos' quest to obtain a second, Mexican citizenship, he said.

The 1930 census could streamline such family research, he said.

"This is where I believe people will gain strength. As soon as you start to investigate, it's like a mystery," Olmos said. "My mother, who's 85, knows quite a bit, but we're now finding about aunts and uncles and grandparents. That's exciting. It really empowers us."

@highlight

The 1930 census is Mexico's best of 20th century, online firm says

@highlight

Actor Edward James Olmos calls census "most important document"

@highlight

There are 31.9 million Americans of Mexican descent

@highlight

The entire 1930 Mexican census is now online for free