Ebola has come to the United States -- first in the form of sick Americans brought home for treatment, now with one confirmed case in Dallas and others being monitored -- and public concern over that reality includes a pointed question: Who's in charge of stopping Ebola before it can spread?

The global threat of the deadly virus is so serious that on Friday, Vice President Joe Biden likened Ebola to the brutal ISIS fighters in Iraq and Syria: Together, they're "the wolves closest to the door," Biden said.

A series of events has unfolded since a visiting Liberian citizen in Texas became the first-ever Ebola case diagnosed in the United States this week: 50 more people in Dallas are being monitored for the disease. Officials struggle to clean a contaminated apartment there. And a patient in Washington, D.C., who recently visited Nigeria was hospitalized Friday and was being monitored for health issues that could be associated with Ebola.

So, who's in charge of the battle against Ebola?

It's a partnership between the federal Centers for Disease Control and Prevention, and state and local governments where an Ebola case occurs, said CDC Director Tom Frieden.

But local officials ultimately are in charge of each case, he said.

"We work very closely with state and local governments, and when there's an episode in a state or local government, they are in charge, and we support them in every way," Frieden told CNN on Friday.

"They assign an incident manager. They establish an emergency operations system. They outline every aspect and we work very closely ... There's a great collaboration," Frieden added.

In the Ebola case in Dallas, authorities at the state, county and city levels are working with the CDC.

Specifically, it's Dallas County that's in charge, said Dallas County Judge Clay Jenkins, also director of the county's Homeland Security and Emergency Management.

The county has "set up an Incident Management Center and is acting as the lead agency for the Ebola investigation and containment," said the county judge, who is vested with broad judicial and administrative powers under the Texas Constitution.

Have there been any government snafus?

Yes.

Not surprisingly, there's bureaucratic red tape that has slowed government response to Texas' Ebola case and its attendant concerns.

For example, the CDC sent a medical waste contractor to a Dallas apartment where Ebola patient Thomas Eric Duncan, 42, had stayed and where his sweat-stained bed sheets and towels were still inside the unit.

In fact, the days-long presence of the contaminated linens in the apartment was a controversy in itself. Duncan's partner, by whom he has a child and whose first name is Louise, told CNN about how she and three family members were being forced to live with the soiled materials since Sunday, when an ambulance took an ill Duncan to the hospital. Louise and the three relatives are in the apartment under a quarantine enforced by police.

But the medical waste contractor couldn't begin the job Thursday because a Department of Transportation permit was needed to transport this type of unprecedented hazardous waste on Texas highways, a CDC spokeswoman said.

By midday Friday, the contractor began cleaning the apartment.

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases, acknowledged "there are things that didn't go right in Dallas" but added many responses went well too.

"Even though there were missteps there, there were good things that happened," Fauci said Friday.

Has there been criticism?

Yes, largely from Republicans.

Even before the first case on U.S. soil, U.S. Sen. Rob Portman, R-Ohio, urged President Barack Obama, a Democrat, to appoint one federal official to lead the U.S. strategy to address the worldwide Ebola outbreak, especially in Africa.

"Unfortunately, the lack of a central coordinator to facilitate cooperation between all of the U.S. efforts at home and abroad appears to have led to a delay in an effective U.S. government response and an absence of financial and operational accountability," Portman wrote to Obama last month.

This week, another Republican, Sen. Jerry Moran of Kansas, urged Obama to appoint to an "Ebola czar" to address the outbreak in Africa, Moran told BuzzFeed News.

Moran, however, didn't make any reference to the ongoing Texas situation.

"There is no person to go to, to tell us how all this is going to be funded," Moran said of the U.S. response to the Ebola outbreak in Africa.

"I don't think there is a person in charge," he added. "And I don't think there is a plan internationally to bring the folks together to combat this."

For its part, the United Nations has set up the first-ever U.N. emergency health mission, the Mission for Ebola Emergency Response, to deal with the "the unprecedented outbreak" of Ebola, the agency said.

What does Obama say about a U.S. Ebola czar?

No.

Obama doesn't want one.

The White House said the structure of the federal response is "sufficient," with particular officials leading the way on both domestic and international fronts.

"On the question of why we have not tapped an 'Ebola czar,' we are cognizant that doing so would create another layer of bureaucracy," a senior administration official said.

"To be sure, our response needs to be as nimble and as bureaucratically lean as possible in order to bring the overseas epidemic under control," the official said. "We feel the current structure we have in place is sufficient."

On Friday, Lisa Monaco, Obama's homeland security and counterterrorism adviser, said the U.S. government has been "enhancing our domestic preparedness to respond" to cases like Texas.

"The United States has the most capable health care infrastructure and the best doctors in the world, bar none," Monaco said. "The United States is prepared to deal with this crisis, both at home and in the region. Every Ebola outbreak over the past 40 years has been stopped."

CDC Director Frieden applauded the U.S. domestic response and cited how Texas has successfully established an incident management system.

"That's been done in Texas. They've done exactly what we've recommended. They have an incident manager in place. We're supporting that person. The state of Texas is supporting that person, and I'm confident we'll break the chain of transmission there," Frieden said.

@highlight

Local officials ultimately are in charge of each U.S. Ebola case, CDC says

@highlight

But there have been problems between governmental units in the Dallas case

@highlight

Some Republican senators urge Obama to appoint an Ebola czar

@highlight

But the White House says no, stating that the leadership is sufficient