At the heart of the largest natural grassland in Europe lies the Hortobagy National Park -- a stunning slice of rural Hungary that's home to a strange array of beasts.

The park, 800 square kilometers of pastures, marshes and bird-filled meadows, was awarded World Heritage status in 1999, and is managed by centuries-old farming practices.

Stock herders and csikos horsemen -- Hungary's answer to cowboys -- oversee breeds of curly-haired pig and scimitar-horned cattle.

Here's how to experience the best animal attractions in Hungary's wild east:

Puszta safari

To ride a safari bus out into the puszta -- loosely translated as "barren land" but actually 250 acres of rich, fenced-in pasture -- is to take a trip several thousand years into the past.

The puszta teems with prehistoric beasts that, long before the arrival of man, roamed central Europe's grasslands and beyond.

There are free-living herds of rare Przewalski's horses and wild asses.

Jurassic Park-style scientific back-breeding has also brought back herds of massive-horned auroch cattle

Ancient predators, including wolves, wild cats and jackals, which once roamed the plains, now stalk these spacious enclosures.

There are also aviaries holding eagles, vultures and, oddly, pelicans.

Hortobagy Wild Animal Park, Hortobagy--Malomhaza; +36 52 589 000; daily safaris

Fishponds railway

The narrow-gauge Hortobagy-Halasto railway carries passengers through 16 square kilometers (4,000 acres) of ponds, lakes and marshes.

The ponds were dug by hand in the early 20th century for rearing fish but have since reverted to wilderness and become one of Europe's most important wetlands.

For birders there are small delights, such as pygmy cormorants, blue throats and bearded tits, as well as spectacular flocks of spoonbills, avocets and marsh harriers, which can be seen from watchtowers, hides and boardwalks.

Hortobagy Fishpond & Narrow-Gauge Railway; +36 52 589 000

Puszta Zoo

The Allatpark isn't so much a zoo as a farm experience featuring the puszta's unique breeds of livestock in an activity center where visitors can try their hand at traditional rural skills.

There are opportunities to get close to scimitar-horned Hungarian gray cattle, dreadlocked Racka sheep with spiraling horns, and Mangalica pigs sporting long russet curls.

''Curly" domestic animals are a Hungarian passion, with local pigeons, geese and dogs all having been given the perm treatment through selective breeding.

Allatpark visitors can try cracking a drover's whip, throwing a "rabbit stick" at wooden bunnies, lassoing a bull's horns and drawing water from a "sweep well."

Puszta Rare Breed Park/Puszta Zoo, Hortobagy; +36 52 701 037

Bird hospital

Madarpark, an infirmary for treating avian injuries in the village of Hortobagy, is a positive response to the bleak reality of car hits, orphaned fledglings and accidents caused by electricity cables.

Rescued and injured birds are predominantly big raptors.

Visitors can watch through the glass wall of the hospital theater as wings and legs are reset.

There are also platform viewing points in the walk-through aviaries where birds, including huge white-tailed eagles and storks, learn or re-learn, to fly.

Falconry demonstrations and an "eagle flight simulator" (a zipline ride that involves being suspended from a giant eagle figure) are also offered.

Hortobagy Bird Park, 6 Petofi Square, Hortobagy; +36 52 369 181

Hortobagy festivals

Hortobagy holds annual celebrations of every aspect of traditional and natural life, and most involve animals.

The agricultural year starts in late April when shepherds, swineherds and cattle drovers, all in full costume, drive their animals onto the puszta for the summer.

In June, there are national competitions for herdsmen, csikos horsemen and other equestrians.

In the fall, tens of thousands of cranes congregate at the Fishponds, prompting a festival in their honor.

Trick riding exhibitions

The skills of Hungary's whip-cracking horsemen have their roots in the tribes of Central Asia, and a history of herding and banditry.

Horses were trained to lie flat in the grass to make them "disappear" in exposed country while riders' saddles were designed for quick getaways.

The most spectacular of these "Wild East" cowboys skills is more modern and involves standing on the backs of two galloping horses while controlling another three thundering along in front.

Such flamboyant displays can be seen on trips involving a horse-drawn carriage ride into the pastures from Hortobagy's Mata Stud.

Mata Stud, Hortobagy-Mata; +36 52 589 369

Herdsmen Museum

Not so much about the animals as the way of life they've inspired, this museum shows and explains the traditions of Hungary's herders.

Information here includes snippets such as the fact that horsemen use indigo "skirts" worn over breeches and boots to cope with winter cold and summer heat.

And who knew that a tanned ram's scrotum makes a perfect tobacco pouch?

There's also help deciphering semaphore-style messages using the gantry arms of water wells that the locals set to alert others to outlaws, or dinner.

The museum isn't just a glimpse into the past.

Outside, there are herders and csikos who still carry, use or wear what's on exhibit inside.

Herdsmen Museum, Hortobagy, 1 Petofi Square; +36 52 369 040

Information on events, wildlife, sights and accommodation, as well as booking for most tours, can be found at Hortobagy National Park Visitor Center, 30 Petrofi Square; +36 52 589 000

@highlight

Hungary's answer to cowboys, csikos horsemen, oversee cattle on Hungary's plains

@highlight

Careful breeding has brought species such as auroch cattle back to the area

@highlight

Hungary's "Wild East" is also home to important wetlands