Moscow (CNN) -- An American businessman who lost his company, health and freedom in Russia is now struggling to merely stay alive.

Arkadi Gontmakher is the owner of the company that used to be the largest U.S. crab importer from Russia. Two weeks ago, he was unanimously acquitted by a 12-member jury in a high-profile court case in Russia's remote Kamchatka region. But earlier this week, he was charged with an almost identical set of criminal violations, according to his family and lawyers.

"Gontmakher is suspected of (laundering the profits from selling) crab products in 2006-2007 fished in Russia's exclusive economic zone, without having proper permission," said senior investigator Galina Saigushkina, who is leading the new probe. Speaking to CNN from the city of Petropavlovsk-Kamchatsky, eight times zones east of Moscow, she said Gontmakher is now in a hospital under orders not to leave.

According to Russian law, if convicted, he could be jailed for up to 10 years, in addition to the more than 39 months he already spent in prison since his 2007 arrest.

But because of his deteriorating health, he may not even be able to go through another trial. Gontmakher's certified medical records, which were obtained by CNN, show he has a number of cardiac disorders, including serious atrial fibrillation. He is, in the words of his wife, "at death's door."

"I have a congenital heart illness that was exacerbated during my years in prison. I badly need heart surgery but they don't do the kind of operations that I need in Russia, let alone here," Gontmakher said in a phone interview from a cardiology clinic in Kamchatka, where he is under police surveillance. "My heart rate routinely reaches 170-180 beats per minute. I've had illness bouts almost every day in the past few weeks that lasted anywhere from eight to 14 hours. On top of that, I have chronic kidney problems.

"Seems like they'll keep coming up with more charges until I finally die," he said.

Gontmakher and his legal team have continuously appealed to Russian authorities about his severe heart condition that needs immediate treatment.

But Saigushkina said no such appeals were "presented to the investigation -- neither by Gontmakher not by his defense lawyers."

The Ukrainian-born Gontmakher, now 53, is the founder of the Washington-based crab importing company Global Fishing Inc. Nicknamed in the U.S. media the "King Crab King," he was arrested in Moscow in September of 2007 and charged with leading an international criminal group which was conducting massive crab overfishing off Russia's continental shelf and laundering its illicit proceeds, according to the Russian Interior Ministry.

The investigation report asserted that in the first half of 2007, he and his partners illegally caught 9 million kilograms (9,000 tons) of prime king crab worth about $58 million.

The court trial lasted from May to mid-December of 2010 and was interrupted several times due to Gontmakher's heart ailments. But eventually the jury reached a not guilty verdict on all counts for the crab king, as well as for two of his Russian business associates who stood in the dock with him. Moreover, jurors ruled that the events of the crimes didn't occur in the first place, according to Gontmakher's lawyer.

But as the two Russians were set free, police rearrested Gontmakher in the courtroom just minutes after his acquittal, with a notice that he was suspected in another criminal case going back to 2006, and needed to be interrogated without delay, his lawyer said.

The stress caused by this news catapulted Gontmakher back to the hospital's intensive therapy ward.

"I had been purchasing my crab in Kamchatka from a whole range of Russian fishing companies, to keep two of my processing factories, in the U.S. and in China, busy," he explained.

"I was buying all my crab from a seafood warehouse in South Korea -- after the Russians caught it, pre-processed it and delivered it there, with proper customs declarations, acceptance certificates and other papers proving the origin and legality of the produce. I didn't have any crab-fishing ships, I was only a wholesale buyer," Gontmakher said. "And with all of my Russian sellers I had always applied exactly the same business model as in the case that I had been charged for but found innocent of."

"In this case I'm being held responsible for doing the same kind of business but with another Russian partner," he said.

"As far as his new case is concerned, those are different charges, other than those he had been acquitted of in court," investigator Saigushkina said, refusing to elaborate any further.

Ever since the breakup of the Soviet Union in 1991 and the following economic chaos in Russia, seafood harvesting, and especially crab fishing, has been a highly-lucrative but shadowy business in the country's resource-rich Pacific coast. Rampant poaching and overfishing in the region in the 1990s has brought the highly-priced Kamchatka king crab to the brink of extinction.

In the past few years, the government managed to impose a firmer grip on the industry, and introduced heavy restrictions on crab fishing. Nevertheless, poaching and exceeding legal harvesting limits are still common, according to authorities.

Gontmakher's Russian lawyer, Vladimir Odyagaylo, said that knowing how things work in Russia, he believes his client could have been set up by unscrupulous competitors who wanted to sideline the successful American. However, Odyagaylo said he didn't have any hard evidence of that.

Responding to a question about corruption in the Russian crab-fishing business, he said, "Up until 2002, when the harvesting quotas were single-handedly distributed at the whim of the local governor, it was a very criminalized industry. But after 2002, quotas were auctioned, and anyone could openly buy them."

He added that his client had no links to crab poachers whatsoever.

Global Fishing, Inc., was founded by Gontmakher in 1999 in Washington state. It was the largest American importer and supplier of Russian crab and other seafood products to the United States and internationally. A once growing multi-million dollar business, it shut down operations soon after Gontmakher was first arrested in 2007.

Arkadi's wife, Elena, said in an e-mail to CNN from the family's home in the Bridle Trails area of Bellevue that the situation "is a true tragedy for our entire family and Arkadi himself.

"His younger son has not seen his father for more than three years, he's now turned eight years old. Our older son is now 25. We are extremely worried for Arkadi, especially now, when he badly needs qualified surgery," she wrote.

"We don't see an end to this police persecution. How long can an innocent man be tormented after having been acquitted by a jury trial?"

@highlight

Crab merchant Arkadi Gontmakher says he is in poor health

@highlight

His company was once the largest importer to the U.S. of Russian seafood

@highlight

He's being charged with counts similar to those of which he was previously acquitted