Washington (CNN) -- It's less of a tongue-twisting jumble than the phrase "Patient Protection and Affordable Care Act."

"Obamacare."

The sleek, slang word used by some to describe the health reform law signed by President Barack Obama has taken on a roller-coaster trajectory of its own, first coming into favor with Republicans as a criticism of the law, and more recently, as the subject of Democratic efforts to reclaim it.

The Supreme Court is expected to hand down a decision on the law's constitutionality this week.

What the court has to say could shape the next step in the word's evolution, experts say.

It premired before the president was elected or even became the Democratic nominee. And it premired long before the heated congressional debates over the law.

Around the peak of its use in Congress, Rep. Debbie Wasserman Schultz, a Democrat, rose in objection to the word being used in the House of Representatives.

"Mr. Speaker, is it a violation of the House rule wherein members are not permitted to make disparaging references to the president of the United States," she asked on February 18, 2011. "In two previous gentlemen's statements on the amendment, both of them referred to the Affordable Care Act, which is the accurate title of the health reform law, as 'Obamacare.' "

That month, a record -- which was broken a few months later -- was set for the number of times 'Obamacare' had been uttered in Congressional speeches: 272 times, according to an analysis by the Sunlight Foundation.

That analysis showed the word has been used nearly 3,000 times since its debut as a phrase on Capitol Hill in July 2009.

The word was first put in print in March 2007, according to The New York Times, when health care lobbyist Jeanne Schulte Scott penned it in a health industry journal.

"We will soon see a 'Giuliani-care' and 'Obama-care' to go along with 'McCain-care,' 'Edwards-care,' and a totally revamped and remodeled 'Hillary-care' from the 1990s," she wrote.

It first appeared on the campaign trail in May of that year, when Romney distinguished his effort on health reforms as governor of Massachusetts.

"In my state, I worked on health care for some time. We had half a million people without insurance, and I said, 'How can we get those people insured without raising taxes and without having government take over heath care,'" he said in Des Moines, Iowa, advocating for states to find free market solutions.

"And let me tell you, if we don't do it, the Democrats will. If the Democrats do it, it will be socialized medicine; it'll be government-managed care. It'll be what's known as Hillarycare or Barack Obamacare, or whatever you want to call it."

On the campaign trail since, he has defended himself from charges of similarities between "Romneycare" and "Obamacare" -- including a critique from a rival presidential candidate that the two amount to "Obamneycare."

Perhaps confronted with the pervasiveness of the word, Democrats began an effort to redefine it -- an effort which began after it was signed in the summer of 2010.

By August 2011, Obama was using the word in some of his own speeches.

"So part of the Affordable Care Act health care reform, also known as 'Obamacare,' " he said at a town hall meeting in Cannon Falls, Minnesota. "I have no problem with folks saying "Obama cares." I do care. If the other side wants to be the folks who don't care, that's fine with me."

A CNN/ORC International poll released this month showed 43% of Americans favor the law, 37% think it too liberal, and 13% oppose it because it is not liberal enough.

David Plouffe, Obama's 2008 campaign manager, commented in a March interview on CNN's "State of the Union" on the messaging of the law's opponents.

"We've had hundreds of millions of dollars spent in propaganda against this law, just a torrent of money distorting it," he said.

That month, Obama's campaign encouraged supporters to tweet their support of the bill marked with a social media tag, "#ilikeobamacare." But George Lakoff, professor of cognitive science and linguistics at the University of California at Berkley, does not see near-term success in attempts to associate the word with a positive connotation.

"It's possible but it's very difficult," he said. "Obamacare activates the conservative viewpoint, that part of the brain."

Part of the trouble for Obama lies in the law's official name -- the Patient Protection and Affordable Care Act -- said Lakoff, who writes about the messaging of health care politics in his new book, "The Little Blue Book: The Essential Guide for Thinking and Talking Democratic."

"He could have called it 'The American Plan.' It would be harder to argue against 'The American Plan,' " he continued. "Any cognitive scientist could have told him that was a dumb name."

Martin Medhurst, professor of rhetoric and communication at Baylor University, puts significant stock regarding the word's future in the upcoming constitutional judgment.

"It was applied with a negative connotation, but were the Supreme Court to uphold the law, Obamacare might overnight become a positive context," he said. "Just because something is intended to be framed in one way doesn't necessarily mean that it will be interpreted that way forever."

The law's most steadfast opponents may not change their views based on the court's ruling. It could have an impact on the way the important November constituencies think about it.

"You only have to convince the people who were ambivalent or are in the middle," Medhurst said.

But for now, the actual language of the law is not as important as the way it is discussed and debated.

"Most of the language people are hearing is not the law itself because nobody has read the law," Medhurst said.

@highlight

The word has taken on a roller-coaster trajectory of its own

@highlight

It has been used nearly 3,000 times since its debut as a phrase in July 2009

@highlight

Confronted with the pervasiveness of the word, Democrats began an effort to redefine it