In May, SpaceX became the first of the new generation of commercial aerospace companies to deliver cargo to the International Space Station. The cargo delivery was part of the first flight test of the integrated Falcon-9 launch vehicle and the Dragon capsule spacecraft with rendezvous and berthing mechanism systems.

By all accounts, the major test objectives were successfully achieved. Previously, such spacecraft and operations had only been achieved by governments. What made this a historic first was that a commercial company had done it. The news was widely covered in the international media, especially in the United States.

One month later, China launched its fourth crewed space mission, Shenzhou-9. This was also a history-making flight, in that China, which had in 2003 become only the third nation capable of launching astronauts into space (and is now only one of two, since the retirement of the U.S. space shuttle in 2011), demonstrated crewed rendezvous and docking to their orbital module, Tiangong-1. The crew also featured China's first female astronaut. They spent several days docked to Tiangong-1 conducting various operations, before safely returning to Earth on Thursday night.

China's mission was widely covered in the international media, but the coverage in the United States was notably quieter than that of SpaceX. This is somewhat understandable, as SpaceX is an American company. But the sentiment of many in the United States is that the Chinese mission was a big "So what?" After all, the United States and Soviet governments had demonstrated crewed docking missions back in the 1960s, and operationally, China is still far behind.

The difference in U.S. attitudes toward these two accomplishments is striking. This is especially interesting given the relative positions of the two. SpaceX is off to an impressive start, but it will be several years from now before they (and/or other commercial players) could have an operational, crewed orbital spacecraft. China, on the other hand, has a relatively mature human spaceflight program that is nearly a decade old.

We downplay China's accomplishments at our own peril. That the United States and the Soviet Union demonstrated crewed rendezvous and docking operations more than 40 years ago is not the point. The point is, now the Chinese can do it, too.

China's first crewed space docking was a giant step. It enables the Chinese to build and operate their own space station, establish the technology that is necessary to efficiently send astronauts to the moon and beyond, build and operate fuel depots, and construct vehicles and bases in space.

Opinion: Will China overtake America in space?

The commercial efforts to low Earth orbit, which SpaceX achieved, are only a piece of the U.S. space program. The other much larger piece is exploration of deeper space. This is the domain of government space agencies. In this, the United States must not scale back.

I have seen China's space technology. It is impressive. What the Chinese lack is operational experience. In that, we are still far ahead. But we in the know hear footsteps. It's time not for another government space race, but for expanded space cooperation and collaboration -- an effort the United States would lead, as it does today with the International Space Station program. Bring China into the international fold. This is how we can retain the leadership position. Otherwise, we risk falling behind.

@highlight

Leroy Chiao: China's first manned space docking in June was a giant step for the country

@highlight

Chiao: We celebrated SpaceX's mission, but were notably quieter about China's mission

@highlight

He says: We downplay China's accomplishments at our own peril

@highlight

Chiao: We don't need another space race, but we must not lose our leadership in space