ATLANTA, Georgia (CNN) -- Terrorism, a slow economy and rising gas prices are issues that can keep American voters awake at night.

Undecided voters gathered at Emory University, where Dr. Drew Westen studies how brains react to messages.

Political strategists know that the most successful candidates are masters at capitalizing on fears such as these, and that can make a huge difference at the polls.

In 1964, Lyndon Johnson was running for president against conservative Barry Goldwater when his campaign unleashed the "daisy ad." It showed a little girl counting as she plucked a daisy, charmingly mixing up her numbers. Then a baritone voice takes over,  counting down to an overwhelming nuclear explosion. It's followed with a warning that the stakes are too high not to vote for Johnson.

The ad, which ran only once, was so chilling and effective, analysts say, it helped Johnson win the presidency by one of the widest margins in U.S. history.

CNN recently gathered eight undecided voters to see how they would respond to attack ads and how the ads might affect their choices. They met at Emory University in Atlanta, Georgia, where psychologist Drew Westen studies how brains react to candidates' messages.

Westen, who wrote "The Political Brain," said fear-based attack ads are effective because they tap into a voter's subconscious.

"Those kinds of gut-level reactions tell us things like, 'I don't feel like this person is telling us the truth,' " Westen said. "Unless someone is a really good con man, those reactions are extremely helpful. The conscious brain processes only a tiny percent of information."

Westen and his business partner, Joel Weinberger, have created software, through their company ThinkScan, that looks into a voter's subconscious. The software does this by measuring people's reaction time to certain words after they watch attack ads.

The undecided voters in CNN's group watched the ads and were then asked to identify the color of words such as "weak," "inexperienced" and "terrorist." If they hesitated, even for one-thousandth of a second, before they clicked on the color that corresponded with the word, Weinberger said, it meant the word had an impact.

"If the word is on their mind, if the word was activated, it will slow them down," Weinberger said.

Westen predicted that the undecided voters would say they didn't like the ads and that the ads had no impact on them. He was right.

The group watched Hillary Clinton's "3 a.m." campaign ad, which was intended to make voters question Barack Obama's experience. Viewers said that the ad was fear-mongering and that it did not make them think Clinton was a stronger leader than Obama. But the data, Westen said, showed that their brains reacted differently.

Voters had the greatest hesitation with words like "weak" and "lightweight" during the color test. Westen said this meant the ad made them question Obama's readiness.

"The purpose, too, is to make him seem scary, dangerous. 'You need to be afraid of this guy as president,' " Westen said. "That message unconsciously got through."

The undecided voters also watched an ad attacking John McCain for saying the U.S. could be in Iraq for the next 100 years. After watching the ad, the group gave it a thumbs-down. But researchers said the data showed that it left them feeling McCain has poor judgment and is too close to President Bush.

The results were identical when the same test was given to a much larger group of 100 voters.

This happens because the ads trigger a response in the part of the brain called the amygdala, which experiences emotions such as fear. When it is aroused, it overrides logic, according to Westen.

Despite the ability of attack ads to affect voters' subconscious thinking, Westen cautions that fear-based ads are risky because they can backfire.

What advice does Westen have for presidential hopefuls?

"They should make voters feel inspired by them and worried about their opponent at the same time," Westen said. "It works."

@highlight

Fear-based attack ads are sometimes used by candidates to influence voters

@highlight

CNN gathered eight undecided voters to measure the impact of attack ads

@highlight

Psychologist Drew Westen says fear-based ads appeal to voters' subconscious