Baghdad, Iraq (CNN) -- The Iraqi government claimed gains in its fight against militants Tuesday, a day full of dizzying developments.

The quick advance by the Islamic State in Iraq and Syria has seen large portions of northern Iraq fall under its control. ISIS wants to establish a caliphate, or Islamic state, that would stretch from Iraq into northern Syria.

Here's a look at the latest:

U.S. military advisers arrive in Iraq

Ninety U.S. military advisers arrived in Iraq on Tuesday as part of the mission President Barack Obama announced last week, Pentagon spokesman Rear Adm. John Kirby said.

Those troops will join 40 other U.S. service members, who were already in Iraq working at the embassy in Baghdad and have been reassigned to this new mission, he said.

U.S. military personnel are supposed to assess the situation on the ground and then "advise and assist" Iraqi military forces as they try to counter the threat from ISIS militants, Kirby said.

Fight for Baiji oil refinery

Iraqi security forces are still fighting ISIS and allied Sunni insurgents at the Baiji oil refinery, Hussain al-Shahristani, the deputy prime of energy affairs, said in a statement released Tuesday.

He refuted Arab and Western reports that the oil refinery had fallen into the hands of ISIS, saying they were spreading propaganda for ISIS.

Late Monday, three separate security sources told CNN that ISIS fighters were in control of the Baiji refinery, the sprawling complex that provides much of the fuel needed for domestic consumption.

Iraq's military spokesman, Maj. Gen. Qassim Atta, told reporters in Baghdad on Tuesday morning that the military was in control of the refinery, a claim that was also carried by state-run Iraqiya TV.

The claim comes a day after Atta told reporters that fighters had launched a new attack and were using bulldozers as they advanced. He said the advance was repelled and fighters sustained losses.

State-run TV reported Iraqi special forces involved in the fight for the refinery killed a militant leader called Abu Qatada. It offered no evidence of the death, nor did it detail how he was killed.

CNN cannot independently confirm any of the claims.

The competing claims follow days of reports of a seesaw battle for control of the refinery complex in northern Salaheddin province, about 193 kilometers (120 miles) north of Baghdad.

Kidnapped Indian workers freed

Seventeen Indian workers kidnapped by ISIS in Iraq have been freed, according to India's External Affairs Ministry.

"Heading home! 17 Indians rescued in Iraq from conflict zone were brought to Baghdad and now are heading home," the ministry said in a post on Twitter.

Kirkuk city council leader killed

The head of the Kirkuk city council, Munir Kafili, was killed Tuesday when gunmen shot him, police officials told CNN.

Kafili, a minority Turkmen, was driving his car in southern Kirkuk when gunmen opened fire, they said.

Kirkuk is an ethnically mixed city, with a population of Sunni, Shiite, Kurds and Turkmen, located about 260 kilometers north of Baghdad.

10,000 ISIS fighters in Iraq and Syria

The United States calculates there are up to 10,000 ISIS fighters in Iraq and Syria, including those who broke out of prisons in Iraq and Sunni tribesmen, several U.S. officials have told CNN in recent days.

It is unknown how many are in Iraq versus Syria because it's not clear how many go back and forth across the border and how many loyalists joined ISIS as it took over various towns in Iraq, the officials say.

The belief is ISIS is currently functioning as an "increasingly capable military force" with "capability and dexterity," one official said.

One crucial question is whether they will be able to hold onto both new territory and past gains as they take more territory and are "stretched" thin.

The answer lies, officials say, in whether the current support of some Sunnis is a so-called marriage of convenience or a long-term partnership even though the Sunni tribes, to a large extent, do not support the ISIS agenda.

Senior ISIS figures killed?

Two senior ISIS figures -- an Algerian militant named Abu Omar al-Baghdadi and Abu Hafsa, the self-styled governor of Tikrit and Salaheddin provinces -- were killed late Monday in airstrikes in Saddam Hussein's hometown of Tikrit, Sabah Al-Nouman, a spokesman for Iraq's counterterrorism service, told CNN on Tuesday.

Al-Nouman offered no evidence of the deaths, and CNN cannot independently confirm the claim.

ISIS fighters seized Tikrit during its lightning advance in northern Iraq earlier this month.

The Iraqi military began an offensive against Tikrit on Sunday, according to reports on Iraqiya TV.

Government paychecks

Prime Minister Nuri al-Maliki's government announced Tuesday that it will pay government employees who live in "unstable areas" under the control of Iraqi security forces, according to a statement released by the Cabinet.

Those living in areas "outside of government control" will still be paid, but their paychecks will be held and released when military operations end, it said.

The Cabinet, according to the statement, has decided to given an "open holiday" to government employees who live in areas under the complete control of ISIS fighters and allied Sunni militants.

Civilian deaths climb

At least 757 civilians were killed and 599 were injured during the al Qaeda splinter group's advance in northern Iraq between June 5 and 22, according to figures released by the United Nations mission in Iraq.

The number of casualties "should be viewed very much as a minimum," and it includes verified summary executions and extra-judicial killings of civilians, police and soldiers, UNAMI said.

The casualties occurred in Nineveh, Diyala and Salaheddin provinces, the agency said.

At least another 318 people were killed, and a further 590 injured during the same period in Baghdad and areas in the south, many of them as a result of at least six separate car bombs, the agency added.

Military spokesman: Iraq regains control of two border crossings

Atta, Iraq's military spokesman, said Iraqi security forces have regained control of two key border crossings after briefing losing them.

In a briefing aired on state TV, Atta said Iraqi forces, with the help of Sunni local tribes, retook al-Walid, a border town that connects Iraq with Syria. He also said Iraqi forces have retaken the Trebil bordering crossing between Iraq and Jordan.

Atta also said Iraqi forces controlled the area between Samarra and the northern border of Baghdad.

He also said fighting continues in northern Babylon province, south of Baghdad, with ISIS elements. Atta did not detail the fighting nor did he say when it started.

He offered no evidence of the claims, and CNN cannot independently confirm the report.

CNN's Barbara Starr and Mohammed Tawfeeq contributed to this report.

@highlight

The United States calculates there are up to 10,000 ISIS fighters in Iraq and Syria

@highlight

ISIS wants to establish a caliphate, or Islamic state, that would stretch into both countries

@highlight

UN: At least 757 civilians were killed during the group's advance in northern Iraq