(CNN) -- Last Wednesday, a Twitter fight erupted between technology experts Michael Arrington, founder and former editor of TechCrunch, and Vivek Wadhwa, a technology researcher and writer, after a screening of CNN's documentary, "The New Promised Land: Silicon Valley."

Arrington said a few very clear things about his view of the state of diversity in Silicon Valley. Among them: There may be very few African-Americans in Silicon Valley, but despite this Silicon Valley is a pure meritocracy, and one becomes successful because he or she has a "big brain." Vivek disagreed. As an Indian-American entrepreneur, he said he sees significant bias in Silicon Valley, and even recounted a specific instance where he was told, "You people don't make good CEOs."

First, let me say, I think Arrington truly believes everything he has said about the tech world being a meritocracy. Lots of people believe it.

But not me. I would more properly say that tech markets are a meritocracy. There are very few businesses where an individual in his or her bedroom can create a piece of software that can potentially touch millions of people, and do this without seeking any additional capital. No matter how talented you are, if you want to open a hot new restaurant or a shoe factory, you need lots of money before you start. Not necessarily so with software.

Consumers and businesses, for the most part, don't care about the ethnicity of their software or Internet service vendor. Users want solutions. So if an entrepreneur can get a great product completed cheaply, he or she can often compete on a totally even footing with anyone else. Even if the entrepreneur ultimately needs capital, explosive initial success knocks down all known barriers.

But the market makers operate in a world that is not particularly evenhanded. The market makers are the folks who help new young companies and entrepreneurs by providing insight, mentoring, capital and relationships. This part of the tech world is driven by all the same biases that exist in the nontech world. And it is much harder for even the most talented African-Americans in the tech world to gain access to influential, insightful, connected mentors, let alone investors.

Why is this? For the most part, people want to work with people who are "like them" or who fit a pattern that appeals to them. There is an actual term for this among tech investors called "pattern matching." It's the idea that, without objective facts, one can decide whether someone is likely to be successful based on indirect criteria. In other words, when they see a particular pattern of "personhood," they are excited.

Watch trailer for CNN documentary "The New Promised Land: Silicon Valley"

These patterns are discussed openly in the tech industry around issues like age. Since it is only moderately politically incorrect to suggest that younger entrepreneurs are "better," it is done all the time. The best example of this might be Mike Moritz from Sequoia Capital, perhaps the most influential of all venture funds, admitting in a Building 43 interview that they have a strong bias toward very young entrepreneurs.

But if you believe that age is the only criteria that venture capitalists use for pattern matching, I wanna smoke some of what you've got.

To be clear, I am not saying any venture capitalist says at a partner meeting, "You know I really like this company's product, but did you notice he's a Negro?"

Never happens.

But I firmly believe, based on my 25 years in this industry, that market makers, both investors and the people who help you get ready to approach them, seek out entrepreneurs who appeal to them on some less than objective, visceral level, who feel "comfortable" to them. They don't need to actively filter out undesirable profiles. They just focus on what does appeal to them.

Soledad O'Brien: Michael Arrington is right (about one thing)

They focus on the "patterns" they find appealing -- age is arguably a part of many investors' ideal pattern, but so are perhaps unacknowledged criteria like race, gender, cultural affinity, etc. On some level this should not be shocking, as it reflects socialization that all of us must work hard and consciously not to act on.

Is this racist/sexist/ageist? Well, in this context, using incendiary labels is only likely to make people more defensive. The bigger question is, is it a problem? Absolutely.

It's not just a personal impression. In a recent study, industry analyst CB Insights found that less than 1% of all venture capital money went to digital start-ups with African-American founders in 2010.

Is it possible to overcome these barriers? I have. I have developed successful, best-selling, award-winning products and I have raised tens of millions of dollars. But it is only by a sheer persistence and focus that few other people -- white, black, or otherwise -- have. I would never suggest that I am smarter than anyone else, but my Arnold-Schwarzenegger-in-"Terminator"-like determination has made my successes possible. Yes, I have definitely had help and support, but compared to some, not so much.

In fact, some people get far more support than others. For example, when a top tier venture capitalist writes a $5 million check to a 19-year-old with a barely beyond napkin stage idea, no customers and a fragile technology because they "present well," then clearly something else is at work beyond merit. This exact scenario may not be common, but it does happen. But it does not happen for African-American, or for that matter, Latino or female entrepreneurs.

So the bottom line is, if the level of determination that I have was required from everyone, no matter their race, on some kind of moderately equal basis, it would indeed be a level playing field -- a meritocracy. But it's not.

The opinions expressed in this commentary are solely those of Hank Williams.

@highlight

Hank Williams:TechCrunch founder recently called Silicon Valley a meritocracy

@highlight

This started Twitter spat with Indian-American entrepeneur, who says it's not so

@highlight

Williams: For minorities trying to connect with mentors in tech field, playing field uneven

@highlight

Williams: Less than 1% of venture capital went to digital startups of blacks in 2010