(CNN) -- What have unions done for us lately? Other than give us Labor Day, and a three-day weekend to start football season.

The answers may surprise you.

Unions have long been part of our nation's history, fighting for better pay, safer working conditions, health care and retirement benefits, education and civic participation. Unions have brought diverse voices together, and their struggles have elevated the working conditions, the standard of living and the recognition of not just their members, but of all who labor.

Unions played a major role in ending the sweatshops and child labor so common at the beginning of the 20th century. The International Ladies' Garment Workers' Union, or ILGWU, was one of the first unions to have a primarily female membership. And in the aftermath of the tragic Triangle Shirtwaist Factory fire in 1911, in which more than 100 mostly young immigrant women were killed, the ILGWU was at the forefront of reforming working conditions and pushing for comprehensive safety and workers' compensation laws.

Unions aren't a "thing of the past." They're a vital part of our social fabric and economic future. Did you know, for example, that unions run the largest career training program outside the military? Union apprenticeship programs generally partner with employers or industries to provide the kind of training that hard-wires excellence into workers and places them in good jobs that can support families. That's worth a lot when unemployment is stubbornly high and personal incomes are falling. I challenge you to watch this quick video about union-trained military vets who are rebuilding the World Trade Center without getting misty-eyed.

Did you know that union letter carriers save lives all the time by alerting officials when an elderly person hasn't collected her mail from the mailbox? That firefighters are fighting breast cancer? That in Erie, Pennsylvania, union members arranged haircuts for more than 700 kids going back to school?

In just about every community, the union movement partners with the United Way, and together they do amazing things -- from cleaning up after storms to building wheelchair ramps and running food banks.

Unions have had their problems -- what organizations do not? -- and it's convenient for some politicians to belittle the contribution or usefulness of unions. Indeed, much of the public has lost touch with what unions do and who they are. Unions are just folks -- people who come together to improve their lives and their workplaces, because there's strength in numbers.

The one thing the public does know is that union members, thanks to collective bargaining, have higher wages and better benefits. But union membership actually raises living and working standards for all working men and women -- union and non-union. When union membership rates are high, so is the share of income that goes to the middle class. When those rates fall, income inequality grows -- the middle class shrinks and the 1% gets richer.

Collective bargaining affects more than wages and benefits. Union teachers bargain for smaller class sizes. Union nurses bargain for better patient care. When they're successful -- when they're not shut down by Scott Walker-type governors -- we all win.

Working together, union members and their community allies also make up a powerful lobby for the common good. They've helped secure for us all the eight-hour day, job safety laws, overtime pay, Medicare and Social Security, civil rights protections, fair treatment for women and lesbian, gay, bisexual and transgender workers and much more.

These are some of the reasons even people who don't fit the stereotypes of union members have formed unions. Rocket scientists. Architects. Taxi drivers in New York, who are getting health care for the first time.

Carwash workers in Los Angeles. Professional athletes. Writers and directors for TV shows. Go to a movie and you're enjoying the work of one of America's most unionized industries, from the actors and camera crews to set designers.

But maybe the most important contribution of unions has to do with basic dignity. Memphis, Tennessee, sanitation workers, aspiring to become American Federation of State County and Municipal Employees members, picked up signs that declared proudly, "I Am a Man," and formed the setting for the Rev. Martin Luther King Jr.'s "I've Been to the Mountaintop" speech.

One of the core tenets of unionism is that all work has dignity. All work deserves respect. And all the people who perform it deserve respect.

So even as Labor Day weekend recedes, say "thank you" to someone whose work you respect and rely on. And thank a union for the weekend while you're at it.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Unions have done much to improve the lives of most Americans

@highlight

She says they do community service, help raise wages, improve working conditions

@highlight

Brazile: Union membership helps boost the living standard of the middle class