WASHINGTON (CNN) -- President Obama signed an executive order Monday repealing a Bush-era policy that limited federal tax dollars for embryonic stem cell research.

President Obama signs the executive order on stem cell policy Monday at the White House.

Obama's move overturns an order signed by President Bush in 2001 that barred the National Institutes of Health from funding research on embryonic stem cells beyond using 60 cell lines that existed at that time.

Obama also signed a presidential memorandum establishing greater independence for federal science policies and programs.

"In recent years, when it comes to stem cell research, rather than furthering discovery, our government has forced what I believe is a false choice between sound science and moral values," Obama said at the White House.

"In this case, I believe the two are not inconsistent. As a person of faith, I believe we are called to care for each other and work to ease human suffering. I believe we have been given the capacity and will to pursue this research -- and the humanity and conscience to do so responsibly."  Watch as Obama announces he's lifting the funding ban »

The president pledged to develop "strict guidelines" to ensure that such research "never opens the door to the use of cloning for human reproduction."

Such a possibility, he maintained, is "dangerous, profoundly wrong and has no place in our society or any society."

Obama's order directs the NIH to develop revised guidelines on federal funding for embryonic stem cell research within 120 days, according to Dr. Harold Varmus, president of Memorial Sloan-Kettering Cancer Center and co-chairman of Obama's science advisory council.

"The president is, in effect, allowing federal funding of human embryonic stem cell research to the extent that it's permitted by law -- that is, work with stem cells themselves, not the derivation of stem cells," Varmus said in a conference call with reporters Sunday.

While conceding that "the full promise of stem cell research remains unknown" and "should not be overstated," Obama nevertheless expressed hope that the order will help spur faster progress in the search for cures to afflictions such as Parkinson's disease, cancer and spinal cord injuries.  See a map of nations that have taken a lead in using human embryos in stem cell research »

Researchers highly value embryonic stem cells because of their potential to turn into any organ or tissue cell in the body. Stem cells have this ability for a short time. A few days before the embryo would implant in the uterus, it starts to develop into specific cells that will turn into skin or eyes or other parts of a developing fetus.  Watch a doctor explain why embryotic stem cells are so important »

When the embryo is 4 or 5 days old, scientists extract the stem cells and put them in a petri dish. With the removal of these stem cells -- of which there may be about 30 -- the embryo is destroyed.

Twenty-one of the 60 stem cell lines authorized for research under the Bush policy have proven useful to researchers. Bush twice vetoed legislation -- in July 2006 and June 2007 -- that would have expanded federally funded embryonic stem cell research.

At the time, Bush maintained that scientific advances allowed researchers to conduct groundbreaking research without destroying human embryos.

Conservative leaders echoed Bush's rationale in their criticism of Obama's decision.

"Advancements in science and research have moved faster than the debates among politicians in Washington, D.C., and breakthroughs announced in recent years confirm the full potential of stem cell research can be realized without the destruction of living human embryos," House Minority Leader John Boehner, R-Ohio, said Sunday.

Sen. Richard Shelby, R-Alabama, said the Bush policy imposed proper ethical limits on science.

"My basic tenet here is I don't think we should create life to enhance life and to do research and so forth," Shelby said Sunday. "I know that people argue there are other ways. I think we should continue our biomedical research everywhere we can, but we should have some ethics about it."

The issue of whether to lift the ban on federal funding for embryonic stem cell research has, however, exposed a clear rift between the more moderate and conservative factions of the GOP.

In February, a group of six moderate GOP congressmen sent a letter to Obama urging him to lift the funding ban.

Former first lady Nancy Reagan also issued a statement Monday thanking Obama for lifting the ban.

"These new rules will now make it possible for scientists to move forward," Reagan said. "Countless people, suffering from many different diseases, stand to benefit from the answers stem cell research can provide. We owe it to ourselves and to our children to do everything in our power to find cures for these diseases."

President Reagan was diagnosed with Alzheimer's disease after leaving office -- an affliction that many scientists say eventually may be cured with the help of embryonic stem cell research.

Obama's presidential memorandum, however, may turn out to have a broader impact than his executive order.

The memorandum is expected to create a clear change of tone from the Bush administration on a broad range of scientific issues.

Bush's critics argued the former president allowed political factors improperly to influence funding decisions for science initiatives as well as to skew official government findings on issues such as global warming.  Watch a GOP congressman say Obama is 'behind the times' »

Obama's memorandum directs the White House Office of Science and Technology Policy "to develop a strategy for restoring scientific integrity to government decision-making."

In a thinly veiled criticism of his predecessor, Obama reiterated a promise to base "public policies on the soundest science" as well as to "appoint scientific advisers based on their credentials and experience, not their politics or ideology."

@highlight

NEW: Former first lady Nancy Reagan thanks President Obama for lifting funding ban

@highlight

Obama: "We have been given the capacity and will to pursue this research"

@highlight

Bush-era policy on embryonic stem cell research reversed

@highlight

Advocates: Move could boost medical progress; critics object to embryo destruction