(CNN) -- Substance abuse is one of the most pervasive and costly problems in our country. Over 68 million American adults have some form of substance use disorder and about 25 million are addicted to one or more substances. Every year, millions of lives are lost because of it.

What makes substance abuse hard to combat is the fact that addiction plays such a central role. Addiction is a nondiscriminating and devastating illness, affecting everyone from celebrities to teachers to soldiers to neighbors. Despite the prevalence of substance abuse, addiction remains widely misunderstood and misrepresented. However, major advances in scientific research have given us a much clearer picture of addiction -- what it is, what is isn't, and what causes it.

Addiction is now known to be a chronic illness that affects the brain, behavior and health of people in progressive and lasting ways. More importantly, substance addiction is largely affected by genetic heritability.

Dr. Sanjay Gupta: The truth about prescription medication addiction

Everyone has seen firsthand the friends or loved ones who were not equally affected by the same amount of alcohol, cigarette, marijuana or pills. These obvious differences between people have been attributed to "character," "upbringing" or "personal strength," but they're actually the result of genetic heritability combined with environmental factors.

Brain imaging has shown us that drugs and alcohol work powerfully on the dopamine system, the reward-driven learning center, by stimulating pleasure that cannot be matched in normal human experience. This brain jolt results in a compelling desire in a person to repeat an experience, which then leads to signs of addiction: loss of control over use or the inability to temper use once started. If a person has untreated mental illness such as depression or anxiety, this effect can be greater.

Once someone has become addicted to a substance, there are significant changes in brain functioning. Even after three to six months of sobriety, the brain is susceptible to relapses. For these reasons, punishments are rarely effective by themselves in reducing addiction. Most drug-related prison sentences, for example, result in relapse within months after release. Despite incarceration, the brain chemistry changes so that cravings do not completely disappear and the right environmental cues can trigger relapse.

Family members of addicts know well the mystifying single-minded focus their loved ones show when they are in the throes of a compulsive cycle. Drug-seeking behavior becomes more extreme, interfering with work, education and family responsibilities. In short, users are no longer themselves, as their decision-making process has been short-circuited.

So there is no "cure" for addiction. But the disease can be managed and recovery is possible. The most successful treatments are modeled after treatments for other chronic, noncurable, relapsing diseases such as diabetes, hypertension or asthma. Treatments for these diseases focus on helping patients comply with medications (which reduce symptoms) and adopting new health behaviors.

Behavior therapy can help addicts by identifying their triggers and equipping them with coping skills for dealing with the overwhelming urges to use substance. FDA-approved medications can break the relapse cycle by helping addicts manage withdrawal symptoms and prevent relapse. For those addicted individuals with untreated mental illness, we should persuade them to go into treatment early on, because that may be contributing to their urges to use substance.

It is critical to remember that addiction is a chronic illness and recovery is a lifelong process. The likelihood of sustained recovery is significantly improved after a year of continued abstinence. The chances of achieving this milestone are greater with the support of family and friends and a "recovery network of peers" such as Alcoholics Anonymous or other self-help organizations.

Most of the public is unaware that relapse rates for all the substance use disorders are about the same as relapse rates for other chronic illnesses such as hypertension, asthma or diabetes, or that there are approximately 20 million individuals who are in stable, long-term (a year or more) recovery. These successes are not observable in part because those individuals wish to remain anonymous while they look and act exactly like the rest of us.

Addiction is not hopeless, intractable or untreatable. Millions of people are in recovery from it.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Adam C. Brooks.

@highlight

Substance abuse is a pervasive problem in America; it is made worse by addiction

@highlight

Adam Brooks: Addiction is now known to be a chronic illness that affects the brain

@highlight

He says that for addicts, their decision-making processes are short-circuited

@highlight

Brooks: There is no cure for addiction, but the disease can be managed