(CNN) -- Here we go again.

Christmas is upon us, and that means some people are getting sensitive about holiday greetings.

In modern-day Texas, however, residents are now statutorily permitted to use the greeting of their choice without fear of legal reprisal: "Merry Christmas," "Happy Hanukkah" or "Happy holidays".

State Rep. Dwayne Bohac helped last year to pass what is now known as the Merry Christmas law. He and the Texas Legislature wanted to ensure students could exchange traditional holiday greetings and display Christmas trees, menorahs and Nativity scenes at school, as long as more than one religion and a secular symbol are included.

Constitutionally, this protective legislation is not really required, and teachers can wish holiday greetings without fear of liability. On the other hand, this law may allay any fears state employees have about exercising their rights to merrymake on government property.

It feels like this sort of thing didn't happen 30 years ago.

When I was a kid, holiday greetings were the least of our worries. As kids, my brothers and I had other worries about what we'd hear during the Christmas season. We worried about hearing the voice of that Duffy kid down the street: His holiday greetings consisted of bad words and 70 mph snowballs.

We worried about hearing there were no presents this year because, according to Mom, "Santa" already spent all "Santa's" money on cartons of Virginia Slims. Comparatively then, we were not too worried about whether we heard "Merry Christmas" or "Happy holidays" at school.

Maybe we've run out of problems. Maybe it's because things are so much better now that we focus on that which never bothered us before. Or maybe it's because of a growing chasm of distrust between parents and school lesson plans. After all, this Texas statute was conceived by a legislator who was dismayed to hear his kids report on a "holiday tree" at school instead of a "Christmas tree."

Of course, the First Amendment probably already protects our nonsecular greetings anyway. The Texas ACLU's official position is direct, if not hyper-technical: "I think it's stupid," said Terri Burke, executive director of the American Civil Liberties Union in Texas. According to Burke, there is no "war on Christmas" and no real need for this law. She may be right -- legally, that is.

The Supreme Court cases in this area have focused less on greetings and more on the public display of symbols of the holiday season and whether they are in violation of the Establishment Clause (Amendment 1) of the United States Constitution. The Supreme Court recently observed that if a practice "touches upon" religion, it is impermissible under the Establishment Clause if it advances or inhibits religion in its principal or primary effect.

The court has held for some time that the Establishment Clause, at minimum, prohibits government from appearing to take a position on questions of religious belief, or from making adherence to a religion relevant in any way to a person's standing in the political community.

With that, some might argue that "Merry Christmas" is "taking a position"â€”specifically, an impermissibly Christian position on holiday greetings. But the Supreme Court reminds us what we've known for a while: Christmas celebrations can have a religious purpose, but they can also have a secular purpose.

As long as the state has not impermissibly advanced religion or created an excessive entanglement between religion and government, there is no strict requirement for complete separation between Christmas and state. The Supreme Court notes that Christmas is a holiday recognized by Congress and national tradition. When the state depicts origins of that holiday, it can do so, and have a legitimate secular purpose.

Legally, Christmas litigation always raises fascinating and important First Amendment issues. However, even this fan of constitutional law must concede that practically, perhaps we shouldn't be making federal cases out of whether kindergarten teachers can wear a Santa hat to class or hand out candy canes.

As much as it may be a compelling academic question, we have to consider the argument that we are frittering away our valuable court resources on these yuletide issues. (Then again, maybe determining the limits of the Constitution is necessarily a worthwhile, albeit costly, investment.)

Ultimately kids don't even care about "holiday trees," secular greetings and excessive entanglement. It's the adults: parents, teachers and legislators. Kids care about one thing: presents. Especially my 6-year-old nephews. They don't care if the wrapping paper reads "Happy Flag Day" or "Budweiser" (way to go, Mom). As long as there's a robot inside. And that's what Christmas is really about.

Wait a minute, that doesn't feel quite right either...

Ah well. Happy holidays, all the same.

@highlight

Texas passed a law allowing "Merry Christmas" and "Happy holidays"

@highlight

Danny Cevallos: Constitution makes it clear such a law isn't needed

@highlight

Courts are OK with religious expression in public places most of the time

@highlight

Cevallos: Government can't be entangled with religion, but there's no strict separation