(CNN)An Amnesty International report is calling for authorities to address the number of attacks on women's rights activists in Afghanistan.

The report, entitled "Their Lives on the Line," examines the persecution of activists and other champions of women's rights not only by the Taliban and tribal warlords, but also by government officials.

Its publication is timely. The brutal murder of Farkhunda, a young woman in Afghanistan, whose body was burnt and callously chucked into a river in Kabul, shocked the world.

Accused of burning pages from the Muslim holy book, the Quran, many protested the 27-year-old's innocence.

But what also made international headlines was the fact that for the first time in history, women in Afghanistan became pallbearers, hoisting the victim's coffin on their shoulders draped with headscarves, under the gazes of men; unreservedly sobbing and shouting messages of women's solidarity as they marched along the streets.

In a country ranked in 2011 by a Thomson Reuters Foundation poll as the most dangerous place in the world for women, this feminist act seemed perilous. Latest figures suggest they were risking their lives to be heard.

In 2013, the U.N. Assistance Mission in Afghanistan (UNAMA) released statistics that showed the number of women killed in the country had increased by 20% from the previous year, although the number of civilian victims had decreased, said Amnesty in the report.

The Special Representative of the U.N. Secretary-General in Afghanistan at the time, Jan Kubis, told the U.N. Security Council that "the majority (of women killed) is linked to domestic violence, tradition, culture of the country.

"Women activists have been deliberately targeted."

And according to the human rights group, little support has come from those in power.

"The Afghan government has done very little to protect them," Amnesty's Afghanistan researcher, Horia Mosadiq, tells CNN. "Perpetrators almost always walk free, and threats reported by women rights defenders are often simply ignored.

"Many women defenders we spoke to said that even when they received some protection from authorities, it was often significantly less than what male counterparts or colleagues were afforded."

During the attack on Farkhunda, "many eyewitnesses have testified that police officers stood idly by while this woman was being lynched and killed," says Mosadiq. Twenty-six people were arrested and thirteen police officials suspended in connection with the attack, but she argues that this is insufficient.

"Suspending police officers is not enough, those who failed in their duty must also be held to account -- anything less will just encourage further mob violence."

But what is striking is the resilience of the activists, who continue their work despite their lives being on the line.

"It was a remarkable moment," says Mosadiq, recalling the female protesters at Farkhunda's funeral. "Unlike anything I have seen in my decades of campaigning for women's rights in our country."

Selay Ghaffer, 32, is a women's rights activist and spokesperson for the Solidarity Party of Afghanistan -- a small but outspoken political party based in Kabul and twenty provinces that fights for issues such as democracy, social justice and women's rights.

The party was the first to be banned in the country for accusing Afghan leaders and commanders of war crimes and demanding that they be brought to justice.

Taking part in Farkhunda's funeral and protests against her death, she tells CNN that despite the onslaught of violence against Afghan women over the years, this was the worst case.

But the opportunity was taken to deliver a clear message.

"So the women of Afghanistan showed that we will not keep silent anymore... And we are not ready to accept more brutality and violence against women," said Ghaffer.

"So this is why we decided to carry the dead body of Farkhunda on our own shoulders and show to the world that not only men can do it and somehow broke the traditionalism that (a) man has to do this job."

Surprisingly, she says that male onlookers supported their mission, although they are in the minority overall in the country. "Men (at the funeral), they said you have to do this, because this is how you can change the hatred in Afghanistan.

"Without men, it is not possible for women to get their rights," she says. "So these men and women were working together. But at the same time, women need to step forward for their rights."

Mosadiq says the fight for women's rights was established a while ago.

"Women's activism in Afghanistan is nothing new -- the women's rights movement has grown substantially since 2001, and has fought for and achieved some very significant gains.

"These gains are under threat now, however, and some are even rolled back. It's essential that the government and its international partners do not allow this to happen."

Ghaffer herself has been subject to threats because of her work, received through emails and phone calls, at her home and office. But she says she knew what she was getting herself into.

"I knew it wasn't an easy task. There might be many challenges and you have to lose your life when you are going and struggling for your rights.

"As a woman, I want to struggle more (for my rights), I want to have more people around me, to struggle with me."

Mosadiq says it is too soon to talk about a revolution, although the response to Farkhunda's killing, from both men and women, has been a "silver lining."

Ghaffer, however, believes this is the beginning of an uprising -- but she says it needs to keep moving.

Interestingly, it was a man in her life that motivated her to fight. "I must say strongly that it was my father (who inspired me), who is not any more with me, because he... died three months ago," she says.

"He always told me that women always suffered in this country," she says, her voice overcome with emotion. "And you have to struggle for your rights. Because in this traditional, patriarchal society, nobody will give these rights (to) you."

She realizes how lucky she is, she adds, in a society where she has witnessed men -- fathers and husbands -- oppressing women as opposed to being their role models.

Ghaffer maintains that silence is an injustice to women, not least to the victim of the recent, horrific mob violence. "So if I should not do it, if another sister is not doing it, then who will do it? Who will get the rights for us? We have to struggle for it.

"If we keep our silence, more Farkhundas will be killed in this country."

@highlight

An Amnesty International report calls for attacks on women's rights activists in Afghanistan to be investigated

@highlight

The report examines the persecution of activists not only by the Taliban and tribal warlords, but also by government officials

@highlight

Some activists continue their work despite their lives being at risk