(CNN) -- Salmonellosis is a nasty illness. People infected with Salmonella develop diarrhea, a fever and abdominal cramps that usually last for four to seven days.

The dangerous bacteria is found in the food we eat, usually chicken, beef or eggs that have been contaminated with animal feces. And a new report from Pew Charitable Trusts says the U.S. Department of Agriculture's Food Safety and Inspection Service (FSIS) isn't doing enough to keep our food Salmonella-free.

"When more than 500 people get sick from two outbreaks associated with chicken that meets federal safety standards, it is clear that those standards are not effectively protecting public health," Sandra Eskin, director of Pew's food safety project, said in a statement.

Every year, approximately 42,000 cases of salmonellosis are reported in the United States, according to the Centers for Disease Control and Prevention, but the actual number of infections may be much higher. The majority of outbreaks over the last two decades have been linked to live poultry.

Pew researchers specifically looked at two recent outbreaks that were connected to chicken produced by Foster Farms in California.

Between June 2012 and May 2013, 134 people became infected with Salmonella Heidelberg -- mostly in Oregon and Washington, according to the CDC. Tests identified the outbreak strain in four samples of chicken that were traced back to two Foster Farms slaughterhouses.

Then in the summer and fall of 2013, 389 people in 23 states and Puerto Rico became sickened with varying strains of Salmonella Heidelberg. CDC investigators determined consumption of Foster Farms chicken was the likely source of the outbreak.

"In neither instance did FSIS ask Foster Farms to institute a recall or stop shipping potentially contaminated chicken to market," the Pew report authors wrote.

No deaths were reported in either outbreak. The second outbreak is ongoing, according to the CDC, which updated its numbers Thursday. An additional 27 people have fallen ill since November.

The FSIS acted as aggressively as possible under the authority they had during the Foster Farms outbreaks, said Brian Ronholm, USDA's deputy undersecretary for food safety. He said the USDA "appreciates" Pew's report since it "supports the efforts we already have under way."

The government agency has a proposal under department review now that would require all poultry slaughterhouses to prevent contamination by conducting microbial testing at two points, Ronholm said. It would also authorize inspectors to suspend operations in slaughter facilities that cannot demonstrate they are controlling salmonella.

In a separate paper, Consumer Reports said it found "worrisome" levels of bacteria in tests conducted on 316 chicken breasts, including 64 from brands that use no antibiotics in raising chickens and 24 organic samples.

"Every one of the four major brands we tested contained worrisome amounts of bacteria, even the chicken breasts labeled 'no antibiotics' or 'organic,' " Consumer Reports said.

The most common bacteria found was enterococcus, a fecal contaminant, in 79.8%. Next was E. coli, in 65.2%. Campylobacter, salmonella and staphylococcus aureus were also present, according to the report.

In response to Consumer Reports, the National Chicken Council said poultry producers spend tens of millions of dollars each year researching food safety, which has helped significantly decrease food-borne pathogens.

"Americans eat about 160 million servings of chicken every single day," the council said in a statement, "and 99.9% of those servings are consumed safely."

The USDA does not require poultry plants to treat the presence of salmonella as a significant risk, according to the Pew Report, and has no standards for chicken parts, which are purchased more widely than whole chickens. FSIS notifies facilities before conducting an investigation. Even if tests show unsafe amounts of salmonella, the authors wrote, FSIS cannot close down the facility.

Salmonella is estimated to cause more than 1 million food-borne illnesses every year, according to the Pew Report, and health-related costs run as high as $11 billion yearly.

The Pew report makes several recommendations for improving USDA's "Salmonella Action Plan," which the agency posted earlier this month:

-- Change salmonella performance standards so they are updated regularly, enforceable and tied to public health outcomes.

-- Consider establishing limits on the amount of salmonella that can be present in chickens as they enter slaughterhouses.

-- Conduct unannounced testing in poultry producing facilities.

-- Close plants that are under investigation and keep them closed until "adequate control measures are in place."

"The contaminated product isn't supposed to reach consumers -- that's the point," Eskin said. "You see this is a very complicated bacteria. It's a challenge, and we haven't gotten it right yet."

Ronholm could not offer a time frame for when the FSIS food safety proposal may go into effect. He said it's important for consumers to remain diligent about food safety practices, including washing their hands and cooking food to the right temperatures.

@highlight

Salmonella causes diarrhea, fever and abdominal cramps for 4 to 7 days

@highlight

Pew report says USDA isn't doing enough to keep our food free from the bacteria

@highlight

Report authors looked at two recent outbreaks linked to Foster Farms chicken