(CNN) -- The Food and Drug Administration recently issued a warning to doctors about prescribing medications with more than 325 milligrams of acetaminophen. Although acetaminophen is harmless in small doses, it can cause liver damage if taken incorrectly.

Here are five things you should know about this popular painkiller:

1. It's not great for muscle pain.

Acetaminophen is part of a class of painkillers called non-opioid analgesics, which are used to treat mild or moderate pain. These include acetaminophen, ibuprofen and aspirin.

Non-opiod analgesics block an enzyme known as cyclooxygenase, or COX, according to Ewan McNicol, an assistant professor of anesthesiology at Tufts University. COX helps the body produce lipid compounds called prostaglandins that cause pain and inflammation when your cells are injured. Blocking this enzyme, therefore, helps prevent prostaglandins from causing you pain.

Most non-opiod analgesics work in the peripheral nervous system, or the nerves not included in your brain and spinal cord. But scientists believe acetaminophen works primarily in the central nervous system, attacking a slightly different form of the enzyme called COX-3.

"What this means to you is that acetaminophen is great for headaches, fever and minor aches and pains but won't reduce inflammation due to, say, a muscle sprain," McNicol explained.

2. It's found in more than Tylenol.

Though many people know that acetaminophen in the active ingredient in Tylenol, it's also found in many other over-the-counter drugs including (but not limited to) some Excedrin, Robitussin and Sudafed products.

Acetaminophen is also used in combination with opioids in prescription pain medications such as Percocet, Vicodin and Tylenol with codeine.

To find out whether your medications contain acetaminophen, read the drug label or the list of ingredients in the patient information leaflet that came with your prescription. Look for the word "acetaminophen" or the letters "APAP," an abbreviation sometimes used for the drug.

If you are still unsure, contact your doctor or pharmacist.

3. It's easy to accidentally take too much.

The FDA has set the recommended daily maximum for adults at 4,000 milligrams. It's easier to reach this limit than you might think; one gel tablet of Extra Strength Tylenol, for example, contains 500 mg.

Taking too much acetaminophen can lead to liver failure or death. Overdoses of the popular painkiller are some of the most common poisonings worldwide, according to the National Institutes of Health.

In April 2009, the FDA introduced new labeling requirements for drug manufacturers. Any product that contains acetaminophen must prominently identify the active ingredient on its display panel and must warn consumers about the potential for liver toxicity.

Consumers should not take more than the prescribed dose of any medication that contains acetaminophen, according to the FDA, and should avoid taking more than one acetaminophen product at a time.

4. It's not the best way to fight a hangover.

Most of us have popped a couple of painkillers after a night out to ward off a hangover. But experts say you should choose carefully when opening the medicine cabinet, especially if you're a chronic heavy drinker.

Taking acetaminophen with alcohol, even in small amounts, can increase your risk of liver damage and/or kidney disease.

Acetaminophen is primarily metabolized in the liver, where it is turned into nontoxic compounds that are eliminated through urination. But the liver needs something called glutathione to do that. If your glutathione levels are low -- which can be caused by chronic drinking, an unhealthy diet or fasting -- the drug may be metabolized into a more toxic substance, according to the National Institutes of Health.

Liver damage may occur after taking as few as four or five extra-strength pills over the course of the day, one NIH publication on alcohol and metabolism says. And another study showed that taking the recommended dose of acetaminophen with a small to moderate amount of alcohol can increase your risk of kidney disease by 123%.

You may not notice the signs of liver damage right away, the FDA says; some symptoms like loss of appetite and nausea can be mistaken for the flu (or that hangover). If you suspect you're at risk, contact your doctor immediately.

5. It's not like "a spoonful of sugar."

Children can take acetaminophen to fight pain or a fever, but parents should read drug labels carefully to avoid dosage errors.

The "directions" section of the label tells you whether the medicine is right for your child and how much to give, the NIH's website says (PDF). "If a dose for your child's weight or age is not listed on the label or you can't tell how much to give, ask your pharmacist or doctor what to do."

Liquid acetaminophen for infants and children is now sold in the same concentration: 160 mg/5 mL. That means infants need less; acetaminophen products for infants are usually packaged with an oral syringe instead of a dropper.

Parents should always use the measuring tool that comes with the medication, the FDA says -- never a kitchen spoon.

If your child takes too much acetaminophen, seek medical attention right away. You can also call the 24-hour Poison Control Center at 800-222-1222.

@highlight

Acetaminophen is a non-opioid analgesic and is used to treat mild or moderate pain

@highlight

It's the active in ingredient in Tylenol and many other over-the-counter medications

@highlight

The FDA has set the recommended daily maximum for adults at 4,000 milligrams

@highlight

Parents should carefully read drug labels to ensure they are giving the correct dose to kids