It was a seemingly wistful moment at the halfway mark of his presidency, before the celebratory parade and the evening's galas.

Shortly after exhorting the United States to continue its "never-ending journey" to live up to the ideals of its founders, on his way off the platform at the West Front of the Capitol, President Barack Obama stopped to drink in the scene before him.

"I want to take a look one more time," he told those surrounding him. "I'm not going to see this again."

And so, with his oath of office taken -- again -- and the speech delivered, the president stood aside for 24 seconds on the chilly Monday afternoon, letting the crowd that had joined him for his formal, public second inauguration file past.

It was one of the few quiet moments on an otherwise jam-packed day. Obama stole another such moment with his wife, at the first of two official inaugural balls they were scheduled to attend Monday night.

Obamas party with 30,000 close friends

Following performances by Alicia Keys, Brad Paisley and the Mexican rock group Mana, the first couple danced as Jennifer Hudson sang the classic song, "Let's Stay Together," by Al Green.

First lady Michelle Obama wore a floor-length, custom, ruby-colored chiffon and velvet gown designed by Jason Wu, the same designer behind her 2009 inaugural dress.

The celebrations came a day after Obama was sworn in on the constitutionally required date in a low-key ceremony at the White House. The flag-waving crowd that watched Monday's event was noticeably smaller than the throng that turned out for his first oath in 2009 but still packed the National Mall for blocks.

The waving flags, the red-white-and-blue bunting and the heralding trumpets marked the 57th such ceremony in the history of the nation, with the peaceful extension of power based on last November's election that returned Obama to the White House.

The best Inauguration Day tweets

The Sousa marches, the ceremonial guns and the voices of James Taylor, Kelly Clarkson and Beyonce having faded away, Obama headed into the Capitol for a luncheon with members of Congress. Then he led the traditional parade up Pennsylvania Avenue, stopping near the White House to walk a few blocks of the route with the first lady to the cheers of those lining the sidewalks.

"You've got to come out for this," said Nick Pignone, a Washington resident. "Everyone's excited -- good vibes right now."

Also publicly sworn in for a second term was Vice President Joe Biden, who, like Obama, also took his official oath Sunday. Justice Sonia Sotomayor performed the honors for Biden at his home at the Naval Observatory in Washington, where the vice president's extended family and a few Cabinet officials gathered to watch the ceremony.

Biden and his wife, Jill, also took some time to walk part of the parade route, with a grinning Biden periodically jogging over to the sidelines to shake hands with people across the barricades. Once both couples and their families were seated at the White House reviewing stand, one of the first acts to pass was the marching band from Honolulu's Punahou School, Obama's alma mater.

What followed included dozens of military and school bands, Native American dance troupes whirling in traditional dress, war veterans, Civil War re-enactors, kilted firefighters blowing bagpipes and Montana's governor and congressional delegation on horseback and in cowboy hats.

10 opinions: Explaining Obama's speech

Obama, the first African-American president and the 17th to win a second term, used a pair of Bibles in Monday's ceremony -- one from Abraham Lincoln, the other from Martin Luther King Jr. His roughly 2,000-word inaugural address hearkened back to both.

"I did everything possible today to keep from crying," said U.S. Rep. John Lewis, D-Georgia, a onetime lieutenant of King. He called the sight of Obama using King's Bible "very moving, unreal -- almost unbelievable."

Monday is also the federal holiday commemorating the birthday of King, who was assassinated in 1968.

The loudest cheer of Obama's address came when he said the nation's journey remained incomplete "until our wives, our mothers, and daughters can earn a living equal to their efforts," and "until our gay brothers and sisters are treated like anyone else under the law."

Obama embraces key social justice movements in inaugural address

Obama begins the second half of his presidency with the opportunity to make it more historic but facing some of the same challenges that he struggled with in the first four years.

Americans "have the power to set this country's course," he said, urging people to fulfill their citizenship by meeting "the obligation to shape the debates of our time -- not only with the votes we cast, but with the voices we lift in defense of our most ancient values and enduring ideals."

On the Mall, Carlos Arieta and his wife, Sharon, took in the scene after driving from Atlanta to witness history. The former Washington residents said it was the first time they had attended an inauguration.

Surprised by the throngs gathered a few hours before the speech on a clear morning with temperatures just above freezing, Arieta said "it's nice to see all the different kinds of people."

Even some of those who didn't support Obama's November re-election turned out to watch. Don King, 27, and his 21-year-old brother Matthew said they don't agree with the president on taxation, debt and other fiscal issues but didn't want to miss this bit of history.

"It's the second inauguration for Obama, and it's pretty amazing if you think back to the 1800s and later during the civil rights era, that we're here," Don King said.

Obamas, Bidens participate in National Day of Service

A new CNN/ORC International poll released Monday indicated less excitement this time than four years ago, when nearly 2 million people crowded the Mall despite frigid weather for Obama's historic first inauguration.

In January 2009, nearly seven in 10 Americans questioned in a CNN survey said they were thrilled or happy that Obama was about to take office. Now, according to the new, that number is down 18 points, to 50%.

Back then, six in 10 saw Obama's inauguration as a celebration by all Americans of democracy in action, with just 39% saying it was a political celebration by the supporters of the winning candidate.

Now, the numbers are nearly reversed, with 62% saying the second inauguration is a celebration by those backing the president, and 35% saying it's a celebration of democracy.

"The thrill is gone, along with the hope that the start of a new presidential term of office will bring a divided nation together," said CNN Polling Director Keating Holland.

Gergen: Obama 2.0 -- tougher, wiser?

Reality of second-term presidencies

The smaller crowd this time around reflects the reality of second-term presidencies, when the novelty and expectations of a new leader have been replaced with the familiarity and experiences of the first act.

For Obama, that difference is even sharper. His historic ascendancy to the White House in 2008 came with soaring public hopes and expectations for a new kind of governance that would close the vast partisan gulf developed in recent decades.

However, a litany of challenges, including an inherited economic recession and repeated battles with congressional Republicans over budgets and spending, only hardened the opposing positions in Washington.

Obama's signature achievements, including major reforms of the health care industry and Wall Street, became symbols of political division, with opponents constantly accusing him of hindering needed economic recovery.

Obama's unfinished business and battles ahead

For his second term, Obama has vowed to press for an overhaul of the nation's immigration policies and new ways to boost the sputtering economy, proposals that are bound to spark battles with his Republican rivals, and oversee the implementation of Obamacare.

And the shootings at a Connecticut elementary school last month put the divisive issue of gun control on his immediate agenda.

CNN polling released Sunday showed a majority of Americans -- 54% -- believe Obama will be an outstanding or above average president in his second term, while 43% said he'd be poor or below average.

And while overall, seven in 10 Americans hope the president's policies succeed, only four in 10 Republicans feel that way, with 52% hoping that Obama will fail.

Obama's second-term priorities

But House Majority Leader Eric Cantor, R-Virginia, told CNN, "Today is the day for all of us in this country to come together."

"I think the president did a fine job, certainly, laying out what he would like to see happen as far as the future of the country," Cantor said. "There are areas of disagreement, but there are also some things fundamentally we agree on, and that is this country is one of opportunity. And sort of the way we get there to help everybody, there are some differences. Hopefully, we can bridge those differences."

Four other priorities for the next four years

@highlight

Michelle Obama wears a floor-length, custom, red gown designed by Jason Wu

@highlight

She and the president dance to Jennifer Hudson singing "Let's Stay Together"

@highlight

"Today is the day for all of us in this country to come together," says a GOP leader

@highlight

A civil rights veteran struggles "to keep from crying" as Obama takes oath on MLK Bible