Mohammed Merah was the sort of radicalized individual who makes Western counterterrorism officials very apprehensive: someone who was determined, trained, living legally in Europe or the United States and operating alone. One of dozens (perhaps hundreds) of militants either unknown to authorities or suspected of plotting a terrorist attack but whose real intentions and movements are difficult to track.

Merah was shot dead at the end of a lengthy siege on Thursday; he had been hunted by police in connection with the killings of seven people in the past 10 days. He had twice visited the Afghan-Pakistan border area, in 2010 and 2011, French officials said Wednesday. And after the standoff began in Toulouse, he claimed to have been trained by al Qaeda, they say.

Suspect holds police at bay

Paris prosecutor François Molins said Wednesday, "He has traveled to Afghanistan without using the networks known by French and foreign intelligence services, which means he went there by his own means and without going through facilitators known by intelligences services, and without going through countries usually monitored."

But Merah had appeared on the security services' radar, according to Molins. During his first trip to Afghanistan, "Afghan police checked his ID during a traffic stop, and as a result he was handed over to the U.S. Army, who then put him on board the first plane heading to France," Molins said. (A senior U.S. official gave a different account, saying Afghan forces had actually handed him over to French troops, who had him repatriated.)

Merah had been under surveillance by French intelligence for years, according to Interior Minister Claude Gueant. Even so, he was apparently able to visit the Afghan-Pakistan region a second time and then accumulate weapons after returning home, including an Uzi machine pistol and an assault rifle, plan a series of attacks in Toulouse and Montauban, and force the French government to step up security precautions nationwide.

The jihadist trail

French authorities believe that between 20 and 30 French nationals are tied to jihadist groups in the Afghanistan-Pakistan border area. However, one French intelligence estimate in 2010 put the potential number as high as 200 or 250.

In 2008, a group of militants traveled from France to Pakistan's tribal areas, where they joined al Qaeda, including Hamza el Alami, a French citizen of Moroccan descent. Alami was killed in fighting in the border region.

Who is Mohammed Merah?

In fall 2010, another militant returning from the region and suspected of meeting with al Qaeda operatives was arrested on suspicion of plotting a terrorist attack in France.

France's growing Pakistani diaspora has added to concerns about travel flows to Pakistan. French intelligence services have invested heavily in keeping tabs on nationals who have made the trip recently.

In April 2011, two French nationals were arrested in Lahore, Pakistan, after meeting with Umar Patek, an Indonesian al Qaeda-linked operative. The two -- one of whom was of Pakistani descent, and one of whom was a convert to Islam -- met Patek so he could transport them for training in North Waziristan, according to Pakistani intelligence officials.

Radicalization in Europe

What is unclear is when and how Merah was radicalized, whether online or through membership of a radical Islamist group in Europe. Gueant said Wednesday that Merah became radicalized amid a small salafist group in Toulouse and had connections to a group called Forsane Alizza ("Knights of Pride"). But there is no evidence that any of its members was involved in or aware of his plans.

Forsane Alizza was outlawed in January by the French government, which alleged that it was a terrorist organization training members "for armed combat." For its part, the group said its mission was to fight Islamophobia and has said it will contest the government's decision.

But its website used militant language such as calling for "soldiers" to defend Muslim women. And while there is no evidence that Forsane Alizza  has been involved in acts of violence, it has certainly promoted the threatening rhetoric of others, glorifying Yemeni-American cleric Anwar al-Awlaki, who was killed last year.

One member suggested that the right-wing Swiss politician Oskar Freysinger deserved a "bullet in the forehead." Freysinger has campaigned against permitting minarets on mosques in Switzerland.

Forsane Alizza also seems to be tied to a group called the Force de Défense Musulmane sur Internet, which campaigns to have Islamophobic material removed from websites.

Forsane Alizza appears to have been strongest in Paris and the central French city of Limoges, where several of its members were arrested in 2010 after invading a McDonald's restaurant and shouting anti-Semitic slogans. The group has also protested a French law banning women from wearing a full veil in public places and posted a number of well-produced videos of its protests in French cities.

Its outlook appears very similar to other radical Islamist groups in Europe, such as Islam4UK in Britain and Shariah4Belgium, as well as Revolution Muslim in the United States.  Videos purportedly produced jointly by Shariah4Belgium and Forsane Alizza have been uploaded to YouTube in the past month.

Islamic radicalization increased in France in the 2000s, fueled by growing militancy in social media, the role of French troops in Afghanistan, and the Palestinian issue.  Bleak socioeconomic prospects in the suburbs of French cities where many French Muslims of North African descent live, the rise of the far right in France and the government's ban on the niqab (full veil) has added to the sense of grievance felt by some young French Muslims.

Unlike in the United States or Britain, French laws restricted the ability of French radical groups to freely proselytize, but according to some analysts, the lack of a public pressure valve may have itself been dangerous.

Before his death, Osama bin Laden tried to tap into the grievances of Muslims living in France. In an October 2010 audio recording attributed to bin Laden, he attacked the French ban on the niqab.

"The equation is very clear and simple: As you kill, you will be killed; as you take others hostages, you will be taken hostages; as you waste our security, we will ... waste your security," bin Laden said.

That message, and similar audio and video postings from the likes of Awlaki, resonate with a fringe of marginalized young Muslim men living in the poorer quartiers of French cities, with little prospect of work and regular confrontations with police. According to French officials, Merah had a series of convictions for petty crime and had been turned down for army service.

Al Qaeda changing gears

Al Qaeda propaganda and recruitment efforts have shifted emphasis in recent years, from spectacular attacks on the scale of 9/11 to "do-it-yourself" attacks that require less training and planning. In June 2011, the group's media production arm As Sahab released a video titled "You Are Only Responsible for Yourself," encouraging followers to carry out acts of individual terrorism in the West.

In the recording, Oregon-born al Qaeda spokesman Adam Gadahn said it was easy for American al Qaeda sympathizers to go to a gun show and purchase an automatic assault rifle without having to submit to a background check.

Al Qaeda's Yemeni branch has been especially vocal in encouraging lone acts of terrorism. Its English-language magazine Inspire has a section dedicated to helping terrorist sympathizers in the West carry out attacks, including bomb-making recipes.

According to authorities, one such formula, "How to Make a Bomb in Your Mom's Kitchen," has been downloaded by individuals plotting terrorist attacks in both the U.S. and the UK.

@highlight

France shooting suspect was type of person who worries counterterror officials

@highlight

He was determined, trained, living legally in the West and operating alone

@highlight

French officials believe many French nationals are tied to terrorist groups