Hong Kong (CNN) -- Draconian laws, brutal attacks against bloggers and politically motivated surveillance are among the biggest threats to Internet freedom emerging in the last two years, according to a new report from free speech advocates, Freedom House.

"Freedom on the Net 2012: A Global Assessment of Internet and Digital Media," looked at barriers to access, limits on content, and violations of user rights in 47 countries across the globe. Estonia was rated as having the greatest degree of Internet freedom, while Iran, Cuba and China were viewed as the most restrictive.

While social media was key in the uprising in Egypt, censorship there continues apace, says Freedom House, a U.S.-based independent watchdog organization.

Although online activism is increasing, the report said authoritarian regimes were employing a wider and increasingly sophisticated arsenal of countermeasures.

Read more: The full report

According to Freedom House, China has the world's largest population of Internet users, yet the authorities operate the most sophisticated system of censorship. Its "great firewall" has become notorious for literally shutting down Internet "chatter" it views as sensitive. Earlier this year, censors blocked related search terms to prevent the public from obtaining news on prominent human rights activist Chen Guangcheng, who caused a diplomatic storm when he escaped house arrest to seek refuge in the U.S. Embassy in Beijing.

Read more: News on blind activist's escape

Major web portals and social networking sites, though not state-owned, have had to comply with strict government censorship rules -- or risk being shut down. After launching a campaign to clean up "rampant online rumors," Chinese authorities in March ordered the country's leading micro-blogging sites -- including Sina Weibo -- to disable their comment function for three days. In China, bloggers are also required to register their real names -- though it's not clear how many have complied with the rules.

"It's a typical response by officials and quite a successful strategy in making it extremely difficult to spread information beyond some small circles of activists," Jeremy Goldkorn, a leading commentator on China's social media, told CNN at the time.

Freedom House claims Beijing's influence as an "incubator for sophisticated restrictions" has not gone unnoticed, with governments such as Belarus, Uzbekistan, and Iran using China as a model for their own Internet controls.

Unrest across the Middle East prompted increased censorship, arrests, and violence against bloggers as authoritarian regimes look to quell calls for reform. Social media was widely accepted to have played a key role in popular uprisings in Egypt and Tunisia. Fearing a similar "revolution" in Saudi Arabia, the authorities there took immediate steps to respond to what they regarded as a national security threat.

According to the Freedom House report, the Saudi government has issued warnings banning protests -- even using the BlackBerry multi-media message service (MMS) to discourage protesters from participating in demonstrations. They say the authorities have detained and intimidated hundreds of online political activists and online commentators, blocked and filtered sensitive political, religious or pornographic content from entering the Saudi Internet, and even recruited supporters online to campaign against calls for protests.

Egypt's "revolution," which ended the three-decade rule of Hosni Mubarak, was widely known as the Facebook or Twitter revolution because of the way activists used social media to spread their message, despite government countermeasures such as arresting dissidents, periodically blocking Internet access and restricting cellular networks.

Read More: The faces of Egypt's 'Revolution 2.0'

However, the reports says Mubarak-era censorship has continued in Egypt under the Supreme Council of the Armed Forces (SCAF), which took control until the election of Mohamed Morsy as president in June. Mobile phones, the Internet, and social media remained under vigorous surveillance, bandwidth speeds were throttled during specific events, while SCAF-affiliated commentators manipulated online discussions. According to Freedom House, activists and bloggers have been intimidated, beaten, or tried in military courts for "insulting the military power" or "disturbing social peace."

After taking office in June, President Morsy pledged to work to free Egyptians subjected to unjust detention. That month, Egyptian newspaper Al-Masry Al-Youm reported that he had ordered the formation of a panel of Interior Ministry, Public Prosecution, and military judiciary officials to consider the cases of civilians detained by the military.

But this week's report warns the future direction of Internet freedom in Egypt remains uncertain despite Morsy's election.

Freedom House also highlighted countries seen as vulnerable to increased restrictions on freedom of speech.

In Pakistan, the report noted that successive military and civilian governments have exerted greater control over Internet use, often citing national security or religious reasons for doing so. On several occasions the authorities have blocked access to services such as YouTube, Flickr, Facebook and various blogs -- often under pressure from religious groups.

Another country on this watch list is Russia, where the report says Internet-inspired anti-government protests last year have prompted a desire on the part of the Kremlin to tighten up on its controls.

"The findings clearly show that threats to Internet freedom are becoming more diverse," said Sanja Kelly, project director for Freedom on the Net at Freedom House.

"As authoritarian rulers see that blocked websites and high-profile arrests draw local and international condemnation, they are turning to murkier -- but no less dangerous -- methods for controlling online conversations."

@highlight

Report looks at barriers to access, limits on content in 47 countries across the globe

@highlight

Authoritarian regimes increasing restrictions as online activism increases

@highlight

China has largest number of Internet users and most sophisticated controls

@highlight

Many countries fear social media-led revolutions seen in Egypt, Tunisia