Shanghai, China (CNN) -- Imagine China's urbanization drive as SimCity on steroids.

The core objective of the video game is to build a metropolis while staying on budget and keeping residents happy.

China has done it on a massive scale over the last three decades, but with disappointing results.

For starters, inefficient spending has spawned China's empty mega malls and "ghost cities" of headline lore.

And in those urban areas problems abound. China's city dwellers are forced to live in a severe concrete landscape of polluted skies and chronic gridlock.

"You've got 500 million people that have moved to the cities since 1980," says James McGregor, Beijing-based author and chairman of the consultancy APCO Worldwide.

"The lives they've been able to build, it's been incredible. But the question is: 'can they make it livable?'"

China's urbanization drive started decades ago when 80% of the population lived in the countryside.

Today, China has more than 160 cities with populations of a million or more, with an urban population of around 700 million that represents more than half the total population.

And yet, despite all the thoughtless construction and chaotic urban planning, China has managed to dodge at least one bullet: There are no miles of urban slums. There are no favelas dotting China's cities.

China's newest urban residents -- its migrant workers -- have jobs to sustain themselves. But they are not entitled to the social benefits in the cities they work in.

"There are 260 million people who already have jobs (in the cities)," says Tang Min, economic adviser to China's State Council and former chief economist of the Asian Development Bank.

"But they don't have the social welfare yet."

Chinese Premier Li Keqiang says he wants China's urbanization drive to focus more on human needs and to be friendly to the environment.

His top priority? Urban social welfare reform.

"Li Keqiang's new urbanization drive is mainly addressing those already in the city who are not fully integrated to the cities -- those not fully entitled for urban social welfare," says Tang.

The government recently announced planned reforms of the household registration system, or "hukou," to gradually allow qualified migrants to receive benefits like education and healthcare in their new homes.

"Slowly, starting from small cities to medium towns then to larger cities, they're loosening up the registration requirements," says Peggy Liu, founder of JUCCCE, a Shanghai-based non-profit dedicated to sustainable development in China.

"In certain cities like Shanghai you can have a points system to actually buy into the hukou system."

China is taking small steps toward complete reform by 2020 because of specific concerns about the impact of a fully opened hukou system.

"This is very sensitive," Tang tells me. "For those people who already have an urban hukou, they may sell it if a market exists.

"And for those who haven't got urban citizenship yet, if they sell (their rural land) and suddenly lose their job, they have no place to go. So the government is very cautious about this."

If land reform moves too quickly, China will lose its unique buffer for unemployment -- the migrant workers' rural homes, where they can always go back to if they lose their jobs.

An unemployed migrant population lingering in the cities poses a threat to stability. That is Beijing's fear.

But on the other hand, the government acutely feels economic pressure to provide migrant workers with social benefits in their new homes.

"The current economic model of state planning, state banks, state industry and all these mega projects is running out of gas. If they have got to keep growth going, it's going to be consumers and so this is all about creating consumers," says McGregor.

"The great social justice story of China is in order to grow you have to turn these migrants into full citizens and consumers."

China's high-stakes version of SimCity has reached a new level.

Game on.

@highlight

Half of population now lives in cities, but push to urbanize has had mixed results

@highlight

China has empty malls, "ghost cities," traffic gridlock and dire pollution

@highlight

However, China has avoided urban slums and migrant workers have jobs

@highlight

China's challenge is to make cities more liveable