(CNN) -- Cameroon, famous for producing world-class soccer players and infectious "makossa" music, is on the dawn of becoming known for something else ... tourism.

Tourism arrivals grew by 35% in 2012, and Cameroon has a vast geographical diversity characterized by forest, savannah and mountains, alongside a population of over 250 ethnic groups.

Its diversity in terrain and culture has led to Cameroon being referred to as "Little Africa" or "All Africa in one country." It also boasts some of the richest and most diverse wildlife in the continent and is a dreamland for safari lovers, eco tourists, hikers and culture seekers.

On a recent trip to Cameroon I spoke with Bello Bouba Maigari, the minister of tourism and leisure, who is championing the growth of tourism in the country. "If you mention Cameroon, very few people can look at a map and point out where the country is ... our ambition is to be one of the best known and most attractive destinations in sub Saharan Africa," he said.

I spent the majority of my trip in the coastal Southwest region, an area comprised of relaxing beaches, mountains, wildlife and cultural discoveries. Here are some of the area's highlights.

Mount Cameroon

Buea is the capital of the Southwest region, and home to the breathtaking and awe-inspiring Mount Cameroon, an active volcano that stands at over 13,200 feet (4,023 meters) above sea level. Officially the highest mountain in West and Central Africa, waking up at sunrise at foot of the mountain allows for a spectacularly clear view of the mountain, including the peak, which is an amazing sight to behold.

Read this: Liberia: From warzone to holiday paradise?

Mount Cameroon provides an amazing hiking opportunity. The landscape ranges from tropical rainforest to savannah, and from a bare snow-capped summit to caves and waterfalls, as well as boasting rare birds and flowers. Hiking tours ranging from a few hours to a full three-day excursion, complete with a guide and someone to carry your bags, can be easily arranged locally for $120 - $150 per person.

Black sand beaches

If hiking is not your thing, then you might prefer relaxing in the picturesque town of Limbe, perfectly located between Mount Cameroon and the Atlantic Ocean.

Driving to Limbe you are surrounded by miles of lush greenery. With views of the Atlantic Ocean, clear blues skies and Mount Cameroon in the background the landscape is simply stunning and the photo opportunities endless. You will be jumping out of your vehicle several times to simply breathe in the amazing air and absorb the view.

Limbe is a popular area for tourists as there is so much to do in this pretty town. Wandering Limbe during the day you will find a picture-perfect busy town (exercise caution when crossing the busy streets) with friendly locals, cafes and the famous black sand beaches.

In the town I highly recommend sampling the roadside treats of freshly made French crepes, a throwback to the country's French colonial past. The crepes are delicious -- a popular and familiar treat for the Western palate.

The black sand beaches are home to beach lovers and local fisherman, and it is fascinating to sit back and watch the fishermen going about their chores. Be sure to ask before you take any pictures of the fisherman as they may not take kindly to the intrusion. Nevertheless, if you are lucky like I was, you could be taken on an impromptu and interesting tour of the area where the fish are cleaned, smoked and prepared to eat. The fish found in Limbe are mainly bar, ribbon and cuttle fish and are the freshest I have ever tasted.

Wildlife and tea

Limbe Botanic Gardens provide the opportunity to see rare flowers and walk amongst the 1,500 closely planted trees, many of which are medicinal. The abundance of trees and flowers makes the gardens a paradise for birds.

This is a great place to visit for the entire family; It has a large open-air arena where local traditional dancing and drumming take place, and the dancers actively encourage visitors to join in as they teach you traditional dance moves. There is also a wonderful arts and crafts store where you can buy incredible souvenirs from all over Cameroon.

The Limbe Wildlife Center is a thrilling treat. A collaboration between the government of Cameroon and the Pandrillus Foundation, the center is home to 15 species of primate and several other animals native to Cameroon. The center is designed so you feel like you are walking almost amongst the primates despite the electrified wire fences that secure both the animals and visitors.

A visit to the Tole Tea Estate, the oldest tea plantation in Cameroon, is another treat. Visitors are taken on a tour around the plantation where you witness each step of the entire tea-making process. At the end of the tour you are treated to a delicious cup of tea presented in a beautiful British-style traditional cup and saucer accompanied by a delightful English biscuit. The juxtaposition of this against the West African backdrop is cause for pause, amusement and delight.

Somber reminders of slavery

Like other countries in West Africa, Cameroon was a part of the dark history of slavery when for centuries many Africans were taken from the continent to North and South America, and the West Indies. Not far from Limbe is Bimbia village. Situated on the Atlantic Ocean, Bimbia served as a slave port, and while not as intact as other slave castles in West Africa, you can still clearly see the remains and relics of the former fortress.

Read this: 'Slave trade ghost town'

Currently under restoration, the path to Bimbia Slave Port requires a long walk through bamboo and bushes, and poignantly this is the same path thousands of slaves walked for centuries on their way to the port. Not to everyone's taste, there is a reenactment of captured slaves complete with shackles and chains, which brings the experience of the slave port to a dramatic reality.

Nightlife

Nightlife in Limbe is lively and fun, and ranges from outdoor restaurants to packed nightclubs. The Fini Hotel has a fantastic restaurant that serves an array of Cameroonian dishes and local delicacies such as bitter leaf stew, crocodile and cassava as well as shrimp and fish prepared with local spices like fufu and Eru. Plantains and cocoyams seem to accompany almost every meal. French wines are plentiful in Cameroon, but by far the most popular alcoholic beverages are beers, and Cameroon has its own Castel and 33 beer, which are as popular as they are strong.

The popular local nightclub Le Calyspo is part of the Fini hotel, and is designed with the international party going crowd in mind. Another popular nightclub is Spyce. Part of the Chariot Hotel, Spyce was much like any other club you would find elsewhere in the world, with a great sound system and energized crowd that dance to everything from local makossa rhythms, to international pop music.

This is just a small sample of what Cameroon has to offer tourists. It must be pointed out that the country is an emerging tourist destination, which means there is still much work to be done in fully developing the tourism sector.

While the country is easy to travel around, there are advisories warning against travel to the Far North Province and certain border areas. Amenities can vary dramatically, and even the most seasoned African traveler should be prepared to fully embrace a certain amount of ruggedness.

Nevertheless, Cameroon is one of the most rapidly developing tourism markets in sub-Sahara Africa, providing a chance for tourists to visit this stunning part of the world before everyone else catches on.

An award-winning communications executive, Claudine Moore is also a freelance writer specializing in covering stories about Africa. Twitter @Claudine Moore.

@highlight

Cameroon boasts diverse wildlife, beautiful forests, savannah and mountains

@highlight

Active volcano Mount Cameroon is a perfect spot for hiking

@highlight

The picturesque town of Limbe has a wildlife center and botanic gardens