(CNN) -- The eight years under Mahmoud Ahmadinejad can be marked for his defiance of the West in pursuit of nuclear development. But Iranians, especially in the past two years, have paid a dear price for that position.

Economic isolation, with round after round of sanctions, in a globalized world of trade and currency transactions remains painful.

"I calculate what I call a misery index. It's been since 1991 about two times as high in Iran as it even was in Egypt at the height of the Arab Spring," said Steve H. Hanke of Johns Hopkins University during a visit to the region. "So in relative terms the mismanagement in Iran is just phenomenal."

More: Presidential candidates 'cry for overhaul of foreign policy'

This is best reflected in the value of the Iranian real, which has plummeted as much as 80% as U.S.- and European- led sanctions target the country's central bank and other financial institutions.

The basic staples skyrocketed in price last autumn during the height of the currency crisis. Chicken prices went up three fold; bread went up five-fold as the cost of imports soared with a weakened currency due to the sanctions.

Empty stalls in the Iranian souk in Abu Dhabi which were filled with handicrafts of tradesman visiting from Iran each month have been replaced by garden plant shops with Indian owners. Trade between Iran and the United Arab Emirates has dropped nearly a third in the past year, according the local Chamber of Commerce.

The selling of Iranian handicrafts is one matter, but it's the sanctions against Iranian crude which are hitting state coffers the hardest. Daily oil production is hovering around two and a half million barrels a day. This is the lowest in more than two decades, according to the Paris based International Energy Agency, having been cut a million barrels a day. Using a conservative calculation of $90 a barrel that lost export production is costing Iran $33 billion in revenues per annum.

Read more: Who's running in Iran's presidential election?

Even nations that maintain good relations with Iran, like India, have been forced to cut back on oil imports.

U.S. Senator Robert Menendez helped draft the last round of sanctions at the beginning of this month. The Western- led sanctions, he says, are designed to give the Supreme Leader Ayatollah Ali Khamenei and the new president a distinct choice.

"We think we can drive a clear choice for the Supreme Leader that either my country ultimately has an economic collapse or I divert myself and I can divert myself from nuclear weapons," said Menendez during an interview at the World Economic Forum in Jordan.

In their final debate last Friday on foreign affairs in Iran, moderate voices of the carefully chosen candidates talked of a "need to get away from extremism," referring to the hardened line against nuclear inspections.

Opinion: Presidential elections without buzz

Iranians are eager to see if the election gives the ultimate leadership in Tehran reason to open up a new chapter in foreign relations.

Iran is loaded with potential. Jim O'Neill, the creator of the BRIC acronym and author of "The Growth Map" said in his book that Iran deserved to be in his group of the Next 11 fast growing economies and that "the prospect of membership could also serve to motivate countries" such as Iran, Pakistan and Nigeria.

The country is a big market, with 78 million highly educated people. It has the world's second largest gas reserves and is in the top five of proven oil reserves. Iran's geographical position at the heart of the Middle East provides excellent distribution potential to the fast growing and energy-hungry markets of China, India and Africa.

But the building blocks to construct a solid, export driven economy, along the lines of the German industrial model, cannot be put in place under the current strategy according to Afshin Molavi of Oxford Analytica.

"Absent the removal of sanctions, Iran's economy will never achieve the potential that it is capable of achieving. Iran could be the Germany of the Middle East."

It could be an economic power, but much depends on whether this presidential election reaffirms Iran's appetite to defy the West and pursue its nuclear ambitions.

@highlight

Iran's defiance of the West in pursuit of nuclear development puts it into economic isolation

@highlight

The value of the Iranian real has plummeted 80% as sanctions target the country's central bank

@highlight

Bread prices went up five-fold as the cost of imports soared with a weakened currency