Remember Syria's chemical weapons?  Yes, those, the ones the Syrian regime agreed to give up after President Obama threatened to bomb.

All of the "priority one" the most dangerous of those weapons, were supposed to be gone by December 31 last year. They're not. Almost all of them -- more than 95% -- are still in Syria despite a commitment by the Syrian President Bashar al-Assad to get rid of his deadly arsenal.

The deal to remove Syria's stock of WMD was the one tangible accomplishment of the Obama administration's approach to the Middle East's multiple crises. Now that deal looks to be failing, even as red flags also start flying along the path to a deal with Iran.

It's hard to escape the impression that Iran and its close ally, Syria, are toying with the U.S.

America is earnestly seeking a diplomatic solution. And we should all hope diplomacy succeeds in securing an agreement that stops the carnage in Syria and one that prevents Iran from becoming a greater threat to its neighbors. But there is a reason these efforts are already running into trouble.

Secretary of State John Kerry is valiantly pursuing the suit-and-tie approach to peace, but Kerry is handicapped by the growing perception that Obama will not use military force under any circumstances. The U.S. doesn't need to release bombs to show it is powerful. What it needs to do is remind its adversaries, its enemies, that it has options beyond the well-appointed rooms of hotels along Lake Geneva.

Obama can do this by speaking directly and firmly about those choices. That alone would go a long way in reshaping some points of views, and could produce results. If it doesn't, more concrete steps would be required, from increasing material support for specific anti-al-Assad forces to a tightening of sanctions against Iran and other steps.

Diplomats can help concentrate the mind of their interlocutors when the people on the other side of the table worry about the possible cost of failure.

This is true of Syria's al-Assad, who has heard Obama's threats on the use of chemical weapons starting in the summer of 2012, and is still playing games with America while relentlessly slaughtering and starving his people.

And it is true about Iran, which just heard Obama during the State of the Union threaten to veto a plan to set the stage now for additional sanctions against Iran if negotiations fail in the next six months. Iranian officials presumably also heard the president state what so many have stopped believing: that he is prepared "to exercise all options to make sure Iran does not build a nuclear weapon."

Iran foreign minister says Obama's remarks are for "domestic consumption"

The more we hear from the Iranians, the less likely it seems that a successful agreement can be reached.

After CNN's Fareed Zakaria talked to Iranian President Hassan Rouhani last week, he concluded there's a "train wreck" on its way in negotiations. The U.S. is moving forward on the assumption that a deal would involve the dismantling of some key nuclear facilities, but Rouhani, the moderate face of the Islamist Republic, made it "categorically, specifically and unequivocally" clear that Iran has no intention of ever rolling back its nuclear program.

On Syria, I had heard rumors that the removal of its most terrifying weapons was not going as scheduled. Then an anonymous source told Reuters that the regime has delivered a dismal 4.1% of the 1,300 tons of toxic agents it has reported, "and there is no sign of more," on the way.

Then the U.S. confirmed it.

On Thursday, Ambassador Robert Mikulak, who heads the U.S. delegation to the Organization for the Prohibition of Chemical Weapons, told the group that Syria is ignoring the timeline for removal of banned weapons and displaying "a 'bargaining mentality' rather than a security mentality." In addition, he said, there is little progress on Syria's commitment to destroy its chemical weapons production facilities.

If Syria's games over its chemical weapons sound familiar -- agreements followed by "misunderstandings" and endless delays -- it is because we see much the same already unfolding with Iran.

Iran's President and foreign minister are well versed in their communications strategy with the West. They are charming and fluent, speaking directly to Western publics who would like nothing better than to be done with the threat of a confrontation. And how great it would be to truly resolve the issue diplomatically.

Hope, however, is not a strategy any more than closing your eyes when you don't like what you see, as when Iranian President Hassan Rouhani tweeted that in the Geneva agreement the "world powers surrendered" to Iran. That's when the White House dismissed the worrisome statement as a play for a domestic audience.

Since then, however, one after another Iranian official has maintained they have no intention of taking apart any of their nuclear program. Without destroying any centrifuges, reactors, or other facilities, Iran can negotiate with the West, and receive political, diplomatic and economic benefits from the loosening of sanctions, as it already has. And then, as top Iranian officials have said, it can reverse any freeze and resume high-level enrichment in 24 hours. That's the vow from the top nuclear negotiator and the foreign minister.

Making matters worse, much worse, we have just learned that American intelligence officials believe Iran has essentially already reached the "nuclear breakout" capability it sought. Director of National Intelligence James Clapper told Congress this week that Iran has made "technical progress in a number of areas -- including uranium enrichment, nuclear reactors, and ballistic missiles -- from which it could draw if it decided to build missile-deliverable nuclear weapons." In other words, he concluded, the only thing between Iran and nuclear weapons is a political decision to build the bomb. Everything else is already in place.

That extraordinary revelation received little attention in the U.S., where the headlines were consumed with the crisis in ice-logged Atlanta. In other places, the news was cause for alarm. "Heaven help us," tweeted a respected Israeli journalist, "Iran can now build and deliver nukes."

How is it possible that Iran and Syria are getting away with this?

Iran and Syria are not the only countries convinced that the U.S. will not take military action. Saudi Arabia apparently has reached much the same conclusion.

After his 2012 red lines became blurred, the deal to get rid of al-Assad's chemical weapons allowed Obama to claim he had succeeded in showing consequences for their use, even if al-Assad stayed in place and the killing continued. But now it looks as if essentially nothing has changed. Except that tens of thousands more have died.

To support American diplomacy, Obama needs to erase that image of a weak America. Again, there is no need to launch attacks and deploy troops. But there is a need to show to America's enemies they cannot play the U.S. for a fool. The President needs to assert convincingly that he will be able to exercise power if that becomes necessary. Nothing would be more helpful to the chances for diplomatic success.

@highlight

Syria has only removed about 4% of priority one chemical weapons, U.S. says

@highlight

Frida Ghitis: Syria, Iran seem willing to toy with the U.S., raising doubt about negotiations

@highlight

She says U.S. needs to make clear that it will back up its positions with action