(CNN) -- A last-minute and unexpected change in government rules over a key environmental dispute prompted uncertainty and consternation at the Supreme Court on Monday, with justices chastising the Obama administration over its policy tactics.

Final rules issued by the Environmental Protection Agency on Friday exempted logging road runoff from storm water permit requirements, saying timber firms may continue to use "best management practices" that suit local conditions.

The change came just ahead of Monday's oral arguments on one of two cases this week dealing with the financial and health effects of storm water drainage.

"Maybe in the future you could let us know when something as definite as that comes" at the last minute, Chief Justice John Roberts told the Justice Department's lawyer.

Roberts suggested that arguments could have been delayed so that the court and both sides of the case could prepare.

Photos: 15 Supreme Court cases that changed America

At issue was whether logging road operators must obtain federal Clean Water Act discharge permits for ditches, drains, and culverts channeling rain runoff from those roads-- treating it the same as industrial storm water.

Scientists have said such sediment from muddy water-- created in part by large logging trucks-- can prove deadly to fish, plants and other wildlife, often many miles downstream from the initial source.

A small environmental group from Oregon first sued over dirt roads in the Tillamook State Forest, near streams where threatened salmon migrate. That includes the Trask River and Sam Downs Roads.

The Portland-based Northwest Environmental Defense Center last year won an important victory in a federal appeals court.

But state officials and timber companies then asked the high court to intervene, saying changes in long-established federal rules would be overly burdensome and cost jobs in the already financially stressed timber market in the Pacific northwest.

The Clean Water Act generally prohibits any pollutants being discharged by companies or individuals into American waters, unless a government permit has been issued. Such "pollutants" can include rock, sand, and contaminated soil.

Small-scale family farm runoff traditionally receives less scrutiny than an industrial factory or mine. The question before the court is where forestry activities should fall on regulatory scale when it comes to the permitting process.

The Obama administration is backing Oregon and the timber industry, but also told the court in recent weeks that Congress and the EPA were working to minimize any further environmental damage, without an additional regulatory scheme.

Roberts noted it would be an "unusual situation" for the court to now try and rule following the regulatory bombshell -- when the key point of contention has now apparently become moot.

But Timothy Bishop, the attorney for Oregon, urged the justices to continue deciding the matter despite the EPA action.

"Are you sure you want what you're asking for," said Roberts. "What if we go ahead and decide this case and rule against you?"

Photos: Justice Roberts on the high court

Some justices seemed prepared to do so after Bishop insisted "timber harvesting is not industrial activity" that would likely trigger permits.

The lawyer for the environmentalists said in light of all the recent rule changes, the easiest thing would be for the high court to dismiss the industry appeal-- which would mean a victory for the environmental coalition.

Some on the bench were skeptical that was a practical alternative.

The justices Tuesday will tackle another ongoing dispute over whether water on a navigable river that flows through a concrete channel-- or an "engineered improvement"-- can be considered "discharge" subject to greater Clean Water Act regulation.

That appeals concerns responsibility over billions of gallons of polluted storm water flowing into the Los Angeles and San Gabriel Rivers.

Monday's consolidated cases are Decker v. Northwest Environmental Defense Center (11-338) and Georgia-Pacific West, Inc. v. Northwest Environmental Defense Center (11-347).

@highlight

EPA rule finalized just before Supreme Court arguments in logging case

@highlight

Scientists say sediment related to logging can harm fish, plants

@highlight

Environmental group won appeals case, state; industry sought high court intervention