London (CNN) -- U.S. President Barack Obama is this week hosting fifty African leaders in Washington D.C. It's an event the White House has dubbed "historic," and it's designed to promote trade and investment.

But as the summit launched Monday, the deadliest Ebola outbreak in history was intensifying in Western Africa. Two VIPs -- Nobel Peace prize recipient and president of Liberia Ellen Johnson Sirleaf, and her Serra Leone counterpart Ernest Bai Koroma -- canceled their trips.

Instead, they chose to stay in their home countries and deal with a health crisis that has so far claimed nearly 900 lives. It has also dragged on the region's economies, and the economic pain is expected to get worse.

At the summit's opening day, the World Bank pledged $200 million to contain the epidemic. The World Health Organization and West African nations hit by the outbreak have also poured $100 million into plans to try and contain it.

But the Ebola virus has hit some of West Africa's most vulnerable economies, and poorest rural areas. The economic growth of Guinea, where more than 300 people have died after being infected by the virus, is now expected by the World Bank and IMF to slow to 3.5%, from 4.5%.

Is the world investing in prevention?

Peter Piot, a director at the London School of Hygiene & Tropical Medicine, helped discover the virus nearly four decades ago. He says many unknowns remain around treatment, how Ebola causes death and how this can be prevented.

Thus far, there is no proven treatment and no vaccine for Ebola, although one experimental drug has attracted interest after apparently saving the lives of two American missionaries infected.

In March, America's National Institutes of Health awarded a five-year, $28 million grant to establish a collaboration between researchers from fifteen institutions who were working to fight Ebola.

Other trials are also taking place, including by Tekmira, a Vancouver-based company that has a $140 million contract with the U.S. Department of Defense to develop an Ebola drug.

According to Ian Jones, a professor of virology from the University of Reading, the appearance of Ebola on the list of bioterrorism diseases incentivises the investigation into vaccines. "The military and defense regimes are certainly aware of this agent being a possible agent of bio terrorism and are working on methods to control it," Jones told CNN.

Working against that, however, is Ebola's relatively low mortality rates and difficulty of storing of a vaccine when the outbreaks occur irregularly.

"The economic argument [for developing a vaccine] is not strong and it's only really a moral argument," Jones said. "And even then you could argue that the money would be much better spent on the infrastructure in the countries concerned."

Indeed, the World Bank's financial boost is designed to "build up safety net protection measures" for those affected, according to its vice president for the Africa region, Makhtar Diop. "Further hardship" is expected in the areas, where people are "poor and vulnerable to begin with," he said when announcing the pledge.

The scare factor

Investment and cross-border commerce is slowing as international companies impose restrictions on business with the countries where Ebola is present.

Emirates this month become the first major international airline to suspend flights from Guinea, followed by pan-African airline ASKY and smaller regional carrier Arik Air. British Airways stopped its flights to Sierra Leone and LIberia Tuesday, due to the "deteriorating public health situation."

While the full cost of such moves have not yet been quantified, a World Bank report has noted "fewer international flights" to these countries and "lower revenues and financial inflows."

West Africa is rich in iron and gold, and Western mining companies have a strong presence in the region. But Liberia, where 255 people have died after being infected by Ebola, has closed all but major border crossings in its attempts to contain the outbreak.

The mining industry contributes around 14% of Liberia's economy, with international companies such as ArcelorMittal, Hummingbird, Chevron and Exxon & Total operating many of the mines.

Many have imposed travel restrictions on workers and are evacuating non-essential staff from the region. If this continues, "there will be a sizable decline in production," the World Bank said. The agricultural industry has also suffered as rural workers have fled farming areas in the region.

According to Jones, economic decline will also be fed by the "scare factor" of the virus. "This scare factor permeates into the economy and has a much bigger effect that the hygiene issues themselves," Jones said.

@highlight

The biggest Ebola outbreak in history is taking its toll in Western Africa

@highlight

The WHO has invested $100 million into plans to contain it, the World Bank pledged $200 million

@highlight

Ebola has also dragged on the region's economies, and costs are expected to rise