San Francisco (CNN) -- Facebook wants to hear your life story.

Not satisfied with just being a repository for recent vacation photos, the company is revamping the profile pages on its website to better highlight the milestones in a person's life, executives announced at its annual conference for software developers on Thursday.

This new version is based around the idea of a personal "timeline" rather than the standard profile pages that users have become used to.

"We're more than what we did just recently," CEO Mark Zuckerberg said in unveiling the new look. "Timeline is a completely new aesthetic for Facebook."

The pages look more like blogs than a social-networking site. A large photo covers the top of the pages, stretching from one side of the screen to the other. And posts -- like photos, status updates and the locations a person visits -- show up below that, attached to a vertical and chronological timeline.

Facebook is hoping the changes encourage people to publish more information about their daily lives and about their pasts. In his onstage demonstration, Zuckerberg posted a baby picture of himself, which showed up at the bottom of his timeline profile.

"We think it's an important next step to help you tell the story of your life," he said.

Some users got a beta version starting on Thursday, while others will be able to request access. The new profile will be turned on for everyone in the next few months, according to Bret Taylor, Facebook's technology chief.

The world's largest social network, with more than 750 million users, introduced some related new features earlier this week. Zuckerberg said Facebook's reach continues to grow.

"For the first time ever, in a single day we had half a billion people use Facebook," he said.

The company made a second big announcement Thursday when it unveiled a new version of its app network, which also is launching in the coming weeks.

Facebook will make it easier for people to post info to their profile pages without visiting the site or clicking a Like button. The company has partnered with dozens of prominent software developers for applications that integrate more closely with the social network. Some of these features launched on Thursday.

This is "the most significant change we've made to our platform since we launched it four years ago," Taylor said.

Streaming music services, including MOG, Rhapsody, Rdio, Spotify and Turntable.fm, can automatically send data to Facebook about each song a user listens to or about new playlists. These might then show up as a weekly report on the user's Facebook page. Zuckerberg called this "real-time serendipity."

"This rings the friction out of how to share music," Kenneth Parks, Spotify's content chief, said in an interview.

To promote this real-time sharing, Facebook also announced partnerships with Yahoo News, Netflix, Hulu, foodie social network Foodspotting and others. These companies have created Facebook apps that can post all of a person's activities on Facebook's new "ticker," which appears in the top right-hand corner of the site's homepage.

Some video services will similarly be able to notify Facebook each time a user watches a video. Hulu, the TV streaming site, and Netflix, the paid subscription service, will be among the first to adopt the new features. Netflix CEO Reed Hastings, who is also on Facebook's board of directors, said that in some cases, Facebook friend recommendations can trump Netflix's vaunted algorithms. Netflix's Facebook features will be activated in 44 countries but not in the U.S. because of a law that Hastings described as outdated.

"You don't have to Like a movie," Zuckerberg said. "You just watch a movie."

Miscellaneous apps like Nike+ and recipe sites also will be able to send more info about particular runs or dinner concoctions without asking each time.

"I'm not going to publish a status update every time I walk up to my stove," said Taylor, the Facebook CTO who is also an avid cook. "I don't want to spam my friend's news feed every time I pick up a spatula."

News websites and apps will ask readers to sign in with their Facebook accounts so that they can send info to the social network about every article they read.

For the news industry, "it's huge," said Eric Vishria, the CEO of RockMelt, which integrated some of these features into its Web browser. "It gives a more tailored view."

But Flipboard, a news aggregation app for iPad that is listed among Facebook's first partners, decided not to adopt that particular feature because, according to a spokeswoman, users probably wouldn't want to share so much information. Instead, users of the apps will be able to highlight individual articles using the Like button, as they currently can, or also share sections to their profiles, she said.

The new Facebook features could anger privacy advocates. With these changes, Facebook is seeking significantly more data about people's activity online and about their personal lives.

Some Internet users who were watching Thursday's presentation online reacted negatively.

"Get ready for over-sharing," one Twitter user wrote.

"This is just WAY too much sharing. The end of privacy," a Facebook user wrote on the company's live stream page.

Facebook is hoping to alleviate these concerns during a "slow rollout," Facebook's Taylor said in an interview with reporters after the announcement. The company worked with privacy groups during the development of these features, he said.

"This is actually a major step for transparency and control on Facebook," Taylor said. Users will be able to delete individual items after they've been posted, he added.

Zuckerberg has said he believes Internet users will continue sharing significantly more of their lives online each year. Comedian Andy Samberg, who opened Thursday's event with his familiar "Saturday Night Live" impersonation of the hoodied Facebook founder, poked fun at this idea in a brief introductory routine.

@highlight

Mark Zuckerberg: "Timeline is a completely new aesthetic for Facebook"

@highlight

New Timeline pages look more like blogs than a social-networking site

@highlight

Another change will let Facebook users share activities with friends "in real time"

@highlight

Zuckerberg announces new features at a Facebook conference Thursday