(CNN) -- Alabama legislators passed several restrictive abortion bills this week, including one that could mean felony charge against any doctor performing such a procedure on a woman who'd been pregnant as little as six weeks.

The four measures easily passed the state's House of Representatives on Tuesday, and they still need to go through the Senate and be signed by Gov. Robert J. Bentley to become law. Both of those steps are real possibilities, given Alabama's conservative bent and the fact the Senate, like the House, is Republican dominated and Bentley belongs to that party.

Still, even if all that happens, it's no guarantee that all of the measures will become law.

Last year, North Dakota passed its own law to ban abortions when a fetal heartbeat is detected -- much like one passed Tuesday, by an overwhelming 73-29 margin, by Alabama representatives.

But a federal judge, Daniel Hovland, subsequently granted a temporary injunction blocking the law's enforcement because its pre-viability provisions were "invalid and unconstitutional."

In his decision, the judge said "there is no question" that the law known as HB 1456 directly contradicts a "litany" of Supreme Court cases that address restraints on abortion, including Roe v. Wade.

Judge blocks restrictive North Dakota abortion law

Like that North Dakota legislation, the Alabama law does not mention abortions being allowed in cases of rape or incest. The only exception is when not having an abortion "is likely to result in the death of the pregnant woman or is likely to result in substantial and irreversible impairment of a major bodily function of the pregnant woman, not including psychological or emotional conditions.

Doctors would be required to check for a fetal heartbeat. If they don't, they'd be charged with a Class C felony. They would be similarly charged if they check and find a heartbeat, then perform an abortion. (The pregnant woman would not face charges.)

"In almost every medical situation, the litmus test to determine the need for continued medical treatment is the existence of a pulse," state Rep. Mary Sue McClurkin, a sponsor of the bill, said in a statement. "We owe the same respect and reverence to the life of an unborn child that we would pay to any person facing a medical emergency."

As the National Institutes of Health and other experts and groups note, a fetus' heartbeat typically cannot be detected until at least 6 weeks into a woman's pregnancy. The Alabama and North Dakota laws, then, would effectively ban abortions beyond that point -- making them the most restrictive such laws in the country.

A number of states have passed abortion bans after 20 weeks, such as Texas, Nebraska, Kansas, Louisiana, Oklahoma, Indiana and Alabama. Arkansas has a ban in place for pregnancies beyond 12 weeks.

Some states have no time limit, while others allow abortion up to the end of the second trimester, which is about 27 or 28 weeks into one's pregnancy.

In addition to McClurkin's bill -- which is dubbed the Fetal Heartbeat Act -- the Alabama state representatives chamber also passed a measure increasing the required wait time before an abortion is performed from 24 to 48 hours.

Another bill states that a woman must be informed about perinatal hospital services as alternatives to abortion when a fetus is found to have a condition that will likely result in death within three months of birth. The pregnant woman must then state, in writing, that she is declining such hospice services.

Lastly, a fourth bill toughens parental consent requirements for minors seeking abortions. They can go through the courts to try to get the chance to have such a procedure without a parent or legal guardian's consent. And the bill also prohibits parents from coercing a minor into having an abortion.

House Speaker Mike Hubbard lauded these bills and others, saying he is "proud to lead the House at a time when we have enacted more pro-life protections than at any other period in Alabama history."

"In Alabama, we will fight tooth and nail to preserve and protect the life of the unborn until the liberal, activist Supreme Court decision making abortion legal in the United States is overturned," Hubbard said. "Republicans in the Alabama House believe that life begins at conception and that a heartbeat is evidence of a viable life that deserves to be defended."

But Nikema Williams, an official with Planned Parenthood Southeast, sharply criticized the measure, including the so-called Fetal Heartbeat Act, which she noted would bar abortions "before some women even realize they are pregnant."

"It's part of an extreme agenda to restrict all abortions under any circumstances in the state of Alabama," she said from Montgomery, one of five Alabama cities that have abortion clinics. "All of these are another attack on women's healthcare."

And the American Civil Liberties Union of Alabama called out the legislators for passing bills that will "invite litigation (that) will cost the state dearly."

"This callous and reckless behavior proves that politicians aren't conscious of Alabama citizens or the financial catastrophe that this state is in and are more interested in pandering than they are in solving the problems facing Alabama," the ACLU said.

This isn't the first time Alabama legislators have passed a restrictive abortion law that's brought opposition and possible interference from the courts.

Last July, U.S. District Judge Myron H. Thompson issued a temporary restraining order that blocks Alabama from enforcing a key portion of a new abortion law that requires doctors at an abortion clinic to have admitting privileges at a local hospital.

The state had argued the measure is designed to protect the health of a patient. The plaintiffs call it medically unnecessary due to the safety of abortion procedures and said enforcement of the section will force them to shut down.

Judge bars Alabama from enforcing provision in abortion law

@highlight

Alabama legislators pass 4 restrictive abortions bills; none are state law -- yet

@highlight

One would charge doctors for doing abortions if there's a fetal heartbeat detected

@highlight

Others deal with consent, mother's sign-off if their unborn child as a fatal defect

@highlight

The ACLU says these bills will "invite litigation (that) will cost the state dearly"