(CNN) -- A leading Muslim-American civil rights group is advocating intense grassroots engagement among police and U.S. Muslim neighborhood leaders to thwart the emergence of homegrown Islamic terrorists.

A report, issued Friday by the Muslim Public Affairs Council, reflects the shock among American Muslims over the Fort Hood massacre, the arrests of five American Muslims in Pakistan suspected of plotting terrorist attacks, and the arrests of eight Somali-American men on charges related to what prosecutors said were efforts to recruit youths to fight for a Somali guerrilla movement.

Titled "Building Bridges to Strengthen America: Forging an Effective Counterterrorism Enterprise between Muslim Americans and Law Enforcement," the paper stresses a division of labor and a collaboration between police and community groups. Police should fight crime, including terrorism, and neighborhood leaders should deal with the causes of radicalization, it says. At the same time, both need to work hand in glove, the paper said.

"We will capture the narrative from those who seek to misguide the young people," said Haris Tarin, the head of the council's District of Columbia office. He was speaking Friday at a news conference in Washington that introduced the 32-page paper.

"One incident of violent extremism is one too many," said Alejandro J. Beutel, the author of the report and the group's government liaison. "Our community needs to develop more sophistication in dealing with this challenge."

Beutel, who also spoke at the news conference, said there needs to be a greater emphasis on community policing, an idea that calls for closer ties between neighborhood residents and cops on the beat. Developing closer relations with local Muslims would help police tap "unique cultural and linguistic" skills that can spot and head off trouble.

The study said police must surmount community distrust, which it says is common and calls "an automatic barrier to police community outreach."

"Unfortunately, in the current political climate, the actions of certain law enforcement agencies -- whether spying on peaceful activist groups and houses of worship without reasonable suspicion, or religious profiling -- have added to difficulties," the report said.

Such a "heightened sense of fear and grievances also creates a greater pool of alienated people terrorists can tap into for recruitment," Beutel's report said.

Tarin and Beutel said concern about radicalism in the Muslim community isn't new: Books have been published about the subject, and imams at mosques have raised the issue for many years.

Speaking at the news conference, Tarin said that Muslim leaders need to "think outside the box" and engage young people in cyberspace, on social networking sites and in other social circles where they are coming together. And both men said that all Muslim groups need to work together to help confront problems like the emergence of radical thought and identify sources of discontent.

Beutel said the U.S. Muslim community can learn from the experience of the British Muslim community. While there was initial surprise that local Muslims were involved in the July 7, 2005, London bombings, Muslims there later realized that militant leaders were tapping into the problems caused by youthful alienation and social issues such as racism, drug use and premarital sex.

Beutel cites a study that says many militants had been secular before they embraced radical Islam, but they typically lacked mainstream religious knowledge. He said making communities "religiously literate" would help fight radicalism.

"Muslim communities must do their part to reach out and continue to assist law enforcement to bring real terrorist perpetrators to justice," Beutel wrote in the report. "The role Muslim communities should play is in counterradicalization efforts through better religious education, social programs and long-term constructive political engagement."

@highlight

Group wants police, U.S. Muslim leaders to thwart emergence of homegrown terrorists

@highlight

Report, cites Fort Hood tragedy, Americans' arrest in Pakistan, Somali-Americans' arrest

@highlight

Study says police must undo community distrust, which it calls a barrier to outreach

@highlight

Muslim leaders asked to engage youths on social networking sites and in other social circles