The retirement of the pirate leader Mohamed Abdi Hassan, also known as "Afweyne," has generated much media coverage, but the real significance of his announcement is the indication it gives of how Somalia's pirates currently view their business model. It appears that hijacking vessels in the Indian Ocean and the Gulf of Aden is no longer seen as a relatively risk-free affair.

Somalia's 3025-km coastline is the longest in Africa, and lies along busy shipping lanes that are crucial for the transport of goods from Asia to Europe, and of oil from the Gulf. It is estimated that between 20 and 30,000 ships pass through this area every year. For more than a decade, this environment has provided rich pickings for pirates launching small skiffs from Somalia's coast, hoping to hold up a ship with its cargo and crew until a ransom is paid by the ship's owner. In 2008, piracy began to gain international attention as the number of attacks and the amount demanded in ransoms increased dramatically.

That year was also the one in which Afweyne attained notoriety as the key organizer of a pirate group that conducted two high-profile hijackings. Men under Afweyne's command captured one of the largest vessels ever hijacked -- the Sirius Star, a Saudi-owned oil tanker the size of an aircraft carrier -- which was carrying 2 million barrels of oil worth $100 million, according to some estimates. Later that year Afweyne's group also hijacked the MV Faina, a Ukrainian vessel loaded with weaponry including tanks, anti-aircraft guns and 800 tons of ammunition. At the time, it was feared that this cargo could be stolen by the hijackers and sold to criminal organizations or even terrorists but, like the Sirius Star, the vessel was eventually released after a ransom of $3 million was reportedly paid.

Report: Sea piracy drops to lowest level in four years

Despite these high-profile incidents, there are reports that Afweyne has not been directly involved in piracy since 2009, and so his retirement will have little effect on the current trajectory of piracy. Afweyne's announcement is, however, indicative of a trend that has become increasingly clear over the past year -- that piracy off the coast of Somalia is no longer as lucrative as it once was.

There has been growing recognition that piracy does not spontaneously happen at sea, but that it is a phenomenon rooted in the economic and political shortcomings of Somalia. In a country where the estimated GDP per capita is only $600 (compared to neighboring Kenya's $1,700), the lack of employment opportunities has meant that the chance of earning up to $6,000 from a successful hijack has made piracy a tempting option to many young Somali men.

However, action taken by international governments seeking to protect their trade interests and to maintain security along Africa's east coast has led to a decline in successful pirate attacks. In 2011, there were 28 hijackings, 20% lower than the 2010 figure. In the first 11 months of 2012, Somali pirates only managed 13 successful hijackings. There has not only been a reduction in successful hijackings, but also in the number of attempts that pirates are making. While in 2011, there were 199 incidents in the high-risk area off Somalia's coast, by the end of 2012 this figure had dropped by almost two-thirds.

This reduction in pirates' success can be attributed to four key factors:

• The introduction of international naval patrols in the Gulf of Aden and the Indian Ocean which increasingly collaborate to protect merchant shipping and to apprehend pirates.

• The shipping industry's implementation of Best Management Practices, which are guidelines detailing methods of protecting a vessel from attack (for example, faster travel through the high-risk area, increased vigilance, and ship protection measures such as barbed wire placed around the ship).

• The presence of armed guards aboard vessels.

• And, perhaps, the example of pirates who have been prosecuted and imprisoned internationally and within Somalia.

High-ranking Somali pirate gets multiple life sentences

Some may ask what a pirate boss does in his retirement, and Afweyne's public renunciation was clearly meant to garner public interest. Some lower-level former pirates have begun to offer their services as counter-piracy consultants, or guards aboard fishing boats that operate near Somalia's coast. It would not be unthinkable for Afweyne to position himself as a counter-piracy expert within Somalia. Somalia's former government issued him with a diplomatic passport, reportedly in a bid to dissuade him from carrying out further pirate activity, demonstrating the surprising political connections which he has enjoyed.

Until there is a comprehensive solution to Somalia's troubles, piracy off the country's coast will not be ended conclusively -- but it might be contained to a manageable level. Part of this effort will involve maintaining an international naval presence in the Indian Ocean and the Gulf of Aden in order to deter those who might still take a chance in attacking a vessel, and to counter wider criminal activity, including people and weapon-smuggling.

It may seem unfair that a figure like Afweyne appears to have gone unpunished for longstanding criminal activity. With more investment of time and money by Somalia, its neighbors and the wider international community in tracing the financial flows of piracy, identifying and prosecuting those who have financed and benefited hijackings, figureheads such as Afweyne may make the news for their imprisonment, rather than retirement.

@highlight

Pirate Mohamed Abdi Hassan, known as "Afweyne," announces retirement

@highlight

Piracy began to gain international attention in 2008 as number of attacks grew

@highlight

Afweyne got notoriety as organizer of two high-profile hijackings, says Adjoa Anyimadu

@highlight

Piracy off coast of Somalia is no longer as lucrative as it once was, says Anyimadu