(Mental Floss) -- Since the dawn of time, people have found nifty ways to clean up after the bathroom act. The most common solution was simply to grab what was at hand: coconuts, shells, snow, moss, hay, leaves, grass, corncobs, sheep's wool -- and, later, thanks to the printing press -- newspapers, magazines, and pages of books.

The average American uses 57 squares a day and 50 pounds of toilet paper per year.

The ancient Greeks used clay and stone; the Romans, sponges and salt water. But the idea of a commercial product designed solely to wipe one's bum? That started about 150 years ago, right here in the U.S.A. In less than a century, Uncle Sam's marketing genius turned something disposable into something indispensable.

Toilet paper gets on a roll

The first products designed specifically to wipe one's nethers were aloe-infused sheets of manila hemp dispensed from Kleenex-like boxes. They were invented in 1857 by a New York entrepreneur named Joseph Gayetty, who claimed his sheets prevented hemorrhoids.

Gayetty was so proud of his therapeutic bathroom paper that he had his name printed on each sheet. But his success was limited. Americans soon grew accustomed to wiping with the Sears Roebuck catalog, and they saw no need to spend money on something that came in the mail for free.

Toilet paper took its next leap forward in 1890, when two brothers named Clarence and E. Irvin Scott popularized the concept of toilet paper on a roll. The Scotts' brand became more successful than Gayetty's medicated wipes, in part because they built a steady trade selling toilet paper to hotels and drugstores.

But it was still an uphill battle to get the public to openly buy the product, largely because Americans remained embarrassed by bodily functions. In fact, the Scott brothers were so ashamed of the nature of their work that they didn't take proper credit for their innovation until 1902.

"No one wanted to ask for it by name," says Dave Praeger, author of "Poop Culture: How America Is Shaped by Its Grossest National Product."

"It was so taboo that you couldn't even talk about the product." By 1930, the German paper company Hakle began using the tag line, "Ask for a roll of Hakle and you won't have to say toilet paper!"

As time passed, toilet tissues slowly became an American staple. But widespread acceptance of the product didn't officially occur until a new technology demanded it.

At the end of the 19th century, more and more homes were being built with sit-down flush toilets tied to indoor plumbing systems. And because people required a product that could be flushed away with minimal damage to the pipes, corncobs and moss no longer cut it. In no time, toilet paper ads boasted that the product was recommended by both doctors and plumbers. Mental Floss: 5 times drug companies promised too much

Strength of going soft

In the early 1900s, toilet paper was still being marketed as a medicinal item. But in 1928, the Hoberg Paper Company tried a different tack. On the advice of its ad men, the company introduced a brand called Charmin and fitted the product with a feminine logo that depicted a beautiful woman.

The genius of the campaign was that by evincing softness and femininity, the company could avoid talking about toilet paper's actual purpose. Charmin was enormously successful, and the tactic helped the brand survive the Great Depression. (It also helped that, in 1932, Charmin began marketing economy-size packs of four rolls.) Decades later, the dainty ladies were replaced with babies and bear cubs -- advertising vehicles that still stock the aisles today.

By the 1970s, America could no longer conceive of life without toilet paper. Case in point: In December 1973, Tonight Show host Johnny Carson joked about a toilet paper shortage during his opening monologue. But America didn't laugh. Instead, TV watchers across the country ran out to their local grocery stores and bought up as much of the stuff as they could.

Also telling was that, in 1978, a TV Guide poll named Mr. Whipple --the affable grocer who implored customers, "Please don't squeeze the Charmin" -- the third best-known man in America, behind former President Richard Nixon and the Rev. Billy Graham. Mental Floss: Cheetos Lip Balm and other bizarre brand extensions

Rolling the world

Currently, the United States spends more than $6 billion a year on toilet tissue -- more than any other nation in the world. Americans, on average, use 57 squares a day and 50 pounds a year. Even still, the toilet paper market in the United States has largely plateaued.

The real growth in the industry is happening in developing countries. There, it's booming. Toilet paper revenues in Brazil alone have more than doubled since 2004. The radical upswing in sales is believed to be driven by a combination of changing demographics, social expectations, and disposable income.

"The spread of globalization can kind of be measured by the spread of Western bathroom practices," says Praeger. When average citizens in a country start buying toilet paper, wealth and consumerism have arrived. It signifies that people not only have extra cash to spend, but they've also come under the influence of Western marketing.

America without toilet paper?

Even as the markets boom in developing nations, toilet paper manufacturers find themselves needing to charge more per roll to make a profit. That's because production costs are rising. During the past few years, pulp has become more expensive, energy costs are rising, and even water is becoming scarce. As the climate continues to change, toilet paper companies may need to keep hiking up their prices. The question is, if toilet paper becomes a luxury item, can Americans live without it? Mental Floss: Why does bottled water have an expiration date?

The truth is that we did live without it, for a very long time. And even now, a lot of people do. In Japan, the Washlet -- a toilet that comes equipped with a bidet and an air-blower -- is growing increasingly popular. And all over the world, water remains one of the most common methods of self-cleaning. Many places in India, the Middle East, and Asia, for instance, still depend on a bucket and a spigot.

But as our economy continues to circle the drain, will Americans part with their beloved toilet paper in order to adopt more money-saving measures? Or will we keep flushing our cash away? Praeger, for one, believes a toilet-paper apocalypse is hardly likely. After all, the American marketing machine is a powerful thing.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Ancient Greeks used clay,stone; Romans, sponges and salt water as toilet paper

@highlight

U.S. man designs aloe-infused sheets of manila hemp  in 1857

@highlight

Johnny Carson joked about toilet paper shortage, people bought out stores

@highlight

U.S. buys $6 billion of toilet tissue annually -- more than any other nation