Karen Garner sometimes catches her husband, Jim, crying in the kitchen of their Virginia home. "All I'm good for now is doing the dishes and the laundry," the former Air Force senior master sergeant complains through his tears.

"I want to come back to him and say, 'No, that's not true' and rattle off some examples ... but I stop myself," Garner said. "Because he's right."

Jim was diagnosed with early-onset Alzheimer's disease three years ago. He was 48. He lost his job as his cognitive ability declined and now spends his days trying to complete the list of few simple tasks his wife leaves him. He often calls Garner at her job with questions. She worries constantly that this will be the day that he'll get lost or hurt himself or set the house on fire.

"He hasn't done anything yet to cause me concern, but I know it's coming. I know that one day, something will happen," Garner said.

More than 35 million people worldwide live with dementia today, according to a new report. By 2050, that number is expected to more than triple to 115 million. The majority require constant care; they're dependent -- and that dependence can impact their loved ones in unmeasurable ways.

"People with dementia have special needs for care," the report from Alzheimer's Disease International says. "They need more personal care, more hours of care, and more supervision, all of which is associated with greater caregiver strain, and higher costs."

The 2013 World Alzheimer's Report, titled "Journey of Care," examines global trends related to older people who need dementia care, including those with Alzheimer's disease.

5 things I learned at 'Dementia Village'

In the early stages of dementia, patients become forgetful. They get confused about the time or their location. Decisions are difficult. As the disease progresses, patients have a harder time communicating and caring for themselves. By the final stage, patients can no longer recognize their loved ones, eat without assistance or even move.

It's a slow, torturous decline, Garner says. Jim breaks some things and loses others. He provides off-the-wall answers to people's questions. He's emotionally detached from their two kids, aged 9 and 12.

She worries that her kids won't remember what an "awesome" father Jim was. He was the dad who got up in the middle of the night to help with feedings and change diapers. He read to the kids, played with them, took care of them when they were sick.

Garner is brutally honest about the impact the disease is having on the family.

"It would be a little bit easier if he would just decline quickly and get it over with," Garner said. "But unfortunately, Alzheimer's doesn't work that way."

People with Alzheimer's live on average four to eight years after they're diagnosed, but some may live 20 years beyond their initial diagnosis.

Caregivers, whether they're family or professionals, share many traits, the World Alzheimer Report notes; they often do demanding work with minimal training or preparation. They're also underpaid and undervalued. Professional caregivers usually earn minimum wage and often report poor job satisfaction. Family members, of course, earn nothing and make many personal sacrifices to care for a loved one.

"Because of the progressive nature of the disease and the length of its duration, Alzheimer's care needs only escalate, often to the point of impacting the caregiver's own health," Angela Geiger, chief strategy officer of the Alzheimer's Association, said in a statement.

And the problem is getting worse. Increasing life expectancies and an aging population are creating a group of seniors that's bigger than the working-age population that supports them, the report says. Approximately 4% of the population in developed countries now is currently over the age of 80; in 2050, experts predict, that number will rise to 10%.

The World Alzheimer's Report identifies four areas in which "specific actions could lead to improvements in the quality of care for people with dementia" and seven strategies to make this care more affordable. Overall, the report authors say, governments need to make dementia a bigger priority.

"No two families are alike in their needs for care and support, and we need to find ways to make care more person-centred, and care packages more flexible and individualised," the report says. "Earlier diagnosis enables the person with dementia to make decisions about the care that they will receive."

Alzheimer's disease cannot be prevented, cured or delayed. But experts say an earlier diagnosis may help patients live better day-to-day.

The 10 warning signs of Alzheimer's

The Alzheimer's Association predicts that by 2050, U.S. costs for caring for the dementia population will total $1.2 trillion. To compare, the total cost worldwide in 2010 was about $604 billion.

"If dementia were a country, it would be the world's 21st largest economy," the report says, "ranking between Poland and Saudi Arabia."

Garner went back to work full-time after Jim lost his job, but she makes less than half what he did. The family used to go on vacations and go out to eat without stretching their budget too much. Now, even back-to-school shopping is a financial burden.

"It's impacted us tremendously, and I don't even pay yet for care of him," Garner said. "When I have to hire someone for in-home care, which insurance doesn't cover, I have absolutely no idea how I'm going to do it."

When Jim was diagnosed, she was a "woman on fire," talking about Alzheimer's all the time, asking Jim about his bucket list, encouraging him to write letters and tape videos for their kids. But as time, and his disease, progress, her life has become a day-to-day struggle to live peacefully in the moment.

Unless someone has a family member with Alzheimer's, she says, they can't understand the overwhelming frustration that comes with it. Financially. Emotionally. Dealing with the medical system. Planning for the future.

"And when I say 'frustration,' that word is just not strong enough," she says. "I read articles, and I talk to people, and I know what's coming. There's nothing I can do to stop it."

If you or a loved one has Alzheimer's, visit www.alz.org or call the Alzheimer's Association's 24-hour hot line at (800) 272-3900.

Can we predict Alzheimer's a decade before symptoms?

@highlight

More than 35 million people worldwide live with dementia

@highlight

Caregivers shoulder a big part of the burden, whether they're professional or family members

@highlight

By 2050, the cost of caring for this population in the United States may be $1.2 trillion