(CNN) -- Whether you are young or old, man or woman, very healthy or quite sick, it is almost a certainty that you are going to use a prescription drug in the next year or two. These medicines are crucial for preventing diseases and treating all sorts of ailments and problems.

They are also expensive -- really expensive. For example, the best-selling drug of all time, Pfizer's cholesterol lowering drug Lipitor, went for $3.50 per pill and up before going generic in late 2011. But these days some retail chains are giving away generic Lipitor while the rest are charging barely 50 cents a pill.

Prescription drugs cost Americans far more than they do people living in many other parts of the world. This is because drug companies spend a fortune on direct-to-consumer sales and marketing (which they don't do in other countries) and because other nations negotiate better deals for drugs than private insurers do in the United States.

Is there anything that can be done to lower costs and increase the availability of more affordable and equally effective drugs? Yes.

Earlier this year, the U.S. Supreme Court heard arguments in a case that drew little attention in the media: Federal Trade Commission v. Actavis. The stakes are high.

When the court decides this case, probably in June, it will either reinforce Big Pharma shenanigans that have helped keep prices high and skyrocketing, or finally bring some relief to our pocketbook and escalating national health care bill for drugs.

The issue is whether companies that own patents for prescription drugs can pay other companies that want to make cheaper generic versions not to do so, a practice known as pay-for-delay.

One way to get lower prices on drugs is to get generic versions out to replace name-brand drugs. Generic drugs include the exact same active ingredients as the brand names. The difference is the name of the medication and the color or shape of the pill.

Prescription drug manufacturers, fearing the arrival of cheaper generics and knowing or worrying that their patents alone won't keep out competitors, try to buy off the competition instead.

In the case before the court, Solvay Pharmaceuticals is accused of paying off would-be generic manufacturers of their blockbuster drug AndroGel, a synthetic testosterone used by hundreds of thousands of AIDS patients, cancer patients, elderly men and others who suffer from low levels of testosterone. The generic companies were happy; they made money for doing nothing. Solvay continued to reap huge profits by keeping its monopoly in the market. The only losers were patients who have had to keep paying much higher prices for their name-brand-only drug.

Usually, buying off your competitors is clearly illegal. Pay-for-delay deals run counter to basic antitrust principles. Nonetheless, some lower courts, declining to evaluate the strength of a patent, have let Big Pharma get away with these deals.

Big Pharma views the settlements as a bargain. Instead of losing up to 90% of their market share bcause of the introduction of a generic, companies can simply pay generic manufacturers and make the competition go away.

A 1984 law, the Drug Price Competition and Patent Term Restoration Act, commonly known as the Hatch-Waxman Act, was intended to speed up lower-cost generic competition. Big Pharma has managed to completely undermine Hatch-Waxman's intent, which was to put in place mechanisms that encouraged generic drug makers to challenge the weak patents often used to protect brand-name drugs.

Unfortunately, the AndroGel case is not unique. In recent years, deals between Big Pharma and generic drug makers have delayed the introduction of a diverse range of cheaper generics including cancer drugs, AIDS treatments, blood pressure medications, antidepressants, allergy medications, sleep aids, ADD medications and more.

The Congressional Budget Office says pay-for-delay tactics cost consumers billions of dollars and the Federal Trade Commission estimates these pay-for-delay deals will cost Americans up to $35 billion over the next 10 years.

Rep. Henry Waxman, D-California, who co-wrote the Hatch-Waxman Act, has been very vocal in arguing that a law Congress intended to help reduce the cost of prescription medicines has been hijacked by the drug industry to do the opposite.

What we have now are the generic manufacturers and Big Pharma making a fortune by agreeing to delay competition that would bring lower priced drugs to market.

A few weeks ago, the Indian Supreme Court took a hard look at the way big drug companies were using patent extensions to keep out low price competition. They said forget itâ€”that sort of tomfoolery will not be allowed.

The U.S. Supreme Court would be wise to concur, heed the Federal Trade Commission's complaint and bring pay-for-delay to an abrupt end.

The right prescription for making medicines cheaper and better is to encourage competition, not stifle it with backroom deals where everyone gets a great deal except for the patients.

The opinions expressed in this commentary are solely those of Arthur Caplan and Zachary Caplan.

@highlight

The Supreme Court probably will decide in June on Federal Trade Commission v. Actavis

@highlight

Arthur Caplan, Zachary Caplan: Big Pharma has kept prescription drug prices high

@highlight

Caplans: The court's decision will affect our escalating national health care bill for drugs

@highlight

They say the Supreme Court should end pay-for-delay and encourage market competition