(CNN) -- The gruesome images circulated by the Islamic State in Iraq and Syria might have grabbed the headlines in recent weeks, but the group is merely the latest in the Arab world to try to manipulate Islam for their own ends.

From the days of the first Islamic dynasty, ruling elites in the Muslim world have co-opted religion to advance their interests, a trend that has continued hand-in-hand with a willingness to use the state security apparatus whenever necessary. But despite the depressing videos of beheadings supposedly undertaken in the name of Islam, there is growing pushback from moderate voices. The Arab Spring may be on hold, but what I call an Islamic Spring is still very much alive.

There are almost half a billion Arabic speakers around the world, but in its early incarnations, the Arabic-language Internet was dominated by conservative, Islamist and Wahhabi radical content.

Indeed, what struck me most during my years as a counterterrorism researcher was the ease with which one could access hundreds of thousands of extremist texts. Al Qaeda, for example, offered free-of-charge audio and video libraries. The Muslim Brotherhood, for its part, offered numerous free online libraries. Even conservative religious books, rather than radical texts, were just more readily available online than secular-leaning content.

Reform-oriented voices, meanwhile, were pushed underground, intimidated by the political and religious alliance confronting them. But pushed underground didn't mean not read, a point underscored by research I was involved with in 2008 as part of a study with the RAND Corp. Indeed, we marveled at the fact that many of these banned books were widely circulating, despite the fact that they were extremely difficult to obtain.

Fast-forward to today, though, and many of these once-hard-to-find publications are readily available with a click of a mouse. So what happened?

Unsurprisingly, technology has played a key role, rendering censorship ineffective. As recently as 2010, when I was undertaking doctoral research on liberal Islamic thought, I toured every major bookstore in Amman and could not find a single book by secularist Syrian intellectual Sadiq Jalal al-Azm. Now, however, pirated versions of his banned books, including "Critique of Religious Thought," are available online.

But while it is interesting to note how online sharing has extended to books written by current Islamic scholars, it is particularly fascinating how quickly access has improved to translated works such as those of Bertrand Russell and biologist Richard Dawkins. Arab young people now have access to a well of thought not only from their own heritage but from the global community.

And while the Internet has expanded as a source of material, it has also, crucially, stimulated debate and discussion of issues, which has in turn generated even greater interest. The free debate of ideas was generally rare in classrooms in much of the Arab world, where education has tended to be based on rote memorization.

The religious revolution has been particularly obvious on Facebook, with pages such as Takharif al-Bukhari (Nonsense of al-Bukhari), referring to one of the chief collectors of the Prophet's hadith, or oral tradition. The administrators of the page highlight contradictions in the hadith attributed to the Prophet Mohammed, unearthing all-but-forgotten episodes of Islamic history and sparking impassioned debate with every new post. And, far from insulting Islam, such pages urge readers to discover the truth for themselves, often linking to original texts in the process.

Another forum, Al-Hiwar al-Mutamadin (Civilized Dialogue), which calls for a separation of mosque from state, has over 2 million participants.

Such numbers are only likely to grow on the back of greater Internet access. Businessman and entrepreneurship guru Chris Schroeder noted in "Startup Rising: The Entrepeneurial Revolution Remaking the Middle East" that social media usage is growing by about 125% a year in the Arab world, a reality that has encouraged intellectuals to engage with Arab youth directly on issues such as reform and enlightenment.

Many of these thought leaders are producing and uploading their own shows onto YouTube, reaching and interacting directly with their target audience.

Indeed, YouTube has become a sort of official TV channel for the Arab masses. Adnan Ibrahim, a Palestinian physician who grew up in Gaza, delves deep into Islam to find and highlight humanistic messages of love, pluralism and tolerance. And while his sermons are sometimes delivered to just a few dozen followers in a small mosque in Vienna, hundreds of thousands of people are watching and downloading his sermons over the Internet.

Similarly, a group of Egyptian young men and women created a show on YouTube entitled "Al-Batt al-Aswad" ("The Black Duck"). Muhammad Ismael, its charismatic creator, advocates freedom of conscience for all and calls for such freedom to be included in the Egyptian constitution. With well over 70 episodes, the show has seen its following grow, forcing several official television stations to report on its audacious ideas and interview some of the self-proclaimed atheists.

Despite their diverse backgrounds and points of view, what is noticeable about these thought leaders is their humanist and secular perspective, their vast knowledge of both Western and Eastern thought and the creative, sometimes audacious, ways in which they present their messages to Arabic speakers. Like the scholars of the classical age of Islam, many of these intellectuals are physicians, engineers, lawyers and scientists able to engage with young people in debates in a way in which traditional theologians are often unwilling to tolerate.

All this suggests that although the Arab Spring has disappointed many in the region who might have been hoping it heralded a new era of openness and tolerance, the long-term prognosis is actually extremely encouraging. Groups like ISIS might be grabbing headlines with their use of social media to circulate outrageous images, but the one-sided dissemination of hateful speech is no match for the more moderate voices able to engage in a free flow of debate and dialogue that is winning over many in the region, especially young people.

These more moderate views are underscored in polling by Pew, which showed, for example, declining support for suicide bombing in Jordan (from a high of 57% believing it can be justified in 2005 to 15% this year) and Lebanon (where the number seeing it as acceptable dipped from 74% in 2002 to 29% this year).

The impact of the Islamic Spring might be more subtle, and the results might not be as visually dramatic as those of the Arab Spring. But in the long run, it may have a more lasting impact in undermining the extremists and state puppets of religion.

@highlight

Tech rendered censorship largely ineffective in Arab world, argues Nadia Oweidat

@highlight

Social media usage is growing by 125% a year in the region, by one estimate

@highlight

Moderate voices are taking to Facebook and YouTube to debate ideas, Oweidat says