(CNN) -- He was loved and admired all over the world for helping to end apartheid and heal the scars of a divided nation.

But in his fight for total freedom, the liberation leader also devoted himself to another cause -- the empowerment of women.

Here are five things Nelson Mandela did to advance female equality in his quest for justice.

1. Gender agenda

Although Mandela made tremendous strides in his battle to bring down apartheid, he recognized early on in his presidency that no major success was possible without gender equality.

At the opening of the first parliament in 1994, President Mandela declared, "Freedom cannot be achieved unless women have been emancipated from all forms of oppression... Our endeavors must be about the liberation of the woman, the emancipation of the man and the liberty of the child."

With the representation of women in South Africa's parliament jumping tenfold from 2.7% during apartheid to 27% after the first democratic elections of 1994, Mandela took action by appointing over a third of women to his cabinet.

And today, females make up 44% of the country's politicians -- not far off from the government's goal to reach "50/50 Gender Parity" by 2015.

One of the most prominent appointments was Frene Ginwala as the Speaker of the House. She secured this position throughout his presidency as well as the first term of President Thabo Mbeki.

2. Women of anti-apartheid era

In his celebrated autobiography "Long Walk to Freedom," Mandela acknowledged men weren't alone in the anti-apartheid movement.

In fact, the ANC Women's League played a critical role.

One of the most memorable moments came on August 9, 1956, when 20,000 women marched to the Union Buildings in Pretoria to protest legislation requiring black women to carry passes in urban areas.

"The women were courageous, persistent, enthusiastic, indefatigable and their protest against passes set a standard for anti-government protest that was never equalled," Mandela wrote in his book.

Almost 40 years after the protest, in 1994, he honored those women by declaring August 9 Women's Day, a national holiday.

3. Constitutional justice

For Mandela, democracy and gender equality were far from separate issues.

In 1995, at the time of drafting South Africa's constitution, he said, "As a tribute to the legions of women who navigated the path of fighting for justice before us, we ought to imprint in the supreme law of the land, firm principles upholding the rights of women.

On International Human Rights Day in December 1996, Mandela signed the final draft of the country's constitution granting South Africa's women one of the most comprehensive set of rights in the world.

South Africa's Constitution, states "The state may not unfairly discriminate directly or indirectly against anyone on one or more grounds, including race, gender, sex, pregnancy, marital status, ethnic or social origin, colour, sexual orientation, age, disability, religion, conscience, belief, culture, language and birth."

It even called for the establishment of the Commission for Gender Equality, with the vision to create a "society free from gender oppression and all forms of inequality."

4. UN Convention

In 1993, a year before Mandela became South Africa's first democratically-elected president, the country signed the United Nations Convention to End All Forms of Discrimination Against Women.

Two years later, the rainbow nation later ratified the treaty while he was in office.

Often referred to as an 'international bill of rights for women', the convention set out to end all forms of discrimination against women and still is yet to be ratified by the United States.

5. Speaking up for women

In 1996, Mandela gave a compelling speech on South Africa's Women's Day, calling for full equality and an end to sexual violence against women.

Not blind to the challenges ahead, he remarked: "As long as women are bound by poverty and as long as they are looked down upon, human rights will lack substance."

"As long as outmoded ways of thinking prevent women from making a meaningful contribution to society, progress will be slow. As long as the nation refuses to acknowledge the equal role of more than half of itself, it is doomed to failure."

But Mandela also went beyond rhetoric and took political action to improve the lives of women. During his presidency, he introduced free prenatal and postnatal care to mothers in the public health system as well as free health care to children up to the age of six.

Though he was a firm believer in advancing women's rights, today South Africa faces many challenges, in terms of violence against women. In fact, over the years, Mandela often expressed his dismay over the struggle to achieve equality for women.

However, this hurdle didn't stop Mandela and his third wife Graca Machel. The pair continued to work on this issue after he retired from office. And, while the rainbow nation has not yet fully lived up to Mandela's vision, he will remain an inspiration for all working towards social justice.

@highlight

Mandela fought apartheid and advanced women's rights

@highlight

Women made up a third of Mandela's cabinet while in office

@highlight

He declared Women's Day on August 9