(CNN) -- A bird with an estimated 20- to 24-foot wingspan was identified in South Carolina. There's evidence that dinosaurs roamed what's now a national park in Alaska, and a 9-foot-tall stegomastodon was unearthed in New Mexico.

And those are just the fossil finds made across the United States this summer. If you're fascinated by magnificent prehistoric creatures, there's plenty more exploration to be done.

No need to worry about a Jurassic Park attack.

These eight "fossil finds" offer unique family-friendly, T.-Rex-free ways for paleontologists of all ages to explore prehistoric life. So pack up your family and start uncovering some of the planet's most fascinating previous inhabitants.

Denali National Park, Alaska

Just this month, as tracks of large, plant-eating dinosaur herds were discovered in Alaska's Denali National Park, scientists gained a new picture of prehistoric Arctic wildlife.

The tracks ranged from 5 to 24 inches and came from hadrosaurs -- plant-eating, duck-billed dinosaurs. Hadrosaurs were prevalent during the late Cretaceous period nearly 70 million years ago, and the new tracks only add to Alaska's rich dinosaur history.

"We discovered the first dinosaur tracks in 2005, and now since we know what to look for, we've since discovered thousands of tracks," said Denali park ranger Kris Fister.

"Here, these tracks are unique because it houses traces of the entire ecosystem," she said. "Birds, insects and plant life -- it really paints a picture of what life was in the area."

The tracks are not accessible through guided hikes or paved trails, but experienced hikers can find them nestled in Denali's back country, Fister said.

Agate Fossil Beds National Monument, Nebraska

What exactly is a beardog? Take a tour through the Agate Fossil Beds National Monument in Nebraska, where 20 million years ago the land now known as the Agate was a grassy plain comparable to Africa's Serengeti.

At Agate, roaming animals once included the beardog (Amphicyon), a 6-foot-long hunting creature that actually is not related to the bear or the dog.

There's also evidence of the dinohyus (large pig-like animal) and a short rhinoceros called a Menoceras.

As rock weathered and terrain shifted, these species died off and became fossilized, and they are now visible in the Agate cliffs.

Montour Fossil Pit, Pennsylvania

Stake your claim at the Montour Preserve and fossil pit, an excavation site about 230 miles northeast of Pittsburgh where visitors can dig for fossils.

Montour's marine fossils date to the Devonian Period, about 400 million years ago. And even more fun: All collected artifacts are yours to keep.

Fossils include trilobites (relatives of horseshoe crabs with segmented bodies and frog-like eyes), pelecypods (early ancestors of oysters, mussels and clams) and gastropods (snails).

One tip: Wait until after a good rain shower to go fossil hunting. Sometimes the rain can make the fossils easier to spot in the rock.

Dinosaur National Monument, Utah

The Quarry Exhibit Hall is the unquestioned star of Dinosaur National Monument's show. About 1,500 dinosaur bones from up to 149 million years ago and an 80-foot mural reveal the history of the dinosaurs and their eventual demise.

Bone displays include meat-eating reptiles like the 20-foot long Allosaurus and massive, grass-eating dinos like the Camarasaurus, Diplodocus and Stegosaurus.

Outside the exhibit hall, this monument to dinosaurs still has a rich variety of wildlife throughout the area. Adventurous visitors can take a whitewater rafting trip through remote canyon areas.

Hell Creek Beds, Montana

Hell Creek is a fossil lover's heaven.

Expansive and well-preserved, the rock bed formation spans four states -- Montana, North Dakota, South Dakota and Wyoming -- although the main park is squarely in Montana.

Fossils date to the late Cretaceous period, 65 million to 70 million years ago, and were discovered in 1902 by paleontologist Barnum Brown.

Today, families can take guided, private day digging tours with experienced paleontologists to hunt fossils. And in Hell Creek, abundant species include the distinctively horned ceratopsians; the duck-billed herbivore creatures called hadrosaurs; and theropods, the lizard-like carnivorous dinosaurs.

But there's another reason historians love the Hell Creek beds: The chemical presence of iridium in some rocks gives credence to the theory of a dinosaur extinction caused by a meteor.

Ghost Ranch, New Mexico

Play Ghost (Ranch) buster at this spot's Museum of Paleontology. This New Mexican museum includes bones of the coelophysis, a slender, two-legged carnivore that was over 9 feet long and grazed the ranch's grassy plains nearly 220 million years ago.

Other dinosaurs on display include the 6-foot-long therapod Tawa hallae and Vancleavea, an underwater reptile.

After a tour of the museum, venture into the Coelophysis Quarry, where red beds of rock have preserved the remains of at least 1,000 rare species.

Red Gulch Dinosaur Tracksite, Wyoming

With walkways and set excavation areas, Red Gulch Dinosaur Tracksite in Wyoming is the perfect site for an introduction to paleontology and dino-digging.

Plus, the track site, named for being an area where footprints and fossils are preserved, includes managers of the excavation sites to help beginning visitors identify dinosaur tracks in the sand.

Fossil collection is permitted on most days, barring road closures and fire danger, and the rewards for a fossil hunt are great.

Trilobites, brachiopods (shell creatures) and all invertebrate fossils can be collected for personal use and without permit. And some of those fossils date 167 million years.

However, if you want to search like a professional paleontologist for vertebrate fossils -- with bones and teeth -- a permit is required.

La Brea Tar Pits at the Page Museum, California

They call it Excavation 101. And it begins with a fossil deposit, a grid and the careful removal of dirt to find a bone.

Part of the Page Museum in Los Angeles, the La Brea Tar Pits' outside pits and the museum's inside exhibits create a must-see attraction for West Coast fossil lovers.

There are outside options where viewers can observe excavations of California's rich wildlife, explore prehistoric fossils and learn the basics of excavation.

At the Page Museum, visitors look at expansive fossil exhibits, including full replicas of the smilodon, an extinct saber-toothed cat. The museum's Fossil Lab allows visitors to peer though the glass walls to watch fossils get cleaned, enhanced and prepared for viewing.

@highlight

There have been dinosaur finds across the United States this summer

@highlight

One recently unearthed stegomastodon fossil is 3 million years old

@highlight

Some spots allow visitors to keep the fossils they find