Islamabad, Pakistan (CNN) -- As an umbrella group of humanitarian entities called for "urgent international support" Monday in flood-ravaged Pakistan, the United States was sending materials to provide shelter for almost 47,000 displaced Pakistanis.

The U.S. Embassy said that a cargo aircraft carrying 530 rolls of heavy-duty waterproof and fire-resistant plastic sheeting for use as temporary shelters was sent by the United States to Karachi, Pakistan, on Monday, a day after another flight ferried 240 rolls of plastic sheeting to Karachi.

"Our experience has shown that plastic sheeting is urgently needed for temporary shelters, and we know it is urgently needed in Sindh as the flood waters continue to move south," Ambassador Anne Patterson said in a written statement.  "It will be supplied along with locally purchased materials that can be easily moved when people are able to return home."

The embassy said the sheeting material will provide dry shelter for 46,800 people in Sindh province. It was going to a logistics hub in Sindh for distribution by local and international organizations.

To date, the United States has committed approximately $76 million for Pakistan emergency flood relief assistance. But the overall global response has not been nearly enough, according to an International Rescue Committee-chaired consortium called the Pakistan Humanitarian Forum.

About $150 million had been received from nations around the world by Monday, the group said in a news release, but much more is needed.

"The international response to the disaster has been too small to even begin to effectively address the needs of survivors," said Tammy Hasselfeldt, the country director of the International Rescue Committee, in the release. "The most urgent priority is to ensure that safe water as well as medicines are available, food supplies are restored and transportation networks fixed to accelerate the delivery of desperately needed aid."

John Holmes, the emergency relief coordinator for the United Nations, acknowledged Monday that the international community is just beginning to recognize the massive need in the flood-ravaged country.

"We know full well we have a lot of people still to reach, a huge distance still to go to make the assistance meet the need," he said. "That's why we've appealed for $460 million, and I'm glad to say the international response is beginning to come in."

However, he warned that "we need to see more -- we need to see a response that is commensurate with the size of the disaster that we're seeing."

He noted that while the need is beginning to be recognized, "unfortunately, the need is still rising because the floods are still rising in some parts of the country."

Pakistani Prime Minister Yousaf Raza Gilani said Saturday that as many as 20 million of his countrymen have been affected by the flooding. The Pakistan Humanitarian Forum put the number at 14 million on Monday.

The death toll from the flooding that's raged more than a fortnight is up to 1,463, and more than 2,000 people have been injured, the National Disaster Management Authority said Sunday.

With about one-fifth of the country underwater, almost 900,000 homes have been damaged, the agency said.

U.N. Secretary-General Ban Ki-moon said Sunday that while he has visited sites of natural disasters around the world, he has never seen anything like the devastation created by flooding in Pakistan. He said the disaster is worse than the 2004 Indian Ocean tsunami and the 2005 Pakistani earthquake combined.

"Thousands of towns and villages have simply been washed away," Ban said, speaking alongside Pakistan President Asif Ali Zardari. "Roads, buildings, bridges, crops -- millions of livelihoods have been lost. People are marooned on tiny islands with the flood waters all around them. They are drinking dirty water. They are living in the mud and ruins of their lives. Many have lost family and friends. Many more are afraid their children and loved ones will not survive in these conditions."

Water-borne bacteria and illness have become serious concerns. At least 36,000 cases of acute watery diarrhea have been reported, the United Nation's Office for the Coordination of Humanitarian Affairs said in Islamabad on Saturday.

Up to 3.5 million children are at high risk of deadly waterborne diseases including watery diarrhea and dysentery, which cause dehydration, said Maurizio Giuliano of the humanitarian affairs office.

Children also are at risk for typhoid and hepatitis A and E, Giuliano said.

Clean water is an urgent need, but UNICEF cannot reach all those in need due to a serious lack of funds, Giuliano said. Medication is a priority, but funding shortages hamper the work of the World Health Organization even though plans are in place. Lack of proper food increases vulnerability, the United Nations said.

President Zardari said his nation needs more international help to deal with the immediate recovery efforts as well as longer-term reconstruction and infrastructure development, according to spokesman Farhatullah Babar.

Ban said he is allocating a further $10 million from the U.N.'s Central Emergency Response Fund, making $27 million allocated since the crisis began.

According to ReliefWeb.int, more than two dozen countries, organizations and individuals have pledged about $305 million.

Ban and Zardari have made a public plea to the international community to increase aid.

CNN's Reza Sayah and Samson Desta contributed to this report

@highlight

NEW: U.N. official acknowledges international response has been slow

@highlight

The Pakistan Humanitarian Forum calls for "urgent international support"

@highlight

Almost 900,000 houses have been damaged and as many as 20 million people affected

@highlight

The U.N. chief says he has never seen such devastation