American intelligence leaker Edward Snowden met with human rights activists and lawyers Friday in a transit zone of a Russian airport, in his first public appearance since he left Hong Kong on June 23.

The event prompted the White House to criticize Russia for giving Snowden a "propaganda platform," and later in the day, President Barack Obama spoke by phone with Russian President Vladimir Putin.

"The two leaders noted the importance of U.S.-Russian bilateral relations and discussed a range of security and bilateral issues, including the status of Mr. Edward Snowden and cooperation on counterterrorism in the lead-up to the Sochi Winter Olympics," a White House statement said.

Snowden told the activists he was requesting asylum from Russia while he awaited safe passage to Latin America, according to a transcript of Snowden's statement to the activists, issued via WikiLeaks.

The presidents of Venezuela and Bolivia have said their countries would give him asylum, and Nicaragua's president said he would offer it "if circumstances permit."

"I announce today my formal acceptance of all offers of support or asylum I have been extended and all others that may be offered in the future," Snowden's statement said.

"As we have seen, however, some governments in Western European and North American states have demonstrated a willingness to act outside the law, and this behavior persists today. This unlawful threat makes it impossible for me to travel to Latin America and enjoy the asylum granted there in accordance with our shared rights."

Meanwhile, U.S. intelligence agencies are continuing their contacts with their Russian counterparts to learn whatever they can about Russia's intentions in the Snowden case, and to press for his return to America, a U.S. official told CNN on Friday.

White House spokesman Jay Carney warned Russia about providing asylum to Snowden and criticized the country for "providing a propaganda platform" to Snowden. But Carney added the administration didn't want the case to cause undue harm to U.S. relations with Moscow.

That platform "runs counter to the Russian government's previous declarations of Russia's neutrality and that they have no control over his presence in the airport," he said. "It is also incompatible with Russian assurances that they do not want Mr. Snowden to further damage U.S. interests."

Snowden, a former National Security Agency contractor, is believed to have been holed up in a transit area of Moscow's Sheremetyevo International Airport since leaving Hong Kong for Russia.

In an invitation to the meeting purportedly e-mailed by Snowden on Thursday, he cited the temporary grounding of Bolivian President Evo Morales' plane last week as he accused the United States of "threatening behavior" on an unprecedented scale.

The jet, which had left Moscow, was forced to land in Austria after other European countries allegedly closed their airspace amid suspicions that Snowden was aboard.

Snowden said he was submitting a request to Russia for asylum Friday "until such time as these states accede to law and my legal travel is permitted."

But the head of the Russian Federal Migration Service, Konstantin Romodanovsky, told Russian news agency Interfax Saturday that no application from Snowden had yet been received.

"If we receive an application, it will be considered in due process of law," Romodanovsky is quoted as saying.

'I have no regrets'

In his remarks, Snowden also sought to defend his actions in leaking documents to the media that exposed U.S. mass surveillance programs.

"I did what I believed right and began a campaign to correct this wrongdoing. I did not seek to enrich myself. I did not seek to sell US secrets. I did not partner with any foreign government to guarantee my safety. Instead, I took what I knew to the public, so what affects all of us can be discussed by all of us in the light of day, and I asked the world for justice," he said.

"That moral decision to tell the public about spying that affects all of us has been costly, but it was the right thing to do and I have no regrets."

Snowden asked the rights groups present to lobby the Russian government to grant him temporary asylum, said Russian Human Rights Watch representative Tanya Lokshina, who was at the meeting.

According to WikiLeaks, Lokshina told Snowden that on her way to the airport, she received a call from the U.S. ambassador to Russia.

He asked her to relay to Snowden that the U.S. government does not consider him to be a whistle-blower and that he has broken United States law, the group said.

A photograph provided by a Russian Human Rights Watch staffer at the meeting showed Snowden sitting behind a desk, flanked by a WikiLeaks staffer, looking much as he did when last photographed in Hong Kong.

WikiLeaks, which facilitates the anonymous leaking of secret information through its website, has been aiding Snowden in his bids for asylum.

Russian television aired an amateur video of Snowden delivering remarks to the activists.

"A little over one month ago, I had family, a home in paradise, and I lived in great comfort. I also had the capability without any warrant to search for, seize, and read your communications. Anyone's communications at any time. That is the power to change people's fates.  It is also a serious violation of the law," he said.

"The immoral cannot be made moral through the use of secret law. I believe in the principle declared at Nuremberg in 1945: Individuals have international duties which transcend the national obligations of obedience. Therefore individual citizens have the duty to violate domestic laws to prevent crimes against peace and humanity from occurring," Snowden said.

Russian asylum conditions?

Snowden's desire to be granted temporary asylum in Russia may represent something of a turnaround.

He last week reportedly withdrew an asylum request with Russian authorities after President Vladimir Putin said he would have to "stop his work aimed at harming our American partners" if he wanted to stay in the country.

"Snowden did voice a request to remain in Russia," Kremlin spokesman Dmitry Peskov said on July 2, according to the Russian news agency RIA Novosti.

"Then, yesterday, hearing President Putin outline Russia's position regarding the conditions under which he could do this, he withdrew his request for permission to stay in Russia."

It's not clear if a request for temporary asylum would entail different conditions.

But a Russian lawmaker who was at Friday's meeting, Vyacheslav Nikonov, told state news agency Itar-Tass that Snowden had said he did not intend to cause any further damage to the United States.

"I've said all I knew and I will not harm the United States in the future," Snowden said, according to Nikonov.

The United States has reached out to the Russians regarding Snowden's meeting with human rights groups, two senior State Department officials told CNN.

Passport revoked

Snowden has been technically a free man while in Moscow but has been unable to travel after U.S. authorities revoked his passport when he was charged with espionage.

The many mysteries of Snowden's transit zone

Sergei Nikitin, head of Amnesty International's Moscow office, who was at the meeting, said he was pleased to voice the organization's support for Snowden in person.

"We will continue to pressure governments to ensure his rights are respected -- this includes the unassailable right to claim asylum wherever he may choose," he said in a statement.

"What he has disclosed is patently in the public interest and as a whistle-blower his actions were justified."

Snowden exposed unlawful sweeping surveillance programs, and states that try to prevent him from revealing such unlawful behavior "are flouting international law," Nikitin said.

"Instead of addressing or even owning up to these blatant breaches, the U.S. government is more intent on persecuting him. Attempts to pressure governments to block his efforts to seek asylum are deplorable," he said.

Jamil Dakwar, human rights program director for the American Civil Liberties Union, said the United States has a long history of supporting asylum rights, but in the case of Snowden, it "has improperly interfered with the right of asylum by revoking his passport and exerting extraordinary pressure on countries to reject his requests.

"Snowden's claims for asylum deserve fair consideration, and U.S. actions to secure his extradition must take place within an acceptable legal framework protecting his right to seek asylum."

U.S. accused of 'unlawful campaign'

The transit zone meeting with Snowden began at around 5 p.m. local time (9 a.m. ET).

A CNN team at the airport saw about half a dozen people -- including Russia's human rights ombudsman and representatives of Amnesty International, Human Rights Watch and Russian human rights groups -- enter a door marked "Private" in Terminal E. Police and security officers then kept the media at a distance.

The letter purportedly e-mailed by Snowden to invite them to the meeting blasted the United States for carrying out illegal actions against him.

In the letter -- posted on the Facebook page of Lokshina, the Russian Human Rights Watch staffer -- the writer praised the "brave countries" that have offered him support, in the face of what he described as "an unlawful campaign by officials in the U.S. Government to deny my right to seek and enjoy this asylum."

In her Facebook post, Lokshina said she received the e-mailed invitation close to 5 p.m. Thursday and acknowledged that she did not know beforehand if it was real.

A large group of Russian and international journalists gathered at the airport in anticipation of the meeting.

Latin American asylum offers

Since his arrival in Moscow, Snowden -- who faces espionage charges in the United States -- has requested asylum in dozens of countries, sparking a surge in speculation about his next steps.

Is Snowden worth the risk? Latin America weighs the pros and cons

Snowden has admitted releasing classified documents about U.S. surveillance programs to the media and argues that he did so to expose serious violations of the U.S. Constitution.

He is slammed as a traitor by critics and hailed as a hero by his supporters.

WikiLeaks said in a Twitter post Wednesday that Snowden's "flight of liberty" campaign was starting, promising further details.

But details about where Snowden is going -- and how he'll get there -- have remained hard to come by.

U.S. officials told Chinese officials in Washington this week that they're disappointed with the way China and Hong Kong handled the Snowden case, saying their actions undermined trust. China said that Hong Kong authorities acted in accordance with the law.

@highlight

Snowden has not yet submitted an asylum application, migration chief tells Russian media

@highlight

White House says Russia is giving "a propaganda platform" to Edward Snowden

@highlight

Obama, Putin discuss security, bilateral issues including Snowden

@highlight

Half a dozen rights group representatives meet with him at Sheremetyevo airport