Washington (CNN) -- A Kansas church that attracted nationwide attention for its angry, anti-gay protests at the funerals of U.S. military members has won its appeal at the Supreme Court, an issue testing the competing constitutional rights of free speech and privacy.

The justices, by an 8-1 vote, said Wednesday that members of Westboro Baptist Church had a right to promote what they call a broad-based message on public matters such as wars. The father of a fallen Marine had sued the small church, saying those protests amounted to targeted harassment and an intentional infliction of emotional distress.

"Speech is powerful. It can stir people to action, move them to tears of both joy and sorrow, and -- as it did here -- inflict great pain. On the facts before us, we cannot react to that pain by punishing the speaker," Chief Justice John Roberts wrote for the majority.

At issue was a delicate test between the privacy rights of grieving families and the free speech rights of demonstrators, however disturbing and provocative their message. Several states have attempted to impose specific limits on when and where the church members can protest.

The church, led by pastor Fred Phelps, believes God is punishing the United States for "the sin of homosexuality" through events including soldiers' deaths. Members have traveled the country shouting at grieving families at funerals and displaying such signs as "Thank God for dead soldiers," "God blew up the troops" and "AIDS cures fags."

Westboro members had appeared outside the 2006 funeral for Lance Cpl. Matthew Snyder in Westminster, Maryland, outside Baltimore.

Snyder's family sued the church in 2007, alleging invasion of privacy, intentional infliction of emotional distress and civil conspiracy. A jury awarded the family $2.9 million in compensatory damages plus $8 million in punitive damages, which were later reduced to $5 million.

The church appealed the case in 2008 to a federal appeals court, which reversed the judgments a year later, siding with the church's allegations that its First Amendment rights were violated.

Albert Snyder, Matthew's father, said his son was not gay and the protesters should not have been at the funeral.

"I was just shocked that any individual could do this to another human being," Snyder told CNN last fall. "I mean, it was inhuman."

In an afternoon news conference Wednesday, Snyder expressed surprise at the ruling.

"My first thought was that eight justices don't have the common sense that God gave a goat," he said. "We found out today that we can no longer bury our dead in this county with dignity."

He added, "What is this country coming to?"

Margie Phelps, a member of the Westboro clan and an attorney who argued the case before the high court, told CNN the ruling was "10 times better than I had hoped for."

"You can't use the subject that your feelings are hurt to trump public debate," she said. If that were the case, "where would we be?" She promised that with this ruling in hand, Westboro Baptist would conduct more such pickets.

Church members say their broader message is aimed at the unspecified actions of the military and those who serve in it. They believe U.S. soldiers deserve to die because they fight for a country that tolerates homosexuality.

Roberts in his opinion noted the Snyder family was not a "captive audience" to the protests that were conducted several hundred yards away.

"Westboro stayed well away from the memorial service," wrote Roberts. "Snyder could see no more than the tops of the signs when driving to the funeral. And there is no indication that the picketing itself in any way interfered with the funeral itself."

Based on that the court concluded Snyder could not collect damages from Westboro.

But the chief justice showed little sympathy for the message Westboro promotes.

"Westboro believes that America is morally flawed; many Americans might feel the same about Westboro. Westboro's funeral picketing is certainly hurtful and its contribution to public discourse may be negligible," he said. However, "As a nation we have chosen a different course -- to protect even hurtful speech on public issues to ensure that we do not stifle public debate."

The ruling was a narrow one, dealing with the specific, unusual facts of this appeal. Such vocal protests at military funerals are almost entirely confined to this one small group. Roberts said on the free speech question, it was enough to rely on "limited principles that sweep no more broadly than the appropriate context of the instant case."

Only Justice Samuel Alito dissented. He said the church's "outrageous conduct caused petitioner great injury, and the court now compounds that injury by depriving petitioner of a judgment that acknowledges the wrong he suffered," he said. "In order to have a society in which public issues can be openly and vigorously debated, it is not necessary to allow the brutalization of innocent victims like petitioner."

The Supreme Court has never addressed the specific issue of laws designed to protect the "sanctity and dignity of memorial and funeral services," as well as the privacy of family and friends of the deceased. But the high court has recognized the state's interest in protecting people from unwanted protests or communications while in their homes.

The justices were being asked to address how far states and private entities like cemeteries and churches can go to justify picket-free zones and the use of "floating buffers" to silence or restrict the speech or movements of demonstrators exercising their constitutional rights in a funeral setting.

A majority of states across the nation have responded to the protests with varying levels of control over the Westboro church protesters. In Wednesday's case, 48 states and dozens of members of Congress filed an amicus brief in support of the Snyders.

John Ellsworth, chairman of Military Families United, said the military protects the First Amendment rights that members of Westboro Baptist use to protest.

"Gold Star families deserve the respect of a grateful nation, not hate from a group who chooses to demonstrate during the funeral of their loved one," he said. "My family has been on the receiving end of their hate and I assure all Gold Star families, this group is an anomaly and your sacrifice does not go without notice."

Church members told the court they have a duty to protest and picket at certain events, including funerals, to promote their religious message: "That God's promise of love and heaven for those who obey him in this life is counterbalanced by God's wrath and hell for those who do not obey him."

The congregation is made up mostly of Fred Phelps and his family. The pastor has 13 children, and at least 54 grandchildren and seven great-grandchildren.

He described himself as an "old-time" gospel preacher in a CNN interview in 2006, saying, "You can't preach the Bible without preaching the hatred of God."

Church members have participated in several hundred protests across the country.

In 2009, the high court blocked Missouri's effort to enforce a specific law aimed at the Westboro church. Phelps, daughter Shirley Phelps-Roper and other church members had protested near the August 2005 funeral of a soldier in St. Joseph, Missouri. State lawmakers later passed the "Spc. Edward Lee Myers Law," criminalizing picketing "in front of or about" a funeral location or procession.

The case decided Wednesday is Snyder v. Phelps (09-751).

@highlight

NEW: The justices "don't have the common sense that God gave a goat," the father says

@highlight

NEW: The ruling is "10 times better than I had hoped for," Westboro Baptist member says

@highlight

The father of a fallen Marine sued after church members protested at his son's funeral

@highlight

The U.S. has chosen "to protect even hurtful speech on public issues," Roberts writes