Washington (CNN) -- Alabama now has the toughest immigration law in the nation. The law went into effect on September 29, prompting hundreds of families to pull their children from school and workers to disappear from Alabama farms. A federal appeals court has blocked some provisions, including the one requiring state officials to check the legal status of students in public schools. No doubt, the issue is far from being settled.

Alabama is just one state where an uproar over immigration has been heard. The rapid growth in Alabama's immigrant population, a large proportion estimated to be mostly present illegally, was the impetus behind the law. But the reality of immigration is more complex than the perception.

You wouldn't know it from the rhetoric the last few years, but immigration nationally over the past decade was slower than in the 1990s.

Between 1990 and 2000, the United States gained 11.3 million immigrants, the largest increase this country has ever experienced, a growth rate of 57%. The 2000s, by contrast, witnessed an 8.8 million increase in immigrants, a 28% growth rate. An estimated 40 million foreign-born individuals now call the United States home, according to Census Bureau data released in September, which we analyze in a new report.

So why the ruckus now?

The context for immigration has changed considerably since 2000. Economic times were good at the beginning of the decade, so immigrants, legal and illegal, were drawn by plentiful jobs in an expanding economy. Back then, they were viewed as assets to our labor force and society. Today, amid economic distress, unemployment and shrinking public coffers, immigrants are more likely to be viewed as a drain on resources and as competitors for jobs.

During the economic expansion of the late 1990s, immigrants found new opportunities in some unexpected places. This trend continued in this decade as immigrants dispersed to new metro areas and suburbs within metro areas. The five metropolitan areas with the largest foreign-born populations -- New York, Los Angeles, Miami, Chicago and Houston -- housed a smaller share of the nation's immigrants, just 38% in 2010, compared to 43% in 2000. Meanwhile, immigrants have increasingly settled in the suburbs, so by 2010 a majority of the nation's immigrants are suburban residents.

Nine metropolitan areasâ€”from Scranton, Pennsylvania to Indianapolis, Indiana to Nashville, Tennesseeâ€”experienced at least a doubling of their foreign-born populations between 2000 and 2010. This rapid change did not come without resistance. In the eight states represented by these metro areas, restrictive immigration legislation was introduced, if not passed. Florida, Tennessee, and Alabama all participate in the 287(g) program, an agreement between state and local law enforcement with Immigration Customs and Enforcement (ICE) delegating authority for immigration enforcement within their jurisdictions.

The friction in places unaccustomed to or unprepared for new inflows of foreigners, particularly those who are assumed to be present illegally, manifests itself in different ways. In Arizona, Alabama, Georgia, Indiana and South Carolina, where metro areas experienced some of the fastest or largest growth in their foreign-born populations over the decade, state legislatures passed laws in 2011 to crack down on unauthorized residents.

Not every region is reacting in this way. Metro areas that want to stem their population loss and boost economic growth -- such as Detroit and Cleveland -- are devising ways to woo immigrants. These areas experienced the slowest growth of their immigrant populations among all metropolitan areas -- Detroit at 9% and Cleveland at 6% -- well below the 26% growth across the 100 largest metro areas.

Dayton, Ohio, where the tiny immigrant population grew by 57% over the past 10 years, is the most recent place to buck the "stay out" trend. The city council agreed to a new plan, crafted by 130 community members from all segments of Dayton's communities, outlining a framework for new policies to make the city more open and supportive of immigrants.

Dayton's Mayor Gary Leitzel emphasized, "This is not a city of Dayton government program. For this effort to be successful, it will take the support and active participation of businesses, schools, institutions and organizations throughout the Dayton area. The Welcome Dayton plan represents an attitude we all must adopt to take advantage of the brainpower, energy and resources available through the various immigrant groups coming to Dayton." Even as Alabama state legislators were passing their restrictive legislation, city council members in Birmingham voted unanimously on a resolution condemning the law when it was passed in June, calling for a commission to figure out better ways to address the issues.

There is widespread agreement that the national immigration system is broken, but no consensus on how to fix it. Given an acrimonious Congress, the emotional nature of the immigration issue -- especially in tough economic times -- and the looming presidential campaign season, federal reform is an unlikely prospect in the near future.

In the meantime, a patchwork of state and local approaches will continue to address the benefits and challenges of immigration that confront people where they live, where they govern, and where budgets are made. In other words, don't expect the uproar to die down anytime soon.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Immigration actually slowed down in the last decade despite the uproar, authors say

@highlight

They say the immigration issue is much more contentious because of a poor economy

@highlight

Some areas have seen immigrant population more than double, prompting controversy

@highlight

Authors: While some pass laws to curb immigrants, other places welcome them