(CNN) -- Like many of us, James Logan knows what it's like to forget his phone.

From time to time, he leaves his cell phone in the office overnight, which can be irritating in this age of constant communication.

"It was kind of a personal problem for me," he said. "I tend to forget lots of things, and I thought I wasn't the only person having this problem."

But now Logan has come up with what he says is a solution for those lapses: A small gadget called Bringrr. The device, which will go on sale later this month, stays in a car's power port and alerts its owners with a buzzing tone -- "brrring, brrring!" -- if they've left their phone behind.

Bringrr joins a number of other devices and services that employ more technology to try to help tech-enabled people locate the gadgets they've lost. Apple's MobileMe software and products called Phone Halo and ZOMM are also trying to accomplish similar feats.

Some say that because mobile phones are getting relatively expensive, with smartphones retailing for hundreds of dollars, these emerging technologies are more useful or necessary for consumers.

"These phones aren't cheap, and increasingly, our lives are tied to them," said Rob Enderle, principal analyst at the Enderle Group, a technology consulting firm. "Without my cell phone, I'm kind of lost, so leaving it behind is a significant problem for me."

Logan, who also founded Gotuit Media (an internet video company whose clients include Turner, the parent company of CNN), was able to test his hypothesis that other people lost their phones often with a survey last summer.

The company polled 205 consumers in office buildings and shopping malls in New Hampshire and Massachusetts. They asked people in the unscientific survey how often they forgot their phones and how much they would pay to be able to stop leaving them behind.

Overall, 80 percent of those surveyed said that forgetting their phones was a problem. Thirty percent said they would pay $29 or more to fix it.

"We came back with these results that were quite startling to us," said Logan. "That's when it was full steam ahead."

The benefits of each of these new phone-location products depend on the problem the user is trying to solve, Enderle said.

Since Bringrr plugs into a cigarette lighter or power port, it works best for people who drive frequently. The small gadget pairs with your cell phone so that when you start your car, it starts searching for your phone's Bluetooth signal. If Bringrr detects it, it makes a short, "reassuring" noise and emits a blue light.

But if you've forgotten your phone, Bringrr, which retails for $35, will flash red and sound a warning that reminds you to go back to get your phone.

It's a setup that works for Enderle, who says he almost never misplaces his phone but often forgets to bring it with him.

"My problem is that I always forget to pull it out of my charger in the morning and put it in my belt," he said.

If you need help finding your charger, too, there's also a gadget for that:

A category of Bluetooth-enabled "phone leashes" can help users keep tabs on their phones.

One, called Phone Halo, combines Bluetooth and GPS technology to keep your phone or other items, including chargers, in a designated range. It can also track misplaced items to help you find them.

"My wife has a habit of leaving the phone around and searching all over the house for it. On vibrate, it can be a real problem," said Enderle. "If you have a habit of leaving things around the house, maybe go with Phone Halo."

Phone Halo costs about $60.

Another phone tether, ZOMM, retails for slightly more, at about $80. Users attach ZOMM to their key chains, and the device alerts them if their phone gets too far away from their present location.

The gadgets may not be foolproof, though.

Bringrr's Logan says the key chain alerts can result in "false alarms," such as when you leave your keys in your jacket pocket while carrying your phone with you to a meeting.

Bringrr is less of a leash and more like "taking attendance at school," he said. Like a teacher taking roll, it makes sure that your phone is present in your car.

Meanwhile, Bringrr likely won't work for people who take public transit or cabs instead of driving cars.

A phone leash such as the Phone Halo or ZOMM, for example, might have prevented Mashable.com writer Christina Warren from losing her iPhone in a taxi cab about four months ago. But Bringrr wouldn't have worked in that situation.

As it was, Warren didn't have any of these devices, so she had to buy a new phone for $500, she says.

After that, she decided to look into yet another way for people to track their phones -- a location-based software called MobileMe. She purchased MobileMe account from Apple for $99 a year, and she download the companion "Find My iPhone" app.

The program allows you to track the GPS coordinates of an iPhone after it has been stolen or lost.

"It was one of those peace-of-mind issues," said Warren. "I think that once you go through the experience of losing your phone -- especially if you rely on it for a lot of your communications -- the need [for a reminder device] becomes a lot more clear."

Some of the phone leashes have various additional features.

ZOMM includes a speakerphone with a noise-canceling microphone and personal safety device. Bringrr Charge, set to ship in August, will double as a cell phone charger.

Bringrr Systems is also working on expanding its catalog.

Some consumer electronics make life more complicated instead of simpler, but these phone reminders can reduce stress, according to Enderle.

"Leaving your cell phone behind can be everything from annoying to potentially catastrophic," he added. "If you had an accident or had to call for help and left your phone behind, that's when you would miss a device like this."

Warren points out that today's users store more data on their phones. Find My iPhone allows users not only to track and locate their phone but to lock or remotely wipe the device.

"When you lose [your phone], it's a really horrible experience -- not just when you have to replace it, but when it's gone and you don't know where it is," said Warren.

"When you use it for everything, finding your phone becomes really important."

@highlight

Bringrr alerts its owners with a buzzing tone if they've left their phone behind

@highlight

Find My iPhone allows users to track the GPS coordinates of their cell phones

@highlight

Some say more expensive cell phones make these aids more useful for consumers