(CNN) -- Every Australian child should learn Mandarin, Hindi or other regional language as the nation's future is tied to the rise of the "Asian Century," Prime Minister Julia Gillard said in a policy speech on Sunday.

"Whatever else this century brings, it will bring Asia's return to global leadership, Asia's rise. This is not only unstoppable, it is gathering pace," Gillard said in a long-awaited policy white paper entitled, "Australia in The Asian Century."

The policy outlines 25 objectives Australia must achieve by 2025 to take advantage of Asia's rise to boost the wealth of Australians.

Chief among the goals are that every child learn an Asian language, in particular Mandarin, Japanese, Indonesian or Hindi, and that they leave school having studied Asian culture.

Opinion: The speech every woman should hear

''Children in kindergarten now will graduate from high school with a sound working knowledge of Asia,'' Gillard said at the Lowy Institute in Sydney where she unveiled the white paper.

The Prime Minister said "a hundred years ago we spoke of the working man's paradise. Today we speak of the high school, high-wage road. We have always wanted to do it our way.

"We long saw Asia as a threat to all this - racially, militarily, and economically. Indeed this was precisely the moral paradox of the working man's paradise. A hundred years ago, high wages meant white man's wages. No more," she said.

While the Australian economy has ridden high on the back of the mining boom and commodity sales to Asia, Gillard said the next economic wave will be pushed by the burgeoning Asian middle classes. Broadening technology in agriculture and raising the global rankings of Australia's schools and universities will help meet increased regional demand from newly wealthy Asian neighbors, Gillard said.

"More middle class people than there are anywhere else on earth will want access to clean food, high quality food, high quality wine the same way we do. This is a huge opportunity for regional Australia. And we want people out there ready," she told a media conference after her speech.

The Gillard government will create a new ministry of Asian Century Policy to drive the reforms across education, infrastructure, tax and regulatory reform.

Australia's prime minister comes out swinging in sexism row

If the objectives are met, Gillard predicts about one-third of the Australian economy will be tied to Asia, up from 25% in 2011, and the average national income will increase to A$73,000 (US$75,700) per person, up from the current A$62,000. The white paper notes that Australia will seek to stay competitive by abandoning its historic fear of low Asian wages and by becoming a "higher skill, higher wage economy with a fair, multicultural and cohesive society and a growing population."

Kathe Kirby, the executive director of Asia Education Foundation at the University of Melbourne, says the paper sets out a deep vision for Australia's future "which starts with our young people at school."

"It encompasses reform in the education sector, schools, universities, vocational education. It's a much broader and deeper plan than we've seen to date. This is not a government report. It's government policy," she told Sky News.

Gillard also noted the broader geopolitical ambitions for Australia between military ally Washington and economic ally Beijing.

In tacit acknowledgment of the criticism of her government's deference to the United States in Asia, she said "We have an ally in Washington -- respect in Beijing -- and more, an open door in Jakarta and Delhi, Tokyo and Seoul."

"We in this paper are focusing on the huge economic transformations happening in our region. We are not focusing on the mature economy of the United States," she later told a media conference.

The United States is Australia's third biggest trading partner and a recent survey by the Lowy Institute shows a majority of those polled believe the U.S. to be Australia's most important security partner.

Opposition party members are broadly supportive of the government's ambitions for deeper economic and social engagement with Asia, but skeptical it can be delivered.

"It is full of laudable goals but not very many specific initiatives and certainly no commitment of money to any of them," said opposition leader Tony Abbott.

"To some extent this government is scrambling to overcome some serious failures in its relationship with Asia," he said, "most notably the early ban on uranium sales to India, only just reversed, and the catastrophic ban on live cattle sales to Indonesia, which still has ramifications."

Polls show the Prime Minister's goals for greater Asian engagement are broadly accepted by Australians. But there are caveats.

According to a Lowy Institute poll, a majority felt Australia did not fall into recession in the global financial crisis because of Asian demand for Australian resources. However some 56% thought there was too much investment from China and 63% were strongly opposed to allowing foreign companies to buy Australian farmland to grow crops or farm livestock.

@highlight

Australia launches a new policy aimed at tying its economic future to a rising Asia

@highlight

Would require every student to study an Asian language and culture by 2025

@highlight

Creates a new ministry of Asian Century Policy to drive educational and investment reforms

@highlight

Seeks to increase agricultural and university investment to cater to newly rich Asian neighbors