The deadly attack on the U.S. diplomatic compound in Benghazi, Libya, was "likely preventable" based on known security shortfalls and prior warnings that the security situation there was deteriorating, the majority of the Senate Intelligence Committee concluded in a report released on Wednesday.

Separately, the findings also noted what the FBI had told the panel -- that 15 people  cooperating with its investigation had been killed in Benghazi, undercutting the investigation. It was not clear if the killings were related to the probe.

Moreover, it said that people linked with various al Qaeda-related groups in North Africa and elsewhere participated in the September 11, 2012, attack, but investigators haven't been able to determine whether any one group was in command.

The report placed some blame for the outcome on the State Department, saying it should have "increased its security posture more significantly" in Libya's second-largest city because of general warnings that U.S. personnel were at risk.

The intelligence community "provided ample strategic warning" that Americans and U.S. facilities were in danger, though it didn't offer a single warning that would have predicted the Benghazi attack that killed U.S. Ambassador to Libya Christopher Stevens and three other Americans, the report said.

But the findings didn't spare the intelligence community, saying it might have flagged potential threats to the compound had it done more analysis of "extremist-affiliated social media."

It also blasted U.S. intelligence for inaccurately reporting -- without "sufficient intelligence to corroborate it" -- that a protest might have led to the attack.

The report said the intelligence community took too long to correct the erroneous reports, "which caused confusion and influenced the public statements of policymakers."

The Obama administration initially believed the armed assault was triggered by outrage over a U.S.-produced anti-Muslim film. It has since classified it as an organized terror attack.

Investigators haven't found evidence of pre-planning and suggest at least part of the attack was "opportunistic."

That suggests a vulnerability for diplomatic facilities, because attacks can happen with little warning, the report said.

Questions around security and intelligence as well as the slow-to-evolve and changing explanation fueled a ferocious response from Republicans in Congress, who have sharply criticized the administration and continue to investigate.

New York Times report casts doubt on al Qaeda involvement in Benghazi

A State Department spokeswoman, Marie Harf, said the report largely affirms the findings of an independent review of the Benghazi matter that recommended steps -- since undertaken by the agency -- to improve security at diplomatic facilities worldwide.

On the issue of whether the attacks were preventable, Harf noted that "we have repeatedly said there was no specific threat" pointing to an attack.

"Obviously, we've talked at length about the fact that we knew there were extremists and terrorists operating in Libya and in Benghazi.  But, again, we had no specific information indicating a threat an attack was coming," she said.

The Intelligence Committee report follows the release on Monday of previously classified information by the House Armed Services Committee.

According to the documents, senior military officials told the panel there were no discussions related to any specific threat in Libya despite general warnings about the possibility of terror attacks around the anniversary of 9/11. As a result, additional military assets were not deployed to the area.

On the investigation, the FBI was quoted in the report as saying the 15 deaths have severely hampered its probe.

"The FBI's investigation into the individuals responsible for the Benghazi attacks has been hampered by inadequate cooperation and a lack of capacity by foreign governments to hold these perpetrators accountable, making the pursuit of justice for the attacks slow and insufficient," the report said.

"As a result, key information gaps remain about the potential foreknowledge and complicity of Libyan militia groups and security forces, the level of pre-planning for the attacks, the perpetrators and their involvement in other terrorist activities and the motivation for the attacks."

Several Intelligence Committee Republicans issued a separate set of conclusions.

Committee Vice Chairman Saxby Chambliss of Georgia, Richard Burr of North Carolina, Marco Rubio of Florida, Tom Coburn of Oklahoma, and Dan Coats of Indiana said failures that led to the attack could be partly related to Obama's failure, in their words, to establish a clear detention policy for terror suspects that gets the most out of intelligence collection.

Instead of sending terror suspects directly to the military facility at Guantanamo Bay, Cuba, the administration has temporarily interrogated suspects on Navy ships, sometimes for weeks at a time, before sending them to the United States for trial.

"President Obama and his administration must end their efforts to close the detention facility at Guantanamo Bay and must develop a clear, cogent policy for the detention and interrogation of suspected terrorists," the Senators wrote.

GOP Rep: Benghazi not a 'complete cover-up'

@highlight

The 2012 attack on the U.S. diplomatic facility killed four Americans

@highlight

It has become a political flashpoint over security preparations, intelligence, response

@highlight

Senate committee report notes 15 people cooperating with FBI probe were killed

@highlight

Also, people with al Qaeda-related groups participated in the armed assault