(CNN) -- About 15 years ago, when the United States was first experimenting with wide-ranging sanctions against Iran, an Iranian acquaintance remarked to me, "I certainly hope Iran doesn't become another Cuba."

At that point, the U.S. had imposed a total embargo on Cuba for more than three decades. As he said it, I detected that part of him could not believe that a rich and cultured nation on the other side of the globe could ever be treated like an island dictatorship off the American coast. But I also saw a glint of apprehension in his eyes as he considered for the first time how America's vision of its own national interests could change when viewed through the prism of raw domestic politics.

The cases are not at all the same. Yet today, Cuba has been under U.S. embargo for 50 years, and Iran has passed the 16-year mark. Cuba experienced a U.S.-sponsored invasion before the sanctions began. Iran is still waiting for its Bay of Pigs.

When the Obama administration came into office, talk was all about "smart sanctions." President Obama's foreign policy advisers had seen what indiscriminate sanctions had done to Iraq. Ordinary lives were destroyed and, in the words of a friend whose family was in Iraq, the entire middle class was criminalized, driven to smuggling and black-market dealings just to survive.

The sanctions also created a sympathetic backlash with the Iraqi population and visceral anti-Americanism throughout the world. We were not going to make that mistake again. Instead, we would target sanctions only against the decision-makers and abusers.

Yet today, the sanctions regime in Iran is resembling, more and more, the Iraqi and Cuban cases. We have arrived by a very different route. Instead of controlling all goods going into the country, we have ingeniously found ways of manipulating Iran's banking system. That, together with regional boycotts, has the prospect of blocking a large proportion of Iran's oil sales.

In Iran there has been a run on the currency, food prices are soaring, and every single person is beginning to experience some form of economic pain. That has been the source of considerable public satisfaction in Washington and elsewhere. It is also reminiscent of the early stages of the Iraqi experience. Add to that the serial murders of civilian scientists, cybertampering with Iran's centrifuges, flyovers of U.S. drones, and covert assistance to Iranian separatist groups.

Forget the euphemisms. What would we think if a nation were doing all of this to us? The benign image of sanctions as graduated pressure has been transformed. In reality, it is war with Iran in all but name.

Until now, the threat of escalation has been a tool for promoting sanctions. I remember vividly my own experience in the White House during the original Iranian hostage crisis. At that time, President Carter and his National Security Council staff quite deliberately used the threat of a possible U.S. military action against Iran to encourage Europeans and other allies to adopt sanctions against Iran. The purpose of the sanctions was to persuade Iran to release the American diplomatic hostages. It didn't work.

The threat of military action was, however, very effective in getting allies to take economic actions that were contrary to their own national interests. The thinking was that economic sanctions and boycotts, however disagreeable, were less costly than the outbreak of a military conflict in the oil-rich Persian Gulf.

The same tactic was used by the George W. Bush administration to twist the arms of reluctant allies. The presence of such uber-hawks as Vice President Dick Cheney, U.N. Ambassador John Bolton and others, as well as the formal security doctrine of the administration to launch pre-emptive military attacks, gave the argument credibility.

Upon the arrival of the Obama administration and its initial policy of engagement with Iran, the role of enforcer shifted to Israel. The first major media storm about an Israeli attack on Iran came in the final months of the Bush administration, when John Bolton predicted without qualification in an interview with The Daily Telegraph that Israel would launch its attack before Bush left office, on the grounds that the incoming administration would be less sympathetic to the idea.

Since then, such predictions have become almost an annual event. Jeffrey Goldberg, writing in the Atlantic Monthly in September 2010 after extensive interviews with key Israelis, concluded that "there is a better than 50 percent chance that Israel will launch a strike by next July," 2011.

That date came and went. Then about a month ago, Israeli commentator Ronen Bergman wrote in The New York Times magazine that "After speaking with many senior Israeli leaders and chiefs of the military and the intelligence, I have come to believe that Israel will indeed strike Iran in 2012."

It is a bit ironic that Bergman spoke to the same individuals who had previously convinced Goldberg that a strike was coming in 2011. Moreover, many of those interviewed openly expressed great doubt about the feasibility and wisdom of any such attack. This included the recently retired Mossad chief Meir Dagan and the former Israeli chief of staff Gabi Ashkenazi, who said that "the Iranian threat was not as imminent" as some had suggested and that "a military strike would be catastrophic." But the article resonated powerfully, especially in an election year.

Congress has been extremely active in trying to prevent the administration from pursuing negotiations. H.R. 1905 -- the Iran Threat Reduction Act of 2011 -- proposes to ban U.S. diplomats from contact with "any Iranian official who poses a threat to the United States." There is scarcely anyone in Iran who has not chanted "Death to America"; does that constitute a threat and disqualify that person from contact with American diplomats?

More recently, a proposed Sense of the Senate resolution tries to define the terms and acceptable objectives of any United States policy dealing with Iran:

â€¢ It rejects "any policy that would rely on containment as an option in response to the Iranian nuclear threat," thus ruling out a policy that the United States used successfully against the Soviet Union.

â€¢ It defines the U.S. "red line," where we would consider the use of force, not as Iranian possession of a nuclear weapon, but rather as an Iranian "nuclear weapons capability," which by many calculations Iran already has.

â€¢ Finally, it sets as the objective of any negotiations "the full and sustained suspension" of uranium enrichment by Iran. But Iran regards enrichment for peaceful purposes as a right conferred by the Non-Proliferation Treaty, and that principle is supported by a vast majority of the Iranian population, including even the reformist opposition.

This resolution is not binding, and it does not yet have majority support in the Senate. However, it is apparently intended to be used as a centerpiece in the pro-Israeli AIPAC meeting that started this weekend in Washington. And it comes just at the moment when it appears that negotiations between Tehran and six major powers are likely to resume.

There is an inevitability about sanctions imposed for political reasons. Serious negotiations and compromise are precluded, and the appetite for ever-stronger sanctions grows with the realization that past efforts were a failure. If you set an impossible objective and then begin imposing sanctions to achieve it, the result is always more sanctions, until you arrive at the point where there are no more sanctions and only force remains.

We are approaching that point.

The opinions expressed in this commentary are solely those of Gary Sick.

@highlight

Gary Sick: Sanctions against Iraq, Cuba harmed the whole population, not just leaders

@highlight

Sick: Sanctions against Iran causing anti-Americanism and ruining ordinary lives

@highlight

16 years of Iran sanctions changed nothing, he says, amount to war in all but name

@highlight

Sick: When sanctions get harsher and harsher and do nothing, war becomes inevitable