(CNN) -- Ever since the early 1960s when we were glued to the animated sitcom "The Jetsons", whimsical visions of a futuristic space utopia filled our imaginations leaving people asking themselves: "Where's my flying car?"

Point taken, but perhaps now, as our childhood dreams move slowly closer to reality, we should also start pondering this: if a flying car was here today, in the real world and not in the realm of science fiction, would we feel comfortable controlling it safely while cruising thousands of feet up in the air? Would we possess the technical skills required to even get it off the ground, let alone land it without a scratch?

Before you dash to the door and sprint to your nearest pilot school to sign up for flight lessons, take a moment to meet Carl Dietrich, the chief executive and co-founder of aerospace company Terrafugia.

Dietrich and his team are working to bring consumers closer to the prospect of a practical flying car, envisioning a vehicle that does not require its operator to be a trained pilot. Thus, Boston -based Terrafugia announced last May it had started working on the concept of TF-X, a four-seat, plug-in hybrid electric car that can do vertical take-offs and landings.

Who makes the calls?

Although not driverless, Dietrich says the TF-X could increase the level of so-called "human directed local autonomy," a term he describes as a "big fancy phrase" that essentially means that the vehicle's operator won't need to have the knowledge or skills of a pilot.

"They don't need to know those things because the computer is plugged in to a data network that automatically helps them plan the flight path, avoid other air traffic and air space restrictions, things of that nature," says Dietrich. He explains that operators would still have to make high-level, critical decisions, like determining whether it's safe to take off and land or approve the landing zone in advance.

"Anything that happens on the ground, the person is going to make a call," says Dietrich. "Once you're flying, the actual operation of all the flight control surfaces is going to be computer controlled because, frankly, the computer can do it better than a pilot."

Yet, if you have the vision that the semi-autonomous vehicle would help you escape annoying traffic jams by simply taking off the ground, you'd better think again.

"That's science fiction and that will always be science fiction," says Dietrich, explaining that vertical liftoffs require a lot of air to be blown down which is not practical and can cause damages to neighboring vehicles. Instead, TF-X would be able to take off in airports and helipads, as well as specially designed spaces -- the size of a tennis court -- that would be devoid of street lights, road signs and power lines.

From dreams to reality

Yet, the TF-X concept is not Terrafugia's first attempt to take to the skies. Founded in 2006, the company made headlines in recent years with Transition, a street legal airplane that can be flown in and out of general aviation airports.

More like a driveable plane than a flying car, the two-seat vehicle can fold up its wings -- just like putting the top down into a convertible car -- and fly with a cruise speed of 100 miles per hour; it can also be parked inside a single car garage, driven on the road on a highway speed and run on automotive gasoline.

Terrafugia has been flying prototypes of Transition since 2009 and is now very close to getting it to the market. "We have over 100 orders for Transition," says Dietrich, adding that Transition costs $279,000. "We are expecting to ship the first products to customers in the second quarter of 2016."

But in order for users to be able to fly the Transition, they would need to have at least a sport pilot's license, which requires 20 hours of flight time -- most sport pilots take 30-35 hours to get their sport pilot certificates.

With its new prototype, however, Terrafugia believes that just five hours would be enough for users to learn how to operate the TF-X vehicle, appealing to a broader segment of the population. Dietrich says all operators will need to know is how to interface with the vehicle, how to determine if it's to safe to take off and land and what to do on the event of an emergency -- in those cases, operators would be able to pull a handle which would be able to activate a parachute system for the entire vehicle by pulling a handle.

Future is now?

So, how far away are we from our first ever TF-X air cruise?

"It's hard to say exactly, but we estimate eight to12 years," says Dietrich, who admits that even if Terrafugia had all the capital required to develop TF-X -- which it doesn't -- the realization of the project depends on technological developments as well as regulators changing the way aircraft are currently certified.

Dietrich says Terrafugia is "heavily involved" with international committees to write new certification standards that account for some of the new technologies that are increasingly coming to the market for manned and unmanned aircraft, and which also apply to TF-X --- things like electric motors and batteries for general aviation aircraft.

"Those sort of things have never been certified before so we don't know how long it will take for regulatory bodies to adapt to the new technology," he says. "The rules are all very old, the rules need to be updated," adds Dietrich. "If the rules are successfully updated then we see the possibility for somebody to get what we call a TF-X operator's permit in as little as five hours."

Ultimately, Dietrich says, the goal of the whole TF-X program "is to make the idea of the flying car a reality."

"In order to do that, we have to lower the barrier entry to aviation," he adds. "We have to make it easier, we have to make it safer, we have to make it faster than driving your car, and we have to make it significantly more convenient than operating an airplane today," continues Dietrich. "It's going to take a while to get there, but that's the goal."

@highlight

Aerospace company Terrafugia is working on the concept of a flying electric car

@highlight

Called TF-X, the vehicle is designed to be capable of vertical take-offs and landings

@highlight

The goal is to make personal aviation accessible to a broader segment of the population

@highlight

The company estimates a period of 8-12 years before it's able to develop TF-X