Bangkok, Thailand (CNN) -- Thailand's national election day ended without any major incidents of violence, though tourists are reminded to keep abreast of the situation as anti-government protests are expected to continue in the capital, Bangkok.

"Bangkok and some parts of nearby provinces (Nonthaburi, Pathum Thani and Samut Prakan) remain under a state of emergency," says the Tourism Authority of Thailand (TAT) in its latest update, issued February 2.

The decree, called in response to anti-government protests in which at least 10 people have died since November, came into effect January 22 and will last 60 days.

Under a state of emergency in Thailand, authorities can impose curfews, declare parts of the capital off-limits, censor the media and detain suspects without court permission.

"We strongly advise U.S. citizens to be alert and avoid protests, demonstrations, and large gatherings," says the U.S. Embassy in a recent warning to its citizens.

"While the ongoing protests have been generally peaceful, some have resulted in injury and death. The situation can change rapidly. It is important to pay attention to local news and media reports."

Tourists' mobility restricted

Despite the state of emergency, life carries on as normal in much of Bangkok and tourists will find it's easy to avoid the protests if they follow locals news reports.

Currently the biggest issue facing visitors is mobility, as protesters have closed off six major Bangkok intersections and conduct regular marches to government buildings throughout the city.

Several of these rallies, aimed at forcing Prime Minister Yingluck Shinawatra from office, have been in popular tourism areas, including Silom, Asok and the Ratchprasong intersection -- the latter a popular shopping area near major hotels such as the Four Seasons Bangkok, Grand Hyatt Erawan and InterContinental Bangkok.

"We are working hard to make sure there is as little impact on our guests as possible and we have full contingency procedures in place," said Nicola Chilton, Four Seasons Hotels' senior director of public relations, Asia Pacific.

Currently, all hotels and malls in Bangkok remain open, though opening hours of shopping complexes near protest sites are subject to change. Major tourist attractions, including museums and temples, also remain open as of February 2.

Transportation

In the runup to the planned mass Bangkok protests, the anti-government group stated it would not close Bangkok's two major airports, Suvarnabhumi -- the main international airport -- and Don Muang, which primarily serves low-cost carriers like AirAsia and Nok Air.

The group also said it would allow ambulances to pass along any roads it blocked, and that it would not block access to public transportation.

Tourists flying out of Bangkok are advised to leave for the airport four hours before their scheduled flight.

All expressways currently remain open. The BTS Skytrain, MRT subway, Suvarnabhumi Airport Rail Link, public ferries and trains have also all been operating as normal.

"About 6,000 taxis registered with the Airports of Thailand have been given special stickers to show that the vehicles are carrying tourists, thus allowing them to be able to pass normally through intersections occupied by the demonstrators," says the TAT.

Popular tourist destinations outside of Bangkok, including Phuket, Chiang Mai and Krabi, are unaffected by the protests.

Where to stay

Travelers in Thailand wishing to avoid the protests should note that government rallies are no longer being held near Khao San Road, a popular tourist area filled with guesthouses and bars.

Luxury riverside hotels, such as The Oriental, The Peninsula, Royal Orchid Sheraton, Shangri-La, Millennium Hilton and The Siam are also well away from protest sites.

Tourist assistance

Thailand's Ministry of Tourism has reportedly set up tourism assistance centers at both Suvarnabhumi and Don Mueang airports, where they'll coordinate with all concerned public and private agencies, including the Tourist Police, the Immigration Bureau, Metropolitan Police Bureau and the Thai Hotels Association.

Help desks will also be set up at the Siam, Phaya Thai, Ekkamai and Wong Wian Yai BTS Skytrain stations as well as the Hua Lamphong MRT subway station.

"Each location will be manned by four Tourist Police officers," said the TAT.

Tourists can seek assistance by calling the following hotlines.

Tourism Authority of Thailand: 1672

Thai Tourist Police: 1155

Suvarnabhumi Airport Operation Center: +66 (0)2 134 4077

Don Mueang Airport Operation Center +66 (0)2 535 3431

Tourist Assistance Center (temporary): +66 (0)2 401 1111

Alternatively, visitors can email Touristcenter13@gmail.com or TSC@mots.go.th.

Who to follow

Twitter is one of the best ways to get real-time information on the Bangkok protests.

Richard Barrow, a full-time travel blogger based in Bangkok, is a top source for those seeking news about the protests as well as travel advice. He can be followed at Twitter.com/richardbarrow

Local English-language media on Twitter include the Bangkok Post: Twitter.com/BPbreakingnews; The Nation: Twitter.com/nationnews; and MCOT: Twitter.com/MCOT_Eng.

@highlight

Thailand national election day on February 2

@highlight

Protests continue in Bangkok, state of emergency remains in effect

@highlight

Travelers advised to avoid rally sites, leave for airport four hours before scheduled international flights