(CNN) -- Hollywood's stars may have moved on from the red carpets of Cannes, but the real "jet set" -- the CEOs and executives who decide how, when and what we fly -- are heading back to France.

The A-listers of global aviation will be at Le Bourget from June 17 to 23 for the 50th Paris Airshow -- the biggest and most important event in the industry's calendar, where billion-dollar deals are done at the edge of the runway as stunt pilots swoop through the skies overhead.

More than 2,100 companies from 44 countries around the world will fly in to showcase their wares at Le Bourget; from jumbo-sized jets and massive manufacturing tools to the tiniest springs, cogs and other components, as well as high-tech concepts which may not see the light of day for decades.

In years gone by, the show, held at the airfield where Charles Lindbergh landed after his pioneering transatlantic flight in 1927, has seen the debuts of some of aviation's key developments -- from Concorde to the Boeing 747 and the Airbus A380.

Read more: And the world's best airport is...

This time around, those hoping to spot aerospace's next big thing may be out of luck. With just days to go before the visitors arrive, it is still unclear whether the industry's two most eagerly-awaited new planes, Airbus' A350 and Bombardier's C-Series, will be at the show.

Both companies have warned the planes will be too busy carrying out flight tests to attend -- but industry experts say there's an outside chance they may still be spotted in the skies above Paris.

"We're still waiting to find out whether the A350 will put in an appearance," said Murdo Morrison, editor of aerospace industry magazine Flight International. "That certainly would be a highlight -- it's one of the newest and most exciting aircraft, but it and Bombardier's C-Series are at a critical point in their development.

"It becomes a bit of a fight between the marketing people, the publicists, who want the company to get all the best headlines, and the engineers who are working to critical deadlines to get the plane ready to fly as soon as possible," he explained.

Read more: Can 'game-changer' live up to name?

"What may happen is they pop in for one day -- fly in and then fly out again -- or even, in the case of the A350, that they do a flypast, without even landing."

With or without the C-Series and the A350, there will be plenty to look at, with flying displays, aerial acrobatics and all manner of military and commercial hardware ranged around the airfield for visitors to get up close to.

Boeing is flying in not one but two 787 Dreamliners, and Airbus says that visitors will still be able to explore a full-size model of the A350's cockpit and cabin -- whether or not the real thing arrives.

Show organizers say one of the highlights of the show for the general public (204,000 of whom visited in 2011) is likely to be the flying demonstrations by a Russian Sukhoi Su-35 fighter jet.

And fittingly, given that 2013's event will be the 50th Paris Airshow, there will be some looking back: homegrown French plane manufacturer Dassault will celebrate the 50th anniversary of its Mystere 20 business jet -- the first of which will be on display at Le Bourget.

Read more: Are drones the highways of the future?

But Morrison said the real purpose of the event, and the reason for its significance, is the dealmaking and discussions that go on behind closed doors.

Throughout the show, the conference rooms and chalets lining the runway will play host to scores of high-powered briefings and meetings (in 2011 there were 151,000 trade visitors and 290 official delegations from around the world) at which aerospace movers and shakers will shape the future.

"The real reason the Paris Airshow exists is the industry side of things, the chance for face-to-face talks between suppliers and potential customers, the 'down-in-the-weeds' business discussions," he said.

"For some manufacturers the show is all about the race for orders, how many deals they've signed, and others make a point of avoiding that. But nobody really goes to Paris and decides there and then, 'I like that, let's buy two,' -- it's the meetings that matter.

"It's not about past glories, it's all about looking to the future: where the industry is going, rather than where it's been."

Follow all the action at the 2013 Paris Airshow via our Twitter list

@highlight

50th Paris Airshow -- world's largest aviation industry event -- takes place from June 17 to 23

@highlight

More than 2,000 exhibitors from 44 countries around the world will display their wares

@highlight

2013 highlights include flight demonstrations by Russian Sukhoi Su 35 fighter jet

@highlight

Boeing and Airbus are both expected to announce a flood of new orders