(Mashable) -- There's a massive telescope on the drawing board that hasn't even started construction yet, but when it's finished in 2024, it'll generate more data in a single day than the entire Internet.

For scientists to ensure they'll be able to handle all that raw information, they need to start working on new computing technologies now. Fortunately, IBM is on it.

The computing giant is collaborating with ASTRON (the Netherlands Institute of Radio Astronomy) to develop the next-generation computer tech needed to handle the colossal amount of data captured by the Square Kilometer Array (SKA), a new radio telescope that will spread sensing equipment over a span 3,000 kilometers wide, or about the width of the continental U.S.A.

"One of the goals is to search what happened at the time of the Big Bang, 13 billion years ago," IBM researcher Ronanld Luijten told Mashable. "We need to figure out what technology needs to be chosen in order to build this large antenna."

The project is called DOME, and it's challenged to find a way to capture and process approximately one exabyte every day, which works out to about twice the amount of data that's generated every day by the World Wide Web, IBM says.

To do that in a way that doesn't consume a massive amount of energy, IBM will need to develop some entirely new processing architectures before construction on the telescope begins in 2017.

"We need to be very creative," says Luijten. "If we were to use standard servers of today, we'd need millions of them. They would use so much space and use so much energy that we couldn't afford to build the machines let alone operate them."

While the project has only just been announced, IBM already has some ideas in the hopper. Specifically, it'll be looking at novel ways of stacking chips (today's chips are flat, though stacking or "3D" tech is around the corner) and using optical technology for interconnects, something the company has already had some success with.

The promising new conductive material graphene, however, probably won't play a part.

"Graphene will not be available in time to build something we start in 2017," says Luijten. "But it might be available for a later generation. The expectation is that we will go with the traditional CMOS process."

See also: IBM: Mind-reading machines will change our lives

Even though the new computing tech hasn't even been invented yet, it'll ironically still rely on one of the oldest storage technologies in existence: magnetic tape. Luijten says tape simply can't be matched by newer storage mediums since it's so cost-, space- and power-efficient.

The project won't exclusively use tape for storage, though, also relying on phase-change media and solid-state drives.

"We're looking at new memory technologies," says Luijten, "but at the end of the day most of the data likely will remain on tape because it's still the most cost-effective storage medium. Tape will be around for a long time."

The SKA isn't planned to be completed until 2024, but the technologies that IBM creates to service it will have the potential to change entire industries in the meantime, dealing with big-data problems that the world is just now encountering.

It's possible the social networks and search engines of the future will be powered by IBM's coming tech or something like it, enabling them to process an entire Internet's worth of data for anyone and everyone.

What problems would you like to see the supercomputers of tomorrow take on? Share your ideas in the comments.

See the original article on Mashable.com

© 2011 MASHABLE.com. All rights reserved.

@highlight

IBM is teaming up with ASTRON to develop what is needed to handle data captured by SKA

@highlight

The new technology will still rely on one of the oldest storage technologies: magnetic tape

@highlight

The SKA won't be completed until 2024, but the process has the potential to change industries