Istanbul, Turkey (CNN) -- The Turkish government reported a record number of refugees fleeing Syrian military offensives across the border, just days before the Syrian government pledged to withdraw military forces from population centers.

In 24 hours, at least 2,741 Syrians fled down smugglers' paths to the barbed wire border fence, where they were met by Turkish border guards, the Prime Ministry Disaster and Emergency Management Directorate said. More than 23,000 Syrian refugees now reside in Turkey.

The surge prompted Turkish Foreign Minister Ahmet Davutoglu to make a 2 a.m. phone call to U.N. Secretary-General Ban Ki-moon, inviting U.N. officials to witness the growing refugee crisis firsthand.

Davutoglu also told the U.N. chief he was receiving reports of Syrian military operations backed by helicopters from across the border.

"They are burning all the houses," one Syrian woman told journalists at the border late Thursday, as she sat with other refugees in a van awaiting transport to a nearby refugee camp in Turkey.

"It was a massacre in a Taftanaz," said another woman, who asked not to be named for security reasons. "They butchered the people; they shelled and fired rockets; they displaced us. Bashar [al Assad] is an oppressor and a dog. May God have no mercy on him."

On Thursday night, opposition activists sent CNN video and photos of the devastated northern town of Taftanaz.

The small rebel stronghold had been the target of days and nights of artillery bombardment as well as strafing from Syrian military helicopters.

On Thursday afternoon, Syrian security forces observed a cease-fire, opposition activists said, allowing Syrian Red Crescent workers to collect bodies.

Video shot on Thursday showed dozens of corpses, all of them male and some of them dressed in camouflage uniforms, laid out on the floor of the Al Kabir mosque in Taftanaz.

Later, many of the dead were placed in a long, deep trench for burial. Grieving residents gathered around the mass grave.

The total number of refugees fleeing grisly scenes like this has dramatically increased.

Until now, the Turkish government has refused offers of assistance from international aid organizations like the United Nations High Commissioner for Refugees, and has restricted access to the refugee camps.

But on Friday, Foreign Minister Davutoglu suggested that a policy change was in the works.

"It is important for the international community to take a very clear stance with regard to the refugee flow now," he said. Davutoglu said he asked the U.N. secretary-general to take a "much more active role" in the refugee crisis.

Several regional policy experts have predicted that a dramatic increase in refugees streaming across the Syrian border may prompt Turkey to move forward on plans to establish a "buffer zone" on Syrian territory.

"So far, the Turkish government kept the [refugee] issue to itself and did not let the United Nations take over," said Ufuk Ulutas, a Middle East expert with the Ankara-based SETA Foundation for Political, Economic and Social Research.

"If Turkey receives 2,000 [refugees] every day, I don't think it will be a manageable number for Turkey," Ulutas told CNN, adding, "If the influx is in big numbers, I don't think they will have any other options but to create a buffer zone."

Turkey last hosted huge numbers of refugees after the 1991 Gulf War in neighboring Iraq. The flood of ethnic Kurds fleeing a crackdown by Iraqi strongman Saddam Hussein had long-lasting consequences on security in southeastern Turkey, where the Turkish state has long battled a homegrown Kurdish insurgency.

Turkish officials have long denied speculation within the Turkish media about the possibility of a military intervention aimed at establishing a buffer zone in Syria.

A senior Turkish official repeated those denials in a recent interview with CNN.

"We have said all along no safe haven, no buffer zones," the Turkish official said, on condition of anonymity. "We're trying everything we can short of a military intervention ... to convince the Assad regime to stop violence and make a political transition possible."

Journalist Omar al Muqdad contributed to this report.

@highlight

A record number are arriving in Turkey from Syria; more than 23,000 are said to be there

@highlight

They are fleeing military offensives in Syria

@highlight

Turkey has asked the U.N. to witness the flow firsthand