(CNN) -- Hugo Chavez was always a leader with one eye fixed on his own place in history.

In his frequent bombastic moments, the late Venezuelan president liked to imagine himself still in power in 2021, the bicentenary of his nation's independence, and as a latter-day Simon Bolivar, the Caracas-born soldier-statesman who liberated much of South America from Spanish rule and remains one of the continent's most revered sons.

Some saw in Chavez's overseeing of the reinterment of Bolivar's remains in a grandiose new mausoleum -- perhaps with his own fading health in mind -- an attempt to forge that connection in monumental form.

Hugo Chavez, influential leader with mixed record, dies at 58

Yet, it's only now, with Chavez's premature death Tuesday at age 58, that we can begin to assess the legacy of one of the early 21st century's most politically gifted but divisive figures and his self-styled "Bolivarian Revolution."

Having once served time in jail for leading a failed coup, Chavez perhaps made an unlikely convert to democracy.

Yet, through a blaze of landslide elections and referenda, he placed his fortunes in the hands of the poor and the marginalized, demanding their votes as a first step towards building a new political order that would work in their interests.

Chavez's initial 1998 election victory was hailed by the vote observers of the U.S.-based Carter Center as "a true demonstration of democracy at work" and "a peaceful revolution through the ballot box."

In that year, Chavez won 56% of the vote on a 65% turnout. When he earned re-election in 2006, his support had swelled to almost 63% on a near-75% turnout -- the high watermark of his electoral fortunes.

Between the two, Chavez defied an attempted coup in 2002 when hundreds of thousands of his supporters poured down from the hillside barrios of Caracas in protest, and a 2004 opposition-orchestrated referendum on his leadership made possible by the constitution introduced by Chavez himself in 1999.

Chavez leaves a revolutionary legacy

"A strange dictator, this Hugo Chavez," wrote Uruguayan author Eduardo Galeano at the time of that referendum. Galeano is the author of a leading dependency theory interpretation of Latin American history, "The Open Veins of Latin America," that Chavez gave to U.S. President Barack Obama as a present after he won election.

"This tyrant invented by the mass media, this fearsome demon, has just given a tremendous vitamin-injection to democracy, which, both in Latin America and elsewhere, has become rickety and enfeebled," Galeano wrote of Chavez.

Once in power, Chavez diverted revenues from Venezuela's oil industry into a series of healthcare, education and anti-poverty initiatives known as misiones, opening subsidized supermarkets and clinics -- many staffed by Cuban medics -- in the country's poorest communities.

Between 1998 and 2006 the percentage of Venezuelans living below the poverty line fell from 50.4% to 36.3%, according to statistics from the World Bank's Databank. Infant mortality fell from 20.3 per thousand births when Chavez came to power to 12.9 by 2011, according to the same source.

Education also became more accessible, with the number of children enrolled in secondary education rising from 48% in 1999 to 72% in 2010, according to UNESCO figures.

Visiting Caracas ahead of the 2006 election, I met a friend who had recently graduated from a newly established public university which charged its students just 300 bolivars a term, at the time the equivalent of about 15 cents.

Previously, he explained, students in higher education had to pay about 1 million bolivars a month to go to a private university. As we walked, he pointed out a stall selling orange juice for 500 bolivars a glass. "Look at that," said my friend, "education under Chavez is cheaper than orange juice."

iReport: Share your thoughts on the death of the Venezuelan president

Yet it will be for his interventions on the world stage that Chavez will be remembered beyond his homeland.

Outspoken and often wildly undiplomatic, Chavez thrived on the intransigence and widespread international unpopularity of the George W. Bush-era White House, never more so than when he referred to his then-US counterpart as "the devil" in addressing the U.N. General Assembly in 2006.

In Latin America, he provided inspiration for the rise of a generation of leftist leaders, notably Evo Morales in Bolivia and Rafael Correa in Ecuador, and breathed fresh life -- and oil supplies -- into Cuba's anemic revolution. Others in Brazil and Argentina benefited from the renewed sense of regional confidence and solidarity that Chavez brought to the table.

He also had a deft appreciation of the mischievous power of gesture politics, sending "humanitarian aid" in the form of discounted fuel to one of the most deprived areas of New York's Bronx in 2005, and signing a gas deal with London in 2007 that funded cut-price bus fares for a quarter of a million of the British capital's poorest residents.

In the more nuanced Obama era, Chavez cut a less assured and less influential figure, particularly as his health problems forced him to step back from the limelight.

His longstanding willingness to seek common cause with any regime also at odds with the West -- Iran, Syria and Belarus among them -- also came with considerable cost for his credibility, most notably in his enduring loyalty to late Libyan leader Moammar Gadhafi.

The world reacts

At home, too, Chavez's scorecard remained blotted by the chronic failure to tackle the violent crime that make Caracas one of the world's most dangerous cities, by complaints about press freedom and economic mismanagement, and by the gradual blurring of elements of grassroots participatory democracy with a less savory streak of populist authoritarianism.

Ultimately though, any judgment of Chavez's merits and failings will largely come down to political taste, with enough evidence to make for compelling argument on both sides.

What is not in question is the formidable force of personality and political skill that enabled him to unite and hold together a broad leftist alliance always bubbling below the surface with ideological idiosyncrasies and internal divisions, and of the deeply personal bond of loyalty that Chavez commanded among the millions who made up his red T-shirted chavista power base.

Whether that coalition holds together in the absence of the charismatic individual that forged it, and what replaces it if it fractures, may be the fundamental question that shapes Venezuela's post-Chavez future.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Simon Hooper.

@highlight

Hugo Chavez seemed an unlikely convert to democracy

@highlight

He will be remembered for presence on world stage

@highlight

Chavez inspired leftist leaders in Latin America