(CNN) -- Anti-establishment candidates are capitalizing on widespread anti-incumbent fervor and proposing term limits as a way to bring the power back to the people.

As political hopefuls try to persuade voters to send them to Congress, they're also promising they won't be there long.

Kentucky Republican Senate candidate Rand Paul said that if elected, he can't see himself serving more than two terms. In Rhode Island, Democratic congressional hopeful Bill Lynch has proposed a 12-year cap in the House and Senate. And in Maryland, Republican Andy Harris has assured voters that, should he go to the U.S. House, he'll be out of there by 2023.

It's a message that polls well and gets applause at campaign rallies, but David King, director of Harvard's program for Newly Elected Members of the U.S. Congress, said term limits do more harm than good.

"It's political junk food. It tastes good but hurts the body politic in the long run," he said.

Advocates and opponents of term limits are after the same thing: keeping the power out of the hands of lobbyists and special interests.

King says term limits do the opposite by taking the business of lawmaking away from elected representatives and giving it to professional staff and lobbyists.

Instead, the elections process needs better campaign finance laws and a more engaged electorate, he said.

"That leads to a situation in which we reward politicians or statesmen or stateswoman who have been around for a long time and are terrific, while at the same time being able to get rid of the low-quality legislators at all levels," King said.

But Philip Blumel, president of U.S. Term Limits, points to the high re-election rates as evidence of the need for term limits.

Re-election rates have hovered around 96 percent in the House and 85 percent in the Senate over the past 10 years, according to the Center for Responsive Politics.

The average length of service for lawmakers in the current session of Congress is 5.5 terms in the House and 2.2 terms in the Senate, according to the Congressional Research Service.

"You have a situation where you have a long-standing relationship between special interests and an incumbent who can't lose, and that is a toxic combination, and that's most of the Congress," Blumel said. "Term limits ensure regular, competitive elections. They permit change."

It's a debate as old as the Constitution that term-limit supporters hope to amend.

Alexander Hamilton spoke against limits, writing in Federalist Paper No. 72 that, "Nothing appears more plausible at first sight, nor more ill-founded upon close inspection."

Thomas Jefferson, however, said term limitation, at least of the president, was necessary "to prevent every danger which might arise to American freedom from continuing too long in office."

After the Constitution was drafted, Jefferson said one aspect he disliked was "the abandonment in every instance of the necessity of rotation in office, and most particularly in the case of the President."

"If you value rotation in office, like the founders did, we need some kind of codified term limits," Blumel said.

Fifteen states have term limits for state lawmakers. Another six states have agreed to term limits in the past, but the limits were repealed by the legislature or overturned by the courts, according to the National Conference of State Legislatures.

Most of the states with term limits got them through a ballot initiative, a process that only 24 states have.

Jennie Bowser, who tracks term limits for the NCSL, said that while voters are generally supportive of term limits, some studies have shown negative effects that aren't obvious to the average voter, such as a loss of influence in the legislature to the executive branch and a loss of policy champions who spend years building expertise in certain subjects.

"They're sort of inside the legislature, under-the-dome kind of things that people who are close to the legislature notice ... but no legislature has had to go out of business because term limits wrecked them, so it's not stuff that is visible to voters," she said.

The new wave of calls for term limits is reminiscent of the lead-up to the 1994 elections. Armed with a legislative agenda called the "Contract with America," Republicans put forth a message with an emphasis on term limits.

The GOP took back control of the House and Senate for the first time in nearly 50 years, and, for the first time ever, the House voted on legislation that would limit representatives to six two-year terms and senators to two six-year terms.

The vote was 227--204 -- a simple majority, but not the two-thirds required for a constitutional amendment.

At the time, 23 states had passed laws imposing term limits on their federal lawmakers, but in May of 1995, two months after the House vote, the Supreme Court ruled that doing so was unconstitutional.

"Allowing individual States to adopt their own qualifications for congressional service would be inconsistent with the Framers' vision of a uniform National Legislature representing the people of the United States. If the qualifications set forth in the text of the Constitution are to be changed, that text must be amended," Justice John Paul Stevens wrote.

In order to pass a constitutional amendment on term limits, the House and Senate would have to pass legislation with a two-thirds majority, and then three-fourths of the state legislatures would have to ratify it.

South Carolina Republican Sen. Jim DeMint introduced a bill to limit lawmakers to six years in the House and 12 years in the Senate.

DeMint's bill has yet to come up for a vote, but for Blumel, the outlook is good.

"There are periods in history where term limits are at the fore, and if the people of the country want them and demand them now, we have as good a chance as any that we ever had to have them. So it's an exciting time," he said.

But King says that even if the idea had the support of the president and Congress, he is confident that the American public would reject it.

"The evidence after 20 years of this in state legislatures is crystal clear: term limits empower special interests, lobbyists and long-time staffers and they work against the interests of the American people," he said.

The reason the issue polls well, King said, is because there hasn't been a vigorous dialogue about it.

"People are reacting by their instinct and anger, which is understandable. But sometimes instinct and anger take us in the wrong direction," he said.

@highlight

Some candidates making term limits a key part of their platforms

@highlight

It would require a constitutional amendment to enact limits on federal lawmakers

@highlight

Opponent says term limits hand power to special interests, long-time staffers

@highlight

Advocate says high re-election rates are proof Congress needs term limits