(CNN) -- Thousands of demonstrators in Syrian cities hit the streets after Friday prayers in another week of anti-government rallies, angry but largely peaceful outpourings of protest against the Bashar al-Assad regime.

The gatherings come as a prominent humanitarian watchdog group issued a report detailing "torture and ill-treatment" of protesters over the past month, and U.N. human rights experts released a statement deploring the crackdown on peaceful demonstrations.

Witnesses reported demonstrations in Daraa, Baniyas, Dair Elzour, Douma, Zabadani, the outskirts of Damascus and other cities against the regime, urged by protesters to enact political, economic and social changes.

In most locales, the day seemed peaceful compared with previous Fridays, when bloody clashes left many dead and injured.

Still, the Syrian Arab News Agency, the official government news service, said that a police sergeant "was martyred" after being "assaulted by protesters in Homs."

The report, citing Homs police Commander Hamid Assad al-Murrai, said that Issam Mohammad Hassan died after being "hit on the chest and head with sticks and rocks by protesters."

Razan Zaytouni, a human rights activist, said gunfire was heard in that western Syrian city as well as in Latakia.

One witness in Daraa said people packed into the restive city's main square and chanted, "The people demand the reform of the regime" and "United, United! The Syrian people are united." The witness, who is a doctor, said the demonstration was peaceful and there were no signs of police or soldiers.

Two witnesses described a brief clash between demonstrators and security personnel in Jobar, a village just outside Damascus. As forces tried to disperse the crowd with tear gas and warning shots, demonstrators and security forces threw rocks, a half-hour confrontation that left 10 demonstrators lightly injured, one of the witnesses said.

The Syrian Arab News Agency reported brief and limited street gatherings in different cities and towns, largely without any conflict with security forces or reports of vandalism.

As protesters marched, Human Rights Watch issued a report Friday entitled "Syria: Rampant Torture of Protesters," a document detailing arbitrary detention, as well as mistreatment in prison.

"There can be no real reforms in Syria while security forces abuse people with impunity," said Joe Stork, deputy Middle East director at Human Rights Watch. "President al-Assad needs to rein in his security services and hold them to account for arbitrary arrests and torture."

Human Rights Watch collected information about the mistreatment from interviews with 19 people who had been detained in Daraa, Damascus, Douma, al-Tal, Homs and Baniyas, and the families of detainees.

The group also gathered information from Syrian activists about dozens of people detained in Daraa and Baniyas, and watched footage of some detainees released from Daraa, "whose bodies appeared to have marks from torture."

Activists passed along videos of beatings and wounded people in Baniyas, disturbing imagery that punctuates the details in the Human Rights Watch report.

Detainees arrested during the protests told Human Rights Watch that officers from the intelligence services, or the Mukhabarat, beat them during arrests and in detention. They saw beatings of dozens of detainees, including children, and "heard screams of people being beaten."

Many in prisons experienced torture from electro-shock devices, cables and whips, witnesses said. Many stayed in overcrowded cells and were "deprived of sleep, food and water." Detainees were blindfolded and handcuffed, some said.

Detainees had been made to "sign confessions without being allowed to read them, as well as pledges not to participate in future protests," and "none were allowed to have any contact with relatives or lawyers while in detention, and their families were not informed of their whereabouts," the report said.

Security and intelligence officers also seized lawyers, activists and journalists who backed the protests, Human Rights Watch said.

Most detainees had been freed in days without charges, and others were released on bail with charges pending.

There was no immediate response to the report from the Syrian government.

Al-Assad ordered the release of detainees in the unrest "who have not committed criminal acts against the homeland and citizens," the Syrian Arab News Agency reported Thursday. This follows the president's meetings with officials in several provinces.

"The move comes in affirmation of President al-Assad's interest in solidifying cohesion among the Syrian people and in appreciation of their keenness on preserving Syria's security, safety and stability," the news agency said.

Rami Nakhle, an activist, said many people who had been detained in Baniyas were released, but many of them had been tortured.

Videos show men displaying bruises on their backs and faces. One video shows armed security forces in the main square kicking, flogging and stepping on tied up demonstrators.

Activists say the security forces cursed the protesters, and one person could be heard saying "tie the animal up."

U.N. human rights experts urged authorities Friday to stop the "repression" that has resulted in at least 200 deaths, and to launch a dialogue on reform.

Juan Mendez, the special rapporteur on torture, called on Syria "to respect the physical and mental integrity of protesters, ensure justice and accountability for victims, and bring those responsible for violations to justice," the United Nations said in a statement.

"Firing on peaceful crowds attending protests or funerals is by no means justified," stressed Christof Heyns, special rapporteur on arbitrary executions, one of 10 independent experts joining the call on the Syrian government to end the crackdown.

"Live ammunition is being used outside the prescribed limits and in clear violation of international law. Firearms may only be used in self-defense or in the defense of others."

He said the unrest could "easily escalate into widespread violence," citing reports that people are now arming themselves to retaliate against security.

The experts, who report to the U.N. Human Rights Council, said the crackdown is persisting even though the government has promised reform and is considering lifting its 48-year-old emergency rule.

The statement said "deep-seated corruption, injustice and discrimination, the lack of consultation, participation, and accountability" are among the protesters' grievances.

Also Friday, there were videos of chanting marchers Friday in Kiswah, outside Damascus, Latakia, Qamishli and Homs.

In Jassem, near Daraa, demonstrators called for an end to corruption and the trial of government officials responsible for the deaths of demonstrators, a witness said. There were no security forces at the peaceful gathering, which lasted about two-and-a-half hours.

Chants of "Freedom! Freedom!" "Those who kill their people are traitor" and "With our blood with our souls we will sacrifice for you Syria" resounded through the crowd.

CNN's Salma Abdelaziz, Rima Maktabi and Arwa Damon contributed to this report.

@highlight

NEW: A Syrian police officer has been killed by protesters, state-run media says

@highlight

Thousands demonstrated in several cities, and most protests were peaceful

@highlight

U.N. rights experts denounce past crackdowns by Syrian authorities

@highlight

Detainees screamed, and people were beaten, witnesses said