(Time) -- The iPhone is known for its simplicity, but not everything about it is obvious. Beyond its straightforward grid of apps lies plenty of tricks that make Apple's phone easier to use.

Here are 10 essential iPhone tips and tricks, starting with some basics and moving up to more advanced maneuvers:

Tap up top to scroll back up

If you're ever at the bottom of a long web page or app and need to get back to the top, don't bother scrolling. Instead, just tap the top of the screen, and the iPhone will scroll all the way back up on its own. This one's an all-time classic, and hard to live without once you know it's there.

Double-tap home and swipe for quick controls

You may already know that you can double tap the iPhone's home button to bring up a list of most recent apps, but not everyone realizes that this menu swipes in both directions. Swipe from left to right, and you'll get quick access to rotation lock and music playback controls. Swipe again in the same direction for a volume slider.

Double-tap home for lock screen music controls

For fast access to music controls while your iPhone's screen is locked, just double tap the home button. The great thing about this feature is that it works with whatever audio app is currently in use, not just the built-in Music player.

Take a panoramic photo from either direction

In iOS 6, the iPhone's camera app has a built-in panorama feature, which you can access through the camera's Options menu. By default, you must pan the iPhone from left to right to capture a panorama, but you can reverse the direction by tapping the arrow on the screen. Note that this feature only works on the iPhone 5 and iPhone 4S.

Streamline street names in iOS 6 Maps

Apple's new Maps app is a work in progress, but you can already make it better with one simple tweak: Under iPhone Settings, go to the Maps section and change the label size to small. The smaller text allows more street names to appear on screen at once, so you don't have to zoom in to see them all. The layout looks a bit cleaner too--provided your vision is good enough to read smaller words.

New Siri trick: Raise to Speak

Don't want your dialog with Siri to be heard? Go to Settings > General > Siri and turn on "Raise to Speak." When enabled, and the screen is on, Siri will start listening when you hold the phone up to your ear--as indicated by a chime--and she'll respond to queries through the iPhone's earpiece instead of the external speakers. You might even fool some people into thinking it's a real conversation. (For more Siri tricks and tips, check out my post from last year.)

Attach a photo or video in Mail

Yes, Apple really did take five years to let people attach photos and videos from directly within the Mail app. Just tap and hold anywhere in the message body to bring up a small pop-up box. The option to "Insert Photo or Video" will appear unless the e-mail already contains text, in which case you'll have to tap the little arrow on the right side of the pop-up to see the option.

Set a time range for do not disturb

Do Not Disturb is a new feature in iOS 6 that lets you silence all incoming text messages, phone calls and notifications. You can toggle Do Not Disturb under Settings, or you can set up daily quiet hours by going to Settings > Notifications and selecting Do Not Disturb at the top of the screen. From there, you can set a time range, always allow calls from certain contacts and prevent silencing on repeated calls.

Keep your photos backed up without plugging In

There are several ways to make backups of your iPhone photos without going through iTunes. The built-in solution is Apple's Photo Stream, which makes your last 30 days' worth of photos available on almost any device. Turn on Photo Stream by going to Settings > Photos & Camera, and your photos will automatically show up on your other iOS devices and Macs. To access Photo Stream on a Windows PC, you must download Apple's iCloud Control Panel, which creates a Photo Stream folder under "Favorites" in Windows Explorer.

Photo Stream isn't the only way to back up your photos. Google+ and Dropbox can automatically upload new photos every time you their respective apps, so you'll always have online copies available from any Internet-connected device.

Set up push Gmail or Hotmail

If you're a true e-mail addict, setting up Gmail or Hotmail through the preset "Add Account" dialog isn't good enough, because it can't immediately push new messages to the phone. Instead, you can set up these inboxes through Microsoft Exchange, so new emails get pushed right to your iPhone.

To get started, go to Settings > Mail, Contacts, Calendars > Add Account... and select Microsoft Exchange. On the next page, enter your full e-mail address, password and whatever inbox name you'd like, then hit "Next."

More options will appear. Enter "m.google.com" or "m.hotmail.com" in the Server field, leave the Domain field blank, enter your full e-mail address in the Username field, and your password in the Password field. Hit "Next," and on the next page, deselect Contacts and Calendars unless you want to overwrite your phone's existing contacts and calendar. Hit "Save," and you're good to go.

See the original article on Time.com

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Here are 10 essential iPhone tips, from basic tricks to the more advanced

@highlight

For fast access to music controls while your screen is locked, double tap the home button

@highlight

Do Not Disturb is a new feature in iOS 6 that lets you silence incoming text messages