(CNN) -- Dressed in eye-catching red costumes, a high-spirited troupe of barefoot acrobats storms across a dusty yard in the heart of Lusaka, Zambia's capital, their grinning faces painted with bright colors.

Using an elaborate mix of flips, kicks and twists, the skilful performers sing and whistle as they dance their way onto a makeshift stage, while the pounding beats of skin drums and cheerful clapping summon scores of excited children from nearby neighborhoods towards the spectacle.

They're all part of the Barefeet Theatre, an uplifting project that's aiming to transform the lives of street children and orphans in Zambia by using performing arts as a way of engaging youths who have suffered through poverty, drug use or other traumatic issues.

Read also: Brass band keeps youngsters from gang life

Throughout the year, the group puts together a series of outreach events and workshops to help vulnerable kids participate in creative activities, such as theater, art, dance, music and storytelling. Organizers say they are all designed to help children express themselves, gain valuable information and ultimately prevent them from living on the streets.

"We engage the children with arts and theater to encourage their creativity and stimulate their curiosity," says Adam McGuigan, who founded Barefeet Theatre in 2006. "We help holistically to their development and we see our interventions as crucial to any child's development -- as important as schooling, as accommodation or food."

Accidental beginnings

Back in the mid-2000s, McGuigan, a young artist hailing from the north of Ireland, left Europe to pursue his dream of taking a one-man street show to Africa. He embarked on his mission in South Africa, where he spent six months before heading north. But one month into his stay in Zimbabwe he was mugged and without most of his belongings, McGuigan had to get to the nearest Irish embassy, which was in Lusaka.

And that's when everything changed.

"When I got here I had nothing planned, but I happened to come across a guy who was working with street kids in a center called Fountain of Hope in Lusaka," recalls McGuigan.

"So I came to do some workshops with these kids and it was absolutely incredible -- the energy, the passion, the enthusiasm and the talent that these kids had was just so infectious.

"At the same time I met a group of older guys who used to stay on the streets and were living at the center, and were also artists. So we were interested in how we could collaborate and work with these children. So it started very modestly and organically with just a few workshops and blossomed from there."

Read this: From the streets to break beats

From those initial sessions, Barefeet has grown into a group working with thousands of children, typically aged from seven to 20, in five cities across Zambia. The charity occupies its own office space, has a paid staff of more than a dozen people and receives funding from UNICEF.

The group's members, many of whom used to live on the streets themselves, run a series of artistic modules focused on issues affecting vulnerable kids, from physical and emotional abuse to HIV/AIDS and other major problems. As part of their training, the children also have to work together to stage performances for their communities, using the skills and information they gained during the workshop sessions.

"That's when you can instil all the information and internalize it," says McGuigan. "And then it's more lasting."

The group's performances culminate in its annual Youth Arts Festival, a vibrant 10-day event at the end of August where children from across Zambia meet up to sing, dance and perform in front of enthusiastic onlookers.

Held in various locations in Lusaka, the popular get-together includes a colorful carnival procession as well as an array of performances and art exhibitions that give children a platform to showcase their talents while highlighting the dangers of life on the streets.

'I thought that's the end of my life'

In Zambia, loss of parents, poverty and family breakdown have pushed thousands of children onto the streets. According to UNICEF data, there are 1.2 million orphans under the age of 15 in the country, 800,000 of whom are affected by HIV and AIDS. In many cases, children take to the streets to try to earn money for school fees or supplement their family income.

Exposed to cruel living conditions, many start begging and stealing while others resort to drug use.

"Once you get sucked into that life, it is quite hard to disengage yourself," says McGuigan. "Once you're full time in the street, you're open to a whole world of abuse -- sexual, physical, psychological," he adds. "It's survival; it's really going from day to day trying to get food, trying to get enough money for drugs."

Read this: Bamboo bikes put Zambian business on right track

As former street children themselves, many of Barefeet's performers are well aware of the neglect and abuse suffered by many of their beneficiaries.

"I was born in a family of five, of which I was the last born," says Barefeet facilitator Chembe Mwanza, one of the group's success stories. "My mother died when I was three months old so my dad had to marry another wife, which became my step mother."

Mwanza's step mother disowned him when he was only eight, forcing him to run away to Lusaka and fend for himself. "I got stranded, I never knew where to start from," says Mwanza, whose drumming now accompanies the group's energetic performances. "I was left alone, I never knew anyone -- I just felt so lost, I thought that's the end of my life."

It all changed when Mwanza was 14 and saw the Barefeet crew for the first time.

"They were just making different scowls, and they just have different energies and their stories," he remembers. "They were advocating for children that live on the street. It gave me confidence so I can stand."

'Life-changing effects of art'

For most children living on the streets, entertainment is a rarity. That's why the Barefeet troupe regularly pops up unannounced in low-income areas, attracting at-risk youth with their dancing, singing and drumming.

The performers say the troupe sees itself as a conduit for providing help. Any child in need can be connected with other NGOs or local professionals able to provide care. The genius is that none of the group's activities looks like serious work so children are more likely to play along without realizing they are being offered help.

Looking ahead, McGuigan says the group's dream is to turn its festival into a global hub where youth can come to perform and collaborate with Zambian artists, as well as share skills and experiences about issues affecting children in different parts of the world.

"We want our festival in the heart of Africa to be a hub for other young advocates and artists across the world who can come here and see whether they can be inspired by the life-changing effects of art in our country," says McGuigan.

@highlight

Barefeet Theatre uses performing arts to engage with street children in Zambia

@highlight

The group puts together events and art workshops to help kids participate in creative activities

@highlight

The group's performances culminate in its annual 10-day Youth Arts Festival