(CNN) -- It's 06:30am and the sun has just risen over the bustling gardens of Mbuyoni elementary school, in the coastal city of Dar es Salaam, Tanzania.

On this sunny morning, fits of giggles and screeches of laughter fill the hot and humid air, as would be expected in most schools around the world. But the source of fun is somewhat less expected -- farming.

"I like to grow blackjack, fame flower, pumpkin leaves and sweet potatoes," explains 11-year old Zulfa Mussa in her native language of Kiswahili.

Mussa is new to the world of agriculture and has enjoyed cultivating her favorite crops this morning. "I didn't know they were edible and now I know, I eat them." In fact, she eats them for lunch, along with the rest of her school.

Mussa's school is putting African traditions back on the menu in a new era of indigenous school meals. Plants native to her home country, Tanzania, are being harnessed as a result of an idea pioneered by people at the other end of the age spectrum -- retired women -- the Regent Estate Senior Women's Group (RESEWO).

"Modern people here in Tanzania associate indigenous food with poverty and being poor," says RESEWO founder Freda Chale, referring to the increasing popularity of fast food.

Native plants such as blackjack, moringa, pumpkin, sweet potato and even the leaves of these latter two plants, have high nutritional and medicinal value. But, they're under-appreciated by the communities in which they grow, often dismissed as weeds.

Setting new traditions

One afternoon in 2007, Chale invited her senior peers for tea which was made from the leaves in her garden. That day her mission to save gastronomic traditions began. And it began with children.

"We started working with schools to make sure youngsters grow up valuing these vegetables," says Fabia Schundia, a RESEWO founding member. The children learn by growing and cultivating the plants at school and go on to spread the word to their families and communities. "They don't know most of the time, especially people living in towns."

The elementary school at Mbuyoni has over 1200 students, all of whom appear to have come in at the crack of dawn to tend eagerly to their crops. There are groups of children tilling land, whilst others collect water from the well or wander around with watering cans. A final few harvest leaves and roots to be eaten for lunch that day. This is the atmosphere every morning, I'm told.

The garden spans one sixth of the school's land and began development over three years ago. The school also has a kitchen on site for immediate preparation of the freshly-plucked ingredients.

"In the morning session, normally we have time to clean the environment and take care of our garden," says school headmistress, Dorothy Malecela. She has seen the impact the garden has had on the general health and well-being of her pupils. "It increased school enrollment and reduced dropout because the kids are happy to come in," she says.

RESEWO currently works with 10 schools in Dar es Salaam, but hopes for the indigenous food movement to spread across the country.

The need for improved nutrition

Among the 8 million children under five years old estimated to be living in Tanzania, 42 per cent are stunted and 16 per cent are underweight, according to UNICEF. Levels of anemia are also high, with rates as high as 41 per cent in adult women.

One cause of this is the increasing reliance on staples such as maize and sweet potatoes. Another cause is that locals have been eating more food high in fat and sugars, such as burgers. Plants with higher nutritional value, including the leaves of the sweet potato plant, seem to have been forgotten.

Improving diets is a national concern, but for the women at RESEWO, their goal is to get people appreciating the food directly under their nose.

"In the villages, most of these vegetables grow as weeds," says Schundia, who worries that people don't even seem to use them when they have nothing to eat. By raising awareness into growing indigenous plants, the team hope to get people harnessing these plants as year-round sources of food on their doorstep.

It's all in the taste

As Schundia wanders around the community garden at the RESEWO headquarters, she eagerly shows the tens of vegetable varieties growing there, one of her favorite being the bitter leaf. "You prepare it, wash it, cut it in small pieces, fry it and season it as you wish. It's very tasty." The leaves can also be consumed in the form of tea. Utility and versatility appear to be commonplace.

Furthermore, the leaves of a sweet potato plant are high in protein, fiber, and minerals such as iron. The more local blackjack plant also contains vitamins and minerals and has traditionally been used as medicine to overcome anemia. Insight into these plants, and many more, have been compiled into a recipe book put together in association with the slow food foundation for biodiversity, an Italian-based NGO promoting environmentally and culturally sustainable agriculture.

The nutritional and medicinal value of indigenous plants is being forgotten across the continent and the slow food foundation now work in over 10,000 gardens in Africa, including RESEWO's headquarters.

The movement to revamp and revitalize ancient plants has begun. It also appears to hold the secret to youth. As Schundia explains the health benefits of improved nutrition, she grins and asks: "How old do you think I am?" Without a wrinkle on her face and the energy of someone in their prime, she reveals she is 74 years old.

Maybe that should be the opener to get anyone hooked.

__________________________________________

Soft Yams with Groundnut

Method:

1. Wash yams thoroughly and peel. Wash again and cut into pieces the size of an egg.

2. Place yams in a saucepan of water that doesn't quite cover them and put on the heat.

3. Wash and chop onions, tomatoes and chili (optional) and add to the yams with salt; cover and leave to boil.

4. Add oil or groundnut milk, continue to cook until yams are soft.

5. Add the washed vegetable leaves, cover and leave to cook until ready.

Recipe courtesy "COOKING WITH TRADITIONAL LEAFY VEGETABLES -- Indigenous Plants in Tanzania's Kitchen."

READ MORE: 13 voices shaking up Africa

READ MORE: Nigeria's star architect on how she made it

READ MORE: 'Earth Defenders' to the rescue

@highlight

Senior women in Tanzania are putting indigenous vegetables back on the menu

@highlight

School grounds are being transformed to provide fresh vegetables for school meals

@highlight

Indigenous plants have become unpopular and people now rely on fast food

@highlight

The project hopes to increase demand for fresh vegetables that can be grown across Tanzania