(CNN) -- The tragedy of Ebola is not just its staggering toll. It's also the implicit racism that the deadly virus has spawned. The anecdotes are sickening, particularly a Reuters report this week that children of African immigrants in Dallas -- little ones with no connection to Thomas Duncan, the Liberian Ebola patient who died Wednesday in a local hospital -- have been branded "Ebola kids" simply because of their heritage or skin color.

In both the United States and Europe, Ebola is increasing racial profiling and reviving imagery of the "Dark Continent." The disease is persistently portrayed as West African, or African, or from countries in a part of the world that is racially black, even though nothing medically differentiates the vulnerability of any race to Ebola.

A Newsweek cover last month showed a picture of a chimpanzee with the headline: "A Back Door for Ebola: Smuggled Bushmeat Could Spark a U.S. Epidemic." Whatever the intent, the picture was wrong.

Turns out the story was probably wrong, too, as a Washington Post investigation revealed. The new Ebola outbreak "likely had nothing to do with bushmeat consumption," the Post reported, and there is no conclusive evidence that Ebola has been passed from animals to humans. A theory on animal-to-human transmission with some limited traction centers on dead fruit bats, not chimps.

"There is virtually no chance that 'bushmeat' smuggling could bring Ebola to America," the Post concluded.

But the damage has been done. And as panic deepens, the danger is that racism -- on planes and public transportation, in lines, on streets, in glances -- deepens further, too.

Ebola is a human tragedy, just like enterovirus D68, which causes sudden muscle weakness and severe respiratory problems, particularly among children. It has shown up in almost all the 50 states, with about 500 Americans infected so far, far more than ever. And it has begun to kill, beginning with a 4-year-old boy in New Jersey. Five new cases were reported in New Jersey alone on Tuesday. And there are no antiviral vaccines or cures. Yet enterovirus D68 is known by a scientific name and number. (Unfortunately for Africans, the Ebola virus was named after the Congolese river where the first outbreak was detected).

The saga of Thomas Duncan reflects racial perceptions. His girlfriend, Louise, whom he had reportedly been visiting in Dallas, had publicly begged for him to be given the same experimental ZMapp medication given to two (white) American missionaries who were infected in Africa and recently flown back to the United States.

"I'm just asking God and asking the American government for the same medicine they're giving people that come from Liberia," she said during an interview with CNN's Anderson Cooper. "Please, please, please, please, help me save his life. ...Talk to doctors. They'll find means to get a medicine to cure him. He's so young."

Louise refused to allow her last name to be used for fear of repercussions. Unfortunately, doctors and the pharmaceutical developer said there was no longer any ZMapp left for Duncan or any other victim. But the imagery that accompanied his plight lingers: Whites can be flown to the United States or Europe at any expense, while Africans are left to die unattended on the streets of Liberia or Sierra Leone. Or now, without ZMapp, in Dallas.

"It's easy for the world -- the powerful world, who are largely non-African, non-people of color -- to ignore the suffering of poor, black people," Harvard Medical School professor Joia Mukherjee said on PRI's "The World" last month. It's easy, she said, to "other-ize" the Ebola crisis.

Fear too often contorts morality and humanity.

Complete coverage on Ebola

@highlight

Ebola is increasing racial profiling, says Robin Wright

@highlight

The saga of Ebola victim Thomas Duncan reflects racial perceptions, Wright says

@highlight

Danger is that as panic deepens, so will racism, she says