SELMA, Alabama -- For almost 60 years, Grace Britton Sweet has had the right to vote. She can vividly recall the day she registered.

Grace Britton Sweet, center, was one of a few black Americans who had the right to vote as early as 1953.

As an African-American woman living in the South, she was one of a few black Americans who had the right to cast a ballot as early as 1953. In states like Alabama, literacy tests were given as a way to bar African-Americans from voting. If a black person was unable to answer questions such as, "If a person charged with treason denies his guilt, how many persons must testify against him before he can be convicted?" they would be denied the right to vote.

Whites were often asked far easier questions, if any at all.

When Sweet went to the registrar's office and wrote "Mrs." before her name, the person registering her scratched it out. Sweet wrote it again, and again it was scratched out. The person accompanying Sweet optimistically told her to "leave it alone, that's coming. Let's get you registered to vote."

In the mid-1960s, all of that changed.

"We gave the nation the Voting Rights Act here in Selma," says Sam Walker, the curator of the National Voters Rights Museum.

"We like to say that the people were the lowest they could go and they knew that they didn't want to be treated that way anymore," says Walker. "So, they wanted to do something to change the condition that they were under, and so they set out to change those conditions by obtaining the right to vote."

In 1965, civil rights leaders organized three voting rights marches in Selma. The first, on March 7, 1965, was from Selma to Montgomery, Alabama. Bob Mants was one of the organizers. He remembers how they decided who would lead the march for the Southern Christian Leadership Conference.  What would MLK say? »

"They flipped coins to decide who would lead for SCLC, and Hosea [Williams] lost. So he was to lead the march," recalls Mants.

Williams and Georgia Rep. John Lewis, who was then chairman of the Student Nonviolent Coordinating Committee, led hundreds of civil rights marchers over the Edmund Pettus Bridge. As the marchers crossed over the bridge, which spans the Alabama River, state and local police waited on the other side in riot gear. The marchers were tear-gassed and pummeled with billy clubs. Network news cameras captured the violence that outraged much of the nation.

"People got up from their homes from all over America and just flooded into Selma. Just in a couple of days, thousands of people got up and some came regardless of race, religion, all types of backgrounds," remembers Walker. "[They] came to Selma saying this is America and people in America should never be treated like this."

Bloody Sunday, as it came to be known, led to swift passage of the Voting Rights Act of 1965, which prohibited any state from denying any United States citizen the right to vote based on race.

"Because of the media coverage of [Bloody Sunday], it infuriated people," Mants says. "There were people in this country that did not know there were black people in the South who were disenfranchised."

Bloody Sunday was more than just a singular event, and Walker and Mants say President-elect Barack Obama has benefited from the sacrifices made by the civil rights marchers they call "foot soldiers."

"We'd be foolish and naive to think that the election of Barack Obama as president of the United States is an end," cautions Mants. "There are still some other basic and fundamental issues that this country has to deal with ... and one of the major concerns is the distribution of wealth."

Mants says that even though there are "black faces in high places," he hopes to see the quality of life improve for more Americans.

Both men have no doubt that Obama's moment in history wouldn't have happened without the bloody march in Selma more than four decades earlier.

Today, the National Voters Rights Museum sits just yards from the Edmund Pettus Bridge. Inside the door to the left is a wall of notes left by many of the people who marched that day. Some 43 years later, Mants says the lifelong struggle was worth it.

But did he ever think he would see an African-American president in his lifetime?

"Yes, because there are some of us who kept our eyes on the prize, who never turned back, and [believed] that we shall overcome," Mants says. "There's nothing more powerful than an idea whose time has come."

Longtime voter Grace Britton Sweet thinks so, too.

"[Obama] is one of the greatest things to ever happen," she gushes.

She plans to have a front-row seat for Obama's inauguration when she watches the swearing-in from her living room with her prayer group. Forget the crowds, Sweet says, "I can see it better on my TV."

This is one event she would rather see in its entirety than in person.

@highlight

Few African-Americans living in Deep South were allowed to vote before 1965

@highlight

"Bloody Sunday" march led to swift passage of the Voting Rights Act of 1965

@highlight

Activists: Obama has benefited from struggle of civil rights "foot soldiers"

@highlight

"There's nothing more powerful than an idea whose time has come," says Mants