(CNN) -- President Barack Obama's surprise visit to Afghanistan on Tuesday included an extraordinary admission: "Our goal is not to build a country in America's image, or to eradicate every vestige of the Taliban. These objectives would require many more years, many more dollars and many more American lives."

Obama pledged to continue American support for a sovereign, peaceful state in Afghanistan. He also committed to withdraw all American combat soldiers by 2014 and diminish direct American efforts at nation-building. The president declared that the defeat of al Qaeda was "within reach," but he did not promise any specific political outcomes in the country where Americans have fought for more than 10 years.

The speech and the strategic partnership agreement that the president signed begin the rapid withdrawal of American forces from the region. The White House has given little public attention to Afghanistan in the last two years, and it has continually lowered expectations.

A recent upsurge in violence, homicidal acts allegedly by an American soldier and the offensive burning of Qurans in Afghanistan have turned whatever hope some might have had for the future of the region into despondence.

The Obama administration has clearly determined that it cannot succeed in bringing security and stability to Afghanistan. The United States will leave as quickly as it can, providing vague and limited assurances of support for Hamid Karzai's government and new national institutions.

This is not a victory or a vindication for American efforts. It is not an admission of defeat either.

Obama is indeed correct that al Qaeda's capabilities in Afghanistan are largely diminished, thanks in part to vastly expanded American drone strikes in the last three years. The president is also accurate when he explains that some Afghan institutions, especially the Afghan Security Forces, are more effective than they were before 2009.

Direct American talks with members of the Taliban have shown, according to the president, that some former supporters of that horrible regime now see a future for themselves in the new pro-Western government. These are all conditions that make Afghanistan far less threatening to its neighbors and the United States than it had been a decade earlier. Washington has accomplished that limited goal.

Protecting this modest accomplishment while withdrawing American forces will drive policy in the next few months. Obama's speech signals that he wants to assert that he has done enough and now must focus on other strategic priorities, including the weak U.S. economy. He will continue to try and keep Afghanistan out of the news, and he will quickly seek to reallocate precious financial and military resources from the region to other locations, especially East Asia and the Persian Gulf.

The White House is rebalancing away from Central Asia. The promising opportunities for the United States are in the Arab world (now dominated by the Arab Spring), not Afghanistan. This strategy will work to keep the United States safe from another major terrorist attack planned and executed on Afghan territory. American efforts will not, however, bring peace and stability to the region.

Karzai will remain the president of Afghanistan, running a corrupt and incompetent government. Local warlords will continue to dominate politics outside Kabul, siphoning capital from productive uses to their personal enrichment. The Taliban will maintain its low-level insurgency, with support and shelter from Pakistan. In all of these ways, and others, Afghanistan will remain a failed state.

Soon it will become a failed and ignored state, as it was in the years before September 11, 2001.

A failed Afghan state that does not threaten the United States marks neither a victory nor a defeat for the Obama administration. The president correctly avoided the use of either word. As with other issues, Obama has found a pragmatic middle ground that protects core strategic needs, reduces risks and appeals to war-weary voters. He has placed safety for Americans above other worthy goals: democracy, human rights and development.

Afghanistan will continue to suffer from violence, disunity, corruption and governmental collapse. These sources of instability will spread to other countries, especially neighboring Pakistan, and they will undermine long-term American interests.

For the next year or so, however, the United States can withdraw and solidify some security gains. That is enough for Obama. It might not look like nearly enough a few years on. A strategic retreat in Afghanistan makes sense, but Afghans and Americans will pay a price.

The opinions expressed in this commentary are solely those of Jeremi Suri.

@highlight

Jeremi Suri: Obama's speech represents start of rapid withdrawal from Afghan war

@highlight

Suri says the strategic retreat makes sense in the short run

@highlight

Suri says it leaves Afghanistan as a state with a corrupt government, Taliban threat

@highlight

In the long term, the risks for the U.S. and Afghanistan could increase, he says