(Health.com) -- The rituals of college -- making new friends, studying until dawn, excessive partying -- can stress out any young adult. But students with bipolar disorder, or those at risk for the condition, are even more vulnerable in a college environment.

Academic pressures, social concerns, and sleep disruptions can lead to bouts of depression as well as mania, the euphoric, revved-up state characteristic of bipolar disorder.

Without the right treatment and support, bipolar college students face higher dropout rates, drug and alcohol abuse, and even suicide.

"The new structure and new stresses for [bipolar] students who leave home to go to school sometimes can trigger problems and relapses," says Dr. Richard Kadison, M.D., the chief of mental health services at Harvard University and the author of "College of the Overwhelmed: The Campus Mental Health Crisis and What to Do About It."

Health.com: 5 relapse triggers to watch for

These stresses, he adds, can also trigger mania in students who have an underlying vulnerability to bipolar disorder.

"Oftentimes, the first manic episode occurs in college," Kadison says.

At its most severe, bipolar disorder is a dangerous condition that can lead to psychotic episodes and hospitalization. Milder forms of the disorder can cause problems as well, and can interfere with academic success.

A 2006 study in the Journal of Affective Disorders compared a group of bipolar adults with a group of healthy adults who had similar IQs and social backgrounds.

More than 60 percent of both groups entered college, but their achievements differed greatly: Nearly half of the control group received a college degree, compared to just 16 percent of the bipolar group.

Students with bipolar disorder can survive -- and even thrive -- in college, but doing so requires a plan. Taking the proper medications, arranging for the appropriate counseling and medical care on campus, avoiding drugs and alcohol, maintaining a steady sleep and study schedule, and finding sources of peer support are all crucial and can make the difference between achieving your goals and dropping out.

Health.com: 9 strategies for controlling bipolar disorder

A breeding ground for bipolar symptoms

Jennifer, 24, was diagnosed with bipolar disorder during her senior year of high school in Rochester, N.Y., but it wasn't until she left the support of her family and went away to college that the disease threatened her life.

During the first weeks of her freshman year, she felt isolated and alone. She quit the soccer team and stopped going to classes. She started to stockpile medications and alcohol. In October, she drove to a nearby apple orchard, downed the pills and alcohol, and passed out. She woke up in the hospital after spending three days in a coma. (A passerby had seen her taillights, found her unconscious, and rushed her to the hospital, where she was medevaced to a larger hospital.)

Jennifer says she remembers being angry to be alive.

"I kept telling my family and friends that I was OK, but I was planning my suicide," says Jennifer, who later returned to the University of North Carolina, Wilmington. "I had so much support back home -- and then, in this new place, I didn't even know where the counseling center was."

Numerous aspects of college life can trigger a manic or depressive episode. Sleep deprivation and the keeping of irregular hours -- both common practices on college campuses -- are known to trigger mania, while binge drinking and the use of substances such as marijuana can cause depression.

Health.com: Booze, drugs, and bipolar disorder

Stress, whether it stems from the pressure to succeed academically or to fit in socially, can trigger mania as well. According to Russell Federman, Ph.D, the director of Counseling and Psychological Services at the University of Virginia student health center, the desire to fit in and conform to the college lifestyle can cause some bipolar students to abandon healthy behaviors -- even their medications.

College life often reveals the symptoms of bipolar disorder for the first time, particularly for those at risk of the condition who have not yet been diagnosed. (The college years, in fact, overlap with the stage in life in which bipolar disorder typically first appears -- between 19 and 23 years old, according to some estimates.)

James, 22, experienced his first manic episode at the University of Tennessee, Knoxville.

His lifestyle was less than healthy: In college he smoked a lot of marijuana and experimented with hallucinogenic mushrooms and a drug similar to LSD. He had a serious depressive episode his freshman year, and then, in the winter of his sophomore year, he entered a full-blown manic episode with psychosis.

"I thought I was having an existential breakthrough, but it was really a manic high," James says.

Health.com: What is mania in bipolar disorder?

Federman says that the symptoms of bipolar disorder do not appear spontaneously.

"The lifestyle irregularities and the stresses of college life don't in and of themselves cause bipolar disorder," he explains. "You need a genetic vulnerability for bipolar disorder to emerge. But if you've got that vulnerability, the lifestyle irregularities of the first and second year of college can certainly be a precipitant."

Strategies for managing bipolar disorder

Students who have been diagnosed with a bipolar spectrum disorder can take steps to minimize the risk of a relapse and stay balanced. Perhaps the most important step is to make sure you have a support system at school, which usually means connecting with the medical and counseling staff on campus.

Students who attend school away from home may choose to maintain contact with their existing psychiatrist, but experts urge students to also make contact with campus health services.

"Even if a student with bipolar disorder has what they consider to be their primary health provider at home, they need to have someone at college as well," says Elizabeth Gong-Guy, Ph.D, the director of counseling and psychological services at UCLA. "And if a student with bipolar disorder is looking at a college in a rural community, they need to be proactive about what their local access to psychiatric care will be."

Having a psychiatrist close at hand isn't important only for emergencies. In fact, bipolar students who have been stabilized on medication while at home may need to fine-tune their prescriptions while at school.

"Students sometimes need adjustments to their medication in the new environment," Kadison says. "It varies a lot, depending on the resiliency of the student, the supports that are already in place, and how much of an academic challenge the student is facing."

Health.com: How the right drugs can treat bipolar disorder

Campus health services also provide counseling, which can help students cope with the emotional stress of living with bipolar disorder.

Just as important, counseling can teach students everyday strategies for managing their symptoms. In his 2010 book, "Facing Bipolar: The Young Adult's Guide to Dealing With Bipolar Disorder", Federman outlines what he calls the "four S's of bipolar stability": structure, stress management, sleep management, and self-monitoring.

This framework entails setting -- and sticking to -- a regular schedule of studying and sleep, and learning to recognize the signs that you are beginning to drift into mania or hypomania.

Stacy, 26, who graduated from Rutgers University in May 2008, has what her doctor calls bipolar type III, a diagnosis that typically describes a form of hypomania associated with antidepressants.

Health.com: Bipolar is one disorder with many faces

Dealing with depressive episodes in college, Stacy never knew when she was going to crash, so she made sure to do her assignments well ahead of time. She also talked to her professors on the first day of class about her mental health and documented her case at disability services on campus.

Students tend to associate such resources with physical disabilities, but these centers often help students with mental health disorders as well.

"I felt OK about sharing with professors, and they were great about working with me," Stacy says. "Be prepared to encounter people who don't understand, but try to get the college behind you."

Other sources of support on campus In addition to campus health services, peer counseling can be a valuable source of support.

Jennifer began leading a National Alliance on Mental Illness (NAMI) support group on her campus because she doesn't want students to feel as alone as she did her freshman year. She advises students with mental illness to reach out.

"We want to make people more aware of the counseling office at orientation," she says. "One of our major messages is, 'You are not alone.'"

Health.com: Avoiding the stigma of depression and bipolar disorder

James took a semester off from school and spent a summer at a community college near his home before returning to the University of Tennessee, Knoxville in the fall of 2008.

As a senior, he communicated often with his doctor and parents, a strategy that helped him remain stable. He tried to schedule his classes in the middle of the day to facilitate a regular sleep schedule, and he did his best to avoid alcohol and drugs.

However, he struggled to find a group of peers who have dealt with mental health problems.

In addition to NAMI, an organization called Active Minds is trying to open the dialogue about mental illness on college campuses. Founded by Alison Malmon in 2001, following the suicide of her older brother, the organization now has more than 200 chapters nationwide.

Active Minds organizes events such as National Day Without Stigma and has partnered with the Depression and Bipolar Support Alliance to create peer support groups on college campuses.

Copyright Health Magazine 2011

@highlight

Students with bipolar disorder are even more vulnerable in college

@highlight

The National Alliance on Mental Illness support group helps students worldwide

@highlight

Academic pressures, social concerns, and sleep disruptions can lead to depression