(CNN)The CIA's harsh interrogations of terrorist detainees during the Bush era didn't work, were more brutal than previously revealed and delivered no "ticking time bomb" information that prevented an attack, according to an explosive Senate report released Tuesday.

The majority report issued by the Senate Intelligence Committee is a damning condemnation of the tactics -- branded by critics as torture -- the George W. Bush administration deployed in the fear-laden days after the September 11, 2001 terrorist attacks. The techniques, according to the report, were "deeply flawed," poorly managed and often resulted in "fabricated" information.

The report is reigniting the partisan divide over combating terrorism that dominated Washington a decade ago. Democrats argue the tactics conflict with American values while leading members of the Bush administration insist they were vital to preventing another attack.

The CIA immediately hit back at the report, saying in a statement that the program was "effective" and substantially helped its understanding of al Qaeda's tactical operations and goals. But President Barack Obama said the report reinforced his view that the harsh interrogation methods "were not only inconsistent with our values as a nation, they did not serve our broader counterterrorism efforts or our national security interests."

In its most graphic details, an executive summary of the report finds that conditions for detainees at top secret overseas interrogation sites were much harsher than the CIA has previously admitted. It finds that high value detainees were subjected to methods like waterboarding and sleep deprivation "in near nonstop fashion for days or weeks at a time."

"In many cases, the most aggressive techniques were used immediately, in combination and nonstop," the report says. "Sleep deprivation involved keeping detainees awake for up to 180 hours, usually standing or in painful stress positions, at times with their hands shackled above their heads."

In one facility, a detainee was said to have died of hypothermia after being held "partially nude" and chained to a concrete floor, while at other times, naked prisoners were hooded and dragged up and down corridors while being slapped and punched.

Multiple CIA detainees subjected to the techniques suffered from hallucinations, paranoia, insomnia and tried to mutilate themselves, the report says.

On one occasion, high-value al Qaeda suspect Abu Zubaydah became completely unresponsive after a period of intense waterboarding. He had "bubbles rising through his open full mouth," the report says.

Meanwhile, the confessed mastermind of the September 11 attacks, Khalid Shaikh Mohammed, was subjected to a "series of near drownings."

The report finds that at least 119 detainees went through the CIA detention program and at least 26 were held "wrongfully," partly because there was no information to justify their detention.

Previously, the CIA had said only 100 prisoners had been processed through the program, Democratic Senate aides said.

The report suggests that the controversial enhanced interrogation techniques did not produce information necessary to save lives that was not already available from other means. That is important because supporters of the program have always said that it was vital to obtaining actionable intelligence from detainees that could not be extracted through conventional interrogations.

It also discounts CIA claims in 2011 that enhanced interrogation of al Qaeda operative Hassan Ghul produced information which led them to Osama bin Laden's "courier" Abu Ahmad al-Kuwaiti. The breakthrough, which eventually helped the agency track down the al Qaeda leader's hideout in Abbottabad, Pakistan, was extracted before Ghul was subjected to harsh treatment, the report said,

In its scathing response to the report -- released even before Senate Intelligence Committee chairwoman Dianne Feinstein rose on the Senate floor to unveil it -- the CIA said it was "unknowable" whether it could have received the same information from terror suspects using alternative methods.

It said the conclusions of the report contained "too many flaws" for it to "stand as official record of the program" and said many of the charges were "based on authors' flawed analysis of the value of the intelligence obtained from the detainees."

Obama outlawed enhanced interrogation techniques soon after becoming President in 2009 and admitted in August "we tortured some folks." As commander in chief, he faces many of the same dilemmas on how to fight terrorism as his predecessor. But the tone of his response to the report was nevertheless critical.

He acknowledged in his statement that the Bush administration had faced "agonizing choices about how to pursue al Qaeda and prevent additional terrorist attacks against our country."

"Our nation did many things right in those difficult years.  At the same time, some of the actions that were taken were contrary to our values. "

Feinstein said that the CIA's actions in the aftermath of 9/11 were a "stain on our values and on our history."

"The release of this 500-page summary cannot remove that stain, but it can and does say to our people and the world that America is big enough to admit when it's wrong and confident enough to learn from its mistakes," she said.

In April, three Republicans on the Intelligence Committee voted to declassify the report. But Georgia Sen. Saxby Chambliss, the committee's top GOP member, also released a minority rebuttal to the document, taking issues with its methodology and findings.

The rebuttal said the report created the "false impression that the CIA was actively misleading policy makers and impeding the counterterrorism efforts of other federal government agencies during the Program's operation."

Director of National Intelligence James Clapper said he did not believe that "any other nation would go to the lengths the United States does to bare its soul, admit mistakes when they are made and learn from those mistakes. "

Thousands of marines at U.S. diplomatic posts and military bases around the world are on alert amid fears the graphic details of how detainees were treated could spark a violent backlash.

But there was little initial interest on Jihadi forums about the report, said Laith Alkhouri, a senior analyst at Flashpoint Partners, a U.S. organization that tracks Jihadi websites.

Intelligence sources told CNN's Pentagon Correspondent Barbara Starr, however, that the threat of retaliatory attacks could come in days rather than hours, as information filters across the world. Those sources added that currently, there is no specific threat.

The full report is more than 6,000 pages long. But after a prolonged tussle between the CIA and the committee over how much of the material should be classified, the document being released Tuesday is 480 pages long.

Senior members of the Bush administration have also voiced disquiet that the report is being released and defended their actions, those of administration lawyers and CIA agents charged with the interrogations.

Former president George W. Bush told CNN's Candy Crowley last week that the United States was "fortunate to have men and women who work hard at the CIA serving on our behalf. These are patriots."

"These are good people. Really good people."

Former Vice President Dick Cheney told the New York Times that claims that the CIA was out of bounds or that the interrogation program was a rogue operations were "a bunch of hooey."

"The program was authorized. The agency did not want to proceed without authorization, and it was also reviewed legally by the Justice Department before they undertook the program," Cheney said.

Countries that cooperated with the CIA, hosting black site prisons and assisting in transferring detainees, are identified only obliquely and not by name.

CIA employees, referred to by pseudonyms in the report, aren't being identified. However, the agency pushed for the pseudonyms to be redacted because other information in the report could be used to determine who the employees are.

For some Republicans and CIA supporters, there's still a dispute about whether techniques such as waterboarding constitute torture.

The Justice Department twice has investigated the conduct of CIA employees involved in the program and decided not to bring charges.

CNN's Ed Payne, Jake Tapper and Jim Acosta contributed to this report.

@highlight

Senate Intelligence Committee releases summary of torture report

@highlight

Report: CIA techniques were 'deeply flawed'

@highlight

Obama: Tactics are 'inconsistent with our values'

@highlight

CIA defends practices