Washington (CNN) -- When President Barack Obama addressed the nation in the hours following Monday's Boston Marathon bombing, he did not use the word "terror," immediately raising questions.

When he took the podium at the White House less than 24 hours later, his phrasing changed. But he still was very careful about what he said, making separate points.

"Any time bombs are used to target civilians, it is an act of terrorism," Obama said.

He said it was unclear who carried out the attack and why, but that the Boston bombings were a "heinous and cowardly act" that the FBI is investigating as an act of terrorism.

The two bomb blasts near the downtown finish line of the storied marathon killed three people, including an 8-year-old boy, and sent more than 170 others to local hospitals, some with critical injuries.

With developments unfolding late on Monday, Obama spoke to the nation from the White House, saying "we still do not know who did this or why" and cautioning Americans against jumping to any conclusions.

"But make no mistake, we will get to the bottom of this and we will find out who did this. We'll find out why they did this," he said.

Obama, calling attack 'terror,' shifts to response

Though Obama didn't mention "terror," federal investigators and a White House official later classified the bombings as such. Those close to the case have said it is not clear whether the attack was domestic or foreign in origin.

It makes sense Obama would be cautious in his initial public remarks and then clarify matters later with more information known, said Aitan Goelman, a former assistant U.S. attorney who helped prosecute the Oklahoma City bombing case.

"The president is absolutely right in cautioning people we don't know who did this," Goelman said.

'Boston will overcome,' mayor vows amid bombing investigation

Careful decision-making in communicating information to the public seems to reflect lessons learned by a chief executive who has had to navigate the aftermath of attacks or threatened attacks where American lives were lost or threatened.

"There were three attacks in the first 17 months of the administration, four if you count Fort Hood," said Matthew Miller, who served as a director of the Office of Public Affairs for the Justice Department during Obama's first term.

"What we learned in dealing with each of those is it's important for government officials to communicate early and reassure the public," he said.

The president learned that lesson on Christmas Day in 2009 when a passenger attempted to detonate a bomb hidden in his underwear aboard an international flight heading into Detroit.

The White House called it an attempted terrorist attack and it took Obama three days to address the incident publicly, delay that some Republicans in Congress criticized.

A thwarted attempt to detonate explosives in New York's subway system in September 2009, the November 2009 shooting massacre at Fort Hood, Texas, and a failed bombing of New York's Times Square in May 2010 offered valuable lessons on communicating early, often and cautiously, Miller said.

The administration has also benefited from consistency in staffing. Key officials, including White House chief of staff Denis McDonough, who in 2009 served as National Security Council chief of staff, and homeland security adviser Lisa Monaco, who formerly served as a senior Justice Department official, are at Obama's side now.

The administration also learned a tough political lesson around the word terror when Obama was hesitant to say it outright when first describing the deadly attack on the U.S. diplomatic mission in Benghazi, Libya, last September.

Details emerge: Boston bombs may have involved pressure cooker, timer

The president did call the attack one of several "acts of terror."

The administration's reluctance to clearly label that attack terrorism and comments blaming events initially on a response to an anti-Islamic film ignited partisan bickering and an election-year showdown with Republicans over his administration's handling of the matter.

Politics aside, experts point out that classifying an attack as terrorism carries important legal and investigative meaning.

"You know, there's been much discussing about the parsing of words: is this terrorism, isn't it terrorism, it's criminal? First of all, terrorism is a crime. So it's automatically a criminal case if it's a terrorism case," said Tom Fuentes, a former FBI assistant director and CNN contributor.

"But secondly, if it was not terrorism, the FBI would not be in charge. It would be Boston P.D. running this case. So it's clear the authorities are absolutely clear. This is a terrorism investigation. It's a terrorism case," he said.

@highlight

President Barack Obama uses word "terror" in latest comments on Boston bombings

@highlight

The lack of the word "terror" in Obama's comments on Monday raised questions

@highlight

Obama learned lesson early on about the political ramifications of using the word "terror"