(CNN) -- The United Nations won't help, good pal Britain is sitting this one out, so President Barack Obama will take his case for a military attack on Syria directly to the American people next week.

Obama wrapped up his trip to the G20 summit in Russia by telling reporters he will address the nation on Tuesday as Congress prepares to vote on a resolution authorizing limited military strikes against Syria over its alleged use of chemical weapons.

Facing public opposition reflected by legislators hesitant to support him, Obama said Friday that he understands the skepticism over his call for punishing the regime of Syrian President Bashar al-Assad for what U.S. officials call a sarin gas attack on August 21 that killed more than 1,400 people.

"The American people have gone through a lot when it comes to the military over the last decade or so," Obama said.

He also cited a responsibility borne by the United States as a global power to lead what he hopes would be an international response in order to maintain the credibility of treaties and conventions against weapons of mass destruction.

"I believe when you have a limited proportional strike like this, with manageable risks, then we should bear that responsibility," Obama said, noting that military interventions often lack broad public support but that critics also decry inaction in the face of atrocities abroad.

Foreign interventions unpopular

"When people say that it is a terrible stain on all of us that hundreds of thousands of people were slaughtered in Rwanda, well imagine if Rwanda was going on right now and we asked: 'Should we intervene in Rwanda?'" the president said. "I think it's fair to say that it probably wouldn't poll real well."

Opposition by permanent Security Council members Russia and China has scuttled Obama's hopes for U.N. authorization of a military response against al-Assad's regime, and usually reliable ally Britain's Parliament decided against joining a military response.

The inability to muster a significant international coalition, like the NATO-led mission with Arab League support that intervened in Libya, caused the president to seek political cover by requesting congressional authorization.

"We will be more effective if we are unified moving forward," Obama said in explaining why he asked for support from Congress for what he argues is a necessary response to the violation of international norms by Syria.

In a likely foreshadowing of Obama's address to the nation next week, U.N. Ambassador Samantha Power told the liberal Center for American Progress on Friday that non-military alternatives to attacking Syria had been exhausted.

She cited repeated steps by Russia, joined at times by China, to undermine U.N. Security Council action on Syria over the past two years. Because of Russia, Power said, "the Security Council was not even able to put out a statement expressing its disapproval" of the August 21 chemical weapons attack.

Administration lobbying blitz

Obama's speech on Tuesday will culminate an aggressive outreach strategy intended to woo members of Congress to back his pitch for limited strikes, which are expected to be missile attacks at Syrian military command targets but not chemical weapons stockpiles.

The administration says it has intercepts and other intelligence that show the Syrian regime planned the attack and then attempted to cover it up.

Secretary of State John Kerry told a Senate committee this week that U.S. intelligence shows the rockets carrying chemical weapons were launched from territory controlled by the Syrian regime and landed in opposition or contested areas of suburban Damascus.

Kerry and British officials say the gas used in the attack was sarin, according to test results. U.N. inspectors who collected samples from the stricken area are expected to provide their own results in coming weeks.

However, after a week of classified briefings, two congressional hearings and other aggressive lobbying by the administration, a majority of the Senate and House remain "undecided" on whether to give Obama authorization to attack, according to CNN's latest count.

In addition, a growing number of legislators say they oppose the move, though it remains too early to predict an outcome.

A heavy lift for Obama

"I knew this was going to be a heavy lift," Obama said during Friday's news conference in St. Petersburg, Russia.

Supporters and critics have called for the president to directly address the American public and make his case for why a military response was necessary.

"Members of Congress represent the views of their constituents, and only a president can convince the public that military action is required," said Brendan Buck, the spokesman for House Speaker John Boehner, who has said he backs Obama on the issue. "We only hope this isn't coming too late to make the difference."

In the past two weeks, the Obama administration has spoken to at least 60 senators and 125 House members on the issue, a White House official confirmed Friday.

On Thursday alone, while the president was in Russia, he and senior administration officials made more than 25 individual calls to what the White House described as bipartisan members of the House and Senate. Obama called five senators himself, the White House said, but officials refused to reveal the names of the recipients.

In addition, members of the House and Senate were meeting at the White House on Friday with Vice President Joe Biden, an administration official confirmed to CNN. It was Biden's second straight day of meetings with legislators to try to convince them to authorize a military response.

Obama cancels trip

Go it alone?

Should Congress reject Obama's request to authorize military strikes, Deputy National Security Adviser Tony Blinken said Friday on NPR that "the president of course has the authority" to act in Syria without support from Capitol Hill, but "it's neither his desire nor intention to use that authority absent Congress backing him."

A senior administration official from the National Security Council later clarified Blinken's remark, saying "the president's intention is to act with congressional authorization, and we believe they will vote to provide that authorization."

Asked several times at the news conference about Blinken's remark and whether he would attack Syria anyway without authorization from Congress, Obama acknowledged that he would avoid providing a direct answer.

"It would be a mistake for me to jump the gun and speculate because right now I'm working to get as much support as possible out of Congers," he said.

On Wednesday, the Senate Foreign Relations Committee approved an amended version of the White House's resolution for authorization to attack Syria by a 10-7 vote.

Senate Majority Leader Harry Reid on Friday praised the panel's Democratic and Republican leaders for working together to craft a compromise that was able win approval.

Reid spoke at a brief Senate session that allowed for the procedural step of setting up next week's consideration of the resolution by the full Senate.

Election politics at play

Meanwhile, the House also is expected to take up the Syria issue starting Monday, with Majoriy Leader Eric Cantor of Virginia telling his Republican caucus to expect a vote on military authorization "in the next two weeks."

Approval of a resolution is considered more likely by the Democratic-led Senate than the Republican-led House.

45-day delay?

In a step that would buy time for Obama to get more international and domestic support, Democratic Sen. Joe Manchin of West Virginia is working on a proposal that would put off any military action for 45 days while demanding that Syria sign an international convention against chemical weapons or face U.S. military repercussions, according to an aide to Manchin.

It was unclear if the idea would gain any traction among legislators considering the Syria issue.

On the sidelines of the G20 summit Friday, Obama and Russian President Vladimir Putin met for what Obama described as a "candid, constructive" conversation despite increasingly strained relations between the two leaders.

Obama acknowledged that Putin was unlikely to shift his position on military action against Syria, and Putin gave a similar account of their meeting, telling reporters that "he doesn't agree with me, I don't agree with him, but we listened to each other."

The two leaders both said they could work together to seek a political solution to the Syrian crisis, which reiterated their longstanding positions.

How will House vote?

How will Senate vote?

CNN's Ted Barrett, Kevin Bohn, Virginia Nicolaidis and Gloria Borger contributed to this report.

@highlight

NEW: House GOP leader Cantor tells members to expect a vote in the next two weeks

@highlight

President Obama: The United States has a responsibility to act as a global leader

@highlight

Obama refuses to directly answer if he'll attack Syria without congressional support

@highlight

"The American people have gone through a lot" in wars of past decade, Obama says