(CNN) -- The Syrian regime under President Bashar al-Assad approached the outset of the Arab awakening in Tunisia and Egypt in a state of politico-psychological denial.

Pronouncing that Syria was immune from the tectonic shifts in the political landscape of the Middle East because of its Pan-Arab credentials and steadfastness against Israel, al-Assad's regime had a rude awakening when the youth of Daraa in southern Syria protested openly in March 2011 for their individual rights and against the systemic corruption of the ruling elite.

The regime cynically labeled the protestors as foreign agents and terrorists and opted deliberately for armed repression of its own citizens. The peaceful protests quickly spread to other urban centers, and the tragic pattern of violent repression and loss of life has characterized the now long and painful agony of the Syrian people whose suffering is worsening.

It is important to note that in the first instance al-Assad was given a pass and political space to get in front of the reform movement by his own people, the Arab countries and the international community for two basic reasons: First, the prospect of instability and, in the worst case scenario, civil war and sectarian violence in Syria threatens Syria's neighbors, the region and the international community as a whole; second, al-Assad came to power in 2000 with the aura of a young reformist president and the promise of a "Damascus Spring."

There was the hope that in the wake of the popular uprisings in the Arab world he would translate his perceived reformist tendencies into action, perhaps as King Mohammed VI of Morocco was doing.

Al-Assad turned out to be a false reformer. I remember a meeting I had with him in 2003 in Damascus, and I asked him why the reform movement seemed to be stalled in Syria. He answered that the people had to be ready for structural reforms and one had to proceed slowly and deliberately with, first, administrative reforms. I concluded at the time that he was in no hurry to push for reforms, but was struck when I heard this same incremental approach repeated in public statements by the regime in Damascus in the spring and summer of 2011.

It was clear that al-Assad and his circle had opted for regime survival at all costs and to try to get away with the minimal reforms possible that they could control and dictate.

That approach has led to the deepening crisis in Syria today, with increasing military defections to the Free Syrian Army and growing unrest and clashes in the country that is now spreading to the key cities of Aleppo and Damascus. When these two urban centers become the focal point of struggle, the end of the regime will be at hand. No one can predict when and how the regime will collapse, but its legitimacy has been totally discredited.

The closure of the U.S. Embassy in Damascus is another sign of the sharply deteriorating security situation in Syria. Officials said it has become impossible for the embassy to continue operations and for the staff to remain. This decision reflects Washington's assessment of the regime's inability to control Syria fully.

With the death toll mounting and the failure of the Arab League initiative, the Syrian issue was referred to the U.N. Security Council in an effort to put international pressure on the Syrian regime to respond positively to the requirements of the Arab League initiative.

Basically, the initiative was to have the Syrian regime cease the armed repression of its citizens and have a deputy nominated by al-Assad to engage with the opposition leading toward a political transition.

However, the Security Council action was vetoed by China and Russia on Saturday. Both countries have an inherent aversion to Security Council action that "interferes" in the internal affairs of other states.

Particularly after Western intervention in Libya, Russia and China do not want to establish precedents that one day could be applied to potential problems within their own nations. The Chinese U.N. ambassador's statement that Syria's territorial integrity, sovereignty and independence must be respected reflects China's own sensitivities in this regard.

In addition, Russia has vested interests in Syria in the form of lucrative arms sales, commercial ties and access by its naval fleet to the Syrian port of Tartus.

The draft resolution was considerably watered down to try to persuade Russia and China not to vote against it. There were no references to authorization of military intervention, an arms embargo, regime change or a human rights commission of inquiry. Despite these efforts, Russia and China vetoed the draft resolution, leaving the next steps in question. The Russian foreign minister is to travel to Damascus to meet with al-Assad, but the purpose of that mission is dubious.

The stakes are high. Syria is the linchpin of the Levant; any instability there will almost certainly spill beyond its borders to Lebanon, Iraq and Jordan. Israel is carefully watching and waiting to see the outcome. Turkey is vulnerable to refugee inflows and internal ethnic tensions given Syria's Kurdish population on Turkey's southern border.

Iran has much to lose from the fall of al-Assad's regime. Its strategic alliance with Syria is at great risk now. With a change of regime in Damascus, it is highly unlikely that a new government, one in which the majority Sunni population plays a more important role than that under the current dominant Alawites, will continue the same relationship with the ayatollahs in Tehran.

Hezbollah in Lebanon also has a lot to lose if Iranian-Syrian relations no longer allow Syria to be an essential center for funneling arms, money and logistical support to it.

The outcome in Syria cannot and should not be dictated from outside, but the international community, despite recent setbacks, should work persistently to end the killing and support a political transition representative of the will of the Syrian people through, ideally, constitutional reforms and elections. The ultimate goal is a democratic and pluralistic Syria that can be at peace with its own people and that of all its neighbors.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Edward P. Djerejian.

@highlight

Former U.S. ambassador to Syria: U.S. Embassy closure a sign of deteriorating situation

@highlight

Edward P. Djerejian says Bashar al-Assad could have led a serious reform process in Syria

@highlight

He says regime hunkered down and is violently repressing its own citizens

@highlight

Djerejian: World community should work to end killing and promote political transition