An American man died last weekend in Syria while fighting for ISIS, the latest evidence of the reach of a terror group that's become increasingly powerful and feared in the eyes of Americans.

Douglas McAuthur McCain, 33, died in a battle between rival extremist groups in the suburbs of Aleppo, Syria's once-bustling commercial capital and largest city, according to the Syrian Observatory for Human Rights, a British-based group that monitors the conflict.

The man's uncle, Ken McCain, said that his nephew had gone to fight as a jihadi and that the U.S. State Department told the family Monday about the death.

Like U.S. officials, the group characterized McCain as an ISIS fighter and said he was killed battling al-Nusra Front, an al Qaeda-linked organization that the U.S. government has blacklisted as a foreign terror organization.

McCain was not the first American to fight alongside militants in Syria. Attorney General Eric Holder estimated this summer that there are 7,000 foreign fighters in the war-ravaged Middle Eastern nation.

More than 100 Americans are among those who have tried to join various militant groups in Syria, U.S. officials say.  While some are aligned with ISIS, the fighters shift allegiance and it's difficult to pin down a specific number, officials say.

U.S.: Jihadi in suicide bombing video grew up in Florida

Nor was McCain the first of these American militants to die in Syria. Islamists touted the role of a 22-year-old man -- identified by State Department spokeswoman Jen Psaki as Moner Mohammad Abu-Salha, who grew up and went to school in Florida -- in a northern Syria suicide bombing conducted in coordination with al-Nusra Front.

Yet McCain's death takes on added significance, perhaps urgency, given that he's believed to be the first American killed while fighting with ISIS.

Until now, Washington largely has limited its involvement in Syria to diplomatic efforts and supporting "moderate opposition," as described by Joint Chiefs of Staff Chairman Martin Dempsey and others, that is fighting to unseat Syrian President Bashar al-Assad.

That's the same goal as ISIS, which aims to rule a caliphate, known as the Islamic State, spanning Iraq and Syria.

Even so, the United States initiated airstrikes against ISIS in Iraq this month and signaled that it might next go after the group inside Syria. And it has begun gathering intelligence on ISIS in Syria, potentially ahead of more airstrikes there.

ISIS has threatened to kill more Americans if the U.S. continues to go after it. But the fact McCain was among its ranks adds another fear: That the group includes other Americans who, rather than dying on the battlefield, might inflict harm stateside.

"There's real concern that they could take what they've learned ... come back home and conduct terror attacks," Pentagon spokesman Rear Adm. John Kirby told CNN. "So I think (McCain) is a stark reminder of the inside threat that foreign fighters (in ISIS) can pose."

Official: Obama weighing options against ISIS in Syria

Who was Douglas McCain?

Little was immediately known publicly about McCain's life, beyond how it ended.

He attended San Diego City College, though its spokesman Jack Beresford would not say when McCain attended, for how long or for what purpose.

Several years ago, according to his uncle, McCain converted from Christianity to Islam -- the first step on his journey to Syria.

The family wasn't alarmed by his conversion, but his Facebook posts sympathetic to ISIS got their attention. When they last heard from him several months ago, McCain said he was traveling to Turkey, according to his uncle.

The fact that McCain became a jihadi left his family "devastated" and "just as surprised as the country," said Ken McCain, who lives in Minnesota.

He described the nephew he knew as "a good person, loved his family, loved his mother, loved his faith" -- the latter being a reference to the Christianity he practiced before his conversion.

U.S. counterterrorism investigators had been looking into McCain's activities for some time before his death, one U.S. official said.

He was on a list of Americans who are believed to have joined militant groups and who would be stopped and subjected to additional scrutiny if he traveled, according to the official.

Retired U.S. Army Brig. Gen. Mark Kimmitt, who had top roles in the State and Defense Departments in President George W. Bush's administration, said he expects more stories like McCain's.

"The ability to travel into these countries demonstrates how porous the borders are," Kimmitt said. "I think we need to understand that there's going to be more of this rather than less of this."

California man arrested, wanted to join ISIS

Fears over Westerners in terror groups

Syria's civil war has been brewing for three years. In the absence of a unified rebel front, many groups -- some moderate, some  more secular, some extremist -- have tried to fill the void.

Much of the time, they've battled al-Assad's forces, though there has also been infighting among them.

Among these rebel groups, one has emerged recently in the public's consciousness: ISIS. That's as much due to its brazenness and viciousness as to its success. The general command for al Qaeda -- itself responsible for the September 11, 2001, terrorist attacks -- went so far as to disown ISIS and blame it for "the enormity of the disaster that afflicted the Jihad in Syria."

Who is ISIS?

Yet the group has thrived.

It has taken more and more territory in Iraq and Syria, sometimes overrunning government forces while terrorizing civilians. ISIS's stature grew even more internationally with the recent beheading of American journalist James Foley, a killing it videotaped and then put online.

"They are beyond just a terrorist group," Defense Secretary Chuck Hagel said last week. "They marry ideology, a sophistication of strategic and tactical military prowess.

"This is beyond anything we have seen, and we must prepare for everything."

These preparations include tracking Westerners like McCain. In addition to whatever they might do against allies and civilians in the Middle East, U.S. officials worry that they could bring their groups' brand of terror back home.

Assistant Attorney General John Carlin said last month that getting intelligence on such Americans who fight in Syria and making sure they don't bring that right back home is "a top priority."

"We have increased our capacity, we have increased our tracking, we have increased our coordination," Psaki said. "... This is a threat that we take seriously enough to put it at the front and center of our agenda."

Man arrested after overseas trip, accused of sympathizing with ISIS

Opinion: ISIS: Is it really a threat to the U.S.?

@highlight

More than 100 Americans have tried to join militants in Syria, U.S. officials say

@highlight

Pentagon official: McCain "a stark reminder of the inside threat (from) foreign fighters"

@highlight

U.S. official: Threat of jihadis returning to U.S. "front and center of our agenda"

@highlight

McCain converted to Islam years ago; family saw Facebook posts sympathetic to ISIS