(CNN)Recently, a New York judge issued an opinion authorizing service of divorce papers on a husband completely via Facebook.

What exactly is "service of process"?

Serving people with legal papers is an industry and its own body of law premised on one guiding principle: if you are going to sue someone, you should at least let them know about it.

Sounds simple, right?  In theory it is.  In practice, it turns out people don't like being sued.  It also turns out that, to many defendants, procrastination of a lawsuit is a viable defense.

Just as you may avoid bad news in life, defendants tend to avoid process servers.  Once a defendant has been served, that means the judicial proceedings begin.  Unfortunately, that means defendants have an incentive to go "off the grid".

Although every state is different, the law of service of process has evolved this way: the ideal and fairest way to notify a person of a lawsuit is to have another human hand the papers to the defendant in person, and have some proof that the person was the defendant.

In-person service is not always possible, for obvious reasons.  So, the law had to develop methods of alternate service, but carefully balance a defendant's right to have notice of a lawsuit, against a diligent plaintiff's access to court if a defendant is avoiding the inevitable.

As reliable as the U.S. mail is, regular mail is not a reliable form of serving papers.  Not because the postmen can't be trusted; they can. Neither snow, nor rain, nor heat, nor gloom of night, will keep them from delivering those papers.  Instead, it's defendants -- no wait, all of humanity -- that can't be trusted.  Every one of us has ignored mail or even pretended we didn't get it.  Defendants are no different.

One form of alternate service is "nail and mail" service.  This means that you take a hammer and nail, and nail the papers to the defendant's front door.  The problem with that is that many defendants are nomadic by nature.  Just because you find a house that a defendant stayed at, doesn't mean he'll be back there anytime soon.

Another, even odder form of "service" is service by publication.  This is an almost laughable legal fiction.  If you can't find a defendant, a judge might let you serve by publication.  That means that a plaintiff can take out an ad in five point font for a week in an obscure publication, on the off chance you are reading the classified ads of the Secaucus Law Journal looking for lawsuits against you.  As laughable as serving someone by tweeting it sounds, it's at least more rational than this antiquated method.

At first blush, the idea of service by Facebook seems to offend traditional notions of ensuring notification of a defendant of a case against him.  When it comes to serving papers, however, "traditional" doesn't necessarily mean "good."  Service by publication or nailing paper to the door of an empty apartment is hardly reliable; it's just service of last resort.

For those people who are concerned that being served papers will become a Facebook announcement in a news feed, along with the photos of dinner or kittens, to be "liked" by all your gawking "friends," we're not quite there ... yet.

While the older forms of alternate service were public, most electronic service takes the form of email.  Where email isn't available, it is Facebook private messaging, which should be as private as email.  That's the form of service authorized by the court here.  So for now, we're not quite putting lawsuits on Instagram ... but I wouldn't rule it out in the future.

Online service may be a new frontier, but it's not unheard of. Most of us exist more online now than we "live" in a particular condo, or Mom's basement. Virtually everyone has a phone or access to the Internet.  Not everyone has a lease or a mortgage.  Plus, online service has the added benefit of tracking.  Believe me, somewhere, some computer has already logged the fact that you read this article, how long you read it, and even how far down you scrolled before you got bored and bailed on the article (thanks for still being here, by the way).  In a way, maybe online service is long overdue.  You can outrun a process server for a while, but sooner or later, all of us have to go back online -- and no human can outrun an email.

@highlight

A court allowed a wife to serve divorce papers via Facebook

@highlight

Danny Cevallos: Why not let people be found via social media?