Washington (CNN) -- When President Obama signed the bill repealing the so-called "don't ask, don't tell" policy, it did not immediately end the military's 17-year ban on gays serving openly.

In fact, it will take a series of actions to make that happen, and no one at the Pentagon seems to know when the actual end date might be.

"I don't think anybody has any idea how long this will take," Pentagon press secretary Geoff Morrell told reporters Monday.

Even gays currently serving, albeit quietly, had muted reactions to the Senate's vote to end the ban. Three such service members, speaking to CNN on the condition we wouldn't use their real names, all used the word "relief" when asked about the repeal.

Obama signs 'don't, ask' repeal

Before the ban is completely lifted, the president, the secretary of defense and the chairman of the Joint Chiefs of Staff will have to certify that the repeal can move ahead without negatively affecting unit cohesion and military readiness.

And before that can happen, the Department of Defense will have to go through countless regulations and rules to see if they need to be changed to reflect the end of the ban. Clifford Stanley, the undersecretary of defense for personnel and readiness, will oversee that part of the process, with input from the individual services. He and his staff will be "reviewing and revising policies, directives, establishing the education and training materials, developing communication plans on how we are going to communicate with the force."

That's where the mystery begins as far as the timing.

"I can't put any kind of a timeline on it," Col. David Lapan, a Pentagon spokesman, said. ""We plan to move out carefully, deliberately and purposefully to implement it, but right now we are in the planning stages and I don't have any specifics for you."

The closest Lapan would come to predicting how long the ban might remain in effect was when he said the process "would not be slow-rolled."

So far, Defense Secretary Robert Gates, who is famous for setting hard deadlines and demanding that his subordinates meet them, has set no deadline for completion of this process.

Part of the problem is that so little has been done so far.

The Pentagon released an 87-page "Support Plan for Implementation" of the DADT repeal. It spells out how the Pentagon should handle a myriad of issues raised by the repeal, including:

• "prohibit the creation of separate bathroom and shower facilities based on sexual orientation";

• "prohibit berthing or billeting (housing) assignments based on sexual orientation";

• "no new procedures will be developed for the early separation of Service members based on opposition to repeal or to serving and living with gay and lesbian Service members."

But the plan is all recommendations -- nothing is set in stone. Even if each recommendation is accepted, there are few details in the plan and they'd all need to be worked out.

Even after Stanley finishes his portion of the process and the president, secretary and chairman certify it, the repeal still doesn't become law.

Another 60 days must pass before the repeal is official. Only then can a homosexual serve openly without fear of being discharged.

One gay active-duty service member said getting it all done quickly is important.

"The longer we drag this out, the more confused we get, and the more lack of clarity we have and the messier the situation happens," said "JD Smith" a military officer who is also a leader of OutServe, an advocacy group for gay troops.

The gay service members that CNN spoke to said when that day comes, don't expect anything dramatic.

"It's like Y2K. Everyone is making such a big deal out of it, but the next day ... everyone's going to  be like, oh, this wasn't a big deal at all," "Smith" said.

"John" is a naval officer. "I don't have any big plans to come out now, and I think I probably speak for a lot of other service members in my same position. There's not going to be a huge rush to make big announcements just because the Senate has passed this law," he said.

"William" is an Air Force staff sergeant based in Germany. "I will be reserved about the subject, because I don't think the military needs to be in my personal life."

While the three men said the repeal of DADT won't have much short-term impact on their lives, they all agreed that in the long run, they'll likely stay in the military longer.

"Had this law not passed, I was seriously considering being done with the military. It's very hard to live under this policy," "Smith" said.

"I was not going to re-enlist unless this policy was taken away; now I have an open path. I love the military. I will definitely re-enlist."

Earlier this year, a Washington think tank invited military officers from countries that have long allowed gays to serve openly. Several of those officers said their countries adopted their rules almost overnight with no adverse effects. They recommended that the U.S. do the same.

But that won't be the case. It will be months, at least, before gays can serve openly in the U.S. military.

By then it's possible Gates will no longer be leading the Pentagon. He's already said he plans to retire next year, and Morrell said he doesn't know if Gates plans to stay until the process is complete.

@highlight

No one in the Pentagon seems to know how long it will take to enact repeal

@highlight

Pentagon's "Plan for Implementation" is all recommendations

@highlight

"The longer we drag this out, the more confused we get," gay service member says

@highlight

Gay service members say repeal makes them more likely to stay in the military