(CNN) -- Dressed in a pink uniform, midwife Esther Madudu shuffles past rows of beds to check on the five babies she delivered the night before inside a small health center in rural eastern Uganda.

Lying underneath a sky blue mosquito net, a newborn girl wrapped in a white sheet tries to stretch her tiny body as Madudu slowly approaches.

"Esther is there," says the midwife, pointing to the baby girl resting next to her mother. "Esther Madudu -- they gave the baby my names, all my names, because yesterday it was born on my birthday," she continues, with a smile on her face.

"The mother was too excited because she never expected the baby to be alive so she said: 'these are all your names.' The pain was too much; she walked for a long distance and she thought the baby was dying."

Read this: Flying doctor takes to the skies

Pain medication is a rare luxury in the small village of Atitiri so Madudu had to rely on one special treatment to help the woman bring her baby to life.

"I gave her 'verbocain,'" says Madudu. "You know 'verbocain' is the only drug we can give them in Africa," she explains ironically. "'Verbocain' -- you verbally talk to the mother; giving her just consoling words and patting her, rubbing her back, until she gave birth."

'Stand Up For Mothers'

Madudu is well known here as a midwife who has a very good record of saving both mothers and babies during difficult deliveries.

But her reputation extends far beyond eastern Uganda. Since 2011, Madudu has become the poster girl for all of Africa's midwives, fronting an international campaign to highlight the plights of mothers and babies on the continent.

Called "Stand Up For African Mothers," the initiative by the African Medical and Research Foundation (AMREF) aims to ensure that all pregnant women throughout Africa have access to trained midwives to ensure a reduction in high maternal mortality rates.

In sub-Saharan Africa, AMREF says 200,000 women die every year from complications during pregnancy or childbirth -- that's 60% of the global total.

"In Africa, maternal mortality death is really unacceptably high," says Abenet Berhanu, AMREF country director for Uganda.

Read this: 'Give African women a voice'

The group, one of Africa's top health and development research organizations, works together with local authorities to improve education and facilitation of care.

It also aims to train 15,000 midwives by 2015 to equip them with the necessary skills to maintain good health and has launched an online petition to symbolically nominate Madudu as a candidate for the 2015 Nobel Peace Prize.

"She really has a passion for her work," says Berhanu of Madudu. "She has been working extra hours; she is passionate in handling mothers," he adds. "This [the nomination] is in recognition for all midwives who have been working under challenging circumstances."

To support the "Stand Up For African Mothers" campaign, Madudu has visited different countries giving several speeches to draw attention to the issue of maternal mortality in Africa.

"This campaign is not a political campaign," explains Madudu. "It is just a campaign which is creating awareness that there is death, maternal mortality rate which is high in Africa; mothers are dying; babies are dying. The solution should be, we train midwives," she says.

Devotion

Like many maternity clinics in rural parts of Africa, the health center in Atitiri is lacking several necessary resources -- shortage of running water, electricity challenges, broken beds and scarcity of medicines all make Madudu's job very difficult.

But despite the challenges, the midwife extraordinaire remains devoted to her patients.

A mother of two, Madudu has chosen to live hours away from her family to be able to cater to the women that need her.

"I opted to give my children to my mother, not because I don't love them," she says. "I love my children but because I could not have time for them, to cook for them, take care of them, because of my tight schedule of duties."

Read this: One woman's mission to fix water crisis

Madudu can completely identify with the fears of the mothers she helps. Soon after becoming a midwife, she suffered herself the cruel experience of losing a child.

"I am a victim of mortality because I lost my baby during child birth," recalls Madudu. "It was a terrible condition for me; it was psychological torture, because a midwife losing a baby? And yet I'm the one saving other babies," she adds.

"It was terrible and I said 'no mother should lose a baby; I'll try my level best, I will improvise, whatever I can, so long as I have the knowledge to save that woman and her baby.'"

And that's what she's been doing ever since, working tirelessly to ensure that mothers get the right treatment during pregnancy and child birth.

She is optimistic that the "Stand Up For Afican Mothers" campaign will create much needed awareness of the plights of the people she's helping.

"We hope to create a future where no baby is left alone, where no mother dies while giving birth," she says. "That is my hope."

Teo Kermeliotis contributed to this report.

@highlight

"Stand up For African Mothers" is a campaign aiming to highlight the plight of African mothers

@highlight

Launched by AMREF, it wants to ensure that all pregnant women in Africa have access to midwives

@highlight

The group has nominated Ugandan midwife Esther Madudu for the 2015 Nobel Peace Prize

@highlight

AMREF aims to train 15,000 midwives in Africa by 2015