(CNN)Whether quaffing artisanal cocktails at hipster bars or knocking back no-name beers on the couch, more Americans are drinking heavily -- and engaging in episodes of binge-drinking, concludes a major study of alcohol use.

Heavy drinking among Americans rose 17.2 percent between 2005 and 2012, largely due to rising rates among women, according to the study by the Institute for Health Metrics and Evaluation at the University of Washington, published Thursday in the American Journal of Public Health.

The Centers for Disease Control and Prevention defines heavy drinking as exceeding an average of one drink per day during the past month for women and two drinks per day for men. Binge drinking is defined as four or more drinks for women and five or more drinks for men on a single occasion at least once during the past month.

The increases are driven largely by women's drinking habits as social norms change, researchers found. In Santa Clara County, Calif., for example, women's binge drinking rates rose by nearly 36 percent between 2002 and 2012, compared with 23 percent among men.

Nationwide over the course of the decade, the rate of binge drinking among women increased more than seven times the rate among men.

Opinion: Why are more women drinking?

"It seems like women are trying to catch up to the men in binge drinking," said Ali Mokdad, a lead author of the study. "It's really, really scary."

The study is the first to track adult drinking patterns at the county level. In 2012, 8 percent of Americans were considered heavy drinkers and 18 percent were binge drinkers.

Despite the increases in heavy drinking, the percentage of people who drink any alcohol has remained relatively unchanged over time, researchers found.

Madison County, Idaho, reported the lowest rate of binge drinking in 2012, at 6 percent, while Menominee, Wis., had the highest rate, at 36 percent. Hancock County, Tenn., had the fewest heavy drinkers (2 percent of residents) and Esmeralda County, Nev., recorded the most (22 percent).

Related: 1 in 5 high school girls binge drink

About 88,600 U.S. deaths were attributed to alcohol in 2010, the researchers note, and the cost of excessive drinking has been estimated at more than $220 billion per year.

The increase in binge drinking doesn't surprise Terri Fukagawa, clinical director of the New Life Recovery Centers in San Jose, Calif., where 15 of her 24 treatment beds are filled with clients primarily addicted to alcohol. She said she's seen more people seeking treatment for alcoholism in the past four years.

Still, she noted, "there are a lot of people still out there needing treatment, but they won't come in unless they have a consequence like losing a job or [getting] a DUI. They think they have control over it."

Public health experts offer a number of cultural and economic explanations for the increase in excessive drinking.

As a result of changed social norms, it's now more acceptable for women to drink the way men traditionally have, said Tom Greenfield, scientific director at the Alcohol Research Group at the Oakland, Calif.-based Public Health Institute.

Young people are more likely to binge drink, and affluent people have the money to drink more. So the influx of wealthy professionals in cities like San Francisco, San Jose and Oakland -- many in hard-working, hard-partying tech jobs -- may have helped spur significant spikes in drinking rates in the Bay Area and similar communities, experts said.

Taxes on alcohol have not risen along with the Consumer Price Index, so wine, beer and liquor have gotten cheaper over time in real dollars, he said.

Alcohol advertising, particularly for hard liquor, has increased in recent years. A Federal Trade Commission study found that companies spent about $3.45 billion to advertise alcoholic beverages in 2011.

Alcohol control policies, such as limits on when and where alcohol can be sold and how long bars can stay open, have weakened in past decades, Greenfield said. That may partly explain rising consumption nationwide, particularly in some states where "blue laws" once prohibited alcohol sales on Sundays or in supermarkets.

To conduct the study, researchers analyzed data on about 3.7 million Americans aged 21 and older from the Behavioral Risk Factor Surveillance System, an ongoing telephone survey of health behaviors conducted by the U.S. Centers for Disease Control.

Kaiser Health News (KHN) is a nonprofit national health policy news service.

@highlight

Heavy drinking among Americans rose 17.2 percent between 2005 and 2012

@highlight

The increase is driven largely by women's drinking habits

@highlight

It's now more acceptable for women to drink the way men traditionally have, says one expert