Kim Stevens has a problem that affects tens of millions of Americans.  If left untreated, it could lead to the death of someone she loves, someone who's part of the family.

Stevens' dog Dodger, a black and gray mixed breed, is obese.  According to a new study, he's emblematic of a growing problem.

The majority of adult dogs and cats in U.S. homes are overweight or obese, and the problem has gotten worse over the past year, according to the Association for Pet Obesity Prevention.  Fifty-three percent of adult dogs and 55% of cats were classified as overweight or obese by their veterinarians.

"I didn't notice the weight creeping on -- it was like all of a sudden he was just this fat dog," Stevens said as she and Dodger visited Atlanta's Centennial Olympic Park.

"His weight is about 82 pounds right now, and he should be 62 pounds."  That means he needs to lose about a quarter of his weight -- equivalent to a 200-pound person needing to lose 50 pounds.

The reason is pretty simple: "Too much food and not enough exercise," Stevens said.

iReport: 'There is no stopping this fatty'

The Association for Pet Obesity Prevention report shows not only that more pets are overweight, but also that those with the problem "are getting fatter,"  said Ernie Ward, the group's founder.

The annual study, to be released next week and given in advance to CNN, found that 25% of cats and just more than 21% of dogs are obese.  Both those figures are up slightly from 2010.

About 41 million dogs and 47 million cats are overweight or obese, the study found.

A long list of health dangers comes with the excess weight.  "It's not a matter of if, it's when" serious complications will strike, said Ward.

These can include high blood pressure, "crippling arthritis," diabetes and some cancers.  "Their life is shortened by two or 2½ years," said Ward, a veterinarian in North Carolina.

The U.S. Food and Drug Administration's Center for Veterinary Medicine, which cites the association's annual study, said the diseases seen among obese pets "are eerily similar to those reported for people."

A central part of the problem, the pet obesity group found, is the growing "fat pet gap:" More and more owners are unaware their pets are overweight.  The study found that 22% of dog owners and 15% of cat owners characterized their pets as normal weight when the animals were actually overweight or obese.

"In simplest terms, we've made fat pets the new normal," said Ward.

In many cases, the problem correlates to the obesity epidemic among people, he said.

"This is the sentinel for childhood obesity.  When I see dogs who are overweight, I see a child that's at risk for excess weight, because nobody's exercising. The kid's playing video games all day, the dog sits around all day," and "everybody's eating poorly."

Stevens said she needs to shed some weight, too.

"We'll do it together," she said.

The fact that obesity has struck her dog is particularly telling.  Stevens does some work as a dog trainer.  "To have a dog this heavy when you know better ... is embarrassing," she said.

But she has a lot of company.  Thirty-nine percent of U.S. households own at least one dog, and 33% of households own at least one cat, according to the Humane Society of the United States.

The pet obesity survey was conducted at 41 veterinary clinics across the country and included evaluations of a sampling of more than 600 animals.  "Over the five years studied, these results have proven to be consistent and increasing at a gradual pace," the association said.

While the obvious advice -- eat less, exercise more -- is the right starting point, there's more that pet owners should understand, Ward said.

iReport: Dog packs on 60 pounds

Pet foods these days are "more calorically dense" than they used to be, yet owners are feeding their pets more, he said.

If you're concerned your pet may be obese, it's important to work with a veterinarian, and not try to tackle the problem on your own, said Ward.  "Diet is not about starvation or deprivation.  It's about gradual weight loss."

In many cases, carefully measuring food and committing to exercise can do the trick.  But more severe cases need more extensive work.

iReport: Fat cat makes floors creak

That's what helped Jane Whitehead's dog, Raleigh.

In February 2006, he weighed a whopping 187 pounds.

"I swear, we didn't overfeed him!" Whitehead said of Raleigh who, like Dodger, is a rescue dog.

"We would try giving him smaller and smaller portions of his regular food and he kept gaining and kept gaining."

A series of tests found nothing wrong with him, but "at a certain point when he had become so obese, he couldn't exercise at all.  We would try to walk him a little bit and he would just stop," said Whitehead, CFO of a business in Duluth, Georgia.

A veterinarian switched him to "super low-calorie food" and put Raleigh on an underwater treadmill, which he loved.

"He lost enough that he could exercise on his own and go for walks with us."  The energetic Raleigh she loved was back.

Within three years, Raleigh had cut his weight in half.

There are few truly lost causes, Ward said.  And that's something critical for owners to know.

iReport: A real-life Garfield

Beth Spiess of San Marcos, Texas, said her sheltie, Daisy, became so obese from over-feeding that she couldn't walk, and her previous owners wanted to put her to sleep. The vet refused and gave the dog to a shelter, where Spiess adopted her.  Daisy has lost 30 pounds.

iReport: Daisy, before and after

"It's hard to believe she is the same dog," Spiess told CNN in an iReport, though Daisy still needs pills to help with arthritis caused by the obesity.

Cat owners can face more of an uphill climb in trying to get their pets to exercise, Ward said.

Stacie Schafer of Brunswick, Ohio, said people often remark that her cat, Sophie -- now nicknamed Meatloaf -- "is the fattest cat I have ever seen." Schafer has tried to get Sophie to run around like the other two cats in the home, but Sophie just isn't that interested.

"Cats don't jog," Ward said.  "Cats by nature are anaerobic creatures.  That means they use sugar as their primary energy source. ... They sprint, they pounce, they leap."

Schafer has tried diet cat food and portion control as well, with little results.

Ward recommends families facing trouble work with veterinarians to find ways to bring down the weight.

In the end, living a life in which you prioritize healthy eating and exercise for all members of the family, including domesticated furry friends, is the key, he said. That means no more treats -- "calorie grenades" -- every time your dog does a trick.  "They want reward, praise, affection. We take the easy way out, reach into the cookie jar."

It also means snacking on single-ingredient treats like celery, broccoli and asparagus.

And it means moving to stay healthy and stay alive.

"Unless we really get a grip on this very quickly," said Ward, "We're going to see an entire generation of pets that don't live as long as the pets I had when I was a child."

@highlight

The majority of adult dogs and cats are overweight, study finds

@highlight

Part of the problem is the "fat pet gap" -- owners unaware pets are overweight, group says

@highlight

39% of U.S. households own a dog; 33% of households own a cat, Humane Society says

@highlight

Raleigh, a dog that topped scales at 187 pounds, cut his weight in half