(CNN) -- Seema Tomar has worked hard for her shot at fame.

From humble beginnings in rural India, the 31-year-old has stared down the barrel of poverty and prejudice to become one of the world's leading trap shooters.

Tomar made history in 2010 when she became the first Indian woman to win a World Cup medal (a silver) and has collected dozens of trap shooting (a type of clay-pigeon shooting) prizes over the years.

Two golds at the Asian Shotgun Championships held in the United Arab Emirates last month were the latest landmarks in Tomar's glittering shooting career which began in the decidedly less sparkly surroundings of Johri, a provincial village 50 km (30 miles) north of New Delhi.

With around 5,500 inhabitants and a local economy based around agriculture, villagers have been more used to wielding scythes than shotguns and air pistols, but Tomar's fortunes and others were transformed when a shooting range was set up in the late 1990s.

"From the beginning I was always interested in sports but there were no facilities in the village," Tomar told CNN's Human to Hero series.

"But then a local doctor who used to work in New Delhi came and built a small shooting range."

The Johri Rifle Club is a modest affair with a 10-meter range and a handful of shooting bays. There's also limited electricity, so practice can only take place during the day. But these meager facilities have changed lives, says Tomar.

"When people got to know that a shooting range has opened in the village, families realized that rather than the kids roaming free in the village they could get involved in this activity. It had a huge effect," she says.

Along with producing a string of champion shooters, the range has also given villagers access to careers outside farming with many finding work with the Indian army and local police forces.

Sporting chance

For Tomar though the prospects of joining their number initially looked bleak -- she was approaching adulthood and expected to get married and become a housewife.

"I spoke to my mother and father, asking them if I could do shooting. Looking at the culture and society of the village they said it is not possible. It hurt me a lot and I felt really bad," Tomar said.

"I realized that until the time someone from my family, most likely an elder, would go into shooting, my family would not let me enter the sport."

So when her mother had a go, attitudes towards the teenage Tomar's participation changed.

"My mother was 60 years old when she started shooting and participated in air pistol and air rifle ... She won medals at state level, then she played pre-nationals and nationals and won medals there too."

Like her mother, Prakashi, Tomar stared out using an air pistol but soon switched to a bigger weapon.

"I (competed) in air rifle for two years, and my score was good: 390/400. But I thought I needed some other event," she said.

"When I saw the shotgun event for the first time I liked it. It was a very explosive event. My results was quite good in it and I won a lot of medals."

Tomar enrolled in the Indian Army in 2004 and has been on India's shooting team since 2005 winning 32 gold medals at national level and five golds and one silver on the international stage.

Her speciality, trap shooting, involves hitting a series of moving targets from a distance of around 75 meters using a 12-bore shotgun.

When Tomar clinched her historic silver medal at the World Cup in 2010 she scored a personal best 70 out of 75 -- a mark she bettered by two points at the recent Asian Shotgun Championships during the women's team event.

On song

The physical aspects of her sport are tiring -- there is a lot of recoil in the gun, she says -- but to shoot well requires a clear mind as much as a steady hand.

"The most important is mental relaxation," she says.

"The best thing is music. I love listening to music. Before every match I listen to a good song, and keep murmuring it. That is the best way to let go of all my mental stress.

"Whenever I miss the target or I get under pressure, then I say 'no, let's sing a song.' That song keeps playing in my head. The benefit of the song playing in my head is that, I leave the pressure and the match becomes better because of it," she laughs.

With her mother still enjoying her shooting well into her 70s, Tomar could be around at the top of her sport for decades to come.

But for now the crosshairs are on some important targets just around the corner, like qualifying for the Rio Olympics in 2016.

With a maximum of 30 places available for each competing country and two people per event, Tomar will need to be at the top of her game next season when the quota places are earned at World Cup events and world and continental championships.

Medals and titles are clearly important to Tomar, but so are the triumphs of equality she has helped foster through her success, promoting a message to girls in her village and across India that they too can be the masters of their own destiny.

"I remember my older times when I would come to this shooting range nervous and shy. I used to think, will I be able to do anything, will people ever get to know me? All those things of the past I remember.

"Now I feel really good, and people know that and if girls are coming here for shooting they have achieved something. I love the feeling that many girls have come out of their house."

Read more: Downhill mountain biker on top of the world

@highlight

Indian has defied odds to become one of her country's finest competitive trap shooters

@highlight

Tomar won two golds at the Asian Shotgun Championships in November

@highlight

The 31-year-old learned her trade at small 10-meter range in village of Johri

@highlight

Tomar followed her mother into the sport overcoming gender stereotypes