(CNN) -- Camelot is real. The name synonymous with King Arthur's mythical kingdom of round tables, opulence and heroism has arrived.

But hold your horses. This 'Camelot' is no fantastical castle in a medieval woodland. This is a three-year-old colt with designs on a very different fairytale crown.

Trainer Aiden O'Brien is not normally prone to lack of self-belief. Yet even the taciturn Irishman admits that the bid by his star colt Camelot to become the first horse since Nijinsky to win the Triple Crown -- the 2,000 Guineas, the Epsom Derby and the St Leger Stakes -- is "pushing the boat out."

The horse with the mythical name has so far lived up to his billing, having swept aside all comers in a fairytale three-year-old campaign that has already seen him capture the 2,000 Guineas and the Derby, scooping up the Irish Derby on the way.

But in Doncaster he will face the biggest test of his career when he steps up to the one-and-three-quarter mile distance for the first time.

"It will really expose the horse," O'Brien admits. "We know he has speed and stamina and courage but this is asking for that extra stamina."

If Camelot can handle the extra distance he will join an elite group of just 15 horses who have claimed the world's oldest continuous sporting competition. The last of those, Nijinsky, was back in 1970.

His predecessor, Bahram, won his treble 35 years before that.

Nowadays, very few horses even attempt the hat-trick -- the extreme versatility required to win races ranging from a mile to one-and-three-quarter miles is simply beyond the repertoire of most three-year-olds.

"Very few have the capacity to do it," agrees O'Brien. "For a horse to win the Guineas over a mile and then go to the Derby, if you get the Derby trip [1Â½ miles] you're very lucky. Now we're asking him to go that little bit further."

A victory in the St Leger would be the crowning glory of a sensational season for O'Brien, which has seen his Ballydoyle operation make a clean sweep of all the English Classics so far -- the 2,000 Guineas, the Derby and their fillies' equivalents, the 1,000 Guineas and the Oaks.

Tucked away behind wrought-iron gates in a quiet corner of Ireland, on a misty morning Ballydoyle captures something of the air of the original Camelot legend -- King Arthur's symbolic seat and emblem of the Arthurian world.

If Aiden O'Brien represents King Arthur, then his son, 19-year-old Joseph, is the trusty Galahad. He has ridden the colt in all of his starts to date and will play a decisive role in masterminding his race on Sunday.

It's a working relationship that demands implicit trust between father and son. As far as tactics for the race are concerned.

"That'll be left to Joseph. I presume he'll take his time on him, he usually does. That's the way he rides every race, he rides it by feel and takes it as it comes."

At just 19, Joseph has already ridden more Classic winners than most jockeys will in a lifetime. But at nearly six-feet tall, the lanky teenager is surely riding on borrowed time as far as a sustained career as a flat jockey is concerned.

"I try not to think about it too much," says Joseph. "However long I last, I last."

A victory in the Triple Crown in what may be one of his final seasons on the flat would lend added poignancy to what has already been an omen-laden endeavour; the last horse to win the Triple Crown, Nijinsky, was trained at the very same Ballydoyle stables that Aiden O'Brien now occupies by a different O'Brien, legendary trainer Vincent.

Although the two O'Brien clans are not related, it is a further example of how normative determinism has played a fateful role in the colt's career to date.

Camelot's owners -- Messrs. Derrick Smith and Michael Tabor and Mrs John Magnier -- had eagerly awaited a horse to come into their possession who was worthy of the name. In the handsome bay with the interrupted white blaze, they found the perfect specimen.

Purchased out of the sales ring as a yearling for 252,000 guineas ($426,018), he quickly asserted himself as one of the leading two-year-olds of his generation.

In a sport where early promise is not necessarily a guarantee of future staying power, Camelot has not put a foot wrong, amassing more than $2.5 million in prize money over his two seasons on the track, in which he has remained undefeated in all five of his races.

Camelot was sired by the great Montjeu, who was also responsible for fellow Derby winners Motivator, Authorized and Pour Moi.

Tellingly, he also sired St Leger winners Scorpion and Masked Marvel (the 2011 champion). Montjeu passed away earlier this year after suffering complications from septicaemia, meaning that a career at stud is now a certainty for Camelot.

The St Leger, therefore, will likely be the swansong of his meteoric career. The blood that flows through Camelot's veins is now simply too valuable to risk in further outings on the track.

Despite that, Camelot is roundly quoted as the favorite for next month's Prix de l'Arc de Triomphe in France, Europe's most prestigious race.

Victory at Longchamp would see Camelot finally step out of the shadow of Nijinsky, who finished second in the Arc following his Triple Crown.

Could Camelot's owners be tempted to give their colt one final shot at posterity?

It seems unlikely. Montjeu's stable at nearby Coolmore -- the nerve centre of the Magniers' Irish breeding operation -- still has his name above the door, having not been given to another stallion. There seems only one likely occupant in the near future.

But before he can begin to contemplate a future servicing mares, first there is the small matter of the St Leger. Camelot's main challenger will be the John Gosden-trained Thought Worthy, who represents his trainer's best chance of landing a treble of his own in the form of three consecutive St Leger victories.

O'Brien is realistic about his chances: "Everybody knows the Triple Crown is very difficult to win.

"I can't tell you how hard it is to win any of those big races. We do our very best every day and sometimes it's good enough and sometimes it's not.

"So many things have to happen to get the horse right, get everybody together and for the thing to happen on the day. It's just something that I couldn't even dream about."

One suspects that O'Brien is dreaming, however; dreaming of English racing's Holy Grail.

@highlight

Camelot aiming for triple crown at St Leger Stakes, winning the Epsom Derby and 2,000 Guineas

@highlight

Trainer Aiden O'Brien admits it will be a big stretch for the three-year-old colt

@highlight

His jockey son Joseph will be masterminding the race, already racing Camelot in all of his starts

@highlight

The last horse to win hat trick was Nijinsky in 1970, also trained at Ballydoyle stables