Marching, dancing and poster-waving environmentalists chanting "Hey, Obama. We don't want no climate drama," packed several blocks on and around Washington's National Mall on Sunday, hoping to spur President Barack Obama to take strong measures against climate change.

Allison Spitz, 16, brandished a sign reading "Oil and Water Don't Mix" as she attended her first political demonstration.

"Someday, I hope to have my own kids, and I want them to live in a world that's environmentally safe and natural," Spitz said, explaining why she, her mother and her boyfriend had traveled more than 500 miles from Plymouth, Michigan.

"This is the kind of thing worth leaving home to come out and take a stand for," she said.

Throngs at the "Forward on Climate" rally spent several hours marching from the Washington Monument to the White House, then back to the Mall.

Those who arrived early, and those who didn't let the cold dissuade them from returning to the Mall, heard speakers call on the president to reject the Keystone XL pipeline and to tell the Environmental Protection Agency to set carbon standards for power plants.

During Obama's State of the Union speech on Tuesday, the president urged Congress to do more to combat climate change.

"We can choose to believe that Superstorm Sandy, and the most severe drought in decades, and the worst wildfires some states have ever seen were all just a freak coincidence. Or we can choose to believe in the overwhelming judgment of science and act before it's too late," the president said. "I urge this Congress to pursue a bipartisan, market-based solution to climate change, like the one John McCain and Joe Lieberman worked on together a few years ago. But if Congress won't act soon to protect future generations, I will."

Some activists have been urging Obama to bypass the often messy legislative process and instead focus on executive orders and regulations from the Environmental Protection Agency.

"Congress is a place where good ideas go to die," Melinda Pierce, legislative director for the environmental group the Sierra Club, said last month. "There is a tremendous amount that his administration can do without Congress. He has the authority. He doesn't have to wait for Congress."

Long-term climate change fueled by a buildup of atmospheric carbon emissions is a controversial notion politically, but it's one accepted as fact by most scientists. Atmospheric concentrations of carbon dioxide, which traps heat, have gone up sharply in recent decades, while global average temperatures are up about 1.5 degrees F since records started being kept in the late 19th century, according to NASA.

The Kyoto Protocol, the 1997 pact aimed at reining in carbon emissions, aimed to limit that increase to 3.6 degrees F (2 degrees C) by 2100 --  but a November report by the World Bank warned that trends point more toward an increase twice that big by the end of the century.

The 1,700-mile Keystone XL pipeline project -- which would extend current oil pipeline networks from Alberta, Canada's bitumen-filled ground, all the way across the United States to the Gulf of Mexico -- exposed partisan and regional divisions within Congress during Obama's first term.

Bitumen, otherwise known as tar sand, is oil-soaked dirt that needs to be cooked to extract the oil. A Congressional Research Service report released in June said oil produced from bitumen emits 14% to 20% more greenhouse gases -- the gases that can cause atmospheric hearting -- than the average transportation fuels sold or distributed in the United States.

The Alberta government website says the province is the first jurisdiction to set mandatory reduction targets for greenhouse gas emissions. However, it says while average emissions per oil barrel are declining, since the demand for oil production has increased, overall emissions have increased as well.

At Sunday's rally, Maura Cowley of the Energy Action Coalition verbalized a common theme.

"Keystone XL is a dirty and dangerous pipeline. It's literally going to cut our country in half, carrying a very dangerous fuel, and it will cause runaway climate change," Cowley said. "Young people across the country are the same generation that elected Barack Obama twice now, and we really want to see him reject the Keystone XL pipeline."

The Obama administration rejected the initial proposal from the Canadian energy company TransCanada, saying it needed more time to gauge the potential environmental impact of the project. While that decision pleased environmentalists, pipeline supporters argued that the postponement cost Americans jobs and a degree of energy independence.

The White House has probably already decided against ever approving Keystone XL, despite the pipeline's many supporters, said Patrick Michaels, the director of the Center for the Study of Science at the libertarian think tank the Cato Institute.

"The political calculus is obvious. If they come out against it, they are going to pay a very big price," Michaels said Sunday. "It's very popular around the country: the notion that you are going to be pumping more oil through this country, that there will be some jobs that will be established to put the pipeline in. There will be some jobs for maintenance, and, you know, if you want to talk about the internationalization, if you will, of oil supply, Canada is our biggest supplier and they're friendly.  What's not to like?"

Environmentalists say there's plenty not to like.

Of greatest concern initially, the Keystone XL pipeline was designed to run through Nebraska's Sandhills, which lie above the Ogallala Aquifer, the main source of drinking water and irrigation for millions of people. Now, even though refined plans show an alternate route, environmentalists worry that if the expected 500,000 to 700,000 barrels of crude oil flow through the pipeline each day, leaks could contaminate the water and soil.

Michaels said those fears are unfounded, and "climate change is becoming the last refuge of regulatory scoundrels."

"It reminds me of the TransCanada pipeline that was supposed to cause all these problems and wreak all this havoc. It never did.  All it did was supply oil," Michaels said.

He posited that U.S. emissions from the energy sector are at their lowest level since 1992, despite -- not thanks to -- government intervention.

"That didn't happen because of subsidizing solar energy and windmills. There's just not a lot, not enough electricity coming from those minuscule rays. It happened because of natural gas, hydrofracturizing and horizontal drilling, which has increased the supply dramatically," he said.

The Department of Energy has taken credit for laying the groundwork for the current natural gas boom, citing research and development dating back to the 1970s that led to today's hydraulic fracturing, or fracking, techniques of extracting gas from shale.

The U.S. Energy Information Administration says increased use of natural gas has come at the expense of coal, which tends to emit significantly more carbon dioxide than natural gas.

"It wasn't because people wanted to save the planet. It's because they wanted to make money. Gee, that's how to make people efficient. Don't fetter the economy and you'll find out that people want to produce, either want to produce things efficiently or produce efficient things. They are advantaged in the marketplace. Get the government out of it and you'll get a greener planet," Michaels said.

But the crowds that braved temperatures in the low 30s and winds exceeding 20 mph to make their point heard in Washington couldn't disagree more.

"Climate change is established science. And it's time we get our act together and find a better way is renewable energy," said Lissa Spitz, Allison's mother. "If they put a minuscule amount of the money into research and development for renewable energy that they spend on fossil fuels, we'd be there now. You know, it's not because it can't be done. It's because of the political and financial powers that be that have a vested interest in keeping the system that we have now. And it's not working."

The Sierra Club, the anti-climate change consortium 350.org, and the civil rights organization the Hip Hop Caucus put together the rally.

@highlight

The National Mall in Washington was packed with anti-climate change protesters Sunday

@highlight

Demonstrators were lobbying for President Obama to step up against environmental threats

@highlight

The proposed Keystone XL pipeline from Alberta to the Gulf is a major topic of conflict

@highlight

Pipeline backers say government intervention is a bad idea, both pragmatically and politically