(CNN) -- Children play with a worn-out badminton set. Families sip traditional Indian tea known as chai from silver-colored cups and chat as the sun sets in a rose-colored sky. Goats bleat in the distance, water buffaloes chew on hay and the cackles of crows ring through the air.

Welcome to the village of Chevuru, in southeast India, not far from the Bay of Bengal. Here, lush green rice paddies ring concrete homes in various stages of construction.

I came here with 15 colleagues to help these villagers, who are among some of India's poorest and most disadvantaged people. We came to help build safe and solid concrete and brick homes for them. The villagers are Dalits -- once known as untouchables -- and they still suffer from discrimination.

This group of 90 families live in thatched-roof huts that are prone to leaks and have mud floors that wash away. Some of their children attend a "school" that is a small outdoor space in front of a church. Many only have the clothes on their backs for daily wear.

Ravi Kumar, head of the Association of Relief Volunteers (which partners with American nongovernmental organization Longitude, the group we used to volunteer in India) and our leader on this project, told us that giving the villagers these homes would not only physically improve their lives but it would also boost their morale -- endowing them with a new sense of pride and helping them to dream of a brighter future.

Despite their tough lives -- many of the village men can only get work a few months a year on the rice paddies -- the villagers were enthusiastic, generous and hard-working.

We worked under humid skies and sunny days, sometimes in more than 40-degree Celsius (104 degrees Fahrenheit) temperatures. We carted cement, sifted materials, mixed cement, plastered walls -- and one day we worked together as a group to plaster a roof.

It was back-breaking work, and watching the villagers tirelessly do it inspired me to do as much as I physically could, though we had to drink copious amounts of water and eat a lot of food. I became known as the "after lunch napper," frazzled by the morning's duties.

As we worked side by side with the villagers, we got to know them and their friends. One family I spent a lot of time with was building their home to accommodate four generations: their parents, their children and their grandchild. Their names were Ramadu (the grandfather), his son-in-law Krishna and his daughter, Buji.

Krishna and Buji's eldest daughter had polio, which led to her legs being amputated. The couple help raise their daughter's grandchild, a 5-year-old boy named Siy, who has a clever smile and always seemed ready to test the commands of his grandparents.

I visited them in their hut, where they lived in a space that seemed to measure about 10 feet by 10 feet. I knew the new home -- at a cost of just $1,500 -- would dramatically change their lives.

Despite the difficulty of their situation, they kept telling our project leader Kumar that I was working too hard and needed to rest. They always brought us superb chai tea to drink with them. But all I wanted was to help them and all the others as much as possible while we were there to get the house done.

I think we did a good job: Though the homes were unfinished when we left after two weeks of work, noticeable progress had been made. Most importantly, we felt the townspeople's spirits were lifted.

During our time, we met many families and played games with the children. We asked them what they wanted to be when they grew up. One of my colleagues brought bubbles (which were very popular), while others brought clothes, pens and pencils, and sports equipment.

Kumar said the villagers benefited by meeting people from outside their world, getting to speak English and exchange ideas. But the benefits were definitely mutual: We got to learn about them, too, their lives, goals and interests.

These villagers have so many needs: proper schooling, health care, hygiene, clothing, mosquito nets (which only cost $5) and, of course, housing. But I saw that given the right tools and opportunity, the people of Chevuru were quite capable of accomplishing what they set out to do.

On our last night, the villagers threw us a party and we danced together in the new saris and kurtas they had given us. We all left wondering what we could do next to help them and discussed plans for future work in Chevuru.

@highlight

A group of 16 volunteers from Turner Broadcasting goes to India to help build houses

@highlight

The people of Chevuru, India, are some of the poorest people in the country

@highlight

Helping the families was so rewarding for Miranda Leitsinger that she is planning a return trip