London (CNN)We've just landed a washing machine-sized robot on a comet and NASA's chief scientist has no idea.

Dr Ellen Stofan is deep in conversation with a journalist when, unable to contain himself any longer, an adviser with phone triumphantly held aloft blurts out: "Rosetta -- It's landed!"

"Wonderful" Stofan beams, and the handful of reporters gathered in a lecture theater at University College London excitedly fidget in their seats.

Barely has the probe touched down on a comet 310 million miles from Earth, then one of science's great minds is discussing humanity's next cosmic milestone.

Stofan wants to land a man on Mars by the mid-2030s.

Or rather, "land a human on Mars," the mother-of-three corrects me with a wry smile.

"In a sense it's our destiny to move beyond this planet and Mars is the logical choice," said the 53-year-old geologist.

"It's a place where humans could live and work -- not out in the open -- but with not too-radical modifications."

Indeed, life on the 'Red Planet' may not just be the stuff of science fiction.

"Mars is the other body in the solar system that we're very likely to find that life evolved," said Stofan.

"So being able to have a laboratory on Mars, being able to have some sort of sustained human presence on Mars in the future, I think is critically important for science."

Next stop: Mars

Surviving an eight-month journey to Mars is one thing -- staying alive once there is another.

Astronauts would face high levels of radiation -- "we still have to figure out how to adequately protect them," said Stofan.

The thin atmosphere would also make landing difficult, particularly for a heavy spaceship loaded with equipment and people.

"If you think of the Apollo capsule coming into Earth with a parachute, the Mars atmosphere is just so thin you've got to find some way of slowing yourself down really rapidly," explained Stofan, the daughter of a NASA engineer who watched her first rocket launch as a four-year-old.

The interplanetary endeavor has more to do with unlocking Earth's secrets than you might think.

"Being able to compare the Earth to Venus, to Mars, and studying these same processes all around the solar system -- all of a sudden you get smarter about your own planet," explained Stofan.

"If you're a doctor and you only have one patient, then you'd never really understand the progression of disease. You need lots of patients, and scientists learn more about the Earth by studying lots of planets."

Star Wars reality

But with so many earthly problems, does it pay to point billion dollar budgets at the skies?

"You know, we're really spending that money here on Earth," said Stofan.

"We get amazing technology spinoffs from the work NASA has done," she adds, listing everything from fuel efficient winglets on airplanes, to air traffic control systems, and equipment for measuring climate change.

Science fiction becomes reality in NASA's lab, with the hovering orb seen in Star Wars -- fans will remember Luke Skywalker using it during light-saber training -- inspiring real-life gadgets on board the International Space Station.

"Think about these things you used to see on TV from science fiction, like communicators on Star Trek, well now we actually have them," said Stofan.

"Space exploration pushes us to say 'here's things we've just dreamed about, but we can turn that into reality.'"

Marvin the Martian

Does that mean she also believes in intelligent life?

"I think there has to be in the universe -- how easy it's going to be to find, is another question," said Stofan.

"Statistically every time you're looking at a star you're likely to be looking at a planetary system. Play the math game, there's billions of stars, so eventually you'll come out saying there has to be another body where life could have evolved to a fairly sophisticated level.

"Now, do I think they're visiting here and altering people's crop patterns? No. If they were smart enough to get here, we would know about it."

Women's business?

As a women working at NASA, sometimes it's Stofan who feels like the alien in the room, admitting: "I had to work four times as hard to be taken half as seriously."

"I still go into most meetings and I will look around the room and I just suddenly register the male to female ratio -- women usually make up 10% to 20% in any room I'm in, at best."

It's a ratio fairly consistent with women working across STEM sectors (science, technology, engineering, math) in the U.S., and Stofan speaks passionately about the need for "all hands on deck."

"When you have problems like trying to get humans down onto the surface of Mars, if you don't have all the best minds in the world -- not just white men -- then you're not utilizing humanity the way you should."

Landing a human on Mars would inspire a new generation of scientists -- the likes of which we haven't seen since the Apollo mission 45 years ago, says Stofan.

"It's a great international human endeavor, with all the nations of the world moving out beyond Earth to explore a new planet, a new world.

"And doing it together."

Watch: The comedian and her robot sidekick

Quiz: 10 female scientists you should know

@highlight

NASA chief scientist, Ellen Stofan, wants humans on Mars by mid-2030s

@highlight

Astronauts would take 8 months to reach planet, face radiation, thin atmosphere

@highlight

Studying Mars would help us better understand Earth

@highlight

Believes there must be intelligent life in our universe