(CNN) -- How much hope can I have in the president who has deported people at a higher rate than any other in the nation's history?

Asking myself this question is how I kept my emotions in check as I watched President Obama announce his policy on immigration Tuesday. After living undocumented for more than 18 years, and hoping that one day my sister, my parents and I won't be considered "illegal" in this country, my mental health often depends on managing my expectations.

My family and I came to the United States when I was 10 years old from Mexico City, and have grown up thinking of Chicago as our home.

Opinion: U.S. needs 21st century immigration plan

Although my parents have tried to shield us from the effects of being undocumented, we know that my father used to walk the streets looking for work, and that more than once his wages were stolen, with employers using his immigration status as a threat.

I think of my father as the most likely member of our family to be racially profiled, and I worry every time he goes to work. My mom has seen her father only once in the last 18 years, and I know she misses him and her sisters and brothers. And my sister and I are reminded every day of the barriers of being undocumented, when we cannot apply for a job, a scholarship, or pay the bond of a family friend in deportation proceedings.

The first time I watched President Obama speak about immigration, I felt the excitement in my stomach. It was sometime early in his presidency, when many of us still believed he would make significant changes in immigration policy during his first term.

I listened to every word he said -- that we are a nation of immigrants -- and allowed myself to imagine a life without worrying my dad would not come home; a moment when my mom might get to see her dad and her sisters again without having to chose between our lives here and her family; a chance for my sister and I to be evaluated on our work and contributions and not our immigration status; a moment to live without fear. But the actions of his government failed to match his words.

Opinion: Stars align at last for immigration plan

This is why I have learned to keep my hopes in check. Not only because of the years without action, but also because the lives of immigrant communities have become even harder. Here are a few examples:

-- More than 1.4 million people have been deported since Obama took office, at a faster rate than under any other president.

-- The federal government has continued to collaborate with local law enforcement that uses immigration laws to intimidate immigrant communities and racially profile Latinos, such as Maricopa County Sheriff Joe Arpaio.

-- Immigration detention centers continue their inhumane treatment of detainees, particularly those with mental health problems, medical illnesses and those who are gay, lesbian, bisexual or transgender.

-- Undocumented workers continue to be targeted by the Department of Homeland Security, even in my hometown of Chicago, where a series of operations led to the detention of scores of workers, including more than a dozen day laborers detained while looking for work.

-- Even with prosecutorial discretion policies, undocumented people who have no criminal history, those who are not a threat to the safety of the country, and those who are only working to support their families, continue to be deported.
It is important to say I also recognize significant steps forward under Obama. My sister and I qualify for the Deferred Action for Childhood Arrivals program, and are in the process of applying.

I must admit, I am excited about having a work permit and being able to travel outside the United States. After the failure of the Congress to pass the Development, Relief, and Education for Alien Minors (DREAM) Act, it has been a welcome, if limited, relief.
But I cannot ignore the continued suffering and uncertainty that my parents and my community live with every day. And I cannot ignore how harmful President Obama's policies have been to the most vulnerable: undocumented immigrants.

Opinion: Key to immigration -- Worker visas

With the group of bipartisan senators announcing a blueprint for immigration reform, and the president's announcement of support, it might just be possible for a comprehensive bill to pass.

Unfortunately, I don't expect it to address all the needs of immigrant communities, or of the country. The blueprint that has been presented by the eight senators, for example, already delineates harsher punitive measures for future undocumented migrants, and harsher enforcement at the border. It also does not address the situation in detention centers, or the collaboration with local law-enforcement plagued with racial profiling.

I know that the president has a chance to go outside party politics and make significant changes to immigration policy that could stop the suffering of millions of families by stopping deportations and giving work permits to undocumented adults. He was able to do that with young people; why not do the same for our parents?

What the years of disappointment have taught me is that our communities cannot depend on the goodwill of legislators for change. We must make it happen ourselves through organization. And so I am going to continue to fight for the rights of undocumented immigrants and for the happiness of my family.

The opinions in this commentary are solely those of Tania Unzueta Carrasco.

@highlight

At 10, Tania Unzueta moved to U.S. with undocumented family, who are considered illegal

@highlight

She worries her dad won't come home, about her mom who can't go to Mexico to see family

@highlight

Unzueta: Obama let immigrants down by excessive deportation, inhumane detention centers

@highlight

She is applying under new act that will give her ability to work, but worries about her family