(CNN) -- Maybe if you're a New Yorker, you grow accustomed to the sight.

Maybe if you live in the city, it becomes just another part of the Manhattan landscape.

But if you're from somewhere else, visiting, and you're not expecting to encounter it. . . .

Well, you sense that you've been in front of this building before, even though you never have. You feel it before you fully see it.

So it was, early on a recent afternoon, that I was walking east on 72nd Street, approaching Central Park West.

I glanced to my left.

To say the building is spooky is perhaps too easy. Yet everything about it -- the high gables, the balustrades, the gas lanterns burning even in the daytime, the black iron gates leading into the open interior courtyard -- seems purposely designed to give off an aura of portent.

Possibly that impression is merely retrospective -- most likely, when the massive residential building was constructed well over a century ago, the desire was simply to erect a place of urban elegance. And perhaps to the people who live there now, it looks only like home.

When the 1968 movie "Rosemary's Baby" was filmed, and the exterior of this building -- the Dakota -- was chosen as the site of the eerie tale, the die may have been cast. For anyone who ever saw the movie, the temperature drops a few degrees as soon as those walls come into sight.

Yet it is what happened here 29 years ago this week that draws curious visitors still.

I heard a voice behind me.

"Is this where. . .?"

A young woman was asking her friend the question.

"Yes," the friend said, not needing to hear the rest.

Mark David Chapman shot John Lennon to death next to those courtyard gates on the night of December 8, 1980, as Lennon was returning to his home inside the Dakota. Lennon and his wife, Yoko Ono, had spent the evening at a recording studio known as the Record Plant, working on a song called "Walking on Thin Ice." As they neared the entrance to the Dakota just before 11 p.m., Chapman, who that same afternoon, at the same entrance, had asked for and received an autograph from Lennon, waited with a gun.

Lennon never had a chance. He would be pronounced dead at the St. Luke's-Roosevelt Hospital Center. His public life had been somewhat quieter since the breakup of the Beatles; although many of his admirers around the globe were aware that he had become a resident of New York, relatively few knew exactly where in the city he lived. On the night of the murder, though, as the news of his death quickly spread, so, too, did photographs and live television images of the Dakota. The building on that night became synonymous with heartache, with senseless loss, with joy extinguished..

And here -- as in the waning days of 2009 you find yourself standing on this block without having planned it, as you look at the building you have never before seen with your own eyes -- is what strikes you:

To anyone in this city, in this country, in this world, who is younger than 32 or 33 years old, the memory of Lennon is of a man who has always been dead. The murder was past tense by the time people who are now that age first became aware of his name.

The Dakota, in its own way, may be, to them, like Ford's Theatre in Washington, D.C., or the triple underpass in Dallas. A place where something terrible happened, yes, but something terrible that happened in history, not in the recollected narrative of their daily lives.

I crossed the street called Central Park West and stepped onto the pathway to the park itself. A little girl, around five years old, was coming out of the park with her parents. They obviously had been talking about Lennon, for she said to them:

"Is that where he's buried?"

As if approaching Grant's Tomb. Her father said to her:

"No, he was killed there. I don't know where he is buried."

And they crossed the street, toward the Dakota.

The array of John Lennon merchandise for sale by vendors at the entrance to the park -- photos, drawings, postcards -- is understandable from a purely commercial point of view, but is jarring nonetheless near the shadow of the building where he died. It may not be intended as a sign of disrespect, and maybe the sight of this, too, is something to which people who live in New York have long ago become accustomed.

Just inside the entrance to the park is the famous Strawberry Fields, named in his memory. The main gathering point is the mosaic with, at its center, the single word: "Imagine."

One sign near the mosaic announced that the playing of musical instruments is not permitted, but on this day a man sat on a bench facing the mosaic and strummed a wooden acoustic guitar. As he played the song "In My Life," he sang, with a wavery voice, the words:

"There are places I remember. . . ."

Fans remember Lennon

On Tuesday, as the anniversary of the murder arrives, perhaps the mood will be solemn in Strawberry Fields. But on this day, at least on this hour of this day, it was intermittently lighthearted. People sprawled on their backs on top of the mosaic, grinning and spreading their arms and legs in "Hard Day's Night" or "Help!" quasi-Beatles poses. Friends with cameras knelt near them, trying to angle the lens upward at a severe enough degree to include the looming vision of the Dakota in the shot.

There was a little informal line as people waited their own turn to pose on the "Imagine" mosaic. The man with the guitar sang:

"But of all these friends and lovers. . . ."

Another snap of another camera.

". . .there is no one, compares with you. . . ."

Twenty-nine Decembers ago, a man on 72nd Street wanted only one thing:

To get home for the night.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Greene: The events of 29 years ago still draw visitors to the Dakota

@highlight

John Lennon was killed outside the Dakota on December 8, 1980

@highlight

Greene: The Dakota became synonymous with heartache after Lennon's death