(CNN) -- The world of Dungeons & Dragons, the iconic role-playing game that has captivated millions since the 1970s, is more than just rolling dice on a table top. In 2014, it is computer games, books, online comics, miniature figurines and more, aimed at staying relevant in a digital age.

Wizards of the Coast, the publishers of the game, is launching the latest version along with a massive campaign called Tyranny of Dragons. But on such a plethora of platforms, how is it possible to create an overarching idea that transcends platforms?

The publishers say it's a simple concept known as sharing.

The high adventure, in which followers of dragon queen Tiamat aim to take over the world, coincides with the release of the fifth edition of rules for tabletop version of D&D.

But the company wanted to expand how players could join in the new storyline and create a community of shared experiences.

"The big part of a role-playing game is, you can do whatever you want. But we want you to end up at the same place at the end of the adventure," said Mike Mearls, senior manager for Dungeons & Dragons research and development.

"There are many ways to get there, but having a big event that brings everybody back together is part of the fun, because once you've gone up against Tiamat, you've got something you can talk to any fellow player about, even if you've never met that person before."

The idea of creating that shared story experience over different media meant Mearls had to think about the narrative differently. It was more about creating a story bible with direction on how various creatures behave in certain circumstances rather than plotting out each monster's actions specifically.

40 years later, 'Dungeons & Dragons' still inspiring gamers

"Each one has a different way they act, a different goal they have," Mearls said. "So when you encounter it in a (massively multiplayer online game), you can understand this creature, you can understand what it's doing, because when I'm fighting in a 3-D action environment as opposed to a board game as opposed to a role-playing game, it has a trait that can shine through."

The massively multiplayer online version, "Neverwinter," will also feature the "Tyranny of Dragons" story.

Rob Overmeyer, executive producer at Cryptic Studios, said his co-workers constantly talk with the creative teams at Wizards well in advance of any new elements in the online version. Having those discussions not only allows for swapping of ideas, it gives a cohesiveness in the look and feel of the game, he said.

Overmeyer said the sharing of creative elements also frees up his team to focus more on the online-only elements of stories, finding ways to draw certain players deeper into adventures.

For example, creatures that will be appearing in the new "Monster Manual" have been created at Wizards for its upcoming tome. Those creatures are designed by Wizards graphic artists and have been rendered in a variety of resolutions to allow them to be used in a digital game, in a book or as templates for miniature figures.

The player's actions in the online campaign will be overlaid on those in the game's more traditional tabletop campaign.

"It's really about getting in there and having fun and playing D&D," Overmeyer said of the online game. "If it feels like D&D, it is D&D."

The cohesiveness isn't limited to just game play. "Table Titans" is an online comic developed by Scott Kurtz with the blessing of Wizards of the Coast.

The D&D comic spun out of Kurtz's other creation, "PVP," with the introduction of a supporting character named Val. Val believes she is a dwarven fighter from "Dungeons & Dragons" and acts out events in her non-gaming life as if she were the character.

Kurtz said his team consults with Wizards of the Coast to go over upcoming campaign materials so everything flows from a central game plan.

'Dungeons & Dragons' tries to lure back players

"They are very good in guiding us away from what other authors are doing so we don't step on toes, and they always are wonderful with suggestions, bibles, artwork, etc," Kurtz said. "But for the most part, they just sit back and watch us go. They really don't do more than say 'Here are some amazing toys; go play!' "

Kurtz said that playing D&D with his father as a child helped him in his career by creating the first characters and stories he would later transport into his comics. He's thrilled, he says, to work hand-in-hand with the people now creating the game he grew up playing.

"We promote D&D by nature of our comic being about that game, and they promote 'Table Titans' in social media and at personal events because they love the strip," Kurtz said. "The business team calls that synergy, and the creatives call it 'mutual admiration.' "

Mearls said that sharing between media keeps the focus on what's always been at the heart of D&D: the story.

"It does create that community sense of shared experience, shared story, even though everyone's story experience was unique," he said. "You can be whoever you want. You can do whatever you want."

@highlight

The classic "Dungeons & Dragons" game has new ways to play in the online age

@highlight

A multiplayer online option, "Neverwinter," has joined classic tabletop gaming

@highlight

It's branched out into a webcomic, "Table Titans," as well

@highlight

Wizards of the Coast says all versions are now designed to be integrated