(CNN) -- In a most public fashion, congressional lawmakers have been grilling Toyota officials this week about safety defects that have caused some of the automaker's vehicles to accelerate without warning. Accidents and deaths are being linked to these problems.

This is prime political theater. Angry lawmakers are aggressively demanding answers, dressing down their corporate counterparts. Toyota officials are largely apologetic. Toyota President Akio Toyoda wept after the House Oversight and Government Reform Committee hearing Wednesday.

What's largely occluded from television cameras, however, are the long, deep ties between Toyota, former federal government employees and current lawmakers, some of whom are (or have been) tasked with providing oversight, upholding public safety and, at the moment, potentially recommending regulatory changes.

Of course, ties do not mean tepid congressional questioning, nor do they mean tough regulations will not result from committee hearings. But as consumers -- and citizens -- watch the hearings transpire, it's worth remembering that Washington is a place where the public interest isn't always politicians' first or only interest.

In 2009, Toyota employed 31 lobbyists, hired to exert influence and defend the company's interests before Congress, the White House and federal agencies, such as the Department of Transportation and Department of Energy.

So who are these Toyota lobbyists working the back channels of government?

Our research indicates that in many instances, they're former members of the U.S. government, earning handsome salaries lobbying on behalf of their corporate client.

Among the leaders in this small army of lobbyists (and registered as such in 2009) are a former congressman, two former chiefs of staff for prominent senator currently serving, a former Department of Energy assistant secretary, a former assistant director of the National Commission on Air Quality and a former special events director for the Republican National Committee.

This is a group that can't be easily dismissed by congressional leaders and their staffs.

In politics, just like any social realm, it's simpler to say "no" to a stranger than someone who used to work for you or with you, or someone you may have even campaigned for. Now, in Toyota's period of political peril, the company will probably need the help of its lobbyists to mitigate damage to its corporate interests.

By December, Toyota had spent about $5.4 million on federal lobbying efforts for 2009, more than Honda, Volkswagen, Nissan or any other foreign automaker.

During the past five years, Toyota's federal lobbying expenditures total nearly $25 million, about enough to buy two new Prius hybrids for every member of Congress.

Among automakers, only General Motors and Ford have each spent more money to lobby the federal government during that time.

As for lawmakers themselves, they, too, have connections to Toyota.

In 2008, the most recent year for which data are available, seven members of Congress reported owning Toyota stock. Rep. Jane Harman, D-California, who represents that district in which Toyota's U.S. headquarters is located, declared in her 2008 personal financial disclosure report that she and her husband owned $315,000 in Toyota assets.

Harman, who serves on the House Energy and Commerce Committee, which is investigating Toyota, said this week that she'd recuse herself from committee proceedings and votes, an appropriate step to avoid any actual or apparent conflict of interest.

No other member of Congress has publicly followed suit, including Rep. Michael Burgess, R-Texas, another Toyota stock owner in 2008 who also sits on the committee.

Sen. Jay Rockefeller, a Democrat from West Virginia, doesn't own Toyota stock, but he was instrumental in wooing Toyota to build a factory in his state, once saying he "felt like a full-fledged member" of Toyota's site selection team.

Rockefeller, chairman of the Senate's Commerce, Science and Transportation Committee, is slated to serve as the Senate's lead investigator into Toyota's safety issues (hearings begin next week) and whether the National Highway Traffic Safety Administration properly monitored safety concerns about the company.

The agency's new chief? He's David L. Strickland, a former lawyer and senior staff member for Rockefeller's Senate committee.

(A spokeswoman for Rockefeller told the Washington Post this week that the senator fought "for good-paying manufacturing jobs but never shirks from holding those same companies' feet to the fire when it comes to safety and consumer protection.")

Lawmakers are also the beneficiaries of money Toyota has directly donated to their political campaigns. Although Toyota itself cannot create a political action committee through which to make donations to politicians -- foreign firms are banned from doing so -- the U.S.-based Toyota distributor, Gulf States Toyota, faces no such restriction.

Gulf States Toyota's political action committee has contributed at least $1,000 to each of 10 federal political candidates this election cycle after making donations to 29 federal candidates during the 2008 election cycle.

Included on this list -- for 2007 and 2008 -- are members of the congressional committees investigating Toyota: Reps. Joe Barton, R-Texas; Gene Green, D-Texas; Charles Melancon, D-Louisiana; Steve Scalise, R-Louisiana; and John Sullivan, R-Oklahoma.

Since 1999, Toyota employees in the United States have also individually donated more than $100,000 to congressional members.

Taken separately, these associations may not amount to a smoking gun of profit and politics over people.

But together, they represent a ruck of entanglements and potential conflicts of interest that must be adequately checked by the press. And the public must be mindful of these ties, lest they deliver on their potential to render safety subservient to a financial bottom line.

The opinions expressed in this commentary are solely those of Sheila Krumholz and Dave Levinthal.

@highlight

Toyota hearings were a major event on Capitol Hill

@highlight

Less visible were ties between Toyota and current, former members of Congress, co-authors say

@highlight

They say the public should be mindful of potential for abuses