(Health.com) -- Your racial and ethnic background can shape many aspects of your life: the type of food you eat, where you live, and your political views.

Now a new survey suggests that how you sleep and what you do before you hit the hay -- whether it's watch TV, pray, or have sex -- varies by ethnic group as well.

In the survey, the first of its kind, a representative sample of more than 1,000 whites, African Americans, Asians, and Hispanics ages 25 to 60 were asked about their sleep and bedtime routines. While their answers revealed plenty of differences between groups, they also showed that we have something in common: Most of us aren't sleeping well.

In each group, roughly six out of 10 people reported that they don't get a good night's sleep every night or almost every night, according to the survey, which was conducted by the National Sleep Foundation, a nonprofit organization based in Washington, D.C.

"A significant proportion of all ethnic groups are experiencing sleepiness that impacts their day to day living," says Thomas J.Balkin, Ph.D., chairman of the National Sleep Foundation. "Sleepiness impacts every aspect of our lives, so for those people who are not getting a good night's sleep, getting better sleep will make you sharper in the boardroom, give you a better quality of life, and [make] the sun seem a whole lot brighter."

Across the board, a lack of sleep appears to be affecting people's lives and relationships.

Roughly one in four people in each ethnic group said that they missed work or a family function because they were too sleepy, and a similar proportion said they were too exhausted to have sex on a regular basis.

Health.com: Eight natural remedies that may help you sleep

The survey results offered a peek inside the bedrooms of Americans, and how we spend our time before drifting off.

For instance, 75 percent of African Americans reported watching television routinely in the hour before going to bed, compared with 64 percent of whites.

Only 52 percent of Asians said they watched TV before bed almost every night, but they were far more likely to use a computer or surf the Web before bed; more than half said they did so almost every night, compared with about 20 percent in the other groups.

Sexual activity also varied among the groups. Ten percent of African Americans and Hispanics reported having sex almost every night, compared with 4 percent of whites and 1 percent of Asians.

African Americans, meanwhile, were far more likely than other groups to pray before bedtime almost every night of the week.

Who -- or what -- Americans sleep with also appears to vary by ethnicity. Nine out of 10 whites who are married or "partnered" sleep with their significant others, a slightly higher rate than that among African Americans.

But three-quarters and two-thirds of Hispanics and Asians, respectively, said that they don't sleep with their partner. Those groups, however, were more likely to share a bedroom with their children.

"Asians tend to sleep with children in their beds and that could have an impact on sleep quality because anything that disrupts sleep like a dog or kid in the bed can negatively impact sleep and the restorative value of that sleep," Balkin says. Whites were more likely to sleep with their pets than other ethnic groups, the poll showed.

Although each group reported getting between six and seven hours of sleep on the average weekday (or other workday), the amount of sleep did vary significantly. African Americans got the least (about 6.25 hours), and whites got the most (just under  seven hours).

With numbers like these, it's not surprising that relatively few of the survey respondents reported consistently getting a good night's sleep. "Most people require seven to nine hours of sleep to feel rested," says Balkin. "The first step is to become aware of the problem, and then make more time for sleep and engage in practices that promote good, healthy sleep."

According to Balkin, good sleep hygiene includes going to bed and waking up at the same time each day (ideally without an alarm clock); using the bedroom only for sleep and sex; abstaining from nicotine, caffeine, or alcohol after 2 p.m.; and avoiding stressful tasks right before bed.

Health.com: What's keeping you awake at night?

"If you try all these tips and are still not getting enough sleep or are still sleepy, you may have a problem that requires a greater level of intervention, such as medication or light therapy, which can help re-train or reset your body's internal clock," he adds.

The rate of diagnosed sleep disorders differs among the groups, the survey found. Whites were more likely to have been diagnosed with insomnia, while African Americans were more likely to have sleep apnea, a breathing problem that causes people to wake up frequently.

What else is keeping us awake at night? Roughly 20 percent of whites, African Americans, and Hispanics said that financial problems were causing them to lose sleep at night, compared to just 9 percent of Asians. More so than other groups, Hispanics also worried about health-related concerns.

Priyanka Yadav, D.O., a sleep medicine specialist at Somerset Medical Center in Somerville, New Jersey, says that the survey's findings suggest that she and other experts in the field need to tailor their treatment to different ethnicities.

While Asians reported the fewest sleep problems and were among the least likely to use sleeping aids (such as medication), for instance, they were also least likely to bring up sleep problems with their doctors.

"Now that I know this, if I had an Asian patient, I would ask them about their sleep to get the dialogue started," says Yadav.

"It is really important to realize how ethnicities view sleep, so we can better target our treatment recommendations," she adds.

In the end, the racial and ethnic differences in the survey may be less important than the fact that so many people struggle to get a good night's, suggests Mark W. Mahowald, M.D., the director of the Minnesota Regional Sleep Disorders Center.

"There are ethnic and cultural differences and socioeconomic factors that play a role in how much sleep everyone gets, but a significant percent of the adult population is sleep deprived," he says. "The main consequence of this is impaired performance in the workplace, in the classroom, and behind the wheel, followed by irritability."

People with busy schedules often cut back on sleep to make time for other things,  Mahowald adds. But, he says, "Sleep is non-negotiable and is as important as diet and exercise to our overall well-being."

Copyright Health Magazine 2011

@highlight

Three-quarters of Hispanics don't sleep with their significant other or partner

@highlight

A lack of sleep appears to be affecting people's lives and relationships

@highlight

Asians report fewest sleep problems and are least likely to use sleeping aids