Editor's note: The staff at CNN.com has been intrigued by the journalism of Vice, an independent media company and Web site based in Brooklyn, New York. Motherboard.tv is Vice's site devoted to the overlap between culture and technology. The reports, which are being produced solely by Vice, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (Motherboard.tv) -- From a quiet swath of English countryside, some one and a half hours outside of London, researchers are receiving radio messages from the farthest reaches of the universe.

To do it, they're relying on one of astronomy's newest and largest gadgets -- the Low Frequency Radio Array radio telescope. The new, clever Dutch and EU-wide installation uses 15,000 low-tech receivers, supercomputer data processing and high-speed internet to form a mega-telescope capable of absorbing cosmic radio waves from the full sky at higher resolutions than ever before. When the British section of the telescope opened late last year, Motherboard attended the ribbon-cutting ceremony and met some of the scientists involved.

For centuries, astronomy centered around what could be observed with our most wonderful and yet meager visual tool -- the eye. But in the last 50 years, the ability to receive radio waves, infrared and ultraviolet radiation, and X- and gamma rays -- all of them at different wavelengths than visible light -- has provided new and completely unexpected information about the nature and history of the universe.

The resulting data and images from radio astronomy (despite the "radio" part, you can't listen to these radio signals) have yielded a cosmic zoo of strange and exotic objects, including radio galaxies, quasars, pulsars, masers, and cosmic microwave background radiation, which has provided compelling evidence for the Big Bang.

But we have yet to deeply explore the low radio frequencies, the lowest energy extreme of the spectrum accessible from Earth. The wider the distance between the antennae, the higher the resolution of the "picture" that a radio telescope can make. Hence the large footprint of most radio telescope projects, from the Giant Meter-wavelength Radio Telescope in India to the Very Large Array in New Mexico. LOFAR is capable of producing even more accurate "images" than its predecessors.

With more resolution than any other telescope, the 1500 km-wide LOFAR array is opening this frontier to a broad range of astrophysical studies, including transient sources, ultra high energy cosmic rays, cosmic magnetism, and the wonderfully-named Epoch of Reionization, when the first stars and black holes made the universe hot. This research will only accelerate over the next decades, as scientists build LOFAR's successor, the Square Kilometre Array (SKA).

Watch the rest of "The Biggest Telescope on Earth" at Motherboard.tv

In the first research to emerge from LOFAR, to be published this month, scientists say that the telescope will lead to a tenfold leap in new discoveries of pulsars -- the peculiar stars whose highly-regular spin can be used as a kind of clock, and effectively, as a test of Einstein's theory of general relativity. By observing pulsars as they beam toward Earth from different directions, astronomers are able to detect minute differences as the signals arrive, caused by the gravity waves that Einstein predicted would distort space-time in different directions. If gravity waves are real, one of these "clocks" would seem to be running slowly.

Also announced this week by an international team of astronomers -- LOFAR has made the deepest wide-field images of the sky in the relatively unexplored part of the radio spectrum around 150 MHz.

To process data from across the network, the Chilbolton telescope and the supercomputer in the Netherlands require an internet speed of 10 gigabits per second -- more than 1000 times faster than your typical home broadband speed. That's just the kind of bandwidth you need when you're downloading the far reaches of the cosmos.

@highlight

Low Frequency Radio Array telescope, or LOFAR, is the largest telescope on Earth

@highlight

LOFAR allows researchers to receive radio messages from the farthest reaches of the universe

@highlight

Telescope's superior resolution opens up broader range of astrophysical study