Egypt's new temporary government began to take shape on Sunday, with reformer and Nobel laureate Mohamed ElBaradei sworn in as the country's interim vice president for foreign relations.

Nabil Fahmy, former Egyptian ambassador to the United States, accepted the post of foreign minister, he told CNN.

Ahmed Galal, a liberal economist educated in the United States and a World Bank veteran, has been appointed as finance minister, and Hisham Zaazou will retain his post as tourism minister, the state-run MENA news agency said.

These are key first steps in establishing a civilian governance, after the military overthrew President Mohammed Morsy in a coup early this month.

And it's the first phase of a transition that is expected to usher in presidential elections next year.

Ruling authorities are focused on choosing technocrats -- nonpolitical people with expertise in particular fields -- who will help bring back efficient governance and foster a functioning economy.

Critics of Morsy's government have decried what they said was rife administrative incompetence and political cronyism during the ousted president's administration -- dominated by the Muslim Brotherhood and its political wing, the Freedom and Justice Party.

A reason for staging the coup was offered in a statement from Egypt's top military officer, Gen. Abdel-Fatah El-Sisi.

In a statement posted on the military's Facebook site Sunday, he said that the armed forces decided to side with "the people" against the Morsy government when the president refused a demand for a referendum that would authorize a new presidential election.

"The people were worried that the state and its tools will be used against their rights, and therefore, the armed forces had to confirm the legitimacy of the people and help them restore their inherent rights to choose and decide, and that is what we did," the statement said.

Morsy, Muslim Brotherhood face probe

A technocracy in the making

The choices represent a change in direction, away from the Islamist bent of the Morsy government.

ElBaradei -- who won a Nobel Peace Prize for his work as director general of the U.N. International Atomic Energy Agency -- and the others are people with whom Western governments have been comfortable.

The head of the IAEA from 1997 to 2009, ElBaradei has been regarded as an outsider in Egypt because of his international achievements. While he ran unsuccessfully for president last year, he persisted as a reformer and has a reputation as a technocrat.

Fahmy is the founding dean of American University in Cairo's School of Public Affairs and a "career diplomat," according to his bio on the school website.

He has "played an active role in the numerous efforts to bring peace to the Middle East, as well as in international and regional disarmament affairs."

Galal is managing director of the Economic Research Forum -- a research institution covering the Arab countries, Iran and Turkey -- and fits the bill as a technocrat.

His bio on the ERF website calls him "a noted, non-partisan, proponent of the importance of growth with equity" and of the "vital role of politics for sound economic policies.

Zaazou was one of the few ministers in Morsy's Cabinet who hadn't been connected to the Muslim Brotherhood.

He resigned from the Morsy government in the weeks before the coup, because a man associated with an Islamist group tied to militants who killed tourists in 1997 was appointed as governor of Luxor province.

International tourism is a huge business in Egypt, and Luxor, with its ancient monuments, has been a major tourist attraction. The ongoing political unrest in Egypt has hurt tourism.

Interim Prime Minister Hazem El-Beblawi will meet with Cabinet nominees Sunday and Monday in an effort to complete formation of a new government by Tuesday or Wednesday, state-run EGYNews reported.

Egypt's fever of violence: Where is accountability?

U.S. diplomacy

The United States has long had a close relationship with Egypt and a high-ranking diplomat is visiting there to "underscore U.S. support for the Egyptian people," the State Department said.

Egypt gets $1.3 billion in annual military aid. During the rule of Hosni Mubarak -- ousted in 2011 at the beginning of the Arab Spring -- the government had been pro-Western and a bulwark against Muslim extremism. It continues to maintain a peace treaty and diplomatic ties with Israel.

U.S. Deputy Secretary of State William J. Burns is visiting Cairo through Tuesday. He will meet with "interim government officials and civil society and business leaders." Civil society is a reference to nongovernmental groups and entities independent of government and business.

Burns will be emphasizing "an end to all violence, and a transition leading to an inclusive, democratically elected civilian government."

All of the latest developments come as Egyptian authorities launch an investigation of ousted Morsy as well as several leaders and supporters of the Muslim Brotherhood.

The state prosecutor opened the probe after receiving complaints against Morsy and FJP leaders, said Deputy Prosecutor General Adel al-Said.

Prosecutors also froze the assets of 14 people, including prominent Muslim Brotherhood figures, as they investigate violence in Cairo.

Morsy's son: 'Dad, you are the legitimate leader' of Egypt

@highlight

U.S. diplomat visiting Cairo, stressing support, end of violence

@highlight

The new foreign minister once was the envoy to Washington

@highlight

A World Bank vet was picked as finance minister

@highlight

The tourism minister, who has no ties to the Muslim Brotherhood, retains his post