Washington (CNN) -- In the spring of 1962, Martin Luther King Jr. was one of the most controversial men in America. One night in Chicago's Orchestra Hall after delivering a stirring speech on civil rights and the future of America, he shook hands with a standout 15-year-old with conservative parents, Hillary Rodham.

More than 50 years later, the moment still resonates profoundly with Clinton, who has had an illustrious political career and could again seek to make history as the first woman president.

"Probably my great privilege as a young woman was going to hear Dr. Martin Luther King speak," Clinton said earlier this year at an event at the University of Miami. "I sat on the edge of my seat as this preacher challenged us to participate in the cause of justice, not to slumber while the world changed around us. And that made such an impression on me."

Clinton has traced much of her life in politics and activism to King's words that night. But there was another minister, not famous like King, who also influenced her views on social justice and stoked an intensity for action.

Don Jones was the Methodist youth pastor who organized the trip of like-minded teens to see King, and mentored her for the rest of his life.

"Don opened up a new world to me," Clinton said in 2009, the year he died, "and helped guide me on a spiritual, social and political journey of over 40 years."

Park Ridge, Illinois, was a conservative Chicago suburb in the 1960s, made up of hard-working, middle and upper class families. It wasn't diverse in politics or race.

"We lived in a suburb that was all white basically and everybody in Park Ridge was a Republican," said Ernest Ricketts, a childhood friend of Clinton's who attended elementary, middle and high school with her.

Clinton's parents, especially her father, seemed to fit the town. Hugh was a small business owner and a vocal supporter of Barry Goldwater in 1965, while Dorothy, Clinton's mother, was a closeted Democrat.

The former first lady attended First United Methodist Church with many of the same friends that she attended school with, and her life and experiences, from school to sports to church, revolved around Park Ridge.

That wasn't the case for Don Jones, a Depression-era child who spent most of his youth in South Dakota and later attended South Dakota State. Before graduating, Jones enlisted in the Navy and served in Korea during the war.

A young veteran by the late 50s, Jones finished his degree at Augustana College and later enrolled in divinity school at Drew University in Madison, New Jersey, in 1958.

Peter Jones, Don's youngest son, described his father as "naturally outgoing" and "inquisitive." His oldest son, David, said his father had friends across the country and was fiercely loyal.

Politically, Don Jones also was inspired by a larger-than-life public figure. His sons said President Franklin Roosevelt "had an effect on his outlook on politics and what government can and can't do for people."

Upon graduating from Drew in 1961, Jones landed in Park Ridge at First Methodist, a conservative church that didn't quite match his worldliness. For many, including Clinton, Jones was dramatically different than anyone they had ever met.

Confronting life outside Park Ridge

Jones started University of Life when he came to Park Ridge, a youth group for a few dozen high schoolers that met two times a week - Sundays and Thursdays. But meetings were not just bible readings and prayer. Jones, according to the young Methodists who attend the group with Clinton, was determined to broaden their outlook on life.

In an interview with Donnie Radcliffe for the 1992 book "A First Lady for Our Time," Jones said he hoped the Park Ridge kids would "become aware of life outside Park Ridge."

At one meeting, Jones arranged for an avowed atheist to debate a Christian on the existence of God. At another, Jones brought the group to a local synagogue and held a public discussion with a rabbi about Judaism and Israel. He held discussions about teenage pregnancy, drugs and crime and introduced his congregation to new authors and artists.

Jones also took his students to Chicago's rough South Side and introduced them to the lives that other kids their age live - one of drugs, gangs and death. During the height of the civil rights movement, this kind of trip for kids like Hillary Rodham were unheard of.

"He came a very important time in our lives," said Betsy Ebeling, a longtime Clinton friend who attended Jones' youth group. In short, she described Jones as "very influential."

Ricketts went further, telling CNN that Jones wasn't only influential, he was life altering.

"He was very influential in giving us a different perspective, a different world view," he said. "It wasn't revolutionary, but he challenged us to look at things in a different way and a broader perspective."

A different view on faith

From the moment Jones arrived in Park Ridge, he was on thin ice, according to a number of people close to him. He was not a "fundamentalist" or "literalist," said Peter Jones and that rubbed some in the community the wrong way.

"It was a conservative community and church," his son said, "And he was a free thinker."

"He wasn't a religious figure that tried to indoctrinate or tell people what to think or feel or believe," said David Jones. "He used a method that really drew people out and questioned them."

So just two years after he moved to Park Ridge, Jones left. And although it is not totally clear, Ricketts and others said his unorthodox style may have been the reason.

"The things that Don did didn't exactly endear him to the people who were the movers in shakers in Park Ridge," said Ricketts, who vividly remembers when Jones left the community. "They were rather more conservative and weren't entirely sure that they wanted the kids exposed to so many different ideas."

Jones returned to Drew in 1966, a place he where he remained for the next four decades.

To Clinton, the mark the Jones left was already deeply cemented. The two stayed friends, regularly exchanging letters until Jones died in April 2009 at 78.

According to Radcliffe's book, Clinton wrote him in 1964 and told him that she wasn't getting along with the new youth minister.

"I think he believes I'm a little radical," she wrote.

The letters continued when Clinton arrived at Wellesley College. In April 1966, she wrote Jones to talk about her new identities at college and in later that year she wrote him to talk about her changing view on politics.

"I wonder if it's possible to be a mental conservative and a heart liberal," she wrote.

Ricketts, who has kept up with Clinton since their years in Park Ridge, said Jones continued to mentor the budding politician long into her career.

"She has a very close relationship with him," he said, noting that Jones attended both of Bill Clinton's inaugurations and would visit Washington during the presidency. "He held her in very, very high regard," said David Jones.

'Lifelong friend and mentor'

When Jones died, the university remembered him as "a beloved professor" and icon in the small New Jersey town. Clinton honored him as "a lifelong friend and mentor."

"Don taught me the meaning of the words 'faith in action' and the importance of social justice and human rights," she said in a letter. "I will miss him and will be grateful forever for the gift of his intelligence, counsel, kindness and support over many years."

Although the former first lady, senator and secretary of state has mentioned more prominent figures as inspirations -- like former first lady Eleanor Roosevelt and activists Malala Yousafzai -- the faith leadership that Jones provided appeared especially enduring.

At a 2007 faith forum put on by CNN when Clinton was running for president, she mentioned her "old friend" and youth minister in a question about prayer.

"I was raised to pray," Clinton said. "As a little girl, you know, saying my prayers at night, saying grace at meals, praying in church."

Jones' impact on Clinton came up again in at another CNN faith forum in 2008 when Clinton's description of her faith foundation tracked very close to what Jones taught her in the 1960s.

"I have tried to take my beliefs, my faith, and put it to work my entire life," she said. "And it has been gratifying to do the little I've done to try to help other people, which is really what motivates me."

To people close to Clinton, including old friends from Chicago, Jones' impact on the Democratic frontrunner remains clear as she contemplates another presidential run.

Faith continues to be an important part of Clinton's life, according to Burns Strider, Clinton's friend and faith adviser. Clinton carries a bible in her purse, Strider said, and will occasionally argue biblical texts while traveling.

"I think she lives based on how her faith and her experience within her faith, be it the youth trips into the city, the service trips, and different things, has informed her," he said.

And to Ricketts, Jones' impact was unmistakable.

"Hillary is the sum of all of these experiences and all of these philosophical expressions in her youth," he said. "She has absorbed all of the experiences that she has had and benefited from the really positive influence of Don."

@highlight

Don Jones landed in conservative Park Ridge, Illinois, in the early 1960s with a purpose

@highlight

He wanted to open the eyes of its young people, and young Hillary Rodham responded

@highlight

She mentions Martin Luther King Jr. as an inspiration, but Jones impacted her for decades

@highlight

He died in 2009, but she remembers his counsel as she contemplates another White House run