Walter White, the high school chemistry teacher turned meth dealer in the fictional TV series "Breaking Bad," would seem to have little in common with the real-life President Lyndon B. Johnson, who played a celebrated part in the passage of the Civil Rights Act 50 years ago.

Yet Bryan Cranston, who played White and now stars as LBJ in a Broadway play, sees a common thread: "They're both very powerful, strong-willed, smart and damaged. In both cases, ego had a large part of what downfall they had," Cranston said when I questioned him in a recent panel discussion.

Last week, I had the pleasure of taking a group of 50 Princeton students to the new Broadway play "All The Way," starring Cranston as Johnson. Written by the Pulitzer Prize-winning Robert Schenkkan, the play is a riveting portrait of one of the most important and controversial presidents in American history.

Besides great entertainment, "All the Way" also offers an excellent opportunity to think about some of the lessons we need to include in our civic education to younger Americans, some of the aspects of politics that often elude the textbooks. Among those lessons:

Insider politics can be good: The era of insider politics had its virtues. In Johnson's time, politicians came to Washington for most of their career, spending their adult lives in the city and displaying a true passion for the political process.

This is difficult to understand in the post-Watergate landscape, when most elected officials spend their time railing against Washington, trying as hard as possible to have as little do with Capitol Hill as possible. While many put  down former President Jimmy Carter, most politicians still try to replicate the anti-politics campaign style that he perfected in 1976, where his major selling point was not being part of Washington's broken system. As a result of fundraising and cheap air travel, more politicians spend their time outside of the district or inside the halls of events filled with wealthy donors from whom they're trying to raise another buck.

Distrust in government is healthy and skepticism about Washington is well-deserved, but there was also something important about an era like the 1950s and 1960s when our nation's leaders lived and breathed the institutions of government.

In a long career in Washington, Johnson developed close relationships with other members of Congress and gained an intimate knowledge of all the issues, the history, and the arcane procedures that gave character to the city. His longstanding relationship with Republican Sen. Everett Dirksen, with whom he had worked closely throughout the 1950s when LBJ was Senate majority leader, enabled negotiations over civil rights to move forward.

Politics and policy are connected: Too often these days, politics is a dirty word. Television shows like "Scandal," "Homeland" and "House of Cards" all present politics as a power game replete with maneuvering and manipulation.   (Sometimes life actually imitates art. Last week the House of Representatives took a "House of Cards"-style vote. When a bill looked like it was going to face defeat, the House Republicans pulled the bill from the floor and members went back to their offices, waiting to hear what would come next. While they waited, leaders from both parties sneakily brought the bill back to the floor for a quick vote. The bill passed as most members sat in their office having no idea what was taking place.)

But "All the Way" is a powerful reminder that politicians often use their ambition and ruthless drive for power productively. It might make you "squeamish," Cranston tells the audience in the final scene of the play, but this is how new policies are born.

LBJ is as manipulative as any character in "House of Cards," obsessing over power and willing to twist arms as far as they could go without breaking. But Schenkann captures something essential about LBJ and his allies on Capitol Hill: namely, that often power-craving politicians use that ambition toward higher ends.

The process is ugly, confusing, and messy. But in this case the product is something magnificent. The Civil Rights Act of 1964 was a "big f-ing deal," in the words that our current vice president, Joe Biden, used to describe President Barack Obama's health care reform. When all was said and done, the Civil Rights Act ended the system of racial segregation that had defined public life in the South since the end of Reconstruction.

Politics is about compromise: In today's political environment, compromise is a dirty word. We don't value leaders who adjust their positions in the pursuit of cutting deals, dismissing them as flip-floppers and sellouts.

"All the Way" is about the necessity of compromise to keep things moving. Johnson, as well as the Rev. Martin Luther King Jr. agree to huge compromises that anger their supporters -- including civil rights leaders and Vice President Hubert Humphrey -- by, for example, agreeing to exclude voting rights from the legislation. At one point, Cranston's Johnson explains, "This is not about principle. It's about votes!"

The costs of presidential hubris: Although the play focuses on the Civil Rights Act and election of 1964, the seeds of Johnson's destruction are planted in the early discussions of Vietnam surrounding the Gulf of Tonkin Resolution in August 1964, when Johnson's political fears of a right-wing backlash (against a president who might be depicted as refusing to stand firm against communism) led him deeper into the mire of Vietnam. Even as Humphrey warns Johnson against getting deeply involved in the faraway conflict, Johnson, at the height of his influence, is confident that he will be able to contain it.

This is one of the lessons of presidential history that is too often forgotten. We see again and again, especially in the realm of foreign policy, how presidents from both parties can go too far, believing they know best and insisting they can avoid the mistakes of their predecessors. Their decisions ultimately damage their legacy and the nation.

Sometimes popular culture doesn't have much to offer for the real world. But "All the Way" is a great history lesson for voters and politicians who are concerned about the quality of America's civic life.

@highlight

Bryan Cranston sees the destructive role of ego in stories of LBJ and fictional Walter White

@highlight

Julian Zelizer says the actor's portrayal reveals important lessons about politics

@highlight

Compromise is what politics is all about, and there's value to political insiders, he says

@highlight

Zelizer: Civil Rights Act's passage showed potential for politics to improve America