OXFORD, Mississippi (CNN)  -- Here, in what could be called the Fort Knox of dope, Mahmoud ElSohly waits patiently as an assistant unlocks the stainless steel door to a climate-controlled vault.

Mahmoud ElSohly oversees the nation's largest legal marijuana garden at the University of Mississippi.

Once inside, under the gaze of security cameras and a blinking motion sensor, another scientist pries open the lid of a large cardboard barrel, opens a large plastic bag and digs his hand into the vat of meticulously manicured marijuana.

We are in the Coy W. Waller Laboratory Complex on the campus of the University of Mississippi, getting a look at the only legal marijuana farm and production facility in the United States. This is the government's "cannabis drug repository."

This is the government's stash.

Since 1968, the National Institute on Drug Abuse has contracted with the university lab to grow, harvest and process marijuana and to ship it to licensed facilities across the country for research purposes. The lab also collects samples of marijuana seized by police to determine its potency and to document national drug trends.

Like a cask in a wine cellar, this barrel of marijuana is marked with the year of vintage. It is one of many in the room. ElSohly, the director of the lab, guesses that it holds 10 to 15 kilos, or about 22 to 33 pounds, of impeccably clean "product."  Watch what the government's growing »

How much would this be worth on the street?

"A lot," he answers.

He's not being evasive. It's just that the value of the marijuana, like the gold at Fort Knox, fluctuates wildly. And like the government gold, it is not for sale. So the question is academic and of little concern.

But the security of the operation is of obvious concern.

Earlier, amid blazingly green plants in the facility's grow room, ElSohly gave us a Cliffs Notes rundown of the facility's security.

"Within this building right here," he said, "we have seven different alarm systems. We have camera systems. We have cameras in this room." Cameras, an aide tells us, that are monitored by the Drug Enforcement Agency in suburban Washington.

The nearby fields, where the marijuana is grown, are double fenced, ElSohly said.

The fields are empty now, awaiting the National Institute on Drug Abuse's next order. But when a crop is in growing, armed guards are posted around the clock in the low guard towers.

And everywhere, there are locked doors. Keyed locks and push-button locks. Locks are as omnipresent as the skunk-like smell of raw marijuana.

In the past few years, we have seen marijuana from an array of perspectives on the government's side of the war on drugs. On the northern border, we've flown with Immigration and Customs Enforcement officials in the Cascade Mountains, retracing the path of smugglers who flew helicopters dangerously weighed down with bundles of "B.C. Bud" through mountain gaps to avoid detection.

On the southern border, we've been escorted into an old jail cell to see 3 tons of marijuana seized the previous night and talked to border agents about the seizure. They were nonchalant.

And last year, far from either border, we accompanied drug czar John Walters on a trip to a national forest where a drug cartel had a 10,000-plant garden.

So the sight of mega-quantities of marijuana is not new to us.

But this is the first time we've seen a taxpayer-funded marijuana garden. And the incongruous feature isn't necessary the sight of government-sanction plants but rather the lengths taken to protect it from the world beyond the double fence, where, of course, marijuana is abundant.

Inside the lab, scientists tend to about 500 plants. Outside the fence, police found 6,000 plants in 10 Napa County, California, homes in 2007.

Inside the fence, the government processed 400 kilograms -- about 880 pounds -- of marijuana during its last harvest in 2007. Outside the fence, police eradicated more than 5.2 million plants on public and private lands in California alone last year.

Of course, marijuana inside the fence has added value as a scientific tool. Researchers know the genetic makeup of the plants, and that is essential if you're studying the impact of a drug that, with 14.8 million users, is the most widely used illicit drug in the country.

And that's what brought us to the lab in the first place.

The government was announcing that the average potency of marijuana outside the fence has reached a landmark record level.

Although street marijuana in the early 1980s had an average strength of 4 percent tetrahydrocannabinol -- the drug's primary psychoactive ingredient -- the average was 10.1 percent last year, the government announced.

Mexican drug cartels now control about 90 percent of the marijuana smuggled into the United States, according to the Drug Enforcement Administration. The marijuana is of lower quality and is mostly sold in urban areas, a spokesman said.

The marijuana coming across the southwest border, traditionally a source of low-potency drugs, has increased in strength from a median potency of 4.8 percent in 2003 to 7.3 percent in 2007.

As a consequence, inexperienced or young marijuana users may be more prone to overdose, federal officials say. And users hoping to achieve a state of euphoria may experience dysphoria, a state of anxiety and irritability, and perhaps other ill effects.

Legalization advocates argue that the government could require THC content labels on marijuana, much like alcohol is labeled, so users could regulate their intake.

The government knows about the average THC levels of street drugs because of work done at the University of Mississippi lab.

That work begins with Susan Foster, a lab employee. It is Foster's job to receive shipments of marijuana from crime labs across the country. Foster assigns each bag -- typically containing 25 grams -- a computer tracking number.

It is spring, so the workload is increasing, Foster says. In April, the lab received between 300 and 400 samples. But 500 samples is not uncommon during summer months, she says.

Other lab workers "manicure" the drug, removing seeds and stems, and put the clean drug in small beakers. A solution is added, and the liquid is gasified and analyzed by four machines.

Ultimately, a computer screen displays the chemical composition of the samples.

"The highest [THC level] that I've ever seen was in excess of 30 percent," ElSohly said, adding that such high potency is rare.

But potent dope is becoming more plentiful.

"I predict that the potency will continue to go up simply because there are still a lot of samples that are 3 percent and 4 percent and 5 percent," ElSohly says. "What I expect in the future is that more and more will be 9 percent and higher, so the potency on the average will continue to get higher.

"But there's obviously a physical limit to how much THC the plant can produce," he said. So ElSohly predicts that potency will plateau at 15 to 16 percent, probably in the next five to 10 years.

ElSohly said he personally opposes the legalization of marijuana for recreational use, believing that it would increase abuse of the drug.

But he says that it has medical benefits for cancer patients and others but that smoking the drug is a poor means of medicating a person.

His first effort to develop a pharmaceutically acceptable means of delivering the drug flopped, he says.

His delivery device: a suppository.

"People really don't like suppositories, so it really didn't make it on the market," he said.

He is now developing a delivery method that works like a skin patch but tucked into the mouth.

In January, a DEA administrator turned down an application by a Massachusetts man to open a second facility to grow marijuana for research purposes. The DEA said professor Lyle Craker failed to show that the "longstanding existing system in the United States of producing and distributing research-grade marijuana ... is inadequate."

It also objected to Craker's sponsor, saying the sponsor's "past and ongoing" use of marijuana "is unacceptable for anyone seeking to have a prominent role in overseeing" a marijuana farm.

Craker is appealing the decision.

So for now, the Mississippi farm remains the only legal marijuana farm in the U.S.

And ElSohly has no plans to endanger that arrangement.

"I want to ask what your Christmas parties are like," he is told.

He deadpans: "No smoking."

@highlight

University of Mississippi lab is home to the nation's only legal pot farm

@highlight

The U.S. government grows marijuana, tests its potency

@highlight

Study finds percentage of psychoactive ingredient in pot on the rise

@highlight

Mexican cartels control most U.S. pot, but it's lower quality