New York (CNN) -- Forget Punxsutawney Phil's predictions. The words "Play ball!" are the most dependable sign that spring has arrived in America. Finally, baseball season is here.

Maybe because it is an outdoor game, with a schedule stretching across three seasons. Maybe because it is a child's game played by men, bridging the different times of our lives. But the start of the baseball season is always greeted with relief, a sign of rebirth and hope, that this year appropriately coincides with Easter. 

Winter is over. The bleak time has been survived. And slowly but soon the familiar rhythms of life will reassert themselves. This, as it's referred to in the film "Bull Durham," is the church of baseball, open to all. 

It is a sport more appropriately known as a pastime, "the national pastime." The pace of the game is part of its charm -- meditation and strategy interspersed with furious action. The sounds of the game are the background track to summer. As a sport played without a clock, a baseball game occurs out of time. It could theoretically go on forever.

The past is always present in baseball -- it is "a haunted game," as Ken Burns' documentary "Baseball" intones, with typically perfect pitch. The best players of today compete not just with the players in their league, but the best players of all time. Statistics are the unlikely portal to this bit of metaphysics. Fans can compare players of different eras and dream up their own all-time all-star team. This is another reason to love the game: Baseball can inspire young fans to see the fun in math and history.

I am a Yankees fan, first minted in 1979, looking up at a poster of Ron Guidry, Willie Randolph and Greg Nettles -- meaning that I waited 17 years to see them return to World Series-winning form. It was a case of bad timing:  I stayed true when just about everyone my age in New York was rooting for the Mets in their championship 1986 season. This takes not quite as much character as remaining a Chicago Cubs fan, but it's somewhere in the same ballpark. 

Now with the Yankee players of the legendary late 1990s teams reaching the twilight of their careers, I am not expecting to win our division this year, let alone see the World Series. But with the start of the new season, a blank slate in front of us, the possibility exists, and that in itself is liberating.

As much as I love the Yankees, I love the game of baseball more. Which is why I always harbor a secret hope on opening day that the long-suffering Cubs fans will finally get to see a World Series win in their antique jewel of a ballpark, Wrigley Field.  I want to see baseball tradition and fan faith rewarded.  Even when the Yankees' archrivals, the Boston Red Sox, won their 2004 World Series after 86 years of waiting, I quietly cheered, because New England fans had waited long enough and deserved some deliverance. The love of the game comes first.

These are a fan's notes before opening day, a rambling love letter to a game that still surprises me with how much I miss it in the offseason.  None of these thoughts or emotions is entirely original, but they are from the heart. 

The church of baseball has many hymns, from Ken Burns' epic "Baseball," to films like "The Natural" and "Field of Dreams," to books like "The Boys of Summer." Sports columnists like Red Smith, Jim Murray and Shirley Povich captured enduring moments in the newspapers of their day.

But the finest tribute, to my eyes and ears, came from the typewriter of Bart Giamatti, the one-time president of Yale and Red Sox fan, who died of a heart attack at the age of 51, just 154 days into his tenure as the commissioner of baseball: "It is designed to break your heart," he wrote. "The game begins in the spring, when everything else begins again, and it blossoms in the summer, filling the afternoons and evenings, and then as soon as the chill rains come, it stops and leaves you to face the fall alone."

But this is the beginning of the season. The knowledge that "this too will pass" takes away none of the thrill that comes with new beginnings. There are green outfields and long summer days ahead of us. The story of this season is about to be written and we will all get to be witnesses. Finally. Again. 

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

The start of the baseball season coincides with Easter this year

@highlight

John Avlon says the church of baseball is open to all

@highlight

Avlon: Return of baseball is a reliable sign of spring and a moment to savor