Washington (CNN) -- What a difference a decade makes.

When George W. Bush and Dick Cheney led the United States to war in Iraq over the issue of chemical weapons 11 years ago, they had the support of all but six of the majority Republicans in the House of Representatives.

Now there are three times as many Republicans on the record against a strike on Syria.

U.S. Senate: How they'll vote on Syria strike

U.S. House: How they'll vote on Syria strike

Bush has declined to weigh in on Syria and Cheney's daughter, Liz Cheney, running for U.S. Senate in a tough primary challenge against fellow Republican Mike Enzi in Wyoming, has come out against Obama's plan to strike Syria.

Cheney told a town hall meeting in Wyoming on Tuesday that Obama has taken "an amateurish approach to national security and foreign policy," according to the Jackson Hole News and Guide.

Cheney also said her opposition to intervention should not be misconstrued.

"The press will try to portray this Syria debate as a battle between wings of the Republican Party," she said, according to the newspaper. "Don't believe them."

But there's a lot of evidence that there is a battle going on in the GOP. Start with Cheney, who has defended her father's involvement in the lead-up to the Iraq war and who, before she was a Senate candidate, talked about the need for red lines in Syria.

If Obama wants to lead the United States against Syria this year to ward off the spread of chemical weapons, he'll have to do it in spite of a Republican House, not with its help.

Senate panel backs military strike plan

What happened between now and then? War -- 11 years of it in Afghanistan and Iraq. Those wars are not popular with Americans and neither is the prospect of military strikes within Syria. Two polls out Wednesday from ABC News/The Washington Post and from Pew showed opposition to military strikes far outweighed support.

Polls: Should U.S. launch strikes against Syria?

There are stalwart security-minded Republicans who beat the drum and argue the United States should lead the international community against bad actors.

Sen. John McCain of Arizona, the party's standard-bearer in 2008, has been the single most vocal lawmaker in favor of U.S. military action against Syria.

McCain, Graham issue tough warnings on Syria dilemma

Borger: Obama's irony, McCain's agony

But most of the convincing he'll have to do is among his own party, which rode the war on terror into Iraq on the premise of weapons of mass destruction.

When McCain ran for president, he easily defeated Rep. Ron Paul of Texas in the primaries and at times he laughed off Paul's noninterventionist approach to foreign policy.

McCain isn't laughing now at Paul's son, Rand, the Kentucky Republican and potential 2016 presidential candidate who shares many of his father's noninterventionist views and is organizing the effort against a strike on Syria.

Paul to Obama: Don't rush into war in Syria

The first test vote on Capitol Hill came Wednesday when the Senate Foreign Relations Committee voted 10-7 in favor of the president's proposal. That's a margin close enough to raise questions about whether the proposal will have enough support to get beyond a filibuster. Five of the committee's Republicans, including Paul, voted no.

McCain joined the majority of Democrats in voting yes.

A number of Republican leaders have joined the call for military strikes, including House Speaker John Boehner and Majority Leader Eric Cantor, the top Republicans in the House. But they're just two of eight Republicans in the House to publicly endorse military action.

Other voices in the party are growing louder in their opposition. Sarah Palin, who defended the war in Iraq as McCain's running mate in 2008, posted a Facebook message on Syria that declared Americans should just let "Allah sort it out."

Obeidallah: Palin's offensive remarks about Syria

Sen. Ted Cruz, a Texas Republican, has questions about the motives of the Syrian opposition fighting against the government there. He said the airstrikes against Syrian President Bashar al-Assad would turn the U.S. military into "al Qaeda's Air Force."

Certainly, there are Democrats who opposed the war in Iraq who are now arguing for intervention in Syria. Both Sens. Dick Durbin of Illinois and Barbara Boxer of California voted against the resolution in 2002 that gave Bush the authority to invade Iraq. They both supported Obama on Capitol Hill on Wednesday.

John Kerry, the secretary of state making Obama's case this week, came to regret his own vote in favor of invading Iraq. Now he finds himself arguing that the use of chemical weapons in Syria requires that the United States takes action.

But the story of foreign policy transformation here seems more definitive on the Republican side.

Nowhere is that tension more obvious than with Sen. Marco Rubio, the Florida Republican and another potential 2016 presidential candidate, who seems torn between McCain and Paul on the issue. Rubio has long been critical of the Obama administration on Syria and called for more support of the rebel factions struggling to topple Assad.

But Rubio ended up voting against giving the president war powers on Wednesday even as he said Obama should have done much more earlier.

"While I have long argued forcefully for engagement in empowering the Syrian people, I have never supported the use of U.S. military force in the conflict. And I still don't. I remain unconvinced that the use of force proposed here will work," he said. "The only thing that will prevent Assad from using chemical weapons in the future is for the Syrian people to remove him from power. The strike the administration wants us to approve I do not believe furthers that goal. And in fact, I believe U.S. military action of the type contemplated here might prove to be counterproductive."

For now, at least, the GOP's foreign policy preference appears to be slanting away from John McCain and toward Rand Paul.

@highlight

When the war in Iraq started 11 years ago, many Republicans in the House supported it

@highlight

Now it appears many House Republicans opposes military action in Syria

@highlight

More than a decade of war in Iraq and Afghanistan has led to noninterventionist views in GOP

@highlight

John McCain favors intervention, Rand Paul does not, and Marco Rubio is in between