(CNN) -- In the narrow winding lanes of Old Delhi, the knotted masses of electrical wiring hanging across the streets are sometimes so thickly entwined they blot out the sun.

In the streets of Bangkok, electricity wires loop and run in chaotic bundles from concrete power poles. In the slums of Mumbai to the townships of South Africa, electricity infrastructure is a triumph of make and mend.

For power utilities in emerging markets, collecting the bills from this tangled skein of wiring is a nightmare and slow payment - even outright energy theft - remains a powerful disincentive for new investment in the sector.

Smart solutions

One company, however, says smart meters may hold the answers to the power problems of the world's emerging markets.

While smart meters have been in use in the United States and Europe for more than a decade, in markets such as Africa they are set to encourage much-needed investment in the sector.

The devices not only record electricity consumption but relay information back to the utility for monitoring and billing purposes. Critically, they also require pre-payment which means that utilities that produce the power can be sure they will be paid for it.

Alain Bollack, director at the Global Power & Utilities Centre of Ernst and Young, said the company worked with the city of Tshwane outside Johannesburg in South Africa to install pre-paid smart meters to solve endemic problems of late payment, long-term debtors and electricity theft.

"The city had two major problems," Bollack told CNN. "The first was they couldn't collect the cash from customers -- either businesses or individuals. They had 800,000 customers that were an average 500 days in arrears.

"The second was that a lot of clients were stealing electricity and that's very common in emerging markets."

Chaotic infrastructure

He said the chaotic nature of the electricity infrastructure in places like Africa or India means that stealing energy is easy.

"Often it's as easy as hooking onto a line, bypassing the meter and getting free energy. The first major problem of energy in emerging markets is getting access to it i the first place, the second problem is that when there is access it gets stolen."

He said cities such as Mumbai had worked hard over the past 10 years to reduce the opportunity for consumers to steal electricity.

"Over ten years ago, some 65% of the energy produced in Mumbai was not paid for," Bollack said.

Smart meters, he said, require customers to pay before they consume and also relay information back to the utilities if the meters are tampered with in any way.

Legislation is key

So far, some 3000 smart meters have been rolled out in Tshwane, particularly among high consumers of energy. At the core of the solution, however, is legislation and Bollack said that the city government passed laws to enforce the new rule.

"That might not be very pleasant for many consumers but, at the end of the day, if you provide a service, it's quite normal to pay for it," Bollack said. "If you have asked nicely for many many years and people still won't pay, then you have a right to enforce that by law."

He said the value proposition extended to consumers in that they also gained a better picture through smart metering of what and how they consumed electricity.

Ultimately, however, energy theft is not a sustainable business model, leading to under-investment, more costly production and higher prices. Bollack said that Tshwane's foray into smart meters was now being viewed with interest from countries throughout the region including Ghana, Zimbabwe, Mozambique and parts of Nigeria.

"They are looking at it as a possible way of resolving the financing problem of energy infrastructure in Africa," Bollack said. "If you are lucky if you've got investors from China or the US or Europe, who are happy to put billions on the table but don't have any guarantee of return on investment."

Holy grail

He said that smart meters in Africa are fast becoming the holy grail for energy sector investors and ultimately could accelerate investment that would provide power for millions more people in the region.

While critics might argue that consumers have gone from free, albeit stolen electricity, to electricity they now can't afford, Bollack said smart meters, for the first time, could reverse the vicious circle created by energy theft.

"The business case for the city of Tshwane is interesting," he said. "Energy is one of the city's main sources of revenue and what they are saying is that smart meters are not being introduced to balance the books, but to collect the cash to reinvest it into the community.

"Even though there's a lag between when you collect the cash and reinvest, what you ultimately create is a virtuous circle."

Read this: Is this the end of the 9-5 working day?

Read this: Driverless vehicles: The end of the road for the trucker?

@highlight

The city of Tshwane in South Africa is installing pre-paid electricity smart meters

@highlight

The city has endemic problems of late payment, long-term debtors and electricity theft

@highlight

It's hoped smart meters will bring much-needed investment in the sector

@highlight

Poor electricity infrastructure in places like Africa or India makes energy theft easy