You do not want to talk to me on the phone. How do I know? Because I don't want to talk to you on the phone. Nothing personal, I just can't stand the thing.

I find it intrusive and somehow presumptuous. It sounds off insolently whenever it chooses and expects me to drop whatever I'm doing and, well, engage. With others! When I absolutely must, I take the call, but I don't do a very good job of concealing my displeasure. A close family member once offered his opinion that I exhibit the phone manners of a goat, then promptly withdrew the charge — out of fairness to goats.

So it was with profound relief that I embraced the arrival of e-mail and, later, texting. They meant a conversation I could control — utterly. I get to say exactly what I want exactly when I want to say it. It consumes no more time than I want it to and, to a much greater degree than is possible with a phone call, I get to decide if it takes place at all. That might make me misanthropic. It surely makes me a crank. But it doesn't make me unusual.

(Read about the TIME Mobility Poll here.)

The telephone call is a dying institution. The number of text messages sent monthly in the U.S. exploded from 14 billion in 2000 to 188 billion in 2010, according to a Pew Institute survey, and the trend shows no signs of abating. Not all of that growth has come out of the hide of old-fashioned phoning, but it is clearly taking a bite — particularly among the young.

Americans ages 18-29 send and receive an average of nearly 88 text messages per day, compared to 17 phone calls. The numbers change as we get older, with the overall frequency of all communication declining, but even in the 65 and over group, daily texting still edges calling 4.7 to 3.8. In the TIME mobility poll, 32% of all respondents said they'd rather communicate by text than phone, even with people they know very well. This is truer still in the workplace, where communication is between colleagues who are often not friends at all. "No more trying to find time to call and chit-chat," is how one poll respondent described the business appeal of texting over talking.

The problem, of course, is what's lost when that chit-chat goes. Developmental psychologists studying the impact of texting worry especially about young people, not just because kids are such promiscuous users of the technology, but because their interpersonal skills — such as they are — have not yet fully formed. Most adults were fixed social quantities when they first got their hands on a text-capable mobile device, and while their ability to have a face-to-face conversation may have eroded in recent years, it's pretty well locked in. Not so with teens. As TIME has reported previously, MIT psychologist Sherry Turkle is one of the leading researchers looking into the effects of texting on interpersonal development. Turkle believes that having a conversation with another person teaches kids to, in effect, have a conversation with themselves — to think and reason and self-reflect. "That particular skill is a bedrock of development," she told me.

Turkle cites the texted apology — or what she calls "saying 'I'm sorry' and hitting send" — as a vivid example of what's lost when we type instead of speak. "A full-scale apology means I know I've hurt you, I get to see that in your eyes," she says. "You get to see that I'm uncomfortable, and with that, the compassion response kicks in. There are many steps and they're all bypassed when we text." When the apology takes place over the phone rather than in person, the visual cues are lost, of course, but the voice — and the sense of hurt and contrition it can convey — is preserved.

Part of the appeal of texting in these situations is that it's less painful — but the pain is the point. "The complexity and messiness of human communication gets shortchanged," Turkle says. "Those things are what lead to better relationships."

Habitual texters may not only cheat their existing relationships, they can also limit their ability to form future ones since they don't get to practice the art of interpreting nonverbal visual cues. There's a reason it's so easy to lie to small kids ("Santa really, truly did bring those presents") and that's because they're functional illiterates when it comes to reading inflection and facial expressions. As with real reading, the ability to comprehend subtlety and complexity comes only with time and a lot of experience. If you don't adequately acquire those skills, moving out into the real world of real people can actually become quite scary. "I talk to kids and they describe their fear of conversation," says Turkle. "An 18-year-old I interviewed recently said, 'Someday, but certainly not now, I want to learn to have a conversation.'"

Adults are much less likely to be so conversation-phobic, but they do become conversation-avoidant — mostly because it's easier. Texting an obligatory birthday greeting means you don't have to fake an enthusiasm you're not really feeling. Texting a friend to see what time a party starts means you don't also have to ask "How are you?" and, worse, get an answer.

The text message is clearly here to stay and even the most zealous phone partisans don't recommend avoiding it entirely. But mix it up some — maybe even throw in a little Skyping or Facetime so that when you finally do make a call you're actually seeing and interacting with another person. Too much texting, Turkle warns, amounts to a life of "hiding in plain sight."

And the thing about hiding is, it keeps you entirely alone.

@highlight

As texting use rises, the phone call is becoming a dying institution

@highlight

American age 18-29 send an average of nearly 88 text messages a day

@highlight

Psychologists worry social skills in young texters won't develop

@highlight

Habitual texters may hurt relationships, miss out on new ones