(CNN) -- Arriving in central Bangkok from the sparkling international airport, a visitor might not know at first glance that much of the city is under water.

Shops and restaurants are open as usual, while the futuristic sky train continues to ferry commuters to work in the numerous office complexes that make up the central business district.

But just a few miles northwards along the Vibhavadi Rangsit highway, the road gradually disappears into a sea of filthy brown water -- floodwater from the north of Thailand that shows little sign of disappearing quickly.

This is due in large part to a system of floodgates set up to protect the commercial center of the city and other key industrial areas by diverting the run-off to these parts.

For almost a month, residents in outlying areas such as Rangsit and Lumlukka have been living in water that is often chest-high. Many defied government evacuation orders to protect their property, even if it meant being stranded with limited food and no clean running water.

Read predictions that flooding would remain for weeks

Romeo Romei, a local businessman, lost his house and is battling to save his factory, but he still manages to take a boat out each day with his friend Alex Stamp and cousin Duccio Lucchesi to distribute water, food and clothes to those in need.

From his factory office in Rangsit, supplies donated by friends and family are sorted into rescue packs for men, women and children, while the factory workers man an array of water pumps -- some of them cannibalized swimming pool pumps -- around the clock, praying that the defensive wall they erected around the warehouse doesn't collapse. They are literally under siege from the water.

Yet Romeo is concerned about the 10 families around the corner who have been forced to set up camp on the upper floors of a dilapidated industrial building nearby.

Watch Romeo visiting families in a Rangsit warehouse

Riding in the fully-laden dinghy across what was once the factory's car park, he explains what spurred him into action. "For the first few days after the floods we went about our business dealing with the factory. But soon we couldn't bear to see people suffering."

He says the government is not helping these people, while aid agencies are nowhere to be seen around these flood-hit streets. "I saw one boat with around 10 packs of food, but there are thousands of people here," he said.

On Tuesday, Prime Minister Yingluck Shinawatra laid out a three-point recovery plan, including immediate aid to those whose homes and businesses have been destroyed. Meanwhile, relief workers have been distributing aid to evacuation centers but face difficulties reaching residents who have decided to wait out the crisis in their homes.

As we unload the supplies of eggs, fruit, rice and medicine at our destination, the conditions the families are living in is humbling. On the ground floor, children play in the same stagnant water that dogs defecate in, while the adults gather in their damp makeshift sleeping areas with what little they could salvage from their homes.

However, the atmosphere is not depressing, especially since a year-old baby has taken his first steps in this unlikely setting. Romeo points out that Thais never complain and always have a smile on their faces.

He contends this is because there is no expectation that anyone will be there to help them.

Watch Romeo and friends boat down a road in Rangsit

As the boat pushes off to find more people to help, we're immediately surrounded by people. Some are asking if we have water, while others are looking for diapers. No one seems greedy or aggressive. They paddle around in anything that will float, from polystyrene blocks to an old refrigerator, while small children swim about in "life jackets" made from empty plastic bottles strung together and stuffed into pieces of clothing.

This, Alex says, is evidence of the Thai ability to improvise and adapt in adversity.

Impact Your World: See how you can help

An internet security consultant, Alex frequently has to field calls from clients on the boat. He says he even dropped his iPhone into the water during one call and could not find it for five minutes. He eventually fished it out, and it continues to work.

After passing a partially submerged McDonalds drive-thru and a golf course which now resembles a Florida-style swamp, we spend time feeding countless abandoned dogs and cats -- a reminder of how quickly some people were forced to leave their homes. Romeo points out that one dog had been tied to the same railing for over a week.

The obvious buildup of garbage, both in and around the water, has raised fears about the spread of disease. According to the country's Ministry of Public Heath, some 20,700 kits have been distributed that test for leptospirosis, a severe bacterial infection that can affect areas where water has been stagnant for more than three weeks.

Romeo says he made sure his workers have had tetanus shots.

While most businesses around Rangsit and Lumlukka -- including the domestic Don Muang airport -- have been forced to close, the local hospital has remained open for emergency cases only -- provided patients can negotiate the improvised jetty and barking dogs at what was the emergency room entrance.

The ER has been completely destroyed, but a functioning triage unit has been set up on the first floor among piles of dental chairs rescued from another flooded wing. The staff -- doctors, nurses and administrators -- have all been living in the hospital since the crisis began. "We are coping," says the friendly receptionist without a hint of dissent.

Back on the highway-turned-river, the boat makes several stops to help people struggling to paddle or wade their way through chest-high water -- including a woman pushing a five-month baby in a kitchen basin, as she searched for diapers -- before we reach the house of Romeo's father on an affluent street. The street signs are almost all under water here, indicating a depth of at least two meters. We take our own measurement: 2.20 meters.

When we reach the house, dark green tide marks on the outer walls illustrate how the water had recently neared 2.5 meters. The ground floor is a disaster, as pieces of furniture float freely around what was the lounge. "I'm still smiling," Romeo's father says through gritted teeth. His son can barely recognize the house he grew up in.

The smell of stagnant water is also overpowering, while mold is starting to appear on the upper floors, thanks to the "cooking" of the water below in mid-afternoon heat. There's no electricity to power a fan or air-conditioning unit.

Two blocks away, Romeo's own house has not fared any better. A car roof can just be seen in the drive. Romeo's father, who moved from Italy to Thailand more than 30 years ago, thinks it will be months before the water will be gone. "But where will the water go?" he asks. "I can't see central Bangkok avoiding this."

By now it's almost pitch-black, with almost no street lamps working. The water is so congested with other boats -- some carrying cars -- that it takes us an hour to reach dry land. The changing depth is also a major hazard, as the propeller on the boat occasionally smashes against concrete.

Another hour-long journey in a car this time, and I'm back in central Bangkok. Commuters are heading home, and bars and restaurants are open. It's a different city.

@highlight

Floodwaters from north Thailand show little sign of disappearing quickly

@highlight

Residents in outlying areas have been living in water for almost a month

@highlight

A factory owner is trying to keep floods out of his warehouse

@highlight

He feels compelled to help stranded people nearby