(CNN) -- Since the moment Barack Obama took office, he has made a concerted effort to speak directly to the Muslim world.

Election posters hang on the exterior of many buildings in Tripoli, Lebanon, last week.

Even his inauguration address sent a new and different message from the United States:

"To the Muslim world, we seek a new way forward, based on mutual interest and mutual respect," he said on January 20, standing in front of a changed nation. "To those leaders around the globe who seek to sow conflict or blame their society's ills on the West, know that your people will judge you on what you can build, not what you destroy."

Next month, Obama will deliver a long-awaited speech to the Muslim world from Cairo, Egypt.

He will speak at a critical time for Lebanon, days before an election that could bring powerful Shia militia group Hezbollah to power.

This possibility could shake the foundation of Obama's attempts to bring stability and peace to the Middle East.

With one of the most powerful armies in the Middle East, Hezbollah is poised to lead Lebanon's government with the help of Lebanese Christian opposition leader, Gen. Michel Aoun.

Aoun signed a memo of understanding with Hezbollah in February 2006 and joined the March 8 bloc, led by Hezbollah. That could give the bloc the numbers it needs to control parliament after the June 7 elections.

There have been sporadic incidents of violence ahead of the vote: Billboards have been defaced and just last week, a Hezbollah-aligned political office was burned to the ground.

While these acts of violence are small by Lebanese standards, a friend who lives near the burned office told me it was a "terrifying reminder of last May."

That is when Hezbollah militants, in a blatant show of force, seized control of the streets of Beirut, marking the worst violence to hit Lebanon since the end of its civil war in 1991.

Many saw it as an embarrassment to Saad Hariri's ruling March 14 bloc, which had to grant major political concessions to Hezbollah to restore order to Beirut.

Hezbollah's leader has painted May 7, 2008, as a "glorious day that prevented civil war," but journalists like myself remember the day slightly differently: pinned down behind a building by raging gunfire.

At the time, I could not believe that Hezbollah gunmen were about to occupy half of the Lebanese capital. They did so until the government gave in; then they withdrew back to Beirut's southern suburbs, allowing the city's wealthy neighborhoods to return to normal for the summer.

Regardless, it was a show of force that people in Lebanon have not forgotten.

The lead-up to next month's vote has seen the same, typical -- and at times stereotypical -- Beirut antics.

Hezbollah has accused Hariri's political bloc of bringing Lebanese expatriates into the country in droves to try to swing the vote in its favor. Anyone who drives out to Beirut's airport can see these expats arriving from countries like Brazil, Canada and the United States.

Hariri swept to power in the wake of the 2005 assassination of his father, former Lebanese Prime Minister Rafik Hariri. Many Lebanese blamed Syria, which had dominated Lebanon politically and militarily since the civil war, for the killing. The assassination sparked widespread protests that led to the election of the younger Hariri's anti-Syrian bloc in parliament and the withdrawal of Syrian troops from Lebanon. Damascus has denied any role in Hariri's killing, but a U.N. investigation has found indications of Syrian involvement.

Now, it appears the tide is turning once again in Lebanon, this time in Hezbollah's favor.

Three years ago, Hezbollah -- which is supported by both Syria and Iran -- fought a war against the Israeli military, which failed to weaken the militia. Since that perceived victory over Israel, Hezbollah has been considered by its supporters to be the "defender of Lebanon."

So what happens on June 8 when the world wakes up to a Lebanon that sees Hezbollah aligned with Aoun as the majority and Hariri's March 14 bloc as the opposition party?

When Hamas won the elections in Gaza in January 2006, former U.S. President Jimmy Carter called the elections "free and fair." But that made no difference as Israel tightened its grip, and the two rival Palestinian factions, Hamas and Fatah, killed each other in the streets of Gaza.

Is the situation any different now for Lebanon, or is it perhaps even worse?

Lebanon's political landscape is shifting months after a similar shift in Israel. Voters in the Jewish state overwhelmingly supported conservative parties over more moderate groups, bringing into power Prime Minister Benjamin Netanyahu earlier this year.

Netanyahu is viewed in the Arab world as more hawkish than his predecessor, Ehud Olmert, who ordered the war against Hezbollah in 2006.

With an estimated 30,000 rockets pointed at Israel from southern Lebanon -- all under the control of Hezbollah -- how can Netanyahu sell the idea to the people of northern Israel that they are safe from a country ruled by Hezbollah-aligned politicians?

The situation means that the Arab world will be listening even more closely to Obama's June 4 address in Cairo to hear whether the U.S. president will champion democracy -- even if it means an inevitable standoff between Israel, a historically staunch ally, and Lebanon, as it struggles to find an identity both within itself and in the outside world.

@highlight

Lebanon elections on June 7 could bring Hezbollah to power, says CNN's Cal Perry

@highlight

That would shake President Obama's efforts toward Mideast peace, Perry says

@highlight

Obama plans to give major speech to Muslim world on June 4 in Egypt

@highlight

Will Obama champion democracy, given the situation in Lebanon, Perry asks