Fighting erupted Friday across Egypt between supporters of Mohamed Morsy and their opponents, leaving more than two dozen people dead and hundreds more injured while raising fears of widening violence after the military ousted the country's first democratically elected president.

The violence came as Morsy's supporters held massive protests across the country, calling for his reinstatement, a counter to huge demonstrations among those celebrating his ouster.

At least 26 people were killed and more than 850 were injured in clashes across the country that at times pitted Morsy supporters against his opponents and the military, state-run media reported, citing the Ministry of Health and medical officials.

Among those killed were five Morsy supporters who were shot by the army in front of the headquarters of the Republican Guard headquarters, where Morsy was said to be detained, the Muslim Brotherhood's political wing -- the Freedom and Justice Party -- said.

The health ministry reported that at least two people were killed and 65 injured in clashes there. It did not detail the injuries that led to the deaths of the two.

State broadcaster Nile TV, citing an unnamed security source, said live ammunition had not been used against demonstrators and no one was hurt or killed.

The fighting broke out when Morsy supporters tried to storm the building, Nile TV said.

CNN's Reza Sayah, reporting from outside the building, said he had seen one body around which scores of Morsy supporters were huddled, some of them crying.

A few feet away, demonstrators faced off across a barbed-wire barricade behind which stood a line of soldiers who detonated flash grenades and fired tear gas in an apparent attempt to get the demonstrators to move away.

Many of them did just that, though thousands of others remained in defiance. Demonstrators could be seen carrying away a wounded man. Some demonstrators waved flags and held pictures of Morsy and vowed not to leave until the military returns Morsy to office.

By nightfall, clashes on a bridge near Tahrir Square began after a standoff that saw anti-Morsy demonstrators advance on his supporters, with both sides throwing rocks and shooting fireworks at each other as hundreds of people ran, according to video footage.

About 100 soldiers, backed by armored personnel carriers, rolled on to the bridge to separate the two sides and break up the fighting.

CNN's Ben Wedeman was reporting live near the bridge when soldiers unplugged his crew's camera and confiscated the equipment. Wedeman said an agreement subsequently was reached that the camera would be returned -- without the video footage.

The violence was the latest fallout following Wednesday's move by the nation's powerful military to remove Morsy.

Morsy had become the nation's first democratically elected president a year ago, but failed to fix the nation's ailing economy or improve its crime problems and was seen by many as increasingly autocratic.

Anti-Morsy protesters eye next moves

Human Rights Watch has said he had continued abusive practices established by Hosni Mubarak, who was pushed out in a popular uprising in 2011 after three decades of iron rule supported by the U.S. government.

"Numerous journalists, political activists, and others were prosecuted on charges of 'insulting' officials or institutions and 'spreading false information,'" the rights group said.

Throngs of protesters filled Egyptian streets for days, calling for him to step down.

The president's supporters turned out at massive counter demonstrations.  At times, the two sides  clashed with deadly consequences.

On Monday, the army gave Morsy 48 hours to agree to share power or be pushed aside.

On Wednesday, the military rejected Morsy's conciliatory gestures as insufficient and announced its "road map" to stability and new elections.

Morsy and a number of leaders of the Brotherhood were arrested and may face charges over the deaths of protesters during clashes with Morsy's supporters, many of whom also died.

Moves spark outrage

Adly Mansour, head of the country's Supreme Constitutional Court, was sworn in Thursday as interim president.

Who is Egypt's Interim President?

He immediately dissolved Egypt's upper house of parliament, the Shura Council, and appointed a new head of intelligence, state TV said Friday.

The moves sparked outrage among Egyptians who saw them as counter to what their fledgling democracy was supposed to have been all about.

Mohamed Badie, the Brotherhood's spiritual leader, exhorted the thousands of people who packed the area around the Rabaa Adawiya mosque in Cairo to fight back.

"The coup is illegal and we will never accept its results," said Badie, whose title is supreme guide of the Muslim Brotherhood. "We sacrificed so dearly to reach this point, and we will never return to the past again."

Badie challenged the Egyptian army to "return to the arms of the nation."

The furor appeared to escalate during the day. By nightfall, a car was burning on the 6th of October Bridge, which commemorates the 1973 Arab-Israeli war, and leads to Tahrir Square, a focal point for anti-Morsy demonstrators.

In Haram, a neighborhood of Giza in greater Cairo, one person was killed and seven were injured when a group of armed men attacked a police station, a spokesman for the health ministry said.

At least 10 people were injured in clashes between supporters of Morsy and residents in the city of Damanhour, about 160 kilometers (100 miles) northwest of Cairo, Nile TV said.

State television showed pictures from Alexandria of security forces firing tear gas at pro-Morsy demonstrators.

Outside Cairo University, throngs of pro-Morsy demonstrators formed human chains while others participating in a sit-in shouted, "Police are thugs!"

Mohamed Ismail was among those protesting near the university when he said he heard gunfire and saw "thugs" appear.

They carried guns and knives, he told CNN.

"I saw scores of people falling from the gunshots," he said. "But I do not know how many people were killed and injured."

Gunshots and birdshot were used in the clashes between the two sides, the state-run Al-Ahram news agency reported.

Egypt's armed forces said they would guarantee the rights of protesters as long the protests resulted in neither violence nor destruction of property.

Dismantling the Brotherhood?

In a move likely to spark further unrest among Morsy supporters, Egyptian authorities arrested the Muslim Brotherhood's deputy supreme leader, Khairat el-Shater, and Salafi politician Hazem Salah Abu Ismail, on Friday in Cairo.

Abu Ismail was being held on allegations of inciting the killing of protesters in front of the Muslim Brotherhood headquarters in Cairo, according to a statement released by the prosecutor's office.

El-Shater, who was the Muslim Brotherhood's first presidential candidate before being replaced by eventual president Morsey, was being held in connection with accusations he incited the killing of protesters in recent days, state-run TV reported.

The detention of the two men, who are wildly popular among their followers, has raised fears it could spur more supporters into the streets.

Police, meanwhile, were seeking hundreds of other Brotherhood members, state media reported.

A spokesman for the Freedom and Justice Party said Thursday the coup had turned into "very, very questionable attempts by the military to dismantle the Brotherhood."

Opinion: Can the Muslim Brotherhood survive?

The Freedom and Justice Party chief, Saad el-Katatni, and the party deputy, Rashad Al-Bayoumi, who were arrested Thursday, had been released, Nile TV, said Friday.

The Tamarod, or "Rebellion," movement, which had sought Morsy's ouster, has nominated Mohamed ElBaradei, an opposition leader, to become prime minister.

ElBaradei, the former head of the International Atomic Energy Agency, described Morsy's ouster as a "correction of the uprising of 2011."

Other opposition leaders and protesters have objected to the use of "coup" to describe the military's removal of the elected president via non-democratic means.

President Barack Obama said the United States was "deeply concerned" about the move, but did not use the word "coup."

Washington has supplied Egypt's military with tens of billions of dollars in support and equipment for more than 30 years. Under U.S. law, that support could be cut off after a coup.

The United States on Friday condemned the deadly violence following Morsy's ouster.

"We call on all Egyptian leaders to condemn the use of force and to prevent further violence among their supporters," State Department spokeswoman Jennifer Psaki said.

"As President Obama said, we expect the military to ensure that the rights of all Egyptians are protected, including the right to peaceful assembly, and we call on all who are protesting to do so peacefully."

Meanwhile, the African Union announced Friday that it suspended Egypt from its ranks of member countries.

The AU's Peace and Security Council also said it was sending a team to Egypt to work toward restoring constitutional order.

More violence, more deaths

Of the 22 people killed Friday, state-run media reported 12 died in clashes in the northern Egyptian city of Alexandria, where Morsy's supporters and opponents have reportedly clashed for days.

Elsewhere, Islamist gunmen attacked Egyptian police stations and checkpoints in the Sinai, killing at least one soldier, agencies reported.

A senior intelligence officer who would not agree to being identified said two police officers were killed in the northern Sinai city of Arish when a group of men drove by the police station and shot them.

The assaults may have nothing to do with extremist threats to avenge Morsy's overthrow.

The desert peninsula next to Israel and Gaza has long eluded the control of Egyptian security forces, leaving extremists plenty of room to establish themselves.

The army said it was on high alert, a level below maximum alert, in the Sinai and Suez provinces. The military was enforcing a curfew until 6 a.m. local time Saturday in the northern Sinai Peninsula.

Egypt is the largest Arab country in the world and a close ally of the United States, which gives it $1.5 billion per year for military and civilian programs.

It controls the Suez Canal, a crucial sea route through which more than 4% of the world's oil and 8% of its seaborne trade travel.

With Jordan, it is one of two Arab countries that has made peace with Israel.

@highlight

At least 26 people were killed in post-coup violence, state media reports

@highlight

Gunshots and birdshot fired in clashes near Cairo University, witness says

@highlight

Egypt military arrests the Muslim Brotherhood's deputy supreme leader

@highlight

Egyptian soldiers stop CNN's Ben Wedeman from reporting, seize camera