Washington (CNN) -- Ten years after an anthrax attack killed five people and awakened the nation to the dangers of bioterrorism, the United States remains largely unprepared for a large-scale bioterrorism attack or deadly disease outbreak, according a new report from the WMD Terrorism Research Center.

The report, released Wednesday, gives the country mostly B's and C's for its ability to handle small-scale events, such as the anthrax letter attack of 2001, and failing grades for its ability to handle large-scale events, like the global epidemic depicted in the movie "Contagion."

Notably, the report gives the country a "D" across the board for the country's ability to develop and quickly approve medical countermeasures such as diagnostic tools and vaccines, which are crucial in outbreaks of all sizes.

The bipartisan center, headed by former Sen. Bob Graham, D-Florida, and former Sen. Jim Talent, R-Missouri, is an offshoot of the congressionally chartered WMD Commission, which concluded early last year.

In its report, the center says the U.S. has spent more than $65 billion on bio-defense during the past decade, but still has holes that leave it vulnerable.

"Today we face the very real possibility that outbreaks of disease -- naturally occurring or man-made -- can change the very nature of America," the report concludes. Technology is also making it easier for terrorists to create deadly mischief, the report says.

A small team of individuals with graduate-level training and readily available equipment "could produce the type of bio-weapons created by nation-states in the 1960s," the report warns.

The threat isn't simply hypothetical, the report says. Ayman Zawahiri, the presumed leader of al Qaeda following the death of Osama bin Laden, is a medical doctor with a known interest in bioterrorism, having started a bio-weapons program in Afghanistan and Malaysia in 1999, the report notes.

The report's authors say they recognize that budget constraints are preventing governments from addressing all of the shortcomings in current bio-terror preparedness. They recommend focusing on potential large-scale outbreaks, saying such preparations would automatically improve preparedness for smaller outbreaks.

"If you focused just on the 'F' grades, you can pour a lot of money down that hole," said the center's Randy Larsen. "If we work to make D's into C's, that is the best strategy for the nation."

Such a strategy will mean improving detection and diagnosis of large-scale diseases and attacks, improving the development of medical countermeasures such as vaccines, and developing methods of dispensing those countermeasures to large populations.

Center President Lynn Kidder said that because of budget pressures, she is "gravely concerned" about the nation's ability to sustain gains in public health made during recent years. Government leaders need to understand that biomedical programs "are not just nice-to-have programs. These are an integral part of our national security," she stressed.

The center stressed that one key to improving the nation's preparedness is leadership.

"We have recommended that there should be someone in the federal government who has (bioterrorism preparedness) as their sole responsibility," Graham said. "That someone should be an individual who has the capability to direct and influence actions by the multiplicity of agencies that are involved and provide leadership to non-federal entities."

The office of the vice president would be an appropriate spot for that job, Graham suggested.

The nation also needs to invest in "purpose-driven science," the report concludes. Scientific initiatives should focus on developing medical countermeasures to bio-weapons, environmental remediation, and bio-forensics to determine the source of attacks.

Talent said the government should not follow the usual pattern of ignoring the threat until it is too late, and then throwing "enormous amounts of money at it."

Instead, Talent said, the government should focus on the shortcomings identified in the report.

@highlight

America is unprepared for a major bioterrorism attack or disease outbreak, a new report concludes

@highlight

Big concern is attack with biological weapons

@highlight

Hospitals could not handle deadly disease outbreak, says report