(CNN) -- Known as "The Four Musketeers," they won fame and fortune on courts across western Europe in a golden era of style and glamor. Some 80 years later, a new quartet of dashing young men is seeking to make a similar mark for France.

Rene Lacoste, Henri Cochet, Jean Borotra and Jacques "Toto" Brugnon were collectively unbeatable in the 1920s and early 1930s, dominating world tennis for almost a decade and establishing France as a major power in the sport.

Named after a film version of the classic Alexandre Dumas novel, they ended U.S. supremacy in the prestigious Davis Cup teams competition, winning it six years in a row, and claimed 43 grand slam singles and doubles titles between them.

The famous Roland Garros venue was built in Paris to host the following year's Davis Cup defense, after their famous victory in Philadelphia in 1927, and the French Open's men's singles trophy was named after them.

After their demise, France had to wait 59 long years for another Davis Cup triumph, and it has been a decade since its last -- and ninth overall -- title. The last Frenchman to win a grand slam was Yannick Noah, in Paris in 1983.

But a modern group of players, dubbed "The New Musketeers" by national sports newspaper L'Equipe, are striving to carve their own place in history.

Gael Monfils, Jo-Wilfried Tsonga, Gilles Simon and Richard Gasquet were ranked in the world's top 13 after this month's U.S. Open, raising hopes that they can do better than when similarly placed as fresh-faced youngsters in 2008.

Last year they took France to the final of the Davis Cup, losing to Novak Djokovic's Serbia, and this weekend they will travel to Spain, the home nation of the world No.1's predecessor Rafael Nadal, in a bid to again reach the title decider.

Victory in Spain would likely set up a rematch with the Serbs, who host Argentina in the other semifinal -- with the champions undoubtedly fired up by Djokovic's U.S. Open triumph.

"When you don't have goals, when you don't have dreams, you are already dead. And this is a dream to win against Spain, in Spain," Tsonga told CNN's Open Court.

In 2008, he lost to Djokovic in the Australian Open final, and this year he was beaten by the Serb in the Wimbledon semifinals before falling to Roger Federer in the last eight in New York.

The all-action 26-year-old will spearhead France's challenge on clay in Cordoba, with world No. 7 Monfils ruled out due to a knee injury following his second-round exit at Flushing Meadows.

While he and his colleagues have all been ranked in the top 10, they are painfully aware they must take the next step and win major titles before they can be talked of in the same way as their more illustrious compatriots.

"We have to win the Davis Cup first," Monfils said. "And then, we try to win a grand slam ... but I think we need two or three Davis Cups and then maybe we can be like musketeers."

The original foursome came from very different backgrounds, with Lacoste the most famous after establishing a fashion label once his glittering playing career had finished as well as inventing the steel tennis racket.

"Lacoste came from a very wealthy family," veteran American sports journalist Bud Collins told CNN.

"His father manufactured automobiles and he fell in love with tennis when he visited some relatives in England. His father said what are you going to do with yourself? Rene said: 'I want to be a tennis player.' His father said: 'Okay, but only if you can be the best.' "

Borotra moved into politics during World War Two, serving as General Commissioner to Sports in the Vichy government during the Nazi occupation before being arrested by the Gestapo in 1942. He lived to the age of 95 and founded the International Fair Play Committee.

"He was very gallant. He came from the Basque region and he was called 'the Bounding Basque,' " Collins said.

Cochet, nicknamed "the Ball Boy of Lyon" due to his role before becoming a successful player, was a world No. 1 like Lacoste and won seven grand slam singles titles.

Brugnon was a doubles specialist who won 12 major titles in that discipline and died in 1978 aged 83 -- two years after they were simultaneously inducted into the Tennis Hall of Fame.

Of the new breed, most was expected of Gasquet -- a child prodigy who ranked as high as seventh in 2007, but has been rebuilding his career since a three-month absence in 2009 after testing positive for cocaine.

"Gasquet really had a rough time in that he was on the cover of magazines when he was nine, 10 years old," Collins said of a player who won the French Open mixed doubles title as a teenager in 2004.

"In France, they were so excited about him, but it didn't help him. Too much was expected. With the other guys, if they got together, they can pull the best out of him, because he should be the best player."

Tsonga also tipped his colleague to continue his recent improvement.

"Richard is really, really talented. I think he has improved a lot these past couple of months. He's tougher in his head and I think he's going to play well in the future," he said.

"For him it was really difficult because he was really good really early, and all the pressure was on him. It's not easy when you are young. For me it was completely different and I think far more easy."

Collins calls Tsonga, whose father is Congolese, "probably the most exciting in the team."

"He just goes all out, diving for the ball, everything. At Wimbledon, losing the first two sets to Roger Federer ... that never happened before. Federer never lost the final-set match. And Tsonga is appealing, he looks like Muhammad Ali, he's terrific."

Paris-born Monfils is another larger than life character, with his tattoos and dark, good looks from his Caribbean heritage -- his mother is from Martinique, his father Guadeloupe.

"Oh he's exciting," Collins said. "When he's gonna lose, he jumps in the stands, he's gonna do push-ups -- dive for ball, which he certainly will.

"And he's got a comical outlook on things -- you know, he's a real prize. But then again, he's this guy who doesn't quite make it."

Monfils said a passion for tennis is their biggest bond.

"We are all different -- really different because we come different parts of France," he said.

"Tennis is the only thing we have in common. We have tennis and that's it. For us it's a passion, I think, and this is why we are friends."

All four players live in Switzerland, and Gasquet said their friendly rivalry is helping them to progress.

"They are my friends, so it's very good. We try to win the Davis Cup this year," the 25-year-old said.

"It's really nice to have them on the tour with me. It's a nice competition between us because when one is playing good, we try to do the same."

While Monfils and Tsonga make headlines with their athletic, never-say-die displays, and Gasquet with his undoubted talent, Simon is the quiet achiever of the group.

Ranked as high as sixth in 2009 and a nine-time winner on the ATP Tour, the slightly-built 26-year-old relies more on guile and baseline tenacity.

"He's very smart. He can run for hours and hours," Gasquet said. "It's very hard to play with him on a baseline.

"You don't see him like Jo or Gael. He's not very muscular. But he's very, very tough to beat."

Despite being aware of the feats of the original foursome from an early age -- statues commemorate the players at Roland Garros -- Monfils said he and his colleagues are not consciously trying to emulate them.

"Right now, I don't really think about 'to be a musketeer,' about the history. When you finish your career maybe you can say, 'Ah they were maybe the next musketeers.' Right now, you know, I don't think about it."

Simon agrees.

"We manage to beat Rafa and Roger sometimes, and Novak also. And it's a good generation -- we are good players but still there are far better players than us on the tour," he said.

"And we just try to win one slam also, because the last one was Yannick Noah in 1983. It's 30 years ago. So, everybody wants us to do something very good. That's why they call us this (musketeers). But for sure we don't deserve it."

@highlight

France seeking to reach the final of the Davis Cup for second year in a row

@highlight

Gael Monfils, Jo-Wilfried Tsonga, Richard Gasquet , Gilles Simon dubbed "New Musketeers"

@highlight

They are striving to emulate the achievements of four famous compatriots

@highlight

Rene Lacoste, Henri Cochet, Jean Borotra and "Toto" Brugnon dominated world tennis