(CNN) -- Prince Albert II may be head of state in the principality of Monaco, but when it comes to the Formula One street circuit of Monte Carlo there is only one king: Ayrton Senna.

The Brazilian driver won a record six times at the legendary grand prix during a glittering career which included three world championship triumphs and 41 race victories.

"As a competitor, from the point of view of all or nothing, he ranks up there at the top," fellow world champion and former on-track rival Nigel Mansell told CNN.

"Sadly, as with so many other drivers in the history of the sport, he was prematurely taken away from us."

Monaco: Where exhaust fumes and foie gras mix

Senna's tragic death aged 34 at the San Marino Grand Prix in 1994 devastated millions in his homeland, and his passing led to three days of national mourning.

Monaco's narrow twists and turns are regarded as one of motorsport's toughest tests, but Senna seemed to relish the technical challenge and excelled when pushing his car to the absolute limit around the harbor's winding streets.

He began his love affair with the track in 1984, with a dazzling display of driving talent during his rookie season with British team Toleman.

Senna qualified 13th for a grand prix blighted by torrential rain in an unspectacular car. It was only his sixth race and one which would mark the first step on his ascent into F1's pantheon of greats.

Ayrton Senna's greatest F1 moments

"Winning the wet races, as Ayrton did, is all part of the challenge," current McLaren driver and 2008 world champion Lewis Hamilton told British newspaper The Times in 2008.

"He proved he was the best by destroying everyone ... Doing it (at Monaco) is even harder. This track does bring out the true driver and the best drivers do rise to the top."

If what Hamilton said is true, then the legendary circuit unearthed its most precious jewel among the monsoon-like conditions of June 3, 1984.

The downpour was laying waste to a distinguished field, with Nelson Piquet, already a double world champion, and Englishman Mansell both out of proceedings inside the first 15 laps.

After Senna unleashed a ruthless surge of speed to burn past future championship winner Niki Lauda and move into second place, the 24-year-old had McLaren's race leader Alain Prost in his sights.

With Senna tearing through the deluge and gaining on the Frenchman at a rate of three seconds per lap, the race officials came to Prost's rescue.

The contest was brought to a premature end after 31 laps, seconds before Senna was able to overhaul Prost, and it heralded the beginning of a fierce rivalry between the two future teammates.

Despite an explosive start to his Monaco career, it would be another three years until Senna secured his maiden victory on the street circuit while racing for Lotus in 1987.

The South American's mastery of Monte Carlo's winding roads was coming to the fore, and the full extent of his ability was displayed during the 1988 event -- in his debut season as Prost's colleague at McLaren, when he won his first world title.

"Managing two highly-motivated sportsmen such as Ayrton and Alain was always going to be a challenging task," former team principal Ron Dennis told CNN.

"One of Ayrton's unique and great qualities was that he was determined, he wanted to be the best and nothing was about to stand in his way."

It was Senna's infatuation with supremacy which contributed to a legendary qualifying performance, with the sport's official website claiming he "became a passenger on a surreal ride into the unknown."

Despite driving identical cars, Senna was able to record a lap two seconds faster than his French teammate to clinch pole position in mesmeric fashion.

"Ayrton had such an evident natural talent," said Dennis, who is now executive chairman of the McLaren group. "He was physically fit to a level that caught so many of his opponents off-guard.

"He had an admirable obsession with being the best, a superiority for which he was both known and loved."

Victory seemed a formality for Senna, who had built a 55-second lead over Prost with only 11 laps remaining.

Determined to push himself harder and harder, the race leader lost control and smashed into the wall at the eighth turn on the track -- a corner known as Portier.

"I think it is always surprising," Mansell, who also crashed out that year, told CNN of Senna's failure to win in '88.

"But at Monaco the slightest mistake can turn into a big mistake, and Ayrton made a very small mistake and paid the penalty of not finishing."

It gifted Prost a fourth Monaco triumph in five years, but Senna would bounce back to emphatically trump his nemesis.

In 1989, aged 29, he secured a second Monte Carlo crown and began a sequence of domination which saw him claim five successive editions of the marquee race.

Arguably his toughest -- and most fortuitous -- win came in 1992, when the Williams of Mansell had claimed maximum points in the year's first five races and was blazing a trail towards world championship glory.

"With Piquet, Prost and Senna, as well as myself and many other drivers, it was very difficult in the late 1980s/early 1990s to win," Mansell said.

"With competition being at its strongest, and having so many other committed drivers, it was a very satisfying experience when you beat them."

Mansell was on course to once again defeat his rivals until disaster struck with seven laps remaining, when the world championship leader was forced into the pits.

Senna took control but, on fresh, quicker tires and with a superior car, Mansell quickly closed the gap on the new leader and furiously tried to overhaul him.

A dogged Senna used every inch of his McLaren to defend the Williams' onslaught and he held on to temporarily derail Mansell's championship charge.

Mansell was exhausted when he took to the podium, but the 31-time race winner is not bitter when reflecting on the experience.

"Incredible excitement combined with disappointment," said Mansell when asked what emotions he experienced 23 years ago.

"The rules then made it incredibly exciting, and I think the last closing laps were fantastic for the fans and for F1."

So what was it that made Senna a seemingly perfect match for Monaco?

"At times Ayrton had a better team, a better car and reliability, which is all you need at Monaco," said Mansell.

"But above all you have to have that total commitment and concentration to do the job. Any great race-car driver will tell you that driving a car on a knife edge is sometimes very difficult."

Two weeks after Senna's passing at Imola, Ferrari's Michael Schumacher assumed the mantel of Monte Carlo maestro by claiming the first of his five victories on the Mediterranean coast.

The German can match Senna's all-time record by guiding his Mercedes over the line in first position at this weekend's race but -- at the age of 42 -- the seven-time world champion's best days are certainly behind him.

Senna's Monte Carlo achievements look set to be beyond even F1's most successful driver. Proof, if it was needed, that the Brazilian remains the king of Monaco.

@highlight

Ayrton Senna won Formula One's Monaco Grand Prix a record six times

@highlight

The Brazilian was second on his debut on the track in 1984, with the Toleman team

@highlight

Senna's first win on the street circuit arrived in 1987, his final season with Lotus

@highlight

The three-time world champion won the race five years in a row between 1989-93