After Marco Rubio won his inaugural Senate race in 2010 in Florida, he became the latest star of the Republican Party.

The young, insurgent candidate was so impressive, talk of a presidential future quickly ensued.

He entered the Senate with high expectations, having won his race with the support of the new tea party movement while simultaneously appealing to mainstream conservatives.

But his journey has not been without roadblocks. Leadership on controversial topics has slowed his rise.

Now, Rubio, 43, is working to right his perceived wrongs and shed his stereotypes as takes up the mantle once adorned by doing the work to launch a presidential run.

Boosting his presence

The freshman senator is doing all the things necessary to make himself known. He's traveling to early presidential nominating states, heading overseas to beef up his foreign policy credentials, appearing on national TV to boost his name recognition and formulating policy ideas to demonstrate substance.

On Wednesday, he delivered a "major address" on economic mobility and challenges facing the middle class.

Little new came from it. It was a culmination of previously announced ideas and legislation he's already introduced this year and weaved in personal stories of childhood poverty as the son of Cuban immigrants and accounts of people struggling to make it in the middle class.

"Too  many are starting to believe the American Dream is no longer possible for people like them," he said.

Alex Conant, Rubio's spokesman, said the senator has been developing these ideas "for months," since the 50th anniversary of the War on Poverty earlier this year.

It's a comprehensive speech but one that could be delivered on the floor of the Senate, a place where any of the 100 members go to offer their policy prescriptions.

Instead, Rubio's speech was aimed at garnering as much attention and clout as possible. In an attempt to appeal to the right, he spoke a few blocks from Capitol Hill at conservative Hillsdale College, which stresses the teaching of "constitutional principles."

A coordinated media campaign that includes post-speech interviews is geared toward bolstering the significance of the speech.

An alternative

Rubio's efforts to raise his profile and prove his substance is also an effort at differentiating himself from Democrats.

His economic address comes the same week that President Barack Obama's summit on working families and the Clinton Global Initiative conference in Colorado that focused on jobs and the economy. It was attended by former secretary of state and potential Democratic presidential candidate Hillary Clinton.

Hillary Clinton on wealth missteps: 'My record speaks for itself'

Rubio's address contrasted the ideas they presented and, instead, took up themes Democrats have largely rejected, including a private option for Medicare and gradually raising the retirement age for Social Security. They are popular ideas within the Republican Party that would arguably save federal dollars.

On jobs and economic mobility, Rubio detailed his ideas that include tax reform and tax credits for mothers obtaining an education and income-based student loan payments.

He also backed a reduction of regulations and taxes and the repeal of Obamacare that he says prohibits employers from hiring, a far different platform from his Democratic counterparts.

Kevin Madden, a former adviser to 2012 presidential candidate Mitt Romney, said Rubio is trying to fill a void.

"He recognizes the Republican Party is very hungry for leaders who want to serve as a counterpoint to President Obama on the big policy issues," he said.

To beef up his foreign policy resume, the member of the Foreign Relations Committee has put himself out front on related matters. He appeared on the Sunday talk shows to discuss the U.S. response to the chaos in Iraq where he backed air strikes, a position Obama hasn't pursued.

A crowded field

But to get where he'll contrast his ideas against a Democratic presidential candidate, he needs to differentiate himself from his fellow Republicans.

Rubio is doing what other potential presidential candidates have done.

Sen. Rand Paul has delivered numerous policy speeches throughout the country; Gov. Chris Christie has been active outside New Jersey in his role as head of the Republican Governors Association; former Florida Governor Jeb Bush has begun strategically appearing at national conferences. They, and a dozen other potential candidates, have also traveled to early nominating states of Iowa, New Hampshire, South Carolina and Nevada.

Rand Paul: Will his star continue to rise?

There lies the problem: Rubio is just one of many climbers trying to reach the same summit. As many as four governors, three senators, a former senator and two former governors are contemplating a 2016 run. Rubio faces a difficult slog to rise above the noise that the Republican race is already making.

In a June CNN poll, Rubio pulled 8% among potential GOP presidential candidates. His support is low, but he fell smack in the middle of the large pack and not much worse than the most popular potential candidate, Paul, who garnered 14%.

In a fractured Republican Party that consists of social conservatives, fiscal conservatives, tea party activists and pragmatists, Rubio will have to find his niche.

Rubio's rising star

After he won his Senate race, Rubio was the face of the tea party. He was considered one of the more conservative to enter the Senate. But as the Republican establishment struggled to embrace the tea party, he became the glue. Party leaders saw potential and a future in Rubio. He's young, He's Hispanic and he's telegenic.

"It's a great day for the conservative cause. New people with new thinking, new ideas -- 21st century solutions," Jeb Bush said immediately after his victory.

But politics is a volatile profession.

Rubio's folly

Rubio's stock within the Republican Party plummeted last year when he held up the mantle for the Republican Party on immigration reform. He was part of a group of eight senators that forged an agreement, leading to the passage of comprehensive immigration reform.

While he was dubbed "The Republican Savior" by Time Magazine for his work on a solution that has been unable to pass Congress for nearly a decade, conservatives called the bill  amnesty for undocumented immigrants and conservative Erick Erickson called Rubio a "disappointment" on his blog Red State.

"While some of us will be able to forgive Marco Rubio's rather rapid shift toward the very position he once vocally opposed, others probably will not be so forgiving," Erickson wrote.

Bob Vander Plaats, CEO of The Family Leader, a social conservative organization in Iowa that has a large amount of political influence in the critical presidential caucus state, said people "really backed away" from Rubio after immigration. Rubio, he said, is going to have to explain himself to Iowa Republicans.

Iowa voters are "a very discerning lot," Vander Plaats said. "They're willing to forgive. They're willing to try to understand."

Although his immigration position was likely to appeal to independent voters and even Democrats, the outrage proved the position was unpopular among the base, which he needs in a presidential primary. After the immigration fallout, Rubio felt the heat and backed away from the national spotlight. He laid low and made little noise.

Rubio's return

Rubio has mostly avoided the topic of immigration except to pivot away from the bill he helped pass through the Senate by endorsing a fragmented approach in the Republican-led House. He maintained his latest stance again Wednesday when he said a solution for the millions of undocumented immigrants can't happen before the border is secure and a worker verification system is in place.

Since 2014 rolled around, Rubio has been carefully crafting his image as a well-rounded, versatile leader in the Republican Party. He has repeatedly appeared on the business channel CNBC to discuss economic policies without mentioning immigration.

A smart move, Madden said, because "it's dangerous when you make your name on one issue."

Madden, who has been watching his campaign, said Rubio is making the right moves, not only in the policy arena but the political one, too.

"He's not making 2014 about Marco Rubio but making it about candidates across the country," Madden said.

Rubio was the first of the possible presidential candidates to endorse Iowa Senate candidate Joni Ernst. He traveled to the state to fundraise and campaign for her. His endorsement and her subsequent win helps him build relationships and a national infrastructure in critical states.

Media. Check. Policy. Check. Politics. Check.

Now Rubio has the long, treacherous trek of finding the voters who support him.

"Slow and steady wins the race," Madden said.

How many ways can Romney say no to 2016?

@highlight

Florida Sen. Marco Rubio is giving a major economic policy address

@highlight

It's part of a larger coordinated strategy to prepare for a presidential run

@highlight

One challenge is being noticed among the many other Republicans considering

@highlight

his lead on immigration caused discernment among the Republican base