Washington (CNN) -- The White House released more than 100 pages of e-mails on Wednesday in a bid to quell critics who say President Barack Obama and his aides played politics with national security following the deadly terror attack on the U.S. diplomatic compound in Benghazi, Libya.

The e-mails detail the complex back and forth between the CIA, State Department, and the White House in developing unclassified talking points that were used to underpin a controversial and slow-to-evolve explanation of events last September 11.

The talking points have become a political flashpoint in a long-running battle between the Obama administration and Republicans, who accuse it of not bolstering security prior to the attack, of botching the response to it, and of misleading the public for political gain less than two months before the November election.

The GOP suggests that the administration removed specific terror references and stuck to an explanation -- later proved untrue -- that the attack was result of a spontaneous demonstration over an anti-Muslim film that was produced in the United States. There had been such a demonstration in Cairo.

The Benghazi attack killed Ambassador Christopher Stevens and three other Americans.

Read the e-mails in a searchable format.

The White House and its allies in Congress have made the case that any confusion and conflicting information in the early hours and days after the attacks stemmed from the "fog of war" -- not any deliberate effort to mislead the American people about the source of the attacks.

Obama has called Republican concentration on the talking points a political "side show."

Senior Obama administration officials contend the e-mails demonstrate the process of developing talking points for members of Congress to use in media interviews was not focused on politics but rather on events.

Analysis: CIA role in Benghazi underreported

For instance, some of the e-mails expressed caution about what should be said publicly during an FBI investigation while others centered on the strength of intelligence at the time.

The White House said the e-mails it provided to inquiring lawmakers months ago and released on Wednesday aim to paint a fuller picture following what it described as a series of selective and inaccurate e-mails recently appearing in media reports.

"Collectively, these e-mails make clear that the interagency process, including the White House's interactions, were focused on providing the facts as we knew them based on the best information available at the time and protecting an ongoing investigation," said White House spokesman Eric Schultz.

The e-mails indicate the CIA was likely the lead organization in developing the talking points with the State Department recommending significant changes.

Opinion: GOP using Benghazi to smear

Changes made to talking points

Following the original drafting of them, CIA analysts made a handful of significant changes, according to administration sources.

In the CIA's original set, the first bullet point included a reference that the Benghazi attack was "spontaneously inspired by the protests at the U.S. Embassy in Cairo and evolved into a direct assault against the U.S. consulate and subsequently its annex."

It noted assessments could change "as additional information is collected and analyzed."

The second bullet point noted the attackers in Benghazi were comprised of "a mix of individuals from across many sections of Libyan society."

It specified that intelligence officials did not know whether Islamic extremists, including those aligned with al Qaeda, had participated in the attack.

Pickering wants an open Benghazi hearing

This bullet was later changed after a CIA analyst questioned whether the current intelligence supported the assertion that extremists had participated in the attack.

Another CIA officer agreed, stating intelligence placed extremists at a protest but could not support the notion that extremists were responsible for the American deaths.

The editing team revised it so that talking point read, "The crowd almost certainly was a mix of individuals from across many sectors of Libyan society. The investigation is on-going as to who is responsible. That being said, we do know that Islamic extremists participated in the violent demonstrations."

The second CIA change was to the swap out the word "attacks" with "demonstrations" in the first bullet point, which an administration source said was to eliminate an awkward and illogical account of events.

A third change the CIA made was to remove the name al Qaeda from the second talking point, which was done because it didn't want to get ahead of the FBI's investigation of the attack.

A key point of contention revolves around statements by U.N. Ambassador Susan Rice, who took the most direct criticism because of her assertions in television interviews days after the attack that linked it to the demonstration.

'Shredded bodies' in 'horrific' Benghazi blast

State Department concern

A final CIA addition to the talking points was a warning about the security situation at the time of the armed assault. But that warning was eventually removed.

Senior administration officials say that long before the CIA heard concerns from the State Department about warnings being put in the talking points,

CIA Deputy Director Mike Morell advocated for removing the warnings out, since he felt the talking points should focus on what happened in Benghazi on September 11, rather than the previous six months.

He also felt it was unprofessional and unfair for the CIA to cite its own warnings to the State Department, officials said.

Victoria Nuland, then the State Department spokeswoman, had raised concerns over the CIA's first version, saying that they went further than what she was allowed to say about the attack during her briefings.

She also questioned information about CIA warnings of extremist threats linked to al Qaeda in Benghazi and eastern Libya, saying "the penultimate point could be abused by members (of Congress) to beat the State Department for not paying attention to agency warnings so why do we want to feed that either? Concerned..."

Rep. Darrell Issa, the chairman of the House Oversight Committee which is investigating the matter, told CNN's "Situtation Room" that his staff wants to digest the e-mails. He stressed that they were a selected set of documents as released and the committee is still seeking a range of other information.

Opinion: Obama has explaining to do on Benghazi

What the e-mails say

September 14, 2012

Page 6 (11:15 a.m.): The original talking points were sent by the CIA.

Page 12 (3:04 p.m.): Talking points were sent to the White House's Tommy Vietor (National Security Council spokesman) and Ben Rhodes (a top National Security aide).

Page 13 (3:27 p.m.): A top official with the CIA Office of Public Affairs says they're working on the talking points, and "will have further edits."

Page 15 (4:42 p.m.): CIA sends out a new draft for review before sending to the White House.

Page 21 (5:09 p.m.): A version of talking points is sent to the White House and the Office of the Director of National Intelligence at 5:09 p.m. This is the second draft of the talking points, when the reference to "attack" was changed to "demonstrations."

Page 26 (6:21 p.m.): The White House suggests adding the word "Cairo" to the first bullet point.

Page 28 (6:33 p.m.): Talking points are sent to the State Department. An administration official says the highlighted portions included the last sentence of the first bullet -- "On 10 September we learned of social reports calling for a demonstration in front of Embassy CAIRO and that jihadists were threatening to break into the embassy."

A sentence in the second-to-last bullet was also highlighted. That sentence said "The Agency has produced numerous pieces on the threat of extremists linked to al Qaeda in Benghazi and eastern Libya."

Page 29-30 (6:41 p.m.; 6:43 p.m.): Office of the Director of National Intelligence proposes an edit: "I've been very careful not to say we issued a warning," wrote Shawn S. Turner (a spokesman).

Page 32 (6:52 p.m.): White House national security staff send around their own edits, namely to the second bullet.

Page 37 (7:39 p.m.): Then-State Department spokeswoman Victoria Nuland sends her e-mail flagging concerns about information contained in the bullet points revealing too much information.

She also questions the point about the CIA's previous warnings to the State Department about potential attacks in Benghazi.

Page 38 (7:51 p.m.): The FBI weighs in with questions on particular pieces of intelligence.

Page 48 (8:58 p.m.): CIA sends the latest draft in talking points, which they say take into account State Department and FBI concerns.

Page 48-49 (9:24 p.m.): Nuland responds, saying the new draft's talking points "don't resolve all my issues or those of my building leadership. They are consulting w NSS."

Page 51 (9:25 p.m.): State Department Official Jacob Sullivan says "we'll work through this in the morning and get comments back."

Page 58 (9:44 p.m.): Department of Justice officials are added to the e-mail chain.

On the next day, a Saturday, officials from the State Department, CIA, FBI, the White House and the Justice Department convene at a "deputies meeting."

According to an administration official, the meeting was not focused specifically on Benghazi or Libya, but rather on the broad violence, prompted by the anti-Muslim video throughout the Middle East and North Africa. The meeting centered on keeping Americans safe.

Only at the very end were the talking points discussed, the administration official said.

The administration official said Morell relayed that he was aware of some interagency concerns about talking points, and noted he had his own concerns. He said he would take a crack at editing them and would send them to those attending the deputies meeting.

The administration official said then-Deputy National Security Adviser Denis McDonough thanked Morell. That was the total extent of the discussion of the Benghazi talking points at the meeting.

Page 63, From Saturday: after the meeting, Morell edited the document by hand. He reordered the talking points and struck out sections about CIA warnings to the State Department on possible demonstrations, and the outbreaks of violence in the region. He also removed the reference to Islamic extremists.

Page 64 (9:49 a.m.): Original CIA drafter says the edits Morell made are "fine with me. But, pretty sure HPSCI won't like them. :-)" HPSCI refers to the House Permanent Select Committee on Intelligence.

Page 69-70 (11:08 a.m.) New draft of talking points is circulated to agencies for clearance.

Page 69-89 (11:12-12:43 a.m.): Officials from various agencies sign off on the talking points.

Page 74-76 (11:25-11:26 a.m.): Officials from the State Department and the White House National Security Staff ask to change the reference in the first bullet point from "US Consulate" to "diplomatic post."

What the Obama administration has said about Benghazi

@highlight

FIRST ON CNN: More than 100 pages of e-mails released in bid to quell critics

@highlight

The exchanges detail discussions between Obama administration officials

@highlight

The talking points requested by Congress have become a political flashpoint

@highlight

NEW: House committee chairman says e-mails are selected; still wants other info