(CNN)Even after decades of battling one of the world's biggest killers, the treatment of cancer is still an inexact science.

Successful methods such as chemotherapy work by killing the cancer cells, but they also destroy healthy tissue.

Health practitioners have been searching for a magic bullet that goes straight to the source of the cancer -- and everything from monoclonal antibodies, which carry cancer drugs direct to cancer cells, to straight surgery to cut out tumors have been used with varying degrees of success.

In Belgium, engineer and nuclear physicist Yves Jongen is pioneering a new therapy that targets cancers with proton radiation; a therapy that offers precision and minimal side effects.

"I started to designing equipment (for) proton therapy of cancer -- that was a radically new idea," Jongen told CNN.

Encased in a two-metre thick concrete bunker that serves as a radiation shield, one of Jongen's cyclotron machines produces proton beams to treat cancer patients.

"In this space we accelerate the protons and we give them a higher and higher velocity until they reach two thirds of the speed of light -- that's 200,000 km per second and this acceleration takes place in the shape of a spiral," he said.

"That's needed if you want to be able to penetrate one foot into the body of a patient."

Once the proton beam has been generated, it's piped into a treatment room where patients receive a powerful dose of targeted radiation that kills only those cancerous cells.

"It does a lot less collateral damage to the patient," Jongen said. "That's the great thing about proton therapy."

While proton therapy is a giant step forward, it's not yet  the magic bullet that clinicians are looking for. So far, it is not effective against all types of cancer.

"There are a number of cancers which are not localized," he said. "If you look at leukemia, which is cancer of the blood cells, there is nowhere to shoot -- it's all through the body."

The other drawback is that the cyclotron is not cheap.

Each system -- and the bunker needed to house it -- doesn't leave much change from $125 million. Currently there are just 43 operational particle therapy facilities worldwide, with a total of 121 treatment rooms.

As the fame of the process has started to spread, some people have been taking desperate measures to get treatment. One British couple last year even sparked an international manhunt after they removed their son from hospital without doctors' permission to get to a proton center in Prague in the Czech Republic.

Proton treatment is limited on Britain's National Health Service. Just one center in the north of the country offers proton therapy for certain types of eye tumors. Other centers, however, are currently in development.

While the proton therapy market is expected to more than double by 2018, with an estimated 300 proton therapy rooms, Jongen's Brussels-based company IBA is working on a smaller and cheaper model they hope will make proton therapy more accessible.

"It would be much less expensive making it more possible for a hospital to afford it -- a smaller system can already treat a relatively large number of patients per year."

At the moment, fewer than 1% of cancer patients are treated with proton therapy, but Jongen is hopeful that smaller and cheaper machines will be the game changer.

"I have a number of letters from parents of young kids saying if it had not been for this treatment we would have lost our kid," he said.

"That's something I really cherish. When I feel a bit depressed, for whatever reason, I go back to those letters and they are very exciting."

Read more from Make, Create, Innovate:

Digital nose on a chip can sniff out cancer

Meet the world's first 1,000 mph car

Out of juice? Try a cardboard battery

@highlight

After decades of battling one of the world's biggest killers, the treatment of cancer is still an inexact science

@highlight

Successful treatments such as chemotherapy work by killing the cancer cells, but they also destroy healthy tissue

@highlight

In Belgium, one company  is pioneering a new therapy that targets cancers with proton radiation

@highlight

The machines cost as much as $125 million, but the company is developing a smaller system for hospitals