The rat-a-tat of a hundred green sewing machines.  The hypnotic hum of spools spinning brightly colored threads. The hiss of a thousand clothing irons.

Set aside for a moment what you think you know about the garment factories in Bangladesh: grimy, sweaty, children sitting in dimly lit, sweltering rooms sewing shirts you buy at your box store for $12.

Here at Lakhsmi Sweaters, the only children are in its in-house day care.

At this factory in Gazipur, on the outskirts of the capital Dhaka, workers sit in long, orderly rows, under bright neon lights, with fans blasting full speed.

They get hourlong lunch breaks and free medicine. Medical checkups are mandatory, and the factory employs a full-time doctor. New mothers receive maternity leave -- and pay.

"The atmosphere should always be healthy, friendly and livable. We don't need buyers to tell us that," said Safina Rahman, director of Lakhsmi and one of just a handful of female owners in what is predominantly a male-run industry.

"This is my duty. This is how I'd want my children to grow."

But in the wake of the Rana Plaza disaster when Bangladesh's extremely lucrative garment business has come under increased international scrutiny, Rahman and her workers worry about the effect the backlash will have on them.

Retailers in the West are rethinking their partnerships as customers threaten to shop elsewhere.

United Students Against Sweatshops, a labor rights group, is planning protests against clothiers it believes aren't committed to strict standards in Bangladesh.

And the Obama administration may take away the tax breaks Bangladesh get for goods that the United States imports.

The seamstress in the rubble

All of which would have devastating consequences for Bangladesh.

The garment industry has been a boon for this South Asian nation of 160 million. It pumps $20 billion a year into the economy. In a country where 31% of the population lives below the poverty line, the industry has been a salvation for 4 million people working in more than 4,500 factories.

"More than 2 million people are working in this trade; maybe more," Rahman said. "If one (worker) has four people to look after in the family, that's almost 8 million people who are living off this trade."

"If we are bloodsuckers, who is contributing to this economy?" she added. "It's become a big-time challenge for us. People like us."

Contented workers

Poppy Begum is a stitcher here, one of 2,000 workers spread across four floors.  She works nine-hour days, six days a week, helping create sweaters and other knitwear bound for Europe, Canada and Australia.

In an industry where the turnover is extremely high, many of the workers such as Begum have been here for almost a decade.

It's easy to see why: The starting wage is $51 a month -- higher than the industry average of $35.

They are trained in first aid. And they appoint a representative who airs their grievances to management.

In other words, the accusations that bedevil the industry now -- safety issues, workers rights, low pay -- are addressed here.

"We get paid on time. If Friday is a holiday, we get paid a day earlier," Begum said.

We spoke to several workers at Lakhsmi and asked them to speak freely about their conditions. They seemed content.

It turns out that medium-sized factories such as this aren't the ones creating the headlines.

They are tailored for the task, they meet safety standards and they pass inspections.

The problem children are the many, many factories that have mushroomed in and around Dhaka that rent space in facilities where they have no business being: shopping malls or office buildings that aren't equipped to handle the heavy machinery the trade requires.

Opinion: Stop cashing in on Bangladeshi workers

Fly-by-night operations

Until now, the government has turned a blind eye to the problem. After all, the factories were boosting employment -- even if they were doing so in spaces crammed to the hilt with workers with zero safety regulations.

Since 2005, almost 2,000 garment workers have been killed in factory fires and structure collapse. And all of them have been at such small, unregulated factories.

These facilities don't directly deal with Western clothiers.

When a company in the United States places an order, it does so with a large or a medium-sized factory that most likely lives up to the company's standards for a decent wage and working conditions.

But, just like a contractor working on your home will farm out parts of the job to others, these factories sometimes do the same -- to smaller, fly-by-night operations.

And with business booming, with a greater demand for goods and with the need to keep costs down so the consumers in the West can continue to purchase cheap shirts, such passing-of-the-buck has become more commonplace.

Changes afoot?

But the Rana Plaza disaster may change all that.

The shopping mall in the Dhaka suburb of Savar was built on swampland, with the owner adding four more floors to what was once a five-story structure, officials said. It housed five garment factories and generators on the fourth floor to keep them buzzing.

It collapsed April 24, killing more than 1,100 and ranking as the deadliest industrial disaster in the country.

The outrage over the disaster reached such a fever pitch that the government said it will form a committee to raise the minimum wage of garment workers. The Cabinet also approved the draft of a law that will allow workers to unionize and force factories to offer life insurance.

For its part, the Bangladesh Garment Manufacturing and Export Association said it too is taking additional steps.

Until now, it had standards for workplace safety but not for the structural safety of a building.

"Before this Rana Plaza incident, BGMEA did not have the technical know-how people to check the structural design. We didn't have any civil engineers," said Reza Bin Mahmood, vice president with the association.

Those inspections have now begun. But with more than 4,500 factories, the task is daunting.

"It's not an easy job. And we cannot finish it by overnight," he said, urging that the factories be improved and updated with money from retailers.

Bangladesh vs. U.S.: How much does it cost to make a denim shirt?

Spurred to action

Some international retailers are doing just that. More than a dozen European clothiers signed on to a plan to help prevent fire and building collapses in Bangladesh.

The five-year plan calls for independent safety inspections and for companies to publicly report the findings. It also requires retailers to help finance fire safety and building improvements in factories with which they work.

Companies who sign on will have to terminate business with any factory that refuses to make necessary safety upgrades.

But many U.S. retailers, including Wal-Mart, have not signed on.

Wal-Mart said it will perform its own inspections and provide every worker with fire safety.

Over at Lakhsmi, the changes for the industry are welcome ones. Here, workers are assigned as fire wardens and extinguishers hang on the walls on each floor.

"At times, I feel ashamed to be in this trade," Rahman, the factory owner, said. "Not for me but (because) somebody from this trade has done this irresponsible thing and took so many lives.

"This is just not done. It should not be repeated again."

Bangladesh, Myanmar prepare for cyclone

Hong Kong calls on Bangladesh to fill worker shortage

@highlight

Factories that follow the rules worry about an unfair backlash from the Rana Plaza disaster

@highlight

Since 2005, almost 2,000 garment workers have been killed in accidents

@highlight

All of them have occurred at factories with little oversight

@highlight

The Savar disaster has spurred retailers, the industry and the government into action