(CNN) -- Andrew Dawson has nice hands, and he knows it. He's fussy about moisturizing them and takes extra caution around the oven, although he uses power tools without hesitation.

These hands are the stars of "The Articulate Hand," a piece of performance theater about how various people's hands have become impaired and what effect that's had on them, both practically and psychologically. It's a collaboration between Dawson and neuroscientist Dr. Jonathan Cole, and supported by the Wellcome Trust.

"I mix up performance and lecture and basically talk about human stories," Dawson says. "It just happens that I'm using my hand as a vehicle, but really I'm talking about what it is to be human."

In the show, which he hopes to perform again this year, he talks about various people who have lost complete use of their hands and demonstrates to the audience, through his own body's movements, what these people's lives are like.

"I am looking for that unique balance between science and art, so that medial practitioners and researchers learn something about the work they are doing from a new perspective, without feeling that the performance is 'not for them,' Dawson said. "And that the art audience in turn learn something about their very structure, of what it takes to be a human without confusing them with science. "

In October at TEDMED, a gathering of notable researchers, thinkers and other professionals in the health care space, Dawson performed a few powerful segments of "The Articulate Hand."

For one portion he takes on the movements of Debbie Graham, a woman who injured her spine when she dove into a swimming pool, glided across it and hit the wall. Graham broke her neck, and is quadriplegic as a result.

Graham received bionic hand technology called the Freehand System, which involves electrodes under her skin connected to a receiver driven by a radio transmitter on the skin. In this way, moving her shoulder backwards and forwards makes her hand open and close. Cole wrote about Graham in a book called "Still Lives: Narratives of Spinal Cord Injury."

"She can hold her fork herself or a brush and brush her hair, and that's what gives her what she desires the most, and that's independence," Dawson says.

Dawson and Cole met after Dawson saw the neuroscientist's documentary about a man who cannot sense the relative position of his own joints and limbs. The pair worked together on a piece called "Process of Portrayal," which deals with experiences of people who are paralyzed, or for whom movement is difficult. Recognizing Dawson's "extraordinary hands" and artistic talent, it made sense for Cole to focus on that for their subsequent collaboration.

"Human hand function really reflects the evolution of the movement and creative [areas of the] brain, and one way to reflect on how we are defined by our hands is to look at the consequences of loss of function," Cole told CNN. "So our next project had to be about the hand and neurology."

Cole explains on "The Articulate Hand" website that there are parts of the brain called the motor and sensory cortex areas that are critical for the hand's coordinated action, as well as sensation that helps you to act -- for instance, when you reach into your pocket for coins, and you have to feel and grasp them in order to pick them up without seeing them.

He supplied the scientific insights and the patients that inspired "The Articulate Hand." Cole and Dawson also created short videos with the patients so that people can see what they are like in real life, in addition to Dawson's portrayal.

"We never pathologize the conditions but rather show you individual people living with their altered hands, so asking the audience to look beyond the problem to the person," Cole said.

The show has been performed in the United Kingdom in 2010 and at the World Science Festival in June 2011. Dawson took it to India last year also at a Wellcome Trust event. He is exploring multiple possibilities for 2012.

Dawson started out wanting to be an actor, and then got interested in dance, studying with the legendary dancer and choreographer Merce Cunningham. He also studied theater in Paris. His interest in mime illusions started at 16 or 17, but he credits that more to his imagination than to his hands.

Besides "The Articulate Hand," he's also created and performed "Space Panorama," which depicts the Apollo 11 moon landing with Dawson's hands alone, and a hand-based dance performance called "Quatre Mains." He's also a hand model.

If you want to try your hands at this sort of performance, Dawson has this advice: keep them moving, and keep them agile.

"There's a lot of bones there. You have more bones in hands and feet than you have in whole of the rest of your body. You need to keep them supple."

@highlight

'The Articulate Hand' is a piece of performance theater about living with impaired hands

@highlight

Artist Andrew Dawson and neuroscientist Jonathan Cole collaborated on it

@highlight

More than half the bones in the body are in the hands and feet