Washington (CNN) -- Pulitzer Prize-winning presidential historian Doris Kearns Goodwin notes each inauguration is moving in its own way, but only a few produce moments that are truly memorable.

"It depends upon the person and the occasion to really produce a historic inaugural speech," Goodwin said. "But the ceremony itself ... is a real tribute to the country, that a person who was the president can go out and become a private citizen (while) a new private citizen is becoming the president."

"It's peaceful," she says, and "that's an extraordinary thing in the history of our world."

Here are 10 inaugural moments that Goodwin says have stood the test of time:

2009: Obama makes history

There was a magic to the inaugural day for President Barack Obama. ... (It was) as if the whole history of our country was coming full circle -- the ending of slavery and now the first African-American president. So the crowds were reveling in that spirit -- 1.8 million (people), more than had ever been there before.

The great reset: Will Obama's second inauguration let America turn the page?

Just the idea that we had come this far as a nation. There was a sense of unity and a sense of pride, I think, in our country that this was finally happening.

1981: Reagan's optimistic first inaugural speech

What was so impressive about Ronald Reagan's inaugural speech, I think, was the optimism that it suggested after a period when America was feeling like we might have been in decline. Even though he had the exact opposite message as Franklin Roosevelt, where he was talking about government as the problem rather than the solution, both Reagan and FDR shared that American sense that we can do things.

Inauguration viewer's guide

In a certain sense, the optimism of the speech was symbolized by (Reagan's) transferring the inaugural to the West Front of the Capitol, which made a much grander spectacle.

More people could watch it, so it was a big occasion.

1977: Carter's long walk

Jimmy Carter made the decision evidently just three weeks before the inauguration that he would walk after his inauguration back to the White House. And it really was an extraordinary moment. ... There was a feeling with Carter that he was being a people's president, as opposed to the imperial guard that had surrounded Nixon. And so he's walking, (and first daughter) Amy is running around next to him. There's a sense of exuberance, and a sense that something special is happening.

Why Sunday? Obama's dual inauguration ceremonies honor tradition and law

1961: JFK's stirring address

What is so memorable about John F. Kennedy saying that the torch is being passed to a new generation is that he himself represented a new generation. (He was) 22 years younger than Dwight Eisenhower, and what the speech promised was action, movement, (and) a new energy coming into the government and into the country.

When we think of those famous words -- "Ask not what your country can do for you, but what you can do for the country" -- it was followed up by thousands of people wanting to join the Peace Corps, and the Civil Rights movement was already out there. There was a sense of working on poverty, so the words projected action, and that's what makes them memorable.

iReport: I hope Obama will...

What always strikes me about JFK's inaugural (address), however, is that he said in the course of it ... that all this would not be accomplished in 1,000 days, meaning the programs that he had outlined. Originally in the draft of it, he had said all of this would not be accomplished in 100 days, but he slashed it out because he did not want to be compared to FDR's 100 days. But little would he ever imagine that 1,000 days would mark the end of his life, and that that would be his presidency.

1945: FDR's abbreviated wartime ceremony

Roosevelt decided in 1945, when the war was still ongoing, to dispense with the traditional parade. Who is there to parade, he said, and so he made it a very simple ceremony (at the White House).

Atlanta pastor, Evers' widow named to speak at inauguration

He himself was suffering from heart failure at that time, so it was a five-minute speech and he needed to fortify himself with whiskey in order to get through the pain that he was feeling. So sadly, the physical state of FDR matched the mood at that time.

1933: FDR's dramatic first inaugural speech

We all remember the phrase "the only thing we have to fear is fear itself," but even more important than the phrase was the attitude that FDR had. He projected optimism, he projected forward movement, and people felt -- that's the mystery of leadership -- that somehow the (Great) Depression they were suffering (through), they weren't going to be in it alone anymore. ... They had a leader who was going to take care of it.

Hoover, however, was very upset during the transition about what FDR did not do. He was hoping some action would be taking place while he was still president, but FDR wanted to wait (and) have a clean slate while he was president. ... Hoover was very angry about that, and there was lots of tension between the two.

1905: TR's eclectic parade

What's interesting about Theodore Roosevelt's inaugural parade is that it symbolized the many-sided character that TR was.

So there you have Harvard alums marching side by side with Indians, marching side by side with cowboys, with Rough Riders. ... And Chief Geronimo was there. There was a sense in which TR had so many interests.

There were different sides of him, and the parade symbolized that. It just seemed like this incredibly eclectic parade.

Ryan: 'my obligation' to attend the inauguration

1865: Lincoln strives to unite North and South

What's so extraordinary about Abraham Lincoln's second inaugural is that here the North is finally on the eve of winning this long Civil War, but no triumphal message does he deliver. ... He talks about the fact that the sin of slavery was shared by both sides. Both sides read the same Bible. Both prayed to same God.

Of course the words we remember -- with malice toward none and charity for all. Lincoln knew that inaugural spoke words that would be remembered. He wasn't as sure about some of his other speeches, but he knew that.

A-listers sign up for inaugural celebrations

When he went into the party after the inaugural, the one person who he wanted to know and get his approval from was Frederick Douglas, the abolitionist. And Douglas came over to him and said, 'Mr. President, it's a sacred effort.'

1841: The tragedy of William Henry Harrison

It's so sad that what we remember William Henry Harrison for is not (his) military service before the presidency, but the fact that he gave the longest inaugural (speech) and had the shortest presidency.

He insisted on not wearing a coat (during the ceremony). It was freezing out, he developed pneumonia, and he died. That is the memory of William Henry Harrison. I'm sure it's not the way he would hope to be remembered.

They finally learned from Harrison's inaugural. ... When it was freezing weather during Ronald Reagan's (second) inaugural they moved it inside and canceled the parade. It's one of the dangers of having these inaugurations in January or even in March in the old days.

1789: Washington sets the tone

The thing that's so interesting (about) Washington's inaugural is that it set so many precedents. Even in that week before his inaugural, they were debating what to call him.

Some people like John Adams wanted the president to be called his Mightiness or his Highness. Thomas Jefferson said, 'No, it must simply be "Mr. President." ' Adams said, 'That's nothing. He could be president of a garden club. It won't be dignified for the world at large.' But of course (Washington) becomes Mr. President.

Everything was setting a pattern. It was an extraordinary moment.

Share your inauguration photos on iReport

@highlight

2009: "(It was) as if the whole history of our country was coming full circle"

@highlight

FDR and Reagan disagreed on the role of government, but believed America could do great things

@highlight

JFK's address promised action and a new energy in Washington

@highlight

Lincoln: "With malice toward none and charity toward all"