Washington (CNN) -- Rep. Paul Ryan, R-Wisconsin, delivered the official Republican Party response to President Obama's State of the Union speech on Tuesday night. Here is a transcript of Ryan's speech.

Ryan: Good evening. I'm Congressman Paul Ryan from Janesville, Wisconsin, and chairman here at the House Budget Committee.

President Obama just addressed a congressional chamber filled with many new faces. One face we did not see tonight was that of our friend and colleague, Congresswoman Gabrielle Giffords of Arizona. We all miss Gabby and her cheerful spirit, and we are praying for her return to the House chamber.

Earlier this month, President Obama spoke movingly at a memorial event for the six people who died on that violent morning in Tucson. Still, there are no words that can lift the sorrow that now engulfs the families and the friends of the fallen.

What we can do is assure them that the nation is praying for them, that, in the words of the psalmist, the lord heals the broken-hearted and binds up their wounds, and that over time grace will replace grief.

As Gabby continues to make encouraging progress, we must keep her and the others in our thoughts as we attend to the work now before us.

Tonight, the president focused a lot of attention on our economy in general, and on our deficit and debt in particular. He was right to do so, and some of his words were reassuring. As chairman of the House Budget Committee, I assure you that we want to work with the president to restrain federal spending.

In one of our first acts in the new majority, House Republicans voted to cut Congress' own budget. And just today, the House voted to restore the spending discipline that Washington sorely needs.

The reason is simple. A few years ago, reducing spending was important. Today, it's imperative. Here's why.

We face a crushing burden of debt. The debt will soon eclipse our entire economy and grow to catastrophic levels in the years ahead.

On this current path, when my three children -- who are now 6, 7, and 8 years old -- are raising their own children, the federal government will double in size, and so will the taxes they pay.

No economy can sustain such high levels of debt and taxation. The next generation will inherit a stagnant economy and a diminished country. Frankly, it's one of my greatest concerns as a parent, and I know many of you feel the same way.

Our debt is the product of acts by many presidents and many Congresses over many years. No one person or party is responsible for it.

There's no doubt the president came into office facing a severe fiscal and economic situation. Unfortunately, instead of restoring the fundamentals of economic growth, he engaged in a stimulus spending spree that not only failed to deliver on his promise to create jobs, but also plunged us even deeper into debt.

The facts are clear: Since taking office, President Obama has signed into law spending increases of nearly 25% for domestic government agencies, an 84% increase when you include the failed stimulus.

All of this new government spending was sold as "investment." Yet after two years, the unemployment rate remains above 9%, and government has added over $3 trillion to our debt.

Then the president and his party made matters even worse, by creating a new open-ended health care entitlement. What we already know about the president's health care law is this: Costs are going up, premiums are rising, and millions of people will lose the coverage they currently have. Job creation is being stifled by all of its taxes, penalties, mandates and fees.

Businesses and unions from around the country are asking the Obama administration for waivers from the mandates. Washington should not be in the business of picking winners and losers. The president mentioned the need for regulatory reform to ease the burden on American businesses. We agree. And we think his health care law would be a great place to start.

Last week, House Republicans voted for a full repeal of this law, as we pledged to do, and we will work to replace it with fiscally responsible, patient-centered reforms that actually reduce costs and expand coverage.

Health care spending is driving the explosive growth of our debt. And the president's law is accelerating our country toward bankruptcy. Our debt is out of control. What was a fiscal challenge is now a fiscal crisis.

We cannot deny it. Instead we must, as Americans, confront it responsibly. And that is exactly what Republicans pledge to do.

Americans are skeptical of both political parties, and that skepticism is justified, especially when it comes to spending. So hold all of us accountable.

In this very room, the House will produce, debate and advance a budget. Last year, in an unprecedented failure, Congress chose not to pass or even propose a budget. The spending spree continued unchecked.

We owe you a better choice and a different vision. Our forthcoming budget is our obligation to you, to show you how we would do things differently, how we will cut spending to get the debt down, help create jobs and prosperity, and reform government programs. If we act soon, and if we act responsibly, people in and near retirement will be protected.

These budget debates are not just about the programs of government; they're also about the purpose of government.

So I'd like to share with you the principles that guide us. They are anchored in the wisdom of the founders, in the spirit of the Declaration of Independence, and in the words of the American Constitution. They have to do with the importance of limited government and with the blessing of self-government.

We believe government's role is both vital and limited, to defend the nation from attack and provide for the common defense, to secure our borders, to protect innocent life, to uphold our laws and constitutional rights, to ensure domestic tranquility and equal opportunity, and to provide a safety net -- to help provide a safety net for those who cannot provide for themselves.

We believe that the government has an important role to create the conditions that promote entrepreneurship, upward mobility and individual responsibility. We believe, as our founders did, that the pursuit of happiness depends on individual liberty, and individual liberty requires limited government.

Limited government also means effective government. When government takes on too many tasks, it usually doesn't do any of them very well. It's no coincidence that trust in government is at an all-time low now that the size of government is at an all-time high.

The president and the Democratic leadership have shown, by their actions, that they believe government needs to increase its size and its reach, its price tag and its power.

Whether sold as stimulus or repackaged as investment, their actions show they want a federal government that controls too much, taxes too much and spends too much in order to do too much.

And during the last two years, that is exactly what we have gotten -- along with record deficits and debt -- to the point where the president is now urging Congress to increase the debt limit.

We believe the days of business as usual must come to an end. We hold to a couple of simple convictions: Endless borrowing is not a strategy. Spending cuts have to come first.

Our nation is approaching a tipping point. We are at a moment where, if government's growth is left unchecked and unchallenged, America's best century will be considered our past century. This is a future in which we will transform our social safety net into a hammock, which lulls able-bodied people into lives of complacency and dependency.

Depending on bureaucracy to foster innovation, competitiveness and wise consumer choices has never worked, and it won't work now. We need to chart a new course.

Speaking candidly, as one citizen to another, we still have time, but not much time. If we continue down our current path, we know what our future will be. Just take a look at what's happening to Greece, Ireland, the United Kingdom and other nations in Europe. They didn't act soon enough, and now their governments have been forced to impose painful austerity measures, large benefit cuts to seniors and huge tax increases on everybody.

Their day of reckoning has arrived. Ours is around the corner. That is why we have to act now.

Some people will back away from this challenge. But I see this challenge as an opportunity to rebuild what Lincoln called the central ideas of the republic. We believe a renewed commitment to limited government will unshackle our economy and create millions of new jobs and opportunities for all people, of every background, to succeed and prosper. Under this approach, the spirit of initiative -- not political clout -- determines who succeeds.

Millions of families have fallen on hard times not because of our ideals of free enterprise, but because our leaders failed to live up to those ideals, because of poor decisions made in Washington and Wall Street that caused a financial crisis, squandered our savings, broke our trust and crippled our economy.

Today, a similar kind of irresponsibility threatens not only our livelihoods, but our way of life.

We need to reclaim our American system of limited government, low taxes, reasonable regulations and sound money, which has blessed us with unprecedented prosperity. And it has done more to help the poor than any other economic system ever designed. That's the real secret to job creation, not borrowing and spending more money in Washington.

Limited government and free enterprise have helped make America the greatest nation on Earth.

These are not easy times, but America is an exceptional nation. In all the chapters of human history, there has never been anything quite like America. The American story has been cherished, advanced and defended over the centuries. And it now falls to this generation to pass onto our children a nation that is stronger, more vibrant, more decent and better than the one we inherited.

Thank you, and good night.

@highlight

Rep. Paul Ryan delivers official GOP response to Obama's speech

@highlight

Ryan: We want to work with the president to restrain federal spending

@highlight

Ryan says U.S. must act now to keep economic problems from mushrooming