All antidepressant drugs are not created equal, according to the authors of one of the few studies that have ever systematically analyzed and compared "new generation" medicines for treating depression.

What qualities are important in an anti-depressant? Efficacy? Tolerance? Side effects? Cost?

In the analysis of 12 drugs, two came out on top as the most effective and best tolerated as first-line treatments: sertraline (Zoloft) and escitalopram (Lexapro). Venlafaxine (Effexor) and mirtazapine (Remeron) rounded out the top four for effectiveness, but venlafaxine was also among the four drugs patients were most likely to quit taking because of side effects. Reboxetine (Edronax) was less effective than the rest.

While psychiatrists treating depressed patients every day have had a sense of which medications are best, the current study "nails it," says Sagar V. Parikh, M.D., of the University of Toronto. Parikh, who wrote a comment accompanying the study that is published in the current issue of The Lancet, says the findings have "enormous implications" because, for the first time, they offer doctors an evidence-based, unbiased way to recommend treatment. And, he adds, they give patients a "gold standard of reliable information," especially since the study's authors plan to make their findings available free on the Web.

Not so fast, says Gerald Gartlehner, M.D., M.P.H., who coauthored a review of the benefits and risks of the same 12 drugs published last November in the Annals of Internal Medicine. He and his colleagues concluded, based on their review done while Gartlehner was at the RTI-UNC Evidence-Based Practice Center in Chapel Hill, North Carolina.,  that there was no clinically meaningful evidence that any one of the drugs was better than the rest. Instead, they argued, decisions on which drug to use should be based on factors such as cost and side effects.

In the current study, Andrea Cipriani, M.D., of the University of Verona in Italy, and colleagues used a new technique called multiple-treatments meta-analysis to make head-to-head comparisons among the 12 drugs, incorporating 117 randomized controlled trials including 25,928 patients in all. There has been little scientific evidence of the relative effectiveness of these drugs, because most studies compare one against a handful of others or a placebo, and are often funded by the maker of a particular drug, which can bias the findings in its favor, the researchers note. Health.com: How to brighten your winter mood

They used two measurements to gauge a drug's effectiveness and tolerability: the percentage of patients who showed at least a 50 percent improvement in their symptoms as measured by one of two scales, or who scored "much improved or very much improved" after eight weeks of treatment (or from  six to twelve weeks if eight-week data weren't available) and the percentage of patients who dropped out of the study before eight weeks for any reason.

The 12 drugs included bupropion, citalopram, duloxetine, escitalopram, fluoxetine, fluvoxamine, milnacipran, mirtazapine, paroxetine, reboxetine, sertraline, and venlafaxine. The authors did not use any funding from drug manufacturers to conduct their study.

"This is an unbiased approach to combining the maximum possible data and comparing a large number of drugs rather than one versus a select handful, so there's much more confidence in these findings," says Parikh. Basically,  Parikh explains, Cipriani and colleagues were able to make comparisons among drugs that hadn't been studied head-to-head by using their effectiveness as compared with Prozac -- the best studied of these drugs -- as a kind of common currency.

"There are limitations to the indirect approach used -- nonetheless, we think its the best available at present. The analysis will need to be updated regularly to include all new upcoming evidence," Cipriani and coauthor John Geddes, M.D., director of the Centre for Evidence-Based Mental Health at the University of Oxford in the United Kingdom, said via e-mail.

The findings don't mean that everyone should be put on Zoloft or Lexapro, and they shouldn't be seen as suggesting that people who are on other drugs should go off them, Cipriani and Geddes say. Health.com: 3 signs you should stop, adjust, or switch antidepressants

While it's good to have choices available since not everyone will benefit from a particular drug, there also seem to be a lot of "me too" products out there that offer no additional benefit but cost more, the authors add. They suggest that future studies should compare new antidepressants with sertraline, rather than to a placebo or a cherry-picked selection of other drugs.

"Requiring new treatments to show either greater efficacy or acceptability than an existing standard therapy would serve as a disincentive to the development of me-too agents that offer little to patients other than increased costs," they write.

But according to Gartlehner, who is now with the Danube University in Krems, Austria, the approach Cipriani et. al. used has "serious downsides" that they did not acknowledge. Also, he argues, their use of odds ratios rather than relative risks led to overestimations of the differences among the various drugs. Health.com: Head-to-toe solutions for stress

"Most of these differences are statistically significant, but they're probably not clinically relevant," Gartlehner said. "It's quite a stretch to say that...clinically important differences exist between commonly prescribed antidepressants."

He and his colleagues did see differences among the drugs in side-effect profiles that could in fact be relevant to patients, Gartlehner said, and he argues that the finding that venlaxafine caused more nausea and vomiting while sertraline was associated with diarrhea, as well as the fact that some drugs must be taken several times a day while others can be taken less often, are important considerations, along with cost.

But for Parikh, the differences in effectiveness and tolerability that Cipriani identified can make a real difference to patients. "The magnitude of these differences is not huge in terms of effectiveness. It's genuine, but it's modest," Parikh said. "You can say to a patient, 'Do you want the strongest possible drug or do you want the one that's least likely to give you side effects, or do you want some balance?'" Health.com: Boost your mood naturally

He added, "It allows a dialogue to say, 'What suits you?' And if you're able to engage a patient in that dialogue, there's a much better chance of a patient sticking to that treatment because they've been able to tailor that treatment to their individual preference."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

According to analysis of "new generation" antidepressants, some are more effective

@highlight

Since few head-to-head studies exists, researchers used Prozac as benchmark

@highlight

Cost, side effects should be considered as well, argues another reseacher