(CNN) -- Women are not powerless. Look at Nigeria.

It's impossible not to be outraged by the capture of hundreds of Nigerian schoolgirls by a terrorist group, and by the inexcusable delay in pursuing the armed men who took them. For women, in particular, the continuing drama has ignited a particularly powerful response.

Women in many countries are vulnerable and victimized, but they are fighting back in unexpected places with the built-up fury of long held frustration. And they are getting results. Women are no longer powerless.

Let there be no doubt: The reason the United States is sending help, Nigeria is accepting it and the entire world is paying attention is that the women of Nigeria demanded it.

Nigerian women from the town of Chibok in the northeastern Borno state, the mothers, sisters, relatives and friends of the schoolgirls, launched their protests and set off the #BringBackOurGirls campaign that swept away weeks of international apathy.

At a rally in Abuja, one woman held up a sign that read "Can Anyone Hear Me?" The long-delayed answer was a most emphatic "Yes," which resonated across the oceans and echoed in the Nigerian presidential palace.

Sure, the decisions are mostly up to male politicians, but in Washington, all the women members of the Senate, 20 of them, signed a letter to the president of the United States demanding a firm response. They did it without hesitation and without regard to political affiliation.

The tragedy of the Nigerian girls was grotesquely highlighted in a video by a laughing Abubakr Shekau, the leader of Boko Haram. He declared "Allah says I should sell. He commands me to sell. I will sell women."

The revolting message encapsulated the distilled essence of women's plight in many corners of the world. And the response shows a phenomenon of both spontaneous and organized pushback from women's groups, from the millions of men who join them, and from the forces that social media can unleash across cyberspace.

It is a movement that begins with the grassroots, moves into cyberspace and powers its way into the halls of power.

Women have had enough. There is a reason that Malala Yousefzai has become a major international figure, a hero especially to women. It is, of course, about her bravery. Gunmen belonging to the Pakistani Taliban boarded the bus that was bringing the 14-year-old champion of girls' education and her friends from school. They shot her in the face. The Taliban oppose girls' education with that obsessive fervor displayed by the most radical Islamist groups, who want to take all Muslims back to the 7th century.

They could not kill her and they could no silence her. Instead, they made her stronger, and they made her voice louder.

In Afghanistan, when the Taliban came to power, one of its first acts was to shut down women's schools and ban women from universities. They did it under the guise of enforcing Islamic rules.

Religious pretexts are common. But they are nothing more than an excuse. Like the Taliban, Boko Haram finds it particularly offensive that girls should receive an education. Shenkau appears on the latest video holding his AK-47, offering his considered advice. "Girls should go and get married," he said, adding he would give them in marriage "at the age of 9"...at the age of 12, "because they are our slaves."

It's no wonder frustration is boiling over. Consider the recent news from Indonesia's Aceh province, where a woman was raped by eight men as punishment for having an affair. Now an official Shariah court has sentenced her to a humiliating public caning.

Women are fed up. And it's not all about the work of Muslim extremists. In late 2012, emotions boiled over in India after the horrific gang rape of a student riding a city bus in Mumbai. The woman came to be known as Nirbhaya, which means "the fearless one," in Hindi.

Nirbhaya, who had left home to study physiotherapy, had plans to show the Indian people that a woman could realize her dreams. She was planning to give free health care to the poor. Instead, she died at 23, when six men on the bus she took with her boyfriend attacked her with such brutality that she died from internal injuries.

Nirbhaya shook India's women. She jolted the country. In massive demonstrations Indian women joined by thousands of men demanded the government take action to stop the epidemic of rape. The world was horrified. The government vowed to act, but there is much left to be done in a country dominated by men on all spheres of society.

Women endure the brunt of the worst aspects of repression and exploitation. As many as 30 million people are slaves today. Most of them are sex slaves working in brothels and enduring other forms of captivity. And 98% of the sex slaves are women and girls.

Cases like the Nigerian girls, still unaccounted for, and millions sold into bondage are the most urgent, the most dramatic. But they are only a part of the problem. They are so outrageous, so offensive, that they leave no room for moral equivocation.

Just a few days ago, the world was barely paying attention to Nigeria's abducted schoolgirls. Today, the whole world is watching, help is on the way. That is what the women of Nigeria have accomplished -- not quite what Boko Haram had in mind.

@highlight

Frida Ghitis: Women of Nigeria got the world to pay attention to mass kidnapping of girls

@highlight

Ghitis: Women endure the brunt of the worst aspects of repression and exploitation

@highlight

But women in many repressive countries are fighting back against injustice, she says

@highlight

Ghitis: Pushback from women's groups combined with social media gets results