(CNN) -- Eyes trained straight ahead, the 16 young men are as grim-faced as pall-bearers as they carry their respective team's boats down to the river's edge.

Weighing on their broad shoulders isn't just a 20-meter vessel -- it's 184 years of tradition, six months of grueling physical training, and a fierce rivalry between two of the most prestigious universities in the world.

Welcome to the Oxford-Cambridge Boat Race; 6.8 kilometers of sweat, tears, and the occasional sinking in London's River Thames.

Almost every year since 1829, the universities' rowing teams have battled it out in arguably the greatest -- and most controversial -- grudge matches in Britain's sporting history.

"It's the preeminent student varsity match in the world," Matthew Pinsent, former Oxford rower and four-time Olympic gold medalist, told CNN.

"It's unlike any other rowing race -- it's a very long distance over a particularly torturous piece of river."

Oxford triumph

Oxford emerged victorious in the 159th edition of the race on Sunday, cruising over the finish line a length-and-a-half ahead of their rivals, under a torrent of jubilant expletives from cox Oskar Zorrilla.

It was an emotional win for the team who named their boat after former cox and Olympic silver medalist Acer Nethercott, who died earlier this year from cancer, aged 35.

But Oxford, better known as the "dark blues," due to their distinctive uniforms, still trail behind Cambridge's "light blues" in the long history of the race -- 77 to 81.

Indeed, giant billboards dotted along the riverbank screamed "Which blue are you?" to the thousands of onlookers who braved smatterings of snow to cheer on the rowers in their 17-minute crusade from Putney to Mortlake.

Protest, elitism and wild boar sausages

There was none of the drama of last year, however, when Australian protester Trenton Oldfield brought the race to a standstill after plunging between the boats and narrowly avoiding the pounding oars.

The anti-elitism campaigner served seven weeks in prison for the stunt -- though he's admitted if the weather had been this foul in 2012 he might have been more reluctant to dive into the murky Thames.

Freezing weather aside, the Royal Marine Commandos weren't taking any chances, arming themselves with thermal imaging equipment as they patrolled the course.

It appears that if Oldfield had hoped to discourage the stereotypical Barbour jacket-wearing "hooray-henry" crowd, he failed miserably.

Going hand-in-hand with prestige is wealth, and the Oxford-Cambridge Boat Race is no exception.

Beside the traditional pubs lining the riverbank this weekend were champagne-sponsored soirees and stalls selling wild boar sausages.

If any more proof was needed of the race's upper-class flavor, it was surely found in the title sponsor -- global financial services firm BNY Mellon.

Elitist? Far from it, argued Cambridge University Boat Club President, George Nash, who instead called the race "the ultimate meritocracy."

"You get to the university on your academic merit and you make the team on your rowing merit," he said. "It doesn't matter who your parents are."

No pain, no gain

Regardless of its character, there's no disputing the race's reputation as a breeding ground for future Olympians.

It regularly attracts the best athletes from across the world -- including U.S. competitors the Winklevoss twins, who rowed for Oxford in 2010 and are perhaps best known as the former business partners of Mark Zuckerberg, who alleged that Zuckerberg stole the idea for Facebook from them.

Training is a grueling commitment which begins in September, and it's estimated that for every stroke made on race day, 600 have been made during practice.

An average day will begin at 5am, with competitors training around five-hours-a day, seven-days-a-week.

"It's of the highest importance to us -- we sacrifice six months of our lives for 16 minutes," Nash said.

"I'd say there's definitely lots of cases where the boat race has caused many a break-up."

Tradition rules

Since old school chums Charles Merivale, a student at Cambridge, and Charles Wordsworth, of Oxford, first challenged each other to a rowing race in the early 19th century, the competition has gained legendary status in Britain, attracting millions of TV viewers each year.

Fabled stories such as the "1877 dead heat" -- where judge "Honest John" Phelps had his view of the finish line obscured -- add to the almost mythical character of the competition.

Tradition continues to loom large in the race which begins with the toss of an 1829 gold coin and ends with throwing the winning cox into the water.

Today that strong sense of history sits happily beside state-of-the-art sports equipment and up-to-the-minute media coverage.

And while opinion remains divided on its merit -- Telegraph journalist Tom Chivers described the boat race as "fantastically boring" -- there's no denying its enduring place in the nation's history.

@highlight

Oxford University win 159th edition of prestigious boat race against Cambridge

@highlight

The "dark blues" cruise over finish line one-and-a-half lengths ahead of rivals

@highlight

Strong military presence ensures there's no repeat of last year's anti-elitist protest

@highlight

Tradition and prestige loom large in Britain's greatest grudge match