Violence in the streets of Damascus. A growing refugee crisis. Calls for outside intervention.

Reading the grim headlines out of Syria, it's easy to forget how we even got to this point. Here's a refresher course to get you up to speed.

Overview

The Syrian regime, led by President Bashar al-Assad, launched a violent crackdown last year on activists demanding more economic prosperity, political freedom and civil liberties.

This sparked a nationwide uprising and eventually a civil war with armed rebels, many of whom defected from the military.

As of July, the conflict had claimed an estimated 17,000 lives, mostly civilians, according to the United Nations. And more than 170,000 people have fled the Middle East nation to seek refuge in neighboring countries such as Iraq, Jordan and Turkey.

Throughout the uprising, the Syrian government has referred to the opposition as terrorists trying to destabilize the country. Opposition leaders say that's just the regime's way of justifying attacks.

U.S. President Barack Obama and many other global leaders have called on al-Assad to give up the power his family has held since 1970. They've also imposed economic sanctions on Syria as they try to find a diplomatic solution to the crisis.

How it started

In January 2011, revolution in Tunisia marked the start of the so-called Arab Spring.

Tunisia's successful uprising inspired similar unrest in countries throughout North Africa and the Middle East -- countries that, like Tunisia, were experiencing high unemployment, corruption and political repression under longtime autocratic leaders.

In March 2011, violence broke out in Daraa, Syria, after a group of children and teenagers were arrested for writing political graffiti. Dozens of people were killed when security forces cracked down on protesters.

Demonstrators soon called for al-Assad to leave office, following in the footsteps of Egypt's Hosni Mubarak and Tunisia's Zine el Abidine Ben Ali. Al-Assad promised to make changes, and he lifted the country's state-of-emergency law, which for 48 years gave the regime the power to detain anyone without charge and hold them indefinitely.

But just four days after the emergency law was lifted in April 2011, the Syrian regime sent thousands of troops into Daraa for a wide-scale crackdown, witnesses said.

Since then, the violence has only increased, spreading throughout the country and becoming a full-fledged civil war between the regime and an armed resistance. By the summer of 2012, the clashes had reached Damascus, Syria's capital, and Aleppo, its largest city.

Timeline: From uprising to civil war

Who is al-Assad?

Bashar al-Assad has been president since his father, Hafez, died in 2000. Hafez ruled Syria for nearly 30 years and was supposed to be succeeded by oldest son Basel, but Basel died in a car crash in 1994.

When Bashar took office at the age of 34, Western nations had hopes that he might be more moderate than his father, a hard-line Soviet ally. Bashar, young and Western-educated, was at one time studying in London to become an eye doctor.

The al-Assad family is Alawite, a Shiite Muslim offshoot that's one of the minorities in a country that is nearly three-quarters Sunni. Bashar has filled key positions in his government with extended family members, and many of his supporters are Alawites and other minorities who fear what might happen if the Sunnis were to gain power.

Will Syria's first lady take a stand or stand by her man?

Who are the rebels?

The opposition has become larger, more organized and better armed since the start of the uprising. Many of the fighters are ex-soldiers who defected from the military, but there are also civilians who have taken up the fight against the al-Assad regime.

"I go to war for my family, for my country," said Soukrot Amin, a 23-year-old volunteer in the Free Syrian Army. "Because (al-Assad) has killed everyone. He killed my cousin. He destroyed my village. He destroyed my home."

The Free Syrian Army, the primary opposition group, emerged in July 2011, claiming responsibility for an attack on an air intelligence base. It is not the only militia opposing al-Assad, however, and there are questions about how unified the opposition truly is.

CNN inside Syria: Faces of the Free Syrian Army

Overall, the rebels have showed that they can effectively attack the regime. But it has been unable to hold major cities for long, frequently retreating under the pressure of a powerful Syrian military that is better equipped and has airstrike capabilities.

Outside intervention

The United States and many of its Western allies have imposed economic sanctions against Syria, condemning al-Assad and demanding that he leave power. But they have not persuaded the U.N. Security Council to do the same. China and Russia -- two of Syria's commercial partners -- have vetoed several proposed resolutions on Syria.

Without international consensus, most countries have been hesitant to intervene militarily. Saudi Arabia and Qatar, two Sunni-led countries in the Middle East, are believed to be sending arms to the opposition. But the United States is providing only non-lethal aid and humanitarian assistance.

On the other side, Iran is supporting al-Assad and the Syrian regime, as is Lebanon-based Hezbollah, another Shiite ally.

What's at stake for Syria's neighbors

The U.N., through former Secretary-General Kofi Annan, proposed a peace plan this year and sent a team of observers into the country to observe a cease-fire that was supposed to go into effect. But violence persisted, the observers were withdrawn, and Annan resigned his post as special envoy.

Why Syria matters

Of course, there is the humanitarian crisis, with people dying, starving and in need of aid. The U.N. says the violence has made it difficult for many Syrians to access food, water, electricity and medical supplies, forcing tens of thousands to flee the country.

But Syria's key role in the heart of the Middle East means there might also be long-term geopolitical consequences at stake.

Many analysts see the conflict as a proxy war between Iran and its Sunni Arab rivals in the region, between Iran and the United States, and even between the United States and Russia -- the latter "about who is going to have more say in the future of the region and on what terms the international community will intervene in conflicts such as Syria," said Nader Mousavizadeh, chief executive of Oxford Analytica.

Why Americans should care about Syria

Because the Syrian regime is Alawite and the majority of the country is Sunni, there is also concern that Syria could devolve, like Iraq once did, into a bloody, sectarian battle that could further destabilize the region.

And any time you talk about instability in the Middle East, there are worries about al Qaeda and other hard-line militants filling any power vacuums or failed states.

Then there is the Arab-Israeli issue to consider. Syria has been a key Palestinian ally through the years, actively supporting Hamas and Hezbollah while sharing a border with Israel. What will the Syrian outcome mean for Mideast peace?

As Henry Kissinger, the former U.S. diplomat, once said, "The Arabs can't make war without Egypt, and they can't make peace without Syria."

@highlight

Syria's uprising, which started in early 2011, has turned into a full-fledged civil war

@highlight

Thousands of Syrians have been killed, and many more have fled the country

@highlight

Global leaders are calling for President Bashar al-Assad to step down

@highlight

Al-Assad says the rebels are terrorists who want to destabilize the country