(CNN) -- When President Barack Obama declared in Tuesday's State of the Union that a "woman deserves equal pay for equal work" and it's time for the nation to "do away with workplace policies that belong in a 'Mad Men' episode," the House chamber erupted in an apparent display of bipartisan support rarely seen in today's Washington. 

You saw both Vice President Joe Biden and House Speaker John Boehner leading Congress in a standing ovation. Facebook reported a massive spike -- 33,000% -- in conversations immediately after the president's remarks about women and the gender wage gap. Twitter exploded with more than 33,000 tweets per minute.

And I'm pretty sure that wherever he was, even Don Draper put down his Lucky Strike cigarette, stirred his Canadian Club whiskey, and rose to his feet in support.

Obama's soft sell on income inequality

But as welcome as this seemingly bipartisan display of support for women may be, it stood in stark contrast to what has happened in the real world.

It's been five years to the day since the President signed his first piece of legislation, the Lilly Ledbetter Act, which restored legal protections for women who are victims of pay discrimination. That law was intended to be a first step. But since then, Congress has been sitting on its hands when it comes to closing the gender wage gap.

We need measures that will support women as they increasingly fill the role of both primary caregiver and primary breadwinner in today's American families. 

A standing ovation in a joint session of Congress will not put food on the table for 42 million American women living on poverty's edge. A standing ovation won't create workplace policies that keep them from having to choose between caring for their families and bringing home a paycheck. 

And a standing ovation certainly won't change the fact that women as a group still make only 77 cents on the dollar as compared to men -- even less if you are Black or Latina.

Only action will.

If 2014 is to be, as the President calls it, the Year of Action, there are things we can do right now to close this gap and help millions of women fully participate and thrive in our economy.

State of the Union: Bravado vs. political reality

Congress can start by passing the Paycheck Fairness Act so that women can't get fired for asking their co-workers about their pay. As Lilly Ledbetter pointed out this week, "How will a woman know she's being paid less if she can't ask?" Today, nearly half of all workers labor in jobs where they are either prohibited by policy or discouraged by their employers from talking about their pay. They can face severe consequences if they do, including termination. 

The good news for Congress in this election year is that this issue has the support of most Americans, regardless of geography, gender, race or party affiliation.

And if Congress fails to act, the President has been clear that he will.

He's already raised the minimum wage for federal contractors. Another opportunity for action is an executive order that protects employees from retaliation by federal contractors for discussing their wages with co-workers. An executive order may not have the staying power of legislation, but it will move the needle for the approximately 25 million Americans working for federal contractors, many of whom are women.

States can also be leaders in creating more gender equity in today's workplace.  Several states have adopted legislation strengthening their equal pay protections beyond what is required by federal law. Additionally, California, New Jersey and Rhode Island are providing paid family leave, and Connecticut now offers paid sick days.

These states are demonstrating that change is not only possible, but can be profitable: Businesses have reported that with these policies in place, they have experienced reduced turnover and increased productivity and morale.

And businesses need not wait on Washington -- as some are already proving.  Many have revised workplace policies to provide flexible schedules, paid family leave and paid sick days to help ensure women are not penalized in the pocket book for shouldering the lion's share of their family's caregiving responsibilities.

Together we can close the gender wage gap and in so doing cut the poverty rate for women and their families in half and add nearly half a trillion dollars to the national economy. When we lift women, we lift America. 

But now it is up to us to act. We can't just tune out.

You see, Don Draper is fiction. But the gender wage gap is very real.

The opinions expressed in this commentary are solely those of Maya L. Harris.

@highlight

Maya Harris: Bipartisan applause doesn't square with Congress' record on gender wage gap

@highlight

President Obama spoke to the issue during Tuesday's State of the Union address

@highlight

He said it's time to "do away with workplace policies that belong in a 'Mad Men' episode"