Editor's note: Leslie Morgan Steiner is the author of "Crazy Love," a new memoir about domestic violence, and the anthology "Mommy Wars," which explores the polarization between stay-at-home and career moms.

Leslie Morgan Steiner says domestic violence afflicts the well-to-do as well as the poor.

(CNN) -- For two days, news reports called her "the 20-year old victim" allegedly attacked by R&B singer and dancer Chris Brown in his car early February 8 in Los Angeles, California.

We all now have good reason to believe that the alleged victim was pop singer Rihanna, Brown's girlfriend.

The story has dominated the general media with good reason. Both singers are young, apple-cheek gorgeous, immensely talented and squeaky clean -- the last couple you'd imagine as domestic violence headliners.

Perhaps the only good that will come from the Rihanna/Brown publicity is destruction of our culture's misconception that abusers and their victims can only be universally poor, uneducated and powerless.

Brown, whose first song debuted at No. 1 and whose first album topped the Billboard Hot 100, appeared on a Disney sitcom and in Sesame Street, Got Milk? and Wrigley's Doublemint Gum commercials. Barbados-born Rihanna has been big-brothered by music industry legends like Jay-Z and Kanye West and is signed to the Def Jam Recordings label.

She has been astonishingly successful in the short time she has been on the music scene, attaining five Billboard Hot 100 No. 1's with "SOS," "Umbrella," "Take a Bow," "Disturbia" and T.I.'s "Live Your Life."

Like Rihanna, I had a bright future in my early 20s. I met my abusive lover at 22. I'd just graduated from Harvard and had a job at Seventeen Magazine in New York.

My husband worked on Wall Street and was an Ivy League graduate as well. In our world, we were the last couple you'd imagine enmeshed in domestic violence.

Many of my ex-husband's attacks also took place in our car. For reasons I never understood, the enclosed, soundproof space brought out his worst violence. He punched me so fiercely that my face had bruises from his fist on one side and from hitting the window on the other.

As trapped in the car as I was in our marriage, it was there that I endured tirades about how controlling I was with money, how flirtatious and naïve I was with other men, how defiant and disrespectful I was of my husband's authority.

So, I suppose I have more understanding than most about the shame, fury, confusion and disappointment Rihanna may be experiencing. What's hardest for outsiders to fathom is how lethal a cocktail love, hope and sympathy can be. I first fell for my husband the night he confided how he, like Chris Brown, had been traumatized as a young boy by domestic violence in his home.

"He used to hit my mom ... He made me terrified all the time, terrified like I had to pee on myself," Brown said during a 2007 interview with Giant magazine.

Brown hasn't explained what happened in the recent incident, but this week he released a statement saying that he's sorry and saddened by it.

Our culture encourages women to nurture men, making it predictable that many experience a seductive empathy for abusive men, as well as the misguided hope that love can obliterate an ugly past.

In my case, it took four years, myriad terrifying attacks, and the intervention of the police and family court before I understood how little I could help my ex get over his abusive childhood.

I certainly felt alone during my abusive relationship, but unfortunately I was in good company. The U.S. Department of Justice estimates that between 1 million and 3 million women in America are physically abused by their husband or boyfriend each year.

Every day, on average, three women are murdered by their husbands or boyfriends. At some point in our lives, 25 percent of American women will report being physically abused or raped by intimate partners, according to the National Violence Against Women Survey conducted by the Centers for Disease Control and Prevention.

However, these statistics, grim as they are, fail to highlight the root of the abuse cycle. A national survey showed that 50 percent of men who frequently assault their wives also frequently abuse their children.

Witnessing abuse, as Chris Brown and my ex-husband did as young boys, is a form of abuse itself. Tragically, many victims of childhood abuse grow up to be abusers themselves. I always sensed that my husband didn't want to be hurting me -- he knew exactly how excruciating love and fear felt mixed together -- but his childhood rage overpowered his adult sensibilities.

A few months after I left my marriage, I happened across another couple in another car, late at night on an empty street. I slowed down as a well-dressed woman about 25 years old was walking away from a white Honda, brushing off a tall, handsome young man wearing a sports coat and jeans.

Suddenly she turned and tried to run. He grabbed her with his long arms and shoved her up against a dirty storefront. Even from my car I could see the fear on her pretty face.

Without thinking, I jerked my car over and got out. By this time the man had let the woman go and she'd slid behind the wheel of the car. He stepped back as I approached, his anger displaced by uncertainty and shame at being interrupted. I didn't look at him. I leaned into the car as she sat clutching the wheel, crying and staring straight ahead.

"I just left a husband who beat me for three years," I said. "You do not have to put up with this. You do not deserve to be treated like this."

"I know," she whispered as fresh tears poured down her face. She sniffed loudly and shook her head. She wouldn't look at me. Her eyes were rimmed red, but I could see resolve in them.

"You're right," she said. "It's just taking me longer than I thought."

As I left, I gave the man a long stare. The spell had been broken and his face was open, sorrowful, filled with hope and fear -- a look I had seen dozens of times on my husband's face. How long would that look last before he got angry again? I could feel the woman's determination as I got back into my car. I knew she would be all right, one day. The man, I was less certain about.

Family violence is a criminal act; perpetrators, while often former victims themselves, need to accept culpability. Until we can prevent children from witnessing and becoming victims of abuse, the cycle will repeat itself: there will be many more Chris Browns and "alleged victims" in our headlines and in our homes.

The opinions expressed in this commentary are solely those of Leslie Morgan Steiner.

@highlight

Leslie Steiner: I was victim of domestic violence many years ago

@highlight

She says such abuse is prevalent and cuts across all demographic groups

@highlight

Our culture encourages women to nurture even abusive men, she says

@highlight

Steiner: Exposing children to such violence perpetuates cycle in next generation