Sarah Wagner's interest in American manufacturing began with a family road trip. She and her husband loaded up their motor home in summer 2011 and visited small towns across the country whose fate seemed to be tied to the presence of industry.

Where plants and factories had closed down, they found empty main streets with boarded-up storefronts. In other places, such as Forest City, Iowa, home to the Winnebago factory, they found vibrant communities where they could tour manufacturing facilities and witness the pride employees took in their work.

When the trip was over, she started a Twitter account to share resources for all things made stateside. As USA Love List has evolved into a website, Wagner has learned that even though she can find plenty of goods made in the United States, it's impossible to live off them.

But she said the holiday season is the perfect time to experiment with how far she can go. For the second year in a row, Wagner has pledged to buy as many gifts as possible made in the United States. Knowing where to start can be a challenge, but Wagner and others for whom conscious consumerism means buying American say there are many places to check out, from craft fairs, Etsy and specialty boutiques to e-commerce.

Made in America: The short list

"Gift-giving creates the perfect opportunity to try to buy American. You have extra time to research, and you have flexibility in what you choose to buy," said the married mother of two from Philadelphia.

"I'm a realist. I know that it's impossible to buy entirely American-made products year-round, but I also know there's a lot of wonderful American-made products, made by proud Americans, and it's worth my time to look for them."

USA Love List: Holiday gift guide

Wagner isn't alone. Motivated by a desire to boost the domestic economy or doubts over outsourcing, some Americans are making an effort to shop local for holiday gifts this year. It's a niche market, but it's one that has been growing in recent few years, and brands are starting to take notice.

A growing number of small companies have been catering to the desire for American-made clothing and accessories, fueled in large part by style blogs touting the benefits of heritage brands.

Well spent: 50 Under $50

On a larger scale, Apple announced last week that it would shift some of its production back to the United States, citing customer demand for American-made products. Though some have characterized the announcement as a publicity ploy that won't do much to alter Apple's manufacturing operations, it follows a continuing pattern of American companies bringing manufacturing back home due to rising labor, supply and production costs in China.

Some say buying American is a drop in the bucket when it comes to boosting the domestic economy, but experts agree that every bit counts. Manufacturing has the highest multiplier effect of any industry, meaning that it benefits other sectors that supports its operations.

"Anytime something is manufactured in the United States it's going to have greater gains in terms of jobs than something made overseas," said Chad Moutray, chief economist for the National Association of Manufacturers.

Still, Apple's announcement won't help Wagner. Her son wants an iPod for Christmas, and she's going to get it for him despite the fact that it's assembled in China and will continue to be made there. (Apple only plans to manufacture some of its line of Macintosh computers in the United States.)

Otherwise, just about every gift on Wagner's holiday shopping list is made in the United States or locally sourced. The only other exception is a Skippyjon Jones children's picture book, which is written by an American author, and published by an American company, but printed in China. But pajamas bearing the cartoon cat's likeness that will accompany the book are made in America, she said.

Electronics and appliances made in the United States are hard to come by, but jewelry, clothing, accessories, beauty products, even holiday decorations are easier to find than you might think, she said.

Buying American for the holidays hasn't changed her budget significantly, she said. She'll spend about $700 on family, friends and white elephant gifts, about the same as in recent years. The only difference is that she spends a bit more time searching.

She's giving most of her relatives food gift baskets from local specialty markets, bakeries that make their own products or confectioners across the country. Others are getting hats, sweaters and bags made in the United States from brands whose products are available online.

Big-box retailers sometimes surprise with their "Made in the USA" labels, she said. She has found cast-iron cookware and paper products at Costco. Target and Wal-Mart sell some beauty products, candles and paper products that make great Secret Santa gifts.

"Once you start looking, it's amazing what you find," she said. "When you start to look, you notice patterns. I find new brands every time I go in."

Sarah Mazzone is also on mission to buy only American for the holiday season. She runs the website made in usa challenge, which she started in 2011 with the goal of finding and sharing domestically produced goods, from toys and clothes to food, wine and dog toys.

Made in USA Challenge: Holiday Gift Guide

She spent about $300 on jewelry, toys and clothing from Etsy and e-commerce sites that she has learned about through her site. She even found a coloring book at Urban Outfitters. The only non-American product is a stuffed animal for her 2-year-old son, she said. When she can't find something made in the United States, she turns to thrift stores, which is where she found a life-size sea turtle toy for $8.

"At least I'm keeping it out of a landfill," she said.

Made in USA Challenge: Holiday gift ideas for kids

Children and teens are often the hardest to shop for because they often want electronics, licensed products or brand-name clothing that is likely made in China -- and that's OK.

"You don't have to be hard core about it," Mazzone said. "Just set a goal and try it in little amounts. Every little bit makes a difference."

For the brand-agnostic, clothing, accessories and jewelry are available in a variety of price points, thanks to a growing resurgence of interest in American-made fashion, Mazzone said. Most of it carries a higher price tag than foreign-made counterparts, but if you're going to splurge on a gift, there's no better time than holidays, Mazzone said. For budget-conscious shoppers, it could just mean spending the same amount as planned on fewer, more meaningful products.

"It's a matter of priorities and choosing quality over quantity," she said. "People didn't used to expect Santa to bring them five to 10 gifts under the tree. It might be more of an investment, but you could end up with fewer disposable products that'll be in your family for generations."

Follow CNN Living on Facebook and Emanuella Grinberg on Twitter

@highlight

Gift shopping is the perfect time to test how far you can go buying local, bloggers say

@highlight

Mom: "You have extra time to research, and ... flexibility in what you choose to buy"

@highlight

Kids can be hard to shop for because they often want electronics, licensed toys

@highlight

Check labels at Target, Wal-Mart for beauty products, paper goods made in U.S., some say