(CareerBuilder.com) -- Have you ever looked at your boss and wondered "Who promoted you?" or "How have you not been fired by now?" If you have, take comfort in knowing you're not alone -- many of us have to deal with bosses that seem in over their heads.

The fact is, that while your inept boss may drive you nuts, it may not even be his or her fault -- or even the fault of your company for promoting your boss in the first place. Your unsuspecting employer had no idea that your boss would become a full-blown case of the Peter Principle in action.

So who is Peter and what did he do to make your boss so frustrating, you ask?

Well, Laurence J. Peter is a former professor who published a satirical book based around his theory that "In a hierarchy, every employee tends to rise to his level of incompetence" and that "In time, every post tends to be occupied by an employee who is incompetent to carry out its duties."

Or, basically: We do a job well, we're promoted. We do that job well, we're promoted again. This happens in succession until we eventually rise to a position that we can no longer do well -- or our level of incompetence. There, we either stagnate, revert back to a lower position, or are fired.

While "The Peter Principle: Why Things Always Go Wrong," was originally meant to provide a sort of absurd-yet-true comic relief to the over-worked, the practicality and pertinence of the Peter Principle was not lost on the working world, and the theory has since become a hotly debated human resources phenomenon.

Below three experts argue their side of the Peter Principle.

CareerBuilder.com: Conflicting career advice: Which is right

"It's true!" -- Ric Morgan, professional speaker and author of "The Keys: The Textbook to a Successful Life"

"I live in a city where one of the department heads (and the highest paid civic employee in the city) is the most incompetent person you'd ever want to meet. Ever since he [took the job] it has been one disaster after another.

He'll hire someone to do a job for the city, and when they too prove to be incompetent, he hires someone else to cover his tracks saying that the last company wasn't a good fit. This incompetence has cost the city millions of dollars, and yet he has the council members, the Mayor and city manager bamboozled, so they don't fire him.

[As a business consultant], the minute I find the people who are living examples of the Peter Principle is the minute I find the problems in the company.

This problem is so diverse and prevalent I have even seen examples of the founder of the company being a leading example of the Peter Principle. I know that sounds crazy, but they had two things going for them: an idea that was just too good to fail, and the ability to hire very competent people to make it all work.

I have even, as crazy as this sounds, found people who are running or trying to start one-man shops. In this day and age of entrepreneurship, everyone believes they can start a business and make it succeed because they 'have the best idea that will make them overnight millionaires.' Wrong!

It's hard to look into someone's eyes and tell them they are too incompetent to do what they have set out to do, even if they have been doing something similar in another place, where they had actually reached the level of incompetence espoused by Laurence.

A lot people believe the Peter Principle applies to just business, but there are an awful lot of people out there who live it in all areas of their life. They are incompetent at life itself. We have all met people like this and we always wonder how they even exist."

CareerBuilder.com: How to self-promote without being obnoxious

"It's false!" -- Leigh Steere, co-owner, Managing People Better, LLC

"I personally do not believe in the Peter Principle. The field of neurolinguistic programming says that any behavior/skill can be learned. In other words, if a person does not already know how to do something, he/she can be taught.

Sometimes, however, we have internal barriers to learning and achievement that keep us from growing intellectually and professionally. Limiting beliefs, such as 'I'm not smart enough' or 'I'm not good at math,' can keep people from attempting more complex challenges.

This is not an issue of incompetence. It is an issue of limiting beliefs -- or an 'emotional intelligence' gap. Stagnation, reverting to a lower position or being fired can result from a variety of 'emotional intelligence' gaps.

For example, some people have not adequately learned to read body language cues. They may press their point, even though it is clear listeners are becoming angry or defensive. They may bark orders at colleagues, unaware that listeners are bristling. They don't adjust their communication to preserve rapport.

One might argue that this is a form of incompetence. However, the Peter Principle seems to suggest that each person has a level of competence that he/she cannot move beyond.

I strongly disagree with this presupposition. Even the most bull-in-a-china-shop communicator can learn techniques for building rapport, resolving conflict gracefully, etc. The issue is: is a person able to acknowledge their deficits and seek help. In some cases, employees are in such denial that they do remain stuck or they get fired ... until they finally 'get' the message.

There is an older book, 'Battling the Inner Dummy,' that offers an interesting concept -- 'controlled trauma to induce transformation' and offers this illustration: 'Boot camp ... can be thought of as an example of controlled trauma that is designed to foster traits like loyalty and obedience.'

Sometimes, an employer can stage a controlled trauma to help an employee move beyond a stuck place or overcome denial.

For example, let's say a star salesperson is running roughshod over co-workers by communicating curtly, expecting them to stay until midnight to finish tasks that could wait until the next day, etc.

An employer could pull the person aside and say, 'We appreciate your sales talent and all the business you have brought to our company. However, we are receiving numerous complaints from your colleagues about your communication style. We value you and want you to continue here. But this bullying communication style cannot continue. We will pay for a coach to work with you on this if you would like to stay with our company. Otherwise, you will need to find employment elsewhere.'

If the salesperson accepts the coaching, he/she has an opportunity to move to a new level in his/her career. In contrast, the Peter Principle suggests this salesperson would hit a career ceiling."

CareerBuilder.com: A field guide to co-workers

"It depends!" -- Marcia Reynolds, Psy.D., author of "Wander Woman: How High-Achieving Women Find Contentment and Direction"

"I have been a corporate trainer for 30 years. I don't believe you can really measure the truth of the Peter Principle without analyzing the training the person has had for the position they have moved into, especially if it's a promotion.

With each promotion the person has to give up some of the things they have done before and take on new tasks, responsibilities and perspectives (including work values). What they did before will not ensure their success in the present. However, if the person doesn't get good mentoring, training and a manager who can support the shift, they are not given the tools to succeed. They could be competent if given the chance."

&copy CareerBuilder.com 2011. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

The Peter Principle states that people work their way up at work until they no longer do well

@highlight

It is difficult to tell a boss or coworker that they are not competent enough for their job

@highlight

Some believe an incompetent boss might not have received adequate training