Editor's note: Since the FBI arrested a Brooklyn businessman in late July on federal charges of organ trafficking, CNN has been conducting a worldwide investigation into the sale of kidneys using willing donors and willing recipients from China to Israel to the United States.

Nick Rosen says he got $20,000 to donate his kidney and lied to the hospital's transplant team.

TEL AVIV, Israel (CNN) -- Four years ago, a young, cash-starved Israeli answered an ad in a newspaper for a kidney donor.

"I decided I wanted to make a positive change in my life and do something different," Nick Rosen told CNN. "So I saw an ad in the paper and it said, 'Kidney Donor Wanted.' And called the ad in the paper, and they asked me my blood type."

Ultimately, Rosen flew to New York and underwent surgery at Mount Sinai Medical Center to remove one of his two healthy kidneys.

"Let's say I donated a kidney and received compensation," he said.

Rosen's story is one of several that have come to light in recent weeks as part of a worldwide CNN investigation into what appears to be a widespread black market in human organs currently under scrutiny by authorities in the United States and Israel.

Rosen says he was paid $20,000 for his kidney -- something he admits he lied about in interviews with the hospital's transplant team.

Watch Rosen explain how he sold his kidney »

What Rosen did -- and what the man who received the kidney did -- violated a 1994 U.S. federal law that forbids the selling or purchase of live organs for cash. He not only got his money, but made an 11-minute documentary film he called "Kidney Beans" to show how easy it was to sell an organ. A portion of the documentary shows him lying on a bed, covered in cash he says he was paid.

In a written statement, Mount Sinai told CNN: "The pre-transplant evaluation may not detect premeditated and skillful attempts to subvert and defraud the evaluation process."

"Mount Sinai's transplant screening process is rigorous and comprehensive, and assesses each donor's motivation," the hospital said.

A hospital medical source put it more bluntly: "We were duped."

According to kidney transplant doctors, the process of pre-screening, blood-type matching and other related medical issues normally takes two months before any surgery. During that time, both recipient and doctor have to make several visits to a team of doctors, social workers and perhaps even ethicists before a final decision is made.

Hospitals often ask donors to sign documents which ask whether they have received any compensation for donating a kidney or other organ. But no documentation is required to prove a family connection.

The chief of nephrology at Mount Sinai later said hospitals and doctors are primarily concerned with medicine. "We're not detectives. We're not the FBI," Dr. Barbara Murphy said. "People can, on occasion, deceive us."

But what Rosen did was not unique, according to the World Health Organization, which says 10 percent of kidney transplants worldwide are believed to be illicit.

Dr. Eli A. Friedman, a leading kidney specialist, teacher and researcher at Downstate Medical Center in Brooklyn, said the United States leads the world in kidney transplants. About 16,000 of them are performed every year, he said.

"That would mean that somewhere between 1,500 and 2,000 transplants in the United States might fall in the categorization of being illegal," Friedman said.

He added, "I have had several experiences with patients with data that says they got a kidney from their brother, their sister or from their parent when they don't have a brother or a sister, " Dr. Friedman told CNN. " The transplant was performed under false circumstances."

And Friedman said he's been offered bribes of $5,000 to $10,000 by kidney brokers.

"Of course I was very happy to see them leave the office very rapidly," he said.

The extent of the underground network came to the surface in late July, when FBI agents arrested a Brooklyn businessman on charges of organ trafficking. A federal complaint against Itzhak-Levy Rosenbaum said he had offered to provide a new kidney for a relative of an undercover FBI agent for about $160,000.

According to the complaint, Rosenbaum told the agent he could buy the kidney for about $5,000 and gave instructions on exact procedures and methods to avoid detection. The complaint quoted Rosenbaum as bragging: "So far, I've never had a failure."

Ronald Kleinberg, the attorney for Rosenbaum, told CNN he could not comment on the FBI complaint "because I have not had enough time to assess the information." He said CNN's "assertions are incorrect," and that law enforcement's account of Rosenbaum's network was inaccurate.

But law enforcement sources said Rosenbaum had been the centerpiece of a kidney-for-sale operation, which he called "United Lifeline," that operated extensively for nearly a decade.

The donors and patients in this network were linked by one common theme -- they were Jewish. Investigators say the donors usually came from Eastern Europe, were mostly poor and willing to sell their kidneys to U.S. and Israeli patients.

According to one expert on organ trafficking, the FBI had been alerted to Rosenbaum's activities years ago.

Nancy Scheper-Hughes, an anthropologist at the University of California at Berkeley and founder of a newsletter called "Organs Watch," said she had told the FBI about Rosenbaum and her suspicions about him seven years ago.

"I think they thought it was a very few bad apples," Scheper-Hughes said.

The FBI said would not officially comment on her assertions, but an FBI source later said, "We developed our own leads."

According to Scheper-Hughes, the same day she spoke to CNN, she had learned of another illegal transplant surgery taking place at Cedars-Sinai Hospital in Los Angeles. The donor, she said, was a young Korean national who had received more than $25,000 for one of his kidneys.

"This is a kid that does not speak much English, who is terrified and shaken," she said. "And he thought, 'Maybe I've made a mistake to do this, but $25,000 is a good amount of cash.'"

Scheper-Hughes said the cash had been handed over in two increments, with the second paid to a relative in a hospital bathroom.

In a statement, Cedars-Sinai spokeswoman Sally Stewart said living donors "must state they are not receiving payment for their kidney."

"If at any time during the evaluation process, the transplant team suspects the donor is inappropriately being paid for a kidney, the transplant is canceled," she said. But a hospital source later told CNN, "We do not give lie-detector tests to our patients."

According to Scheper-Hughes, who is in the final stages of writing a book on organ trafficking, much of the world's illicit traffic in kidneys can be traced to Israel.

"Israel is the top," she said. "It has tentacles reaching out worldwide."

Until March 2008, Israeli law allowed Israeli citizens to go abroad for live organ transplants from non-related donors. But there was no way for Israeli authorities to keep track of how many of those cases involved money changing hands, the country's Health Ministry said.

Israeli investigators are looking intensively at illegal organ trafficking under the new law, the ministry said. And prosecutors in Nazareth sent nine Israelis to jail in 2007 after uncovering a black-market ring that was buying and selling organs.

Gilad Ehrlick, the assistant district attorney for Israel's Northern District, said he was shocked by the case. Secretly recorded conversations showed that Arab and Russian newspapers were targeting low-income Israelis and Palestinians with ads saying there would be payment in exchange for providing a kidney.

"The idea was the people were calling out of despair, out of urgent need who needed a quick way to make money," he said.

@highlight

CNN investigating what appears to be a widespread black market in human organs

@highlight

Israeli man says he received $20,000 for his kidney

@highlight

He says he lied to the hospital about the money he received

@highlight

10 percent of kidney transplants worldwide are thought to be illegal