(CNN) -- Survivors of a deadly earthquake-triggered tsunami which hit the Samoan islands Tuesday have described how they watched the inrushing sea swallow up coastal towns and villages leaving devastation in its wake.

iReporter Alden Tagarino captured this image of the damage caused by the tsunami in Pago Pago.

At least 111 people are confirmed killed in Samoa, neighboring American Samoa and Tonga. But officials in the Polynesia region have expressed fears the toll will rise as rescue workers struggle to reach outlying villages submerged and flattened by the wave.

American Samoa resident Frances Faumatu told CNN she had fled to Aoloau, the highest village on the island, as the earthquake shook her house.

"All of a sudden we heard on the radio everybody had to run for safety," she said. "Right after the quake, the tsunami came."

Faumatu and others stayed on the mountain for two or three hours until the warning was lifted, watching as the sea swallowed Pago Pago, the island's capital, and then receded.

At least 22 people are confirmed dead in the U.S. island territory. Cars, debris, and parts of buildings were randomly strewn over the landscape where the powerful waters dropped them.  See iReporter images of the aftermath »

But in some cases, the sea left nothing behind. "Other villages were taken to the ocean," Faumatu said.

"I can't even compare the image. It's one thing to see a photo or footage, but just to be there in person is pretty dramatic," Maneafaiga T. Lagafuaina told CNN Wednesday. "American Samoa itself is experiencing a great loss."

The 8.0-magnitude quake hit the small cluster of Samoan islands in the South Pacific early Tuesday.

In Samoa, the death toll stands at 82, according to government minister Maulolo Tavita. But he said he feared the number of causalities would continue to rise.

Around 220,000 people live on the two main islands which make up the nation of Samoa. The population of American Samoa is about 66,000.  See a map of the affected region »

Salamo Laumoli, director of health services at the LBJ Tropical Medical Center in Pago Pago, said he feared more fatalities would turn up as rescue workers strived to access parts of the island severed by damaged infrastructure.

"I thought it was the end of the world," said Laumoli. "I have never felt an earthquake like that before."

Patients at the hospital were briefly moved to higher ground, but they were soon brought back and the hospital is operating, the U.S. Federal Emergency Management Agency said. The airport in the capital of Pago Pago was also operational and being used for emergency flights, FEMA said.

A U.S. Coast Guard C-130 cargo plane was scheduled to land Wednesday around noon Eastern time, which coincides with sunrise in the Pacific U.S. protectorate, said Craig Fugate, FEMA administrator. A second C-130 was scheduled to land around 5 p.m. ET.

"The wave came onshore and washed out people's homes," said Cinta Brown, an American Samoa homeland security official working at the island's emergency operations center.

The same happened on the hard-hit east and west sides of American Samoa, said Brown, who was standing in a parking lot when her sport utility vehicle began rocking left and right.

She said she could hear the rattling of metal of a large chain-link fence around the lot. "It shakes you because you know something else is coming," she said.

The British Foreign Office said one of the dead in American Samoa was a British national, but no other details were provided.

In Tonga, Lord Tuita, the acting prime minister, said at least seven people had been confirmed dead on the northern island of Niuatoputapu. Three others were missing and four people were being treated for serious injuries, he said.

"The hospital on the island is reported to have suffered major damage; telephone communications has been cut as a result of damage to equipment and facilities on the island; homes and government buildings have been destroyed; the airport runway has been severely damaged making it impossible for any fixed wing aircraft to land," a statement from the Tongan prime minister's office said.  Were you there? Send us your photos and video

A series of aftershocks reverberated through the region Tuesday as reports emerged of entire villages flattened or submerged by the tsunami. The walls of water were so strong that they twisted concrete beams and mangled cars.  See an explainer on tsunamis »

Laumoli said people in outlying villages on one end of the main American Samoa island had been cut off because the connecting bridge was washed away.  Listen to Laumoli speak about the impact of the quake and tsunami »

American Samoa Gov. Togiola Tulafono, speaking from Hawaii, said Tuesday's quake ranked "right up there with some of the worst" disasters on the island. He said he had spoken to the military about mobilizing reserve forces for assistance.

Tulafono was on his way back home from Hawaii on Tuesday night on one of two U.S. Coast Guard transport planes delivering aid. He told reporters Tuesday it had been hard being away from home as the disaster unfolded. It was a time, he said, for families to be together.  Watch American Samoa governor discuss tsunami »

President Obama declared American Samoa a major disaster area, ordering federal aid to supplement local efforts.

"We keep the many people who have been touched by this tragedy in our thoughts and in our prayers," he said.

A U.S. Defense Department official said 75 members of the Hawaii National Guard were ordered to American Samoa to begin assisting with medical relief, search and rescue and providing communications capabilities on the island. The unit will bring enough supplies to sustain themselves for 96 hours and its expected more aid from the military could begin flowing in, the official said.

The Coast Guard is transporting more than 20 officials from the Federal Emergency Management Agency to American Samoa, said John Hamill, external affairs officer for FEMA in Oakland, California.

The FEMA team will include a variety of debris experts, housing experts, members of the Corps of Engineers, and other disaster relief specialists, Hamill said.

The quake generated three separate tsunami waves, the largest measuring 5.1 feet from sea level height, said Vindell Hsu, a geophysicist with the Pacific Tsunami Warning Center. Preliminary data had originally reported a larger tsunami.

CNN's Barbara Starr, Augie Martin, Mariano Castillo, Moni Basu, Tess Eastment, Jim Kavanagh, Mike Ahlers, Hank Bishop and Nick Valencia contributed to this report.

@highlight

At least 111 dead in Samoan islands and Tonga after Pacific tsunami

@highlight

Officials fear death toll will rise as rescue workers reach outlying villages

@highlight

Magnitude-8.0 quake strikes near Samoan Islands early Tuesday

@highlight

Hawaii National Guard troops being sent on relief operation