KURUTHU, India (CNN)  -- In a single, tragic day, Chandrasekhar Sankurathri lost everything he loved.

More than 137,000 cataract surgeries have been performed at Chandrasekhar Sankurathri's eye hospital.

"Nobody should go through what I've been through in my life," he says.

Sankurathri's wife and two young children were flying on Air India Flight 182 from Ottawa, Canada, to Bombay, India (now known as Mumbai), in 1985 when a bomb exploded, killing everyone on board.

"I used to think maybe they landed someplace. Maybe somebody rescued them, you know," he says.

For three years he stumbled through his daily routine as a biologist in Ottawa, not wanting to believe the truth.

"I was really lost," he remembers.

After considerable soul-searching, Sankurathri made a decision few others might -- to turn his personal pain into an opportunity to help those less fortunate. In 1988, he quit his job, sold his home and returned to India, where he was born, and where he believed he could do the most good.

"India has so many problems," says Sankurathri, 64.

Two in particular caught his attention: a lack of school attendance and rampant blindness. With the money he had, Sankurathri created a foundation in his wife's name, and in turn, built a school and an eye hospital in the small rural village of Kuruthu, not far from his wife's birthplace. Today, his foundation's efforts to empower the poor through education and health care are having significant success.

Since it's creation in 1992, Sarada School -- named for the 4-year-old daughter Sankurathri lost -- has grown from one grade to nine. More than 1,200 students have graduated and many of them have gone on to high school and college. Sankurathri keeps in touch with past students.

"We act like a big family," he says.

In a country where the United Nations Educational, Scientific and Cultural Organization estimates the national primary school dropout rate is more than 50 percent, Sankurathri proudly says that not one of his students has ever dropped out.  Watch Sankurathri talk about the school he started in memory of his family »

The same buses that pick up students for Sankurathri's school in the morning are often used later in the day to bring eye care patients from other rural areas to the Srikiran Institute of Ophthalmology, Sankurathri's eye hospital, named for the 7-year-old son he lost. Since the hospital's opening in 1993, more than 137,000 cataract surgeries have been performed, 90 percent of them free.

"We see close to 350 outpatients a day and perform 80 surgeries per day," he says. "Our mission is to provide quality eye care with compassion, which is equitable, accessible and affordable to all."

But Sankurathri has found that getting patients the care they need often requires educating the public first.

"In India, people are so ignorant. They think cataract blindness is not curable," he says. "They are not aware that it is curable and that it is a simple operation."

In fact, about 75 percent of India's estimated 15 million blind people could avoid blindness with prevention or medical treatment, according to Vision 2020 India. Sankurathri is amazed and delighted by the transformation that occurs after each cataract surgery.  Watch Sankurathri explain how he is helping the blind to see again »

"Just within a few hours, you make their lives totally different," he says. "Their whole life changes -- the way they walk, they act, they smile."

The goal, Sankurathri says, is not only to help the blind see again, but also to lead a better life. Sankurathri has been back in India for almost 20 years. He insists his work does not make him special.

"I'm just an ordinary human being trying to do my best to help others."  Watch Sankurathri explain how he turned his personal grief into the gift of sight for thousands »

He also believes his journey to honor those he loved has not been a solitary one.

"I feel very close to my family. I feel they are here with me" he says. "That gives me a lot of strength."

@highlight

Chandrasekhar Sankurathri's wife and children were killed in an airplane bombing

@highlight

The loss inspired him to help with blindness and education in a rural Indian village

@highlight

More than 1,200 students have gone through a school his foundation built

@highlight

Most of more than 137,000 cataract surgeries at his eye hospital have been free