(CNN) -- From time to time, in the years just after his television show was taken away from him, you might see him in the lobby of a Las Vegas hotel or casino.

It was always a startling sight. Ed Sullivan, walking among the guests. In town for the weekend, more free hours on his hands than he would have liked, catching a few stage shows.

It wasn't that he had quickly become anonymous -- far from it. That kind of fame doesn't fade, at least not for a long while. "The Ed Sullivan Show" was gone, but the man survived. It had to have been so odd for him.

"Ed, we miss you!" a hotel guest might call out from across the lobby.

Sullivan would smile. Great smile, by the way -- he was caricatured as being dour and stone-faced, but he had a smile that could light things up.

So, with that smile and with a nod, he would acknowledge the person who had called to him. But it was a second set of people who caused a slightly different reaction from him. They couldn't have intended to be hurtful.

"Ed Sullivan!" they might call. "We watch you every Sunday night at eight!"

And there would be something in his eyes. A little clenching of the jaw.

He was off the air, against his will, and they didn't even realize it.

Today is the 50th anniversary of his greatest triumph. The first appearance of The Beatles on "The Ed Sullivan Show" on February 9, 1964, drew the largest audience for any program -- 73 million people -- in the history of television up to that time. In recent days there has been much discussion of, and reminiscing about, the four young musicians who stepped onto Sullivan's stage that night.

Yet the fifth person on the stage was, in his own way, just as intriguing.

He was a newspaper guy: a sportswriter, starting out, and eventually a Broadway columnist who, in the 1930s, could never seem to step out of the shadow of the most successful Broadway columnist, his rival -- it bordered on enmity -- Walter Winchell.

Winchell, of the New York Mirror, had become, through his national Sunday night radio news-and-commentary program, the most talked-about and highly paid journalist in the United States. He was abrasive, imperious, ruthless in his wielding of power, and a dazzling, concise wordsmith between the dots of the items in his "Your Broadway and Mine" column. Sullivan's "Little Old New York" column in the Daily News was punchy and knowing, but he was never going to become as big as Winchell.

Or so everyone thought.

One evening in the late 1940s, Sullivan did his annual duty as master of ceremonies for something called the Harvest Moon Ball, a dance competition sponsored by the Daily News. Some executives at CBS, seeing him at the microphone, thought they might try him out as the host of a variety show on the new and untested medium of television. Radio was still king; there wasn't much risk in seeing what would work on TV.

Opinion: Did Beatles push black music aside?

And with that, everything was transformed. No one knew it at the time, but the dominance of newspapers, and of network radio, were about to end.

Sullivan may have appeared stiff and lacking in personality on television, but his Sunday night program featured some of the biggest and best show-business acts in the world, and his lack of magnetism, strangely, worked in his favor.

Two of the most oft-repeated quotes about him summed it up. From comedian Alan King, a frequent Sullivan show guest: "Ed does nothing, but he does it better than anyone else in television." From radio comedian and host Fred Allen: "Ed Sullivan will be around as long as someone else has talent." Sullivan, who would become wealthy and instantly recognizable from coast to coast as his program became a national viewing habit, could afford to laugh along.

His show went on the air in 1948, and his success, as the enormous reach of television grew, left Winchell in the dust. On TV, Sullivan didn't have to shout; the fledgling medium did all the amplifying he needed. It was an era in which families still ate dinner together every Sunday night, and then gathered around the television set to watch a variety of acts that Sullivan had deemed appropriate for all age groups.

Winchell couldn't compete; he might be able to give a plug in his column to the cast of "Guys and Dolls" or to the comedy duo of Dean Martin and Jerry Lewis, but Sullivan could put the cast and the comedians on TV screens in every city and town in America, allowing the entire country to see them.

Even before February 9, 1964, his influence was being noted in remarkable ways. In the 1960 Broadway musical (later a hit movie) "Bye Bye Birdie," the show-stopping song was "Hymn for a Sunday Evening," in which a fictional small-town Ohio family, whose daughter supposedly was going to appear on his program, wore choir robes and, with religious ardor, sang in church-like tones: "Ed Sullivan, Ed Sullivan, we're gonna be on Ed Sullivan. ..."

Penn Jillette: The Beatles, bootlegs and Vermeer

Not bad, for a guy in near-constant stomach pain whose day job remained pounding out newspaper columns. And then came the first appearance by The Beatles, which propelled both the young singers and their host to almost unfathomable heights of renown.

Many people have likely forgotten that, in 1971, CBS, having detected a softening in Sullivan's ratings, and a decline in the nation's appetite for one-size-fits-all variety programs, canceled "The Ed Sullivan Show." How could this happen, a mere seven years after he delivered to the network the biggest television audience ever? There's not much room for sentiment in business. Seven-and-a-half years after Babe Ruth hit 60 home runs for the New York Yankees, the team traded him to the Boston Braves. Everything ends.

Sullivan was still under contract to CBS for occasional specials, but it wasn't the same. He would die of esophageal cancer in 1974, at the age of 73.

"We miss you, Ed!" the voices of the strangers would call to him, as if he was a family member, which, in a sense, he was. To encounter him on visits to Las Vegas in those years just after his show was taken away, to witness him not on a glass screen but out among the people who once faithfully watched him, was to consider the swiftness and inevitability of change.

Less than a decade after that magical February night in 1964, Ed Sullivan the person was still around, but there was no longer any such thing as "The Ed Sullivan Show." Paul McCartney, John Lennon, George Harrison and Ringo Starr were still around, but there was no longer any such thing as a band called The Beatles. Hymn for a Sunday evening, indeed. This one in particular.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: 50 years ago TV host Ed Sullivan introduced The Beatles to U.S. on his show

@highlight

Sullivan an unlikely impresario; he'd been Broadway columnist competing with Walter Winchell

@highlight

Sullivan was stiff but had great guests, was hugely influential in American culture, says Greene

@highlight

Greene: Less than decade after that 1964 show, Sullivan show and Beatles were over