Manila, Philippines (CNN) -- Bodies lie scattered in a rural field in the southern Philippines, some unearthed from a shallow grave hastily dug by the gunmen who seized the group of men and women just a day earlier.

By Tuesday, search teams had found a total of 46 bodies, and it was still unclear if there were more victims from Monday's massacre. The target was a group that included the female relatives of Ismael "Toto" Mangudadatu, who had sent the women to file paperwork allowing him to run for governor of Maguindanao province in May.

Mangudadatu said he had received threats which he believed were from allies of the incumbent governor Andal Ampatuan -- that he would be kidnapped if he filed the candidate papers himself. Instead, his wife, sister, and the group of journalists accompanying them were kidnapped and brutally killed, possibly tortured, raped and beheaded, according to local media reports.

A local police commander described the grisly search operation near an isolated village, telling reporters from ABS-CBN News that 17 bodies were pulled from a single grave.

"They were piled on top of each other," Chief Superintendent Josefino Cataluna said. "It looked as if they were buried hurriedly."

Those killed included at least 12 journalists, according to the press freedom organization, Reporters Without Borders, making Monday the deadliest single day for journalists anywhere in the world.

It was also the worst politically motivated violence in the Philippines' recent history. Witnesses, local officials and analysts have blamed the attacks on Ampatuan, who has controlled the area for a decade and is a long-time ally of Philippine President Gloria Macapagal-Arroyo. Ampatuan, who is known locally as a warlord, reportedly commands a private army of nearly 500 men. Philippine military officials also said Monday that the gunmen who carried out the attack were loyal to Ampatuan.

Neither Ampatuan nor any of his advisers has commented on the slaying allegations.

"It's not hard to determine the motive," according to Philippine analyst Kenneth E. Bauzon. "How dare this [Mangudadatu] challenge him when he knows that the governor is a position that is presumably reserved for [the Ampatuan] family."

Ampatuan reportedly wanted one of his sons to succeed him as governor of Maguindanao when he stepped down next year, according to ABS-CBN.

A government construction vehicle was found at the site of the hastily dug mass grave, fueling the belief that Ampatuan or his allies had a role in the massacre.

Both the Ampatuan and Mangudadatu clans have agreed to participate in the government's investigation into the killings, according to Arroyo's adviser on the Mindanao region, Jesus Dureza, who spoke to the Philippine media on Tuesday.

Neither Ampatuan nor his advisers have spoken publicly about the widespread allegations, and that is most likely because he is "weighing his options," Bauzon said.

Now, the region is bracing for a backlash of possible reprisal killings. The Philippine government has placed Maguindanao and its surrounding regions under a state of emergency and survivors of Monday's massacre have entered a government witness protection program, according to the state-run Philippines News Agency.

Arroyo has sent top level government officials to Maguindanao to "personally oversee military action against the perpetrators of the dastardly acts," she said Tuesday.

"No effort has been spared to bring justice to the victims and hold the perpetrators accountable to the full limit of the law," she said.

Long-running family disputes in the southern Philippines have spilled innocent blood before. Such blood feuds are known by the indigenous term, "rido." But Monday's massacre has broader implications, Bauzon said.

"I think that this is a culmination for many years of impunity on the part of any family or group for that matter because this has been tolerated by the Arroyo administration," said Bauzon, a political science associate professor at Saint Joseph's College in New York, who is from Mindanao and has authored several books on the region and its politics.

"So when the administration looks the other way when journalists report on military abuses [or] when the administration looks the other way when church workers are assassinated, when environmental workers are assassinated or abducted, you know, this [massacre] is just one or two steps away [from that]."

The killings could further damage the political reputation of Arroyo, whose administration has already been scarred by allegations of a tainted election in 2004 and criticism over her response to the recent typhoons to strike the country.

"It's a test as to what how far the Arroyo administration will go to arrest and prosecute the perpetrators," Bauzon said.

Arroyo's term ends in May 2010, and she cannot seek re-election although there has been speculation that she could seek another political office.

Maguindanao is part of an autonomous region in predominantly Muslim Mindanao which was set up in the 1990s to quell armed uprisings by people seeking an independent Muslim homeland in the Philippines, a predominantly Christian country.

Negotiations between one of those armed groups, the Moro Islamic Liberation Front, and the Philippine government broke down last year after the country's Supreme Court blocked a proposed peace deal that would have increased the size and scope of the Autonomous Region in Muslim Mindanao.

Arroyo's government exercises little control in the region and is blamed by her critics for helping legitimize many of the armed groups that operate freely in Mindanao, including those loyal to the governor, Ampatuan.

Arroyo issued an executive order in July 2006 that allowed local officials and Philippine National Police to deputize volunteer watchmen, known as barangay tanods, to fight against insurgent groups in the southern regions. This order has been blamed for allowing local politicians to convert their private militias into legal security forces.

The strong clan rivalries and the armed groups that support each clan may make it impossible for Arroyo to rout out those behind Monday's mass killing, according to Bauzon.

"The dynasty is strongly entrenched and for her to disband private armies by this warlord overnight is too much of a task," he said. "The Americans were not able to do it in half a century and all she can do is set her sights low by really going after the most visible of the perpetrators."

CNN's Tricia Escobedo and journalist Maria Ressa contributed to this report.

@highlight

NEW: Burial looked hurried, local police chief superintendent says

@highlight

NEW: Massacre was worst politically motivated violence in Philippines' recent history

@highlight

Death toll from massacre rises to 46, a day after the brutal attack

@highlight

Mangudadatu says he had received threats if he filed the candidate papers himself