New York (CNN) -- A leading opponent of a proposed mosque and community center near Ground Zero is asking a question that looms as large as the towers that stood nearby less than nine years ago: "Why there?"

Pamela Geller, a conservative blogger who leads a group called Stop the Islamicization of America, posed the question on CNN's "American Morning" Wednesday.

"We feel that it is a cemetery and sacred ground and the dead should be honored," Geller said. "To build a 13-story mega mosque on the cemetery, on the site of the largest attack in American history, I think, is incredibly insensitive."

Those for and against the proposed mosque butted heads during a passionate three-hour hearing of New York's Landmarks Preservation Commission Tuesday night.

Officially, the hearing was a forum for testimony on whether the building at 45-47 Park Place, near Ground Zero, is worth preserving. The structure dates back to the late 1850s. Preservation Commission spokeswoman Elisabeth de Bourbon said the building housed the headquarters of the Merck pharmaceutical company in the 1920s and in more recent years served as a discount clothing store. She said she was not sure what the current owner -- the Muslim outreach group the Cordoba Initiative -- has been doing with the building, but people attending Tuesday night's meeting said it was being used for prayer services.

The commission is expected to vote in August on whether to grant the structure landmark status, even though the Community Board of lower Manhattan said earlier this month the building wasn't architecturally significant enough to merit the designation.

De Bourbon said landmark status alone would not prevent the Cordoba Initative from making alterations to the existing structure or making it into an Islamic cultural center. While the designation is designed to preserve the exterior appearance of a building in New York, it does not restrict the use of a building, nor does it prevent a property owner from adding on floors, she said.

Even if the building on Park Place is declared a landmark, "changes can be made to a landmark building with approval from the Landmark Preservation Commission," de Bourbon said.

In fact, there are examples in New York where buildings with landmark status were drastically altered. The Hearst Magazine building, a modern 46-story skyscraper in Manhattan, rises out of a six-story Depression-era, Art Deco facade with landmark status. The original design was for a skyscraper, but construction came to a halt when the Great Depression hit. In the latter half of the 20th century, the Landmark Preservation Commission approved a plan to add on the modern skyscraper while preserving the original facade.

Supporters of the Park Place preservation are opposed to a project by the Cordoba Initiative and the American Society for Muslim Advancement to build their mosque and community center so close to the site where the twin towers of the World Trade Center were destroyed by Islamist hijackers on September 11, 2001.

The contentious nature of the hearing was expected, because if the commission rules the structure now at the site doesn't deserve the landmark status, the groups behind the project won't need any additional city permission to demolish the old building and move ahead with the mosque construction.

Voices opposing the mosque dominated the hearing.

"It would be a terrible mistake to destroy a 154-year-old building in order to build a monument to terrorism," one woman said.

Some at the hearing, including Republican gubernatorial candidate Rick Lazio, expressed suspicion about Imam Feisal Abdul Rauf, who heads the Cordoba Initiative. Feisal was out of the country and did not attend the hearing.

Lazio called for an investigation into its funding.

"We're asking for a delay in the process to get some answers," Lazio said.

The heckling and intense nature of the hearing got to be too much for some participants.

"I'm ashamed to be an American today," said Rakif Gathwari, a Muslim-American, who reminded the crowd that people from many countries and religions died on September 11.

"I want to prove to this hall that I am a citizen," Gathwari said, holding up his passport.

Some Muslim community leaders say the mosque could provide an opportunity for improving interfaith relations.

"We're saying Muslims have a legitimate role to play in the social fabric of this country," said Ibrahim Ramey, the director of the Human and Civil Rights Division of the Muslim American Society Freedom Foundation, on CNN's "American Morning" Wednesday.

"We are part of the interfaith mosaic of the United States. But more than that, I think this particular group of people in the Cordoba Institute can do a huge amount of good not only for Muslims in New York but also for interfaith relations throughout the country," Ramey added.

The Cordoba Initiative says it aims to improve relations between Muslims and the West.

"The Cordoba Initiative hopes to build a $100 million, 13-story community center with Islamic, interfaith and secular programming, similar to the 92nd Street Y," its website says, referring to the cultural institution on the upper east side of Manhattan. The project calls for a mosque, a performing arts center, gym, swimming pool and other public spaces.

CNN's Deb Feyerick, Julian Cummings, Ed Payne, Mark Morgenstein and Steve Kastenbaum contributed to this report.

@highlight

Emotions flare during a meeting of the Landmarks Preservation Commission

@highlight

The commission's vote is expected in August

@highlight

If the commission rules that the building is not worth saving, the mosque project can proceed

@highlight

The mosque is to be built near the site of the destroyed twin towers