Washington (CNN) -- Humanitarian assistance from the United States began its journey to Japan Friday, as President Barack Obama extended a helping hand to the nation after it was hit by a devastating 8.9-magnitude earthquake and ensuing tsunami.

There are eight warships either near Japan or headed for it. All are attached to the U.S. 7th Fleet, which is headquartered in Yokosuka, Japan.

Navy personnel began loading tons of disaster relief supplies aboard the U.S. 7th Fleet command flagship, the USS Blue Ridge, currently in Singapore The vessel and its crew were scheduled to depart for Japan Saturday morning, according to a statement from U.S. 7th Fleet public affairs.

The USS Essex was scheduled to leave Malaysia Friday evening carrying about 2,000 Marines from the 31st Marine Expeditionary movement.

The USS Harpers Ferry and the USS Germantown are en route to Japan from the Philippine Sea.

The USS Ronald Reagan, a nuclear-powered carrier, has been pulled from a long-planned exercise off the Korean Peninsula and is now headed for the earthquake area, accompanied by USS Chancellorsville and the USS Preble.

And the USS Tortuga has left its base at Sasebo, a port city in far southern Japan. The ship already has several landing craft on board, but it's heading to South Korea to take delivery of MH-53 cargo helicopters, which it will then carry to Japan.

In addition to the 7th Fleet ships that have already received orders to head to the island nation, all ships in the fleet that can carry helicopters or aircraft have been ordered to be ready to deploy within 24 hours, if necessary. Fleet vessels not designed to carry aircraft must be able to deploy within 48 hours.

The fleet is also undertaking a full accounting of all personnel in Japan, as well as the condition of their family members. However, no reports of injuries among 7th Fleet personnel have been received and no major damage has been reported among fleet assets, according to the public affairs statement.

The public affairs statement pointed out that the 7th Fleet is not conducting full-scale disaster response operations, which would only come after a formal request from the Japanese government.

It's not just the military that is taking steps to get help to victims of Friday's earthquake.

The Federal Emergency Management Agency and its partner agencies are on standby in case their assistance is needed, the agency said in a news release.

In addition, six Los Angeles County canine disaster search teams have been activated. The dogs were trained by the Search Dog Foundation and are now getting health clearance from their veterinarians to ensure they are ready to deploy.

They will be part of a Los Angeles task force mobilized along with one from Virginia by the U.S. Agency for International Development. Each team will come with more than 70 personnel and approximately 75 tons of search and rescue equipment, in addition to the search and rescue dogs.

"On behalf of the American people, I wish to convey our sympathy, thoughts and prayers to the people of Japan who have been affected by this devastating earthquake and tsunami," said Rajiv Shah, the administrator for USAID, in a written statement. "We are working with the government of Japan to provide any assistance needed in the rescue effort as quickly as possible."

The agency also is dispatching a disaster assistance response team.

California Gov. Jerry Brown said in a news release that he has "directed California's Emergency Management Agency to make state resources available to the Japanese government."

Baseball Commissioner Bud Selig even promised assistance from Major League Baseball. Citing "our shared love of baseball for more than a century," Selig said in a statement that Japan is "a particularly special place to us" and that MLB will provide aid in the coming days and weeks.

The American Red Cross is communicating with the Japanese Red Cross Society and its global partners, according to a statement from the agency. So far, the American Red Cross has not received any requests for blood from its Japanese counterparts, or from the U.S. or Japanese governments.

The organization is encouraging people with loved ones in Japan to use the Red Cross "Safe and Well" website, an online tool which helps families connect during natural disasters and emergencies.

Earlier in the day, Obama described his country's assistance priorities at a news conference. "I offer our Japanese friends whatever assistance is needed," he said. "Today's events remind us how fragile life can be."

He said the main U.S. assistance to Japan would probably be "lift capacity" in the form of heavy equipment to help clean up damaged infrastructure. The U.S. government is taking inventory of how many military personnel are in Japan to provide help, he said, adding that American citizens in Japan will also receive assistance.

Obama called the earthquake and tsunami "a potentially catastrophic disaster," saying the images of destruction were "simply heartbreaking."

At a session of the President's Export Council on Friday morning at the Old Executive Office Building, Secretary of State Hillary Clinton pledged "immediate disaster relief assistance" and said, "We are working closely with the government of Japan to provide additional help," according to a State Department statement.

The State Department on Friday said there were no immediate reports of casualties among the tens of thousands of U.S. citizens -- tourists, military personnel and others -- in Japan.

The State Department issued an alert against nonessential travel to Japan because of the earthquake and tsunami. The alert said that Tokyo airports were closed and others also may be closed or restricted, and that public transportation in Tokyo and other areas has been interrupted.

The alert also said strong aftershocks are likely "for weeks" and included instructions for what to do if caught in an earthquake or aftershock. It urged U.S. citizens in Japan to contact family and friends to let them know of their well-being.

American Airlines told CNN that it would resume flights into Japan on Saturday. Both American and Delta Airlines canceled flights into Tokyo Friday. It was unclear if flights to other Japanese airports also were affected. In addition, Delta, United and Continental airlines announced they were waiving change fees for people whose travel plans involving Japan were affected by the disaster.

The Yokota Air Base, a U.S. Air Force facility in Japan, accommodated 11 commercial planes carrying more than 500 passengers, after the flights were diverted to the base when the earthquake closed Tokyo's Narita International Airport, according to a news release from the Air Force's 374th Airlift Wing. Volunteers from various organizations brought food, water and cots for the stranded passengers and helped them register with the Red Cross.

At the State Department, Assistant Secretary of State for Consular Affairs Janice Jacobs said a 24-hour consular task force has been set up to help Americans affected by the earthquake.

Americans in Japan who need help, or people seeking information about a loved one in Japan, can send an e-mail to japanemergencyusc@state.gov, Jacobs said. Americans outside Japan but in tsunami-affected areas who need help, or people seeking information about an American in affected areas outside Japan, can e-mail pacifictsunamiusc@state.gov, she said.

A telephone information line also has been set up at 1-888-407-4747, said Jacobs, who encouraged people to use the e-mail options if possible. When seeking information about Americans in Japan or other affected areas, Jacobs said, people should provide the full name, birth date and location of the person, as well as any pre-existing medical conditions, and if they are elderly or a child.

CNN's Kim Hutcherson, Michael Martinez, Ed Henry, Barbara Starr, Elise Labott, Larry Shaughnessy, Dave Alsup and Bonney Kapp contributed to this report.

@highlight

NEW: The U.S. 7th Fleet takes the lead regarding delivery of aid to Japan

@highlight

Eight major U.S. warships are ordered to Japan

@highlight

U.S. federal agencies coordinate search and rescue teams

@highlight

Bud Selig promises aid from MLB, citing a "shared love of baseball"