Washington (CNN) -- The one-sentence order from the U.S. Supreme Court was brief but emphatic. The year was 1972 and the justices were asked to decide something extraordinary in that era: whether an openly gay couple from Minnesota had a "fundamental right" under the Constitution to legally wed.

In just 13 words, the court under Chief Justice Warren Burger dismissed the Baker v. Nelson petition, "for want of a substantial federal question."

For about four decades that was the final word on the issue, at least legally. Now a generational shift in public acceptance has given same-sex marriage a powerful new voice. Judges around the country -- in state and federal courts -- have spoken with a near unanimity over the past year that millions of gays and lesbians have been denied an equal protection right to tie the knot, or to have their legal unions recognized by their home states.

Opinion: Marriage equality is not like abortion

The public debate is back at the nation's highest court, with the justices being asked to offer a fresh, definitive, and binding ruling. The court next week will return from its summer recess and meet privately to consider appeals originating from same-sex couples in five states: Utah, Oklahoma, Virginia, Wisconsin and Indiana.

If one or more of those petitions are accepted now for review, oral arguments would likely be held early next year, with a monumental opinion expected by late June 2015.

"The question of whether same-sex marriage bans are constitutional is a historic issue, under the Constitution and for the Roberts Court," said Thomas Goldstein, publisher of SCOTUSblog.com and a respected Washington attorney. "It's hard to imagine a situation where judges are going to have more power to define the social and family relationships of the country."

A patchwork of state laws on the issue

Same-sex marriage is legal in 19 U.S states plus the District of Columbia: California, Connecticut, Delaware, Hawaii, Illinois, Iowa, Maine, Maryland, Massachusetts, Minnesota, New Hampshire, New Jersey, New Mexico, New York, Oregon, Pennsylvania, Rhode Island, Vermont, and Washington state. Massachusetts became the first to grant the right in 2004.

A Supreme Court ruling on the constitutionality of same-sex marriage would essentially end a patchwork of state laws -- some that allow it, some that do not, and a few that allow protections short of marriage, such as civil unions and domestic partnerships.

The highest court by its nature is a deliberative body, preferring almost by instinct to take things slowly, allowing issues to percolate in the lower courts and in the political discourse.

Did Obama drop Supreme Court hint? White House says no

Not so here. What has been most remarkable about the issue is how rapidly the core constitutional questions have reached the justices, presenting an inevitability among those on both sides of the debate they will get involved.

The court hurried to schedule the appeals from the five states for its closed-door conference, even before all the legal briefs had been filed. That suggests the justices are ready to add the controversies to the docket, and now.

Some conservative activists say this bench should slow down, and ultimately stay out.

"When the court on such an issue -- where there are very strong opinions on both sides, and a huge issue of social change in our country -- steps in and makes it into a constitutional issue, it makes the justices look significantly more political in the eyes of the American people," said Carrie Severino, chief counsel of the Judicial Crisis Network. "It would cast doubt on the legitimacy of the court ... by imposing one type of solution for the entire nation, instead of leaving it in the hands of the states to decide how they want to address this issue."

Many supporters of "traditional" marriage privately say preserving an inflexible one-man/one-woman definition of wedlock nationwide would not be realistic moving forward, and that a divided bloc of states upholding the status quo may be the best possible scenario. But all that hinges on what the Supreme Court does and does not do.

A federal appeals court in August took just nine days after intensive oral arguments to issue its sweeping conclusion that voter-approved same-sex marriage bans in Indiana and Wisconsin were unacceptably discriminatory. And state leaders then took just five days to formally ask the Supreme Court to intervene.

Even Justice Ruth Bader Ginsburg recently hinted a "why wait" attitude may predominate.

"I think the court will not do what they did in the old days when they continually ducked the issue of miscegenation," she told the Associated Press in July, referring to state bans on interracial marriage, which was not struck down by the high court until 1967. "If a case is properly before the court, they will take it."

In their private conference on Monday-- just the nine justices, no one else attends-- the court will discuss among itself whether to grant a "petition for a writ of certiorari," essentially if any of the marriage cases deserve full scrutiny. It takes just four justices to put such petitions on the docket, but five to ultimately prevail on the merits.

"The stakes are incredibly high for Americans and for the legacy of the Roberts court," said Elizabeth Wydra, chief counsel of the progressive Constitutional Accountability Center. Moderate-conservative "Justice Anthony Kennedy, who has been a crucial vote on the question gay rights [in the past], is again expected be a crucial vote in this case."

The high court's big cases this year

More than 80 pending marriage equality lawsuits in 31 states

State and federal judges in the past year have ruled 39 times in favor of the expanded marriage right, while two have upheld existing laws. All this follows what the Supreme Court in 2013 said peripherally on the issue.

Fifteen months ago, the justices cleared the way for same-sex marriages in California to resume after they ruled private parties did not have "standing" to defend a voter-approved ballot measure barring gay and lesbian couples from state-sanctioned wedlock.

More importantly, the high court also rejected parts of the federal Defense of Marriage Act in its 5-4 "Windsor" decision, citing equal protection guarantees to conclude same-sex spouses legally married in a state may receive federal benefits, such as tax breaks.

That federal question now morphs into the higher-stakes state jurisdiction, where marriage laws have traditionally been controlled, and where the equal protection issues will ultimately be resolved.

By CNN's count, various individuals and gay rights groups have launched more than 80 pending marriage equality lawsuits in all 31 states with current bans. A Supreme Court review would put all that litigation on hold.

However, the nine justices have complete discretion to stand on the sidelines for now -- and wait for a majority of these state battles to play out, or for a federal appeals court to uphold a ban

@highlight

Public debate over same-sex marriage returns to the Supreme Court

@highlight

Justices to meet to consider appeals from gays, lesbians in five states

@highlight

Same-sex marriage laws are decided by states, resulting in legal patchwork across U.S.