Chad Pregracke, an Illinois man who has dedicated his life to cleaning the Mississippi River and other U.S. waterways, is the 2013 CNN Hero of the Year.

Pregracke organizes community cleanups across the country through his nonprofit, Living Lands & Waters. About 70,000 volunteers have pitched in, helping Pregracke collect more than 7 million pounds of trash in the past 15 years.

"The garbage got into the water one piece at a time," Pregracke said earlier this year. "And that's the only way it's going to come out."

Pregracke was recognized during Sunday night's airing of "CNN Heroes: An All-Star Tribute" along with the rest of this year's top 10 CNN Heroes -- everyday people doing extraordinary things to help change the world. He was chosen as Hero of the Year through a five-week public vote on CNN.com.

"I'll just keep on cleaning up America's rivers and loving every minute of it," said Pregracke when he accepted the award.

For being named CNN Hero of the Year, Pregracke receives $250,000 to continue his work. That is in addition to the $50,000 that each Hero receives for making the top 10.

During the show, Pregracke pledged to spread some of his Hero of the Year money to the rest of the top 10 Heroes: "I've met so many great people today, the other Heroes, and I'm really moved by all their stories and all the things they do around the world. ... I'm going to give 10 grand to each of them, because they're awesome."

Pregracke, 38, grew up in East Moline, Illinois, where the Mississippi River was in his backyard. As a teenager, he worked as a commercial shell diver and began to notice the heaps of debris in the fabled waterway, which supplies drinking water to 18 million people in more than 50 U.S. cities.

"I saw thousands of barrels, thousands of tires, cars, trucks and tops of school buses. ... I got sick of seeing it and just wanted to do something about it," said Pregracke, whom some have called "the rivers' garbageman."

For nine months out of the year, Pregracke lives on a barge with members of his 12-person crew. They go around the country with a fleet of boats, and they try to make cleanup fun for the volunteers who show up in each city.

They use skits, music and mock motivational speeches to get the volunteers amped up, and sometimes they even do a little karaoke. Teams also compete to see who can find the "best" garbage.

"We do everything in our power to get people excited about it," Pregracke said. "We want people to leave feeling good about what they did so they'll come back."

Close to 90% of what they recover is recycled; Pregracke said the rest gets disposed of properly.

In addition to the river cleanup, Pregracke has launched a floating classroom barge where his staff educates high school students and teachers about the damages of pollution on river ecosystems. In 2007, his nonprofit implemented a program to plant 1 million trees along river shorelines to protect and restore the natural environment. The group is halfway to its goal.

Pregracke says his nonprofit has already held more than 700 cleanups on 23 rivers, but he says he's just getting started. He views his work as a different kind of service to the country.

"A lot of people call me a conservationist or an environmentalist, but the thing is I'm no different than anybody else," he said. "I just want to be known (as) a hardworking American."

This is the seventh year CNN has conducted its annual search for CNN Heroes. In those years, the campaign has profiled more than 200 people on CNN and CNN.com.

This year's top 10 were nominated by CNN's global audience and profiled earlier this year on CNN.

In addition to receiving $50,000, each will also receive free organizational training from the Annenberg Foundation, a leading supporter of nonprofits worldwide. The Heroes will participate in a customized version of the Annenberg Alchemy program, which offers practical guidance to help strengthen organizations for long-term success.

Here are the top 10 CNN Heroes of 2013, in alphabetical order:

Dale Beatty: Making life easier for disabled veteransAfter Dale Beatty lost his legs in the Iraq war, his community thanked him for his service by helping him build a home. To pay it forward, Beatty co-founded Purple Heart Homes, which has helped build or modify homes for dozens of disabled U.S. veterans. "We wouldn't leave someone behind on the battlefield," Beatty said. "Why would we do it at home?"Read Beatty's story

Georges Bwelle: Bringing health care to the jungleFor decades, Georges Bwelle watched his father suffer, unable to get the medical attention he needed. Now a doctor, Bwelle travels into the jungles of his native Cameroon nearly every weekend, providing free medical care for those who don't have access to good health care. "To make people laugh, to reduce the pain, that's why I'm doing this," he said.Read Bwelle's story

Robin Emmons: Creating an oasis in a 'food desert'More than 72,000 people in Charlotte, North Carolina, lack access to fresh produce. When Robin Emmons discovered this problem, she took action. "I decided to rip up my whole backyard and make it all a garden for people in need," she said. Since 2008, Emmons has grown more than 26,000 pounds of fruits and vegetables for area residents.Read Emmons' story

Danielle Gletow: Granting wishes for foster kidsFoster children don't often get the things other children do, but Danielle Gletow is trying to help change that. She posts their wishes online so the public can help grant them. "I'm here to be the mom to all these kids who might not feel like they have one," she said. Since 2008, her group has helped grant more than 6,500 wishes in 42 states.Read Gletow's story

Tawanda Jones: Giving kids a way off deadly streetsTawanda Jones is using dance to empower the youth of Camden, New Jersey, one of the poorest cities in the country. Through Jones' drill team program, at least 4,000 children have learned discipline, respect and community service -- and all of them have graduated high school. "We need to take back our city and, most importantly, take back our youth," Jones said.Read Jones' story

Richard Nares: Helping sick kids get to chemoFor many children fighting cancer, it can be extremely tough to make it to their chemotherapy appointments. But Richard Nares started a group that gives them transportation and support. "No child should miss their cancer treatment due to lack of transportation," said Nares, who lost his son to leukemia in 2000.Read Nares' story

Kakenya Ntaiya: Educating girls for the first timeKakenya Ntaiya is inspiring change in her native Kenyan village. After becoming the first woman in the village to attend college in the United States, she returned to open the village's first primary school for girls. "Our work is about empowering the girls," Ntaiya said. "They are dreaming of becoming lawyers, teachers, doctors."Read Ntaiya's story

Chad Pregracke: Cleaning up American riversChad Pregracke has made it his life's work to clean up the Mississippi River and other American waterways. Since 1998, about 70,000 volunteers have helped Pregracke remove more than 7 million pounds of garbage from 22 rivers across the country. "Picking up garbage, it's tough, miserable and hot," Pregracke said. "We try to make it fun."Read Pregracke's story

Estella Pyfrom: Bringing computers to kids in needEstella Pyfrom used her life savings to create "Estella's Brilliant Bus," a mobile computer lab that provides tutoring for thousands of low-income students in Palm Beach County, Florida. "It's not just a bus, it's a movement," Pyfrom said. "And we're going to keep making a difference."Read Pyfrom's story

Laura Stachel: Lighting the way for safe childbirthsLaura Stachel created a special "solar suitcase" to help health care workers deliver babies in more than 20 developing countries. "I really want a world where women can deliver babies safely and with dignity," Stachel said.Read Stachel's story

@highlight

Chad Pregracke is the 2013 CNN Hero of the Year

@highlight

He has made it his mission to clean up the Mississippi River and other U.S. waterways

@highlight

For being named Hero of the Year, Pregracke receives $250,000 to continue his work

@highlight

Pregracke pledged to give $10,000 to each of the other top 10 Heroes