Washington (CNN) -- A top Republican leader agreed Thursday with President Barack Obama and Democrats that extending the payroll tax cut would help the economy, but the parties remained divided over how to pay for the move.

Later Thursday, the Senate blocked competing Democratic and Republican proposals from moving forward, setting up negotiations on a possible compromise.

The Democratic plan to extend and expand the payroll tax cut set to expire at the end of the year would assess a 3.25% tax on income over $1 million to pay the cost of more than $200 billion for the extension. Taxpayers with an income of $50,000 would benefit by $1,500 a year.

Senate Republicans prevented Democrats from getting the 60 votes needed to proceed on the measure, which was blocked on a 51-49 vote.

President Barack Obama quickly blamed Republicans, saying in a statement that they "chose to raise taxes on nearly 160 million hardworking Americans because they refused to ask a few hundred thousand millionaires and billionaires to pay their fair share."

"It makes absolutely no sense to raise taxes on the middle class at a time when so many are still trying to get back on their feet," Obama said, adding he would "continue to urge Congress to stop playing politics with the security of millions of American families and small business owners and get this done."

A Republican alternative that would freeze discretionary government spending and cut federal jobs, while also raising Medicare costs for Americans with incomes above $750,000 a year, also got blocked by opposition from both parties on a 20-78 vote.

Despite the outcome of the votes, a softening of Republican opposition to extending the lower payroll tax rate raised expectations for eventual congressional passage of a compromise plan.

House Republican leaders are working on their own proposal to extend unemployment benefits and the payroll tax cut, but several GOP aides told CNN it was unclear if these extensions would be rolled into one bill or end up as separate legislative proposals.

GOP leaders planned a closed-door meeting Friday morning to discuss options with rank-and-file members on how to pay for the extensions.

House Speaker John Boehner, R-Ohio, signaled his support for an eventual deal Thursday by telling reporters: "I don't think there's any question that the payroll tax relief, in fact, helps the economy."

His stance represented a sharp shift from previous opposition by Senate Republicans to extending the payroll tax cut.

On Sunday, conservative Sen. Jon Kyl, R-Arizona, said Republicans opposed extending the lower payroll tax rate because it didn't provide much help to the economy.

"The payroll tax holiday has not stimulated job creation," Kyl said on "Fox News Sunday." "We don't think that is a good way to do it."

The GOP opposition wavered Wednesday when Senate Republican leader Mitch McConnell of Kentucky said his party would support an extension of the payroll tax cut, but opposed a tax increase to pay for it.

"Republicans will put aside their misgivings and support this extension, not because we believe, as the president does, that another short-term stimulus will turn this economy around ... but because we know it will give some relief to struggling workers out there who continue to need it nearly three years into this presidency," McConnell said on the Senate floor.

A tax on wealthy Americans to pay for the plan would punish "the private sector businesses that the American people are counting on to help turn this economy around," McConnell said.

The White House and Democrats have pushed back hard against the Republican argument.

Alan Krueger, the new chairman of the White House Council of Economic Advisers, told reporters this week that the proposed surtax on incomes above $1 million "would hit very few small businesses."

"The vast majority -- one figure I saw was 99% of individuals with small business income -- would not be affected by this," Krueger said.

White House Press Secretary Jay Carney said Thursday that the question is whether "it is worth giving 160 million Americans, taxpayers, a tax break of $1,500 by asking 300,000 Americans to pay a little more."

Both Carney and Democratic Sen. Charles Schumer of New York noted that the issue is turning in their favor, with Republican opposition to the Democratic plan softening.

"This would've been unheard of even six months ago," Schumer said of a possible break from the Republican anti-tax orthodoxy. "But we're changing the debate and the public is with us."

However, two Democratic senators -- Joe Manchin of West Virginia and Jon Tester of Montana -- and independent Sen. Bernie Sanders of Vermont, who caucuses with the Democrats, opposed the party's proposal.

The measure would have failed even if all three supported it, due to the near-unanimous Republican opposition. Only moderate Republican Sen. Susan Collins of Maine sided with Democrats in backing the proposal.

Boehner's comments showed that both parties now publicly acknowledge the benefits of the payroll tax cut. According to the non-partisan Center on Budget and Policy Priorities, 121 million families have benefited from the payroll tax break, with an increase in take-home pay of $934 for the average worker.

Moody's Analytics estimated in August that letting the tax cut expire would reduce growth by as much as 0.5%. It called extending the cut one of the "most straightforward" ways to "reduce some of the coming fiscal restraint."

Obama challenged Republicans on Wednesday to "fight as hard for middle-class families as you do for those who are more fortunate," a dig at the GOP refusal to consider the longstanding Democratic push for higher taxes on the wealthiest Americans.

Speaking at a high school in Scranton, Pennsylvania, Obama evoked a loud cheer when he said the Democratic proposal to extend and expand the reduced payroll tax rate "is paid for by asking our wealthiest citizens to pay their fair share."

The Democratic bill blocked in the Senate would extend and expand last year's tax break. Payroll taxes, cut to 4.2% from 6.2% last year, would be lowered to 3.1% to provide middle-class families with up to $1,500 more in their paychecks next year.

The measure also would partially extend the break to employers, hoping that might spur hiring.

The price tag of the bill is about $265 billion, which would be paid for by the 3.25% surtax on annual income above $1 million, according to Democratic aides.

Meanwhile, the Senate Republican plan that also was blocked would continue the 4.2% payroll tax rate for a year and pay for it by imposing a three-year freeze on federal salaries and reducing the federal work force by 10% through replacing workers when they quit or retire.

In addition, the plan would require Americans earning $750,000 a year or more to pay higher premiums for Medicare, and prevent millionaires from getting food stamps or unemployment compensation.

According to a Republican aide, the nonpartisan Congressional Budget Office found that the Medicare, food stamp and unemployment provisions would save $9 billion over 10 years, mostly from Medicare.

CNN's Ted Barrett, Kate Bolduan and Deirdre Walsh contributed to this report.

@highlight

NEW: The Senate blocks Democratic, Republican plans on a payroll tax cut extension

@highlight

NEW: President Obama says Republicans voted for higher taxes on the middle class

@highlight

House Speaker Boehner concedes the payroll tax cut helps the economy

@highlight

Republicans differ with Democrats on how to pay for a one-year extension