Meissen, Germany (CNN) -- Rising rivers menaced swaths of Germany, the Czech Republic and Austria Tuesday, as floodwaters inundated historic cities and forced mass evacuations of low-lying areas.

The floods are feared to be the worst since 2002, when parts of Germany and the Czech Republic were devastated and communities in Austria, Slovakia, Russia and Romania were affected.

Seven deaths have been reported in the Czech Republic, while southern and eastern areas of Germany, including Bavaria and Saxony, are also badly impacted by recent heavy rains.

Images from Passau, a city in southern Bavaria where the Danube River is joined by two other rivers, show dirty brown water running through the streets of the historic old town after water levels passed a 500-year-old record.

Floodwaters in Bavaria are now receding but the crest on the Danube continues east into Austria and could threaten cities such as Vienna, in Austria, and Bratislava, in Slovakia, said CNN meteorologist Brandon Miller.

Large parts of Meissen, a town built on the banks of the Elbe River in Saxony, were also inundated after flood defenses were breached overnight Monday to Tuesday.

Those with homes and businesses were moving valuables and trying to sandbag their properties to protect them from the rising waters as the town's evacuation was ordered.

German Chancellor Angela Merkel visited towns in the region Tuesday and promised 100 million euros ($130 million) in emergency aid for affected areas.

The German military, government agencies and local authorities are helping with efforts to evacuate residents and protect properties.

The heaviest rain fell over Bavaria, Austria, Switzerland and the western Czech Republic from Saturday through Monday, with total rainfall over those days well over 3 inches for many locations, said Miller.

Salzburg in Austria recorded its entire monthly average of rainfall (155 millimeters, or 6.1 inches) in only the first two days of the month, he said.

The high waters also will have an impact on businesses beyond the communities directly affected by flooding.

The region's rivers are important in the transportation of freight and people, providing thousands of kilometers of navigable channels, as well as supporting agriculture, power generation and tourism.

Emily Russ, an American living in Vienna, told CNN iReport that a number of Danube cruise ships appeared to be being held in the city until water levels subside. She saw 15 on Tuesday where normally there would be one or two, she said.

Deaths reported in Czech Republic

Water levels have peaked in the Czech capital, Prague, but places downstream in the Czech Republic and along the Elbe River in Germany are still at risk.

A state of emergency is in place in most of Bohemia, the western part of the country, said Nicole Zaoralova, a spokeswoman for the Czech Fire Department.

Seven people have died as a result of the latest flooding, she said. Among the victims, two people died in a house collapse, one woman died when she was hit by a falling tree and another person was electrocuted.

Most of northern Bohemia, around the Vltava and Labe rivers, remains at risk of flooding, she said.

"We have evacuated 10,000 people so far," said Zaoralova.

In Usti nad Labem, in northern Bohemia, many households are without electricity. Melnik, 40 kilometers (25 miles) north of Prague, was being evacuated Tuesday morning.

The Berounka River, which flows into the Vltava, peaked overnight, prompting officials to raise anti-flood barriers in Prague to a level intended to cope with "100-year" floods.

So far, however, the Vltava River has not reached the level of the devastating floods of 11 years ago, Zaoralova said.

Transportation is severely disrupted in the capital, Prague, as well as other parts of Bohemia, she said. But while several metro stations in Prague have been closed, the subway system has not been flooded as it was in 2002, she said, thanks to a flood barrier system put in place since then.

"We do not expect the situation in Prague to become worse," she said.

Rainfall in Prague has already totaled more than 102 millimeters in June, more than the city's monthly average of 73 millimeters, Miller said.

Zoo animals moved to safety

Staff at the Prague Zoo also swung into action as the risk of flooding became apparent.

Zoo director Miroslav Bobek said the animals had been moved from the entire lower part of the zoo, which lies by the Vltava River, to other enclosures on higher ground.

"Hundreds of animals were evacuated, including large cats, tapirs, the whole monkey pavilion and the gorillas," he said in a statement.

"The gorillas' pavilion includes a special 'flood tower' that has been built specifically for moments like this, because the pavilion is situated directly by the River Vltava."

Most of the gorillas were lured to the safety of the tower using food, but the oldest male had to be tranquilized and carried up there after he refused to move, he said.

Two small birds drowned in one exhibit but the other animals were saved, he said.

"We are now working with other zoos in the Czech Republic to see where we can place animals that won't be able to return to their pavilions soon," Bobek added.

The zoo is expected to reopen Wednesday. The flood damage is currently estimated to cost 160 million Czech Koruna ($8.1 million.)

The zoo was hit badly during the 2002 floods, when several animals, including an elephant, died. Since then, anti-flood barriers have been built.

Volunteers fill sand bags

Prague resident Katerina Netikova has spent the past two days helping volunteer efforts to stave off the worst of the flooding, coordinated by authorities and local people using social media.

On Sunday, she headed to the suburban town of Radotin, on the Berounka River, where residents directed the efforts.

"They knew exactly what is needed, where people should go and what should they do. They had the experience from previous flooding (in 2002). They were securing the town, putting barriers where needed," Netikova told CNN.

On Monday, she spent the night working at a fire station in central Prague, near the worst affected areas of the Holesovice neighborhood, helping to make flood barriers -- heavy-duty tube-shaped sacks filled with sand.

"It's hard work, because the sand is wet and gets really heavy," Netikova said. "People were rotating the whole night -- students from nearby university halls, Scouts, local people and more volunteers sent in by the town.

"The firefighters just told them what to do, and then the volunteers organized everything among themselves."

CNN's Frederik Pleitgen reported from Meissen and Ivana Kottasova reported from London, where Laura Smith-Spark reported and wrote. CNN's Stephanie Halasz and Sarah Brown also contributed to this report.

@highlight

NEW: German Chancellor Angela Merkel promises $130 million in emergency aid

@highlight

The crest on the Danube River is moving east from Germany toward Austria and Slovakia

@highlight

Hundreds of animals have been evacuated from low-lying areas of Prague Zoo

@highlight

Seven people have died in the Czech Republic, a fire service spokeswoman says