(CNN) -- Unless governments in the Middle East stop offering "cosmetic changes" to calls for reform, they should brace themselves for another year of protests, Amnesty International warned Monday.

The protests and bloodshed will continue unless governments and the international community ensure the demonstrators' demands are addressed, the rights group said in a new report.

Protesters are not interested in "piecemeal" reforms, it said.

"With few exceptions, governments have failed to recognize that everything has changed," said Philip Luther, director of Amnesty International's Middle East and North Africa.

"The protest movements across the region, led in many cases by young people and with women playing central roles, have proved astonishingly resilient in the face of sometimes staggering repression."

Protesters want accountability and change in governance, according to Luther.

The 80-page report is called "Year of Rebellion: State of Human Rights in the Middle East and North Africa."

It highlights the success of Tunisia, Egypt and Libya in removing their longtime regimes, but underscores the need to institute democracy to ensure past actions are not repeated.

"The uprising in Tunisia brought significant improvements in human rights, but one year on, many consider that the pace of change has been too slow, with families of the victims of the uprising still awaiting justice," Amnesty said.

In Egypt, for example, military rulers are yet to deliver on demands of the revolution and are in some cases behind attacks that are "worse than under Hosni Mubarak" regime, the report said.

Amnesty warned that some governments "remained grimly determined to cling onto power" at all costs, citing an example of Syria.

"Syrian armed forces and intelligence services have been responsible for a pattern of killings and torture amounting to crimes against humanity, in a vain attempt to terrify protesters and opponents into silence and submission," the report said. " By the end of the year there were over 200 cases of reported deaths in custody, over 40 times the recent average annual figure for Syria."

International powers and regional bodies such as the United Nations and the African Union have taken a stronger stance in some nations than others, the report said.

Despite the unequal treatment, the lack of foreign intervention has had it positives, according to Amnesty.

"What has been striking about the last year has been that -- with some exceptions -- change has largely been achieved through the efforts of local people coming onto the streets," Luther said.

A Tunisian vegetable vendor torched himself out of economic despair last year, sparking the so-called Arab uprisings that led to the toppling of Tunisia, Libya and Egypt leaders.

The uprisings continue in a series of other nations, including Syria, where President Bashar al-Assad is trying to cling to power amid monthslong protests.

In Yemen, protests led to President Ali Abdullah Saleh agreeing to step down. The Yemeni government has approved the final draft of an immunity law that will give Saleh and his aides immunity from prosecution.

@highlight

Report: Protests will rage on unless demands are met

@highlight

It highlights the success of Tunisia, Egypt and Libya

@highlight

The report underscores need for democracy in those nations

@highlight

Protesters want accountability and change, Amnesty says