An extraordinary sea of dark blue flooded the streets around a Queens church Saturday morning -- thousands of police paying respects for one of two New York police officers who lost their lives in the line of duty last weekend.

More than 25,000 police officers from throughout the country and even Canada came to Christ Tabernacle in the Glendale neighborhood for the funeral of Rafael Ramos, 40.

The ceremony began when a police honor guard carried Ramos' casket into the church.

Then Vice President Joe Biden, New York Gov. Andrew Cuomo, New York City Mayor Bill de Blasio and Police Commissioner Bill Bratton delivered eulogies that were notably solemn and expressive, political and apolitical.

Ramos and his partner, Officer Wenjian Liu, were gunned down December 20 as they sat in their patrol car in Brooklyn. The gunman, Ismaaiyl Brinsley, shot himself at a subway shortly afterward. He earlier posted angry messages on social media against police and government, citing two black men killed by officers.

Liu's funeral will be January 4.

During Saturday's service, Bratton announced he was appointing Ramos as an honorary NYPD chaplain and posthumously promoting Ramos and Liu to the rank of detective.

The service ended with trumpeters playing taps and "America the Beautiful" as the pallbearers carried the casket to a hearse attended by the Ramos' widow and two sons. Several police helicopters flew in formation above a vast crowd of officers wearing white gloves, and then hundreds of police motorcyclists rumbled as lead escorts of the cortege.

Officers formed endless chains holding hands in prayer during the funeral.

"I have 31 years on the job, I've never seen such a show of support as we have today," said Patrick Lynch, head of the city's police union.

Biden: "It's an uncommon fraternity"

As impressive as the display of blue was under the clear skies, the tributes inside the church moved mourners to tears, applause -- even moments of levity.

At times, the eulogies and officers' reactions captured how a nation struggles with the honor and conduct of police in the wake of citizen killings.

At one point, scores of officers turned their back on a large TV screen showing the live address by the mayor inside the church.

Tensions between the NYPD and the mayor came to a boil during recent protests after a grand jury declined to indict an officer in the death this summer of Eric Garner in Staten Island.

Lynch has said the mayor and City Hall had "blood" on their hands for supporting critics and protesters against police.

After Saturday's funeral, Lynch declined to comment directly about the officers' about-face. "The feeling is real, but today is about mourning; tomorrow is about debate," he said.

When asked what he would tell those protesting officers, Lynch stated: "We have to understand the betrayal that they feel, but today we also come to bow our head in mourning, and tomorrow we'll debate."

Saturday, Wiley Norvell released the following statement on behalf of the Mayor's Office:

"The Ramos and Liu families, our police department and our city are dealing with an unconscionable tragedy. Our sole focus is unifying this city and honoring the lives of our two police officers."

On Sunday, Bratton said he believed the scores of police officers who turned their back on de Blasio during speech at the funeral acted inappropriately.

"I certainly don't support that action yesterday. I think it was very inappropriate at that event. That funeral was held to honor Officer Ramos. And to bring politics, to bring issues into that event I think was very inappropriate and I do not support it," Bratton told CBS' "Face the Nation."

On NBC's "Meet the Press," Bratton said the "rift" would likely go on for a "while longer."

"The issues go on far beyond race relations in this city. They involve the labor contracts, they involve a lot of history ... different from some of what's going on in the country as a whole," Bratton said.

Biden, the first eulogizer, focused on the Ramos family's loss.

"I'm sure I speak for the whole nation when I say our hearts ache for you," the vice president told the family during the service. He said the thousands of officers surrounding the church "will stand with you for the rest of your life."

"It's an uncommon fraternity," Biden said of the police. He added, "Thank God for them."

"Amen," some in the church said.

"This is the finest police department in the world," Biden added, drawing applause.

He added that the bullets that targeted the officers also "targeted the city, and (they) touched the soul of an entire nation."

Cuomo mentions threats, "abusive tirades"

The governor led the congregation in delivering a round of applause to the Ramos family. Then, he made note of protesters who have taken strong exception to police conduct and the recent deaths of unarmed black men at the hands of police.

Cuomo praised the professionalism of the NYPD officers during tense demonstrations in the city.

"The NYPD protected the right of free speech even though they were targets of false and abusive tirades," the governor said. "What a beautiful testament to their professionalism."

He also noted threats against police.

"The threats against the New York police are insults to the law-abiding and won't be tolerated," Cuomo said, adding that the National Guard "has your back every step of your way."

Anyone making threats "will be investigated, and they will be prosecuted," Cuomo added.

Cuomo also delivered a measure of relief when he spoke of Ramos' two sons.

"Justin and Jaden are Mets fans, which tells us a lot of about them. It means they are really tough and really committed and really, really, really loyal," Cuomo said, drawing widespread laughter.

Mayor avoids politics

A couple of officers booed de Blasio when he arrived for the funeral. Some protest signs against him, including "Dump de Blasio," could be seen, but they were small displays and officers were largely polite.

Some officers turned their backs on the church as the mayor spoke.

Ill feelings toward de Blasio stem from critics' contention that -- amid protests that arose after a grand jury's refusal to indict a police officer in the July death of Eric Garner in Staten Island -- the mayor was not supportive of the police. Some have accused him of fomenting an anti-police fervor that contributed to the deaths of Liu and Ramos.

Nonetheless, in his remarks de Blasio did not comment on protests or threats against police. Instead, he hailed Ramos for his desire to serve people in many ways.

Ramos spent the last 10 weeks of his life studying to be a chaplain, and he was to graduate on the day he was killed. "He was already serving in so many ways, and yet he felt deeply called to serve spiritually, as well," de Blasio said.

"Our hearts are aching today," the mayor said. "I feel it physically. ... New York City has lost a hero -- a remarkable man because of the depth of his commitment to all around him."

He offered condolences to Ramos' family, and then to the NYPD, who he said is "hurting so deeply right now."

Ramos made honorary chaplain

The police commissioner drew applause when he stated that Ramos "was a hero."

The pair were killed, Bratton observed, simply because of the uniform they wore. "They were killed because they were blue."

"Officer Ramos was assassinated because he represented all of us," Bratton said.

Bratton drew applause again when he announced he was appointing Ramos, posthumously and effective Saturday, as honorary department chaplain for the 84th Precinct.

Bratton also promoted both Ramos and Liu to detectives first grade, posthumously, drawing applause again.

Livestreaming

Television monitors and loudspeakers broadcast the service to the crowds packing the streets outside. The church posted a stream of photographs of Ramos' on YouTube.

The service began with a young woman the church identified as Mia Hunt-Pierce singing the national anthem. Police outside stood at attention. The church choir then sang the Christmas carol "O Come All Ye Faithful."

NYPD Officer Rafael Ramos saw streets as his ministry

Ramos leaves a wife, Maritza, and sons Justin and Jaden, the latter of whom recounted how he had to say goodbye to his father in an emotional Facebook post.

"(H)e was the best father I could ask for," Jaden wrote after the shooting. "It's horrible that someone gets shot dead just for being a police officer. Everyone says they hate cops but they are the people that they call for help. I will always love you and I will never forget you. RIP Dad."

Justin, the older brother, spoke at his father's wake at the church Friday, according to CNN affiliate NY 1.

"My father was a man of character. He was a selfless man," the college sophomore said. "He always went above and beyond for his family, constantly putting everyone before himself. Dad, I'm forever grateful for the sacrifices you made to provide for me and Jaden."

Charities offer help to families of slain officers

His pastor, the Rev. Rafael Castillo, said his death was a loss for the church.

"He was a man of great faith, and his faith informed his worldview, not just as a police officer, but as a husband and as a father," Castillo said. "And as I've been saying, we are going to miss him a great deal."

@highlight

"Today is about mourning; tomorrow is about debate," police union head says

@highlight

Officers who turned back on mayor at funeral feel "betrayal," union head adds

@highlight

Ramos is posthumously made honorary NYPD chaplain of 84th Precinct

@highlight

Ramos and partner are also promoted to detectives first grade posthumously