Starting the day off at the beach with your skin smelling of tropical-scented sunscreen can be one of life's greatest pleasures. Smelling coconut oil as you swish it around in your mouth before work -- well, that's another story.

Oil pulling, or placing oil in the mouth to kill harmful bacteria, seems to have caught on recently. It's a controversial practice that takes dedication and time, though fortunately not the 10 or 20 minutes of marathon swishing some sources suggest.

Two sessions of four minutes, as recommended by Dr. Amala Guha, assistant professor of immunology and medicine at the University of Connecticut Health Center and the founding president of The International Society for Ayurveda and Health, were sufficient for my first attempt at oil pulling.

The taste itself isn't so bad on the surface, but putting chunky coconut oil in your mouth before being fully awake can trigger a gag reflex. Luckily, the time goes by quickly, and afterward I admit my teeth felt polished throughout the day, as if I'd just come from the dentist.

But what's the scope (and scoop) on this mouth rinse practice? Does it work?

"It's not given proper credit," said Guha, who was trained in Ayurveda, a traditional form of medicine that relies on natural healing, in India.

She explains that using liquids in the mouth for health purposes is mentioned in two ancient Indian Ayurvedic texts (one written in 800 B.C. and the other in 700 B.C.), and the practice is part of one of the oldest health systems in the world.

Oil pulling for oral hygiene is common. But before you go racing out to the store for oil, the American Dental Association cautions that because of a lack of evidence, they do not recommend oil pulling as a replacement for standard oral health care such as flossing and teeth brushing.

The texts also claim that about 30 systemic diseases, including headaches and diabetes, can be cured. Yet there is a lack of knowledge on the science and side effects behind the practice, according to Guha.

How it works

Guha says there are two oil pulling techniques: kavala and gandusa.

With kavala, you fill your mouth with liquid and hold it there for a couple of minutes before swirling it around the mouth and spitting it out. The process shouldn't exceed more than three or four minutes; it's repeated at least two or three times.

Gandusa is the technique of holding the liquid still in the mouth for three to five minutes. The liquid is then spit out and the process is repeated.

In Ayurveda, many different liquids can be used depending on the condition being treated and the physiology of the person. Milk, honey and hot water containing herbs are just some of the other mediums, explains Guha.

For daily oral hygiene, she recommends using coconut or sesame oil, which she says have mild abrasive powers and more healing benefits than other oils (and are less harmful).

Results can be expected in a few months, she says, with benefits such as reduced plaque, cavity prevention and stronger gums for individuals who already have a healthy mouth. For the person with plaque buildup, she recommends a teeth cleaning first for faster results.

A small study published in 2009 involving sesame oil and 20 adolescent boys with plaque-induced gingivitis found that oil pulling reduced plaque and the bacterium Streptococcus mutans. This bacterium is cited as being a major cause of tooth decay and overgrowth of bacteria in mouth can also lead to gum disease.

A larger study published in 2013, also using sesame oil, found similar results, summarizing that oil pulling had a significant effect on plaque and gingivitis.

For coconut oil users, lauric acid found in the oil can be a benefit. It is known for its antimicrobial properties, such as the ability to fight off viruses, bacteria and yeasts.

How it doesn't work

Mark Wolff, professor and chair at the New York University College of Dentistry, expresses skepticism about oil pulling's effects on oral health.

"I am not sure there is any harm, but I have never seen it have any positive effect on my patients who have been using oil pulling or in clinical research that has been published."

There is also little research available on the effectiveness of these treatments to cure other diseases.

Guha warns that there can be negative side effects if improper technique is used, including dry mouth, excessive thirst, muscular stiffness, exhaustion and loss of sensation or taste in the mouth.

Individuals who are interested in trying kavala or gandusa to treat health conditions need to review all credentials of Ayruvedic practitioners before starting any treatment. Guha says that there are very few trained professionals in the United States as none of the Ayurveda schools here are accredited; only schools in India provide the proper certifications.

Bottom line? If you're just looking for a natural way to boost your oral health, you can oil away without supervision and get about the same benefits as commercial mouthwash.

Just don't forget to floss.

@highlight

Oil pulling is based on ancient Indian health systems

@highlight

One study shows that oil pulling can reduce plaque

@highlight

There are two techniques, and different liquids can be used

@highlight

If not done properly, oil pulling can have negative side effects