TEHRAN, Iran (CNN)  -- Marching in dramatic silence, many with tape over their mouths, hundreds of thousands of Iranians kept alive public support for opposition leader Mir Hossein Moussavi Wednesday even as the government stepped up efforts to thwart daily protests calling for a new presidential election.

Supporters of defeated reformist candidate Mir Hossein Moussavi line the streets of Tehran Wednesday.

Large crowds gathered in Haft-e-Tir Square in central Tehran Wednesday evening for a fifth day of protests, according to witnesses. The demonstrators are demanding that officials throw out the results of the balloting Friday that kept hardline incumbent President Mahmoud Ahmadinejad in power.

More protests are expected Thursday after Moussavi, in a message on his Web site, called for an afternoon "ceremony of mourning," which he planned to attend.

Referring to those who have died or been wounded "as a result of illegal and violent clashes" with his opponents, Moussavi urged people to gather in mosques and holy sites and wear "mourning symbols" in a show of sympathy and support for the families.

The protests have claimed at least eight lives, according to Iran's government-funded Press TV. The eighth death was included in a report the Intelligence Ministry provided to parliament Wednesday, the network said.  View a map of major rallies in Tehran »

The National Security and Foreign Policy Commission of the Iranian Majlis briefed lawmakers "about the current situation in the country," Press TV reported. No details of the report have been made public.

Iran is also investigating reports of violence at a Tehran University dormitory in the wake of rallies sparked by last week's disputed election.

Moussavi and former President Mohammad Khatami sent a joint letter asking Iran's courts to quell post-election violence and release protesters who have been arrested. The letter, posted on Moussavi's Web site, said, "the use of violence against ordinary people, raiding people's residences just because they chant the sacred phrase of Allh-o-akbar (Allah is great), beating up women and men, destroying buildings" is not in line with the standards of the Islamic Republic.

For a second day Wednesday, pro-Moussavi marchers urged their peers to march silently -- perhaps as a way of keeping a low profile in the face of riot police, witnesses told CNN.

Protesters held placards and posters reading, "Where is my vote?" and "Freedom," the witnesses said. Some held signs that said "Silence" and put their finger to their lips.

Several business owners reported that they closed up shop early so their employees could attend Wednesday's rally.

The government cracked down by banning international media from covering the protests and blocking access to Web sites.  Watch Christiane Amanpour on media restrictions »

A CNN iReporter who is not being identified said Wednesday's rally ended without incident.

"The people of Iran are finally fed up with the lies, the temperament, the foolish actions of Ahmadinejad," a 20-year-old Iranian man told CNN.

Authorities in Tehran transported dozens of protesters to jail Tuesday and blocked access to social networking sites such as Twitter and Facebook. The government accused international reporters of being the "mouthpiece" of "hooligans" who have created unrest, and said it could not guarantee the safety of those reporters. (Full story)

"I do believe them because the militia, they don't care who you are. If they see a camera, you will be a target," said a CNN producer who is not being identified for his safety. He was referring to the Basij, a volunteer paramilitary force that takes its orders from the Revolutionary Guard and is suspected of being behind most of the violent acts.

Citizens were barred from using typical means of getting Iran's stories to the outside world, but amateur videos and photos blossomed on sites such as YouTube and CNN's iReport. The content was impossible to verify in most cases, and much of it was posted anonymously or through third parties, some with little information. iReport.com: On the ground in Iran

Iran's Revolutionary Guard corps said it will pursue legal action against Web sites that it said were inciting people to riot. The Guard, a military unit that enforces the government's Islamic codes and morality, blamed U.S., British and Canadian companies, including American intelligence agencies, for financially and technically supporting the Web sites.

Despite the Guard's threats, defiant Moussavi backers stood firm.

"We are fighting with our lives and the world is just watching," said Ali, a Tehran University student who requested his last name not be used. "They see how the government is trying to silence us, how they are beating us -- but they don't come to our help. It's OK. We will succeed, even if we have to fight alone."

Though the focus of demonstrations has been in Tehran, reports of protests and violence sprouted in all corners of Iran.

Human rights group Amnesty International, which is monitoring the situation through media reports and a network of local correspondents, said people had protested in Tabriz and Bobol in the north, Shiraz in the south and Mashad and Zahedan in the east.

It reported several deaths in Oroumiye and Shiraz as well as beatings by police, use of tear gas and the detention of hundreds of protesters.

A video on CNN's iReport site by a third party showed several people who apparently had been shot, purportedly in the city of Esfahan, about 200 miles south of Tehran, and others attempting to treat them without medical supplies.

In Shiraz, 28-year-old Najmeh said she has taken to the streets every day since Saturday -- much to the chagrin of her worried parents. But Wednesday, the hospital nurse said no more.

"The police are everywhere you look," she said. "They hurt and arrested so many people last night that no one wants to go out."

Thousands of miles away, members of Iran's national soccer team sported green arm and wrist bands Wednesday during their World Cup qualifying match against South Korea. The team does not normally wear bands of green, the venerated color of Islam that has been adopted by Moussavi supporters, and many Iranians viewed the gesture as a sign of support, although that has not been confirmed. (Full story)

Meanwhile, the Swiss ambassador to Iran -- the protecting power of the U.S. in Iran -- was called into the Iranian Foreign Ministry on Wednesday to hear Iranian complaints regarding U.S. interference in Iran's election process, P.J. Crowley, assistant secretary of state for public affairs, told reporters in Washington.

U.S. President Barack Obama has voiced "deep concerns" about the elections, as has the European Union. But neither has dismissed the election results outright.

Counter-demonstrations by Ahmadinejad backers have also drawn thousands, reflecting a deep fissure in the country.

Iran's all-powerful leader, Ayatollah Ali Khamenei, appealed to the citizenry to stand behind the Islamic republic. He is to deliver a sermon Friday that will be closely watched for a sign of how the government plans to resolve the stalemate.

On Tuesday, Khamenei -- who has given his blessing to the election results -- asked the country's election authority, the Guardian Council, to recount some of the votes. But Moussavi is asking for fresh elections.

CNN's Samson Desta and Reza Sayah in Tehran, and Mitra Mobasherat and Saeed Ahmed in Atlanta, contributed to this report.

@highlight

Thousands protest in Tehran in support of opposition leader Mir Hossein Moussavi

@highlight

Iranian elite military warns of legal action against social networking Web sites

@highlight

Supreme Leader Ayatollah Khamenei urges Iranians to stand behind republic