(CNN) -- A Spanish study found women are more susceptible to guilt than men, and suggested that in the interests of equality, men should accept more guilt, women less. Equality considered in such terms is a shibboleth. Guilt is bad stuff; it poisons life, saps resolution and crushes orgasmic potency. No psychologist ought to wish more guilt on anyone of any sex.

Dr. Itziar Extebarria, who led the study of 360 men and women carried out at the University of the Basque Country and published in the Spanish Journal of Psychology, says the research "highlights the need for educational practices and socializing agents to reduce the tendency towards anxious aggressive guilt in women, and to promote interpersonal sensitivity in men."

Rescuing women from their burden of unwarranted guilt is going to require "educational practices and socializing agents" even more effective than the ones that have been relentlessly loading female humans with responsibility for other people's behavior from their earliest childhood.

Guilt is one side of a nasty triangle; the other two are shame and stigma. This grim coalition combines to inculpate women themselves of the crimes committed against them.

Opinion: Why women trash successful women

Women feel more guilt than men, not because of some weird chromosomal issue but because they have a history of being blamed for other people's behavior. You get hit, you must have annoyed someone; you get raped, you must have excited someone; your kid is a junkie, you must have brought him up wrong.

Any victim of sexual offenses who denounces the perpetrator should incur no shame. But she does. And to conceal the identity of a victim of a sexual offense, which is routine, is to endorse this profoundly misogynist prejudice. Until women feel free to identify offenders without shame, the wounds inflicted on them will remain unhealed.

For example, the Indian gang rape victim who was given the International Women of Courage Award by the U.S. State Department on International Women's Day recently is known only by a collection of sobriquets, of which the popular favorite is "Nirbhaya," or "Fearless."

No member of her family was present at the ceremony to hear U.S. Secretary of State John Kerry say fatuously that there would be "no more stigma against victims or survivors" when he had perpetuated that very stigma by refusing to reveal Nirbhaya's identity.

Why can we not know who Nirbhaya was? Because to be raped by a gang of drunken goondahs is to be dishonored. The stigma extends to her family, her community and even to her university. She has been honored because she did the decent thing. She died.

She is not around screaming for justice; she is dead. Her achievement is to be a victim. When the Obama administration hooked its wagon to the star of a sex martyr, it did little for the women who endure humiliation and stigma every day.

Libyan Eman al-Obeidy has not been identified as a woman of courage, even though -- or perhaps because -- on March 26, 2011, she sought out the international media at the Rixos Hotel in Tripoli to denounce the 15 Moammar Gadhafi thugs who gang-raped her, beat her and pushed a Kalashnikov into her rectum.

She found temporary asylum in Qatar only to be handed back to the Libyans; she is now living in exile in the United States. Her mistake was to survive. Because she did not die for other people's crimes, the offenses against her are now described as "alleged." Her credibility is shot.

Eman al-Obeidy: When rape is a tool of repression

Women live lives of continual apology. They are born and raised to take the blame for other people's behavior. If they are treated without respect, they tell themselves that they have failed to earn respect. If their husbands do not fancy them, it is because they are unattractive. Dirt and disorder in the family home is their fault, though they created none of it.

In Shakespeare's "Othello," as Desdemona lies dying, strangled by her husband, Emilia cries out, "Oh who hath done this deed?" and Desdemona answers, "Nobody. I myself." The moment is extreme, but the phenomenon happens daily.

Women all over the world, across cultures, are excusing the violence that men mete out to them, often, most tragically, interpreting acts of pure brutality as evidence of love. According to the British Crime Survey, two women die at the hands of their male partners every week. The police can't help them if they won't leave a violent partner; they choose to stay and die.

Until we have unraveled this conundrum, we will never understand women. Until women themselves reject stigma and refuse to feel shame for the way others treat them, they have no hope of achieving full human stature. U.S. President Franklin D. Roosevelt described the four essential freedoms as freedom of speech, freedom of worship, freedom from want and freedom from fear.

The fifth essential freedom to be fought for is freedom from shame.

The opinions in this commentary are solely those of Germaine Greer.

@highlight

Germaine Greer: Study found women feel the poison of guilt more than men

@highlight

Greer: Women are raised to take the blame for crimes against them, she says

@highlight

When a rape victim is unnamed, she says, it supports the stigmatization of rape

@highlight

Greer: Women must reject stigma and refuse to feel shame for the way others treat them