Jerusalem (CNN) -- Thursday's coordinated attack on Israeli soldiers and civilians, the deadliest in more than two years, spawned reprisal, rhetoric and questions over security in neighboring Egypt.

Israel's military said it launched an airstrike against militants in Gaza on Thursday, hours after a string of bold attacks on buses, civilian vehicles and soldiers left seven Israelis dead in the southern part of the country.

Palestinian medical officials said an airstrike north of Gaza City killed a boy in a home and injured five early Friday. Three other people were injured, they said, in a strike on a Hamas government compound south of the city.

Israeli police said an eighth Israeli, a special operations officer, was killed late Thursday in fighting with Sinai border infiltrators.

"We all witnessed today an attempt to escalate the terrorist war against Israel by launching of attacks from the Sinai," Prime Minister Benjamin Netanyahu said. "If there is someone who thinks that the state of Israel will let this pass, he is mistaken."

The Popular Resistance Committees in Gaza, whose leaders were targeted in the airstrike, and Hamas denied involvement in the terror attacks on Israel, with the latter claiming Israel was looking for a pretext to attack Gaza.

The first retaliatory Israeli airstrike occurred just west of Rafah, close to the Egyptian border, and killed six people, Palestinian medical and security sources said. The victims were five Popular Resistance Committees members and the son of one of the members.

Kamal Nirab, head of the group in Gaza; Imad Hamed, head of its military wing; and Khaled Shaat, a senior operative, were among those targeted, the IDF said.

"IDF's blows are now hitting the heads of the committees in Gaza," Israeli Defense Minister Ehud Barak said.

"The people who gave the order to murder our citizens and that were hiding in Gaza are no longer alive," Netanyahu said.

Late Thursday, the IDF said forces intercepted a rocket fired on Israel from Gaza.

Hours earlier, six civilians and one Israeli soldier were killed and 40 people were wounded in attacks about 20 kilometers (12 miles) from the Israeli city of Eilat, close to the Israeli-Egyptian border. Israeli soldiers exchanged gunfire with the assailants and killed seven militants, the military said.

Popular Resistance Committees militants attacked with the intention of kidnapping an Israeli civilian or soldier, the IDF said.

Israel believes that the attacks had their roots in Gaza but were coming out of the neighboring Egyptian region of Sinai. They come amid what Barak says is "the weakening of Egyptian control over Sinai."

Egypt claims it has been cracking down on terror groups in its portion of the Sinai, exchanging fire with militants on its side of the border.

Khaled Fouda, the governor of Southern Sinai, an Egyptian province, said "the security at border has not been affected by the revolution, and no one from Egypt has crossed through to conduct the attacks on Israel."

"The distance between the place of the attack and the border of Egypt is too far to allow the sort of attack conducted on the Israelis today with the weapons used," Fouda added.

Senior Egyptian military and security officials told CNN that two members of the Central Security Forces (CSF) and one military officer were killed in clashes near the southern border between Israel and Egypt.

Gen. Saleh Al Masry, head of security in North Sinai Province, said an Israeli helicopter was in action over the area, chasing militants in the aftermath of the attacks on Israelis.

"The Israeli ground troops engaged with armed militants 200 meters from the Egyptian border which may have also led to casualties on the Egyptian side," said Egyptian army spokesman Lt. Col. Amr Imam. "We have reinforced our border guards and raised the level of alert."

The incident allegedly occurred east of Ras Al-Naqab, about 13 kilometers north of Taba.

An Israeli army spokesperson told CNN in Jerusalem the IDF had no information on the Egyptian claims.

Hamas denied responsibility for the earlier strikes against Israelis and condemned "the crime in Rafah."

Ihab Al Ghosen, a Hamas spokesman, said the Interior Ministry "announced a state of emergency and told the people to be careful and take all the measures needed, hospitals are on high alert, and concentrations of security forces were evacuated."

Abu Suhayb, the spokesman for the Popular Resistance Committees, said the group would have announced its involvement if it were responsible.

"We warned Israel not to blame us just because it is easy for them to do so," he said. "All the options are open now for reaction, from kidnapping soldiers, to suicide attacks inside Israel and to shelling with rockets."

Israel had been on heightened alert in the south of the country, and an elite counter-terrorism unit was in the area, according to an Israeli government source who doesn't want to be identified because he cannot speak publicly about the matter. The counter-terrorism unit and Israeli soldiers responded to the attacks, the source said.

The incident began when shots were fired at a civilian bus traveling from Beer Sheva to Eilat, near the community of Netafim. Attackers also fired shots at another bus and two civilian vehicles.

Eilat is a resort town on Israel's southern tip, near Egypt's Sinai border.

Officials say it's likely there were both civilians and active-duty soldiers traveling by bus in the area because it was the start of the weekend and soldiers might have been going on breaks to the Eilat area.

Later, IDF soldiers were injured when an explosive device was detonated as they arrived on the scene.

Several mortar shells "were simultaneously fired from the Gaza Strip at soldiers conducting routine maintenance work on the security fence on the Israel-Egypt border." That was a bit farther north along the border from the bus attack, the IDF said.

"This is a malicious attack on innocent civilians, who were on their way to the known tourist destination city, Eilat, for their summer vacation," the IDF said. "The IDF will pursue those responsible for this attack at all costs and will not allow any further harm to Israeli civilians."

Barak said Israel "will not always be able to prevent such attacks."

"The Egyptian control over Sinai is weakening, and this is probably the reason that this attack that originated in Gaza has made it all the way down here."

"In light of what's happening near Eilat, our deepest condolences go out to the victims, their families and loved ones, of what appears to be a brutal and cowardly act of terrorism in southern Israel," the U.S. Embassy in Tel Aviv said.

Eilat generally has not endured the kind of strife faced by other regions including the swath of southern Israel near Gaza, the coastal Palestinian territory just south of the Jewish state along its west coast.

Across the border, the Egyptian army and police are cracking down in an "anti-terror" operation in the Sinai area of Egypt, state-owned media reported Tuesday, as reports emerged of Osama bin Laden's doctor surfacing in the area.

Police said they found hand grenades, machine guns, rocket-propelled grenades and ammunition in the operation that targets Sinai "terror cells" suspected in attacks on a gas pipeline to Israel and a police station in the border town of el-Arish.

Since the overthrow of the Mubarak regime, the security situation in Sinai has dramatically deteriorated. Senior Egyptian officials said several weeks ago that more than 23,000 prisoners escaped from prisons in Egypt in late January and February because of the breakdown in regime authority.

About one-third of the escapees have been recaptured, but many apparently traveled to the Sinai to take advantage of the relative absence of state security. Many of the weapons looted from police stations ransacked during the revolution ended up in the Sinai.

Travel between Egypt and Gaza has become much easier since the Military Council reopened the border crossing at Rafah in late May. But along with traders -- and Gazans just wanting a break from their cramped sliver of territory -- there are signs that Islamist groups have begun taking advantage of weaker security. The crossing is the only land passage out of Gaza not directly under Israeli control.

Questions are being raised about the Egyptian military presence in the demilitarized zone in Sinai, which was created under the terms of the Camp David Agreement signed in 1978 between Egypt and Israel.

CNN's Kevin Flower, Michal Zippori, Talal Abu Rahma, Guy Azriel and Ben Wedeman and journalist Mohamad Fadel Fahmy contributed to this report.

@highlight

Egypt says three troops killed in clashes near border

@highlight

Death toll rises in Israel after later incident

@highlight

Egyptian official says border security not affected by revolution

@highlight

Netanyahu says the people who gave the order to attack are dead