CHICAGO, Illinois (CNN) -- Environmentally friendly engineering is really right up Chicago's alley -- in a city project called Green Alleys.

Chicago workers resurface alleys with permeable concrete that cleans rainwater before it runs into Lake Michigan.

The program aims to stop polluted rainwater in the city's alleyways from ending up in adjacent Lake Michigan.

Chicago's 13,000 alleys, which allow rear access to buildings, date back to the 1800s. The 1,900 miles of back alleys ease access for garbage collection, loading and parking.

They also make up about 3,500 acres of impermeable surface, which has created a big problem.

Many of the alleys were built without connections to storm sewers. Rainwater puddles on the pavement and can run into buildings, sometimes flooding basements.

"We wanted to come up with a different way of solving that problem other than reconstructing, putting in a sewer system and adding water to our already full sewer system," said Janet Attarian, sustainability coordinator with the Chicago Department of Transportation.

So, the extreme alley makeover started with the pavement. The alleys are being resurfaced with concrete, asphalt or paving stones that are permeable -- that is, water runs through them like a sieve to the dirt beneath.

Microbes that thrive on stuff like fertilizer and oil are seeded into the pavement or migrate there naturally. They cleanse the water of pollutants from cars and lawns. The cleaner water makes its way into the groundwater, called an aquifer, and then flows into Lake Michigan.

That's a big deal, Attarian explained, because the city takes about a billion gallons of water out of Lake Michigan every year. But only about 1 percent of that water finds its way back to the lake, Attarian said.

"So by infiltrating that aquifer, we have a chance to [give] some of that water back."

Additionally, green alleys feature pavement that's high in albedo, or the ability to reflect light. The surface is lighter in color, reflecting more sunlight and absorbing less.

"It's like putting on a white T-shirt instead of a black one on a hot summer day," Attarian said. "It cools the city off and reduces our carbon footprint."

Other features of the Green Alley program include the use of recycled materials in pavement and energy-efficient light fixtures that direct light downward to reduce light pollution.

How green are those alleys? Chicago has greened 40 of them, with 48 more scheduled to get the treatment this year.

@highlight

Chicago covers alleys with special concrete that cleans polluted rain runoff

@highlight

Microbes in concrete eat pollutants such as fertilizer and oil

@highlight

Solution avoids having to rebuild city's massive alley system

@highlight

Unique concrete also helps to keep city cooler on sunny days