Smithville, Mississippi (CNN) -- Top federal officials voiced admiration and vowed cooperation Sunday after touring tornado-ravaged areas in Alabama and Mississippi, promising help to those who made it through this week's storms as they reconstruct their lives and communities.

"They're going to have to live and rebuild and recover," Craig Fugate, the head of the Federal Emergency Management Agency, said in Birmingham. "Give them the respect that they're a survivor, not a victim."

Fugate was joined by several members of President Barack Obama's Cabinet, including heads of the departments of homeland security, agriculture, and housing and urban development. They saw destruction in Birmingham, then headed west to Smithville, Mississippi, where 15 of the town's less than 900 people perished due to the powerful twister.

See photos of the devastation

Homeland Security Secretary Janet Napolitano explained that the group was diverse in order to best leverage the potential of the federal government, as it worked to help states, municipalities and ultimately individuals. She vowed that this effort will involve short-term fixes and a long-term committment in Alabama, Mississippi, Tennessee and other states hit the hardest.

"We will work (the affected) states as well, and those communities as well, to help them recover from this spring of storms -- and to come back strongly," Napolitano said.

About 148 devastating twisters Wednesday left a wide swath of death and destruction across 13 states. The death toll had climbed to 339 Sunday, according to emergency management officials in six of those states.

On Sunday, some of those killed were laid to rest while others attended religious services, hoping to make sense of the calamity.

iReport pictures from Tuscaloosa area

A tornado demolished the Smithville Baptist Church in Mississippi. On Sunday, the church's pastor Wes White urged several hundred congregants gathered under a tent not to lose hope, but to turn to Jesus, in the days and weeks to come.

"We were changed. Our world will never be the same. This moment will forever be etched in the forefront of all our imaginations," White said.

Hours later, the small town played host to Napolitano, Fugate and other members of the Obama administration.

They noted that, despite the massive destruction, only 22 people are in shelters because most of those impacted were taken in by relatives, neighbors and fellow church members. This fact showed the strong community in Smithville and vicinity, but did not diminish the tremendous suffering and long-term challenges ahead, the officials said.

Surgeon: 'I was just in shock'

"When the Piggly Wiggly is not open, it's real bad, folks," Fugate said. "It don't get much worse ... This is going to be a tough recovery, but you are survivors. That's why we're here."

The administration officials said assistance will be offered -- and red tape circumvented -- to help with everything from patching roofs to aiding the local timber industry to rebuilding businesses. They urged those affected to phone FEMA at 1-800-621-3362 to get registered and learn about the process.

In many communities, the struggle is daunting.

Throughout Alabama -- the hardest-hit state -- the death toll Sunday morning was 250 and the number of injured was 2,219, emergency management officials said. Nearly a half million customers in the state remained without power.

Tuscaloosa Mayor Walter Maddox said his city, where at least 39 people have died, faces a "humanitarian crisis." Hundreds of people remain unaccounted for and many more have been rendered homeless, he said.

Horror and hope in Tuscaloosa

Rescuers and volunteers have descended on the area from near and far, canvassing neighborhoods looking for the missing and offering help to those who are staying near their devastated homes.

"We all got together and we wanted to help," Lorinda Rodriguez-Mitchell told CNN on Sunday from near Tuscaloosa, where she was coordinating the collection and distribution of items like diapers, cereal and water. "We're just going down there to deliver food. Some people have been there 40, 50 years and they're not leaving."

In the Hispanic community, volunteer Martin Izaguirre said, many are afraid to go to shelters.

He said some have told him, "We are afraid we won't be welcomed in places where Spanish is not spoken."

While searchers fan out, some have taken a more high-tech approach. The University of Alabama's Crimson White student newspaper is trying to track down some of Tuscaloosa's missing using the #UAMissing hashtag on Twitter, said Hannah Mask, a former editor who has been working on the project.

Hispanics struggle after storm

"It's been really efficient," she said, noting that the list of those unaccounted for seems to be decreasing.

Damage to larger Alabama cities such as Birmingham and Tuscaloosa may have been greater than the damage suffered by smaller towns, but rural areas will likely have a harder time recovering, Red Cross spokeswoman Anita Foster said.

"In terms of suffering, these people have lost their loved ones, they've lost their community. There are people who don't have home to return to," Foster said.

She noted the sad response she received from one Hackleburg, Alabama, resident after asking her whether the town could recover.

The woman simply shook her head, Foster said.

CNN's Rob Marciano, Martin Savidge, Raja Razek and Gustavo Valdes contributed to this report.

@highlight

NEW: Several members of Barack Obama's Cabinet tour Mississippi and Alabama

@highlight

NEW: FEMA's chief says: "This is going to be a tough recovery, but you are survivors"

@highlight

Searchers and volunteers are out, looking for missing and giving aid to survivors

@highlight

The University of Alabama's student newspaper is trying to track down the missing