What would spur someone to walk up to a war memorial, fatally shoot a soldier guarding it, then rush into Canada's Parliament and open fire?

The attacker, identified as Michael Zehaf-Bibeau, may have taken the answer to his grave when he himself was shot dead before he could seriously hurt anyone inside Parliament.

Yet, bit by bit, we're learning about the 32-year-old Zehaf-Bibeau, a man with a criminal record and, according to a friend, an unstable mind.

Investigators are digging to find out more. One thing they already know, though, is that the bloodshed is "a grim reminder that Canada is not immune to the types of terrorist attacks we have seen elsewhere in the world," according to Canadian Prime Minister Stephen Harper.

Here's what we know so far about Michael Zehaf-Bibeau:

He's the son of a Libyan father, Canadian mother

He was born October 16, 1982, to father Bulgasem Zehaf and mother Susan Bibeau, according to court documents tied to his parents' 1999 divorce.

His father is from Libya, while his mother is Canadian, Royal Canadian Mounted Police Commissioner Bob Paulson said.

The Globe and Mail newspaper described the father, Zehaf, as a businessman.

Zehaf-Bibeau's mother is the deputy chairwoman of the immigration division of the Immigration and Refugee Board of Canada, according to her official profile. She's been with that agency since 1990, having worked as a refugee protection officer, legal adviser and manager of operational support, among other roles.

"I know that the mother was very caring and a very involved parent. Actually both parents seem to have been," Janice Parnell, a former neighbor, told CNN partner network CTV.

"The boy seemed to have had a very good upbringing. He had a good home base. He was involved in community things."

He lived in several places in Canada

According to Canadian media reports, Zehaf-Bibeau worked as a miner and a laborer at various points in his life.

Not only did he change jobs, he changed places.

Born in Montreal, Zehaf-Bibeau also lived in Calgary and most recently in Vancouver, according to Paulson.

He had a criminal record

One way that authorities traced Zehaf-Bibeau's past was by following his criminal record.

Paulson said that  Zehaf-Bibeau's "record indicated infractions related to drugs, violence and other criminal activities."

Specifically, court documents obtained by CNN partner network CBC reveal Zehaf-Bibeau was charged with drug possession in Quebec in 2004. He pleaded guilty and was sentenced to 60 days in jail.

In 2011, he was charged with robbery and uttering threats in Vancouver, CBC reported. He was found guilty of only the second charge and sentenced to a day in jail.

What, if anything, does this criminal record have to do with what happened Wednesday?

The RCMP commissioner said that Zehaf-Bibeau "had a very developed ... non-national security criminality of violence and of drugs and of mental instability."

Investigators are trying to determine what role that criminal past, if any, played in Zehaf-Bibeau's radicalization and decision to attack Wednesday, Paulson said.

Sergeant-at-arms hailed as 'hero'

Prime Minister: 'Terrorist' killed soldier 'in cold blood'

He asked to go to jail to overcome crack addiction

In December 2011, as part of a psychiatric evaluation prior to a trial in Vancouver, Zehaf-Bibeau said "he wants to be in jail as he believes this is the only way he can overcome his addiction to crack cocaine," according to a psychiatric assessment provided by a Canadian court.

The 2011 assessment continues, "He has been a devoted Muslim for seven years and he believes he must spend time in jail as a sacrifice to pay for his mistakes in the past."

The psychiatric expert who completed the assessment wrote, "I am unable to find any features of signs of a mental illness."

"Although he seems to be making an unusual choice, this is insufficient basis for a diagnosis of mental disorder," the expert said.

A convert to Islam, he had 'radical views'

As mentioned , Zehaf-Bibeau converted to Islam about a decade ago. At some point after that, he became radicalized -- though officially haven't specified when or who he rubbed elbows with.

Paulson, the RCMP commissioner, spoke Thursday about Zehaf-Bibeau's radicalization as well as his "association with some individuals who may have shared his radical views."

Asked later what he meant by "association," the national police commissioner said Zehaf-Bibeau's "email was found in the hard drive of somebody who was charged with a terrorist-related offense.

"What does that mean?" the commissioner asked. "We need to understand what that means."

Some found his behavior troubling

Zehaf-Bibeau was asked to stop attending prayers at the mosque he attended because elders found his behavior "erratic," a friend told the Globe and Mail.

The friend, Dave Bathurst, said Zehaf-Bibeau once told him the "devil is after him," and frequently talked about supernatural spirits.

"I think he must have been mentally ill," Bathurst told the paper.

He wanted to go to Syria, couldn't get passport

Zehaf-Bibeau spoke of wanting to go to the Middle East to study. Bathurst, the friend, told the Globe and Mail that he "urged his friend to make sure study was on his mind and not something else."

More specifically, his mother told authorities Wednesday that her son "wanted to travel to Syria," according to Paulson.

He applied for a passport, which was "subject to an investigation," at the time of the Ottawa attack, the commissioner said.

"I think the passport figured prominently in his motives and -- I'm not inside his head -- but I think it was central to what was driving him," Paulson said.

He visited the U.S. at least four times

U.S. law enforcement officials are tracing back Michael Zehaf-Bibeau's travel to the United States and interviewing people with whom he came into contact, according to a U.S. official with knowledge of the investigation.

He visited at least four times, most recently in 2013, the official said. There's no reason to believe he's connected to any extremists in the United States, the official said.

He had 'connections' to jihadists, wasn't necessarily part of a big network

Zehaf-Bibeau had "connections" to jihadists in Canada who shared a radical Islamist ideology, including at least one who went overseas to fight in Syria, multiple U.S. sources told CNN on Thursday.

According to two U.S. counterterrorism officials, Zehaf-Bibeau was connected to Hasibullah Yusufzai through social media. Yusufzai is wanted by Canadian authorities for traveling overseas to fight alongside Islamist fighters in Syria, The Globe and Mail, a Canadian newspaper, reported.

Other radicalized individuals connected to Zehaf-Bibeau are still believed to be in Canada, two U.S. law enforcement officials said.

Early indications are that his connections involved "interactions" online, including via Islamic extremist websites, a U.S. source told CNN. There is no evidence so far that Zehaf-Bibeau had any "operational links" to other jihadists, according to the source, who drew a distinction between interacting online and plotting an attack.

And when asked Thursday by CNN's Christiane Amanpour if Zehaf-Bibeau is linked to a wider network of jihadists, Canadian Foreign Minister John Baird said "there's no evidence, at this stage, for us to know that. ... That's something authorities are looking at right now."

He was not on a Canadian list of possible extremists

Whatever his associations, Zehaf-Bibeau wasn't high on Canadian authorities radar when it comes to potential terrorist attacks.

He was not among about 90 individuals that Canadian authorities are examining for possible Islamic extremist ties.

"Had we have known that he wanted to travel to Syria, and had we had some basis to suspect that he wanted to do that for a criminal purpose, then he certainly would have been" on that list, Paulson said.

The commissioner also noted, "There is no one path or formula to ... radicalization. And understanding each individual's path to that state is the challenge."

He recently came to Ottawa, was staying at shelter

Paulson said  Zehaf-Bibeau had been in the Canadian capital since at least October 2.

During those few weeks, he stayed at the Ottawa Mission shelter, according to residents there.

One resident, who asked to be identified only as Brian, recalled running into Zehaf-Bibeau -- who was then chanting and praying -- on the shelter's stairs the night before the attack.

"I just walked by and I started singing (a Christian song)," Brian said. "And it didn't affect him at all. He just kept going."

Perhaps related to his short time there, Zehaf-Bibeau didn't frequent mosques in Ottawa, according to Aymler mosque imam Mohammed Lahlou

"We have no clue about that person," Lahlou said. "And that kind of person should not have any place in our community."

He is believed to have acted alone

All day Wednesday, Canadian officials vacillated back and forth on whether Zehaf-Bibeau acted alone. By Wednesday night, they settled on the answer: yes.

"It appears there was just one shooter and that shooter is dead," Ottawa Mayor Jim Watson told CNN's Anderson Cooper.

He's not connected to a similar incident this week

On Monday, a man who Canadian authorities said was "radicalized" killed a Canadian soldier with his car in Quebec. That man, Martin Rouleau Couture, was then shot and killed.

Paulson said Thursday that investigators have not found any link between Couture and  Zehaf-Bibeau.

Prime Minister: 'Terrorist' killed soldier 'in cold blood'

@highlight

U.S. source: Zehaf-Bibeau has "connections" online with jihadists

@highlight

He had been staying at a shelter in Ottawa since early October

@highlight

His mother told police that Zehaf-Bibeau wanted to go to Syria, official says

@highlight

Authorities say he killed a Canadian soldier, attacked parliament before his death