(CNN)  -- From victims of gunshot wounds and domestic violence to common road injuries, Trinite Hospital in Port-au-Prince, Haiti is inundated with trauma cases daily.

A mother and child in the recovery room of Trinite Hospital in Port-au-Prince, Haiti.

The stream of patients arriving at the free clinic run by international aid group Medecins Sans Frontieres is virtually uninterrupted. Some arrive in police ambulance or via the Haitian Red Cross; others are dropped off in wheelbarrows, according to Brian Phillip Moller, head of the 60-bed trauma center.

Gunfire no longer fills the nights the way it did when he was last in Haiti in 2006, but the workload for aid workers hasn't diminished. Instead hospitals like Trinite are dealing with trauma cases the public health system is incapable of handling, Moller tells CNN.

While the security situation in Haiti has improved during the last two years, the public health system remains in disarray, according to Medecins Sans Frontieres (MSF), also known as Doctors Without Borders.

The organization, which offers free care at three clinics in Port-au-Prince, says basic health services are practically non-existent in the capital city, the result of a public health system marred by mismanagement, strikes and shortages of medical personnel and supplies.

"The Haitian system is at breakpoint," says Moller. The private health care sector has developed in recent years, but most in poverty-stricken Haiti cannot afford to pay the fees charged for services.

MSF is urging the international community to increase pressure on Haiti to improve its health system. The call comes as UN Secretary General Ban Ki-moon, Haiti's Prime Minister Michele Pierre-Louis and representatives of donor countries are set to meet in Washington Tuesday to discuss international assistance for the country.

With the public health system underfunded and understaffed, patients often have nowhere to turn but to free clinics. An obstetrics hospital run by MSF in Port-au-Prince manages 40 percent of the childbirth-related emergencies among poor women in the city.

At Trinite, doctors treated nearly 18,000 trauma cases last year. The hospital's bed occupation rates are at 100 percent and at times staff have no choice but to refer patients to public health facilities that they know are inadequate.  See photos of the health crisis in Haiti »

MSF France, which runs the Trinite trauma center, plans to withdraw from Port-au-Prince next year, which could make the situation for Haiti's poorest even more dire.

Urban conflict has subsided, reducing the need for a war surgery hospital, Moller says. About one-third of the cases at the hospital are related to road vehicle accidents. The group's mission is to provide urgent care to crisis-hit areas, he says, not cope with everyday trauma.

Although the security crisis has abated, violence, is still very much a part of life in Haiti's capital city and poses a major health care challenge. One in five cases admitted to the Trinite are violence related.

"Access to adequate health care is a basic human right and it is definitely not being met here in Haiti. The issue needs to be addressed very quickly. People are dying needlessly and will continue to unless this issue is addressed," Moller says.

@highlight

Medecins Sans Frontieres says public health system in Haiti failing patients

@highlight

Free clinics offered by the aid organization being overwhelmed

@highlight

Many in poverty-stricken nation lack access to basic health care

@highlight

Public health system is underfunded and understaffed, group says