Editor's note: Wendell Potter has served since May 2009 as senior fellow on health care at the Center for Media and Democracy, a nonprofit organization that says it seeks to expose "corporate spin and government propaganda." After a 20-year career as a corporate public relations executive, Potter left his job last year as head of communications for one of the nation's largest health insurers, CIGNA Corporation.

Ex-insurance company spokesman Wendell Potter says the industry seeks to drive the health care debate.

(CNN) -- Having grown up in one of the most conservative and Republican places in the country -- East Tennessee -- I understand why many of the people who are showing up at town hall meetings this month are reacting, sometimes violently, when members of Congress try to explain the need for an expanded government role in our health care system.

I also have a lot of conservative friends, including one former co-worker who was laid off by CIGNA several years ago but who nonetheless worries about a "government takeover" of health care.

The most vocal folks at the town hall meetings seem to share the same ideology as my kinfolks in East Tennessee and my former CIGNA buddy: the less government involvement in our lives, the better.

That point couldn't have been made clearer than by the man standing in line to get free care at Remote Area Medical's recent health care "expedition" at the Wise County, Virginia, fairgrounds, who told a reporter he was dead set against President Obama's reform proposal.

Even though he didn't have health insurance, and could see the desperation in the faces of thousands of others all around him who were in similar straits, he was more worried about the possibility of having to pay more taxes than he was eager to make sure he and his neighbors wouldn't have to wait in line to get care provided by volunteer doctors in animal stalls.  Watch Potter interview with Sanjay Gupta »

Friday morning my former CIGNA buddy sent me an e-mail challenging something he said his wife heard me say in a radio report about my press conference in the Capitol on Wednesday with Rep. Louise Slaughter, D-New York, chairwoman of the House Rules Committee.

"She heard you say that these protestors are funded by the insurance companies. Frankly, nothing would surprise me, but certainly not each and every person," he wrote. "If there was a meeting near me, I certainly would tell my local representative how I feel about this entire subject (and it wouldn't be pretty), and I certainly am not funded by anyone. So I am ultimately wondering what proof there is that seemingly ordinary Americans are finally protesting what is going in Washington and there are all of these suggestions of a greater conspiracy."

If the radio report had carried more of my remarks, he might have a better understanding of how the health insurance and its army of PR people are influencing his opinions and actions without his even knowing it.

Until I quit my job last year, I was one of the leaders of that army. I had a very successful career and was my company's voice to the media and the public for several years.

It was my job to "promote and defend" the company's reputation and to try to persuade reporters to write positive stories about the industry's ideas on reform. During the last couple of years of my career, however, I became increasingly worried that the high-deductible plans insurers were beginning to push Americans into would force more and more of us into bankruptcy.

The higher I rose in the company, the more I learned about the tactics insurers use to dump policyholders when they get sick, in order to increase profits and to reward their Wall Street investors. I could not in good conscience continue serving as an industry mouthpiece. And I did not want to be part of yet another industry effort to kill meaningful reform.

I explained during the press conference with Rep. Slaughter how the industry funnels millions of its policyholders' premiums to big public relations firms that provide talking points to conservative talk show hosts, business groups and politicians. I also described how the PR firms set up front groups, again using your premium dollars and mine, to scare people away from reform.

What I'm trying to do as I write and speak out against the insurance industry I was a part of for nearly two decades is to inform Americans that when they hear isolated stories of long waiting times to see doctors in Canada and allegations that care in other systems is rationed by "government bureaucrats," someone associated with the insurance industry wrote the original script.

The industry has been engaging in these kinds of tactics for many years, going back to its successful behind-the-scenes campaign to kill the Clinton reform plan.

A story in Friday's New York Times about the origin of the absurdly false rumor that President Obama's health care proposal would create government-sponsored "death panels" bears out what I have been saying.

The story notes that the rumor emanated "from many of the same pundits and conservative media outlets that were central in defeating Bill Clinton's health care proposal 16 years ago, including the editorial board of The Washington Times, the American Spectator magazine and Betsy McCaughey, whose 1994 health care critique made her a star of the conservative movement (and ultimately, the lieutenant governor of New York)."

The big PR firms that work for the industry have close connections with those media outlets and stars in the conservative movement. One of their PR firms, which created and staffed a front group in the late '90s to kill the proposed "Patients' Bill of Rights," launched a PR and advertising campaign in conservative media outlets to drum up opposition to the bill.

The message: President Clinton "owed a debt to the liberal base of the Democrat Party and would try to pay back that debt by advancing the type of big government agenda on health care that he failed to get in 1994."

The industry goes to great lengths to keep its involvement in these campaigns hidden from public view. I know from having served on numerous trade group committees and industry-funded front groups, however, that industry leaders are always full partners in developing strategies to derail any reform that might interfere with insurers' ability to increase profits.

So the next time you hear someone warning against a "government takeover" of our health care system, or that the creation of a public health insurance option would send us down the "slippery slope toward socialism," know that someone like I used to be wrote those terms, knowing it might turn many of the very people who would benefit most from meaningful reform into unwitting spokespeople for the industry.

The opinions expressed in this commentary are solely those of Wendell Potter.

@highlight

Wendell Potter: In my former job, I helped shape public opinion on health care

@highlight

He says insurance companies quietly seek to counter reform measures

@highlight

Potter: Industry worked to kill the Clinton health reform plan

@highlight

He says he didn't want to be part of another effort to kill a health care plan