Japanese Prime Minister Shinzo Abe's timing was impeccable: July 1 marks the 60th anniversary of the establishment of Japan's Self-Defense Forces (SDF), the de-fanged fighting force that has protected the country since its creation from the ashes of post-World War II Japan.

Following the announcement, it is also the day that, some would argue, the name ceased to have any meaning.

Abe's government, mindful of looming regional security threats to Japan and its neighbors, has allowed the "reinterpretation" of the country's pacifist postwar constitution to reflect what he sees as necessary pivots to meet the 21st century security challenges that the nation faces.

Abe's Cabinet has approved a defense policy that takes a liberal view of the constitution, allowing for Japanese involvement in the defense of its allies. Previously, the SDF could only act if Japan itself was directly threatened.

Abe, speaking at a press conference Tuesday. said that the "basic idea" of the constitution "remains unchanged," and that any involvement in military action must be taken in a "minimal way."

He said that Japan's security policy has evolved throughout the postwar period, and that the SDF activities in peacekeeping missions are appreciated around the world. With the reinterpretation, "Japan will contribute even more than in the past."

With regional concerns, such as North Korea's missile program and China's increasing belligerence in regional territorial claims occupying the Prime Minister's mind, he will see a more relaxed interpretation of the document as critical to maintaining Japan's influence, both within the East Asian sphere but also internationally.

"Our peace is not something given by others," Abe said. "We ourselves must establish peace. There is no other way."

The move paves the way for Japan to send SDF troops, ships and aircraft to support U.S. military activities in conflict areas and to join internationally sanctioned security activities, putting Japan in line with many of its key allies, including the U.S., which has long supported this.

The United States "welcomed" the reinterpretation, State Department Deputy Spokesperson Marie Harf said.

"The U.S.-Japan alliance is one of our most important partnerships, security partnerships, and we value efforts by Japan to strengthen that security cooperation, and also value Japan's efforts to maintain openness and transparency throughout this decision-making process that's led up to this new policy."

Abe's proposal will end the ban on "collective self defense" and make it easier for Japanese troops to be deployed overseas to aid in the protection of allies. Before Abe's statement, the constitution's famed Article 9 expressly disallowed military solutions as a defining principle.

"The Japanese people forever renounce war as a sovereign right of the nation and the threat or use of force as means of settling international disputes," an excerpt reads.

Until today, the interpretation was that Japan can use its military force only to protect itself from external attack. Since its inclusion in the constitution in 1946, no Japanese military personnel have been engaged in combat overseas, although troops have been sent to countries like Iraq for peacekeeping and reconstruction purposes.

And many in Japan are unwilling to see the hallowed article go without a fight.

Before the announcement, thousands of protesters thronged the pavement outside the Prime Minister's office and official residence, demanding that Abe step back from the decision to reinterpret the constitution. Over the weekend one man set himself on fire outside the busy, city center Shinjuku station in apparent protest.

Polls are divided over the move, which was hastily -- and some say incompletely -- debated. But one thing is not in doubt; that there remain swathes of the Japanese public who oppose this move.

Yoshihide Suga, Japan's Chief Cabinet Secretary, said the coalition is "confident that a majority of the public support the use of the right of collective defense in limited condition."

"In reality we need to set up legal framework (to exercise the collective defense) and we need to debate in the Diet. I believe we can earn the understanding of the public."

Japan's relationship with its neighbors, particularly key trading partners South Korea and China, has never been hugely cordial, but is currently at a particularly low ebb. Abe's visit to the Yasukuni shirine, which honors Japan's war dead -- including war criminals -- and the ongoing debate over responsibility for comfort women, means that for the Prime Minister to show his hawkish side may risk even further deterioration of East Asian relations.

The Chinese government bristled at the implication that it was China's expansionism that was motivating Abe's move to a more reactive stance. "We are opposed to Japan's pursuit of its domestic political goal by deliberately making up the so-called 'China threat,'" Ministry of Foreign Affairs spokesperson Hong Lai said ahead of Abe's announcement. He also noted that the government were pursuing the change in interpretation despite widespread public opposition.

"It is the general public of Japan that should have the final say on which way Japan should follow in terms of national development."

China's state-run People's Daily also warned of the pitfalls of trashing the pacifist wording of the document, saying that the move essentially amounts to an "upgrade" of Japan's SDF to "a national military ... brutally violating the spirit of Japan's current (pacifist) constitution."

South Korea warned Japan off operating without the Republic's consent in matters that directly affect the country's soverignty, and said that it would "continue to keep a close eye on relevant developments," according to a Ministry of Foreign Affairs  spokesperson.

The MoFA official also used the occasion to emphasize the impact of Japan's wartime actions and successive governments' denial of responsibility on regional harmony.

"In terms of defense and security issues, the Japanese government should renounce historical revisionism and take right actions in order to dispel doubts and concerns stemming from historical issues and to win the trust from its neighboring countries."

@highlight

Japan's Prime Minister confirms a more liberal interpretation of the country's constitution

@highlight

Re-reading of postwar document will free up Japanese military to assist in conflicts overseas

@highlight

Opposition to the move runs high, although opinion is divided

@highlight

No Japanese military personnel have participated in armed conflicts since World War II