New York (CNN) -- The world's two biggest economies are facing off over tensions that could ignite a trade war and lead to a catastrophic split between the United States and China, says analyst Fareed Zakaria.

President Barack Obama says an undervalued currency is giving Chinese companies an unfair advantage in selling products, and this week the House of Representatives passed a bill that would let the United States put tariffs on goods from China. China has retaliated against earlier trade sanctions by the United States and strongly opposes the bill passed by the House.

"One has to hope a lot of it is bluff because the consequences of a significant trade war between China and the United States would be very dramatic," Zakaria said. "We need the Chinese to still have enormous faith in the U.S. economy, not just to buy Treasury bills, but to maintain all the links they have with the U.S. economy."

Zakaria conducted a rare interview with China's prime minister, Wen Jiabao, his first with a Western journalist since a similar interview by Zakaria two years ago. The interview is being shown this weekend on Zakaria's Sunday show, "Fareed Zakaria GPS." The author and host spoke to CNN Thursday. Here is an edited transcript:

CNN: What are the chances that we'll see political reform in China?

Fareed Zakaria: The Chinese clearly feel that they need to open up but they don't quite know how and they don't know how to do it without letting go of their monopoly on power. .... They're very sure-footed now on economic power and economic reform, they really feel they have complete mastery over that area, but on political reform, they're very tentative.

Wen Jiabao has been clearly somebody who's talked a lot about political reform for a long time. .... My own sense is that he is clearly of the mind to keep things moving in this direction but obviously there are other people who feel otherwise. It isn't clear to me that the forces of political reform are in the ascendancy in China. ...

CNN: What sense do you have of the current state of China's economic relationship with the United States?

Zakaria: Clearly the U.S. is pushing very hard on the issue of the Chinese currency and I think that a lot of it has to do with the realities of a bad economy here, coupled with a kind of sense that there are very few other levers that the U.S. has. So you're seeing a lot of rhetoric focused around Chinese currency and the fact that the House just passed this week a measure that would punish the Chinese for having artificially undervalued their currency.

The Chinese central bank has actually driven its currency even lower as a kind of response to all this.

Now the Obama administration has managed to maintain a pretty good overall relationship, and I think that the Chinese understand that some of this is pre-election politics, but I don't think its fundamentally good because these are the two biggest economies in the world and they should be trying to find a way to avoid getting into what appears to be the beginnings of a trade war.

Remember the vast numbers of companies that are exporting from China that are American companies. The Chinese have opened up their economy to a huge number of American firms. ... Now this is all interdependence, no one is doing anyone a favor here.

CNN: What's the impact of an undervalued Chinese currency?

Zakaria: The Chinese benefit. We benefit enormously from having cheap Chinese goods. The big charge against the Chinese that is being made by Congress and even being made by the administration is that they are keeping their currency artificially low, and that favors Chinese manufacturers, that they have an unfair advantage to sell their goods more cheaply. OK, that's basically true.

But one has to keep in mind two things. One is that a large number of those so-called Chinese manufacturers are actually American companies manufacturing out of China.

The second thing is that these Chinese goods that are now cheaper are bought by Americans and Americans benefit enormously from cheaper goods. The reason there is almost no inflation in America is largely due to cheap Chinese manufacturing. The reason that the Federal Reserve has been able to maintain interest rates so low without any fear of inflation is that they have China acting as a deflationary machine pushing down the price of manufactured goods, which has allowed the Federal Reserve to rescue the American economy by keeping rates so low even now.

Americans get cheap mortgages for that reason, get cheap credit, get cheap interest rates for their credit cards. So it's not as if Americans don't benefit from the Chinese having the currency cheap.

In fact there are many economists who think we should send the Chinese a thank-you note for keeping the prices of our goods so low. ... I'm not sure I'd go so far but I'd say there are many, many benefits the Americans derive from having cheap Chinese goods.

CNN: Do you think this is a relationship that can continue to exist or is it an imbalance that has to change at some point?

Zakaria: There's a structural problem, which is that the U.S. is the established superpower in the world, China is the rising power. Those kinds of relationships have often ended up badly. Think about Japan as it rose in the 1930s, think about Germany as it rose in the 1890s and 1920s, think about the Soviet Union.

But it doesn't always have to be that way, and today the world is so interdependent that it would be a catastrophe if the United States and China were to have a serious schism.

There are going to be these points of tension constantly, and the question is can we navigate those periods of tension and get over them ... for the last 10 or 15 years we have. The big shift that's taken place is that the Chinese are much more confident and much more powerful than they've ever been.

CNN: How is that greater power being used?

Zakaria: Look at what happened with the Japanese. The Japanese had picked up a Chinese captain of a trawler who had wandered into what the Japanese regard as Japanese waters. They picked him up and arrested him. The Chinese demanded that they release him; the Japanese said no.  But eventually the Japanese bowed to Chinese demands. Why? Because they sensed that the balance of power had shifted.  It was only a few weeks earlier that the news came out that China had overtaken Japan as the second largest economy in the world.

If you look at the way the Chinese stimulus has been so successful at restimulating the Chinese economy, which is now growing at 9 percent again, and you compare it to the fate of Western economies, you can understand why the Chinese are more confident, assertive and sure of themselves.

CNN: So if the relationship with China is helping the U.S. in the short term, is it causing long-term damage to the U.S. manufacturing base and the overall economy?

Zakaria: I think that suggests that you have an alternative to being engaged with China. It's an open world economy. It's not just China that is manufacturing stuff, it's Vietnam, it's India, it's Brazil, it's Indonesia, it's all over the world. The way I would put it is that China represents a challenge to the United States. The best way to solve that challenge is for us to get our act together.

The real threat China poses is not a cheap currency. It's a competitive economy that is producing things at every level cheaper than we are, and the question is what should we be doing to be a competitive economy.

While we do many things very well ... we have lost too much manufacturing capacity in America. We could revive it. Look at Germany, a case of a very high wage economy that still has maintained a manufacturing capacity, but they didn't do that by isolating themselves from the world economy.

To the contrary, Germany is a huge trading nation. They've gotten their act together, they've gotten their workers better training, they've gotten their manufacturing to be more high end and more complex, so what they make is more in the BMW model, highly skilled, complex engineering, putting out premium products and commanding premium prices, which allows you to have a high wage structure.

We've done that in some areas ... but by and large we've let  manufacturing erode. But that's not China's fault, that's our fault.

CNN: Is the Obama administration taking the right approach in dealing with China?

Zakaria: I think the Obama people have been very serious about the Chinese relationship. They approached it from the start as a major strategic partnership.

I think you can't really fault the Obama administration for some of the friction, some of it is congressional short-term re-election stuff. Some of it frankly is that the Chinese have been somewhat unpredictable in their responses. They dis-invited [Defense] Secretary Gates from visiting China, which seemed a bad idea, because the one thing you do want to maintain is constant contact and collaboration between these two countries.

The Chinese military clearly wanted to send some kind of a signal and withdrew an invitation, which has now been re-extended ... the Chinese are engaging in somewhat unpredictable behavior, which is unfortunate, but I think it reflects their growing pains as a great power.

CNN: What's driving that unpredictable behavior?

Zakaria: They're becoming more assertive, they're getting more arrogant, which is natural given their success and their size, but I don't think they're becoming more threatening. I think the problem is that they haven't figured out what their national interests are, what kind of a great power do they want to be in the world.

What are their broader interests with regard to nuclear nonproliferation, with regard to the Middle East? I don't think they've thought that through. Twenty years ago, they were a struggling Third World nation that never thought about any of that stuff; now they have to have a foreign policy for everything.

@highlight

President Obama has warned of dangers of undervalued Chinese currency

@highlight

House passed bill to allow tariffs against nations that undervalue currency

@highlight

Fareed Zakaria says U.S. and China both benefit from cheap Chinese currency

@highlight

Zakaria conducted rare interview with China's prime minister, Wen Jiabao, airing Sunday, 10 a.m. ET