(CNN) -- I don't want to write this.

As part of breast cancer awareness month, a 40-year-old anchor had her first mammogram on morning television. And last week the anchor, Amy Robach, underwent a double mastectomy after announcing she had cancer, and saying -- in front of 5 million viewers -- that "having a mammogram saved my life."

And I feel the obligation to point out that other possibilities are more likely.

To understand why, you need to know how doctors now think about cancer: in terms of turtles, rabbits and birds. The goal is not to let any of the animals escape the barnyard pen to become deadly. But the turtles aren't going anywhere anyway. They are the indolent, nonlethal cancers. The rabbits are ready to hop out at any time. They are the potentially lethal cancers, cancers that might be stopped by early detection and treatment. Then there are the birds. Quite simply, they are already gone. They are the most aggressive cancers, the ones that have already spread by the time they are detectable, the ones that are beyond cure.

Before I go through the other possibilities, let me be clear about something: I know Robach has been through an emotionally gut-wrenching month. I know she is worried about her children. I know her parents are worried about her. And I truly hope the mammogram served a purpose -- that it saved her life.

It is understandable that any woman with a screening-detected cancer would want to believe this. But all women contemplating mammography should understand the other possibilities.

One possibility is that it could not save a life, that the woman will ultimately die from her disease. Thankfully this possibility is the least likely. Yet in every trial of screening, some women die from breast cancer despite its being detected early. It's not the mammogram's fault, it's the bird's fault. The birds are the reason why the rate at which women present with metastatic breast cancer in the United States remains unchanged, despite three decades of widespread screening mammography.

Another possibility is that early detection was unnecessary -- that she could have done just as well had her cancer progressed to the point she noticed a breast lump. Doctors are getting pretty good at dealing with rabbits. While the news media tends to focus on screening, the bigger story in breast cancer is the dramatic improvement in treatment over the last 20 years. Ironically, the better we are at treating breast cancer -- the less important it is to screen for it.

The final possibility is that she was overdiagnosed -- diagnosed with a cancer that may not have been destined to ever bother her. Cancer biologists now recognize that small collections of abnormal cells may meet the pathological criteria for cancer, yet never progress to affect the patient. In other words, her cancer may have been a turtle: it may not have been going anywhere anyway. While doctors used to debate whether turtles really existed in breast cancer, now the debate is about how many turtles exist.

Even the program that promotes screening mammography in the United Kingdom now acknowledges that women are three times more likely to be overdiagnosed than they are to have their "life saved."

Some researchers think the overdiagnosed to lives-saved ratio is closer to 10 to 1.

Others might argue it's considerably less. Overdiagnosis is notoriously difficult to quantify. But most agree overdiagnosis is more common than having your life saved.

That nuance is lost in the powerful survivor stories that appear regularly in the media. Of course, everyone wants to interpret them as evidence of the benefit of mammograms. Unfortunately, the more likely interpretation is that they represent evidence of harm: unnecessary surgery, chemotherapy and/or radiation.

Why is this important? Video images of individuals purported to be helped exaggerate the benefit of mammography, while hiding its harms. They impede efforts to balance the process, such as screening less frequently or starting later in life. And they give more weight to the idea that the way to deal with cancer is to find more of it.

Why don't I want to write this? Because no one wants to dispute the interpretation of a well-meaning cancer patient who is trying to help people. And no one wants to make a difficult situation any harder. But news stories about health -- particularly on television -- are too driven by powerful personal anecdotes. The public deserves more nuance.

The opinions expressed in this commentary are solely those of H. Gilbert Welch

@highlight

Gilbert Welch: Amy Robach had double mastectomy when mammogram revealed cancer

@highlight

She says mammogram saved her life; he says that's not how it works. Cancers all different

@highlight

He says cancers may be very slow; early discovery may lead to unneeded harmful treatment

@highlight

Welch: Study: Women 3 times more likely to be overdiagnosed than to have "life saved"