Atlanta (CNN)Nearly 30 years after the first U.S. stealth bomber took  flight, the Air Force's aging fleet is primed for a makeover; albeit an expensive one.

The Pentagon is looking to upgrade its stealth aircraft for the first time since the 1970s, developing a high-priority, super-classified, next-generation bomber.

The Air Force plans to award a contract to build and develop the Long Range Strike Bomber to one of the industry's most powerful firms later this year and hopes to integrate them into the fleet by the mid-2020s.

Competing for the prize are Northrop Grumman, the developer of the Air Force's current bomber, the B-2, and a partnership between aeronautic juggernauts Boeing and Lockheed Martin.

Before the House Armed Services Committee earlier this month, William LaPlante, assistant secretary of the Air Force for Acquisition, suggested the Air Force will offer a "cost-plus" contract to the winning firm, meaning the government will take on the risk of any cost overrun.

"My belief on the LRS-B (Long Range Strike Bomber) is it's going to be more traditional in the sense that we are doing a little bit more cutting edge" development, LaPlante said.

The Air Force has said it plans to leverage existing technologies to help keep the LRS-B affordable.

However The Center for Strategic and Budgetary Assessments, an independent, nonpartisan research group, warns "near-sighted, build-for-today acquisition strategies may render the issue of 'affordability' moot, as affordability must also be assessed in the context of a capability's mission effectiveness over its projected lifespan."

Along with the F-35 Joint Strike Fighter and the KC-46 tanker, the LRS-B is one of the Air Force's top modernization priorities, and some experts say its development will go far beyond simply upgrading an aging bomber fleet.

Retired Air Force Lt. Gen. David Deptula told CNN this week that it is inaccurate to label the LRS-B as simply a "bomber" and that officials need to shed the "old think" way of categorizing airplanes into different mission areas.

The new "Long Range Sensor Shooter," as Deptula calls it, will have the ability to create a self-forming, self-healing "combat cloud" capable of sharing information with other aircraft and conducting a diverse array of operation types.

Pentagon officials have stressed the importance of developing the new long-range strike bomber calling it critical to national security and nuclear deterrence.

It is "absolutely essential for keeping our deterrent edge," former Defense Secretary Chuck Hagel said in January. "We need to do it. We need to make the investments. We'll have it in the budget."

Deptula said the No. 1 reason to upgrade the long-range sensor force is to counter the constantly evolving threats around the world.

"The Chinese, Iranians and Russians ... have built advanced anti-air systems and long-range fighters, to attack our bases and aircraft carriers," he said.

Adm. William Gortney, commander of the North American Aerospace Defense Command, expressed similar security concerns to the Senate Armed Services Committee, Thursday, telling lawmakers Russia is continuing to work on its program to deploy "long-range conventionally armed cruise missiles," that can be launched from its bomber aircraft, submarines and warships.

Officials have been tight-lipped as to the specific capability expectations for the LRS-B, but indications are that it will be stealth, able to carry conventional and nuclear weapons and could possibly operate both with or without a pilot.

Northrop Grumman teased an initial structural design for the aircraft in an ad during the Super Bowl, stopping short of highlighting specific features.

Tim Paynter, a company spokesman, said the aircraft shown on TV is "representative of any future aircraft our customers may ask us to build."

Generally speaking, Deptula said the LRS-B must have long-range capabilities, be able to carry a large payload, have high survivability and have sufficient adaptability to incorporate evolving sensor and weapon technology.

Long-range capability provides the Air Force with the flexibility to persistently respond to threats around the world and reach deep into enemy territory to hit fixed and mobile targets unreachable by cruise missiles, Deptula said.

Large payload capability allows for operations with fewer aircraft and increases loiter capability and efficiency, he said. Modernized stealth tactics and upgraded electronic warfare capabilities would allow the aircraft to enter enemy airspace without suffering prohibitive losses.

The mysterious Long Range Strike Bomber program is the most expensive weapons system under the Air Force's $17 billion research, development, test and evaluation funding request for 2016.

The Air Force requested $1.2 billion for the program under the President Obama's $534 billion proposed 2016 Pentagon budget.

Since 2011, the Pentagon has said the LRS-B bomber will cost close to $550 million per airplane, projecting a $55 billion price total for 100 planes.

Critics insist the actual cost of the LRS-B will exceed the initial $500 million estimate; yet Pentagon officials continue to publicly tout the cost figure.

"It's like $550 million per copy," Rear Adm. John Kirby, the Pentagon spokesman, said this January. "It's an estimate based upon multiple reviews of the program and not a single source."

LaPlante acknowledged the target cost of the LRS-B has increased due to inflation since the initial estimate was made in 2010, saying "$55 in 2010 is $57 or $58 today. We know that. But we put it in as a requirement -- to build 100 airplanes, it's going to cost $550 million (each). What that does is, that drives the design. Industry has to design to that number and we're going to assess against that number."

Regardless of the exact cost, Deptula said price should not be quantified per individual aircraft, but rather within the context of what the LRS-B system will be able to accomplish compared to the cost of carrying out operations with less-advanced, shorter-range aircraft.

"How can we not afford it?" he said, warning a failure to incorporate a combat cloud system could actually exacerbate budget demands.

The Pentagon's Future Years Defense Program projects the LRS-B's budget will increase to $3.7 billion for research, development, test and evaluation in 2020, bringing the total development cost to roughly $24 billion, according to the CSBA.

If Air Force buys 100 planes by the mid-2030s, the research group estimates the program's total cost will be closer to $90 billion.

The Center for Strategic and Budgetary Assessments said intentionally planning to enhance an aircraft's capabilities over time could also reduce the up-front sticker shock of the LRS-B.

"Instead of buying them with all desired mission functionalities when they first roll off the assembly line, it may be possible to equip new combat aircraft with the most essential systems and plan future block upgrades to keep pace with emerging technologies and threats as funding permits," the group said in a 2014 report.

@highlight

Pentagon to upgrade its stealth aircraft for first time since 1970s, developing a classified, next-generation bomber

@highlight

Air Force plans to award contract to build Long Range Strike Bomber later this year

@highlight

Air Force suggested it will offer a "cost-plus" contract, meaning government takes on risk of any cost overrun

@highlight

Indications are that new bomber will carry conventional and nuclear weapons and could possibly operate with or without a pilot