Scoop up some soil on Mars, heat it up, cool down the steam and ... slurp, slurp! You've got water!

Mars might appear dry as a desert, but astronauts may someday be able to tap its soil to quench their thirst. Research recently published suggests that the soil from the Martian surface contains about 2% water by weight.

This is one of several insights emerging from data that the Mars rover Curiosity has been collecting. Five studies in the journal Science were published last week based on data from the rover's first 100 days on the Red Planet.

"The community was surprised that there was a large amount of water trapped in the ... Martian soil," said Chris Webster, manager of NASA's Planetary Sciences Instruments Office.

Curiosity, representing a $2.5 billion NASA mission, has been on Mars since it made a dramatic landing there August 6, 2012. Earthlings celebrated as the two-ton rover arrived, carrying with it the most sophisticated suite of instruments and cameras to explore the surface of another planet.

Thanks to Curiosity, scientists now know more than ever about the composition of the Martian soil.

"It's the first time that the soil has been analyzed at this level of accuracy," Webster said.

Turning on the faucet

The rover's Sample Analysis at Mars (SAM) instrument helped scientists probe the soil by heating a sample up to 835 degrees Celsius.

The gases that came off included oxygen and chlorine as well as water vapor. Based on the ratio of isotopes within, scientists believe this water is coming from the recent Martian atmosphere.

"If you take about a cubic foot of dirt with the amount of water that we found and heated it up, you could get a couple of pints of water out of that," said Laurie Leshin, dean of science at Rensselaer Polytechnic Institute in New York, who led this study. "It was kind of exciting to me to see that, wow, it would be a significant amount."

More broadly, the analysis gives us new information about the hydrological cycle on Mars, said John Grotzinger, lead scientist on the Curiosity mission.

"Somehow, there's a process on Mars where, even though there are just trace quantities of water in Mars's atmosphere, this noncrystalline material is able to absorb it like a sponge and bind it into its framework," Grotzinger said.

The technical details about how future astronauts would use the soil as a resource for water haven't been worked out, Webster said. A condenser would be required to cool the water steam into a liquid form after heating up the soil. But from what we know so far, he said, it would be drinkable.

"This is a reservoir for water on Mars that we had not really appreciated before," Grotzinger said.

More than 100,000 want to go to Mars and not return

Soil types

Scientists are also learning about the diversity of the soil on Mars.

Pierre-Yves Meslin, a scientist at Universite de Toulouse in Toulouse, France, and colleagues used data from an instrument that fires a laser to analyze the soil and rock on Mars. It's called the ChemCam Remote Micro-Imager.

One main soil type on Mars, they said, is made of fine-grained particles and carries a significant amount of hydrogen. Scientists say this reflects the dust that covers the whole Martian surface. The dust that covers Mars is more akin to a fine sand than the fluffy film on the floors of neglected attics on Earth, Webster said.

The other main soil type was coarse and is local to Gale Crater, the area where the rover is exploring. These particles, up to 1 millimeter in size, reflects what rocks in this area are made of.

Previous rovers -- Pathfinder, Spirit and Opportunity -- had less sophisticated technology to analyze soil but their insights about the mineral composition of the Martian soil are similar to what Curiosity found, Meslin said.

With ChemCam and Curiosity's other instruments, the latest rover can give scientists a deeper understanding of the composition, as well as how this soil was formed.

Complications with organics

New scientific insights also present the issue of chemical compounds that may complicate the search for life on Mars.

Curiosity is not capable of detecting life directly; it wouldn't confirm either modern life or ancient fossil organisms. It can, however, determine if the ancient environment was habitable -- which the rover told us it was -- and look for organic compounds.

Finding those compounds wouldn't prove the existence of life, either, because they can come from other sources. But the appearance of organic molecules would suggest that the environment is good at preserving them.

The release of chlorine and oxygen when the rover heated up soil suggests the presence of a chemical called perchlorate, at a 0.5% level in the soil, Leshin said. This substance can destroy organic carbon in a chemical reaction when the rover heats up soil. And so far, Curiosity has not directly detected organics in the soil.

Potentially the rover could avoid this problem using alternative techniques, which wouldn't heat the soil so much that perchlorates break down.

"Perchlorate is reacting with some organic compound to produce these simple molecules," Grotzinger said. "It leaves us asking the question: Is this from Mars, or is it something we brought with us? And right now we don't know."

Perchlorate in the planet's abundant dust could present a toxicity problem to humans on Mars; on Earth, it's known to cause thyroid problems, Leshin said.

The dust could generally pose a health problem as well -- both physically interfering with respiration and being a chemical hazard. Mars is known to have massive dust storms.

"It's one of the significant concerns to human exploration," Webster said.

Still no methane

Scientists are interested in whether Mars has methane gas, which could be an indicator of the planet's habitability. About 90% to 95% of the methane in Earth's atmosphere is biologically derived, said Sushil Atreya, a University of Michigan researcher and co-investigator for SAM, said in November 2012.

But the rover still has not detected methane gas, as scientists noted in Science earlier in September.

Even if there were methane, nonbiological sources such as volcanic activity can produce it.

It's still possible that methane will turn up in future measurements, however, Webster said.

Studies: Martian atmosphere was destroyed long ago

Where it's going now

Curiosity is about one-fifth of the way to Mount Sharp, its final destination, where it will climb while testing the peak's sedimentary layers that have formed over time. Mount Sharp is 3.4 miles high, and its rock layers represent a series of chapters of the planet's history and the environmental conditions present in various eras.

Along the way, the rover stopped at a location called Waypoint 1, where scientists found a conglomerate rock that would have been found in an ancient stream bed. The rock with the pebbles has strange veins, filled with material that scientists don't quite understand.

"The implication of that is that again we're seeing the involvement of water, and it looks like this water was very widespread across the landing area," Grotzinger said.

It appears that the river would have extended from the rover's landing site all the way to Waypoint 1. The entire area that Curiosity has been driving across would have been covered by a stream bed, at one point or another, in the ancient history of Mars.

Curiosity isn't the only moving human-made object on Mars. The Opportunity rover, which launched in 2004, is still chugging along.

In 2020, NASA plans to send an even more advanced rover to "explore and assess Mars as a potential habitat for life, search for signs of past life, collect carefully selected samples for possible future return to Earth, and demonstrate technology for future human exploration of the Red Planet."

NASA recently announced a competition for proposals of what instruments the 2020 rover could carry.

It, too, may get humans closer to drinking water, and possibly even showering, on Mars.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Mars rover Curiosity heated up soil to get water vapor

@highlight

Astronauts may some day be able to use this as a water source

@highlight

Scientists have identified two main soil types in Gale Crater