(CNN) -- Just hours after the U.S. consulate came under attack in Libya, resulting in the death of the U.S. ambassador and three of his colleagues, YouTube blocked access to an anti-Islam video that sparked protests in Egypt and Libya. The video, which was made in America and crudely characterized the Prophet Mohammed, understandably offended many Muslims.

It would appear that the decision by Google -- which owns YouTube -- was based not on an order by either government but on its own concerns. "We work hard to create a community everyone can enjoy and which also enables people to express different opinions," YouTube said in a statement. "This can be a challenge because what's OK in one country can be offensive elsewhere. This video â€” which is widely available on the web â€” is clearly within our guidelines and so will stay on YouTube. However, given the very difficult situation in Libya and Egypt we have temporarily restricted access in both countries. Our hearts are with the families of the people murdered in yesterday's attack in Libya."

Although the video remains accessible for the rest of the world, users in Egypt and Libya will, upon attempting to access it, encounter a message that it is not available in their jurisdiction. This is the same mechanism used when a copyright holder restricts content to a certain country.

Anti-Islam filmmaker questioned

Although restricting the video in the two countries might seem tempting in the wake of the horrific violence that occurred in Libya, it is in the best interest of neither the company nor, arguably, the citizens of those countries for Google to be the arbiter of acceptability.

When it comes to copyrighted content, YouTube is required to abide by the law, specifically the Digital Millenium Copyright Act, which allows a copyright holder to report content posted by other users as belonging to them (it also allows for a rebuttal).

YouTube has also taken down content under informal pressure from governments, such as in 2010, when it removed clips reportedly linked to al Qaeda after a speech in which British Security Minister Baroness Pauline Neville-Jones stated that such videos "incite cold-blooded murder and as such are contrary to the public good."

When it comes to that type of content or the content in the video in question, the fact of the matter is that there are few regulations by which YouTube must abide.

In the United States, the content of the video would be deemed protected under the First Amendment. As an American company, YouTube itself also has a right to speech, which includes the right to make its own policies regarding what types of speech it deems appropriate to host.

Those policies have come under fire before. In 2007, a Turkish court ordered YouTube to be blocked in the country after the company refused to take down videos deemed insulting to the country's founder; the ban was reversed two years later. YouTube faced a similar ban in Pakistan in 2010 after refusing to take down cartoons depicting the Prophet Mohammed.

But while some governments think YouTube is too lax, some of its users have felt it is too restrictive.

Egyptian human rights activist Wael Abbas found his account deactivated in 2007 after posting violent content depicting police brutality in his country. Eventually, his account was restored and YouTube shifted its policies in response to his and other users' complaints, allowing content containing violence to be posted under an exception for videos that are "educational" or "documentary" in nature. This policy later enabled activists in Egypt, Tunisia, Syria and elsewhere to post documentation of regime violence.

In the current case, YouTube has stated that the video does not violate its terms of service. So if the video does not violate the company's rules and YouTube didn't receive an order from the two countries' governments (as far as we know), then the only explanation is that YouTube is determining on its own what serves the best interest of Libyans and Egyptians. This is, indeed, a rare move from the company and may eventually backfire.

News: Protests calm, but tensions still high

Take another case from this year. When Pakistan blocked Twitter after the company refused to take down offensive content, citizens were outraged, fearing it as a precursor to censorship during the election period. Had Twitter simply taken down the content, the story would have slipped by without notice; instead, the outrage of citizens forced the government to reverse its decision in less than a day.

Google should take the lead from Twitter, a smaller and younger company that, when faced with similar concerns, has stood strong, issuing a policy stating that content would be "withheld" in a certain country only in the face of a valid legal order and that the ban would be communicated transparently to all users.

Instead, by placing itself in the role of arbiter, Google is now vulnerable to demands from a variety of parties and will have to explain why it sees censorship as the right solution in some cases but not in others.

The opinions expressed in this commentary are solely those of Jillian C. York.

@highlight

An anti-Islam video sparked protests in Libya and Egypt; in Libya, violence erupted

@highlight

Jillian York: YouTube decided to block access to the video in the two countries

@highlight

She says it is not in Google's best interest to be arbiter of what's acceptable

@highlight

York: Google will have to explain why it censors videos in some cases but not others