(CNN) -- A U.S. Marine reservist who has been held in a Mexican prison for more than six months on a weapons charge is "highly despondent" and his mental health has dramatically deteriorated in recent days, his mother said.

Sgt. Andrew Tahmooressi is currently in the El Hongo Penitentiary in Tecate, Mexico, where he was transferred after allegations of torture at the prison where he was first incarcerated.

While his family says cell conditions have improved, Tahmooressi's communication with the outside world has been limited in the last week after the prison phone he was using to talk to friends and family broke, limiting his contact, his mother Jill Tahmooressi told CNN.

Meanwhile, over the last six months his court case has dragged on and been unpredictable, with no certainty or timetable for his release.

"He is lacking confidence that this will end soon and expeditiously," his mother told CNN in an exclusive phone interview. "All we have ever asked for is an expeditious due process since he is a current Marine under contract until 2016. And the merits of the case surely point to accidental entry."

Tahmooressi was arrested March 31 at a Tijuana, Mexico, checkpoint after Mexican customs agents found three firearms in his truck, including a .45-caliber pistol, a pump shotgun and an AR-15 rifle.

Mexico's strict federal gun laws prohibit anyone illegally bringing weapons into the country.

Since his arrest, Tahmooressi has maintained that he took a wrong turn on the California side of the border into Tijuana. His mother told CNN in May that Tahmooressi, who served in Afghanistan, had moved to the San Ysidro, California, area to get treatment for post-traumatic stress disorder.

"He has unresolved, or untreated PTSD, and he cannot get the cognitive therapy behavior that veterans of America receive ... in a Mexico jail, where there is no such thing," his mother told CNN. "He's highly discouraged there is no light at the end of the tunnel."

Opinion: Should Marine be in Mexican prison?

Doubts about his story

The day of his arrest, Tahmooreesi spent the day in Mexico hanging out with other Marines. He also rented a hotel in Tijuana where he had spent the previous night, he told CNN in an interview this summer.

That detail has led some to doubt his story, including some in the State Department, who believe instead that he intended to cross into Mexico the day of his arrest, a State Department source told CNN.

Tahmooressi's mother called any doubt about her son's story "highly concerning" and said, "There is not one piece of evidence brought forward by the prosecution that would substantiate an intentional entry."

When asked by CNN, a State Department official did not respond to the question of doubt, but did release a statement.

"We continue to provide extensive consular assistance to Mr. Tahmooressi, and will do so until his case is resolved," it said. "Consular officers have visited Mr. Tahmooressi 20 times since his arrest on March 31. While we won't go into detail about our private diplomatic discussions on this case, U.S. officials, including the Secretary, have talked to Mexican officials at the highest levels regarding Mr. Tahmooressi's case."

The statement closed by saying, "We would like to point out that the Mexican authorities have been extremely accommodating and willing to engage on this issue."

Fueling speculation of wrongdoing, Alejandro Gonzalez Guilbot, the director of the Tijuana checkpoint, told Mexican media in June that border agents gave Tahmooressi a chance to surrender his weapons and return to the United States without incident.

"Never, and I want to say this categorically, never did he say that he had made a mistake," Gonzalez was quoted as saying. "He never said, 'I got lost.' He never said, 'I am a Marine.' "

Tahmooressi told CNN in a phone interview from jail this summer that Gonzalez's statement is "a lie" and added, "That's not true at all. They never told me anything of that sort."

Tahmooressi said the Spanish translator provided to him at the border added to the confusion.

"After I had got off the phone with 911 and I felt like there was no one there to help me, I even told them, I said, 'You can take my guns, take my truck and take all my possessions. Just let me go back to America.' And they shook their head no in frustration."

Admittedly, Tahmooressi had traveled into Mexico several times before his arrest, but only on foot, according to his mother.

Opinion: A mother's worst nightmare: My son is detained in Mexico

911 tape backs story?

In his latest evidentiary hearing, Tahmooressi's third official appearance before the judge, his defense submitted surveillance video that "coincided with Andrew's truthful and forthcoming statement of accidental entry," defense attorney Fernando Benitez told CNN.

The video, which has not been made public, is said to show Tahmooressi hesitate and "appear lost" in his car at the border before driving up to the port of entry, his attorney said.

The night of the incident, Tahmooressi called 911 to request assistance because he had accidentally crossed into Mexico. An operator can be heard telling the Marine that there was nothing that the U.S. could do since he was already on Mexican soil.

"That 911 tape has not even yet made it to the hands of the judge," his mother told CNN.

Part of what's complicated things for Tahmooressi is the drama surrounding his defense. The first two attorneys hired by the family were fired, one after trying to coach Tahmooressi into lying about prior visits to Mexico, his mother told CNN.

There were also "missed opportunities," something Benitez, his current defense attorney, said is one of the reasons the Marine is still in Mexican custody.

"For anybody being involved in a criminal case in Mexico ... those first 96 hours are crucial," Benitez told CNN in a July interview. "A lot can be done, and releases can and are obtained regularly, but you have to aggressively address a defensive strategy."

Now, Benitez says, his client is at the mercy of the Mexican judicial system, and there is no timetable for his release.

Marine says he'd walked into Mexico before his arrest on gun charges

Celebrity takes up cause

Over the last few months, there has been a groundswell of support for the jailed Marine from a wide range of people. Not all of them have the Tahmooressi family's backing. One rogue supporter has gone so far as to start an online petition for people to help her shut down ports of entry in the Southwest until Tahmooressi is released.

TV talk show host and mental health advocate Montel Williams does have the Tahmooressis' support and is working closely with the family to secure the Marine's release.

A retired U.S. Navy lieutenant commander, Williams has written letters to Mexico's president and others, calling for an end to the incarceration, citing concerns for Tahmooressi's declining mental health.

"Yes he broke the law, but he didn't have the capability mentally at the time," Williams told CNN. "It's very easy for you to make one wrong turn. He knows he made a mistake."

As for those who don't believe Tahmooressi, Williams said, "How about those who say that, you have a right to say it because he spent two tours in Afghanistan protecting your Constitution, which gives you the right to say anything you want."

Pushing back tears, he continues, "All I'm saying is, Why don't we look at this a little differently. He's a sick young man, he's an American. He paid the price for us! He's this way because of us! Bring him home!"

Williams is among a list of people expected to testify at an October 1 hearing on Tahmooressi chaired by Congressman Ed Royce, head of the House Committee on Foreign Affairs.

Just as support for Tahmooressi's release has grown, so has criticism of President Barack Obama for his inaction on the case. Congressman Matt Salmon of Arizona said he urged Vice President Joe Biden to ask Obama to request Tahmooressi's release during a June meeting with Mexico's president.

The president never brought it up, Salmon said.

On the Mexican side of the border, high level meetings regarding Tahmooressi are also taking place, according to a source in Mexico's attorney general's office.

Within the last week, senior Mexican administration officials and others have met to discuss Tahmooressi's mental health and whether his condition could be cause for his release, the source told CNN.

Ultimately, the decision of what to do with Tahmooressi is in the hands of the district judge hearing the evidence.

If convicted, Tahmooressi is facing up to 21 years in prison. His next court hearing is September 29.

Marine tells of abuse in Mexican prison, but says he's still hopeful

CNN's Stephanie Gallman contributed to this report.

@highlight

Andrew Tahmooressi has spent six months in a Tecate, Mexico, prison on a gun charge

@highlight

The U.S. Marine reservist has repeatedly said he entered Mexico after taking wrong turn

@highlight

While some have expressed doubts about his story, lawyer says 911 call backs account

@highlight

His next hearing is September 29, and there is a congressional hearing slated for October