London (CNN) -- The release of a massive report on torture Tuesday by the Senate Intelligence Committee has been accompanied by a strong statement by President Obama, who notes that it describes in detail "a troubling program involving enhanced interrogation techniques in secret facilities outside the United States" by operatives working for the CIA.

This report -- we're talking about nearly 500 pages summarizing more than 6,000 pages of data and analysis -- will certainly refocus the world's attention on this sordid phase in recent American history.

Obama acknowledged that his predecessors in the White House faced "agonizing choices" after 9/11, and they acted in ways meant to protect against future attacks by al Qaeda. Still, this new accounting of that period has raised protests from politicians on both sides of the aisle, but especially Republicans, who don't want to drag up painful memories of the Bush administration -- not in this, their finest hour.

But it has also raised many questions demanding answers. I'm in London as I write this, and there is already a great deal of talk about this report in the press. Indeed, for many, troubling questions arise:

How could Americans have allowed their government to fly prisoners suspected of terrorist connections to "black sites" in Thailand, Morocco, and Poland, where, as the report describes, they were hideously tortured in the hopes of extracting information from them about future plots against the homeland? (And people did know that something like this could be going on, as reporters often described the existence of shadowy rendition programs without knowing the specific details.) Is this how tax dollars were best spent to protect Americans against future threats?

Other questions swirl, but one seems especially relevant as we continue our necessary efforts to combat terrorism: Is torture an effective technique for getting reliable information? The report reviews 20 prominent cases that had been brought forth -- by intelligence officials and even alluded to by former President George W. Bush -- as examples of torture that worked, It concludes that none of this brutality resulted in useful information.

This corresponds to what experts have suggested all along: Torture simply doesn't work and may actually be counterproductive in the fight against terrorism. The problem isn't with those who actually possess relevant information, it's with those who don't. Men being tortured will saying anything to stop the interrogator from drowning him or abusing him -- and some of the methods detailed in this report are truly horrific.

Top intelligence and military officials clearly warned the government as early as 2002 that this brutality doesn't work. In fact, torture generates "unreliable information," as this report affirms; it produces information that requires fact-checking that soon produces more misinformation. As Lou Dimarco observed in 2006, in a useful book about the practice of torture during the Algerian War (1954-1962): "History offers no modern examples of the strategic effectiveness of harsh interrogation techniques, but it is replete with examples of the negative strategic effects such techniques have on the counterinsurgency force."

There is the additional problem that American enemies can use the fact that we have tortured prisoners as an excuse to torture American captives. Indeed, one can't help but wonder if the fury unleashed by ISIS in Syria and Iraq has its origins at least partially in the dark history of American torture. As the poet W.H. Auden so memorably wrote: "Those to whom evil is done / Do evil in return."

A truly democratic society depends on the rule of law and respect for human rights; it is the most important baseline we have. When a nation gives in to illegality and brutality -- and torture is both -- it is degrading itself, opening doors and windows that will never be easily closed. Hitler and Stalin were famous for their methods. The United States must set a better example.

In one of his first acts as chief executive in 2009, President Obama outlawed secret renditions and torture. This bold declaration was widely seen as a move that helped to restore the moral authority of the United States, which had badly suffered under the presidency of George W. Bush.

Unfortunately, the Senate report is not the sort of thing most Americans will ever read, and already there has been a backlash by those who regard its publication as a partisan political move. No doubt they would rather spend their time and money on investigating what happened in 2012 in Benghazi, Libya, and how it came to be that Susan Rice, the U.S. ambassador to the United Nations, was given some erroneous "talking points" before she went on Sunday morning talk shows to discuss the attack, that killed four Americans.

I wish both Republican and Democrats could see that information like the Senate report is the lifeblood of American democracy. Transparency is all. This admission of torture will surely rile many in the Middle East and elsewhere. But isn't it ultimately a good thing for other countries to see that we hold ourselves to high standards of self-examination? We make mistakes, as all countries do. But we admit our mistakes.

One last thing to consider: The new report confirms that President Bush was not directly briefed about the harshest techniques of torture before 2006, although Vice President Dick Cheney apparently attended meetings where these were discussed. So the question remains about whether we should actually try to punish those in the U.S. government who authorized or committed these repulsive and unlawful acts of torture.

I would tend to agree with Anthony D. Romero of the American Civil Liberties Union, who wrote an article in The New York Times suggesting that however much the idea of torture turns his stomach, it's better for President Obama to pardon Bush and Cheney for these (my words) crimes against humanity. They will, of course, never be prosecuted anyway.

But by granting them pardons, Obama would -- symbolically -- show the world that we recognize that torture is illegal as well as reprehensible, and those who authorized it "were indeed criminals."

@highlight

Jay Parini: Senate report on torture raises troubling questions and controversy

@highlight

Among them: How could Americans, morally, have allowed government to torture?

@highlight

He says torture is ineffective way to get reliable information; puts Americans at risk

@highlight

Parini: Democracy needs rule of law, respect for human rights, U.S. must reassert this