(CNN) -- The case of  two 12-year-old girls accused of stabbing their friend multiple times to impress a fictitious Internet bogeyman raises so many questions for parents: How can we be sure our children can truly separate reality from fantasy? What are the warning signs that children are confusing the two?

And how on Earth can we keep tabs on everything they're consuming online?

Police said the girls told them they attacked their friend on Saturday to win favor with Slenderman, a make-believe online character the girls said they learned about on a site called Creepypasta Wiki, which is filled with horror stories.

Children of all ages are consumed with fantasy in books and movies such as "Harry Potter, "Twilight" and "The Vampire Diaries," and don't seem to have a problem making the distinction between what's real and what's not. But a story like this makes any parent wonder: Whoa, maybe my kid doesn't get it?

Mary Ellen Cavanagh of Ahwatukee, Arizona, mom to an almost 14-year-old daughter and a 19-year-old son, said she sees the line between fantasy and reality "thinning drastically among our youth."

"I worry about it with my own daughter and her friends," Cavanagh said on Facebook, adding that her daughter and her friends enjoy relatively innocent fantasy shows on television and online. Still, she worries that their "obsession" could shift to a "more violent genre at any moment."

"I think today's generation has been desensitized by the various forms of media, and we as parents (myself included) have done a piss-poor job giving them proper guidance," Cavanagh said.

Professor Jacqueline Woolley of the University of Texas at Austin's department of psychology studies children's thinking and their ability to make distinctions between fantasy and reality.

She has found that by the age of 2Â½, children understand the categories of what's real and what's not, and over time, they use cues to fit things like unicorns, ghosts and Santa Claus into the real and not real boxes.

By age 12, the age of the girls in question in this case, Woolley said, she believes children should have as good an ability to differentiate fantasy from reality as adults.

"I don't think that a 12-year-old is deficient or is qualitatively different from an adult in their ability to differentiate fantasy from reality, so I don't think they're lacking any basic ability to make that distinction at age 12," she said.

Woolley did suggest, adding that she was purely speculating, that the fact that the frontal lobe of the brain is not fully developed until age 25 could be relevant in this case. The frontal lobe controls what's called executive functions, which include impulse control and planning in the sense of anticipating all the different aspects of an outcome.

"It may be kind of an inability to hold the potential consequences and reality in mind at the same time as you're holding potential consequences within your fantasy world in mind, whereas possibly an adult could sort of manage thinking about the consequences of both of those worlds at the same time," she said.

On the other hand, she said, many children can create imaginary worlds and are able to differentiate what's happening in their make-believe worlds with what's going on in real life.

"I really don't think that you can put your finger on a cognitive deficit entirely," she said about this case. "I mean it may have played some kind of role, but I think there's more going on."

When teens are 'temporary sociopaths'

Criminologist Jack Levin, a professor of sociology and criminology at Northeastern University, points to another possible trigger: the relationship between the two girls accused in the stabbing.

"I think it's the chemistry between these two girls. It was insane. Not in their minds but in their relationship," said Levin on CNN's "@This Hour." It may turn out that one of the girls was more troubled and that caused the relationship to take a tragic turn, he added.

"I call some teenagers and preteens temporary sociopaths," he said. "They commit a hideous crime at the age of 12 or 13 that they wouldn't dare commit if you can get them to the age of 25, when their brain has developed more and they no longer have this kind of character disorder. And when you put them together with another youngster, you may ask for big trouble."

Linda Esposito, a licensed clinical social worker and psychotherapist in Los Angeles, said she has provided counseling to hundreds of 12-year-olds over the years, treating children in inner-city schools, foster care, protective custody and through private practice.

"And I've yet to encounter such cold-blooded minds," said Esposito, who hosts a blog on psychotherapy called Talk Therapy Biz. "I imagine as the story unfolds, many red flags will be uncovered. Nobody just snaps, not even innocent-looking kids."

The role of media

Beyond any issues the girls were facing, their relationship and their ability -- or inability -- to separate reality from fantasy, there is another issue: the media, according to the leader of a watchdog group for children's media.

"What you see is kids who are at risk for violent actions or depression or anxiety and who feel those feelings more strongly can sometimes be motivated to act on them by images and stories in the media," said James Steyer, chief executive officer and founder of the nonprofit child advocacy group Common Sense Media.

"I think that the research is clear that there is a correlation between repetitive viewing of violence, for example, and increased aggressive behavior, as well as desensitization to violence," he said.

OPINION: Do violent video games play a role in shootings?

OPINION: Don't link video games with mass shootings

No one is blaming the media, Steyer said, but, "We're also not saying it doesn't matter, because it does matter."

"This is an issue and an ongoing issue. It's been true for many years. In a 24/7 digital media universe, it's that much more prevalent because it's so much harder to monitor."

What can parents do?

That raises the question of what parents can do, especially when it seems impossible to know everything our children are doing online.

"Parents have to be involved and proactive before even allowing young children to become active online and must continue to monitor, educate and discuss behavior and situations throughout their teen years," Anna White Berry said on Facebook. She's a mom of two in Littleton, Colorado.

"Too many parents take a back seat because they either don't want to bother learning 'new' technology and sites or feel like they need to give their children privacy," she said.

Warning signs for parents that their children may be having trouble absorbing what they're engaging with online, or differentiating fantasy from reality, include withdrawing from real friends, not engaging with other aspects of their lives, self-injury and injury to others, experts say.

Steyer of Common Sense Media said the takeaway from this latest tragedy is the need for every parent to talk with their children, but he concedes that isn't always enough.

"I think that the key is you need to have an ongoing dialogue with your kids and learn what they're doing, and what they're watching, surfing and playing with and you can't always unearth everything," Steyer said.

"You try to be involved. You try to set context. You try to know, but it's not easy," he added. "You can't blame the parents. There's no one factor involved. There's no one simple factor."

Do you think the line between reality and fantasy is thinning dramatically for today's generation? Share your thoughts in the comments or tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

Two 12-year-olds are accused of stabbing a friend 19 times

@highlight

Police say girls told them the attack was planned to win over a fictitious Internet character

@highlight

12-year-olds can distinguish between reality and fantasy as well as adults, professor says

@highlight

Warning signs of trouble? A child not engaging with real life, experts say