San Francisco, California (CNN) -- San Francisco city officials are readying to ban most of McDonald's Happy Meals in current form because they offer toys to entice kids to buy meals not meeting nutritional criteria.

Under a proposal given preliminary approval this week, McDonald's and other restaurants would have until December 2011 to improve their meals' nutrition with fruits and vegetables -- if the chains want to keep offering Captain America figurines or toys tied with latest films.

The proposed ordinance is part of a "food justice movement" and is designed to address how about 50 of the city's restaurants use giveaway toys to sell fast food whose nutritional content is being challenged by the city.

Officials said they hope their measure, the first of its kind for a large city, would encourage similar standards across the country. The San Francisco proposal was modeled after a similar law for unincorporated Santa Clara County, California,

San Francisco Supervisor Eric Mar, who initiated the proposal, said the ordinance would be "a tremendous victory" in fighting childhood obesity. His fifth-grade daughter is in the 6-to-11 age group in which rates of obesity have quadrupled the past 30 years -- coinciding with the life span of the Happy Meal, he said.

"I do believe that toys and other incentives attached to foods that are high in sugar, fat and calories are a major reason for the alarming rise for childhood obesity in this country," Mar said. "This is a very modest ordinance that is an incentive for the industry to take responsibility for healthier choices for children and parents."

McDonald's spokeswoman Danya Proud said the company was "extremely disappointed with the decision."

"It's not what our customers want, nor is it something they asked for. Public opinion continues to be overwhelmingly against this misguided legislation," Proud said in a statement. "Parents tell us it's their right and responsibility -- not the government's - to make their own decisions and to choose what's right for their children.

"We are extremely proud of our Happy Meals which give our youngest guests wholesome food and toys of the highest quality. Getting a toy with a kid's meal is just one part of a fun, family experience at McDonald's," Proud said.

The board of supervisors approved the ordinance in a first reading Tuesday, by a veto-proof margin. Next Tuesday, November 9, the board is expected to formally approve the measure in a final reading, Mar said. Mayor Gavin Newsom has indicated he would veto the ordinance, but the board has enough votes -- eight out of 11 -- to override the veto, Mar said.

Under the proposal, the food and beverage would have to contain fewer than 600 calories, and less than 35 percent of total calories would come from fat.

The meal would also have to contain 0.5 cups of fruit and 0.75 cups of vegetables and offer less than 640 mg of sodium and less than 0.5 mg of trans fat. Breakfast would have the option of offering 0.5 cups of fruit or vegetables.

City officials expect a legal challenge from McDonald's once the ordinance is approved.

"They hired fancy lawyers for this and flew them out here to meet with us and basically to strong-arm us into not doing this," Linshao Chin, legislative assistant to Mar, said. She said McDonald's attorneys argued corporate First Amendment rights.

McDonald's declined to respond to Chin's comments.

McDonald's, Burger King and Subway are among the restaurants that offer such toys or other incentives in San Francisco, but McDonald's was described by city officials as taking the lead in opposing the ordinance.

The California Restaurant Association also objected to the ordinance because, said spokesman Daniel Conway, "it's insulting to parents and it's more generating headlines than trimming waist lines."

"There's been absolutely no proof that this will impact the way people eat," Conway said. "There's enough ambiguity over crayons and things like that, it has somewhat of a chilling effect. It has raised concerns for restaurateurs of all varieties and segments of the industry."

San Francisco officials compromised on some draft measures in response to McDonald's concerns, such as delaying the proposed enforcement for more than a year to accommodate the chain's schedule for menu changes, Chin said.

"We did have an amendment that these meals needed to include whole grains, and McDonald's said they were not able to meet that requirement because if they added whole grains into their hamburger buns, their buns would crumble. They said that was something that was too strict, so we removed it," Chin said.

San Francisco officials are hoping that the ordinance would force fast-food chains to replace fries and soda with apple slices and milk.

"We hope that this would have a ripple effect, that this is a small step in the food justice movement," Chin said. "We have places all across the country that are known as food deserts. You can't find a supermarket, but you can find fast-food restaurants.

"Even hearing from the McDonald's nutritionist, they were saying that this food even in moderation was OK," Chin said, "but I think it completely discounts how there are some people eating it every day, and there are poor people who rely on it as a food source because it's cheap."

A free toy can be effective on children.

"From personal experience as a child myself, you watch a movie and you walk by a restaurant and they're offering a toy from the latest movie, and you know you want to get that toy," Chin said. "The children are pestering their parents to take them in there and get that toy. It's something that's pretty hard to resist for a 3-year-old.

"So this is incentivizing children to eat these unhealthy meals with the toys," she said.

@highlight

Ordinance would require most McDonald's Happy Meals to meet new city nutrition criteria

@highlight

If nutrition standards are met, McDonald's and other chains can offer toys with meals

@highlight

Not meeting the criteria would result in pulling restaurant's permit to operate

@highlight

Measure is part of "food justice" movement; officials expect a legal challenge