The Winter Olympics is a matter of days away but whether you are using an abacus or calculator the numbers just don't add up.

President Vladimir Putin's reputation is on the line and no expense has been spared to stage the Games next month.

The 2014 Winter Games will be the most expensive in the history of the Olympics -- $50 billion and rising. Beijing in 2008 cost an estimated $40 billion, though the exact cost is not known.

But just what has that $50 billion been spent on?

Former deputy prime minister Boris Nemtsov, a fierce critic of Putin, has questioned where $20-30 billion has gone in a report titled "Winter Olympics in the Sub-Tropics: Corruption and Abuse in Sochi," which was published in English in December.

Nemtsov, now the leader of the Russian opposition, estimates that that missing money could have paid for "3,000 high-quality roads, housing for 800,000 people or thousands of ice palaces and soccer fields all over Russia."

The report also says the absence of "honest competition, cronyism and censorship" have led to an increase in cost and decrease in the quality of work in preparing for the Games.

Dimitry Chernyshenko, president of Sochi's Olympic Organizing Committee, is dismissive of such claims.

"The rest of the money, which sometimes appears in the media, is just imagination and calculation that has nothing to do with the reality," he told CNN.

In 2007, Putin advised the International Olympic Committee (IOC) that his country would spend $12 billion on the Games.

However, Nemtsov's report claimed the final expenditure -- "given the average world parameters for the increase in costs" — should have been double that figure.

"The remainder — $26 billion — consists of embezzlement and kickbacks," it said.

"It is no secret that the preparation for the Olympics in Russia has been accompanied by unprecedented corruption."

The 17-day event, which begins on February 7, has become a target for Putin's opponents -- who believe the Russian leader is guilty of making the Games into a "personal project" as he extensively overhauls a faded seaside resort town that is the focal point of "Russia's Riviera."

As well as the Winter Games, Sochi will host Russia's first Formula One race in October.

"This is not about sport, this is about triumphing in politics," Nemtsov told CNN. "This is about the strength of power of the Russian president in the world and inside Russia.

"That is why he is responsible for everything, including nature and weather."

Nemtsov's assertion that Putin has tried to control the weather refers to the challenge posed by Sochi's subtropical climate, which has required the storage of snow collected during the previous winter.

Both the opening and closing ceremonies will take place close to the Black Sea in an area which was once rife with mosquitos -- even in winter, the daytime temperature on the coast is an average 10C (50F).

Chernyshenko, however, remains unruffled by the report's claims.

He insists all venues and arenas will be ready for the opening ceremony and the arrival of 6,000 athletes.

"For us as organizers and for Russia as a whole, this is really a once in a lifetime opportunity to take the floor in front of the multi-billion audience," he said.

"We have to convince the world, to showcase the new modern Russia to all of the world and say, 'Look we're different to the stereotypes, we are modern, we are transparent, we're efficient and we're successful.'"

What rankles Nemtsov and the co-writer of his report, activist Leonid Martynyuk of the Russian Solidarity movement, is the vast amount of money being spent on the event.

According to the report, the exorbitant rise from $12 billion to $50 billion can only be explained by "banal thievery, corruption and complete lack of professionalism of the contractors."

The report claims the standard of work carried out on venues is of a low quality and is a danger to the environment.

It says sewage pipes have burst and the Black Sea has been polluted by construction waste, while the forests have been cut down amid increased spending.

These accusations have been strongly denied by Chernyshenko, who says his operational budget is "very average."

"To avoid speculation I would point to two budgets, which is following from our contractual obligation from the candidature file, from the bidding campaign," he told CNN.

"First of all this is a separate budget to host the Games that I'm in charge of, this is roughly the same as the previous Winter Games organizers, around $2.2 billion.

"Then the construction budget, to build our state-of-the-art venues and related infrastructure, both competition and non-competition venues, and some environment like sewerage system, power system, some connecting roads etc.

"This budget is also very transparent, it's in the governmental program number 991. So you can visit the website and learn your figures yourself.

"It's roughly dependent on currency fluctuation, something around $7 billion dollars, and half of this money is coming from the public fund."

Chernyshenko admitted there has been overspending on the ski jump in the mountain cluster of venues, which has required surgery on more than one occasion.

That was explained in part by the "awful geological conditions" but Chernyshenko said the structure would be ready in time and the "expenditure to be balanced."

Putin fired the official responsible for the ski jump; he's since left the country to escape prosecution.

However Nemtsov's report did not just highlight the cost incongruities it also criticizes the treatment of migrant workers.

It claims 25 people were killed during 40 accidents at Olympic construction sites and says money promised to workers ended up in the pockets of contractors.

That led to, in Nemtsov's his opinion, a number of protests, which included local resident Martiros Demerchyan, who was allegedly abused and tortured by police officers after demanding his full wages for work at one of the Olympic construction sites.

The report also claims that Roman Kuznetsov, who had taken part in the building of the main media center at the Imeret Lowlands, "sewed his mouth shut as a sign of protest against the non-payment of wages and demonstrated at the entrance of the media center with several posters."

"Sometimes they pay them nothing," said Nemtsov. "So for me this is the first indication there is corruption.

"But there are no criminal cases for corruption in preparation for the Olympics -- there's no fraud case.

"There should be an investigation into corruption not just in Russia but I'm sure the International Olympic Committee (IOC) is involved.

"They have immunity like international diplomats and the police will never investigate because they have protection."

The IOC rejected the allegations in a statement given to CNN.

It read: "This looks like pure uninformed speculation. The IOC has shown consistently that when there are tangible allegations we take the appropriate action."

@highlight

The 2014 Sochi Winter Olympics is set to be most expensive in history

@highlight

Total spending is expected to reach $50 billion

@highlight

Opponents of President Putin make allegations of corruption

@highlight

Head of Sochi organizing committee defends spending