Washington (CNN) -- Just a few days before Black Friday signals the beginning of holiday shopping fury, the U.S. Public Interest Group has released its 26th annual "Trouble in Toyland" report, alerting consumers to the dangers and toxins that can still be found in children's toys.

The biggest concerns are toys containing chemicals that are potentially toxic, or that contain choking, strangulation or noise hazards.

While U.S. PIRG -- a non-partisan consumer advocacy group -- does not test every toy sold in stores, it takes random samples and has them laboratory tested to check for acceptable levels of toxic substances or other hazards.

Among the key finding in the report is the continued presence of these hazards. According to U.S. PIRG, "over 400 children died from toy-related injuries" between 1990 and 2010, and more than half of those choked.

"Choking on small parts, small balls and balloons is still the leading cause of toy-related injury," said PIRG's Nasima Hossain, who presented the report Tuesday.

Hossain demonstrated the "toilet paper roll test," a way in which parents can easily determine whether a toy is too small for their infant or toddler. If the toy, or pieces from it, can easily pass through the empty roll, the toy can be deemed a potential hazard.

Commissioner Robert Adler from the Consumer Product Safety Commission, who also spoke at Tuesday's press conference, said it's been a busy year for his government agency, which works closely with U.S. PIRG. Adler says this year the produce safety commission has passed the toughest safety standards for cribs, where babies often spend the most unsupervised time.

In March the commission launched a product-safety database that can be found at www.saferproducts.gov.

The commission has promulgated rules to reduce the amount of lead in children's products to among the lowest levels in the world, says Adler.

"One of the interesting things about lead and other chemicals we regulate -- they don't show up in injury reports. The problem is, they do affect children, but it's a chronic cumulative hazard that may not evidence itself until children are involved in later development," said Adler. He added that lead poisoning can even affect children's IQ levels.

There are multiple online resources for parents seeking information about the toys they're purchasing, including www.toysafety.mobi which is an interactive site administered by U.S. PIRG that can be accessed through smart phones.

U.S. PIRG doesn't identify which countries are the biggest culprits with using toxic materials in the manufacture of toys. "We don't think a child or family is all that concerned, if a child chokes on a toy, (whether the toy is) made in China or was made in Kentucky. All toys that are on the store shelves need to be safe," the group said.

Both the produce safety commission and U.S. PIRG feel, however, that their agencies are under threat from Congress relaxing safety standards, as a result of toy lobbying groups.

"Sadly we're seeing recurring problems, and what we would argue is that we know what the problems are, and we actually need to fix the problems ... Toy manufacturers need to be more vigilant about the products they put out," said Gary Kalman, the director of U.S. PIRG's federal legislative office.

With the gift-giving season rapidly approaching, Santa --and parentsâ€” will be need to use the same guidelines and common sense approach that have been around for the past two decades, before placing gifts under the tree. The main rule is to make sure toys are age-appropriate.

Joan Lawrence, vice president of standards and government affairs for the Toy Industry Association said consumers should feel confident that the toys they purchase are safe.

"So much has been done in the name of toy safety, from government and industry, so consumers should feel quite comforted that what they find, has been found safe," said Lawrence.

@highlight

Choking on small parts is still the leading cause of toy-related injury

@highlight

More than 400 children died from toy-related injuries between 1990 and 2010

@highlight

More than half of those choked, according to U.S. Public Interest Group

@highlight

Toys containing potentially toxic chemicals also are a concern