(CNN) -- For better or for worse, at almost every major event in the history of modern Israel, Ariel Sharon, the man his countrymen turned to when they thought they had no other choice, was there.

"I can talk and look in the eyes of the citizens of Israel and convince them to make painful compromises," he declared in August 2001.

"I saw my friend being killed, I was myself badly injured in battles. I had to take decisions of life or death for others as well as myself and believe me I understand the importance of peace better than many of the politicians who talk about peace."

READ MORE: Ariel Sharon, giant of modern Israel, dies at 85

Israelis called him the "Bulldozer," a fearless leader to his supporters who got things done. "He always worried about the destiny of the Jewish people and it was clear for the Jewish people to survive in this world you have to stand up and fight," said his senior adviser Raanan Gissin.

To his opponents though, like Palestinian legislator Hanan Ashrawi, he was merely a bulldozer in a china shop. "Sharon was the most bloodiest of Israel's leaders. No scruples, no compunction -- killing people, men women children, destroying homes, destroying trees and crops, stealing land."

Born on a farm outside Tel Aviv on February 26, 1928, the son of Russian immigrants, Sharon took the lessons from working the land to the highest office in Israel.

"When my father saw that I was tired," Sharon recalled in 2001, "he would stop for a minute and say 'Look how much we have done already.' So from time to time I try and think how much we have done already."

He served bravely during Israel's war of Independence and the dashing paratrooper quickly rose through the ranks, well liked by Israel's founding fathers. "He was tall, he was handsome, he was blonde, and he was thin at the time," said historian Michael Oren "and they looked at him: 'This is what we have produced in this land, this new Jew.'"

READ MORE: 5 things to know about Ariel Sharon

But controversy was never far away. In 1953, after a wave of terrorist attacks from Jordan, he established and commanded the infamous Unit 101, assigned to carry out reprisals. One of those missions was a raid on the border town of Kibya, in which 45 houses were blown up and 69 Arab villagers killed. Sharon said he thought the houses were empty.

By June 1967, he was back at war, now a general, leading his tank battalion to a crushing victory over the Egyptians in the Sinai during the Six Day War. But what he considered his greatest military achievement came during the 1973 Yom Kippur War when a surprise attack by a coalition of Arab states led by Egypt and Syria prompted Sharon to defy his command by surrounding Egypt's Third Army and leading his troops over the Suez Canal. It was a turning point in the war.

"He was the kind of commander when the going was tough -- uncertainty and casualties -- soldiers always looked up to him to give guidance, to be like their guiding light in the dark," observed Gissin.

"He was against all those notions of command from the rear. He said the commander must be on top of it with his troops on the front line."

Retiring from the army, he turned to politics. As a member of the conservative Likud party, he served in several Israeli administrations. He was the father of the settlements -- Jewish communities built on occupied Palestinian land -- condemned internationally, and seen as an obstacle to peace by many within Israel. "That is the land of Israel and we are going to stay there forever," Sharon declared defiantly.

As defense minister he was the architect of Israel's disastrous 1982 war in Lebanon, ordering the invasion to stop the Palestine Liberation Organization from using Lebanon as a base for attacks on Israel. "This was a misadventure, an ill-fated invasion," commented political analyst David Horovitz. "Sharon was trying to play superpower here and re-arrange the region in a way that would help Israel."

And in 1983, an Israeli tribunal found him indirectly responsible for the massacre of hundreds of Palestinians at Sabra and Shatila refugee camps in Lebanon. It was carried out by the Christian Phalangist militia group, Israel's allies, and Sharon was found to have done nothing to stop it.

He was forced to resign and was banned from ever being defense minister, a punishment that rankled even with the thick-skinned Sharon. "He felt betrayed, he felt betrayed by government," said Gissin.

In the Arab world they called him the Butcher of Beirut. "He was resented, hated, he had not only blood on his hands he had a trail of blood everywhere he went," said Ashrawi. "Sharon was the most bloodiest of Israeli leaders."

The 1990s would see his political rehabilitation, eventually becoming leader of his party in 1999. In September of that year came his notorious visit to the Temple Mount -- the holiest site for Jews, also claimed by Muslims as Haram al-Sharif, the "Noble Sanctuary."

Violence soon erupted; Palestinians claim it was the spark that brought about the Second Intifada or uprising.

"You don't bring thousands of border guards and police onto the Haram al-Sharif ground at a time when it is clear that the situation was simmering ... was a powder keg ready to erupt," said Ashrawi.

But historian Michael Oren said there was more to the move than met the eye. "Sharon's visit to the Temple Mount had been co-ordinated with the Palestinian Authority at the time. They knew about it, there was no surprise about it; they were simply waiting for him to go up to intiate their terrorist war."

In the violence that followed, Sharon was elected prime minister; and Israelis again turned to the Bulldozer, who promised to bring peace and security.

Later he was asked how he managed such a remarkable comeback from the political grave. "Maybe they try to bury me too early," he told CNN, laughing, "and ah, maybe not deep enough -- what can I tell you?"

As a wave of suicide bombings rocked Israel, Sharon unleashed the Israeli military, sending tanks and troops into Palestinian towns, ordering assassinations of Palestinian militant leaders. "And believe me, we show restraint. I am under heavy pressure to act differently."

Palestinians of course, had a different view. "I think Sharon will be seen in history as the one who has perpetrated the must cruelty on the Palestinians," said Ashrawi.

Sharon ordered the construction of the barrier through the West Bank and confined Palestinian leader Yasser Arafat to his compound in Ramallah -- accusing him of encouraging attacks on Israel.

In 2001, he told CNN, "no doubt Arafat is a terrorist." Previously he had said he always regretted not killing his old foe when he had the chance.

But Horovitz said Sharon's decision was made out of fear of what might have happened. "I think Sharon only refrained from killing Arafat reluctantly only because of a promise he made to the American government that he wouldn't kill him and because of an assessment by some in the Israeli intelligence community that more Jews would die if Arafat was killed."

As the violence continued, Israelis overwhelmingly re-elected him for a second term in January 2003. Not long after Sharon made an historic announcement: Israel would give up Jewish settlements in Gaza and part of the West Bank.

Sharon sent in the police and army to drag settlers from their homes, a move that earned him plaudits overseas, but derision and death threats from the settlers who once saw him as their champion.

A small group of political rebels stirred up trouble within Likud, and by the end of 2005, Sharon had had enough. He bolted from his party, and established a new centrist group, called Kadima, Hebrew for "forward."

Early opinion polls showed Sharon on track for a third term in office, but the man who many had thought was unstoppable, unexpectedly suffered a mild stroke in December 18, 2005. Characteristically, he tried to brush over his illness. "He felt he had to come as quickly as he could smiling on his own two feet," commented analyst Horovitz, "otherwise he would be a political lame duck."

Two weeks later, he was back in the same intensive care unit at Hadassah University Hospital in Jerusalem, after suffering a second stroke -- but this time it was more serious.

He underwent three emergency operations in 24 hours when doctors later tried to wake him from the medically induced coma. There were some signs of life -- slight movement of his hands and legs -- but little else. He has remained in a coma ever since.

Questions were asked: did the prime minister receive the best medical treatment, why did he rush back to work after the first stroke?

Eventually though, well-wishers and news crews left the hospital, the business of government resumed, and Israelis accepted that Sharon was not coming back.

@highlight

Sharon was a force in Israel for decades

@highlight

Many Israelis saw him as a fearless leader

@highlight

Palestinians viewed him as ruthless