(CNN)The death of the founding father of Singapore last Monday is an appropriate occasion to reflect on nation building.

As prime minister for its first three decades, Lee Kuan Yew raised a poor port from the bottom rungs of the third world to the first world in a single generation.

As it prepares to mark its 50th anniversary as a nation, Singapore is today an ultra-modern metropolis of almost six million people with higher per capita GDP than the United States, according to the World Bank.

Lee's achievement in building a successful nation contrasts sharply with the results of Washington's expenditure of over $4 trillion and nearly 7,000 American lives in Iraq and Afghanistan over the past decade.

Some say Singapore's story is sui generis: Something that could only happen in that time and place.

But its remarkable performance has less to do with miraculous conditions than with Lee's model of disciplined, visionary leadership.

Leaders of other aspiring-to-develop nations, and even the U.S., should take pages from Lee Kuan Yew's playbook to address current challenges.

We know many of Lee's lessons on the role of government leadership in development because my co-authors and I asked him directly two years ago to reflect on them -- points we captured in our book, Lee Kuan Yew: The Grand Master's Insights on China, the United States, and the World.

Five stand out.

First, Lee insisted that governance was first and foremost about results.

In his words, "the acid test of any legal system is not the greatness or the grandeur of its ideal concepts, but whether, in fact, it is able to produce order and justice."

About the core purposes of government, he was crystal clear. In terms America's founding fathers would recognize, he believed that "the ultimate test of the value of a political system is whether it helps that society establish conditions which improve the standard of living for the majority of its people, plus enabling the maximum of personal freedoms compatible with the freedoms of others in society."

Second, superior performance requires superior leadership.

Lee demanded of leaders both intellectual and moral superiority. Contrary to modern Western democratic theory that emphasizes citizens' participation in governance, his views were closer to Plato's conception of the "guardians," or China's historical Mandarins.

Good government requires most of all leaders who put the public good unquestionably above their own personal interests.

He was disappointed by many of his counterparts who failed that test.

Third, successful societies guarantee strict equality of opportunity for all individuals, but are realistic about the fact that this will yield substantial inequalities in outcomes.

For Lee, the essence of a successful society was intense competition on a level playing field that allows each individual to achieve his or her maximum.

Few things offended him more than denial of equality of opportunity on the basis of caste (India), class (Europe), race (the U.S. during segregation), sex, or other irrelevant attributes.

As he put it, the leader's objective was to "build up a society in which people will be rewarded not according to the amount of property they own, but according to their active contribution to society in physical or mental labor."

Fourth, about democracy, particularly Western liberal democracy, Lee had serious reservations.

In part, this attitude stemmed from his own experience, but it also reflected a deeper philosophical aversion to ideologies.

As he liked to say, "the acid test is performance, not promises.

The millions dispossessed in Asia care not and know not of theory. They want a better life. They want a more equal, just society."

Lee enjoyed engaging American critics who insisted that without democracy Singapore could not develop an advanced economy.

In contrast, he argued that what most countries needed was more "discipline," rather than democracy.

He noted that the U.S. had been building democracy and giving aid to the Philippines for over a century.

But, he asked, how many people from Singapore sought to leave it for the Philippines?

Many people in the Philippines, he noted, wanted to move to Singapore.

On one occasion, with a broad smile, he continued, "and you will notice that since the Vietnam War and the Great Society, the U.S. system has not functioned even for the United States."

Fifth, which leaders did he most admire? From the recent past, he focused on three: Charles de Gaulle, Deng Xiaoping, and Winston Churchill.

"De Gaulle, because he had tremendous guts; Deng, because he changed China from a broken-backed state, which would have imploded like the Soviet Union, into what it is today; and "Churchill, because any other person would have given up."

On the current scene, the leader who impressed him most was the new president of China, Xi Jinping.

As he said just before Xi took office: "I would put him in Nelson Mandela's class of persons. A person with enormous emotional stability who does not allow his personal misfortunes or sufferings to affect his judgment. In a word, he is impressive."

As China's leaders attempt to follow in Lee's footsteps in building a Mandarin-Leninist led nation that overtook the U.S. last year in GDP (measured by PPP) to become the world's largest economy, and democratic India seems poised to grow at rates that will compete with China, we can reflect on lessons from Lee Kuan Yew and place our bets.

Governing a nation in which two of every three citizens believe their country is headed in the wrong direction -- and have believed so under Democratic and Republican Presidents for all of the 21st century -- American leaders should ask whether it is time to focus on the acid test of performance rather than the litmus test of ideology.

@highlight

In Singapore, Lee Kuan Yew had remarkable success in creating a prosperous modern state

@highlight

His lessons should prove instructive to other leaders in a time of great instability, writes Graham Allison

@highlight

Lee passed on his insights on the role of government leadership in development to Allison