Ethiopia is turning to renewable energy technology as the East African country looks to become a powerhouse for its regional partners.

Last month, Ethiopia launched one of the continent's largest wind farms in a bid to rapidly boost its generating capacity over the next three to five years.

The Ashegoda Wind Farm and the Grand Renaissance Dam, under construction on the Nile, are just two of the major projects outlined in the Ethiopian government's five-year Growth and Transformation Plan.

Both developments will see Ethiopia's transition into one of the regions biggest energy exporters as electric output surges from 2,000 megawatts (MW) to 10,000 MW. More than half of this is expected to come from the Renaissance Dam.

Read more: Africa's giant infrastructure projects

And with further commitments to geothermal power and potential for oil exploration, Ethiopia's energy resources are set to be among the most diversified in Africa.

Ashegoda wind farm

Jerome Douat, chief executive of Vergnet, the French wind turbine company contracted to build the Ashegoda farm, told CNN that Ethiopia is an energy "reservoir" in the region.

Douat said: "The wind comes from the ocean to the Rift Valley. We have placed the turbines at 2,200 meters above sea level in one of the windiest places in Ethiopia."

The wind farm, with a capacity of 120 MW,  is located near the northern city of Mek'ele and sits next to the Great Rift Valley, which runs through the country.

Douat added: "Vergnet machines are ideal for remote areas in Ethiopia and designed for this kind of region because our turbines are easy to transport, there's no need for a big crane and they're easier to maintain."

With just 23% of Ethiopia's 90 million people having access to electricity the wind farm is expected to generate power throughout the year, except during the rainy season between June and September.

Vergnet built the Ashegoda site in partnership with the Ethiopian government at a cost of 210 million euros ($290 million) with loans from France's largest bank BNP Paribas and the French Development Agency.

Will Macpherson, sub-Saharan African energy analyst at African Energy Consultancy, said Ethiopia is aiming to be the region's major supplier, working with foreign investors to provide power to neighbouring Sudan, Djibouti and Kenya.

"People in the energy industry, particularly in renewables, say the government is good to work with," he told CNN, "they deliver on commitments and build good relationships with investors."

"One of its central aims is to improve access rates across the country," he added, "but (the government) also recognizes that it's vulnerable to seasonal variations in rainfall, so even if it really boosts its installed capacity, which it's doing, it could still suffer from power outages."

Read more: DR Congo's mega dam ambitions

According to the country's five-year plan, which runs to 2015, the government is also seeking investment in geothermal and biofuel production to offset any problems with wind.

Macpherson believes this will diversify the country's energy supply, while adding that other African nations will soon begin to follow suit.

He said: "In Kenya, a 300 MW wind power project will be commissioned near Lake Turkana in 2015, and the country is leading the way in geothermal. South Africa has also been very successful in developing renewable projects."

Macpherson also noted that Ethiopia is keen on oil exploration in the Ogaden Basin. The field, which lies in the east of the country, is believed to contain vast oil and gas reserves, according to SouthWest energy, a national exploration company.

Ethiopia's big leap forward

The Ashegoda Wind Farm and the Grand Renaissance Dam mark a major leap forward for a country that spent parts of the last century ravaged by war and famine.

And while Ethiopia still faces major social problems with poverty and living standards, the country has managed to emerge as one of Africa's fastest growing economies, recording 8.5% growth in 2012.

The mega-dam, scheduled for completion by July 2017, is likely to spur economic growth further. At a cost of $4.7 billion, the dam will create 12,000 jobs and generate 6,000 MW of energy, according to the government.

Read more: Ghana plans $10 billion tech city

Sitting on the Blue Nile river, the dam will also serve neighboring Sudan and Egypt, despite concerns from those countries that Ethiopia will have too much control over a vital water source in the region.

Last month, in a further move to boost energy supplies, the Ethiopian government signed a contract with U.S.-Icelandic development company Reykjavik Geothermal to develop one of the world's largest geothermal power projects.

The plant is part of U.S. President Barack Obama's $7 billion Power Africa initiative, which aims to double energy access in sub-Saharan African.

Reykjavik Geothermal will invest $4 billion into the project and will provide 1,000 MW of power to Ethiopia  by 2018. When complete, it will be Ethiopia's biggest foreign direct investment, said the firm.

At the unveiling of the geothermal project in New York last month, Prime Minister Hailemariam Desalegn said: "My vision is that over the next 30 years, we will need to harness as much as 80,000 MW of hydro, geothermal, wind and solar power, not just for Ethiopia, but for our neighboring countries as well."

@highlight

Ethiopia is launching numerous renewable energy projects

@highlight

Ashegoda Wind Farm will be one of continent's biggest

@highlight

Grand Renaissance Dam could generate 6,000 MW of electricity

@highlight

Ethiopia plans to export energy to neighboring countries