Hong Kong is in the midst of a passionate debate about our constitutional development. It's a debate we must have. But it's a debate that must be tempered with reason. Raw emotion -- for or against the proposed political reform -- will get us nowhere.

It must also be a discussion based on the constitutional framework that provides for a Hong Kong Special Administrative Region (HKSAR) within China.

Much discussion has centered around the recent decision of the Standing Committee of the National People's Congress (NPCSC) of China on the parameters for electing the chief executive (CE) by one-person, one-vote in 2017.

Critics say the nominating framework is too restrictive and that only candidates favored by Beijing will eventually appear on the ballot.

Such claims are unfounded as we have not even started to discuss the detailed but crucial aspects of the nominating process for potential chief executive candidates.

This will be the subject of a public consultation to be launched soon and which will eventually lead to the enabling legislation on changes to the electoral method for the 2017 election.

Election method

On the question of electing the chief executive, the Basic Law, Hong Kong's "mini-constitution," provides that "the ultimate aim is the selection of the chief executive by universal suffrage upon nomination by a broadly representative nominating committee in accordance with democratic procedures."

To change over to this new election method, the Basic Law requires the endorsement of a two-thirds majority of all (currently 70) members of the Legislative Council, the consent of the CE, and be reported to the NPCSC of China for approval.

Basically, we have two choices: retain the current system by which the CE is elected by a 1,200-person election committee; or, adopt an enhanced system, the one recently announced by the NPCSC, that will see two to three candidates in a full-fledged election at which Hong Kong's five million eligible voters will exercise this right for the first time.

Historic step

I sincerely hope that legislators will take the historic step forward to achieve universal suffrage for the election in 2017 as scheduled.

So far the debate has focused on the system per se. But the chief executive's unique constitutional position within China also needs to be understood more clearly in order to fully appreciate the basis for the electoral process.

Unlike other cities or provinces in China, or for that matter, those in other countries, the HKSAR enjoys a far higher degree of autonomy in many areas including our legal system, legislature, internal security, immigration, customs, economy, finances, trade, industry, commerce, shipping, aviation, education, sport, religion and external affairs.

All these are enshrined in our Basic Law. These additional powers are devolved from the Central People's Government. This is why the central government has the power to appoint the chief executive as well as principal officials.

This is also why the central government has a constitutional role in approving any changes to the electoral method for the chief executive.

Hong Kong is society with a deep respect for the rule of law. It is the pillar of our success. Our common law system and an independent judiciary are protected by the Basic Law which I, as the chief executive, have pledged to uphold and protect.

It is my fundamental and constitutional duty to work towards the goal of electing the chief executive by universal suffrage within that legal framework.

@highlight

Hong Kong is in the midst of a passionate debate about its constitutional development

@highlight

City should seize chance to have "full-fledged election" for first time, Hong Kong's leader writes

@highlight

Critics says framework will allow only candidates favored by Beijing

@highlight

Such claims are unfounded as details are not finalized, C.Y. Leung adds