(CNN) -- Japanese authorities are putting new pressure on the owner of the meltdown-stricken Fukushima Daiichi nuclear plant after its admission that highly radioactive water from the site has been seeping into groundwater and the harbor off the plant.

A top official said Tuesday that the government wanted the problem solved "as soon as possible," while an official at Japan's nuclear regulatory agency told Reuters on Monday that the issue was an "emergency."

Three reactors melted down at Fukushima Daiichi after the massive earthquake and tsunami that struck Japan in March 2011. The result was the worst nuclear accident since the Soviet Union's Chernobyl incident in 1986. The meltdown complicated an already historic disaster.

Scientists have pointed to ongoing high radiation levels in the waters off the plant for more than a year to warn of an ongoing leak. The Tokyo Electric Power Company admitted to the problem in July, disclosing that it had found high concentrations of reactor byproducts tritium, cesium-137 and strontium-90 in test wells and in the harbor outside the coastal power plant.

"It's a present reality that the contaminated water is seeping out to the bay without us being able to control it," Masayuki Ono, TEPCO's acting nuclear power chief, said this week. "This is an extremely serious issue we must tackle."

Fukushima tuna study finds miniscule health risks

Ono said the company has built an underground barrier to prevent contaminated groundwater from reaching the sea, but it's a difficult problem.

"We think we are containing the movement of contaminated water in general, but there is a risk of excess water going around or coming over the barrier," he said.

TEPCO has been struggling to manage vast quantities of contaminated water at the plant since the tsunami, which swamped the facility. It's still pumping hundreds of tons of water a day into the plant to cool the crippled reactors, though most of that is recycled.

The problem now is what to do with groundwater that's leaking into the damaged basements of the reactor buildings and passing out contaminated, said Michael Friedlander, a former nuclear plant operator and engineer.

Radiation damaged more souls than bodies

"Instead of fixing the wall in the basement to stop the groundwater leakage, they can't because the building is uninhabitable," he said. The result is the company is having to store the radioactive water in massive tank farms built around the site -- a makeshift solution with no good permanent fix, Friedlander said.

"Over time, they've had radioactive water leaks on the property and there's probably no question there is some seepage from the buildings themselves," he said. "At the end of the day you have radioactive materials in places where they're not supposed to be," and that contamination "will migrate into places you don't want it."

The issue drew a sharp response this week from an official at Japan's Nuclear Regulatory Authority, a new agency created in the wake of the disaster. Shinji Kinjo, the head of an NRA task force, told Reuters on Monday that TEPCO's "sense of crisis is weak."

"Right now, we have an emergency," he said.

Man who battled Japan's nuclear meltdown dies

And Yoshihide Suga, Japan's chief cabinet secretary, said Tuesday that the government wants to see the problem fixed quickly.

"We are going to put our full efforts toward resolving the issues," Suga said.

Sampling results disclosed in July showed concentrations of tritium in one well as high as 500,000 bequerels -- a unit of radioactive intensity -- per liter of water. By comparison, Japan's maximum safe level of radioactivity in drinking water for adults is 300 bequerels per liter.

Ken Buesseler, a U.S. marine chemist, was one of the scientists who raised alarms about ongoing contamination early on. Buesseler told CNN that building new groundwater barriers is may be a futile effort.

Google maps show Fukushima nuclear ghost town

"Think of groundwater like a river," he said. "If there's a flow to the ocean, you can put up a dam, but eventually it's going to go up and over it or around to the sides ... It flows from higher to lower, and the ocean's the low point."

And Friedlander said that may leave TEPCO and Japan's government with two choices sure to stoke further public anger: "You can either dump it in the ocean, or you can evaporate it."

"At the end of the day, collecting 400 tons of water every single day is not a sustainable solution," he said.

Federal officials allowed the Three Mile Island nuclear plant in Pennsylvania, the site of the worst American nuclear accident, to let contaminated water evaporate, Friedlander said -- but TMI was nowhere near the scale of the Fukushima disaster.

"We're in uncharted territory here," he said.

Japan signs deal with Turkey to build nuclear plant

CNN's Yoko Wakatsuki contributed to this report.

@highlight

Tainted water seeps from Fukushima Daiichi plant, plant owner discloses

@highlight

Scientists have been warning about the problem for more than a year

@highlight

"This is an extremely serious issue we must tackle," TEPCO says

@highlight

Storing the water "is not a sustainable solution," U.S. engineer says