(CNN) -- Fuel-saving gas-electric hybrid and all-electric cars and trucks powered by sizable battery packs and high voltage motors could present a new kind of danger at serious accident scenes, according to an industry group.

A report by the Society of Automotive Engineers (SAE) highlighted risks to first responders and tow operators from potential electric shock from damaged systems not disengaged during or immediately after a crash.

"As electric vehicles enter the marketplace in greater numbers, it's an appropriate time to recognize best practices that facilitate a safe response when these vehicles are in an accident," said Todd Mackintosh, chairman of the SAE technical committee that issued the report earlier this month.

The group recommended automakers install switches that would kill battery power in the event of an accident. The location of those switches should be standardized for safety.

Another recommendation would create a guide for emergency workers, something Mackintosh called a "cheat sheet for first responders." It would quickly identify the location of high-voltage components allowing them to be disabled.

Tow truck drivers also need better information and training on how to handle hybrids and electric vehicles without receiving an unexpected jolt, the report said.

More than 435,000 battery powered electric and hybrid electric vehicles were sold in the United States this year, an increase of 53%, compared to 2011 sales numbers, according to the Electric Drive Transportation Association.

In May, auto industry officials and the National Highway Traffic Safety Administration (NHTSA) and the Energy Department discussed potential dangers faced by first responders from electrical charges produced by hybrid and electric cars.

NHTSA later issued interim guidance for consumers, emergency responders and tow truck operators to increase awareness about specific dangers.

Dangers can be reduced if responders have easy access to battery packs and if auto manufacturers create common disconnect locations in all hybrid and electric vehicles, NHTSA said.

Automakers are getting the message out to drivers and responders.

Nissan places the battery pack of its LEAF all-electric car in a steel case. The Japanese automaker also designed the battery pack to sense a crash and disable its electrical charge when involved in an accident.

Ford has published a guide for first responders encountering its Focus EV involved in accidents. The Focus EV includes what Ford calls "Electric Badges," which are clearly marked logos on the doors and trunk lid to warn responders of possible electric shock. Cables wrapped in orange high-voltage warning sleeves are located under the hood of the Focus EV.

General Motors, maker of the Chevy Volt, is also helping to prepare fire service and other first responders.

Moreover, GM took steps to better protect the Volt battery pack following a fire that flared after a crash test in 2011. NHTSA found no defect with the lithium-ion battery system nor were any real world crash-fires ever reported. But the case highlighted potential safety concerns for first responders.

@highlight

Batteries of hybrid and electric cars could present safety risk in crashes, group says

@highlight

Clear labels recommended about battery and power systems to protect first responders

@highlight

More than 435,000 electric, hybrid vehicles sold in the United States this year, figures show