(CNN) -- After surviving a near-fatal car accident, Kaitlin Hunter found herself battling a devastating bacterial infection in her colon that also threatened her life.

The persistent infection was beaten through a little-known technique involving the transplant of fecal matter from Hunter's mother, which put healthy bacteria back into her colon.

Following the July procedure, "I've been so happy," said Hunter, 20, of Marietta, Georgia. "I'm cured."

Her struggle began more than a year earlier when she was released from a hospital in Sacramento, California.

A June 2011 car accident fractured her lower spine, lacerated her liver and colon, and broke all 10 toes. Emergency crews used the Jaws of Life to cut Hunter from her dad's car, and then she was flown to the hospital, where she spent the next month.

Upon her release, Hunter flew home to Georgia. It hadn't been the summer vacation she imagined, but she thought she was getting better.

But "right when I got off the plane, I went to the hospital. I was having extremely bad stomach pain. A month later, we found out it was C. diff," Hunter said, using the abbreviation for the bacteria Clostridium difficile.

How it began

In the hospital after her accident, doctors followed standard care and put Hunter on antibiotics to prevent an infection.

In spite of the antibiotics -- or possibly because of them -- C. diff infected her colon, causing severe stomach pain, diarrhea and vomiting.

Hunter, who stands 5 feet 7 inches tall, lost 40 pounds during her struggle. Her weight plummeted to 85 pounds.

It's believed that antibiotics, which kill harmful infection-causing bacteria, also weaken the beneficial, healthy bacteria percolating in the colon. With the colon's defenses down, C. diff grows rampant, releasing a toxin and inflaming the colon.

C. diff infections kill about 14,000 people in the United States every year, according to the Centers for Disease Control and Prevention, and the number and severity of total cases have increased dramatically over the past decade.

Experts: Alcohol enemas 'extremely dangerous'

Even though antibiotics put someone at risk of developing a C. diff infection, standard treatment still calls for prescribing more and different antibiotics to kill the C. diff and allow healthy bacteria to recolonize.

But for many people such as Hunter -- who went through nine rounds of antibiotic treatments -- the healthy bacteria never get the upper hand, and the C. diff just keeps coming back.

'Brand-new' treatment

Increasingly, doctors are taking a different approach. Instead of continued assaults on bacteria, "fecal matter transplants" recolonize the colon with new bacteria from a healthy donor.

"This is brand-new for most gastroenterologists," said Dr. Suku George, Hunter's treating physician. "We are very excited about this."

George had never deposited fecal matter by colonoscopy into a patient until Hunter wanted to try it.

Hunter's mother "donated" one of her stools for the procedure. Next, the hospital lab carefully diluted it, and George pumped the foreign fecal matter right into Hunter's colon.

The result ended Hunter's struggle with C. diff.

A study published in March reported a 91% cure rate after just one fecal matter transplant, and a 98% cure rate when combined with an additional round of antibiotics.

Remarkably, that study only included the sickest of patients. All 77 of the study participants already had a recurring C. diff infection, having tried and failed five rounds of antibiotic-only treatments over 11 months, on average.

The study used the colonoscopy method, which many believe is the most effective, because relatively large amounts of fecal matter can be placed deep inside the colon.

Other methods use either an enema or a nasogastric tube, which sends fecal matter through the nasal passage, down the throat and into the stomach.

Why polio hasn't gone away yet

George tried the nasogastric tube on Hunter, using fecal material from her father, but the C. diff infection returned. He then asked for and received permission to perform the hospital's first colonoscopic fecal transplant.

Looking ahead

Gastroenterologists pioneering the practice unanimously seem to agree that eventually a cleaner, commercially developed suppository will replace the crude feces and water mixtures currently in use.

"It'll become a little more acceptable to hospitals and patients and more widely performed," said Dr. Lawrence Brandt, a professor of medicine and surgery at New York's Albert Einstein College of Medicine who was the lead author on the March study. "But for people that have recurring C. diff, it doesn't really much matter, because these patients are so ill and so much want to get better. The fact that it's stool, it doesn't matter to them."

To enroll in a fecal transplant study, visit clinicaltrials.gov.

@highlight

After surviving a car accident, Kaitlin Hunter battled a bacterial infection

@highlight

Nine rounds of antibiotics failed to provide a cure

@highlight

Hunter underwent a fecal matter transplant with material from her mother

@highlight

Her doctor says gastroenterologists are "very excited" about the treatment