(CNN) -- An announcement on Tuesday marked, quite literally, a watershed moment in the history of solar system exploration. NASA scientists said an analysis of drilled rock samples collected by the Curiosity rover shows that ancient Mars could have supported living microbes.

It is the first time that we've discovered actual evidence for fresh water on another planet.

We've been down this watery path before -- sort of. Back in 2004, NASA's Opportunity rover found evidence of ancient water on Mars.

For a place to be habitable by life as we know it, it has to have liquid water, heat sources like volcanoes or impact craters, and carbon-bearing organic molecules.

NASA: Yes, Mars could have hosted life

Mars had abundant volcanoes and impacts early on, and Opportunity rover scientists finally found smoking gun evidence for the ancient liquid water. What that rover couldn't tell us was whether Mars had organic molecules. But organic molecules get delivered to planets all the time from impacts by small and large asteroids and comets (like February's fireball impact above Chelyabinsk, Russia), providing the last key ingredient for habitability. That argument sealed the deal back in 2004: Mars was habitable. Cool!

But the evidence we found in the rocks back then prescribed a very specific kind of habitable environment, and one that many biologists think is quite rare and special. The rocks contained abundant sulfur minerals, implying that the water in which they formed contained sulfuric acid.

On Earth there are micro-organisms that can live, and even thrive, in acidic water, even battery acid. But these are rare and specialized niche organisms, what biologists call "extremophiles," because they love extreme environmental conditions. Still, extreme conditions or not, it meant that Mars could have been habitable for some forms of life.

Now fast-forward to 2013, where in the past few weeks the Curiosity rover has been drilling into some different rocks half a planet away, inside a deep basin formed by the Gale impact crater. Armed with more sophisticated analysis tools than earlier rover teams, Curiosity scientists have been able to conclusively find the first on-the-ground evidence for the presence of abundant clay minerals within those drilled rocks.

Clays are water-loving materials (just ask any friends who make pottery), sometimes forming from the interaction of water and different kinds of precursor volcanic rocks, and holding much of that water within their mineral structures.

But here's the catch: Clay minerals are easily dissolved in acidic water. Because they are preserved in the Gale crater still today, it implies that the water there had relatively little acidity -- that is, it was fresh water, like the water you'd find in most ponds or lakes on Earth today.

Indeed, there's geologic evidence from the rover and from NASA's Mars orbiters that there may once have been a large lake and streams within the basin that Curiosity is driving around in now.

And there's more to be excited about.

Micro-organisms on Earth are much more common in fresh water than acidic water, and so rather than Mars just having been a potential haven for some extreme forms of life, Curiosity's discovery means that Mars had -- and still preserves evidence of -- environments that were habitable for an enormous variety of micro-organisms that thrive on our own planet.

It seems as though NASA or other space agencies "rediscover" water on Mars every few years, so maybe this latest announcement will be regarded as just more of the same. But this time it's different -- really! The stakes have just been raised a notch: Not only is there another planet right next door in our own solar system that had habitable environments on its surface long ago, but there appear to have been common and recognizable -- perhaps even Earthlike -- environments on Mars. That's the big news coming out of this latest discovery from NASA's Mars rovers.

Curiosity is only about a quarter of the way through its primary mission, so there's lots of time to search for more watery evidence, as well as for any elusive associated organic molecules, which have yet to be found. Because of abundant solar ultraviolet radiation at the surface, organic molecules might not be preserved as well as clay minerals. But Curiosity has the tools, and the brainpower back here on Earth, to find out.

The implications of discovering evidence for fresh water are exciting for macro-organisms as well: Rover chief scientist John Grotzinger of NASA's Jet Propulsion Laboratory has speculated that we would have been able to drink that ancient water, had we been there some 2, 3, or 4 billion years ago to witness glorious Lake Gale.

Imagine that. Let's go back in time -- how would you like your water? Sparkling, fresh, or Martian?

The opinions expressed in this commentary are solely those of Jim Bell.

@highlight

NASA announced on Tuesday that ancient Mars could have supported living microbes

@highlight

Jim Bell: This is quite literally a watershed moment in the history of solar system exploration

@highlight

He says it is the first time that we've discovered evidence for fresh water on another planet

@highlight

Bell: Curiosity rover is not done with its mission; it may find even more interesting things