(CNN) -- The long-icy relations between Iran and the U.S. began to thaw almost as soon as Hassan Rouhani, Iran's new president, assumed office.

Rouhani has promised to regain the trust of the international community when it comes to his country's nuclear program and pull Iran's economy out of the mire through a series of moves that reflect a change of approach in Tehran.

A clear strategy shift

Rouhani received mixed signals from pro-reform and conservative camps upon his return from the U.N. General Assembly meeting in late September. In Iran it is Ayatollah Khamenei, not Rouhani, who has the final say on foreign policy. And the supreme leader has frequently extended his approval to the president's plan to normalize relations with the U.S. and resolve the nuclear deadlock.

The shift of Iranian rhetoric in the weeks running up to this week's nuclear negotiations in Geneva has not been limited to the supreme leader's support of the direct talks with the U.S. Ali Larijani, the head of Iran's parliament, has also expressed support for a recalibration of Iran's approach to nuclear talks.

Toning down the anti-Americanism

The debate over whether or not anti-American slogans should be stopped as a trust-building gesture has been intense in Iran. Since the establishment of the Islamic Republic in 1979, "Down with the USA" has been a widely used slogan at Friday prayers and national rallies, but a number of senior clergymen have expressed their support for ending the use of such terms.

ANALYSIS: Why there's room for a deal with Iran

Former President Akbar Hashemi Rafsanjani has gone even further, recently declaring on his website that Ayatollah Khomeini, the founder of the republic, had never approved of anti-American slogans. Although the revolutionary outlook of the establishment has, to some extent, faded over three and a half decades of the revolution, such statements by a senior political figure are unheard of in Iran.

A softer approach to Israel

The official tune by the administration regarding Israel has also significantly changed. Since Rouhani's trip to New York -- and in a dramatic break from the rhetoric of former President Mahmoud Ahmadinejad -- the country's officials have acknowledged and condemned the Holocaust and cancelled an annual anti-Zionist conference that was scheduled to take place just weeks before this week's nuclear talks.

The moves perhaps indicate a mutual understanding between Washington and Tehran that the success of future negotiations may depend on a green light from Israel. Iran would also like to see the risk of a possible Israeli strike against its nuclear sites completely eradicated -- a possibility that can only come about through if Iran eliminates its own existential threats against the state of Israel.

Gestures born of desperation?

Iran may have shifted the rhetoric in recent weeks, but although Rouhani and his team have a track record of moderation in their political careers -- especially in comparison to their predecessors -- the recent moves would most likely not have been taken if Iran's economy wasn't crumbling due to Western sanctions.

Western sanctions as a result of Iran's uranium enrichment are costing Iran up to $5 billion a month. Iran's oil production is down by about a million barrels per day and its exports are at the lowest levels since the Iran-Iraq War in the 1980s. The effect of sanctions are becoming unbearable for the Iranian government and there is now a palpable sense of urgency in its approach to resolving the nuclear issue.

ANALYSIS: U.S. "clear-eyed" but hopeful on Iran talks

Despite the urgency to get a deal done, Iranian leaders will not overextend themselves when it comes to concessions to the West over its nuclear program. Iranians do not want to be portrayed as desperate due to sanctions, and face-saving -- especially domestically -- will be an important element of Iran's strategy. Tehran also doesn't seem to have a rigid and pre-defined agenda for the negotiations -- they will probably just kick off the diplomatic ping pong and see how many concessions they can get out of the talks.

What comes next?

Recently Iranian Foreign Minister Javad Zarif said the previous rounds of negotiations between Iran and the P5+1 nations -- the United States, Russia, China, France, Britain and Germany -- benefited no one, and that their only outcome has been unfair economic sanctions on Iran. Iran has always claimed its nuclear program exists solely for sustainable development and to meet the country's energy demands -- and that its enrichment program has only been a reaction to French firm Eurodif's refusal to give Iran enriched uranium, despite Iran owning 20% of the firm. Iranian officials have also repeatedly argued that the country informed the International Atomic Energy Agency 180 days prior to enriching uranium, meaning that Iran has never been in violation of IAEA laws.

I believe the likeliest outcome of these negotiations will be a concession by the U.S. to give Iran the right to enrich uranium to 5 percent. If that is decided, the most recent agreement of the P5+1 will replace corresponding U.N. resolutions on the same -- and perhaps more significantly, it will pave the way for more talks in the future.

The opinions expressed in this piece are solely those of Sara Bazoobandi.

@highlight

New Iranian President Hassan Rouhani has worked to thaw U.S.-Iranian relations in recent months

@highlight

Some Iranian clergymen believe "Down with the USA" slogans should be dropped from prayers

@highlight

Iran has also adopted a softer stances towards Israel since Rouhani's visit to the U.N.

@highlight

Bazoobandi: Recalibration likely wouldn't have happened without crippling sanctions