(AOL Autos) -- As environment-friendly Martha Stewart might know, that new car smell is not a good thing.

The Ecology Center found the Suzuki Forenza was one of the most toxic car models.

In fact, inhaling the fumes from your new car can be toxic and are created from a literal soup of chemicals such as arsenic and formaldehyde, which can take years to completely be "out-gassed" from your new car's interior materials.

In fact, Americans spend so much time in their cars, the "out-gassing" of so-called volatile organic compounds (VOCs) from new car interiors and new car seat parts like the steering wheel, dashboard, seats and carpets are a big concern as these are known contributors to acute and long-term health problems.

Unfortunately, with the auto industry slowdown on the minds of car execs and politicians, combating indoor air pollution in new cars is not getting much play. Interestingly, automakers in Europe and Japan are serious about making their cars less toxic, especially for those who suffer from environmental allergies.

So, can America's Big Three really take on yet another eco challenge in a market focused mostly on fuel efficiency and lowering carbon dioxide emissions? Some American automakers are already making strides to clean up chemical emissions inside their cars.

General Motor's vehicles, in fact, showed a 27 percent improvement in cleaning up indoor air pollution, so says findings from The Ecology Center's annual HealthyCar.org study.

Using portable X-Ray Fluorescence (XRF) technology, The Ecology Center tests almost 300 new cars and car seats for toxic chemicals like bromine, chlorine, lead and heavy metals. These chemicals have been linked to health issues such as birth defects, liver toxicity, cancer, allergies and impaired learning.

"XRF is the dominate technology used to quickly screen products for harmful chemicals," said Jeff Gearhart, director of the Ecology Center's Clean Car Campaign. XRF is used by the Food and Drug Administration, Homeland Security, Consumer Products Safety Commission and many leading companies to screen harmful chemicals in consumer products.

"We still see far too many vehicles that are very chemical intensive," Gearhart said. "The good news is within every vehicle class, we have vehicles we rank that have minimal use of these chemicals."

Some of the least toxic cars found in the Ecology Center study are:

Porsche 911 Honda Accord   Dodge Caliber  Saturn Astra XR  Dodge Charger  BMW M5  Toyota Tacoma  Acura RDX

The study found the following models are the most toxic:

Suzuki Forenza  Suzuki Reno  Lincoln Mark LT  Mitsubishi Eclipse  BMW 128i

For consumers thinking about buying a new car or car set, you can visit HealthyCar.org and search the findings by model or compare models.

But is the testing really valid?

Officials at Chrysler, which received low or moderate ratings from the Ecology Center for all of their 2008 models, disputed the findings. "This information is meaningless, however, because the entire study was poorly designed and executed," said Max Gates, Chrysler's safety and regulatory communications spokesperson.

Basically, Gates said, the study did not measure chemicals in the air of the passenger compartments tested. "Rather, the test only determined the compounds contained in the materials used to assemble the vehicle. There is no way to determine how much, if any, of those compounds becomes airborne."

Gates called the Ecology Center's annual report a "scare tactic," which amounts to alarming the public "with no data to support any claims of risk."

To reduce indoor air pollution in all of its vehicles, Gates noted Chrysler has been evaluating passenger compartment air quality regularly and "consistently screens materials and products, including new products, for their effects on air quality."

"Chrysler is just plain ignorant of the science," retorted The Ecology Center's Gearhart. "All recent studies, including ours, have found vehicles to be the most universally contaminated environment that we spend in." Gearhart also claimed that dozens of peer review studies show these chemicals are "ubiquitous in dust and air in our homes, offices and cars and are building up in our actual bodies."

Allergy-sensitive cars

In Europe, allergy-tested vehicles are all the rage. Surprisingly, Ford Motor Company is one of Europe's leaders in helping make car interiors free of allergens and chemicals. In fact, Ford has more than 100 materials and components tested for their allergy-causing potential by an independent lab based in Germany.

"Additionally, all components likely to have direct and prolonged skin contact such as steering wheel and seat covers, floor mats and seat belts are also dermatologically tested," said Adrian Schmitz, Ford of Europe's communications and public affairs director.

Schmitz also said Ford avoids or tries to reduce the use of allergy-provoking substances such as latex, chrome or nickel. Ford of Europe's allergy-sensitive models -- such as its all-new Kuga crossover -- are equipped with a high-performance pollen filter, which was also tested by the same independent German lab, TUV.

"The filter effectively prevents pollen, a particular concern for allergy sufferers, from entering the vehicle's interior," Schmitz said.

Ford offers seven allergy-sensitive models in Europe including the Ka, Focus, C-MAX, S-MAX, Galaxy and Mondeo. These Ford vehicles are the first in the world to have passed these stringent TÜV standards. And earlier this year, Ford became the first car manufacturer to receive the European Centre for Allergy Research Foundations seal of quality.

In Japan, Toyota Motor Company says it is also minimizing the negative effects vehicles have on drivers and passengers. "We strive to reduce the concentration of potentially harmful chemicals, such as volatile organic compounds, in our vehicle manufacturing," said Bill Kwong, Toyota's product communications manager based in Torrance, California.

Kwong says Toyota's American-built vehicles have been asked to meet voluntary vehicle volatile organic chemical (VOC) standards set by the Japan Automobile Manufacturers Association by 2011. "We are currently developing low VOC technologies that will ensure our compliance with these regulations," Kwong added.

For example, Kwong, said Toyota has worked with its materials suppliers to reduce aldehydes by developing a grade of polyacetal that reduces formaldehyde emissions by 80 percent.

"In addition, we are developing new tape systems to reduce toluene emissions. The new technology reduces the level of toluene emitted by more than 90 percent," he said. Toluene can affect the nervous system, causing weakness, confusion, fatigue, vision and hearing loss, nausea and memory loss.

Neutralizing that new car smell

So, what if you bought a new car and that new car smell is making you worry about possible health concerns or bothering your allergy-sensitive nose?

Brookstone carries an inexpensive ($35) ionic auto air purifier. But does it really work? I tried one out recently in one of my bad-smelling road test cars. Amazingly, the Brookstone ionic air purifier truly did "neutralize" that toxic car smell.

The purifier easily plugs right into your car's cigarette lighter socket and even includes a built-in socket so you can still charge your phone, MP3 player or personal navigation system. The fit-in-your-hand system works by emitting negatively-charged ions to help remove bad odors, smoke and other airborne pollutants.

Plus, studies show negative ions are good for reducing stress and calming nerves, something you definitely need when driving on America's traffic-congested streets and highways.

@highlight

Fumes from your new car created from soup of harmful chemicals

@highlight

Porsche 911 and Honda Accord are two least toxic cars

@highlight

In Europe, allergy-tested vehicles are very popular

@highlight

Ionic auto air purifier can help get rid of the fumes in your car