(CNN) -- MTV is hoping to give its get-out-the-vote campaign a viral boost with an online game, inspired by fantasy sports, that rewards players for participating in the 2012 elections.

Gamers will rack up points in "Fantasy Election '12" for registering to vote, watching debates and publicly supporting candidates with transparent fundraising records and who refrain from political mudslinging.

"This can be can be a crash course in what people should demand from those pursuing the privilege of elected office," said Jason Rzepka, MTV's vice president of public affairs, who revealed details about the game to in advance of its Tuesday launch.

As in fantasy football or baseball, "Fantasy Election" is an online social game in which participants strategically build virtual teams of candidates and compete against other players from around the country for glory and prizes. Players can "draft" any candidate running for the U.S. presidency, the U.S. Senate and the House of Representatives.

To encourage players to select honest, inspiring politicians, the most valuable candidates will have measurable integrity as well as strong poll numbers. Each candidate's "value" will be an aggregation of several key data points from specific partners:

● Polling data from poll aggregator, RealClearPolitics.com. The longer a candidate is winning his or her race, the more points they'll earn.

● A transparency fundraising score from the Center for Responsive Politics, which publicizes campaign contribution and spending data. For instance, Ron Paul would score well in this category, given that he famously tried to disclose every single campaign expenditure -- even a 22-cent purchase at FedEx.

● Frequency of social media engagement on Twitter and Facebook.

● Declaring their stances on Project Vote Smart's "Political Courage Test," which "measures each candidate's willingness to provide citizens with their positions on key issues."

● Discussing substantive issues rather than airing "uncivil, personal ads", as ranked by the Wesleyan Media Project, which houses a public database of information on the "content and targeting" of broadcast television advertisements from around the country.

"There's a lot of young people who are at the beginning of their civic career," says Rzepka. "When you're 18 and you're voting for the first time, you don't necessarily know what you deserve from a politician."

He says he hopes the game will instill the habits of good citizenship among young voters. Additionally, MTV hopes that highlighting the most virtuous political candidates will re-energize young citizens, many of whom are disheartened by the sputtering economy and a perception among some voters that President Obama failed to meet the high (and perhaps unrealistic) expectations they had for him.

According to Gallup, the so-called Millennial generation -- mostly people now in their twenties -- are the only age group to show a significant drop in whether they "care a good deal who is elected president next year," from 81% in 2007 to 69% in 2011.

Russell Dalton, a political science professor at the University of California, Irvine, credits distrust in government with the substantial percentage of Generation Y citizens who would rather spend hours creating a viral campaign video than cast a ballot.

"I think because of their cynicism and lack of control, they would rather do something direct," said Dalton, author of "The Good Citizen: How a Younger Generation Is Reshaping American Politics."

"The paramount objective [of the game] is to get young people to register to vote," said MTV's Rzekpa. Being a savvy spectator won't be enough to win the game, he says. Players will need to keep abreast of the latest news, register to vote via a streamlined application on the Rock the Vote website and exert subtle peer pressure on their fence-leaning friends. They also earn points by checking in at town halls and voting stations via Foursquare.

The details of the game won't be finalized until the private beta launch around June, but Facebook is the likely hub of "Fantasy Election." The invite-only beta will give MTV's "Fantasy Election" team some room to tweak the game before its public debut in late summer or early fall.

Rzepka expects MTV will leverage "hundreds of thousands of dollars" in prizes to fuel sustained enthusiasm for the game. Big-ticket items will likely be a coveted invitation to the network's annual Video Music Awards or an invitation to an inaugural ball next January in Washington.

Columbia University political science professor Daniel Green says he's skeptical that "Fantasy Election" will motivate young people who are not engaged with the political process. He believes face-to-face interactions are the most effective way to increase turnout and that the game's success will depend on whether its players experience the same kinds of emotions via Facebook as older generations do through real-life conversations.

"To people who are really only distantly connected, I'm not sure the blandishment of Facebook wall posting would necessarily be all that influential," Green said. But for someone's inner circle of close friends, "Facebook could be quite powerful."

Even if MTV can't make Generation Y a huge voting bloc, Rzepka believes the network can still be influential.

"We're not going to solve the problems we face with voting alone," he said. "If we as MTV can get them [young citizens] when they're 18 and when they're 22, they are a long way on their way to being active and informed participants in our democracy from now on."

@highlight

MTV to launch game that rewards players for being informed about the 2012 elections

@highlight

"Fantasy Election," will measure each candidate's "value" via an aggregation of data points

@highlight

MTV hopes that highlighting noble political candidates will inspire young citizens to vote