Holmy, near Ukraine-Russian border (CNN) -- A low hum rises high into the onion-shaped dome of a village church.

The priest, shrouded in a gold cape, peers through steel-gray eyes at the small flock standing before him, intoning ancient religious chants.

A few miles of forest, swampland and rolling potato fields is all that stands between this community of 2,500 people and Ukraine's eastern border with Russia.

In the congregation, tears stream down one lady's face. Hard to tell whether she's moved by the power of prayer or whether she's just plain terrified of the prospect Russian troops could invade.

Before he took his vows, Father Mikhail Zorivchak -- an engineer by profession -- was an officer in the Soviet army. He came back to this region after the fall of the Berlin Wall but found no other work except rebuilding churches, including the one in this village.

He cannot believe his old comrades will roll into Ukraine, even less that rank-and-file Russian soldiers would heed orders to open fire on their Ukrainian neighbors.

But if they do, Zorivchak is preaching to the faithful that there can be no question of turning the other cheek.

"I will preach to our people to defend our homeland from any invader. This is the land of our grandfathers. I'll pray for our army. And if they need me I'm ready to join them to protect our holy land," he told CNN.

'Truth is where God is'

Zorivchak knows firsthand the might of the Russian military. He served the Soviets at a base in East Germany between 1986 and 1988 building storage facilities for T-80 tanks.

But in his new life as a priest, he believes he and the rest of village have two key tactical advantages against advancing Russian armor.

"We know how to fight a partisan (guerrilla) war. We know these forests and swamps like the back of our hand and it will be very hard to fight us," he said.

"Truth will win. Truth is where God is and God is on our side," he added.

Luba Kostroma, who during the week works in the village store, is trying to keep her nerve, hoping and praying for the best.

"Of course I'm praying for peace. But I think the Russians will come in," she said.

She was at Sunday Mass with her 3-year-old grandson Olexi and her son Igor. Igor Kostroma was a soldier in the Ukrainian army and later served in the police force. He's an army reservist, and if war did break out he would almost certainly be dispatched to the front line.

That thought terrifies his mother.

"Every mother worries when her son is mobilized. We understand our young men have to protect the homeland. But it's painful to think that our sons must go to war in the 21st century," Kostroma said, her voice rising in a mix of fear and defiance.

This talk of facing down a far more powerful enemy may not be mere bluster. The young men of Holmy know they have the lessons of history to live up to.

This border region was the scene of a bitter guerrilla campaign during World War II.

Ukrainian villagers -- known as "partisans" -- fought in small, lightly armed and highly mobile squads against the Germans. In that era, Russian soldiers were their allies.

In another village near Holmy, a concrete, wartime monument still stands, emblazoned with a red star and the logo of the USSR. On one side the names of dozens of Soviet troops who died in combat. On the other side, the names of even more Ukrainian partisans who fell.

The locals clearly take pride in that legacy.

Ukrainian military peers intently across border

Over the past week, Pentagon officials have estimated Moscow has massed around 40,000 troops on the border and that a further 25,000 are deployed a little deeper in Russia's interior.

The Ukrainian government's National Defense and Security Council puts the total figure a little higher -- around 88,000.

Russian Foreign Minister Sergei Lavrov last week said Moscow had no intention of moving into Ukraine.

However, at the same time, Russian President Vladimir Putin has continued to accuse Ukrainian nationalists of threatening ethnic Russians living in Ukraine -- a pretext he also used to send his troops into the Ukrainian region of Crimea.

U.S. Secretary of State John Kerry met Lavrov Sunday for talks in Paris about the troop buildup.

In a press conference afterward, Kerry said both men had exchanged ideas and suggestions, but there was no hint Moscow was about to pull its men back.

Far from those diplomatic discussions, in a potato field near Holmy, a Ukrainian military unit has spent days monitoring the border region using a mobile radar station and other sophisticated listening equipment.

A major, who was not authorized to speak on the record, told us he had seen a huge buildup of Russian troop numbers. He added they had also spotted attack helicopters, tanks and even missile batteries.

Digging in

Among the civilian populace, fear is palpable. Preparations for war are gathering pace.

On the corner of the square in Holmy, an abandoned Soviet-era village store has been reopened. A handful of locals turned up Sunday bringing supplies of food to donate to Ukrainian troop detachments.

Rice, sacks of potatoes, cooking oil and an assortment of home-pickled vegetables were laid out on the ground.

It's not clear how many Ukrainian troops have been deployed into the border region.

A few armored personnel carriers and tanks can be seen positioned near strategic points along the highway that leads to the capital, Kiev. But many more may be located in the forests.

Villages immediately on the border have been declared closed military zones, according to the Ukrainian Border Patrol Service. Outsiders are not being permitted to enter.

A CNN team did briefly manage to get in unhindered. In a wooded area just a few hundred yards back from the border, the CNN team found a series of recently dug defensive positions, including trenches and foxholes. There was no immediate sign of troops.

A few moments later, a plainclothes border agent arrived and ordered the journalists out of the zone.

"They're troublemakers," he told his men, referring to the journalists.

But of course, if the Russians do roll in, the trouble will only just be beginning.

@highlight

Fear of Russian invasion is palpable in the border community of Holmy

@highlight

Father Mikhail Zorivchak: "I will preach to our people to defend our homeland"

@highlight

Border region was scene of guerrilla warfare vs. Germans during WWII

@highlight

Ukrainian officer claims big buildup of Russian troops, presence of offensive weapons