Thursday is judgment day for the Affordable Care Act, with the U.S. Supreme Court expected to release its long awaited ruling on the constitutionality of the law. Whichever way the Court rules, the decision will be instantly framed in the political context. Its potential impact on the presidential race, on the upcoming Congressional elections and on the trajectory of the political parties will be the subject of endless analysis and debate.

The electoral handicapping will regrettably overlook the decision's real-world impact on those whom the law is intended to help. At stake in the opinions of nine justices is the well-being of millions of Americans living with chronic diseases such as cancer. They wake up every day knowing that if they lose their job, if their employer decides to drop their health coverage, or if their insurance company raises premiums, they may be unable to get the lifesaving care they need.

The debate over health care has been epically divisive. But it is almost universally accepted that the existing health care system is badly in need of repair. People with cancer and other life-threatening chronic diseases have long been routinely denied coverage outright, charged exorbitant costs for care and forced to spend their savings to get the care they need, simply because they have a pre-existing condition.

The law addresses this national moral failing with numerous provisions that help to expand access to quality, affordable health care, including those that prohibit insurance companies from denying coverage to people with pre-existing conditions, charging patients higher premiums because of their health status and suddenly revoking coverage when a person falls ill with a disease such as cancer.

The law also empowers consumers to make informed choices about their health coverage, requiring insurance companies to issue brief and simple explanations of what their plans cover and creating online marketplaces, or "exchanges," where people can compare plans and choose the one that is best for them.

These provisions, which have received broad bipartisan support, hang in the balance before the court. So, too, do popular provisions that are currently enabling students and young workers to remain on their parent's health plan until age 26, ensuring coverage for children with pre-existing conditions and eliminating arbitrary dollar limits.

The court's decision will determine whether the 60,000 people with pre-existing conditions who enrolled in the law's new high-risk plan after going six months or more without insurance will continue to receive coverage. It will either continue or end the new requirement that people receive proven preventive screenings, such as mammograms and colonoscopies, at no cost to them. It will decide whether millions of low-income and disabled people with cancer or at risk for cancer will be eligible for quality health coverage under Medicaid.

The pundits will have ample opportunity to pontificate about the ruling's political implications. But no one should lose sight of the impact on those who are most in need of quality care. For people and families battling cancer or another serious chronic disease, the upcoming ruling is about much more than politics. It could mean the difference between life and death.

@highlight

John Seffrin: Court decision on health reform must be viewed in terms of impact on the sick

@highlight

He says millions with chronic diseases like cancer benefit from Affordable Care Act

@highlight

He says if court rules against it, they will return to days of coverage denial, high costs

@highlight

Seffrin: Act keeps insurance companies honest, young people covered. It's not about politics