(CNN)  -- The world's poorest countries could pay 40 percent more for food this year than they did last year because of rising prices, according to a United Nations report released Thursday.

Rising food prices have left many people, like this Ugandan boy, unable to afford food and malnourished.

In those countries, nearly a billion people are on the brink of malnourishment and, as food prices climb, more at risk of starving.

The latest Food Outlook report, compiled by the U.N.'s Food and Agriculture Organization, shows that countries which spend a substantial part of their budgets on food will pay $169 billion this year for food imports.

That is 40 percent higher than last year and four times higher than in 2000.

"Food is no longer the cheap commodity that it once was," FAO Assistant Director-General Hafez Ghanem said. "Rising food prices are bound to worsen the already unacceptable level of food deprivation suffered by 854 million people.

"We are facing the risk that the number of hungry will increase by many more millions of people."

The FAO lists 82 countries as "Low-Income Food-Deficit Countries" that cannot produce or import enough food to meet their all their population's needs. More than half of the countries are in Africa.

Riots from Haiti to Bangladesh to Egypt this year over surging food prices brought the issue to a boiling point.

The United Nations' World Food Program and World Bank President Robert Zoellick recently appealed to the international community to donate $500 milllion to help meet emergency needs by those hit by the high food and fuel prices.

Last month, U.S. President Bush ordered the release of $200 million in emergency aid.

The money, to be drawn from a food reserve, will address food needs in Africa and elsewhere, the White House said.

The United States is the world's largest provider of food aid, delivering more than $2.1 billion in food aid to 78 countries last year, the White House said in a statement.

"This is the world's big story," said Jeffrey Sachs, director of Columbia University's Earth Institute.

"There are riots all over the world in the poor countries. ... Our own poor are feeling it in the United States."

Zoellick has said the rising costs could mean "seven lost years" in the fight against worldwide poverty.

"While many are worrying about filling their gas tanks, many others around the world are struggling to fill their stomachs, and it is getting more and more difficult every day," Zoellick said last month in a speech opening meetings with the world's finance ministers.

"In just two months," Zoellick said, "rice prices have skyrocketed to near historical levels, rising by around 75 percent globally and more in some markets, with more likely to come. In Bangladesh, a 2-kilogram bag of rice ... now consumes about half of the daily income of a poor family."

The price of wheat has jumped 120 percent in the past year, he said, meaning that the price of a loaf of bread has more than doubled in places where the poor spend as much as 75 percent of their income on food.

"This is not just about meals forgone today or about increasing social unrest. This is about lost learning potential for children and adults in the future, stunted intellectual and physical growth," Zoellick said.

In the United States and other Western nations, more and more poor families are feeling the pinch. In recent days, presidential candidates have paid increasing attention to the cost of food, often citing it on the stump.

The issue is also fueling a rising debate over how much the rising prices can be blamed on ethanol production. The basic argument is that because ethanol comes from corn, the push to replace some traditional fuels with ethanol has created a new demand for corn that has thrown off world food prices.

Jean Ziegler, U.N. special rapporteur on the right to food, has called using food crops to create ethanol "a crime against humanity."

Sachs said, "We've been putting our food into the gas tank; this corn-to-ethanol subsidy which our government is doing really makes little sense."

The ethanol industry rejects the focus on ethanol in examining food prices.

"The contrived food vs. fuel debate has reared its ugly head once again," the Renewable Fuels Association, which lobbies Congress on the behalf of the industry, said on its Web site, adding that "numerous statistical analyses have demonstrated that the price of oil -- not corn prices or ethanol production -- has the greatest impact on consumer food prices because it is integral to virtually every phase of food production, from processing to packaging to transportation."

Analysts agree that the cost of fuel is among the reasons for the skyrocketing prices.

Another major reason is rising demand, particularly in places in the midst of a population boom, such as China and India.

Also, Sachs said, "climate shocks" are damaging food supply in parts of the world. "You add it all together: Demand is soaring; supply has been cut back; food has been diverted into the gas tank. It's added up to a price explosion."

@highlight

Report: Poor countries will spend $169 billion this year on food imports

@highlight

Riots occurring from Haiti to Bangladesh to Egypt over surging food prices

@highlight

Food prices could mean "seven lost years" in fight against hunger

@highlight

Food Bank official: We struggle with gas, others struggle to fill their stomachs