(CNN) -- As we prepare to celebrate Earth Day on Sunday, let us not forget that Friday marks the second anniversary of the start of the BP oil spill. It deserves more than a shrug, an "oh, yeah," and "how's the fishing?" It deserves more than a solemn voiced announcer relegating it to a "this day in history," with a picture from the archives to jog our memory.

Sometimes, a tragedy has its own tragedy: It has its day, or week, or month in the news cycle; then time passes and other things happen. We move on, directed by the media and politicians, to the next great outrage.

In so doing, we may lose the why and the wherefore -- the things that caused us, through the lens and the pen, to be interested, involved, invested in a tragedy not our own. And we then forget just what made us a community, if only for a moment. As Desmond Tutu said: "My humanity is bound up in yours, for we can only be human together."

Dear Reader, share with me, for a few minutes, the humanity of the Deepwater Horizon. For I am a daughter of the Gulf South, and this is personal -- though, as is often the case, the personal is universal.

When the Deepwater Horizon well exploded, 11 people died. Not a lot of people, in the sense that they measure tragedies. But "every individual is a world." Eleven worlds exploded, and they had satellites -- spouses, children, siblings, parents, friends and neighbors -- still affected, still reeling out of orbit, still trying to cope with a void that can never be filled.

Others lost their livelihood. We call the work we do "making a living." If we lose a job, we can hopefully, eventually, find another. But if we lose a "living" -- a way of life -- what then? The fishermen and their support network -- their satellites and dependents -- were crippled by the oil spill. Yes, the seafood industry has begun to recover, but it still limps.

Tragedy affects our lives and our livelihoods. But it also affects our environment and the creatures that make it habitable, beautiful -- and profitable. Two years ago, we cringed at the pictures of the oil-soaked pelicans, the turtles and fish drowned in oil; we were repulsed by the images of wetlands and marshes greasy, with slimeballs surfacing. Do we know the status of the fauna and flora today?

And we cheered the rescue efforts, we donated, we educated ourselves about ecosystems and coastal waterways and environmental interconnectedness. Do we have a minute on this anniversary to continue our education, to donate again to our ecological survival?

I felt anger two years ago, as oil spewed into my beloved Gulf. I was so angry, and words seemed as helpless as the birds and the marshes. How stupid. How arrogant. How greedy. Why don't they do something?

When the governor and the local politicians railed and ranted and demanded and got their airtime, I'll be honest: I cheered. I felt righteous indignation vicariously justified.

Nor was the anger misplaced. BP was at fault. The Deepwater Horizon oil spill wasn't an unavoidable accident. It resulted from negligence and avarice. Profit first, responsibility second. I am reminded of what Shirley Chisholm once said: "When morality comes up against profit, it is seldom that profit loses."

But there is profit, and there is profit, and there are moral lessons in every tragedy -- practical lessons that bring us from the personal to the universal.

Over the past two years, I have reflected, off and on, about dismay and anger and lessons, and I think I've discovered three in the Deepwater Horizon.

First, only Big Business has the resources to clean up its own mess. The federal government had neither the technicians nor the knowledge to stop the oil from gushing into the Gulf and sliming our shores, the barrier islands, marine life, our way of life and food supply.

Second, and as a consequence, the philosophy that government should stay out of the way of Big Business primes the pump of disaster. I don't want Big Brother in my life any more than the most fervent tea party Republican does.

But, brother patriot, let me tell you a fact of life: We need the federal government to act as umpire. Only Big Government is big enough to keep Big Business from thumbing its nose at the public welfare, and besmirching the public's health and safety. There's a reason the Constitution begins, "We the people in order to ... promote the common welfare ..."

Third, there's something wrong with the philosophy that almost any regulation is overregulation. No, we should have done something before the spill. We should have regulated BP and watched it closely, instead of giving it a pass to do as it pleased. To modify a clichÃ©, an ounce of regulation is worth many pounds of rectification.

But in remembering this event, let us never lose sight that we're all in this together. And when disaster strikes -- natural or man-made -- we must find the will to rebuild safer and stronger than before.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Observances of Earth Day and the second year since BP oil spill are upon us

@highlight

As spill fades in memory, she says, we must remember why it drew out our shared humanity

@highlight

She says 3 lessons emerged: One, only Big Business has means to clean up own mess

@highlight

Brazile: Government staying out of way leads to disaster; any regulation is not overregulation