(CNN) -- Born without the lower portion of his spine, Kurt Fearnley was given just a week to live.

Medical staff deemed his condition so severe they even asked his parents if they actually wanted to take him home.

Yet Glenn and Jackie Fearnley had no doubts about that, and their youngest son has gone on to claim three Paralympic gold medals, win the Sydney to Hobart Yacht Race, trek the notoriously-challenging Kokoda Trail and lunch with Britain's Queen along the way.

It's a mightily impressive collection but in his earliest moments, the prospect of such an action-packed life looked decidedly slim.

"There was quite a period of time when they weren't sure whether I would live out the hour, the day, the week, the month," the Australian, 33, tells CNN's Human To Hero series.

"It was slowly after we had been transferred to Sydney that there was the understanding I might be here to hang around, and my parents were then allowed to choose to take me back home -- even though they were offered alternatives."

Despite his condition -- sacral agenesis, which affects approximately one in 25,000 births -- young Kurt was constantly told by his parents that he was no different to his four elder siblings and that he could achieve anything he wanted.

So they perhaps shouldn't have been so surprised when he informed them of his choice of career.

"Telling Mum and Dad that I was turning down my place at university to be a teacher to become a wheelchair racer instead, I could have been sitting across from them saying I wanted to be a professional unicorn hunter," Fearnley recalls.

But he was backed to the hilt -- and not just by his family.

Growing up in the tiny New South Wales village of Carcoar, whose population even now is little more than 250, Fearnley was much-loved and terrifically supported.

Despite having legs so weak that they cannot support his weight, he would enter high jump competitions and play rugby league among other sporting pursuits -- and this indomitable spirit did not go unnoticed.

So when he had to turn down an invite to compete in the United States because he knew his family lacked the funds to send him, the people of Carcoar came to the rescue -- raising enough money within a week to buy both his flight and a racing chair.

Two decades on, the boy from the backwater has become a byword for bravery and belief -- and he did go on to become a teacher, qualified in physical education, as well.

"There were two turning points in my sporting aspirations. One of them would have been when I started to realize that I wasn't going to play cricket or rugby league for Australia as I wasn't competitive in that line," he says with a grin.

"Then there was the introduction to what my life is now -- wheelchair sports. I was about 13-14 when introduced to that lifestyle and culture. It changed my world."

"It was 1994 and I saw these guys who were just these big men and better than any footballer or cricketer. They were these gladiators and I loved it.

"I wanted to be them and here I am 20 years later. I think I'm almost there."

Fearnley's modesty grossly belies his herculean feats.

This is a man who can boast six silver medals and two bronzes on top of the three golds he has won since first competing at the Paralympics in 2000, on home soil in Sydney.

This is a man whose times in his 5,000 meters and marathon category (T54) have never been beaten.

And this is a man who has won a staggering 35 marathons out of the 54 he has contested around the world -- finishing on the podium another 14 times.

"The thing I love about racing wheelchairs is that when I get into my wheelchair, there is not another person in the world that is more made to do what I do," explains Fearnley, who won 1,500m silver at last month's Commonwealth Games.

"There are moments when you are racing that the speed is at a certain level or you're taking a corner at the right speed -- and at that moment, you feel like you are absolutely perfect and that this is what you are meant to do. It's an incredible feeling."

And Fearnley, who stands just 4 foot 7 inches and weighs around 50 kg, is an incredible competitor.

He won 2004 Paralympic gold after suffering a puncture with five kilometers still left to race, under a fierce Athenian sun. Two years later, he set a record time in the New York Marathon despite falling over when hitting a pothole.

"The most important quality any athlete needs is resilience. It's essential for a marathoner," says a man who has also survived two serious car crashes, one of them while in his wheelchair.

Yet merely relaying Fearnley's professional exploits doesn't come close to conveying the fullness of his extraordinary drive and ambition.

Just consider his approach to the Kokoda Trail, a testing single-file trek that runs 96 kilometers (59 miles) through the mountains of Papua New Guinea.

The path's rugged nature and precipitous river crossings are so challenging it can take any able-bodied person anywhere from 4-12 days to traverse it, so one can barely imagine the difficulties endured for someone who chooses -- in Fearnley's own words -- to "crawl" across it.

Nonetheless, he took it on for both charitable and patriotic reasons.

In 1942, Japan wanted to seize control of what was then New Guinea before launching a direct assault on the Australian mainland lying south, with seven months of intense fighting required before being ultimately repelled.

"The Kokoda Trail is the only sport in the world where Australia has really fought for the direct defense of Australia. It holds unlimited important to who we are as a nation," Fearnley says.

"It is 96 kilometers of mud and untold amounts of hills. The hills are these mudslides that are covered in a honeycomb of tree routes where you just have to try to keep trudging on.

"I crawled it in 2009, and it feels like it was a lifetime ago. I often wonder how it actually took place. When I was asked in the lead-up to it, it was just 'Why not?' If I think I can do something somewhere in the world and I want to, then wouldn't I make that happen?"

It's an attitude that sits very comfortably alongside his approach to life.

"My motto is probably that struggling is alright, and any struggling is strengthening," he says.

For precisely this reason, he chose to spend his Christmas holiday in 2011 on board the 100-foot Supermaxi yacht Loyal as it won the famous Sydney to Hobart race.

Being pummeled by waves and tossed around a buccaneering boat is not everyone's idea of fun but for the pragmatic Fearnley -- who also has a love of surfing -- it was all a way of readying himself for the 2012 Paralympics in London.

"I have had some incredible experiences outside of wheelchair racing, such as sitting down with 12 other people for lunch two years ago and one of them being the Queen," he smiles, referring to his meeting with visiting British royalty.

"Finding myself on board a yacht on the Sydney to Hobart and winning by 300 meters, having crawled around on this thing for 58 hours -- crawling, in the middle of the night, through people's vomit just doing my job and whatever needed to happen."

In spite of his unorthodox methods and his intense training regime, Fearnley failed in his objective to win the 2012 Paralympic marathon in his category.

Yet he was involved in one of the great Paralympic races, taking bronze even though he finished less than a second by the winner.

So he is unequivocal when asked to describe the biggest challenge of what has been a gloriously colorful career.

"I would say the next one -- turning up at the Rio Olympics in two years' time to try to get back to that number one position," he ventures.

"People may think there is not a lot between first and second (and third) place. In my case it was 0.8 of a second over a marathon, but that 0.8 of a second is absolutely everything in my sport.

"So I would say that the biggest challenge that I would ever have come through over the last 20 years will be trying to rectify that 0.8 of a second in the next two years."

@highlight

Kurt Fearnley is one of the world's most successful wheelchair racers

@highlight

He has overcome physical limitations caused by rare spinal condition

@highlight

Australian has crawled Kokoda Trail and crewed in testing yacht race

@highlight

He is seeking to regain his marathon crown at 2016 Paralympics