PHNOM PENH, Cambodia (CNN) -- Norng Chan Phal ran through the notorious Khmer Rouge prison S-21 in the Cambodian capital as a 9-year-old boy, frantically looking for his mother after their torturers had fled from advancing Vietnamese troops in 1979.

Norng Chan Phal was one of five children who survived the S-21 prison.

He didn't find his mother, but what he did see made him hide under a pile of clothes with other children for days in the prison.

"I was shocked when I saw the bodies -- I was thinking maybe my mother was killed like this as well and I ran back to hide with the other kids," he told CNN.

Norng Chan Phal is one of a few people to survive the school converted into a grisly prison, where more than 14,000 perished at the hands of the ultra-Maoists bent on creating an agrarian utopia -- an experiment that failed and left at least 1.7 million people -- or nearly a quarter of Cambodia's population -- dead from execution, disease, starvation and overwork, according to the Documentation Center of Cambodia.

He is one of many survivors of the Khmer Rouge still seeking justice more than 30 years after the Vietnamese toppled the genocidal regime. But whether that happens remains to be seen.

A war crimes tribunal backed by the United Nations got under way earlier this year after more than a decade of preparation, with five of the regime's former leaders facing charges that include crimes against humanity.

"The scale of the atrocities is indeed mind-boggling ... all of these crimes are to me crimes against humanity and put a tear into the fabric of humanity and have to be repaired and have to be fixed," said Robert Petit, chief co-prosecutor.

First in the dock was Kaing Guek Eav, also known as Comrade Duch, a former mathematics teacher turned born-again Christian who is accused of overseeing S-21.

"I am responsible for the crimes committed at S-21," he told the court. "I would like to express my regretfulness and my heartfelt sorrow and loss for all the crimes committed from 1975 to 1979."

Of the five charged, Comrade Duch is the only one of the group who admitted his responsibility at S-21. The other four charged had lived in freedom up until late 2007 and they have been denying their responsibility.

Many others connected with the regime and alleged atrocities are still at large.

CNN's Dan Rivers tracked down the alleged chief interrogator at S-21, a man named Ta Chan who is living in a former Khmer Rouge stronghold in western Cambodia.  Watch Dan Rivers' special coverage of Cambodia's search for justice »

Thousands of documented confessions found in the prison archives show he was the man who made prisoners talk by using means such as electrocution, waterboarding, merciless beatings and mutilations.

Ta Chan has not been charged with any crimes by the tribunal, and refused to speak with CNN, though his son said his father was old and his health was bad, and none of the family wanted to talk about the past.

But CNN found a woman who said she was a former comrade of Ta Chan -- and that she was still afraid of him all these years later.

"Ta Chan used several methods of torture," Mom Va said. "He pulled prisoner's fingernails out with pliers and strung prisoners up and smashed them into brick walls."

Some critics question whether the tribunal will provide a final closure to many Cambodians who continue to live in fear of -- and anger at -- the Khmer Rouge. Their concerns have grown with allegations by some tribunal staff members alleging they have been forced to hand over part of their salaries to an official.

There is no suggestion the judges or lawyers are involved, instead it is Cambodian staff from the court's Office of Administration who are at the center of the allegations.

CNN interviewed two Office of Administration employees who described pressure on employees to kick-back money to their boss.

"We have received, indeed, a couple of anonymous complaints but none of them have referred to the matter you have raised," Helen Jarvis, a court spokeswoman, told CNN.

The Cambodian government told CNN a senior Cambodian court official was investigated for corruption but was exonerated. "They told me they cannot find any proof of kick-back or corruption," said Khieu Kanharith, government information minister. "If you want the court -- the trial -- to go ahead, separate the two cases."

The U.N. confirmed to CNN that the OIOS, the U.N.'s internal affairs body, has investigated corruption in the court administration but would not share the results.  Watch more on the corruption probe »

But some involved in the tribunal have speculated that the U.N. may have to pull out of the process if this issue isn't tackled, meaning the trial could collapse.

"It's becoming a real possibility and it would be a massive shame for the Cambodian people. The victims who've been waiting for 30 years for these trials they deserve justice, they deserve peace, they deserve closure," said Richard Rogers, Chief of Defence Section of Trial.

On many days, Cambodians fill the court outside of Phnom Penh to watch the proceedings.

Despite the skepticism and concerns of some, Norng Chan Phal is hopeful of the outcome.

"I think (the) Khmer Rouge court is very good for people like me and other victims. We believe the court can find justice for us."

CNN's Miranda Leitsinger contributed to this report.

@highlight

At least 1.7 million people perished under the Khmer Rouge 1975-1979 rule

@highlight

The ultra-Maoists were bent on creating agrarian utopia

@highlight

War crimes court began earlier this year after more than a decade in the works

@highlight

CNN documentary examines Cambodia's attempts to confront violent past