New Delhi (CNN) -- Outside the jail where he is staying, though he isn't a prisoner, Indian activist Anna Hazare has a growing crowd of supporters to back him up.

"Even if we die, we will remain adamant in our protest. We will not move from here," said Tarun Garg, one of Hazare's supporters, on Wednesday.

Hazare was planning to go on a hunger strike to call for stronger anti-corruption measures when he was detained Tuesday. As thousands took to the streets to protest the arrest, authorities let him free, but he refused to leave the jail.

Now it looks like the anti-corruption crusader has accepted a police proposal that will allow him to fast in New Delhi for two weeks. Hazare adviser Kiran Bedi said on Twitter that police removed "unacceptable conditions" and will allow the protest to begin Thursday afternoon.

The social reformer has become an unlikely figurehead for the fight against corruption in the country.

Hazare, 74, was not known nationally until recently. His protest seems to have struck a chord with Indian society across the spectrum because corruption is pervasive at all levels of government, observers say.

He has been able to mobilize public support because there is so much dissatisfaction with the issue. Citizens have even created a website -- ipaidabribe.com -- where people can denounce the corruption they encounter in their daily lives.

The prime minister's handling of the protest appears to have added to Hazare's status, because it makes it look like the government is going after the messenger rather than offering solutions.

Corruption is considered an endemic problem that affects all levels of Indian society. According to a 2010 Transparency International report, India ranked 87th out of 178 countries in its corruption-perception index.

In April, Suresh Kalmadi, the chief organizer for last year's Commonwealth Games, was arrested and accused of buying a time, scoring and result system from a Swiss company at inflated costs.

Meanwhile, India's former telecom minister A. Raja, several bureaucrats and corporate officials are facing trial in connection with a multi-billion-dollar scandal involving the suspected below-price sale of mobile-phone radio waves or spectrum in 2008.

The draw that Hazare's planned hunger strike has was so great that police first tried to put conditions on it.

Organizers did not accept six of 22 police conditions for allowing the protest, including limiting the crowd to the capacity of the ground, police said. As a result, Hazare was detained, as were 1,300 supporters who planned to join Hazare at a protest site.

A magistrate sent Hazare and seven supporters to jail after they failed to post bail, according to Rajan Bhagat, a police spokesman in New Delhi. They were freed hours later and shifted to a prison office after the magistrate issued release orders, jail spokesman Sunil Gupta said.

The group had refused to leave the prison office until they are allowed to hold their hunger strike without unacceptable conditions, the jail spokesman said.

Thousands gathered in several cities, chanting pro-Hazare slogans and echoing his demands. Supporters carrying Indian flags held sit-ins, marches and noisy demonstrations. Many had "I am Anna" labels on their shirts.

Hazare conducted a similar five-day hunger strike in April at New Delhi's Jantar Mantar landmark, ending it after India's prime minister agreed to introduce long-pending legislation meant to crack down on graft.

Anti-corruption campaigners have rejected legislation prepared by the federal government to create a citizen ombudsman, saying the bill, now in Parliament, is too weak to tackle endemic graft in the system.

Critics have accused the activists of undermining lawmakers who will decide the proposed law.

Prime Minister Manmohan Singh on Wednesday justified the arrests in a statement before Parliament.

"Our government acknowledges the right of citizens to hold peaceful protests," he said. Hazare and his supporters would have been allowed to hold their protest fast if they had accepted the conditions, he said.

Amid shouts by opposition lawmakers over the police response to Hazare's protest, the Indian prime minister also cited supremacy of the legislature.

"I am not aware of any constitutional philosophy or principle that allows anyone to question the sole prerogative of parliament to make a law," he said.

Singh, whose government is roiled in massive corruption scandals, acknowledged in a national address earlier in the week that no single measure could handle chronic corruption.

"I believe that there is no single big step which we can take to eradicate corruption. In fact, we will have to act simultaneously on many fronts," Singh said.

Campaigners' insistence on not accepting legislation other than their own version of the anti-corruption bill was "beyond comprehension," Home Minister P. Chidambaram told reporters Tuesday.

"How can you indirectly endorse such an argument that it is his bill and no other bill (that is acceptable)?" he said.

Police took Hazare into custody after the veteran activist told officers that he would "defy" orders not to hold a demonstration, Chidambaram said.

He said Hazare and his supporters were welcome to raise their concerns with a parliamentary committee that will scrutinize the legislation before it is presented to lawmakers for a vote.

Activists appealed to government employees to take a day off work in a show of solidarity with Hazare, a call federal officials were quick to term "wrong."

"I sincerely hope that the government servants don't respond to such wrong calls," Chidambaram said.

CNN's Ram Ramgopal contributed to this report.

@highlight

NEW: Police reportedly remove conditions on fast, Hazare adviser says

@highlight

Authorities detained Anna Hazare as he planned a hunger strike to push for anti-corruption measures

@highlight

Prime minister says arrests before protest were justified