(Hong Kong) (CNN) -- The day after the biggest murder trial in recent Chinese history, the country's state media ran stories about the defendant, Gu Kailai, the high-powered wife of deposed Chinese politician Bo Xilai, but kept headlines off the front page.

The court is still deliberating the case against Gu. She and a family aide, Zhang Xiaojun, are accused of poisoning British businessman Neil Heywood in a hotel room in the city of Chongqing last November.

According to a court official, Gu's defense team raised no objection to the prosecution's charges, detailed Thursday in a one-day trial, a month after she and Zhang were charged with murder.

Before Thursday's court appearance, Gu and Zhang hadn't been seen publicly since their arrest in April-- and they have been unreachable for comment.

On Friday, most major Chinese publications including the Global Times, People's Daily, Beijing Daily, Beijing News, Guangming Daily and Beijing Morning Post published stories about the trial, but they were relegated to page three and beyond.

One article in the Beijing Times included a sketched image of Gu, but otherwise no photos were published and the reports carried the same story published on state-run news agency, Xinhua.

Discussion about Gu's trial and the surrounding scandal was blocked on social media Friday, but netizens in China appeared to be using code names to evade censors.

One user on Sina Weibo, the Chinese microblogging site, referred to Bo, the former Communist Party chief of Chongqing, and his wife, Gu as "B&G." The user wrote: "B&G case is under strict censorship in China thus not seen on media, all we can see is the standard CCTV version. By contrast the case is attracting intense international attention and making headlines almost everywhere."

"The immense international attention is natural considering how high-level it is and the great impact on Chinese politics."

Some netizens expressed support for Bo, referring to him as "Grandfather Bo" and wrote about missing his leadership. Other posts played off Bo's last name, which can mean thin, weak or poor in Chinese, and some obliquely used the word "tomato," apparently to refer to Chongqing, which literally means "the red city in the west."

Gu's trial has been closely watched by international media, however proceedings were closed to international journalists who clustered outside the court house in Hefei Thursday. After the trial, Chinese-run state television, CCTV showed clips of Gu appearing before the court and walking outside flanked by police.

"It's a very carefully staged, supposedly public trial, but it isn't public at all," said Jerome Cohen, a law professor at New York University. "It's just carefully organized and highly limited in who can attend."

The Shakespearean-like saga involving Gu and Bo has become one of the most sensational Chinese political scandals in recent memory.

Before the allegations in the case came to light, Bo was considered to be a strong contender for entry to the Politburo Standing Committee, the nine-member team that steers Chinese policy.

But, Bo has now been stripped of all his political titles and is being investigated for what officials call, "serious disciplinary violations." He has been out of the public eye and unreachable for comment. However, when the scandal first broke, Bo denied any wrongdoing and accused critics of slinging mud at the family for political reasons.

The scandal comes just months before the country's senior leaders meet to hand over the reins of power to the next generation of leaders, a once-in-a-decade event.

Gu and a family aide, Zhang, are accused of poisoning Heywood, a 41-year-old British businessman who was found dead in November in the southwestern Chinese metropolis of Chongqing, the city where Bo was the Communist party chief.

Gu's trial ended after seven hours on Thursday. The verdict will be delivered at a later date after deliberations, according Tang Yigan, deputy head of the Hefei Intermediate People's Court. Tang delivered a statement to the press after the trial Thursday, divulging some details of the case against Gu. Chinese authorities have said that Gu and her son had "conflicts" with Heywood "over economic interests" and that she was motivated to kill the Briton because of fears for her son's safety.

Cohen, the co-director of New York University's U.S.-Asia Law Institute, suggested that attempts to block discussion of the trial on social media might only encourage speculation and rumor amongst the Chinese public.

In the absence of facts, rumors can spawn "some very sophisticated conspiracy theories, many of which are wrong," he said.

"Unless there is some kind of investigation reported to the public I think the Chinese people who are highly sophisticated and now have the internet and social media, they will remain very, very suspicious of what's going on," he said.

Gu's trial is considered one of China's most high-profile cases since the Gang of Four trial in 1980.

The Gang of Four, comprised of four officials including the widow of Mao Zedong, was tried for their role in the country's ill-fated Cultural Revolution.

All four were imprisoned after a trial that lasted for six weeks. Cohen said he watched their televised trial in China more than three decades ago.

Since then, "there have been enormous changes," he said. "Now you have codes of law, you have legal institutions, hundreds of thousands of judges, prosecutors, lawyers, a lot more experience than they had before. But in the end, one has to ask what has changed fundamentally with respect to criminal justice?"

CNN's Tian Shao and intern Sisi Tang contributed to this report.

@highlight

Chinese media published the same story about Gu Kailai

@highlight

Discussions about murder trial have been banned on Chinese social media

@highlight

Gu's murder trial on Thursday lasted 7 hours