(CNN) -- Chiefs of every military branch told a Senate committee Tuesday they opposed letting prosecutors, rather than commanders, handle sexual assault investigations, as one senator has introduced legislation aimed at doing just that.

Senate Armed Services Committee Chairman Carl Levin said there may be public confusion about the military's reporting process. Referring to media reports that there is only one way to report sexual assault, the Michigan Democrat asked each of the military heads at a hearing if there currently are multiple options in addition to notifying a unit commander. They replied yes.

They also told the committee that instances of commanders ignoring their judge advocate generals' advice in sexual assault cases are extremely rare.

Sen. James Inhofe, the top Republican member of the Armed Services Committee, earlier called sexual assault in the military "an enemy to morale and readiness" and urged his colleagues to tread carefully in tackling the issue.

Inhofe said he is opposed to any legislation "removing commanders from their indispensable roles" in the military justice system and noted that military and civilian courts are different animals because members of the military do not enjoy the same rights as civilians.

"There's a risk of unintended consequences if we act with haste without thorough and thoughtful review," the Oklahoma lawmaker said.

Representatives knock Sen. Saxby Chambliss' comments on sexual assault

The congressional committee called the unprecedented hearing, which includes testimony from the Joint Chiefs of Staff and top military lawyers, after Sen. Kirsten Gillibrand, D-New York, introduced legislation that would remove the chain of command from the process victims go through to get their claims heard.

Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff; Gen. Raymond Odierno, chief of staff of the Army; Adm. Jonathan Greenert, chief of naval operations; Gen. James Amos, commandant of the Marine Corps; Gen. Mark Welsh, chief of staff of the Air Force, and Adm. Robert Papp Jr., commandant of the Coast Guard, each acknowledged that sexual assault is a serious problem but one that commanders are equipped to handle.

They all used their opening statements to the committee to express opposition to Gillibrand's proposal.

"These crimes cut to the heart of the Army's readiness for war. They destroy the very fabric of our force -- soldier and unit morale," Odierno said.

But while there may be derelict commanders, he said, those are anomalous, and the chain of command must be "fully engaged and at the center of any solution" to the issue.

The general later said that it was a misconception that commanders handle complaints independently of the military justice system.

"You have a very experienced judge advocate by your side the whole time," he said. "They are taught to rely on their judge advocate generals."

Navy football players investigated in sex assault complaint

Gillibrand was undaunted, emphasizing that commanders would be removed from the process only for the most serious crimes, such as rape and murder.

She said she agreed with the military chiefs that "the chain of command is essential for setting the climate," but there is a difference between setting a tone and dealing with serious crime, especially when one of the compounding factors in reporting sexual assault is a lack of trust.

"You have lost the trust of the men and women who rely on you, that you will actually bring justice in these cases," Gillibrand said. "They're afraid to report. They think their careers will be over."

Sen. Tim Kaine, D-Virginia, said 90% of victims who don't report said they didn't do so out of fear of retaliation or because they were deterred after witnessing the treatment of other victims who reported sexual assaults.

Gillibrand said there are commanders who are not objective, who don't want women in the military in the first place, who don't know the difference between a "slap on the ass and rape."

Sens. Lindsey Graham, R-South Carolina; and Claire McCaskill, D-Missouri, also previously expressed concerns about the military lumping all sexual assault and sexual harassment cases under the category of unwanted sexual contact, rather than breaking out the more severe crimes of rape, sodomy and assault.

Gillibrand added that the United States should follow the leads of allies like Israel, Australia and the United Kingdom, all of which, she said, have taken the chain of command out of investigations into serious crimes.

Soldiers and sex: Can men evolve?

Dempsey replied that he'd prefer a "constellation of checks and balances" to help empower commanders and hold them accountable. Amos said he'd be open to removing the chain of command if he thought it would work, but he had no proof it would.

A second panel of military commanders, convened after the military chiefs, followed suit with their superiors, saying not only would removing commanders from the investigative process undermine their troops' trust in them, but it would also deny them the effective tool of nonjudicial punishment, known as Article 15.

Commanders also must be able to decide whether an allegation should be investigated, or the subject of a court-martial, they said.

"I need to be able to take action against any perpetrator and hold people accountable," Air Force Col. Jeannie Leavitt, commander of the 4th Fighter Wing.

The commanders' ability to convene a court-martial acts as a deterrent, and Marine Col. Tracy King, commander of the Combat Logistics Regiment 15, said he suspected that an "overwhelming" number of Marines would take their chances that an independent prosecutor might be more lenient.

"If you remove my authority to convene a court-martial, the majority of Marines will refuse (nonjudicial punishment)," King said.

The colonel said he was unaware of any instances in which a chain of command retaliated against a serviceman or servicewoman for reporting sexual assaults, but he said there is "peer pressure against reporting right now," an attitude that is changing.

McCaskill said she was disappointed in the commanders' testimony.

"It sounds like you all are very bullish on the status quo," the senator said, calling the status quo "not acceptable."

Earlier in the hearing, Dempsey said he has seen numerous proposals that have merit. Among them: prohibiting people convicted of sexual assault from joining the military, administrative discharges for those convicted while serving, requiring commanders to report all claims up to the next commander, and increasing the transparency of commanders' actions.

Hagel: Scourge of sexual assault 'must be stamped out'

"Our goal should be to make commanders more accountable," he said.

Pressed by Sen. John McCain, R-Arizona, about whether there are sufficient regulations to prevent convicted sexual predators from joining the military, Dempsey said no.

Presently, there are "inadequate protections for precluding that from happening, so a sex offender could, in fact, find their way into the armed forces of the United States," Dempsey said.

McCain, a decorated Navy veteran and former prisoner of war, said he could not give a mother "unqualified support" if she asked him whether her daughter should join the military.

Amos said that the Marines have tackled scourges in the past -- namely, racism after World War II and drug use after the Vietnam War -- and prevailed. Discipline and behavior problems must be handled from the top down, he said.

"A unit will rise or fall as a direct result of the leadership of its commanding officer," Amos said. "They should never be forced to delegate their authority."

He further said that in 43 years, he couldn't think of an incident in which he opposed a judge advocate general's recommendation to prosecute, but he recalled many incidents in which he had ordered prosecution when the JAG advised against it.

Levin appeared to agree with the military chiefs.

"The chain of command has achieved cultural change before. For example, two generations ago when we faced problems with racial dissension in the military, and more recently, with the change to the 'don't ask don't tell' policy, and the chain of command can do it again," he said.

Gillibrand wants to give military prosecutors -- rather than commanders -- the power to decide whether cases are investigated because, she asserts, the current system opens the victim up to retaliation. Gillibrand and others feel commanders cannot be impartial figures, especially if both the victims and perpetrators are under their command.

Army suspends general due to allegations of misconduct

Speaking on a third and final panel of the day, Anu Bhagwati, executive director and co-founder of Service Women's Action Network, expressed support for Gillibrand's legislation, saying it would help stop retaliation.

"The first thing it'll do is restore faith and trust in the system. Right now victims don't have any of that. They've lost all hope in the military justice system unfortunately," she said.

"I have not met a woman in the military yet who has not experienced some form of discrimination or harassment. When that is, sort of, the average experience of a woman in the military, a culture of harassment is created, and sexual predators will thrive in that culture."

The military has been hit hard over the issue of sexual assault among its ranks, with the Defense Department reporting an estimated 26,000 cases of unwanted sexual contact, ranging from rape to groping, in 2012. That was a 35% jump from 2010, the Defense Department said.

The report prompted President Barack Obama, during May 24 commencement exercises at the Naval Academy, to tell graduates, "Those who commit sexual assault are not only committing a crime, they threaten the trust and discipline that makes our military strong."

A handful of recent high-profile incidents have brought this issue to the forefront:

-- An Army sergeant first class assigned to the sexual assault prevention unit at Fort Hood, Texas, is being investigated for alleged sexual assault, pandering, abusive sexual contact and maltreatment of subordinates.

-- In early May, an Air Force officer who worked with an assault prevention unit was charged with sexual battery after being accused of grabbing a woman and groping her buttocks and breasts in a parking lot not far from his Washington office.

-- Three U.S. Naval Academy football players are under investigation in an alleged sex assault involving a female midshipman at an off-campus "football house" party in April 2012, according to a Defense Department official. The victim says she learned from friends and social media that the players claimed to have had sexual intercourse with her while she was intoxicated, her lawyer said.

Obama: Pentagon leaders 'ashamed' over sexual assaults plaguing military

@highlight

"It sounds like you all are very bullish on the status quo," senator tells commanders

@highlight

Senator: Some commanders can't differentiate between "slap on the ass and rape"

@highlight

Gen. Dempsey: "Inadequate protections" to keep predators out of armed services

@highlight

Legislation would allow prosecutors, not commanders, to decide if claims have merit