(CNN) -- Questions abound about how to best inoculate the world against swine flu as health officials plan for a campaign that could dwarf any previous flu vaccination effort.

Researchers in Taiwan sort through eggs for a swine flu vaccine. Companies worldwide are working on vaccines.

Among the issues to be resolved are the amount of vaccine likely to be available, the timing of the vaccine's availability, how it would be distributed, who would provide the shots, who would pay for them and whether it will be possible to track potential side effects.

At a recent meeting at the Centers for Disease Control and Prevention, health officials said U.S. demand could reach 600 million doses of vaccine, enough for two doses for each of the approximate 300 million people in the United States. That's in case two doses are required for children and adults under 50, CDC representatives said.

That would come on top of the 115 million doses of seasonal flu that are distributed annually, health officials said Friday.

Although there has been no official decision to undertake a major vaccination campaign, senior officials are hinting strongly that they would recommend such an effort.

Congress passed a supplemental appropriation for $7.5 billion, which President Obama recently signed, to cover the costs of preparing for the virus, which includes a vaccination campaign, CDC spokesman Thomas Skinner said.

Small studies in ferrets at the CDC suggest that when compared with seasonal flu, the virus appears to cause more severe disease but also seems to spread less easily.

Ferrets are often used in flu research because the animal's respiratory tract responds to flu viruses in much the same way as a human's. Still, it's too soon to draw any conclusions, said Nancy Cox, director of the CDC's influenza division.

More detailed results will be published in the journal Science this week.

The World Health Organization declared the virus, also known as the novel influenza A(H1N1), a global pandemic June 11. More than 70 countries have reported cases of human infection with the virus, and more than 70,000 cases have been documented worldwide, according to the WHO. There are 27,717 cases in the United States, according to the CDC.

As the first pandemic strain to emerge since 1968, the novel H1N1 virus has attracted interest from pharmaceutical companies around the world. Samples have been sent to dozens of potential vaccine makers, said Michael Shaw, lab team leader for the novel H1N1 response at the CDC.

Most vaccine production will involve the traditional route of growing a modified virus in eggs, but demand is so high that newer methods are getting a serious look.

One comes from a small company called Protein Sciences Corp., based in Meriden, Connecticut, which recently received a $35 million contract from the U.S. Department of Health and Human Services to pursue a new vaccine technology.

"The technology has advanced in recent years to a point that we believe it could help meet a surge in demand for U.S.-based vaccine for seasonal and pandemic flu," HHS Secretary Kathleen Sebelius said in a statement last week.

The company is producing 100,000 doses of vaccine per week, said Daniel Adams, CEO of Protein Sciences Corp.

The technology involves caterpillar ovary cells, which were isolated 20 years ago, and a virus called baculovirus that infects insects but does not harm humans, Adams said. Scientists inject a protein of the novel H1N1 virus into the baculovirus, which can multiply quickly in insect cells.

Making large quantities of this vaccine is faster than with traditional production methods because the basic cells are able to be frozen and stored, the company said in a statement.

Protein Sciences Corp. will have the vaccines ready for use in clinical trials in a month, Adams said. They will also be ready for human use if the FDA issues an emergency authorization to start distributing swine flu vaccines.

"We'll be paving the way for everybody, because the data that's generated in those trials will allow other people to get any idea of what it's going to take, how to make an effective vaccine," Adams said.

But the researchers do not know what is the appropriate dose size for this vaccine or whether it should be given once or twice, he said. These are issues that may be resolved in clinical trials.

A more established player in the vaccine arena is Sanofi Pasteur, which could have vaccines for the novel H1N1 virus available for clinical investigation in humans this summer, spokeswoman Donna Cary said. Supplies could become available to public health authorities in four to six months, and the FDA is reviewing the final clinical trial design, she said.

Novartis AG, another large pharmaceutical company, announced June 12 that it had produced the first batch of H1N1 vaccine weeks ahead of expectations, using cell-based manufacturing technology.

The company plans for clinical trials to start in July and expects licensure in the fall.

Abroad, the United Kingdom's department of health has signed contracts with pharmaceutical giants GlaxoSmithKline and Baxter. The advance purchase agreement allows for up to 130 million doses, but there is flexibility in the contract, spokesman James Hotson said.

The UK health department expects that 75 million doses will be produced before the end of the year, with the first supplies arriving in August, Hotson said.

GlaxoSmithKline spokesman Jeff McLaughlin said his company's first doses are expected to be available in four to six months.

Baxter has just gone into full-scale production of its novel H1N1 vaccine and is hoping to deliver it for clinical trials as early as July, said Kim White, spokesperson for the company. The clinical work for this vaccine is based on the H5N1 avian flu, she said.

"The clinical trials [part] is a little tricky, given that this is a brand new virus," she said. "No one has done clinical trials with this particular virus."

In planning, U.S. health officials are taking into account the experience of the 1976 swine flu vaccine campaign, which strove to immunize against the strain found at Fort Dix, New Jersey. More than 40 million people received the vaccine before the campaign ended because some recipients developed Guillain-Barre syndrome, which causes temporary paralysis.

There's still no good working theory on what caused it, Cox said. Comparisons between the two episodes are limited in value, she said, because genetic analysis shows that the current H1N1 virus is very different from the 1976 swine flu virus.

CNN's Caleb Hellerman contributed to this report.

@highlight

115 million doses of seasonal flu are distributed annually in U.S.

@highlight

Most vaccine production involves traditional route of growing virus in eggs

@highlight

New technologies, such as using caterpillar cells, are getting attention

@highlight

1976 swine flu vaccine program ended because some people became paralyzed