(CNN) -- Calling it "a stark wake-up call to everyone involved in college sports," the National Collegiate Athletic Association announced a $60 million fine against Penn State University on Monday and stripped 14 seasons of football victories from the late head coach Joe Paterno.

NCAA President Mark Emmert said the unprecedented fine will be paid over five years to fund programs that serve the victims of child sexual abuse. The NCAA also banned Penn State from postseason play for four years and took away 20 football scholarships a year for four seasons, he said.

The sanctions are part of the continued fallout from the child sex abuse scandal involving former assistant football coach Jerry Sandusky, who was convicted in late June of 45 of the 48 counts he faced involving 10 young victims. They're a blow to one of college football's traditional powers, a two-time national champion.

"No price the NCAA can levy will repair the grievous damage inflicted by Jerry Sandusky on his victims," Emmert said. "However, we can make clear that the culture, actions and inactions that allowed them to be victimized will not be tolerated in collegiate athletics."

Read more: Penn State board member resigns over Sandusky scandal

Penn State avoided the NCAA's "death penalty," a suspension from play of a year or more. But Ed Ray, the chairman of the NCAA's executive committee, said the sanctions laid on the school "should serve as a stark wake-up call to everyone in college sports."

Paterno, who coached at Penn State for 46 years, was fired after Sandusky's arrest in November. Graham Spanier, the school's president, was also let go. Two other former university officials face criminal charges in the Sandusky scandal.

The Big Ten Conference also acted Monday, ruling that Penn State is ineligible for its conference title football game and that the Nittany Lions' share of bowl revenues for the next four seasons -- about $13 million -- will be donated to charities that "protect children."

The NCAA action follows an independent investigation led by former FBI Director Louis Freeh, whose report held Paterno and other top Penn State officials responsible for failing to stop the abuse beginning in 1998. Penn State President Rodney Erickson said the university has accepted the decision and will not appeal.

"I think, for the whole university, what this calls upon us to do is to look at our whole value culture, our whole value set, our value base," Erickson told CNN. The school will have to ask itself "what are the most important things in terms of a university, our mission, our educational mission, educational excellence in all of its dimensions," he said.

"Those conversations are going to go on from the top on down, from the board to my administration to the leadership of all of our various units, and drive those conversations down," he said.

Paterno had been the all-time leader in major college football victories for a coach, with 409 wins. The NCAA's decision strikes 111 of those from his record, beginning in 1998 -- a move that posthumously bumps him from the top of the list.

Photos: Paterno through the years

Paterno's family sharply objected to Freeh's findings and criticized the NCAA for following the report's conclusions.

"The sanctions announced by the NCAA today defame the legacy and contributions of a great coach and educator without any input from our family or those who knew him best," his family said in a statement released Monday.

But one prominent advocate for sexual abuse victims objected to the NCAA's decision to spare Penn State from suspension. The Survivors Network of those Abused by Priests said the death penalty would have been "the most effective deterrent to current and future cover-ups."

"Vacating wins is a hollow punishment that will be forgotten by the time the next season begins," the group said. "Bans from bowl games have been issued in the past because players traded championship rings for tattoos. This is not a punishment that is equal to the horrific crimes that happened at Penn State."

SNAP urged parents and and "all who care about kids to remain vigilant" about Penn State's compliance, warning, "What we've learned from decades of similar scandals in churches is that agreements like this lack real follow-up."

Emmert defended the punishment in a CNN interview Monday night, saying the sanctions will deliver $60 million to aid sex abuse victims.

"That's 100 times greater than any fine ever levied in the history of the NCAA," he said. "We have imposed significant penalties on a competitive end of the football program. The university has been very, very responsive in the openness of providing all of the information about this, and so we feel very comfortable where we are with these penalties."

Pennsylvania Gov. Tom Corbett, meanwhile, called on Penn State to offer assurances "that no taxpayer dollars will be used to pay the $60 million fine imposed on the university today." University spokesman David La Torre told CNN on Monday that school will not use tax or tuition dollars to pay the fine.

A recent university study said the football program had a $161.5 million impact on Pennsylvania in 2009. The football team made a $53.2 million profit in 2010, according to CNN Money. The school made $24 million more through general merchandise sales.

"One of the grave dangers stemming from our love of sports is that the sports themselves can become too big to fail, indeed, too big to even challenge," Emmert said. "The result can be an erosion of academic values that are replaced by the value of hero worship and winning at all cost."

The postseason ban, which is also unprecedented, could damage the school's prestige in the eyes of potential recruits and will affect the program's bottom line through the loss of potential millions from the conference title and bowl games. The penalties also deal an emotional blow to the Penn State community, one fan said.

"By essentially taking away the main pillar of the university, you are almost pulling the university down," former student Ujas Patel told CNN. He complained of media coverage that fails to point out the good that Paterno, known affectionately by fans as "JoePa," achieved through requiring his players to also succeed academically.

"Anybody who's gone to Penn State, that's something that really is going to bother people," he said.

Former Penn State running back Matt Hahn said that football will return to the school, "but I think that there are some things that are bigger priorities than that right now."

Hahn, who played for the Nittany Lions from 2004 through 2007, said his relationship with Paterno was "excellent," and "he never lied to me."

"That being said, I don't really know what went on behind closed doors. I don't know how much information he did or did not know," he said.

Former Florida State University football coach Bobby Bowden, who now becomes the winningest coach in major college football history, said Monday that he is "not rejoicing."

"I really don't think anybody can until this thing is settled, until those young men have their say so. ... Until then, nobody can be joyful about it," he told CNN's Brooke Baldwin. "What happened, happened."

A lawyer for one of Sandusky's victims said the NCAA should have heard from his client and others who were abused.

"Throughout the past several weeks, PSU and the NCAA have imposed sanctions and taken what they perceive to be corrective measures," said Ben Andreozzi, attorney for the person identified as Victim No. 4 in the Sandusky case. "I am disappointed that no effort was made to consult the victims in this case to ensure that their voices were heard in this process.Â After all, they are the ones who were victimized, not the NCAA or PSU.Â "

iReporter: This is an end of an era

Emmert said current players will be allowed to transfer to other schools without having to sit out a year, as is normally required, or they can stay and keep their grants, even if they don't play football. The restrictions mean that starting in 2014, the school cannot have more than 65 players on scholarship, and it can offer only 15 new scholarships each year for four years, beginning with next year's incoming recruits.

"I knew when I accepted the position that there would be tough times ahead," new coach Bill O'Brien said in a written statement. "But I am committed for the long term to Penn State and our student athletes."

On social media, some players wrote they would return next season as a team with a mission.

"PSU vs The World - Day 1 - ," tweeted tight end Garry Gilliam.

On Sunday, a 900-pound bronze statue of Paterno was removed from its place outside the 107,000-seat football stadium. Erickson issued a statement saying the statue is being stored in a "secure location." Another tribute to Paterno -- the university library that bears his name -- will remain as it is, Erickson said.

Photos: Final tributes, Paterno statue removed

The statue was removed exactly six months after Paterno died of lung cancer. He died less than three months after he coached his last game. Under Paterno's tenure as head coach, the Nittany Lions went undefeated five times and finished in the Top 25 national rankings 35 times.

The Freeh report found that several Penn State officials concealed evidence that Sandusky had sexually abused minors. Freeh concluded that Paterno could have prevented further sexual abuse had he taken action.

Sandusky is expected to be sentenced in September. His legal team has said it will appeal the convictions.

Two former university administrators are awaiting trial for their role in the scandal, and more charges are possible as the state's attorney general investigates what Penn State may have known about Sandusky's behavior.

Read more: Sculptor of Joe Paterno statue questions fate of his work

Do you think the NCAA penalties against Penn State were fair? Share your view with CNN iReport.

CNN's Susan Candiotti and Tom Cohen contributed to this report.

@highlight

The university says it agrees to sanctions and needs to change its culture

@highlight

The fine will be used to help victims of child sexual abuse

@highlight

The Paterno family says the ruling defames the legacy "of a great coach and educator"

@highlight

The attorney for a sex abuse victim criticizes the process