(CNN) -- Every Halloween, I get the same questions from parents:

"Should I let my kids have candy?"

"How much candy is safe?"

And a question not necessarily tied to Halloween: "How can I raise my kids with healthy habits but also without making them feeling deprived?"

The answer isn't simple. All the focus is on the candy we eat once a year at Halloween when we eat even worse foods all year long.

My opinion as a dentist has evolved over the last 25 years, and it continues to evolve as I learn from my patients and from my own children.

To begin to answer this question, we first need to understand: How bad is candy, really?

The effects of candy on our children are twofold. There are biological effects that we all know about, such as the adage "candy rots your teeth," but there are also psychological effects of binging on all that well-marketed candy.

The effect candy has on your kids' teeth

The increased consumption of sugar in our culture is linked to diabetes and obesity. Consider:

• Sugar is changing our children's taste buds. By exposing our kids to sugar-laden foods, we are corrupting their taste for the sweetness in fresh fruit and "superfeeding" the bacteria that cause tooth decay.

• "Just this once" actually has a lasting effect. So what's the big deal if your children binge on candy just once a year? That one binge may lead to an altered taste sensitivity, which can lead to cravings for other things. Those things might include soda, which we know is linked to increased risk of diabetes, obesity and other health issues.

The dental screening that could save your life

Sugar addiction has also been shown to activate the same parts of the brain as cocaine addiction. Would we let our children have cocaine "just once" each year? In this way, Halloween candy may be a gateway to serious systemic diseases.

• Candy plays a role in your children's future dental health. The effects of candy have compounding ramifications as children get older. The more tooth damage that occurs, the earlier people have issues with their teeth as adults in terms of crowns, root canals, extractions or implants -- or all of the above.

By delaying damage during childhood and the adolescent years, you bypass a crucial and vulnerable time in life. Children are more vulnerable to the effects of candy than adults because they often aren't aware of the ramifications (such as a $1,400 root canal that comes later in life), and they don't brush, floss and take other actions to negate the effects of bad decisions. The exposure your children have to candy and the habits they form will determine their dental future.

Beyond the teeth

Perhaps just as concerning as the damage to the teeth are the psychological effects of all this candy. Those include:

• It's an unhealthy message. All year long, we tell our children, "Don't take candy from strangers." But isn't Halloween asking them to do just that, making an exception? What if that confusing and conflicting message were to jeopardize a child's safety one day?

• Halloween doesn't teach moderation. The binge culture that Halloween promotes might be just as damaging as the sugar itself. The name of the Halloween game is, how much candy can you get in your bag before midnight? Or worse -- how much can you eat in one sitting? Candy is no longer a treat for Saturdays from the candy shop -- it now comes in big bags from warehouse stores.

5 things to do at the dentist's office

It's all about quantity, rather than an infrequent treat that is savored. Grandma was right when she said "everything in moderation." Those who live the longest, healthiest lives cite moderation as key to their longevity.

• Selling and marketing food to children is big business. The food industry spends nearly $2 billion annually to market and advertise food to children and adolescents. Children are vulnerable to messages from their favorite television character who is endorsing a candy.

So, how bad is candy? You'll have to make the decision for yourself and for your family, but the important issue is that we're aware of the physical and psychological costs of candy and can make an educated decision about it.

One solution I've found to all this madness to invoke the spirit of the Great Pumpkin, who collects candy left on doorsteps every Halloween night to replace the candy with a real treat -- a book, new computer game, skateboard, etc.

So, are you a bad parent if you let your children eat Halloween candy? I'd encourage you to ask a different question: Am I empowering my children with healthy habits and knowledge before they go trick-or-treating this Halloween? Am I an enabler to all the candy madness, or am I modeling healthy habits and moderation?

One of the responsibilities of parenthood is educating our children and setting them up with healthy habits that they'll carry through to adulthood and even on to the next generation. We likely aren't going to bar our children from going trick-or-treating, but modeling and teaching them what happens afterward is what will determine their habits around candy for life.

If you can answer yes to all those questions, then you and your children are in the clear. Healthy habits are the real treat.

Baby's teeth: What you should know

The opinions expressed in this commentary are solely those of Dr. Mark Burhenne.

@highlight

A dentist offers points to consider about letting children binge on Halloween candy

@highlight

Eating candy can affect children's later dental health, he says

@highlight

Moderation and setting up healthy habits is key, dentist says