WASHINGTON (CNN) -- The Senate voted Wednesday to move forward on a bill meant to crack down on oil speculators.

Democrats say speculation in oil futures is a significant reason why oil prices have risen this year.

But Republicans vowed to block the Senate from taking up any other measure until the Democratic leadership agrees to vote on other energy-related issues.

Republicans want to offer up to 28 amendments to the bill on a wide range of energy topics, including increasing domestic oil production.

The Democrats want to limit them to two amendments.

"This is not some arcane subject; this is the biggest issue in the country," said Senate Minority Leader Mitch McConnell, R-Kentucky. "It's on the floor now. We say, let's deal with it. We're not afraid to vote on their amendments, they shouldn't be afraid to vote on ours. Let the Senate work its will on the No. 1 issue in the country."

The Republicans said they would not prevent the Senate from taking up the housing bill passed earlier in the day by the House, although a final vote on that bill is not expected before the end of the week.

Democrats oppose Republican measures to lift bans on offshore drilling and oil exploration in the Arctic National Wildlife Reserve. See how gas prices have risen across the country »

Republicans say the process would not be fair unless they can offer all of their amendments.

Sen. Robert Menendez, a New Jersey Democrat, accused the Republicans of wanting to score political points rather than pass legislation.

"The problem with our Republican colleagues is that they want to debate, not act. ... Even when they are offered what they want, they say no."

Menendez suggested there was bipartisan support for measures meant to limit speculation, encourage conservation and provide tax credits for renewable energy.

"Why would you not move forward on the items that you have consensus?" he asked.

The disagreement between Republicans and Democrats could result in Congress leaving Washington for its monthlong recess in August without passing any measures to lower gas prices, which are averaging above $4 a gallon at the pump.

Experts have said lifting bans on drilling in the Arctic National Wildlife Refuge and offshore would not affect the oil market for several years, but Republicans have argued that the psychological effect of opening more areas for oil exploration would bring prices down.

Sen. Byron Dorgan, D-North Dakota, one of the main sponsors of the bill, pleaded for Republicans to help "wring excessive speculation" from the oil markets. He says speculation is responsible for 71 percent of the increase in a price of a barrel of oil this year.

Some analysts say speculation has added between $40 to $60 dollars to a barrel of oil.

But other experts have questioned the extent to which speculators -- rather than basic market principles of supply and demand -- have driven up the price of oil.

Wednesday morning, a barrel of light, sweet crude was priced around $128 on the New York Mercantile Exchange, down from the $147 a barrel record set July 11 and the lowest price since June 5.

Dorgan said ending speculation in the oil market would be a sensible first step toward lowering gas prices that both sides of the aisle could agree to.

Republicans "have come up with a hundred excuses why they don't want to do that," he said.

But Republicans say they want the opportunity to offer "real" solutions that will lower energy prices, which includes more drilling to expand domestic production.  See what factors are driving up the price of oil »

"The Republicans know that American people want us to do something real, something big, something important about the price of gasoline," said Sen. Pete Dominici, R-New Mexico. "And the only thing that we can do that is important is to release large quantities of crude oil and natural gas that are owned by American people and that have been locked up for 27 years in moratoria."

Dorgan, however, said the Republicans are trying to suggest Democrats are against additional domestic oil production, noting that there are millions of acres of federally controlled land and off-shore drilling sites that are open to exploration but have not been used by oil companies.

"It's a false choice that the minority side says we should drill and that the majority side doesn't," Dorgan said.

The bill in the Senate would provide more resources and authority to the Commodities Futures Trading Commission to detect and punish speculation.

It would help stop speculators from using foreign markets to manipulate the price of oil in the United States, require more transparency in oil markets and limit the trading of market players who do not intend to receive the oil they purchase.

CNN's Ted Barrett, Debra Krajnak and Scott Anderson contributed to this report.

@highlight

Bill would allow regulators to crack down on speculation in oil markets

@highlight

GOP wants to add 28 amendments to bill; Democrats want to allow two

@highlight

Republicans say Americans want "real" answers, which includes more drilling