(CNN) -- North Korea's leader has approved a plan to prepare rockets to be on standby for firing at U.S. targets, including the U.S. mainland and military bases in the Pacific and in South Korea, state media reported.

In a meeting with military leaders early Friday, Kim Jong Un "said he has judged the time has come to settle accounts with the U.S. imperialists in view of the prevailing situation," the state-run KCNA news agency reported.

"If they make a reckless provocation with huge strategic forces, [we] should mercilessly strike the U.S. mainland, their stronghold, their military bases in the operational theaters in the Pacific, including Hawaii and Guam, and those in South Korea," KCNA reported.

Analysis: Just what is Kim Jong Un up to?

Later Friday, North Korean state media carried a photo of Kim meeting with military officials. The young leader is seated in the image, leafing through documents with four uniformed officers standing around him.

On the wall behind them, a map entitled "Plan for the strategic forces to target mainland U.S." appears to show straight lines stretching across to the Pacific to points on the continental United States.

South Korea and the United States are "monitoring any movements of North Korea's short, middle and middle-to-long range missiles," South Korean Defense Ministry Spokesman Kim Min-seok said Friday.

Kim's regime has unleashed a torrent of threats in the past few weeks, and U.S. officials have said they're concerned about the recent rhetoric.

"North Korea is not a paper tiger, so it wouldn't be smart to dismiss its provocative behavior as pure bluster," a U.S. official said Wednesday.

But Pentagon spokesman George Little said Thursday that it was important to remain calm and urged North Korea to "dial the temperature down."

"No one wants there to be war on the Korean Peninsula, let me make that very clear," he told CNN's "Erin Burnett Outfront."

Behind North Korea's heated words about missile strikes, one analyst said, there might not be much mettle.

North Korea's threat: Five things to know

"The fact is that despite the bombast, and unless there has been a miraculous turnaround among North Korea's strategic forces, there is little to no chance that it could successfully land a missile on Guam, Hawaii or anywhere else outside the Korean Peninsula that U.S. forces may be stationed," James Hardy, Asia-Pacific editor of IHS Jane's Defense Weekly, wrote in an opinion column published Thursday on CNN.com.

North Korea's latest threat Friday morning came after the United States said Thursday that it flew stealth bombers over South Korea in annual military exercises.

The mission by the B-2 Spirit bombers, which can carry conventional and nuclear weapons, "demonstrates the United States' ability to conduct long-range, precision strikes quickly and at will," a statement from U.S. Forces Korea said.

The North Korean state news agency described the mission as "an ultimatum that they (the United States) will ignite a nuclear war at any cost on the Korean Peninsula."

The North has repeatedly claimed that the exercises are tantamount to threats of nuclear war against it.

But the U.S. military stressed that the bombers flew in exercises to preserve peace in the region.

"The United States is steadfast in its alliance commitment to the defense of the Republic of Korea, to deterring aggression, and to ensuring peace and stability in the region," the statement from U.S. Forces Korea said, using South Korea's official name. "The B-2 bomber is an important element of America's enduring and robust extended deterrence capability in the Asia-Pacific region."

The disclosure of the B-2 flights comes a day after North Korea said it was cutting a key military hotline with South Korea, provoking fresh expressions of concern from U.S. officials about Pyongyang's recent rhetoric.

Tensions escalated on the Korean Peninsula after the North carried out a long-range rocket launch in December and an underground nuclear test last month, prompting the U.N. Security Council to step up sanctions on the secretive regime.

U.S. officials concerned over North Korea's 'ratcheting up of rhetoric'

Pyongyang has expressed fury over the sanctions and the annual U.S.-South Korean military exercises, due to continue until the end of April.

The deteriorating relations have put paid to any hopes of reviving multilateral talks over North Korea's nuclear program for the foreseeable future. Indeed, Pyongyang has declared that the subject is no longer up for discussion.

While Kim appears to have spurned the prospect of dialog with U.S. and South Korean officials, he met with Dennis Rodman during the U.S. basketball star's bizarre recent visit to North Korea.

Sharp increases in tensions on the Korean Peninsula have taken place during the drills in previous years. The last time the North cut off military communications with the South was during similar exercises in March 2009.

North Korea has gone through cycles of "provocative behavior" for decades, Little said Thursday.

"And we have to deal with them. We have to be sober, calm, cool, collected about these periods. That's what we're doing right now," he said. "And we are assuring our South Korean allies day to day that we stand with them in the face of these provocations."

The recent saber-rattling from Pyongyang has included threats of pre-emptive nuclear strikes against the United States and South Korea, as well as the declaration that the armistice that stopped the Korean War in 1953 is null and void.

On Tuesday, the North said it planned to place military units tasked with targeting U.S. bases under combat-ready status.

Most observers say North Korea is still years away from having the technology to deliver a nuclear warhead on a missile, but it does have plenty of conventional military firepower, including medium-range ballistic missiles that can carry high explosives for hundreds of miles.

Little said Thursday that the United States was keeping a close eye on North Korea's missile capabilities.

"The important thing is for us to stay out ahead of what we think the North Korean threat is, especially from their missile program," he said. "They've been testing more missiles, and they've been growing their capabilities and we have to stay out ahead."

Korean nightmare: Experts ponder potential conflict

CNN's K.J. Kwon in Seoul, South Korea, contributed to this report.

@highlight

NEW: A North Korean photo shows Kim Jong Un meeting with military officials

@highlight

North Korean media: Rockets should be ready to "mercilessly strike" the U.S.

@highlight

A Pentagon spokesman urges North Korea to "dial down the temperature"

@highlight

"No one wants there to be war on the Korean Peninsula," he says