(CNN) -- Back in 2005, the future didn't look too bright for Rosebill Satha-Sambo. Just over 20 years old, the young Malawian fell onto hard times after losing her job. Penniless and out of work, she'd found herself having to raise two baby daughters with no income coming in.

To survive, Satha-Sambo resorted to a skill she'd learned from her mother while growing up: weaving bamboo baskets. Working from her home in the Malawian capital of Lilongwe, she began producing elaborate hampers for friends who were about to get married. Orders soon started piling in and, as business picked up, her creations quickly became the talk of the town -- including in high circles.

"My baskets caught the eye of the late president Bingu Wa Mutharika's daughter, Duwa, who was getting married," recalls Satha-Sambo. "She ordered 1,000 wedding favor baskets that she needed in three weeks -- there was no way I could have done it myself, so I got some youth and women who I knew could weave and together [we] fulfilled the order."

That was in 2009 and by 2011 Satha-Sambo had set up JARDS Products, a thriving social enterprise focused on producing a wide range of eco-friendly bamboo furniture and baskets -- from beautiful rocking chairs and mirror frames to hand-made dressing tables and storage units.

"JARDS is an acronym for my family," says Satha-Sambo. "[Daughters] Joanna, Amanda, Rosebill, Dalitsa, who's my husband, and Sambo, which is our surname," she adds. "JARDS is all about family, community and friends, that's who we are."

Tackling youth unemployment

Malawi is a beautiful landlocked country in southeastern Africa. It is known as the "warm heart" of the continent for its spectacular scenery and friendly people. Yet, it is also one of Africa's poorest nations with chronically high unemployment rates, especially amongst young people.

"For the past 20 years, those who used to live in the rural areas left for the 'greener pastures' of the life in the city," says Satha-Sambo. "But they end up becoming domestic workers or guards and their children look after each other and sometimes can't stay in school and the vicious life cycle continues."

Read this: Luxury shoes put sparkle in your step

Influenced by her mother, who'd spent years going to rural areas to teach groups of disadvantaged women how to weave bamboo baskets and furniture, Satha-Sambo also started training young people in her community to help them better their lives.

"I know how it feels to be unemployed, with a family relying on you to provide for basic necessities," says the 30-year-old entrepreneur.

"Instead of them doing nothing at home, let them learn a skill that can basically end up being their income generator," she says. "It is important because unemployment in my country is so high; we need to break the cycle of poverty that causes gender-based violence, child marriages and prostitution."

Remarkable turnaround

To achieve this, Satha-Sambo works with uneducated women and young people who can't get into university.

"We've got people who come in who want to train how to make earrings," she says. "We've got people who come in who want to know how to carve wooden products."

And when she's not training young people, nor running JARDS, nor mentoring budding entrepreneurs -- not to mention raising her family -- Satha-Sambo manages to find time to attend the Malawi Institute of Management.

"I have a good job and what is considered a thriving business but this is something I want to achieve for myself," says Satha-Sambo, who is currently finishing her business degree and plans to start a Master's straight after. "I also want to show my daughters, nieces and girls in my community the importance of education -- it opens up your mind and gets you thinking in a different way."

It's been a remarkable turnaround for Satha-Sambo, whose business acumen and social focus has recently won her two international grants, as well as four Malawian and foreign awards.

With a growing business and big plans for the years ahead, the future now looks much brighter for this determined entrepreneur with a social conscience.

"I actually want to set up a skills-development center because I think entrepreneurship is the way for Africa to go," she says. "These skills just need to be passed ... because the jobs need to be created -- and how do you create a job if you don't actually have the papers, and you don't have a skill? So that's where we're headed."

Read this: Luxury shoes put sparkle in your step

Read this: How to turn trash into cash

Sandra Muhwezi contributed to this report.

@highlight

Rosebill Satha-Sambo is the founder and manager of JARDS Products

@highlight

The Malawian company specializes in producing eco-friendly bamboo products

@highlight

It is also providing job skill development to uneducated women and youth