Washington (CNN) -- The Supreme Court declined to intervene Monday in a dispute over a public school's refusal to allow an instrument-only version of "Ave Maria" at a graduation ceremony. Officials feared the piece would be an endorsement of religion in that limited public forum.

Without comment, the justices rejected the appeal of Kathryn Nurre, who was a high school senior in Everett, Washington, in 2006. By tradition, graduating members of the school's wind ensemble could choose a piece from their repertoire to play at the June ceremony. They chose an arrangement of Franz Biebl's well-known "Ave Maria," which had been performed previously in choir recitals.

School district officials said they feared complaints similar to those that followed the previous year's choir performance of a vocal piece that included references to God, heaven and angels. "Ave Maria" was banned even though the performance would have contained no lyrics.

The school district told principals to approve only musical selections that were "purely secular in nature."

Nurre and others sued, saying their free speech rights were being violated, and said their choice of the piece was made on purely artistic, not religious, grounds. They also cited previous examples where a limited use of religious imagery in a public setting was considered acceptable. Such examples are Ten Commandments monuments in city parks and opening legislative sessions with a prayer.

Justice Samuel Alito publicly dissented with the high court's rejection of the appeal.

"When a public school purports to allow students to express themselves, it must respect the students' free speech rights," he said. "School administrators may not behave like puppet masters who create the illusion that students are engaging in personal expression when in fact the school administration is pulling the strings."

The high court declined to explore whether those attending a graduation ceremony constituted a "captive audience" that might feel forced to hear a religious message with which they may disagree.

The case is Nurre v. Whitehead (09-671).

In other Supreme Court action:

• The justices agreed to decide whether a district attorney's office can be held liable after a former death row inmate in Louisiana said prosecutors withheld key evidence leading to his conviction.

At issue is a federal law that can place the burden on the state with a "failure to train" standard when one of its prosecutors unconstitutionally withholds exculpatory evidence from a criminal defendant. Then-New Orleans-area District Attorney Harry Connick Sr. claimed his office should not be held fully responsible after one of his staff attorneys violated long-standing, accepted procedures on handling evidence in criminal trials.

The defendant, John Thompson, was freed from state prison after 18 years behind bars for the murder of a hotel executive. He came within weeks of execution before being granted a new trial. He was then acquitted in 2003 and won a $14 million judgment against the state.

Oral arguments in the appeal will be heard in the fall. The case is Connick v. Thompson (09-571).

• In another case, current and former Chinese Muslim detainees at the military prison in Guantanamo Bay, Cuba, lost another round at the high court. The justices are staying out of the latest dispute about the prisoners' demand of a 30-day notice before any proposed transfer from the detention center.

The men, known as Uyghurs, wanted advance notice of which country they were being sent to, fearing they could be sent to a place where they would be tortured, imprisoned or harassed about their religious beliefs.

The U.S. government, which says the prisoners are no longer considered "enemy combatants" or a national security threat, reiterated they would not be sent to places where they might face torture or continued imprisonment. Many of the Uyghurs released so far have been sent to the Pacific nation of Palau, with others going to Bermuda or Albania.

The justices had previously agreed to hear the Uyghurs' broader constitutional claims over their years-long detention, but the case was tossed out as moot, since most of the men have been freed or are in the process of being freed. The case is Kiyemba v. Obama (09-581).

• The justices also rejected a separate appeal of a Massachusetts law that keeps demonstrators away from abortion clinics. Anti-abortion activists said the restriction violates their rights of free speech and assembly.

The law sets a "protest-free zone" of 35 feet outside clinic entrances, including driveways. Officials call it an acceptable balance between the right of access for patients and the right of expression for those opposed to the medical procedure. Some protesters said they have been forced onto streets to make their beliefs known and have nearly been hit by cars. That case is McMullen v. Coakley (09-592).

@highlight

In 2006, school district disallowed instrument-only version of well-known song

@highlight

District cited complaints about performance of other piece that included religious references

@highlight

High school senior and others sued, saying free speech rights were being violated

@highlight

Court rejects appeal without comment; Samuel Alito publicly dissents