Washington (CNN) -- The inspector general who reported Internal Revenue Service targeting of conservative groups said Thursday that he didn't have information until last week that the word "progressive" also was on a list of criteria for extra scrutiny of tax-exempt applications.

At a hearing of the House Oversight Committee, Treasury Inspector General for Tax Administration J. Russell George said the information that liberal groups also were probably targeted only came to him July 9.

His audit, released in May, cited criteria including "tea party" and other conservative-themed words or labels that were used to decide whether applicants for tax-exempt status should come under further review. Since then, an investigation by the panel turned up documents that showed IRS workers also were told to look for the liberal-themed label.

"They were not provided during our audit, even though similar documents that list quote 'tea party' unquote but not 'progressive' were," George said. "I am very disturbed that these documents were not provided to our auditors at the outset, and we are currently reviewing this issue."

The IRS targeting revealed by George's audit in May led to accusations by Republicans that the Obama administration could be using the tax agency's powers against political enemies. Democrats have rejected such allegations and insisted that liberal groups also were targeted.

Last week, the top Democrat on the House committee questioned why George's audit had not included information on liberal groups being targeted. Thursday's hearing was the first time George issued a public response to the criticism by Rep. Elijah Cummings of Maryland.

"We just learned recently that name was being used by the Internal Revenue Service," George said of the term "progressive."

George's audit indicated that lax oversight at the IRS allowed for the singling out of some conservative groups starting in 2010 and continuing until last year.

In particular, the report said IRS workers in the tax-exempt unit used "Be on the Lookout" or BOLO lists of words such as "tea party" to assess what applicants came under extra scrutiny that delayed decisions for months and even years. However, it also said no evidence existed that the targeting was politically motivated.

George subsequently testified at previous hearings that he could not specifically identify whether any liberal groups were similarly targeted. However, Cummings said information made public last week showed that George, who was appointed in 2004 by GOP President George W. Bush, was aware that liberal groups also were targeted.

On Thursday, George and other officials in the inspector general's office said the audit focused on the BOLO list that included conservtive labels. George expressed frustration over how the issue has unfolded, at one point saying: "This is not a clean-cut matter. There's a lot going on here."

Earlier at Thursday's hearing, two career IRS employees shot down the central premise of committee Chairman Rep. Darrell Issa's argument that the agency's targeting scandal was politically motivated.

Asked repeatedly whether they knew of anyone at the IRS with political motives to obstruct applications for tax-exempt status by conservative groups, the pair told the panel "no."

Issa himself asked the question early on in the committee's third hearing on the issue, as did others from both parties amid bitter exchanges that focused attention on the political squabbling instead of the targeting cited by George's report.

Cummings challenged Issa on past comments suggesting that White House involvement in the targeting showed it was a weapon against political enemies of President Barack Obama.

"This is unsubstantiated nonsense," Cummings said, adding that it undermined the integrity of the committee.

For his part, Issa insisted that the testimony from IRS veterans Elizabeth Hofacre and Carter Hull established that IRS officials in Washington played a major role in the targeting. The problem was broader than the earlier claim by Democrats that it was limited to the agency's Cincinnati office that handles tax-exempt applications, Issa said.

"We can today debunk the accusation that Cincinnati was, in fact, the story and that it never went to Washington, which it clearly did," the California Republican said.

However, his case was deflated by the unwavering insistence by Hofacre and Hull that they were unaware of any political motivation in the targeting or any influence from outside the IRS on extra scrutiny that delayed responses to applications.

The hearing followed a series of accusatory memos and news releases by both sides as the IRS targeting issue descended further into a purely partisan spitting match.

Issa sent the IRS a letter Wednesday that made new demands for all communications on the matter between the tax agency, the Treasury Department and Obama's office since February 2010.

The letter, signed by Issa and other House Republicans, quoted excerpts of an interview with Hull that said the office of the IRS chief counsel -- who was appointed by Obama in 2009 -- played a role in scrutiny that delayed processing tax-exempt applications from some conservative groups.

"Its involvement and demands for information about political activity during the 2010 election cycle appears to have caused systematic delays in the processing of tea party applications," the GOP letter said.

In response, Cummings issued his own letter that accused Issa of dishonest intentions.

IRS interviews show no political bias, Democrats say

"Rather than describing the whole truth, your letter appears yet again to create a skewed account based on partial, incomplete, and cherry-picked information while disregarding key evidence that contradicts your political narrative," Cummings wrote.

A day earlier, Cummings released a memo that cited excerpts from committee interviews with 15 IRS workers that found no evidence of political bias or White House manipulation alleged by Republicans.

"Despite an extremely aggressive investigation involving thousands of documents and more than a dozen interviews of IRS employees, the overwhelming evidence before the committee reveals no political motivation or White House involvement in this process," said the memo written by the committee's Democratic staff.

Issa conceded in an opinion piece published Wednesday on the USA Today website that the two-month investigation has yet to find hard evidence of involvement in the targeting by anyone outside the IRS. He argued that the lack of proof does not mean the investigation should end.

"We candidly still don't have clear answers to many important questions and have yet to begin interviewing senior IRS officials," Issa wrote, saying "judgment should be withheld until all relevant witnesses are interviewed and all documents reviewed."

Dems highlight IRS targeting of other groups

In an editorial Thursday, USA Today questioned the value of the ongoing investigation.

"No political operatives from the Obama campaign or the White House have been linked to any of the IRS' activities," the editorial said. "What's more, it has become increasingly clear that confusion on the part of IRS employees, rather than a starkly political motive, was the primary cause of the delays."

At times during Thursday's hearing, Issa took a conciliatory stance, saying that any evidence of targeting -- whether of liberal or conservative groups -- should be investigated.

"If the facts are that people got abused for myriad reasons, we ought to know it," Issa said.

Both Issa and Cummings asked George to provide more information on groups targeted by the IRS, and the inspector general pledged to do so.

Cummings and other Democrats took aim Thursday at past statements by Issa and other Republicans, calling them blatantly political accusations with no basis in fact that went against the spirit of Issa's call at the start of Thursday's hearing to "reject, categorically, assumptions for which there is not evidence."

Rep. Gerald Connolly, a Virginia Democrat, called for Issa to retract his earlier comments that the targeting involved only conservative groups and was an effort to target Obama's political enemies.

Issa responded that tea party groups that came under extra scrutiny could be considered political enemies of the president and that he had yet to see hard evidence that liberal groups were targeted.

Conservative group takes IRS, top Obama officials to court

Republicans made a point Thursday of singling out White House spokesman Jay Carney for criticism, noting he previously said that the targeting involved rogue IRS employees in Cincinnati. Hofacre described herself as offended by the characterization of the issue as misdeeds at her level.

She and Hull said the delays in rendering final decisions on applications by conservative groups was because of a lack of guidance from superiors in Washington.

Under tax law and IRS regulations, groups that primarily engage in political activity are ineligible for tax-exempt status. The targeting occurred after the 2010 ruling by the Supreme Court that opened the political process to more private contributions from business and labor, leading to increased applications for tax-exempt status from groups involved in political activity.

In the memo Cummings made public Tuesday, IRS employees who identified themselves as Republicans, Democrats and independents said there was no political motivation or outside influence involved in the agency's handling of tax-exempt requests from groups with possible or likely political affiliations.

According to the memo, an IRS tax law specialist based in Washington who described herself as Republican said "no, not at all" when asked whether there was any evidence that the agency targeted Obama's political enemies.

"That's kind of laughable that people think that," the memo quoted the woman as saying.

Cummings and other Democrats complained Thursday that the other IRS employees who had been interviewed were not called as witnesses to the latest hearing.

'Angry' Obama announces IRS leader's ouster

CNN's Alan Silverleib contributed to this report.

@highlight

NEW: The IRS inspector general says liberal groups also were on target list

@highlight

Committee Chairman Issa concedes there is no proof that IRS targeting was political

@highlight

Issa is looking for a possible White House role in the targeting

@highlight

Democratic Rep. Cummings says Issa is on a partisan witch hunt