Oxford, England (CNN) -- Was last year's financial crisis a chance event? Or was it the product of 35 million years of evolution?

Laurie Santos' research suggests that some of the bad choices made on Wall Street and in the mortgage business may have been deeply rooted in the basic nature of the human species.

Santos, a professor at Yale University, has been investigating the workings of a dangerous inconsistency in people's attitudes to risk. She spoke about it Wednesday at the TED Global conference in Oxford, a four-day event ending Friday where experts passionate about their work got the chance to give contrasting views of the future we all face.

Which would you do: Accept a guaranteed gift of $500 or gamble by taking a risk on a coin toss that would give you $1,000 for heads -- and nothing for tails?

Most people would play it safe and take the sure $500, Santos said.

What if, instead of a gain, you faced a potential loss? Your choice would be to give up $500 for sure or take a risk on a coin toss that could cost you $1,000 if you lost -- or nothing if you won? Most people opt for taking the risk rather than playing it safe.

Using tokens as a form of money and grapes as prized products to be exchanged for the tokens, Santos has shown that capuchin monkeys make the same set of irrational choices -- taking more risk when they have something to lose than when they have something to gain.

"The errors we make are predictable, we make them again and again," said Santos, explaining that she wants to learn "how a species as smart as we are" can make such persistent mistakes. We can overcome our biological limitations, she said, but first we have to recognize what they are.

Adding to the pressure on the human species is the future we're staring down. Tim Jackson, professor of sustainable development at the University of Surrey, imagined the world in 2050. To keep greenhouse gases from reaching an unsustainably damaging level, the needed improvements in energy efficiency would have to occur at a pace 10 times faster than at any time in history. And, Jackson said Thursday, the only times the world has made substantial improvements in reducing carbon emissions have been during recessions.

He views the world economy as built on an engine of growth that feeds the appetite of people in Western countries for novelty, for ever more consumer goods that impress others but that can only be purchased by creating more debt. Even if we don't want the products, we have to buy them -- or the economy crashes.

In what has probably been the most cited quote of the conference on Twitter, Jackson said, "We spend money we don't have on things we don't need to create impressions that won't last on people we don't care about."

Does that mean our choice boils down to this: Crash the economic system or trash the planet? Not exactly, according to Jackson.

The answer, he said, lies in creating socially responsible businesses and nonprofits that plow money back into "protecting and nurturing" the environment on which our future depends. As an example, he cited ecosia.org, a search engine that says it allocates 80 percent of its search-related revenues to a rainforest protection project in the Amazon.

Santos and Jackson were by no means the only speakers at TED Global to suggest people make dumb choices but can overcome them by taking the right measures. TED is a nonprofit that distributes "Ideas Worth Spreading" through its conferences and through more than 700 talks freely available at its web site. [CNN partners with TED to present one talk every Tuesday, along with added content.]

Among the topics and speakers were:

Making the web really worldwide

Ethan Zuckerman, of the Berkman Center for Internet & Society at Harvard University, showed that while the framework and theory of the internet is global, in reality, web traffic tends to stay within a user's country and social networks are generally segregated. We think we're getting a wide view of the world by going online, but "most of the time we're checking Boston Red Sox scores," he said. Since the most compelling problems in the world are global, it will take global solutions to fix them. Zuckerman urges people to become xenophiles, people who take an active interest in other lands.

Watch Zuckerman's talk at TED.com

A headset that reads your brain

Tan Le, the head of Emotiv Systems, demonstrated a headset that uses brain activity and facial expressions to control computers and other devices. A volunteer was able to manipulate the image of a cube on a computer screen using the headset, and Le showed how facial expressions, such as a blink or a smile, could control the movement of a wheelchair.

Packaging material that biodegrades

Eben Bayer demonstrated an organic replacement for Styrofoam, which winds up taking huge amounts of space in landfills and contributes to the stream of waste in the Pacific and other bodies of water. Bayer showed how fungi can be used to transform crop waste into recyclable packaging that blends back into the soil when it is discarded.

Aiming for a zero-waste supermarket

Chef Arthur Potts Dawson, who developed green restaurants in London, has now opened "The People's Supermarket," which aims to produce virtually no food waste. He said food is one of the most wasteful industries in the world but that practices including composting and allowing diners to choose how big a portion they want can dramatically reduce waste. "If we don't stand up and make a difference and think about sustainable food, we will fail," he said.

Are whales and dolphins wise?

Marine wildlife researcher Toni Frohoff, who studies dolphins and whales, says the question shouldn't only be are these mammals intelligent; she asks whether we should say they are wise. They exhibit strong social behavior and reach out to humans, even though they're often hunted and sometimes driven close to extermination. She showed videos of a pair of free-ranging dolphins in the Bahamas rubbing pectoral fins to show affection, of a beluga whale in eastern Canada watching its reflection in a large camera lens, of an orca mimicking a person's whistling sound, of a gray whale in the eastern Pacific that allowed people in a small boat to rub her newborn calf even though the mother bore a harpoon scar. She also told the story of a pod of dolphins encircling a swimmer who was having difficulty in the water until human rescuers could come to her aid.

Online video is revolutionizing the world's talent

TED curator Chris Anderson sketched the potential for online video to do for communication what the Gutenberg printing press did for writing. Online video can drive "crowd-accelerated innovation" that elevates the work of emerging dancers, artists, teachers and thinkers, who can see what their peers are doing everywhere. The rise of online video allows "the world's talent to be shared," Anderson said. "Who's the teacher? You're the teacher ... capable of carrying all of us to a smarter, wiser place."

@highlight

TED Global speakers focus on ways to overcome faults in human nature, human systems

@highlight

Laurie Santos: Humans make same mistakes on risk that monkeys do

@highlight

Tim Jackson: We spend money we don't have on things we don't need

@highlight

Ethan Zuckerman: Make the web really worldwide