(CNN) -- Both Brazil and Indonesia have embarked on programs to protect their tropical rainforests, which contain a rich treasury of life.

Although many millions of species are known to inhabit this ecosystem, quantifying precisely how many plants and animals rely on the rainforest is difficult.

David Ainsworth of the Secretariat of the Convention on Biological Diversity told CNN: "It is estimated that at least two-thirds of all Earth's terrestrial species are found in tropical forests.

"The exact number of species which depend on tropical rainforests is not known -- but they are very old ecosystems that have survived ice ages and allowed uninterrupted evolution over millions of years."

In collating forest biodiversity research for CNN, the Secretariat highlighted one example that shows the astonishing variety of life:

Yasuni National Park in Ecuador is less than 0.5% of the Amazon basin but estimated to contain 100,000 species of insects -- or about the same as the whole of North America.

Environmental protection group, The Nature Conservancy, says a typical 10-square-kilometre (four-square-mile) patch of rainforest contains as many as 1,500 flowering plants, 750 species of trees, 400 species of birds and 150 species of butterflies.

And new species are being discovered all the time. In January, CNN reported that scientists had found 46 previously unknown species in southwest Suriname in South America -- including an amphibian nicknamed the Pac-Man Frog that has a mouth as wide as its body and a new species of insect, affectionately referred to as the Crayola Katydid.

The Secretariat adds: "Excluding microbes, it is estimated that about 6,200 species are discovered every year and given that tropical forests contain a disproportionately large number of Earth's land species, it can be assumed that many are in the forests."

As well its timber resources, the forests have provided agricultural land, food, water, minerals and energy -- and a home for many indigenous forest peoples.

There are hidden benefits too. Forest plants are a source of chemicals and medicines, some of which have been used in the treatment of cancers. The Millennium Ecosystem Assessment in 2005 suggested that forests are the basis of more than 5,000 commercial products.

Read more: Brazil vote sparks fears for future of rainforest

@highlight

Scientists believe at least two-thirds of Earth's land species found in tropical forests

@highlight

Yasuni National Park in Ecuador estimated to contain 100,000 species of insects

@highlight

As well timber, forests provide agricultural land, food, water, minerals and energy