As a second round of peace talks ended Saturday with little progress in ending Syria's civil war, U.S. President Barack Obama and Jordan's King Abdullah spoke about Syria's distressing humanitarian crisis during an earlier meeting in California.

Jordan is a refuge for war-battered Syrians, and both leaders urged an end to the warfare that has caused such a mass exodus. They also discussed a possible United Nations sanction to pressure the Syrian regime of President Bashar al-Assad.

Meanwhile, in Geneva, U.N. mediator Lakhdar Brahimi apologized to the Syrian people, saying he was "very, very sorry" that, despite two rounds of talks, "we haven't done very much."

In minimal progress, the two warring sides have agreed to an agenda for a third round of talks, but they have not agreed on how to tackle it, Brahimi said.

In Britain, U.K. Foreign Minister William Hague described the latest developments as "a serious setback in the search for peace in Syria." Hague blamed the Syrian regime because it refused to discuss a transitional government.

Brahimi said the key sticking point is that the Syrian government wants to talk about tackling terrorism, while the opposition wants to discuss forming a transitional governing body.

Brahimi said he had suggested starting the next round of talks with one day of discussion on each issue, but the government would not agree.

"Unfortunately the government has refused, which raises the suspicion of the opposition that, in fact, the government doesn't want to discuss the (transitional governing body) at all," he said. Brahimi said such intransigence was "not good for the process," nor was it good for Syria.

Negotiators should go back to their leaders and reflect on a way forward, he said. "Do they want this process to take place or not?"

Louay Safi, of the opposition umbrella group Syrian National Coalition, said: "We want to progress on the two sides. We want to be assured that the regime is really wanting a political solution, not delay tactics, and we didn't get that, for reasons that were described by Mr. Brahimi.

"Our heart is in pain, our delegation is in pain, that as we speak here searching for a political solution the regime has chosen to bombard towns and cities killing civilians."

Syrian Ambassador to the United Nations Bashar Jaafari, in turn, accused the opposition of trying to mislead observers and undermine the process.

"We are committed to serving the interests of our own people, in stopping the bloodshed," he told reporters in Geneva.

"We don't have an impasse. We are still in negotiations; we didn't say that we have failed."

Jordan and the United States

In California, Obama and King Abdullah held a meeting Friday that lasted until almost midnight in the desert community of Indian Wells, near Palm Springs.

Obama said the United States would seek ways to bring peace.

"We're going to continue to strategize on how we can effectively change the calculus inside the country so that we can have a Syria that is intact, that is respectful of all groups, that ends the killing, and that allows for a representative government that can provide peace and prosperity for everybody there," Obama said.

"There will be some intermediate steps that we can take to apply more pressure to the Assad regime, and we're going to be continuing to work with all the parties concerned to try to move forward on a diplomatic solution."

Obama noted that Jordan has just taken a rotating seat on the United Nations Security Council. In a background briefing with pool reporters after the meeting, a senior administration official said Obama and King Abdallah discussed a possible U.N. resolution that could pressure the Syrian regime and "create a legal precedent for cross-border operations."

The White House added that a strong resolution on Syria didn't necessarily need to include threats of force but could be "strong in terms of the obligations and expectations that it would impose on the regime to improve the humanitarian access."

Jordan, a key U.S. ally in the Middle East, is hosting almost 600,000 refugees from Syria, and on Saturday, the President announced new loan guarantees for Jordan totaling $1 billion.

The senior official targeted Russia in his remarks, urging the Russians to play a "more constructive role" in finding a solution.

"As long as they remain wedded to the status quo, this is going to be a difficult problem to resolve," the official said, speaking of Russia's continued support for the Syrian regime.

Russia "can't have it both ways," the official said. "They can't say they're in favor of negotiations in Geneva and a transitional government guided by full executive authority and humanitarian access and have a happy Olympics, and then be part and parcel of supporting this regime as it kills people in the most brutal way."

The Olympics remark referred to the Winter Games now being held in Sochi, Russia.

"I don't think any of us have any expectation that they are going to turn on a dime," the official conceded. He said the administration would not exclude the possibility of reaching "a humanitarian resolution" despite Russia's "sorry record" of vetoing U.N. sanction resolutions.

King Abdullah said one of his main concerns, "is the rise of extremism in Syria, the sectarian violence, and if we don't find a solution, the spillover in the region and the effect that will have."

The two leaders considered ways their countries could support what they described as the "moderate opposition" movement, the senior official said.

Elsewhere in the United States, Sen. John McCain, R-Arizona, said "failure is looming" in the U.N.-mediated peace talks.

McCain also criticized Russia.

"The entire strategy for success at Geneva now relies on Russia putting pressure on the Syrian government to engage in a serious and constructive way," McCain said. "Yet, Russia has recently prevented the passage of a much-needed U.N. resolution on bringing aid to desperate Syrian civilians and continues to provide the means by which President Bashar al-Assad carries out his assault on the Syrian people.

"Such actions indicate that the Russian government is simply not a partner for peace in Syria and cannot be relied on to help secure a successful outcome," McCain said.

More violence

In Syria, rebels posted a video on social media purporting to show small group of fighters planting explosives in a tunnel underneath what they claim is the Carlton Hotel in Aleppo. The Syrian Observatory for Human Rights said the hotel serves as an anti-insurgency headquarters for government security forces.

CNN could not independently confirm the video's authenticity.

"We are putting our last touches and doing some measuring so we can make sure that we are under the Carlton Hotel," a rebel says in Arabic. "We are going to add the explosives after we finish everything, and you are going to hear good news, Aleppo people."

The video then cuts to an outdoor scene where billowing smoke rises over buildings, an apparent indication that the hotel was blown up Saturday.

The Syrian government didn't immediately respond to the rebels' claims in the video.

Peace talks

The snail-paced peace talks, which started last month with Brahimi serving as an intermediary between the two delegations sitting in the same room, have failed to produce an agreement on a first step for resolving the conflict, which has dragged on for nearly three years.

More than 140,000 Syrians have died since March 2011, according to the Syrian Observatory for Human Rights, a London-based opposition group.

About half of them were civilians, and more than 7,000 were children and more than 5,000 were women, it said.

It put Syrian military losses at more than 30,000 and pro-regime elements at more than 20,000. Those figures do not include the 18,000 Syrians who were jailed and are missing, it said.

Relief for besieged city

Brahimi said he would consult next with U.N. Secretary-General Ban Ki-moon and called upon him to hold discussions with U.S. Secretary of State John Kerry and Russian Foreign Minster Sergey Lavrov.

Brahimi said he would also likely brief the permanent members of the U.N. Security Council, known as the P5 -- the United States, Russia, Britain, France and China -- and the full Security Council.

The talks' only sign of progress has been a cease-fire to allow some evacuations from and aid relief to the besieged city of Homs.

U.N. Emergency Relief Coordinator Valerie Amos said Friday that 1,400 people were evacuated from the Old City of Homs and 2,500 still there got relief supplies, but she lamented the bleak humanitarian situation that prevails throughout the country.

"The little that has been achieved in Homs," Brahimi said, has given the Syrian people hope that they might finally be "coming out of this horrible crisis they are in."

But the warring sides are still far apart.

Opposition: We want progress, not delaying tactics

Brahimi said he hoped that, after a period of reflection, the two sides would return to the table "ready to engage seriously" over how to implement the so-called Geneva communique that led to the talks. It calls for ending the conflict and establishing a transitional government.

The opposition has proposed a transitional government that would oversee a halt in the fighting, releasing prisoners of conscience, maintaining law and order, bringing to justice those responsible for violence and protecting human rights.

Its plan excludes al-Assad from continued leadership, an outcome unacceptable to the longtime Syrian leader.

But Syrian Deputy Foreign Minister Faisal Makdad said Friday that the opposition has "an unrealistic agenda," and he insisted the first step must be "stopping the violence and ending terrorism."

The government refers to the rebels as foreign-backed terrorists, so Makdad's stance in essence calls for the opposition to unilaterally lay down its arms.

"We confirm we are willing to discuss the issue of the transitional government after we reach an agreement regarding ending terrorism," he said.

French diplomat slams regime, praises opposition

Laurent Fabius, the French foreign minister, blamed the Syrian government for the lack of advancement.

"I condemn the attitude of the Syrian regime that has blocked any progress on the establishment of a transitional government and increased violence and acts of terror against the civilian population," he said. "I salute the courage and sense of responsibility of the Syrian National Coalition that has adopted a constructive position throughout the negotiations."

He urged those people and entities that have influence with the al-Assad government to "bring it to more quickly respect the demands of the international community."

@highlight

U.K. foreign minister says talks face "a serious setback" and blames regime

@highlight

Obama and Jordan's king discuss U.N. sanction to pressure Syrian regime

@highlight

Senior U.S. official, Sen. McCain blame Russia for little progress in talks

@highlight

U.N. mediator says he's very sorry "we haven't done very much"