Washington (CNN) -- The Obama administration says that Pakistan was not involved or given advance warning about the operation that killed Osama bin Laden, but top U.S. officials said the al Qaeda leader never would have been found and killed without the counterterrorism cooperation between the two countries over the past few years.

"Pakistan has contributed greatly to our efforts to dismantle al Qaeda. And in fact, cooperation with Pakistan helped lead U.S. to bin Laden and the compound in which he was hiding," Secretary of State Hillary Clinton said. "We're committed to this partnership. We think it is in the best interest of the security and safety of the United States."

Officials maintain that the relationship with Islamabad is complicated, fraught with difficulties and mistrust, but the fact that Pakistan has allowed the U.S. counterterrorism operative to operate on its soil, albeit with only a tacit endorsement, is critical to the type of operations that led to finding bin Laden.

"The relationship is complicated and their cooperation is mixed at best and going forward it's going to be bumpy, but there is no way to do this sort of thing without this partnership," one senior official said. "The idea that this would have happened if they wouldn't have let our guys in the country is not possible."

Officials said they do believe that while a few members of the Pakistani intelligence service ISI might have known about bin Laden's location, they don't think it was broadly known that he was there.

But they acknowledge that Pakistan does have some explaining to do about how bin Laden was hiding in plain sight just miles from the country's main military academy for close to a year. The U.S. never told Pakistan about its suspicions that bin Laden was hiding out at the compound, officials said.

"Pakistan has never been and never will be the hotbed of fanaticism that is often described by the media," Pakistani President Asif Ali Zardari wrote in a Washington Post column Monday. "And for me, justice against bin Laden was not just political; it was also personal, as the terrorists murdered our greatest leader, the mother of my children.

"Some in the U.S. press have suggested that Pakistan lacked vitality in its pursuit of terrorism, or worse yet that we were disingenuous and actually protected the terrorists we claimed to be pursuing. Such baseless speculation may make exciting cable news, but it doesn't reflect fact."

Husain Haqqani, Pakistan's ambassador to the United States, insisted his government had no knowledge of bin Laden's whereabouts at any point over the last several years. He didn't rule out the possibility that some in Pakistan who were sympathetic to bin Laden's views provided him sanctuary.

"Pakistan is a nation of 180 million. There are people in Pakistan, unfortunately, who have sympathies with Osama bin Laden and obviously some of them had protected for him while he was there," he said. "If we had really known where bin Laden was, we would have got him."

Despite being left in the dark, the Pakistani envoy spoke positively about the bin Laden mission.

"They had superior intelligence, they had superior technology, and we are grateful to them and to God for having given us this opportunity to bring this chapter to an end," Haqqani told CNN.

In addition to President Barack Obama's phone call with Pakistani President Asif Ali Zardari, administration officials will continue to engage the government "as we learn more about the compound and whatever type of support system bin Laden had," White House counterterrorism advisor John Brennan told reporters Monday.

The hope, officials said, is that the attack will inspire the Pakistani government to cooperate more fully with the United States. Several officials predict Pakistan will go through a period of soul-searching about the fact bin Laden was hiding in their country in plain sight as well as the fact the U.S. killed him on their soil.

"The top four al Qaeda leaders were killed or captured in Pakistan; it's ridiculous to say this is not their problem," a second U.S. official said. "And any claims that we violated their sovereignty won't resonate because the target on the other end was Osama bin Laden."

Anthony Cordesman of the Center for Strategic and International Studies said Pakistan's initial reaction to the news suggested reason for cautious optimism about the relationship going forward.

"They didn't attack us for entering Pakistan. They didn't condemn us for being in Pakistan. Those are positive signs," he said.

But he added, "They don't tell us, however, what's happening in the Pakistani military or ISI or the people who in the past have supported the Taliban or tolerated al Qaeda."

Officials said the U.S. is going to be treating Pakistan gingerly over the next few days as they weigh how the attack will affect the relationship. Marc Grossman, special representative for Afghanistan/Pakistan, is in Islamabad on Monday for talks with Pakistani officials.

"We still need Pakistan's cooperation, and we need to see how we can move forward," the second official said. "We need to give them some credit for what they have done, which did lead to this day. We can't focus excessively on the negative."

Brennan pointed out that despite the "differences of view" between the U.S. and Pakistan on counterterrorism cooperation, Pakistan has been responsible for killing and capturing more terrorists on its soil than any other country "by a wide margin."

"There have been many, many brave Pakistani soldiers, security officials, as well as citizens, who have given their lives because of the terrorism scourge in that country," Brennan said, calling the partnership with Pakistan "critically important to breaking the back of al Qaeda and eventually prevailing over al Qaeda as well as associated terrorist groups."

But Seth Jones of the RAND Corp. warns that bin Laden's death does not resolve the big-ticket issues between Washington and Islamabad, namely Pakistan's support for the Taliban and other insurgent groups battling U.S. forces in Afghanistan, such as the Haqqani network.

"As long as many of those issues continue to exist, and they have very different interests, and they have very different strategic goals in the area, then some level of conflict will likely persist," Jones said.

Officials said they hope the U.S. can get Pakistan on board to support a political process in Afghanistan with reconciliation between the Taliban and the Afghan government -- and they believe bin Laden's death presents an opportunity for progress.

Officials do believe that al Qaeda in Pakistan has suffered a huge disruption, having lost a charasmatic leader such as bin Laden. But they also are bracing for members of al Qaeda to avenge his death and believe the United States will see a period of increased threat, where attacks will likely be planned against U.S. interests.

@highlight

Some in U.S. hope for more cooperation with Pakistan

@highlight

Pakistan given credit for allowing operation on its soil

@highlight

Others skeptical Pakistan didn't know Osama bin Laden was near military academy