(CNN) -- Pounding humidity, a treacherous climb and bees who were more than happy to sting: Tough conditions for ash boarding down a live volcano, and halfway up Nicaragua's Cerro Negro, it didn't seem like such a good idea.

But then there was the view: A cascade of grey-black ash and rock stretching to the horizon, giving the hilly landscape an alien quality.

We walked in single file carrying our boards and a bag full of gear for nearly an hour until we reached the summit.

Approaching the edge of the volcano, the 1,600 foot slope was pretty steep and uninviting. Our guide consoled us with the knowledge that we were lucky to have our plywood and metal boards as someone else had gone down the volcano on a bicycle. And nearly died.

Still, I donned my prison-style boiler suit and goggles, sat on the board and let myself slide. It was a thrill as I quickly gathered speed, scraping over pebbles and eating flying grit until I finally wiped out at the bottom.

The activity is one of Nicaragua's more unusual tourist hooks. Pioneered by the Australian owner of a hostel in the nearby city of Leon in 2005, ash boarding down Central America's youngest volcano has become a cottage industry. The Bigfoot hostel is now owned by Brazilian Breno Oliveira, who says the tourism industry is becoming more competitive as it develops.

"When Bigfoot first started it, it was something new. And then it became bigger and bigger. This brings a lot of business," says Oliveira.

Competition is growing. He says hotels and hostels in Leon have grown from two to more than 40 in seven years.

"This to be honest is the main income of the hostel, if it didn't have the ash boarding it would just be a hostel and it becomes very difficult to survive."

Tourism's role

For many, especially in the United States, Nicaragua is associated with 1980s-era Marxist guerillas and the Iran-Contra scandal. Corruption and U.S. embargoes certainly took their toll on the country and by the time the Sandinistas left power in 1990, the tourism industry was a basket case.

Yet Nicaragua has always had huge potential. Known as the "Land of Lakes and Volcanoes," it has immense natural beauty and alluring colonial towns. It's still very underdeveloped -- the second poorest country in the hemisphere -- and you can expect to experience power cuts and traffic jams behind horse carts on main highways.

Per capita income is barely more than $1,200 a year, so for a country like Nicaragua, tourism is actually the second largest industry -- and an engine for lifting the population out of poverty. The latest figures for this year reveal an increase in visitors of 12% from 2011.

"The tourism industry of Nicaragua has been growing at an important rate in the last few years," says Mario Salinas, the country's Tourism Minister. "And it's becoming one of the two or three top generators of foreign currency and employment for our country."

A mandatory destination on any itinerary is Grenada. Perched on Lake Nicaragua, the largest lake in Central America, the city is renowned for its stunning architecture. It was founded by the Spanish in 1524 and subsequently razed three times by pirates but was rebuilt and served as a conservative stronghold during the country's civil war.

The city is overshadowed by the hulking Mombacho Volcano, a popular hiking destination. There is also a galaxy of hundreds of small islands formed from a volcanic eruption thousands of years ago and strewn across Lake Nicaragua.

Driving down the lake's malecon looking for a tour boat, it was clear waterfront development had been approached with great ambition. Somehow the vision fell short: rows of bars, restaurants and nightclubs looked like they had been closed for months.

Once out on the lake, the tranquil tour of the islets gives you the opportunity to gawp at the holiday homes of some of the country's richest families. Each dominate certain sections of the economy -- such as media or brewing -- and naturally each owns an islet. Occasional "For sale" signs rise up out of the water, and in case you're interested, an island will set you back around $400,000 -- negotiable.

Country at a crossroads

But be careful. According to the U.S. State Department, property laws in Nicaragua are somewhat murky: "Establishing verifiable title history is often entangled in legalities relating to the expropriation of 28,000 properties by the revolutionary government in the 1980s."

The State Department says this remains a key impediment to attracting greater foreign investment in the tourism industry, a claim Salinas obviously rejects.

"There are many international agreements that Nicaragua has signed with other countries to protect the safety of foreign investment," he says. "We haven't seen complications from 2007 until now and what could have happened is that the government may have verified a few properties to be completely sure of the origin of those properties."

The Sandinista leader Daniel Ortega, once dismissed as a dinosaur, swept back into power in 2007 and has since been re-elected in an election condemned by international observers for its irregularities. Many may balk at the return of such a notorious figure, but the government says he is making tourism a priority and understands the conditions needed to attract visitors.

San Juan del Sur has certainly maintained its inviting atmosphere. The laid back surfing mecca is close to the border with Costa Rica and may be the ideal place to wind down your tour.

A young Mark Twain famously arrived here by boat in 1866 and was entranced by the "bright green hills" that form a semi-circle around the bay. Then a ramshackle primitive port, San Juan has grown into a ramshackle party town whose waterfront is lined with several bars catering to young tourists.

During the day, the local tourism industry exploits the town's natural blessings. San Juan's main beach is largely a fishing and transit hub and the main surfing spots are a 20-minute drive away. The roads deteriorate rapidly as you leave town and a 4x4 vehicle was needed to get through the final stages of one route to the beach.

But like Nicaragua as a whole, it's worth the effort: The waves are superb and the shorelines shockingly underdeveloped and wild. Nonsurfers can head to the high seas for some world-class deep-sea fishing and may be surprised at their unusual level of success.

Nicaragua holds a great variety of experiences for any visitor, and the country is one of few states whose immediate future really is tied to the tourism industry. For now, it's seemingly at a crossroads, with many of the big developers watching the turn of events.

@highlight

Nicaragua's tourism industry is a big part of the economy

@highlight

While infrastructure is still rough in many places, the country offers some amazing attractions

@highlight

Volcano boarding is one of the country's unique tourism offerings