(CNN) -- Artists Isabel and Ruben Toledo share a romantic magnetism that binds together their personal and professional lives. They finish each other's sentences; they encourage each other's fantastical whims. It's the kind of chemistry that creative types covet.

The Cuban-born Toledos met in high school in West New York, New Jersey, and married in 1975. Since then, they have achieved success in their respective worlds: Isabel, as a fashion designer who counts Michelle Obama among her clients; and Ruben, as a cartoonist whose drawings have appeared in The New Yorker. They live and work together in a loft that takes up several floors in Midtown, New York, and offers a view of the Empire State Building.

Neither considers their ascent to fame conventional and, in many ways, they still regard themselves as outsiders in the fashion world. So, when Isabel was approached about writing a book of fashion advice for women, she seized it as an opportunity to tell the world that there is no straightforward path to success, especially as a designer.

Naturally, Ruben provided the drawings for "Roots of Style," which was published this year. And, of course, he was wearing a black jacket and pants designed by his wife when they visited Atlanta in May for a student auction at the Savannah College of Art and Design.

They spoke with CNN about love, life and labor. Below is an edited transcript of the conversation.

Instant chemistry

It was "love at first sight" (for Ruben at least) in high school. Isabel, however, took a few years to come around. They have since been together for more than 30 years in a union, equal parts romance and business, that's the marvel of the fashion world.

Ruben: Isabel walked into my Spanish class, and it was love at first sight within three seconds.

Four years later, Isabel finally realized how she felt about Ruben.

Isabel: I missed him. I missed the energy. And I kind of pursued him.

Ruben: By then I was in a band -- I was already in Manhattan, I was doing my thing. I really grew up, so I think that was attractive to Isabel. So then we started dating, and then I wanted to marry her. She said no.

Isabel: I was playing hard to get.

Just like after high school, Isabel decided to make the definitive move in her own time.

Ruben: She said, you know, I'm ready to get married. And then that freaked me out totally. I was like a deer in the headlights; I was like, 'Oh my god really!' You know, for us men, it's an important moment. I had to think, 'Now I'm responsible for this woman for the rest of my life.'

Isabel: I went away.

Ruben: You went away again!

Isabel had accepted an internship restoring costumes at the Metropolitan Museum of Art, where she stayed for about four years. Despite the odds, Ruben and Isabel somehow found their way to the altar -- over and over again.

Isabel: We got married three times.

Ruben: I called City Hall to ask 'I want to get married,' and they said 'this is what you do, you come to Room 34 at Window B,' so I thought I was getting married but in fact it was just to get the license. So all our parents went and threw rice at us.

Isabel: So we turned around and said, 'we're married!' (The officials) were like, 'What?'

Ruben: And they threw the rice, and we ran off to Canada, but we couldn't tell (our parents) we were living in sin, so we had this lovely honeymoon. Then we came back and had a secret wedding at City Hall with my brother and your sister as our witnesses. And then we had the official church wedding. It was very low-key because Isabel's dad had just passed away. It was very sad. White wedding, it was raining.

Isabel: It was sealed.

Art as self-discovery

Isabel's passion for "engineering clothes" began with sewing classes as a child in Cuba. For Ruben, drawing is the way he thinks and expresses himself. Whatever the means, both consider themselves artists first and foremost.

Isabel: I've been sewing since I was 8, and I started sewing because I didn't find anything that I loved. We had this condo in Cuba, and (my mother) wanted us to go to a baby sitter. My older sisters were like, 'No way!' And she said, 'No, no, no, it's not a baby sitter, it's sewing classes.' So we thought we were going to school. And I'm the only one that picked up on it. My elder sisters were not interested. So it was by accident.

Ruben, on the other hand, knew exactly what he wanted to do with his life from the start.

Ruben: I could draw before I could write or talk. Drawing is how I think. To understand something, I have to draw it. I'm like the original caveman.

Ruben and Isabel agree that being an artist means to have complete freedom.

Ruben: I'm lucky enough to only take on the projects that interest me, whether it's doing somebody's portrait or doing a mosaic or doing animation or doing ceramic or doing book covers for whatever it is. That's a good place to be. You don't have to lie. You really do what you believe in, you really do what you care about. It's a wonderful gift.

Success in synthesis

Isabel Toledo the fashion designer became a household name in 2009, when Michelle Obama wore a lemongrass shift and matching overcoat to her husband's inauguration as 44th president of the United States.

Ruben: (The dress) was a gift from the universe. That was like one of those marvelous things. To be woven into history, it's beyond you!

Isabel had a creative block; when time was running out, she noticed a small swatch of lemongrass fabric in her studio, and everything clicked.

Isabel: The emotion behind the dress was that piece of fabric. And immediately, I think it was overnight, I kept saying, what is it gonna be? What is it gonna be? And we laugh about it because I had a tantrum: 'But it's too late now, it's too late!' And he says, 'Just send it, just send it!'

Ruben: Isabel doesn't sketch anything. My job was to sketch it with the swatch and send in an e-mail and suggest it. So I finally buckled her down and said, 'Tell me what you want to do.' So she described what she wanted, and I sketched it down, we sent the quick sketch with the e-mail.

Isabel: That same Saturday!

Ruben: And five minutes later, we got an e-mail saying, 'Make it happen, make it warm.'

Isabel: I still sweat thinking about that day.

Isabel wasn't always into fashion, though, and to an extent she still isn't.

Isabel: I'm not supposed to say I'm not a fashion person, but I'm not. I just, I love design. Design is so different than fashion. That's why design lasts forever. It's like an engineer. I love to engineer a garment. To make this thing work, to make it stand, to make this sculpture work. I get all enthralled if I have to come up with: How do I sew this cloth? What am I saying with the fabric? It's nothing to do with, 'what does it look like?'

The next generation

When Isabel was asked to write a book of fashion tips, she refused. "I don't give tips," she said. "I make what I make, and women take to it. And they trusted me." The couple does have a few choice words for today's young artists:

Save everything you make, because you'll never be in the frame of mind to create the same thing twice.

Ruben: Mistakes and false starts, that all leads to where you are. It's important. And it makes you 'you.'

Isabel: That's your identity at the end.

It's OK not to have a plan.

Ruben: We didn't have a plan either, just be sincere in what you love.

You don't have to lead, or even follow.

Isabel: Just do what you do. Privately, in your own world.

Ruben: We don't have a business partner. We've never had regular backing. We're independent.

Expose yourself to art so you know how to make it -- and if you don't know how, make things by trial and error.

Ruben: You may have great ideas and great concepts, but if you can't make it materialize, you're back at square one, you know? You're also at the mercy of people telling you it can't be done.

Believe in your ideas.

Ruben: We know that some things Isabel makes are years ahead of its time, but it's our job to let it happen, and perfect it in fact, so that when the world catches up to that idea, we're the best at it. That's why I think we're still around after 30 years.

Are you in a dynamic relationship like Isabel and Ruben? Do you know someone with a similar story? Let us know in the comments below.

@highlight

Isabel and Ruben Toledo share a 30-plus-year marriage and creative partnership

@highlight

Isabel designed first lady Michelle Obama's outfit for her husband's inauguration in 2009

@highlight

The Toledos met in high school and have collaborated for years on art and design projects

@highlight

Their unique artistic strengths and styles complement each other