WASHINGTON (CNN) -- President-elect Barack Obama is already making presidential history by naming -- or at least his transition team is leaking to the press -- his Cabinet picks faster than nearly all of his predecessors.

"If we do not act swiftly and boldly, most experts believe that we could lose millions of jobs next year," Obama said Monday.

With an economic crisis spiraling out of control and a lame duck in the oval office, presidential scholars say the next commander in chief simply had no choice.

"This is really unprecedented. But it's an unprecedented situation," said Larry Sabato, a presidential scholar at the University of Virginia. "Obama is doing what the public and the markets demand be done -- and that is to show that the next president is really in charge before he even takes the oath of office."

The conventional wisdom by observers was that the Obama transition team's vigorous vetting requirements would slow down the selection process, or scare away talent altogether.

After all, in addition to the already invasive FBI background check, the Obama team is requiring prospective candidates to complete a seven-page questionnaire that requires the disclosure of nearly every last private detail.  Watch: Obama Cabinet vetting process underway »

In addition to the obvious questions involving past criminal history, candidates are asked about personal diaries, past blog posts and the financial entanglements of extended family members.

"This questionnaire they've been giving to people who are thinking about signing up for a government job is extremely invasive," said David Gergen, a CNN senior political analyst and adviser to four past presidents.

"I've never seen anything like this at the presidential level before -- the FBI asks these kind of questions, but to have the presidential transition team asking these questions requires ... great volumes of records that have to be checked out."

The most recent victim of the process appears to be Chicago businesswoman Penny Pritzker, the longtime Obama supporter and major Democratic fundraiser who was said to be the president-elect's top choice for commerce secretary.

Pritzker publicly took herself out of the running on Thursday, issuing a statement saying she had submitted no information to begin the vetting process and citing "obligations here in Chicago that make it difficult for me to serve at this time."

Sources close to the Obama transition say Pritzker's decision is not surprising given the nature of the vetting process, one they themselves have described as stressful.

Nonetheless, potential Cabinet and high-level White House posts are filling up fast.  Watch: Obama announces his economic team »

Sources close to the Obama transition team say New Mexico Gov. Bill Richardson accepted Obama's offer to be commerce secretary; Arizona Gov. Janet Napolitano has also been tapped and agreed to become the nation's next homeland security secretary.

"Nobody believes that these individuals, Larry Summers for example, has produced every e-mail that might be embarrassing to the president-elect or the new administration. There simply wasn't enough time," Sabato said.

In recent times, only President George H.W. Bush moved more quickly, but that was to name confidant James Baker to secretary of state just days after the election.

Both Presidents George W. Bush and Bill Clinton waited until December for their first picks.

But two of Clinton's choices for attorney general -- Zoe Baird and Kimba Wood -- were scuttled over revelations they had hired undocumented workers.

The embarrassing debacle came at the worst time for the new president, already facing criticisms over his shaky and seemingly disorganized transition.

"You'd rather have a smooth transition than a bumpy one," said Paul Begala, a former top aide to President Clinton and an analyst for CNN. "But a bumpy start does not necessarily presage a bad presidency."

The Obama team, observers said, started early to avoid getting blindsided by unexpected problems.

"There's no question that plenty of work was done in anticipation of victory," said Kenneth Gross, a vetting attorney for political appointees.

It's a delicate balancing act. But vetting experts said the early rollout of Obama's economic team Monday could calm markets -- as long as there aren't any surprises.

After the announcement Monday, the Dow Jones industrial average gained 397 points, or 4.9 percent, after having been up 552 points earlier in the afternoon.

The market also rallied Friday when news leaked that Obama would name his economic team. The two-session gain of 891.10 points was the biggest two-session gain ever, according to Dow Jones.

"I think calling it a high wire act is a good term because this is high stakes," Gross said. "These are high-profile positions and the last thing you want is something to blow up in your face."

Obama is not out of the woods yet. There are confirmation hearings coming. And one prominent Republican is promising an old-fashioned Capitol Hill grilling, saying in times of crisis, the public deserves nothing less.

CNN's Ed Hornick and Alexander Mooney contributed to this report.

@highlight

President-elect Obama announces economic team on Monday

@highlight

Cabinet picks are subject to lengthy questionnaire, background check

@highlight

His picks are earliest since George H.W. Bush's selection of James Baker