(CNN) -- Riot police clashed Friday in suburbs across Bahrain's capital of Manama with thousands of demonstrators enraged at the government's denial of responsibility in the death of a 14-year-old boy, a human rights advocate in the Arab nation said.

Nabeel Rajab, president of Bahrain's Center for Human Rights, told CNN that people took to the streets Thursday night and remained into early Friday. There, they voiced anger to several government messages, including a press release that was issued earlier Thursday from Bahrain's interior ministry that -- citing a coroner's report -- denied the boy was killed by a tear-gas canister or rubber bullet, as activists have claimed.

Riot police tossed tear gas canisters and shot rubber bullets in hopes of breaking up the protest, according to Rajab, who said he witnessed the clashes in one Manama suburb and also spoke to multiple eyewitnesses.

Journalist Mazen Mahdi added that he witnessed a similar crackdown in Sanabis, another suburb of the capital, and saw security forces sealing off the area.

In response, protesters set up make-shift barricades and threw stones at riot police in an attempt them to stop from going further into residential parts of the suburbs.

"Security forces raided homes and fired shots into Shiite suburbs as a form of collective punishment," said Rajab. "It is a common tactic they use to stop youth from demonstrating against the regime."

The clashes resulted in several injuries and dozens or arrests, according to Rajab, adding that the Center for Human Rights had not been able to ascertain exact numbers in either case.

There was no immediate response from the Bahraini government to the claims, nor was there a mention of such clashes in the state-run Bahrain News Agency.

Yet such confrontations between demonstrators and authorities are not new in Bahrain, one of several countries embroiled in anti-government protests across the Middle East and North Africa this year.

Bahrain is a close ally of the United States and houses the headquarters of the U.S. Navy's 5th Fleet. Its rulers blame Shiite-ruled Iran for stirring up trouble among its Shiite majority, but opposition leaders and Iranian officials deny the allegation and many Western powers have dismissed it.

The dispute over the circumstances surrounding the 14-year-old boy's death is the latest to stir distrust among activists towards the government.

Clashes broke out overnight Wednesday into Thursday between Shiite Muslim protesters and police, after witnesses said they saw the boy -- Ali Jawad al-Sheikh -- collapse after riot police fired a tear-gas round at him and other protesters who were in Sitra, southwest of Manama.

The interior ministry has said no clashes were taking place at the time the boy was injured, claiming that the last reported incident of unrest in the area was around 1:15 a.m. on Wednesday.

And a police chief said Thursday that the hospital officials who informed the police they had received the boy's body did not give any details about the incident or where the body was found, the state news agency reported.

Bahraini officials said Thursday that the doctor who carried out an autopsy on the body concluded that the cause of death was an injury sustained behind the neck, where there were fractures causing bleeding around the spinal cord.

Blood tests by the forensic laboratory did not show any sign of tear-gas exposure, BNA cited public prosecution chief Osama Al Asfoor as saying.

Unconvinced, thousands of people took to the streets earlier Thursday at the boy's funeral, according to witnesses. Rajab, who was at the funeral, said the procession remained calm, with no outbreaks of violence.

He told CNN crowds of people gathered early that morning and police had pulled out from the entire area, using helicopters instead to monitor the situation.

Meanwhile, government officials say they are investigating the death and the interior ministry has offered a 10,000 Bahraini dinar ($26,400) reward for information leading to the arrest of his killer, state news agency BNA reported Thursday.

The press release Thursday from the interior ministry concluded the youth died "as a result of a serious blow to the back of the neck ... that culminated in a blood clot in the brain, which eventually took his life."

The release urged "calm in response to the tragic death of a 14-year-old boy" and asked for the three unknown men who brought the boy's body to a hospital "to make themselves known so that they can explain how they found Ali and offer an explanation of the events of the morning that (led) to his death."

Speaking ahead of the boy's burial, Bahraini pro-democracy activist Zainab Alkhawaja, in Sitra, told CNN there was a feeling of anger in the streets, with people chanting slogans calling for the fall of the regime and its leader, King Hamad.

"People are more upset and angry than I've seen at (a) funeral here before -- I think because he was so young," she said.

Protests have lingered for months despite a crackdown by Bahrain's Sunni monarchy, backed by troops from Saudi Arabia and the United Arab Emirates. More than 30 people have been killed the crackdown, in which activists say Bahraini security forces have used live ammunition.

Opposition groups say more than 1,000 people -- mainly Shiites -- have been detained and more than 2,000 have lost their jobs for allegedly taking part in the protests.

CNN's Mohammed Jamjoom and Salma Abdelaziz contributed to this report.

@highlight

Thousands in Bahrain rip the government for denying a role in boy's death, witnesses say

@highlight

One activist says riot police fired tear gas and rubber bullets and "raided homes"

@highlight

There was no immediate response from the Bahraini government to the clashes

@highlight

Bahrain has been the site of months of anti-government protests and clashes