London (CNN) -- The United States, the European Union and Japan have filed a trade case over China's export restrictions on rare earth minerals that are crucial for the production of many high-tech devices.

What are rare earth minerals?

Rare earths are 17 minerals with magnetic and conductive properties that are used in most of today's electronic devices, including flat-screen televisions, smart phones, hybrid cars and weapons.

The minerals include cerium, neodymium, dysprosium, tungsten and molybdenum. Tungsten, for example, is used in electronics, automotive, aerospace and medical technologies. China produces 91% of the world's tungsten. Molybdenum is a metallic element used for filaments in light bulbs. China produces 36% of the world's molybdenum.

They are not actually "rare," and can be found in other countries -- including the U.S. -- but they are difficult to mine safely. About a third of the world's rare earth deposits are in China but the country controls around 97% of production, in part due to its lower labor costs and less stringent environmental regulations.

Rare earth minerals' importance and limited supplies have created friction between China and the U.S., among other countries, for years.

What is the issue?

China's dominance in the industry has led to suggestions it can be used as part of a trade war with the U.S. and Europe. In 2010, a report commissioned by the U.S. Congress found China's dominant position in production could have major implications for the U.S. Department of Defense.

In June that year, China tightened export restrictions on the materials by raising export taxes and reducing the amount it can send overseas. It reduced the quota for Chinese-owned companies by 32% but by 54% for companies with foreign investment. In December, it further reduced quotas. It also temporarily halted shipments of rare earths to Japan, prompting a sharp spike in prices of the minerals.

What has happened now?

The trade case by the U.S, European Union and Japan accuses China of increasing prices outside China while lowering them within the country, creating unfair advantages. The U.S. also accuses China of hoarding the minerals for its own use. The U.S. aims to pressure China to lift export limits.

China has defended its actions by saying they are in line with World Trade Organization regulations, and that the restrictions are due to environmental concerns.

Why does it matter?

Rare earths minerals are hugely important to the technology industry, and the U.S. and the European Union are fierce in their language against China.

According to a European Commission statement, restrictions "violate international trade rules" and hurt producers of car components and computers, among other industries.

The EU said it has raised the issue with China repeatedly over the past years without success.

U.S. president Barack Obama said: "We have got to take control of our energy future and we can't let that energy industry take root in some other country because they were allowed to break the rules."

What will happen next?

The European Union, U.S. and Japan are all making requests for consultations with the Chinese, as part of the WTO dispute process. If agreement is not reached within 60 days, the issue can get kicked up to a WTO settlement panel. Whatever the outcome, it could take some time: A similar dispute over restrictions on raw materials was settled this year -- in favor of the EU, U.S. and Mexico -- three years after it was launched.

@highlight

The U.S., European Union and Japan have filed a trade case over China's export restrictions on rare earth minerals

@highlight

Rare earths are minerals with magnetic and conductive properties that are used in most of today's electronic devices

@highlight

China's dominance in the industry has led to suggestions it can be used as part of a trade war with the U.S. and Europe