(CNN) -- When Joseph Altuzarra sent a model down the runway in an enormous black-and-white intarsia fox fur coat on Saturday, Elle's Anne Slowey tweeted,"(Cruella de Vil) eat your heart out."

This, oddly enough, would not be the only time a ready-to-wear look would be compared to the pelt-wearing villain's wardrobe during Mercedes-Benz Fashion Week.

As fashion week faded to black Thursday with the final shows by Ralph Lauren, Calvin Klein and Marc Jacobs, the stylish affair ended exactly the way it started -- with fur, fur, everywhere, from fox to raccoon to mink.

On opening day, BCBG Max Azria showed off a collection inspired by Istanbul's architecture and the gypsies of southern Europe. Amid the layers of chunky knit sweaters and patterned tunics were knee-length, patterned fur vests and cropped fur jackets.

It's not only real pelts prancing the catwalk. Designers such as Anna Sui, Jeremy Scott and Christian Siriano accented their offerings with faux fur elements.

"This is almost the golden age in fur," said Charles Ross, the Head of International Marketing for Saga Furs. "Our skin prices are going up 20-30% every year."

All this fur fervor raises the question: Is using real animal hide worth the potential controversy?

After all, it's difficult to forget the great raccoon incident of '96, in which an animal-rights activist served Vogue editor-in-chief Anna Wintour a dead raccoon at her lunch at the Four Seasons.

We haven't seen a paint-splashed mink in the headlines lately. Is it possible the moral outrage over the use of animal skin is over?

Veteran furrier Dennis Basso celebrated his brand's 30th anniversary with a runway collection of dazzling gowns and statement furs. And relative newcomer Brandon Sun, who previously worked in the fur departments for J. Mendel and Oscar de la Renta, displayed 20 ensembles, incorporating Blackglama mink and fox fur.

Non-fur-centric designers, like BCBG, played with fur collars, hats, capes, stoles and detailing. There was fur in natural hues, as well as dyed. There were even furry boots.

Photos: Fashion Week in a flash

"Fur is the most luxurious thing you can use down the runway," said Lubov Azria, chief creative officer for Max Azria designs, and Max's wife.

Lubov said the brand uses both real and faux fur in its designs, but the runway entices artistic extravagance.

Mathieu Mirano's fall presentation was pelt-heavy, including a nude tulle gown with black fox fur panels. For Mirano, an upstart in the business at just 21, the appeal comes from fur's versatility.

"You can use it on a coat, a jacket, or even a dress," Mirano said. "You can pair it with leather, sequins, wool."

Mirano said his brand is all about specialty, luxury fabrics, and fur matches that particular mindset.

The furry look is right on trend for fall and winter of 2013, according to fashion forecaster WGSN. Meanwhile, around the tents, many attendees cloaked themselves in fur to keep warm amid the historic snowfall that buried the Northeast in the middle of Fashion Week.

Industry experts like Ross attribute the fur frenzy to its newfound accessibility -- no longer associated only with the rich, grandmotherly set, it has caught on with a younger, hipper crowd. Fur is also more widely available to consumers. It's not exclusive to specialty fur boutiques like Dennis Basso's Madison Avenue store. High-end department stores now carry scads of the fluffy stuff.

But the fur-lined autumn and winter collections are a sharp contrast to Vaute Couture's presentation last Wednesday, which was billed as the first all-vegan independent fashion house to show during New York Fashion Week.

Vegan couture: Faux meets fabulous

The label's founder opted for organic cotton velvets and velveteen, colorful faux fur and soy fiber knits.

Joshua Katcher, who crafted the animal-free men's shoes for Vaute's presentation, said the use of leather and fur is tough to rationalize now because of the technological advances of faux products.

Saga's Ross disagreed: "The studies have shown that faux fur is an environmental nightmare. That it's a non-biodegradable product made from petroleum whereas fur is very biodegradable and has a long shelf-life."

But Ross also contends that designers now feel more confident using the real deal after examining the chain of production and finding it humane.

According to the European Fur Breeders' Association, the E.U. is the world's largest producer of factory farmed fur. Farms like Saga's are governed by E.U. farming regulations. China is the second largest worldwide producer of fur pelts, but the country is often lambasted for its lack of regulation. Fur farming is currently banned in the United Kingdom, Croatia and Austria.

"Fur is not for everybody," Ross said. "For people that have made the decision not to use fur, we certainly respect that. But, other people should also respect the right for a designer to use it."

Saga's fur auction house, located in western Finland, supplies fox, mink and Finn raccoon to more than 400 designers globally, many of which are showing at Mercedes-Benz Fashion Week.

Another reason for the fur boom is that companies like Saga are wooing and supporting young designers.

Saga operates a research facility in Copenhagen, the Saga Design Centre, and invites established and emerging designers to visit and experiment with new techniques. In the case of anticipated newcomers who might not have the capital to purchase the high-end product, Ross said the Design Centre will make an investment in their first collection by providing a couple of pelts.

More than 25,000 fashion industry workers have visited the center since it opened in 1988, according to Saga's website.

As for faux fur, designers say imitation is the best form of flattery.

"I think the use of real fur vs. faux fur is up to the designer and the wearer. I prefer real fur, it's more luxe," designer Mirano said.

"A woman should have options and I think a lot of people do buy synthetic furs," Lubov said, adding that he thinks the product still needs further development.

Still, staunchly anti-fur designers argue it's as simple as changing the perception of luxury -- and the definition of cool.

"In the fashion world, being a villain is definitely a sought after aesthetic and that's a problem for ethical designers because we come across as the do-gooders," Katcher said.

Follow Sarah LeTrent on Twitter

@highlight

Fur was omnipresent in the fall and winter collections at New York Fashion Week

@highlight

Fur industry insider says designers approve of their chain of production and find it humane

@highlight

Animal rights designers say faux fur can be luxurious and stylish, and is a viable alternative