NEW YORK (CNN) -- Myriad Genetics, a Utah-based company, vowed Wednesday to "vigorously defend" itself against a legal challenge to its patents on two human genes linked to breast and ovarian cancers, its attorney told CNN.

A lawyer in the case says patenting genes would be like patenting an eyeball removed from someone.

"Myriad strongly believes its patents are valid and enforceable and will be upheld by the courts," said Richard Marsh, the company's general counsel.

The American Civil Liberties Union is suing Myriad, arguing that patenting pure genes is unconstitutional and hinders research for a cancer cure.

Marsh said the company is aware the lawsuit has been filed but has not yet been served any legal documents.

"We do intend to vigorously defend our intellectual property rights," Marsh said. He noted a 1980 U.S. Supreme Court decision related to gene patenting that he said cleared the way for "tens of thousands of genetic and genetic-related patents" to be granted by the U.S. Patent and Trademark Office.

The ACLU, joined by the Public Patent Foundation, an organization affiliated with Benjamin N. Cardozo School of Law of Yeshiva University, filed the lawsuit Tuesday in U.S. District Court in southern New York against the Patent and Trademark Office, Myriad Genetics and the University of Utah Research Foundation.  Watch Dr. Sanjay Gupta discuss the lawsuit »

Myriad and the research foundation hold patents on the pair of genes -- known as BRCA1 and BRCA2 -- that are responsible for many cases of hereditary breast and ovarian cancers.

The ACLU says that patenting the genes limits research and the free flow of information, and as a result violates the First Amendment.

"Knowledge about our own bodies and the ability to make decisions about our health care are some of our most personal and fundamental rights," said ACLU Executive Director Anthony D. Romero. "The government should not be granting private entities control over something as personal and basic to who we are as our genes."

The lawsuit also challenges genetic patenting in general, noting that about 20 percent of all human genes are patented -- including genes associated with Alzheimer's disease, muscular dystrophy and asthma.

"It is absolutely our intent that upon victory this will rend invalid patents on many other genes," said Dan Ravicher, executive director of the Public Patent Foundation and a patent law professor at Yeshiva University's Benjamin N. Cardozo School of Law. "We just had to pick one case as our case."

Ravicher offered an analogy to describe the plaintiffs' argument, saying, "It's like saying if someone removes your eyeball ... just because you remove the eyeball and wash it off, that doesn't make the eyeball patentable.

"Now if they create another eyeball out of plastic or metal, then you can patent that."

More than 192,000 U.S. women get breast cancer diagnoses each year, and about 5 to 10 percent of those cases are a hereditary form of the disease, according to the National Cancer Institute. Mutations in BRCA1 and BRCA2 -- short for breast cancer 1 and breast cancer 2 -- are involved in many cases of hereditary breast and ovarian cancers, the institute said.

"A woman's lifetime chance of developing breast and/or ovarian cancer is greatly increased if she inherits an altered BRCA1 or BRCA2 gene," according to the institute.

Myriad's patents give it exclusive right to perform diagnostic tests on the genes, forcing other researchers to request permission from the company before they can take a look at BRCA1 and BRCA2, the ACLU said. The patents also give the company the rights to future mutations on the BRCA2 gene and the power to exclude others from providing genetics testing.

The company also charged $3,000 a test, possibly keeping some women from seeking preventative genetic testing, the ACLU says.

"Women whose doctors recommend genetic testing should be able to find out whether they have the gene mutations linked to breast and ovarian cancer so that they are able to make choices that could save their lives, and these patents interfere with their ability to do so," said Lenora Lapidus, director of the ACLU's Women's Rights Project.

The plaintiffs in the lawsuit include several patients and more than a dozen universities, genetic specialists and medical associations, such as the Association for Molecular Pathology and the American College of Medical Genetics.

At least one expert said the ACLU should focus more on getting the patents reversed than arguing whether they are constitutional.

"I doubt they're going to get far with an argument that the patent is unconstitutional," said Arthur Caplan, director of the Center for Bioethics at the University of Pennsylvania.

"A better argument would be that they were wrong when they granted the patent," he added, referring to the patent office.

Caplan said patents are privileges, not "carved in stone." He said that the defendants may have identified the genes, but didn't actually work on them. So, the government could reverse the patents on the genes.

"It's like trying to patent the moon," he said. "You didn't do anything to create it, just discovered something that already existed. You can't patent things that are publicly available, that anyone can find. You have to create something, make something, do something with the thing."

CNN's Stephanie Smith and Caitlin Hagan contributed to this report.

@highlight

NEW: Myriad Genetics vows to "vigorously defend" itself against a legal challenge

@highlight

ACLU sues on behalf of universities, genetic specialists and medical associations

@highlight

It says patenting genes is unconstitutional, inhibits ability to find cancer cure

@highlight

Patents give company exclusive right to perform diagnostic tests on the genes