(CNN) -- I'm frustrated by the story of "Django Unchained" actress Daniele Watts' claim of racism after being detained by a police officer.

I think it is true that police officers, in general, are more likely to be suspicious of black people than white people in specific circumstances, and I know the phenomenon of "driving while black" happens. I have clients who have been pulled over, questioned and detained without any obvious probable cause.

It reminds me of an incident a few weeks ago in which Hollywood producer Charles Belk was detained by police officers for six hours until cops realized they had the wrong "tall, bald-headed black male." Such an event is demoralizing and humiliating, and it is evidence of how ingrained cultural biases affect law-abiding citizens. It's the kind of action that gives black people reason to be distrustful of cops.

What happened to Belk is the kind of incident that can help white people understand how racial bias impacts other people's lives. White people, like it or not, receive the benefit of racial bias, although it's hardly ever very apparent when it happens.

When I quickly catch a cab in Manhattan, I don't think, "that was easy because I was white." When I'm pulled over by police, I never think, "I bet this would go better if I was black." It's an unnatural thought process, but it's a thought process that keeps many whites from understanding an experience shared by many blacks.

When such an incident happens to a high-profile personality -- such as a Hollywood producer or actress -- it provides an opportunity for people from both sides of the racial divide to connect and identify with the story. In a situation like Belk's, it has the potential to foster a broader understanding of our inherent cultural biases. That's a good thing; it's a conversation about race that has the potential to bring us closer together.

But the details in the Watts' case could produce the opposite effects. Police responded to a very specific call: a white man and a black woman in a Mercedes involved in a sex act outside the CBS Studio. The officer explained why he had probable cause to ask for her identification. Her continued refusal to comply resulted in her being temporarily placed in handcuffs. When her boyfriend persuaded her to produce her ID, she was finally released.

Here are some basic legal procedures: Police are allowed to ask you for your identification when they are investigating a particular event that may be a crime; it's part of their job. If they have probable cause to believe an actual crime occurred, they are allowed to arrest you. Asking for your ID is a polite first step to establish whether further investigation is appropriate and whether an arrest is warranted.

I have analyzed and critiqued cops' behavior lately, and I think law enforcement everywhere in this country has to do better, especially when it comes to addressing bias in their police work. However, there are some basic rules to follow when interacting with law enforcement: respect them and their authority -- indeed, their obligation -- to investigate circumstances. If a cop acts inappropriate, file that complaint later, not during the interaction on the street. That is a battle you simply will not win.

In Watts' case, the officer was doing his job, and it was Watts who was out of line. I think many people -- especially many white people -- are going to look at the Watts situation and come to the conclusion that she overreacted. In the best-case scenario, it detracts from the significance of cases like the Belk case, in which outrage is justified. In the worst-case scenario, Watts' reaction re-entrenches prejudices held by some that black suspects contribute disproportionately to the contentious relationship between cops and the black community.

Either way, Watts' behavior and her accusations in this case are not conducive to advancing thoughtful discussions about race. If we want a constructive conversation, we need to engage in a way that brings us together, not pushes us further apart.

@highlight

Actress Daniele Watts claimed racism after being detained by a police officer

@highlight

Mark O'Mara: In this case, officer was doing his job, and it's Watts who was out of line

@highlight

He says many incidents do give black people reason to be distrustful of cops

@highlight

O'Mara: In general, law enforcement can do better in addressing racial bias