(CNN) -- You could likely count on one hand the number of writers who could scare the daylights out of you as effectively as they could cheer you up. And there aren't too many fingers on that hand representing those writers who could do both in the same story or even on the same page and convince you that they know what they're doing.

Overheard on CNN.com: Ray Bradbury was 'very down to Earth,' or maybe Mars

Ray Bradbury, who died early Wednesday at age 91, knew what he was doing when he threw you into a dark place leaking menace and dread at every corner and when he lifted you into an enchanted realm bursting with magical properties.

Favorite quotes from Bradbury's 'Fahrenheit 451'

At times, these places -- light or dark, weedy or glistening -- were part of a distant past closely resembling Bradbury's Waukegan, Illinois, childhood of blessed summer evenings and portentous autumn twilights -- evoked most memorably in his 1957 autobiographical novel, "Dandelion Wine." At others, they were places conceived in a hypothetical future that often looked like a hyped-up version of the present day -- or at least whatever "present day" Bradbury happened to be writing.

Top five Bradbury films

Think, for instance, of "The Martian Chronicles," a collection of short stories regarded as Bradbury's breakthrough when it was published in 1950, even though he'd been writing and publishing fantasy, horror and science fiction for at least a decade before. Bradbury imagined a red planet whose colonization by Earthlings brings upon its dry terrain both the sweetly nostalgic graces of early to mid-20th-century Americana and some of the harsher aspects of human nature -- disease, war, bigotry and so on -- over time wreaking irrevocable havoc upon the native Martians and their civilization.

News: Sci-fi legend Ray Bradbury dies

Bradbury was hardly the first to use the medium of science fiction -- or as its more serious followers prefer, "speculative fiction" -- to engage social issues. But his success in bringing his futuristic Gothic tales to such publications as Esquire, the Saturday Evening Post and Mademoiselle broadened the audience for science fiction and elevated the genre's standing in the literary mainstream.

My last conversation with Ray Bradbury

Wherever he was published, whatever he wrote about, Bradbury spoke to his readers in a style described by critic Gilbert Highet in his introduction to the 1965 collection, "The Vintage Bradbury" as "a curious mixture of poetry and colloquialism ... so brisk and economical that it never becomes cloying, so full of unexpected quirks that it is never boring."

Interview: Sci-fi legend Ray Bradbury on God, 'monsters and angels'

Some disagreed. Even Highet conceded in the same paragraph that he "occasionally" found Bradbury's writing "a little too intense and breathless." Still others griped that they found Bradbury's blend of robust affirmation and astringent gloom too glib and calculated to please as wide an audience of soreheads and romantics as possible. But Bradbury's more intelligent and incisive readers found greater resonance in his writing than his deceptively simple approach evoked on the surface.

Rainn Wilson, others tweet tributes to Bradbury

One such fan was the Argentine fabulist and poet Jorge Luis-Borges, who in his introduction to his Spanish-language translation of "The Martian Chronicles, asked: "What has this man from Illinois done, I ask myself when I close the pages of his book, that episodes from the conquest of another planet fill me with horror and loneliness?"

And there was nothing calculated or contrived about Bradbury's blend of optimism and pessimism. The man who once wrote a guide entitled "Zen in the Art of Writing" (1994) embraced all his contradictions -- light and dark, elegist and gadfly, dreamer and skeptic -- as one with a universe whose perils and possibilities he greeted with the same open-hearted wonder.

"I prefer to see myself," he told an interviewer for the Paris Review in 2010, "as the Janus, the two-faced god who is half Pollyanna and half Cassandra, warning of the future and perhaps living too much in the past -- a combination of both.

"But," he added, "I don't think I'm too overoptimistic."

What did Bradbury mean to you? Share with us on CNN iReport!

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: Ray Bradbury could mix menace with magical possibilities

@highlight

He says Bradbury drew on his Illinois hometown to juxtapose familiar things with the future

@highlight

But his approach, deceptively simple on the surface, held social message along with dread

@highlight

Bradbury died Wednesday at age 91