(CNN) -- From the outside, the DC-10 jet parked on the airport runway looks like any ordinary plane. But if you step inside, you'll notice something is not quite right. Instead of rows of seats, you'll find a fully equipped operating theater; rather than uniform-clad flight attendants, you'll see a group of doctors in blue coats gathered around a microscope.

This is the world's only "Flying Eye Hospital" -- a converted plane that has been landing at airports in the developing world for the last 30 years. Its mission is to treat people suffering from blinding diseases -- many of whom are children.

But it's not just about treatment; the plane is also designed to train local ophthalmologists. Cameras inside the operating room broadcast eye surgeries to a 48-seat classroom at the front of the plane, where local doctors watch to learn new skills and techniques. A two-way audio system lets the observers ask the surgeons questions while they operate.

Inspiring students

In October 2013, the Flying Eye Hospital landed in Cameroon, and its doctors visited the Yaounde Central Hospital in the country's capital. It was a revealing experience for everybody present, said Dr. Emilienne Epee, senior lecturer of ophthalmology at the University of Yaounde. "Officials, lecturers and senior staff were exposed to what is available and what can be done in a realistic way, easing the advocacy for ophthalmologists," she said.

Epee added that the visit got many medical students interested in ophthalmology, and she hopes that this will increase the number of ophthalmologists in Cameroon.

However, the country still faces many problems when it comes to eye health. "Equipment is an issue and for the time being we do not have the latest or high-tech facilities in our services," said Epee. "Nevertheless we can attend to the basic need and avoid blindness with what is available to us."

Read this: Birth advice by text message

ORBIS, a U.S.-based non-profit organization that works in developing countries worldwide to prevent blindness and treat visually impaired people, is the organization behind the remarkable plane.

"It's truly remarkable to see people regaining their eyesight every day," said Flavia Draganus, communications manager on board the Flying Eye Hospital. "When we take the patches off after the surgery we see them smile because they can see again, although they thought they'd never be able to."

An estimated 285 million people worldwide are blind or visually impaired according to the WHO -- 90% of them live in low- and middle-income countries, yet 80% of them could be treated or cured with the right medical care.

Flying Eye Hospital doctors treat blinding diseases like cataracts, glaucoma, trachoma and diabetic retinopathy; many of them are easily treatable with the right medical care, which developing countries often lack. During their stay, doctors also leave the plane to go to local hospitals to train doctors with the hospitals' existing equipment.

Bruce Johnson, director of aircraft operations at ORBIS, said: "The main deficits in the eye care industry in the developing world are a lack of ophthalmologists and the right equipment as well as very few specialist hospitals. Also, often parents can't afford the surgery for their children."

Johnson has been with ORBIS for nine years and has been on dozens of overseas programs. "We can take our hospital anywhere to reach people in remote regions that don't have access to the right eye care treatment," he said. The organization says the Flying Eye Hospital has so far carried out 925,000 surgeries and trained 92,000 doctors.

Local knowledge

It is the training that offers long-term hope for better eye care. "There is a huge appetite for training among doctors in the developing world, as we've recently seen on a trip to Cameroon," Draganus said. "We leave knowledge behind and make sure that these doctors sustain the skills even after we left."

ORBIS has been asked to build a pediatric eye care unit as part of the planned Yaounde Vision Institute. The institute would mark a step forward for eye health care in Cameroon, but a lack of training nationwide remains a challenge.

Dr Henry Nkumbe is an ophthalmologist based in Yaounde, and secretary general of the African Ophthalmology Forum. He said: "No center in the country has the necessary skills set and equipment to regularly perform corneal grafts, advanced glaucoma surgeries. So Cameroon, through out-of-pocket payments by patients or covered by the Ministry of Health budget, spends a lot on medical evacuations abroad, for specialist eye care services currently not available in Cameroon."

Nkumbe added: "At present at most 25% of people needing cataract surgery in Cameroon do indeed get it."

More than 30 years ago, the American ophthalmologist Dr. David Paton created ORBIS based on the idea of using aviation to deliver medical education around the world. In 1980, United Airlines donated a plane to the project and after it was converted into a fully functional teaching eye hospital, it went on its first trip to Panama in 1982 and has so far visited 78 countries worldwide.

A program in each country lasts around two to three weeks and there are up to 24 people on board including doctors, nurses, anesthesiologists and aircraft mechanics. In 2010, FedEx donated an MD-10 aircraft, which is currently being turned into the next flying hospital.

Johnson said: "I never imagined that there are so many people out there that need treatment and whose blindness can easily be prevented, with just the right care."

Read this: The free water helping hydrate Africa

Read this: Flying doctor takes to the skies after sister's death

Read this: How African doctors can cure medical 'brain drain'

@highlight

The world's only Flying Eye Hospital is a jet converted into a fully equipped eye hospital

@highlight

Eye specialists treat patients and train local doctors to ensure long-term benefit

@highlight

It has flown to 78 countries and trained thousands of doctors

@highlight

Flying hospital treats diseases such as cataracts and glaucoma