Bekaa Valley, Lebanon (CNN) -- As the Syria conflict further escalates, refugees continue to cross borders to seek safety in Iraq, Jordan, Lebanon, Turkey and Egypt. According to the U.N., the number of Syrians who have registered as refugees -- or are being assisted in these countries -- now exceeds 540,000, with an increase of over 140,000 during the past six weeks alone.

I recently traveled to eastern Lebanon to work with Mercy Corps and assist the refugees who have fled their homes in Syria. It was a cold, foggy day with a constant downpour of icy rain.

When we crossed the mountains into the Bekaa Valley, the rain turned to a wet snow and a hard wind lashed at us the entire day.

Lebanon continues to host the largest Syrian refugee community, with over 170,000 refugees -- and they continue to stream across the border. More than 13,000 have arrived in Lebanon over the past several days as the fighting and airstrikes in Syria have intensified.

We met tired and scared families getting off trucks after their 24-hour escape from Syria. Mothers told me accounts of hearing explosions and leaving by foot at dusk, saying they couldn't see the scene in the dark to describe it, but they could smell and feel the dust from the explosions.

The kids were scared and many were holding back a flood of tears. The freezing, slushy rain made the situation more desperate and urgent.

The refugee situation here is different to what we see in most other countries. Almost all the refugees in Lebanon are in host families or self-made tents constructed from scrap materials such as dismantled billboards.

The colorful toothpaste and food advertisements that have been turned into shelters make for a strange sight. They are scattered across the country in over 540 locations. There are no official refugee camps like you find in Jordan and Turkey, which makes providing assistance even more challenging.

The families are arriving in the snow and bitter cold conditions. They are carrying plastic bags with the few items they could bring with them as they fled the violence in their country.

It seems everywhere you look you see refugees standing out in the street, in the mud, with their plastic bags. Most of them have nowhere to go, so we are providing them with temporary shelter in a training center until they can find another place.

Syrian refugees face brutal winter with inadequate shelter and food

The majority of the refugees in Lebanon are staying with host families. The refugees often pay rent to the families that allow them to stay, or they offer labor in exchange for lodging. In some cases there are as many as six refugee families staying with one host family.

Each refugee family, typically eight people, is crowded into one room that serves as their kitchen, living area, bathroom and sleeping quarters. In the homes where we are working the electricity is out, the roofs are leaking, the wind whips through the flimsy windows and doors, and it is freezing cold.

Families huddle together around a small stove, struggling to stay warm at night as the temperature plummets to below -10C in this region.

Hala, a 19-year old refugee who fled her home in Syria by foot, now lives with her family in the attic of a host home. Hala told me: "We are not able to get warm either by day or by night. The walls are always damp and it is freezing."

In one room I visited, there were two families who had just arrived. They were given a storage room to sleep in -- there were no windows, no electricity and just a plastic sheet on the cold, damp cement floor.

The mothers were unpacking blankets from grain sacks they had used as suitcases when they fled. The fathers were assembling an oil stove improvised out of a metal barrel. Kids were trying to help their parents. Everyone was silently working in the dark.

I could see they had just endured a horrible experience and hadn't even collected their thoughts. They had made it out of Syria, through the battle. They had found shelter for the night -- and that's as far as they were in their mind.

When I asked them what was next, they truly did not know. They only hoped they would be provided some humanitarian assistance while they sat out the fighting.

Despite these dire conditions, refugee families offered me tea or to share their dinner. Out of politeness, they told me it was OK to not remove my shoes as I walked in to their rooms.

This is almost unheard of in this culture but a politeness offered to the guest foreigner. My shoes were muddy and wet from the day and there was no way I could accept their kind offer.

Envoy says 2013 could bring 100,000 deaths in Syria

As the Syrian refugee crisis begins its second winter, Lebanese host households are struggling to cope with the burden of increased expenditures, decreased living space, and an ever-increasing need for more food, fuel and basic living necessities.

Most communities hosting Syrian refugees are the poorest in Lebanon with very weak economies that cannot support such a large number of guests for a long period of time.

The majority of the refugees left their homes initially believing they would soon return. However, as the violence continues, their resources are dwindling or already gone. Refugees who came in the summer months, did not come prepared to endure the harsh winter.

Laith, a 14-year old refugee who came to Lebanon two months ago told me: "The problem is that I only have my summer clothes here. It is so cold now and there is no way to get warm."

Heaters, blankets, warm clothing and heating fuel are some of the most pressing needs for the winter months, in addition to food, shelter and mattresses.

In Bekaa Valley, Mercy Corps has distributed hygiene kits, tablets to purify water, buckets and jerry cans to refugees. Mercy Corps will be distributing over 6,000 winter clothes and over 4,000 vouchers for winter clothes in Bekaa this month. Mercy Corps is also providing psychosocial support services to children and adolescents in the region, and has reached over 2,000 beneficiaries to date.

The amount of assistance needed here is overwhelming. The United Nations estimates that if fighting in Syria continues the refugee figure could reach 1.1 million by June 2013. Funding is short and is hampering our ability, and our peer humanitarian organizations, to provide the support these refugees so desperately need.

At the end of the day, I left with a lump in my throat. We saw many tears and a vacuum of feeling from fathers who knew they had just walked away from every worldly possession they owned -- knowing it was lost to the war. But I can't say I felt desperate or hopeless. I am an optimist and have to be in order to do this job.

For more coverage of the Syrian refugee crisis, click here.

The opinions expressed in this commentary are solely those of Dee Goluba and Ghassan Wehbe.

@highlight

More than half a million Syrians have fled to other countries

@highlight

Their numbers have risen 140,000 in the past six weeks alone

@highlight

Lebanon is hosting the largest Syrian refugee community, with more than 170,000

@highlight

Most are taken in by host families or live under tents improvised from scrap material