The air traffic control system for London airspace has been restored after a technical failure, the UK air traffic management company NATS said Friday, but travelers can expect disruptions and flight cancellations.

"We are in the process of returning to normal operations. We apologize for any delays and the inconvenience this may have caused," NATS said. It later issued a release saying that it had ruled out a power outage as a cause of the fault, which resulted in the temporary closure of London's airspace.

Interactive: Track the flights here

Travelers passing through London can expect delays or disruption to their flights for hours to come.

Heathrow Airport said the NATS systems were "now working and stable," but about 50 flights had been canceled by 5:30 p.m. GMT (12:30 p.m. ET), with the number expected to rise over the evening and into Saturday.

"The earlier problem will cause delays and cancellations to flights for the rest of the day and is likely to have a knock-on effect on some services tomorrow because aircraft and crew will now be out of position," Heathrow said in a statement.

"Passengers due to depart today and tomorrow should check the status of their flight with their airline before traveling to Heathrow. We are very sorry for the disruption to passengers' journeys."

Extra staff will be on duty to help passengers, it said. Luton, Gatwick and Stansted airports, which all serve London, also warned of delays.

The disruption caused big problems inside Heathrow.

Hundreds of unclaimed bags sat beside carousels inside Terminal 5's baggage claim. A baggage handler told CNN some people grew tired of waiting and left without collecting their bags. Carousels were not assigned for some incoming flights.

A spokesman for budget airline Ryanair, Robin Kiely, told CNN that flights were expected to resume with delays but that cancellations were not expected.

'Humongous impact' of one error

Kiely slammed NATS over the problem, saying it was "unacceptable" that its system had "dropped for the second time in 12 months, particularly on a busy Friday in the run-up to Christmas."

Paul Beauchamp, a spokesman for NATS, said, "We think there is problem with the flight data system although not exactly sure at this time."

He told CNN its systems were not hacked and that idea "has been ruled out completely."

Aviation security expert Glenn Schoen told CNN the incident had exposed a weakness in the air traffic system, a problem that needs to be addressed urgently.

"We're going to have a major digital forensic effort here I think, driven by British authorities -- maybe with assistance from international aviation authorities -- to get to the bottom of this as quickly as possible," he said.

"The disconcerting aspect here is the humongous impact of what appears to be one technical error. It doesn't appear like a whole group of people made a mistake or a whole group of systems all had an error at the same time, so it tells us somewhere in how the system is configured now there are vulnerabilities we did not know about and apparently have not been accounted for in terms of control measures."

British Airways offered refunds or the chance to rebook to any of its passengers not wishing to travel Friday in light of the problems.

"We anticipate disruption to both departing and arriving flights but will do all we can to minimize any impact," it said in a statement.

International consequences

It's not just UK travelers who will be affected by the glitch.

"All flights that are supposed to fly London from Charles de Gaulle are delayed," a representative for Paris Charles de Gaulle airport told CNN.

"Flights from Tunisia will be landing at Charles de Gaulle instead of London."

Mary Ryan, a spokeswoman for United Airlines, said none of its inbound flights Friday was affected but that four outbound flights were being held at the gate until the issue was resolved.

A spokesman for Delta Air Lines advised passengers bound for London on Friday to check the status of their flights before traveling.

The European air traffic control network, Eurocontrol, earlier said no flights would be accepted in or out of London until 7 p.m. (2 p.m. ET.)

The issue affected the air traffic control center in Swanwick, which controls all air traffic routes in southern England and Wales, up to approximately Manchester. A second air traffic control center at Prestwick in Scotland takes over air routes from there. It was not affected, NATS said.

A problem with many moving parts

CNN's Jim Boulden said more than 80 airlines fly into and out of Heathrow, with some 200,000 people passing through the airport daily.

"The system is working fine, but it's the aircraft that are in the wrong place -- it's the aircraft that are delayed," he said Friday evening. "There's a number of planes that have been diverted to other places. They still have to get here -- to London."

Schoen, the aviation security expert, said the resulting effects would be significant.

He said they include "the parking of the aircraft, refueling, servicing of the aircraft, the security guarding and checking of the aircraft, the handling of the passengers at different airports where they're not really planning on that kind of capacity for the coming night -- perhaps this is happening overseas as well -- flights that were en route to the United Kingdom now diverting to other places.

"Hopefully this will not affect some of the biggest, busiest flights. Think about you piloting an Airbus A380 en route to London and you needing to divert, and having to fit that into a schedule of another airport. So these are some major challenges throughout the system that we're hoping and we're assuming authorities -- not just in the UK but elsewhere as well -- are ready to handle now."

Behind the scenes: How a busy airport works

@highlight

Systems were not hacked, says spokesman for air traffic company

@highlight

Air traffic company says it's investigating cause, rules out power outage

@highlight

Heathrow Airport says disruption to flights could continue into Saturday

@highlight

Travelers passing through London can expectdelays or disruptions