(CNN) -- Chemists used to use balls and sticks to make models to help them understand how molecules worked. That has vastly changed.

On Wednesday, the Nobel Prize in chemistry rewarded three scientists for work leading to the computer programs used today to precisely calculate how very complex molecules work.

Accomplishments by chemists Martin Karplus, Michael Levitt and Arieh Warshel have enabled programs to even predict the outcomes of very complex chemical reactions.

As a result, computers have become just as important in chemistry labs as test tubes, the Royal Swedish Academy of Sciences said when announcing the prize.

Slow motion

The exact mechanics of a chemical reaction are hard to observe in the laboratory.

"Molecules are lazy creatures. Most of the time they don't do anything," said Gunnar Karlstrom from the Royal Academy. "They just swing around and don't do anything, and then suddenly, when they react, everything goes quick, like that."

New computer programs allow scientists to make models of these speedy reactions and study them at a slower pace, he said.

The three scientists combined the principles of traditional Newtonian physics, which has the advantage of being simple, with quantum physics, which is much more complex but also much more accurate, because it deals with what goes on at a subatomic level.

That has resulted in programs that are simple to use but also highly accurate.

Predictions made by the programs eliminate the need for some lab testing. For example, they help reduce the necessity of testing a new drug on animals, Karlstrom said.

Karplus researches at Harvard University and at the University of Strasbourg in France. Levitt is based at Stanford University Medical School, and Warshel is based at the University of Southern California.

All three were born in other countries.

They received the Nobel Prize jointly and will split the prize money of 8 million Swedish kronor ($1.2 million).

'God particle' theorists receive Nobel Prize in physics

Last year

Two American scientists won the Nobel Prize in chemistry in 2012 for their work revealing protein receptors that tell cells what is going on in and around the human body. Their achievements have allowed drugmakers to develop medication with fewer side effects.

Research spanning four decades by Robert J. Lefkowitz and Brian K. Kobilka on "G-protein-coupled receptors" has increased understanding of how cells sense chemicals in the bloodstream and external stimuli such as light, said the Royal Swedish Academy of Sciences, which awarded the prize.

This week

Two Americans and a German shared this year's Nobel Prize in physiology or medicine Monday.

Americans James E. Rothman and Randy W. Schekman, and German Thomas C. Sudhof were honored for discoveries of how the body's cells decide when and where to deliver the molecules they produce.

And on Tuesday, two men who predicted the existence of the Higgs boson particle 50 years before its discovery took the prize for physics -- Francois Englert of Belgium and Peter Higgs of the United Kingdom.

Higgs and Englert's theories of the elusive particle explained what gives matter its mass and played a key role in completing scientists' understanding of the nature of all matter.

Nobel medical prize goes to 2 Americans, 1 German

Nobel history

Since 1901, the Nobel Committee has handed out the Nobel Prize in chemistry 105 times. In certain years, mainly during World Wars I and II, no prize in chemistry was awarded.

The youngest recipient was Frederic Joliot, who won in 1935 at the age of 35. The oldest chemistry laureate was John B. Fenn, who was 85 when he received the prize in 2002.

Frederic Sanger was the only scientist to win the chemistry prize twice for his work related to the structure of proteins and DNA.

There is a fine line between the science of chemistry and the fields of physics and biology. Famed female scientist Marie Curie of France, for example, won Nobel honors for her work in radiophysics in 1903 and again in 1911 for discoveries in radiochemistry.

The committee also will announce prizes in literature, peace and economics in the coming days.

Swedish industrialist Alfred Nobel created the prizes in 1895 to honor work in physics, chemistry, literature and peace. The first economics prize was awarded in 1969.

Follow @CNNLightYears on Twitter for more science news updates

@highlight

The advancements could help reduce the need for drug testing on animals

@highlight

Chemists used to used balls and sticks to make models of molecules

@highlight

Today, computer programs show detailed depictions and predict complex chemical reactions

@highlight

The work of the Nobel winners led to the creation of these programs