ATLANTA, Georgia (CNN) -- Waves of severe thunderstorms streaked through downtown Atlanta on Saturday, hours after a tornado left a trail of destruction through the heart of the city.

An Atlanta sidewalk is heaved up by an oak tree toppled in Friday night's storm.

A swath of uprooted and broken trees, downed utility lines, peeled-off roofs and collapsed brick walls marked the path of the tornado that struck around 9:40 p.m. Friday.

"This was clearly a tornado," Lans Rothfusz of the National Weather Service's Peachtree City, Georgia, office said. He rated the storm an EF-2 on the Enhanced Fujita scale, meaning it packed top winds of 130 miles per hour.

Utility and cleanup crews worked Saturday to restore traffic lights, clear streets and remove tons of debris in the city's business district after Friday night's unusual urban storm.

Atlanta Mayor Shirley Franklin and Georgia Gov. Sonny Perdue declared states of emergency.

Police in Atlanta were urging people to stay away from downtown, fearing shattered glass and hanging metal would continue to fall from buildings as new storms rolled through.  See a map of the downtown damage »

A heavy thunderstorm prompted another tornado warning as it plowed across Atlanta just south of downtown Saturday afternoon. More storms were seen forming in Alabama and heading toward Atlanta.

At least two people were killed Saturday afternoon as the same line of storms destroyed structures elsewhere in northern Georgia.

Trees blown down in Friday night's storm crushed a row of houses in the city's historic Cabbagetown district just east of downtown.

Initial estimates from the mayor's office said at least 20 of the historic homes were damaged or destroyed by the tornado.

Atlanta police Maj. Renee Propes urged people to stay away from Cabbagetown.  See photos of the destruction »

"We appreciate the fact that people may want to help," Propes said. "But, in most instances, they are hindering our efforts and possibly putting people and property at risk."

The top floor collapsed at one building in the Fulton Cotton Mill Lofts, a 104-year-old industrial complex redeveloped into residences. Police officials said everyone was out of the structure and surrounding buildings and all residents in the lofts had been accounted for.  Watch firefighters search building »

Across the street, headstones were toppled in the historic Oakland Cemetery.

About 10,000 customers were without power Saturday morning, according to Georgia Power, but by about 5:35 p.m. Saturday that number had mushroomed to 41,000 customers statewide. Crews were working to restore power but were pulled back when waves of bad weather threatened.

Earlier, Georgia Power spokesman John Sell said more than 40 power poles were broken by Friday night's tornado.

Some customers will not have power restored until Sunday, Sell said -- and it could be even longer if weather hinders crews' efforts.  Watch a report on problems amid the cleanup »

Part of Atlanta's MARTA mass-transit rail system was shut down because of damage east of downtown.

The twister is the first to strike downtown Atlanta since record-keeping began in the late 1800s, said Laura Griffith, a National Weather Service forecaster.

On March 24, 1975, a tornado hit the city's Buckhead area, including the governor's mansion, she said. Three people died and more than 150 were injured.

The weather service said Friday's tornado plowed a path about 6 miles long and 200 yards wide.

The twister appears to have first struck several houses and churches in the Vine City neighborhood west of the business district, then moved on to the Georgia Dome, CNN Center, Centennial Olympic Park and Cabbagetown.

A brick apartment building in Vine City was roofless Saturday morning.

Curtains waved through broken windows high up the cylindrical 73-story Westin Peachtree Plaza hotel downtown. Gaping holes were torn in the roof of the Georgia World Congress Center, and an auto parts warehouse just east of downtown partially collapsed.  Watch a stairway become a waterfall »

Although tens of thousands of people were in the path of the storm -- many in town for a major college basketball tournament -- there were no known deaths and just one life-threatening injury, police said.

About 30 people -- one of them a firefighter -- were treated at hospitals, mostly for minor cuts, scrapes and bruises, police said.

The American Red Cross reported about 70 people were using one shelter it established, and a second was added later in the morning.

The storm struck the 71,000-seat Georgia Dome at 9:45 p.m. during a Southeastern Conference tournament basketball game. It shattered windows and tore roofs from buildings -- including CNN Center -- before continuing into several residential neighborhoods.

Mahsud Olufani, an Atlanta painter and sculptor with a studio in Cabbagetown, said, "It looks like a bomb went off, it looks like World War III."

A large hole could be seen in the 14th floor of a high-rise dorm at Georgia State University in downtown Atlanta. Students were evacuated from the area on buses.

The storm interrupted a Southeastern Conference game between Alabama and Mississippi State.

"It was actually in overtime, and the game was getting exciting, and I thought people from the Alabama side were hitting the bleachers trying to get some noise going," said basketball fan Lucas Shields. "All of a sudden the TV went out, the overhead clock stopped working, and you hear that distinctive noise of a train."

Amanda Reimann, an iReporter and University of Georgia cheerleader, said she and her teammates heard a loud noise.

"It sounded like the fans were banging on the seats or stomping their feet, but it kept up and got a lot louder," she said. "Then the ceiling of the Dome started waving, the giant TV screens were waving, and light fixures and dust started falling.

"My teammates and I thought it was a bomb but our coach came running for us and a security guy and said it was a tornado. We all ran for the locker room."  Watch what happened inside the dome »

The game resumed about an hour later, but a later game between Kentucky and Georgia was postponed.

A professional basketball game at Philips Arena next door was not disrupted, but the thousands attending that game also had to make their way home through the storm debris.

Police closed several streets in the vicinity of CNN Center because of glass and other debris. Two of Centennial Olympic Park's towering Olympic torches were toppled and a performance pavilion was destroyed.  Watch a man pick through the debris »

Inside CNN Center, water poured through the damaged roof into the building's atrium. Glass shattered, and parts of the building filled with dust.

Virtually all of the windows facing Centennial Olympic Park on the Omni Hotel, which is adjacent to CNN Center, were shattered. Visitors to the hotel were moved to the facility's exhibition hall at street level.  Watch scenes of the destruction »

CNN moved its national desk operation to another location Saturday after parts of the ceiling fell in, and CNN International aired domestic programming. Windows also shattered in the CNN.com newsroom, and CNN's library was damaged.

Slabs of metal and insulation material were strewn on the streets outside. Heaps of bricks and drywall were pushed up against cars. Street signs were bent in half.

The city's St. Patrick's Day celebration and the SEC parade set for Saturday morning were canceled. SEC tournament games were to be moved to the Alexander Memorial Coliseum at Georgia Tech in Atlanta's undamaged Midtown area. E-mail to a friend

@highlight

Mayor, governor declare states of emergency

@highlight

Police urge people to stay away from damaged neighborhood

@highlight

Strong thunderstorm prompts new tornado warning in Atlanta

@highlight

Storms kill two elsewhere in northern Georgia