(CNN)As families across America prepare to watch the Super Bowl, the safety of the game remains hotly debated in households across the country.

After mounting concerns about brain injuries plaguing older players who experienced repeated concussions, the NFL says it is making progress when it comes to keeping current players safe

The league says concussions in regular season games dropped 25% in 2014 from the number in 2013, and concussions caused by helmet-to-helmet hits were down 28% during the same time period, according to a newly released report.

But worries about concussions are just part of the reason why some families are having second thoughts about letting their children play football.

As we've learned more and more about the dangers of concussions and head injuries in football, including from research on the brains of professional players who died, we have seen a drop in the number of kids playing the game.

Participation in Pop Warner youth football leagues dropped 9.5% from 2010 to 2012, according to a report in 2013 by ESPN.com.

Concussion concerns may lead to fewer boys playing football

Last year, after three players from three different states died in one week, I asked parents whether they think the sport is too violent and dangerous for their children.

On one side are parents like John Furjanic of Chicago, who played football through high school and during college at Yale. He says his 7-year-old daughter will never play football, and if he had a son, he would never let him play either.

"I have had over 10 concussions playing football," said Furjanic, who says he was coached by some of the best in the business. "No coaching technique can result in safety when the point of playing defense is to play with reckless abandon. The kids today call it blowing people up. The game is violent, and people get hurt in violent games."

On the other side are parents like Ben Smith, chief executive officer of Wanderful Media, whose eighth-grader plays football.

Smith said he has certainly thought about the risks, but says the training put in place in children's programs during the last few years has given him the confidence to let his son play.

That training is part of the Heads Up Football program funded by the NFL. Coaches are educated on how to deal with concussions and how to teach safer ways to tackle, where players are taught to keep their heads up and to lead contact with their shoulders, not their heads.

"Hitting has dramatically changed the game from when I was on the field over 20 years ago," Smith said.

"In the end, it comes down to the league, training and coaches. You have to be comfortable that they are putting safety first."

Amanda Rodriguez of Frederick, Maryland, says her 9-year-old is more passionate about football than just about anything else, and her 6-year-old just started playing, as well. She urged her sons' league to adopt the Heads Up Football program and it did.

High schools tackle football concussions

"I think that it's something you can definitely see in how the younger kids are playing versus how the older boys are playing football because it's a whole different way of playing," said Rodriguez, a mom of three and host of the blog DudeMom.com. "So I feel safer knowing that my kids are playing in a league that is doing something proactive about their safety."

Like any parent, Rodriguez says she has her concerns but what helps her is putting the dangers in perspective.

"The risk is there, but the reward is so great, it's a risk that we take and statistically I don't think ... that risk (rivals) things like riding in a car or riding your bike."

Other parents whose children play football pointed to sports such as horseback riding and gymnastics that can also be dangerous for children, but said the dangers of those sports often don't get as much attention as football.

"Because of its inherently violent nature, football is often singled out for scrutiny re: head injuries and head/neck injury deaths," said David Hawkins of Ann Arbor, Michigan, whose son plays football.

According to a report by the National Center for Catastrophic Sport Injury Research, deaths in football are "rare but tragic events," with 17 direct and indirect deaths during the 2013 football season out of approximately 1.1 million high school players.

'Smart' football helmet may help detect concussions

Terry Greenwald, a divorced father of three, says his son was only 5 when he started playing ice hockey, another sport known for its concussion issues. His son is 26 now and never suffered a serious injury, but Greenwald thinks back to when his son was a senior in high school and was asked to play football.

"I adamantly said 'No,' " said Greenwald, who based his decision on the fact that his son had never played the game before. "It is my opinion that when a child begins playing a sport with injuries like this, they learn proper techniques to protect themselves and how to avoid causing severe injuries to others."

"I am confident that saying no was the right decision for my son. I would not presume to make that decision for anyone else," he said.

"I believe in sports, but I also believe each person needs to consider a lot of factors when choosing which sport to participate in and that a parent's responsibility is to choose wisely when allowing their child to make this decision."

Opinion: Make football safe for our kids

Children's television host Miss Lori, a mother of three, remembers when her son was choosing between basketball and football.

Both sports have a connection to her family, she said. Her adopted father played for the Harlem Globetrotters, while her birth father, whom she only met once, played college football and was drafted by a professional team. He died of dementia before he reached 60 and she wonders if his deteriorating condition was related to his participation in football.

As her son, who excelled in many sports, was deciding which to focus on, she left the decision to him -- but quietly prayed he'd pass on football.

"Silently I said a prayer to the sports gods above to put basketball first and firmly in his dreams. It worked and I am grateful," said the social media specialist and Babble.com contributor.

What sport a child may or may not play is an individual parent's decision -- or an individual child's decision. As Amanda Rodriguez told me, if a child is passionate about a sport or an instrument or some other activity, wouldn't a parent want to nurse those passions?

And while there is definite debate over whether football has become too dangerous for our children knowing what we know now, it's clear there's agreement on a key way to help keep our kids safe: making sure safety is the top focus.

Louise Sattler, a psychologist, educational consultant and mom of two grown children in southern California, said her son played school and regional soccer for years, and suffered one concussion and several other injuries. While opposing coaches always urged him to keep playing, she praised her son's "astute team coach" who was always cautious and would send him off the field and to the emergency room.

"As with everything in our lives, including football, soccer and other sports, common sense and safety need to prevail," said Sattler, who is also the owner of a business providing sign language instruction.

"The lesson that we care about health and safety far outweighs the game."

Would you or do you let your kids play football? Tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

The NFL reported that concussions in the league were down 25% in 2014

@highlight

Three high school football players from different states died in one week last year

@highlight

Parents disagree on whether the game is safe for children