(CNN) -- "You guys are crack addicts."

That was Jeb Bush on "Meet the Press," addressing journalists about their obsession with the 2016 presidential campaign, more than three years away.

The former Florida governor was joking and it's a fool's errand for anyone in the media to pretend to be offended. But as always, humor contains a kernel of truth.

Although the press corps isn't collectively hitting the glass pipe, we are more than a little obsessive-compulsive when it comes to talking about the next election.

After all, the last presidential election just ended four months ago. The midterm elections are still 18 months away. This is the time for governing -- that rare sweet spot in a two-term administration where Congress is not paralyzed by the immediate prospect of re-election and the president has maximum political capital to spend on the priorities that define a legacy.

There is plenty of political drama to go around -- the sequester cuts kicking in, a full court press for a grand bargain in the face of another debt ceiling debacle, a budget battle, the most heated gun control debate in two decades and the first real chance at a bipartisan immigration overhaul in more than a generation. And that's just the looming legislative agenda in addition to the internecine fights on Capitol Hill.

But budget fights make us sleepy and even the prospect of national default feels a little like Groundhog Day. Overall, we don't really pay attention to scandals unless sex is involved, no matter how much money or honor is stolen. Instead we reflexively fast forward to the next election, looking for a quick fix -- a race that allows us to talk about the comparatively simple world of winners and losers.

The media does a great job covering campaigns but no so much when it comes to covering governing. In the process, we almost forget that governing is the main event -- the prize that all those candidates strive for in the campaign.

There's plenty of collusion. Jeb Bush isn't innocent -- he trotted out to every Sunday show to promote his new book with Clint Bolick on immigration, knowing that the widespread interest was driven by speculation about a 2016 presidential campaign. Moreover, with the merciless metrics of journalism in the Internet age, editors know that stories on the sequester don't have the same clickability rate as sex scandals, murders and celebrity gossip.

I have no problem with a high-low approach to story selection, and I'm not immune from writing about future elections. But there's an obligation to focus primarily on current events, aiming to educate as we entertain. Otherwise, our country starts hurtling toward a world of bread and circuses instead of inspiring the kind of active citizenry that democracy ultimately depends upon.

I'm not trying to idolize a fictitious journalistic past, where newspapers, radio and television focused solely on civic substance rather than sensationalism. And although the rise of partisan media has fueled distrust of journalism and segregates people into separate political realities, the deeper bias at work in media is not necessarily liberal or conservative. It's more a conflict bias that steers us toward covering the horse race of campaigning rather than the legislative sausage-making that comes with governing.

The best television journalists and Washington columnists -- from Edward R. Murrow and Walter Lippmann to Mary McGrory and Tim Russert -- were able to communicate the drama of decision-making by people temporarily in power and even help elevate the outcome by harnessing the weight of public opinion.

The everyday challenge of journalism is to entertain while we educate. And that requires focusing on present challenges rather than just projecting far into the future to the next election, imagining a simpler time when all problems will be solved by a change in power.

Crack addict? Not exactly. But like an addict, we are always lurching toward the next fix, dragging national debate along with us. It's time to sober up and focus on the drama-fueled main event happening right in front of us. We might even help fix a few problems by infusing the process of solving them with a sense of civic urgency. instead of defaulting to speculation about the next election.

It's not easy, but then very little worthwhile in life is. As George Orwell once wrote, "To see what is in front of one's nose needs a constant struggle."

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Jeb Bush called journalists "crack addicts" for obsessing about 2016 election

@highlight

Midterms 18 months away, he says, this is time for governing, not campaigning

@highlight

Avlon: Media addicted to excitement of a horse race, but is so-so at covering governing

@highlight

Avlon: Drama enough in current events; media should educate as it entertains