(CNN) -- The debate on how to reduce health care costs that are out of control seems more polarized than ever. Many Republicans are recommending that Medicare be privatized or even abolished since Medicare, Medicaid, and the Children's Health Insurance Program accounted for 21% of the federal budget in 2011, or $769 billion, and even more in 2012. Many Democrats are advocating raising taxes and letting the deficit increase in the near term. There's not much common ground when the issues are framed in this way.

Here's an alternative: Let's address the underlying causes of what make us sick and what make us well. This is a radical approach "Radical" comes from the Latin word meaning "root." When we address the root causes of a problem, we are more likely to solve it.

We can make much better health care available for more people at far lower costs when we treat the causes rather than the symptoms. So what are the root causes?

They are the lifestyle choices that we make each day: What we eat, how we respond to stress, whether or not we smoke, how much we exercise, and how much love, intimacy and social support we have in our lives.

Opinion: U.S. manages disease, not health

Currently, over 75% of the $2.8 trillion in health care costs are due to chronic diseases, such as coronary heart disease and type 2 diabetes, that can be largely prevented by making comprehensive lifestyle changes. We don't need to wait for a new drug or laser or high-tech breakthrough; we simply need to put into practice what we already know.

For example, one study of 23,000 people shows that walking for just 30 minutes every day, not smoking, eating a reasonably healthy diet, and keeping a healthy weight prevented 93% of diabetes, 81% of heart attacks, 50% of strokes and 36% of all cancers. Bigger changes in diet and lifestyle can do even more.

In another of study of 30,000 men and women in 52 countries in all seven continents, lifestyle factors accounted for almost all of the risk of heart attacks in both sexes and in all ages.

Think about it: Heart disease and type 2 diabetes, two of the biggest killers in the United States, are completely preventable by making comprehensive lifestyle changes. Without drugs or surgery.

In addition to preventing chronic diseases, comprehensive lifestyle changes can often reverse their progression.

My colleagues and I first proved that lifestyle changes alone can reverse even severe heart disease. At any age. We also found that the same program of comprehensive lifestyle changes can reverse type 2 diabetes and may slow, stop, or even reverse the progression of early-stage prostate cancer.

CNN special report: 'Escape Fire'

When comprehensive lifestyle changes are offered as treatment (not just as prevention), significant cost savings occur in the first year because the biological mechanisms that control our health and well-being are so dynamic.

For example, Highmark Blue Cross Blue Shield found that overall health care costs were reduced by 50% in the first year when people with heart disease or risk factors went through our lifestyle program in 24 hospitals and clinics in West Virginia, Pennsylvania and Nebraska. In another study, Mutual of Omaha found that it saved $30,000 per patient in the first year for those who went through our lifestyle program.

At a time when the power of comprehensive lifestyle changes to prevent and reverse chronic diseases is becoming better documented, the limitations and costs of high-tech medicine are becoming increasingly clear:

-- Recent studies have shown that angioplasties and stents do not prolong life or prevent heart attacks in stable patients, costing $60 billion per year.

-- Type 2 diabetes and pre-diabetes will affect half of Americans in the next eight years at a projected cost of $3.3 trillion. Lowering blood sugar with drugs does not fully prevent the economic and human costs of diabetes (including heart attacks, strokes, amputations, impotence, kidney failure, and blindness), but lowering blood sugar with diet and lifestyle prevents all of these human and economic costs.

-- Only 1 out of 49 men treated for prostate cancer lives longer because of the surgery or radiation treatments; the other 48 often become impotent, incontinent, or both. Because of this, the U.S. Preventive Services Task Force recently recommended that men not even be screened for prostate cancer, since there is such pressure to undergo treatments that, for most men, do not benefit them but may cause them harm in the most personal ways. But intensive lifestyle changes can be an alternative solution.

Changing your lifestyle can change your genes. It turns on genes that keep you healthy, and turns off genes that promote heart disease, prostate cancer, breast cancer, and diabetes. People often tell me, "Oh, it's all in my genes, there's not much I can do about it." Knowing that changing lifestyle changes our genes is often very motivating -- not to blame but instead empower ourselves.

On March 16, tune in to CNN at 8 p.m. or 11 p.m. ET to watch the extraordinary documentary film "Escape Fire: The Fight To Rescue American Healthcare," which vividly highlights what's broken about our health-care system and what can be done to help rescue it. Our work about the power of lifestyle changes is featured in two segments in the second half of the film. If you're a doctor, you can even receive continuing medical education credit by watching it.

Medicare is now covering "Dr. Ornish's Program for Reversing Heart Disease" after 16 years of review. This had bipartisan support. Why? Because these are human issues that affect all of us and transcend our polarized political process, enabling us to find common ground.

For Republicans, this approach appeals to their core values of empowering the individual and taking personal responsibility. For Democrats, it appeals to their core values of making better health care available to more people at lower costs. It's a win-win situation.

And the only side-effects are good ones.

The opinions expressed in this commentary are solely those of Dean Ornish.

@highlight

Dean Ornish: Health care costs are out of control, let's try to deal with the real causes

@highlight

Ornish: Lifestyle choices make a huge difference in reducing diseases and illnesses

@highlight

He says when lifestyle changes are offered as treatment, significant cost savings occur

@highlight

Ornish: On March 16, watch CNN at 8 p.m. or 11 p.m. ET to learn more in the film "Escape Fire"