(CNN) -- Russia sent mixed signals Wednesday on chemical weapons in Syria -- with its foreign ministry pinning the blame for one such attack on a rebel group hours after its president refused to close the door on a U.N.-approved strike against Syria's government.

As one of Syria's top allies -- and one with veto power on the U.N. Security Council -- Moscow time and again has stymied efforts to punish Syrian President Bashar al-Assad's government for launching attacks killing innocent civilians and using weaponry derided by the international community.

Such calls intensified after an alleged chemical weapons attack last month outside Damascus that, the U.S. government estimates, left upward of 1,400 people dead.

French and U.S. legislators spent Wednesday debating the merits of authorizing military strikes in Syria.

Russia has challenged assessments from officials in those nations and Great Britain that Syrian forces have used chemical weapons since the bloody civil war broke out in 2011.

On Wednesday, Russian President Vladimir Putin said he "doesn't exclude" backing a U.N. resolution for military action, though only if there is irrefutable proof Syria's government is behind the latest attack.

Samples taken by U.N. inspectors at that site were due at the world body's laboratories this week and will be tested "strictly according to internationally recognized standards," U.N. Secretary-General Ban Ki-moon said.

Putin also said, in the same interview with Russia's state Channel 1 television and The Associated Press, that it would be "absurd" for al-Assad's forces to use chemical weapons when they have the upper hand over rebel fighters.

The Syrian government not only has denied waging chemical weapon attacks, it has accused opposition fighters -- whom it routinely refers to as "terrorists" -- of using them.

Russia's foreign ministry appeared to echo that view, in at least one instance, on Wednesday. Referencing a March 19 attack (not the one on August 21) in an Aleppo suburb, the ministry said its experts -- in an analysis requested by Syrian authorities -- concluded that 26 civilian and Syrian military deaths from the spring attack can be traced to a "homemade" device not used by the Syrian army.

The projectile, the Russian ministry stated, was similar to those used in northern Syria by Bashaar Al-Nasr, an Islamist brigade that's part of the opposition Syria Liberation Front. In addition to hexogen, the Russian experts found the nerve agent sarin and another such chemical in its shell and soil samples.

'Red line' debate: Are chemical weapons worse?

How this revelation affects the dynamics in Syria, and internationally, is uncertain.

U.S. and some allied officials, for example, have expressed reluctance to accept such claims in the past. Moreover, they have indicated their willingness to wage targeted strikes in retaliation to the more recent strike, even without sweeping global support.

The competing claims suggest that world leaders -- as has been true in the two years since the conflict began, leading to more than 100,000 deaths according to a U.N. estimate -- aren't close to an agreement about who's to blame for the bloodshed and what to do about it.

Nor is there a sense the conflict is near an end. The Local Coordination Committees, a network of opposition activists, reported Syrian forces shelled more than 450 sites Wednesday, contributing to at least 72 more deaths.

The official Syrian News Agency, known as SANA, tweeted about Army troops clashes with terrorists, who it blamed for the death of national taekwondo team member Mohammed Ali Nu'meh.

Meanwhile, government officials, such as presidential adviser Bouthaina Shaaban, remained critical of efforts of those who might strike without U.N. backing, saying they -- and not the Syrian government -- would pay a steep price.

"The Syrian people will never leave, they will always be here," Shaaban said Wednesday on Britain's Channel 4. "But those who lead the aggression will leave, and they will (live with) the results of this aggression."

French, U.S. lawmakers debate action

Echoing top U.S. officials, French leaders pressed lawmakers in Paris to back a military strike to send a clear message to al-Assad.

Five things we learned from Senate hearing on Syria

"Not to react would be to put peace and security of the entire region in danger, but also beyond that, our own security," French Prime Minister Jean-Marc Ayrault told a combined session of the Senate and National Assembly, arguing that inaction would give those with chemical and nuclear weapons a green light to use them.

A similar debate is playing out in Washington, where the Senate Foreign Relations Committee voted 10 to 7 for a resolution backed by President Barack Obama to authorize a targeted U.S. military action. That decision sends the measure to the full chamber for a vote next week.

Read the U.S. Senate draft resolution (.pdf)

Secretary of State John Kerry, meanwhile, again made the Obama administration's case Wednesday, this time to the House Foreign Affairs Committee.

Kerry said some U.S. allies in the Middle East "have said that, if the United States is prepared to do the whole thing, ... they will carry that cost." The top U.S. diplomat also stated -- as he has previously -- that a military' strike would be focused on addressing the chemical weapons threat, and that it would be effective.

"We have absolute confidence that what our military undertakes to do, if it is ordered to do so, will degrade the capacity of Assad to use his weapons and serve as a very strong deterrent," Kerry said.

Yet as was the case a day before with the Senate Foreign Relations Committee, not everyone was convinced.

Rep. Michael McCaul, a Texas Republican, claimed most members of the Syrian opposition are "radical extremists," saying that every time he asks U.S. officials about them, "the answers get worse and worse."

Kerry countered that about 15% of the rebel fighters are "bad guys" who fare fighting each other. "There's a general belief that a real moderate opposition exists" he added, saying aid in being carefully funneled to this faction which is "only getting stronger."

Four questions for backers of Syrian mission

Still, even within the Obama administration, there are questions as to how much the rebel movement can be trusted.

"We do not see the clear division between moderates and extremists that some have suggested," a U.S. official told CNN, adding that "all these different elements are mixed in."

Iranian: 'We will support Syria to the end'

Obama said last year that the use of chemical weapons in Syria's civil war would cross a "red line" for U.S. intervention. International agreements ban the use of chemical weapons, and many Western leaders worry that allowing their use to go unchecked in Syria could weaken that prohibition.

"As much as we're criticized, when bad stuff happens around the world the first question is, 'What is the U.S. going to do about it?'" Obama told reporters Wednesday in Stockholm, Sweden, after meeting with Swedish Prime Minister Fredrik Reinfeldt.

"The moral thing to do is not to stand by and do nothing," he said.

Is it 'High Noon' for Obama on Syria?

Not everyone -- including longtime U.S. allies -- agree military action now is the answer.

Reinfeldt, for instance, said the world must seek a "political solution." Kofi Annan, a former U.N. secretary-general, said there is "no military solution." And British lawmakers last week voted to preclude military involvement.

Then there are some who are standing firmly by Syria's embattled government.

Russia, for one, has historically close economic, political and military ties with Syria, having likely more than $4 billion in contracts with Russia's defense ministry, according to Jeffrey Mankoff, an adjunct fellow at the Center for Strategic and International Studies Russia and Eurasia Program.

Moscow also signed a $550 million deal with Syria for combat training jets, and Putin noted that it's given its ally some parts of an air defense missile system but has frozen additional shipments.

Iran -- in addition to being one of America and Israel's staunchest foes -- has been al-Assad's biggest backers throughout.

On Wednesday, Revolutionary Guard commander Gen. Qassem Soleimani pointed fingers at neighbors such as Qatari for backing what he said was an overwhelmingly foreign rebel fighting force, according to a report in Iran's semi-official Fars news agency.

Tehran won't let its friend down, he told Iran's Assembly of Experts.

"We will support Syria to the end," Soleimani said.

Syria missile strike: What would happen next?

CNN's Lateef Mungin and Chris Lawrence contributed to this report.

@highlight

NEW: An opposition group reports 72 deaths; state news says "terrorists" targeted

@highlight

NEW: Syrian official says "those who lead the aggression" will pay the price

@highlight

Russia's government links a rebel group to March chemical attack in Syria

@highlight

Russian leader says the evidence for a U.N.-backed strike should be undeniable