(CNN) -- Pfc. Bradley Manning, who provided classified government documents to WikiLeaks detailing, among other things, America's undisclosed policies on torture, was found guilty of espionage on Tuesday. The verdict comes on the 235th anniversary of the passage of America's first whistle-blower protection law, approved by the Continental Congress after two Navy officers were arrested and harassed for having reported the torture of British prisoners.

How have we gotten to the place where the revelation of torture is no longer laudable whistle-blowing, but now counts as espionage?

The answer is that government has not yet come to terms with the persistence and transparency of the digital age. Information moves so fast and to so many places that controlling it is no longer an option. Every datapoint, whether a perverted tweet by an aspiring mayor or a classified video of Reuters news staffers being gunned down by an Apache helicopter, will somehow find the light of day. It's enough to make any administration tremble, but it's particularly traumatic for one with things to hide.

That's why they tried to throw the book, and then some, at Manning.

Prosecutors cast simple Internet commands known to any halfway literate Internet user (or anyone who used the Internet back in the early '90s) as clandestine codes used only by hackers to steal data. That Osama bin Laden could download these files off the WikiLeaks website (along with millions of other people) became justification for classifying the whistle-blowing as espionage, an act of war. And Manning is just one of a record seven Americans charged with violating the Espionage Act in a single administration.

But prosecuting those whose keyboards or USB sticks may have been technically responsible for the revelations is futile. The more networked we become and the more data we collect, the more likely something will eventually find its way out. After all, a security culture based on surveillance and big data cuts both ways.

Moreover, harsh reaction to digital whistle-blowers only increases the greater population's suspicions that more information is being hidden.

In this one leaking incident, Manning exposed allegations of torture, undisclosed civilian death tolls in Afghanistan and Iraq, official orders not to investigate torture by nations holding our prisoners, accusations of the torture of Spanish prisoners at Guantanamo, the "collateral murder" video of Reuters journalists and Iraqi civilians as U.S. soldiers cheered, U.S. State Department support of corporations opposing Haitian minimum wage, training of Egyptian torturers by the FBI in Quantico, Virginia, U.S. authorized stealing of U.N. Secretary General's DNA -- the list goes on.

These are not launch codes for nuclear strikes, operational secrets or even plans for future military missions. Rather, they are documentation of past activity and officially sanctioned military and state policy. These are not our secrets, but our ongoing actions and approaches.

A thinking government--a virtuous one, if we can still use such a word--would treat this as a necessary intervention. Things have gone too far. But ours is a government in "present shock": an always-on, always-connected population puts the administration in a state of perpetual emergency interruption. It's not the phone call at 2 a.m. for which a president has to be prepared, but the tweet at 3, the Facebook update at 4, the YouTube video at 5, and on and on.

In such a crisis-to-crisis landscape, there's no time to implement or even articulate a "grand narrative." A real-time, digital world offers no sense of mission or opportunity to tell a story. There's no Cold War to win. No moon shot to work toward. There are just emergent threats, one after the other after the other. Things just exist in the present, one tweet - or, actually, many tweets - at a time.

This makes it exceedingly difficult to frame our policies and strategies with language and purpose. It's no longer a matter of walking the talk. Without the talk, there's only the walk. We have no way of judging the ethics and intentions of our government except by what it actually does.

Combine this with the transparency that comes with digital technology and our leaders simply have no choice but to do the right thing. It takes more energy to prevent exposure than simply to behave consistently with the values we want to project.

Just as corporations are learning that they can no longer maintain low prices through overseas slave labor without getting caught, a democratic government can no longer maintain security through torture and coercion without being exposed. Betraying our respect for human dignity only makes us less resolved as a people, and less trusted as a nation.

We are just beginning to learn what makes a free people secure in a digital age. It really is different. The Cold War was an era of paper records, locked vaults and state secrets, for which a cloak-and-dagger mindset may have been appropriate. In a digital environment, our security comes not from our ability to keep our secrets but rather our ability to live our truth.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: Manning found guilty of espionage. Why is whistle-blowing punishable?

@highlight

He says U.S. government hasn't faced it can't control info in digital age of easy access

@highlight

He says Manning exposed objectionable official actions of U.S.--not secrets, but approaches

@highlight

Rushkoff: The transparency of a digital age means U.S. has no choice but to do right thing