BAGHDAD, Iraq (CNN)  -- Samar Saed Abdullah's entire body trembles as she speaks about her impending execution. She thinks of the gallows room, the noose around her neck and that moment when she will take her final breath.

Samar Saed Abdullah is sentenced to die by hanging in connection with the killing of three relatives.

"My life is meaningless," she said, choking on her tears. "I can't think of anything else. The other women, we try to help each other, but we cannot escape the reality that we are on death row and they can take us at any second."

The 27-year-old Iraqi woman is sentenced to die in connection with the slayings of three relatives in January 2005. She looks pale and frail, her face sallow, her eyes bloodshot. She shakes with each sob, anxiously twisting a tissue in her hands.

We first met Samar in spring 2007, at al-Kadhimiya Women's Prison in Baghdad. She had been on death row for about two years, and she was terrified.  Watch a tearful plea from death row »

"I don't sleep at all on Wednesdays," she said then. "I stay up from morning until night, because that's the day they pick for executions."

Samar was sentenced to death by hanging for being an accessory to murder in the killings of her uncle, aunt and cousin -- slayings that she says were carried out at their home by her husband-to-be, who remains on the loose. She maintains that she is innocent, and there are disturbing questions about her conviction.

Samar has now been moved a step closer to death: to Baghdad's maximum-security prison, where there are more than 500 prisoners waiting to be executed. It's the same facility where Saddam Hussein was hanged in December 2006.

CNN was not allowed to film her face inside the prison. During the interview, the wardens also seemed to make motions to try to stop CNN from broaching the subject of her allegation that she had only confessed under torture.

The day of the killings is seared into her mind.

"I think about it every day, every hour. I wake up with it in my head," she said. "It's the reason I am here."

There was a point in time when Samar was happy, when her life had meaning and joy. She had a fiancé, Saif Ali Nur, in winter 2004.

"I was so happy at the time, when he asked for my hand in marriage," she remembered bitterly. "I thought that he was honest, that he did not lie to me. It all happened in just two months."

At first, her family didn't approve of the romance, but they eventually relented.

One day, she says, Saif duped her into taking him to her wealthy uncle's house. He locked her in the kitchen and, she says, shot her uncle, aunt and cousin. Then, he turned the gun on her.

Samar says he stole less than $1,000 after threatening to kill Samar and her family if she went to the authorities. The Iraqi police picked Samar up the next day, after Saif dumped her in front of her house and disappeared.

"There was nothing that made me suspect that this was a guy who would do something like this," she said.

She's filled with regret that she fell in love with him. "And now I am here in prison, and he is out on the streets, happy."

Her parents sold everything to pay for her defense. They swear she's innocent. She says she was tortured by the police into confessing that she went to her uncle's house with the intent to steal.

"They kept beating me, and they told me, 'Say whatever we want you to say, and do not say anything else, and say yes, I was an accomplice to this crime.' Although I had nothing to do with it. Finally, they made me sign a blank piece of paper, and they filled it out afterwards."

She was tried and convicted in a single day: August 15, 2005. Court documents obtained by CNN read that "the court discussed the case file with her and she said that all that she had confessed came as a result of duress and torture."

Under Iraqi law, the court should have investigated her claim that she confessed under torture. But it did not.

After learning of Samar's case from CNN, former Deputy Prime Minister Barham Salih said Tuesday he spoke with the Iraqi Presidency Council, which promised to look into the matter. He also said he had spoken separately with top Iraqi officials, including Iraqi President Jalal Talabani, and urged for a new trial.

Human rights groups say Samar's case is just one of many in which justice has failed. And they say that what makes implementing capital punishment even more disturbing is that the Iraqi judicial system does not guarantee a fair trial.

Amnesty International issued a report Tuesday saying that at least 1,000 prisoners sit on Iraq's death row and that Iraq now has one of the highest execution rates in the world. The report says Iraq's court system does not meet international standards and that authorities "provide very little information on executions, and some have been carried out secretly."

According to a Western official with in-depth knowledge of the Iraqi judicial system, Iraq's judicial failures are "rooted in the legal culture rather than the law. ... The entire legal culture remains heavily confession-based, a situation exacerbated by the frequently imperfect investigative skills of the police, judicial investigators and investigative judges."

In his years in Iraq, this official says he observed judges taking payments in exchange for certain decisions and the physical abuse of suspects, either as an end in itself or to "encourage" confessions.

"It is my firmly held opinion that Iraq should immediately reinstate the moratorium on executions," the official said. "There are serious problems plaguing the administration of justice in Iraq in criminal cases, and this fact is widely acknowledged by the Iraq judges, prosecutors and defense counsel."

The U.S.-led Coalition Provisional Authority abolished capital punishment in Iraq after Saddam Hussein was toppled in 2003. But the death penalty was reinstated in August 2004, shortly after the government was handed back to Iraqis.

Iraq's Ministry of Justice maintains that the judicial system is "fair and just."

Local organizations like the Organization for Women's Freedom in Iraq have for years been fighting to get the death penalty abolished in Iraq, especially when it comes to flawed trials and women being put to death. But they struggle against a government that turns a deaf ear.

"I wish there was some kind of response. But the response is totally passive. We've reached a degree of despair," said Yanar Mohammed, founder of the Organization for Women's Freedom in Iraq. "As a human rights organization in Iraq, we find that we need some backup from abroad to put pressure on our government as a first step to stop the executions of these women, some of whom we know are innocent."

But even as doubts surface about many convictions in Iraq, there are signs that the pace of executions is picking up. Over the past two months, Mohammed's group says, between two and four women were executed.

"They were taken out of the extreme-protection prison," Mohammed said. "It is a very scary story for us, because if it starts with a few women in a jail cell ... it could happen to hundreds, thousands of people later on."

As for Samar, she doesn't sleep, haunted by the image of her body that could be hanging lifeless -- plagued by the gut-wrenching fear of death that consumes her nights and most of her days.

"Every night, I stay up thinking that if tomorrow comes, who will be next? Me? Or my friend sitting next to me?"

She sobbed. "I will never trust a man again. I will never love anyone again. I just want to stay with my parents."

Samar feels betrayed, both by the man she once loved and by a judicial system that is about to send her to her death.

CNN's Jomana Karadsheh and Mohammed Tawfeeq contributed to this report.

@highlight

Woman sobs about impending execution: "I can't think of anything else"

@highlight

Samar Saed Abdullah, 27, was convicted as accessory to murder of 3 relatives

@highlight

She says police coerced and tortured her into confessing

@highlight

Ministry of Justice maintains that judicial system is "fair and just"