(WIRED) -- Apple's got a lot planned for its Wednesday press event.

While the invitation -- "come see our latest creation"-- is broad and vague, it's fairly obvious that the biggest news will be the widely anticipated tablet.

It's about time.

Tech observers have been anticipating an Apple tablet for several years, churning out report after report of rumors and speculation.

And Apple has been considering tablet designs since at least 1983. Now, perfectionist CEO Steve Jobs finally seems satisfied enough with the product to show it off in public.

Are you excited about the Apple tablet?

But that's not the only thing the company is likely to announce. Updates to the MacBook line and the iPhone OS are also likely to be on the ticket.

Here's our guide to what you can realistically expect. And if you don't care to read our predictions, just stay tuned for the January 27 event.

We'll be providing live blog and news coverage here on Gadget Lab and on Twitter: follow @bxchen and @GadgetLab for real-time news nuggets.

The Apple tablet

Multiple independent reports have described the tablet's appearance as a 10- to 11-inch iPhone or iPod Touch. (AppleInsider's sources describe the tablet as "a first-generation iPhone that's met its match with a rolling pin.")

The tablet, many have reported, will serve as a slate-like substitute for magazines, newspapers and books, while also offering the general-purpose functions seen in the iPhone, such as gaming, viewing photos, Web surfing and using apps.

A recent report from The Wall Street Journal said Apple will market the tablet to be shared among multiple people at home or in classrooms, thanks to its bigger screen.

A few reports have claimed the tablet will sport a 10-inch OLED touchscreen, which would be great for reading books. But there aren't many of these displays on the market, and they would also cost Apple about $400 apiece.

A 10-inch LCD touchscreen, on the other hand, would cost Apple $60, much more in line with the expected $1,000 price tag.

The true mystery about the tablet lies in its software and user interface. Simply expanding the iPhone OS to fit a larger screen can't be the whole story.

We expect a tablet interface that strives to appeal to everyone, like the iPhone OS does with its 3.5-inch screen, SpringBoard user interface and fingertip-sized icons.

The ergonomics of text entry will especially be challenging on a device that size.

People briefed on the product say it will incorporate a virtual keyboard. But if the tablet is going to serve as an alternative to a notebook or netbook, an ordinary virtual QWERTY isn't going to cut it.

We're predicting Apple will incorporate new multitouch gestures, and maybe even the accelerometer, to trigger functions of the traditional QWERTY keyboard.

Imagine if pressing two fingers down anywhere triggered the Shift key, for example. And to add a wild guess, we think Apple will expand on the voice-recognition feature seen in the iPhone 3GS, to augment text entry.

Still, no one outside Apple's tablet team has a solid idea of what the tablet's interface will be like. The only minuscule clue is a quote from a recently departed Apple employee who told New York Times' Nick Bilton, "You will be very surprised how you interact with the new tablet."

If it's taken Apple this long to figure it out, I'm sure we will be. But we do expect the tablet's operating system to share some of the same DNA as the iPhone OS.

Indeed, the iPhone reportedly contains some elements of an older, shelved Apple tablet project.

What could it be called?

Internet sleuths at MacRumors.com have found evidence suggesting Apple is interested in the names iSlate, MagicSlate, iGuide and iPad. Apple has apparently filed for trademarks for each of those names.

Apple not only filed for the iSlate trademark; the company also procured ownership of the domain iSlate.com, making this the most likely candidate.

As for when the tablet will ship, WSJ published the most credible report to date claiming Apple has plans to ship the device in March.

Price tag?

All we've heard are guesses from analysts, some who claim the tablet will cost as much as $1,000 including carrier subsidy.

We estimate the tablet should cost between $700 and $1,000, placing it somewhere in between an iPhone and a MacBook.

There are a few scant rumors claiming the tablet will be carried by Verizon, but none seems substantive enough to bet money on. There's too little information out there about the carrier to make any reasonable predictions.

In summary:

iPhone OS 4.0, iLife 2010

Fox News' Clayton Morris had a scoop citing anonymous Apple employees who claim iPhone OS 4.0 and iLife 2010 will be announced at the event.

I'm a believer.

The tablet will likely have a beefed-up version of the iPhone OS with all the newest features. So given the logic that the tablet OS is ready to be announced, iPhone OS 4.0 should be ready for a preview as well.

But a preview would probably be it, just so Apple can begin seeding betas to developers to prepare their iPhone apps for 4.0.

As for iLife 2010, Apple has announced almost all of its iLife suites during January of years past. I believe we'll see an iLife launch only because it would be consistent.

Jobs likes to pepper up press events with small announcements leading up to the major "One more thing," so iLife and iPhone OS 4.0 will probably be the first to be announced.

MacBook Pro upgrades -- maybe

An Intel contest promoted by e-mail appeared to leak upcoming MacBook Pros equipped with the newest Intel chips.

Intel had sent e-mails to members of its Intel Retail Edge program, promoting a chance to win two MacBook Pros equipped with Intel's new Core i5 processors during January, according to a report by MacRumors.

However, Intel soon after retracted the promotion, saying it was a mistake and that HP notebooks would be given away for the contest instead.

I found this move suspicious, because the promotion had been sent in multiple languages to members in the United States, the United Kingdom and Spain.

Seems odd that it would have gotten so far if the product weren't even real. Plus, MacBook Pros are due for a refresh.

Apple last upgraded the MacBook Pro in June 2009, and typically the company refreshes notebooks every six or seven months. Therefore, my gut tells me Intel realized it accidentally leaked the MacBook Pros and then moved to undo the slip.

I believe there's a good chance MacBook Pros will be announced at next week's event.

iTunes Upgrade

I haven't seen any rumors of Apple introducing a new version of iTunes, but I assume it would have to, in order to launch the tablet.

That's because the tablet alone won't be compelling unless it creates avenues for new content that can be used on the tablet, such as e-books, newspapers and magazines.

Expect Apple to preview a new version of iTunes, perhaps 9.1, that would add new content sections to the iTunes Store.

We'll most realistically see a new e-book section demonstrated in iTunes, as Apple has reportedly been in talks with HarperCollins Publishers to make e-books for the tablet.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

A lot is planned for Apple's Wednesday event, but the tablet should be the highlight

@highlight

Apple has been considering a tablet-like device since 1983

@highlight

Most likely names: iSlate, iPad or MagicSlate

@highlight

Other announcements could include new iPhone system, MacBook and iTunes upgrades