(CNN) -- When Spc.Ty Carter first arrived in Afghanistan, he took one look at his surroundings and thought, "This is a death trap."

He would soon learn just how right he was.

Combat Outpost Keating was a sitting target for nearby Taliban insurgents: It sat deep within a valley, surrounded by mountains.

The American soldiers stationed there knew it was only a matter of time before something bad happened. "We just didn't know when," Carter said.

When it did, the assault would set in motion a chaotic chain of events that had every soldier certain he would not make it out alive.

Eight American soldiers died on October 3, 2009. Many of the 45 others who survived, including Carter, struggle with the guilt that they couldn't save more lives.

Yet Carter's daring efforts to rescue his fellow soldiers in the face of imminent death earned him the nation's highest military decoration, the Medal of Honor, which he will receive on Monday at a White House ceremony.

Now Staff Sgt. Ty Carter, 33, will join another survivor of that battle, former Army Staff Sgt. Clint Romesha, who received the award earlier this year. It marks the first time in nearly half a century that two living soldiers from the same battle received the Medal of Honor.

To Carter, it's a bittersweet award.

"It just brings back all those memories of what he had to go through," explained his wife, Shannon Derby.

Discharged from the Marines

Carter was a loner as a teenager. He didn't have a lot of friends. His older brother Seth had a knack for getting into trouble, and Ty followed in his footsteps for awhile before his mother kicked Seth out of the house.

Not exactly hero material, he says.

Carter joined the Marines in 1998, spending five years in the service until a fight with a roommate led to his demotion. Two months later, he was honorably discharged.

So, it was back to civilian life, something that left Carter restless and bored. He bounced across the country from job to job: more than a dozen stints in five years, everything from a yacht repairman to a tow-truck operator.

He was supporting his daughter after his first marriage ended. But in every job, something was always missing.

"There was no motivation, there was no purpose," Carter said. "It felt like I was a drone."

He hated the punch-in-punch-out lifestyle of making ends meet, and fondly recalled military life.

"I was thinking 'Well man, back in the service ... I was doing what I enjoyed and I was actually happy to wake up in the morning, happy to go to work,'" he said.

So he enlisted in the Army in 2008. But military life wasn't the idyllic place he remembered.

"We had a platoon full of guys that were on a lighter side of life (who) liked to joke around," retired Sgt. 1st Class Jonathan Hill recalled. "And Carter never really got involved ... he thought it was immature.

"Carter really didn't make friends with a lot of guys, and he struggled with it."

A little over a year after he enlisted, Carter and his platoon were deployed to eastern Afghanistan in May 2009.

Despite his aloofness toward his fellow soldiers, Carter would find himself in a situation where he didn't think twice to risk his life for those men whose jokes he once found childish.

Defining moment

Combat Outpost Keating had been built in Nuristan province in 2006 as part of the effort by NATO-led forces to build partnerships with local Afghans, and try to stop insurgents from trickling over in nearby Pakistan.

The camp had experienced ups and downs since that time and by 2008, the cavalry commanders in charge of the outpost thought it made sense to shut it down.

Yet there were other factors at play.

Afghanistan's President Hamid Karzai was in the middle of his re-election campaign in fall 2009, and abandoning Combat Outpost Keating might have been seen as a lack of American support.

So, despite numerous warnings, Gen. Stanley McChrystal -- then commander of all U.S. troops in Afghanistan -- kept the outpost open.

After Karzai's victory and the end of a military operation that freed some key assets, the military leadership approved a plan to abandon the outpost and the troops stationed there were to start packing up on October 4, 2009.

That never happened.

Instead, a day before their planned departure, an assault was unleashed on the outpost that culminated in what has now been described as one of the most intense battles of the entire war in Afghanistan.

The first shots rang out just a few minutes before 6 a.m. The rumors that the soldiers had heard for months were coming true. Carter said he had often imagined that day.

"I was like, 'Well, if it's my time to go, how am I going out?' " he said.

The Taliban had studied how the Americans responded to previous attacks, and they knew the outpost relied heavily on its mortars.

So they made the big guns their first target.

"When the enemy weren't shooting at us, they were shooting at the weapons," Carter said. "So they were disabling the weapons."

The insurgent fire killed Pfc. Kevin Thomson as he raced to his post. Sgt. Josh Kirk was killed while returning fire.

"You could hear the rounds coming in from every direction," said platoon Sgt. Jon Hill.

Troops begin running much-needed ammunition to the men on guard duty. Sgt. Michael Scusa was gunned down 10 feet outside one of the outpost's doors. In the midst of the gunfire, Sgt. Christopher Griffin "immediately ran out the door without hesitation," Hill said.

"He didn't make it back"

Ammunition was starting to run out, so Ty Carter and other members of his Black Knight troop volunteered to deliver more -- a hundred yards away across the heaviest of gunfire.

Carter didn't think twice about the danger. All he knew was there were three fellow soldiers -- Sgt. Bradley Larson, Spc. Stephan Mace and Sgt. Justin Gallegos -- trapped in a Humvee and they needed more supplies to return fire.

"Carter's kinda like .. for lack of a better word, a robot," Hill said. "You tell him to do something, he's gonna do it and he's gonna do it to the best of his ability."

He would return through that deadly gauntlet three times to get supplies to the men.

When the firefight was over, the death toll would include Mace, Gallegos, Sgt. Josh Hardt, and Staff Sgt. Vernon Martin.

The names of all eight men who died on that day are engraved on a steel band that Carter wears on his wrist, not that he needs the reminder.

Read more about the battle from Jake Tapper's "The Outpost"

Farm life

Today, Carter still struggles with the memories of the battle, seeking solace with his wife and three children on their farm in Washington state near Joint Base Lewis-McChord, where he is now stationed.

In the dark, quiet moments, the constant ringing in his head brings back difficult thoughts.

"That's when the memories start kicking in and you can't sleep because, you know, the whole, 'I shoulda done this, I coulda done that,' " he said. "And then you see the faces of the soldiers that died."

Carter said he believes that one more name should be added to the death toll of the battle of Kamesh: Ed Faulkner Jr., who struggled with drug abuse and mental problems after surviving the battle.

He left the army with severe PTSD and died in September 2010 after a fatal overdose of methadone and Xanax. While there was no evidence of a suicide, Faulkner's friends -- including Carter -- believe his death was linked to the battle.

"I honestly believe that, yes, he was the ninth victim of Combat Outpost Keating," Carter said. "And I also believe that he won't be the last."

Carter also struggles with PTSD, and now has regular therapy.

"I didn't believe it was real until I experienced it," he said of PTSD. "I thought it was just an excuse to get out of duty ... but once it hit me, and I realized it, I was blown away. How could I be so ignorant?"

Carter wants to be a voice to destigmatize these invisible wounds of war, and he hopes that the attention he receives with the Medal of Honor will show that there is nothing weak in seeking help.

"What we need to do is take the first few steps," Carter said. "We need to realize that yes, this is affecting me, and I need to fix this."

CNN's Eric Marrapodi, Jennifer Rizzo and Andy Segal contributed to this report.

@highlight

Staff Sgt. Ty Carter survived the 2009 battle at Combat Outpost Keating

@highlight

His heroic efforts to save his fellow soldiers earned him the Medal of Honor

@highlight

He will receive the award Monday at the White House

@highlight

For more on Ty Carter, watch "An Unlikely Hero" on CNN Wednesday at 10 p.m.