(CNN) -- Donny Moore watches at least part of every NFL game, every week, every year. After all, it's part of his job.

You may not have heard of him. But while Moore is watching the best football players in the world, they're watching him, too.

"I get a lot of feedback from Twitter," said Moore, the so-called ratings czar for "Madden NFL," the uber-popular video game franchise that rolled out its 25th annual edition on Tuesday. "Guys like (Seahawks cornerback) Richard Sherman, (Cowboys wide receiver) Dez Bryant -- these guys all follow me and make sure to give me feedback.

"They always want to know ahead of time: 'What have you got me at?' "

That's because it's Moore's job to come up with the numerical ratings -- from 1 to 100 -- that determine how skilled players, and by extension their teams, are at various facets of the game.

It's a unique challenge. Although there are shooter games that emulate real-world weapons and military units, only sports games require their creators to assess, and then re-create, real-life humans as virtual avatars.

That's bound to rankle some folks -- if not the NFL players themselves, then "Madden" gamers who are often their most rabid fans. By most accounts, though, Moore and his team at EA Sports, publisher of the "Madden" series, do a good job.

"EA is not just pulling numbers from a hat," said T.J. Lauerman, host of That Sports Gamer Show. "Gamers are uptight about their favorite team's ratings because ... they see their team's running back make one great spin move that completely fakes out a defender, and when they try it in a game, they fail. They look up the player attributes and realize he has a 64 Spin Move, then they get angry and tweet Donny Moore."

That's all part of the job, says Moore.

"If you're a Falcons fan who was mad some Falcons were underrated, we're probably doing our job," he said. "Everybody can't be a 99."

Moore has a lot of raw data to work with. In addition to on-field stats, there are 40-yard-dash times, scouting-combine scores for rookies, injury reports and the like. And a whole host of websites have sprung up to hyperanalyze performance, breaking down stats into super-specific categories, like "downfield passing completion percentage."

But football is also a game of intangibles. Sometimes it takes watching a player accomplish things on the field that the raw data don't show. Moore is thankful for Madden's weekly online updates (a feature that earlier versions obviously didn't have), which let him tweak player stats based on their performance throughout the season.

He cites Alfred Morris, the lightly regarded sixth-round pick out of Florida Atlantic University who ended up tallying 1,613 yards and 13 touchdowns last year for the Washington Redskins.

"There was not a whole lot of buzz around him, really; he ran a terribly slow time at the combo," Moore said. "Then, he started blowing up."

Morris started the season on "Madden" with a 65 rating. By the end of the year, thanks to weekly updates, he'd risen to an 89.

"We were wrong about him to begin with, but the whole league was," he said. "(Redskins head coach) Mike Shanahan was probably surprised. Pleasantly surprised."

After actually watching on-field performance, Moore said, his best tool for adjusting player ratings may be those same fans who argue with him online. He adopted a stock response to fans who thought a player on their favorite team should have his numbers moved up.

He says " 'OK, give me five up and five down,' " he said. "When you made the fans give you the guys who should go down, that was some of the best feedback ever."

But it's always more amusing when it's the players themselves complaining, especially when it's over something relatively ridiculous.

Every player gets a rating in every category, meaning kickers are rated for Trucking -- the ability to bull over defenders -- and 300-pound defensive linemen get Spectacular Catch scores.

But that didn't sit well when New York Jets defensive back Kerry Rhodes saw his Throwing Power rating of 21 and 23 for Throwing Accuracy -- a full 17 points behind Nick Mangold, a Jets offensive lineman. Rhodes played some quarterback in college and high school and posted a good-natured video titled "WTF Madden!"

In it, he and Mangold go through a series of passing drills, in which he predictably beats his 307-pound teammate.

And it worked.

"After that, I bumped up Kerry Rhodes' power to way outdistance Mangold," Moore said. "But it was still terrible. You'd never play him at quarterback."

That's a silly example, but illustrates a bigger point: There are a lot of eyeballs on the best-selling "Madden" game series.

Moore has worked at EA since 1999, when he was hired for the "Madden" testing group after winning an "NCAA '99 Football" tournament. He says that, for him, making the game as close as possible to the real thing is serious business.

"I treat it with a lot of pride," he said. "I know what's at stake here. I just want to get it right."

CNN contributor Larry Frum contributed to this report.

@highlight

Donny Moore is the "ratings czar" for "Madden NFL 25"

@highlight

Moore says players sometimes ask, complain about their scores

@highlight

He watches every NFL game and studies stats

@highlight

With weekly updates, mistakes can be fixed quickly now