(CNN) -- Do you want to understand why President Obama is visiting Israel so early in his second term? Think of two words: Management and legacy. And they go together.

Right now in the cruel and unforgiving foreign policy world in which America is trapped, Barack Obama stands to be the American president on whose watch two catastrophes loom: Bomb Iran or see Iran with a bomb, and the demise of the two-state solution.

Israel figures centrally in both issues. If the president is to manage these issues effectively, he needs to find a way to work with Benjamin Netanyahu and the new Israeli government. That effort begins this week.

Since the state of Israel was created in 1948, only four American presidents have visited the country while in office (Nixon, Carter, Clinton and Bush 43). And only one -- Jimmy Carter -- achieved a truly significant result by brokering the terms of an Egyptian-Israeli peace treaty that was signed at the White House in March 1979.

So a visit by an American president can be important; but it is rare. The logic behind Obama's visit, however, is not to hammer out immediate results or to achieve a breakthrough in a box.

Obama is already an historic president -- but he is not yet a great one. If he were to achieve that status, it would probably be through big pieces of domestic agenda such as health care, immigration reform, gun control, and of course, economic recovery. He's unlikely to get there by chasing windmills abroad like Syria or Israeli-Palestinian peace.

Israeli president: No doubt Obama has Israel's back

Still, he can't forget about the world, least of all the broken, angry and dysfunctional Middle East that could cause him more headaches and undermine his domestic agendas if left unattended. The Iranian nuclear issue could rattle regional stability, send markets plunging and oil prices rising.

Obama needs a new approach. Trying to repair his relationship with Netanyahu is smart politics. If the president wants to regain control of the House in 2014 and take an issue away from the Republicans in the process, he needs to remove the image that somehow he's against Netanyahu and doesn't care emotionally about Israel. An early trip to Israel that allows him a chance to connect is just what the doctor ordered.

The president spent most of his first term unsure of whether to pander to Bibi or pressure him. Now, he can test to see if he and Netanyahu can get on the same page.

Will it work? Israel, of course, isn't the only actor in these stories. There are Iranians and Palestinians, too. But working with Netanyahu may give the president the time he needs to pursue diplomacy with Iran and perhaps a deal with the Palestinians. The Israeli election has weakened Netanyahu and brought in new coalition partners who may well want to improve relations with a U.S. president.

Netanyahu knows that his political career can't last forever. At the moment, he's being challenged by two newcomers -- Yair Lapid and Naftali Bennett. Both are remarkably popular. Netanyahu's best chance in regaining momentum is to shift the conversations to Iran and foreign policy where he's strongest. And for this, paradoxically, he needs Obama's help.

The U.S., Israel and the art of relationship maintenance

Moreover, next year Netanyahu will have served longer than any other prime minister in Israel's history. He may be thinking about his legacy and avoiding the charge that he was a do-nothing leader. Again, the U.S. is the key; and Bibi can't afford to alienate Obama.

What makes all of this potentially realistic -- and not a fantasy -- is that the deals on the table are not transformational ones where weak and constrained leaders need to push for impossible goals or make decisions beyond their capacities.

No grand bargains or conflict-ending agreements are possible now with the mullahs or between Israelis and Palestinians. There's not enough confidence, too little trust, too much domestic politics and too many gaps on the big issues. But smaller deals may be possible.

For example, the two leaders can pursue an interim approach that caps Iran's uranium enrichment in exchange for sanctions relief which would give Iran and the international community a way out of the current choices -- bomb or allow Teheran to get the bomb.

On the Palestinian issue, the Israelis and Palestinians can quietly explore with the U.S. and with one another how much common ground they may have on the core final status issues while trying to improve the interim situation through security cooperation, loosening up of economic restrictions, and international support for Palestinian institutions.

Israeli minister says she hopes U.S. helps restart peace talks

None of these strategies are perfect, but they are starters. And so smartly and rightly, President Obama is going to Israel early (when there are no expectations) and with a view toward giving himself time to reshape his relationship with Netanyahu, building one with the Israeli public, and testing the proposition that he can try to develop some consensus in Israel.

Fighting off and on over the past four years clearly hasn't worked. Maybe trying to cooperate over the next four just might.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

President Obama is visiting Israel, will meet with Benjamin Netanyahu

@highlight

Aaron David Miller: Obama's attempt to repair relationship with Netanyahu is smart

@highlight

He says Netanyahu is mindful of his legacy to avoid being seen as a do-nothing leader

@highlight

Miller: Fighting hasn't worked before; Obama and Netanyahu can try to cooperate instead