Washington (CNN) -- An election year that was already bad for incumbents is turning out to be worse than they could have ever imagined.

An avalanche of crises -- ranging from the killer Ebola virus to ISIS jihadists to a suddenly volatile stock market -- is making it virtually impossible for lawmakers to rely on the inherent advantages of holding office. Instead of highlighting their accomplishments to constituents, incumbents are on defense.

The growing troubles are upending plans for the final stretch before the Nov. 4 election that will determine which party will control the Senate. President Barack Obama was forced this week to scrap several campaign appearances to remain in Washington to oversee the Ebola response.

The weeks before an election are often volatile but the challenges in this election cycle are particularly acute.

"Other midterms have taken place in chaotic times," said Julian Zelizer, a professor of history at Princeton University. "Right now this is a pretty bad one. There are, rationally, a lot of problems that the president and the country are confronting."

Christopher Nicholas, a veteran Republican consultant in Pennsylvania, said the pain of current Democratic lawmakers reminded him of the "six-year itch" election when George W. Bush's unpopularity meant a "thumpin" for his party.

"October 2014 is starting to remind me of October 2006, which in my professional time was the worst cycle for Republicans, and the best for Democrats," Nicholas said.

Back then, Bush's Republicans -- like Obama's Democrats -- couldn't catch a break.

Powerless in the face of the sectarian explosion engulfing Iraq, and scarred by Hurricane Katrina, Bush limped into the elections and Democrats marched off with the Senate and the House of Representatives.

Today, Democrats in tough elections don't want to be seen with Obama and Kentucky Senate candidate Alison Lundergan Grimes won't even say if she voted for the president.

The gloomy October is making it easier for Republicans to press their case against Obama and incumbent Democrats.

"This administration couldn't run the IRS right, and it apparently isn't running the CDC right," Mitt Romney told New Hampshire's NH-1 television station on Wednesday "And you ask yourself what is it going to take to have a president who really focuses on the interests of the American people?"

Dire warnings about the threat from Ebola and the administration's response have been percolating on conservative talk radio for weeks. But it took the infection of two nurses to insert the issue into the midterms.

In a Colorado Senate debate on Wednesday, GOP Rep. Cory Gardner demanded action amid Republican calls for a travel ban covering the epicenter of Ebola in West Africa.

"If the president is not willing to put into a place a travel ban, then we should have 100 percent screening of the people who are coming from those affected areas," Gardner said.

Democratic Sen. Mark Udall, trailing Gardner in the Rocky Mountain state, hit back by accusing his opponent of complicity in budget cuts for the Centers for Disease Control and Prevention.

Potential Republican 2016 challengers are also pitching in, despite Obama's assurances that the chances of catching Ebola are "extraordinarily" low.

"The Obama administration has downplayed how transmissible it is," Senator Rand Paul said in an interview with CNN Thursday.

"If someone has Ebola at a cocktail party, they're contagious and you can catch it from them."

In an article for CNN.com, Marco Rubio laid out "5 steps to beat Ebola."

"This challenge will only be made more difficult because many Americans lack confidence in our government's ability to effectively confront crises like this one," he said.

Few charges are as damaging for a president as the sense he has lost control and the cascade of dramas over the last six weeks or so has often left the White House struggling to catch up. The multiple crises have also played into a critique that the president is too passive and reacts to, rather than dictates, events.

There is also trouble for the White House abroad in the run-up to the mid-terms and Republicans also see an opening against Obama and incumbent Democrats in the fight against ISIS.

In one spot, New Hampshire senatorial candidate Scott Brown warned "radical Islamic terrorists are threatening to cause the collapse of our country. President Obama and Senator Shaheen seem confused about the nature of the threat. Not me."

Meanwhile, stock market losses complicate Democratic attempts to highlight what good economic news there is out there — including increasingly robust jobs growth and a dip in the unemployment rate to 5.9 percent, the lowest level in six years.

But despite being in the box seat in most Senate races, Republicans are hardly basking in popularity — a fact encouraging to Democrats as 2016 looms.

The Republican brand is also battered, following gridlock in Congress and a government shutdown last year, and the unfinished tussle between the establishment and the Tea Party.

"The story of the Republican Party under Obama, no matter how many problems the president faces, is that they have consistently managed to shoot themselves in the foot," said Zelizer, who is also a CNN contributor.

@highlight

Incumbents are playing defense as domestic and overseas crises mount.

@highlight

President Obama had to cancel fundraisers this week to oversee the Ebola response.

@highlight

Gloomy October makes it easier for Republicans to make their case against Democrats.