Madison, Wisconsin (CNN) -- In the canon of political cliches, "it all comes down to turnout" is among the most tired.

But in the case of the polarizing and closely watched Wisconsin recall election, the maxim happens to ring true.

Public polling, internal polling and campaign strategists all tell the same story: Republican Gov. Scott Walker is clinging to a tiny lead over his Democratic opponent, Milwaukee Mayor Tom Barrett, heading into Tuesday's vote.

And the number of undecided voters has dwindled to almost zero, strategists in both parties say, meaning that the only mission left for both sides is to get their rabid supporters to the polls.

"Our sole focus right now is on our grassroots get-out-the-vote-effort," said Ben Sparks, a spokesman for the Wisconsin Republican Party.

The final blitz began over the weekend.

"We Are Wisconsin," an umbrella group funded by labor unions and the Democratic Governors Association, said it contacted nearly 750,000 voters over the weekend, with the goal of touching 1.4 million people with phone calls or door knocks by the close of polls Tuesday.

Meanwhile, the state GOP and the Republican National Committee, which are coordinating some of their efforts with the Walker campaign, boasted Monday that they have identified and contacted 4 million voters since January -- a number that has national Republicans speculating that they can put the state in play for Mitt Romney in November.

The recall fight has its roots in Walker's successful push in early 2011 to strip public employees of their collective bargaining rights in an effort to close an ugly budget shortfall.

The push sparked a bitter partisan battle between Walker and Democrats in the state legislature, and set off a wave of historic protests from union members inside and outside the state capitol in Madison.

After Walker signed the controversial budget bill in March 2011, labor organizers subsequently managed to collect 900,000 certified signatures to trigger a recall and are now among those leading the final get-out-the-vote push.

On Monday, at a Madison-area branch of the American Federation of State, County and Municipal Employees (AFSCME), Barrett supporters spent the day popping in to pick up fliers for door-to-door voter contact efforts.

The union is also paying for cab rides to the polls on Tuesday.

Randy Case, a retiree from Cross Plains, was among those who dropped by the AFSCME office to help.

He said Walker deserves to be removed from office because he trampled on Wisconsin's cherished tradition of fair play in state government.

"This is a friendly state," Case said. "People get along here, and I think in our government, that has meant we elect people who work across the aisle and listen to other side. And that has just been absent with this current administration. It's 'my way or the highway,' which is simply not a Wisconsin value. It's not how we govern ourselves."

Walker argues that his reforms are working, pointing to a projected budget surplus and a modest uptick in jobs since he took office last year.

Democrats have tried to poke holes in those numbers, but according to recent poll from Marquette University Law School, a slight majority of voters approve of Walker's performance in Madison.

The Milwaukee Journal Sentinel, Barrett's hometown paper, also came to Walker's defense with a helpful messaging point last week, writing in an editorial that the governor deserves to finish his term.

Walker is not the only Republican facing a recall Tuesday.

Lt. Gov. Rebecca Kleefisch is on the ballot against Democrat Mahlon Mitchell, a Fitchburg firefighter dubbed "M&M" by some of his supporters.

The undercard also features four of the Republican state senators who helped Walker pass his budget reforms. Just one GOP loss in those recall races would flip control of the state Senate back to Democrats, at least until the next election in November.

But the marquee race is between Walker and Barrett, a rematch of the 2010 governor's race.

In that historically Republican year, Walker edged Barrett in their original matchup by 5 points.

Different dynamics are at work on Tuesday, though, giving Democrats some hope even though Walker is considered the narrow favorite.

While the anti-Walker fervor may have waned since protests consumed the state capitol grounds in early 2011, insiders here predict that turnout on both sides is likely to be higher than it was for the original Walker-Barrett race.

But even in the race's eleventh hour, strategists in both parties are struggling to figure out whether turnout will be closer to 2008 levels, when nearly 70% of eligible Wisconsin voters participated in the presidential election, or 2010, when voter turnout dropped to 49%.

Democrats are hoping for the 2008 model. Almost 3 million people voted in that election, and the state went heavily for Barack Obama.

"It was a low turnout in 2010 and a high turnout in 2008," said former Wisconsin Sen. Russ Feingold, who spent Monday traveling the state rallying Democrats. "If we get anywhere near 2008 or even halfway there, we are going to win, because those folks are more likely to vote for Tom Barrett."

But unlike 2008, when Republican turnout underwhelmed, Wisconsin voters on both sides are now engaged at a level not seen in recent memory.

"We have an example of Hatfields and McCoys going on in this state like we have never seen," said Brian Nemoir, a Milwaukee-based Republican strategist. "People are hyper-engaged, as much in support for their own candidate as in disgust for the opponent."

Handmade signs are nearly as prevalent as official ones. Some locals say they have resorted to lowering their voices in public when discussing the recall to avoid setting off arguments with strangers.

The Marquette University poll revealed that 26% of all voters have slapped a bumper sticker on their car or planted a sign in their lawn.

The same survey found that a third of voters have simply stopped talking politics with someone they know because the race is so heated.

And this is all in a state with a historical reputation for collegiality and Midwestern politeness.

A flood of campaign money, much of it from out-of-state interest groups and most of it benefiting Republicans, is partially responsible for the hothouse political climate.

About $64 million has been spent on the race since November 2011, an analysis from the Center for Public Integrity found.

That's a new state record, shattering the previous record of $37.4 million spent during the 2010 governor's race.

Beginning last fall, Walker seized on a loophole in Wisconsin law that allows incumbents in recall elections to raise unlimited sums.

Walker outraised his opponent by an almost 8-1 margin, collecting $30.5 million to Barrett's $4 million.

Roughly two-thirds of Walker's contributions came from out of state, the Center for Public Integrity reported, while only a quarter of Barrett's funds originated from outside Wisconsin.

Beyond the individual campaigns, independent groups have played a major role in the race, helping saturate television and radio airwaves with negative advertising.

The Republican Governors Association, for instance, has spent more than $8 million on Walker's behalf, most it on television ads.

Working against Walker are unions like AFSCME, the American Federation of Teachers, the National Education Association and the Service Employees International Union, which have also steered millions of dollars to the state in their efforts to unseat the governor.

@highlight

Democratic groups say they contacted nearly 750,000 voters over the weekend

@highlight

Republicans have contacted 4 million voters this year

@highlight

The recall fight stems from a battle over collective bargaining rights for public employees

@highlight

Republican Gov. Scott Walker faces off against Democrat Tom Barrett, mayor of Milwaukee