(CNN) -- The blowout is stopped. The oil disaster that began with an explosion 100 days ago has not ended by any means. But we seem to be seeing a murky ending to the beginning of the crisis.

We have an enormous amount of floating oil, and Gulf waters polluted by oil and dispersant.

Most estimates range from 2 million to 4 million barrels (84 million to 168 million gallons). The higher end would make it the largest unintended release of oil ever. (In 1991, Saddam Hussein's army intentionally released about 400 to 500 million gallons into the Persian Gulf to slow American troops.) Added to the Gulf of Mexico's troubles: about 2 million gallons of dispersant, a major intentional pollution event in itself.

What now? As a naturalist, I'd say the wildlife effects remain hard to grasp. The damage to people is most easily observable, best quantified and perhaps even most acute.

Regionally there's been further damage to Louisiana marshes already assaulted by decades of channel-cutting, shipping, water direction, erosion and sinkage. For resident wildlife, undersea oil and dispersant endangers countless sea creatures -- from plankton to whale sharks to dolphins and whales -- including reefs and the eggs and larvae of corals, fishes, crabs and oysters.

Watch a talk by Carl Safina at TED.com

Of hemispheric importance are creatures that range widely but funnel through the Gulf to migrate or to breed. Two of the most important breeders are the world's most endangered sea turtle -- the Kemp's Ridley -- and the giant bluefin tuna, one of the most overfished of the world's giant ocean fishes. Migrants include millions of shorebirds, ducks and geese; herons and egrets; gannets, loons, terns, skimmers and other seabirds; peregrine falcons, ospreys and Gulf-crossing songbirds that often land exhausted on beaches and marshes.

How many of these creatures, and what proportion of their populations, were damaged or spared, no one can say. Every oiled carcass found may suggest 10 to 100 undetected deaths. But it's also true that at this point -- with much of the oil yet to go somewhere -- there remain numerous clean-looking pelicans, gleaming gulls, and immaculate egrets along Gulf shores and marshes.

People, though, have taken deep and immediate hits. Closures have meant an end to fishing, cessation of a way of life and of the way thousands of people understand who they are. Some may say the closures are artificial, that there are still plenty of fish, probably safe to eat. Others say the seafood safety is unreliable, and that, anyway, future consumer confidence is the most important thing to preserve. There's truth to both sides.

The mere tainting of beaches has been enough to send beachgoers fleeing to other destinations, creating a real-estate implosion, hordes of refunded deposits, halted construction and thousands of service jobs lost.

Nationally, we're all connected by the loss to the nation's seafood supply and by taxpayer funded government expenses related to agencies such as the Coast Guard and National Oceanic and Atmospheric Administration, as well as lost attention on other issues, and added unemployment costs that won't be covered by BP.

No one knows whether the seafood and tourism and fisheries will be clean and healthy again next year or in a decade.

We should be willing to learn some lessons.

One is that this catastrophe wasn't just an accident. It was the result of reckless corner-cutting by the oil company and scandalously compromised oversight by the government. As U.S. Rep. Henry Waxman, D-California, observed, "BP appears to have made multiple decisions for economic reasons that increased the danger of a catastrophic well failure."

The compromised oversight included the Minerals Management Service failing to require a backup shutdown system required in much of the rest of the world, failing to require offshore drillers to file plans to deal with major oil spills and specifically allowing BP to drill without a detailed environmental analysis.

The George W. Bush administration gave top Interior Department jobs to former lobbyists of the fossil fuel industry. Now the inspector general finds that Interior had "a culture of substance abuse and promiscuity."

Another lesson: Preparedness is near zero. The only two things responders could quickly muster were booms that can't handle open water, and dispersants. But dispersants sink oil, defeating the idea behind booms, polluting much more water, making the oil more widely toxic to marine life and making it impossible to recover or clean up.

Absent preparedness, BP and other companies responding to the spill made stuff up as they went; during weeks of blundering, hare-brained schemes like using shredded tires and golf balls to "top kill" the well, and fabricating new slap-dab caps and domes that didn't work. Meanwhile people sent their hair clippings to the Gulf. A comedy of horrors. That is not a response plan.

Obviously, reforms are needed. Rig regulations should now require that the best equipment and procedures are used. To eliminate guesswork and argument, these procedures must be specified and quantified. For instance, blowout preventers should have a specified number of valves for drilling in a particular range of depths, all spelled out as requirements. Further, there should be explicit checklists and decision trees.

If the driller detects a possible problem, the operation must be shut down; they must not retain the option of arguing about whether it's probably OK to keep going. A culture of safety and best practices must replace the culture of risk.

We should never again be subjected to the comment, "We've never tried this at this depth." It's as if, after the house is on fire, they set about devising and then building a truck capable of spraying water.

With all the contracting companies servicing thousands of rigs, you'd think the oil giants would have, say, two or three pieces of equipment in a warehouse somewhere capable of stopping and controlling a blowout at one of their wells -- and capturing the oil. This should be devised and required.

Because an oil company's interests are not aligned with the public's interests, the oil company must be liable, but not in charge. Allowing an oil company to run the response to a spill makes it possible for it to try to hide the amount of oil and the numbers of wildlife killed, to suppress scientific data and hamper journalists.

The federal government should nationalize major spills, avail itself of the best pooled talent in the oil industry, and send the offending company the people's bill. Once it's on our property, the offending oil company should not touch anything unless specifically directed to do so. As it is now, things are so insanely backward that at the end of June the Coast Guard made it a felony for boats to get within 70 feet of boom. We need to stop putting the murderer in charge of the crime scene.

Larger lessons lurk. The mortgage bubble, banking collapse, taxpayer-funded bailouts and this blowout all stem from a three-decade assault on government effectiveness, the consequent deregulation Mardi Gras, and the unleashing of corporate greed and corporate "personhood." Corporate capture of government away from the public's interests is the basic poison. Campaign finance reform and publicly funded elections would be the antidote.

Lastly and probably most important, to honor the scale of this catastrophe, we need to create a historic moment that begins to give us some energy options and creates a graceful phase-in of greater reliance on the clean, eternal energy that actually runs our planet.

There are many reasons to do this. Blowouts and dead workers and the awful environmental destruction wrought by coal mining and oil are some. Helping weaken petro-dictators and gaining U.S. energy independence is major. Helping stabilize world climate and the acidifying seas, and securing agriculture, are yet others.

Providing jobs, incentives for construction and investment opportunities are others still. The basic vision is to reduce oil subsidies, create a level playing field for clean renewable energies like wind, solar, tidal, geothermal, algae fuels, etc; construct a national smart grid capable of carrying power produced by any energy source whether dirty or renewable from where it's abundant to where it's needed.

Electric cars would be the grid's storage battery. Other countries -- China and some in northern Europe -- are doing this. But I'd rather see American leadership regained. The nation that owns the future of energy will own the future. I want that nation of the future to be the United States of America.

The opinions expressed in this commentary are solely those of Carl Safina.

@highlight

Carl Safina says precise size of oil disaster and impact on wildlife is not known

@highlight

He says impact on people is clearer -- since many lost their livelihood

@highlight

Safina says accident was avoidable if proper safeguards had been in place

@highlight

Decades of government deregulation helped lead to disaster, he says