London, England (CNN) -- A new budget airline backed by easyJet founder Stelios Haji-Ioannou will soon take to the African skies, promising to bring low-cost flights to millions of people in the continent.

Dubbed Fastjet, the no-frills carrier is expected to launch in three to four months, aiming to cash in on Africa's robust economic growth and a growing appetite for travel by its burgeoning middle class.

The move comes after Haji-Ioannou's easyGroup teamed up earlier this month with pan-African conglomerate Lonrho to create the low-cost carrier. Lonhro, owner of budget airline Fly540, has agreed to sell its aviation business to investment firm Rubicon Diversified Investments, in which easyGroup will hold a 5% stake.

The new business will start operations using Lonrho existing network in Ghana, Kenya, Tanzania and Angola, before expanding to more markets in the future.

"These four countries are currently experiencing great GDP growth, along with oil and gas discoveries and developments," says Ed Winter, chief executive of Fastjet.

"We believe that the time is absolutely right to change Fly540 into a much bigger airline based on the low-cost model which has been successful in every other part of the world," adds Winter, who is easyJet's former chief operating officer.

The business, which will still be majority-owned by Lonrho, has set a target of carrying around 12 million passengers per year, "which creates an airline of roughly 40 aircraft," according to Richard Blakesley, Fastjet's finance director.

The low-cost carrier expects to offer average fares of $70-80 before tax, which could fall to as much as $15-20 when booked early.

"That price will absolutely democratize air travel, totally changing the way people are traveling in Africa," says Winter.

Fastjet executives say they hope to tap Africa's rather underdeveloped aviation network, offering an affordable alternative in a transport environment largely dominated by difficult terrains, long bus journeys and poor infrastructure.

Read more: Africa's daily commuting grind

Haji-Ioannou, who set up easyJet in the mid-1990s, has described Africa as "the aviation industry's last frontier."

"Past experience shows by halving fares, a successful low-cost carrier can encourage those people, who have never previously traveled by air, to fly. For Africa, with its densely populated cities separated by great distances -- this means a potential new market of millions," he said after the reverse takeover by Lonhro.

In 2011, low-cost carriers occupied 9% of the African market, suggesting that there is a large potential for further development and growth, says aviation expert Linden Birns.

He notes, however, that the big challenge for airlines is breaking into cross-border flights and launching intra-African routes.

"At the moment access to markets on a transnational basis is governed by a set of bilateral air transport agreements," says Birns, founder of South Africa-based aviation consultancy Plane Talking.

"Under those agreements, governments stipulate who's allowed to fly and how many flights. That really keeps a lid on things -- if you can break through those barriers and introduce competition then we should see some pretty rapid growth happening in the market."

Aircraft manufacturer Airbus has forecast Africa traffic to expand by about 6.5% per annum between 2011-2020 and by 4.9% between 2021-2030, for a 20-year growth rate of 5.7%. This compares with a 4.8% increase in demand on a worldwide basis over the next 20 years.

"It's no secret that Africa represents a massively untapped market," says Birns. "If we look at where growth is happening in the world, Africa is certainly up there."

Birns says that as Africa's cities get more populated and as demand for business is growing, the expansion of the low-cost model should revolutionize the continent's air transport in the same way that it did in North America, Europe and now in Asia.

"More people will be able to trade, more people will be able to do their tourism and it should be a good economic driver," he says.

See also: Is Africa world's next manufacturing hub?

Fastjet's foray into the African market comes amid a tumultuous time for aviation industry in the continent -- earlier this month, a plane crash in Lagos, Nigeria, killed all 153 people aboard.

Winter says Fastjet will raise the bar on safety and security, operating "as though it was an European airline."

"There's no reason why Africans shouldn't be just as safe and secure as in an European airline and we will follow those sort of procedures," he says. "Now, that adds a bit cost to our operation but to my mind all of those costs are actually worthwhile to provide a safe and secure airline."

Looking ahead, Winter says the biggest challenge for Fastjet is dealing with lack of airport infrastructure, as well as high taxes imposed by governments and rocketing fuel duties.

"What we're hoping is that governments will realize that by allowing these tax levels to come down to more normal levels, we will be able to do most markets and their total revenue will actually increase," he says.

But despite the challenges, Winter says he is "incredibly excited" about the venture, saying that there isn't a better time to enter the African market.

"Five years ago it just wasn't that level of GDP growth, the spread of wealth amongst the population and the level of investment," he says, "Whereas now I think all those factors come to play and now it's exactly the right time to do this."

@highlight

EasyJet founder Stelios Haji-Ioannou has joined forces with Lonhro to launch Fastjet

@highlight

The low-cost airline will operate from Ghana, Kenya, Tanzania and Angola

@highlight

Low prices will democratize air travel in Africa, say Fastjet executives

@highlight

Challenges include airport infrastructure, high taxes and fuel duties