(CNN) -- Winamac, Indiana, is pretty much how it sounds.

Small -- home to fewer than 2,500 people -- rural, and it has more churches than libraries, schools and liquor stores.

About 20 minutes north is a similar town by the name of Knox. This is where Thomas Lee Bridegroom was born.

And just on the edge of Winamac -- between West Main and West Adams -- is a small cemetery by the name of Crown Hill. This is where he is buried.

He tripped and fell off of a roof while working. He was 29 years old.

In my 20-plus years as a journalist, I've written a lot about death. Thankfully, it hasn't gotten easier. The stories still touch me, although some more than others. Bridegroom's passing would be one of those.

"It wasn't easy going back there because it was the most difficult time in my life," Shane Britney Crone, Bridegroom's partner, told me on the phone. "But it helped me draw out the positives of who I am. Finally, for once, I am not afraid to stand up for what I believe in and I'm proud, not ashamed, of being gay.

"Hearing from people, thanking me for sharing our story, thanking me for reminding them how important marriage equality is ... it makes me feel like I've done the right thing by making the film."

The film he's referring to is aptly called "Bridegroom" and it chronicles the couple's relationship as well as the legal fallout stemming from their inability to get married. Fallout such as the hospital not giving Crone any details regarding the cause of death.

And being barred from the funeral.

"They told me that if I showed up Tom's father and uncle planned to attack me and knowing how his dad reacted when (Tom) came out, I had real concern for my safety," Crone said.

How did Tom's father react?

Well, according to Crone, he pointed a shotgun at his son before beating him up -- one of the more jaunting details revealed in the documentary. Bridegroom's parents have yet to publicly comment on the film and declined to participate in its making.

"A year later, I snuck into town by myself," Crone said. "I knew it was going to be very difficult and I just wanted to be alone and feel whatever it is I had to feel without someone else being there. I spent an hour there, crying, talking to Tom ... the hardest part was driving away ... in that moment it finally hit me that he was gone ... that all of this was real."

When I spoke with Crone, he mentioned he was nervous about sounding stupid in the interview. Little did he know it was I who was fighting back tears with each detail of their story that he shared. In the end, the only thing that sounded stupid was the notion that the love he and Bridegroom shared was inferior to anyone else's.

"Sadly, what happened to Shane after Tom's tragic death is not uncommon for couples without the protections that marriage equality brings to their relationships," said Brian Silva, Executive Director of Marriage Equality USA. "It is unconscionable that anyone already suffering the loss of someone they love, should be forced to go through this horror. This is just one reason why this fight must continue until every LGBT couple can live in safety and equality."

A fight in which New Jersey's Republican governor, Chris Christie, finally admitted defeat.

A fight Michigan's Republican governor, Rick Snyder, tries hard to avoid talking about, even as marriage equality heads to his state's court.

A fight that even spilled into the supposed gay- friendly streets of Springfield, Ill where Democrats -- not Republicans -- are in power and yet afraid to vote on a bill that would legalize same-sex marriages.

I joined the thousands who recently came to the state capital to offer encouragement/pressure via a rally and march. All of which reminds us that homophobia and cowardice are not exclusive to a particular party.

Bridegroom and Crone, who grew up in a town in Montana similar to Winamac and Knox, met at a bowling alley in L.A. back in 2005.

At the time, they were both closeted though they would later learn that their meeting was not by chance -- a mutual friend set it up. What no one could predict was how quickly they would fall in love or how that love prompted them to come out to their families a short time later.

Crone's embraced him when he told them.

Bridegroom's clearly had the opposite reaction.

"He was so heartbroken about the whole thing because he always wanted me to see where he grew up," Crone said.

Despite this, the two would go on to buy a home together, start a business, build a life. One day in May 2011, Bridegroom -- a budding photographer -- was on the roof of a friend's building taking photos when he tripped and fell several floors down.

On the one-year anniversary of his death, Crone uploaded a tribute to Bridegroom on YouTube, detailing their story.

Crone's tribute went viral, capturing the attention of Linda Bloodworth-Thomason, creator of "Designing Women." She convinced him to turn the clip -- and his pain -- into a documentary. He agreed, and it debuted at Tribeca on April 23, one day after what would have been Bridegroom's 31st birthday.

George Takei, who helped Crone produce the YouTube tribute, was in attendance. As was President Bill Clinton who introduced the film, saying, "It's a story about our nation's struggle to make one more step in forming a more perfect union, for which marriage is both the symbol and substance."

It was a bittersweet moment for Crone, who moved to L.A. hoping to work in the entertainment industry. Equally as bittersweet was being in Washington when Proposition 8 -- the law that prevented Crone and Bridegroom from marrying in California -- was overturned this summer.

"I was outside the Supreme Court and it was a very emotional moment for me," he said. "It was wonderful because I knew my friends could finally get married. But I was also sad because I knew that Tom and I could finally get married now ... if he were here."

Months before Bridegroom's passing, he had given Crone a ring.

If you're one of those individuals still undecided on the whole same-sex marriage issue -- like some state legislators in Illinois I know -- I encourage you to watch the film. It's available starting Sunday, October 27, on Netflix and it will air that day on Oprah Winfrey's OWN. It puts a face, and heart, on a conversation that far too often gets muddied by politics and irrational fear.

Two things that have nothing to do with love.

"I haven't dated anyone since Tom passed away," Crone said. "It's not that I'm against the idea of it, it's just right now I'm still focused on the film and the story and just trying to heal.

"If there's any good that can come out of this, it's by using our story to educate people. ... Maybe in some ways this was all meant to be. ... I used to think Tom just had a weird last name but now ... "

But now I will never see the word "bridegroom" in the same light again.

And hopefully, neither will you.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: Thomas Bridegroom died in a fall, leaving his partner bereft

@highlight

He says Shane Crone was kept from attending the funeral in state without gay marriage

@highlight

Granderson says attitudes need to change in state legislatures to enable change

@highlight

He says homophobia and cowardice keep states from enacting marriage equality