(CNN) -- In the war against regulations and government restrictions, proponents have argued that it would be better for our economy to let the market rule. If we just get government out of the way, the market would determine business winners and losers and more jobs would be created. It's an appealing, red-blooded, American-sounding pitch. But what are the practical outcomes of such a policy?

Let me tell you what the outcome would have been for me.

I am the American portrait of a small-business success story. Microsoft might have started in a garage, but my business started in a renovated gas station at the corner of St. Paul and College streets in downtown Burlington, Vermont. That's where Jerry Greenfield and I opened Ben & Jerry's Homemade Ice Cream Scoop Shop with a $12,000 investment,$4,000 of it borrowed, on May 5, 1978.

We were two college kids (well, one of us dropped out) who just wanted to have a small ice cream store in a university town. But the popularity of our product led us in 1980 to dream bigger. We began packing pints and hand-delivering our ice cream to local grocery stores and restaurants. Our reputation grew and in 1983, independent ice cream distributors started selling our ice cream in Boston.

By 1984, our micro-enterprise small business grew to more than $4 million in sales. The big ice cream brands weren't happy.

That year, Haagen-Dazs, owned at the time by Pillsbury, had enough of our upstart small business. Did they try to promote their ice cream harder, develop some new flavors or cut prices to competitively beat us?

No. Their game plan was to try to stop our distributors from carrying our ice cream. Pillsbury, a $4 billion corporation back then, was a major source of income for these distributors and they were told, in no uncertain terms, not to do business with Ben & Jerry's.

This is what letting the free market reign really means. If you are a big business and don't want competition from small companies, you just use your economic clout to shut them down.

Fortunately, the government does restrict this practice somewhat to protect the little guy. It is called the federal antitrust law. We believed Pillsbury's actions were illegal under this statute, which says a company that controls a major share of a given market cannot use its power and economic strength to keep other businesses out of the market.

Ben & Jerry's filed a lawsuit against Pillsbury, but we also created a "What's the Doughboy Afraid Of?" customer campaign because we knew that in a strictly legal fight, we would run out of time and money long before Pillsbury did. The legal action and the negative publicity for Pillsbury worked. The doughboy agreed to stop trying to block sales of our products.

The law was on our side, but we were fortunate to have a unique consumer product with a good customer base to advocate for us. Had Pillsbury taken their anti-competitive actions earlier, Ben & Jerry's today might be just a local Vermont treat or, more than likely, not be around at all.

Regulations and government restrictions, like the federal antitrust law, help create a level playing field for entrepreneurs and small businesses wanting to grow. They establish the rules of business that allow real competition to work for the consumer and give small businesses a fighting chance.

Without regulations and government restrictions, the biggest company wins. It's that simple. Anyone with a dream of starting a business to become the next Ben & Jerry's won't have that chance. That is not the American way. We understand the concept of fairness and that might doesn't make right.

That is why the current anti-regulation efforts in Congress are so dangerous. Letting the market determine the rules of the business world means there will be only one rule: The biggest guy with the deepest pockets wins.

The opinions expressed in this commentary are solely those of Ben Cohen.

@highlight

Ben Cohen: Politicians' mantra is get government out of business, let market forces rule

@highlight

Ben & Jerry's ice cream would never have survived in that environment, he says

@highlight

Cohen: When his business was small, Pillsbury tried to block sales of Ben & Jerry's

@highlight

Cohen: Only biggest businesses survive in an unregulated, cutthroat environment