(CNN) -- The cigarette companies -- and, boy, it's hard to say this -- may turn out to be right.

Not "right" in the sense we usually think of the word. The death, suffering and heartache that cigarettes have brought to millions of families is no longer in serious dispute.

But in the courts right now, it is beginning to look as if those gruesome, graphic warning illustrations that were supposed to be plastered all over packs of cigarettes might not happen after all.

You know the illustrations -- there has been abundant advance publicity about them. A photograph of a diseased lung, a picture of a tracheotomy hole in a man's throat, an illustration of a man with his bare chest surgically stitched up, a picture of rotting teeth. The full-color illustrations were mandated by the government to cover the entire top half of the front and back of every package of cigarettes. They were intended to be so revolting and so visually inescapable that potential customers would turn away.

But five tobacco manufacturers have argued in federal court that what the government has ordered is in violation of the First Amendment. The cigarette companies say that freedom of speech must not be trampled upon -- and that for the government to tell private companies what large, ugly, dominant illustrations they must print on their packages is an infringement upon basic American principles.

The government derives the power to do this from the Family Smoking Prevention and Tobacco Control Act of 2009, which was enacted by Congress. The R.J. Reynolds Co., manufacturer of Camel, Kool, Winston and Salem cigarettes, has said that the government-ordered images are "intended to elicit loathing, disgust and repulsion."

U.S. District Judge Richard Leon appears to believe the cigarette manufacturers have a strong case. Back in November he issued a temporary injunction that blocked the forced publication of the images. At a hearing this month, he said: "There's nothing on the record to suggest that Congress gave any clear and thoughtful analysis on the First Amendment implications of this." He promised to have a final ruling soon.

No matter how much many of us may dislike what cigarettes have done to the nation's health, the First Amendment argument is a compelling one. The government risks setting a troubling precedent when, regardless of how laudable the intentions, it tells someone -- either a person or a company -- that it must say and show things that aggressively advocate against the person's or company's own interests. That's the slipperiest of slopes to start sliding down.

What about the text-only warning labels that have appeared on packs of cigarettes for decades? The cigarette companies have never liked them either, of course. But the argument in court is that there is a legal distinction between requiring labels that state facts and requiring illustrations that serve to actively advocate against the purchase of the product. The government believes that public health concerns are paramount; the cigarette companies contend that nothing outweighs free speech.

The tobacco manufacturers, as we all know, have long made ample use of their own free speech. Some of the old advertisements for cigarettes, when you come upon them now, are simply astonishing.

I recently saw a November 1936 national magazine advertisement for Camels, which presented cheerful, colorfully illustrated, course-by-course instructions on how to smoke five cigarettes at the table during Thanksgiving dinner to achieve "the peaceful feeling that comes from good digestion and smoking Camels."

Among the tips: Start with tomato soup and "smoke a Camel right after the soup." Before asking for a second helping of turkey, "smoke another Camel. Camels ease tension." After the salad course, another Camel, which "clears the palate and sets the stage for dessert." It goes on.

In 1954, when health concerns about cigarettes were gaining momentum, the Old Gold brand took out a double-spread national magazine ad that all but mocked the medical evidence. "America, we love you!" the ad began. "Thanks again for putting your trust in the cigarette made by tobacco men ... not medicine men ... We promise! Old Gold will continue to cure just one thing: the world's best tobaccos ... Smoke Old Golds for a treat instead of a treatment."

If, in 2012, cigarettes were a new prescription drug, or a new over-the-counter medication, or a new snack, and the government knew what it knows now about the health ramifications, such a product would never be approved for consumer use. It would be yanked from the shelves right away.

But cigarettes aren't a new product. They have a history of being sold legally. So the government is telling the manufacturers that they must run those illustrations to drive people away.

Will it transpire -- will the government get its way? Or will the cigarette companies' First Amendment argument prevail?

It has long been axiomatic that free speech stops at the right to yell "Fire!" in a crowded theater.

But do cigarette marketers have the unfettered right to enthusiastically yell "Smoke!" to a crowded nation?

You can almost bet that this one is going to end up in front of the U.S. Supreme Court. What a case it will be.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Cigarette companies fighting a government mandate; they may be right

@highlight

They say requiring them to show graphic warnings on packs hurts free speech

@highlight

Whatever you think about scourge of cigarettes, their argument is compelling, he says

@highlight

Greene: Cigarette companies have long pushed a dangerous product. Do they have the right?