Washington (CNN) -- Talk about a tall order. A Congress that can agree on little has 12 scheduled work days to forge a compromise on one of the most volatile issues -- immigration -- before going home for all of August.

Failure to find agreement in the next three weeks means no immediate help for a U.S. immigration system overwhelmed by tens of thousands of children from Central America illegally entering the country in recent months.

Republicans and Democrats are refining their opening positions this week as officials scramble to keep up with the unprecedented influx amid the hyperpartisan political climate of a congressional election year.

Both sides appear supportive of spending more money. The sticking points involve how much to spend on what, as well as the broader policy issue of who gets deported and how fast.

What's happened so far

Facing chronic violence at home and motivated by the belief they won't get sent back by the United States, an unprecedented surge of unaccompanied minors from Honduras, Guatemala and El Salvador continues traveling through Mexico to cross the border into Texas.

Administration officials told a congressional hearing last week that almost 60,000 arrived since October 1, with up to 30,000 more expected by the end of the current fiscal year on September 30 -- well over twice the figure of the previous year.

They face an immigration limbo of overcrowded holding centers, followed by transfer or release to await deportation hearings that can take months or years to happen and many don't attend.

President Barack Obama last week requested $3.7 billion in emergency funding from Congress to respond to what his administration calls an urgent humanitarian situation.

The request includes $1.8 billion to provide temporary care for children while they are in government custody, and $1.6 billion to bolster customs and border efforts while cracking down on smugglers.

Another $300 million would help Mexico and the Central American governments discourage desperate parents from paying smugglers to get their children into the United States.

Also, the Department of Homeland Security announced Monday it had sent about 40 recent arrivals including adults and children back to their home country of Honduras. It said more deportations to the three Central American nations were expected soon.

First group of Hondurans deported from new U.S. facility

Republicans contend Obama created the problem by halting deportations of some child immigrants in recent years, a move they say invited more to come. They want any additional resources now to bolster border security and swiftly send back the new arrivals.

Democrats argue that additional resources should speed up the processing of the child immigrants, with faster hearings to determine if they have the right to stay and quicker deportations if a judge issues a removal order.

Meanwhile, the divisive issue plays out on streets in some affected areas, with protesters in one California town blocking buses transporting new arrivals to temporary facilities.

The House

A Republican working group appointed by House Speaker John Boehner to come up with recommendations for legislation reports back Tuesday, with its findings expected to outline the GOP negotiating stance.

Boehner already is under pressure from Obama and Democrats to bring up a broad Senate-passed immigration reform measure that would boost border security while providing a path to legal status for millions of longtime undocumented immigrants in the country.

Conservatives oppose the Senate plan as an amnesty, knowing it would add millions of likely Democratic voters to election rolls.

However, moderate Republicans fear continued GOP resistance to immigration reform supported by a broad coalition of business, faith and social leaders undermines the party's chances to increase its popularity with Hispanic Americans -- the nation's largest minority and an increasingly crucial election demographic.

Boehner and other Republican leaders may consider the current border crisis an opportunity to show their willingness to agree on a narrow immigration measure while avoiding the sweep of comprehensive reforms pushed by Obama and Democrats in the Senate proposal.

The 2008 trafficking law

Republicans and some Democrats appear focused on changing a 2008 law designed to crack down on child trafficking.

The William Wilberforce Trafficking Victims Protection Action Act requires deportation hearings for child immigrants who show up at the border from all countries except for U.S. neighbors Mexico and Canada.

It distinguished between neighboring and non-bordering countries because Mexicans or Canadians turned back at the border are in their home country, unlike those from Central American nations and elsewhere.

Bipartisan border bill proposed

A proposal by two Texas legislators -- Republican Sen. John Cornyn and Democratic Rep. Henry Cuellar -- would remove the hearing requirement, treating child immigrants from all countries the same.

To address Democratic concerns, the measure also would allow children who are the victims of human trafficking or have a credible threat of persecution to appear before a judge to seek asylum in the United States, with a decision required within 72 hours of a child's claim.

It was unclear if the Cornyn-Cuellar proposal would gain support from House Republicans, while a group of conservative southern House Democrats planned to meet Monday night with Homeland Security Secretary Jeh Johnson to discuss the issue.

No Senate Democrats have signed onto the Cornyn-Cuellar plan, with several party leaders including Assistant Majority Leader Dick Durbin of Illinois, Judiciary Committee Chairman Patrick Leahy of Vermont and Foreign Relations Committee Chairman Robert Menendez of New Jersey expressing skepticism at the concept.

Durbin set two conditions for his support: legal representation for child immigrants at deportation hearings, and proper social conditions back home if they get deported.

The Cornyn-Cuellar proposal relies on existing law that calls on the Department of Health and Human Services to seek out pro bono legal counsel for the child immigrants, but it contains no requirement that they have legal counsel.

"I think that would be a disaster for our immigration system," Cornyn said, warning of a prolonged hearing process that would "serve the goal of some of the people who want to come because it would be years before they were ever deported."

At the White House, spokesman Josh Earnest said Monday that talks with legislators continued on possible revisions to the 2008 law, or leaving it intact while coming up with a separate proposal to give Johnson more flexibility.

Earnest made clear that the administration wants arriving immigrants to get a full determination of their legal right to stay in the country.

"We certainly would ensure that they receive the due process to which they are entitled," Earnest said. "But once that due process has run its course, if it's found that those individuals do not have a legal basis for remaining in the country, we would like the secretary of homeland security to be able to exercise the discretion necessary to repatriate that individual or those individuals."

Political fallout

With all 435 House seats and about a third of the Senate up for election in November, both parties seek maximum political advantage from the issue.

Republicans criticize Obama's policies for causing the border crisis and complain his administration has been slow to react. Some Democrats joined Republicans in saying the President should have gone to the Texas border to witness the situation for himself when he visited the Lone Star State last week.

Obama and Democrats argue the broad reforms they support, which House Republicans have blocked after the Senate passed them, demonstrate their commitment to the plight of immigrants.

Earnest noted that Obama proposed his $3.7 billion emergency funding request last week, with no substantive response as yet.

"We've seen a lot of talk from Republicans about how urgent and pressing the situation is, but not a lot of action when it comes to acting on ... a detailed proposal that the President put forward eight days ago," he said.

In a display of the high stakes involved, the White House planned to meet Wednesday with the Congressional Hispanic Caucus to discuss concerns over expedited deportations, and also provide a briefing on Obama's funding request to the Senate.

Use 'safe zones' to end immigrant crisis

CNN's Leigh Ann Caldwell, Ted Barrett and Deirdre Walsh contributed to this report.

@highlight

NEW: Texas legislators unveil a proposal to hasten some deportations

@highlight

Divided on immigration, legislators tackle the surge of Central American children

@highlight

President Obama wants $3.7 billion to bolster an overwhelmed system

@highlight

U.S. government sends about 40 recent immigrants back to Honduras