El Paso, Texas (CNN) -- On Monday, a U.S. Border Patrol officer shot and killed a 14-year-old boy, Sergio Adrian Hernandez Guereca, under one of the international bridges that connects or, these days, divides, El Paso, Texas, from Ciudad Juárez, Chihuahua.

The boy lay dead on the Mexican side and the Border Patrol agent was removed from the scene by U.S. officials. American officials say it was a case of self-defense. Mexican authorities condemned the killing as the use of excessive force.

The facts are still coming out, but based on the English and the Spanish news reports, it is easy to see that the two sides do not agree on the particulars, much less on their interpretation.

To people across the two nations who see reports of the death on TV or in the papers, it's a dramatic news story -- a boy with a bullet in his head and an agent under investigation. But here at the border, the scene, the actors, the act -- as if carefully choreographed, chosen and scripted -- read like an up-close metaphor for everything that is broken with our border and with immigration.

At a basic level, the incident at the Black Bridge seems to reveal two nations moving ever further from acknowledging our inevitable common destiny. As the two countries face the economic call-and-response of illegal immigration and the drug trade, we seem to cast each other increasingly as enemies. In this context it becomes justified to deal with each other with violence: throwing rocks and shooting bullets.

One could say that that boy represents the aspirations of many Mexican people because -- whether, as some reports have suggested, he intended to cross the border or as others have said, was being used as a decoy for others to make a run -- the spot where he died is known as a place where people try to cross illegally in search of work and a better life.

At the same time, a dehumanization plays out at the border, where some lives are worth more than others -- a calculus that usually runs along wealth lines, as those with money can afford visas to cross over the bridge and the poor have to stay out or risk their lives by crossing under it.

Additionally, the episode highlights the blunt instrument -- barriers and increased militarization -- that the United States has chosen to deal with the countries' 2,000-mile border.

Thousands of Border Patrol agents have been added in the past few years alone, and last month President Obama promised to send an additional 1,200 National Guard troops. An ineffectual fence stretches in fits and starts along about 30 percent of the border; it has been breached thousands of times, according to the Government Accountability Office, and costs thousands more to patch.

More fences, more walls, more armored vehicles and the National Guard, more helicopters and drones, more sensors and infrared goggles, more cameras and guns, and thousands of increasingly armed agents are all part of the border's choreography. From October 1 through May 31, Custom and Border Protection agents have used their firearms 31 times, a spokesman told CNN. In these circumstances, it is only a matter of time before more deaths occur.

In this incident lies the inability of the Mexican authorities to protect their people and the apparently questionable practices of our own Border Patrol, which, for one thing, sends bike-patrol officers to a well-known trouble spot and for another seems unclear about whether they can or cannot shoot across the borderline.

Neither side seems to believe that we deserve much more than these poorly pieced-together strategies, which reflect failures of both the Obama and the Calderón administrations. Mr. Calderón has been unable to face squarely the inequalities of his people: More than one in three Mexicans would leave the country and move in search of a better life, according to data collected for a Pew Global Attitudes Project report.

And the event speaks to the political inability of President Obama to coax Congress toward immigration reform -- to include an orderly flow of low-skilled workers, easing the pressure on the border itself and thereby acknowledging the continued integration of the two countries' labor markets.

Now a Border Patrol officer will have to live with the idea of having cut short the life of a young boy whose death, regardless of what he was doing at the bridge, means pain and sorrow for a family likely under the stress of 30 months of outrageous drug-related violence in Ciudad Juárez.

It is mindboggling to think that $50 billion a year in trade makes its way back and forth over the bridges that divide El Paso and Juárez, but bullets and rocks are now traded right under them.

So, we have to ask: Is that what we want the future of our border to be? An incident such as this should not spur us to finger pointing but to acknowledging that we have a problem; that we desperately need to sit down to order and shape our interactions and take joint control of our future.

If we forget or justify this incident, we will be condemning ourselves to many more like it.

The opinions expressed in this commentary are solely those of Tony Payan.

@highlight

Tony Payan says shooting of a teen by U.S. border agent is metaphor for broken system

@highlight

As U.S.-Mexico grapple with immigration, drugs, they begin to face each other as enemies

@highlight

Increased militarization at border doesn't help, but feeds potential for violence, he says

@highlight

Payan: Is this what we want for border? Countries must tackle immigration, border policies