(CNN) -- The indictment of NFL star Adrian Peterson on child abuse charges has led to a robust debate about whether hitting, spanking or any other form of corporal punishment is justified and effective in dealing with children.

It has also revealed sharp differences in cultural, regional and generational attitudes toward using any kind of physical force to try to teach kids right from wrong.

Peterson, through his attorney, has admitted disciplining his 4-year-old son with a switch -- taking an approach to discipline along the lines of what "he experienced as a child growing up in East Texas," said the attorney, Rusty Hardin.

In a written statement Monday posted on his Twitter feed, the star running back for the Minnesota Vikings touted his parents' approach as one of the reasons he has reached the professional heights he has.

"Deep in my heart I have always believed I could have been one of those kids that was lost in the streets without the discipline instilled in me by my parents and other relatives," he wrote.

"I have always believed that the way my parents disciplined me has a great deal to do with the success I have enjoyed as a man."

Children who are spanked or given other physical punishments like Peterson apparently was when he was a kid are more likely to spank their own kids, said Elizabeth Gershoff, an associate professor at the University of Texas at Austin who has been studying corporal punishment for 15 years.

"We call that intergenerational transmission because our parents are one of our main examples of how to parent," said Gershoff, known as one of the leading researchers on spanking. "So parents do what parents did to them and that's what Adrian Peterson is saying."

Gershoff, who has done a systematic analysis of the hundreds of studies exploring the effects of corporal punishment, said the research shows that spanking is more common among African Americans than among other racial and ethnic groups in the United States, including whites, Latinos and Asian Americans.

"There are people who say it might be a legacy of slavery, which is a very sad thing to think about but it's possible that having lived for centuries with a culture of violence being kind of (used) against them that they kind of keep it going unfortunately."

Parenting advocate Asadah Kirkland, author of the anti-spanking book "Beating Black Kids," also points to a belief held by some African Americans that using physical force to discipline children helps to protect them from the violence of the wider world.

She calls it "The Beloved Syndrome," referring to a movie about slavery starring Oprah Winfrey.

"If you remember the movie, Oprah Winfrey actually kills her children because she saw the slave master coming and instead of letting him get them, she ended up killing her own children," she said. "That's drastic but it comes from that mentality, but it's not real. It's a myth."

Kirkland, who gives workshops to African Americans encouraging them not to discipline with their hands, said the thinking is that if you beat your children, they will be more prepared for any potential "beating up" they'll face in life.

"This is not the boxing match. This is you rearing a child so that they should have certain values and certain skills that they can only have if you give (them) to them."

Former NBA star Charles Barkley added the regional component to the debate over spanking, when he suggested that a "whipping" is a kind of discipline that many parents in the South "do all the time."

Jennifer Alsip, a mom of two, said she comes from a white middle class family in Texas that believes in spankings. "I got 'whooped' and I 'whooped' my daughters (when and if they needed it)," she said. "All I would have to do was threaten to give them a spanking, and they would mind me."

Gershoff, the researcher on corporal punishment, said spanking rates are indeed higher in the South than in other parts of the country. Part of that, she said, may be because spanking is more common in families that have a conservative religious background.

"Those parents are more likely to say they have very strong beliefs and their interpretation of the Bible leads them to believe that spanking is a good idea, that they need to do it."

Other factors driving corporal punishment, she said, include age, education and income: Younger parents, parents with lower levels of education and parents from lower income levels are more likely to hit their children.

"Parents with less education may not be aware that there are other ways of disciplining kids," said Gershoff.

Peterson, for his part, indicated he wasn't familiar with other parenting techniques to use when children misbehave.

"I also understand after meeting with a psychologist that there are other alternative ways of disciplining a child that may be more appropriate," he said.

Awareness is crucial, said Gershoff, comparing spanking to seat belts and car seats. We didn't have either in the 60s and 70s when parents let their kids bounce around the backs of station wagons.

"They thought that was fine but now we know so much more about what happens in car accidents, and you can't do that anymore," she said. "And I think of spanking in the same way. We know so much more now about the kinds of things that hurt kids and the kinds of things that help them that we really shouldn't spank anymore. We know it's not a good idea."

The research, according to Gershoff, is conclusive: spanking does not improve behavior, leads to aggression and other behavior problems like stealing and lying, makes it more likely children will have mental health issues such as depression and anxiety and could lead to learning problems at school.

It could also lead to child abuse, she said.

"The more parents spank, the more likely they are to physically abuse their children," said Gershoff. "And that's kind of what we see in the Peterson case is that people hit too long or too hard with an object and their intention is to discipline the kid but they're hurting them because they're hitting so hard."

Despite all the research we have now on spanking and other forms of corporal punishment, for parents who were spanked a lot as kids, it can be tough not to use it as a form of discipline.

Micky Morrison -- a mom of two, author and founder of BabyWeightTV -- said she grew up in rural Tennessee where spanking was the norm.

"Interestingly, probably because I was spanked as a child, spanking was often my first reaction to a stressful parenting situation. It's taken a lot of reprogramming to not repeat that pattern," she said.

Do you think spanking is an effective form of discipline? Tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

Children who were spanked are more likely to spank their own kids, according to research

@highlight

African Americans are more likely to spank their children than other racial or ethnic groups

@highlight

Low-income, less-educated parents are also more likely to spank, according to research

@highlight

Spanking leads to negative consequences in children, says a prominent researcher