(CNN) -- Her surname means "fighter" or "warrior" -- and Christine Ohuruogu has done her best to fulfill that prophecy throughout a stellar running career of glorious peaks and painful troughs.

She has battled back from heartbreaking injuries and a controversial ban for missing drugs tests to become the first British woman to win 400 meters gold at both the Olympics and the world championships.

The Londoner is also the only UK athlete of either gender to have won three global titles in the same discipline.

All the gut-busting training sessions and the long periods of rehab have paid off -- but don't suggest to Ohuruogu that she has made any sacrifices to get where she is today.

"I don't really like that word," the 30-year-old tells CNN's Human to Hero series. "I choose to be an athlete and for me to get where I need to get to, ultimately I have to do certain things -- so I don't really see it as a sacrifice.

"There's a lot in life I probably haven't been able to do because of it, but there's a lot that I have done and I have achieved. If I wasn't an athlete, I probably wouldn't have got that chance."

Born to Nigerian parents in the borough of Stratford, near where Britain's Olympic Stadium would later be built for London 2012 -- the scene of one of her greatest moments -- Ohuruogu was a latecomer to athletics.

Her first passion was netball, and she represented England at under-17 and under-19 level before finally making the switch.

"At the time I never understood running as a sport -- I thought it was just something you did when you had nothing else to do," she recalls.

"It wasn't until a teacher at school saw me running at a sports day event which I had won and he said, 'Oh you look like you have been trained,' ... that is when I started thinking seriously about trying athletics and seeing where I could end up."

But she had to wait until she was 18 before taking it up seriously -- her mother Patience insisted she finish her school studies and start university.

Making an impact

Success came quickly, and without a lot of training, as Ohuruogu won bronze at the 2003 European junior championships. She reached the semifinals of the Athens Olympics the following year and then claimed gold at the 2006 Commonwealth Games.

At 5 foot 9 inches, with a powerful stride, Ohuruogu seemed perfectly suited to the 400m -- a lung-stretching one-lap burst in between the sprint and middle-distance events.

"You have to be quite smart about how you run the 400 and you really have to know where you expend your energy," she says.

"You have to balance your mental approach as well. It is not something you can just be very gung-ho about. You have to be able to maintain a certain speed throughout the whole race. And that is what is very difficult."

Ohuruogu admits she doesn't have a conventional approach to the event -- often surging to success when seemingly out of contention.

"My coach always said that I instinctively know what to do at the right time, so it is hard to juggle what I think I should be doing alongside what I actually do," she says.

"I would give myself credit for being able to read the race well. So maybe I do it without even knowing I do it."

Indeed, she says a lot of her success comes from not thinking, from clearing her mind.

"When I am running I actually don't remember anything, which I am happy about because it means I am not there," she explains.

"If I remember the race it means I am not concentrating, so ideally I don't always remember what it's like when I running.

"At times I do remember, and that is where I have lost concentration momentarily -- and I think it does cost you in a race. Once you lose just a split-second of concentration, it kind of throws you."

Olympic hopes in jeopardy

Having won her first major title at the 2006 Commonwealths, Ohuruogu's world came crashing down when she was given a one-year suspension for missing three out-of-competition drug tests.

Even worse, she faced a lifetime ban from the British Olympic Association -- which left her contemplating the prospect of competing under another country's flag.

However, she won an appeal, and just days after the initial punishment expired Ohuruogu claimed a historic victory in GB colors at the 2007 world championships in Osaka.

Even better was to come the following year as China hosted the Olympics for the first time.

"A lot of people were saying that I couldn't come back and win the gold in Beijing, but I knew I could win it," she says, having set the year's fastest time in the 2008 final as she beat favorite Sanya Richards and another American, Shericka Williams.

"I knew exactly what I was going for. I knew from the outset that I wanted to win gold. I was trying to enjoy the Olympic experience but, also, I knew I had a job to do."

Injury problems

Richards claimed Ohuruogu's crown at the 2009 world championships, and the British runner then tore a thigh muscle the following year -- beginning a series of setbacks that threatened her hopes of success in front of her home fans.

"The hardest thing athletes have to deal with, and I am no exception, is when you have injuries," Ohuruogu says.

"It was the biggest injury I've had -- it's quite a ghastly injury, I don't like remembering it very much.

"The doctors said it would take me about a year to get over it and I didn't really believe them -- I thought, 'Yup, I'm super woman, it'll be done in a couple of weeks' time.'

"Every time it'd heal up, I'd tear it again. It really got me thinking as to whether my time in the sport was up."

Ohuruogu did recover sufficiently to be selected for the 2011 world championships in South Korea, but was disqualified in the first round for a false start.

"It was pretty horrible and only compounded my thoughts telling me that enough is enough, go and do something else. And it didn't really get any better from there -- it just got worse and worse."

London calling

But Ohuruogu managed to climb out of her pit of despair, and returned to fitness in time for a tilt at glory on home soil in front of her family.

"From the time I knew the Games were coming to London, I had prepared myself by ignoring it. I just completely zoned out and saw it as just another championship," she says.

"I really had to distance myself physically and mentally from it because I knew that if I didn't, I'd become too overwhelmed by the whole thing.

"The athletes' village was a stone's throw away from where I grew up. My parents actually walked home on the night of my final, that's how close we live."

Once again Ohuruogu left it late, coming from fifth place on the final straight, but this time she could not prevent her now-married American rival Richards-Ross from claiming the gold.

"I was a little bit disappointed, but at the same time I was really proud of the fact that the last win I had was in 2008 and I had crossed through all kinds of hell to get that silver medal," she says.

"Even though it wasn't gold, to me it meant more than the gold in Beijing because I really had to work really, really hard to put myself in a position where I could contend for a medal."

The future

Ohuruogu made up in part for that disappointment by winning her second world title in 2013, beating Botswana's Amantle Montsho in a photo-finish in a British-record time of 49.78 seconds.

Her next challenge is the Commonwealth Games in Glasgow, though after another injury-hampered year (not helped by her love of wearing high heels) she has opted to compete in just the 4x400 relay -- the heats are on Friday, the final 24 hours later.

Stephanie McPherson won Wednesday's 400m final from fellow Jamaican Novelene Williams-Mills.

Ohuruogu's younger sister Victoria -- one of her seven siblings -- will also run in England's relay team, and the 21-year-old could conceivably be a rival in the individual event at the 2016 Rio Olympics.

But before Brazil, Ohuruogu is planning to return to Beijing for next year's world championships -- and has her eyes on another homecoming when London hosts the event in 2017.

"I have said a lot that I will stop in Rio but I think that the thought of the world champs coming back to London is kind of tempting me a little bit," she says.

"But I will see first of all what happens next year and that will guide my decision-making into Rio, and then obviously what happens in Rio will guide whether I will continue past 2017 or not."

Whatever she decides, there's no doubt Britain's warrior runner will do her best to make it happen.

@highlight

Christine Ohuruogu is Britain's most successful 400-meters runner

@highlight

She has won the world title twice, plus gold and silver at Olympics

@highlight

Ohuruogu has battled back from career-threatening injuries

@highlight

She will compete with younger sister in relay at Commonwealth Games