(CNN) -- It is easy to criticize zoos and aquariums when healthy animals are culled, particularly when they are from endangered species. It's not always easy to understand the logic behind such a decision, but to get a picture of why good zoos take particular actions, one has to understand the context and the alternatives.

Wild populations of animals are collapsing at an alarming rate. Since 1997, for example, the population of giraffes in Africa has plummeted by more than 50%, with two subspecies becoming extinct in the wild, and leaving only 240 members of another subspecies in a single population center. This pattern is replicated all over the world; it is driven by our increasing need for natural resources such as palm oil, agricultural land, or living space.

Animal reserves in the most vulnerable areas are struggling to protect their animals from the scourge of poachers, while other habitats are destroyed by the effects of deforestation and increasingly climate change, a problem that all of the world's governments acting in concert have been unable to check even slightly.

Indeed, governments have been unable even to uphold their obligations under the Aichi Targets to assist in the protection of endangered species and to teach their populations about the value of biological diversity, obligations that have been almost entirely outsourced to zoos and museums.

Zoos inherited a legacy of animal keeping from a previous age that did not understand the havoc we are wreaking on the planet. Since the establishment of national and regional zoo associations and the dawning of greater scientific understanding of our effect on nature, zoos have become essentially a last line of defense in the protection of animals.

Do we wish that humans would stop destroying the natural habitats of wild animals? Of course; but this is not happening.

Our choice then is clear: Do we use the legacy we inherited to protect animals from human activity, or do we leave them to take their chances, knowing that their chances of survival are slim and for many species almost impossible?

If we accept that some action is better than none, then we also have to accept that managing viable populations of animals over the long term until their habitats are stabilized requires some difficult decisions, including the culling of healthy animals that won't help the species stay adaptable and immune to disease.

It's worth remembering that some of the world's foremost biologists, population biologists, animal geneticists and other experts have thought deeply and philosophically about these choices. Faced with the alternatives, it's not hard to see why they chose as they did.

Say we did stop zoos from breeding and transformed them into "sanctuaries"; Immediately we would need to give up the notion that we can save our most endangered species from extinction -- the infrastructure in the wild just isn't there for some species and in many EAZA zoos we care for species that are already extinct in the wild. Next we would need to decide what to do with the animals: Should we keep them in these new sanctuaries, unable to breed, until they die?

Animal rights organizations would like to make sure that nobody enjoys seeing such animals and learning about them from zoo visits, yet these visits are what pay for everything we do, from education through to conservation. Over 1.5 billion visits will be made to EAZA zoos during the Decade of Biodiversity, with all of those visitors learning about nature. Who would be there to offer nature conservation education if zoos did not exist?

Zoos in reputable zoo associations worldwide are the fourth largest donors to conservation in the wild; are animal rights groups going to replace the hundreds of millions of dollars that zoos currently donate? No, because ultimately they do not care whether species have a future in the wild.

We cannot possibly release all of our animals back into a wild that is under siege, and which they would have to share with wild populations that are as large as their habitats can currently accommodate.

Who would carry out the Aichi Target obligations which all European nations have signed up to? Would taxpayers really be willing to foot larger bills to pay for this, or would we, again, face abandoning animals and biodiversity to their fate, without any idea of the consequences this could bring?

EAZA strongly believes that the humane and considered response is to make a real effort to save endangered species.

We cannot sit on the sidelines pretending that there is a magical solution to the crisis in nature, as animal rights groups do.

Serious problems require serious responses. As yet, anti-zoo activists have put forward no serious alternatives; we would be interested to hear them, but we can't afford to wait.

READ MORE: While there are zoos, the killing will go on
READ MORE: Copenhagen Zoo kills 4 lions

The opinions expressed in this commentary are solely those of Lesley Dickie.

@highlight

Copenhagen Zoo under fire for culling healthy family of lions to make way for new animal

@highlight

Danish zoo was criticized last month for killing a young giraffe

@highlight

Animals from all the world's zoos cannot be released into the wild, says Lesley Dickie

@highlight

Dickie: We cannot pretending there is a magical solution to the crisis in nature