Colorado Springs, Colorado (CNN) -- A black Cadillac, bullet casings and a pizza box appear to connect a parolee with ties to a white supremacist prison gang to the shooting death of Colorado's prisons chief, according to a search warrant affidavit obtained Friday by CNN.

The affidavit, filed by the Texas Department of Public Safety's Ranger Division, details what authorities believe links Evan Spencer Ebel, who died in a shootout with sheriff's deputies in Texas, and the Colorado killing of state prisons chief Tom Clements.

Of key focus in the affidavit is a 1991 black Cadillac that authorities say Ebel was driving in a wild, high-speed chase Thursday that saw the 28-year-old open fire on sheriff's deputies before slamming into an 18-wheeler, climbing out of the wreckage and opening fire again.

Hours later, Ebel died from a gunshot wound to head suffered during the shootout, leaving behind more questions than answers in a case that has spanned two states.

On Friday, the wreckage of the Cadillac was under intense scrutiny after witnesses reported a similar vehicle -- a black, boxy car with Colorado license plates -- near the Monument, Colorado, house of Clements on Tuesday, the day he was killed.

Among the links in the cases, according to the affidavit, are shell casings from a 9mm handgun found at Clements house. They are the same brand and caliber used in the shooting of a Wise County, Texas, sheriff's deputy, it said.

Video: Pizza deliveryman remembered

In the Cadillac's trunk was a Domino's Pizza box carrier and a Dominos uniform jacket, it said.

That pizza carrier and jacket are a key reason why Denver authorities are also in Texas to examine the Cadillac.

They are investigating the killing of 27-year-old Nathan Collin Leon, a Domino's Pizza deliveryman in Denver.

Leon disappeared from work on Sunday and was found dead in the Denver suburb of Golden. Leon's family said he delivered pizzas as a way to earn extra money for his wife and his three girls.

Denver investigators tell CNN there is a "strong connection" between the killings of Leon and Clements.

Even as the investigation appears to link Ebel to the shooting, authorities have said little about a possible motive.

Did Ebel kill a pizza deliveryman to get a hold of his uniform as part of an effort to disguise himself? Did he target Clements because of the prison chief's crackdown on white supremacist gangs in prison? Was he part of a wider conspiracy to kill Clements? Or was it something else?

High-speed chase in Texas

This much is known: On Thursday, Ebel sped through Montague County, Texas, near the Oklahoma state line, about 700 miles from Monument.

Deputy James Boyd tried to pull the car over. It's unclear exactly why, other than it would have a been a routine part of Boyd's job.

Boyd did not know about the Clements case, authorities said.

Ebel shot the deputy three times, hitting him twice in the chest and grazing his head. Wearing a bulletproof vest, the deputy managed to call for help and to tell law enforcement which way Ebel was driving. Authorities say they have looked at the dashcam video of the shooting.

Boyd remains hospitalized at a Dallas-Fort Worth area hospital.

The information the deputy gave allowed law enforcement to catch up with Ebel.

A high-speed chase ensued, ending about 30 miles away in Decatur, Texas, with Ebel firing out of his window at police, law enforcement said.

"I would say he was running about 100 mph, and he had his left arm out the window and he was just shooting," said Decatur Police Chief Rex Hoskins, whose patrol car was parked in the median as the Cadillac raced past.

The chase ended when the Cadillac screeched onto another road and slammed into an 18-wheel truck, authorities said. With the front of his car crushed, Ebel got out and started shooting again.

Ebel didn't hit any officers this time, they said. But they shot him.

He was taken to an area hospital where he was pronounced dead Thursday night, authorities said.

A prison conspiracy?

Since Tuesday, investigators looking into Clements' killing have told reporters they are considering numerous angles.

One is that Ebel, a former member of the 211s -- a white-supremacist prison gang -- might have conspired with other inmates to kill Clements, Paula Presley of the El Paso County, Colorado, sheriff's department said.

The Department of Corrections told investigators that Ebel was a prison gang member, she said on CNN on Friday.

Clements earned widespread recognition for not only prison reforms but for a crackdown on prison gangs, including the 211s.

Citing media coverage of the shooting and its possible connection with the the 211s, authorities locked down Colorado's prisons on Friday, said state Department of Corrections spokeswoman Alison Morgan.

"We are on full lockdown over the weekend, no visitation or volunteer programs," she said.

Suspect's troubled past

As authorities look for possible links in the case, a troubling portrait began to emerge of Ebel.

By all accounts, Ebel came from a privileged upbringing. His father, Jack Ebel, an attorney and former oil executive, counts Colorado Gov. John Hickenlooper among his friends.

"When I first came out to Colorado 30 years ago, he and I worked in the same oil company," Hickenlooper told reporters Friday.

The governor described Jack Ebel as "generous to a fault," but said the son "had a bad streak."

"We knew his son growing up that he just had a bad streak," Hickenlooper told CNN affiliate KUSA. "I think Jack, his wife, they did everything they could."

Hickenlooper, who did not go into details about the behavior, said he first learned the younger Ebel was a suspect in the killing of Clements on Thursday.

His first reaction? "There can't be two Evan Ebels."

"I didn't even know Evan was out," Hickenlooper said, adding that he called the Ebel family a short time later.

The Ebels, according to Hickenlooper, were devastated by the news.

The governor said he never intervened on behalf of the younger Ebel, and he said Jack Ebel never made such a request.

Lengthy prison record

In 2003, at the age of 18, Evan Ebel was charged with felony armed robbery after brandishing a gun and threatening to kill a man unless he handed over his wallet, court documents show.

"I'm not playing. ... This is not a joke," Ebel said as he pointed a gun at the victim's head, according to witness statements at the time.

Ebel pleaded guilty to the charge and was sentenced to three years in prison, serving just over a year.

Just months after his release, he was arrested again. This time for felony menacing, robbery and assault. He pleaded guilty to those charges in 2005 and was sentenced to another three years in prison.

In 2006, while in prison, Ebel was charged with assaulting a detention officer, records show. He pleaded guilty and received an additional four years on his sentence.

Ebel spent five years of his sentence in solitary confinement, Hickenlooper said.

While the governor said he never discussed the younger Ebel by name, Hickenlooper did say he told Clements that he knew someone in solitary confinement.

That person, the governor told KUSA, was Ebel.

"One of the things I told Tom Clements was that his family was concerned that it was doing more harm that good," he said.

That statement is supported by Ebel's mother, Jody Mangue, who detailed a visit with her son in a post on memorial website she created for her 16-year-old daughter, who was killed in a car accident in 2004.

"Evan is in Canon City, Colorado in CSP, the state prison. He has over three more years left. He has pretty much been in solitary confinement for 5 years. How he has managed this ceases to amaze me, but he has used his time wisely and is quite disciplined, conditioned," she wrote.

"When we visit, I sit across from him, he in a chair on the other side of the thick glass. He is brought in in shackles. He spends 23 hours in his cell."

Ebel served his entire sentence and was given mandatory parole on January 28, 2013, according to the state Department of Corrections.

Shift in investigation

The emerging details about the investigation appear to indicate authorities are shifting away from considering the possible involvement of Homaidan al-Turki, a Saudi national.

On Thursday, Presley of the El Paso County sheriff's department said that investigators were considering the possible involvement of al-Turki after a local news outlet, citing an anonymous source, said they were looking at connections between the Saudi national and Clements.

Al-Turki was convicted of sexually assaulting his housemaid at his Aurora, Colorado, home seven years ago. This month, Clements denied al-Turki's request to serve the remainder of his Colorado prison sentence in Saudi Arabia, records show.

Attorneys for al-Turki did not immediately return a CNN request for comment.

Read the latest news on CNN.com

CNN's Jim Spellman reported from Colorado and Ed Lavandera from Texas, and Chelsea J. Carter reported and wrote from Atlanta. CNN's Ashley Fantz and Drew Griffin contributed to this report.

@highlight

NEW: Suspect's mother recounts in an Internet post a prison visit with Evan Ebel

@highlight

Colorado's governor says he has known Evan Ebel since childhood

@highlight

Authorities are working to link Evan Ebel, 28, to the killing of Colorado's prison chief

@highlight

Ebel died Thursday after following a shootout with Texas authorities