Sarah Luchsinger started playing Disney's online game "Toontown" in 2005 at the urging of her then 10-year-old goddaughter. It's become a place where she can spend time with her husband and two sons, working together on tasks and feeling like part of the larger "Toontown" community.

Now Disney is shutting the virtual world down and many long-time players like Luchsinger are dealing with the loss of an online home.

Launched in 2003, Disney's "Toontown Online" is a game for children and families where players work together to battle evil robots called Cogs, or pass the time growing gardens, fishing, and racing cars on the Goofy Speedway. In Toontown, members can also just hang out and chat with the friends they've made in the virtual world.

After 10 years and a significant drop in user numbers, Disney has decided to instead focus its resources on the more popular "Club Penguin" virtual world, which has about 200 million registered users. "Toontown" will be shuttered September 19.

The closing of an online virtual game may sound trivial to anyone who has never used or visited one, but to the people who spent a chunk of their formative years forging relationships inside their virtual walls, the loss can be huge.

For players of massively multiplayer online games (called MMOs or MMOGs) an online game can feel like a richly populated parallel universe with a distinct culture and set of social groups.

"When a virtual world closes, its users lose many things all at once," said Nick Yee, a researcher who has been studying virtual worlds for 14 years. "A living, breathing community with its own unique culture, slang, and lore; an accessible and familiar hangout with regulars and familiar faces; an online identity and persona that they're emotionally invested in and cultivated over time; and a social network of friends who have shared many experiences together."

MMOs can be a place to try on different identities. You get to choose how you are presented and make connections without worrying about looks or other snap judgments.

"This game is a home to us, a place where we can be who we are, where we can just be normal without discrimination and judgment," said longtime "Toontown" member Denise Tan.

In a large online survey of players from games such as "World of Warcraft," Yee found 24% of players had confided personal issues or secrets to online friends that they had not told their real life friends. The online communities can feel just as real as their in-person worlds -- 41% said the friends they'd made online were comparable or better friends than the ones they had in real life.

Other massively multiplayer online games have shut down after multiyear runs. After eight years, the "Star Wars Galaxies" game was given the Alderaan treatment and destroyed in 2011. Many of those players migrated to "Star Wars: The Old Republic." After "URU: Ages Beyond Myst" closed for the first time in 2004, 10,000 players were virtual "refugees" who moved on to other virtual worlds like "Second Life," according to Celia Pearce who studied the displaced URU players as part of her Ph.D. thesis.

Disney is hoping the diaspora of "Toontown" players will find a new home in "Club Penguin.

"Toontown" is far from being the most well-known or popular MMO to shut down, but that hasn't stopped a vocal outpouring of protests from the dedicated fan base.

There is a Change.org petition asking Disney to keep "Toontown" open and it has already gathered more than 9,000 signatures from members around the world.

"To some it was more than a mere game. It was a childhood. Adventures, exploration, meeting new friends and so much more ... it had a lot of meaning to all of us," reads the petition.

Because "Toontown" was a family game open to anyone 7 and older, many of its more dedicated users started as children and grew into young adults while playing the game, making it an integral part of their childhood.

"I think 'Toontown' is unique in that its long-time users literally grew up with the game," said Yee. "It's a little like me telling someone that they're tearing down 'Sesame Street.' Or that they're tearing down the neighborhood playground where you used to play."

Those tight relationships made in the game world frequently carried over into real life. There were even in-person gatherings for players called ToonFest at Walt Disney Studios and Walt Disney World.

Adults also used it to communicate with their younger family members.

After a divorce, Mike Kahn found himself 3,000 miles from his young son. The two have turned to "Toontown" as an entertaining alternative to Skype.

"Most people know 8-year-old boys don't want to talk on the phone much. 'Toontown' has become the solution for us to spend time together," said Kahn. "We can log in, my son in Florida and my daughter and I in Idaho and all play together while talking, laughing and spending quality family time together."

Grandparents like Mary Hudnall used it to keep in touch with grandkids, though she recently cut down after the 12-year-old grandson she played with the most moved on to "Minecraft."

@highlight

Disney is closing its online virtual game "Toontown" after 10 years

@highlight

Many long-time players are upset that they'll lose contact with the "Toontown" community

@highlight

When massively multiplayer games close, players frequently feel a sense of loss