(CNN)Qwaider Al Nabulsi is an unremarkable place, at first glance.

The clue is in the glamorous Indian woman standing out front waxing lyrical to a group of hungry looking tourists.

The setting is a Palestinian-Jordanian restaurant in Dubai (Qwaider Al Nabulsi, Al Muraqabat Street; +971 4227 5559), the tourists are refugees from the city's culinary mainstream, and the woman is Arva Ahmed -- underground food guide extraordinaire.

Ahmed is talking about the history and variety of Middle Eastern cooking.

She rat-a-tat-tats to the assembled crowd about the spartan dishes of the Yemeni Bedouin and moves on to the love of vegetables in the fertile crescent through Turkey, Lebanon and Syria.

Then she pauses as waiters appear from the restaurant to satisfy the food cravings Ahmed has stirred up.

Onion and chili paste-stuffed falafel is the reward: like the restaurant it looks ordinary, but the dish is phenomenally tasty.

The gooey, cheesy, sweet kunafa pastry served up afterward is likewise delicious.

More: CNNGo in Dubai: The extravagant edition

Food-tourism pioneer

Frying Pan Adventures, Ahmed's walking tours around a series of unheralded Dubai restaurants, are partly an opportunity for her to share her love and knowledge of favorite Middle Eastern dishes, but she is also something of a pioneer for a different kind of tourism in the city.

From a culinary point of view, Dubai's known for its outpost restaurants for celebrity chef empires.

They tend to be stuck in an ostentatious tower along with strange spa treatments and a rooftop pool.

Ahmed aims to show off an older, far less extrovert part of Dubai.

Her beat is the Deira area on the north-eastern side of Dubai Creek, where her family has lived since 1989.

Breakfast stop

Breakfast to Breakfast (Al Rigga Road, +971 4222 3566) is the second stop on the tour.

Ahmed admits she avoided going here for a long time. It looked like a fast food joint -- and Dubai has no shortage of those.

And so it was, but not of the chain variety.

"It does the best manousheh -- a Lebanese take on pizza," Ahmed says (and why not have pizza for breakfast?).

It's fired briefly in front of us in the oven, then stretched out ultra-thin so it won't dominate the toppings -- which include sujuk, an Armenian sausage.

More: Six things you shouldn't find in the desert

Food market forces

Getting Frying Pan Adventures off the ground wasn't just a case of showcasing neglected, but delicious, food from everyday, working Dubai.

It was also about fighting the corner -- make that establishing a corner -- for small, entrepreneurial tour companies among the big, mass market operators.

"In Dubai, you tend to have to be recognized and to throw a lot of money at something, to make it happen," Ahmed says.

"But that's changing -- small ideas are beginning to take off."

Birth of a food blog

Thirty-year-old Ahmed was born to an Indian family living in the neighboring Emirate Sharjah, who moved to Dubai when she was six.

After living in the United States for a while as an adult, she returned to Dubai in 2010 to help with her father's non-food-related business and began writing a food blog -- "I Live in a Frying Pan."

She soon found her ideal subject: Dubai's unsung culinary centers.

She took pride in locating homely looking joints that excelled in one particular dish.

That quest led to finds such as Al Tawasol (Al Rigga Road, +971 4295 9797), a Yemeni restaurant with what resemble private indoor tents complete with Bedouin carpets, at the back.

The key dish here is mandi -- buttery chicken designed to be eaten, thoroughly messily, with the fingers.

Apparently, the practice stems from traditional water-saving techniques: no plates equals less washing up.

More: Best Dubai brunches: The good, the very good and the 'drunch'

A culinary conversation

It took a conversation with a friend to spark the idea of using Ahmed's knowledge of the Dubai food scene to set up walking tours.

She thought she would only have to do a two-week tour-guiding course before she got started but she hadn't reckoned on Dubai bureaucracy -- resembling some ancient desert defensive system.

"There are a lot of checks and balances, which is good for keeping out rogue operators, but it stifles creative ideas," she says.

"The system is designed for veterans, and makes it extremely hard for an outsider to try anything."

Or fry anything. The irony is that Frying Pan Adventures -- finally launched in January 2013 -- offers precisely the more unusual sorts of experiences Dubai tourism chiefs are trying to promote.

Dubai goes countercultural

That's right: Dubai is brushing out the hair gel, washing off the fake tan, putting the gold jewelry in a back drawer and going a little countercultural.

In a bid to hit a target of 20 million tourists a year, the city-state's Department of Tourism and Commerce Marketing wants to pump a lot more money into what it calls cultural and heritage tourism.

AKA: things you can do in Dubai that don't have "seven-star" tacked in front of them.

So, Ahmed could soon be riding a wave.

Already she's having to turn people away to keep the small group ethos.

When tourists hate tourists

She seems to have discovered an important and potentially lucrative truth: tourists often don't like other tourists.

"They get wildly excited when they see a restaurant with no one like them in it," she says.

Like at Abshar (Al Maktoum Road, +971 4233 0555) an Iranian restaurant on the first floor of a non-descript mini-mall.

It's one of Ahmed's favorites -- for its freshly made eggplant dip, bread sliding out of a roaring oven on wooden paddles and its rich fesenjoon stew of chicken, pomegranate and walnut.

Manousheh fans, get in touch.

See Frying Pan Adventures for tour dates and to book.

@highlight

Arva Ahmed's food tours seek out the most authentic dishes in Dubai

@highlight

Locations are sometimes unglamorous -- in a city renowned for glitz -- but recipes are delicious

@highlight

Lebanese pizza, chili felafel and fesenjoon chicken stew are among tour highlights

@highlight

Ahmed is helping to pioneer a different kind of Dubai tourism