(CNN) -- It's becoming a familiar routine.

The Dutch turn up in Sochi's speed skating arena and duly finish first, second and third.

Once might be notable, twice impressive but when it happens for the fourth time, onlookers are simply left shaking their heads and wondering how it's possible.

As they did again on Tuesday when Jorrit Bergsma took gold in the men's 10,000m in a new Olympic record of 12 minutes 44.45 seconds, ahead of Sven Kramer and Bob de Jong.

The Dutch have now taken 19 of the 27 medals on offer in speed skating, with their 20th medal also coming in the Adler Arena -- in the short track.

No other country has won more medals at these Games.

"What is the secret? Everybody is asking," Stefan Groothuis, who won speed skating gold over 1,000m last week, told CNN.

"I don't think there's one particular secret. The competitive model in Holland is really high. It's really hard to qualify for the Olympics. We have some more amazing teammates who have stayed at home because they didn't qualify.

"I also think it's a kind of coincidence that everything is coming together at these Games, because at recent World Cups we haven't been dominating so much.

"But everyone is doing it here - and that's awesome. It's a great feeling that so many people in the Dutch team are doing great, so there's a really nice environment in the village."

To find an indication as to why the Dutch are so dominant at the Winter Olympics, one need only visit the history of speed skating page on the International Olympic Committee's website.

"The Dutch were arguably the earliest pioneers of skating," the IOC writes. "They began using canals to maintain communication by skating from village to village as far back as the 13th century.

"The first known skating competition is thought to have been held in the Netherlands in 1676... In 1889, the Netherlands hosted the first World Championships."

So it's no surprise when Groothuis describes the sport as second only to football in terms of popularity among the Dutch.

Meanwhile, De Jong gave a humorous indication of what drove him to bronze.

"I'm really happy. I didn't want to be the only (Dutch) guy without a medal at these Games," he said.

"It's unbelievable how many medals the Dutch team has taken from these Olympic Games. We've already doubled the medals from the Vancouver Games.

"It's not only in Holland that you can make money in speed skating. If you qualify for the World Cup, the government can pay you good money. You can live for your skating."

DEFYING LOGIC

In an event delayed a day by Sochi's poor weather on Monday, Frenchman Pierre Vaultier won gold in the men's snowboard cross, ahead of Russia's Nikolay Olyunin and American Alex Deibold.

Vaultier was constantly trading the lead position with Olyunin but won gold after an enormous final jump.

His victory contravened medical convention, with Vaultier having torn his anterior cruciate ligament in December -- an injury that normally takes six months to heal.

"When I passed the finish line I think I was still up in the air (from the last jump)," joked Vaultier. "I had a knee three times the (normal) size and did my cruciate ligament. What's happening to me is just incredible."

Olyunin, meanwhile, said he would be retiring after the Games despite being just 22, while American Alex Deibold celebrated a remarkable rise after working as a wax technician for the U.S. team four years ago.

"It's definitely been really tough, but I remember how hard it was for me back then and I use that as motivation to get myself where I am today," said the 27-year-old.

Another American celebrating on Tuesday was David Wise, who will forever stay in freestyle skiing halfpipe history after winning the inaugural event at the Olympics.

The 23-year-old won the day's last medal event, ahead of Canada's Mike Riddle and Kevin Rolland of France.

MAZE FINDS WAY

Earlier on Tuesday, Slovenia's Tina Maze made light of tricky weather conditions to become only the second woman in Winter Olympic history to win both the downhill and giant slalom.

Having won the downhill last week, the 30-year-old finished seven hundredths of a second ahead of Austria's Anna Fenninger, who won gold in Saturday's Super-G, with Viktoria Rebensburg of Germany taking bronze.

"It's crazy. I was ready for this, it's what I came here to do," said Maze, who emulates the feats of Switzerland's Marie-Theres Nadig in Sapporo in 1972.

"I feel proud. I think I will realize what I have done many years later."

Maze, who won two silvers at Vancouver 2010, is now the most successful Olympian in either the summer of winter Games in Slovenia's history -- with a total of four.

Less successful but still celebrating was Thailand's Vanessa Vanakorn, better known as world-famous violinist Vanessa Mae.

Competing under the name of her Thai father, the 35-year-old placed last of the 67 skiers who finished -- some 50 seconds behind Maze.

"You can insure yourself up to your eyeballs, but if you don't take risks, what's the point?" she said in response to a question about the possibility of damaging her arms.

"You have to enjoy life. I nearly crashed three times, but I made it down and that was the main thing. Being here is amazing."

ASIAN GAMES

Asia did celebrate one medal on Tuesday, as South Korea's women won the 3,000 meter relay in another extraordinary final.

Four years ago, the South Koreans thought they had won gold in Vancouver only to be disqualified for impeding -- a decision which promoted China to gold.

On Tuesday, the roles were reversed as South Korea passed the defending champions on the last of the 27 laps to take the gold, with the Chinese -- who thought they had bagged silver -- later disqualified for impeding on the final lap.

"We were disqualified at the last Olympics and today we picked up the gold medal we left behind back then," said team member Seung-Hi Park. "Only two people from our current team competed in Vancouver, and the younger skaters really stepped up this time."

Canada won silver as a result of China's disqualification while Italy completed the podium. "I couldn't stop smiling. I was crying. It was amazing," said Elena Viviani after her unexpected bronze.

BEST OF THE REST

In the men's biathlon, which had been postponed from Monday because of fog, Norway's 11-time world champion Emil Hegle Svendsen won the third Olympic gold of his career.

Organizers needed a photo finish to determine whether Svendsen had beaten fast-finishing Frenchman Martin Fourcade, who has already won two golds in Sochi, over the line, with both contestants finishing with the same time.

"I feel very many thoughts but most of all very happy," said Svendsen. "It was a very tight finish, but I had some power left. I had been saving some power on the last loop. It was not a big difference for gold."

Ondrej Moravec of the Czech Republic finished third, meaning Norwegian Ole Einar Bjoerndalen failed in his quest to become the highest medal winner in Winter Olympic history.

The 40-year-old needed just one more medal to surpass the all-time record he shares with compatriot Bjorn Daehlie but he finished in a disappointing 22nd place.

He has one more chance in the relays.

Yet Norway were not to be denied a medal as Joergen Graabak took gold in the Nordic Combined, finishing 0.6 seconds ahead of compatriot Magnus Hovdal Moan.

"I didn't think I would get to realise this," said Graabak after winning his first Olympic medal of any color. "It's pretty obvious how I feel. I cannot really tell. It's a bit surreal. I will need time to enjoy the moment."

Fabian Riessle of Germany finished third, while his compatriot Eric Frenzel -- the pre-event favourite -- struggled to shake off the effects of a virus and so finished 10th.

GOLD ON ICE

Elsewhere, Russia kept their dream of winning ice hockey gold alive after beating a limited Norwegian side 4-0 to set up a quarterfinal clash with Finland on Wednesday.

The Russians are desperate to win their first Olympic gold since the breakup of the Soviet Union in 1991 -- having won six of the seven Olympics prior to that date.

Although Russians formed part of the 'Unified Team' that won gold in 1992, the success was not theirs alone since they counted teammates from Ukraine, Kazakhstan, Belarus, Uzbekistan and Armenia among their number.

Despite ice hockey gold seeming to be among the most desired aspects of Sochi 2014 for President Vladimir Putin, the Russians are struggling -- having been forced to negotiate the playoffs to reach the last eight after failing to win their group.

This was, of course, a direct result of failing to beat the U.S. in Saturday's extraordinarily dramatic match, which the Americans won on penalties, and the flag-waving crowd was at capacity in the futuristic Bolshoy Ice Dome once again to rally their favorites.

@highlight

Jorrit Bergsma leads home fourth Dutch 1-2-3 in speed skating

@highlight

Vaultier of France wins snowboard cross two months after tearing ligaments

@highlight

Tina Maze of Slovenia wins giant slalom as violinist Vanessa Mae finishes last

@highlight

Russian men keep hockey dream alive with win over Norway