(CNN) -- Who wouldn't be interested in a choose-your-own-adventure sex farce or "Top Gun: The Musicial"?

Those are just two of the performances on tap at fringe festivals this summer.

Such festivals have their roots in Scotland. Upon its launch in 1947, the Edinburgh International Festival of performing arts was eclipsed by a more grassroots event.

In makeshift venues around the city -- "round the fringe" of the official performing arts festival, one journalist put it -- artists began mounting small-scale, independent performances.

The "fringe festival" concept was born.

This freewheeling style of celebrating the arts is finally gaining a foothold in America: the U.S. Association of Fringe Festivals lists 24 annual events in its directory; of these, half are 5 years old or less.

Fringes are generally distinguished by short, unconventional performances, low-cost tickets and a large share of ticket sales returned to artists. Many open their stages to amateurs as well as seasoned acts.

"Fringes are supposed to be risky, even for the organizers. Otherwise, what's the fun?" asks Atlanta Fringe's Chris Alonzo. Most festivals sell buttons or badges for a small fee that act as a festival pass; individual shows are priced separately.

Here are nine U.S. fringes you might dip into for your dose of culture this summer:

Orlando International Fringe 
May 14-27 in Orlando

Perhaps appropriately, given its Disney proximity, the country's longest-running fringe also encompasses the largest kids' fringe in the United States. It's also notable for its international reputation for "innovative LGBT content," says festival producer Michael Marinaccio.

This year's tag line is "Over 100 Shows Rated G Through OMG." Among them, all chosen by lottery: a "choose-your-own-adventure sex farce," a historical magic show and a play about a soul-searching Aqua Man. Buttons are $9; show tickets are $3-$11. www.orlandofringe.org

PortFringe
June 24-29 in Portland, Maine

Since 2012, tourists have had another reason to descend on Maine in summer. Portland's PortFringe includes 60 acts and more than 100 performances, held in a variety of bars and clubs as well as theaters.

With staggered show times, patrons can be seen "running from one venue to another...[it's] a level of energy and excitement you don't normally associate with theater," says co-founder Deirdre Fulton.

Acts are selected by lottery, with local artists heavily represented; the tentative schedule ranges from puppet improv to "The Rantings of a Very Hungry Frenchman" who hands out cheese samples. Tickets are $10, with discounts on multishow passes. www.portfringe.com

Hollywood Fringe 
June 12-29 in Los Angeles

Taking a "free-for-all approach," this California festival does not select artists, but instead facilitates cooperation between would-be performers and willing venues.

With more than 800 performances and 17,000 seats, its menu is extensive; this year's includes a TED Talks-skewering play called "Death by PowerPoint" and a one-woman "comedy tell-a-thon/telethon" dedicated to "Combating Adult Virginity."

Shows are held at small theaters, studios and cafes; buttons are $5 and get you $1 off tickets, with other perks. Performers and venues determine show length as well as ticket prices (generally $10-$15); many shows have pay-what-you-will performances. hollywoodfringe.org

Capital Fringe 
July 10-27 in Washington

Taking place within three downtown blocks in Washington, Capital Fringe is headquartered with offices and a pop-up "gypsy tent bar" near Mount Vernon Square.

This year, a series of inaugural site-specific works have been selected, such as Madeleine Cutrona's "Bargain Basement University," a peddler's cart Cutrona will use to distribute "advanced degrees" to passersby around town. Buttons are $5 in advance, $7 during the festival; show tickets $17. www.capitalfringe.org

St. Lou Fringe
June 18-22 in St. Louis

"Hyperlocally focused," according to founder and executive director Em Piro, the St. Lou Fringe is concentrated into just a few clustered venues in an effort to bring the larger St. Louis community together.

"We're trying to build that critical mass," Piro said. "We want people to come to the grounds and linger."

Selection is determined through a mixture of first-come, first-served and lottery. This year's offerings include a didgeridoo performance, an improvised biography by a comedy troupe and a burlesque show entitled "A Pastie Home Companion." Badges are $5; tickets are $12 or less. www.stlfringe.com

Minnesota Fringe Festival 
July 31-August 10 in Minneapolis and St. Paul

Since its 1993 founding, this Twin Cities festival has remained uncensored and uncurated. This year's lineup includes a Bollywood dance show, a Tennessee Williams adaptation and "Top Gun: The Musical."

"It's not uncommon to see groups of people (often strangers) huddled in a lobby or on the sidewalk exchanging reviews ... or trying to figure out what the must-see show of the festival is," says Executive Director Jeff Larson. Tickets are $12 adults, $5 children; adults also need a $4 button. www.fringefestival.org

Atlanta Fringe Festival 
June 5-8 in Atlanta

This festival picks acts out of an honest-to-goodness hat. The idea is to ensure "that the festival isn't limited by our own personal biases," says marketing manager Alonzo. This year 22 shows will cover belly dancing, stand-up comedy and cabaret, among other genres.

A preview party on the eve of the festival offers three-minute excerpts from each show. Buttons are $3 and are good for Atlanta arts discounts year round; tickets are $10. www.atlantafringe.org

New York International Fringe Festival
August 8-24 in New York

Not surprisingly, the city that's home to the Off-Off Broadway movement -- a reaction to large, commercial theater -- hosts the country's biggest fringe.

Like New York, this festival is busy, encompassing 1,200 performances; it's also high stakes, with commercial producers and casting agents scouting around (festival alums include Bradley Cooper and Mindy Kaling). Entry is adjudicated, with about 20% of applicant companies accepted to perform.

Established writers, directors and actors participate, but ticket prices are still low by New York standards: $15 in advance, $18 at the door. Shows cover everything from multimedia and mime to opera and ballet; full schedule announced in July. www.fringenyc.org

Sideshow Fringe 
July 31-August 3 in Nashville

This Nashville festival takes its name from its area of special emphasis: variety and circus arts.

"We have been fortunate to have a strong community of aerial dancers, jugglers, puppeteers and more that join us each festival," says program director Jessika Malone.

Previously open-access, entry is now juried except for three lottery-determined spots (lineup TBA). Buttons are $5; tickets are $10. www.sideshowfringe.com

@highlight

U.S. fringe festivals showcase unconventional performances

@highlight

"Fringes are supposed to be risky," says one festival organizer

@highlight

Edinburgh's festival is the grandfather of fringe