(CNN) -- The Arab Spring seems a long time ago. The voices of Tunis and Tahrir Square, the uprising in Benghazi, the street protests in Yemen and Bahrain promised a popular awakening in countries where politics had been confined to an elite.

The Western democracies -- if a little hesitantly -- took the side of the demonstrators. But with the exception of Libya, their contribution to the Arab world's new beginning comprised moral support and the promise of financial help once new governments were formed. The U.S. used some of its substantial political clout in the region to ease Hosni Mubarak and Zine El Abedine Ben Ali out of power in Egypt and Tunisia respectively. "Soft power" -- advice, mediation, persuasion and some aid -- was leveraged to influence events; the use of "hard power" as in Iraq was not even contemplated.

As President Barack Obama put it in a speech in Cairo in June 2009, "Events in Iraq have reminded America of the need to use diplomacy and build international consensus to resolve our problems whenever possible.

"Indeed, we can recall the words of Thomas Jefferson, who said, 'I hope that our wisdom will grow with our power and teach us that the less we use our power, the greater it will be,' " he said.

The president's then-defense secretary, Robert Gates, expanded on the theme, saying that more needed to be spent on "diplomacy, strategic communications, foreign assistance, civic action and economic reconstruction and development."

Opinion: For U.S., Syria is truly a problem from hell

The Obama administration has sought to reduce the U.S. military footprint abroad, pulling all U.S. troops out of Iraq and setting a timetable for the withdrawal of combat troops from Afghanistan. It is wary of the use of military power for all but the most forensic of operations (the raid that killed Osama bin Laden) or those that achieve defined aims at next to no political cost (drones over Yemen).

Libya was the exception. Rare and rapid international agreement, blessed at the U.N., allowed for a swift military response to prevent a bloodbath in Benghazi, which had been taken over by opponents of the Gadhafi regime. The targets -- most of them along a strip of the Mediterranean coast -- were poorly defended and easily hit from the sea or airbases in Italy. Even so, NATO warplanes flew 21,000 missions over nearly six months to enforce a no-fly zone.

And the result of all that military investment was a few weeks of euphoria with the ousting of Gadhafi -- and many months since of chronic volatility, as groups sympathetic to al Qaeda have sown chaos and turf wars have sapped the new government's authority. Before his death in Benghazi in September, Ambassador Chris Stevens' own communications revealed huge frustration and some anxiety about the proliferation of militia and growing violence in Libya.

This week, Aaron Zelin of the Washington Institute for Near East Policy, a longtime watcher of jihadism in North Africa, wrote that one of the main militant groups, Ansar al-Sharia, "has been taking advantage of the lack of state control by building local communal ties, which is strengthening its ability to operate in more locations than Benghazi."

Forcible intervention by superior powers can quickly demolish regimes that lack legitimacy. But in societies where there is no tradition of civic society or democracy, deep sectarian or ethnic fissures and desperate economic problems, helping to fashion the new is an almost overwhelming demand. While U.S. troops remained in Iraq, Sunni and Shiite political groups had to obey some rules of the road, and Iran had to exercise its influence discreetly. But since their departure, sectarian violence has surged to its worst levels in five years. When a group believes that it is in an existential struggle, it is unlikely to heed the advice of diplomats who soon will leave for home.

Egypt's multilayered problems -- political, economic and demographic -- defy any short-term solution. There are more than 80 million Egyptians, most of them close to or below the poverty line and under the age of 25. Faint hopes for a democratic alternative to Mubarak have been snuffed out. Concerted diplomacy failed to persuade President Mohamed Morsy to be "inclusive," as Obama put it, or take critical economic decisions. After Morsy was ousted, back-corridor pleas to the Egyptian military to avoid civilian casualties, not declare a state of emergency and open new channels of dialogue all fell on deaf ears.

Missile strikes on Syria likely response to chemical attack

Obama's preference for diplomacy and international consensus goes only so far, especially when there's so little common ground that a U.S.-Russia summit is not even worth holding. But there is no appetite in the West for more muscular nation-(re)building, especially after the experiences of Afghanistan and Iraq. Obama recognized this when he said in Cairo in 2009, "No system of government can or should be imposed upon one nation by any other."

Such campaigns are unpopular at home and very costly, demanding multiyear commitments for very little reward. Groups that were at each other's throats suddenly turn their fire on a common enemy: the invader.

Many observers expect that is exactly what would happen in Syria if there was a full-throated military intervention. And pacifying a country with so many weapons, so many open borders and so many sectarian fault lines would demand a force larger than the 168,000 combat troops deployed to Iraq at the peak of the U.S. commitment. That is not on the agenda.

So the use of "hard power" in Syria would be limited to punishment strikes on the grounds that "something must be done." Such strikes would begin to degrade the Assad regime's military infrastructure and discourage it from using chemical weapons but would probably not tip the military balance decisively. And they may become politically unavoidable if the U.N. inspectors who have gone to Ghouta find irrefutable evidence that chemical weapons killed hundreds of people last week. They would also be welcomed by the regime's opponents in the hope that more would follow. But they would be a metaphoric slap on the wrist. There is no "exit" or "end" strategy in such strikes, and it seems likely that hardline Islamist groups would be best placed to take advantage of a weakening al-Assad regime.

There is the faint chance that proof of the regime's use of chemical weapons would oblige Russia and China to at least modify their resistance at the Security Council to a tougher stance against al-Assad. But turning that into a common position would demand exceptionally deft diplomacy.

The Western powers are not impotent in the Middle East. In Egypt, the generals' long relationship with their U.S. counterparts (and their desire to keep the military aid pipeline flowing) will allow for renewed dialogue and influence once the immediate crisis is past. The U.S. and Europe can also join the Gulf states in providing emergency aid to Egypt (the Saudis and others have already pledged $15 billion).

In Syria, Washington can continue to cajole the moderate opposition to behave more coherently and reassert itself in the face of the Islamists' rise.

It can continue to work with the government of Yemen in targeting al Qaeda operatives in more remote areas with drones. In Tunisia, there is still an influential, moderate strand in the ruling Islamist party, Ennahda, and a strong middle class with a secular outlook. The leaders of both countries have recently been in Washington.

But as age-old sectarian and religious hatreds rage across much of the Middle East, from Tripoli in northern Lebanon to Tripoli in Libya, there is little more that outsiders can do but wait for the volcano to finish erupting.

@highlight

Obama administration has sought to reduce U.S. military footprint abroad

@highlight

Rare international agreement resulted in action in Libya

@highlight

But volatility has set in after brief post-Gadhafi euphoria

@highlight

The West has lost appetite for robust nation-building