(CNN) -- Was 1962 the year classic, post-'50s rock was hatched? Let's make that case. Fifty years ago, the Beatles recorded their first session at London's EMI (later Abbey Road) studios, cutting an early version of "Love Me Do," and Bob Dylan and the Beach Boys released their first albums. And it was exactly 50 years ago that the first incarnation of the Rolling Stones -- Mick Jagger, Keith Richards, and Brian Jones, along with pianist Ian Stewart, bassist Dick Taylor and drummer Tony Chapman -- played their first concert, at London's Marquee Club. The band was still so embryonic that they called themselves the Rollin' Stones.

Of course, being reminded that the Stones have been around for five decades is almost unnecessary. The band hasn't had a Top 10 hit in over 20 years, but whether we want it to or not, it never seems to have gone away. From Keith Richards' garrulous best-selling 2010 memoir, to Maroon 5's "Moves Like Jagger," to Jagger himself hosting "Saturday Night Live" this year, the culture always seems to circle around to the Stones just when you'd think we'd all had enough of them.

Part of that is intentional: To some degree, the Stones have always been driven to be competitive in the pop marketplace. "Absolutely," Richards told me in an interview in 1997. "It gets in the blood, man. Arrogant, elitist sons of bitches that we are, we still think we're getting better." But part of their eternal appeal is out of their hands, too. Why do we still care about the Stones after a mind-boggling 50 years? A few possible reasons:

Their songs and catalog. As obvious as it is to say, it really is about the music. There's a reason pop church lady Susan Boyle could cover "Wild Horses" or that "Saturday Night Live" could send off Kristen Wiig with "Ruby Tuesday" and "She's a Rainbow": The best Stones songs, meaning ones written before roughly 1980, are eternal and built on impeccable melodies.

For all their bad-boy images, Jagger and Richards seem, in retrospect, like one of the last of the great songwriting teams -- Lerner and Loewe, or Bacharach and David, with more groupies and pharmaceuticals. Even work that seemed lesser at the time -- 1973's beautiful stupor, "Goats Head Soup," for instance -- holds up better than you'd expect. The way the Stones continually paid homage to black music -- from covering Muddy Waters and Solomon Burke to a disco-era hit like "Miss You" -- also gave them a broader fan base than many of their peers.

The Mick and Keith dynamic. Little in old or new rock comes close to the testy yin-yang relationship between the band's two founding members and longtime Rock 'Em Sock 'Em duo. Over the years, they've publicly sniped at each other, culminating in Richards' dishy depictions of Jagger as a preening diva in his memoir, "Life."

See never-before-seen photos of the Stones

Those comments -- and the way much of the media used Richards' words to pile on Jagger themselves -- missed the point, though. What always made the Stones so magnificent was the way Richards' crusty musical conservatism was balanced by Jagger's pop-chart-driven opportunism, and vice versa. They need each other, and in so doing, they've become their own endlessly watchable rock 'n' roll reality show.

Stones as metaphor. The Stones embody a time when rock 'n' roll wasn't just "outlaw" culture; it propelled the culture. That's no longer the case, as a recent conversation with a teenage music fan confirmed to me. An avid pop lover, she doesn't listen to any "rock" (that is, music made by men or women who play guitars). For her, EDM -- which used to be called techno or electronica -- is the new rock; Its big beats, drug allusions, and the way its bombastic thump offends anyone over 40 (or anyone who prefers traditional verse-chorus pop songs) make it the modern-day version of rock.

Factor in pop, hip-hop, and country, all major genres these days, and you can see how rock is now one small slice of the cultural pie. For many, the Stones are a vivid, last-gasp reminder of a time when rock -- and white males -- dominated the landscape.

They don't make rock stars like that anymore. With a few glorious exceptions, like Jack White, many of today's major rock bands are charisma-challenged or nondescript. Onstage, they're uptight. almost asexual. Contrast that with the sight of Jagger at least year's Grammy Awards, working the stage in best rock-preacher mode and singing Solomon Burke R&B classics in a green suit. The performance should have been hokey, but it was shockingly spellbinding after all these years.

Maroon 5's Adam Levine can't move like that, either.

Rolling Stones celebrate 50 years of raucous rock'n'roll

The opinions expressed in this commentary are solely those of David Browne.

@highlight

David Browne: Rolling Stones haven't had top hit in 20 years, yet they are enduring presence

@highlight

He says the band has been willing to shape-shift to compete in pop marketplace

@highlight

He says Jagger, Richards great songwriting team with tense, compelling personal dynamic

@highlight

Browne: In Stones' era, rock propelled culture; they don't make stars like that now