(CNN) -- In the escalating conflict between the White House and Congress over Operation Fast and Furious, the stakes are high for each side.

On Thursday, the House plans to vote on whether Attorney General Eric Holder should be held in contempt of Congress for refusing to turn over Justice Department documents related to the controversial gun-walking program.

Congressional lawmakers leading the charge see themselves as fulfilling a core prerogative of the legislative branch: to conduct investigations of possible wrongdoing or incompetence within the executive branch. The House, they would argue, cannot properly fulfill this duty without access to key documents.

The Obama administration also sees itself as carrying out important institutional functions of the executive branch: to protect the privacy of internal deliberations and enable the Justice Department to conduct its own inquiry without outside meddling.

To some political observers, this skirmish is just another political ploy by a Republican-led committee that wants to embarrass the president in an election year. Others disagree and see the president as acting in bad faith by asserting executive privilege to withhold the documents.

Fortune: The truth about the Fast and Furious scandal

Inevitably, executive privilege disputes result in accusations of political gamesmanship. It's impossible to know the true motivations of those involved, but we can evaluate the constitutional merits of the president's action.

Executive privilege has a long history in our system of separated powers.

The phrase never actually was used until the Eisenhower era, but presidents going back to George Washington have at times exercised some form of what we now call executive privilege. It is recognized as the right of the president and certain high-level executive branch officials to withhold information (documents and testimony) from those who have compulsory power -- Congressional committees or judicial entities such as special prosecutors. Some of the most contentious disputes in U.S. history -- Watergate, the Monica Lewinsky scandal -- have centered on executive privilege claims.

Presidents marshal support for executive privilege claims by arguing that the requested documents or testimony encompass one or more of the following: presidential communications, internal deliberations, national security matters and information pertaining to an ongoing law enforcement investigation.

Obama's claim on the Fast and Furious documents relies on the internal deliberative process rationale and the ongoing law enforcement investigation defense.

Ultimately, the president's claim fails because it is too broad and does not overcome the strong presumption in favor of congressional access to information when there are allegations of misconduct in the executive branch. Furthermore, the longstanding standard for any executive privilege claim is that the president must be protecting information that, if released publicly, would cause some substantial harm to our national interest.

The president cannot assert this power merely to avoid the release of potentially embarrassing or politically inconvenient details.

What happens if Holder is cited?

Fast and Furious is a department-level program seemingly far removed from presidential oversight and direction. The very act of Obama using executive privilege in this case creates so many questions that Congress would be negligent in its duties to not press the president to properly explain his position or disclose the subpoenaed documents.

As for the accusation that House Republicans could be playing politics, that is certainly plausible. But concerns about a Justice Department program that appears to be designed to allow government-owned guns to be given to Mexican gangs, without a plan for how these weapons would be tracked, overcome any argument about the political motivations.

Any discussion about the program being "botched" is mere speculation until Congress receives all the relevant documents about how it was formulated and implemented.

Finally, even if the Obama administration's account of Fast and Furious is accurate, what is the point of stonewalling Congress?

Holder has already given the House some documents, which entail the deliberative process, so the primary justification for making the executive privilege claim seems makeweight.

Only full disclosure will help to reveal the truth of what happened with Fast and Furious, and from there, perhaps Congress will be able hold government officials accountable.

The opinions expressed in this commentary are solely those of Mark J. Rozell and Mitchel A. Sollenberger.

@highlight

The House plans to vote on whether to hold Attorney General Eric Holder in contempt

@highlight

Mark Rozell, Mitchel Sollenberger: Congressional lawmakers are seeking truth

@highlight

Obama cannot assert executive privilege just to hide embarrassing details, they say

@highlight

Rozell, Sollenberger: Disclosure will reveal what happened with the botched operation