Chicago (CNN) -- Protesters and police clashed outside the NATO summit in Chicago, where world leaders met to discuss the way forward in Afghanistan.

Police hit protesters with batons as they pushed against a line of officers, video from CNN affiliate WLS showed. The clashes came toward the end of a day of peaceful protests.

At least 45 people were arrested Sunday and four officers were taken to the hospital with injuries, said Chicago Police Superintendent Garry McCarthy. One officer had been stabbed in the leg, he said.

"They rallied. They charged the cops and they assaulted the officers," McCarthy said. "The finger should be pointed at the people who assaulted the cops."

Occupy Chicago, one of the groups that helped organize the demonstrations, similarly reported that some people were injured.

"The police have several demonstrators detained behind their lines, calling for medics. Bloodied protesters being dragged out of sight now," the group wrote on its Twitter page earlier in the day.

A city official, who was not authorized to talk to the media on police matters, told CNN that between 75-100 protesters had refused to leave the area after being told to disperse.

They threw bottles and other objects at police, the official said.

"Quite frankly, I think it's been an incredibly successful event in spite of some of these issues," said McCarthy, who offered high praise for his officers. "We're not here to get battered."

He accused some protesters of splashing red paint on themselves to make it look like they had been wounded.

The clashes took place just blocks from the NATO summit. Inside that meeting, U.S. President Barack Obama met with Afghan President Hamid Karzai and hosted other world leaders. He stressed that more work must be done before NATO troops pull out of Afghanistan.

"There will be great challenges ahead. The loss of life continues in Afghanistan. There will be hard days," Obama said at the summit. "But we are confident we are on the right track and (what) this NATO summit reflects is that the world is behind the strategy we've laid out. Now it's our task to implement it effectively and I believe we can do so in part because of the tremendous strength and resilience of the Afghan people."

Obama and other world leaders were expected to draw up a road map out of the war in Afghanistan. The summit comes at a key time for NATO countries, who are trying to figure out how to meet a 2014 deadline to withdraw from an unpopular war in Afghanistan while shoring up that nation's security forces.

"There will be no rush for the exits. We will stay committed to our operations in Afghanistan and see it through to a successful end. Our goal, our strategy, our timetable remains unchanged," NATO Secretary General Anders Fogh Rasmussen said Sunday.

"Once the Afghans have full responsibility by the end of 2014, our combat mission will come to an end. But we will not walk away," he added later in the day.

Also Sunday, NATO leaders inked a deal to acquire five unarmed drones as part of "smart defense," a term used to describe efforts to do more with less at a time when many nations' defense budgets are being slashed, Rasmussen said. More than a dozen countries will help to buy the drones.

"NATO in itself is smart defense because it is about helping each other instead of re-nationalizing defense," said the secretary general.

Security was tight at the summit following Saturday's arrest of three men, described by authorities as anarchists who plotted to attack Obama's Chicago campaign headquarters and lob Molotov cocktails at police during the summit.

Two other men, not believed to be part of the alleged plot, appeared in court Sunday to face charges from "related investigations," authorities said.

Police insist there were no imminent threats to the leaders of more than 50 nations gathering at the summit.

The leaders are expected to formally adopt a timetable to transition security from the NATO-led International Security Assistance Force to Afghan forces, senior administration officials told CNN.

Why ordinary Afghans worry about NATO summit

The officials, speaking on condition of anonymity as a matter of practice, said the plan will also lay out NATO's training and advisory role after 2014.

A small contingent of British forces could remain after NATO forces leave in 2014, a senior British official said. A senior U.S. official said the United Kingdom may keep some troops in Afghanistan post-2014 for counter-terrorism purposes. Both officials requested anonymity because they were not authorized to speak to the media.

One of the key issues to be considered by the NATO leaders is who will pay for the buildup of Afghan forces as ISAF draws down its troops. Afghan security forces are expected to total 350,000 by 2015, according to CNN National Security Analyst Peter Bergen.

Afghan President Karzai, who is attending the summit along with Pakistani President Asif Ali Zardari, can only afford to cover a fraction of the cost of building up his country's forces. The cost of building up forces is expected to total roughly $4 billion annually by 2014, Bergen said.

Rasmussen said Sunday that he was optimistic that other countries will contribute.

"At the end of the day, it is less expensive to finance the Afghan security forces to do the combat than to deploy our own troops," he told CNN's "State of the Union."

A user's guide to the Chicago NATO summit

As expected, France's new president, Francois Hollande, announced the withdrawal of French combat troops from Afghanistan by year's end. As part of ISAF, French trainers will remain.

A Taliban spokesman said Sunday that Hollande's declaration "is a decision based on realities and a reflection of the opinion of (his) nation."

"We call upon all the other NATO member countries to avoid working for the political interests of American officials and answer the call of your own people by immediately removing all your troops from Afghanistan," Taliban spokesman Zabiullah Mujahid said in a statement, describing what he said was the "savagery" of troops in Afghanistan.

"The invasion of Afghanistan by America and its allies under the banner of 'war of terror' was an unjustified and tyrannical action which was only carried out for political and economical gains," he said.

Also at issue at the NATO summit is Islamabad's continued blockade of much-needed NATO supplies shipped over Pakistani roads to Afghanistan.

Pakistan closed the ground routes after a NATO airstrike in November killed two dozen of its soldiers. NATO insists the incident was an accident.

The United States and Pakistan have not come to an agreement on the price of opening the supply lines, according to senior administration officials.

U.S. Secretary of State Hillary Clinton met Sunday with Pakistani President Zardari to discuss the lines, reconciliation and Pakistani commitments to go after extremists, the officials said.

Without a deal, officials said Obama would not meet with Zardari at the summit. The two were scheduled to hold trilateral talks with Karzai on political reconciliation in Afghanistan. Pakistan's support in reaching a deal with the Taliban is seen as critical in ending the war in Afghanistan.

U.S. Republican presidential frontrunner Mitt Romney was not at the summit, but he weighed in Sunday with an op-ed piece in the Chicago Tribune, arguing that many NATO countries have not contributed enough to the alliance. The Obama administration's defense budget cuts have further fueled the problem, he said.

"The administration's irresponsible defense cuts are clearing the way for our partners to do even less," Romney wrote. "An alliance not undergirded by military strength and U.S. leadership may soon become an alliance in name only."

CNN's Jessica Yellin, Jim Spellman, Ted Rowlands, Paul Vercammon, Bill Kirkos, Katherine Wojtecki, Greg Morrison and Chelsea J. Carter contributed to this report.

@highlight

NEW: The violence came toward the end of a day of peaceful protests

@highlight

NEW: Superintendent: "We're not here to get battered"

@highlight

Obama on Afghanistan: "We are confident we are on the right track"

@highlight

NATO leaders ink a deal to acquire five drones