Long Beach, California (CNN) -- It seems simple: Walk to the refrigerator and grab a drink.

But Brett Larsen, 37, opens the door gingerly -- peeks in -- closes it, opens it, closes it and opens it again. This goes on for several minutes.

When he finally gets out a bottle of soda, he places his thumb and index finger on the cap, just so. Twists it open. Twists it closed. Twists it open.

"Just think about any movement that you have during the course of a day -- closing a door or flushing the toilet -- over and over and over," said Michele Larsen, Brett's mother.

"I cannot tell you the number of things we've had to replace for being broken because they've been used so many times."

At 12, Larsen was diagnosed with obsessive-compulsive disorder, or OCD. It causes anxiety, which grips him so tightly that his only relief is repetition. It manifests in the smallest of tasks: taking a shower, putting on his shoes, walking through a doorway.

There are days when Larsen cannot leave the house.

"I can only imagine how difficult that is to live with that every single living waking moment of your life," said Dr. Gerald Maguire, Larsen's psychiatrist.

In a last-ditch effort to relieve his symptoms, Larsen decided to undergo deep brain stimulation. Electrodes were implanted in his brain, nestled near the striatum, an area thought to be responsible for deep, primitive emotions such as anxiety and fear.

Brett's OCD trigger

Brett says his obsessions and compulsions began when he was 10, after his father died.

"I started worrying a lot about my family and loved ones dying or something bad happening to them," he said. "I just got the thought in my head that if I switch the light off a certain amount of times, maybe I could control it somehow.

"Then I just kept doing it, and it got worse and worse."

"Being OCD" has become a cultural catchphrase, but for people with the actual disorder, life can feel like a broken record. With OCD, the normal impulse to go back and check if you turned off the stove, or whether you left the lights on, becomes part of a crippling ritual.

The disease hijacked Larsen's life (he cannot hold down a job and rarely sees friends); his personality (he can be stone-faced, with only glimpses of a slight smile); and his speech (a stuttering-like condition causes his speaking to be halting and labored.)

He spent the past two decades trying everything: multiple medication combinations, cognitive behavioral therapy, cross-country visits to specialists, even hospitalization.

Nothing could quell the anxiety churning inside him.

"This is not something that you consider first line for patients because this is invasive," said Maguire, chair of psychiatry and neuroscience at the University of California Riverside medical school, and part of the team evaluating whether Larsen was a good candidate for deep brain stimulation. "It's reserved for those patients when the standard therapies, the talk therapies, the medication therapies have failed."

Deep brain stimulation is an experimental intervention, most commonly used among patients with nervous system disorders such as essential tremor, dystonia or Parkinson's disease. In rare cases, it has been used for patients with intractable depression and OCD.

The electrodes alter the electrical field around regions of the brain thought to influence disease -- in some cases amplifying it, in others dampening it -- in hopes of relieving symptoms, said Dr. Frank Hsu, professor and chair of the department of neurosurgery at University of California, Irvine.

Hsu says stimulating the brain has worked with several OCD patients, but that the precise mechanism is not well understood.

The procedure is not innocuous: It involves a small risk of bleeding in the brain, stroke and infection. A battery pack embedded under the skin keeps the electrical current coursing to the brain, but each time the batteries run out, another surgical procedure is required.

'I feel like laughing'

As doctors navigated Larsen's brain tissue in the operating room -- stimulating different areas to determine where to focus the electrical current -- Larsen began to feel his fear fade.

At one point he began beaming, then giggling. It was an uncharacteristic light moment for someone usually gripped by anxiety.

In response to Larsen's laughter, a staff member in the operating room asked him what he was feeling. Larsen said, "I don't know why, but I feel happy. I feel like laughing."

Doctors continued probing his brain for hours, figuring out what areas -- and what level of stimulation -- might work weeks later, when Larsen would have his device turned on for good.

In the weeks after surgery, the residual swelling in his brain kept those good feelings going. For the first time in years, Larsen and his mother had hope for normalcy.

"I know that Brett has a lot of normal in him, even though this disease eats him up at times," said Michele Larsen. "There are moments when he's free enough of anxiety that he can express that. But it's only moments. It's not days. It's not hours. It's not enough."

Turning it on

In January, Larsen had his device activated. Almost immediately, he felt a swell of happiness reminiscent of what he had felt in the OR weeks earlier.

But that feeling would be fleeting -- the process for getting him to an optimal level would take months. Every few weeks doctors increased the electrical current.

"Each time I go back it feels better," Larsen said. "I'm more calm every time they turn it up."

With time, some of his compulsive behaviors became less pronounced. In May, several weeks after his device was activated, he could put on his shoes with ease. He no longer spun them around in an incessant circle to allay his anxiety.

But other behaviors -- such as turning on and shutting off the faucet -- continued. Today, things are better, but not completely normal.

Normal, by society's definition, is not the outcome Larsen should expect, experts say. Patients with an intractable disease who undergo deep brain stimulation should expect to have manageable OCD.

Lately, Larsen feels less trapped by his mind. He is able to make the once interminable trek outside his home within minutes, not hours. He has been to Disneyland with friends twice. He takes long rides along the beach to relax.

In his mind, the future looks bright.

"I feel like I'm getting better every day," said Larsen, adding that things like going back to school or working now feel within his grasp. "I feel like I'm more able to achieve the things I want to do since I had the surgery."

OCD in children: 'A darkness has overtaken me'

@highlight

With deep brain stimulation, electrodes are implanted in the brain

@highlight

The experimental treatment is more commonly used to treat nervous system disorders

@highlight

Doctors are testing it out for depression and OCD