A compromise federal budget plan that would remove the threat of a government shutdown for two years won easy approval Thursday from the Republican-controlled U.S. House.

The deal worked out by House Budget Chairman Rep. Paul Ryan and Senate Budget Committee Chairwoman Patty Murray passed on a 332-94 vote and now goes to the Democratic-led Senate, which is expected to approve it next week in a very close vote.

It represented rare convergence between the two parties on government spending after two years of bitter debate and political brinksmanship that included the 16-day shutdown in October.

A White House statement said the measure does not include everything President Barack Obama called for, but "it marks an important moment of bipartisan cooperation and shows Washington can and should stop governing by crisis and both sides can work together to get things done."

Public anger over the Washington dysfunction, especially with conservative Republicans who triggered the shutdown by trying to link federal spending to their efforts to dismantle Obamacare, motivated GOP leaders to shrug off far right opposition to the budget compromise.

A small step

House Speaker John Boehner acknowledged the measure amounted to only a small step toward the GOP goal of deficit reduction and balancing the budget, but he rejected opposition by some conservatives in his caucus as well as outside groups on the political right.

"Is it perfect? Does it go far enough? No, not at all," Boehner said in urging his colleagues to back the plan, noting it resulted from "doing what the American people expect us to do -- coming together and finding common ground."

Ryan noted that Washington politicians have "been at each other's throats for a long time" over budget issues, and Republicans must first win some elections in order to get all the deficit reduction and spending cuts they want.

Democrats also hailed the budget proposal as a "small positive step forward," in the words of Rep. Chris Van Hollen of Maryland.

He and other Democrats called for Congress to also extend long-term unemployment benefits for more than 1 million Americans set to expire after Christmas, but their support for the budget plan showed they dropped any demand to link the issues in Thursday's vote.

In the House vote, 169 Republicans voted for the spending plan while 62 opposed it, with 163 Democrats in favor and 32 against. While most Republicans supported the plan, Boehner needed help from Democrats to get the 217-vote threshold needed for passage.

Top GOP Senate aides said they expect the budget to pass the Senate but it could be by a razor thin margin. This could also change if momentum against the bill grows.

GOP conservatives including Ted Cruz of Texas, Kelly Ayotte of New Hampshire and Lindsey Graham of South Carolina, said they will oppose the measure, which would need some Republican support for Democrats to overcome an expected filibuster.

"The new budget deal moves in the wrong direction: it spends more, taxes more, and allows continued funding for Obamacare," Cruz said. "I cannot support it."

Graham and Ayotte said they opposed cuts to pension benefits for some military veterans under the spending plan.

Escalated criticism

Boehner earlier escalated his criticism of such opposition from conservative colleagues and outside groups in a rare public display of a longstanding rift between the GOP tea party wing and less extreme establishment Republicans.

To Boehner, groups such as Americans for Prosperity lost credibility by rejecting the plan before it was announced, he told reporters.

He also blamed the influential outside groups for pushing GOP legislators into the politically disastrous government shutdown in October.

"The day before the government re-opened, one of these groups stood up and said 'well, we never really thought it would work,'" he told reporters before animatedly asking: "Are you kidding me?"

The agreement reached by Ryan of Wisconsin and Murray of Washington would extend government spending into 2015 to remove the threat of another shutdown before next year's congressional elections.

It sets government spending at $1.012 trillion for the current fiscal year that runs through September, and $1.014 trillion.  Overall, it proposes to save $85 billion and would reduce the deficit by more than $20 billion.

Conservative complaints

Some conservatives complain the total is more than the level called for in the Budget Control Act that followed brinksmanship negotiations two years ago over raising the federal borrowing limit.

That 2011 deal imposed unpopular forced spending cuts known as sequestration on the military and other government programs.

The new compromise would eliminate $45 billion from the next round of the sequester cuts that are set to hit in January, as well as another $18 billion scheduled for 2015.

Boehner noted it achieves more deficit reduction than the Budget Control Act, asserting it adhered to conservative principles of shrinking government and federal debt.

"I'm as conservative as anybody around this place," he said in defending his attacks on the outside groups, adding that "all the things we've done in the three years I've been Speaker have not violated any conservative principles, not once."

Asked why he spoke out now against the outside groups, Boehner said they crossed a line, adding that "when you criticize something and you have no idea what you're criticizing, it undermines your credibility."

White House support

The White House supports the compromise, but factions on both sides still pushed for change as the issue moved closer to decisive votes.

Liberal Democrats insist the budget plan should extend long-term unemployment benefits set to expire at the end of the year. However, Senate Majority Leader Harry Reid has said the issue would be considered separately in 2014.

White House spokesman Jay Carney said Congress should take up the unemployment insurance extension but did not insist that it be part of the budget package.

"We want them both and we think Congress ought to pass them both," Carney said.

Defense Secretary Chuck Hagel praised the agreement Thursday, saying provided certainty for military planning after the harmful sequester cuts and constant showdowns over spending.

"This agreement does not solve all (Department of Defense) budget problems but it helps address readiness especially in 2014 with putting more money back in training, in particular, and procurement," Hagel said.

However, right-wing groups escalated their criticism of the plan.

"Time and again, Congress has claimed that cost-saving measures were permanent, only to later renege on these promises," said Jenny Beth Martin, national coordinator of Tea Party Patriots.

She took particular aim at Republican leaders such as Boehner, saying the deal "also exposes the true colors of several in the GOP establishment when it comes to protecting conservative principles."

Diminishing influence?

Boehner's comments to reporters were aimed at some of the same organizations that have effectively pressured House Republicans to resist compromising on budget issues in the past two years.

They include Americans for Prosperity, Club for Growth, Freedom Works, Heritage Action and the Koch brothers, GOP campaign financiers.

He made similar comments questioning the motives of some of the groups at a closed-door meeting this week with House Republicans.

The Speaker told members that "no one controls your voting card but you," according to a GOP source in the meeting.

Strong GOP backing for the budget compromise showed that conservatives and the outside groups that back them have diminished influence.

Rep. John Fleming, a conservative from Louisiana, said outside groups won't be able to sway as many conservatives because legislators like the idea of returning Congress to what's known as regular order -- deliberating and passing bills the way they're supposed to be done, instead of backroom deals reached amid crises.

However, GOP Rep Raul Labrador of Idaho, a critic of the budget plan, wondered what had changed among fellow Republicans who now rejected the thinking of the outside conservative groups.

Keeping score

The conservative groups keep scorecards on the voting records of legislators and back candidates who follow their policy stances with key campaign contributions. Such support can carry enhanced influence with congressional elections coming up next year.

Dan Holler, a spokesman for Heritage Action, didn't back down from his criticism of the budget deal.

"Over the next few days, lawmakers will have to explain to their constituents, many of whom are our members, what they've achieved by increasing spending, increasing taxes and offering up another round of promises waiting to be broken. That will be a really tough sell back home," Holler said in a statement to CNN.

Fresh partisan warfare in the Senate

Dems want jobless benefits

@highlight

The House approves a compromise budget plan on a 332-94 vote

@highlight

House Speaker Boehner criticizes conservative groups that oppose the deal

@highlight

Bill expected to pass the Senate, but margin could be razor thin

@highlight

The proposal would cut the deficit and ease some sequester cuts