(Health.com) -- Psychologists, not to mention parents, have long observed that kids who seem depressed tend to have trouble getting along with -- and being accepted by -- their peers.

What the experts haven't been able to agree on is which comes first, the depression or the social difficulty. Most researchers have supposed that kids who are excluded or bullied become depressed as a result (rather than vice versa), while others have suggested that the two problems go hand in hand and are all but impossible to tease apart.

A new study, published this week in the journal "Child Development," provides some of the strongest evidence to date for a third theory: Kids who cry easily, express negative emotions, and show other signs of depression ultimately suffer socially because they are shunned by their peers and attract the attention of bullies.

"Bullies target youth who are unlikely to fight back," says lead author Karen P. Kochel, Ph.D., an assistant research professor at Arizona State University, in Phoenix. "Youth who are depressed really have the potential to appear vulnerable, and are easy marks for victimization, unfortunately."

Health.com: 10 things to say (and not say) to someone with depression

To better understand how depression and social problems unfold over time, Kochel and her colleagues tracked an ethically and socioeconomically diverse group of 486 children as they went through the 4th, 5th, and 6th grades. Along the way, the researchers periodically gauged depression symptoms and social acceptance by surveying parents, teachers, and the kids themselves.

Fourth graders who showed signs of depression were more likely than their classmates to be victimized as fifth graders, and kids who were picked on in fifth grade tended to be less accepted by their peers in sixth grade.

By contrast, the researchers found little evidence that being bullied increased a child's risk of becoming depressed in later grades.

Health.com: Dad's depression may rub off on kids

Although the findings suggest that depression tends to precede social difficulty, they don't rule out the possibility that problems with peers can make an already depressed child even more depressed. "I think it's very possible it is a cyclical process," Kochel says.

It's not clear from the study what the depressed kids might have done, specifically, to turn off their peers. But research in adults suggests that depression can have a negative effect on a person's social skills and overall agreeableness, says David Schwartz, Ph.D., an associate professor of psychology and education at the University of Southern California, in Los Angeles, who did not participate in the study.

Depressed people "are often characterized by negativity and inappropriate self-disclosure -- think of 'Debbie Downer' on 'Saturday Night Live,'" Schwartz says. "As a result, they may not be all that much fun to be around. Unfortunately, they sometimes get into a cycle where depression brings social skills deficits, and social skills problems lead to interpersonal rejection, which helps maintain the depression."

Health.com: How you can help someone who's depressed

Kochel and her colleagues suspect that a similar pattern may occur in children. "One possibility is that depressed youth maybe exhibit social skill deficits or behaviors...or excessively talk about their problems," she says. "These are all things that have the potential to be irritating to peers."

Jennifer Lansford, Ph.D., a developmental psychologist at Duke University's Center for Child and Family Policy, in Durham, North Carolina, says the study was "rigorous and well-conducted" and that the findings make sense.

"Even from a pretty early age, [expressions] of sadness or...other negative emotions can lead to problems with peers," she says. "If parents and teachers are able to work with kids to express their emotions in different ways, then they may not elicit the same maltreatment from peers."

Lansford emphasizes, however, that depressed behavior never justifies the bullying or exclusion of a child. "I think it's important to avoid a 'blame the victim' perspective on this," she says.

The findings, Kochel says, drive home how important it is for parents and teachers to be aware of the signs of depression in children, arrange for treatment if needed, and help depressed children socialize and get along with their peers. The cycle of depression and victimization is likely to get worse if left unchecked, since depressive symptoms tend to intensify during the teen years, she says.

Parents who are concerned that their child might be having a hard time socially can volunteer in his or her school to get a better sense of what's going on, Lansford says. And they can encourage friendships by organizing playdates, she adds.

"Even just having one good friend can really be a buffer against victimization -- or depression, for that matter," she says. "If kids are able to establish one solid friendship, that can be a real protective factor for them."

Copyright Health Magazine 2011

@highlight

Study: Kids who cry easily and show other signs of depression ultimately suffer socially

@highlight

"Bullies target youth who are unlikely to fight back," says lead author Karen P. Kochel

@highlight

The findings, Kochel says, drive home how important it is for parents to be aware