(CNN) -- Health and Human Services Secretary Kathleen Sebelius' directive overruling the Food and Drug Administration's decision to make emergency contraception available over the counter for all women, including girls under 17, was not only unprecedented, it was substantively without merit.

After a thorough and months-long review of the evidence, the FDA's Center for Drug Evaluation and Research determined that the contraceptive, Plan B One-Step, was safe and effective for teens, and that teens on their own understood what the product did -- and didn't do -- and how to use it. Based on these expert findings, the FDA commissioner, Margaret Hamburg, concluded that Plan B One-Step was "safe and effective and should be approved for nonprescription use for all females of childbearing potential."

The FDA decision overruled by Sebelius would have made emergency contraception available, alongside condoms and pregnancy tests, on the shelves of pharmacies, grocery stores and other retailers, giving women of all ages at risk of unintended pregnancy timely access to this safe and effective backup contraceptive method. And time is of the essence here: Although Plan B can help prevent pregnancy for up to three days after intercourse, it is more effective the sooner it is taken.

Plan-B contraceptive pill will stay prescription-only for girls under 17

Hamburg's concurrence with the recommendation to make the emergency contraceptive available over the counter was in line with the positions taken by the nation's most prestigious medical, scientific and public health organizations. The only groups opposing the FDA's decision were self-styled "pro-family" groups that oppose emergency contraception -- and most other methods of modern contraception -- outright.

Sebelius, who is not a scientist and who offered no evidence to contradict the FDA's conclusions, said she based her decision on her personal belief that adolescents as young as 11 might not understand how to use emergency contraception without guidance from a health care professional. To invoke 11-year-olds was not only inflammatory, but diversionary.

Fewer than 1% of 11-year-old girls have had sexual intercourse, but close to half of girls -- most beginning at 15 or 16 -- have had sex by their 17th birthday. Under Sebelius' ruling, girls under 17 will be unable to obtain emergency contraception without a doctor's prescription. And if, as Sebelius insists, younger teens are unable to understand the label on this product--which the evidence suggests they can-- it follows that they also wouldn't understand the labels on countless other over-the-counter medications that can have severe, even fatal, side-effects if misused -- which this product does not.

Restricting access to safe and effective contraceptive methods will only increase the number of women, teens and older women alike, who will have to face an unintended pregnancy. Half of all pregnancies in the United States -- and 82% of teen pregnancies -- are unplanned. The United States already has one of the highest rates of unintended pregnancy in the developed world.

Unintended pregnancy is not just a statistic; it has real consequences. On an individual level, it results in women either having an abortion or an unplanned birth. And it harms the body politic by perpetuating a seemingly endless and unquestionably divisive national abortion debate.

The entirely science-based decision by the FDA to make emergency contraception more easily available was a chance to take an important step forward for women and for our society. Instead we've taken a huge step back.

The opinions expressed in this commentary are solely those of Sharon Camp.

@highlight

Sharon Camp: Secretary Sebelius' overrule of FDA on emergency contraception wrong

@highlight

She says FDA study was thorough, found over-the-counter sale of Plan-B safe

@highlight

She says Sebelius incorrectly invoked girls of 11 using it; less than 1% have intercourse

@highlight

Camp: Half of U.S. pregnancies (and 82% of teens) are unplanned. Ruling a step back