Washington (CNN) -- The U.S. Supreme Court has rejected a condemned Georgia inmate's request that his execution be delayed as he attempts to prove his "actual innocence."

The justices without comment on Monday turned aside two separate appeals from Troy Davis, likely setting the stage for the state to set another execution date.

Davis has gained international support for his long-standing claim he did not murder an off-duty Savannah police officer more than two decades ago. Monday's ruling is the latest in a case that is procedurally complex but, legally, a simple claim of innocence.

Davis was granted a stay of execution by the U.S. Supreme Court two hours before he was to be put to death in 2008, and the court in 2009 ordered the federal District Court to take another look at the case.

That court, after holding a hearing to review evidence, ruled in August that Davis "failed to show actual innocence" in the case. The District Court suggested that, for procedural reasons, Davis should take his appeal of its ruling directly to the Supreme Court.

Davis ended up filing with both the 11th Circuit and the Supreme Court. The 11th Circuit deflected the appeal in November, saying it agreed with the district court that the Supreme Court was the correct place for the filing. Davis then took his case to the U.S. Supreme Court in January, filing two pleas. One sought review of the Georgia federal judge's rejection of the innocence claim, and the other asked for a test of the 11th Circuit's refusal to review the case. The justices on Monday turned down both pleas without comment.

Davis' sister said Monday that she is "very disappointed" by the Supreme Court's rejection. Martina Correia-Davis said Davis' attorney told her they would continue to pursue all possible legal options, including a possible re-petition of the Georgia State Board of Parole. She said she had not spoken to Davis about Monday's decision but expected his attorney to call him soon.

Correia-Davis said she doesn't want the case to be moved back to Savannah, where Davis was tried and convicted for the 1989 murder, because she doesn't think he will "get a fair chance" there.

Witnesses said Davis, then 19, and two others were harassing a homeless man in a Burger King parking lot when off-duty officer Mark MacPhail came to the man's assistance. They testified that Davis shot MacPhail twice and fled.

Since Davis' conviction in 1991, seven of the nine witnesses against him have recanted their testimony. No physical evidence was presented linking Davis to the killing of the policeman.

But upon reviewing Davis' claims of innocence, the U.S. District Court for the Southern District of Georgia found in August that Davis "vastly overstates the value of his evidence of innocence."

"Some of the evidence is not credible and would be disregarded by a reasonable juror," Judge William T. Moore wrote in a 172-page opinion. "Other evidence that Mr. Davis brought forward is too general to provide anything more than smoke and mirrors," the court found.

Amnesty International, which is monitoring the case, expressed disappointment Monday that the Supreme Court had rejected the appeals.

"It appears that the justice system is comfortable allowing someone to be executed when there are lingering doubts about guilt in the case. No objective person could confidently determine that Davis is guilty beyond a reasonable doubt from the evidence available now in his case. That leaves an ominous cloud hanging over an irreversible sentence such as the death penalty," the international human rights group said in a statement.

"The Georgia Board of Pardons and Paroles, as the final fail-safe, has the opportunity to commute his sentence to life and prevent the possibility of executing an innocent person."

Prominent figures ranging from the pope to the musical group Indigo Girls have asked Georgia to grant Davis a new trial.

Other supporters include celebrities Susan Sarandon and Harry Belafonte; world leaders such as former President Jimmy Carter and former Archbishop Desmond Tutu; and former and current U.S. lawmakers Bob Barr, Carol Moseley Braun and John Lewis.

CNN Supreme Court Producer Bill Mears contributed to this report.

@highlight

The justices turned aside without comment two appeals from Troy Davis

@highlight

The action likely sets the stage for the state to set another execution date

@highlight

The ruling is latest in case that is procedurally complex but, legally, a simple innocence claim