(CNN) -- President Barack Obama's rebuke of Republicans who are "beating the drums of war" in encouraging the United States to take military action against Iran should be targeted not just toward those critics but also, and more important, toward the Israeli government.

An attack on Iran would not only fail to achieve its stated goal of denuclearizing the country, it would unleash a devastating confrontation between Iran and Israel that would harm thousands of Israelis and Iranians, and affect those in neighboring states.

It would drag the U.S. into another Middle East quagmire, and it would launch an oil crisis that would throw the global economy into turmoil. Then, once the dust settles (or before it does), Iran would only be more motivated to pursue its nuclear ambition.

Four scenarios on Iran's nuclear plan

In the current environment of heated rhetoric from all sides, there is too much focus on when and if Israel would launch a preemptive strike against Iran. What's missing in the talks are the chance of success in stopping Iran's nuclear plan through a military option and the regional and global consequences of a new war.

Given the territorial distribution of Iran's nuclear facilities and the likelihood that Iran has readied them for possible attacks, Israel probably does not have the military capacity to eliminate, or even seriously damage, Iran's alleged nuclear program.

Some experts have compared Israel's airstrikes against nuclear facilities in Iraq in 1981 and Syria in 2007 with a possible strike against Iran. But this is a flawed analogy. In those cases, Israel launched surprise attacks against one facility, which would not be the case with Iran. Moreover, Iran and Israel both possess extensive arsenals of missiles. There is little doubt that a strike would trigger an unprecedented war in the Middle East. Israel would be far more vulnerable in such a war than Iran, due to its small size and the fact that the country's epicenter is in one single region, the greater Tel Aviv area.

Although Iran has come under immense international pressure to halt its nuclear plan, it has refused to do so. However, Iran, unlike its reputation in the West and in Israel in particular, is a rational country with rational leadership, which seeks to enhance its regional and global power. Iran is not suicidal. Therefore, comparing Iran with Nazi Germany, as is often done by Israeli leadership, is historically problematic and extremely dangerous politically.

Unfortunately, given the track record of engaging with Iran, perhaps in the long term we may have to learn to live with a nuclearized Middle East that would operate based on the Cold War dynamics of mutually assured destruction. A nuclearized Iran might even launch a nuclear arms race involving other regional players such as Saudi Arabia and Turkey.

The only alternative to this pessimistic forecast is to reconsider Middle East inter-state politics, the Arab-Israeli conflict and U.S. policy in the region.

Constructive communication should be encouraged between the Iranian leadership and the U.S., and it should involve other key players. The U.S. should acknowledge the importance of having strong regional players in the Middle East, including Iran. If the regional inter-state dynamics can be changed for the better, Iran may be forced to rethink its strategy, including its nuclear ambition. A rebalanced Middle East will also need the Israeli-Palestinian conflict to be resolved sooner rather than later, since that has been a source of continuous friction.

Regrettably, with Israel, Iran and the U.S. entrenched in their positions, it does not look like we are heading in a direction that would solve the Iran problem anytime soon.

The opinions expressed in this commentary are solely those of Asher Kaufman.

@highlight

President Obama said the GOP are "beating the drums of war" about attacking Iran

@highlight

Asher Kaufman: A military strike against Iran would unleash a devastating war

@highlight

He says Israel would be far more vulnerable in such a war than Iran

@highlight

Kaufman: We should consider how to rebalance Middle East inter-state politics