(CNN) -- Smaller tablet computers that are significantly more affordable and portable than the iPad are finally starting to hit the United States -- and they could hit a crucial sweet spot in the consumer market.

Recently Kobo announced the new Kobo Vox, which costs $200. That's the same price as Amazon's recently announced Kindle Fire. The Kobo Vox starts shipping Friday, while the Kindle Fire won't start shipping until November 15. The Barnes & Noble Nook Color, which costs about $250, is already available in stores and online.

Although marketed mainly as e-book readers, all three of these consumer devices are actually small tablet computers (7 inches) that run the Android mobile operating system and use Wi-Fi -- no carrier data plan or contract required. So theoretically, they can do much more than just let you buy and read e-books.

This makes them potentially powerful tools for people who want access to the Web, apps and more -- especially people who face economic or other barriers to using smartphones or computers. Small, inexpensive, easy-to-use tablets could become an important bridge to help people cross the digital divide and gain expanded access to education, jobs, community, and other resources.

The grand vision of tablet computers is that, ideally, they'll allow the average, non-geeky person to do most of what can be done with a laptop computer -- in a way that's much easier to learn, use and carry around.

Certainly this is the case with Apple's iPad, which sold 11 million units in the last quarter alone.

But at this point, iPads start at $500 -- about what you might pay for a brand new 32-inch flat-screen TV at Best Buy, and twice or more what PC netbooks cost at most retail stores. From the perspective of typical consumers, especially given the current economy, that's a significant luxury investment.

This month there are fresh rumors that Apple may be planning to introduce a smaller and less costly "iPad mini." But nothing is confirmed, so don't hold your breath.

The tablet market is growing fast, and its dynamics are shifting quickly. According to a new report from Strategy Analytics, in the last year Android tablets grew from 2% of the global tablet market to 27%. Meanwhile, the iPad's global tablet market share has dropped from 96% to 67%.

That doesn't reflect a decrease in the iPad's popularity, but rather that consumer demand for tablets is not one-size-fits-all.

In fact, size is a key issue for people shopping for tablets. The iPad measures roughly 7-by-10 inches -- too big for a typical pocket or purse, and nearly twice the size of the basic Kobo Vox, Nook Color and Kindle Fire models. Digital devices that aren't as easy to carry around tend to mainly get used only at certain times of day, in certain settings.

For this reason it's questionable how "mobile" larger tablets like the iPad really are.

Aside from the Vox, Fire, and Nook Color, there are lots of other small Android tablets available. But so far these products have faced various challenges in the consumer market:

Cost: The Wi-Fi-only version of Samsung's 7-inch Galaxy Tab costs about $350, which is on the pricier side. The carrier-branded versions cost much less to buy up front if you agree to a two-year contract. For instance, Verizon currently sells the 7-inch Galaxy Tab for just $200, but data plans cost $30-$80 per month, and there's a $350 early termination fee.

Philadelphia Newspapers Inc., publisher of the Philadelphia Inquirer and Daily News, is selling a small Android tablet by Arnova for just $99-$129 in a small pilot program -- but for that bargain-basement price you have to agree to a one- or two-year newspaper subscription, costing up to $13 per month.

Device quality: This is an issue for the cheapest tablets. For instance, one reviewer noted that the touchscreen performance on the Philly.com tablet is less than stellar.

In contrast, the Nook Color has been getting generally favorable reviews for device quality. The advance Kindle Fire reviews are also mostly positive.

Android's learning curve: This can be an obstacle for some. The straightforward Android experience that comes with tablets by Samsung, Motorola, Lenovo, and other manufacturers can be daunting to typical consumers -- especially the majority of U.S. consumers who don't yet own a smartphone. A more constrained but dependable out-of-the-box user experience can be simpler to learn and can make the average consumer happier, at least initially.

Gadgets that are more complex or open-ended tend to confuse or frustrate average consumers -- which generally isn't good for sales. Despite the high relative cost of Apple devices, and the fairly closed nature of the Apple ecosystem, there's a lot to be said for "It just works."

However, most "pure" Android tablets do offer one key advantage over constrained e-reader tablets: direct access to Google's Android Market, where there's a virtually unlimited choice of apps.

The Fire, Nook Color, and Philly.com tablets only offer apps through their own markets, not the Android Market, which means they can block the installation of competing apps, such those from other e-book vendors or publishers.

Also, even though Kobo touts that its Vox will offer access to "over 15,000 apps," the company has not clarified whether that will be through the Android Market or its own app store. Which means it's possible that you may not be able to install the Kindle e-reader app on the Kobo Vox -- at least, not without "rooting" the tablet to remove vendor controls, which can be a formidable technical hurdle.

The coming year -- especially the 2011 holiday season -- will probably indicate whether smaller tablets will play a leading role in the U.S. digital media landscape. If these devices start becoming as commonplace as iPhones and Kindles, they may become popular and powerful tools for the delivery of mobile services for health, education, jobs, and more.

Sure, you can use a small, cheap tablet to read books, watch YouTube, and play "Angry Birds." But maybe someday lots of people will be using these devices to get a college degree -- or perhaps to learn to read in the first place.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Tablets let people do what can be done on a laptop in an easier way

@highlight

In the last year Android tablets grew from 2% in the global market to 27%

@highlight

Gadgets that are more complex or open-ended tend to frustrate most consumers