U.S. airstrikes "are not going to save" the key Syrian city of Kobani from being overtaken by ISIS, said Pentagon spokesman Rear Adm. John Kirby.

"I think we all should be steeling ourselves for that eventuality," he told reporters in a daily briefing Wednesday.

"We are doing everything we can to halt" ISIS' progress against the town, but airstrikes alone cannot stop the Islamist militants, Kirby added.

"We've been very honest about the limits of air power here. The ground forces that matter the most are indigenous ground forces, and we don't have a willing, capable, effective partner on the ground inside Syria right now -- it's just a fact," he said.

The greater U.S. strategy, Kirby said, is to degrade ISIS' ability to sustain itself.

Several senior U.S. administration officials said Kobani will soon fall to ISIS, which calls itself the Islamic State.

They downplayed the importance of it, saying the city is not a major U.S. concern.

But a look at the city shows why it would mark an important strategic victory for the militants.  ISIS would control a complete swath of land between its self-declared capital of Raqqa, Syria, and Turkey -- a stretch of more than 100 kilometers (62 miles).

As Time.com put it, "If the ISIS militants take control of Kobani, they will have a huge strategic corridor along the Turkish border, linking with the terrorist group's positions in Aleppo to the west and Raqqa to the east."

Staffan de Mistura, U.N. special envoy for Syria, warned of the horrors ISIS could carry out against the people of Kobani -- horrors it has carried out elsewhere.  "The international community needs to defend them," he said.  "The international community cannot sustain another city falling under ISIS."

The terrorist group claimed it had downed at Iraqi army helicopter in Baiji. Photographs posted to an ISIS website show smoke and fire around an aircraft, which is then seen completely charred on the ground.

A truck bomb driven by ISIS exploded near the center of Kobani. Two civilians and a fighter inside the city described it as huge. The target was a security forces building, they said.

However, Kurdish official Idriss Nassan told CNN, the truck did not reach its intended target and detonated early.

Coalition batters ISIS positions with airstrikes

A U.S.-led coalition has been pounding ISIS positions in the region with airstrikes for a few weeks, conducting nine airstrikes in Syria and three in Iraq on Wednesday.

In Syria, eight strikes near Kobani destroyed five ISIS armed vehicles, a supply depot, a command and control compound, a logistics compound, and eight occupied barracks, according to a statement from U.S. Central Command.

"U.S. Central Command continues to monitor the situation in Kobani closely. Indications are that Kurdish militia there continue to control most of the city and are holding out against ISIL," it read.

Overnight into Thursday, the Australian Air Task Group in the Middle East attacked its first target in Iraq: an ISIS facility.

A former head of the British Armed Forces doubted the wisdom of coalition airstrikes -- alone.

"The rules of war are well-written on this, and well-established. I've been saying it, others have been said it," retired Gen. David Richards told CNN's Christiane Amanpour.

"Wars aren't ever going to be won from the air alone. They're a vital part of success, but don't expect a guy in an airplane to be able to seize and hold terrain," he said.

At least 45 ISIS fighters have been killed in the strikes, though the number may be much higher, according to the London-based Syrian Observatory for Human Rights, which gets information from sources on the ground.

The most recent strikes, late Tuesday into Wednesday, included nine in Syria, the U.S. military said.  Six were in the Kobani area and destroyed an ISIS armored personnel carrier, four armed vehicles and two artillery pieces, U.S. Central Command said. U.S. and coalition forces also conducted five airstrikes against ISIS in Iraq, the military said.

The primary goal of the aerial campaign is not to save Syrian cities and towns, the U.S. officials said.  Rather, the aim is to go after ISIS' senior leadership, oil refineries and other infrastructure that would curb the terror group's ability to operate -- particularly in Iraq.

Saving Iraq is a more strategic goal for several reasons, the officials said. First, the United States has a relationship with the Iraqi government. By contrast, the Obama administration wants Syrian President Bashar al-Assad to step down.

Another reason: The United States has partners on the ground in Iraq, including Iraqi forces and Kurdish fighters known as Peshmerga.

According to a senior military official, U.S. military advisers are now working with Iraqi troops at the brigade level, not just in the joint command centers in Irbil and Baghdad. The advisers are not in combat situations, but the move means they are less removed than before, said the source, who spoke on the condition of anonymity.

"Our strikes continue alongside our partners. It remains a difficult mission. As I've indicated from the start, this is not something that is going to be solved overnight," President Barack Obama told reporters Wednesday.

"We're confident that we will be able to continue to make progress in partnership with the Iraqi government, because ultimately it's going to be important for them to be able to, with our help, secure their own country, and to find the kind of political accommodations that are necessary for long-term prosperity," he said.

Local fighters apparently made some headway Wednesday morning, when some ISIS militants in Kobani were pushed back to the city's perimeter, Kurdish official Idriss Nassan said.

The battles have been bloody. More than 400 people have been killed in the fight for Kobani since mid-September, the Syrian Observatory for Human Rights said. The opposition group said it has documented the deaths of 219 ISIS jihadists, 163 members of the Kurdish militia and 20 civilians.

U.S. plan against ISIS: Iraq first, then Syria

The United States' goal is to first beat back ISIS in Iraq, then eliminate some of its leadership and resources in Syria, the U.S. administration officials said.

If all goes as planned, by the time officials turn their attention to Syria, some of the Syrian opposition will be trained well enough to tackle ISIS in earnest.

Washington has been making efforts to arm and train moderate Syrian opposition forces who are locked in a fight against both ISIS and the al-Assad regime.

Training Syrian rebels could take quite a long time.

"It could take years, actually," retired Gen. John Allen said last week. "Expectations need to be managed."

The United States also wants Turkey to do more, the officials said. The administration is urging Turkey to at least fire artillery at ISIS targets across the border.

But the Turkish reluctance, the officials say, is wrapped up in the complex relationship with their own Kurds and the idea that they don't want to help any of the Kurds in any way.

CNN iReporter Chelsea Smith sent photos, taken Tuesday night in Istanbul, showing clashes between police and protesters in the predominately Kurdish neighborhood of Tarlabasi.

While outside the Parliament building in London on Wednesday, Kurdish activists protested for stronger action.

"We want more airstrikes. We want a clear message. There is a humanity that's threatened and the massacre is about to happen, and we have to act very immediately and prompt, and intensify our attacks on them," said Rebar Hajo, a protester, and member of the Democratic Union Party (PYD) in Syria.

Hundreds of strikes, millions of dollars

The United States and its allies have made at least 271 airstrikes in Iraq and 116 in Syria.

The cost? More than $62 million for just the munitions alone.

The effect? Negligible, some say, particularly in Iraq.

One by one, the cities have fallen to ISIS like dominoes: Hit, Albu Aytha, Kubaisya, Saqlawia and Sejal.

And standing on the western outskirts of Baghdad, ISIS is now within sight.

"That's DAIISH right over there," said Iraqi Brig. Gen. Ali Abdel Hussain Kazim, using the Arabic acronym for ISIS.

The militants' proximity to the capital is cause for concern. If the terror group manages to infiltrate and launch attacks in Baghdad or its green zone, the results could be disastrous.

Kazim said ISIS has not been able to move from eastern Anbar province to Baghdad. But another brigadier general said that's not even the biggest threat.

The real danger to the Iraqi capital, Brig. Gen. Mohamed al-Askari said, is from ISIS sympathizers in the city.

"They are a gang," he said. "They deploy among civilians. They disappear into the civilian population and camouflage themselves."

@highlight

A U.S.-led coalition conducts nine airstrikes in Syria; three in Iraq

@highlight

ISIS claims to down an Iraqi military helicopter

@highlight

Air campaign alone won't defeat ISIS, former British official tells CNN

@highlight

U.S. officials: Main goal is to go after leadership and infrastructure, not save cities