Hong Kong (CNN) -- Aspiring Hong Kong musician Annabelle Cheng wants to be in America.

"I think (Hong Kong) is a city that can be defined by business," said Cheng, who recently graduated from Baptist University in Hong Kong with a degree in religion and philosophy. "But the cost of living in a dynamic city is that you don't have your personal space."

Asian population booming throughout U.S.

Living conditions in this crowded and hectic enclave are part of the reason Cheng wants to relocate to the U.S. "I really need that amount of time and space to think, to meditate, to get inspiration," said Cheng, who plans to save and apply for a post-graduate music program in the U.S. in two years.

Cheng isn't alone. Despite the rising fortunes of Asia, the Pew Center released a report last month that shows Asians have surpassed Latinos as the largest group of immigrants to the United States.

And university is often a gateway to residency: around half of Asian immigrants have a bachelor's degree or higher, compared to 13% of Hispanics, according to the report.

"There have been many thousands upon thousands of Chinese students attracted to the U.S. for studies," said Yeung Yue-Man, Emeritus Professor at the Chinese University of Hong Kong who specializes in development patterns. "This trend has been gathering pace for the last two decades since the Chinese have become better off than before, they have the means and they can afford the high tuition."

China leads overseas applications to American university graduate programs, followed by India and South Korea, according to a report by the Council of Graduate Schools.

Sean Luo first came to the U.S. in 2000 as a graduate student after working for a Chinese state-run telecommunications company. After earning his degree, he decided to stay. He attained permanent residency in 2006 and now runs his own telecommunications company in Los Angeles.

"No matter who you are, chances (in the United States) are equal for everyone," said Luo, adding that as a first-generation American, there have been difficult adjustments. "For cultural reasons, it's not easy to get into the mainstream social circle."

Although he occasionally thinks of returning to China, the growing cost of living and uncertain political climate keep him in the U.S. "Asian countries are the most populous, has more competition and less resources," Luo said. "We are just being rational to immigrate to the countries where there are less people and more resources."

Adopted from China: Finding identity through heritage

One entrepreneur who moved his family to Los Angeles said that he moved to give his children better educational opportunities. "China is not the best place to raise kids," said the 40-year-old man, who wants to remain anonymous so as not to jeopardize his business and family in China.

As for himself, he left China feeling insecure in a society where government has the final say in everything. "Individuals should be protected by laws and everyone's commitment to obey laws," the entrepreneur said. "Everyone minds their own business here. Very few people like to judge others."

It's a common reason for China's wealthy class to emigrate, he said. About half the Chinese millionaires polled last year said they are thinking of emigrating, with North America the top destination, according to a November Hurun Research Institute and Bank of China report.

Another source of Chinese immigrants is investment. "In real estate, the recent Chinese [immigrants] are quite well off, they want to find places where they can park their investment," Yeung said.

"U.S. cities have become quite attractive to Chinese investors to buy property," Yeung said.

Cheng, the Hong Kong musician, says she has a lot of American friends coming to Hong Kong to look for opportunities. "At the moment, the economy in the U.S. is quite bad, compared to Hong Kong," Cheng said, "so I'm going to wait ... I think in two years the economy will boom again."

Still, Cheng believes her prospects are greater across the Pacific. "This is more possible in the U.S. than in Hong Kong," Cheng said.

Three Asian-American families share a slice of life

Eudora Wong contributed to this report

@highlight

Report: Asians have surpassed Latinos as the largest group of immigrants to the U.S.

@highlight

U.S. university degrees are often a gateway to jobs and residency in the U.S.

@highlight

Lifestyle, educational and financial opportunities draw many Asian immigrants

@highlight

Rise in immigration comes despite growing opportunities in Asia