London, Engand (CNN) -- The experience of minority and coalition governments worldwide shows the advantages and risks for the UK as the Conservative and Liberal Democrat parties build an alliance that can command a parliamentary majority following an election that produced no clear winner.

Some people in Britain, including Conservative leader David Cameron, had feared that a hung parliament would leave the country with a government too weak to be able to cut its massive deficit, potentially sparking panic on financial markets.

Cameron's party have been most vocal on the need to slash public spending quickly to help reduce the deficit, while Labour strategists argue huge cuts in spending over a short period would slow recovery.

William Hague, the new foreign secretary, told reporters after the weekend talks with the Lib Dems that "the central part of any agreement will be economic stability and a reduction of the budget deficit."

But many countries where voting systems regularly produce minority or coalition governments seem to manage their economies perfectly adequately. And some calmer Westminster and City voices have pointed out that Britain managed to run its affairs during World War II with a coalition government.

Germany, Europe's largest economy, is perhaps the best example of a country with a long tradition of stable coalition administrations.

Chancellor Angela Merkel currently leads a coalition between the conservative Christian Democrats (CDU), its Bavarian sister party, the Christian Social Union (CSU) and the liberal Free Democrats (FDP) -- though this has come under strain recently as a result of Merkel's support for a huge financial rescue plan for Greece.

Grand coalitions between the two largest parties also occur, but these are relatively rare.

Discussions between parties often take place prior to an election because of a general acceptance that no one party is capable of an outright majority. This is seen as a key factor in helping to make a coalition stable.

Coalition and minority governments are also the norm in much of Scandinavia where elections nearly always result in protracted discussions between two or more parties over the composition of the next government.

Canada has had a Conservative minority government led by PM Stephen Harper since 2006, and is opposed by center-left Liberals and left-wing New Democrats. Harper's Conservative Party was formed following a merger of the center-right Progressive Conservative and right-wing Canadian Alliance parties. In a 2008 election, he increased his party's representation but must still govern as a minority administration, with just 143 out of 308 seats.

In Ireland, no single party has ruled since 1989. Coalitions are typically formed by one of the two biggest parties, Fianna Fáil and Fine Gael, and one or more of the smaller parties. The current ruling alliance between Brian Cowen's Fianna Fáil and the Greens has endured despite the country's ailing economy.

Belgium's experience has been less positive. Its political system is organized around the need to represent the main cultural communities: Flemish or Dutch-speaking Flanders in the north, French-speaking Wallonia in the south and the German-speaking cantons in the east. This has often resulted in a weak coalition government, with a number of parties vying for control.

Last month Prime Minister Yves Leterme was forced to resign after a Flemish liberal party withdrew from the five-party coalition government after a dispute over electoral boundaries around the nation's capital, Brussels.

Bizarrely Brussels is the only electoral district where votes are not cast purely on linguistic lines. Belgium's political system insists that you can't vote for a French-speaking party in Flanders and vice versa.

Italy also has a history of fractious coalitions, with 61 governments taking office since 1945. Its political landscape has been characterized by chronic squabbling between numerous parties across the political spectrum, which has thwarted attempts to form stable governments and reform its political system.

Elsewhere in the world, Israel has always been governed by alliances between its various parties, with power traditionally alternating between a center-right-led Likud government in coalition with several right-wing and religious parties and periods of rule by the center-left Labor in coalition with several left-wing parties.

@highlight

Fears in Britain that a hung parliament will leave the country with a weak government

@highlight

Labour and Conservatives have been negotiating with Liberal Democrats to form coalition

@highlight

Economic stability key to any agreement, according to senior Conservative lawmaker

@highlight

Germany has a history of successful and stable coalition governments