Hong Kong (CNN) -- China has agreed to hold formal talks with its southeast Asian neighbors about establishing a "code of conduct" to ease maritime tensions in the South China Sea, a major step forward in the long-running dispute.

A statement issued after a weekend meeting of foreign ministers from the 10-member Association of Southeast Asian Nations (ASEAN) and China in Brunei, said the countries "aim to reach a conclusion of a Code of Conduct in the South China Sea, which will service to enhance peace, stability and prosperity in the region."

The South China Sea is home to messy mix of rival territorial claims, with China, Brunei, Malaysia, the Philippines, Taiwan and Vietnam disputing sovereignty of island chains and nearby waters. The areas in dispute include fertile fishing grounds and potentially rich reserves of undersea natural resources.

Asia's disputed islands -- who claims what?

However, analysts said the move was unlikely to yield a quick fix for one of the region's biggest flash points.

Stephanie Kleine-Ahlbrandt, Northeast Asia Director at the International Crisis Group in Beijing, said that it was a "positive development" and a code of conduct was urgently needed as China steps up its law enforcement patrols and military exercises in the South China Sea.

"It also provides substance to Beijing's rhetoric that its relations with Southeast Asian countries remain a foreign policy priority," she said.

"But this is only a first step, and there is a long way before an effective code can be developed and implemented. Beijing has a record of suspending talks as soon as tensions with rival claimant countries flare -- precisely when talks are most needed."

China has previously stated that it wishes to deal bilaterally with disputes in the South China Sea but a multitude of domestic problems, and the headway the U.S. is making in the region as part of its "pivot" to Asia, means China's new leaders have decided that now is not the time to press issue, Kleine-Ahlbrandt added.

Speaking to ASEAN foreign ministers on Monday, U.S. Secretary of State John Kerry said he supported a "substantive" code of conduct to deal with the overlapping territorial claims. His predecessor, Hilary Clinton, repeatedly emphasized the need for a multi-lateral solution to the problem.

"As a pacific nation, and a resident power, the United States has a national interest in the maintenance of peace and stability, respect for international law, unimpeded lawful commerce and freedom of navigation in the South China Sea," Kerry said, according to the Straits Times.

"As we have said many times before, while we do not take a position on competing territorial claims over land features, we have a strong interest in the manners in which the disputes of the South China Sea are addressed, and in the conduct of the parties."

Friction between China and the Philippines has intensified this year following several naval standoffs, with Manila challenging Beijing's claims to waters off the Philippines at an international arbitration tribunal.

Ian Storey, senior follow at the Institute for Southeast Asian Studies in Singapore, says a code of conduct is a way to manage, not solve, the dispute and China is likely to drag out talks.

It has already asked for the formation of an "experts committee" to advise on the drafting on the code of conduct that could slow negotiations, he added.

"Even at the end of the process, the final agreement is unlikely to be this formal, binding, effective and robust agreement that people are hoping to see. "

@highlight

China agrees formal talks with ASEAN countries over code of conduct

@highlight

Move could ease maritime tensions in South China Sea

@highlight

But analysts warn there is no quick fix to the dispute

@highlight

They add China is likely to drag feet in negotiations