Washington (CNN) -- Chuck Hagel is, to some conservatives, a party turncoat whose views on the use of military force and his chumminess with the president make many Republicans' skin crawl.

The candidate for defense secretary is seen as Obama's most controversial nominee for his second-term Cabinet. The former two-term Republican senator from Nebraska will likely face a tough Senate confirmation hearing Thursday, but is expected to be confirmed, nevertheless.

Obama's Cabinet: Who's in, who's out?

But none of that is stopping conservative groups, and billionaire activist Sheldon Adelson, from pushing hard and spending hundreds of thousands of dollars on ads to block the nomination.

"If it's a strategy, it doesn't seem like a particularly enlightened one," said Thomas Mann, a senior fellow at the Brookings Institution and co-author of the book "It's Even Worse Than It Looks: How the American Constitutional System Collided With the New Politics of Extremism." "They almost certainly realize they're going to lose and that he'll be confirmed."

The effort is partly about making a public ado about Hagel, Mann said.

"They want to show some sort of collective reaction against it and a number of their key interests are pumped up about it, so they figure why not make a fight out of it?"

New ads from anti-Hagel group sound alarm bells

At least two groups publicly released ads last week slamming the nominee. Americans for a Strong Defense put out a 30-second spot that urged viewers to call their senator and vote against Hagel's confirmation "before it's too late." Another group, the American Future Fund, also revealed a new spot targeting Hagel's record in the Senate.

Adelson, the Las Vegas conservative financier who also heads the Republican Jewish Coalition, was reportedly calling Republican senators personally to urge them to vote against Hagel, according to The New York Times.

But the opponents also have significant concerns about Hagel's record.

Hagel in 2007 remarked that the "Jewish lobby intimidated lawmakers." Republicans who are already uncomfortable with President Barack Obama's policies toward Israel are hard-pressed to embrace a defense secretary with such views.

Five things Hagel may be asked

"For a lot of groups, especially Jewish and conservative groups that care about Israel, this is a fundamental issue of right and wrong," said Ari Fleischer, former White House press secretary under President George W. Bush, CNN contributor and board member of the Republican Jewish Coalition. "Despite the fact that this is an uphill fight, groups are making the fight because they believe in it."

Sens. Chuck Schumer, D-New York, and Barbara Boxer, D-California, are perhaps the two highest-profile Jewish senators who have announced their support for Hagel after speaking privately with him in recent days.

Then there is Hagel's criticism of the Iraq War and the Patriot Act. Hagel has also faced some criticism on both sides of the aisle because of past positions he has taken on Iran and on U.S. military action. And in 1998 he spoke of an ambassadorial nominee as being "openly, aggressively gay," remarks for which he has since apologized.

A view of what's really behind Hagel nomination fight

And he hasn't been sparing in his criticism of conservative and GOP figures, saying radio show hosts like Rush Limbaugh "try to rip everybody down" but "don't have any answers," and labeling Bush as callous on Iraq.

"In a town that seems too focused too often on personalities and politics, this is a matter of conviction based on policy -- the wrong man for the job," Senate Minority Whip John Cornyn, R-Texas, told CNN.

Sen. John McCain, R-Arizona, prominent among politicians who have questioned Hagel's suitability for the job, recently told CNN he will not exert his power to block Hagel's nomination, but "I plan to make a judgment as to whether I think he's appropriate to be secretary of defense or not."

But some Republicans also believed that Hagel, like Susan Rice, was vulnerable, according to political experts. (Rice, the U.S. ambassador to the United Nations, withdrew her name from consideration for secretary of state after drawing heavy criticism from McCain and other Republicans over her public statements about the deadly September 11 attack on the U.S. consulate in Benghazi, Libya).

"There is an element of strategic calculation going on here," said Alan Abramowitz, a political science professor at Emory University. "They see him as being more vulnerable and they have a chance to stop this nomination or embarrass the president or at least make it more difficult for him."

Kerry defends fellow Cabinet nominee Hagel

Groups opposing Hagel released new television ads recently with dire warnings of what they think could happen should Hagel be confirmed.

The first spot, from Americans for a Strong Defense, uses themes that mimic a movie trailer for a spy/action thriller. The 30-second spot says "we live in a dangerous world" and points to threats from Iran, North Korea, and "even Russia."

"But Barack Obama's nominee for secretary of defense wants America to back down," the narrator continues. "An end to our nuclear program. Devastating defense cuts. A weaker country." The narrator then urges viewers to call their senator and vote against Hagel's confirmation "before it's too late."

Hagel's other war

The American Future Fund plans to run television ads in Washington and in certain states against Obama's nominee, the group said, as well as print ads, web spots, and a website. Sources close to the group said they would spend about $500,000 to air the new ad on CNN and Fox News Channel.

They call it an "all the above" strategy that "will be nationwide, focused on the many disqualifying characteristics of the Hagel nomination -- including not only his now well-known statements against Israel and his weak opposition to the Iranian nuclear threat, but also his to be disclosed personal, business and ethical conflicts."

McCain moves from backer to skeptic on Hagel

Increasingly, outside groups are going to get more involved in nomination fights, said American Future Fund spokesman Stuart Roy.

"I think what have seen are outside groups get more involved, it hasn't be unusual for outside groups to get involved in Supreme Court nominations," Roy said. "I think what you see now are additional groups getting involved in communicating about other nominations that are particularly problematic or controversial. Chuck Hagel's nomination to defense secretary in this administration is a particularly troubling and controversial nomination."

The opposition is also about policy and personality.

Conservative groups take issue with Hagel's policy positions, but also, "They don't like the fact that he is a supporter of President Obama," said Andra Gillespie, an associate professor of political science at Emory University in Atlanta.

"Republicans have been playing opposition politics for four years and it's not easy to come out of that mold," he said. "In Hagel's case there's no love lost. They see him as someone as who turned on his party and they don't want there to be any confusion that this is a real Republican going into the Obama Cabinet."

Opinion: Reality check for Hagel bashers

CNN's Ashley Killough, Gregory Wallace, Barbara Starr and Paul Steinhauser contributed to this report.

@highlight

Conservative groups fight Sen. Chuck Hagel's confirmation as defense secretary

@highlight

Regardless, many believe he will be confirmed after Thursday's hearings

@highlight

Experts say they may be trying to show they can fight the good fight