Moscow (CNN) -- If a country's standing can be measured by its sporting ambitions, then Russia's status as a superpower is once again on the rise.

Its big-spending football league is attracting top international stars, and the next few years will see it host major sporting spectacles for the first time since the Soviet-era regime staged the 1980 Olympic Games that were notoriously boycotted by the United States.

And ahead of the 2014 Winter Olympics in Sochi and the 2018 soccer World Cup, one of Russia's prominent athletes has put aside her sporting dreams to concentrate on contributing to the politics of the Kremlin.

Anna Chakvetadze was one of Russia's seemingly never ending line of top female tennis players when she burst onto the scene as a 17-year-old in 2004.

A junior finalist at Wimbledon the previous year, she stunned compatriot and world No. 3 Anastasia Myskina at the U.S. Open and went on to reach a career-high fifth in the rankings, winning eight tournaments and almost $4 million on the WTA Tour.

However, she has now turned to politics after sliding outside the top 150 following a combination of injuries and illness.

"I would like to develop youth sport. I was a sportsman myself so I know about problems in sport," the 24-year-old told CNN.

"I would like youth sport in our country to be affordable to people from all social classes. We have to give the same access to sport for kids from poor families. Ideally, my goal is to get the majority involved in sport activities ... sport should come to every family."

Chakvetadze has chosen the fringe "Right Cause Party" as she stands for Russia's lower parliament in the December 4 elections, with parties needing 7% of the total vote to earn seats. Former top-ranked men's tennis player Marat Safin will also be standing, seeking one of 450 places.

And they'll both be hoping to join fellow sports figures Svetlana Khorkina and Alina Kabaeva in the State Duma after the two former Olympic champion gymnasts won respective elections in 2007

Formed in 2008 from the ashes of three other parties, Right Cause has positioned itself as "anti-old guard" and dismissed the relevancy of former president Vladimir Putin and other longtime political stalwarts who have stood for decades.

"It's a challenge for me. I have joined Right Cause because it's a young party with fresh ideas," Chakvetadze said.

"I was invited to join it when (Mikhail) Prokhorov was in it. But even now all the basic ideas that the Right Cause stands for haven't changed and I share the program and idea of the party."

Billionaire businessman Prokhorov stepped down in September after a few months as party leader, dismissing Right Cause as a "puppet party" of the Kremlin.

It is an accusation Luke Harding -- a reporter for British newspaper The Guardian and the first Western journalist to be expelled from Russia since the end of the Cold War in 2011 -- supports.

"Russia was a quasi-democracy under Boris Yeltsin in the 1990s. But over the last decade-plus under Putin there has been a restoration of the classic authoritarian model, with the squashing of independent TV, proper elections, and opposition forces," Harding, the author of "Mafia State: How one reporter became the enemy of a brutal new Russia," told CNN.

"Today's Russia does have political 'parties,' like Right Cause. But they are not parties in the real sense -- their role is simply decorative, to create the illusion of voter choice and to legitimize decisions taken behind closed doors in the Kremlin.

"There's a long tradition in Russia of getting sportsmen and women to stand for parties: they help to enthuse a weary and cynical electorate."

Prime Minister Putin has announced that next year he intends to again stand for president, a position he held for two consecutive terms -- the maximum allowed -- before endorsing the campaign of his 2008 successor Dmitry Medvedev.

While her fellow Right Cause candidate Andrei Bogdanov has listed Putin among the Russian establishment "we have had enough of," Chakvetadze said the 59-year-old -- who is a strong supporter of sport -- is popular with the people.

"The real opposition is a constructive one that has something to offer to authorities [other than] beautiful election campaign slogans. I guess the Right Cause is able to become a constructive opponent," she said.

"As for the next president, Putin is really significantly supported by Russians. If he is elected he will take the real steps for further development of the state and improving lifestyle for citizens, which is a good thing. The main thing is to keep on moving."

Chakvetadze said sport is an important part of becoming a healthy nation, and acknowledged that improvements need to be made before the big events in 2014 and 2018.

"First we should develop the infrastructure -- build new stadiums, hotels, additional railway service and air travel," she said.

"We have to provide our guests and citizens with the highest level of security service. We must not lose face. Big sport forums like this will definitely increase interest in sport and will contribute to the promotion of healthy lifestyles.

"On the other hand it will make our authorities move and develop the infrastructure of territories where these competitions will take place, attract new investment into our country."

Chakvetadze has struggled to maintain the peak levels of 2007, when she reached the U.S. Open semifinals and was also part of Russia's successful Fed Cup team, but she has not closed the door on her tennis career.

"This year was really a tough one for me. There were several traumas and I decided to take care and restore my health," she said.

"It doesn't mean that I'm over with my sport career. I just took a pause for an unknown period of time. So all my goals now are related with this party project."

@highlight

Russian tennis player Anna Chakvetadze is standing for Russian parliament

@highlight

The 24-year-old has struggled with injuries and illness in 2011

@highlight

She is hoping to boost sport's profile with the fringe Right Cause party

@highlight

Party has been called a puppet of Kremlin, but she says it can make a difference