(CNN) -- How do you protect some of the world's rarest large mammals from rampant poaching in an area about six times the size of Manhattan?

Conservationists in Kenya believe the answer could come from the skies.

Nestled in the shadow of the majestic Mount Kenya, Ol Pejeta Conservancy is a 90,000-acre game reserve boasting a wide array of wildlife, including the endangered black and white rhinos, elephants, leopards, lions and chimpanzees. Since late 2009, it has also been home to four of the last seven northern white rhinos left in the world.

Despite its vast size, the privately owned conservancy relies on a team of just 190 rangers -- 40 of whom are armed -- to safeguard the wildlife roaming its grass plains and acacia-dotted savannah.

Rhinos, in particular, are in great danger as their horns, which are highly coveted in some parts of the world for their supposed healing powers, are increasingly being targeted by highly equipped criminal syndicates. Armed with big guns, chainsaws and night-vision equipment, poachers seem to prefer targeting privately owned game parks, where security is often a big expense that not all of them can afford.

But now bosses at Ol Pejeta are planning to test an innovative solution to supplement their security efforts for the protection of the endangered animals: unmanned aerial drones that will help monitor and track wildlife across the reserve night and day, as well as providing immediate notifications over the presence of poachers.

Read: Boy's website helps tourists spot big beasts

Last week, the Kenyan conservancy successfully concluded its campaign to raise $35,000 via crowd-funding website Indiegogo to help it buy its first drone from U.S. company Unmanned Innovation Inc. The electrically powered "aerial ranger," with a final cost of about $70,000, will be fitted with a high-definition camera featuring a powerful zoom for day operations and infrared thermal imaging for night flights.

Each aerial mission is expected to cover an area of 50 square miles over a 90-minute flight. It will fly three or four times a day, monitoring the locations of the endangered species and transmitting a live stream to a laptop on the ground, providing key information that will enable rangers to reach vulnerable areas and fend off any potential poaching dangers.

Unarmed drones have been deployed by a number of conservancies across the world in recent years to protect endangered species but this is the first time they will be tested in East Africa, say Ol Pejeta staff.

Rob Breare, who is heading up the Kenyan conservancy's project, says drones can be a key weapon against illegal hunters, adding to the efficiency of other measures adopted in recent years, such as intensifying staff training, installing a fully electrified perimeter fence and tracking each of the reserve's 110 rhinos every three days.

"On the most basic level, it's just a sheer deterrent factor," he says. "If people hear them, if they know there's an eye in the sky, it's a huge deterrence to try anything."

He adds: "The next level up is what we call observation -- the ability to use our camera footage to see what's going on in situations and direct our rangers to a location."

Rhino poaching has soared in recent years in parts of Africa. Ol Pejeta claims that a rhino horn can bring in $12,000, but exact prices are hard to measure. Some say a kilogram of rhino horn is more valuable than gold, though that is disputed by others.

Read: Last of the bush trackers on the trail of a dying art

There are about 25,000 rhinos in Africa, according to conservation group Save the Rhino. Of those, about 20,700 live in South Africa and some 960 in Kenya. Recent data by the South African government showed that 668 rhinos were slaughtered last year in the country -- a nearly 50% jump compared to 2011.

Richard Vigne, chief executive at Ol Pejeta, say that Kenya is losing similar numbers of rhinos as South Africa in percentage terms.

"It is very bad and getting worse for both rhinos and elephants," he adds, noting that Ol Pejeta lost seven rhinos in the 2010-2011 period but managed to control the situation over the last 12 months.

Vigne says that strong demand for horns from China and the Far East has created a lucrative poaching market that's attracted organized criminals who are increasingly using more sophisticated methods in their illegal activities.

"The equation is simple," explains Vigne. "The higher the prices obtainable for ivory and rhino horn, the bigger the risks people will take to obtain these commodities and the more attractive they become for organized criminal syndicates."

Read: Save wildlife trafficking

Ol Pejeta, which welcomes about 80,000 visitors annually, is hoping to be able to expand its drone fleet and ultimately share its experience with neighboring game reserves.

But more than just a valuable anti-poaching tool, staff at Ol Pejeta believe that the drones have benefits that can extend to several other key aspects of conservation.

They plan to chip the rhinos and other endangered animals with unique radio frequency ID tags, which the drones will be able to recognize and locate. Conservationists hope that this system will let them gather data on animal behavior that could prove to be useful for academic purposes as well as boosting tourism activities.

"What we ultimately want to get to is what we've been calling tracking," explains Breare. "The ability to use the drones not only for anti-poaching operations but actually to track animal movement and animal behavior ... In the long run we can have some quite interesting ideas around how drones can be used in tourism."

Read: Rhino poaching hits record numbers

@highlight

Ol Pejeta Conservancy plans to use a drone to monitor its wildlife and fend off poachers

@highlight

The Kenyan reserve hopes to conduct its first flight in about a month

@highlight

It is home to four of the last world's last remaining seven northern white rhinos

@highlight

Rhino poaching rates are soaring, fueled by a belief their horns have medicinal value