Washington (CNN) -- The wedding photo shows the happy couple poised to kiss, ready to begin an adventure that has now taken them to the U.S. Supreme Court.

For Karane and Jamelle Thomas-Williams, this is a fight for recognition by the federal government of their legal same-sex union, part of a landmark constitutional appeal over same-sex marriage and "equal protection." Their love has united them, but the larger social issue has split the country for more than four decades.

The Washington, D.C., couple legally married last October, but not in the eyes of some of their employers or elected leaders.

Karane serves her community as a Metropolitan Police officer. Jamelle serves her country in the U.S. Air Force Reserve. But since she is a federal worker, the couple cannot share the 1,000-plus federal perks enjoyed by married heterosexuals: things like joint tax returns, loan programs for veterans, and survivor, pension, bankruptcy, family medical leave and health insurance benefits.

Opinion: America is at a crossroads on gay rights

Under the Defense of Marriage Act (DOMA) passed in 1996, marriage is defined for federal purposes as between one man and one woman. That means the estimated 120,000 gay and lesbian couples legally married in nine states and the District of Columbia are still considered, in the eyes of DOMA opponents, the equivalent of girlfriend and boyfriend.

"As a federal employee and as an airman, you get a constant reminder that you're second class," Jamelle told CNN. "I had to list Karane as my sister just so that someone would call her in the event that I'm killed or missing in action, or I'm hurt on the job. She can't be my emergency contact, she can't receive my remains. As far as my death benefit, I had to list her as 'other.'"

Adding to the confusion is Karane's status as a D.C. government employee. She enjoys the benefits of her relationship with Jamelle because her local government in the nation's capital recognizes same-sex marriage.

"But once we step outside of D.C., it's a whole other ballgame," said Karane. In neighboring Virginia, which does not recognize their marriage, the couple says they are viewed as "legal strangers."

Opinion: Gay people live in 50 Americas

What is the federal government's role in defining marriage?

The larger debate over DOMA's intent and impact 17 years after passage has driven a wedge between the executive and legislative branches. Now that debate will be center stage before the Supreme Court, which will hear oral arguments Wednesday, with an expected ruling in late June.

At issue is what role the federal government should play when it comes to marriage, something states have traditionally controlled.

"What the court is being asked to decide is whether or not Congress can pass a law that treats same-sex couples, who are already married under the laws of their state, different from opposite-sex couples," said Amy Howe, a leading appellate attorney and editor of SCOTUSblog.com.

Four federal district courts and two appeals courts have already struck down the law's restrictive benefits provision. And in a rare move, the Obama administration also abandoned its defense of congressional authority, saying DOMA is unconstitutional.

5 turning points in gay marriage debate

That has left House Republicans in the unconventional position of stepping in to argue it should stay in place, at least for now. Traditionally, the role of defending federal law would fall to the U.S. solicitor general's office. But President Barack Obama, in an election-year stunner, said last May he now supports same-sex marriage. The president had already ordered Attorney General Eric Holder not to defend DOMA. That raised the question of whether any party could rightfully step in and defend the law.

Besides the constitutional issue, the justices had specifically ordered opposing sides to argue a supplemental question: whether congressional Republicans, operating officially as the Bipartisan Legal Advisory Group of the U.S. House of Representatives, have "standing" or legal authority to make the case.

Opinion: Slowly, GOP shifting on same-sex marriage

"Let's not confuse the issue of DOMA and the administration's decision that it was unconstitutional," House Speaker John Boehner, R-Ohio, told CNN. "It is not their role to decide what's constitutional. DOMA was a law that was passed by the House and Senate and signed into law by President Clinton. In our system of government, the administration doesn't get to decide what's constitutional, the Supreme Court does. And in our financing the lawsuit was to make sure the proper forum was used to make sure that we know what's constitutional and what isn't."

Supporters of traditional marriage agree.

"DOMA's important because Congress said it's important," said Austin Nimocks, senior counsel at the legal ministry Alliance Defending Freedom. "We sent our elected representatives to Washington, D.C., and they chose to say that marriage is one man and one woman for purposes of federal law."

And many conservatives argue the courts should stay out of the larger constitutional issues and let citizens and the legislatures hash it out. Some activists worry nine unelected justices will issue a sweeping 50-state mandate and redefine marriage as whatever personal bond they now think it is.

Carrie Severino, chief counsel of the Judicial Crisis Network, says nothing in the Constitution tells states whether and how they should "evolve" on such an established institution. She said liberty is a fundamental right, but that government also has broad discretion to affirm the idea marriage is mainly about ensuring biological children are raised in a stable two-parent family with a mother and father.

Same-sex marriage in the 21st century "is clearly not what anyone understood as marriage at the time of the framing of the Constitution," she told CNN, saying that should be enough to keep the high court out of the current case.

Tribe marries same-sex couple but state won't recognize it

Lack of protections, benefits if partner deploys

Jamelle and Karane said they hit it off immediately after they met by chance at a downtown club's Ladies Night, and felt like they had known each other forever. They were together four years before marrying last October.

Karane said she went to Jamelle's mother first to ask her daughter's hand in wedlock. Sitting in their comfortable Washington home, they appear blissfully happy being together, but DOMA has put unexpected strains on the marriage because of "little frustrations." For one thing, they worry what could happen when Jamelle gets sent overseas in a war zone.

"Technically, I am a single person deploying," she said. "So I don't have any protection for my family. I could deploy tomorrow and there would be nothing in place to help my family. It would be just me. So that's definitely scary. Financially, making sure that the responsibility that we have to each other and to our families is taken care of, and it would be like I'm leaving Karane in a lurch."

Karane added: "It's like we have to still go above and beyond just to get to where heterosexual couples already are."

Docs: Same-sex marriage benefits kids

They believe they are burdened by a triple social stigma: as women, black, and lesbians.

The couple hope to have children someday, but that would create further layers of what they say are discriminatory rules. For now this self-described "boring couple" say they look forward to the day their children would be born and raised in a post-DOMA world. But regardless how the Supreme Court rules, they say they will persevere.

"I should be able to walk with my wife hand in hand and live our life. We shouldn't have to sit here on the edge of our seats, waiting for a decision," said Karane. "Are we going to finally be able to just be recognized without any strings attached?... We're humans, we live in a strange society, and we have to work with what we've got."

Same-sex couples take long road to altar

CNN's Joe Johns and Stacey Samuel contributed to this report.

@highlight

D.C. couple seek federal recognition of their legal same-sex union

@highlight

Supreme Court will hear oral arguments on same-sex marriage

@highlight

President's support for gay marriage puts Congress in position of defending DOMA

@highlight

DOMA defender says law is "important because Congress said it's important"