(CNN) -- In Pennsylvania, Tyler Dix, a 16-year-old movie buff, is wide awake by 7 a.m. to cook breakfast for his younger siblings.

Moranda Hern and Kaylei Deakin started Sisterhood of the Traveling BDUs, or battle dress uniforms.

In Georgia, Tucker Simmons, a 14-year old novice guitarist, prepares ice packs for his mother whenever her chronic lower back pain kicks in.

In California, Kaylei Deakin, an avid 17-year old rock climber, disciplines her little sisters when they act out.

Tyler, Tucker and Kaylei are three teenagers from across the country who have very different interests, but one experience that bonds them: They grew up fast -- sometimes too quickly -- to fill the shoes of mom or dad when their parent was shipped off to wars in Iraq and Afghanistan.

As the death toll from the two wars has risen over the last eight years, the fight has also affected a growing number of children left at home to cope without a parent.

Whether it's raising their siblings or getting an after-school job, teens with parents in the military feel pressure to step up.

"These teens are expected to take on the responsibility the deployed parent used to take care of," said Mary Carolyn Voght, director of programs for Our Military Kids, a nonprofit organization that provides support to children with a deployed parent in the National Guard. "There's usually the expectation that they will pitch in and help out more."

More than 30,000 teens between 12 and 18 have at least one parent in the National Guard deployed to Iraq or Afghanistan, according to the Department of Defense.

When all military branches are taken into consideration, the American Psychological Association estimates about 700,000 children under the age of 18 have a parent deployed overseas for military duty.

Playing mom and dad

"This is nothing," said Tyler Dix modestly, describing his daily task of taking his 9-year-old sister Tayana to ballet and violin lessons and being a crying shoulder for his 13-year-old brother, Tevin, when he misses dad.

"It's a lot of responsibility, but I don't really have a choice. My dad told me I am the man of the house, and I have to act like it," he said.

Last December, Tyler's father, Darryl Dix, was called to serve in Iraq. The family had a tearful goodbye at the Olive Garden, his father's favorite restaurant. Tyler talks to his father by phone, from once a week to several times, updating him on how the rest of the family is doing.

If military teens adjust well to deployment, they can be more adaptive and resilient than their peers, said Angela Huebner, associate professor of human development at Virginia Tech.

The wars have changed the military course for National Guard members, many who joined under the slogan "one weekend a month, two weeks a year."

Guard member families say they anticipated their loved one would be gone occasionally to help with domestic disasters, but not to an international war that has lasted this long.

Reserve Guard members are serving for longer periods of time -- up to 15 months -- and sometimes have multiple deployments.

"Multiple deployments have multiple effects," said Darrell Partee, chief of the service support division in the Georgia National Guard. "It's not like this is a latchkey kid or a parent who is traveling on business. We may not know for a long time what kind of impact these deployments are having on our children."

Fifteen-year-old Tucker Simmons'  father was sent to Iraq in 2007 for three months, and will leave again next month.

While his father was gone, he learned to fix leaky plumbing in the house. He comforted his younger sister Julia when the family cat passed away, holding her hand all the way home from the vet. Tucker says he missed hanging out with his father, joking around and playing Xbox games together.

"We chose the perspective that it's our duty to share our daddy," Tucker's mom Joy Simmons said. "That feels much better than being sad all the time. But of course we miss him."

Coping without a parent

Deployment can cause a child to become depressed angry and isolated, some studies show. Last year, Department of Defense documents showed a spike in the number of military children who have undergone out-patient counseling since 9/11.

Dealing with a parent's absence is no easier for teenagers, who are already confronting the growing pains of adolescence.

"All across the board, these kids are carrying an enormous burden," explained Patricia Barron, who runs the youth initiative programs at the nonprofit National Military Families Association.

Kari McLevy of Jacksonville, Florida, recalled going through trouble after her mother, a single parent, was deployed to Iraq in 2007 for a year.

Kari, 16 at the time, and her younger sister were sent to live with a family friend. Kari became reclusive and confused. It didn't help that the media was blitzed with images of war. Just a few months after her mother left, she was arrested for shoplifting.

"I pretty much realized I had to stop being a child," said Kari, who has graduated from high school. When her mother was at war, she got a job at a deli, saving up money to get her own apartment and attend community college. "I can't just rely on my parents and I have to learn to do it myself."

The Sisterhood of the Traveling BDUs

Having a parent in the National Guard comes with its own challenges. National Guard members live civilian lives, so their families are often geographically isolated from others like them -- but the children of career military members live near and attend school with other kids whose parents may be sent overseas.

High school student Kaylei Deakin of California remembered being teased when she wore her father's jacket to school after he was deployed to Afghanistan in April 2007. Jokingly, students without parents in the military asked her, "Was your dad shot at?"

Kaylei felt alone, thinking no one could understand her, especially when her mother became depressed shortly after her father left. But Deakin said she kept busy babysitting her sisters, 8 and 3 at the time.

"I was emotional but I tried not to be in front of my sisters," Kaylei said.

This summer, while their friends were busy deciding what to wear to the pool, Kaylei and Moranda Hern, another 17-year-old California teen with a father deployed to Afghanistan with the National Guard, created the Sisterhood of the Traveling BDUs, short for "battle dress uniform."

They've planned a 2010 conference that will bring together 400 military girls from across the state to address the issues of being a military child.

In organizing the conference, the two assumed responsibilities many college students have yet to experience: filling out tax exemption forms, developing a curriculum for participants, soliciting donations from major companies.

"If you pass by us, we don't really have a normal teenage conversation," said Moranda in a high-pitched bubbly voice. She's been working on the project the entire summer. "We sound like 35-year-old businessmen."

@highlight

Children of parents deployed to wars overseas assume adult responsibilities

@highlight

Deployments cause stress but also force teens to become more resilient

@highlight

"My dad told me I am the man of the house, and I have to act like it," says Tyler Dix, 16

@highlight

Teens created the Sisterhood of the BDUs to bring girls together