Washington (CNN) -- Four months ago, North Korea threatened to scrap the 1953 armistice agreement that ended the Korean War and resume hostilities against the United States and South Korea in response to tougher U.N. sanctions against Pyongyang after its latest nuclear test.

This week, the famously reclusive dictatorship welcomed a large Western media contingent, including CNN journalists, to cover the 60th anniversary of the armistice.

On Saturday, young leader Kim Jong Un made an unprecedented move when he deliberately walked through the throng of foreign media as he toured a new museum commemorating what North Korea calls its victory in the Korean civil war.

Such a shift in public posturing is common for North Korea, which is known for bellicose threats followed by diplomatic overtures intended to wring desperately needed aid and concessions from the outside world.

Fast facts: Korean War

"This is just a recurring pattern. Nothing special," said Kongdan "Katy" Oh, a Brookings Institution senior fellow who specializes in East Asia.

The outward appearance of possible change in North Korea under Kim after decades of secretive dictatorship comes amid strained relations with its powerful neighbor and benefactor, China.

It followed followed Xi Jinping's ascendancy to power in China, which essentially props up North Korea through its economic ties and aid.

Since Xi became head of the ruling Communist Party last November, Beijing has signaled growing impatience with Pyongyang's tactics.

In March, less than a week before Xi also became president, China joined the rest of the U.N. Security Council in backing tougher sanctions against North Korea in response to Pyongyang's nuclear test in February.

Pondering Pyongyang: Beijing's problem child

The sanctions prompted the war threats by North Korea and test-firing of missiles, raising tension on the Korean peninsula.

Oh explained that China was angry with Kim for a December satellite launch in violation of U.N. resolutions that raised regional tensions during Xi's transition to power. The February nuclear test further exacerbated China's anger, she said.

Before Xi headed to the United States for a trip that included a June meeting with President Barack Obama, North Korea sent an envoy to China who got treated "like cold rice," according to Oh.

Kurt Campbell, who recently served as U.S. assistant secretary of state for East Asian and Pacific Affairs, told CNN before the Xi-Obama meeting that the Chinese "have just about had it with North Korea.

"They recognize that the steps that they have taken -- nuclear provocations -- are creating the context for more military activities on the part of the United States and other countries that ultimately are not in China's best strategic interests," Campbell said then.

However, Oh dismissed any chance that China would use its leverage to try to force reforms in North Korea, saying the history and structure of the military backed dictatorship made it impossible for Kim to undo the legacy of this father and grandfather.

Opinion: What Obama should tell China's Xi about North Korea

The satellite launch in December and nuclear test in February were Kim's way of establishing his leadership with the military, on which his power depends, Oh explained. She likened North Korea to an impoverished African dictatorship that happened to have nuclear weapons.

Now, with chronic food shortages exacerbated in the months before the harvest, Kim is putting on what Oh called "an early summer charm offensive" to ensure his regime gets all the aid and economic benefit available from China and others.

That means allowing in the Western media for the armistice commemoration events and reportedly signaling support for resuming long-suspended six-party talks on curtailing North Korea's nuclear program.

In addition, recent visits from Google executive chairman Eric Schmidt and former U.S. basketball star Dennis Rodman have boosted North Korea's popularity as a travel destination.

Tour operators say a record number of foreigners were coming to this year's Arirang Festival, a seven-week celebration of gymnastics and music that began Monday at Pyongyang's May Day Stadium.

To Oh, it amounts to cosmetic changes rather than anything close to real reform.

On Friday, China's state-run Xinhua news agency reported that Kim supported China's call for resuming the six-party talks with the United States, South Korea and others.

According to Xinhua, Kim's backing for more six-party talks came after he met with Chinese Vice President Li Yuanchao, the highest-level Chinese official to visit North Korea since Kim took power in 2011 after the death of his father, longtime dictator Kim Jong Il.

However, a report on Li's visit by the North Korea's state-run Korean Central News Agency made no mention of his call for resuming the nuclear talks or Kim's supporting it.

Behind the veil: A rare look at life in North Korea

CNN's Diana Chan, Tim Schwarz and Jethro Mullen contributed to this report.

@highlight

Reclusive North Korea opens a little for the 60th anniversary of the Korean War armistice

@highlight

An Asia expert calls it "an early summer charm offensive"

@highlight

North Korea's young leader needs aid due to food shortages before the harvest

@highlight

Even benefactor China is fed up with North Korean tactics that increase regional tension