(CNN) -- Many people are wondering why there are so few clues about the fate of Malaysia Airlines Flight 370, beginning with the lack of a distress call.

This lack of a call, however, is not particularly perplexing. An aviator's priorities are to maintain control of the airplane above all else. An emergency could easily consume 100% of a crew's efforts. To an airline pilot, the absence of radio calls to personnel on the ground that could do little to help the immediate situation is no surprise.

This investigation may face many parallels to Air France 447, an Airbus A330 that crashed in an area beyond radar coverage in the ocean north of Brazil in June 2009. Like the Air France plane, the Malaysia Airlines aircraft was a state-of-the-art, fly-by-wire airplane (a Boeing 777) with an excellent safety record.

The Air France flight's string of events was precipitated by onboard faults that were automatically transmitted to the airline's headquarters during its final minutes. While they lacked any flight parameters, these maintenance fault messages gave key clues, though not a definitive cause of that accident, before any wreckage was found.

Flight data recorders are key

The recovery of the Malaysia aircraft's flight data and cockpit voice recorders would be important in determining the cause of the accident.

Flight data recorders contain data from more than 1,000 aircraft parameters, including altitude, vertical speed, airspeed, heading, control positions and parameters of the engines and most of the aircraft's onboard systems, captured several times per second. The cockpit voice recorder archives the last hours of not just cockpit voices and sounds but also all radio and onboard inter-airplane communications.

A multinational team of expert investigators will be looking far beyond just the flight recorders. The detailed history of the flight crew and the airplane will be closely reviewed as well who was traveling on two reportedly stolen passports.

Once the wreckage is located, an examination of the debris and its distribution will tell investigators if the airplane was intact upon impact and the angle at which it hit. Metallurgical and chemical analysis of the parts will determine the stresses and angles that caused the parts to fail, and if explosives were present. These findings of fact will drive the creation of theories by investigators about what caused the loss of the airplane and its passengers.

As an example of investigators' capabilities, we can look at the case of Pan Am 103, a B-747 brought down over Scotland in December 1988. Investigators were able to identify in amazing detail the sequence of events and even the individual suitcase and radio that held the explosives that destroyed the airplane.

Opinion: When passenger jets mysteriously disappear

Difficulty of the search

Malaysia Airlines Flight 370's route heading north from Kuala Lumpur was over sparsely populated and heavily forested mountainous areas of Malaysia and the Gulf of Thailand.

Reports of a possible course reversal observed on radar could be the result of intentional crew actions but not necessarily. During Air France 447's 3Â½-minute descent to the Atlantic Ocean, it too changed its heading by more than 180 degrees, but it was an unintentional side effect as the crew struggled to gain control of the airplane.

The distance between the north shore of Malaysia and the southern shore of Vietnam of 250 miles is about equal to the distance between Philadelphia and Pittsburgh. The flight's last telemetry data, as reported by flightaware.com, shows the airplane at 35,000 feet.

Even with a dual engine failure, a Boeing 777 is capable of gliding about 120 miles from that altitude. This yields a search area roughly the size of Pennsylvania, with few clues within that area where remains of the aircraft might be.

The visual search for any pieces of the airplane that may be floating or visible through dense jungle is under way and indeed a daunting task.

In the case of the Air France plane, it was five days of intensive searching before the first floating wreckage was found. It took nearly two years to locate the remains of the aircraft on the ocean floor 12,000 feet below, broken into thousands of pieces by the impact with the water.

Location of the wreckage may be aided by underwater locator beacons on the airplane's flight recorders, if they have not been damaged in the impact like those on the French plane were.

In contrast, the Gulf of Thailand has a maximum depth of only 260 feet, with the average being about 150 feet. If the aircraft is in the water, it should make recovery easier than the long and expensive effort to bring up key parts of the Air France plane from the 2Â½-mile deep ocean, where most of the airplane and many of its victims remain.

The wreckage of the Air France flight was located in April 2011, with the flight recorders recovered and analyzed that May. The cause of the crash was the crew's loss of control of the airplane after the speed sensor probes became clogged while flying through a storm in the tropics. It caused the loss of reliable airspeed indications, the autopilot to disconnect and the flight controls to degrade.

The investigation of Malaysia Airlines Flight 370 will be sure to take many months, if not years. We will know the truth of what happened when the aircraft is found and the recorders and wreckage are analyzed. In the meantime, speculation is often inaccurate and unproductive.

The opinions expressed in this commentary are solely those of Bill Palmer.

@highlight

Pilot Bill Palmer: It's not surprising that there was no distress call from Flight 370

@highlight

He says pilots are trained to focus on maintaining control of aircraft above all

@highlight

He says finding flight data recorders, wreckage key to understanding what happened

@highlight

Palmer: Based on plane's last position, the search area is extremely large