(CNN) -- A Republican Party that struggled in the wake of recent Democratic landslides sprang back to life Tuesday with wins in hotly contested races for governor in Virginia and New Jersey, according to CNN projections.

In Virginia, 55-year-old former state attorney general Bob McDonnell will be the first Republican to win the state's highest office in twelve years, CNN projects. Republicans will win races for Virginia's lieutenant governor and attorney general as well.   In New Jersey, former federal prosecutor Chris Christie will oust first-term Democratic Gov. Jon Corzine, CNN projects. Christie will be the first Republican to win the top office in heavily Democratic New Jersey in 12 years.

Corzine will be the first New Jersey governor to lose a re-election bid since 1993, when then-Gov. Jim Florio, a Democrat, lost to GOP challenger Christie Todd Whitman.

The two gubernatorial contests have been deemed by some analysts as the first major referendum on President Obama's administration. Republicans leaders, demoralized after landslide defeats in 2006 and 2008, have been hoping to capitalize on wins in Virginia and New Jersey to help fuel a nationwide Republican resurgence.

They were buoyed by a huge swing of independent voters to the Republican column.

Democrats sought to minimize the defeats. Since 1989, it was noted, the party winning the White House has always gone on to lose the gubernatorial races in both states the following year.

CNN also projects that New York Mayor Michael Bloomberg will be re-elected to a third term. The billionaire mayor is believed to have spent well over $100 million of his own money in his quest for a third term -- shattering the record for personal spending in any American campaign.

Democrat Bill Owens has won a vacant U.S. House seat in upstate New York, CNN projects. The contest to fill the seat sparked a vicious internal fight between GOP conservatives and moderates. The struggle has been viewed as a proxy for a national struggle between activists arguing the GOP slipped by betraying conservative values and officials warning a rightward move would further alienate an increasingly independent-minded electorate.

The split could result in the election of a new Democratic congressman from a region that has backed Republican congressional candidates since 1872.

Voters in nearby Maine -- not generally noted for their hard-edged, ideological politics -- tackled an emotional hot-button issue as voters decided whether to overturn a recently enacted law legalizing same-sex marriage. Results on the measure were not immediately expected, however.

Washington state voters are choosing whether to uphold a law granting same-sex domestic partners the same rights as heterosexual married couples.

Results on either measure were not immediately available, however.

The fight for control of New York's City Hall is one of 380 mayoral races across the country, including contests in Atlanta, Georgia; Boston, Massachusetts; Detroit, Michigan; Houston, Texas; and Seattle, Washington.

It was the two races for governor, however, that appeared to attract the most interest at the White House. Obama personally campaigned for the Democratic gubernatorial nominee in both states.

A plurality of voters in both states cited the economy as their top concern, according to exit polls. Majorities in both states said Obama's job performance was not a factor in their vote.

In Virginia, McDonnell beat Democratic nominee Creigh Deeds, a state senator from the rural western part of the state, by 21 points among critical independent voters. Last year, in contrast, Obama edged out GOP presidential nominee John McCain by one point among Virginia independents.

African-Americans, as expected, voted overwhelmingly for the 51-year-old Deeds. Their total share of the vote, however, dropped from 20 percent from last year -- when Obama topped the ballot -- to 16 percent.

McDonnell benefited from a Virginia electorate that, according to the exit poll, was slightly more conservative Tuesday than it was in 2008. Conservatives were also more unified in their support for McDonnell than they were for former GOP presidential nominee John McCain.

McDonnell himself is a staunch conservative, but stressed bipartisan solutions to problems relating to job growth and transportation. Deeds sought to peel social moderates and political independents away from McDonnell in part by highlighting McDonnell's graduate school thesis, in which the Republican was critical of homosexuals and women in the workplace.

The attacks appeared to backfire on Deeds. Almost two of every three voters said Deeds attacked McDonnell unfairly; those voters broke for McDonnell by a 21-point margin.

McDonnell's expected victory is in keeping with Virginia's tradition of backing candidates from the party that most recently lost the White House. Republican George Allen was elected in 1993, one year after Bill Clinton won the presidency. Democrat Mark Warner won in 2001, a year after George W. Bush's first presidential victory.

In 2008, Obama became the first Democratic presidential nominee to carry an increasingly diverse Virginia in more than four decades. Fewer than one in five voters on Tuesday, however, said their vote was meant to express support for the president. Almost one in four said their vote was meant to express opposition to Obama.

Further north in New Jersey, Corzine had pulled even in the final surveys before Election Day with the help of a virtual 2-to-1 spending advantage. Many analysts believed independent candidate Chris Daggett, a socially moderate former Republican, was also be digging into Christie's support.

Obama, who carried New Jersey by almost 16 points in 2008, campaigned for Corzine three times, most recently this past Sunday. The president's help, however, was not enough to save Corzine, who was saddled with burden of seeking reelection in the midst of a steep economic downturn. Almost one-third of New Jersey voters cited the economy as their top concern in early exit polls, with another 25 percent citing the state's high property taxes. One in five voters said their top concern was the state's ongoing struggle with corruption.

Independent voters broke even more heavily for Christie in New Jersey than for McDonnell in Virginia. Corzine was able to keep the race close, however, due to New Jersey's political landscape. New Jersey voters were both more Democratic and more liberal than Virginia voters.

Last year, the president also managed to carry New York's sprawling 23rd congressional district, a traditional GOP stronghold running along the Canadian border from Lake Champlain to Lake Ontario. The area has sent Republican representatives to Congress since Union Gen. Ulysses S. Grant occupied the White House. But this year it was the scene of a GOP civil war.

The district's U.S. House seat opened up a few months ago after nine-term Republican Rep. John McHugh stepped down to become secretary of the Army. Local Republican leaders picked state assemblywoman Dede Scozzafava as their nominee to replace McHugh because they felt her moderate views would appeal to centrist Republicans, independents and even some Democrats.

The decision, however, sparked a revolt among conservatives angry with what they saw as Scozzafava's liberal views on same-sex marriage, abortion and fiscal matters such as the president's $787 billion economic stimulus plan. They backed Doug Hoffman, an accountant, ran on the state's Conservative Party line.

Scozzafava suspended her campaign Saturday after her poll numbers plummeted following a flood of support and contributions to Hoffman from leading conservative politicians and organizations.

Republican leaders were fractured by the choice. Former House Speaker Newt Gingrich backed Scozzafava. Gingrich's one-time deputy, former House Majority Leader Dick Armey, backed Hoffman.

After dropping out, Scozzafava endorsed Democratic nominee Bill Owens. She campaigned for him on Monday.

CNN's Peter Hamby and Paul Steinhauser contributed to this report.

@highlight

NEW: CNN projects that Chris Christie will unseat New Jersey Gov. Jon Corzine

@highlight

NEW: CNN projects Republican Bob McDonnell will win Virginia governorship

@highlight

NEW: CNN projects New York Mayor Michael Bloomberg re-elected to a third term

@highlight

CNN TV: Instant results, analysis from the Best Political Team, 8 p.m. ET