(CNN) -- Was Karl Rove's assault on Hillary Clinton's brain a political masterstroke that will make her presidential campaign more difficult? Or a ham-fisted attack that will contribute to the persistent unpopularity of the Republican Party?

The answer, to many a Republican's regret, is both. Whatever victory Republicans digest from this blow will leave a bitter taste.

Hillary Clinton hasn't yet been president, though it feels like she is running for reelection. That is part of Mrs. Clinton's problem. The constant division her name invites has been with us now for decades. Who wants to continue those battles? Like Vietnam or Watergate, at times it doesn't matter which side of the Clinton conflict we take. We are exhausted by the relentless requirement that we engage them.

Age and health are always issues in major political races, and fairly so, but they are usually aired gracelessly. I served my apprenticeship in politics working for mad-genius GOP pollster and strategist Arthur Finkelstein.

While he was mapping the campaign for brassy, upstart Al D'Amato, Arthur came up with a unique strategy to do what was thought impossible: defeat in a primary an untouchable Republican icon -- legendary New York Sen. Jacob Javits.

Javits, a liberal Republican, was out of step with Barry Goldwater's GOP but Republican voters had too much respect for the old senator to replace him. A near octogenarian, Javits had slowed a step and was beginning to slur his speech, presenting the initial symptoms of ALS, which would fell him within the decade.

Finkelstein's strategy? Give conservative GOP primary voters permission to say publicly what only a few whispered privately -- and Arthur was none too subtle. Finkelstein released an attack ad that wrinkled the noses of New York's political elite. Its purpose being impropriety, it ended with the memorable line, "And now, at age 76 and in failing health, he wants six more years." New York's left-leaning upper-crust gasped, but Finkelstein didn't stop there.

The inspired part of the strategy was the second step: Arthur had planned for the D'Amato campaign to fire him for the negative assault. That would not only distance D'Amato from the attack and leave his candidate wearing a white hat, it would also generate another delicious round of news coverage. The "fire-Finkelstein" debate kept the story alive for the remaining days before the election. Sometimes, in politics as in chess, a knight sacrifices himself to take the queen. Javits' career came to its end.

Karl Rove is not on the ballot in 2016. At least in the short term, in any brutal exchange between a brass-knuckled political operative and Hillary Clinton, guess who wins and who loses?

Clinton has already lost once, running as the candidate of experience against a younger candidate of hope and change. Political tides often wash in as high as -- if not higher than -- they have before. It could all happen to Hillary again.

My experience is that once America moves forward a generation, it seldom moves backward. It's not Hillary's age that is the issue, but how young or old she would make the country. Rove has opened the door to Clinton's real weakness: Her lack of vision is more of an issue than her years.

That other Clinton
Bill Clinton had no such debility. He was always the candidate of the future. His song was "Don't Stop Thinking about Tomorrow." His pledge, repeated nearly two dozen times in his acceptance speech at the 1996 Democratic convention, in his campaign against World War II's Bob Dole, was to build "The Bridge to the 21st Century." President Clinton was inspired to enter politics, he admits, as a 16-year-old on a visit to Washington, in a moment captured by cameras, when he shook hands with the New Frontier's President John F. Kennedy, whom he then emulated.

Ronald Reagan was attacked for his age and mental acuity. America learned he was an optimist with a glorious sense of humor and a vision of them that lit the world as a "Shining City on a Hill," so they found him forever young, regardless of his maturity and experience.

Kennedy, Clinton and Reagan were young because they kept us young. Unlike those predecessors, however, Hillary Clinton isn't known for her optimism or inspiring vision.

She is a pragmatist, not a futurist. America has known her for a long time. Even after 20 years, a stay in the White House, a career in the Senate and a tour as secretary of state, we do not know what stars she would follow.

It is not unreasonable to ask where a candidate would go before we trust her to lead us there. It's hard to imagine that only now, after decades in the public eye, Hillary Clinton would suddenly discover her destination.

Unfinished business
Hillary has only one attribute that makes her politically youthful and connects her to our future. It is, however, a powerful one: America has yet to have a female president. The power of that incomplete task should not be understated.

In making the decision to nominate and elect our first black president, America rightly believes it acted as a good and noble nation. It advanced the defining belief that we are a country offering equal opportunity to everyone.

In making that choice, however, America also made another decision: Not to elect our first female president. Women were left at the back of the bus. As I travel the country these days and speak to audiences of varied political persuasions, I am often struck by the quiet but growing movement of women, especially younger women, Democrat and Republican, who believe their time has come. Much of Hillary's support says, "It is our turn."

Is that enough to keep Clinton "forever young", like Reagan? Not completely. Reagan's eternal youth, like Kennedy's, was actually the understanding that he would keep our country "forever young". Without similar vision and optimism, Hillary's crusade remains only a quest for personal achievement. To that purpose, Karl Rove has opened a wound that will bleed and hurt Clinton. Unfortunately, it will also hurt the Republican Party Rove aims to help.

GOP has its own problems
Right now the GOP is a cause few are proud to join. We are a dark and purposeless confederation, known for primarily for saying "no" and telling people, not what they can be, but what they should not do. We seem to employ our principles only with only the darkest and most defensive intentions.

This assault on Hillary Clinton will only aggravate that perception of the GOP, and the moment couldn't be worse.

Many young voters have had their hearts broken by President Barack Obama. In return for the dreams, hopes and votes they invested in him, Obama has rewarded them with huge student debt, no jobs, declining prospects, and an intergenerational transfer of wealth from their empty pockets to their gluttonous elders. Those young voters are available to Republicans who would lift their eyes over the horizon and lead them to something better. They are not eager to stand beside Rove holding a bloody ax.

Please don't think me apologetic. I love negative political campaigns and have run more than a few of them. I believe Republicans have an obligation to disqualify a failed, industrial-age political philosophy that is leading our nation to decline. We have responsibility to warn voters about hot stoves and shout an alert not to touch them.

Yet, our ultimate obligation is to cook something and feed a population hungry for leadership. It remains our mission to inspire and take an ever-hopeful people from a great nation to an even better one.

Ultimately, this is a collective failure, belonging to all but a few Republicans. GOP leaders and sages rarely make an effective case that their principles offer the only possible path to a future of promise, progress and prosperity.

When we don't lift those principles before voters, when we don't step up and lead, we are defined only by tactical wedge issues that divide and not big principles that inspire, unite, and attract the next generation.

In this battle, we have dug our hole a little deeper and exposed the GOP's lack of leadership. It is a big price to pay for a party in need of optimism and vision. It is also a steep cost to a country in need of renewal, confidence, and big dreams.

Join us on Facebook.com/CNNOpinion.

@highlight

Alex Castellanos looks at Karl Rove's assault on Hillary Clinton's health and age

@highlight

He says his language probably was reckless, but could succeed as part of a larger strategy

@highlight

But, he argues, it also continues to damage the Republican brand