President Barack Obama paid tribute Friday to the U.S. service members who "defied every danger" to pour onto the beaches of Normandy 70 years ago in defense of liberty.

His remarks at the American Cemetery in Colleville-sur-Mer, which overlooks Omaha Beach where so many fell, were part of a series of solemn events to commemorate the D-Day landings in northern France.

Chief among them is an elaborate international ceremony on the stretch code-named Sword Beach, in Ouistreham, for which world leaders and veterans took places in stands set up on the sand.

As the ceremony got under way under brilliant sunshine, military bands marched on a map of the globe laid out across the golden strand in front of French President Francois Hollande.

Hollande spoke of the bravery of the young men who waded ashore under a deluge of German fire seven decades earlier, through waters turned red with blood, hailing them all as heroes.

"I want to express my gratitude to all the fighters who are no longer here," Hollande said, going on to list the American, British, Canadian, Polish, Belgian and other forces that took part. He paid tribute to the many Russians who died during World War II and to the German victims of the Nazi regime.

Secret D-Day training mission cost hundreds of lives

The Allied forces' sacrifice allowed Europe to live in security today, Hollande said in a speech that also highlighted the challenges the world now faces.

It was followed by a dance performance depicting the occupation, liberation and post-war reconstruction of Europe.

The D-Day landings, in which mainly British, U.S. and Canadian troops invaded Nazi-occupied France, were a turning point in World War II.

D-Day: Exploring the myths of the Normandy landings

Obama: 'Democracy's beachhead'

Obama, speaking earlier at the American Cemetery, said he was honored to be there "to pay tribute to the men and women of a generation who defied every danger: among them, our veterans of D-Day."

Lengthy applause rang out as the U.S. President said he was humbled by the presence of some of those veterans at the ceremony.

Share your family's D-Day stories

"Here, we don't just commemorate victory, as proud of that victory as we are; we don't just honor sacrifice, as grateful as the world is; we come to remember why America and our allies gave so much for the survival of liberty at this moment of maximum peril," Obama said.

Their story should remain "seared into the memory of a future world," he said, describing Normandy as "democracy's beachhead."

He said, "It was here, on these shores, that the tide was turned in that common struggle for freedom.

"What more powerful manifestation of America's commitment to human freedom than the sight of wave after wave of young men boarding those boats to liberate people they'd never met?"

After the poignant ceremony, Obama and Hollande moved among the veterans and military officials, shaking hands and thanking them for their service.

The cemetery, which sits on a cliff overlooking Omaha Beach and the English Channel, contains the graves of 9,387 U.S. servicemen, most of whom lost their lives in the D-Day landings.

Omaha was the deadliest of the landing sites because German forces were able to fire from fortified positions on the cliffs above as the first waves of soldiers reached the shore.

70 years later, D-Day vet jumps again

Putin and Obama meet

A lunch for world leaders and veterans hosted by Hollande before the Sword Beach ceremony was the scene of an impromptu meeting between Obama and Russian President Vladimir Putin.

The pair spoke on the margins of the lunch in what  Deputy National Security Adviser Ben Rhodes said was an informal conversation, not a formal bilateral meeting. It lasted 10 to 15 minutes, he said.

Obama and Putin have been at loggerheads in recent weeks over Russian actions in Ukraine, and the pair were not seated next to each other for lunch.

The run-up to the commemorations has been dominated by the crisis in Ukraine, which has sparked the worst East-West tensions since the end of the Cold War.

Putin and Ukrainian  President-elect Petro Poroshenko also talked briefly before the leaders went in to lunch in Benouville, with German Chancellor Angela Merkel standing between the two as they spoke.

G7 leaders have urged Putin to engage with Poroshenko, who will be inaugurated Saturday, as Ukraine's legitimate leader and take steps to ease the pro-Russia separatist unrest roiling eastern Ukraine.

Putin was excluded from a meeting of G7 leaders held this week in Brussels, Belgium, as part of measures to sanction Moscow over its annexation in March of Ukraine's Crimea region.

'Touching' commemoration

More than 156,000 troops crossed the English Channel during the D-Day invasion on June 6, 1944. Nearly 10,000 Allied troops were killed or wounded.

Nicholas Soames, grandson of British wartime leader Winston Churchill, said it was "very touching" that so many people had come to take part in what will probably be the last commemoration of the D-Day landings on this scale, since those who survived are now in their 80s and 90s.

Nearly 1,000 veterans have traveled to France to take part in the events, according to the French government.

Veteran Bernard Jordan, 89, went missing from his nursing home in Hove, a town on the south coast of England, on Thursday, wearing his war medals underneath his jacket, according to CNN affiliate ITV.

He was bound for the French shores once more.

But the nursing home didn't know and called police, the station said.

Jordan was found in France a day later marking the 70th anniversary with his friends. Another veteran called the care home to say he met Jordan on a coach to France and both men were well in a Ouistreham hotel, according to ITV News.

The affiliate caught up with Jordan on his return leg, about to board a ferry home.

He called the commemorations "a first-class show." He attended them last year.

"That was the main reason I came over here," he told the affiliate. "Touch wood ... if I'm still about, I should try it the next few years as well."

When the affiliate asked whether he would be in trouble back home, he laughed: "I might be, but I hope not." He was then escorted away.

Britain's Queen Elizabeth II is the only living head of state who served in World War II, working as a mechanic and military truck driver in the Women's Auxiliary Territorial Service.

'Strength of heart'

Earlier, Hollande spoke at a war memorial in the city of Caen at a ceremony to honor civilian victims and paid tribute to all those killed in the conflict.

He recalled the "strength of heart and bravery" of those who helped to liberate France from Nazi Germany, as well as the many victims in Normandy -- more of them civilians than soldiers.

Although the war may be long over in Normandy, Hollande said, "the war is still here in this tumultuous, uncertain and sometimes threatening world -- and in all wars, it is civilians who pay a heavy price."

The Queen, Prince Philip and Prince Charles took part in a ceremony at the British War Cemetery in Bayeux, the largest of the Commonwealth cemeteries in France.

Further along the French coast in Arromanches, the Duke and Duchess of Cambridge, William and Kate, attended a tea party for veterans, and each royal spoke separately with the silver-haired and beret-attired honorees.

Canadian Prime Minister Stephen Harper was also in Normandy to honor the Canadian forces that stormed Juno Beach 70 years ago.

"It is a source of enormous national pride that Canadians played such a pivotal role in ensuring the success of the D-Day landings," he said in a statement.

"We are also deeply humbled by the enormous sacrifices made by our fellow citizens, who with grim determination, stood shoulder to shoulder with like-minded allies to fight evil."

A fireworks display was staged Thursday night along the Normandy coastline where the landings took place.

Obama vows to stand with Ukraine as he meets President-elect

Opinion: Putin's empire-building is not a new Cold War

@highlight

UK veteran slips out of nursing home to attend 'first-class show' in France

@highlight

Obama tells Putin he risks further isolation if he doesn't work with Kiev

@highlight

French President Francois Hollande hails heroes who died on Normandy beaches

@highlight

Putin and Ukraine's president-elect also speak at the lunch for leaders