Although you may think that bottled water is a safer option than tap, two new reports show that the store-bought stuff is actually less regulated than the water you get out of your faucet for free.

What's in your water? You may be hard pressed to find out, reports the Environmental Working Group.

The Food and Drug Administration has little authority to regulate bottled brands, according to a U.S. Congressional report released recently.

While municipal water utilities are required to provide public reports of test results, bottled-water makers are not. (On the other hand, well water, which is found in many rural areas, isn't regulated as water provided by towns and cities is.) So although you may fork over a pretty penny for bottled water, that doesn't mean it's any better than what's coming out of your faucet. In fact, it could be worse and you'd never know it.

The new research is backed by a second report from the Environmental Working Group. The nonprofit advocacy organization surveyed the labels and Web sites of nearly 200 popular bottled-water brands and found that less than 2 percent disclosed three important facts that can affect safety: the water's source, purification methods, and chemical pollutants in each bottle. (See the full report on bottled water at EWG's Web site.)

"We're really pushing for a consumer's right to know what's in their water," says Nneka Leiba, an environmental health researcher at the EWG. "This isn't a doomsday scenario. It isn't that the claims are false; it's just that they are misleading."

Reaching for the most popular bottled brands isn't necessarily a solution. In fact, the EWG report found that some of the best-known brands -- for example Whole Foods and San Pellegrino -- are the least likely to report where the water comes from and what it contains. Health.com: Plastic recycling gets easier

"This probably has to do with the fact that they're imported, so the regulations are different," says Leiba. "Some of the brands you think wouldn't be as transparent, like Walgreens or Sam's Club, scored higher than many of the popular brands."

So what's a safety-conscious shopper to do? In recent years, some reports have suggested that tap water could be contaminated by trace amounts of pharmaceuticals or other substances. Health.com: Why caffeine and sugar are poor substitutes for sleep

Leiba says that activated carbon water filters -- like Brita pitchers or faucet attachments -- are a safe and affordable option for filtering tap water. If families can afford it, she recommends a reverse osmosis filter, which will eliminate all impurities.

These reports come as food safety concerns seem to be at an all-time high. Lately, recalls of spinach, sprouts, peanut butter, and, most recently, cookie dough have made many consumers start to question the safety of the items they find on grocery-store shelves.

Unlike tap water suppliers, bottled water companies don't have to have their water tested by a certified laboratory, and they aren't required to notify customers within 24 hours if they find elevated levels of contaminants. The FDA does require bottled water companies to test for contaminants and other problems, says Joshua Sharfstein, M.D., the agency's principal deputy commissioner. Health.com: Could your rug make you sick?

If the companies fail, however, the public doesn't get to see the actual test results. "There's clearly a difference in disclosure between municipal water and bottled water, but the FDA's laws focus on safety of food more than on disclosure of information," says Sharfstein. "It's not a question of whether the FDA can do more; it's whether the government can do more through the food safety bill."

Only changes in the current regulations would make it mandatory for manufacturers to make those kinds of records public, he says. Those regulations may change with the Food Safety Enhancement Act. Health.com: Drink this tea to lose that belly

The proposed Food Safety Enhancement Act covers many aspects of food safety, including better preventive control measures by food manufacturers, more frequent inspections of facilities, and greater FDA authority over food recalls.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Congressional Report: FDA has little authority to regulate bottled water brands

@highlight

Conversely, municipal water utilities are required to make test results public

@highlight

Watchdog group's survey: Less than 2 percent of bottlers disclose important info