Lagos, Nigeria (CNN) -- I certainly didn't anticipate this turn of events: that more than 200 Nigerian girls, students kidnapped from their hostels in dead of night, would still be missing, and with their abductors, for 100 days in peacetime, democratic Nigeria.

The agony of the girls, and more specifically of their parents, has haunted the country since. In those weeks, at least 11 of the parents have died: seven of the fathers were among 51 bodies taken to hospital in Chibok after the terrorists attacked Kautakari, just nearby, and at least four are confirmed to have died of heart failure, high blood pressure and other illnesses.

"One father of two of the girls kidnapped just went into a kind of coma and kept repeating the names of his daughters, until life left him,'' a community leader, Pogu Bitrus told the Associated Press.

There is a sense of disbelief among protesters and Nigerians generally -- from across the world. Citizens whisper to themselves in malls, at parties, in the markets, across offices, at newspaper vendor stands and in airport terminals. We knew things were bad; but we didn't know they were so bad that the Nigerian government would be incapable of securing even this symbolic victory over the terrorist Boko Haram for more than 100 days.

When did we become the kind of country where this happens?

Well, it certainly has been a long time coming. Years of political infighting between the ruling and opposition parties led to a breakdown of trust and cooperation across state and federal government agencies; the one suspecting the other of using the terrorists to win political advantage.

The relative inaction has only emboldened Boko Haram, which these days invades communities, taunts Nigerians in videos (including the latest this week by its leader Abubakar Shekau), and hoists flags in villages with the ease of an advancing army.

Opinion: Nigeria's kidnapped girls not forgotten

The 100-day marker for the kidnap of the Chibok girls stands as the highest symbol for the failure of the Nigerian state to protect its citizens, to defend its territory, to inspire hope. From the two weeks it took President Goodluck Jonathan to officially acknowledge the scale of the problem to the relentless cross-government attack against citizen protesters, there has been a sense that the authorities are more interested in protecting their offices, than restoring confidence.

It doesn't help that it took the President 99 days to even meet the parents of the missing girls and only after a foreigner, Pakistan's Malala Yousafzai had pleaded. It doesn't help that, apparently, the 50-plus girls who escaped captivity have not immediately been taken under the wings of the government. It doesn't help that the country's secret service has taken to harassing leaders of the #BringBackOurGirls campaign at international airports.

It has become a broken record: the government says it knows the location of the girls. But this offers little comfort, as little comfort as the lack of information as to how exactly the international community is helping, since it has no boots on the ground.

The meeting with the parents on Tuesday hopefully opens a new chapter in efforts to find these people. For one, the much talked about empathy that has won this president the hearts of Nigerians was on display. Whether manufactured or not, it gave at least a ray of hope for a thirsty citizenry -- as we gather Wednesday in marches across the world, from Lagos to New York, Abuja to London.

Maybe this will be the beginning of stronger cooperation between the Chibok community and its federal government; maybe it will signify a thawing of relations between the presidency and the opposition state government. Maybe it will finally convince the President that protesters, like the parents, do not wish his downfall, they only want a slice of hope.

In a politically charged climate, where everything is interpreted against the backdrop of the coming 2015 general elections, this might be little more than futile hope.

But as we ponder the fates of at least 219 young women, caught in the Sambisa forest, surrounded by mosquitoes, spiders, dirty waters, deadly snakes and deranged fundamentalists, hope -- unfortunately -- is all we can afford.

READ: Nigeria's kidnapped girls not forgotten

@highlight

More than 200 Nigerian girls still missing, 100 days after being kidnapped from their hostels

@highlight

Agony of girls, and their parents, has haunted Nigeria since, writes Chude Jideonwo

@highlight

Years of political infighting between ruling and opposition parties led to breakdown of trust, he adds

@highlight

Jideonwo criticizes harassment of leaders of #BringBackOurGirls at international airports