(CNN) -- The statistics, unfortunately, are staggering. An estimated 44 million people worldwide are living with dementia, according to a report released Tuesday by Alzheimer's Disease International.

As life expectancies continue to rise around the globe, that number is expected to nearly double by 2030 and more than triple by 2050.

But there is some good news laid out in the sixth annual World Alzheimer's Report. For the first time, we're starting to get a clearer understanding of cause and effect when it comes to this debilitating disease.

Alzheimer's: The first chapter in a cruel journey

Here's the takeaway, according to Alzheimer's Disease International: What's good for your heart is also good for your brain.

More specifically, there is now "persuasive evidence that dementia risk ... can be modified through reduction in tobacco use and better control and detection for hypertension and diabetes, as well as cardiovascular risk factors."

Alzheimer's is No. 6 on the Centers for Disease Control and Prevention's list of the top 10 causes of death in the United States, claiming nearly 85,000 lives in 2010.

Alzheimer's toll may rank with cancer, heart disease

"Given this epidemic scale and with no known cure, it's crucial that we look at what we can do to reduce the risk or delay the onset of developing the disease," wrote Marc Wortmann, executive director of Alzheimer's Disease International. "Governments must develop adequate strategies to deal with the epidemic holistically, including tacking both reduction in risk for future generations, and adequately caring for people living with the condition and supporting their friends and family."

The bottom line is that it's never too late to make some changes to improve your physical and mental well-being. Here are five things you can do right now to reduce your risk of dementia:

1. Look after your heart.

2. Be physically active.

3. Follow a healthy diet.

4. Challenge your brain.

5. Enjoy social activity.

The 10 warnings signs of Alzheimer's

The strongest evidence exists in linking dementia to a lack of education in early life, hypertension in midlife and smoking and diabetes across a lifetime, according to the new report.

"There's also relatively strong evidence that people in low-education countries have a higher risk for Alzheimer's and other dementias," said Keith Fargo, director of scientific programs for the Alzheimer's Association. "(This) can be controlled across the lifespan. Taking people and giving them a better education in grade school, high school, and college significantly lowers risk at the population level."

It's also important to keep our brains buzzing as we get older.

"While we don't endorse specific activity like crosswords or mazes," Fargo said, "we say, 'Find a mentally challenging activity that's fun or enjoyable for you, and you'll maintain it. That's going to be good for your brain health as you age.' "

"If we can all enter old age with better developed, healthier brains," the report concludes, "we are likely to live longer, happier and more independent lives, with a much reduced chance of developing dementia."

The global cost of dementia in 2010 (the latest year for which data are available) was estimated at $604 billion. That number is expected to rise to $1 trillion by 2030.

"With this in mind," wrote World Dementia Envoy Dr. Dennis Gillings, "we can't afford to do nothing."

@highlight

World Alzheimer's Report: 44 million people worldwide are living with dementia

@highlight

That number is expected to nearly double by 2030

@highlight

What's good for your heart is good for your brain, scientists say