(CNN) -- Chicago is the third-largest U.S. city, home to nearly 3 million people and the gateway to America's heartland. Like many other cities, it's working hard to combat violent gangs that make it dangerous to grow up in certain neighborhoods.

Things may be turning around under Police Superintendent Garry McCarthy: Murders have dropped under his leadership. And he says the city's violent reputation is "way overblown."

Tackling Chicago's 'crime gap'

Still, Chicago struggles to create a safety net for those whose daily lives are affected by the intractable inner-city violence.

Politicians, teachers, community activists and other residents are all addressing different facets of this issue in CNN's original series "Chicagoland."

Here are some of the organizations featured in the CNN series that you can help to make Chicago a safer, stronger city:

1. Program to keep kids off the streets

Soccer, theater, creative writing, culinary arts -- these are much better alternatives for high school children who might otherwise be on the streets between the time they get out of school and their parents come home from work. These activities are part of a program called After School Matters, set up in 1991 by Maggie Daley, the late wife of former Mayor Richard M. Daley.

After School Matters raises money by selling some of the art made by teenagers in the after-school programs:

The program has had an impact on more than 100,000 teens since its inception, according to its website.

2. Stronger schools and students

Chicago's public schools educate more than 400,000 children and, like a lot of school systems across the country, they've had to do it with a lot less money in recent years. If you've seen CNN's "Chicagoland," you know that the city's schools -- particularly Fenger High School, which is featured in the series -- are often the only chance many young people have to create a better future. You can help the school system with as little as $10 through the Children First Fund: The Chicago Public Schools Foundation. To help Fenger specifically, you can donate to Billy Dec and Juanita Jordan's fund-raiser for the school.

3. Theater and music

It's no surprise that Chicago has a thriving arts scene. Yet the world-class museums, theaters and concert halls might as well be a world away for many residents. To change that, several organizations are bringing the arts scene to all of Chicago. Teens in the diverse Albany Park neighborhood can channel their artistic expression onstage at the Albany Park Theater Project.

For future singers, the Chicago Children's Choir offers opportunities in 65 schools across the city to "(empower) singers to bridge cultural divides and become ambassadors of peace in their communities." And the Chicago Symphony Orchestra's Institute for Learning, Access and Training is helping develop the next generation of musicians across all areas of the city.

4. Back to nature

Organic produce is a rare sight in many of Chicago's poorer neighborhoods, but one organization is not only addressing that problem -- it's employing people in sustainable jobs to cultivate and distribute healthy fruits and vegetables.

Chicago's Growing Home organization counted down its achievements for 2013 on its blog, including distributing boxes of organic produce, training and supporting previously unemployed or underemployed Chicagoans, and raising awareness about the importance of a healthy lifestyle.

5. Inspiration for future leaders

President Barack Obama got his political start in Chicago, and there's a good chance that another future American president is learning about civic leadership with the help of organizations such as Mikva Challenge and the Urban Alliance.

Mikva Challenge, named after former U.S. Rep. Abner Mikva and his wife, Zoe, a longtime education activist, strives to "help low-income Chicago youth become meaningful actors in politics." The organization has trained more than 20,000 young people to learn how to participate in Chicago's political process. It even helped Fenger High School organize a peace march, featured on "Chicagoland."

The Urban Alliance started an internship program in 2012, helping high school students learn key job skills and develop relationships with major business partners. All interns have graduated on time from Chicago public high schools, and nearly all are attending college.

Here are a few other groups helping to make Chicago a better city:

• The Beloved Community Chicago

• Kids Off the Block

• Ounce of Prevention Fund

• Wade's World Foundation

• West Side Health Authority

@highlight

Chicago's violent reputation is "way overblown," police superintendent says

@highlight

Organizations featured in the CNN series "Chicagoland" strive to make city better