United Nations (CNN) -- We have all heard about the Arab Spring, the rapid change which swept through the streets of the Middle East and North Africa.

In New York in March, there was a brief coincidental Security Council spring. 10 out of 15 nations approved a Security Council resolution endorsing a firm response to a crackdown in Libya. NATO bombing soon followed.

I saw and felt a difference. U.N. diplomats and staff expressed confidence and hope that the international organization was finally going to make a difference by being unified and taking dramatic action to help citizens threatened by their own government.

'Horror story upon horror story in Syria'

Reporters were almost gleeful, dreaming that the slumbering global gang in New York would now be ready to move on and take action in other trouble spots.

Alas, reality eventually set in. People call it the Libya hangover effect now.

Despite months of a similar violent crackdown in Syria, there has not been a peep from the U.N. Security Council. Russia and China are getting their diplomatic revenge for the way the Libya resolution quickly turned into NATO bombing.

They feel the resolution was over-interpreted. The two countries have veto power when it comes to U.N. voting at the Security Council so a Syria resolution pushed by the UK and France has stalled.

Brazil's foreign minister Antonio Patriota said concerns with the Libya resolution was "influencing the way delegations look" at other resolutions, like Syria. It's the way it is at the Council table. Whether its Myanmar or Zimbabwe, no matter the level of repression, several countries led by Russia and China feel it is not the U.N.'s role to get involved in each member country's dilemma.

"The failure of the U.N. Security Council to act is a tragedy," says Jamie Metzl of the Asia Society.

He says China and Russia fear that if the Security Council feels empowered to address major human rights violations occurring around the world, eventually it could get around to Moscow and Beijing.

Analysts feel Russia and China can hold out. Other diplomatic initiatives, usually on the Middle East, die on the vine at the U.N. as events change and distractions occur.

So far resolution backers say they have the nine votes minimum required for a yes vote, but can't avoid the veto threat.

Russia and China have Brics to throw in their defense too. BRIC countries Brazil and India join Russia and China in opposition. They fear a resolution would help to destabilize a key Middle East country.

Resolution proponents hope to get at least 11 out of 15 countries to sign onto the resolution, then test the veto threat. But watching diplomats leave a discussion on the resolution last week said it all. The Europeans were glum, avoiding reporters' eyes, while the Russian U.N. ambassador was confident, smiling and remarking "no news is good news."

Of course, even those who want a resolution have to concede they are fighting for a text which will not dent President Bashar al-Assad's regime. There is no threat of Libya-style military force or even sanctions.

Some countries have imposed their own unilateral sanctions against Syria. A U.N. resolution though is the toughest international diplomatic law. "We do think the Council has to act .. it's simply sending a message," said French U.N. Ambassador Gerard Araud.

The resolution would demand an immediate end to the violence in Syria and condemn systematic human rights abuses. The proposed text calls on Syrian authorities to lift the siege of affected towns and provide reforms for political participation, inclusive dialogue and the exercising of political freedoms.

"The Security Council has failed to react to Syria which is both extraordinary and disappointing," said Carne Ross, a former UK diplomat at the U.N.

He now recommends citizens go around the U.N. deadlock by using websites to highlight Syrian or other government repression, and encourage more boycotts of products from companies involved with "problem" nations.

@highlight

The U.N. authorized action in Libya swiftly but Syria has been a different story

@highlight

Russia and China are getting their diplomatic revenge; they feel the Libya resolution was over-interpreted

@highlight

Other nations fear a Syria resolution would help to destabilize a key Middle East country

@highlight

Some countries are imposing their own unilateral sanctions against Syria