Singapore (CNN) -- Lior Peleg cuts an incongruous figure at the Singapore Airshow.

Among the suited middle-aged men selling military hardware she looks more like a beach-loving backpacker, casually dressed in a black tank-top with a camera slung around her neck.

But what really marks her out among all the arms salesmen touting the newest military technology -- "lethal but affordable" reads one sign above a missile manufacturer -- is that she one of the few people present with operational military experience.

She's a former drone pilot for the Israeli military and represents the new face of air force pilots.

Peleg now works for Israel Aerospace Industries training future operators of unmanned aerial vehicles (UAVs). Typically they would sit in front of a number of display monitors, often thousands of miles away from the drones themselves, using just a mouse, joystick and ergonomic pad to direct the deadly payload.

Training takes only a few months depending on the trainee's knowledge, she says, and it helps to know something about aeronautics and physics.

But so far removed are modern unmanned aerial vehicle pilots from their counterparts in cockpits, that basic computer knowledge isn't even essential before learning to fly a UAV.

"Some (we train) don't know how to use a mouse," says Nir Tel-Oren, a senior consultant the Israel Aerospace Industries. "Not all of our customers are in the modern world," he adds.

Drones have become a huge part of military operations across the world. According to a U.S. Congressional research paper, the U.S. has nearly 7,500 UAVs of all sizes and capabilities, making up nearly a third of all its military aircraft, compared to 2005 when they were one in twenty.

That ratio will probably rise in the next few years with some in the industry predicting that within five years half of U.S. military aircraft will be unmanned. Other countries, from the Caucuses to Southeast Asia, are developing their own UAV systems, made possible by their relative cheapness compared to manned aircraft.

From the smallest that can be launched by hand to the largest that can be the same size as a Boeing 737, drones are used to do what most in the industry call the three Ds: dull, dirty and dangerous.

The "dull" part covers missions like border surveillance and maritime patrols that need eyes in the sky for hours at a time.

"Dirty" is much more open to interpretation, but the "dangerous" part is clearly defined as when a pilot in a similar mission could become a casualty.

Tel-Oren was a pilot in the Israeli air force and can recall missions he might rather have not have flown when he was a pilot. While obviously an advocate for unmanned systems, he suggests their role can be divisive, even within his own family.

"My son is a pilot in the air force and we have a lot of arguments. I believe that unmanned technology will take over and do some missions that I would prefer my son not to do; he thinks otherwise," he says.

More UAVs in missions also brings into question the role of humans in combat environments. As well as keeping pilots out of danger, could keeping a human out of an immediate mission area lead to better, calmer decisions being made during critical missions?

"It depends on the mission, but you'll always need to have that critical thinking capability in a pilot," says Major Rod Secor of the U.S. Army's Unmanned Aircraft Systems division.

"You need people to assess situations, especially landing in a hot zone of some sort, but I think it is the future for our defense; more and more unmanned."

Unmanned land vehicles that can offer support behind ground troops or drive themselves in convoys are still being trialed and developed by the likes of Lockheed Martin, but aerial drones are now so prevalent that some in the industry think the market is saturated with manufacturers.

Yet as UAV technology improves they are set to become an even more important part of security and military operations -- part of a system that gathers and relays information to other drones, ground control, manned aircraft and satellites.

"They've become a network of networks, like the internet," says Tel-Oren, who says IAI alone has a $10.5 billion backorder for UAVs and the communications systems they are part of.

As well as a different face, Peleg then represents just one small part of this new network changing the way militaries operate. On a human level they are quite straightforward, "UAVs are easy to fly," she says. "Anyone can be trained."

@highlight

Unmanned Aerial Vehicles -- drones -- now a huge part of military operations across globe

@highlight

Congressional paper: United States has nearly 7,500 UAVs of all sizes and capabilities

@highlight

Analysts predict half of U.S. military aircraft will be unmanned within five years

@highlight

UAVs in missions raise questions over role of humans in combat environments