Kathmandu, Nepal (CNN) -- To see her playing with her friends, Maya Lama seems much like any other child.

But until last year, the 12-year-old Nepalese girl led a very different existence, forced to work grueling 16-hour shifts in a carpet factory in Nepal's capital, Kathmandu.

Maya's ordeal began in 2011 when, as a 10 year old, she came to the city for a visit with her uncle. Little did she know he would force her into becoming one of the country's estimated 1.6 million child laborers, putting her to work in exchange for money to give her parents.

For the next year, instead of going to school, she said she was made to work from 4 a.m. to 8 p.m. everyday, with barely any breaks.

Like Maya, Yangzee Sherpa from Taplejung in northeastern Nepal was also coerced to join the workforce at an early age. She said her grandfather brought her to the capital to work because the family needed money.

"My father was an alcoholic and my mother couldn't take care of me," said the 12 year old. "I don't know why they sent me to work while my two brothers went to school."

Nepal's underage workers

Though child labor is illegal in Nepal, an estimated 1.6 million children between the ages of five and 17 years are in the work force, according to the National Child Labor Report.

About three-quarters of them are under the age of 14, and most are girls.

Child workers are a frequent sight on Kathmandu's streets, whether cleaning dishes in local restaurants or making a living as conductors on the city's public transport.

Many are employed in the carpet, brick and garment industries, or in private homes as domestic workers.

Employers typically see the relationship as a mutually beneficial arrangement, providing the children accommodation and education, as well as a salary that supports their families, said Krishna Hari Pushkar, director general of Nepal's Department of Labor.

Though working as underage domestic help is defined as child labor, there is a mutual agreement between the children, their parents and the employers, Pushkar said, referring to it as "social adoption."

Rescued from forced labor

Thousands of children continue to work as breadwinners for their families. Maya and Yangzee are some of the lucky ones. They were rescued by Nepal Goodweave Foundation, a local non-governmental organization that works to eradicate child labor within the carpet industry.

Today, they live with more than 30 other children, all under 14, at the foundation's transit home in Kathmandu.

A regular day at this hostel-like facility is filled with children chattering, playing and attending classes. But when they sit and share their past, an eerie hush falls over the room.

While Nepal's Interim Constitution of 2007 guarantees the rights of children, and the country has signed major international conventions against child labor, enforcement is weak. Under its National Master Plan on Child Labor, the country has identified the worst forms of child labor -- bonded labor, domestic child labor and carpet weaving among them -- and aims to eliminate them by 2016. It hopes to eliminate all other forms of child labor by 2020.

In a recent address during World Day Against Child Labour, Hanaa Singer, country representative of the United Nations Children's Fund to Nepal, said that addressing the issue should be a priority. However, she said the country lacks the number of labor inspectors necessary to effectively monitor child labor practices in illegal factories, or in residential situations where children are often employed as domestic helpers.

Recently, protests rocked Nepal's capital following the death of a 12-year-old girl who was working as a domestic helper in the neighboring district of Lalitpur.

Srijana Chaudary, a former kamlari or bonded laborer, self-immolated in March because of her perceived academic failures, according to her employers' testimony to the police.

While police ruled her death a suicide, activists argued that the girl was ill-treated and her employers should be held accountable for her death. In response to the public outcry, the government agreed to form a committee to investigate the case. Its report is still to be released.

The modern problem of kamlari

While forms of bonded labor have existed in Nepal for centuries, the contemporary kamlari issue stems from the 1950s, when the eradication of malaria in the country's Terai region led migrants from other parts of the country to move in and occupy land traditionally owned by the Tharu ethnic community.

With no legal records of their traditional land ownership, the Tharus were forced to become agricultural laborers for their new landlords and many were forced into debt.

Many Tharu girls as young as five were sold into indentured domestic servitude by their families as a way of repaying the debts, where they could experience years of unpaid menial labor, violence and abuse, according to Shanta Chaudhary, herself a former kamlari.

When Nepal officially banned the practice in 2000, an estimated 200,000 bonded laborers from 37,000 households were emancipated, according to the survey statistics from the Backward Society Education, a non-governmental organization working to eradicate the practice.

But with the government ban focusing largely on men working in the farms, girls working as child slaves for their landlords were mostly overlooked, said Man Bahadur Chhetri from the Kamlari Abolition Project, a part of the U.S.-based non-profit Nepal Youth Foundation.

According to Chhetri, some 12,000 kamlaris have since been rescued. However, he said, more than 500 girls, especially in Kailai and Kanchanpur districts in far-western Nepal, are still working as child domestic workers.

A family tradition

Shanta was among those rescued following the 2006 decision by Nepal's Supreme Court to make the kamlari practice illegal.

"I was born into a family of bonded laborers," said Shanta, now an activist and former Constitutional Assembly member in Nepal's interim parliament. "I was expected and forced to work since I was eight."

For the next 18 years, Shanta said she toiled under harsh circumstances as a domestic worker, serving her landlord in Dang in mid-west Nepal.

She was freed when she was 26. Now 32, she has taught herself to read and write, entered politics and successfully contested the 2008 general election.

Despite government efforts, Shanta thinks while poverty continues to exist in Nepal, so will child labor.

"It might be minimized but not completely eradicated," she said.

According to the United Nations Development Program's International Human Development Indicator, 44.2% of Nepal's population lives under the poverty line. In extreme cases, some parents send children to work. Sometimes, children themselves run away in search of a better life.

While many Nepalese children are still trapped in this abysmal situation, the ones rescued share optimism for a better future -- their traumatic past has not killed these children's dreams.

"I want to study and become a counselor so I can help children like myself when I grow up," Maya said.

Yangzee, on the other hand, said she wants to continue the alpine legacy of her community.

"I'm going to climb a mountain someday," she said. "It'll be Everest."

@highlight

Though child labor is illegal in Nepal, an estimated 1.6 million aged between five and 17 work

@highlight

About three-quarters of child laborers are under the age of 14, and most are girls

@highlight

Many are employed in the carpet, brick and garment industries

@highlight

The country hopes to eliminate the practice by 2020, but former child laborers are skeptical