(CNN)The 110th birthday of former Chinese leader Deng Xiaoping was celebrated on August 22 with an exhibition, a television biopic, and a series of national events. The "paramount leader" ruled for more than a decade, kick-starting China's market economic reform.

All these events have prompted much talk not just on Deng but also on Chinese president Xi Jinping.

Straws in the wind here hint that China is again entering an era of strongman rule.

Less than two years after Xi took over the top Communist Party post, Xi's leading position is looking virtually unassailable.

He now holds the top posts in the party, state and the military. Recently, he has cleverly maneuvered to put himself at the head of two new supra-ministerial bodies.

The "central leading group on national security" gives him the final say on diplomatic, military, security, police and intelligence institutions.

The other leading group on "deepening of economic reform" gives him oversight on economic affairs, clipping the power of Premier Li Keqiang, China's No. 2 leader and the de facto COO of the economy.

This, China analysts say, signifies that Xi has become the most powerful Chinese leader since the death of Deng in 1997.

Mao or Deng?

Xi's shrewd moves makes China watchers wonder: Is he mimicking Mao, who wielded absolute power during his decades-long rule?  Is he building a cult of personality that befits an omnipotent modern-day emperor?

To be sure, Xi does not approve of totally repudiating Mao.

"To completely negate Mao Zedong would lead to the demise of the Communist Party of China and to great chaos in China," Xi said early last year.

He rejected "historical nihilism," instead advocating "not being negative about the 30 years before Deng Xiaoping's economic reform."

Still, some China experts say Xi is not following Mao's policies.

"If you look at what he does and how he does it, I don't see much Maoism," said Ezra Vogel, a retired Harvard professor and author of the book "Deng Xiaoping and the Transformation of China." "I see much more of Deng Xiaoping."

Vogel recalled how Xi chose Shenzhen as the site of his first "inspection tour" as president. The Special Economic Zone is where Deng Xiaoping experimented with his market-reform in the early 1980s. Xi referred to that in his speech commemorating the 110th anniversary of the birth of the late Deng.

"It was a very sentimental thing," Vogel noted. "I think the effect of the speech and what Xi was trying to say is that 'Ok, Deng was a bold leader who tried to make changes. I'm going to make some changes too.'"

Like Deng, Vogel explained, Xi believes that the country must be strong.

"But he felt in the end that only if the country had enough internal stability could you make changes," the Harvard professor said. "And he was quite cautious about releasing and allowing more freedom until the conditions were met. It looks to me that Xi Jinping was very much following it."

Keeping friends close

The Harvard historian has not seen much sign that Xi wants to be more democratic.

"He has been very tough on corruption, and the way I see it now he's beginning to talk about the law, the legal reform," he said.

Early this month the Communist Party announced that Zhou Yongkang, the former public security minister and member of China's Politburo Standing Committee, would be investigated "on suspicion of grave violations of discipline."

This is by far the biggest step Xi has taken in his anti-corruption campaign, confirming his pledge to take on the "tigers" (top officials) as well as "flies"(minor violators).

Like Deng, Vogel added, Xi wants to centralize things in his own hands. "He wants to be a strong leader. He wants to make bold decisions. And he wants to make it very clear that he's in charge."

Xi is in a hurry to take charge. Since he took over top posts, he has been moving allies into key Party, government and military positions.

"It took (former president) Jiang Zemin 10 years to promote his trusted commanders to top military posts," says one Chinese source who requested anonymity because of the sensitive nature of the topic. "It took (Xi's predecessor) Hu Jintao four to do the same. Xi is doing it in two years."

Liu Yuan, an army general and, like Xi, a well-connected "princeling" (he is the son of the late Chinese president Liu Shaoqi), is poised to be elevated into the military commission, the source said.

Current Shanghai party chief Han Zheng is also expected to move to Beijing to join the Leading Group on Economic Reform.

Top-level reshuffles are expected to be finalized during a policy meeting, called a "plenum," of the nearly 400 members of the Communist Party's elite scheduled in October.

After this round of changes, the Chinese source said, "about 70% of top leaders in the provinces and major cities and some ministries will have been replaced or reshuffled. It's the second stage of Xi's plan to put in his people."

"Historic mission"

Supporters of Xi's attempts to accumulate power say he needs to do so to deal with a host of pressing challenges.

I asked whether this makes him a dictator in the making.

"Every leader in the world does this," the source said. "If Hillary (Clinton) becomes the next U.S. president, she will also do the same -- put people you trust in critical posts." Leading China's transition, he said, is an extraordinarily difficult job.

Xi's admirers say he a pragmatist who is more goal-oriented than ideologically driven.

"It's not really a question of whether Xi is a conservative or a reformist," said the Chinese source. "He is poised to make big changes because he truly believes he has a historic mission to achieve his China Dream.  He wants to keep the Communist Party in power but he also wants to push China to the next level."

How Xi will achieve his goals remains undefined, but one thing is clear: Xi does not welcome unsolicited advice.

Earlier, he had been heard saying, off-the-cuff:  "Westerners with full stomachs should not be lecturing China."

Said in the fashion of Mao and Deng.

@highlight

Xi has become the most powerful Chinese leader since the death of Deng Xiaoping in 1997

@highlight

China watchers compare Xi's ruling strategy to those of Mao Zedong and Deng

@highlight

China insider: "Xi truly believes he has a historic mission to achieve the China Dream"