(CNN) -- This year's roster of awards show nominees are more diverse than has probably ever before been seen in Hollywood.

Films featuring mostly African-American casts such as "12 Years a Slave," "Fruitvale Station," "Mandela: Long Walk to Freedom" and "Lee Daniels' The Butler" have seen both their projects and their actors rack up plenty of critical praise and some nominations. But does diversity really count if a film or its stars are passed over for the win?

During Sunday night's Golden Globes "12 Years a Slave" was nominated for seven awards, but snagged only one, though it was the biggest of the night: best motion picture, drama.

"Losing again, and again, and again, and again, and again, and again was crushing for the '12 Years a Slave' crew," Entertainment Weekly noted of the scene at the awards show. "By the time the final award was presented -- Best Drama -- many at the Fox event were only half paying attention. They had passed the other stages of grief and settled on 'acceptance.'"

Being passed over for wins can happen to any movie, but when it happens to a critically acclaimed film about slavery with a mostly black cast, the issue of race can't help but become a part of the conversation. Especially when the Hollywood Foreign Press Association, which runs the Globes, and the Academy Awards voting body also gave no nods to "Lee Daniels' The Butler" and "Fruitvale Station," both of which were popular with critics.

"Oprah (Winfrey, who was heralded for her performance in 'The Butler') was such a sure thing for Gold Derby's Experts that she came in first place for a nomination as far back as September 1...," wrote site Gold Derby, which handicaps the award races.

Undoubtedly, there would be some snubs with such a strong year for films in Hollywood. But even beyond those nominated there is the issue of the importance of actually scoring a trophy.

Jeff Friday is founder and chief executive officer of Film Life, Inc., which sponsors the annual American Black Film Festival (ABFF). He said that while this season has turned out to be "a phenomenal year as it relates to diversity in cinema," that doesn't ensure those films will be noted.

"This is what I would call a banner year for black cinema," Friday said. "But what is a banner year in the theaters does not always translate to that same level of accolade as it relates to awards season. I was pleased to see the number and breadth of nominees, but was not at all surprised to see that the black films didn't win (at the Golden Globes)."

This is an era when USA Today can cause an uproar by referring, as they did in a headline, to the mostly black cast film "The Best Man Holiday" as "race-themed" and where "Saturday Night Live" held special casting for black actresses after complaints that the show lacked diversity.

Oscar nominations will be announced on Thursday and the Los Angeles Times reports that "despite recent efforts by the Academy of Motion Picture Arts and Sciences to expand and diversify its ranks, the overall group of 6,028 Academy Award voters remains much more white than the diverse group of filmmakers likely to be shortlisted for the best work in 2013's movies."

Special coverage: Awards season 2014

"Even with the 432 new voting members, the overall academy is still 93% white, a decrease of less than 1% from what The Times found in a 2012 membership study, and 76% male, also a less than 1% decrease from what The Times found two years ago," said a story from the Times published in December with the headline "Diversity efforts slow to change the face of Oscar voters."

Film Independent is an organization that helps filmmakers make films and recognizes their work with the Film Independent Spirit Awards. The organization's president, Josh Welsh, said the importance of diversity cannot be overstated.

"A healthy thriving film culture is one that embodies diversity where multiple voices and people from different parts of the country, and different ethnic backgrounds, sexual orientation, age and income are represented," he said. "The more diverse the pool of filmmakers is, the richer the film culture is."

For that reason Film Independent actively works on increasing diversity behind the camera and has several programs including Project Involve, which seeks to cultivate talent from underrepresented communities. And while Welsh said it's great to see more diversity in this year's nominees, he believes it matters whether or not the awards are actually garnered.

"As a culture we have a long way to go," he said. "Diversity is a problem -- the access people have to making films, getting their story told and getting recognition. There's a reason we keep diversity as a part of our mission because the work is not done. It's fantastic that these films and filmmakers are getting nominated and what's most important is that these films are getting into theaters and connecting with audiences."

NPR television critic Eric Deggans pointed out in a recent piece on its website that "it is a landmark year in one sense: We are seeing more people of color nominated for major awards than we have in the past," while also noting that black actors Chiwetel Ejiofor and Idris Elba were nominated in both film and TV categories at the Golden Globes.

"There are ... certain actors of color who've been embraced by Hollywood, and maybe it's time to spread that wealth around a little bit and get a wider range of actors involved in these big projects," Deggans said.

Friday is already looking ahead to 2014 with concern that there doesn't appear to be as much diversity on tap in the big budget films as there was in 2013. His hope, he said, is that more diverse independent films will catch the eye of big studios for distribution, as was the case with "Fruitvale Station." He is also not waiting for Hollywood recognition as his organization is set to launch the ABFF Hollywood Awards, an online platform where the public can vote on their favorite black films and performances.

"Hollywood is an industry about mass consumption and mass acceptance, but the people who pick the best are always a very small, monolithic group, so we don't have a voice," Friday said. "We should be proud of being nominated, but let's not have the illusion of inclusion."

Keep up to date with the Awards tracker

@highlight

New: "The Butler" and "Fruitvale Station" overlooked by Oscars

@highlight

There is a great deal of diversity among nominees this year

@highlight

Critically-acclaimed "12 Years a Slave" received only one Golden Globe

@highlight

Insider says there is still a long way to go