BEIJING, China (CNN)  -- When -- after many visits to doctors and hospitals --- Tian Huiping's son was finally diagnosed with autism, the only advice she was given was to make use of a loophole in China's "one-child" policy that allows parents with disabled children to have one more.

Tian Huiping considered suicide when she learned her son was autistic. Instead, she opened an autism school.

Alone with her son after her husband divorced her, Tian became depressed and desperate enough to consider killing herself and her son, Yang Tao.

"I made a poison for me and my son," she said.

But when she saw her boy smiling up at her happily, she says she couldn't do it.

"I thought, I have no right to end his life, and I cannot kill myself and leave him."

From that horrible moment 18 years ago, there grew an incredible resolve -- the kind of dogged determination borne of a mother protecting her child.

At one of the many hospitals she went to for help in Beijing, Tian came across a small brochure printed by the Taiwan Autism Association, explaining a few basic concepts on how to teach kids with autism.  Watch mom describe being near suicide with autistic child »

She read it over and over again.

"I just tried to work a little bit with my son and another boy we lived with," she says. "And it worked -- a little bit -- but I saw hope."

She rented space in a kindergarten and opened her own school at first, with just six autistic children. She slept on the floor in a store room to save money.

Two months later, the kindergarten closed her down. "We didn't make enough money for them," she says.

But the children had shown progress, even though the teaching was based on a few simple concepts in a few pages of a brochure. Soon, the word was out. And more parents with autistic children came to Tian  looking for help, all of them with the same fears.

"If my son cannot go to school, what will happen with him? As a mother this is such a big worry."

Fifteen years later, Tian and her Stars and Rain Education Institute for Autism help more than 3,000 children a day through her school and its outreach program. Eighty children of all ages enroll in her school for an 11-week course with their parents -- many of whom travel hundreds of miles from small villages to get help for their children. The parents then return to their villages to try to educate the local population.  Interactive: Autism 101 »

The Chinese government says there are only about 100,000 people with autism in the entire country, but unofficial estimates put the number between 1-2 million people, perhaps even more.

Tian says her institute has a list of just 60 doctors nationwide who are capable of diagnosing autism. Fifteen years ago, she says there were just three.

Because resources are scarce, the focus at her school is on teaching the parents how to educate their children. They first help parents to accept their child's disability and teach basic information about autism awareness. Programs are individualized for each child, with teachers working on verbal communication, managing tantrums and other early intervention methods.

One of the parents is a woman named Fu Jing. It took three years and countless wrong diagnoses, before she finally learned why her son Ruoqi wasn't talking or playing with other kids, she said. When Fu leaned Ruoqi was autistic, her world collapsed.

"I thought about committing suicide with my son. I could not imagine the pain he would suffer when he grew up. All the unfair treatment from society and schoolmates," she said. "As a mother, I felt so much pain."

But now Fu is learning how to communicate with her son, how to raise him, even how to love him.

"The training here strengthens the acceptance of your kids. Honestly speaking, as an ordinary person, I get angry and even shout at him," she said. "But here, they say we have to accept our kids as who they are. I feel that I have changed."

There are no government programs to help parents with autistic children -- and there is no government help for Tian and her school.

"I'm not used to requesting anything from government," she says. "We have grown up in such a situation."

For the past three years, Stars and Rain has been working with Heartspring, a Kansas-based center for children with special needs. Teachers from Beijing have been sent to Wichita, Kansas, for training; and teachers like Connie Coulter have come to Stars and Rain.

When she arrived in February, Coulter found a school with almost no resources and without access to the latest research. Some parents, she said, would come up to her and ask about a magic pill or vitamin "to cure their child."

"In the villages where they're coming from, they're just viewed as basically throw-away children," she said.

"To tell [the parents] and be able to educate them, it was an exhilarating experience to talk to them about the basic understanding of autism."   Coulter described her time at the school as a "life-changing experience."

"There are things that they have taught me about value of family, the passion, the empathy, the sacrifice that I don't see as much in the United States," she said.

It's a sacrifice these parents feel lucky to make -- because in China, if your child has autism and you want to help, there is almost nowhere else to turn. E-mail to a friend

CNN's Wayne Drash contributed to this report.

@highlight

China estimates 100,000 people with autism; some say real number is 1-2 million

@highlight

Mom considered murder-suicide with autistic son; instead started autism school

@highlight

The school helps 3,000 children with autism every day despite no government aid

@highlight

"As a mother, I felt so much pain"