Even as investigators say they need more access to bodies and wreckage from last week's Malaysia Airlines Flight 17 crash in eastern Ukraine, the pro-Russian rebels that control the territory say they're tiring of having any probe there, a spokesman for a monitoring group said Friday.

With the site still not secure eight days after the crash, and victims' remains still lying with debris, nations such as Netherlands are pressing to send their own police and investigators to the scene. Various negotiations are under way.

But rebels controlling the area -- the same rebels that Ukraine and the United States accuse of downing the plane and killing the 298 people aboard -- hinted to an international monitoring group that they've nearly had enough, even with the small amount of investigators they've already let in.

"We were given the indication ... that their patience is almost wearing out," said Michael Bociurkiw, a spokesman for the Organization for Security and Co-operation in Europe, which has had a small team touring the site for days. "They're saying maybe another week and then they don't know what would happen."

That's not likely to please a number of nations that say a proper investigation still hasn't begun, including Netherlands, whose officials say they're negotiating with the Ukrainian government to send 40 Dutch military police to search for more bodies.

The rebels "are encouraging us to pass the message up the command chain, if you will, that a group of experts, perhaps 25 or 30, should get here soon to oversee ... movement of the debris," Bociurkiw, who was with the OSCE team in eastern Ukraine, told CNN's Anderson Cooper on Friday

Monitor: Personal effects suddenly appearing at wreck sites

Accusations over who was responsible for bringing down the passenger jet, which was headed from Amsterdam to Malaysia, continue to be traded by the Ukrainian government, pro-Russian rebels and officials in Moscow and Washington.

Flight 17 was downed on July 17 by a suspected surface-to-air missile over eastern Ukraine, where groups of pro-Russian rebels are fighting Ukrainian government forces. The rebels have denied allegations from Ukraine and the West that they brought down the commercial airliner using equipment supplied by Russia.

On Friday, the OSCE team again toured the crash site, returning to a recently discovered section of fuselage from the plane. This time -- unlike Thursday -- victims' passports and other documentation were there, Bociurkiw said.

"We can't draw any conclusions. But for sure, those were not there the last time we were there," he said. "Perhaps someone placed it there. We don't know."

No Ukrainian government or international force has secured the site, raising concerns about tampering or pilfering.

The OSCE team on Friday toured with a few experts from Australia and, for the first time, some forensic experts from Netherlands.

CNN's Phil Black has reported from the area that  there appears to be no ongoing effort to find and retrieve victims' bodies. Though many corpses have been recovered already, Bociurkiw said the group still has seen human remains among the debris several times this week.

378 body bags processed so far

As of Friday afternoon, 378 body bags containing remains of Flight 17 victims have been processed in the Ukrainian city of Kharkiv, where discovered remains have been sent, Sergey Bochkovskiy, the head of Ukraine's State Emergency Services, told reporters there.

Officials say it's unclear how many individual victims' remains are contained in the bags.

Dutch citizens comprised 193 of the 298 people aboard the downed flight. By Friday, 198 coffins had either already arrived in Netherlands or were on their way Friday,  Bochkovskiy said.

Another 38 coffins were expected to arrive in Netherlands on Saturday, he said.

Officials accused the rebels who control the crash area of preventing recovery workers Thursday from searching for more bodies.

On Friday, Jan Tuinder, head of the Dutch police team that his country wants to send to Ukraine, said he hoped better access could be negotiated between the rebels and the Ukrainian government.

"I just want to get in," Tuinder said.

Netherlands is stepping up efforts to ensure that the remains of all the crash victims return home from Ukraine, Dutch Prime Minister Mark Rutte told CNN on Thursday.

"We will increase our effort to bring home all the victims of this disaster," he told CNN's Cooper. "We will send into the crash site a large number of people from the Netherlands -- experts, forensic experts, people from the police who are trained to deal with this type of work."

He said he hoped to have about 50 personnel at the site by Sunday.

Dutch families keep airport vigil

At Netherlands' Eindhoven airport Friday, Silene Fredriksz and other victims' relatives held vigil for a third day, watching the coffins come in but not knowing whether they contained their loved ones.

"When they're here on the Dutch grounds, I (will) feel safe," Fredriksz told CNN's "New Day" on Friday. "After all the horrible things I've seen that happened there in the Ukraine fields, it's a big, big nightmare for us, but ... when everybody's here, I feel safe."

Fredriksz's son, Bryce, was on the flight with his girlfriend, Daisy Oehlers, bound for a Bali vacation. Fredriksz said she'll be at the airport, watching the military cargo planes come in and the coffins come out, until they stop coming. As the coffins have been brought off, they have been received in solemn ceremonies.

"It's very emotional, but also beautiful that they're finally home," she said.

The bodies' arrival in Netherlands contrasts starkly with their initial treatment at the crash site, where they were left exposed to the elements for days, and in some cases, according to Dutch officials, stripped of personal belongings.

The transfer of the remains to Netherlands that were brought to Kharkiv, Ukraine, is expected to be completed by Saturday, Rutte said Thursday. The work to identify them, by at least 200 international experts, is likely to take weeks or even months.

Australia sending police

Australia, which had 27 of its citizens on board the plane, says it has 90 police officers in Europe and is sending another 100 with a view to their joining a planned international deployment to provide security at the crash site.

"Australia is close to finalizing an agreement with Ukraine for the deployment of Australian police, some of whom could be armed," Australian Prime Minister Tony Abbott said at a news conference Friday.

"What we want to do is claim our dead and bring them home," he said.

Netherlands has said it is sending 40 unarmed military police to Ukraine, and they're expected to arrive Saturday.

European Union increases pressure on Russia

Earlier Friday, the European Union stepped up pressure against Russians and others it blames for fomenting the crisis in Ukraine, banning visas and freezing the assets of 15 more people and 18 more companies and organizations.

The EU's move aims to punish those supporting the monthslong pro-Russian rebellion in eastern Ukraine.

Details about who was sanctioned Friday weren't immediately available. But the European Union and the United States previously have targeted Russians and Ukrainians they say have assisted the rebellion and Russia's annexation in March of the Ukrainian Black Sea peninsula of Crimea -- such as Vladimir Shamanov, commander of Russian airborne troops.

The move brings the total number of EU sanctions in the Ukraine crisis to 87, and the number of entities to 20. The European Union on Friday also widened its criteria for future sanctions, saying it would now look to punish not only those who are aiding the rebellion, but also those benefiting "from Russian decision makers responsible" for it.

It's happened before: MH17 tragedy was part of a bigger air war

Who are Ukraine's pro-Russian rebels?

Ukrainian President: The world must choose sides

So much we don't know -- five unanswered questions

Who were the victims?

Should jet have flown over Ukraine?

@highlight

OSCE says rebels' "patience is almost wearing out"

@highlight

Flight 17 victims' families keep vigil for third day at Netherlands airport, waiting for more coffins

@highlight

Dutch negotiating to have police, experts at crash site by this weekend

@highlight

Australia is sending more police to Europe to potentially help secure the crash site