Tokyo (CNN) -- Workers at the Fukushima Daiichi nuclear power station returned to the plant Friday after a strong aftershock forced them to leave a day earlier, the plant's owner said.

The quake forced crews at the plant to evacuate as it rattled northern Japan late Thursday night. They returned to the plant about eight and a half hours later, and no fresh damage to the facility had been reported Friday afternoon, the Tokyo Electric Power Company said.

Before the quake, engineers had been injecting non-flammable nitrogen into the No. 1 reactor containment shell to counter a buildup of hydrogen in the chamber. That process continued while the plant was evacuated, and so did the pumping of fresh water into that reactor and units 2 and 3, said Hidehiko Nishiyama, a spokesman for the Nuclear and Industrial Safety Agency.

Hydrogen buildup is a symptom of overheated fuel rods in the cores of the reactors, which plant workers have been struggling to keep under control since the earthquake and tsunami. The nitrogen injections are aimed at displacing oxygen in the reactor shell, reducing the possibility of an explosion -- a chance Tokyo Electric called "extremely low."

A hydrogen explosion blew the roof and upper walls off the No 1. reactor building two days after the quake, and another blast two days later blew apart the No. 3 building. A suspected hydrogen explosion is believed to have damaged the No. 2 reactor on March 15 as well.

Both the Japan Meteorological Agency and the U.S. Geological Survey have rated Thursday's quake a magnitude 7.1, though the Japanese initially rated it at 7.4. It was centered in the Pacific Ocean about 90 kilometers (56 miles) north of the plant, near the epicenter of the magnitude-9 earthquake and tsunami that knocked out the plant's coolant systems four weeks ago Friday.

It also caused radioactive water to spill from the spent fuel cooling pools of another nuclear power plant, Tohoku Electric's Onagawa plant, the Sendai-based utility and NISA reported Friday. About 15 liters (3.9 gallons) of water spilled, and the concentration of radioactive particles was far below levels that would pose an immediate threat to human health, the company said.

The three reactors at the Onagawa plant, about 140 kilometers (88 miles) north of Fukushima Daiichi, shut down automatically when the March 11 earthquake struck and have not been restarted.

Workers at Fukushima Daiichi have been struggling to keep the reactors from overheating for four weeks, pouring tons of fresh water an hour into the reactors and trying to contain the spread of radioactive contamination that has been pouring out.

About 78,000 people who live within a 20-kilometer radius of the plant were ordered to leave their homes in the days following the quake, and another 62,000 within 20 to 30 kilometers have been told to remain indoors.

But government readings show that people beyond the current restricted zone may be exposed to dangerous long-term doses of radiation even though the readings fall below levels that now require an evacuation, Chief Cabinet Secretary Yukio Edano told reporters Thursday.

Edano, the Japanese government's point man on the crisis, said the country may set standards for long-term radiation exposure that would effectively extend the evacuation zone around the damaged plant.

"It is time for the government to consider setting another category for accumulated exposure," Edano told reporters. "The safety of the people is the first priority, and social needs come after that."

There is no timetable for a decision, Edano said.

Readings released Thursday by the country's science ministry from areas outside that zone indicated that long-term exposure could top the government's one-time standards for an evacuation within a few months. Some of those are in towns to the northwest, where prevailing winds have blown radioactive particles released from the Fukushima Daiichi plant.

The recorded doses are far below those that would cause radiation sickness but could pose a long-term risk of cancer, according to medical experts.

The anti-nuclear group Greenpeace and the International Atomic Energy Agency raised alarms about the spread of radioactivity beyond the 30-kilometer zone in late March.

Hiroo Saso and Ailing Chang contributed to this report for CNN.

@highlight

No damage has been reported from Thursday night's aftershock

@highlight

A small amount of radioactive water spilled from another nuclear plant

@highlight

Workers at Fukushima Daiichi have been struggling to keep the reactors from overheating