(CNN) -- President Obama has written yet another letter to Iran's Supreme Leader and, by all accounts, his missives remain unrequited.

It is not a pretty sight -- the commander-in-chief of the planet's mightiest army, the leader of the world's largest economy -- sitting down at his desk, chin in hand, trying to come up with just the right words to persuade the Ayatollah Ali Khamenei to make nice with America, time and again, even after his letters prompt a combination of silence and scorn.

It is good that Iran and the United States are talking. But this is another matter altogether. A letter is not needed to maintain communications. The two countries are already engaged in high-level negotiations, with a make-or-break deadline fast approaching on a nuclear deal.

The sad fact is that Obama's words seem to provoke exactly the opposite of their intended reaction from Khamenei, the man who will ultimately decide if there is a nuclear deal.

Khamenei has been crystal clear in expressing barely restrained contempt for Obama and his rhetorical advances.

Let's face it. Obama is not a very good negotiator, at least when it comes to Iran.

Obama has many strengths, but bargaining does not appear to be one of them. The fact has been evident in Washington, where he scored a few major legislative victories, but has mostly seen his agenda blocked. The blockers are Republicans and they surely bear much of the blame, but, as many have pointed out, other presidents have proven more effective at negotiating with the opposition.

After watching Obama's first press conference after the midterm election, Bloomberg View's Megan McArdle wondered if Obama even knows how to negotiate.

That is a scary question to ponder when the United States is on the verge of cutting a deal aimed at preventing Iran from developing nuclear weapons, when United Nations nuclear inspectors say Iran is refusing to answer questions about "possible military dimensions" of its nuclear program, and as the United States and the so-called P5+1 negotiating with Iran steadily reduce their demands on Iran's nuclear enrichment.

As Obama has said repeatedly, a bad deal with Iran is worse than no deal at all. The question is whether Obama's negotiating missteps are just that, missteps that can be corrected by crafty negotiators, or signs that he is so eager for a deal that he will lower the bar on what he considers as an acceptable agreement.

Obama has focused on repairing relations with Iran since he was a presidential candidate, making all the statements and gestures that should have warmed Tehran to a new future in an Obama presidency, if Iran had had any interest at all. As a candidate he called for direct talks, and in his first inaugural speech he famously declared "We will extend a hand if you are willing to unclench your fist."

Then, just after taking office, he went to Cairo and gave his conciliatory speech to the "Muslim world," vowing a new era in ties.

Khamenei's reaction should have been enough to have Obama cross out the Supreme Leader from his list of pen pals. "Beautiful speeches," Khamenei declared, "cannot change the fact that Muslims...hate America from the bottom of their hearts."

A few months later, when Iranians took to the streets and were brutally suppressed, Obama, who had just issued another conciliatory gesture, initially refrained from airing criticism. The Ayatollah later excoriated the American President, blaming the pro-democracy protests on American and "Zionist" plots, not on discontent with the regime and its version of theocratic democracy.

And yet, the missives from Obama kept coming. And still they traveled in just one direction. Maybe the President should have sent a self-addressed stamped envelope. At least then the disdain might have remained private.

The problem is worse than an epistolary cold shoulder. Every letter from Obama seems to contain a concession that goes unreciprocated.

Iran came to the table as the result of stern economic sanctions steadily enforced by Obama, and he deserves full credit for that. But it's not clear whether his personal interventions have helped the cause.

Amid reports that the West is already proposing to allow Iran a level of nuclear enrichment that would have been unthinkable in the recent past, the most recent letter crossed another line, reportedly suggesting a linkage between a nuclear agreement and cooperation between Washington and Tehran in fighting the Islamic State, also known as ISIS. Obama denied there is a link, without commenting on the letter.

When thinking about ISIS, Syria and Iran, we should remember that even though ISIS is viewed as a threat by both Washington and Tehran, Iran's goal is to fortify Syrian dictator Bashar al-Assad.

The United States and Iran share their enmity with ISIS, but their larger goals are in conflict. And that's just on Syria. Iran is viewed as a threat by America's allies in the Arab world, not to mention by Israel, which it continues to goad and threaten.

In apparent response to last month's letter, Khamenei's website carried an article saying Iran does not need U.S. help fighting ISIS. The United States has not done very well in the fight, it said, whereas Iraq, with Iranian help, is scoring victories against ISIS.

The timing of Obama's new letter is disconcerting, to say the least. The recent drop in oil prices has put Iran in a serious bind. This could be a moment of strength for American and European negotiators, a moment to show just how much Iran has to lose by insisting on maintaining significant portions of a nuclear program that America, Europe and many Arab countries believe was developed for the purpose of building nuclear weapons.

Washington already gave up the objective of seeing the nuclear program dismantled. The question now is how many months away from a bomb Iran would agree to stand in exchange for a lifting of sanctions.

Iran has played an expert game. Khamenei's ability to nix any deal he does not like looms constantly over the talks, strengthening Iran's hand. The America leader, on the other hand, could use some help.

@highlight

President Obama has written another letter to Iran's Supreme Leader

@highlight

Frida Ghitis: Obama doesn't seem to be a good negotiator when it comes to nuclear deal

@highlight

She says reports suggest West is proposing to give Iran more concessions

@highlight

Ghitis: Iran has played an expert game, Obama could use some help