(CNN) -- Joe Metz, a straight-talking Texas rancher on the U.S.-Mexico border, awoke recently to find 50 cows roaming freely in his front yard. Undocumented immigrants, he says, left a gate open as they crossed his land, which abuts the Rio Grande.

For years, he's witnessed migrants and drug smugglers touch American soil for the first time on his property.

"We deal with this every day," he said.

But as a rancher in Hidalgo County, he also knows firsthand the need for labor to keep producers in the Rio Grande Valley operating. The traffic through his land frustrates him -- particularly the potentially dangerous drug traffic -- but he acknowledges that most crossers are looking for opportunity.

It is an open secret that many of these undocumented immigrants will indeed find jobs in the local economy.

More than 1,700 miles away, U.S. lawmakers are engaged in their own debate over how to balance security concerns and immigrant labor needs.

The Senate has proposed one solution in the form of a sweeping immigration bill that the chamber passed last month. Border security figures prominently in that bill, and is also a priority for members of the House, where the debate has moved.

Five reasons immigration reform isn't close

Those who live and work on the border say there is a disconnect between the debate in Washington and the realities on the ground.

Voices of the border communities

Miles of border fencing built by the federal government -- actually a levy that was cut in half and reinforced with concrete to form a wall -- run across Metz's property near Mission, Texas. Two 40-foot gaps exist in the barrier so that workers can access all parts of the ranch, but there are no gates, creating a funnel for migrants and traffickers to cross.

Metz's experiences make him hawkish on beefing up the border, but he doesn't just want more border patrol agents. He wants to see work permits granted the millions of undocumented immigrants already living in the United States.

The agriculture industry in the Rio Grande Valley depends on immigrant labor, he said.

"They (the government) just need to face up to the situation and give all these people work permits," Metz said.

Opinion: Immigrants are driving the housing recovery

Migrants will keep coming across the border as long as there is work and a chance to make money, the rancher said.

"Farmers need the help, no doubt about that, because nobody wants to do the work," said Jimmie Steidinger, a farmer and agricultural producer, in Donna, Texas.

How immigration reform would affect 3 families

For those whose lands are traversed by migrants, the biggest concern is drug traffickers, more so than economic migrants, he said.

Putting undocumented immigrants on a path to citizenship would provide not just more able hands, but the relief of knowing who is crossing the border, he said.

For others, securing the border is not about how many boots are on the ground.

Border security means that people on both sides of the boundary feel safe, said Michael Seifert, coordinator of the Rio Grande Valley Equal Voice Network. That is not the case, he said.

The Equal Voice Network represents 11 community-based organizations focused on the area's poorest residents.

To many of these residents, the border patrol is something threatening, Seifert said.

Reports of heavy-handedness by border agents -- including use of force -- has bred mistrust among some border residents.

In one case in Arizona last year, a border patrol agent shot and killed an adolescent who had been throwing rocks alongside several others at the border. The border patrol confirmed that agents were being assaulted with rocks and that after verbal warnings to stop, one agent fired his service weapon.

Many in the community hear the stories of alleged beatings or use of stun guns by border agents and have become wary of their presence.

"We have a completely different perception" than outsiders, Seifert said.

The fears of the community are compounded by the fact that many families live in mixed-status households, where some members are living in the country legally and others aren't, creating fear of separation.

Seifert said a further buildup along the border would be bad both for businesses and the welfare of the communities.

The view from Washington

The Senate immigration overhaul bill passed only after being amended to include tough border security measures: Doubling the number of border patrol agents on the southern border to nearly 40,000, increasing fencing to 700 miles and deploying more technology.

In the Republican-controlled House, border security is being touted as a prerequisite before any undocumented immigrants are placed on a potential path to citizenship.

"I understand the issues our borders face and am committed to making sure the first thing that must be addressed with any immigration bill is strengthening and protecting the border," said Rep. John Carter, R-Texas, a member of the bipartisan House group working on a bill.

But some who study the border say the boundary with Mexico is as safe as it's ever been, and it doesn't make sense to flood the place with border agents.

"It sounds good and it looks good politically," to add more agents, said Maureen Meyer, Senior Associate for Mexico and Central America at the Washington Office on Latin America, or WOLA. "Calls for border security don't always reflect reality."

Opinion: Should U.S. be more like Mexico?

Currently, the border patrol is already double the size it was in 2005. As the agency grew, the number of illegal crossers apprehended decreased.

In 2005, each border agent -- on average -- apprehended 118 undocumented immigrants that year, according to data extrapolated by WOLA. Last year, that number fell to 19 apprehensions per agent.

If the border patrol is doubled in size again, how much further would that number fall? Would there be a lot of agents standing on the border doing nothing?

Not just a border issue

About 70 miles north of the Rio Grande Valley lies Brooks County, a community that has seen the cost of illegal immigration up close, even though it is not located on the border.

The county includes the town of Falfurrias, the site of the last border patrol checkpoint on Highway 281. Make it past the checkpoint, and a smuggler or migrant could be home free.

Most migrants try to avoid the checkpoint altogether, choosing instead to go around it by hiking deep into the vast tracts of ranch land.

But too often they become lost, or succumb to the unforgiving heat and die.

In 2012, 129 bodies of migrants were found in Brooks County. At least 42 have been found so far this year -- 11 in the past two weeks.

It can cost the county nearly $2,000 to pick up a body, transport it, and perform an autopsy. The county is also burdened with the costs of sending its deputies to these scenes instead of patrolling the community. The counties that are right on the border have access to federal funds to offset law enforcement and other costs, but Brooks County does not.

KSAT: Immigrants survive wild ride in U-Haul truck

The border "isn't secure, and I don't think they will ever secure it," Brooks County Judge Raul Ramirez said.

Still, Ramirez says that doubling the border patrol and prioritizing border security before immigration reform is not the answer.

"I think they don't get it. I don't think that's the solution," he said.

More agents will not stop determined migrants, but will simply drive up the price that a smuggler charges, he said. It also raises the likelihood that smugglers will choose riskier routes, meaning that even more people may die from exposure, he said.

What Ramirez would like to see is a deployment of current border agents to high-crossing areas, and a focus on catching drug traffickers.

What do border agents want?

The border patrol would appear to have the most to gain from an immigration bill with a tough security component. It would mean more money and more manpower.

But Shawn Moran, vice president of the union that represents border agents, the National Border Patrol Council, says that is not the case.

Rather than spending millions hiring and training 20,000 new agents, it makes more sense to properly fund the existing force to bring the border patrol up to 100% staffing for current agents, he said. That alone would be the equivalent of 5,000 new agents.

Calls for increased technology, from sensors to unmanned aerial vehicles are nice, but they are just tools, Moran said. It takes an agent to make an arrest, he said.

"We appreciate the sentiment, but we think (the immigration bill) has to be tweaked a bit," he said.

@highlight

The Senate's immigration bill calls for doubling the size of the border patrol

@highlight

The House is debating a strong security component to its bill, too

@highlight

Those who live on the border have a nuanced view of security

@highlight

Many want work permits for undocumented immigrants