(CNN) -- On the surface, Zack Hix is like many 18-year-olds.

The Simpsonville, South Carolina, teen's favorite foods are cheeseburgers and pizza. He listens to rock and punk music. He loves to race mountain bikes, play video games, watch Georgia Bulldogs football with his dad and -- perhaps most importantly -- draw.

But Zack also suffers from a laundry list of mental health issues, including both intermittent explosive- and obsessive-compulsive disorders, which make him different from other kids his age and threaten to inhibit his ability to function as an independent adult.

Zack is diagnosed with attention deficit hyperactivity disorder, anxiety and depression, in addition to the IED and OCD. He also has Tourette syndrome and tics that are the result of a Pediatric Autoimmune Neuropsychiatric Disorders Associated with Streptococcal Infection in the fifth grade.

Artistic self-expression through drawing helps to balance Zack's struggles. Together, the Hix family is on a journey to turn a series of Zack's characters into a career as a cartoonist.

"If we can make a go of this and he can work for himself doing what he loves to do -- chances are he is not going to be able to work in a traditional setting; they're so up and down with how they function -- maybe he can support himself after high school and not have to sit back and collect disability as a person who cannot hold a job," his mother, Kim Hix, said.

The Good Boy Roy crew -- including Roy, Zman and Rocker Rick -- are charismatic, athletic and musically talented. They are likenesses of Zack and those close to him. Life's joys and tribulations also inspire Zack's art, whether it's expressing his faith in God, standing up to bullies or maintaining a positive outlook on life.

"The images come to my head," he says. "I just capture them and put them on paper."

'I know that it is the illness'

Kim Hix, 46, is the president of Good Boy Roy, in addition to her roles as part-time personal trainer, an advocate for children in court proceedings and, of course, full-time mother.

"When Zack does awful things, I know that is the illness," she says. "He is so loving and sweet and thinks of others."

She knew early on that Zack was different, she says. He wouldn't sleep alone, screamed to the point where she thought he was going to hurt himself and had trouble processing the reasons he was disciplined.

The family had no history of mental disorders, so Kim Hix started taking Zack to doctors.

"We didn't know what to think," she says. "We were kind of bewildered."

Zack's father, Doug Hix, says it sometimes feels like they are isolated and on an island, but points out that many people have it worse.

Kim Hix says Zack's struggles continue to affect the family, especially Kelsie, 14.

"None of this is in your control really," says Kim. "You can't fix these things. If it's a bad day, if it's chaotic, you pray a lot and when you wake up you hope the next day is better."

No broad brush on his symptoms

Zack has seen psychiatrist Dr. Robert Richards since elementary school.

Richards doesn't use a broad brush to describe Zack's symptoms, he says, because the disorders manifest themselves differently according to the individual, the responsiveness to treatment and the resources available. But Richards did classify Zack's problems as severe.

Still, the teen has a "high-level of sensitivity and intuitiveness," Richards said. His drawings could be a way for him to express his view that people should be treated with kindness.

"If you look at other aspects of personality growth and development, he has a strong capacity for empathy," says Richards.

Dr. Ken Duckworth, a psychiatrist and the medical director for the National Alliance on Mental Illness, says the two most important variables in treating mental disorders and illness are family support and the patient's willingness to accept help from loved ones.

Kim says Zack is family-oriented, always wanting to be near and spend time with his parents.

"I can't tell them how much I love them in words," says Zack.

Doug Hix, who has been married to Kim for 21 years, works for an engineering company. At times, his work puts him on the road for two or three weeks a month. When he is home, Doug says he makes spending time with his children a priority. He and Zack race mountain bikes, follow the Atlanta Braves and never miss a University of Georgia football game.

"When he's at a calm state, when he's the Zack that we know and love, he's a great kid," Doug Hix says. "If his med levels are where they need to be, he can focus. Interaction with faculty and student body, it's spot on. You'd never expect anything."

It's those other times -- when he can't remain calm -- that trouble his parents.

Zack's OCD can cause him to grasp onto single thoughts. He'll want to do things perfectly and not being able to can sometimes propel him into a rage that can last for hours, his mother says. The episodes have occurred since Zack was a child.

Enter Good Boy Roy

Zack has drawn pictures since he was old enough to hold a pen. He has always gravitated toward cartoons, Japanimation characters and superheroes, his parents say. Drawing seems to provide Zack the context his compulsions won't allow, and his mother says he's always used artistic expression to apologize after acting out.

The characters are based on Zack and those close to him. Volleyball Girl was inspired by his younger sister, Kelsie, and Handsome Hen takes after the man who introduced Zack to "The Simpsons," his uncle Henry.

In 2009, Zack took a stack of Good Boy Roy drawings to his mother and asked what she thought. She liked them enough to have one printed on a red T-shirt, his favorite color.

Zack wore the shirt everywhere. Kim Hix had already considered making Good Boy Roy a business, but when she saw how proud the T-shirt made Zack, she wondered if it might be a way for Zack to support himself after high school if his mental health issues prove to be barriers to employment.

"I have always been a fixer," she said. "That has been my job since Zack was born, trying to get him help and get him the resources that can help him progress."

Since 2010, Zack's mother says he has made about $12,000 from merchandise and custom design sales, so the business is very much part-time. He has also illustrated a children's book, "A World Without Circles." The book's publisher has asked Zack to work on a children's book about bullying, something he experienced during middle school related to his Tourette's syndrome, his mother says.

Zack plans to graduate from high school in 2014 and hopes to continue spreading Good Boy Roy's message. He wants Roy, Zman and Rocker Rick to be known worldwide so they can inspire others with disabilities to find work.

Meanwhile, Kim Hix is learning how to juggle building a business with her own career and being a mother and wife. It's still very much a work in progress, but she hopes Good Boy Roy will reach other families dealing with mental health disorders and let them know they're not alone.

"Good Boy Roy, the business and brand, was launched to share with the world this story of hope, determination and overcoming challenges; [to] reach parents of children like Zack, to let them know they are not alone in their heartache and uncertainty; [to] let the kids know that anything is possible, and being different is OK."

@highlight

Zack Hix is the creator of the cartoon characters in Good Boy Roy

@highlight

He is diagnosed with a laundry list of mental health disorders

@highlight

Art has always been his avenue for self-expression

@highlight

His family wants to turn his artwork into a career so he can support himself