Washington (CNN) --  The Wall Street Journal reported Friday that office rents in Washington are poised to overtake rents in New York City. Washington now boasts the lowest office vacancy rate in the nation.

New York City is bleeding jobs, unemployment is over 10 percent. Washington is booming as government agencies like TARP and the General Services Administration expand.

New York's crisis and Washington's growth is more than a business page story.

Over two centuries, American culture has been shaped by the physical separation of politics and finance. The British might centralize everything in London, the French in Paris, the other countries of Europe in their great capitals, but the United States divided these functions.

The Constitution of the new republic provided for an autonomous federal district. It did not specify where that district should be. Mexico and Argentina both have federal districts that coincide with their greatest cities, and that option was at least theoretically available to the United States as well. Instead, the capital was sited on the swampy banks of the Potomac, far from the great commercial centers of the founding era: Boston, New York, Philadelphia and Charleston.

This decision had profound effects for the first 150 years of the new country's life. If a business leader wanted to talk to a member of Congress or the Cabinet, he had to take a long train ride, often a very long train ride. Simpler and easier to leave the job to a lobbyist. Sheer physical distance interposed itself much of the time between the country's financial, business, and political leaders.

It was an event when the great J. Pierpont Morgan made his way here, and most of the titans of 19th century industry never appeared at all.

In our own era, however, the distance has shrunk, decade by decade, faster and faster all the time. It's not a coincidence that the impressive new premises of the Securities and Exchange Commission are located across the street from Washington's Union Station. The power brokers don't even have to hail a cab on disembarking from the Acela.

And now the distance has vanished to nothing, and the one-time junior partner has gained the upper hand. The crisis of 2008 -- and the Great Recession of 2009 -- has interpenetrated government and finance in a way never before seen in the history of the United States. The kind of proximity to power once required only by defense contractors is suddenly required by all kinds of firms. Hilton Hotels will move from Beverly Hills to Washington. The accounting firm Deloitte will consolidate operations here, as will the legal firm McGuire Woods as it develops a new focus upon lobbying.

The Federal government is now the majority owner of the lending arm of General Motors, GMAC. It owns the nation's largest insurance company, AIG. It is banker, automaker, and lender of last, second and first resort. President Obama joked at his first White House correspondents' dinner that he had just been named Auto Executive of the Year. Who wouldn't want to lease the office next door?

The Federal Reserve has acquired a portfolio of $1 trillion in mortgage securities.

The government regulates salaries in the companies in which it holds interests -- and pay czar Kenneth Feinberg has lamented in a television interview that his power does not extend even further. "The biggest disappointment, I think, is that under the statute my jurisdiction is so narrow, and so circumscribed, that I have no real direct mandatory power over other Wall Street or other national companies," he said.

But as Washington gains, the country loses. It loses something more than its ideals of free enterprise and private ownership. It loses the very American idea of a capital as a specialized locale to which specific tasks are delegated -- not an American Versailles where favors are distributed and attendance is mandatory.

Not so long ago, Microsoft didn't even have a Washington office. Today Microsoft and Google are deadlocked in fiercer struggles than those that divide the oil lobby and the eco lobby.

For those of us who reside in Washington, the change is mostly positive. Certainly the restaurants are vastly improved. But maybe the country was better when the food in the capital was worse.

The opinions expressed in this commentary are solely those of David Frum

@highlight

Rents for offices in Washington could soon be more expensive than in New York

@highlight

David Frum says it's a sign of Washington's dominance as the new financial capital of U.S.

@highlight

He says long tradition of separating business, government centers has ended