(CNN) -- On Thursday, Ohio executed Dennis McGuire by injecting him with midazolam and hydromorphone, a combination of drugs that has never before been used in an execution.

Lawyers for McGuire contend that he will suffocate to death in agony and terror. The state disagrees. But the truth is that no one knows exactly how McGuire will die, how long it will take or what he will experience in the process.

At a hearing on January 12 about the new execution procedure, the state's expert, Dr. Mark Dershwitz, said, "I truly don't know how many minutes it will take the inmate to stop breathing," and later, "There is no science to guide me on exactly how long this is going to take."

This type of uncertainty is commonplace in executions today, as departments of correction scramble to find new drugs and new procedures to carry out executions in response to pharmaceutical companies taking steps to prevent the use of their products in executions.

Legal expert Deborah Denno compared the states' process of selecting an execution method to trying to figure out what to make for dinner. "It's like going to your kitchen cupboard trying to look for something to prepare for your next meal and just looking for anything," she said.

Many states have grappled with sourcing execution drugs, particularly pentobarbital. Increasingly, the states are turning to compounding pharmacies, which traditionally mix small batches of drugs to meet the specific needs of patients who require special formulations of their medicines. (Think of a child's antibiotic that tastes like a bubblegum drink, or a pet's medication formulated to taste like a meaty treat.)

When executions are carried out using compounded drugs transparency is lost, and even the most basic questions about the drugs to be used -- including where they come from, what they are made of and whether they will work as intended -- are shrouded in secrecy.

Oklahoma's Department of Corrections buys pentobarbital for executions from an unnamed compounding pharmacy. Missouri's Department of Corrections also buys its pentobarbital from an unnamed compounding pharmacy in Oklahoma, and lawyers in Louisiana believe the state's Department of Corrections intends to buy pentobarbital from an unnamed pharmacy in Oklahoma.

Lawyers for Herbert Smulls, who is scheduled for execution on January 29 in Missouri, know that the pharmacy is not licensed to sell drugs in their state, but the lawyers and the courts are prevented from knowing any details about the product the pharmacy produces, including whether the raw ingredients come from a reputable producer or whether the finished product is pure, potent and sterile.

Last week Michael Lee Wilson was executed in Oklahoma. Just after the compounded pentobarbital was administered to him, Wilson said, "I feel my whole body burning." Those were his last words.

Is one pharmacy in Oklahoma supplying all three states without regard for state and federal laws that prohibit several of the actions it is taking? Only the states can answer this question, and they aren't talking.

This level of secrecy is unfortunately nothing new when it comes to lethal injection practices. In the past year, several states have passed new laws making information about execution drugs and their suppliers confidential. Meanwhile, states are changing their execution practices to include never-before-used drugs and compounded drugs with no public input or oversight. In other words, states are simultaneously turning to less reliable, more questionable drugs and taking steps to more stringently hide what they are doing.

When corrections departments obtain execution drugs from compounding pharmacies, they are likely to violate state and federal laws - by asking the compounder to make "copycat" versions of an FDA-approved drug, by obtaining the drugs without a prescription, or, conversely, by using a fraudulent prescription written by a doctor who is paid for the service but who has never met the prisoner.

It's not surprising, then, that the departments don't want anyone to know what they are doing and refuse to reveal information about the drugs or the pharmacies where they get them, effectively preventing condemned prisoners from determining if the compounded pentobarbital is likely to cause unnecessary pain and suffering prior to causing death.

There are too many unknowns in states' current lethal injection practices. Novel drug combinations and compounded drugs present untoward risks of an unconstitutional execution and shield the general public from the truth of how the ultimate punishment is carried out in its name.

This destructive cycle of secrecy around lethal injection practices must end.

The opinions expressed in this commentary are solely those of Elisabeth A. Semel.

@highlight

On Thursday, Ohio will execute a man by using drugs never before used in lethal injection

@highlight

Elisabeth Semel: Lethal injection is bad enough, why shroud the process in secrecy?

@highlight

She says we need more public input or oversight on states' execution practices

@highlight

Semel: Condemned prisoners may suffer agonizing pain before death