(CNN) -- It was a moment of triumph amid a personal tragedy for Malaysian leader Najib Razak.

In the early hours of Tuesday morning, he could finally stand in front of his nation with news of a deal -- the breakthrough to release MH17's flight recorders from rebels' hands, and, as important, to bring home the remains of the victims.

Najib's own step-grandmother was on the flight, which was shot down near the Ukrainian-Russian border last Thursday. The second wife of his grandfather was flying to Malaysia to celebrate Hari Raya -- the end of the fasting month of Ramadan.

As he comforted his own family, as well as others who had lost loved ones, the Malaysian leader was working to unlock a standoff that had generated a political firestorm, said a source close to the prime minister.

Where was the anger?

Hundreds of bodies lay amid wreckage in an isolated field in what was described as "the world's biggest crime scene." They were being guarded by armed separatists who were refusing to give international monitors access to the site and material evidence.

Days after the crash, critics had started to question why the Malaysian leader had not made the same angry demands for answers heard from other world leaders.

The Boeing 777 shot down over Ukraine was the country's national carrier. It was carrying 298 people who trusted they'd reach their destination. It was the second catastrophic event to hit the airline in five months, following the unprecedented disappearance of flight MH370.

And, behind the Netherlands, Malaysia lost the greatest number of citizens on flight MH17: 43 people, including 15 crew. Where was the Malaysian leader's condemnation?

"It's really important that he did not start blaming anyone before getting what he needed," said Wan Saiful Wan Jan, a political commentator and CEO of the Institute for Democracy and Economic Affairs in Kuala Lumpur.

"If he had taken an aggressive stance right form the beginning we may not get the bodies and the black boxes," he said.

Strategy of 'quiet diplomacy'

From day one, according to the source, Najib had set his own diplomatic course; a strategy of quiet diplomacy.

Working with a small group -- less than a handful -- he set about making personal contact with the self-declared leader of the Donetsk separatists, Alexander Borodai.

Although Najib was in touch with the leaders of Russia, Europe, Ukraine and the United States, he was also using back channels to get to the man who controlled the crash site, the source said.

"He is a well-connected man. He was talking to people who could contact Borodai and eventually he came up with someone. And then he made personal contact," the source told CNN.

The first contact was made last Saturday, nearly two days after MH17 was downed. From then on, the two had "numerous" conversations, the source said, including some on Najib's personal mobile phone.

According to the source, Malaysia was regarded by the rebel leader as a non-aligned party in what had become a war of words between Russia and the West.

On top of that, the prime minister is seen by some as having a reputation as a deal-broker. He was instrumental in securing a peace deal between Islamic separatists in the southern Philippines and Manila.

Were claims over-stated?

However, Najib's claims to have brokered the deal with the pro-Russian rebel leader have been met with skepticism by some who say his role in the negotiations may be over-stated.

"I think he wanted to do the right thing there -- he calls it quiet diplomacy. He calls it a victory.... I don't think it can be called a success," said Gerhard Hoffstaedter from the University of Queensland, Australia.

Hoffstaedter said many of the bodies may have been handed over to authorities -- but not all of them. In addition, he said, the handover came much later than many Muslims would have hoped.

According to religious custom, bodies should be buried as soon as possible after death. The victims of MH17 had been left in a field in Ukraine for three days before their removal.

It's also unclear what Malaysia promised the rebels in order to secure the deal, Hoffstaedter added.

International pressure was growing on Borodai to co-operate with investigators, but Malaysian staff who were involved with the process believe the one-on-one contact was critical, and that a non-threatening Malaysia was the perfect negotiating partner.

"This has been a huge success for Najib domestically. He is clearly more popular now, the opposition is siding with him, even his critics are praising him," Wan Saiful said.

Prime minister under pressure

After facing international criticism of the country's handling of the MH370 disaster, the prime minister was under pressure to prove he was able to act quickly and decisively in the case of MH17.

The relief that his diplomacy had paid off was palpable when Najib began to speak to the nation in a televised address.

As he announced the deal with Borodai, he also gave the first public hint of his strategy.

"In recent days, there were times I wanted to give greater voice to the anger and grief that the Malaysian people feel. And that I feel. But sometimes, we must work quietly in the service of a better outcome," he said.

However, Wan Saiful said the real test of Najib's leadership will come when it's time to speak out against the perpetrators.

"The government should be more aggressive when there's concrete evidence. When that happens, it's very important to work with the international community, and to form a coalition to call for the perpetrators to be punished and brought to justice.

"When that happens, it's not really a matter of whether the PM is willing to be aggressive or not. He has to, otherwise it shows weak leadership," he said.

Bodies en route to the Netherlands

Who are Ukraine's pro-Russia rebels?

Unanswered questions

Danny Lin contributed to this report.

@highlight

Malaysian prime minister worked contacts to start talks with rebel leader, source said

@highlight

On Tuesday, Najib Razak announced MH17 bodies, flight recorders would be returned

@highlight

Najib's step-grandmother was on flight shot down near Ukrainian-Russian border last week

@highlight

298 people died in the disaster, the second for Malaysia Airlines in five months