(CNN) -- Everything about Jupiter is super-sized, including its colorful, turbulent atmosphere. But there's fresh evidence that one of the planet's most recognizable features, the Great Red Spot, is shrinking.

NASA's Cassini spacecraft photographed Jupiter and its Great Red Spot, seen center near the equator, in 2000.

The spot, which is actually an ancient monster storm that measures about three Earths across, lost 15 percent of its diameter between 1996 and 2006, scientists at the University of California, Berkeley, have found.

It shrank by about 1 kilometer (about 0.6 miles) a day during that time period, said Xylar Asay-Davis, a postdoctoral researcher who was part of the study.

Astronomers have observed for years that the clouds of the Great Red Spot have been waning, but this newest research focused on the motion of the storm -- a much more reliable way to measure its size, Asay-Davis said.

He and fellow Berkeley researchers Philip Marcus, Imke de Pater, Michael Wong and Sushil Shetty developed software that tracked the movement of the spot's cloud patterns over long periods of time.

"It's not just the motion of the spot as a whole object. Within it, it has a very complicated swirl to it -- sort of a thin ring on the outside and then a sort of quiet area in the center -- and that shape of it has been changing over time," Asay-Davis said.

"What we actually look at is where the winds are the strongest in the vortex. It's the ring where they're the strongest, and that ring has been shrinking over time."

The findings have been submitted for publication in Icarus, the International Journal of Solar System Studies.  See photos of the other planets and find out what makes them stand out »

What makes it red?

The researchers do not know why the storm is shrinking. In fact, little is known about the Great Red Spot at all. Even the exact cause of its distinctive color is a mystery.

"We don't actually know what causes any of the colors on Jupiter," said Amy Simon-Miller, chief of the Planetary Systems Lab at NASA's Goddard Space Flight Center. "One of the leading theories is that [the storm] is dredging up stuff from much deeper below in the atmosphere that turns red when it's exposed to sunlight."

The spot isn't always bright red; sometimes it's actually quite pale, Simon-Miller noted.

Astronomers have been tracking it since the 1870s, said Glenn Orton, a senior research scientist at NASA'S Jet Propulsion Laboratory who investigates planetary atmospheres. It is possible that the spot may one day disappear, he added.

"It's just a storm that, like many things, has a natural growth and disintegration rate," Orton said.

Astronomers see a dramatic difference in the spot's shape when comparing photos of Jupiter taken more than a century ago to recent images of the planet. Orton joked that the Great Red Spot used to be so long that its acronym should have stood for the "Great Red Sausage."

"I just happened to look at an old picture and said to myself, 'That looks like a breakfast sausage.' It's very long. I mean, if you look at one of those pictures back from then and a picture now, you think, 'My God, this thing is going on a diet," Orton said.

Now eye-shaped, the spot is expected to become circular by about 2040, he added.

Chemical stew

The storm is a fascinating feature on a fascinating planet. It has some of the characteristics of a hurricane on Earth, including a circular motion and strong winds. They're Jupiter-strength inside the spot, with some gusting up to 400 miles per hour, Simon-Miller said.

Unlike hurricanes on Earth, which are low-pressure systems, the Great Red Spot is a high-pressure system, so it's more stable -- one of the reasons it has lasted so long, she added. Another factor in its longevity is that there is no land on Jupiter to slow a storm in the way landfalls cause hurricanes to lose steam on Earth.

Jupiter's atmosphere of colorful dots, swirls and bands may look like an impressionist painting from above, but it would quickly lose its beauty on closer approach. The clouds visible from space consist of ammonia ice and ammonium hydrosulfide -- a sort of smoggy chemical stew -- and the conditions below are brutal, especially inside the Great Red Spot.

"The winds are so strong, everything would get pulled apart pretty quickly. There's no surface to stand on and look up at it," Simon-Miller said.

Probes sent by NASA towards the interior of the planet have been crushed by the gas giant's enormous atmospheric pressure.

Still, the images of Jupiter and its Great Red Spot mesmerize astronomers.

"The pictures are just so beautiful, and they're different every single time we look," Simon-Miller said.

@highlight

Scientists: Great Red Spot lost 15 percent of its diameter between 1996 and 2006

@highlight

It is possible that the spot may one day disappear, astronomers say

@highlight

Jupiter's famous feature is a monster storm that's been tracked since the 1870s

@highlight

Winds inside gust up to 400 miles per hour; it's not exactly known what makes it red