(CNN) -- On the outskirts of Rio de Janeiro, nestled along Guanabara Bay and within sight of the iconic Christ the Redeemer statue, one of the world's largest open-air landfills has closed after more than three decades of operation.

The landfill, known as Jardim Gramacho or Gramacho Gardens, is piled almost 300 feet high across 14 million square feet -- the equivalent of 244 American football fields. It is the largest landfill in Brazil and all of South America. Built in the late 1970s, it received close to 8,000 tons of trash daily, 70% of all the trash in the Rio metro area.

The closure comes less than three weeks before the United Nations' RIO+20 summit, where world representatives will gather to take a direct look at sustainable solutions for the Earth's environment. The move also comes in advance of Rio's preparations to host the 2014 World Cup and the 2016 Summer Olympics.

It's part of a continuing effort led by Rio's state environment minister to close all of the area's five official open-air landfills -- as well as an unknown number of clandestine ones -- by 2014.

Brazil tries to balance farming and forests

The landfills are giving way to more modern treatment facilities designed to reduce their environmental impact. In Jardim Gramacho's case, the daily trash will now go to Seropedica, which the government says is the most advanced treatment plant in Latin America. It's designed to curb production of greenhouse gases and pollution of the Guanabara Bay marshes. According to the city of Rio, the sludge from the decomposing trash will be treated and turned into recycled water, and escaping methane will be harvested.

At Jardim Gramacho, about 75 million cubic meters of methane gas will be collected over the next 15 years. The Brazilian petroleum company Petrobras will purchase the gas and use it to run one of its refineries. After 15 years, the landfill will be turned into a park, officials say.

At the turn of the century, complaints arose that Guanabara Bay was not safe for bathing because of contaminants leaching from Jardim Gramacho. The city announced the closing of the landfill several times but always postponed it until now.

Part of the proceeds from the methane sales will go toward rehabilitating the drug-infested slums, or favelas, that have sprung up around the landfill. Rio de Janeiro Mayor Eduardo Paes sees the closing of the landfill as an end to "the crime that Rio has committed for the last 40 years."

At its peak, Jardim Gramacho had about 5,000 catadores, people who spend their days scouring landfills for plastic, paper, wood, metal and anything else that can be sold to recycling companies. Their numbers have dwindled to about 2,000 as business at the landfill has wound down, city officials said, and now there is concern about their future.

These workers, whose ages range from 16 to 87, have been depicted by many media outlets and were featured in Vik Muniz's Oscar-nominated 2010 documentary "Waste Land." The film helped raise funds for the catadores, whose work supports close to 15,000 residents near the landfill, according to government estimates, and is responsible for much of the city's recycling.

According to Brazil's environment ministry, only 18% of the entire country's recycling is done as part of a formal program. That means most recycling is done by catadores.

The president of the Jardim Gramacho Cooperative of Collectors, Sebastian Carlos dos Santos, notes that there are about 1 million catadores all across Brazil.

"This is a promising market that needs to be a humanized form of work," he said.

Catadores at Jardim Gramacho generally earn about the Brazilian minimum wage, roughly $268 U.S. dollars a month. But in many cases, they can bring home twice as much.

According to the city of Rio, the cooperative and city officials negotiated more than $11 million as severance to be split among those workers who could prove they had been working at the site for the last few years. The severance, paid by the company responsible for the harvesting of the methane gas, is being paid to more than 1,600 workers.

How loggers are helping replant rain forests

The cooperative was also able to negotiate with the state government to set up a fund that will, for the next 14 years, provide funding for projects to educate the workers and provide them with tools to continue the job of recycling. The fund will also pay for classes if workers want to pursue another trade or career.

Catadores often work in dangerous conditions and receive no benefits. They are frequent victims of diseases such as dengue fever, spread by mosquitoes that breed in the landfill's stagnant water, as well as respiratory ailments and infections attributable to rats, birds and other vermin. In addition, medical waste from all the hospitals in the area was dumped at Jardim Gramacho. The workers can seek treatment at state hospitals through Brazil's precarious public health system.

The closing of the landfills is bittersweet to these workers.

The cooperative and its members know this is a step forward in rebuilding and conserving Rio's environment, but for many, this also means their only source of income has gone down the drain.

Severina Alzira Silva, 87, is described in the cooperative's blog as one of the oldest pickers working in the Gramacho landfill. She's worked there for more than 30 years, has nine children and is illiterate.

"I fear for my future, because I need to keep working," she said in one post.

@highlight

A Rio de Janeiro dump, the largest in South America, is closing after three decades

@highlight

Drug-ridden slums, informal economy grew up around Jardim Gramacho

@highlight

Thousands of scavengers, called catadores, made their living off recycling trash there

@highlight

The government is promising to retrain workers, improve slums, turn land into park