(CNN) -- Mitt Romney's strong debate performance and his apology for his callous remarks deriding 47% of the American public appear to be moving his poll numbers up in some states. But Romney's reinvigorated campaign is unlikely to move black voters.

Black support is at 0%, according to a NBC/Wall Street Journal poll (PDF) reported in late summer. The reasons for this may have powerful implications for the future of black political strength in presidential elections.

It's worth recognizing that the unwillingness of black voters to offer any measurable support for the Republican presidential candidate is unprecedented. It's not enough to say that blacks are voting for President Obama because he's black and that racial solidarity trumps politics. Or to note that black voters are overwhelmingly affiliated with the Democratic Party.

Sen. John McCain and vice presidential candidate Sarah Palin ran against a considerably more charismatic and untarnished Obama -- who was still black in 2008. McCain received 4% of the black vote. Black voters offered measurable levels of support to George W. Bush, 8% in 2000 and 11% in 2004; Ronald Reagan, 11%; and even Richard Nixon, 18%.

Opinion: Romney's foreign policy twilight zone

One of the reasons African-American voters do not support Romney is that they see the Republican Party's treatment of Obama, from the first weeks of his presidency, as an assault on a kind of racial collective dignity. This includes remarks such as GOP trash-talker John Sununu's description of the first black president of the United States as "lazy" after his poor debate performance.

It may seem like a long time ago to most Americans that Obama gave his first post-State of the Union speech before a joint session of Congress. But for many African-Americans, it seems like yesterday that the shaky credibility of the Republican Party began its final downward slide. What we now know as the "you lie" moment, when Republican Rep. Joe Wilson actually heckled the president of the United States, will one day be remembered as a watershed moment in racial politics.

Only the immediate, fierce and united Republican condemnation of Wilson could have possibly mitigated the effect of that moment on millions of African-Americans. That kind of condemnation did not happen.

Interactive: Racial voting bloc

At its very core, racism has always been experienced as an attack on dignity. Whether it was referring to a black man as "boy" or to black women by their first names, exiled to the back of the bus or to a separate water fountain, racism was a daily indignity for many early 20th-century blacks. Segregation itself was an attack on dignity. The idea that the very presence of blacks would sully white schools, lunch counters or hotels struck at the dignity of blacks as human beings and fellow Americans.

The civil rights movement worked to bring about economic and political power, to be sure. But at the core of those rights was that people be treated with dignity and respect. So when the Harvard-educated, eloquent, high-minded first black president of the United States is heckled in front of his wife by a member of Congress during a nationally televised speech, it is a game-changing moment for millions of blacks.

Rather than an isolated event, the Wilson affair was followed by other affronts, both big and small. Republican leadership's priority of ensuring Obama's failure in office. The refusal of formerly moderate Republicans to stand by positions they had advocated in the past in order to isolate the president. Parental protests against Obama's desire to send a message about studying and working hard to schoolchildren before the first day of school in 2009.

Arizona State University refusing to give the Columbia and Harvard-educated president of the United States an honorary degree. The rise of the tea party and the Republicans' cowardly refusal to call out racist elements in the movement. The video image of a tea party advocate apparently spitting on a black congressman. Tea partiers and others who bring weapons to events marked by vitriolic anti-Obama rhetoric. The entire "birther" movement and the ongoing attacks on Obama's legitimacy and nationality. The bumper sticker that reads "Don't Re-Nig."

Opinion: Romney's sorta-kinda call to arms

Each of these affronts was directed at Obama -- but was experienced viscerally and personally by millions of black voters.

The phenomenon is not easily reversible, at least not in the short term. It could even get worse: National Republican Party strategists might ramp up racial appeals to increase white voter turnout, efforts such as Romney's "welfare president" TV campaign and the party's crude efforts to suppress the black vote with voter I.D. laws.

In effect, having fully alienated black voters, the Republican Party may now see its only option as doubling down in an effort to increase the voting strength of white voters. It's a cynical ploy, to be sure, but it explains Karl Rove's recent assessment of the vote in Indiana. And it may explain why the chairman of the Republican Party insists on invoking the image of Obama as a stick-up kid who "stole" millions of dollars from Medicare "to fund Obamacare" and whom Republicans should "prosecute."

The ironic result is that the election of the first black president may well have moved us further back in removing race from politics than forward. What will this mean?

For the immediate future, we should expect Republican partisan politics to be fronted by an increasingly no-holds-barred use of racial appeals, particularly in places where Rove and like-minded strategists believe that working-class whites can still be manipulated by race. This will also mean stirring up hostility to policies that have been successfully racially identified in the minds of many working class white, male voters. These include welfare, criminal justice reform, support for cities and for public schools.

Until Election Day, we won't know whether the Republican Party assault on the president's dignity will translate into passionate black voter turnout for Obama. But what is certain is that black voters have collectively cut ties with the "Party of Lincoln." Instead, for blacks, the 21st-century Republican Party may one day be remembered as the party of Joe Wilson.

The opinions expressed in this commentary are solely those of Sherrilyn Ifill.

@highlight

NBC/Wall Street Journal poll found black support at 0% for Mitt Romney

@highlight

Sherrilyn Ifill: Black voters see GOP treatment of Obama as an assault on racial dignity

@highlight

Ifill: Tipping point was a GOP lawmaker heckling the president during a televised speech

@highlight

The upshot could be a more covertly racial GOP campaign to gain white male voters, she says