(CNN) -- Democrats have struck back at Republican senators' filibusters of President Barack Obama's three current nominees to the U.S. Court of Appeals for the District of Columbia circuit. The struggle signals an escalation of the confirmation battles in which the courts and litigants are largely innocent victims.

Congress has authorized a set number of judgeships for each of the 13 courts of appeals, including 11 for the D.C. Circuit. Filling vacancies in those judgeships has become more contentious over the last 20 years.

The Senate approved 88% of President Ronald Reagan's nominees, but that figure has been in the low 70s since the Clinton administration. And it takes longer. Reagan's appellate judges got confirmed on average in 60 days. For President Bill Clinton, the average was 238 days, a number that shot up to 355 for President George W. Bush and is currently 257 for Obama's appointees.

Eight of the 11 judgeships on the D.C. circuit are filled. Four of the eight were appointed by Republican presidents, four by Democratic presidents, including one by Obama (confirmed by a lopsided 97-0). In addition, six judges now in a form of semiretirement hear some cases. Of the six, five were appointed by Republican presidents.

Those facts are important not because judges always decide cases the way their appointing president's party might prefer. They don't; most cases in the courts of appeals don't present issues with much of a policy implication at all. But numerous empirical studies of judges' decisions in large numbers of cases with policy implications have demonstrated that, on some issues more than others, the party of the appointing president is an indicator, albeit a weak one, of how judges will decide cases -- for or against environmental claims, for example, or labor union claims -- especially in cases in which existing law is unclear.

The D.C. Circuit gets a high proportion of cases with policy implications because it receives a comparatively high number of cases involving decisions made by administrative agencies, such as the Environmental Protection Agency and the National Labor Relations Board.

That fact is basic to the battle over Obama's nominees, although it's hard to tell from the back and forth. Republicans say there is no need to fill the vacancies because the D.C. Circuit has a lower caseload than the other appellate courts.

The leader of the resistance, Sen. Charles Grassley, R-Iowa, told a recent House Judiciary Committee hearing that the country needs "smart ways to reallocate our judicial resources" -- and he's right on that point, given that Congress has created no new appellate judgeships for 23 years and seems in no mood to start doing so. So Grassley has introduced legislation to transfer two of the vacant judgeships to other courts of appeals, and abolish the third in order to save money.

Democrats have said that Obama is duty-bound to nominate judges for the vacancies because the Constitution says "he shall nominate ... Judges of the supreme Court, and all other Officers of the United States" (which includes lower court judges). But if a court clearly does not need all its vacancies filled, few would fault a president for not submitting nominations.

That the D.C. Circuit does not need more judges, though, is hardly clear. Both sides sling around cherry-picked statistics, with Republicans emphasizing raw case numbers and Democrats stressing the court's comparatively large number of complex agency cases. As explained, though, by a representative of the federal court's governing body, there is currently no reliable statistical method to compare the workloads of the courts of appeals.

Republicans have also said that the current four-four balance of Republican and Democratic appointees on the court shouldn't be upset. In fact, readjusting the party-of-appointing president balance has been a goal of Democratic and Republican presidents. That helps explain why the Senate refused to confirm two of Clinton's five nominees to the D.C. Circuit and two of Bush's six nominees.

It's hard to say how this battle will end. The obvious solution is to confirm the three nominees and then urge the judiciary itself to come up with a reliable way to compare the workload of the courts of appeals, as it has for district courts. If it shows that the D.C. Circuit can do its work with eight judgeships, Congress can shift the next three vacancies as they occur (three of the active judges are eligible to retire and either have reached 70 years of age or soon will).

Obvious, though, doesn't mean likely. Instead, Democrats moved Thursday to take away the Republicans' ability to use filibusters to block lower court nominations. The D.C. three will probably get confirmed -- but at a cost. Some, even while acknowledging filibuster abuse by both sides, think abolishing filibusters will harm the Senate in the long run, to say nothing of the strain it will put on already frayed relations.

The elimination of the filibuster impedes the ability of Senate Republicans to block more Obama appellate nominees. The balance among active judges on those courts when Obama took office was 60-40 Republican-to-Democratic appointees. It's now at 50-50, and Republicans were likely trying to keep it there.

One unlikely result from this battle is any expansion of Grassley's efforts to "reallocate" appellate judgeships. Only one appellate court has lost a judgeship to another circuit -- the 2007 transfer of a D.C. Circuit vacancy to the Ninth Circuit, effective January 20, 2009. The D.C. Circuit would lose more under his bill, and it's no coincidence that it's the only court without a (patronage-protecting) Senate delegation.

The opinions expressed in this commentary are solely those of Russell Wheeler.

@highlight

Senate Dems use "nuclear option" to strip GOP of ability to filibuster court nominations

@highlight

Russell Wheeler says filling judgeships has grown more contentious over 20 years

@highlight

He says each party selects statistics that aim to bolster its side of the debate

@highlight

Wheeler: Confirm the three D.C. nominees, then take hard look at court workload