Washington (CNN) -- The Pentagon is making detailed plans to send about 34,000 more U.S. troops to Afghanistan in anticipation of President Obama's decision on the future of the eight-year-old war, a defense official said Tuesday.

Obama held a lengthy meeting with top advisers Monday night and said Tuesday that he would announce plans for Afghanistan after the Thanksgiving holiday.

A Defense Department official with direct knowledge of the process said there has been no final word on the president's decision. But planners have been tasked with preparing to send 34,000 additional American troops into battle with the expectation that is the number Obama is leaning toward approving, the official said.

Obama ordered more than 20,000 additional troops to Afghanistan in March. Gen. Stanley McChrystal, the U.S. commander in Afghanistan, reportedly has called for up to 40,000 more to wage a counterinsurgency campaign against the Taliban, the Islamic militia originally ousted by the U.S. invasion in 2001.

The president has weighed several options for bolstering the American contingent, ranging from sending a few thousand troops to sending the 40,000 McChrystal requested.

McChrystal was among those who took part in Monday's conference with Obama and other top advisers, which broke up at 10 p.m.

Vice President Joe Biden, Defense Secretary Robert Gates, Joint Chiefs of Staff Chairman Adm. Michael Mullen and Karl Eikenberry, the U.S. ambassador in Kabul, were among the other senior officials in the meeting.

Obama said Tuesday that the deliberations have been "comprehensive and extremely useful."

"It's going to be important to recognize that in order for us to succeed there, you've got to have a comprehensive strategy that includes civilian and diplomatic efforts," he said at a news conference Tuesday with visiting Indian Prime Minister Manmohan Singh.

The military has planning under way to send these units: three U.S. Army brigades, totaling about 15,000 troops; a Marine brigade with about 8,000 troops; a headquarters element of about 7,000; and between 4,000 and 5,000 support troops -- a total of approximately 34,000 troops, according to a defense official with direct knowledge of Pentagon operations.

CNN reported last month that this was the preferred option within the Pentagon.

The troops would be dispatched throughout Afghanistan but would be focused mainly on the southern and southeastern provinces, where much of the recent fighting has taken place.

Currently, brigades from Fort Drum in upstate New York and Fort Campbell in Kentucky are among those that are next in line to deploy.

About 68,000 U.S. troops are in Afghanistan, along with about 45,000 from the NATO alliance.

Two U.S. military officials said NATO countries would be asked to contribute more troops to fill the gap between the 34,000 the Pentagon expects Obama to send and the 40,000 McChrystal wanted. The request is expected to come during a December 7 meeting at the alliance's headquarters in Brussels, Belgium.

Pentagon spokesman Geoff Morrell would not discuss specific numbers, but he said NATO would be asked for additional help.

"Clearly, if the president decides to commit additional forces to Afghanistan, there would be an expectation that our allies would also commit additional forces," Morrell said.

U.S.-led troops invaded Afghanistan in response to the al Qaeda terrorist network's September 11 attacks on New York and Washington. The invasion overthrew the Taliban, which had allowed al Qaeda to operate from its territory, but most of the top al Qaeda and Taliban leadership escaped the onslaught.

Taliban fighters have since regrouped in the mountainous region along Afghanistan's border with Pakistan, battling U.S. and Afghan government forces on one side and Pakistani troops on the other.

Al Qaeda's top leaders, Osama bin Laden and Ayman al-Zawahiri, remain at large and are suspected to be hiding in the same region.

The conflict has claimed the lives of more than 900 Americans and nearly 600 allied troops.

A CNN/Opinion Research Corp. poll released Tuesday suggests that the U.S public is split over whether more troops should be sent to Afghanistan. Fifty percent of those polled said they would support such a decision, with 49 percent opposed.

The poll found that 66 percent of Americans believe the war is going badly, up 11 percentage points from a similar survey in March. Overall support for the war has fallen to 45 percent, with 52 percent opposed.

iReporters sound off; share your views on sending more troops in Afghanistan

Afghanistan was among the topics Obama and Singh discussed in their meetings Tuesday. Singh said the international community needs "to sustain its engagement in Afghanistan, to help it emerge as a modern state."

"The forces of terrorism in our region pose a grave threat to the entire civilized world and have to be defeated," he said. "President Obama and I have decided to strengthen our cooperation in the area of counterterrorism."

India is one Afghanistan's biggest international donors, contributing $1.2 billion in aid. That involvement has been met with suspicion in Pakistan, India's nuclear rival in South Asia. But it has helped the United States by sharing some of the burden of stabilizing the country and providing civilian support.

In addition, several leading analysts have argued that settling the decades-old tensions between India and Pakistan would allow both sides to pull troops off their borders, giving Pakistan more resources to battle the Taliban along its northwest frontier.

"I think that will certainly be at the center of the agenda this week," Nicholas Burns, a former State Department official, said on CNN's "American Morning." U.S. prospects in Afghanistan depend partly "on convincing Pakistan to be more cooperative in the fight against those terrorist groups."

"The United States is not going to be an outright mediator between Pakistan and India, but we can quietly, behind the scenes, push them to reduce their problems," Burns said.

CNN's Elaine Quijano and Mike Mount contributed to this report.

@highlight

NEW: NATO allies will also be asked to send more troops, officials say

@highlight

Announcement on troop increase to come after Thanksgiving

@highlight

Obama met with national security team Monday night to discuss Afghanistan

@highlight

Obama wanted clarification on how, when U.S. troops would turn over responsibility