Oslo, Norway (CNN) -- The masked henchmen grabbed three fingers on each of the Syrian political cartoonist's hands and pulled them back all the way -- so far that they cracked.

"Break his arms so that he doesn't ever draw again," one said.

Ali Ferzat -- the cartoonist who described the 2011 attack to me in a recent interview -- soon found himself bleeding and left for dead near the Damascus airport. His assailants, who he believes were acting on behalf of the Syrian regime, dragged him alongside a moving car. His head and shoulder bounced on the pavement and then the men shoved him out of the vehicle, dumping him on the side of the road.

Ferzat wondered if he would live, let alone draw again.

It would be months before he would learn the second answer.

Before I'd heard these and the other horrifying details of this attack against one of the Arab world's most notable artists, I asked Ferzat -- an Arab-Santa-looking character with a smile that could cheer up Tilda Swinton -- if he was sure his hands were broken to stop him from drawing cartoons critical of Syria's leader, Bashar al-Assad.

His answer made me laugh.

"Obviously," he said. "What do I look like to you, a chef?"

I met Ferzat in at the Oslo Freedom Forum, a gathering of dissidents and human rights activists, where he received the Vaclav Havel Prize for Creative Dissent. Being in his presence was the human-rights nerd version of a basketball fan meeting LeBron. But what impressed me most about Ferzat is that he's maintained his wit and cheer despite the darkness that has fallen on him and on his country, which is in the grips of an intractable two-year war that's killed an estimated 80,000 people.

He is almost naively optimistic about Syria's future. And it's infectious. The rest of Syria's opposition should take note. As his story shows, the true strength of a revolution is in its ideas -- in nonviolent actions such as drawing truth to power.

Dictators do have reason to be scared of cartoons.

That's why Ferzat's hands became some of the most feared objects in Syria.

"They came after me," he said. "Obviously (cartooning) has power."

The self-taught artist, who's in his early 60s, has been using them to mock authority since he was a young boy -- first imitating cartoons he admired and then creating satire of his own. He went pro in the 1970s, gaining notoriety for publishing cartoons domestically and internationally. Back then, before the current war, Ferzat never dared to depict specific people in his cartoons. He drew autocrats and dictators, but they never looked like real, identifiable people. He did it to avoid censorship or retaliation.

But that was before the war -- before reports emerged, in May 2011, that a 13-year-old had been tortured and killed in Daraa, Syria. Stories like those of Hamza Ali al-Khateeb's death, which reportedly involved his genitals being mutilated, pushed Ferzat across a threshold. He started to draw exact likeness of al-Assad in his satire. Enough was enough.

His pen would hold no punches.

Ferzat drew al-Assad standing on the side of the road with his thumb in the air, ready to hitchhike out of Syria. A crazed Moammar Gadhafi, who was still alive at the time but later would be killed in Libya's uprising, was driving a getaway car.

The message was clear: Syria's leader had to go.

That was the image, he told me, that led to his attack on August 25, 2011. Ferzat's animated demeanor -- his eyebrows bounce when he talks and his hands, now unbandaged, gesture wildly -- flattened as he told me the story.

That day, a white car with darkly tinted windows followed him out of the studio before dawn. He's been working there by candlelight to avoid detection. Frightened by the car, he drove to the center of Damascus, to a square he knew to be home to government buildings and the president's palace. The car followed and crashed into him at the square, he said, forcing him stop. Three men emerged and yanked off the doors of Ferzat's car. They pulled him from it, beat him with crowd-control batons and then yanked plastic handcuffs around his wrists.

"They handcuffed me so tightly I felt that one of my wrists was going to break," he said.

SANA, the Syrian state news agency, reported Ferzat "was attacked by veiled people" and that "authorities concerned are conducting an investigation." My e-mail requesting further information, however, was not responded to. And the U.S. State Department condemned the attack, saying in a statement that the al-Assad regime was sending "a clear message that (Ferzat) should stop drawing."

They beat him so badly that his vision failed for days in one eye, Farzat told me, and he could barely see out of the other. Confused, Ferzat asked what was happening to him.

"Don't you ever dare to cross your bosses and to cross your leaders, because Bashar al-Assad's shoe is on your face and on your head." (For evidence of the severity of that insult, recall the Bush and Ahmadinejad shoe-throwing incidents).

They drove 30 minutes to a road near the Damascus airport. That's where they threw him from the car.

"My white shirt was completely, totally, red from the blood," he said.

He thought he surely would bleed to death there. Cars wouldn't stop, perhaps afraid to pick up a person targeted by the regime or by police. But then the first of three miracles happened: A truck's tire burst, forcing it to stop exactly in front of Ferzat.

"This is like something out of a freakin' movie," Amir Ahmad Nasr, a blogger-author friend who was translating the conversation from Arabic, said to me.

Ferzat threw himself into the bed of the pickup and begged the three men who drove it to take him back to the city. They agreed to drop him at the gates of Damascus, but wouldn't take him further -- definitely not to a hospital -- for fear of being targeted themselves. Still bleeding and barely able to see because of the beatings to his head, Ferzat wandered up to a house and asked its guard for help.

Then the second miracle: The guard agreed to give him a ride to a nearby clinic, where (here's the third) doctors recognized the cartoonist and were sympathetic to his cause.

They treated him at his house to avoid detection. But there was always the worry: his hands. Would he draw again?

"My hands became stuck like this," he told me, tensing up his digits into a wooden, claw-like shape. "The doctors told me I needed to get treatment overseas."

Fate, again, would intervene. Using a newspaper contact in Kuwait, Ferzat arranged to leave Syria and seek treatment in a hospital there. After six months of surgery and physical therapy, he was able to put pen to paper.

The first cartoon he created after the attack was not diluted by fear. He drew al-Assad and Russia's Vladimir Putin walking side by side, their legs intertwined to make the shape of a Nazi swastika.

Ferzat is still living in exile. But the revolution needs him. It needs his art. He's seen images of protesters and rebels carrying printouts of his drawings. So he contributes art from outside the country.

The outcome of the war in Syria is anything but sure. But talk to Ferzat and his optimism will rub off on you. He's convinced he will live and draw in Syria again -- that people in his country, a cradle of civilization that invented one of the world's first alphabets, are no longer afraid and eventually will triumph over the regime that would crush their spirits and their art.

After hearing his story, I'm hard-pressed not to believe him.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Syrian political cartoonist details 2011 attack in which his hands were broken

@highlight

John Sutter: Ali Ferzat's story offers hope for the Syrian revolution

@highlight

He says meeting Ferzat is the 'human-rights-nerd version of a basketball fan meeting LeBron'

@highlight

Sutter: 'Ferzat's hands are some of the most feared objects in Syria'