Shanghai (CNN) -- The only souvenir that Xie Jinghua has from her stay at a Holiday Inn Express located in a vast tourism park alongside the East China Sea is a room key.

The 52-year-old said she was not able to buy any of the beach toys in the lobby, walk around a lake nearby, or enjoy the ocean just outside of her window. Xie was there, she said, because she was forced to be - held in a hotel room for eight days after she and her 56-year-old husband, Ma Haiming, traveled to Beijing in March to protest the compensation they were given for the demolition of the family's farmhouse to make way for the expansion of Shanghai's Pudong International Airport in 2005. When the couple arrived in Beijing, Xie said they were picked up by plain clothes police and forced to travel hundreds of miles back to Shanghai, then held separately at the hotel.

"I really felt quite sick inside," said Xie, who now lives in a tiny apartment near the airport where her son works as a janitor. Xie said she tried to escape from her third floor hotel room on March 10 via its balcony but was stopped by at least seven guards who, she said, "put me on the bed and used the bedspread" to hold her down. She said she stole the room key when a guard was not looking.

Xie and her husband were not alone. Three other people have told CNN they were held against their will at the Holiday Inn Express Nanhuizui - located in Lingang New City on the outskirts of Shanghai - to keep them from airing grievances to the central government during the 10-day annual meeting of China's legislature in March. The hotel management and owners deny their claims.

But people being detained without charge is nothing new in China, according to Human Rights Watch, which says authorities use hotels, homeless shelters, mental health facilities, farmhouses and obscure government compounds as so-called "black jails" -- unofficial prisons where Chinese officials hold citizens without charge.

However activists say this is the first time a facility run by a western company has been allegedly used for these unofficial detentions.

"I have not come across an American branded hotel being used as a black jail," said Phelim Kine, a senior Asia researcher with the New York-based Human Rights Watch. "That is a first, and it is noteworthy."

The InterContinental Hotels Group (IHG), the UK-based firm that owns the Holiday Inn Express brand, said there was no indication that guests at the hotel were being held against their will last March.

"We have found no evidence which would confirm these accusations or any sign that the hotel owner knew or cooperated with (the) government on this hotel stay and the hotel is operated in accordance with PRC [People's Republic of China] local laws and regulations," IHG said in a statement, noting that it had conducted a "thorough investigation" of the allegations. "As you'll appreciate, we can't provide details of the booking or guests due to privacy laws."

'Black jails' in China

According to a 2009 Human Rights Watch report on China's alleged "black jails," local courts often refuse to take cases from residents who have complaints against local officials, which means petitioning Beijing is the only option those residents have.

But their trips to Beijing present a major problem for local officials, who face demotions or other forms of retribution from higher levels of government based on the number of petitioners who come to Beijing, according to Human Rights Watch. As a result, local governments intervene, abducting the petitioners either before they leave or once they arrive in Beijing, Kine said.

The forced detention of dissidents has become its own cottage industry as public security offices subcontract people to work for them who "are paid per head for each person that they abduct and hold," Kine added. "This is a huge grey economy."

As Communist Party officials meet this week to decide China's new leadership, outside will be people like Wang Yifeng and Fan Jianjiang who are petitioning government leaders directly for compensation after the demolition of their homes. Both Wang and Fan are among the five interviewed by CNN who said they attempted to make their case last March, but were intercepted by police who took them into custody and held them in the Holiday Inn Express Nanhuizui.

Human rights groups say detentions without charge are common, particularly during times of central government meetings. "We always expect that around significant political events that there will be a tightening of surveillance and control over key individuals who the government considers to be troublemakers," said Catherine Baber, director of Asia Pacific for Amnesty International. "But certainly in the lead up to the transition, there is a growing list of people who are under house arrest."

"Phenomenal resources are used for keeping tabs on [petitioners]," Baber said. "Detaining them and bringing them back, putting them under surveillance, sending them to reeducation through labor [camps]."

A spokeswoman for IHG said that during the time in question a group of rooms were booked by a government official from the Pudong district of Shanghai. That area is home to the five alleged detainees. They say their movements are constantly monitored by security officials in their home district after years of appealing for better compensation for their properties. According to the five, local officials have either intercepted them before they arrived in Beijing to make their petitions or tracked them down in the capital and sent them on the 665-mile journey back to the Shanghai area, where they were held.

An official at the Petition Bureau of Zhuqiao Town, home of the five petitioners, denied their claims. "I don't know what you are talking about, our channels of petitioning are open," said the official, who declined to give his name when he was reached by phone. "There's no such thing."

CNN contacted China's Ministry of Public Security on November 5 for a response to these claims, but there has not yet been a reply. However, in the past, Beijing has denied the existence of so-called "black jails" in China. The central government also last year issued new regulations outlawing violent forced eviction and offering new protections, including fair compensation.

'Violent forced evictions'

But rights groups say problems remain. "Violent forced evictions in China are on the rise as local authorities seek to offset huge debts by seizing and then selling off land in suspect deals with property developers," according to an October report by Amnesty International, called "Standing Their Ground."

The 85-page report also said there is ineffective redress for Chinese citizens like Xie and her husband, who - without cash to hire legal help - petition the central government directly with local grievances that range from allegations of illegal land seizures and forced evictions to corruption and abuse from local authorities. They often face weeks or sometimes years of forced detentions without charge, human rights groups say.

"From our research and research from domestic Chinese human rights [groups], they are held from a few days to several months and routinely subjected to physical abuse, sleep deprivation and very often they have to buy their way out of custody," Kine said. "The government has denied there are any such black jail facilities in China. Even though [Chinese] state media run stories about black jails, there is an official disconnect."

Baber at Amnesty International said it is hard to quantify the number of people who are detained illegally in China, but "it is a large phenomenon," she said. "Just from the volume of people who put their energies into pursuing petitioning and continue to do so. It will be a large problem still."

Petitioner: Kept under guard

Xie said there were several guards posted outside of her Holiday Inn Express room and two women who were living in the room with her whose job was to monitor her.

She said while held at the hotel, she was told she would be given "classes about petitioner regulations." But there were no classes, she added. Xie took a reporter to the hotel to show where she was allegedly detained. The rooms were neatly furnished, with a flat screen TV and abstract art hanging on the walls.

When the front desk worker was asked whether they were aware people had allegedly been held against their will in the hotel, the employee said there were a number of guests who were staying in their rooms and were not leaving, and there were people standing outside their room, but that they had no idea why.

IHG said they interviewed all employees at the hotel in June after being first contacted by CNN, none of whom confirmed this story. A review of hotel security tapes was impossible, the hotel said, because recordings are erased after one month. The hotel had the employees sign affidavits attesting to their version of events, a hotel spokeswoman said.

"IHG is committed to operating our company with integrity and we have a Human Rights Policy applicable across the business. We have signed up to the UN Global Compact, aligning our operations and strategies with the ten universal principles that include commitments to human rights and labor standards," IHG said in its statement. "Our staff is trained to handle different situations and were a situation to arise, our staff would report an incident to the relevant authorities and IHG."

China has become a leading market for the InterContinental Hotels Group, which owns the Holiday Inn Express, Intercontinental and Crowne Plaza brands. Greater China led its first half, with a 9.7% increase in revenue per available rooms. IHG, headquartered outside London, generates revenue from 181 hotels in greater China, with plans to open 160 more hotels, according to the company.

IHG's local partner in the hotel is Shanghai Harbor City Hotel Investment and Management Co.-- a subsidiary of Shanghai Harbor City Development Group. Like most of IHG's properties in China, a local partner legally owns the hotel but IHG manages the property. Zhu Gang, a manager with Shanghai Harbor City Development, said the company "knows nothing about" people being detained at the Holiday Inn Express. "No violence happened in the hotel," he said.

Researcher Jack Zhang contributed to this story

@highlight

Five people tell CNN they were held against their will at a Holiday Inn Express in China

@highlight

The five were attempting to air grievances at a conference of Chinese leaders in March

@highlight

Local petition bureau and IHG, owner of the Holiday Inn Express brand, deny these claims

@highlight

Human rights officials say unofficial detentions in "black jails" are rising in China