(CNN) -- Matt Aldridge would have trouble contemplating life without the Shriners Hospital for Children in Greenville, South Carolina.

Maddie Aldridge has received extensive care at South Carolina's Shriners Hospital, including leg amputation.

Aldridge, 28, and his 21-month-old daughter, Maddie, were born without shinbones. Both had their legs amputated at Shriners near their first birthdays. Like all care given to youths admitted to any of North America's 22 Shriners Hospitals, their surgeries and follow-up treatments were free to them.

Aldridge estimates the care he received through his teens in the Shriners' system -- which admits children irrespective of their parents' income -- cost hundreds of thousands of dollars, approaching the lifetime limits of some insurance policies.

Now, he and his wife, Renee, take Maddie to Greenville -- about a 90-minute drive from their South Carolina home -- at least every six weeks, partly for treatment of a hip condition.

Without Shriners' cover-all-costs policy, the family would be in serious trouble, said Aldridge, who works at a Wal-Mart cell phone connection center. Renee is a stay-at-home mother, and the family doesn't have private medical insurance.

"If it weren't for Shriners, we'd be financially devastated," Matt Aldridge said. "With just the care Maddie has received already, we probably would be bankrupt."

For the Aldridges and many other families, accessing care from Shriners may get a lot more difficult.

The system's board says it may ask the fraternity's membership in July for authority to close six hospitals -- including the one in Greenville -- largely because the endowment fund that supports the hospitals dropped from $8.5 billion to $5.2 billion over the last year as the stock market plummeted.

The others that could close are in Erie, Pennsylvania; Shreveport, Louisiana; Spokane, Washington; Springfield, Massachusetts; and Galveston, Texas. The Galveston hospital's operations have been suspended since Hurricane Ike flooded it last year.  See map of where all 22 Shriners hospitals are »

Deflated investments aren't the only reason the fund has dropped. The hospitals normally operate with donations and the fund's interest, but the system's $856 million 2009 budget is outpacing both, causing the hospitals to take about $1 million per day from the fund, said Ralph Semb, president and CEO of Shriners Hospitals.

Other proposals from the system's board would close just one hospital or none, but slash spending systemwide. Leaders also are exploring other options, such as partnering with non-Shriners hospitals. But one way or another, the system must cut spending by about 30 percent to survive, Semb said.

"If we do nothing, every hospital would have to cut 25 to 30 percent from their budgets, which in effect would shut about six of them anyway, because they couldn't give the services they've been giving," Semb said.

Still, the hospitals can't close without consent of the fraternity's membership. Two-thirds of the roughly 1,400 representatives at the group's July 6-8 Imperial Council Session in San Antonio, Texas, would have to vote for it.  Learn about the Shriners fraternity »

History shows that might be difficult. Members, some of whom transport children to hospitals themselves, killed a 2003 proposal to close the hospital in Minneapolis, Minnesota, after a similar market downturn.

"I don't think it will happen. I don't think it should happen," said Carl V. Nielsen, a 40-year Shriner and a board member for the Minneapolis hospital, which is not on the current possible-closure list. "That would leave large areas of the country without a Shriners hospital, and the cost of transportation of the patients back and forth [to the remaining hospitals] would be too great."

Shriners Hospitals, which deals with certain specialties up to age 18, have treated hundreds of thousands of children free of charge since the first facility opened in Shreveport in 1922. Most offer orthopedic care. Four, including the Galveston hospital, care for children who are burned. One of those facilities, in Sacramento, California, is treating a few children burned in Friday's day care center fire in northern Mexico.

The Greenville hospital, which generally draws children from six states, gets about 900 inpatients and about 1,100 outpatient visits yearly, according to Rod Brown, the chairman of that hospital's board of governors.

Since news of the possible closures broke, many -- including some Shriners and people who've used the hospitals -- have spoken out in hopes of keeping the facilities open. Hundreds have turned out for rallies in some of the cities. Several "save Shriners Hospital" pages on Facebook call on readers to support fundraisers.

Families who lose a nearby Shriners hospital -- even those who have insurance -- would be in trouble, said Nielsen, an Iowa resident, retired attorney and former state legislator.

"Say you've got a series of operations to do on the child, and it's going to cost $100,000. Even with the good insurance policies, the families still have to pay 20 percent on that, and that's more money than most have stashed away," he said.

The Aldridges have more surgeries in their future. In addition to being born without her shinbones, Maddie has only eight fingers. She will need operations to make her hands more efficient.  Watch how hospital's closure would affect the Aldridges »

If the Greenville facility were to close, the family would think about moving to Kentucky, where the next nearest Shriners hospital is. Or, they would stay and drive eight hours to the Kentucky facility.

Option No. 1 would take the lifelong South Carolina residents from friends and relatives. The other would mean more missed days at work and school for the family, which also includes Maddie's 3-year-old sister.

In any event, the family says it won't consider taking Maddie out of the Shriners system.

Matt Aldridge, who took up competitive power-lifting thanks in part to encouragement from Shriners staff and competed in the 2004 Paralympic Games in Greece, said the system gives top-notch care.

"Not only is it a financial thing, but it's also quality of care," said Aldridge, who became a Shriner himself in part because of the care he received. "Shriners doctors are considered to be the foremost experts in what they treat."

Semb said some of the six hospitals -- which he said were chosen because they were relatively underutilized -- could stay open if they strike a partnership with non-Shriners facilities. In such a deal, Shriners doctors would perform major surgery at the partner hospital, and the partner would bill the patients' insurance if they have it. Follow-up care would be done at the Shriners facility, still free of charge.

Nielsen and other Shriners are proposing an alternative for the July meeting: Let Shriners hospitals themselves accept insurance or Medicaid from the families who have it, but cover the co-pays and deductibles.

Semb said the idea has some merit, but he cautioned that to accept insurance and Medicaid, the hospitals would subject themselves to more federal oversight and possibly curtail their ability to treat patients as they see fit.

Meanwhile, Renee Aldridge is circulating petitions against the closures and intends to deliver them to the San Antonio meeting. Wide swaths of the country shouldn't be deprived of the expertise and the free treatment that Shriners doctors give, she said.

"Some may be able to go to another place, but a lot of doctors won't put the time and care in that Shriners does," she said.

@highlight

Hospitals' leaders seek savings after endowment fund shrinks in stock market

@highlight

One solution could be closing six of 22 hospitals

@highlight

Fraternity representatives would have to approve closures in July meeting

@highlight

South Carolina family: We'd be devastated without Shriners' free, expert care