Weybridge, Vermont (CNN) -- Will I get over the end of Saturday deliveries by the U.S. Postal Service? I'm sure I will. But like countless others in this country, I will miss them.

Living in rural Vermont, in a fairly isolated farmhouse overlooking the Green Mountains, I look forward to the mail, which brings news from relatives and friends, Christmas cards, bills, and -- most of all -- Saturday visits from Bob, who has been arriving at my house for years now, always with good cheer, local gossip and a sense that God's in his heaven and all's well with the world.

I remember as a child looking forward to the arrival of Mr. Mail, as my sister and I called him, on Saturday mornings. He was a dour fellow, but we liked him.

We had no school on Saturdays, so all the children got to know him on that day. He was missing a front tooth, so it was probably a good thing that he rarely smiled. When he did, it was an occasion. I loved him, mostly because he brought regular letters from my pen pal in Sweden -- letters with an array of strange, colorful stamps and peculiar tales from abroad.

It was an adjustment when, years later, we had to get used to Miss Fe-Mail, a young woman with masses of blond hair and red lipstick.

The mail has always kept me in touch with the world. As a young man I lived in Scotland for seven years, and loved getting two postal deliveries a day, bringing letters on blue aerograms from home. I would open those fragile blue letters very carefully, so as not to lose words. They were often scribbled in a tiny hand so the author could get as many words as possible within the aerogram's limited boundaries.

Opinion: Goodbye, Postal Service?

My Scottish postman's name was Angus, and he told me about his grandfather, who had brought three or four deliveries to every house each day. The mail was like e-mail in those days. If you lived in a city, such as London, you could really send a letter in the morning and expect it to make it across town by the afternoon. Nowadays it can take several days to get a letter from one side of Vermont to another. Sometimes I wonder if we're still using the Pony Express.

As a boy, I read a book about the Pony Express, and had fantasies about joining it. The express started up in the mid-19th century, with relays of postal workers on horseback who would carry letters from Missouri over the Great Plains, through the Rocky Mountains, to California -- and it only took about 10 days. It was the invention of the telegraph that brought this wondrous service to a halt, not unlike the advent of the Internet, which has made the postal service much less relevant to our lives.

E-mails deliver most of our joys and sorrows today, and we conduct routine business in this ephemeral form. Handwritten letters have become precious artifacts. For future biographers, the loss of real letters presents a dilemma. My bookshelf holds volumes of the collected letters of my favorite writers, and I treasure those by John Keats, Lord Byron, Dickens and others. Will anyone ever publish someone's collected e-mails?

How Amazon could save the U.S. Postal Service

So much of our thinking is about loss, and this is one of the losses we must bear. I doubt that we'll ever return to obsessive letter-writing, and don't expect to get many letters from abroad, with brilliantly colored stamps bearing the visage of unknown kings, queens and other eminent people I've never heard of. I wonder if I'll even know the person who brings letters to my house in the years to come.

At least my part of Vermont has Internet access. In the immediate future, the absence of Saturday postal deliveries for rural areas that lack access might have genuine consequences, hurting business and dampening the spirits for people who already feel a bit out of touch.

Everyone would like, I think, to see a robust postal service -- the Post Office represents the nation at home. I still make special trips into town, a drive of several miles, to do "business" at the P.O., where I meet friends to exchange gossip, buy special editions of stamps and, for nostalgic reasons, purchase aerograms to send to friends abroad. The bustling atmosphere is cheery, especially at Christmas, when people wait in line to get their odd-shaped boxes weighed and posted.

Postal Service finances show smaller loss, but still in trouble

The postal service will always be part of our lives, and long may it live. I'm sorry about the loss of Saturdays, which may make me feel a little more isolated on weekends at my hilltop house. But who ever thought the government existed to make us happy?

The opinions in this commentary are solely those of Jay Parini.

@highlight

Jay Parini lives in small-town Vermont, and says he will miss Saturday mail deliveries

@highlight

Parini: We are losing the joy of saving, re-reading letters from pen-pals, family and friends

@highlight

Telegraph replaced the Pony Express, he says, just as e-mails have replaced mail

@highlight

Parini treasures his letters of favorite writers: Who will publish collections of e-mails?