(CNN) -- Tourists arriving in Bangkok may expect to see troops guarding key buildings and intersections, while masked vigilante protesters patrol their own roadblocks built from sandbags, barbed wire, rubber tires and debris.

Bangkok's political violence has been escalating, and at least 21 people have died since anti-government protests began in November.

Some of the capital's popular tourist areas -- including upmarket Sukhumvit Road where hotels, restaurants, shopping malls and other facilities remain open for business -- are now ground zero for the loud and crowded protests.

They have blockaded some sections of Sukhumvit Road, and are also camping in nearby Lumpini Park, plus other sites.

At night, gunfire and grenades echo in some central areas of Bangkok, making it unwise to stay out too late or go to places where protesters gather.

Seasoned travelers should be able to figure out where and when not to go, and can follow Twitter feeds about the security situation on #Thailand and #BKKShutdown, plus many countries' online travel advisories.

Dozens of countries issued travel warnings in recent weeks about Thailand, including the U.S. State Department.

"Although many protest activities have been peaceful, violent incidents involving guns and explosive devices have occurred at or near protest sites. Some have resulted in injury or death," advised the latest U.S. State Department warning, updated on Feb. 14.

"In Bangkok, protests have been mobile throughout the city, with large numbers of demonstrators at times swelling quickly and closing major roads and intersections," it said.

What to expect

Travelers visiting a chaotic developing country for the first time may feel nervous when their taxi is stopped by angry masked men who might not get on well with the driver, because many taxi drivers are perceived to be against the protesters.

International backpackers usually stay in Bangkok's older neighborhoods in and around Khao San Road, which has experienced unrest but is generally sheltered.

In fact, most of Bangkok is safe.

But it could be dangerous to voice any opinion about Bangkok's protests to Thais who visitors are not personally acquainted with.

Emotions are so high that many families are now divided because of the political polarization.

Tourism dipping

Bangkok's two airports, serving international and domestic airlines, are open.

No foreign tourists are known to have been injured in any clashes.

However, some foreigners have expressed fear after encountering tough protesters barking orders or assaulting other Thais near rally sites.

The government's Tourism Authority of Thailand (TAT) tries to paint a pretty picture of the country's gorgeous beaches and upcountry destinations, which some travelers agree are the best places to visit now.

Many tourists are flying into Thailand but not to Bangkok, and instead choose international and domestic airports in Phuket, Chiang Mai and elsewhere either by direct flights from foreign countries or changing planes in Bangkok.

"Many tour groups from Asian countries such as China, Japan, Hong Kong and Vietnam do not want to come to Thailand," said TAT Governor Thawatchai Arunyik, according to the Bangkok Post.

"We estimate that we will lose up to 900,000 visitors during the first half of this year," Mr. Thawatchai said.

Security concerns and delays

Avril Lavigne played in Bangkok on Feb. 11 without problems, but Eric Clapton canceled his upcoming March 2 performance due to security concerns.

Travelers who are injured or have serious health problems may experience frustration as protesters' blockades have delayed people trying to get to hospitals for emergency medical care.

Thai government offices are also unable to quickly function because several ministries and other official buildings are under siege and locked by protesters, who forced officials to flee.

Thai re-entry visas and extensions take more time to receive.

The government however set up alternative offices in shopping malls, sports stadiums, convention centers and elsewhere to handle many of its bureaucratic backlogs.

Visitors should not wear solid red-colored clothes, or buy the T-shirts now on sale in Bangkok which say "Popcorn Army" -- the two most inflammatory images identifying each side.

Richard S. Ehrlich is a writer and journalist based in Bangkok.

@highlight

Bangkok and parts of nearby prefectures remain under state of emergency following protests, violence

@highlight

Tourists to Bangkok should remain on high alert

@highlight

Bangkok's two airports remain open

@highlight

No foreign tourists have been injured in any clashes