(CNN) -- Libya's Moammar Gadhafi is clinging to power despite a wave of opposition due in part to a legacy of decentralized authority and divided tribal politics that has been reinforced during the embattled strongman's four-decade rule, analysts told CNN Tuesday.

Gadhafi's grip on power nevertheless appears to be weakening, a fact illustrated by the recent defections of a number of prominent Libyan diplomatic officials.  Libya's ambassador to the United States and deputy ambassador to the United Nations are among those now pushing for Gadhafi to step aside.

In eastern Libya, groups of armed people in civilian clothing have been guarding the streets and appear to be in firm control.  Two Libyan fighter pilots defected to Malta with their jets on Monday rather than follow orders to bomb their fellow citizens.

But Gadhafi has been able to carry through on a brutal crackdown resulting in the apparent deaths of hundreds of Libyans.  He pledged Tuesday to die "a martyr" before voluntarily relinquishing power.

Opposition to Gadhafi is hampered by the fact that Libya's sense of national identity is "very weak," said Robert Danin, a senior fellow at the Council on Foreign Relations.  Tribal loyalty in the sparsely populated North African country comes first -- a fact which makes it extremely tough for Gadhafi's opponents to present a unified front.

For years, Gadhafi has effectively played different tribes against each another while using Libyan oil wealth to generate patronage and buy off potential opponents, Danin said.  A resulting decentralized power structure beneath the very top levels of the Libyan government has made it easier for the longtime leader to survive in the face of a growing push for change.

To the extent that Gadhafi has empowered others in his regime, he has placed his trust in a few key members of his own ethnic group, according to Jennifer Cooke, head of the Africa program at the Center for Strategic and International Studies.  Using tools of co-option and coercion, he effectively shifted power away from the city of Benghazi and the eastern portion of the country -- traditional bases of opposition to his rule.

Recently, Gadhafi further bolstered his power by bringing in mercenaries from neighboring countries such as Sudan and Chad.  Libya's armed forces remain relatively weak by design, Danin noted.  Gadhafi has worked over the years to prevent the creation of a military that could become unified in opposition to him, a development that contributed to the overthrow of the Egyptian and Tunisian governments.

"This has been an absolute rule," Danin told CNN.  "There have been no countervailing institutions."  Egypt, in contrast to Libya, had at least "some organized political opposition, some freedom of the press, and some freedom of association," traditions which proved critical in the overthrow of President Hosni Mubarak.

Gadhafi, much like his counterparts in Iran, has also not hesitated to use brutal force when necessary.  He has shown "no reservations about bombing people into submission," Cooke noted.

Adding to the hurdles faced by would-be reformers: Tripoli's lack of a strong tradition of vibrant intellectual discourse and dissent.  "He's been very successful in tamping down any potential opposition from an intellectual class," Cooke said.

And while Libya has a wealthy business community, "there's fear to speak out on the issues," she added.

Can Gadhafi survive the winds of change?

If he falls, Cooke asserted, it will likely be due to opposition from the military's middle ranks -- an officer corps that has been subjected to repeated purges in the past.

While the purges have helped Gadhafi maintain his hold on power over the years, they haven't made him very popular, she noted.

To the extent that the outside world can influence events in Libya, there will be a continued push for rapid change, Danin argued.  Western European countries such as France, Germany and Italy are extremely dependent on Libyan oil and cannot tolerate instability there.

"If Libya descends into civil war with major disruptions in the oil market, this could really hit Europe in its pocketbook," he said.

"We're in uncharted waters now," Danin noted.  "It seems that the regime is rotting from within. ... It's hard to see how he puts the genie back in the bottle.  If he does, it'll require such enormous brutality that Libya will become a true international pariah."

CNN's Alan Silverleib contributed to this report.

@highlight

Moammar Gadhafi has clung to power partly by creating obstacles to a unified opposition

@highlight

Libya is dominated by tribal politics -- a tradition that hampers opponents

@highlight

Gadhafi has repeatedly purged the military, the institution most likely to bring about change

@highlight

Europe is very dependent on Libyan oil, not prepared to deal with extended instability there