Kabul, Afghanistan (CNN) -- On a clear morning in Kabul, I'm standing on top of a wind-swept mountain, taking in the beauty around me. In the distance, I can see the snow-capped Hindu Kush mountains towering over the sprawling, dusty capital of four million people in front of me.

The ruins of the King's and Queen's Palaces -- destroyed during the civil war in 1992 -- are within mortar firing range from where I'm standing. This was where Gulbuddin Hekmatyar, the militia leader, and other warlords positioned their tanks against the northern alliance firing relentlessly on the city -- a four-year war that would decimate Kabul, claiming tens of thousands of lives.

But Afghanistan has a long history of war and Hekmatyar wasn't the only fighter to have stumbled across this strategic position.

Protected by low-lying hills, the crater directly beneath me at the base of the mountain, has been used by the British, the Soviets, the Americans and now the Afghans to fight their enemies.

Training side by side

In the past seven years, it has been transformed into Camp Commando where Americans and Afghans work side by side to produce the country's best soldiers. So far, they've trained 10,500 Afghan Commandos who proudly wear the red beret. Among them, 1,000 have gone on to become the country's elite Special Forces.

As the U.S. prepares to withdraw troops by the end of the year, the focus has turned to training, advising and assisting the Afghan security forces.

Second Lt. Commando Samsoor Ehdiman, 21, is currently midway though his four-month training to join the Special Forces.

"When I see the American Special Forces, I got an idea to be a Special Forces soldier for Afghanistan to help our people in our country so that I can bring peace," he said.

He is paid a base wage of U.S. $400 per month, but if he qualifies for Special Forces, he will receive an extra U.S. $100-$200 a month in his pay packet.

U.S. Commander of the Commando Special Operations Advisory Group (SOAG) Joint Task Force is Colonel Brian Petit.

Born and raised in southern California surfing up and down the West Coast, the former Special Forces soldier, who has fought in the Balkans, Iraq and Afghanistan, is now in charge of making this program a success.

"These guys who've done the hard fighting have an incredible track record. If there is a campaign or battle in this country that has been hard fought, the Afghan commandos have had their footprint on it," Petit said.

Combat to training

While fighting and tactical operations were once carried out by U.S. soldiers, America's role in its longest war has now transitioned into training the Afghan National Security Forces (ANSF), made of 350,000 army and police.

Petit acknowledges it's been a long and difficult journey -- one that is far from over. But they are having successes and Camp Commando is testament to that.

The ability of the Afghan Special Forces is outstanding, he said.

"When the formation decides to go and attack an enemy position, take a hill, they will be successful 10 out of 10 times. But we have to remember that the ANSF are 12 years into building their army, and only seven to eight years into building special operations capability.

"So the real treasure is their human capital," he said. "And we have to help them so they can build better systems, better people, better leaders and have the formation so that they can move forward in very tough times and fight and win every time."

Petit's partner in this mission is Major-General Sayed Abdul Karim, Commander of the Afghan National Army Special Operations Command (ANASOC).

Seven years ago, 95% of the instructors at Camp Commando's School of Excellence were American, he said. The overwhelming majority now are Afghan.

'America's help essential'

While he believes the ANSF can stand on its own feet, it still needs America's help for critical air support, heavy weaponry and intelligence gathering. And while he refuses to get caught up in the political debate about the damage caused by President Hamid Karzai's refusal to sign the Bilateral Security Agreement that would guarantee an enduring U.S. presence after the 2014 pull out, he admits the U.S.-Afghan partnership is essential.

"We still need America's help," Karim said. "If we keep building and improving our forces with their help, one day in the future, we will be part of multinational forces to go somewhere else in the world if there is a conflict. That is what I hope for."

Petit agrees. "It's a partnership that certainly politics pending that we want here. We have great partners, long standing partners," he said.

"This is a strategic partnership that we think will help the Afghan government sustain, hold on, govern properly and protect it's borders. So with a small investment here, I feel confident we could keep transnational terrorists or others that would want to harm us. I think we could keep them pushed back into their caves."

As for a war-weary United States that just wants its troops to come home, Petit can't help but respond as a man who has loved and lost fellow soldiers across this harsh and inhospitable terrain.

"For the people back home, I would just have them remember what they felt on September 11, 2001," he said. "The attacks on the U.S. emanated out of this country, not from this country, but from international terrorists who found this to be a hospitable place. That could happen again."

@highlight

For seven years, Americans and Afghans work together to produce country's best soldiers

@highlight

America's role transitions into training, advising, assisting Afghan forces as it prepares to withdraw

@highlight

Major-General Sayed Abdul Karim: "We still need America's help"