(CNN) -- The Saudi Justice Ministry Tuesday issued a "clarification" of a court's handling of a rape case and the increased punishment -- including 200 lashes --meted out to the victim.

The case, which has sparked media scrutiny of the Saudi legal system, centers on a married woman. The 19-year-old and an unrelated man were abducted, and she was raped by a group of seven men more than a year ago, according to Abdulrahman al-Lahim, the attorney who represented her in court.

The woman was originally sentenced in October 2006 to 90 lashes. But that sentence was more than doubled to 200 lashes and six months in prison by the Qatif General Court, because she spoke to the media about the case, a court source told Middle Eastern daily newspaper Arab News.

Al-Lahim told CNN his law license was revoked last week by a judge because he spoke to the Saudi-controlled media about the case.  Watch the emotional toll the crime took on the rape victim »

In a statement issued to CNN, Saudi Ambassador to the United States, Adel al-Jubeir said, "This case is working its way through the legal process. I have no doubt that justice will prevail."

The Justice Ministry acknowledged in its statement Tuesday that the attorney is no longer on the case, saying he was punished by a disciplinary committee for lawyers because he "exhibited disrespectful behavior toward the court, objected to the rule of law and showed ignorance concerning court instructions and regulations."

It added that the permanent committee of the Supreme Judicial Council recommended an increased sentence for the woman after further evidence against her came to light when she appealed her original sentence.

The judges of that committee also increased the sentences for the perpetrators based on the level of their involvement in the crime. Their sentences -- which had been two to three years in prison -- were increased to two to nine years, according to al-Lahim.

The ministry also said it welcomes constructive criticism and insisted that the parties' rights were preserved in the judicial process.

"We would like to state that the system has ensured them the right to object to the ruling and to request an appeal," the statement continued, "without resorting to sensationalism through the media that may not be fair or may not grant anyone any rights, and instead may negatively affect all the other parties involved in the case."

The statement also described the progress of the woman's case and explained that it was heard by a panel of three judges, not one judge "as mentioned in some media reports."

It said the case was treated normally through regular court procedures, and that the woman, her male companion and the perpetrators of the crime all agreed in court to the sentences handed down.

In Washington, State Department spokesman Sean McCormack said U.S. officials had "expressed our astonishment" at the sentence, though not directly to Saudi officials. "It is within the power of the Saudi government to take a look at the verdict and change it," he added.

White House homeland security adviser Frances Townsend, who announced her resignation Monday, called the case "absolutely reprehensible" but told CNN's "American Morning" the Saudis deserve credit for their assistance in battling terrorism. "This case is separate and apart from that, and I just don't think there's any explaining it or justifying it," she added.

The case has sparked outrage among human rights groups.

"This is not just about the Qatif girl, it's about every woman in Saudi Arabia," said Fawzeyah al-Oyouni, founding member of the newly formed Saudi Association for the Defense of Women's Rights.

"We're fearing for our lives and the lives of our sisters and our daughters and every Saudi woman out there. We're afraid of going out in the streets.

"Barring the lawyer from representing the victim in court is almost equivalent to the rape crime itself," she added.

Human Rights Watch said it has called on Saudi Arabia's King Abdullah "to immediately void the verdict and drop all charges against the rape victim and to order the court to end its harassment of her lawyer."

The man and woman were attacked after they met in Qatif on the kingdom's Persian Gulf coast, so she could retrieve an old photograph of herself from him, according to al-Lahim. Citing phone records from the police investigation, al-Lahim said the man was trying to blackmail his client. He noted the photo she was trying to retrieve was harmless and did not show his client in any compromising position.

Al-Lahim said the man tried to blame his client for insisting on meeting him that day. It is illegal for a woman to meet with an unrelated male under Saudi's Islamic law.

Al-Lahim has been ordered to attend a disciplinary hearing at the Ministry of Justice next month, where he faces a possible three-year suspension and disbarment, according to Human Rights Watch.

He told CNN he has appealed to the Ministry of Justice to reinstate his law license and plans to meet with Justice Minister Abdullah bin Muhammad bin Ibrahim Al Al-Sheikh.

"Currently she doesn't have a lawyer, and I feel they're doing this to isolate her and deprive her from her basic rights," he said. "We will not accept this judgment and I'll do my best to continue representing her because justice needs to take place."

He said the handling of the case is a direct contradiction of judicial reforms announced by the Saudi king earlier this month.

"The Ministry of Justice needs to have a very clear standing regarding this case because I consider this decision to be judiciary mutiny against the reform that King Abdullah bin Abdulaziz started and against Saudi women who are being victimized because of such decisions," he said.

Under law in Saudi Arabia, women are subject to numerous restrictions, including a strict dress code, a prohibition against driving and a requirement that they get a man's permission to travel or have surgery. Women are also not allowed to testify in court unless it is about a private matter that was not observed by a man, and they are not allowed to vote.

The Saudi government recently has taken some steps toward bettering the situation of women in the kingdom, including the establishment earlier this year of special courts to handle domestic abuse cases, adoption of a new labor law that addresses working women's rights and creation of a human rights commission. E-mail to a friend

@highlight

NEW: "Justice will prevail" at end of legal process, says Saudi ambassador to U.S.

@highlight

Justice Ministry acknowledges woman's lawyer is no longer on the case

@highlight

Court more than doubled woman's original sentence of 90 lashes to 200

@highlight

U.S. State Department spokesman: U.S. officials "expressed our astonishment"