(CNN) -- It must have been a galling week for the Russian President. While presiding over a safe, well-run Sochi Games, President Vladimir Putin's key foreign policy objective -- to hold sway over Ukraine's place in the world -- has slipped through his fingers. At the very moment of his crowning Olympic glory, Putin probably had the second worst week of any world leader -- after Viktor Yanukovych.

It is tiring to repeat truisms but this is not the Cold War and Russia is not the Soviet Union mark II -- not with 2% of the world economy and a tanking workforce population. Yet in spite of such disadvantages, Russia still desires respect, seeks attention and makes claims to greatness. And in many respects, Russia really is a "great" country: historically, culturally and geographically. A stroll around Moscow and St. Petersburg attests to this. So does the character of its people.

Unfortunately, in the eyes of the Russian leadership, true greatness requires something more: the ability to dominate in many areas (technological, military etc.), but particularly geopolitically in large parts of the Middle East and Eastern Europe. And in its former empire above all.

But this need for control over neighboring states is having precisely the opposite of its intended effect. It's too expensive for a start. The $3 billion it has spent so far in sweet-talking Ukraine to stick with Mother Russia isn't coming back. And that would have come in handy for much-needed social and infrastructural projects -- and for keeping key officials loyal to the Kremlin.

But far more than money, there's an even more important reason why attempts at influence are having the opposite effect: in the long run, it can't work. It is to the West's immense and rare credit that post-Soviet state sovereignty has been a bedrock of policy since 1991. The five countries of Central Asia, the three countries of the South Caucasus, the three Baltic States, Moldova and even Belarus are universally recognized as independent countries. As is Ukraine.

True, the West wobbles at times. The British government has been particularly weak of late in its unwillingness to confront Russia in case it desists from enhancing business cooperation. But by and large the West has stuck to this one principle well - at least rhetorically. Russia, on the other hand, cannot bring itself to do this even in words, let alone in actions.

Naturally, everyone is now nervously looking to Putin for his next move. The press writes about the worst-case scenario, the most extreme course of action possible. And since Russia did cross international borders in anger in 2008, this is understandable. But Ukraine 2014 is not Georgia 2008.

Military intervention in Ukraine would undo Russia's methodical work in discrediting the previous Mikheil Saakashvili government in Georgia and justifying its actions (protecting 'Russian' citizens) not to mention its recent diplomatic agility in Syria. These are "achievements" worth protecting.

Reputation matters to Russia, as Sochi showed. A Russian military response with little certainty of success (unlike Georgia) is a nice fantasy for Russian hawks, but it would shatter Russia's chances of exerting influence anywhere else.

So what then? Trade restrictions? Gas cut-offs? Fomenting trouble in Crimea? Russia does most of these already -- and will continue to do so. But there are no fresh moves left. Russia has lost this round, but it will live to fight another day, even as more and more statues of Lenin fall in the former provinces.

The other reason for Russia's objection to Ukraine's revolution is that "this could happen to us." The thought that Yanukovych's fate -- or Slobodan Milosevic's or Saddam Hussein's -- could one day be theirs, cannot be a pleasant one. Clearly Putin is far from the extraordinarily inept politician that the Ukrainian president was. This buys him time.

But who knows how much? Russia learns fast and is far more secure than Ukraine ever was. But all power erodes over time -- in democracies and autocracies alike.

Maybe Ukraine is a mirror reflecting Russia's long- or even its medium-term future. This has been a bad week for Vladimir Putin, but it was probably a very good week for Russia.

The opinions expressed in this commentary are solely those of James Nixey.

@highlight

James Nixey says Putin's bad week may be good for Russia

@highlight

He says for Russian leaders greatness lies in domination

@highlight

And that is especially true for the nations that were part of its empire

@highlight

But for Russia, that is expensive and ultimately cannot work