(CNN) -- It used to be safe to say that most of us don't go looking for crime on our vacations, but that's not true anymore. Crime fiction travel, a juicier version of the well-worn literary pilgrimage, is a popular way for people to see the world.

"A lot of people read crime fiction in advance of visiting a new city. Once there, I think it's natural to see how the real place aligns with the one on the page," says best-selling crime novelist Laura Lippman, whose main character Tess Monaghan is a reporter turned private investigator living and working in Baltimore.

A sense of place is vital to creating realistic crime fiction, but writing about a place people know and can visit presents challenges, notes Lippman, a former Baltimore Sun reporter. "If you want to write about a real place, you better get it right, or you'll hear about it," she says. When authors succeed, their books and characters can become forever linked with the locations in which the books are set. Here are five destinations whose local authors get it right.

Grit on wry: A dinner with Elmore and Peter Leonard

Baltimore

Thanks to her Tess Monaghan series, including the Edgar Award-winning "Charm City," Laura Lippman has become an ambassador for her home city of Baltimore. When the city hosted the annual Bouchercon World Mystery Convention in 2008, a self-guided tour of "Laura Lippman's Baltimore" was developed for fans who wanted to see the sights the way Tess sees them.

One destination is the Fell's Point neighborhood where Tess lives, and even manages to detect crime while bedridden, "Rear Window" style, in 2011's "The Girl in the Green Raincoat." Other tours cover neighborhoods north and south of Baltimore's Washington Monument in downtown Baltimore and include local landmarks such as the Enoch Pratt Free Library, which Lippman mentions in most of her books.

Among the qualities that endear Tess to fans are her unabashed love of food and her loyalty to her favorite neighborhood haunts. They include the Daily Grind and Kali's Mezze in Fell's Point, Lexington Market south of the Washington Monument and Matthew's Pizza, where Lippman recommends the crab pe.

Author uncovers thrilling world of 'An American Spy'

Brattleboro, Vermont

Mention Vermont and the mind fills with images of bucolic farms and snow-covered mountains. Crime novelist Archer Mayor, who also works as a death investigator for Vermont's Office of the Chief Medical Examiner and as a detective for the Windham County (Vermont) Sheriff's Office, sees those things and others. His police detective protagonist Joe Gunther is more than likely to gaze out at the Connecticut River near Brattleboro and find a body floating on the surface, as was the case in Mayor's 2007 novel "Chat."

Brattleboro, Joe Gunther's home turf, embraces its position as Vermont's fictional crime center and the entire state of Vermont embraces Archer Mayor. At 12 Vermont Welcome Centers, including Guilford on I-91 near Brattleboro and Williston North and South on I-89 between Montpelier and Burlington, a new lending library program lets visitors pick up a print or audio edition of an Archer Mayor novel to enjoy while they travel and to return when they're done. Lodging packages with an Archer Mayor/mystery fiction theme are available in Brattleboro, Burlington, North Bennington and Waterbury. The Brattleboro Literary Festival takes place in October.

The past year has not been kind to Brattleboro. A fire severely damaged the historic Brooks House hotel and much of the town's Main Street, and rains from Hurricane Irene flooded the downtown area. But Vermont's natural beauty remains unblemished.

Edinburgh, Scotland

Five years ago Ian Rankin retired his Edinburgh detective John Rebus when the fictional character reached mandatory retirement age for Scottish police. Yet after 20 years and 18 Rebus novels, Rankin and his hard-driving detective had become indelibly linked to Edinburgh. Since 2000, Rebustours has offered two-hour guided walking tours that start at Rebus' favorite pub, the Royal Oak, and incorporate readings from the Rebus novels plus mentions of other local writers, Arthur Conan Doyle and Robert Lewis Stevenson among them.

Ian Rankin has his own interactive Rebus' Edinburgh map at his website, and he recently updated his Ian Rankin's Edinburgh app, available on iTunes and Google Play. One reason for this flurry of activity is the hotly awaited return of his detective. "Rebus: Standing in Another Man's Grave," a new Rebus novel, will be released in the United Kingdom in November and in the United States in January 2013.

Rankin fans visiting Scotland in September should also take advantage of Doors Open Days, an annual program that offers access to buildings and sites not usually open to the public. The scheme inspired Rankin's 2008 stand-alone art heist novel "Doors Open." A TV adaptation of that novel, starring Stephen Fry, is in production.

Gaborone, Botswana

Alexander McCall Smith helped devise the tours based on his No. 1 Ladies' Detective Agency novels that have been run by Africa Insight since 2003. The novels, which feature Precious Ramotswe, a "traditionally built" woman of unspecified age, are so charming and gentle it might be surprising to learn that many of the characters and places mentioned in them are drawn directly from real life. Stops on the tour vary but typically include Mma Ramotswe's house on Zebra Drive (a private residence), her birthplace in the village of Mochudi, and a visit to the "orphan farm" where Mma Ramotswe meets Motholeli and Puso. (Mma and Rra are the formal terms of greeting and respect for women and men, respectively, in Botswana.)

The full-day tours have changed over the years as more books have been written — the newest in the series, "The Limpopo Academy of Private Detection" was released in April — but the core tour stops come from the earlier books and a cup of Mma Ramotswe's favorite red bush tea is always on the itinerary. Half-day tours, walking tours and two-day tours that include a visit to the Mokolodi Nature Reserve also are available.

Sweden

We can thank Sweden for the current popularity of crime fiction tours; the country is rife with them. Even the beautiful, tiny fishing village of Fjällbacka in the Bohuslän region of West Sweden, which typically sees its population drop to 1,000 individuals in the off-season, now receives a steady of flow of visitors who want to see the locations mentioned in Camilla Läckberg's best-selling Erica Falck novels, starting with "The Ice Princess."

Henning Mankell's Inspector Kurt Wallander is resentful about working in Ystad, a small city in the Skåne region of southern Sweden that he considers a backwater. Yet visitors now flock to Ystad from all over the world for the "In the Footsteps of Wallander" self-guided tour. (You can follow the route by map or by app.) The tours feature locations from the books and from both the Swedish and British TV series based on them. ("Wallander Series III," starring Kenneth Branagh, will air on PBS "Masterpiece Mystery" in September with episodes based on "An Event in Autumn," "The Dogs of Riga" and "Before the Frost.")

Not surprisingly perhaps, the most popular crime fiction tours in Sweden are the Stockholm tours based on the Millennium Trilogy by Stieg Larsson. The Stockholm City Museum sells maps for self-guided Millennium Tours and conducts two-hour guided tours focusing largely on the residential Södermalm neighborhood where fictional journalist Mikael Blomkvist works and where fictional computer hacker Lisbeth Salander lives. It hardly matters that Blomkvist and Salander don't "work" or "live" in a real sense; "The Girl with the Dragon Tattoo" and its sequels made them real enough for travelers to want to visit them.

The man behind 'The Girl with the Dragon Tattoo'

Do you have a favorite crime fiction destination? Share your tips below.

@highlight

Fans want to visit fictional Baltimore detective Tess Monaghan's favorite food haunts

@highlight

Vermont brings to mind bucolic farms and mountains, not bodies floating in the rivers

@highlight

Tours dedicated to fictional detective John Rebus start at the character's favorite pub

@highlight

The No. 1 Ladies' Detective Agency tour includes a cup of Precious Ramotswe's favorite tea