(CNN) -- Common Western superstition says Friday the 13th is unlucky. But what does it say about a Friday the 13th with a full moon and solar flares that could create geomagnetic storms large enough to disrupt Earth's atmosphere?

We may find out this Friday.

NASA cameras captured three major solar flares this week -- events in which the sun hurls powerful bursts of matter into the atmosphere. When large enough, these bursts send shock waves -- called coronal mass ejections, or CMEs -- throughout space.

These shock waves pose no direct threat to humans, but sometimes, on days such as June 13, CMEs can be large enough to disrupt GPS, satellite communications and other atmospheric systems, according to NASA.

Just our luck.

"A CME ... has been observed moving at a flank from Earth and a glancing blow to Earth from this event is expected on June 13," said the National Oceanic and Atmospheric Administration in a statement. "An outside chance of at most G1 (Minor) Geomagnetic storms remains in the forecast."

Translation: Despite the ominous "glancing blow" language, there's no reason to be alarmed. The disruption of communication systems in the atmosphere is still unlikely, even with the impending solar storms.

People in remote areas of the Northern Hemisphere may even get a light show Friday night. Some scientists believe the storms will produce brightly colored auroras visible in the night sky, although others disagree.

Either way, it's been awhile since we've seen such as an event. The last major CME to hit Earth came in 1859.

Tony Phillips, curator of SpaceWeather.com, analyzed the last 17 Friday the 13ths "for fun" in response to a CNN request. He concluded that Friday's solar-related activity was an outlier.

"Of course, there is no actual correlation between solar flares and Friday the 13th," he said in an e-mail to CNN. "(But) today ... is shaping up to be the most active of the past 10 years, albeit not by a wide margin. Friday the 13th in May 2005 was similar."

Phillips, who is also production editor for science at NASA, categorized only four Friday the 13ths in the last decade as "high solar activity."

Thus, NOAA remains on watch.

According to its website, "forecasters are keeping a close eye on the Sun and we will update you should conditions warrant it."

Solar activity varies in its intensity, but there has been an uptick in solar flares and related episodes in recent years. This is not a surprise. This week, NASA released a statement dubbing this new solar activity a natural occurrence and part of the star's cycle of life.

They called it a "mini-max." Because, historically speaking, it's not that bad.

"This solar cycle continues to rank among the weakest on record," said NASA adviser Ron Turner in a post online. "In the historical record, there are only a few Solar Maxima weaker than this one."

He has a point.

In all likelihood, the Earth's atmosphere, satellite systems and humans all will remain unaffected by the solar flares and their corresponding CMEs.

Well, maybe we are lucky after all.

@highlight

Solar flares this week are sending storms Earth's way

@highlight

Scientists say it's unlikely humans will see effects

@highlight

Storms, full moon converging above Earth this Friday the 13th

@highlight

U.S. scientists are monitoring situation, will send alerts if necessary