(CNN) -- In every medical drama the scene is the same: The surgeon carefully places the delicate organ in a cooler filled with ice and snaps the lid shut. The transplant team then sprints toward the door, hoping to reach its patient in time.

That speed isn't just for dramatic effect. Transplant teams rush because they have less than eight hours to transport the organ to the operating room, prepare it for surgery and implant it into the recipient's body.

"Beyond that time, there is significant injury to the (organ), which makes it unusable," said Dr. Abbas Ardehali, director of UCLA's heart and lung transplant program.

Placing healthy organs in the same container we use to keep soda cold at a picnic seems archaic. But until recently, it was the only option hospitals had.

That changed with heart-in-a-box.

In 2006, surgeons in Europe transplanted the first heart using the TransMedics Organ Care System, a portable device that kept the heart "alive" -- beating, with blood and oxygen flowing through it -- during transport. In 2011, doctors began successfully transplanting lungs using a similar device.

While the system has been approved for use in Europe -- more than 200 live organ transplants have been completed to date -- clinical trials are still wrapping up in the United States. Interim results from those studies are being presented at the annual International Society for Heart and Lung Transplantation meeting in Montreal this week.

Approximately 60% of lung recipients die in the first five years following surgery due to complications, according to the National Institutes of Health; scientists hope to change that statistic with this new technology.

Woman needs 4 organs to survive

There are three potential benefits to keeping donor organs "alive," said Ardehali, who is UCLA's principal investigator for one of the studies.

The first is obvious: Organs that are kept warm and functioning instead of being placed on ice have less damage, so the recipient's body doesn't have to work as hard to accept it, Ardehali said. That may improve patient outcomes.

Doctors measure a lung transplant patient's "primary graft dysfunction" in the days following surgery, said Neal Beswick, vice president of global marketing for TransMedics. That's basically an indicator of how well the new lungs are working. Past studies have shown that patients with high grades of graft dysfunction in the first 48 hours have a higher risk of organ rejection and early mortality later on, Beswick said.

Preliminary results from the U.S. breathing lung transplant studies suggest this new method significantly reduces primary graft dysfunction. Patients who underwent live organ transplants during the study also spent less time on a mechanical ventilator, less time in the intensive care unit and had fewer lung-related complications.

The portable transplant system also enables doctors to keep organs outside the body longer, giving hospitals the opportunity to share them across a larger geographic region. More than 114,000 people in the United States are awaiting organ donations, according to Organdonor.gov; 18 of them die each day without a donation.

Iraq vet undergoes successful double-arm transplant

"We'd like to increase lung transplantation by a factor of three," Beswick said. "And we think that we could double the number of heart transplants without any increase in the number of organ donors."

Eventually, scientists may even be able to improve donor organs that would otherwise be discarded, Ardehali said.

Currently, 75 to 80% of donor lungs are rejected because they are infected or have too much damage, he said. If doctors are able to keep the lungs, or other organs, alive outside the body for several days, they may be able to clear up any infection with antibiotics or improve the organs' resilience.

It's a bit of "science fiction" right now, Beswick said, but doctors in the future could even use the TransMedics device to fight chronic diseases. For example, if doctors could remove the lungs of a stage IV cancer patient and attack the organs with radiation outside the body, they could potentially place the same cancer-free lungs back in the patient a few days later, effectively eliminating the need for donor lungs at all.

"A lot of things become real become real if the organ can be sustained for a long period of time," Beswick said.

Hospitals pay approximately 45,000 euros -- or $58,000 -- for each TransMedic Organ Care System. While the hardware can be reused, the organ chamber must be disposed of after each transplant, Beswick said. "It's a relatively high cost per patient."

TransMedic hopes to finish the U.S. heart trial in the next 90 days; the lung trial should be done by the end of the year. The company then hopes to submit their device to the U.S. Food and Drug Administration for approval.

Heavy smokers can be successful lung donor candidates

@highlight

In Europe, surgeons can keep donor hearts and lungs "alive" during transport

@highlight

Clinical trials on the live organ transplant device are wrapping up in the United States

@highlight

Scientists hope to increase donor pool, improve patient outcomes