(CNN)Bold claims for new battery technology have been around since the invention of the lead-acid battery more than 150 years ago.

But researchers at Manchester University in the UK say their latest discovery involving the new wonder material graphene could be the most revolutionary advance in battery technology yet.

According to a study published in the journal Nature, graphene membranes could be used to sieve hydrogen gas from the atmosphere -- a development that could pave the way for electric generators powered by air.

"It looks extremely simple and equally promising," said Dr Sheng Hu, a post-doctoral researcher in the project. "Because graphene can be produced these days in square metre sheets, we hope that it will find its way to commercial fuel cells sooner rather than later."

Pencil power

At the heart of the technology is the remarkable physical properties of graphene -- a substance with the same atomic structure as the lead found in the humble household pencil.

Isolated in 2004 by a team from Manchester University headed by Andrew Geim and Kostya Novoselov -- both of whom won the Nobel Prize for Physics for their discovery in 2010 -- graphene is already well known as a technological game-changer.

The first two-dimensional crystal known to science, graphene is the thinnest, lightest and strongest object ever obtained. It is harder than diamond and 200 times stronger than steel.

Flexible, transparent and able to conduct electricity even better than copper, the ground-breaking substance is set to revolutionize everything from smartphones and wearable technology to green technology and medicine.

Renowned for its barrier qualities, graphene is just one atom thick - more than a million times thinner than a human hair.

Membrane technology

The latest discovery makes graphene attractive for possible uses in proton-conducting membranes which are at the core of modern fuel-cell technology.

Fuel cells work by using oxygen and hydrogen as a fuel, converting the chemical energy produced by its input directly into electricity. However, current membranes that separate the protons necessary for this process are relatively inefficient, allowing contamination in the fuel crossover.

Using graphene membranes could boost their efficiency and durability.

The team found the protons passed through the ultra-thin crystals with relative ease, especially at raised temperatures and with the use of a platinum-based catalyst coated on the membrane film.

Harvesting hydrogen

The most surprising aspect of the research, however, found the membranes could be used to extract hydrogen from the atmosphere. The scientists said such harvesting could be combined with fuel cells to create a mobile electric generator fueled simply by hydrogen present in air.

"When you know how it should work, it is a very simple setup. You put a hydrogen-containing gas on one side, apply small electric current and collect pure hydrogen on the other side. This hydrogen can then be burned in a fuel cell.

"We worked with small membranes, and the achieved flow of hydrogen is of course tiny so far. But this is the initial stage of discovery, and the paper is to make experts aware of the existing prospects. To build up and test hydrogen harvesters will require much further effort."

Currently, hydrogen is obtained nearly entirely from fossil fuels.

Graphene revolution

Already scientists are finding new ways of processing graphene and new applications for the invisible substance. Because it is flexible and stretchable, it makes it an ideal candidate for solar generation.

New research from the Institute of Photonic Sciences in Spain showed that graphene could be far more efficient in the transformation of light into energy.

The study found that unlike silicon, which generates only one current-driving electron for each photon it absorbs, graphene can produce multiple electrons.

Although the application of graphene in solar cells is only theoretical, the potential could be staggering. Solar cells made with graphene could offer 60% solar cell efficiency -- double the widely-regarded maximum efficiency of silicon cells.

Apart from uses in transportation, where its lightness and strength stands to transform the manufacture of cars and planes to make them more fuel efficient, graphene has been studied as a corrosion-proof coating for packaging and even super-thin condoms.

In medicine, researchers say it could be used to deliver drugs to specific sites in the body and is being developed as a treatment for people with brain conditions.

In industry, its use as a membrane is being studied as a means of purifying water and even as a way of extracting salt and other elements from sea water to make it drinkable.

Read more from Tomorrow Transformed:

Wind farms of the future go underwater

Is the Darknet a glimpse into the web of the future?

China's impact on the future of e-commerce

@highlight

Researchers in the UK say the latest discovery involving wonder material graphene could revolutionize batteries

@highlight

Graphene is 200 times stronger than steel and a million times thinner than a human hair

@highlight

The material, which has the same atomic structure as the lead in pencils, is impermeable to atoms and molecules

@highlight

Scientists found that positively charged hydrogen atoms could pass through it with implications for fuel cell efficiency