(CNN)In at least one big and bruising culture-war battle, the Mormon church wants to call a partial truce.

Convening a rare press conference on Tuesday at church headquarters in Salt Lake City, Mormon leaders pledged to support anti-discrimination laws for gays, lesbians, bisexuals and transgender people, as long the laws also protect the rights of religious groups.

In exchange, the Mormon church wants gay rights advocates -- and the government -- to back off.

"When religious people are publicly intimidated, retaliated against, forced from employment or made to suffer personal loss because they have raised their voice in the public square, donated to a cause or participated in an election, our democracy is the loser," said Elder Dallin Oaks, a member of the church's Quorum of Twelve Apostles.

"Such tactics are every bit as wrong as denying access to employment, housing or public services because of race or gender."

The Mormon church is one of several faiths to complain about religious freedom coming under attack in recent years. Catholic bishops and Southern Baptists have sounded the alarm as well.

Oaks cited several examples on Tuesday, including:

"It is one of today's great ironies that some people who have fought so hard for LGBT rights now try to deny the rights of others to disagree with their public policy proposals," said Oaks.

Tuesday's announcement doesn't change church doctrine -- including its opposition to gay marriage, Mormon leaders said.

"But we are suggesting a way forward in which those with different views on these complex issues can together seek solutions that will be fair to everyone," said Elder D. Todd Christofferson, a member of the Quorum of Twelve Apostles, one of the church's top tiers of leadership.

Christofferson said Tuesday's announcement came after years of dialogue with LGBT groups in Utah and elsewhere, and was timed to the convening of a new Congress and new legislative sessions nationwide.

"It seemed like the right time to speak, before positions get any more hardened on either side," he said.

Shortly after the church's press conference, U.S. Sen. Orrin Hatch, a Utah Republican and a Mormon, said he will work to "ensure that legislation designed to promote greater equality includes robust religious exemptions and nonretaliation provisions."

Utah state Sen. Jim Dabakis, who is openly gay, said "Amen," to the church's "historic announcement."

"I am proud that the LDS Church has seen fit to lead the way in non-discrimination," he said. "Now, let's roll up our sleeves, get to work and pass a statewide nondiscrimination bill."

Oaks, however, said it's "unfair" to characterize the church's announcement as a national nondiscrimination campaign. Mormon leaders are merely seeking to square competing claims of gay rights and religious liberty, he said in a brief interview on Tuesday.

The Human Rights Campaign, a national LGBT advocacy group, said some Mormons may consider their church's announcement symbolically significant.

"But, as a matter of public policy, it appears deeply flawed," said HRC Legal Director Sarah Warbelow. Doctors, landlords and business owners would still be allowed to discriminate against gays and lesbians, as long as they cited a religious reason, she said.

On the other end of the spectrum, Southern Baptist leader Russell Moore called the Mormons' new policy "well-intentioned, but naive." Proposals to balance gay rights and religious freedom inevitably lead to attacks on the latter, Moore said.

Officially known as the Church of Jesus Christ of Latter-day Saints, the Mormon church, like other religious groups, has tried to strike a delicate balance on gay rights.

Mormons have fought the legalization of same-sex marriage, for example, while trying to avoid the "anti-gay" label sometimes affixed to conservative faiths. Many church members were particularly stung by the fierce backlash to Prop 8. The Mormon-backed referendum was later struck down in court.

Nearly two-thirds of Mormons say homosexuality should be discouraged by society, according to a 2012 survey conducted by the Pew Forum on Religion & Public Life. The church's official position is that same-sex attraction is not a sin, but acting on it is.

At the same time, Mormon leaders have taken an increasingly civil tone towards gays and lesbians in recent years, and gay rights groups cheered the church for endorsing the Boy Scouts' decision to allow gay scouts in 2013.

Notably, however, Mormon leaders said Tuesday that they would not -- and could not -- alter their opposition to gay marriage, calling such unions, "contrary to the laws of God."

"This commandment and doctrine comes from sacred scripture and we are not at liberty to change it,"  said Sister Neill Marriott, a leader in the church's women's organization.

"But, God is loving and merciful," Marriott continued. Jesus ministered to marginalized outcasts, she said by way of example, while also obeying religious commandments.

"It's for this reason that the church has publicly favored laws and ordinances that protect LGBT people from discrimination in housing and employment."

In 2009, the Mormon church backed nondiscrimination regulations for gays and lesbians in Salt Lake City. On Tuesday, Mormon leaders said they are now willing to support similar measures elsewhere, including laws protecting LGBT persons from unfair bias in housing, unemployment and public transportation.

With nearly 6.5 million members in the United States, the Mormon church is one of the largest in this country to offer support of LGBT anti-discrimination laws, second only to the United Methodist Church. The country's two largest Christian denominations, the Catholic church and Southern Baptist Convention, have opposed the Employee Non-Discrimination Act, or ENDA.  None of those groups condone gay marriage.

In this country, less than a third of states have laws protecting gays and lesbians from discrimination, according to GLAD, a gay rights group. Even fewer state laws protect gender identity or expression.

It is unlikely that Mormons' support of those measures could increase that number significantly, except perhaps in church strongholds like Utah, Idaho and Wyoming. There are 16 Mormons in Congress, where  LGBT civil rights legislation, including ENDA, has repeatedly failed.

Gay marriage has proved far more successful than anti-discrimination laws, despite opposition from conservative groups, including the Mormon church. Thirty-five states now allow same-sex couples to wed. Earlier this month, the Supreme Court agreed to decide whether states have the constitutional right to ban same-sex marriage.

Perhaps with an eye on the high court, Mormon leaders said Tuesday the rights of gays and lesbians must not trump the religious freedom of faith communities.

"What kinds of religious rights are we talking about?" said Elder Jeffrey Holland, a member of the church's Quorum of Twelve Apostles.

It begins with the rights of faith communities to preach their beliefs from the pulpit, teach them in church classrooms and freely select their own leaders and ministers, Holland said.

But religious freedom should also extend to Mormon physicians who refuse to perform abortions or artificial insemination for a lesbian couple, or a Catholic pharmacist who declines to carry the "morning after" pill, he added.

As Mormon leaders acknowledged Tuesday, such situations have perplexed politicians, appeared on court dockets across the country and set conservative and liberals at fierce odds.

"These are serious issues," Holland said, "and they require serious minds engaged in thoughtful, courteous discourse."

@highlight

Mormon leaders call rare press conference in Salt Lake City

@highlight

They pledge support for anti-bias laws for gays, lesbians, bisexuals and transgender people

@highlight

Leaders say in return they want  the laws to protect the rights of religious groups as well