(CNN) -- The chances you'll die from heart disease are good -- too good.

Heart disease is the leading cause of death for Americans. It's especially of concern for women, since symptoms can be different from those seen in men, according to the American Heart Association.

The good news is, you have a tremendous ability to keep yourself from becoming a sad statistic. Here are five simple things you can do to take better care of your ticker.

Get some zzz's

You need seven to eight hours a night to be well-rested.

Sleep is not just downtime. It's when your brain forms new pathways to help your memory. It's when your heart and vascular system get a break, as your blood pressure and heart rate slow down. If you don't get enough sleep, your body constantly produces adrenaline and stress hormones to keep you awake. That means your blood pressure and heart rate doesn't slow down as well, and that hurts your heart.

Your sleeping body also produces cytokines, which helps your immune system fight infections and chronic inflammation. Studies show poor sleep -- anything less than six hours -- hurts women more than it does men.

Get active (yes, including sex!)

Any kind of exercise is essential for your heart, including sex, studies show.

"My guess is the 'get more sex (suggestion)' was published by a man," Dr. Deidre Mattina joked. But the Henry Ford Health System cardiologist admits she has "written on my prescription pad that a patient should have more chocolate, sex and coffee." All of those, in moderation, are good for stress relief, she said.

Studies do show that sex is a significant form of exercise.

Mattina recommends you get at least 30 minutes a day of moderate-intensity exercise whether it is at the gym, in your neighborhood or even in your bedroom. Something as simple as walking counts -- "as long as when I call you on the cell phone I can tell by your breathing that you are exercising," Mattina said. "You can't just be on a stroll window shopping."

Exercise lowers your blood pressure, helps you lose weight, increase your good cholesterol (HDL), reduces your bad cholesterol (LDL) and increases your insulin sensitivity.

Only about 20% of American adults meet the minimum standard for exercise recommended by the federal government, according to the Centers for Disease Control and Prevention. That standard is 2Â½ hours a week of moderate aerobic exercise like walking or 75 minutes of vigorous exercise like jogging.

Being overweight is also hard on your heart, so if you want to lose weight aim for 60 to 90 minutes of exercise a day, according to Dr. Carol Ma, a cardiologist at Florida Hospital in Orlando.

"I tell my patients you should have a BMI that's less than 25 and a waist that measures less than 35. That's pretty specific, but that's what you need for a healthy heart," Ma said.

Raise a glass -- and maybe a carrot -- to your heart

A drink a day can keep the heart doctor away. If you do drink (don't start for a healthier heart), Mattina suggests one alcoholic beverage is enough (for the guys it's two). Any more can stress your heart.

A drink, by the way, is not an extra-large tumbler. It's 12 ounces of beer, 4 ounces of wine, 1.5 ounces of 80-proof spirits or 1 ounce of 100-proof spirits.

This is not just limited to red wine, which does have heart-healthy antioxidants. There is evidence to suggest a drink can increase levels of "good" cholesterol and protect against artery damage. Alcohol can also help you relax.

Eating healthy is also essential -- watch refined sugar, salt and fat and eat lots of fruits and vegetables (in the 4.5 cup range).

Keep a close eye on salt. Most Americans eat too much and over 75% of it comes from packaged foods or from eating out. The Dietary Guidelines for Americans suggest limiting salt to less than 2,300 miligrams per day -- that's about 1 teaspoon.

Ma also tells her patients to keep a healthy heart diet high in omega-3 fatty acids like what you find in fish.

Don't let your doctor be lonely

Get screened for heart disease. Regular screening can catch risks early and prevent problems down the road.

The kind of tests you need depend on your age, how much exercise you get, how great your diet is and your family history (if your parents or brothers and/or sisters have heart problems, you're at risk).

The American Heart Association suggests everyone start monitoring heart health by age 20. Your doctor should check your blood pressure, your weight and your cholesterol and triglyceride levels.

High blood pressure greatly increases your chance of having heart problems. If your blood pressure is above 120/80mm, you may want more regular checks. Blood pressure can be controlled through medication or a better diet and exercise.

Starting at age 45, get your blood glucose levels checked. High blood glucose levels -- a sign of Type 2 diabetes -- can lead to heart disease and stroke.

You may also want a more comprehensive heart screening.

At Henry Ford where Mattina works, a typical heart screening involves all the tests you should have in your 20s. A BMI test is performed and your waist circumference measured.

The electrical activity in your heart is monitored, and you'll undergo what's called a carotid intima-media thickness test. Essentially, the two major arteries in your neck are screened for signs of hardening (an early sign of disease). A carotid and peripheral arterial disease screening looks for blockages in your legs, neck and arms. Your blood sugar is measured, your lipid profiles are tested and your cholesterol checked.

"We do a lot of sick care in medicine these days," Mattina said. "I think we need to be more aggressive and look for potential problems before they happen because what we generally have now isn't enough."

For women, it's especially important to know the signs of heart trouble, as they can differ from symptoms in men.

Instead of the classic chest pain with exertion, women may experience this pain while resting or have a sensation in their neck or jaw -- or classic symptoms that can be confused with gastro-intestinal disease.

"Women are so busy taking care of everyone else they put themselves last, but they have to take care of themselves when it comes to their heart," Ma said.

Quit smoking

"This is No. 1 on my list," Mattina said, and Ma agreed.

Mattina said when she sees a young patient who has a heart attack, 90% of them admit to being smokers. It's a little known fact, but most smokers die from heart disease long before they'll get lung cancer.

There are fewer smokers these days, according to the CDC but the number of women who quit has plateaued. Smoking is still the leading cause of preventable death in the United States. It tends to create blood clots, decreases your levels of good cholesterol, makes it harder to exercise and can raise your blood pressure temporarily.

@highlight

Heart disease is the No. 1 killer of Americans

@highlight

Heart disease can be prevented with diet, exercise, sleep and stress-reduction

@highlight

Smoking is one of the leading causes of heart disease in young people