(CNN) -- One million lives uprooted. One million desperate souls trying to start anew with nothing, far away from home.

The number of Syrians who have fled their country since the civil war began almost two years ago reached 1 million Wednesday, the U.N. refugee agency said.

An average of almost 1,400 refugees spill across the border daily. The 1 million figure represents about 5% of Syria's total population.

That's akin to the entire population of Prague, Czech Republic, walking away.

"With a million people in flight, millions more displaced internally, and thousands of people continuing to cross the border every day, Syria is spiraling towards full-scale disaster," U.N. High Commissioner for Refugees Antonio Guterres said.

The pace of the exodus has spiked dramatically in recent months.

Opinion: Refugee crisis 'spiraling out of control'

More than 400,000 have fled since the beginning of this year to countries such as Lebanon, Jordan, Turkey, Iraq and Egypt. About half the refugees are children.

The news coincides almost exactly with the second anniversary of the Syrian civil war.

And a day doesn't go by without a death toll. More than 60 people have been killed in the fighting Wednesday, and the United Nations and Syrian rebels are in a standoff over U.N. peacekeepers who've been detained amid the fighting.

Here's where the refugee crisis stands now:

Many Syrians flee to other countries with few or no belongings, traumatized by the horrors of war and the pain of lost relatives.

"It was a very difficult decision to leave my home. I never wanted to -- ever," one refugee in Lebanon told Save the Children. But the missiles and cluster bombs left her no choice, she said.

CNN special coverage: Syrian refugees

The scene at the Jordanian-Syrian border this week highlights the desperation.

Elderly women, wounded men and entire families scampered across the border under the cover of night.

A baby, wounded in the head by shrapnel, cried as the sound of shelling echoed in the distance.

"There are men left, but the families have fled in very large numbers in all of Daraa," one refugee said. "You can now count the people left on your fingers. Syria is emptying."

While host families have taken in some refugees, others have endured frigid weather in tent camps or struggle to pay for shelter.

A local administration office in Lebanon said it was running out of makeshift homes and heating fuel for refugees.

Some must live in places where the only source of heat is a small outdoor fire for cooking.

Read more: Syrians find calm after carnage

In Jordan, it's illegal for refugees to work, so some families have gone into deep debt to keep their children alive, Save the Children said.

A 46-year-old refugee in Lebanon described the plight of his family, who has spent the past year living in an old sheep shed.

"I cry in my heart. I feel depressed. It's unjust. Is there a worse way to live than this?" the refugee, identified as Ahmed, told the aid group.

"Our situation is terrible to the maximum. We didn't expect there were humans who could live the way we are living."

Host countries: Resources pushed to the limit

The endless flood of refugees has drained resources in neighboring countries in unpredictable ways.

Lebanon's population has increased up to 10% because of Syrian refugees, the U.N. agency said.

Syria's 'urban refugees' struggle for survival

Jordan's energy, water, health and education services have been severely strained.

Turkey has spent more than $600 million setting up 17 refugee camps, with more under construction.

And Iraq, already grappling with 1 million internally displaced citizens, has taken in more than 100,000 Syrian refugees in the past year.

"We are doing everything we can to help, but the international humanitarian response capacity is dangerously stretched," said Guterres, the U.N. high commissioner for refugees. "This tragedy has to be stopped."

Dozens of countries and groups around the world pledged more than $1.5 billion in humanitarian assistance for Syrians in January. But only $200 million had been received by the end of February, the United Nations said.

The war: Shifting but endless

While the end of the war seems nowhere in sight, the opposition has made notable strides against government forces.

This week, opposition fighters said they captured the major northern city of Raqqa -- the first time rebels have seized a provincial capital.

State-run media responded by saying government forces were battling suspected members of the radical Islamist group al-Nusra Front in Raqqa.

But footage from the city painted a different picture. Children climbed atop a fallen statue of former President Hafez al-Assad -- the current president's father -- and beat the cracked figure with a bat and shoes.

Teen refugee: Prince Charming is dead

Some attribute the rebels' recent gains to shipments of arms from other countries.

But rebels are still fighting to wrest the largest city, Aleppo, from government hands. They recently took over a military base near the city, but full control of Syria's economic hub remains elusive.

While Damascus remains a regime stronghold, rebel and regime forces are battling very close to the city -- threatening to take the fight to the seat of President Bashar al-Assad's power.

Rebels detain U.N. peacekeepers

Tension brewed Wednesday between the United Nations and rebels after about 30 rebels detained 20 U.N. peacekeepers and refused to let them go.

The rebels say the peacekeepers entered a Syrian village near the Israeli-occupied Golan Heights, an area where peacekeepers should not be and where intense fighting has been raging for days between rebels and government forces.

The rebels say they suspect the peacekeepers were trying to aid their enemy, which is defending the al-Assad regime.

The United Nations confirmed the peacekeepers' detention and said they were on a "regular supply mission." The United Nations offered no further details of that mission but said it is "dispatching a team to assess the situation and attempt a resolution."

Intervention: Global attempts and failures

So far, international attempts to stymie the bloodshed have failed.

Trouble brewed from the beginning, when the U.N. Security Council couldn't unify on an action plan for Syria.

Western countries wanted tougher sanctions against the Syrian government, but Russia and China said they didn't want to meddle in another country's internal affairs.

Syrian refugees on run: 'I want people to feel our pain'

The United Nations and the Arab League sent two seasoned diplomats -- Kofi Annan and Lakhdar Brahimi -- to try to broker cease-fires in Syria, but negotiations never ended the violence.

But the western Syrian town of Tal Kalakh may be a microcosm of hope. There, Syrian forces and rebels have agreed to a cease-fire, brokered in part by a parliamentarian and a sheikh.

Residents in other parts of the country, though, aren't so fortunate.

The death toll: Relentless carnage

The United Nations estimates more than 70,000 Syrians -- mostly civilians -- have been killed in the past two years.

At least 10,000 people have died since early January, British Foreign Secretary William Hague said Wednesday. "That means more people have died in the first two months of this year than in the whole of the first year of the conflict," he said in remarks published online.

Though there is "no sign that the Assad regime currently intends to enter into a genuine political process," Hague said, securing "a diplomatic breakthrough remains of course our objective."

On Wednesday, at least 62 people were killed in the conflict, according to the Local Coordination Committees of Syria, an opposition group.

But it's almost impossible to verify and keep up with the latest death figures. The Syrian government has severely restricted access by international journalists.

Dissidents say many of the civilians killed were caught in aerial attacks from warplanes -- unable to predict when the next bomb will strike.

U.N. Syria envoy: 'I am not a quitter'

The war started when al-Assad's forces cracked down on civilians demanding more freedoms and government reform. The president's family has ruled Syria for almost 43 years.

The violence led to an armed uprising and escalated into a civil war, with al-Assad trying to defend his rule against rebels demanding his ouster.

Throughout the war, a lingering quandary has prevented any progress between the government and dissidents.

Al-Assad has said he will not deal with "terrorists," a term the government often uses to describe the opposition.

Similarly, opposition members have said they will not work directly with al-Assad's "criminal" government, nor will they accept any plan that doesn't involve al-Assad's departure.

With neither rebels nor government troops backing down, it's unclear how many more thousands of civilians may die.

CNN's Hamdi Alkhshali, Richard Roth, Nick Paton Walsh and Saad Abedine contributed to this report.

@highlight

"Syria is spiraling towards full-scale disaster," a U.N. official says

@highlight

More than 400,000 refugees have fled since the beginning of this year

@highlight

Rebels detain 20 U.N. personnel, demand withdrawal of al-Assad forces from village

@highlight

U.N. says it's "dispatching a team to assess the situation and attempt a resolution"