(CNN) -- New York City parents who are raising questions about the city's plan to expand its pilot program of dispensing contraception, including the morning-after pill, to high school students are doing what parents should do. They're asking questions.

If they seek information from credible sources, they will learn that when taken within five days of intercourse, the morning-after pill Plan B, which contains one of the hormones found in regular pills, is safe and effective.

They also will learn that other forms of contraception have been available in many New York City public high schools for years. This new plan, open to all, is actually designed for girls who have been hardest to reach.

These young women, from poor and working-poor families, are much more likely than others to get pregnant by accident. Then, one of two things happens: A girl gets an abortion, or she has a baby she cannot support. Neither New York City's school authorities, nor Mayor Michael Bloomberg, finds those options desirable; both are quite rightly supporting the expansion.

According to Joanna Kuebler of the National Assembly on School-Based Health Care, about 40% of school-based health centers in the United States are allowed by their school districts to dispense contraception. Sixty percent of centers are prohibited from doing so. Requirements for parental consent vary. New York's effort to reduce teen pregnancies appears to be among the largest and most comprehensive.

What hangs some people up is the school administration's decision, during the recent pilot phase of the project, to allow parents to opt their children out of it. Parents received letters in the mail describing the program and telling them that their child would be in the program unless a parent disallowed it in writing. Only 1% to 2% of parents denied permission. It's a good bet many parents didn't read the letters, or if they did, thought their daughter wasn't having sex, or weren't sure how they felt -- so they didn't do anything.

New York schools' Plan B program draws critics, supporters

The school system took their silence as an endorsement and moved to expand the program. I think I probably would have done the same thing. But opponents said a fairer way of judging parents' attitudes would have been to require them to opt their children in if they wanted them in the program. They argued that that would require a student and parent to talk to each other about the student's sexual activity -- a good thing.

Advocates for the city's plan offered a credible response. They said that many students and parents would avoid such a discussion. Absent parental approval, students who were already sexually active, or about to be, would be in the same boat as before: unable to easily acquire contraception after either consensual or nonconsensual sex.

We live in one of the richest, most well-educated countries in the world, yet we have the highest teen birth rate of comparable countries. That is simply not right. Yes, parents are children's first teachers and moral guides, but they need assistance, which is what the New York City system is attempting to provide.

No reliable scientific evidence shows that the availability of birth control encourages young people to start having sex earlier. And there is good evidence that the increased availability of birth control, as well as improved sex education, has lowered the teen pregnancy rate dramatically. According to data released this week by the National Center for Health Statistics, the teen birth rate in 2011 -- about one birth for every 32 girls -- is the lowest it has been since the 1940s, when the center began to track childbearing.

A lower teen pregnancy rate means a lower abortion rate. Among the 7,000 girls ages 15 to17 who got pregnant last year in New York City, nine out of 10 pregnancies were unplanned, and almost two out of three resulted in abortions. For that reason alone, we should embrace New York's efforts to make all forms of contraception accessible, as well as affordable and safe.

The opinions in this commentary are solely those of Laura Sessions Stepp.

@highlight

N.Y.C. expands program to dispense birth control in high schools with morning-after pill

@highlight

Laura Stepp: The U.S. has the highest teen birth rate of comparable Western countries

@highlight

Stepp: No evidence contraception encourages teens to start having sex earlier

@highlight

Stepp: Birth control lowers teen pregnancy rate, which means fewer abortions