WASHINGTON (CNN)  -- The crew of a commuter plane that crashed outside Buffalo, New York, in February may have responded improperly to signs the plane was stalling, according to details of the investigation released Wednesday.

Only a few pieces of the Continental Connection Dash 8 turboprop were recognizable after the crash.

The crew of Continental Connection Flight 3407 pulled back on the plane's control column when it received a stall warning, pulling the plane upward, an update released by the National Transportation Safety Board revealed. That would have aggravated the situation rather than improving it, according to a veteran pilot contacted by CNN.

But investigators are far from determining the exact cause of the crash, the NTSB said. And Colgan Air, the plane's operator, urged the public not to jump to conclusions.

The Bombardier Dash 8 Q400 crashed into a house about six miles from Buffalo-Niagara International Airport the night of February 12. All 49 people on the plane and one man who was in the house were killed.

The pilot and first officer discussed "significant" ice buildup on the aircraft's windshield and wings before the crash, the cockpit voice recorder revealed. But in an update on the investigation, the NTSB said there is no indication that aircraft's systems failed, or that ice had a significant impact on the plane.

The NTSB said a stall warning device known as a "stick shaker" appears to have behaved properly, activating when the plane's speed dropped to 130 knots (150 mph). At that point, however, "there was a 25-pound pull force on the control column," pulling the plane upward, and data suggests there was a "likely separation of the airflow over the wing" -- meaning the plane had stalled.

"The circumstances of the crash have raised several issues that go well beyond the widely discussed matter of airframe icing," the NTSB's acting chairman, Mark Rosenker, said in a statement on the findings.

In general, when a stick shaker activates, pilots are taught to apply full power and maintain the plane's altitude or lower the nose, a captain for a major airline told CNN.

"What you don't want to do is aggravate the situation," said the pilot, who would not be named because he had not sought approval from his airline. "By pulling it up without adding power, you're aggravating the situation."

The safety board said it intends to investigate "stall recovery training" among other issues at a three-day public hearing it will offer on the crash in mid-May. Doug Moss, a United Air Lines pilot and aerospace consultant, said that appears to be what the NTSB "is really looking at."

"It's easy to build a lot of experience in airline flying without ever getting close to the edges of the envelope," he said.

In a statement issued Wednesday afternoon, Colgan Air said the NTSB data does not pinpoint a cause, and its crews "are prepared to handle emergency situations they might face."

"We stand by our FAA-certified crew training programs which meet or exceed the regulatory requirements for all major airlines and include training on emergency situations," the Virginia-based carrier said. Colgan Air said it is "cooperating thoroughly" with the investigation.

"The only absolute fact is that we do not know the cause of this accident," it said.

Information released Wednesday appears to count out one possibility that was the subject of speculation after the crash: a stall induced by ice on the aircraft's tail. Pilots say those stalls are particularly insidious because pilots cannot see the tail wings and because the recovery procedure is the opposite of a main-wing stall -- tail-wing stalls generally are overcome by raising the plane's nose.

The NTSB said that toxicology tests of the flight crew were negative for alcohol or illicit substances. The captain tested positive for diltiazem, a prescription blood pressure medication the Federal Aviation Administration had permitted him to use.

At the board's hearing in May, the NTSB will look into a number of topics, including the effect of ice on the aircraft's performance, cold weather operations, the crew's experience and sleep issues. The board also will investigate "sterile cockpit rules," or requirements that crews discuss only aircraft issues during critical phases of flight, such as take-offs and landings.

CNN's Allan Chernoff contributed to this report.

@highlight

NEW: Plane's operator: Cause still not known; public shouldn't jump to conclusions

@highlight

NTSB: Crew pulled back on control column after stall warning

@highlight

A pilot tells CNN that move would have aggravated the situation

@highlight

All 49 aboard, plus 1 in house, were killed in February crash near Buffalo, New York