Washington (CNN) -- When Mitt Romney is agitated, his arms flail. President Barack Obama has a tendency to drone on and on. Debate experts say both should keep those quirks in check during the upcoming presidential debates.

That's because in the world of political theater, nobody likes a ham or a know-it-all, said Melissa Wade, a debate professor at Emory University.

So Romney should keep that whiteboard full of facts and figures under wraps. And Obama should keep the lecturing to a minimum.

"It's the generation of Twitter and Facebook and efficient language choices are persuasive," Wade said.

Both candidates are considered skilled debaters -- Romney's campaign called Obama a "universally acclaimed public speaker," and Romney was lauded for his performance during the Republican presidential primary debates. However, there's a lot more to effective debating than clever rhetoric.

10 questions you would ask at the presidential debate

Delivery, tone and body language -- almost as much as substance -- convey a lot to would-be voters, political experts say.

Over the next three weeks, voters will have plenty of opportunities to watch the political posturing unfold. Wednesday night's debate in Denver is the first of three between the president and Romney.

The first debate focuses on domestic policy, so exchanges are bound to be lively, debate experts say.

"Romney and Obama will disagree with the foundation of what caused our economy to go south," said Todd Graham, director of debate at Southern Illinois University.

John King: Debate all about trust for Romney

The two men will also mix it up over their different proposals for trimming the nation's debt and entitlement spending, addressing tax rates, and reforming the nation's health care system.

For voters keeping score at home, pay attention to "things like argument depth, trying to get beneath the surface of the argument. They've become quite skilled at not answering the question. They'll repeat the question and then the next few things out of their mouths don't answer the question," Graham said.

Also, "Look for inconsistencies ... things they have or have not said before," he said.

Vice President Joe Biden and Romney's running mate, Rep. Paul Ryan of Wisconsin, will face off once on foreign policy matters. And like their top-of-the-ticket counterparts, the veep candidates also have some habits to watch out for.

"Ryan has so much less experience that he's going to be on talking points for the ticket," Wade said, and that could make him seem a bit stiff. On the other hand, "Biden has to be careful to not be glib about it and assume his superior knowledge."

Voters have already handicapped the presidential candidates' performance.

According to an ABC News/Washington Post national poll released Monday, 55% of likely voters say they think the president will win the debate, with 31% saying the former Massachusetts governor will be victorious. The findings on this question from the new survey are in line with a CNN/ORC International poll conducted right after the Democratic Convention last month, where likely voters predicted by 59% to 34% that Obama was more likely than Romney to prevail in the October showdowns.

The campaigns spent the bulk of last week downplaying expectations.

Romney debate challenge: High stakes, lowered expectations

However, there's still plenty of room for surprises.

"The mistakes the presidential candidates have made over the years are numerous. Poor body language has been a common blunder. As much as candidates focus on perfecting the substance of what they say before the cameras, a large number of Americans are really most interested to see how they say it," CNN contributor and history professor Julian Zelizer wrote for CNN.

Despite weeks of preparation and practice with debate sparring partners, candidates often revert to nervous tics under the harsh glare of spotlights. During a 2008 debate, Sen. John McCain paced on stage; in 1992, President George H.W. Bush glanced at his watch; and in 1960, Vice President Richard Nixon was sweaty and cast furtive glances.

Both Obama and Romney have similar habits -- "tells" that signal that they're nervous.

The mistakes candidates make in debates

"Romney is more aggressive, he talks with his hands more and is more animated. That's not a good thing," Wade said, adding that at times Romney seems irritated when pressed. "He's a smart man ... but because he is not fully consistent in his message, it shows in his face."

Such behavior could come across as impatient, Wade said.

"The best thing he could do is shove those hands in his pocket," she said. "Even if he were to put one hand in the pocket it would calm ... his body and face down."

Why debate is crucial for Obama, too

Obama may have a reputation as "cool, calm, collected and very comfortable in his body," Wade said, but he too has his own set of body language challenges.

The town hall format -- such as the one scheduled for October 16 at Hofstra University in Hempstead, New York -- is Obama's nemesis. It offers a looser, more classroom-like setting, one in which the former law school lecturer tends to slip into the role of an academic.

"It's his worst format," Wade said. "It was not as pronounced as McCain wandering around. Obama in a town hall is more long-winded. He just can't help himself."

Getting ready for Wednesday's showdown

Both candidates tend to fare well in settings in which they are standing behind podiums.

"The setup with lecterns and longer questions and answers allows for more direct exchange," Wade said. "They're looking at the moderator and the audience, but they're also able to look at each other."

But there's also a psychological disadvantage to this, said SIU's Graham.

"When seated, the candidates become less aggressive," he said.

For viewers, that's a good thing, Graham added, saying that voters tend to see aggressive debating tactics as bullying.

"For God sakes, don't actually debate. If you actually debate you tend not to do well in the polling the next day," he said. "The public tends to think they were too aggressive and mean and they don't like them."

In Ohio, Romney praises debate partner Portman

Even things like height differences alter perception and the types of gestures a candidate should use, Wade said.

"Most of the presidential primary debates were the standard format of the line of humans behind lecterns. It generates some power dynamics in size difference," she added. "We associate height with power. It's a subtle stereotype that goes on."

So someone smaller, like Rep. Michele Bachmann of Minnesota, "had to use larger hand gestures to compensate with size," Wade said.

At 6-foot-1 and 6-foot-2 respectively, Obama and Romney are on an even footing.

Romney: Debates aren't about a win

CNN's Paul Steinhauser contributed to this report

@highlight

Voters pay close attention to what is said and how it is said during debates

@highlight

Body language tics have hurt presidential candidates in the past

@highlight

Both Barack Obama and Mitt Romney have "tells" to watch out for in stressful situations