The Gingrich campaign has now confirmed a longstanding business relationship that enabled his consulting group to receive between $1.6 and $1.8 million from mortgage giant Freddie Mac. But it wasn't for "lobbying," Newt Gingrich insists. It was for "strategic advice on a wide range of issues."

OK, but then doesn't the payment, AP's Tom Beaumont asked the former House speaker, just remind people that "your background comes from being a Washington insider?"

"It reminds people," Gingrich corrected Beaumont, "that I know a great deal about Washington." And as he continued,  "If you want to change Washington, we just tried four [sic] years of amateur ignorance and it didn't work very well, so having some-body who knows Washington might be a really good thing."

Newt Gingrich is certainly right about that. There is no candidate for president who has had more experience in changing Washington than Gingrich. Indeed, there may be no American since James Madison who has had more of an effect in making the institution of Congress what it is today.

For as far too few remember, more than any other living American, it is Newt Gingrich who gave us the current version of our hopelessly dysfunctional Congress — an institution which, according to a New York Times/CBS poll, now has the confidence of 9% of the American people. That monster is his baby, and no one should deny him his parental bragging rights.

The question for Gingrich now, however, is whether he wants to change that institution — again. For nothing in his campaign so far has either explained what went so wrong in the practices that he helped birth, or how we might possibly reform them. And it is this, I suggest, more than anything else that Americans need "reminding" of.

The Framers of our Constitution meant Congress to be a great deliberative body. It has become an embarrassment. Congress doesn't deliberate to resolve important national issues. Congress fundraises, and postures to fundraise, to support the next fight for control.

The transformation to this "Fundraising Congress" began in 1993. Newt Gingrich was its leader. After claiming Republican control of both houses of Congress in 1995 — for the first time in 40 years — Gingrich launched his new army of reformers on a project to secure permanent control of that institution, and of government.

Fundraising was the key to that strategy of control. The Republicans came to power raising a then unheard of amount of money: $618.42 million in the election cycle ending in 1994, compared to the Democrats' $488.68 million.

In the four years between 1994 and 1998, Republican candidates and party committees would raise over $1 billion. Never before had a party come anywhere close to raising that amount of money, because never before had any party's leaders so effectively focused the energy of their members on this single task: fundraising.

Gingrich concentrated the "work" of Congress into a three-day "work" week. He sent his caucus home for the rest of the week, in part so that they had time necessary to launch cross-country fundraising missions.

He exploded the number of committees, radically increasing the number of fund-raising targets. He ended any idea of bipartisanship. Instead, as Rep. Jim Cooper, D-Tennessee, has described, the focus of Congress after Gingrich's reforms became the "majority of the majority," (i.e., the majority of the Republicans) polarizing the institution to the end of assuring ever more loyal and energized troops.

Members of Congress now spend between 30%-70% of their time raising money to get re-elected to Congress or to get their party back into power. And not just the Republicans: The Democrats quickly followed the lessons of Professor Gingrich. And in the almost 20 years since he came to power, practically everything about that great institution has changed.

Gone is any semblance of deliberation, or the idea that there is a business of the nation to be done, as opposed to the business of the party in power. Instead, the institution that Gingrich inherited — the one in which Democrats worked with Republicans to pass the most important tax reform in modern history (Reagan's), and in which Republicans led Democrats to break a filibuster in the Senate and pass the most important social legislation in a century (The Civil Rights Act of 1964) — was gone. What replaced it is the completely dysfunctional institution which practically no American has confidence in today.

More important to the right, as the business of Congress became the business of fundraising, the ideals that had brought Gingrich to power quickly got compromised. Fundraising demands pushed the Republican leadership to give up on its stated goal of shrinking the size of government, so that it could better use the power of majority status to raise campaign cash. As the Washington Post's Robert Kaiser reported in his 2009 book, "So Damn Much Money":

"Republicans took over ... determined to cut the government down to size. [But] their ambitions were soon compromised. ... Gingrich initially supported ... efforts to impose discipline on spending.... But in the face of perceived political necessity, the leadership wavered. Cutting spending was good, but Gingrich, (Dick) Armey, (Tom) DeLay, and others quickly realized that 'we have another aspect to our existence here, which is that we must use the Appropriations Committee as a resource to protect our vulnerables, because once we got into power, we wanted to stay in power.'"

The job of Congress was no longer the work of the nation. The job of Congress was to help its majority "to stay in power."

This is the legacy of Speaker Gingrich. It has been followed by Republicans and Democrats alike. It is a legacy that has done the nation great harm. And much more important than the question of how Gingrich might have profited personally from the economy of influence that he helped build is the question of whether, and how, he now intends to "change" it.

So it is perfectly true, Mr. Speaker, that you have the most "change" experience of any candidate for president. So would you use it this time to do good?  Or would you continue to defend the practices that have destroyed the crown jewel of the Framers' Republic: Congress.

@highlight

Lawrence Lessig: Gingrich fundamentally changed nature of Congress

@highlight

He says the speaker focused GOP on fundraising, rather than nation's business

@highlight

Under Gingrich, holding power trumped deliberation on real issues

@highlight

Lessig says GOP gave up goal of shrinking government to avoid losing donations