Sydney (CNN) -- When winter hits, Sydney becomes something of a ghost town as its 4 million or so residents retreat indoors to acclimatize to the cold.

Yet for the past five years, they've been beckoned outside by Vivid Sydney, an 18-day festival of light, music and ideas that takes over after dark May 24 to June 10.

At the core of the carbon-neutral festival is Vivid Light. From 6 p.m. every evening, local and visiting artists use light installations and 3-D projectors to transform the 1,056,000 tiles of the Sydney Opera House, the Museum of Contemporary Art and other category-killing buildings into giant canvases of color and light.

Check out this incredible Sydney Opera House timelapse

Headlining Vivid Live, the festival's ticketed live music program, are German electronic music pioneers Kraftwerk. Other acts included Joy Division and Vangelis from the UK and homegrown acts Cloud Control and Empire of the Sun. Bobby Womack called in sick.

Vivid Ideas, the festival's third and final arm, comprises more than 100 lectures, workshops and debates. Led by global leaders in the fields of fashion, film, publishing, architecture and design, it underlines Sydney's standing as a global epicenter for creative arts.

"Vivid now leads the world in sheer number and size of buildings projections -- no other city lights up its famous landmarks and skyscrapers the way we do," says creative adviser Ignatius Jones, who co-directed the 2000 Sydney Olympics' opening ceremony.

"This year we're going to have 60 light sculptures -- nearly twice as many as last year. It's going to be really, really big."

A complete list of events and shows, plus ticketing details are accessible here: Vivid Sydney

In sync with the colder clime, Sydneysiders stray from the city's beaches and harbor to find fun in the retail and entertainment precincts of the inner city and beyond. Here are three of the hippest.

Insider guide to Sydney

Surry Hills

During the Great Depression, Surry Hills was a Dickensian slum known for brothels and razor-wielding street gangs. But demand for city-fringe housing has seen the suburb embark on a journey of gentrification that transformed it into Sydney's Soho district.

Starting at the junctures of Oxford Street, Sydney's celebrated gay district, vintage clothing stores like Grandma Takes a Trip, Wheels & Dollbaby and Strawberry Hills (+612 9380 8809) make Surry Hills Sydney's capital of alternative fashion. For contemporary threads, check out Japanese-Danish boutique Mushu, Via Alley Shop and Gallery and Flight 001, a travel store shaped like the inside of a jumbo jet.

New York-style warehouse bars like Toko, The Winery and Shortgrain buzz with life on wintry weekends, while neon green spirits are served with aplomb at The Absinthe Salon.

The home of Australia's most innovative theater company, Belvoir Street Theatre is where Hollywood heavyweights Cate Blanchett and Geoffrey Rush cut their teeth. From May 28 to July 14, Belvoir presents "Angles in America," a two-part Pulitzer Prize-winning play featuring Marcus Graham of David Lynch's "Mulholland Dr."

To get a sense of Surry Hills's working-class past, order a beer on tap or at The Cricketers Arms, Hollywood Hotel or any of the suburb's un-renovated pubs. Adherents of the if-it-isn't-broken-don't fix-it school of design, they are windows into Surry Hill's indissoluble bohemian heart.

The Inner West

When it comes to noisy and unsightly motorways, Parramatta Road, Sydney's major east-west artery, takes the cake. But a select number of its side streets and adjoining suburbs are vibrant hubs for food, fashion and art.

At the very start of Parramatta Road, the castle-like buildings of Sydney University were modeled on London's Westminster Abbey. Walk though its neogothic sandstone quadrangle to King Street, Newtown, an eclectic meeting place for students, rockabillies and steampunks. Lined with old pubs, cinemas and multicultural eats like Rowda Ya Habibi (+612 9557 5368), Sydney's best kebab joint, King Street is a people-watchers' paradise and then some.

Across from Sydney University is Glebe Point Road, home to Gleebooks, Sydney's most popular independent bookstore. On Saturday mornings, Glebe Markets provides a showcase for emerging artists with recycled fashion and bands on the side.

A mile west of here on Parramatta Road is Deus ex Machina's House of Simple Pleasures. A hanger-size oasis of retro style, it combines a custom motorcycle showroom, the Deus boutique and a pseudo-industrial function space that hosts everything from weddings to rock concerts.

Continue another mile and a half and you'll find Sydney's Little Italy on Norton Street, Leichhardt. With around 50 restaurants and cafÃ©s, the strip stakes a claim as one of Sydney's great ethic culinary hubs.

Discover your favorite Leichhardt eatery on a Buon Appetito walking tour. Run by Italian-Australian advocacy group Co.As.It, it visits Leichhardt's best food outlets, teaches the history of Italians in the area and culminates in a cooking demonstration and Sicilian lunch.

Woollahra

An Aboriginal word meaning 'camp', Woollahra is one of the eastern Sydney's most affluent suburbs. Its streets are lined with elm trees, grand Victorian terraces and a village-like retail hub home to some of Australia's most prestigious art galleries.

The Gallery Walk starts near the corners of Oxford and Queen Street at The Art of Dr Seuss for limited-edition prints by the author of the "Cat in the Hat" series. Continue along Queen Street to Bewoulf Gallery for exotic and ethnographic ceramics. A detour through Hallis Lane leads to the Tim Olsen Gallery and Richard Martin Art on Jersey Road, where Sydney's art cognoscenti attend regular exhibitions.

Tucked behind rows of square hedges around the corner on Ocean Street is Chiswick, a glasshouse-inspired eatery with shaded outdoor seating. TV chef Matt Moran sources herbs from Chiswick's own vegetable patch, lamb from his own farm and small goods from Victor Churchill, a Woollahra butcher of distinction established in 1876.

Back on Queen Street, across the road from luxury perfumery Jo Malone, is Life.Style -- the boutique-gallery hybrid of global cosmetics tsar Napoleon Perdis. Trading from the heritage-listed original Woollahra Post Office building, it stocks IONIA porcelain dinnerware from Greece, Lucite and Perspex accessories from France plus lithographs and garments from the US.

"Woollahra is a micro cosmos that epitomizes the idea of Sydney as a city of villages," Perdis says. "It's not just a tourist attraction, it's the way we live."

@highlight

Vivid Sydney is in three parts, Vivid Light, Vivid Music and Vivid Ideas

@highlight

Many iconic Sydney structures are lit up for the festival

@highlight

Kraftwerk headlined the Vivid Music performances

@highlight

Around 550,000 people are expected to attend the festival