The number of children with autism in the United States continues to rise, according to a new report released Thursday by the Centers for Disease Control and Prevention. The latest data estimate that 1 in 88 American children has some form of autism spectrum disorder. That's a 78% increase compared to a decade ago, according to the report.

Since 2000, the CDC has based its autism estimates on surveillance reports from its Autism and Developmental Disabilities Monitoring Network. Every two years, researchers count how many 8-year-olds have autism in about a dozen communities across the nation. (The number of sites ranges from six to 14 over the years, depending on the available funding in a given year.)

In 2000 and 2002, the autism estimate was about 1 in 150 children. Two years later 1 in 125 8-year-olds had autism. In 2006, the number was 1 in 110, and the newest data -- from 2008 -- suggests 1 in 88 children have autism.

Read the CDC report (PDF)

Boys with autism continue to outnumber girls 5-to-1, according to the CDC report.  It estimates that 1 in 54 boys in the United States have autism.

Mark Roithmayr, president of the advocacy group Autism Speaks, says more children are being diagnosed with autism because of "better diagnosis, broader diagnosis, better awareness, and roughly 50% of 'We don't know.'"

He said the numbers show there is an epidemic of autism in the United States.

Early recognition of signs of autism -- a neurodevelopment disorder that leads to impaired language, communication and social skills -- is vital because it can lead to early intervention, says Dr. Gary Goldstein, an autism specialist and president of the Kennedy Krieger Institute in Baltimore.

"There have been studies -- double-blinded studies -- to show that behavioral early intervention changes the outcome for children," Goldstein says.

Roy Sanders and Charlie Bailey sensed something was wrong with their son Frankie Sanders when he was 9 months old.

"Our pediatrician at the time who was a friend of ours tried to tell us that we were being too cautious, we were being too anxious," Sanders says.

Frankie's pediatrician thought his parents were seeing developmental delays that weren't really there. But Frankie wasn't talking, Sanders says. "He didn't have speech; he didn't have any communication skills at all. He didn't point. He would flap quite a bit. He would stare at fans; he would stare at lights; he would become frantic if he didn't have a Thomas the [Tank] Engine because he was obsessed with Thomas the [Tank] Engine."

His parents kept pushing, and Frankie, now a ninth-grade nose guard and defensive guard for the Decatur Bulldogs football team in Decatur, Georgia, was diagnosed with autism when he was 15 months old.

iReport: Have a child with autism? Sign up to participate in a project with CNN.

"Early detection is associated with better outcomes," says CDC Director Dr. Thomas Frieden. "The earlier kids are detected, the earlier they could get services, and the less impairment they'll have on their learning and in their lives on a long-term basis is our best understanding."

The CDC is working with the Academy of American Pediatrics to recommend that children get screened for autism at ages 18 months and 24 months, Frieden says.

CDC: What you should know about autism

However, according to the CDC report, most children were diagnosed between ages 4 and 5, when a child's brain is already more developed and harder to change.

"Doctors are getting better at diagnosing autism; communities are getting much better at [providing] services to children with autism, and CDC scientists are getting much better at tracking which kids in the communities we're studying have autism," Frieden says.

"How much of that increase is a result of better tracking and how much of it is a result of an actual increase, we still don't know. We know more about autism today than we have ever known," he says, "but there is still so much we don't know and wish that we knew."

@highlight

One in 88 U.S. kids thought to be autistic, CDC says; for boys it's 1 in 54

@highlight

Why? Better, broader diagnosis, better awareness, and "50% of 'We don't know," expert says.

@highlight

Advocate: There is an epidemic of autism in the United States.

@highlight

Autistic teen Frankie Sanders shows benefits of early detection