(CNN) -- For all the cheers, roars and ovations in all the Olympic stadiums and arenas over all the years, perhaps the most significant Olympic sound heard in the last quarter-century was a yawn.

Because a yawn, symbolically, was how the public greeted what might have been the most controversial change in rules that the International Olympic Committee ever instituted.

The one firm rule that always governed the Olympic Games was that amateur athletes were permitted to compete. Professional athletes were not.

That's what made the Olympics the Olympics.

Until it didn't.

And the fans, far from protesting in outrage at the change, didn't care. In fact, they seemed to like it a lot.

In the Olympic eras before television, athletes who accepted money for their performances might as well have been lepers, in the eyes of the IOC. If it was discovered that you got paid for playing, or that you accepted commercial endorsements, you were shunned, banished, cast to the cold winds.

In the most famous example of the inflexibility of the Olympic organizers, Jim Thorpe, perhaps America's finest athlete of all time, had his gold medals in the decathlon and pentathlon in the 1912 Olympics stripped, and his achievements nullified, because he had once accepted small amounts of money for playing semi-pro baseball during his college summers. It broke his heart. The medals were reinstated in 1983 -- 30 years after his death, 30 years after the moment could have given him any comfort.

Torch starts final leg before London Olympics open

It may be hard for young viewers of this summer's London Olympics to imagine, but all the sponsorships, advertisements and marketing hoopla that are a standard part of big-dollar contemporary Olympic Games were thought to be an insult to the Olympic spirit not so long ago. The Olympics were supposed to be about love of sport, not love of money.

Then came TV.

The president of the IOC during the years of television's phenomenal growth was an American, Avery Brundage, and the guiding principle of his reign (1952-1972) was what was called the "amateur code." He was unbendable on the subject. In a 1955 speech, Brundage said:

"We can only rely on the support of those who believe in the principles of fair play and sportsmanship embodied in the amateur code in our efforts to prevent the Games from being used by individuals, organizations or nations for ulterior motives."

Meaning: to make money.

But once Brundage was gone, the floodgates opened. The IOC, after his regime, realized that commercial interests could turn the Olympics into a bottomless goldmine. And to bring in viewers, it was determined that an effective lure would be the presence of the greatest and most famous athletes in the world. Many of whom are professionals.

"The pros are there for a reason," the esteemed sports journalist Ron Rapoport, who has covered six Olympics, told me the other night. "People will tune in to watch athletes they know. The pro athletes are pre-sold to the public, which means increased viewership."

What made it an easy sell was the suspicion that athletes from certain Eastern Bloc nations were de facto professionals anyway: They were supported full-time by their governments to train and compete. So, by the end of the 1980s, the move toward professionalization of the Olympics had gained full steam.

Which seemed to be just fine with the fans. If the best athletes were paid for their skills, or for granting endorsements, why not? The concept of "selling out" -- once such a pejorative -- had become almost meaningless. Making a lot of money for being good at a sport was a badge of honor.

When the Dream Team of National Basketball Association players from the United States went to the Barcelona Olympics in 1992, the transformation was complete. If you spent any time around the members of the Dream Team in the months leading up to the Olympics, you couldn't help noticing that they were not exactly a bundle of nerves. They were going to win, and they knew it -- Michael Jordan spent much of his time in Barcelona either playing in all-night card games or getting in 36 holes of golf a day. The Olympics were a very successful business trip for U.S. basketball interests; the real dream was the one realized by David Stern, the NBA commissioner. The 1992 Olympics were the best global marketing tool the NBA ever had.

(Many people point to the fact that the Dream Team won their games by an average of almost 44 points as the most remarkable statistic of those Olympics. I've always thought that there was an even more extraordinary one: The Dream Team was so good that its head coach, Chuck Daly, did not call a single timeout during the entire Olympic tournament.)

Of course the problem with the Dream Team, and its successors representing the United States in Olympic basketball, is that they are automatic overdogs. The world outside the United States would love to see them lose -- it's "Break up the Yankees," on a planetary scale. The amateur U.S. ice hockey team at Lake Placid in the 1980 Winter Olympics -- the "Do you believe in miracles?" team -- was cherished because they won when they were said to have no chance. No Olympic team of U.S. basketball pros will ever know that feeling; the "Do you believe in miracles?" emotion will be reserved for teams who are trying to knock them off.

The size and scope and riches of the 21st century Olympics are a far cry from how the games began, and there's no going back. Few people seem to want to. The spectacle is hypnotic.

There would be a sure-fire way to restore what was seen as the purity, and the love of competition for competition's sake, of the early Olympics -- a way to drive the marketers and merchandisers and global sponsors away so that the Games would simply be games again. All the IOC would have to do is add a short sentence to the Olympic Charter:

"The Olympic Games shall not be televised."

That would do it.

Meanwhile, back in the real world, the opening ceremonies in London will be held on Friday.

Rumor has it that they'll be on television.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: For decades, the Olympic Games banned professional athletes

@highlight

He says the decision to admit pros changed the nature of the games

@highlight

Greene: Having pro athletes compete increases potential for games to make money

@highlight

He says as long as the Olympics are televised, pros will be there to compete