(CNN) -- Like Americans, Israelis begin their day by watching one of several television news shows. These highlight the pressing issues facing the country. But Israel, of course, is not just any country, but a contested and often controversial Jewish state situated in the epicenter of an overwhelmingly Muslim and constantly roiling Middle East.

One would expect, then, to hear commentators on these shows discussing the latest glitch in the peace talks with the Palestinians, the recent terrorist bombing just beyond Israel's southern border with Egypt, or the revelation of more advanced rockets in the arsenal of Hezbollah in Lebanon. But the topic on Israel's leading morning show this week was none of these. The top issue, rather, was the percentage of Tel Aviv streets named for women.

Turns out that women's studies scholars and feminist activists have examined Tel Aviv street names and discovered that the overwhelming majority of them are named for men. While preparing for work, I kept one eye on the television and listened, fascinated, as representatives of women's rights groups argued passionately for gender equality in Tel Aviv street-naming. They made a compelling case and even the show's hosts, who are generally testier than their American counterparts, were convinced. I, too, was impressed, and not only by the discussion, but also by the very fact that it was taking place.

From Tel Aviv it is roughly a two-hour drive to Mafraq in Jordan, the temporary home of tens of thousands of Syrian refugees, making it the country's second-largest city.

From Tel Aviv, one can drive three hours north — less than the distance between New York and Boston — and arrive in Damascus, in the thick of the Syrian civil war. Or one can drive east from Tel Aviv and in eight hours reach Iraq, where an estimated thousand people are being killed each month by suicide bombers.

A similar excursion of about nine hours concludes in Tahrir Square in time for the latest confrontation between Egyptian protesters and police. A veritable firestorm is engulfing the Middle East, and Israel's Tel Aviv is just a short commute from its flash points.

Yet it was women's rights, not the upheaval encompassing Israel on all sides, which highlighted the morning news. One explanation, certainly, is that Israelis need diversion from the chaos closing in on them, and what could be more distracting than a debate about signposts?

After all, the question of whether to name a street after Golda Meir is certainly easier than asking if Israel can coexist with a nuclear-armed Iran.

Another claim, one that is sometimes voiced by visiting statesmen, is that Israelis have it too good to think about the hard choices they face in the peace process. In fact, support for the two-state solution is vastly higher among Israelis today—more than 60%--than it was during the years of suicide bombing, when it was close to zero. But the real reason for Israel's interest in women's rights at this time is much more fundamental and reveals this country's secret. The reason is fortitude.

Unique among the world's nations, Israel has never known a second of peace. Since its creation in 1948, and for many years before that, the country has been in a relentless state of war. And yet, in spite of that trauma, Israelis simply refuse to live abnormal lives.

Almost militantly, they insist on normality. Call it a bubble, call it a fantasy, but the fact is that it works. In the midst of regional insanity, Israelis have built several of the world's leading universities, a cutting-edge high-tech sector, a universal health care system, and a wildly vibrant democracy.

Yes, there is controversy. There is still no two-state solution for Israelis and Palestinians and no end in sight for the Iranian nuclear program. Israeli intelligence recently reported that terrorists are pointing 170,000 rockets and missiles at the Jewish state. But on the streets of Tel Aviv, quite possibly the most threatened city on Earth, the cafes and cultural centers are packed, the food is superb and people are arguing why more of those streets are not named for women.

The opinions expressed in this commentary are solely those of Michael Oren.

@highlight

Michael Oren: Israel sits in a region bristling with conflict and hostile to its presence

@highlight

He says one topic stirring attention is number of streets named for women in Tel Aviv

@highlight

Israelis have always lived with the threat of war, and put it in perspective, he says

@highlight

Support for a two-state solution is strong in Israel today, he says