(Mental Floss) -- There's no need to page Doctor Doolittle for this case. Here are the amazing, true stories of four animals that could speak for themselves.

1. Hoover the Seal

In 1971, George and Alice Swallow found a baby seal just off the coast of Maine. The little guy appeared to be orphaned, so they took him home and kept him in their bathtub.

For the first few days, they tried to feed him ground mackerel, but he refused to eat. Once he trusted his new parents, though, he began eating so voraciously they compared him to a Hoover vacuum cleaner and the name stuck.

When he got too big for the tub, Hoover was moved to a small pond behind the Swallows' house. After only a few months, Hoover was eating more fish than his human caretakers were able to provide, so they contacted the New England Aquarium in Boston, hoping the facility had room for him.

When introducing the seal to the aquarium, George mentioned that Hoover could talk. Of course no one believed him at the time. A few years later, though, researchers at the aquarium noticed that Hoover's guttural sounds really did seem to be forming words and phrases. He was often telling people to "Get outta here!" or asking, "How are ya?" He could say his name and a few other phrases, all with a thick Bostonian accent.

Once the word got out that the Aquarium had a talking seal, he became a media sensation, making appearances in Reader's Digest, The New Yorker, National Public Radio, and even on Good Morning America.

Sadly, Hoover died of natural causes in July 1985 at the ripe old age of 14. He was so admired that he received his own obituary in the Boston Globe. He left behind several offspring, but none possessed his unique gift for gab.

2. Blackie the Cat

Search YouTube for "Talking Cat" and you'll find thousands of videos of fluent felines. But in 1981, a talking cat was a bit harder to come by.

So when Carl Miles of Augusta, Georgia, trained his cat Blackie to say, "I love you" and "I want my mama," they took their act on the road. Throughout the early 1980s, Blackie made paid appearances on local TV and radio programs, and even hit the big time with a spot on the network TV show That's Incredible.

However, as the novelty wore off, Carl and Blackie ended up performing on street corners, asking for donations from passersby. After some complaints from locals, police informed Carl that he would need to get a business license in order to keep up Blackie's street show. Carl paid the $50 fee for a license, but something about it rubbed him the wrong way.

So Carl sued the city of Augusta, under the pretense that the city's business license code mentions many types of occupations that require a license, but a talking cat show was not one of them. But that wasn't the only issue Carl had --he also claimed the city was infringing on Blackie's First Amendment Right to Free Speech.

Carl lost his case, but he appealed the ruling until it came before a federal court. The argument was finally closed when three presiding judges declared that the business license ordinance allowed for other, unspecified types of businesses to require a license, which would encompass a talking cat performer.

As for the First Amendment violation, the courts said the law did not apply because Blackie was not human, and therefore not protected under the Bill of Rights. Furthermore, there seemed no good cause for Carl Miles to be the one to bring the suit in the first place. If Blackie felt his rights were being violated, as a talking cat, he should have been the one to say something.

Mental Floss: Animals that were put on trial

3. Alex the Parrot

Alex, an African gray parrot, was purchased from a Chicago pet store in 1977. Dr. Irene Pepperberg bought the one-year-old bird to see if she could teach a parrot to understand language in a similar manner to chimpanzees and gorillas that had been taught American Sign Language.

At the time, it was believed that a large brain, like a primate's, was necessary to acquire language. By comparison, a parrot's brain is about the size of a walnut, so it was believed that mimicry was the best we could hope for. Instead, the work of Pepperberg and Alex (an acronym for Avian Learning EXperiment) before his sudden death in 2007, has changed the perceptions of many in the scientific community.

According to Dr. Pepperberg's research, this avian Einstein could identify 50 different objects, knew seven colors and shapes, and many different kinds of materials like wool, paper, and wood. For example, hold up a blue block of wood and Alex could tell you the shape, the color, and even what it was made of.

However, he also grasped more complex concepts that required a higher level of thought and understanding. Put a handful of red and yellow blocks on a tray and ask him how many were yellow, he could tell you the correct answer. If you then asked him how many of those same blocks were green, he would say "none."

Furthermore, hold up two blocks of different colors and different sizes and he could tell you which was bigger. Maybe the term "birdbrained" isn't such an insult after all.

Despite the loss of Alex, the Avian Learning Experiment goes on. Dr. Pepperberg's latest feathered pupil is Griffin, another African Gray, that was born in 1995. In 2007, Animal Planet tested Griffin against kids at a Boston preschool on the basics of object recognition, colors, and shapes.

It was determined that Griffin was about as smart as a three-and-a-half year old human. Not bad for having a brain the size of a walnut.

Mental Floss: 10 technologies we stole from animals

4. Lucy the Chimp

When she was only two days old, Lucy, a chimpanzee, was purchased by the University of Oklahoma and sent to live with Dr. Maurice Temerlin, a noted psychologist, who, along with his wife, raised the little chimp as if she were their own human child.

Lucy was taught how to eat normal meals at the table using silverware. She could dress herself, often choosing to wear skirts just like her "mother" did. She could even make tea for her "parents" and the team of researchers who trained and cared for her.

Dr. Robert Fouts, one of the groundbreaking psychologists who taught American Sign Language (ASL) to Washoe the chimp in 1967, helped Lucy learn to communicate using around 250 ASL signs. Lucy could not only give the signs for objects like airplane, ball, and food, but she could also express her emotions with her hands, often "saying" when she was hungry, happy, or sad.

Lucy had become so close to human in most every way that she only found human men, not male chimpanzees, sexually attractive. It was pretty clear that, in her mind anyway, she was the same as her parents.

It's a sad fact that once a captive chimp has reached about four or five years old, their immense strength can become a danger to their human caretakers. Often they need to be placed in a zoo, a lab, or some other facility better equipped to handle primates. In this case, the Temerlins raised Lucy as their daughter until 1977, when she was almost 12 years old, before they finally felt like they had to find her a new home.

After much deliberation, they decided upon a nature preserve in Gambia on the west coast of Africa. They, along with research assistant Janis Carter, flew with Lucy to her new home to help ease the chimp into the wild. However, it was not going to be as simple as they'd hoped.

At the preserve, Lucy was put in a cage at night to protect her from predators. She had only ever slept in a bed inside a nice, quiet, suburban home, so the jungle was a completely new and frightening environment for her.

She was also scared of the other chimps, strange creatures she had only encountered a few times before in her life, preferring to stay close to her parents and Janis whenever she could.

She wasn't eating because her food had always been delivered to her on a plate; she didn't even understand the concept of foraging.

When her parents suddenly became distant and weren't providing her with the life she had always known, Lucy became confused and sad. She would often use the sign for "hurt." And she lost much of her hair due to the stress of her new situation.

Realizing that Lucy would never move on if they stayed, her parents left her behind after three weeks. Janis agreed to stay for a few weeks longer, but it was soon clear that Lucy couldn't change who she was. And so, Janis never left.

Mental Floss: How do you transport a whale?

Janis helped found a chimpanzee sanctuary on an abandoned island in the middle of the Gambia River. She took Lucy and other chimps that had been raised in captivity and lived with them on the island, teaching them skills they would need in the wild, like finding food and climbing trees.

For most, the new lifestyle quickly became second nature. But for nearly eight years, Lucy refused to give up her human ways. She wanted human food, human interaction, and to be loved by, what she considered, one of her own kind. It wasn't until Janis stopped living on the island that Lucy was finally able to accept her new life and joined a troupe of chimps.

Whenever Janis visited the island, Lucy was still affectionate, still used sign language, but thankfully, she always went back with the chimps into the forest.

Sadly, Lucy's decomposed body was discovered in 1987. Her exact cause of death is unknown, though some believe she was killed by poachers. Others say it was probably something less spectacular, like an attack by a dominant male or an illness.

There's one thing that no one who knew her wonders about, though, and that's the fact that Lucy never really believed she was anything less than human.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Chimp raised by humans learns sign language; signs "hurt' after left at nature preserve

@highlight

Hoover the seal tells aquarium visitors, "Get outta here!" or asks "How are ya?"

@highlight

Blackie the cat taught to say, "I love you" and "I want my mama"

@highlight

Alex the parrot competes with kids on object recognition, colors, and shapes