(CNN) -- On November 24, 1859, the first edition of a book that would shake the most deeply established beliefs about life was published in London. What would eventually be known as "The Origin of Species" was the opening shot in a debate that hasn't ended, even 150 years later.

In a series of books starting in 1976 and in his 2002 TED Talk, biologist Richard Dawkins has explored the implications of Darwin's work. In "The Selfish Gene," Dawkins wrote, "Living organisms had existed on earth, without ever knowing why, for over three thousand million years before the truth finally dawned on one of them. His name was Charles Darwin."

Watch the TED Talk by Richard Dawkins

Dawkins argues that there is no doubt that Darwin's theory of evolution by natural selection is true and, unlike some other scholars of the subject, says belief in evolution is not compatible with faith in religion. In fact, he argues, science and religion undermine each other.

"I believe a true understanding of Darwinism is deeply corrosive to religious faith," Dawkins says in his TED Talk.

There's no room for a God in the world as he sees it, and he believes atheists should be forceful in opposing religion. He acknowledges that it's an unpopular case to make, particularly in the United States.

"It's an undeniable fact that to own up to being an atheist is tantamount to introducing yourself as Mr. Hitler or Miss Beelzebub," he said. "And that all stems from the perception of atheists as some kind of weird, way-out minority."

Watch an interview with Dawkins

According to Dawkins, life was not created by an intelligent designer. In "The Selfish Gene," he wrote that science has established that, "We are survival machines -- robot vehicles blindly programmed to preserve the selfish molecules known as genes."

Read why another writer believes evolution and faith can be compatible

Darwin himself was very slow to make his theory of evolution by natural selection public, taking 15 years from his early insights on the subject to the publication of the book -- and publishing it then only after naturalist Alfred Wallace had independently come up with the idea of evolution.

Darwin struggled with the book, which he called "my abominable volume" and said that it "has cost me so much labor that I almost hate it." The book went through six editions with Darwin's input and sold many copies, but it was controversial from the start.

Read the view of an advocate of "intelligent design"

In an interview by e-mail last week, CNN asked Dawkins about Darwin and religion.

CNN: How would you describe the book's importance compared to other classic books?

Richard Dawkins: Dan Dennett described natural selection as the best idea anyone ever had, and that is an easily defensible talking-point. Wallace independently had the idea, and the main reason Darwin is remembered more than the admirable Wallace is that Darwin wrote the book that changed people's minds. Evolution by natural selection didn't trickle into public consciousness but was properly launched, fully fashioned, in a brilliant book. T.H. Huxley surely wasn't the only reader to close the book saying, "How extremely stupid of me not to have thought of that."

CNN: In your TED Talk, you described American biologists as being in a "state of war" when it comes to defending evolution against its critics. Do you think that's still the case, nearly eight years later?

Dawkins: Yes. More so, if anything.

CNN: You contrast the British 10 pound note, which displays a likeness of Darwin, to the "In God We Trust" on American currency. Why are attitudes in Britain so significantly different on this question?

Dawkins: I think it stems from the far greater popularity of religion in America, but that only pushes the question back a stage. Why is America so much more religious than most other western countries?

CNN: What's your sense of Darwin's influence around the world?

Dawkins: Evolution is almost universally accepted among those who understand it, almost universally rejected by those who don't.

CNN: You maintain that science is corrosive to religion and that religion undermines science. In what practical ways do you see the influence of religion today affecting what science can accomplish?

Dawkins: Since we are talking about practical ways, the obvious example is stem cell research. But there is a more pernicious and pervasive influence, which is an active shutting down of the critical faculties. Religion teaches us to be satisfied with non-explanations, and this is viciously corrosive of science and of the life of the mind generally.

CNN: In your 1986 book, "the Blind Watchmaker," you wrote that, "For reasons that are not entirely clear to me, Darwinism seems more in need of advocacy than similarly established truths in other branches of science." Do you have any further thoughts on why that's the case?

Dawkins: I think it is mostly because of biblical literalism. Then there's the added fact that, as the great molecular biologist Jacques Monod said, 'The trouble with natural selection is that everybody THINKS he understands it.'

CNN: What's the greatest remaining mystery about evolution?

Dawkins: How the evolution of the brain gave rise to the emergent property we call subjective consciousness.

CNN: What question would you ask Darwin if he were alive today?

Dawkins: Why did you wait so long before publishing your brilliant idea?

CNN: You make the argument in the TED Talk for atheists to assert themselves boldly and overcome the cultural stigma against opposing religion. Do you see signs that such an attitude is taking hold?

Dawkins: Yes, I am happy to say I do think so. I'd like to think that books such as those by Sam Harris, Daniel Dennett, Christopher Hitchens and me have initiated a turning of the tide.

Editor's note: TED Talks appear Tuesdays on CNN.com through a partnership with TED, a nonprofit organization devoted to "Ideas Worth Spreading." TED started in 1984 as a conference bringing together people from three fields from which it took its name: Technology, Entertainment, Design. It has since spread ideas in many fields through conferences around the world and through its web site, TED.com

@highlight

Darwin's "Origin of Species" was published 150 years ago on November 24

@highlight

In a TED Talk, Richard Dawkins said evolution and religion are at odds

@highlight

He urges atheists to be forceful in making their case for science

@highlight

Dawkins: "Religion teaches us to be satisfied with non-explanations"