WASHINGTON (CNN) -- In a congratulatory letter to president-elect Barack Obama, French President Nicholas Sarkozy writes, "Your election raises in France, in Europe, and beyond throughout the world, immense hope."

President-elect Barack Obama faces a litany of foreign policy problems when he takes office January 20.

Similar statements from dozens of world leaders and images of people around the world celebrating his election make clear Barack Obama will enjoy a good deal of international goodwill when he takes office on January 20.

Obama's election offers a monumental transformation of America's face to the world. Many see him as the epitome of the American dream. But his appeal is not solely based on the fact that he is black or that his middle name is Hussein or that his father was Kenyan or that he spent part of his childhood in Indonesia.

The global excitement over Obama's election is as much about the fact that he isn't President Bush.

In his victory speech Tuesday night, Obama said, "To all those watching from beyond our shores, our stories are singular, but our destiny is shared, and a new dawn of American leadership is at hand.''  Watch CNN's Zain Verjee report on the world's reaction to Obama's election »

Those were welcome words to those who resented what they viewed as eight years of "unilateralist" Bush policies. His words spark hope that an Obama administration will repair America's relations with the rest of the world.

But as high as those hopes are, so too are the sky-high expectations. The world has been seduced by Obama's vision of change. But will "Obamamania" survive the realities of governing?

It is difficult to think of a U.S. president who has come to power with a more complex and pressing web of domestic and international burdens. He inherits a global financial meltdown, wars in Iraq and Afghanistan, a global struggle against terrorism, and a military already stretched to its limits. Add to that, a simmering crisis with Iran, renewed tensions with Russia, and the rise of China as a global economic powerhouse, and Obama's plate starts to get pretty full.

Obama also takes the reins at a time of enormous anti-American sentiment after the stains of Abu Ghraib, Guantanamo and, closer to home, Hurricane Katrina.

U.S. power is declining, and not entirely by fault of its own. The concept of a single-superpower world no longer fits. Developing countries like China, Brazil and India, coupled with a stronger European Union belong to a new world where many players call the shots. Globalization requires more cooperation with a wider range of countries and organizations.

Obama's speech in Europe this summer about the need for reconciliation, signaled he wants to strengthen ties with Europe damaged during the Bush administration, especially over Iraq.

His pledge to withdraw from Iraq and his promise for strong action on climate change is bound to make European allies happy. But issues like trade and increased troops for Afghanistan could spark new differences with Europe.

Obama has pledged to make Middle East peace a priority from Day One. Arabs are already calling for a more even-handed approach, while Israel is expecting Obama to stay true to the pro-Israel posture he showed during the campaign.

And there are other complications -- like politics on the ground. Israeli elections early next year could bring hawkish former Prime Minister Benjamin Netanyahu back to power. And if moderate Palestinian President Mahmoud Abbas is unable to win support from Hamas next year to extend his term, his re-election is far from certain.

Obama has promised to engage Iran's leaders on a multitude of issues, but it remains to be seen if Iran would accept any deal to give up its pursuit of nuclear weapons. Obama could be forced into a devil's choice between military action (or supporting an Israeli strike) and living with a nuclear Iran.

There is a long list of other pressing issues. Obama is likely to continue the Bush administration's policy of going after extremists in Pakistan. And in Africa, conflicts in Sudan, Somalia and the Democratic Republic of Congo continue to churn. This is by no means an exhaustive list.

Countries around the world will compete for Obama's attention. Africa, elated over the election of America's first black president, may expect increased attention and aid from the United States. Additionally, Muslims familiar with Obama's Kenyan father and middle name, "Hussein," may think he will be more understanding of their concerns. Will he embrace them or distance himself from them, in an effort to prove he does not hold any bias?

The president-elect must navigate this minefield of expectations. Once the gloss of this historic election wears off, the world will find Obama cannot be president to the world. He can only be president of the United States and Americans will expect him to protect their interests first and foremost.

@highlight

Analysis: Many see Obama as the epitome of the American dream

@highlight

Analysis: Global excitement over Obama's election is also about Bush's exit

@highlight

Analysis: Obama faces complex foreign policy issues when he takes office

@highlight

Analysis: Americans will expect Obama to protect their interests first and foremost