(CNN) -- Alex Ferguson's decision to step down as Manchester United manager after more than a quarter of a century in charge leaves the club's hierarchy with the unenviable task of replacing the Scot, given his phenomenal success at Old Trafford.

Ferguson has won more than 30 trophies, including 13 English league championships and two European Cups. It is a record that most managers might wilt under given the level of expectation that will inevitably accompany Ferguson's successor.

"It's impossible to emulate Ferguson and deliver what he has done," according to former Monaco technical director and chief executive Tor-Kristian Karlsen.

"The brief for manager is to keep winning trophies. But United want to re-establish themselves as the No. 1 club in the world and they are a long way from that," Karlsen told CNN.

"The club is a massive worldwide brand and is now judged on its European performance. On a worldwide basis the Champions League is the Holy Grail.

"Perhaps the one criticism that could be made of the current squad is that it doesn't have a Lionel Messi, a Cristiano Ronaldo or a Radamel Falcao."

Jose Mourinho and David Moyes are two of the potential candidates in the frame to fill Ferguson's shoes -- CNN profiles the duo below and asks Karlsen to give a boardroom view on the two men's chances at Old Trafford.

David Moyes

Mourinho has been heavily backed to succeed Ferguson despite hinting at a return to Chelsea, but Everton manager David Moyes is the favorite to take over from the 71-year-old Scot.

Appointed by the Liverpool-based club in March 2002, Moyes is very much in the Ferguson mold.

Both were born in Glasgow, though Ferguson played for Rangers while Moyes featured for city rivals Celtic at the start of his playing career.

The steely-eyed, taciturn Moyes is now the third longest-serving manager in the English Premier League, behind Ferguson and Arsenal's Arsene Wenger.

Despite a lack of financial resources, Everton have consistently exceeded expectations under Moyes and in 2005 the club qualified for the Champions League, while also reaching the FA Cup final four years later.

Prior to joining Everton, Moyes managed Preston North End, winning promotion from the third tier of English football to the brink of the Premier League.

The question mark against the 50-year-old is that he has never won any of the three major English trophies -- the Premier League, the FA Cup and the League Cup.

Remarkably his Everton side has never been able to win at Manchester United, Chelsea, Arsenal or Liverpool in 44 attempts.

His record in the transfer market is mixed. While Marouane Fellaini and Kevin Mirallas have been notable successes, the likes of Per Kroldrup, Andy van der Meyde and Andy Johnson were underwhelming acquisitions.

How would he cope with a bigger budget and better players at his disposal?

There is also the question of Moyes' relationship with one of United's star players -- Wayne Rooney.

In 2008, the Everton manager accepted "substantial" undisclosed libel damages when he sued Rooney, his co-author Hunter Davies and HarperCollins, the publishers of "Wayne Rooney -- My Story So Far," following allegations that he leaked details of a confidential conversation with the player.

A year later Rooney phoned Moyes personally to apologize.

If the United board do plump for Moyes, they will not have to pay any compensation as the Scot's Everton contract runs out at the end of the season and no agreement has been reached over a new deal.

Karlsen's verdict: "Moyes is the favorite, but I think he is the conservative option.

"If Moyes is appointed, the club would be in good hands. He's a balanced and sensible option.

"I don't think he would have a problem in taking charge of a club of United's size. He would also have the advantage of Ferguson potentially mentoring him.

"On the flip side, there is Moyes' lack of European experience. There is also the lack of experience of working with star players. The bigger the ego, the harder they are to manage -- that is a special art.

"Having said that, Moyes deserves a big job -- arguably it wasn't realistic for Everton to qualify for the Champions League."

Jose Mourinho

Over the last few weeks the coach of Spanish club Real Madrid has been strongly linked with a return to the English Premier League as his old team Chelsea seeks to replace interim manager Rafael Benitez.

Mourinho offers the complete package as manager -- an unparalleled track record of success allied to an ability to motivate players that inspires loyalty long after he has moved on to new teams.

He has the knack of getting journalists to eat out of his hands as he delivers a succession of quotable quotes. No coach gives better press conferences than Mourinho, evidenced by his pre-match briefing ahead of Real's game with Malaga this week as he skilfully squashed criticism from one of his own players and defiantly gave away no clues about his future.

However, given he is the only coach to win European football's top three leagues, Mourinho's time at the Bernabeu has been mixed.

The 50-year-old Portuguese has won one La Liga title, last season, but looks set to miss out to archrivals Barcelona this time around. He has also guided Real to a Spanish Cup win, while his team will play city rivals Atletico in this year's final.

But Mourinho's quest to win the European Champions League for a third time in his career has faltered at Real, losing in the semifinals for three years in a row -- last month being beaten 4-3 on aggregate by German club Borussia Dortmund.

Mourinho has made no secret of his desire to return to England, with media reports claiming he has already negotiated a return to Chelsea at the end of the season.

His previous spell in charge saw him lead the Blues to their first top-flight title for 55 years in 2005. He won five trophies in his three seasons in London.

Mourinho forged his reputation when his Porto side famously knocked Manchester United out of the European Cup at Old Trafford in 2004, running down the touchline to celebrate the late clinching goal. Porto went on to win the Champions League that year.

After Porto and then Chelsea, Mourinho coached Inter Milan, winning the Champions League, the Italian league title and the Italian Cup in his second and final season with the club, before leaving to join Real.

But with that unimpeachable track record of success, comes volatility.

As well as the incendiary media conferences, Mourinho has occasionally overstepped the mark -- no more so than in his 2011 altercation with the now Barcelona manager Tito Vilanova, when the Portuguese coach poked his opponent in the eye when the Catalan was Pep Guardiola's assistant.

"I'm there to win," Mourinho, who often refers to Ferguson as "The Boss", told CNN last year as he reflected on his coaching philosophy.

"I'm there with my team to try to win. I'm there and I live the game, I live the match as if it was the last match of my career.

"So people look at me and they see what they see. After that, in press conferences, it's the other place where people know me.

"In press conferences, there is still a match to play. Before the match, press conference is pre-match and after the match, press conference is post-match, but it's a match."

Karlsen's verdict: "Mourinho is the ideal candidate. He is the only manager who can offer you a guarantee of success.

"With a manager with a lesser profile, if the next season doesn't start well then they will come under immense pressure.

"But given Mourinho's track record no-one can criticize Mourinho. He has proven that he could work under the most intense pressure.

"That is the biggest threat to a manager -- the environment that they are working in -- and when the pressure becomes too much, you become reactive rather than sticking to the plan.

"You would never have that problem with Mourinho.

"As for whether Mourinho's combative personality would damage the United 'brand,' he is clever enough to tone it down. Don't forget that Ferguson often thrived on conflict as a way of putting pressure on United's opponents.

"The United job is a role where your persona is almost as important as your man-management skills -- it is about the statement that you make.

"Mourinho fits the bill. He has that charisma that made Ferguson so special."

@highlight

Manchester United manager Alex Ferguson is retiring after 26 years in charge

@highlight

Everton manager David Moyes is the frontrunner to succeed Ferguson

@highlight

But one expert says Real Madrid's Jose Mourinho is the perfect choice

@highlight

Tor Kristian-Karlsen: "It's impossible to emulate Ferguson"