(CNN) -- Malaysia Airlines Flight 370 disappeared Saturday somewhere over Southeast Asia. Authorities don't know where the plane is or what happened to it. Here are answers to some of the most frequently asked questions about this baffling disappearance:

Did the plane go off course?

Possibly, but not certainly. While accounts from Malaysian authorities have been at times confusing and sometimes conflicting, authorities said Wednesday that radar picked up an unidentified aircraft flying over the Malay Peninsula into the Strait of Malacca early Saturday night. That's hundreds of miles from the Beijing-bound plane's flight path.

But authorities cautioned they aren't sure the blip was Malaysia Airlines Flight 370. On Tuesday another Malaysian official said there wasn't any evidence the plane had turned around. And early Thursday (Wednesday evening ET), China announced one of its satellites had spotted "a suspected crash area at sea" -- including three "suspected floating objects" up to 24 meters (79 feet) long.

We could find out more soon, as Malaysian officials have asked international experts to help interpret the data.

What is a transponder?

It's a radio transmitter in the cockpit that works with ground radar. When it receives a radar signal, it returns a code with the aircraft's position, altitude and call sign. Air traffic controllers use the signals to determine a plane's speed and direction.

Why did it stop working?

That's one of many million-dollar questions. The transponder is situated between the pilots and can be disabled with a twist of the wrist, but former airline captain Mark Weiss said that because of the vital information -- and thus, protection -- the transponder provides, it's highly unlikely a pilot would turn it off. Without the cockpit voice recorder and flight data recorder, it's difficult to say who was in the cockpit and exactly what happened, Weiss said. Experts also give conflicting opinions: While one expert says the circumstances point to someone -- perhaps a hijacker -- deliberately turning the plane around, another says a catastrophic power failure could explain the anomalies.

How does the search work?

Authorities break huge swaths of Earth into much smaller grids. Then, planes or ships scour the grids to eliminate them as candidates for the crash site. As of Wednesday, 42 ships and 39 planes from a dozen countries were involved. The grids are massive and make up 27,000 miles of land and sea, including the southern tip of Vietnam, South Thailand, about half of Malaysia and parts of the South China Sea, Gulf of Thailand and Strait of Malacca.

Could 'crowdsourcing' help find the plane?

Ostensibly, sure. Colorado firm DigitalGlobe has one of the most advanced commercial satellite networks, and its images of the Strait of Malacca and Gulf of Thailand can capture details as small as a baseball field's home plate, the longest side of which is 17 inches. Volunteers can flag anything they find interesting, but so many answered the call this week that the firm's website crashed. (The website appeared to be up Wednesday). Also, there's the troubling size of the search area.

Is this the first time a plane has vanished?

Not at all. Several plane crashes have posed problematic searches -- 1988's PanAm 103, 1996's TWA 800 and 1999's EgyptAir 990, among them. But perhaps none was as a tricky as Air France 447, which went down after departing Rio de Janeiro on June 1, 2009. It took four searches and almost two years before the bulk of the wreckage and majority of bodies were recovered. The voice and data recorders weren't found on the ocean floor until May 2011.

How does a plane disappear?

There's no simple answer here, especially when you consider the bevy of technology on a state-of-the-art jetliner, which includes UHF and VHF radios, automatic beacons, GPS and computer communications systems. It doesn't help that Flight MH370's flight path is unclear and that the search areas include vast waters and sparsely populated jungles and mountains.

Were the pilots experienced?

The short answer is yes. Fariq Ab Hamid, 27, joined Malaysia Airlines in 2007 and was first officer on the flight. He has 2,763 flying hours and was transitioning to the Boeing 777-200 after finishing training in a flight simulator. The pilot, Capt. Zaharie Ahmad Shah, 53, has 18,365 flying hours. He joined the airline in 1981.

There are reports Hamid let passengers in the cockpit on another flight? Is that legal?

Jonti Roos has told several media outlets that Hamid invited her and a friend into the cockpit for most of a 2011 flight from Thailand to Malaysia. While this would be a strict violation of U.S. regulations put in place after the 9/11 attacks, the legality would vary from country to country. Upon learning of Roos' claim, Malaysia Airlines said it was "shocked," while former U.S. Federal Aviation Administration chief of staff Michael Goldfarb said such behavior by a pilot "just violates every code of conduct."

Is foul play possible? Hijackers? Terrorism?

The CIA and FBI aren't ruling it out, but to be fair, authorities aren't ruling out much at this point. It's highly suspicious that the plane may have turned around. Those suspicions are further fueled by the loss of communication with the plane, considering the aircraft had "redundant electrical systems" that would have to be disabled. Robert Francis, former vice chairman of the U.S. National Transportation Safety Board, said his first thought upon hearing the circumstances of MH370's mysterious disappearance was that it blew up, but even then, an explosion would not be hard-and-fast evidence of terrorism.

What about those passengers with stolen passports?

Interpol says it has identified the men as Iranians Pouri Nourmohammadi, 18, and Delavar Seyed Mohammad Reza, 29, and Malaysian investigators say neither of them has any apparent connection to terrorist organizations. Stolen passports certainly aren't indicative of terrorism. In fact, Interpol says passengers flew without having their travel documents checked against its lost-and-stolen passport database more than a billion times in 2013. Among the reasons someone might use a stolen passport: to immigrate illegally to another country, to import goods without being taxed or to smuggle stolen goods, people, drugs or weapons.

What about pilot error?

Certainly possible. That's what the investigation showed happened with the 2009 Air France flight, though there was an element of mechanical failure as well. In that case, though, there was also inclement weather -- not the case with MH370. As of Wednesday, nothing suggests that pilot error played a role in the flight's disappearance.

So, could mechanical failure explain it?

It's one of the stronger possibilities. The absence so far of any debris field could suggest the pilot had to make an emergency landing on water and it later sunk beneath the sea, but there is still the mystery of the distress signal. There's wasn't one. However, aviation consultant Kit Darby has said it's possible there was a power problem, the backup power lasted only an hour and the pilot attempted to turn back to "the airports and a region he knows." There's also the possibility of a tail or wing ripping off. This particular Boeing suffered a clipped wing tip in the past, but Boeing repaired it. Another frightening possibility is that a window or door failed, which would allow ambient temperatures of 60 degrees below zero into the cabin, creating a freezing fog and giving crew members only seconds to don oxygen masks before they were disoriented and then incapacitated.

Could it have been hit by a meteor?

There was a known meteor in the area at takeoff, but this seems to be atop a list of strange conspiracy theories popping up in the absence of empirical data explaining the plane's disappearance. Given what little is known about the flight path, it seems like a long, long shot that a meteor is to blame.

What about reports that passengers' cell phones continued operating after MH370's disappearance?

Please see earlier question about meteors and conspiracy theories. When phones are disabled or turned off -- which would presumably happen after a plane crash -- calls to those cell phones don't ring, but go to directly to voice mail. Friends and loved ones of the missing passengers, however, reported ringing when they called. Technology industry analyst Jeff Kagan says a call would first connect to a network before trying to locate the end user, and the ringing sound callers hear masks the silence they would otherwise hear while waiting for the connection to be made. "If it doesn't find the phone after a few minutes, after a few rings, then typically, it disconnects and that's what's happening," he said.

INTERACTIVE: What happened to Malaysia Airlines Flight 370?

@highlight

Answers to common questions in the disappearance of Malaysia Airlines flight

@highlight

The Beijing-bound aircraft disappeared Saturday with 239 passengers, crew aboard

@highlight

Authorities still don't know where it is or what happened to it; search is ongoing

@highlight

Many conspiracy theories have emerged in the absence of hard data on the plane