(CNN) -- Eight years ago, the Democratic presidential candidates had the luxury of running against George W. Bush. Their main foreign-policy message was that they were different from the incumbent: They were against the war in Iraq; against the way Bush was conducting the war on terrorism; against his unilateral approach to world affairs.

In 2016, things will be different.

The candidates will have to be much more careful about distancing themselves from President Obama's policies. While they will be able to critique him and highlight how they would try do better, they will also face great pressure to outline their own visions for their future.

The task won't be easy, since the Democratic Party is not all on the same page. While philosophical fractures within the GOP are well-known -- among neo-isolationists like Sen. Rand Paul and hawkish conservatives like Sen. John McCain -- there are also deep divisions and tensions within the Democratic Party that candidates will have to sort out.

A number of foreign-policy agendas have taken shape among the Democrats, and all are likely to be part of the debate in the primary season.

There are the liberal internationalists, arguably the most dominant voice among Democrats. They include the President, former Secretary of State Hillary Clinton, Vice President Joe Biden and Secretary of State John Kerry, who believe that the United States must remain active overseas to maintain global order and protect American interests.

Liberal internationalists believe that it is essential to work through international institutions like NATO or the United Nations rather than to go it alone. They accept the need for military force, but also insist on the use of diplomacy and economic sanctions. Another pillar of liberal internationalism is that public sacrifice is needed when the nation goes to war, through higher taxes, volunteerism or, in earlier times, a draft.

There is also a strong anti-war faction that has been a central part of Democratic politics since the 1960s. For these Democrats, who are based primarily in the grass roots rather than among Washington elites, military force should be used only under the most extreme circumstances. They tend to distrust what elected and military officials say when justifying the use of force, always remembering the lies of Vietnam.

This world view posits that military force is very often a poor method for handling international problems and creates more problems than it is worth. This view rarely finds mainstream candidates, since these arguments play into conservative claims that Democrats are weak on defense. But occasionally their voice is heard.

In 2004, Gov. Howard Dean of Vermont made this argument about Iraq. Today, some wonder whether possible candidates like Gov. Martin O'Malley of Maryland, Sen. Bernie Sanders of Vermont or Sen. Elizabeth Warren of Massachusetts might position themselves that way.

Finally, there are the liberal hawks. This faction has been much less vocal since the negative fallout from President Bush's war in Iraq but still lurks in the party. Liberal hawks are more open than their colleagues to the use of military force, even unilaterally, and less concerned about national sacrifice.

The tradition was made famous by Washington Sen. Henry "Scoop" Jackson, who in the 1970s was among the most prominent "neo-conservatives." Today some observers see Democrats who could succeed Jackson like New Jersey Sen. Robert Menendez. "So my friends on the left need to understand," he said, "that it is the world as it is, not as we wish it to be."

With the chaos overseas growing in cases such as Russian aggression and the rise of a so-called Islamic state, they could become more of a force once again in the campaign.

Candidates won't have to choose one side or another, since most politicians don't fit neatly into one category. But they will need to navigate carefully as they craft their message and figure out ways to develop a platform that can bring together as much of the party as possible.

Some possible candidates, such as Hillary Clinton and former Virginia Sen. James Webb, have an eclectic record that could enable them to appeal to multiple constituencies. The best candidates will be the one who can offer a coherent and powerful vision of what the United States and the world should be as we enter into this period.

@highlight

Julian Zelizer: Dems can't run against Bush foreign policy in 2016, must have own vision

@highlight

He says party divided on approach. One strain: liberal internationalists like Clinton, Biden

@highlight

They think U.S. must be globally active, work through U.N., NATO. Another strain is anti-war

@highlight

Zelizer: Liberal hawks' third approach. Candidates must navigate these ideas toward a vision