(MENTAL FLOSS) -- In the last 2,000 years, commodity shortages, financial speculation, wars, famines, and outright manias have created some pretty strange economic behavior throughout the world.

Once worthless Roman coins found in the British town of Snodland are considered quite a treasure.

Cake or death?

In order to stop rising inflation and devaluation of the currency in third century Rome, Emperor Diocletian instituted fixed prices on most consumer goods. Anyone selling goods at prices higher than those of the emperor was put to death; this led to hoarding of goods.

A law was then passed that forbade the hoarding of goods. Penalty? Death. So people just closed their businesses, then another law was passed. You guessed it: shut down your business or fail to follow in your father's business? Death. It's amazing the Roman Empire lasted as long as it did. Mental Floss: Strange things we didn't know were illegal

Gonna barter like it's B.C. 99

When the Roman Empire collapsed in the 5th century, so did the Roman financial system. Part of the collapse was the disappearance of Roman coinage. Nowhere was this more evident than in England, where, according to archeological evidence, money basically disappeared, driving the British isles straight back to a barter economy.

Coinage only came back centuries later when the English were forced to pay protection money (Danegeld) to the Vikings to stop the constant pillaging.

99.9 percent pure

In 15th century Germany, grain shortages -- acceptable -- frequently led to beer shortages -- unacceptable. In response, brewers in towns like Munich and Regensburg used seeds, spices, and rushes to flavor their beers.

Showing an uncomfortable foreshadowing of future events, German authorities instituted purity laws stating that only water, barley, and hops could be used in the brewing of beer. The rule, or Reinheitsgebot, is still on the books today.

Nothing but the best for France

While the Sun King, Louis XIV, and his building of Versailles typically get all the credit for bankrupting France in the seventeenth century, his Minister of Finance, Jean-Baptiste Colbert deserves some kudos as well. Colbert's tax schemes, deficit spending, and manic obsession with the production of luxury goods -- to the detriment, or outright exclusion of ordinary consumer goods -- emptied the French treasuries, drove the peasantry to starvation, and laid the foundation for the bloodiest revolution of the age.

But, let's face it: who wouldn't trade the fate of an entire nation for a really, really well made tapestry?

Adjustable rate mortgage, Archduke Ferdinand?

In the 1860s, the rulers of the newly-formed Austro-Hungarian Empire encouraged their bankers to be more free with their lending standards. Their goal was to encourage growth in the empire.

The result (this is going to sound eerily familiar) was over-speculation in building, massive default on borrowed funds, and economic collapse throughout Central Europe. The worldwide depression reached all the way to the United States and triggered the Panic of 1873.

On the bright side, many of the most beautiful buildings in Europe come from this period of "irrational exuberance."

Mississippi burning

John Law, a Scottish banker and businessman, took control of a French enterprise called the Mississippi Company in 1717. In just a few years, he turned the company into the main economic force behind the French colonies throughout the world. The share price for the company went from about 500 livres in 1719 to 10,000 livres in 1720.

Just one year later though, in a rather Enron-like turnaround, the stock price collapsed, Law fled France, and the French government (as the primary shareholder) was forced to cancel a significant portion of its debt obligations leaving lenders throughout the world ruined. Economists refer to the episode as the "Mississippi Bubble."

The Mason-Dixon bottom line

Many have read about the effects of hyperinflation on the German Weimar Republic. From 1920-1923, prices in Germany increased as much as 3.25 million percent. People burned their old currency for warmth, since it was less costly than buying wood.

But, few know that the same type of hyperinflation, albeit to a lesser extent, affected the Confederate States of America. From 1861 to 1864, the commodity price index rose as high as 10 percent a month. By the end of the Civil War, the cost of living in dear old Dixie was 92 percent higher than before the war. Mental Floss: The Confederacy's plan to conquer Latin America

Prayer pays

In 1943, due to shortage of raw materials like paper and leather, and an increase in wartime piety, there was an actual Bible shortage in the United States.

Tokyo falling

Japan had one of the most meteoric economic rises of the twentieth century. By the late '80s, property values had risen so high that all the land in Japan was worth four times the value of all the property in the United States. The real estate value of Tokyo alone was valued at more than that of all America.

By the end of the century, however, the Tokyo stock exchange was off 60 percent of its 1989 high, and property values had fallen as much as 80 percent. Some blame over-speculation, others blame Michael Crichton's novel "Rising Sun." Mental Floss: Leaders who spent their countries into the ground

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

When in Roman history it was illegal to raise prices, hoard goods or close stores

@highlight

Europe's "irrational exuberance" in 1860s was when great buildings were constructed

@highlight

Shortages paper and leather led to U.S. bible shortage in 1943