Nurse Kaci Hickox says it's her right to roam outside her home, but leaders in Maine warn she could be a threat to public welfare.

Yes, Hickox recently treated people with Ebola in West Africa, but she has no symptoms of the disease, and has twice tested negative.

"To put me in prison is just inhumane," Hickox said about being placed into an involuntary quarantine after she landed last week at the Newark, New Jersey, airport after working in Sierra Leone. "I just feel like fear is winning right now, and when fear wins, everyone loses."

New Jersey Gov. Chris Christie disagreed. Citing public safety, officials had Hickox spend more than 65 hours in mandatory quarantine outside a hospital before she was released and transported to her home in Maine.

Chris Christie on Ebola policy: 'We're not moving an inch'

Officials in Maine also disagree with the nurse. Gov. Paul LePage says he will "exercise the full extent of his authority allowable by law" to keep her away from public places.

Tensions are running high. A police cruiser trailed Hickox and her boyfriend as they took an hourlong bicycle ride through rural Maine Thursday -- a move the governor said was meant to protect the nurse.

The showdown between Hickox and Maine officials strikes at a larger dilemma about what health workers ought to do when they return home from fighting the unprecedented Ebola outbreak in Africa, especially when the doctors and nurses show no symptoms of the deadly virus.

It's an emotional debate that pits individual liberty against public safety, now elevated to a high public drama because Hickox has been outspoken against a quarantine.

"I'm fighting for something much more than myself," she said Wednesday after emerging from the home where she had been staying. "There are so many aid workers coming back. It scares me to think how they're going to be treated and how they're going to feel."

Raw emotions

Ebola's arrival to U.S. soil this year has caused a visceral reaction among some Americans who advocate quarantines as a prudent vigilance against a disease with no established cure.

But medical experts say that reaction is merely fear, and they explain that an individual without the virus' symptoms is no public threat at all.

That doesn't satisfy some Americans who demand a higher precaution: they want health care workers to be in quarantine for 21 days, the incubation period for the Ebola virus. They cite how Dr. Craig Spencer, 33, a Doctors Without Borders physician, moved freely about New York City for days until he developed Ebola. Spencer just returned from treating Ebola patients in Guinea.

New Jersey's 21-day quarantine policy drew sharp criticism from Hickox, who described it as a "knee-jerk reaction by politicians to Ebola."

Illinois and California announced similar 21-day quarantine orders this week on anyone who has had contact with an Ebola patient in affected areas of West Africa.

It's an approach Maine's top health official says she wants the state to take -- and an idea that one of Hickox's neighbors said he supports.

"Why she's being so defiant, I'm not sure," neighbor Jim Majka said, "but it's causing consternation here, and people are trying to ask why she won't honor it. It's a simple thing: Stay in the quarantine until it's over, and we're good."

President Barack Obama tried to quash that public sentiment this week by inviting to the White House a group of U.S. health workers who worked in African Ebola zones.

After being in direct contact with those non-symptomatic workers, Obama reiterated how there's no public danger when a health worker doesn't have symptoms of the virus.

"We don't react to our fears, but instead, we respond with common sense and skill and courage. That's the best of our history -- not fear, not hysteria, not misinformation," Obama said.

But in a move that seemed to contradict the White House, the Pentagon this week put 30 U.S. soldiers in quarantine -- or "controlled monitoring" -- in Italy after they were stationed in Ebola-stricken West Africa.

Army major general speaks to CNN from inside Ebola quarantine

High stakes

At stake in the quarantine debate is the fight against Ebola itself, advocates say. Specifically, it's the ability of health care workers who fight Ebola at its source to return immediately to their private and professional lives.

A 21-day quarantine would discourage this rare pool of labor from taking on such hazardous duty in Africa, advocates say. If there are fewer doctors and nurses on the Ebola front, there's a likelihood that the epidemic in West Africa could spread, experts say.

The rights of these health workers once they return home is governed by U.S. guidelines and health laws that ultimately favor states over the federal government.

The federal Centers for Disease Control and Prevention now requires greater symptom monitoring of doctors and nurses returning from West Africa, but stops short of requiring any type of quarantine, according to new rules implemented this week.

States have the power to exceed those CDC guidelines, and some do.

"We have a federal system in this country in which states are given significant authority for governing their constituents. That is certainly true when it comes to public safety and public health," White House spokesman Josh Earnest said this week. "What we believe is important -- and I think this is a view that is shared by governors and local officials across the country -- is that these kinds of policies should be driven by science and the best scientific advice that is available."

The humanitarian group Doctors Without Borders, for which Hickox worked while in West Africa, condemned "blanket forced quarantine for health care workers returning from Ebola affected countries," the organization said this week.

"Such a measure is not based upon established medical science," the group said.

The group supports "scientifically grounded monitoring" for homeward-bound aid workers, which "is in accordance with the recommendations of public health experts."

The virus is spread through the direct contact with the bodily fluids of an infectious person -- that is, someone who shows symptoms of the virus -- and with surfaces and materials contaminated with those fluids. People remain infectious as long as their blood and bodily fluids contain the virus, and men can still transmit the virus through breast milk and semen for up to seven weeks after they recover from the disease, the World Health Organization says.

How the Ebola virus spreads

Division among supporters

To demonstrate how the Hickox case can divide even the most sympathetic supporters, the freelance NBC cameraman who was a former Ebola patient endorsed Hickox's declarations that she has a human and constitutional right to exit her home and roam the outdoors.

But would Ashoka Mukpo make that choice himself in the aftermath of his recovery from Ebola?

Not entirely, he said.

Even though the cameraman is now free of the virus, he recently chose not to visit a Halloween gathering because he didn't want to provoke public anxiety at a jack-o'-lantern exhibition attended by more 8,000 people.

"You know, I just worry about making people uncomfortable. I think I need a couple of weeks out of the hospital where I really can say, look, I've been fine for three weeks," Mukpo told CNN.

Ashoka Mukpo: Ebola 'more intense than anything'

Mukpo's concern has a precedent: When NBC chief medical editor Dr. Nancy Snyderman violated a precautionary 21-day quarantine to reportedly obtain takeout food, she provoked public outrage.

That anger was expressed on Snyderman's Facebook page.

"It is quite obvious that Snyderman is an arrogant and egotistical woman who has no concern/regard for anyone but herself," one man wrote.

"I hope this doesn't just 'blow over' in a month and NBC doesn't allow you to return to your position as chief medical correspondent," one woman wrote.

Snyderman later apologized for how members of her team, which had visited Ebola-infected Liberia, "violated" quarantine guidelines.

Court challenge

Mary Mayhew, Maine's health commissioner, has said the process to seek a court order imposing a quarantine on Hickox has already begun.

It's not entirely clear which side would win that court battle, partly because Ebola is regarded as a menace with no established cure and partly because there's no evidence that Hickox has the disease, let alone a symptom suggesting it, experts say.

Under the U.S. Constitution, states have the authority over public health issues, except at international airports and seaports, where the federal government has jurisdiction, said attorney Steven Gravely, who wrote Virginia's quarantine laws.

"We quarantine folks who have been exposed to a communicable disease, but who are not yet infected," Gravely said. "The goal is to try to keep people who have been exposed, who may or may not be sick, from infecting other people. And so there's a sound basis for quarantine medically, but there's a lot of debate about whether -- what New York and New Jersey did was really appropriate."

Science vs. politics

Hickox's attorneys contend there is no medical evidence that Hickox has any sign of Ebola.

She's therefore no threat to society, her attorneys say.

Rather, Maine's effort to seek a mandatory quarantine is based on politics, not science, said one of Hickox's attorneys, Normal Siegel.

"This should not be directed and led by the politicians. It should be led by the medical community," Siegel said. "The government can't take away your liberty unless there is a compelling basis for it."

The absence of any illness in Hickox is among the more salient facets of the expected court case, said CNN legal analyst Jeffrey Toobin said.

"Maine has a law, like all states have law, that say people with contagious diseases can be forced in quarantine," Toobin said. "The legal question... is whether her condition, in perfectly good health without symptoms, counts as something that is covered by the law. That is a hard legal question because judges usually defer to public health authorities about their sense of risk.

"But here every scientific expert says that people without symptoms are not contagious," Toobin added. "I think this is going to be a very hard legal problem unless her lawyers and the state of Maine can work out some sort of compromise."

Complete coverage on Ebola

@highlight

Nation struggles with how to handle workers returning from Africa's Ebola zone

@highlight

Some states are ordering 21-day quarantines for any returning workers

@highlight

Obama and CDC discourage quarantines, seek to allay fears

@highlight

At stake is the fight against Ebola itself, advocates say