MADRID, Spain (CNN) -- Prosecutors will recommend that a Spanish court drop its investigation of six former officials in the administration of U.S. George W. Bush for alleged torture of prisoners at Guantanamo Bay, Spain's attorney general said Thursday.

Investigating judge Baltasar Garzon has the final say on whether to proceed or shelve the case.

The claim against the former officials, presented by a human rights group and provisionally accepted last month at the court -- pending an opinion from the prosecutors - threatens to turn the court "into a toy in the hands of people who are trying to do a political action," Attorney General Candido Conde-Pumpido said at a meeting at a downtown Madrid hotel.

"We undoubtedly cannot support that action," Conde-Pumpido said.

If alleged torture at Guantanamo is going to be investigated at all, that should be done first in the United States, so that the former American officials would have a chance to defend themselves there, Conde-Pumpido added, according to his press chief, Fernando Noya.

The prosecutors will inform the investigating judge, Baltasar Garzon, of their decision, and the judge would then have to decide whether to proceed or shelve the case, Noya said.

Former Attorney General Alberto R. Gonzales and five other ex-Bush administration officials are accused in the human rights group complaint of allegedly sanctioning torture at the Guantanamo Bay detention center.

The complaint alleges the six former officials were the legal architects of a system that allowed torture of prisoners at Guantanamo, in violation of international law.

The case might still go forward at the court, despite the prosecution opposition, said Gonzalo Boye, a lawyer who filed the complaint for the human rights group.

Boye told CNN that prosecutors earlier opposed the court's human rights investigations of ex-Chilean dictator Augusto Pinochet and, separately, the former military regime in Guatemala, but that those cases went ahead anyway.

"It's up to the resolution of a court as it has always been," Boye told CNN. "Garzon has to decide. This is a jurisdiction decision for a judge, not for the prosecution."

Boye predicted that once Garzon officially receives notification of the prosecution opposition, it could take the judge a few weeks to decide whether to proceed with the case.

Boye conceded that it makes the case harder without prosecution support.

"It's a shame the prosecutor is taking this position, but not a surprise," Boye said. "They always obey political orders. They don't want to be in a bad position in front of the Obama administration."

Some analysts and bloggers have suggested in recent days that the case could damage relations between Spain's Socialist government and President Barack Obama's administration.

But a U.S. official, speaking on condition of anonymity, told CNN on Wednesday that a German court once had an investigation of then U.S. Defense Secretary Donald Rumsfeld, but that did not hurt U.S.-German bilateral relations.

Garzon accepted the complaint from the human rights group because there were at least four Spaniards at Guantanamo who allegedly suffered torture.

Garzon then sent the matter to prosecutors at Spain's anti-terrorism National Court, requesting their opinion on whether a crime had been committed.

The 98-page complaint, filed in March 2008 by Boye on behalf of the Association for the Rights of Prisoners, names Gonzales, who was Bush's legal counsel when the Guantanamo Bay detention center in Cuba was established as part of the administration's "war on terror." Gonzales later became attorney general.

The complaint also names five other top Bush administration officials: former assistant attorney general Jay Bybee; former deputy assistant attorney general John Yoo; former Defense Department general counsel William J. Haynes II, former Undersecretary of Defense Douglas J. Feith and Vice President Dick Cheney's former legal counsel, David S. Addington.

Lawrence Wilkerson, a former top aide to Colin Powell, who was secretary of state in the early years of the Bush administration, testified before a House of Representatives subcommittee in June 2008 that the six officials "had a collusion" to develop a legal rationale for the administration's interrogation policy of detainees.

Yoo, the author of a memo which critics say authorized torture, testified before the same subcommittee soon after in June 2008, saying that his role in the administration had simply been to provide legal advice.

"We were functioning as lawyers. We don't make policy. Policy choices in these matters were up to the National Security Council or the White House or the Department of Defense," Yoo testified, according to a Congressional transcript.

Addington proved difficult to pin down when he testified before the same subcommittee on the same day as Yoo last June.

Addington, who by then was Cheney's chief of staff, delivered a flat "no" in response to a question from New York Democrat Rep. Jerrold Nadler about whether Addington "contributed to the analysis or assisted in the drafting of the August 1, 2002 interrogation memo."

But when Nadler followed up with: "You had nothing to do with that?" Addington replied, "No. I didn't say I had nothing to do with it." Addington never seemed to clarify what, if any, role he had.

Garzon is Spain's best-known investigating magistrate who issued the precedent-setting arrest warrant for former Chilean dictator Augusto Pinochet in 1998 while he was in a London hospital.

Garzon has investigated human rights abuses of former military governments in Chile and Argentina, Islamic terrorists operating in Spain, the armed Basque separatist group ETA, as well as major drug traffickers.

@highlight

Spanish prosecutors to recommend dropping case against ex-Bush officials

@highlight

Attorney General to say Guantanamo allegations should be probed in U.S.

@highlight

Attorney General says case motivated by political action

@highlight

Final decision on whether to drop or pursue case rests with investigating judge