ISIS fighters entered the besieged Syrian Kurdish city of Kobani, a Kurdish fighter said Friday, setting the stage for a vicious street-to-street battle in the shadow of Turkey's border.

Alan Minbic, a fighter with the Kurdish People's Protection Unit, or YPG, told CNN that ISIS now controls the southwest corner of the city, known in Arabic as Ayn al-Arab.

However, there were conflicting reports. The Syrian Observatory for Human Rights, a London-based monitoring group, said it did not believe that ISIS was in the city itself based on information from more than a dozen sources in Kobani.

On Friday, ISIS released a short video showing the apparent beheading of British aid worker Alan Henning. In the same video, the group threatens the life of another hostage, American aid worker Peter Kassig.

In the same video, the terror group threatened the life of an American aid worker. Since August, ISIS has beheaded American journalists James Foley and Steven Sotloff, and British aid worker David Haines.

If ISIS, also known as ISIL and the Islamic State, takes Kobani, it will control a complete swath of land from its self-declared capital of Raqqa, Syria, on the Euphrates River to the Turkish border, more than 60 miles away.

Thousands of civilians have fled the predominantly Kurdish city in northern Syria in recent days as ISIS forces apparently have advanced inexorably toward it.

The Sunni extremist group's reported entry into the city comes a day after Turkish lawmakers voted overwhelmingly to authorize military force against ISIS in Iraq and Syria. Australia decided hours later to join the U.S.-led air campaign against ISIS in Iraq.

Turkish Prime Minister Ahmet Davutoglu vowed to help the Kurdish fighters defend Kobani from ISIS.

"We wouldn't want Kobani to fall," he said. "We welcomed our brothers who came from Kobani. We'll do whatever we can to prevent this from happening."

For months, ISIS has been advancing, capturing portions of northern and eastern Syria and western and northern Iraq for what it says is its new Islamic state, or caliphate.

The fighting has only intensified in the region in recent days, with ISIS nearly surrounding Kobani, not far from Turkey's border. Remaining civilians were ordered Thursday to evacuate and headed to the border, as Kurdish fighters declared their readiness to take on the ISIS militants in street warfare.

Snipers take aim

YPG fighters are now using snipers in an effort to prevent the ISIS militants from advancing farther, Minbic said.

On the eastern edge of Kobani, city defenders destroyed an ISIS tank, Minbic said, but on the western side, ISIS now controls an area called Tal Shair, which includes an informal border crossing.

Mousa Al Ahmad, a Free Syrian Army fighter in Kobani, gave CNN the same information on the ISIS advance into the southwest of the city, in a separate phone conversation. He said there were about 300 FSA fighters battling alongside the YPG in the city.

A CNN team nearby could hear bursts of small arms fire -- suggesting close-quarters fighting -- that appeared to be coming from around the southwest part of the city.

A sustained bombardment by ISIS rained down, particularly on the eastern side of Kobani, perhaps the heaviest seen in days.

People still in the city told CNN they expected ISIS to enter soon and were ready for bloody street-to-street fighting. They believed they would have the upper hand, at least to start with, because they know the city.

One Kurdish fighter, who gave only his first name, Botan, told CNN on Thursday that they were not afraid to die if necessary.

"We know what will happen if ISIS takes over our town and what they will do to us," he said. "Our fight is not just for the Kurds, it is a fight for all of humanity. When people are getting their heads chopped off and tossed aside like animals, it is a duty to fight."

Big shift for Turkey

The mood of Turkey's leaders changed in recent days, with ISIS on the nation's doorstep and tens of thousands of people fleeing across its border.

The Turkish Parliament voted 298-98 to not only to let the country's military leave its borders to go after ISIS and other terror groups, but also to allow foreign troops to launch operations from Turkey.

The authorization, which came as ISIS fighters laid siege to towns just south of the Turkish border, takes effect Saturday.

It is a big shift for Turkey, a NATO member, which until now offered only tacit support to the U.S.-led coalition of about 40 nations going after ISIS in Iraq and Syria in various capacities.

The Prime Minister submitted a motion declaring that Turkey was seriously threatened by the chaos in Syria and Iraq.

On Friday, Syria accused Turkish President Recep Tayyip Erdogan of turning his country "into a springboard of aggression against Syria under the false claim of fighting terrorism and protecting Turkey's national security," according to letters from the Foreign and Expatriates Ministry to the United Nations, Syrian state news agency SANA reported.

The ministry said Turkey was responsible for "every single drop of blood that has been shed in Syria" because it provided political, military and logistical support to terrorist organizations and was a conduit for militants traveling to Syria.

U.S. airstrikes have been directed against ISIS positions in the Kobani area this week. But U.S. Central Command said there were no further strikes in the area overnight into Friday.

In a statement, White House Press Secretary Josh Earnest praised the decisions by Turkey, Australia and Denmark to authorize military force against ISIS.

"We will continue to work with our international partners to expand our sustained and comprehensive approach to degrade and ultimately defeat ISIL through a variety of means, including military actions, efforts to stop terrorist financing, countering flows of foreign fighters into the region, and delegitimizing ISIL's extremist ideology," the statement said.

CNN military analyst Lt. Col. Rick Francona told CNN on Thursday that as the ISIS militants get closer to the city, targeting becomes much more difficult.

While Kobani residents were ordered to evacuate, many have refused. This means civilian casualties are probably also a concern, he said.

Special forces

Australian Prime Minister Tony Abbott, speaking Friday after the Cabinet's decision to authorize airstrikes and the deployment of special forces in Iraq, said ISIS had "effectively declared war on the world" and posed a threat to Australia and its people.

ISIS must be disrupted and degraded, he said, and "it is absolutely in Australia's national interests that this mission go ahead."

The Cabinet authorized the deployment of Australian special forces into Iraq to "advise and assist" Iraqi forces, Abbott said, subject to final legal approvals from Iraq. Australian aircraft began flying support missions over Iraq this week.

Abbott warned that the deployment to Iraq could be "quite lengthy," lasting months rather than weeks, but that it would be no longer than strictly necessary.

"Yes, it is a combat deployment, but it is an essentially humanitarian mission to protect the people of Iraq and ultimately the people of Australia from the murderous rage of the ISIL death cult," he said.

Abbott said Australia's special forces would support Iraqi forces, in a way similar to those sent by the United States, which already has "quite a substantial special forces component on the ground," he said.

Australia has six Super Hornet strike fighters based in the United Arab Emirates, and Parliament has authorized the use of up to eight, said Air Chief Marshal Mark Binskin.

Australian authorities believe that there are at least 60 Australians fighting in the Middle East with terrorist groups, chiefly ISIS, and that at least 100 more support terrorist groups through funding and recruitment. Counterterrorism police have carried out raids in Australia in recent days.

On Friday, Canadian Prime Minister Stephen Harper presented a motion before the House of Commons about the possibility of his nation taking part in military operations against ISIS in Iraq, including airstrikes. The lower house of Parliament is debating the issue.

Retired U.S. Gen. John Allen, who is coordinating the international effort against ISIS, said that he expects a campaign against Mosul within a year.

"Mosul is going to be a pretty important battle," he said. "This was the place where [ISIS leader] Abu Bakr Al-Baghdadi exposed himself, it's the place where the difficulties of the ISF [Iraq Security Forces] began to cascade. ... I would say Mosul will go as an operation within a year."

Allen also said ISIS's financial structure must be attacked.

"A single round of air strikes will not defeat the enemy," he said. "[ISIS] operates in the financial space, and generates a lot of revenue, and while the counterattack against ISIS in the physical space is underway, there is going to be a concerted effort in the financial space also to try to deny it the revenue it generates every day, that gives it the oxygen it breathes. ..."

A father's plea

The father of British ISIS hostage John Cantlie, a journalist captured nearly two years ago, said he felt "great relief" when his son appeared in a video message showing he was still alive recently, along with a "feeling of despair and helplessness."

"I want John to know how very proud I am of him," Paul Cantlie said in a video message delivered from a hospital bed. "I can think of no greater joy than seeing my dear son released and allowed to return home to those that love him."

Cantlie is the latest hostage to be paraded out by ISIS and forced to deliver the group's propaganda.

In a video released Thursday, Cantlie -- wearing an orange shirt and seated alone at a desk with a black backdrop -- said he is sending what will be the first in a series of messages on behalf of the group.

Cantlie, a photojournalist who also wrote several articles for major British newspapers, was kidnapped in November 2012 along with American journalist James Foley.

ISIS released a video of Foley's beheading last month. This month, the group released videos showing the slayings of two other Western hostages, American journalist Steven Sotloff and British aid worker David Haines.

In his video message to ISIS, Paul Cantlie, 81, said: "To those holding John -- please know that he is a good man, he sought only to help the Syrian people and I ask you, from all that is sacred, to help us and allow him to return home."

@highlight

Small arms fire can be heard from southwest Kobani, as east is bombarded

@highlight

ISIS fighters have entered the Syrian Kurdish city, a Kurdish fighter says

@highlight

Turkish PM says Turkey will do whatever it can to prevent the fall of Kobani

@highlight

Turkey has authorized military action in Iraq and Syria, and Australia in Iraq