(CNN) -- Thousands of green card applicants will no longer "age out" and have to go to the back of the line if they turn 21 during the protracted U.S. immigration process, an appeals court has ruled in a defeat for the federal government.

Wednesday's narrow 6-5 decision, from the San Francisco-based U.S. 9th Circuit Court of Appeals, reverses earlier court rulings. The decision affects "tens of thousands of families" -- specifically, the unmarried sons and daughters of those who waited for years as a parent sought a visa in the United States -- said Carl Shusterman, a lawyer representing the victors in the case.

"After 10 years and a lawsuit that's gone on for years, these families are finally going to be back together," Shusterman said.

The ruling applies to those who were under 21 when their families came to the United States after being sponsored by a relative who is a U.S. citizen. Subsequently, their father or mother applied for a visa, at which time their children could be in line to receive a "derivative visa."

Such visas are available only to spouses and unmarried children under 21. So what happens when, as they are waiting for their status to be resolved -- often for years -- these children become 21 and older?

The federal government argued that, once those in the former group "age out," they should start again in a new phase in the process, with no credit for the time they waited originally for the derivative visa.

This has been the case for years.

People applying for green cards often wait through administrative delays for their petitions to be processed, as well as often longer periods waiting for one of a limited number of visas to become available. The current wait time for those seeking a green card in the F2B category -- for unmarried sons or daughters of a lawful permanent resident -- for Mexico, for instance, is about 20 years, according to this month's Visa Bulletin published by the U.S. State Department.

Congress stepped into the fray in 2002 with the passage of the Child Status Protection Act. Among other provisions, it stated that "the alien's petition shall automatically be converted to the appropriate category and the alien shall retain the original priority date issued upon receipt of the original petition." In other words, people don't lose their place in line after they turn 21.

The U.S. Citizenship and Immigration Services has contended in court that this legislation was unclear about to whom this language applies -- contending, for instance, that it is relevant for some groups but not those unmarried children who had been in line for derivative visas.

Furthermore, the agency argued that changing the equation will unfairly affect those already waiting for a limited number of visas, by effectively skipping ahead of them (and making them wait longer).

The judges' majority opinion, however, states that Congress' intent in passing the Child Status Protection Act was "to extend automatic conversion and priority date retention to all family-sponsored derivative beneficiaries." Furthermore, they find complaints that changes will produce unnecessary and unreasonable problems for the Citizenship and Immigration Services are not valid.

"The plain language of the CSPA is not impracticable," the judges said. "It is the agency's task to resolve ... complications, not the courts."

The Department of Justice did not respond immediately Thursday when asked for comment on the case.

Shusterman speculated another recent federal court decision out of Texas that followed much the same reasoning as Wednesday's ruling may have had "a tremendous" impact in the 9th Circuit's reversal.

"I'm thrilled. We've been fighting this for three or four years and not winning," Shusterman said. In other cases, he contends, the federal government "always credits for the time you stood in line."

But not all agreed with Wednesday's ruling. Dan Stein, the president for the Federation for American Immigrant Reform, contends that if Congress "had wanted indefinite eligibility regardless of age, they would have raised the overall number of visas in the category to prevent further increases in the backlog."

"The court is substituting its judgment for that of expert administrative agencies, making the system even more dysfunctional," Stein said in a statement to CNN. "Immigration is a civil benefit, and either you are under 21 or you are not."

@highlight

9th Circuit Court of Appeals, by a 6-5 vote, reverses an earlier immigration ruling

@highlight

Sons and daughters once in line for "derivative visas" won't lose their place after turning 21

@highlight

"These families are finally going to be back together," a victorious lawyer says

@highlight

"Immigration reform" advocate says ruling makes the "system even more dysfunctional"