Washington (CNN) -- It's one of the busiest days in this year's primary calendar.

Six states from coast to coast hold primaries on Tuesday, and again anti-establishment candidates face long odds in high-profile Republican showdowns.

Since its birth in 2009, the tea party has had a number of primary successes, with victorious challenges from the right producing major headlines for the movement.

But they've also given the party plenty of headaches and hurt its chances of winning back the Senate, effectively costing the GOP five winnable elections over the last two cycles.

This year, the establishment learned to fight back, and so far has had the upper hand in most contests against tea party-backed challengers. Here are five key showdowns to watch how they play out on Tuesday.

1. Big showdown in the Bluegrass State: Tuesday's marquee battle is in Kentucky, where Senate GOP Leader Mitch McConnell is challenged by businessman Matt Bevin, who enjoys strong support from many tea party groups and influential conservative anti-establishment organizations.

While this race has seen big spending by the campaigns and outside groups, McConnell is expected to cruise to renomination for a sixth term.

Anti-establishment Republicans feel McConnell represents everything wrong in Washington and thought he could be knocked off. The Senate Conservatives fund, a D.C.-based anti-establishment organization, spent around $1 million in support of Bevin and against McConnell. But it's been quiet recently, with McConnell's formidable lead in the polls.

McConnell had two Kentucky-based super PACs supporting him as well as the U.S. Chamber of Commerce and the National Rifle Association.

"It was a vintage Mitch McConnell campaign. They found Bevin's weaknesses and used them against him. They boxed him in and he couldn't move," said Jennifer Duffy, senior editor for the non-partisan Cook Political Report, a top campaign handicapper.

She added that "Bevin suffered from new candidate syndrome."

McConnell's ending his primary campaign by once again touting his endorsement from Kentucky's other Republican senator, Rand Paul. Paul was the upstart who beat McConnell's pick in the race. But Paul, who is very influential among tea party activists and libertarians, backed McConnell last year before Bevin got into the race.

The narrator in one of McConnell's two closing statewide TV commercials says, "On Tuesday, join with Rand Paul and vote for Mitch McConnell." And the spot includes a clip of Paul saying last year that Kentucky "ought to be proud of having Senator McConnell."

While McConnell should have an early night on Tuesday, he faces a serious challenge in November from rising Democratic star Alison Lundergan Grimes. Big-name Democrats are already campaigning for her.

2. Idaho -- the other big event: The other high-profile, outsider vs. establishment battle of the night is in the House. Eight-term Rep. Mike Simpson faces a serious primary challenge from Bryan Smith, an attorney who claims that Simpson's not conservative enough and is soft on spending.

Smith is backed by some tea party groups and by the D.C.-based anti-tax group Club for Growth, which has a history of backing conservative primary challengers.

The group has spent some $700,000 to attack Simpson and support Smith. But their spending dwindled the past couple of weeks, as Simpson has held a sizable lead in recent polls.

Simpson is backed by the U.S. Chamber of Commerce, which has spent heavily in the race.

"You can take it from me, the conservative choice for Congress is Mike Simpson," Mitt Romney says in one ad put out by the Chamber last month.

Simpson, was an early backer of the Republican 2012 presidential nominee's campaign. And Romney returned the favor last year, endorsing Simpson.

The winner of the primary will be the odds-on-favorite in November in the heavily Republican district, which covers the central and eastern parts of the state, from Boise to the borders with Utah and Wyoming.

3. Georgia -- tea party splits vote: Republican Sen. Saxby Chambliss' announcement last year that he wouldn't run for re-election triggered a free-for-all GOP primary battle.

Reps. Phil Gingrey, Paul Broun and Jack Kingston, former Georgia Secretary of State Karen Handel, and businessman David Perdue are the major candidates and Kingston, Handel, and Perdue, rather than the more conservative Broun and Gingrey, are on top of public opinion polls.

"I think they (Broun and Gingrey) both ran terrible campaigns," said the Cook Report's Duffy. "Because both of them were in there, the tea party movement was divided."

The primary campaign's closing days have seen near daily attacks between the candidates. An example of how ugly it's getting on the campaign trail: Gingrey's campaign sent out an email accusing Handel of "promoting teenage homosexuality," highlighting a vote she took in favor of funding for an LGBT youth program when she served on the Fulton County Commission.

Since no candidate's expected to top 50%, this contest's all-but-certain to head to a July 22 runoff between the top two finishers.

The eventual GOP nominee will face off against Michelle Nunn, the all-but-certain Democratic nominee and daughter of former longtime Sen. Sam Nunn, a household name in Georgia.

4. Oregon -- a last-minute wildcard?: The race for the GOP Senate nomination in Oregon, a vote-by-mail state, has only recently grabbed some national attention, mostly due to some high-profile support for Portland pediatric neurosurgeon Dr. Monica Wehby.

She recently won endorsements from Romney and another 2012 GOP presidential candidate: former House Speaker Newt Gingrich, who's a co-host of CNN's "Crossfire."

More importantly, D.C.-based NewRepublican.org went up with major television, digital and radio spots in support of Wehby. The organization was formed early last year, following the 2012 GOP election defeats, by a group of Republican veterans to refocus its messaging and policy goals in an attempt to broaden the GOP's appeal beyond its traditional base.

Wehby, who also enjoys the backing of several GOP senators including McConnell, grabbed some attention last month for a campaign ad of her own. The 60-second spot highlighted a woman who was advised to consider terminating her pregnancy because her unborn daughter had spinal problems. In the ad, the woman recalls how Wehby operated on her daughter shortly after she was born, and that the girl is now a healthy 12-year-old.

But Wehby's support for abortion rights has fueled a six-figure spending push by anti-abortion groups in opposing Wehby.

Polls show Wehby ahead of more conservative state Rep. Jason Conger, who was backed last week by former Sen. Rick Santorum of Pennsylvania, a Republican presidential candidate last time who may run again for the White House in 2016.

The wildcard: A last-minute story over the weekend revealed that after a breakup last year with the wealthy man she was dating, Wehby was accused of "stalking" him, according to a police report.

The primary winner will run in November against first-term Democratic Sen. Jeff Merkley, who Republicans think might be vulnerable if 2014 turns into a wave year for the GOP.

5. Pennsylvania -- a race to the left: Republicans can't have all the fun. The Democratic gubernatorial primary contest in the Keystone State has been one long wild ride.

In this race to the left, Rep. Allyson Schwartz has been touting her strong support for the health care law, better known as Obamacare, a rare sight this midterm election year, as she plays catchup with businessman Tom Wolf, who leads in the polls. Wolf was virtually unknown in Pennsylvania at the start of the year, but he spent big bucks to flood the airwaves with ads.

Wolf has increasingly come under attack from Schwartz as well as state Treasurer Rob McCord, another contender in the field.

The winner will face off in November against GOP Gov. Tom Corbett, who seems to be enjoying the food fight among the Democratic challengers.

"The Democrat fight for governor is getting ugly," says the narrator in a new Corbett TV ad that uses a boxing theme. But Corbett has his own concerns, as he's considered one of the most vulnerable governors running for re-election this year.

@highlight

Senate Minority Leader Mitch McConnell faces tea party challenge

@highlight

Incumbent Idaho congressman is expected to fend off tea party challenge, too

@highlight

Tea party candidates might be splitting the vote in Georgia Senate primary

@highlight

Pennsylvania governor's race is a race to the left among Democrats