Washington (CNN) -- Nearly all healthy pregnant women who receive a single dose of the H1N1 flu vaccine will be protected from that flu, according to just-released clinical trial data.

In a news conference Monday at the headquarters of the U.S. Department of Health and Human Services, Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Disease, said out of about 100 pregnant women who participated in trial studies, over 90 percent showed a robust immune response to a single 15-microgram dose of the H1N1 vaccine. And at this point, there have been no reported side effects, Fauci said.

Fauci stressed that these results should be reassuring for already-vaccinated pregnant women and this is "vital information for those who have not yet been vaccinated." He added that "pregnant women have tolerated the vaccine well, and no safety concerns have arisen."

Pregnant women are considered to be among the highest at risk for serious complications of this new flu strain. Since H1N1, also known as swine flu, first emerged in April, 28 pregnant women reportedly have died from complications of this flu, according to the Centers for Disease Control and Prevention (CDC).

Despite health officials repeatedly saying the H1N1 vaccine is safe, questions about it persist. To reassure those who question the safety of the vaccine, Dr. Bruce Gellin, director of the National Vaccine Program Office, noted that a new independent panel has been formed to review data from all sources on the safety of the vaccine.

The group will monitor all sources reporting problems with the vaccine.

"The vast amount of adverse events have been minor," said Gellin. He said there has been one reported death linked to the vaccine, but further investigation showed that the person died from the actual H1N1 flu, not the vaccine. Gellin said the panel was designed to keep an eye on any possible negative consequences and report them immediately.

According to Dr. Anne Schuchat, director of the National Center for Immunization and Respiratory Diseases at the CDC, who also attended the news conference, 30 million doses of the vaccine are available for states to order.

She explained that that does not mean 30 million shots are available to the public at this point. The vaccines need to be ordered by each state and distributed before they make it to doctor's offices and clinics.

Schuchat reassured the public that more vaccines would be made available within the next few weeks, as demand for shots continues to rise.

Fauci also noted further studies on children -- youngsters between the ages of 6 months to 35 months, and children from the age of 3 years to 9 years -- found they responded much better to two 15-microgram doses of the vaccine, than one single dose.

For children 9 and older, a single 15-microgram dose gave young people a robust immune reaction that should protect them against the virus.

When asked how this H1N1 virus differed from the seasonal flu, Schuchat said they were at opposite ends of the spectrum when it came to high-risk patients.

"With seasonal flu," said Schuchat, "Ninety percent of the deaths every year are in people over the age of 65." She noted, "But with H1N1, 90 percent of the deaths, thus far, have been in people under the age of 65."

And she added, "half of those are under the age of 25 years, in young people. So those are the people we want to get our message to. Children, pregnant women, young people should be getting vaccinated."

Fauci agreed saying, "You need to look at the risk ... Right now, the risk of becoming seriously ill, even dying from this virus, outweighs the risk of something happening to you if you take the vaccine. It's really that simple."

CNN's Miriam Falco contributed to this report.

@highlight

Over 90% of women in study showed robust response to one 15-microgram dose

@highlight

Dr. Anthony Fauci: Vaccine is safe and effective in pregnant women

@highlight

Young people and pregnant women have shown to be vulnerable to H1N1 flu

@highlight

Children 9 and younger have responded better to two doses of the vaccine