(CNN) -- Early this month, Jim O'Neill, the former Goldman Sachs economist who coined the term "BRICs" (Brazil, Russia, India, and China), appeared on a weeklong BBC series in which he introduced yet another acronym to describe a new group of emerging economies, the "MINTs" (Mexico, Indonesia, Nigeria and Turkey).

The BRICs acronym kindled a lot of interest among investors eager to find the next "big thing," while increasing attention to a group of nations that suffered from ongoing economic crisis during the 1990s.

But considering that the BRICs economies have not done so well in recent years, perhaps it's not a good idea to introduce another acronym. Doing so suggests that we focus on these nations' economies while overlooking key differences in their political, economic, and social welfare systems.

While working as Goldman Sachs' chief economist in 2001, O'Neill was struck by how fast Brazil, Russia, India, and China's economies were growing. This motivated him to introduce the BRICs acronym in a Goldman Sachs working paper titled "Building Better Global Economic Brics."

Even from an economic point of view, in recent years, though, the BRICs have not done so well. Brazil's GDP growth level declined from 7.5% in 2010 to 0.9% in 2012,; Russia's from 4.5% in 2010 to 1.3% in 2013; India's from 10.5% in 2010 to approximately 4.4% in 2013, while China's decreased from 10.4% in 2010 to a still substantial 7.6% in 2013.

Using the BRICs acronym also obscures the fact that these nations are rather different, ranging from democratic to authoritarian regimes.

The BRICs vary considerably in their health and educational outcomes. While Brazil and China have relatively successful public health care systems, Brazil's educational system lacks adequate resources and hasn't succeeded at building a skilled work force, while China's education system is producing a large number of skilled college graduates. Russia and India's governments are failing to adequately invest in health and education, the product of a lack of political commitment and inadequate funding.

Despite the appeal of the MINTs idea, those countries are not looking too good either. Most are seeing lowered rates of economic growth.

Because of a decline in exports and industrial production, the International Monetary Fund (IMF) slashed Mexico's predicted GDP growth rate from 3.9% in 2012 to 2.9 in 2013 and 3.2% in 2014. In Indonesia, the World Bank projected that economic growth will slow from 5.6% in 2013 to 5.3% in 2014, considerably lower than the 6.2% average in 2012.

According to the IMF, however, Nigeria's GDP growth is expected to rise from 6.2% in 2013 to 7.4% in 2014, the product of increased oil exports, economic stability, and increased domestic consumption. Yet the situation in Turkey isn't as peachy. GDP growth decreased from 9.2% in 2010 to 3.6% in 2013, with an OECD forecast of 3.8% in 2014.

And just as with the BRIC nations, the MINTs exhibit different political institutions. Mexico and Indonesia are presidential democracies with relatively stable political coalitions. Nigeria is also a presidential democracy challenged by political corruption and ethnic conflict. And Turkey has struggled with corruption and a lack of toleration for dissent.

While Mexico and Turkey have succeeded in extending universal health care coverage for the poor and providing medical services, their education system, as well as Indonesia and Nigeria's, are weak, leading to a low level of college graduates and a small skilled labor force. Indonesia and Nigeria's health care systems have also had insufficient resources, doctors and nurses.

Adopting the MINTs acronym could lead us to expect too much, too soon. There's a lot more to an emerging nation than its economy: if citizens lack good health care and access to quality education, the country is unlikely to realize its potential.

Indeed, even Jim O'Neill admits that it'll take at least 30 years to see if the MINTs become economic powerhouses.

Therefore, let's give the MINTs a bit more time to nurture their economies, strengthen their political institutions, and more importantly, invest in their people before we make them models for the rest of the world.

The opinions expressed in this commentary are solely those of Eduardo J. Gómez.

@highlight

Inventor of the BRICs concept has a new acronym for a group of nations to watch

@highlight

Eduardo J. Gómez: The notion of MINTs may have similar flaws to the BRICs

@highlight

MINT nations -- Mexico, Indonesia, Nigeria, Turkey -- face big and different challenges, he says

@highlight

Give them time to develop further before making them models for the world, he says