(CNN) -- Our failure to give women in certain parts of the world the ability to decide the timing and number of their children is deeply damaging -- not just for the women themselves but for societies, too. Lifting the obstacles is not something that can be tackled half-heartedly.

Modern family planning programs were introduced widely in the developed world decades ago. Providing voluntary family planning is one of the most cost-effective ways of improving health. Yet, over 200 million women, overwhelmingly in the poorest countries, who want access to modern family planning still can't get this help.

The results are all too clear. Girls who are still children themselves become mothers. The survival and health of mothers and babies are put at peril. Complications around giving birth remain the greatest killer of teenage girls in the developing world.

It is not just young girls who suffer from the lack of control over their own reproductive health. Enabling women to space pregnancies out by three to five years could almost halve infant death in the poorest countries, one study found.

The failure to give women access to reliable family planning increases poverty and reduces the number of girls in school and in the workforce.

Lack of money to buy contraceptives, underfunding of family planning programs and lack of trained medical personnel are all major reasons that make life harder for women. There is no doubt, too, that cultural and family pressures -- often resting on a lack of women's equality within their homes and communities -- play a role. We have to lift these barriers wherever we find them.

Opinion: Want to help poor moms? Provide them with diapers

Women have traditionally led the fight to improve access to family planning and the provision and quality of maternal health services. But the more we are able to recruit men and boys as full partners in this battle, the more progress we can make.

While men, accidentally or deliberately, can be a barrier to these ambitions, I have also seen how they can be a major part of the solution in the unlikeliest societies.

There are few countries with a poorer record on maternal and infant health than Niger, one of the least-developed nations. A traditional society where men wield most of the power, this landlocked nation in West Africa ranks at the bottom of the UNDP Gender Equality Index. Few women use contraceptives. Almost all births are at home. It helps explain why Niger has the highest fertility rate and one of the highest infant death rates in the world.

Opinion: Why there are more walk-away moms

But a pioneering initiative launched in 2007, Schools for Husbands, is slowly changing this picture. These schools, which have the backing of the civil authorities, traditional and religious leaders, as well as UNFPA support, bring together husbands who believe their wives should play a much more equitable role in their families and communities.

They meet regularly to discuss and deliver solutions to Niger's challenges around maternal and reproductive health. This can include building a house for a new community midwife or, after talking to local women's groups, new toilet facilities at a maternity clinic. Perhaps even more importantly, they take the message out to new communities about the importance of family planning and proper maternal health care.

The results where the schools have been established have been impressive. Use of family planning services has tripled. The number of child births attended by skilled personnel doubled.

More than 170 schools are in Niger now. The initiative is being extended to new regions in the country and outside its borders. It shows that we can make real progress in the most challenging of environments when men build partnerships across the gender divide.

As we celebrate Mother's Day, I challenge all men to think about the commitments they can make to build up our societies by lifting up women, our very own mothers, wives and daughters.

The opinions expressed in this commentary are solely those of Babatunde Osotimehin.

@highlight

Babatunde Osotimehin: Women need to be able to control their own reproductive health

@highlight

Osotimehin: Women in developing world need access to family planning programs

@highlight

He says we should recruit men and boys as full partners in this battle for women

@highlight

Osotimehin: Schools for Husbands in Niger has made progress in getting men involved