(CNN)On April 20, 2010, a final cement seal of an oil well in the Gulf of Mexico failed, causing what has been called the worst environmental disaster in U.S. history and taking the lives of 11 rig workers.

For 87 straight days, oil and methane gas spewed from an uncapped wellhead, 1 mile below the surface of the ocean.

The federal government estimated 4.2 million barrels of oil spilled into the Gulf, but BP argued in court that it was much lower. A judge ruled BP was responsible for the release of 3.1 million barrels.

Imagining Daddy: A rig worker's daughter and her dreams

There were dire predictions of what would follow. Environmentalists and others braced for an environmental collapse on a massive scale.

Scientists continue to study environmental impacts, but five years after the spill, the long-term negative effects remain unclear and are, in many cases, highly disputed.

BP, the company that caused the spill, is eager to point out it appears the Gulf of Mexico is healing itself.

BP's vice president of communications, Geoff Morrell, said there is no doubt birds, fish, turtles, sub-sea vegetation and even sediment species were all affected in the immediate aftermath of the spill.

Email your story ideas and tips to CNNtips@cnn.com.

"There's no question about that," Morrell said. "But they have also, according to the data, bounced back and are recovering strongly."

"And there is no data that suggests there are any long-term population-level impacts to any species."

While BP's assessment has not been disproven, the government suggests it's too soon to make long-term conclusions about the rebounding health of the Gulf.

Shortly after BP released its own five-year report that concluded the Gulf has largely recovered, the trustees of the Natural Resource Damage Assessment called BP's report "inappropriate as well as premature."

The trustees, a collection of government agencies tasked with determining the extent of the damage from the Macondo spill, released a statement, saying, "We know that the environmental effects of this spill are likely to last for generations."

One government official familiar with the trustee's assessment accused BP of having "cherry-picked" positive results while ignoring others, something BP denies.

Most long-term scientific studies on environmental disasters take longer than the five years that have passed. Studies so far have shown a variety of negative impacts on wildlife immediately after the spill, but others show some of those species are bouncing back.

Fish landings in the Gulf, the amount of fish caught by the fishing industry, have returned. Oysters are also recovering in many areas. And according to the Food and Drug Administration, tests on edible seafood show no excess hydrocarbons in the region's food supply.

The spill's effects on other species are less clear. Dolphins are dying at an accelerated rate along the Gulf Coast, and even more so in Louisiana where the oil hit the hardest. But the dolphin "mortality event," as the government calls it, began months before the spill.

Studies suggest the diseases dolphins suffer from in places like Barataria Bay, Louisiana, could be caused by oil exposure, but direct links to the 2010 Macondo spill have not been proven.

Seaside sparrows in the Gulf are also showing signs of strain, and some studies cite oil as contributing to reductions in their overall abundance.

While aerial surveys taken in 2010 suggest tens of thousands of sea turtles were exposed to oil in coastal waters, government agencies are still gathering data and have not concluded if the spill will have long-term effects on sea turtle populations.

But perhaps the greatest unknown is what, if anything, millions of gallons of oil on the deep seafloor are doing to the overall environment of the Gulf itself.

Oceanographers have been tracking the residue from the Macondo well as it has settled on the bottom of the ocean. Mandy Joye, an oceanographer with the University of Georgia, has used underwater robots to capture soil samples and run tests to determine just how far the oil has traveled. Her research and other studies show BP's oil is scattered in patches across more than 1,200 square miles of the seafloor.

According to Joye's study the oil residue exists in thin layers in some areas of the seafloor and thick pockets in others.

Joye is trying to determine how the oil deposited on the seafloor -- estimated to be about 10 million gallons -- affects the microbial community of organisms that exists in the deepwater ocean.

"That stuff's not going to stay put. It's going to move around, " Joye said. She said that right now, there is just no way to tell if it will have an impact.

"There's so much that we don't know," Joye said.

BP doesn't accept the results of Joye's work. The company said its oil is all accounted for and only exists in two places: within a 2 kilometer area around the wellhead and in tar mats and tar balls that have yet to be cleaned up on the beach.

And according to BP's Morrell, the oil and residue that remains is no longer harmful.

"So much time has passed that it no longer has any toxicity and is therefore not a threat to humans or aquatic life," Morrell said.

Ocean conservationist Philippe Cousteau witnessed much of the spill's aftermath in 2010, but when he returned to the Gulf to dive near an oil rig last month, he was astonished by the abundance of amberjacks, hammerhead sharks and other marine life he saw.

During the same trip, however, Cousteau spotted a mother dolphin trying to revive a dead calf. It is unknown if its death had anything to do with the oil.

Cousteau commended the progress community groups and restoration projects have made since the spill, but he said he believes it's far too early to say the Gulf is back and the oil is gone.

"It is still in many cases in the sand, along the shoreline, in the marshes," Cousteau said, "and existing on a microscopic scale that we may not be able to see with the naked eye."

CNN's David Matthews contributed to this report.

@highlight

April 20 marks 5 years since the BP oil spill

@highlight

At the time, there were dire predictions for the environment

@highlight

Today, it is still too soon to know the long-term impact