(CNN) -- Back in 1971, I was present as top leaders of two political organizations met to negotiate common actions they could take despite their differences. One of those leaders was a woman. Over and over, she raised points for consideration, only to be ignored by both sides. When someone of the other team did agree with a proposal she made, he would wait a few minutes and then say so to one of her male colleagues, as though the suggestion had been his. "As you said, Jerry," or "That's probably the way to go, Sam."

No one on her team corrected the misattribution, though they laughed about it afterward. As the woman matter-of-factly explained to me, "He couldn't admit anything we said was right if he also had to admit that it had come from a woman."

How far have we come in 40 years? According to a new book on the the Obama administration, many of the president's advisers initially showed similar disregard for women. For the first two years, senior female aides complained that male colleagues ignored them, excluded them from key policy meetings, dismissed their opinions and limited their access to the president.

It is clear, however, that we have come a long way. When told of the women's concerns, President Barack Obama convened a dinner with the female staff and took steps to make the atmosphere more inclusive and empowering. Our nation now has three women on the Supreme Court, all of whom out-talk at least one of their male colleagues. And we have a female secretary of state who by all accounts does not get muscled aside by anyone, male or female.

Assessing the extent and impact of gender stereotypes is more complex today than it was in the early 1960s. Back then, "head and master" laws gave husbands the final say in most family decisions. Quotas limited the number of women who could be admitted to law or dental school. "Help wanted" ads for men only excluded women from even applying for most highly paid and challenging jobs. And of course, men and women in the same jobs were treated differently in salary and promotions.

Women now earn more B.A.'s and M.A.'s than men do, and they have pulled even in Ph.D's. Today, education trumps gender in determining pay, with the result that in most metropolitan regions women in their 20s tend to out-earn men in the same age group because of their greater educational achievement. By contrast, in 1970, a female college graduate who worked full-time year-round earned less than a white male high school graduate.

As President Obama's senior staff discovered, gender stereotypes still encourage men to dominate and females to defer, perpetuating women's second-class status in the workforce. Yet these same stereotypes can also penalize males in ways that were not obvious in the past, when male privilege had so many more legal and administrative supports.

The mystique of masculinity, for example, encourages many men to view studying hard as "a girl thing." It also leads many to seek work in the unstable, seasonal construction sector or in other "manly" jobs, many of which are concentrated in declining industries, rather than preparing themselves for "traditionally female" jobs in health care, child care, teaching, and social work."Manly" males bully other males who show interest in such work, accusing them of acting "gay" or being "girlie-men." And when men defy these stereotypes to seek such work, they often encounter gender discrimination from employers who believe that a man cannot be as good a nurturer or helper as a woman.

But at the top of the educational, economic, and political pyramid -- in what were traditionally "male" kinds of work -- gender stereotypes continue to penalize women. Catalyst, an organization formed in 1962 to help women enter the workplace, titled its 2007 report on the attitudes of more than 1,200 senior executives in the United States and Europe toward female employees: "Damned If You Do, Damned If You Don't."

According to their report, when women "act assertively, focus on work tasks, display ambition," or engage in other behaviors that receive high praise when done by men, they are perceived as "too tough" and "unfeminine." But when women pay attention to work relationships and express "concern for other people's perspective," they are considered less competent than men.

In the television news industry, two-thirds of the news producers, but only 20 percent of the news directors, are female. Men make up more than three-quarters of all workers earning more than $100,000 a year, and only 2 percent of Fortune 500 companies are run by women.

Part of this pattern may stem from women's socialization not to put themselves forward too much. Young women are four times less likely than young men to negotiate their first salary, and economists estimate that this unwillingness to assert their own worth as workers ends up costing women $500,000 in earnings by the time they reach 60.

But part of the problem is that women's worth is consistently undervalued by others. A March 2010 study by the American Association of University Women found that among postdoctoral applicants, women had to publish three more papers in the most prestigious journals, or 20 more in the less-prestigious ones, to be considered as productive as male applicants.

And it remains true that many men are still socialized to put themselves forward too much, and literally cannot hear women who ask for what they want. A wise executive -- in a school, a business, or a nation -- must help his or her team learn to respect all styles of self-presentation and to listen to all views, as Obama evidently did when it was brought to his attention.

The opinions expressed in this commentary are solely those of Stephanie Coontz.

@highlight

Stephanie Coontz: In 1971 she watched as a man took credit for a woman's idea at a meeting

@highlight

She says a book says high-level women in Obama's White House complained of being marginalized

@highlight

But reports say Obama met with them to fix problem, she says; powerful women are no longer rare

@highlight

Coontz: Stereotypes still thwart progress; smart bosses step in, as Obama apparently did