Lee rubs his chin with his forefinger; his face obscured by a blue baseball cap. We sit together in the back of a taxi beside a frigid river near China's bleak northeastern border with North Korea.

He's traveling with Chinese smuggling gangs or "snakeheads." They fed and clothed him when he escaped.

Lee speaks in staccato sentences.

"I was a soldier," he says, "I did something on the base and I had to flee."

Lee won't say what he did and we can't give his real name for his own safety. He wants to protect his wife and child in North Korea. Whatever the reason, it compelled him to flee like thousands before him.

United Nations officials, human rights activists and smugglers say North Korean refugees face a daunting journey to reach asylum in South Korea. And crossing into China is often the easiest part of the whole process.

"We all know how to escape to China. A lot people in North Korea know how to do it," says Lee.

Underground network

For years, an established underground network got refugees like Lee out.

Charities and South Korean evangelical groups ran a kind of underground railroad for North Koreans out of Dandong, a booming border city in China. But in recent years, the Chinese government has tightened border controls and clamped down on these groups.

Now refugees must depend on snakeheads.

"They have to operate in the shadows," says Jeremy Douglas, the Regional Representative of the U.N. Office for Drugs and Crime (UNODC), "Because if they come out of North Korea and get noticed, they will be sent home."

China has a uniform policy of sending refugees back to the autocratic regime they fled. In fact, China doesn't refer to fleeing North Koreans as refugees at all. They call them "illegal economic migrants."

Last month Yonhap, the South Korean news agency, reported that 11 North Korean defectors were arrested by Chinese police as they tried to enter Myanmar, which borders southern China. One was just seven years old.

If the North Koreans are caught and sent back, experts say, they face a litany of human rights abuses.

"Persons who are forcibly repatriated from China are commonly subjected to torture, arbitrary detention, summary execution, forced abortion and other forms of sexual violence," states a damning U.N. report on the Human Rights situation in North Korea.

The report calls on China to give the U.N. Refugee agency (UNHCR) access to fleeing North Koreans, something that China currently doesn't allow.

"China is, frankly, shamelessly violating its international obligations," says Phil Robertson of Human Rights Watch, "China has ratified the refugee convention and should be treating these people who are fleeing from North Korea as refugees."

Fear of North Korean influx

In a written submission to the U.N., China rejected the "unfounded allegations" relating to China in the U.N. Commission of Inquiry's report into North Korea, and hinted that the research was politicized.

China did not allow the U.N. commission to investigate the situation inside China.

Robertson says China fears an influx of North Koreans into the country if it eases its rules for defectors. The Communist Party fears any instability in North Korea or within its own borders, so the argument holds weight.

Because of China's policy, the passage to Seoul is a daunting one.

"From North Korea, people have to take advantage of smuggling rings to get out. There are pre-established ways for safe passage," says Douglas of UNODC, "a steady stream of people are making the journey."

He says that North Koreans will often try to travel in small groups.

According to Human Rights Watch, North Koreans will switch cars regularly and make the journey by land from the border to Laos. Travel by rail or air is impossible because they have no paperwork.

But last year, the Laotian government alarmed human rights groups when they sent back a group of young defectors to North Korea via China.

If North Koreans make it through the border into China, and somehow manage to evade Chinese security authorities for thousands of miles, they must then sneak through Laotian territory, and make their way into Thailand.

"Thailand is the promised land," says Robertson, because North Koreans found there are deported to South Korea.

"Thailand considers that North Koreans can be sent to South Korea since the South Korean constitution sets out that all Koreans are citizens of the South," he says.

Yet when they arrive in South Korea, Robertson says the story is not over. The smugglers have to be paid. South Korea's government provides "start-up money" for defectors, which as the name suggests, is cash to help them settle. But many end up using it to pay off their debts to smugglers and brokers. Robertson says if they can't pay, the smuggling can turn into human trafficking.

But Lee is only at the very start of this long journey. He says the Chinese smugglers have clothed and fed him and he hopes to meet us in Seoul one day.

Despite all of the risks he's determined to make it.

"If there is a time in the future, let's meet and talk," he says.

OPINION: Moment of truth for North Korea over human rights

@highlight

CNN's David McKenzie spends time with recent defector from North Korea

@highlight

He tells of the harrowing escape into China, only the start of his journey to South Korea

@highlight

Defectors forced to use smuggling gangs to escape the regime, as China will send them back

@highlight

Thailand is "the promised land," as authorities will send them on to South Korea