The U.S. Department of Education has opened an investigation into the handling of sexual assault cases at the University of North Carolina at the request of current and former students, and a former administrator who say the university has long turned a blind eye to such allegations.

"We love UNC," said Annie Clark, the lead complainant. "We're not trying to vilify the university, we're just trying to make it better."

Clark and other students named in this report agreed to be identified by CNN, which does not typically identify the victims of sexual assault.

The investigation comes amid outrage on campus and nationwide over intimidation charges filed in the Chapel Hill, North Carolina, school's student-run honor court against one of the women involved in the complaint.

Investigators from the Department of Education's Office for Civil Rights will look into the women's allegations that school administrators brushed aside concerns about sexual violence on campus and failed to adequately investigate complaints of sexual assault, according to a March 1 letter sent to Clark by the agency.

In a separate complaint filed with the Education Department, the women say the school also violated federal laws requiring universities to fully disclose crimes on campus.

In an e-mailed statement, a UNC spokeswoman said the school would cooperate with the investigation.

School administrators have disputed the cavalier attitude toward sexual assault alleged by the students, noting that UNC has removed sexual violence cases from the list of concerns handled by the school's student-run honor court and appointed an administrator to deal directly with victims.

"The university cares deeply about all of its students and is committed to providing policies and procedures that are fair for everyone, especially about an issue that is as difficult and often involves strong opinions on both sides like sexual assault," UNC spokeswoman Karen Moon said in an e-mailed statement.

Clark began researching sexual assault issues on campus when she realized there was no clear reporting system for sexual violence at the school after she said she was assaulted in 2007. Clark said she did not know her rapist and she did not report the incident to police.

"I went to one administrator, and she told me, 'Rape is like football. And if you look back in the game, would you have done anything differently,'" Clark said.

Three other students, all of whom said they also had been sexually assaulted, joined the complaint, as did an assistant dean for students, Melinda Manning, who resigned in December.

As they investigated, Clark said they found example after example of the school failing to properly address sexual assault.

"The university not only had knowledge of actual violations, but they acted with that knowledge to sweep violations under the rug," she said.

The tension over sexual violence claims at UNC was most recently on display in February, when it became public that honor court charges were being pressed against one of the complainants, Landen Gambill.

The court's student prosecutors had earlier declined to proceed with a case alleging honor code violations by Gambill's ex-boyfriend, whom she had accused of rape.

Gambill did not file a sexual assault report with police, and Gambill's ex-boyfriend -- who has not been identified publicly -- has denied her accusation, according to his attorney, John Gresham.

The man then asked the court to consider intimidation charges against Gambill, saying her accusations had negatively changed perceptions of him on campus and was making life difficult for him at school.

In a statement last month, UNC Chancellor Holden Thorp said school officials had not encouraged the man to file a case against Gambill.

"This university works hard to encourage students to come forward and report instances of sexual violence," Thorp said in the statement. "No student has ever been disciplined for reporting a sexual assault or any honor code violation. Further, no university administrator filed or encouraged the filing of charges in this case; there is no retaliation by the university."

Since the controversy burst into the open, the school has changed its policies to take sexual assault cases out of the honor court's jurisdiction and has hired an administrator to be the primary contact for sexual assault victims on campus.

It's unclear how long the Education Department investigation might take, but Clark said she and the other students expect a "long, difficult, grueling experience."

"But it will all be worth it in the long run," she said.

Another of the complainants, Andrea Pino, said she hopes the case will spark a change in how all schools respond to complaints of sexual violence among students.

"I hope that this will serve as a wake-up call to not just UNC, but universities across the country," she said. "The time has come for all survivors of sexual violence to demand change and justice."

@highlight

Students say the University of North Carolina sweeps sex assault claims under the rug

@highlight

Administrators say they take such claims seriously

@highlight

The Education Department will investigate the women's claims

@highlight

"We're not trying to vilify the university ... just trying to make it better," one student says