(CNN) -- As the winter sports season reaches its peak in Europe and North America so the toll of deaths and injuries will surely mount.

Every year in the United States alone, an average of just over 40 people lose their lives on the slopes as a result of accidents in skiing and snowboarding, according to statistics compiled by the U.S. National Ski Areas Association.

They are sobering figures and often trotted out when a high profile celebrity such as actress Natasha Richardson, the victim of a tragic accident in Canada in 2009, is involved.

This was drawn into sharp focus again when Claude Nobs, the 76-year-old founder of the Montreux Jazz Festival, died Thursday in a Lausanne hospital following an accident on Christmas Eve.

Even elite level athletes are not immune to the dangers and in the past year World Cup ski cross racer Nik Zoricic and fellow Canadian world championship winning freestyle skier Sarah Burke, have lost their lives.

Regine Cavagnoud of France was the last leading alpine racer to be killed in 2001 and while there have been no deaths since then in alpine skiing World Cup or Olympic competition, there have been numerous sickening crashes.

Calculated risk

Austria's Mathias Lanzinger lost control in a men's World Cup downhill at Kvitfjell in Norway in 2008 and had to have his left leg amputated below the knee.

To an extent, that must be a calculated risk for the professionals because competitors in the Olympics or World Cup push themselves to the limit at incredible speed or attempting dangerous flips and turns.

However, nearly every amateur skier will have a tale of someone whose alpine adventure has unfortunately ended up with a stay in the resort medical facility, flying back home with a leg in plaster with months of rehabilitation in prospect.

Over Christmas, Ryder Cup golfer Miguel Angel Jimenez fell victim to a skiing accident, breaking his leg in the Spain's Sierra Nevada mountains and wrecking the early part of his 2013 season.

But are winter sports really any more dangerous than other activities and what measures can be taken to cut down on the risks ?.

Mike Langran, is a Scottish doctor who specializes in skiing safety and related issues and runs a dedicated website which gives advice and updates on the latest developments.

He is also the President of the International Society for Skiing Safety (ISSS) and a Director of the Scottish Snow Sports Safety Study.

Bad press

Langran is adamant that skiing gets a bad press when it comes to perceptions about safety and quotes international statistics, collated by the ISSS, to back up his claim.

"For snow sports, the average injury rate is 2-3 per 1000 participants on any one day. Compare that to an average game of soccer or rugby where perhaps the same number, or more are injured out of a much smaller number of players," he told CNN.

The most typical winter sports accidents would involve knee sprains, head injuries and shoulder, wrist and lower leg injuries, according to figures on his website.

"With regard to fatalities, in the U.S. during the past 10 years, about 41.5 people have died skiing/snowboarding per year on average. During the 2010/11 season, 47 fatalities occurred out of the 60.5 million skier/snowboarder days reported for the season.

"The rate of fatality converts to 0.78 per million skier/snowboarder visits. Although it's not directly comparable, in the United States in 2009, 2,400 people drowned while swimming in public areas and 800 died while bicycle riding," Langran added.

World governing body FIS (Federation Internationale de Ski) is only too aware of the potential dangers for leisure skiers and has produced its top 10 tips for safety on the slopes.

FIS has recommended the use of helmets on the slopes since 2006, but their use remains voluntary, despite the type of accident which befell Richardson.

However, some travel insurance companies now insist they are worn otherwise claims by injured skiers could be invalidated.

Helmet use

"I always recommend skiers and snowboarders to wear an appropriate helmet," said Langran.

"Although I don't believe the overall risk is high enough to mandate their use. Snowboarders, especially beginners, should also think carefully about using wrist guards to reduce the chances of a wrist injury.

"We know that on average snowboarding has an injury rate about twice that of alpine skiing -- mainly due to those wrist injuries amongst beginner snowboarders falling onto outstretched hands," he added.

At the elite end, where speeds and the degree of daring are breathtaking, helmets are compulsory, but they cannot always prevent the tragedies which befell Zoricic and Burke.

The FIS Congress in May 2012 promised urgent action to investigate the area of competitor safety, particularly in Ski Cross where four competitors start at the same time and battle it out over a course involving jumps and steep turns.

Council member Michel Vion was appointed to chair a newly-appointed Ski Cross Working Group, which was composed of experts with a wide range of experience across the ski disciplines.

He had an added remit to "leverage cross discipline expertise in safety matters, notably with Alpine Skiing and Ski Cross in mind," read a report on the official FIS website.

"Safety is our utmost focus but ours is a sport in which some risk always remains," FIS spokesperson Riikka Rakic told CNN.

Good advice

Improvements to equipment have led to reductions in injury rates, for instance the introduction of quick release mechanisms dramatically cut the number of lower leg fractures, while smarter ski design is helping the downward injury trend in the alpine disciplines, according to ISSS statistics.

But with improved protection from equipment such as ski body armor, is there a danger of being lulled into a false sense of security and to attempt something above your ability level?

"My bottom line is -- If you wouldn't do the trick without the kit, think very carefully about attempting it with the kit," said Langran.

It would appear to be good advice and he elaborates for the benefit of beginners taking to the piste for the first time.

"Take your time to gain experience on the slopes. Get professional instruction but don't be tempted to try too much too soon, especially if encouraged by more experienced friends.

"Read and follow the FIS rules. Use the best equipment you can, wear a helmet whenever possible and, if you're a snowboarder, get yourself a pair of good quality wrist guards," he emphasized again.

With an estimated 200 million skiers and 70 million snowboarders in the world today, there are plenty of people who would do well to heed this advice and his overall message is that responsible participants have nothing more to fear on the slopes in comparison to other sporting activities.

@highlight

FIS has top 10 rules for skiing safety on the slopes

@highlight

World governing body recommends use of helmets

@highlight

Two Canadian World Cup competitors lost their lives in 2012

@highlight

Statistics point to winter sports being safer than other activities