(CNN) -- Bill Clinton's speech accepting the Democratic nomination for president in 1992 went through 22 drafts. But from the first to the last, he insisted on including a call to service.

America was mired in a recession. The deficit was high, and confidence was low. But the young governor of Arkansas was determined to try to inspire a new generation of young people the way President John F. Kennedy had inspired him.

"Just think of it," he told the nation. "Think of it. Millions of energetic young men and women serving their country by policing the streets or teaching the children or caring for the sick. Or working with the elderly and people with disabilities. Or helping young people to stay off drugs and out of gangs, giving us all a sense of new hope and limitless possibilities."

Through persistent, bipartisan effort, that dream became law 20 years ago this week. Nearly a million Americans have spent 1.2 billion hours serving their country, their community, their neighbors in AmeriCorps. They helped mend hearts after September 11. They helped mend communities after Katrina. Today, they help children from broken homes and veterans with no homes. They have taught countless kids, comforted countless seniors, touched countless lives.

Chad Clanton was in the first class of AmeriCorps volunteers. An idealistic kid from Waco, Texas, Clanton had just graduated from the University of Texas. He joined VISTA (Volunteers in Service to America) and was soon building houses for -- and with -- the poor in San Antonio.

"It really was one of the greatest experiences I've ever had," he said. "I just met the most wonderful people. And all kinds of people: hippies, yuppies, cowboys, church people, corporate executives, plumbers, electricians, rich, poor, you name it. Everyone was out there because they wanted to do something -- swing a hammer, hang some Sheetrock, paint a fence -- to chip away at the problem of poverty housing."

Clanton went on to become a successful international political consultant, advising politicians across the country and around the world, but he says those days sweating in the South Texas sun was the best job he ever had.

Ely Flores did not come to AmeriCorps wanting to save the world. He was sent there by a criminal justice system that was trying to save him. "At 17 years old, I was at a crossroads," he said of his youth in Hollywood and South Central Los Angeles.

"I had a choice. Either I was going to continue the lifestyle that had forced me into community service or choose an AmeriCorps program called YouthBuild. My year in AmeriCorps with YouthBuild not only helped put my education back on track, put money in my pocket and ultimately helped me shape the foundation of social justice I stand on, but it completely transformed my view of service. "

Ely helps young people affected by the incarceration of family members. He has rebuilt homes and schools and lives. When asked his occupation, he proudly says, "community builder." He has earned his undergraduate degree, is looking to get a masters and is organizing LEAD, Leadership through Empowerment, Action, and Dialogue, which seeks to breathe new life into Lincoln Heights, Los Angeles' oldest -- but far from wealthiest -- neighborhood.

There are 900,000 Floreses and Clantons. They have created ripples of hope that will continue to radiate out into the lives of millions of people. Surely, that is something to celebrate.

When President Obama stands on the South Lawn of the White House on Friday to swear in new volunteers, he will almost certainly look back on two decades of getting things done. But he will also, I hope, focus on all there is yet to do.

There is a growing movement to take national service to the next level, to make a year of service a rite of passage for every American who wants to serve. Retired Gen. Stanley McChrystal, who was America's top commander on the battlefields of Afghanistan, has a new mission: "All young Americans should have the opportunity and feel the responsibility to serve their country," he wrote this summer in Politico. "We need to create a culture in which at least a year of service is culturally expected, if not quite mandatory by law."

Just as the members of the Greatest Generation were bound together by their common service in the second World War and just as Vietnam vets have a kinship that crosses partisan lines, so too should today's young people.

So on this 20th anniversary of AmeriCorps, let's pause a moment to thank the Man From Hope for giving us all a sense of new hope and limitless possibilities.

@highlight

Paul Begala: Bill Clinton was determined to include a call to service during his administration

@highlight

AmeriCorps started 20 years ago with bipartisan support to let young people serve, he says

@highlight

Nearly a million have joined; helped in 9/11, Katrina, with veterans, the old, poor, children

@highlight

Begala: As Obama swears in new volunteers, we should thank Clinton for AmeriCorps