Washington (CNN) -- President Barack Obama's spokesman listed Wednesday specific steps the Egyptian government needs to take to satisfy the demands of protesters convulsing the country.

White House Press Secretary Robert Gibbs called for expanding he negotiations with opposition groups, lifting the state of emergency and making constitutional changes to bring about democratic elections.

"We think more has to be done, and more importantly, I think the people of Egypt think more has to be done," Gibbs told reporters.

In a sign of increasing tension between the United States and Egypt over the demonstrations that began January 25, Egypt's foreign minister said in a U.S. television interview that the Obama administration should back off from pushing President Hosni Mubarak to speed up the reform process.

"When you speak about prompt, immediate, now," Foreign Minister Ahmed Aboul Gheit told PBS "NewsHour," it is "as if you are imposing on a great country like Egypt, a great friend that has always maintained the best of relationship with the United States, you are imposing your will on him."

Aboul Gheit said the U.S. government should "better understand the Egyptian sensitivities and better encourage the Egyptians to move forward and to do what is required -- that is my advice to you."

In particular, he rejected the call for lifting the state of emergency that has been in place for three decades, saying the special security powers were needed now that thousands of prisoners had been freed during the chaos of the demonstrations.

"How can you ask me to sort of disband that emergency law while I'm in difficulty?" Aboul Gheit said. "Give me time, allow me to have control to stabilize the nation, to stabilize the state and then we would look into the issue."

At the same time, Aboul Gheit called the situation in Egypt "an upheaval that is transforming Egypt from one era to a new era," and insisted that Mubarak and his new vice president, Omar Suleiman, have embarked on an irreversible path of reforms sought by the demonstrators and the United States.

He compared his government's situation to being "in a boat in the midst of the Nile (river) moving from one bank to the other," adding: "Give us the time to row and to go with the current and see how we will reach that point."

Gibbs, however, said it was the people of Egypt who needed to see concrete steps toward the changes they seek, and that the Obama administration was merely expressing the reality of the situation.

"I think it is clear that what the government has so far put forward has yet to meet the minimum threshold of the people of Egypt," Gibbs said, later adding: "I think if there's some notion on the government side that you can put the genie back in this bottle, I think that's gone a long time ago."

Asked about past warnings that the United States could withhold some or all of the more than $1 billion in annual military aid to Egypt, Gibbs said any decision would be based on the response of the Egyptian government to the demonstrations.

"We are watching quite closely to see what those responses are, and the response of the government will determine what that aid looks like," Gibbs said. He repeated U.S. opposition to any kind of violent crackdown on the protesters, indicating that could be a litmus test for a decision to withhold aid.

On Tuesday, Vice President Joe Biden spoke by phone with Suleiman to push for more progress, according to a White House statement.

Biden urged "that the transition produce immediate, irreversible progress that responds to the aspirations of the Egyptian people," according to the White House statement.

The two vice presidents discussed "restraining the Ministry of Interior's conduct by immediately ending the arrests, harassment, beating and detention of journalists, and political and civil society activists, and by allowing freedom of assembly and expression; immediately rescinding the emergency law; broadening participation in the national dialogue to include a wide range of opposition members; and inviting the opposition as a partner in jointly developing a road map and timetable for transition."

"These steps, and a clear policy of no reprisals, are what the broad opposition is calling for and what the government is saying it is prepared to accept," the statement said. "Vice President Biden expressed the belief that the demands of the broad opposition can be met through meaningful negotiations with the government."

Also on Tuesday, Gibbs made a point of directly criticizing the Egyptian government for continuing detentions, beatings and harassment of journalists and rights activists.

"The government has got to stop arresting protesters and journalists, harassment, beatings, detentions of reporters, of activists, of those involved in civil society," Gibbs said. Previously, he and other U.S. officials, including Obama and Secretary of State Hillary Clinton, called for a halt to the crackdown on journalists and activists without directly saying that the Egyptian government was responsible.

Gibbs also labeled as "particularly unhelpful" the comment by Suleiman in an interview with ABC that Egypt lacks the necessary "culture of democracy" for the changes demanded by protesters, such as freedom of speech and the right to organize opposition parties.

A senior administration official, speaking with CNN on condition of not being identified because of the sensitivity of a rapidly changing political situation in Cairo, acknowledged Tuesday that "there is some sort of level of frustration here."

Overall, though, the Obama administration has been careful to call for democratic reforms in Egypt while also trying to maintain stability in a key Middle Eastern ally that is a vital Arab partner to Israel through the Camp David Accords of 1978.

Gibbs repeated the U.S. call for an orderly transition in Egypt from the repressive rule of the past three decades under Mubarak to a multiparty democracy through free and fair elections.

Mubarak has insisted he will remain in power through the end of his term in September instead of ceding to demands for his immediate ouster by the protesters and opposition figures. Suleiman also says Mubarak must remain in power until the next election for the transition to be orderly.

CNN's Jill Dougherty contributed to this story

@highlight

White House spokesman calls for lifting the state of emergency, expanding negotiations

@highlight

Otherwise, the protests will continue to grow, Gibbs says

@highlight

Egypt's foreign minister tells the United States to back off