(CNN) -- Among the most enduring urban legends about high-level policy-making in the U.S. government is the proverbial memo with three options: 1. do nothing; 2. do everything; 3. find a middle ground and muddle through.

And yet in truth, Barack Obama really does have only three options in Syria. It appears that the president, rightly the avoider-in-chief when it comes to Syria, has chosen option three, the least bad alternative. And here's why.

Do nothing

This isn't really an option. Forget the fact that the president a year ago drew his own red line against Bashar al-Assad's use of chemical weapons. Disregard the reality that this is reportedly the largest single deployment of chemical weapons since Saddam Hussein used them against the Kurds in 1988; dismiss the fact that 100,000 Syrians have died in this civil conflict; and the president is accused of fiddling, Nero-like, while Syria burns.

Just focus on the events of the past five days in Washington. What has been emanating from administration officials both on and off the record is the most well-advertised and telegraphed military action in the history of modern warfare. Rarely do we get this kind of preview of the operation, its size and character.

Combine that with the Secretary of State John Kerry's brief but powerful statement of moral outrage the other day and the president's PBS interview, and you get as authoritative a commitment to strike as is humanly imaginable.

Indeed, forceful statements and actions of the past few days have now constituted their own red line. And if the president doesn't enforce it, he will be truly damaged goods when it comes to foreign policy for the remainder of his term.

Neither his regional allies (Israel and the Saudis) nor his adversaries (Iran, Hezbollah, Russia) will find him credible or believable. As it is now, everyone says no to the U.S. without much cost or consequence.

Do everything

From the beginning, Sens. John McCain and Lindsay Graham and a whole host of liberal interventionists and neoconservatives outside the government have repeatedly called for a more robust policy on Syria, even suggesting that the president, by not acting sooner, enabled all of this misery to unfold. Syria, the president's critics maintain, is a major threat to U.S. interests -- and to our allies in the region -- and only a takedown of the al-Assad regime through supporting the opposition and direct application of U.S. military power will begin to address the problem.

The argument has not called for boots on the ground but for extensive use of no-fly zones, the use of U.S. air and missile power to degrade the regime and military support for the opposition.

President Obama has wisely and willfully avoided this approach. And he continues to avoid it now. The reason has to do with the general problem of an open-ended military commitment and the lack of correlation between the use of U.S. military power and its relation to the end state.

Syria is in the throes of a brutal civil war. The opposition is composed of more than 1,000 disparate rebel groups, the most effective allied with al Qaeda and other Sunni extremists. A victory of the latter would be a blow to U.S. interests. Ousting al-Assad won't be cheap or easy. It took eight months to get rid of Libya's Moammar Gadhafi, and he had no weapons of mass destruction, no serious air defenses or military capacity and no credible allies. And look at the end result: a post-Gadhafi environment in which there are too many guns, grievances and regional rivalries and no credible central authority.

And Libya pales in comparison with Syria's complexities. Devising a serious military strategy to get rid of al-Assad -- serious weapons for the rebels; no-fly or -drive zones; and sustained air/missile strikes against Syrian military units, infrastructure and leadership targets -- also means U.S. responsibility for what follows. Barack Obama has avoided this option because he rightly doesn't want America getting stuck with the check for Syria.

Muddle through

The option the U.S. is likely to undertake -- focused more narrowly on trying to deter the Syrians from using chemical weapons again and degrading al-Assad's military capacity in the process -- is far from ideal. Although I think the administration's military actions will be far more devastating than the limited strikes being talked about, it is unlikely to change the arc of the battlefield balance.

There are other downsides, too. Once the glass ceiling against the use of force is broken, the expectations and pressures to use it again will grow. There's always the danger too of a response by Hezbollah or Syria against Israel, however unlikely. And sooner or later, al-Assad will commit some other horror that will require another U.S. response. This kind of episodic intervention without a real strategy can undermine American credibility, too.

To be sure, there are real risks in acting on option three, and Obama most assuredly is a reluctant warrior. Indeed, in view of the parliamentary opposition to British Prime Minister David Cameron's willingness to join the U.S., he may be a lonely warrior, too. But he's going to war with Syria nonetheless. Al-Assad's apparent use of chemical weapons, the president's own words and those of others in his administration leave him no other choice.

The opinions expressed in this commentary are solely those of Aaron Miller

@highlight

Aaron Miller says President Obama seems to be leaning to the least bad option in Syria

@highlight

He says limited strike may be risky but less so than doing nothing or trying for regime change

@highlight

Miller: If Obama doesn't act after large chemical weapons attack, he'll be written off as ineffective