London, England (CNN) -- David Cameron spent more than four years tipped as a British prime minister-in-waiting -- a period he has called "the longest job interview in the world."

Now the Conservative party leader finds himself the occupant of No. 10 Downing Street, the historic central London residence of UK prime ministers, after three successive election defeats for his party and more than 13 years of rule by the rival Labour Party.

The Tories, as the Conservatives are also known, only took 306 of the 650 seats in the House of Commons at last week's election, falling short of the necessary majority through which to govern.

Ironically Cameron -- the youngest prime minister since 1812 -- has been handed power through the formation of a coalition with Nick Clegg and the Liberal Democrats, the UK's third-biggest party, who made a strong challenge during the election campaign following the first ever televised election debates between the main party leaders. For the previous year Cameron had commanded a strong showing in the opinion polls.

But who is David Cameron?

His background is far from ordinary. He was educated at Eton, the UK's most exclusive fee-paying school, before joining Conservative ranks as a policy researcher after graduating from Oxford University in 1988.

At Oxford he became a member of the Bullingdon Club, an elite and sometimes rowdy student dining club, whose fellow members at the time included London mayor Boris Johnson.

After a foray into the world of PR -- skills some say have been put to good use in re-branding his party -- and time as a political adviser Cameron's political career really took hold in 2001 with his election as lawmaker for the Oxfordshire town of Witney in southern England.

Cameron and his wife Samantha, who is creative director at luxury brand Smythson, have two young children and recently announced they are expecting another in September.

But he credits the short life of his severely disabled son Ivan, who died aged six in 2009, with sharpening his political focus and making him a passionate advocate for the state-run National Health Service.

"Tony Blair once explained his priority in three words: Education, education, education. I can do it in three letters: NHS," Cameron said at the Conservative Party Conference in 2006.

Recently on the party's Web site Cameron wrote: "Millions of people are grateful for the care they have received from the NHS -- including my own family," he said.

"One of the wonderful things about living in this country is that the moment you're injured or fall ill -- no matter who you are, where you are from, or how much money you've got -- you know that the NHS will look after you."

Cameron's words were reinforced by the party's election manifesto, in which it calls itself "the party of the NHS" and pledges "never to change at the idea at its heart that healthcare in this country is free at the point of use and available to everyone based on need and not ability to pay."

This attitude marks a major shift from some previous Conservative leaders. Margaret Thatcher, UK prime minister from 1979 till 1990, encouraged people to use private medical services and proposed tax breaks for private health insurance.

Cameron's appeal to the Tory faithful has mostly rested in the promise that he would deliver an election victory for a party which dominated 20th century British politics but has been out of power for more than a decade.

But rather than present himself as a reincarnation of Thatcher, Cameron has styled himself as a new kind of compassionate Conservative who has modernized his party -- historically a bastion of privilege, wealth and establishment values -- by softening its stance on social issues and broadening its appeal by recruiting more female and ethnic minority candidates.

"I want to tell you what I am fighting this election for -- it is the people I call the Great Ignored," he told supporters at one rally earlier this year. "They may be black or white. They may be rich or poor... They are the honest, hard-working people of our country and they are desperate to know that in this great country we can still achieve great things."

Last year at a Gay Pride function, Cameron praised the then Labour government for equalizing the age of consent, introducing civil partnerships and allowing gays and lesbians to serve in the military openly.

But while Cameron has played down his privileged background, he has often been attacked because of his social class. An attempt to make him the focus of the Conservatives' campaign backfired in January when billboards featuring his image were defaced and became the subject of a spoof anti-Cameron viral campaign.

The Tory Party leader has also come under fire for sometimes appearing muddled and vague on his party's policies.

In January he admitted that he had "messed up" over the party's promise to introduce tax breaks for married couples when he appeared to retreat from that pledge in an interview, forcing his press office to issue a statement reaffirming his commitment to the policy.

In policy terms, Cameron has pledged to "break up big government" and "take tough and difficult decisions" -- including over the UK's $272-billion deficit.   But Cameron has often sought to distance himself from those in his party who have proposed more severe cuts, saying: "We're not talking about swinging cuts. We're talking about making a start in reducing our deficit."

Cameron angered many in his own party last year by abandoning a "cast-iron guarantee" to hold a referendum, if elected, on the Lisbon Treaty -- an agreement seen by opponents of closer European Union integration as a step toward a federal super-state.

That put him on a collision course with the Conservatives' notorious Euroskeptic faction which split the party the last time it was in power under John Major. In a move aimed at appeasing those critics, Cameron withdrew the Conservatives from the main center-right European People's Party, forming a controversial alliance in the European Parliament with nationalist parties from eastern Europe instead.

But that seemed to risk isolating a Cameron administration from natural center-right allies in Europe such as German Chancellor Angela Merkel and French President Nicolas Sarkozy.   Many political observers see parallels in Cameron's youthful vigor, polished presentation skills and evasion of easy ideological pigeon-holing with Brown's Labour predecessor, Tony Blair.

Cameron and Blair, writes former Labour lawmaker David Marquand in his history of modern British politics, "share the same winsome grace, the same ability to shift affably over the rifts of interest and the same acute nose for public moods."

But Blair was swept to power on a landslide in 1997 in his first election as leader. He went on to win two further elections, seeing off four of Cameron's predecessors as Conservative leaders, although he was ultimately undermined by the Iraq war and the perception among his critics that spin doctors were exerting too much influence   Cameron's journey to 10 Downing Street has taken several detours during the past few days. As the senior partner in the UK's new coalition government, he can expect plenty more in the weeks and months ahead.

Simon Hooper and Paul Armstrong contributed to this story

@highlight

David Cameron is credited with reviving the center-right opposition Conservatives

@highlight

He is UK's new prime minister after the closest election in more than three decades

@highlight

Cameron  attended top school Eton and Oxford University, previously worked in PR

@highlight

Commentators see comparisons with Tony Blair in Cameron's leadership style