(CNN) -- The investigation of the Washington Navy Yard shootings is yielding information about the shooter's background and possible motives. One significant one: The Associated Press reported that officials said Aaron Alexis was "suffering a host of serious mental issues, including paranoia and a sleep disorder. He also had been hearing voices in his head."

Mental illness frequently emerges as part of the background of America's mass shootings, including those in Tucson, Arizona; Aurora, Colorado; and Newtown, Connecticut.

In those cases, it was quickly discovered that acquaintances, family, school officials -- sometimes mental health providers -- knew about the suspects' psychiatric problems. Bureaucratic roadblocks hindered the communications between police and the individual or agency mental health providers who had had contact with these men before they lashed out.

Law enforcement and the Navy will be doing the police work to figure out how and why Monday's shooting occurred and what further steps are needed. However, the rest of us could consider how a country that stigmatizes mental illness and places a low priority on mental health care increases the chance of such tragedies occurring regularly, with devastating effects on families and communities.

Opinion: Get serious about mental health care

Now, with respect to Aaron Alexis and the Washington Navy Yard killings, the suspect indeed appeared to have mental health problems. He'd sought help from Veterans Affairs hospitals around the capital, law enforcement sources told CNN.

And after an incident in Seattle in which he shot out the tires on the car of a man he thought had mocked him, his family told police that he suffered from post-traumatic stress disorder as a result of his having been in New York City on September 11, 2001 (although work colleagues of his from back then don't recall his volunteering in the aftermath of that attack).

Alexis had apparently asked for help from the VA for psychiatric problems but was not declared unfit by the Navy, which could have revoked his security clearance and perhaps prevented him from gaining ready access to the Navy Yard grounds.

The question that needs to be addressed in the coming days and months is: Why do barriers to communication across agencies exist, and how can they be reduced or eliminated? These are not simple questions, but they are extremely important when it comes to prevention. These are the practical concerns of a police investigation trying to unravel motivation and understand how such an attack could have occurred.

But there is a human and community dimension to this tragedy that needs attention as well. It's important to remember, for example, that the mentally ill are far, far more often the victims of violence than its perpetrators. Research consistently suggests that the mentally ill, if they do not abuse drugs and alcohol and if they stay in treatment, are actually less likely to commit violence than other populations. Further, research has also highlighted that if violence does occur, it is family members and friends who are the most likely to be the victims (85% of the time, or more).

That well-grounded fact is not a reason to ignore the troubling and continuing erosion of mental health services as a result of government budget cuts -- nearly $5 billion in three years and affecting nearly all the states. These cuts have decreased the availability of mental health services at the school and community level both for those suffering mental health problems and for others who have family members who are mentally ill. Adequately funding such services could make a difference in curbing violence.

Opinion: Masculinity, mental illness and guns - a lethal equation?

As reductions in services occur, the police and jails are increasingly absorbing a population of mentally ill people who end up committing crimes. The jails become mental health providers at much higher costs then mental health outpatient services. For example, in New York City's Rikers Island jail the mentally ill constitute over 30% of all inmates and the cost of incarceration for a year is over $165,000.

Thankfully, the federal government and mental health advocates at a recent White House conference defined important, much-needed steps, such as a new website for mental health information, expansions of mental health funding through the Affordable Care Act, and modest new funding for communities in crisis. However, this new federal money is small compared to that lost in state cutbacks. Thus the needs will continue to be great.

The families of the victims in the Navy Yard massacre, as well as the survivors, need ongoing supportive services, and this should be a priority. But we cannot and should not stop there. The need for better mental health care is truly nationwide, and extensive new programming is needed.

The opinions expressed in this commentary are solely those of Gerald Landsberg.

@highlight

Gerald Landsberg: Navy Yard shooter appears to have had mental health problems

@highlight

He says communication between agencies might have prevented massacre

@highlight

He says nation must prioritize mental health treatment; instead cuts have led to less care

@highlight

Landsberg: Obama mental health initiatives a good step; shooting shows much more needed