(CNN) -- Hackney Wick is nestled next to the Olympic site, separated only by a waterway known as the Lee Navigation. It is a half industrial, half artistic enclave, little known to Londoners, but which has, in recent years, become rich in street art from a cast of artists who have been integral to regenerating east London and informing its cultural identity.

With the Olympics now underway, Hackney Wick can been seen as a microcosm highlighting the forces that street art faces across east London.

Street art meets Locog

The Olympics organizing committee, LOCOG, has been asked to deliver a long-remembered games, and multifaceted legacy for London. This is no easy task.

Read more: Why gritty East End is London's gold standard

Unfortunately it has failed, overwhelmingly, to engage with London's street artists.

It seems the cultural thinking behind London 2012 is being carried out from within an impenetrable ivory tower, with scant access granted to decision makers.

In essence, there has been a top-down imposition of what LOCOG thinks is the relevant cultural identity of London -- and this has been presented to the world.

To many in east London, where the Olympic Park is located, this imposition feels alien. It feels akin to a form of cultural imperialism, out of synch with the true culture, including street art which may be found just a stone's throw from the Olympic Stadium.

Missed opportunities

Politicians and officials talk about London 2012 using words like "regeneration" and "legacy." Such aims are a key reason behind London winning the Games, and the ideas are laudable.

Read more: London's docks turn into 'mini Monaco' for Olympics

But by not engaging with London's street artists, LOCOG has arguably missed an opportunity to be more culturally relevant and connect with artists who are a real transformative force.

From a purely cultural standpoint, this is a shame. London boasts some of the finest street art in the world from fresh and exciting artists such as Stik, RUN, Ben Eine, David Walker, Pablo Delgado, Christiaan Nagel and Cityzen Kane.

London is also a global street art hub, welcoming artists from all over the world. People also come from all over to see London's street art. The diversity and vibrancy of London's street art is staggering, and celebrating this would have shown vision.

Read more: The artist who turned Usain Bolt from track legend to street hero

Perhaps more importantly, LOCOG's spurning of the street art scene counteracts one of east London's key regenerative forces.

Street art brings energy to the streets and infuses color onto gray and dilapidated walls. Street art has fostered community spirit and made east Londoners proud of where they live too. This is the very thing alchemists within LOCOG are trying to deliver as part of London 2012's legacy.

Public art

Many of London's street artists view themselves as servants to their local communities, and maintain close connections with them. They depend on their communities for patronage and support for wall space.

As such, London's street art can be defined as public art for the city's people. Around east London, in particular, the local populace has taken street art to its heart with many locals familiar with each of the different artists at work on the street.

Today's generation often work in daylight hours doing legal walls. They are happy to reveal their identities and also to stop and chat with people passing by in the street while they work.

It's sometimes hard for bureaucrats to understand this, so truly ingrained is the media-driven paradigm of all street artists being mischief-makers who put up numerous illegal socio-political stencils in the night.

East London's local councils are, however, actually starting to understand street art's evolving nature and its importance to east London's spirit.

Legal pieces are routinely left alone by councils now, and this has largely been the case in Hackney Wick. Pieces still get buffed by over zealous clean up crews but reports of a pre-Olympics war on street art are a little overplayed. The greatest threats to the street art in Hackney Wick are now arguably from companies like Coca-Cola painting over local artists with "cool" Olympic themed murals.

Read more: Is the Olympics worth more than Google?

What legacy?

Street art is an important part of east London's identity and a positive force for regeneration. Street art has been dismissed and misunderstood by London bureaucracies in the past, and LOCOG's attitude is no different.

However we hope it will not always be this way. Changes in attitude and policy will of course take time and by the time the Olympics visits London again perhaps we will be ready. We are seeing encouraging green shoots every day.

CNN asked Locog to respond to the opinions expressed by Howard-Griffin. Here is their response:

The London 2012 Festival has 25,000 artists taking part in more than 12,000 events across the UK in the largest cultural celebration every seen in this country. Our program in east London has already seen 100,000 people enjoy artists such as Rhianna, Jay-Z, Jessie J and many more as part of the free BBC Radio 1 Hackney Weekend.

People are currently a visiting a car park in East London where an exhibition of BMW Art Cars, designed by artists including David Hockney, Jeff Koons, Roy Lichtenstein, and Andy Warhol, is being staged.

Rio and London carnival artists collaborated for the Hackney One Carnival to welcome the Olympic Torch Relay, screenings of restored Hitchcock films at east London venues and a fantastic program of theater, dance and outdoor events at the Barbican and with the Create festival.

The London 2012 Festival is a UK wide festival, and we are very excited about the upcoming London 2012 Festival event "See No Evil 2012: Urban Festival" in Bristol. This is the UK's largest permanent street art project and the biggest urban arts festival in Europe, attracting the world's leading urban artists to converge and create a series of temporary and permanent street art installations and sculpture, including some of the world's largest scale outdoor paintings.

For the first time it will bring together two major international artists, Adrian Utley of Portishead and French artist, Joanie Lemercier of cutting 3D projection experts AntiVJ. They will create a free, one off cross art-form performance, featuring huge scale digital projections and live music in the centre of Bristol from 13 -- 19 August 2012.

The opinions expressed in this commentary are solely those of Richard Howard-Griffin.

@highlight

Richard Howard-Griffin: Street artworks have become integral to regenerating east London

@highlight

Howard-Griffin: The Olympics organizing committee has failed to engage with street artists

@highlight

He says the cultural thinking behind the Games feels alien to people living in the local area

@highlight

Olympic organizers have missed an opportunity to be more culturally relevant, he says