(CNN) -- "I'm here, where are you?"

It happens all the time. You're waiting to meet a friend and get a call or text like this.

"But I'm here," you insist.

Even with addresses in hand, exact locations often remain elusive, and meet-ups get missed.

The usual response -- a quick look around, squinting to make out some local landmark to tell them to meet you by -- might be okay for some.

But having spent ten years in the music and events business, Chris Sheldrick was tired of spending his time telling suppliers, staff, and guests where to look for a venue's back or side entrance. In businesses like his, the small nuisance can become a timewasting burden: "We always had this problem," he says.

What3Words (W3W) believes it has found a solution. The start-up, co-founded last year by Sheldrick, divides the entire world into a grid of three meter by three meter squares -- 57 trillion of them in total. Each square has been labeled with a three word sequence.

Standing beneath the Eiffel Tower? You're at "shut.tech.requests." Want to meet on the front doorstep of Buckingham Place? Tell a friend "sound.manual.lungs." Climbed to the top of Ayers Rock? That's "snake.removes.gymnast".

"Now, anyone can just say 'table.lamp.spoon' and it's much easier than giving a full address and explanation of how to find a location," says Sheldrick.

In developed western countries, the precise system could be the answer to countless small problems, and over this summer the company has highlighted how W3W can help in jumbled music festival campsites, and sprawling parking lots.

In the developing world, competing address systems can create confusion or, worse, no formal address system is present.

How it works

Sheldrick knew the solution was already out there. Google Maps can give you GPS coordinates that will direct someone to a precise location. But remembering the 15 digit code -- or communicating one to a delivery driver down a dodgy phone line while organizing a busy event -- is bound to end in failure.

"For human beings, it's completely impractical," he says

What3Words has received $1.5m in start-up funding since it launched last year and the company is now expanding to incorporate more languages.

With each new language -- English, Spanish, German, Russian, Italian, French, Turkish, and Portuguese are all available -- each square is assigned an additional name.

There's almost 40,000 words of each language in the mix, but W3W has allocated the shortest, most commonly used ones to the areas where they're most likely to be used. So the front steps of the Swedish National Museum in Stockholm are called "calf.router.shunted" if you search in English, but the more common words "skri.elev.skrika" in Swedish.

To streamline the process, Sheldrick explains that the team have removed all the homophones from the mix -- so you won't end up wondering if your friend said "teas," "tease," or "tees" -- as well as controversial spellings.

Gone, too, are all those explicit words you that you probably wouldn't want to say to direct visitors to your front door.

Unfortunately, language is rarely that simple and even three apparently innocent words, arranged appropriately -- say "lazy.trouser.snake" (a roadside plot just outside Hiroshima, Japan) -- are bound to haunt a few addresses.

Sheldrick says there's no way of changing each allocated address, but that they haven't had any complaints yet. And, besides, a dodgy name has done no harm to many traditional addresses.

Big impact?

Sheldrick, meanwhile, is thinking big, and the company is pondering what role the three-word system could offer in countries where development can be obstructed by a lack of a reliable, intuitive, system of addresses.

"In a lot of the developing world, addresses are something governments have been working on for sometimes a decade," says Sheldrick. He believes, W3W can offer a ready-made system, allowing governments to forget what to call a place, and to focus on helping the people there.

See also: Take a look inside Tehran's transformer house

See also: London's insane luxury basements

See also: Who invests the most in global property?

@highlight

Startup What3Words aims to replace every address with a simple three word code

@highlight

CEO Chris Sheldrick says the new system is faster, simpler and more precise

@highlight

It promises to connect those in the developing world who lack a reliable address system

@highlight

But what if your three word address was less than flattering?