(CNN) -- As riots sweep several British cities, the U.S. State Department is cautioning Americans in the U.K. to avoid areas of civil unrest, monitor local media reports and not engage in any debates that might turn violent.

The guidance, carried on the website of the U.S. Embassy in London, is part of a well-oiled warning system the State Department has used for decades to alert Americans living or traveling in countries around the world of everything from terrorist threats to hurricanes.

Monday, the State Department issued an updated travel warning on Pakistan, cautioning U.S. citizens that Americans in the country have been "arrested, deported, harassed, and detained" for visa violations and noting that the number of U.S. citizens arrested, detained and prosecuted for overstaying their Pakistani visas "increased markedly across the country."

How does the State Department decide when to issue a travel warning as opposed to simple guidance?

Michelle Bernier-Toth, managing director of the department's Office of Overseas Citizens Services, said "It's all premised on the 'no-double -standard' policy.

"If we have threat or security information that is specific, credible and noncounterable," she said, "and that we're warning our own personnel about, we have an obligation to share that information with the public so that American citizens residing or traveling abroad can make informed decisions about their activities."

Some people in developing nations have questioned whether the State Department pulls its punches in issuing travel warnings for Western European countries, especially when those warnings might scare off American tourists, creating economic problems for the given country.

"Not at all," Bernier-Toth said. "We issue emergency messages, formerly known as warden messages, around the world. We issued them routinely in Europe, for example," this summer over demonstrations in several cities.

"It has nothing to do with the political situation; it has nothing to do with bilateral relations with the country. Our primary focus is to get information about a security situation to the American public."

Right now, the State Department website includes 35 countries in its list of travel warning countries. Several of them -- Syria, Libya and Yemen, for example -- have been torn by violence during Arab Spring demonstrations.

Travel warnings are issued, Bernier-Toth explained, when situations in a given country could pose a risk to U.S. citizens living or traveling there. Americans might not be deliberately targeted but they might be caught up in the violence, for example, in drug violence along the U.S.-Mexico border.

"We monitor what is going on," she said, "in consultation with security experts in the Bureau of Diplomatic Security, with counter-terrorism experts, with embassies and consulates on the ground who have first-hand information."

Travel warnings usually are issued in situations that the State Department considers to be a long-term, chronic threat, such as crime or terrorism. But the U.S. also issues warnings whenever it pulls out U.S. government staff or dependents from a mission abroad, even though the turmoil or crisis might be relatively short-lived

The next level down in the State Department's warning system is travel alerts. They are issued in the case of short-term problems, such as hurricanes or upcoming elections in a country that might turn violent.

Travel alerts have expiration dates, Bernier-Toth said. "As we approach that expiration date we review the situation and say 'What's going on now? Is there something that's continuing?' Or maybe the local government has it under control. We can let it lapse or move that information into the country-specific information."

Country-specific information, she says, is on the department's website and includes every country in the world. "It's our version of the Lonely Planet Guide," she laughed.

Things like what travelers need to know before they set out for a given country: Crime information, road safety, special requirements, unusual criminal penalties, health conditions, entry-exit requirements, dual-nationality information.

To get the word out the State Department uses everything from the latest social network sites to the radio.

"We leave it to our embassies abroad to determine what is the best way, the most efficient way to disseminate information to the American community, given the technological capabilities of that country," Bernier-Toth said.

In London the embassy uses Twitter, Facebook and other social networking sites. In other countries U.S. embassies may use email or texting. In some developing nations they may use ham radio -- "communicating with missionaries out in the brush," she said.

Issuing warnings and alerts, Bernier-Toth said, can have economic and political implications. We "recognize that the host country may not appreciate whatever the message is," she said.

"Nonetheless, we make sure that the no-double-standard policy is adhered to, explaining to the host government this is not a reflection of our bilateral relationship, this is simply a statement of the security situation as we have assessed it. And as we have determined that we need to put this information out. Our message is our message."

The State Department's warning system is on their website: travel.state.gov

@highlight

Decades-old system used to issue travel warnings, alerts

@highlight

Official: "It has nothing to do with the political situation"

@highlight

State Department says alerts also target Europe, not just developing nations