Al Qaeda's affiliate inside Syria is now the best-equipped arm of the terror group in existence today, according to informal assessments by U.S. and Middle East intelligence agencies, a private sector analyst directly familiar with the information told CNN.

Concern about the Syrian al Qaeda-affiliated group Jabhat al-Nusra, also known as the al-Nusra Front, is at an all-time high, according to the analyst, with as many as 10,000 fighters and supporters inside Syria. The United States has designated al-Nusra Front as a terrorist group with links to al Qaeda in Iraq.

That assessment is shared by some Middle Eastern intelligence agencies that have long believed the United States is underestimating the Sunni-backed al Qaeda movement in the country, according to a Middle East source. It is also believed that Iran is running training camps inside Syria for Hezbollah and that other Iranian militia fighters are coming into the country to fight for the regime.

The analyst has been part of recent discussions with the U.S. intelligence community, which is urgently working to understand what is going on inside the war-ravaged country and is consulting outside experts. The analyst, who declined to be named because of the sensitive nature of the information, stressed that all assessments about Syria are approximate at best because of the lack of U.S. personnel on the ground.

With the growing strength and support for al-Nusra, U.S. concerns are growing about its influence to further destabilize Syria and potentially pose a greater regional threat, administration officials have told CNN.

Next moves for the U.S. on Syria

"They are making desperate attempts to get chemical weapons," the analyst told CNN, noting that in the past few weeks, security services in Iraq and Turkey arrested operatives who were "trying to get their hands on sarin."

A senior U.S. intelligence official told CNN recently that gathering intelligence on Syria, including its potential future use of chemical weapons, is now one of the top priorities of the U.S. intelligence community.

The Obama administration announced last week that it will start arming rebels because Syria crossed a "red line" by using chemical weapons -- including sarin gas -- against the opposition.

The development is likely to be at the center of the Group of Eight summit in Northern Ireland on Monday, setting a riveting backdrop to the meeting after Syria's longtime ally Russia said the move supports "those who kill their enemies and eat their organs."

Opinion: Peace in Syria? Talk to Iran

In one corner, the United States, the United Kingdom and France say rebels need more help in ousting a 42-year dynasty and ending a regime that crushes dissent with lethal force.

In the other corner, Russia says its supply of arms to the Syrian regime isn't nearly as bad as sending weapons to the rebels.

"I believe you will not deny that one should hardly back those who kill their enemies and eat their organs. ... Do you want to support these people? Do you want to supply arms to these people?" Russian President Vladimir Putin asked Sunday.

He was referring to a widely circulated video that allegedly showed a rebel fighter eating the heart of a dead soldier. The video, posted by a group loyal to the Syrian government, raised questions about the rebels' credibility, even though the Syrian opposition widely condemned the act.

On Monday, Putin and U.S. President Barack Obama will meet one-on-one to discuss the war that has now killed more than 92,000 people, including thousands of children.

On the ground in Damascus: Locals defiant toward more U.S. help of rebels

Chaos on the ground

While world leaders struggle to form a unified front, the seesaw battles rage on inside Syria -- and at a staggering price. About 5,000 Syrians are killed every month, the United Nations said.

The opposition once controlled the Damascus suburb of Yarmouk, which served as a Palestinian refugee camp. But Palestinian fighters supporting the regime say they're taking the area back.

"We will keep fighting until we get rid of Jabhat al-Nusra and al Qaeda and all other insurgents in Syria," fighter Abu Ihad told CNN's Fred Pleitgen in Yarmouk.

The pro-government fighters said they're angry about the U.S. decision to arm the opposition, especially since members of al-Nusra Front have joined the rebels.

In recent weeks, the rebels have suffered a series of devastating setbacks. Their loss of the stronghold Qusayr coincided with the arrival of Hezbollah fighters supporting Syrian troops.

Syrian rebels have pleaded for anti-tank and anti-aircraft weapons, saying they are outgunned by President Bashar al-Assad's military.

Explosions rock Damascus military airport

The U.S. has a new game plan

Obama has not detailed the increased military support, but Washington officials told CNN that the plan includes providing small arms, ammunition and possibly anti-tank weapons to the rebels.

The chairman of the Senate Foreign Relations Committee told CNN's Candy Crowley there is a strong consensus on arming Syrian rebels.

"As the Foreign Relations Committee voted nearly a month ago on a strong bipartisan vote of 15-3 ... we believe the rebels need to be armed, the moderate elements of those rebels," said Sen. Robert Menendez, D-New Jersey.

"Public intelligence sources have said that we've come to know who, in fact, we could ultimately arm. And the reality is we need to tip the scales, not simply to nudge them. And the president's moving in the right direction."

Britain has not decided whether to provide weapons to rebels but has provided technical assistance and training alongside the United States, France and its other allies.

"I'm in no doubt that responsibility lies with President Assad. It is the onslaught that he has inflicted on his own people which is the primary cause of the suffering, the humanitarian catastrophe and the deaths we have seen," British Prime Minister David Cameron said Sunday.

Russia's president said he believed both sides were responsible for the bloodshed. Putin said he hoped the G8 summit this week would help broker a peace deal to end the carnage.

But it's unclear how many more lives may be lost in the meantime.

Putin warns U.S., West against arming organ-eating Syrian rebels

@highlight

Al-Nusra Front could have as many as 10,000 fighters inside Syria, analyst says

@highlight

Concern about the group is at an all-time high

@highlight

The Syrian civil war is expected to top the agenda at the G8 summit this week

@highlight

The meeting comes days after the U.S. said it will start arming Syrian rebels