(CNN) -- He has one eye, a thick beard streaked with henna and has lost a finger. He wears thick aviator-style dark glasses. At least we think so. There are very few photographs of 40-something Ilyas Kashmiri.

But to counterterrorism officials on three continents, he is one of the most dangerous men in the world. Kashmiri is a veteran jihadist who in his early years fought the Indians in the disputed territory of Kashmir and the Russians in Afghanistan -- which is where he lost his eye.

He famously escaped from an Indian jail and then fought with a unit of Pakistan's special forces. And he is ruthless. Ten years ago, Indian troops carried out a raid into Pakistani-controlled Kashmir. Pakistani officials said 14 civilians, including several children, were slaughtered. The next day, Kashmiri led a retaliatory raid. He and his fighters kidnapped and beheaded an Indian army officer -- and later paraded his head through the bazaars of Pakistani-controlled Kashmir.

But then, Kashmiri fell out with his sponsors in the Pakistani military. At one point, he was arrested in connection with an attempt to assassinate Pakistan's president, Gen. Pervez Musharraf, in 2003. For reasons unknown, Kashmiri was released a short time later. And that was where the trouble really started, when a local jihadist went viral, moving his base of operations from Pakistani Kashmir to North Waziristan.

As commander of "Brigade 313," part of Harakat-ul-Jihad-Islami (Movement for an Islamic Holy War), Kashmiri formed a close relationship with al Qaeda in the wild frontier territory of Pakistan.

Kashmiri's No. 1 enemy is still India. His group was thought responsible for the bombing of a bakery popular with foreigners in Pune in 2009. But there is plenty of evidence that he has ambitions beyond South Asia.

David Coleman Headley, the U.S. citizen who confessed to helping scout targets for the Mumbai attack in November 2008, said after his arrest that he had twice met Kashmiri. During questioning by India's National Intelligence Agency, which was given access to him in Chicago, Illinois, in June,  Headley said he'd been taken to Pakistan's tribal territories to meet Kashmiri early in 2009. A copy of the interrogation obtained by CNN reveals that Kashmiri sent Headley on another trip to survey targets in India.  One place he said he videotaped was the bakery that was later attacked in Pune.

He also said Kashmiri had encouraged him to attack the offices of the Danish newspaper that published cartoons of the Prophet Mohammed. According to the indictment of Headley, Kashmiri told him he could "provide manpower, weaponry and funding for the Denmark operations."

Headley says Kashmiri gave him $1,500 and told him to "concentrate on the Denmark attack at the earliest." Headley travelled to England, Sweden and Denmark to refine his plans, before being arrested at Chicago's O'Hare International airport in October 2009 as he tried to leave for Pakistan.

In a plea deal this year, Headley confessed to his involvement in both the Mumbai and Danish plots.

Now intelligence sources on both sides of the Atlantic believe Kashmiri is trying to get teams into Europe that would launch coordinated Mumbai-style attacks in several cities.   In those attacks, gunmen raided several buildings, including hotels, simultaneously, leaving 164 people dead.  The British Home Secretary, Theresa May, said last week that police were receiving special training to handle such an attack.

In a rare interview with Asia Times Online last year, Kashmiri boasted of those plans. The newspaper's Islamabad reporter, Syed Saleem Shahzad, says he was taken to a secret location in North Waziristan in October 2009 for the interview. Kashmiri apparently wanted to use the occasion to refute claims that he'd been killed in a drone strike near the town of Mir Ali the previous month. Shahzad describes meeting a tall, well-built man with a firm handshake. He asked him whether the world could expect more "Mumbai-style" attacks.

"That was nothing compared to what has already been planned for the future," Kashmiri replied.

European intelligence officials are now anxious that "the future" may be imminent, with al Qaeda looking to use people with Western passports in attacks -- Europeans and North Africans, for example.

There are plenty of foreign fighters in Pakistan's tribal regions -- as many as 10,000, according to a Pakistani military commander. One of those fighters, Ahmed Sidiqi, was detained in Kabul, Afghanistan, last July and interrogated by U.S. forces at the Bagram Airfield. According to European counterterrorism sources, Sidiqi said he had met Kashmiri, though there is no confirmation that he did.

Another man alleged to have sought out Kashmiri is Chicago taxi driver Raja Lahrasib Khan, who travelled to Pakistan in 2008 and 2009. He was arrested this year in the United States and charged with attempting to provide support to al Qaeda. Court documents say Khan met Kashmiri, who had told him that he "wanted to train operatives to conduct attacks in the United States." The documents include a conversation Khan is alleged to have had with an unidentified conspirator about Kashmiri's relationship with al Qaeda leader Osama bin Laden.

Khan told the unidentified conspirator that bin Laden gives orders to Kashmiri, and then Kashmiri transmits the orders to the mujahedeen.

Khan has pleaded not guilty to the charges against him.

Intelligence officials say that besides being an experienced operator, Kashmiri has also managed to navigate the often perilous waters of jihadist rivalries, attracting members of other Pakistani groups to his "313 Brigade" and retaining a measure of autonomy despite pledging allegiance to al Qaeda.

That's probably in part because of his operational prowess. If bin Laden is al Qaeda's "spiritual" leader and Egyptian cleric Ayman al Zawahiri its philosopher, Kashmiri is the organization's military brain. As one U.S. official puts it, Kashmiri is "the key ingredient in the bad stew of senior terrorists who are planning operations in the region and beyond."

@highlight

Few photographs exist of Ilyas Kashmiri

@highlight

He's forged a close relationship with al Qaeda

@highlight

A U.S. citizen who helped scout targets for the Mumbai bombings met with Kashmiri