(CNN) -- The United States will not accept North Korea as a "nuclear state," Secretary of State John Kerry warned on Tuesday, just hours after Pyongyang announced plans to restart a nuclear reactor it shut down five years ago.

North Korea's decision comes as tensions on the Korean peninsula escalate over Kim Jong Un's threats to wage war against the United States and South Korea.

"The bottom line is simply that what Kim Jong Un is choosing to do is provocative. It is dangerous, reckless. The United States will not accept the DPRK (Democratic People's Republic of Korea) as a nuclear state," Kerry said during a joint briefing in Washington with South Korea Foreign Minister Yun Byung-se.

"And I reiterate again the United States will do what is necessary to defend ourselves and defend our allies, Korea and Japan. We are fully prepared and capable of doing so, and I think the DPRK understands that."

North Korea's declaration that it would reopen the reactor demonstrates Kim's commitment to the country's nuclear weapons program that the international community has tried to persuade it to abandon.

The North's state-run Korean Central News Agency, KCNA, reported that the reclusive state's atomic energy department intends to "readjust and restart all the nuclear facilities" at its main nuclear complex, in Yongbyon.

Those facilities include a uranium enrichment facility and a reactor that was "mothballed and disabled" under an agreement reached in October 2007 during talks among North Korea, the United States and four other nations, KCNA said.

The announcement was followed by a plea for calm from U.N. Secretary-General Ban Ki-moon, who is South Korean.

North Korean defectors return rhetorical fire

"The current crisis has already gone too far," he said in a statement from Andorra. "Nuclear threats are not a game. Aggressive rhetoric and military posturing only result in counteractions, and fuel fear and instability.

"Things must begin to calm down, as this situation, made worse by the lack of communication, could lead down a path that nobody should want to follow."

Ban said dialogue and negotiations are "the only way to resolve the current crisis."

The tensions on the Korean Peninsula have led Pyongyang to sever a key military hot line with Seoul and declare void the 1953 armistice that stopped the Korean War.

The United States has made a show of its military strength amid annual training exercises with South Korea, flying B-2 stealth bombers capable of carrying conventional or nuclear weapons, Cold War-era B-52s and F-22 Raptor stealth fighters over South Korea.

On Tuesday, the United States positioned a second destroyer -- the USS Decatur -- near the Korean peninsula, a defense official said on condition of anonymity. The official was not authorized to release details to the media.

A day earlier, the U.S Navy moved a warship and a sea-based radar platform closer to the North Korean coast in order to monitor that country's military moves, including possible new missile launches, the Defense Department said Monday.

North Korea on Wednesday also blocked more than 480 South Korean workers from entering the jointly run Kaesong Industrial Complex, which sits on the North Korea side of the border, according to the South Korean Unification Ministry.

"North Korea said today that it is only approving people to go back to South Korea and not approving entrance" to the complex, said Kim Hyung-seok, a spokesman for the ministry. He urged the North to resume letting workers enter.

There are 861 South Koreans inside Kaesong at the moment, the ministry said, and 446 have registered to leave.

The symbol of an era of better relations between Seoul and Pyongyang, Kaesong is a joint economic cooperation zone between the two Koreas where scores of South Korean companies operate. It also is an important source of hard currency for the North.

The move comes after threats in recent days by Pyongyang to shut down the industrial complex.

Seoul, meanwhile, on Monday warned that any provocative moves from North Korea would trigger a strong response "without any political considerations."

U.S. moves warship, sea-based radar to watch North Korea

Murky motivation

The motivation behind the North's announcement Tuesday on the nuclear facilities was unclear, said Ramesh Thakur, director of the Center for Nuclear Nonproliferation and Disarmament at Australian National University in Canberra, suggesting that it was unlikely to make a big difference militarily for the country, which is already believed to have four to 10 nuclear weapons.

The North Koreans may be hoping to use the move as a bargaining chip in any future talks, he said, or it could be an attempt by the country's young leader to shore up support domestically.

"It's just a very murky situation," Thakur said. "The danger is that we can misread one another and end up with a conflict that no one wants."

China, a key North Korean ally, expressed regret over Pyongyang's announcement about the reactor.

"China has consistently advocated denuclearization on the peninsula and maintaining peace and stability in the region," Chinese Foreign Ministry Spokesman Hong Lei said Tuesday at a regular news briefing.

Japanese Chief Cabinet Secretary Yoshihide Suga said the move would need to be dealt with in a serious manner, noting that it breached the North's previous commitments.

On Tuesday, Kerry refused to speculate about North Korea's intentions or what its strategy may be with regard to its plans to reopen its reactor.

"We've heard an extraordinary amount of unacceptable rhetoric from the North Korean government in the last days. So let me be perfectly clear here today: The United States will defend and protect ourselves, and our treaty ally, the Republic of Korea," he said.

Kerry reiterated the U.S. policy with regard to North Korea, saying the United States believes there is "a very simple way" for Pyongyang to end the sanctions by ending its nuclear ambitions.

Kerry was scheduled to visit Seoul next week, while South Korea's president was due in Washington for talks with President Barack Obama.

South Korea warns North of 'strong response' to any attack

A torrent of threats

The North's latest declaration comes after a stream of verbal attacks against South Korea and the United States in recent weeks, including the threat of a nuclear strike.

Pyongyang's angry words appear to have been fueled by the recent joint military exercises by the United States and South Korea in the region, as well as tougher U.N. sanctions in response to North Korea's latest nuclear test in February.

Much of the bellicose rhetoric, analysts say, isn't matched by the country's military capabilities.

Nuclear weapons: Who has what?

The North's announcement Tuesday follows a new strategic line "on simultaneously pushing forward economic construction and the building of the nuclear armed force." It was announced Sunday during a meeting of a key committee of the ruling Workers' Party of Korea headed by Kim Jong Un.

The work of adapting and restarting the nuclear facilities "will be put into practice without delay," KCNA said.

The measures would help solve "the acute shortage of electricity," as well as improving the "quality and quantity" of the country's nuclear arsenal, it said.

Threats of annihilation normal for South Koreans

Yongbyon's back story

In June 2008, the usually secretive North Korean government made a public show of destroying the cooling tower of the Yongbyon reactor to demonstrate its compliance with a deal to disable its nuclear facilities.

But two months later, as its then-leader, Kim Jong Il, balked at U.S. demands for close inspections of its nuclear facilities, the North started to express second thoughts.

It said it was suspending the disabling of its nuclear facilities and considering steps to restore the facilities at Yongbyon "to their original state."

In November 2009, it announced it was reprocessing nuclear fuel rods as part of measures to resume activities at Yongbyon. It noted success in turning the plutonium it had extracted into weapons-grade material.

OPINION: Why Kim Jong Un is not crazy

CNN's K.J. Kwon in Seoul, Tim Schwarz in Hong Kong, Dayu Zhang in Beijing, Yoko Wakatsuki in Tokyo and Barbara Starr and Elise Labott in Washington contributed to this report.

@highlight

NEW: North Korea blocks South Korean workers from jointly run industrial complex

@highlight

The U.S. is ''fully prepared" to defend itself, Kerry says

@highlight

U.N. Secretary-General Ban Ki-moon "deeply troubled" about North Korea's statements

@highlight

The North says it is adapting and restarting facilities at its main nuclear complex