Washington (CNN) -- President Barack Obama used a Memorial Day ceremony to say it is time for America to properly welcome home Vietnam veterans and show them and their families the respect and gratitude they deserved but didn't receive decades ago.

"You came home and sometimes were denigrated when you should have been celebrated," Obama said beneath a scorching sun at the Vietnam Veterans Memorial. "It was a national shame, a disgrace that should have never happened. That's why here today, we resolve that it will not happen again."

The event, which launched a 13-year Vietnam War 50th anniversary commemoration, was the culmination of a day of somber events on the annual holiday honoring America's war dead.

By the numbers: Veterans and Memorial Day

Earlier, Obama laid a wreath to fallen U.S. warriors at Arlington National Cemetery, then pledged the full support of a grateful nation to returning veterans and their families.

"For the first time in nine years, Americans are not fighting and dying in Iraq," the president said to applause. "We are winding down the war in Afghanistan and our troops will continue to come home. After a decade under the dark cloud of war, we can see the light of a new day on the horizon."

Now the task is to remember those who died and "meet our obligations to those who did come home," Obama said, adding, "America will be there for you."

At the National World War II Memorial, retired Army Lt. Gen. Mick Kicklighter paid tribute to the fallen from that conflict.

"At this site, we remember the 400,000 men and women who lost their lives defending our freedom during World War II some 70 years ago," he said. "Memorial Day remains a time of solemn observance as we remember and honor all of those who gave all their tomorrows. That's a very high price to pay when you're 18 and 19 years old. But they gave all their futures so that you and I could live in this strong, free and beautiful America. Freedom is not free."

This year marks the 50th anniversary of the United States deploying a significant military presence in Vietnam. In 1962, about 10,000 U.S. military advisers joined the 900 already in the country.

A proclamation signed Friday by Obama said the Vietnam 50th anniversary commemoration will continue until November 11, 2025, "to honor and give thanks to a generation of proud Americans who saw our country through one of the most challenging missions we have ever faced."

"While no words will ever be fully worthy of their service, nor any honor truly befitting their sacrifice, let us remember that it is never too late to pay tribute to the men and women who answered the call of duty with courage and valor," the proclamation states.

The first phase of the commemoration over the next two years involves generating support and participation, with a focus on "hometown" events providing personal recognition and thanks to Vietnam veterans, according to information provided to the media.

'The thing about remembering is that you don't forget'

In his remarks at the ceremony, Obama spoke of making amends for the nation's failure to properly welcome home Vietnam veterans in the 1960s and '70s.

"A central part of this 50th anniversary is to tell your story as it should have been told all along," the president said, calling it "another chance to set the record straight."

Later, he called it "another opportunity to say to our Vietnam veterans what we should have been saying from the beginning: You did your job, you served with honor, you made us proud."

"You have earned your place among the greatest generations," said Obama, who twice pulled out a handkerchief to wipe the sweat off his brow.

In an emotional moment, he asked Vietnam veterans in the crowd to stand and spoke words he characterized as long overdue: "Welcome home. Welcome home. Welcome home. Thank you. We appreciate you. Welcome home."

The lesson of Vietnam, Obama said, was to separate the war from the warrior, so that patriotism never again becomes what he called a "political sword" that divides the nation.

"Patriots can support a war, patriots can oppose a war and whatever our view, let us always stand united in support of our troops who we've placed in harm's way," he said.

Decades later, Obama said, the true legacy from the "hard lessons" of Vietnam is that America is stronger and takes care of its returning veterans and their families.

Obama and other speakers at the ceremony hosted by actor Tom Selleck, spoke of issues close to Vietnam veterans, including the continued effort to identify and repatriate remains of the more than 1,000 missing in action.

Facing a tough re-election campaign this year, Obama avoided direct political references but made sure to emphasize his administration's efforts to help returning war veterans.

Military spending will be a major political battleground in coming months, with both Democrats and Republicans agreeing on the need to reduce budget deficits but in sharp disagreement over how to do it. If they can't reach a comprehensive agreement by the end of the year, sharp spending cuts are scheduled to take effect that would include military funding.

In San Diego, the certain Republican presidential nominee, Mitt Romney, held a Memorial Day event to call for prioritizing military spending.

Saying "the world is not safe," Romney said the choice is between shrinking the military to pay for social needs or to "commit to preserve America as the strongest military in the world."

"We choose that course in America not so that we win wars but so we can prevent wars, because a strong America is the best deterrent to war there ever has been invented," Romney said.

CNN's Gregory Wallace contributed to this report.

@highlight

NEW: President Obama calls the denigration of Vietnam veterans a "national shame"

@highlight

"America will be there for you," Obama tells veterans and their families

@highlight

Memorial Day launches a 13-year commemoration of the Vietnam War's 50th anniversary

@highlight

Obama lays a wreath to the fallen at Arlington National Cemetery