Kabul, Afghanistan (CNN) -- A Taliban commander expressed skepticism that one soldier carried out a massacre last week that left 16 Afghan civilians dead, and anger that the suspect subsequently was flown out of Afghanistan.

"We don't think that one American was involved," the Taliban official told CNN, refusing to give his name or be otherwise identified. "The foreigners and the puppet regime (in Afghanistan) are blind to the truth of what happened here.

"But if this was the act of one soldier, we want this soldier to be prosecuted in Afghanistan, and according to Islamic law. The Afghans should prosecute him."

Stunned friends recall suspect's good deeds

The commander also explained that the Islamic fundamentalist group had halted talks with U.S. officials. It had set up an office in Qatar on January 3 to reach "an understanding with the international community" and discuss specific issues with American officials.

In a statement Thursday, the Taliban said work from their Qatar office was being suspended, a decision made due to what the group called U.S. officials' "alternating and ever-changing position." Preliminary talks had already begun over the exchange of prisoners, the Taliban said.

The Taliban commander said the burning of Qurans in February by U.S. troops and issues surrounding the U.S. possibly transferring five Taliban members from the U.S. prison facility in Guantanamo Bay to Qatar were the main reasons for the decision.

"The peace talks with the Americans were limited to discuss the prisoner deal. And those promises were not kept by the Americans," he said.

The Taliban official had harsh words for the U.S. regarding the March 11 rampage in two villages in the district of Panjwai in Kandahar province, though he did not tie that directly with the group's decision to suspend talks.

A resident of one of the villages, Ali Ahmed, described to CNN how what he and some others claimed were multiple attackers had come into a home before dawn that morning, asked his uncle where the Taliban were and then shot him dead.

"Finally, they came to this room and martyred all the children," Ahmed said from the home, claiming a 2-month-old child was among the nine children killed. Later, he said some of the dead were piled in a room and set on fire.

U.S. officials have said that one man, Army Staff Sgt. Robert Bales, left his outpost and singlehandedly carried out the massacre in two villages.

He is currently at the U.S. military prison at Fort Leavenworth, Kansas, pending trial, having flown back to the United States last week.

The incident, as well as the fact the suspect isn't set to be tried in Afghanistan where the crime occurred, has infuriated many Afghans and heightened tensions between that nation and the United States.

After the shooting spree, Afghan President Hamid Karzai said that relations between the two countries were at the "end of the rope." The incident came weeks after U.S. troops burned Qurans at a coalition base in Afghanistan, sparking outrage and fierce protests across the central Asian nation.

Yet Afghanistan's ambassador to the United States insisted Sunday that his nation trusts the U.S. investigation into the rampage.

"We do trust the United States and we do know how important this relationship is, and we are working as a partner to resolve all the issues as a partner," Ambassador Eklil Hakimi told CNN's "State of the Union" on Sunday.

Hakimi said both the shooting rampage and Quran burning are tragic, but he acknowledged they come after more than 10 years of a U.S. presence in his country that has claimed the lives of more than 1,700 U.S. troops, according to the official U.S. military count.

"We do understand sacrifices that our allies, especially our main allies, the United States -- that they have suffered quite a lot, those men in uniform, those women in uniform," Hakimi said. "Those are the things that we are grateful (for) and we are appreciating that."

U.S. Defense Secretary Leon Panetta promised Karzai a full investigation and said the United States will bring the shooter to justice.

"He accepted that and hoped that it could be a transparent process so that the Afghanistan people would see that the U.S. is indeed going to not only prosecute this individual but ensure he's held accountable," Panetta said after meeting Karzai on Wednesday.

"I also indicated to him that we take these kinds of incidents seriously. We need to look at just exactly was involved here that caused this terrible crime," Panetta said. "Was it related to combat stress? Other factors? We need to pay attention to those so it won't happen again."

The shooting prompted Karzai to demand that foreign troops pull back from their outposts in Afghan villages and confine themselves to military bases. In his meeting with Panetta, Karzai also demanded that the transfer of security responsibilities from Washington to Kabul be accelerated.

Family friends who knew Bales, the shooting spree suspect, growing up in the Cincinnati suburb of Norwood, Ohio, described him as "quiet" and "very nice." The Army said that he enlisted in the military two months after the September 11, 2001, terrorist attacks.

Bales went on to serve four combat tours, the last one to Afghanistan beginning in January. And in between them, he settled down with his wife and their two young children near Joint Base Lewis-McChord outside Tacoma, Washington.

The family owned a townhouse in a modest, middle-class neighborhood in Auburn, about 30 minutes from the base, before purchasing a house in 2006 for $280,000 near Lake Tapps, according to realty records.

Tim Burgess, whose Auburn townhouse shared a wall with that of the Bales family, on Sunday described his former neighbor as "a really good guy (who) just wanted to serve."

"I know he just wanted to go back and serve overseas, that was his goal," Burgess recalled from their conversations, while noting the two hadn't spoken in about five years.

Robert Baggett, president of the Riverpark Homeowners Association, said Sunday that -- after the Bales family moved to Lake Tapps -- there were occasionally renters in the residence.

But several years ago, their townhouse was foreclosed upon, according to Baggett and Burgess. The Bales also didn't pay homeowners association fees for "at least three or four years," said Baggett.

"We don't know what happened," Baggett said of the Bales and their Auburn property, which Sunday had a notice that read "Do Not Occupy" on its front door.

One of Bales' lawyers, John Henry Browne, said upon arriving at the Kansas City, Missouri, airport -- where he'd come so he can drive to meet with his client -- that all the reports surrounding Bales have been a "shock" to those who know him as a "very mild mannered person and a great person."

Browne added that the entire situation was unique and challenging.

"You couldn't imagine a more difficult case, I don't think," the lawyer said. "This case has political ramifications, it has legal ramifications, it has social ramifications."

CNN's Sara Sidner in Kabul, Afghanistan, and Paul Vercammen in Auburn, Washington, contributed to this report.

@highlight

NEW: "You couldn't imagine a more difficult case," Bales' lawyer says

@highlight

Bales is accused in a March 11 shooting that left 16 Afghan civilians dead

@highlight

A Taliban official says "we don't think that one American" killed them all

@highlight

The shooting has strained relations between the U.S. and Afghanistan