Just over two weeks after the fatal shooting, and less than a month before an arrest was made, police in Sanford, Florida, urged prosecutors to take George Zimmerman into custody after arguing his killing of Trayvon Martin was "ultimately avoidable."

This disclosure came out Thursday, part of a wealth of information released that is related to the case, including the medical's examiner's finding that the 17-year-old Martin had traces of drugs in his system in an autopsy conducted hours after his death.

Overall, the newly released material paints the most complete picture yet of how investigators built the case, as well as its complexity. The police perspective was most succinctly stated in a March 13 "capias request" -- a request that someone be taken into custody -- sent to the state's attorney. It speaks to the fact that Zimmerman ignored a police dispatcher's advice not to chase Martin, as well as his communications with Martin prior to the shooting.

New documents shed light on Trayvon Martin killing

"The encounter between George Zimmerman and Trayvon Martin was ultimately avoidable by Zimmerman, if Zimmerman had remained in his vehicle and awaited the arrival of law enforcement, or conversely if he had identified himself to Martin as a concerned citizen and initiated dialog (sic) in an effort to dispel each party's concern" the request said. "There is no indication that Trayvon Martin was involved in any criminal activity."

In his 911 call just before the shooting, Zimmerman had speculated that the teen looked like he was "up to no good or he's on drugs or something."

But Martin's defenders have portrayed Zimmerman as the aggressor, accusing him of profiling the African-American teen. Plus, one expert notes the traces of the marijuana-related substance found in the teen's system, as measured hours after his death, don't necessarily speak to any level of intoxication, while another adds that marijuana use typically doesn't make people prone to aggression.

Martin's blood contained THC, which is the psychoactive ingredient in marijuana, according to autopsy results released Thursday.  The autopsy was conducted February 27, the day after the teenager was shot dead.

Toxicology tests found elements of the drug in the teenager's chest blood -- 1.5 nanograms per milliliter of one type (THC), as well as 7.3 nanograms of another type (THC-COOH) -- according to the medical examiner's report. There also was a presumed positive test of cannabinoids in Martin's urine, according to the medical examiner's report. It was not immediately clear how significant these amounts were.

No precise levels on the urine were released.

Dr. Michael Policastro, a toxicologist, cautioned against reading too much into the blood THC levels, adding that one cannot make a direct correlation between those findings and a level of intoxication.

He also noted levels of THC, which can linger in a person's system for days, can spike after death in certain areas of the body because of redistribution.

And Dr. Drew Pinsky, an addiction specialist who hosts a show on CNN's sister network HLN, added that marijuana typically does not make users more aggressive.

Concentrations of THC routinely rise to 100 to 200 ng/ml after marijuana use, though it typically falls to below 5 ng/ml within three hours of it being smoked, according to information on the National Highway Traffic Safety Administration's website.

While some states have zero-tolerance policies for any drug traces for driving while impaired, others set certain benchmarks, the website of California's Department of Alcohol and Drug Programs notes. In Nevada, that equates to 2 ng/ml for THC and 5 ng/ml for THC-COOH, also known as marijuana metabolite. The cutoff level in Ohio is 2 ng/ml for THC and 50 ng/ml for THC-COOH.

According to the medical examiner's report, which was one of several documents on the case released Thursday by the office of special prosecutor Angela Corey, Martin died from a gunshot wound to chest fired from "intermediate range," within 36 inches.

The autopsy report lists the manner of death as a homicide.

What happened that night?

Zimmerman, 28, is charged with second-degree murder for killing Martin in the Sanford neighborhood where the African-American teen was staying.

Martin's father, Tracy, had taken his son with him to Sanford, about four hours away from the boy's home and where the father's fiance lived, after the teen was suspended for 10 days from Michael M. Krop High School in Miami.

According to records obtained by the Miami Herald, Martin had been suspended from school three times: once for writing graffiti on a door, another time for school truancy and the last time due to drug residue being found in his backpack.

Speaking of her son's suspension to CNN's Anderson Cooper, Sybrina Fulton said, "Whatever he had dealings with the school, it was not criminal, it was not violent, he's never been arrested."

Just before the shooting, Zimmerman called 911 to complain about a suspicious person in his neighborhood.

In the call Zimmerman, a neighborhood watch volunteer, said he was following Martin after the teen started to run, prompting the dispatcher to tell him, "We don't need you to do that."

Zimmerman apparently disregarded that advice.

Much has been made about whether Zimmerman during that call used a racial epithet in referring to Martin. But an FBI analysis, released Thursday, determined that the word could not be definitively identified "due to weak signal level and poor recording quality."

A screaming voice could be heard on other 911 calls placed by neighbors, with some speculating those screams came from Martin and others that they belonged to Zimmerman. The FBI did not make a final determination either way, citing several reasons including the fact they came during "an extreme emotional state," there weren't enough words to make a good comparison and the sound quality was low and distant.

FBI analysis -- Zimmerman's 911 call (pdf -- strong language)

Zimmerman claimed, according a police report released earlier, that he'd been "assaulted (by Martin) and his head was struck on the pavement."

According a report from the Sanford Fire Department, released Thursday,  Zimmerman had "abrasions to his forehead," "bleeding/tenderness to his nose," and a "small laceration to the back of his head" when emergency personnel arrived at the scene at 7:27 p.m., six minutes after they were first called.

By that time, Martin had no apparent pulse, according to the fire and EMS report. Emergency personnel attempted mouth-to-mask resuscitation and chest compressions, to no avail. He was pronounced dead at 7:30 p.m.

Prosecutors have said Zimmerman, who is a white Hispanic, killed the unarmed teenager unjustly after profiling him. Zimmerman, who has pleaded not guilty, has said that he shot Martin in self-defense.

The start of the trial hasn't been set.

The case put a spotlight on race relations, spurring protests nationwide and drawing prominent civil rights leaders to central Florida denouncing the actions of Sanford police and calling for Zimmerman's arrest. Special prosecutor Angela Corey announced he'd been charged on April 11, weeks after Sanford police initially declined to do so.

It also raised questions about gun laws, as well as the merits of the "Stand Your Ground" law in Florida, and similar laws in other states that allow people to use deadly force anywhere they feel a reasonable threat of serious injury or death.

@highlight

Martin would be alive if Zimmerman stayed in his vehicle, police said

@highlight

Trayvon Martin was pronounced dead 3 minutes after firefighters and EMS arrived

@highlight

Evidence of THC, an ingredient in marijuana, was found in Martin's blood, tests show

@highlight

Firefighters find forehead "abrasions" and "bleeding" from Zimmerman's nose