(CNN)As a proud Army mother, Kelly Copeland cannot bear to see "American Sniper," even though it now rates as the biggest grossing war movie of all time.

Her son, Brandon Smith, told her that his life mirrored the movie. "I can't bring myself to watch it," Copeland said.

Smith was only 20 when he was assigned to the sniper section of a mortar platoon at the height of the Iraq war. When I met him there in early 2008, he told me he was well-suited for his mission. He grew up hunting in Georgia and was used to waiting for his prey.

Not every soldier has that kind of patience. Not every soldier can become a sniper.

Smith already had his first confirmed kill when we met. He was hungry for another one. And he got more, though he wouldn't tell me how many when I caught up with him this week after I saw the movie.

"I really don't want to talk about that," he said.

But what he did say was that just like Chris Kyle, the central character of "American Sniper," he felt he was doing the right thing.

"I enjoyed being on a roof, knowing that any moment now, this could be it.  I enjoyed the thrill of getting a shot out. I liked killing the enemy."

The Oscar-nominated blockbuster biopic, which tells the story of the most lethal sniper in U.S. history, has fueled intense debate over the film's message. Is it anti-war or not? Is Kyle a hero or a psychopath?

Those questions -- and interest in the movie -- may only intensify as the soldier accused of killing Kyle and his friend Chad Littlefield goes to trial in the coming days. Jury selection in the case of former Marine Eddie Ray Routh was scheduled to begin Thursday in Stephenville, Texas. It's expected that mental health will be key -- Kyle and Littlefield were helping Routh with rehabilitation at a rifle range when Routh gunned them down two years ago.

I've met sharpshooters who relished the moment of a kill. Some liked the adrenaline and the satisfaction of vanquishing a foe. Others were drawn to the stark simplicity of a life-and-death moment -- when nothing else seemed important.

No matter the perspective, I've heard a couple of constant themes from soldiers. "American Sniper," they say, is a must-see for anyone who wants to understand the American experience in Iraq. Still, for those who fought in uniform, especially sharpshooters, it can be difficult to watch.

Smith mentioned a scene toward the end of the movie in which Kyle, played by Bradley Cooper, adjusts his scope and targets an Iraqi sniper as a dust storm clouds the air. This is supposed to be Kyle's legendary longest shot at 2,100 yards away.

The first time Smith killed, he did the same from a rooftop in restive Arab Jabour, southeast of Baghdad. He scoured the area with high-powered opticals known as the Long Range Advanced Scout Surveillance System. There was no dust storm, but it was early in the morning and hard to focus through dense fog.

Smith spotted a man trying to hide from helicopters overhead. He saw him pick up an object, put it over his shoulder and attempt to cover it with a blanket. Smith thought it might be a shaped-charge explosive that can pierce armored vehicles.

"I remember it to this day, like I was still sitting there," he said.

He heard the command, "engage," and opened fire with his .50-caliber rifle -- two rounds through the trees, two more on either side. His shot was 1,243 yards.

He anticipated he would be upset by his first kill. He wasn't.

"I wasn't nervous or anything. I didn't feel nothing," he later told Darren Turner, the battalion chaplain who counseled Smith in Iraq and who I followed for many weeks for a series about a man of God in a place of war.

Even then, I heard Smith speak lines that Kyle echoes in "American Sniper": Their kills saved American lives, and that's what mattered.

Only 2% of men are not loath to kill, wrote Dave Grossman in his landmark book "On Killing: The Psychological Cost of Learning to Kill in War and Society." Chaplain Turner thought Smith might be one of them, though he worried how it would affect the young soldier later on.

Smith still believes he, like Kyle, is one of the 2%.

"When you are bred to kill, you know. You just know," he said.

Smith is a civilian now; he repairs substations for an electrical company.  He is 6 years older and has a wife and two little children. But he sounds far less sure of himself than when I first saw him wearing a sweat-drenched patrol cap and nursing the Copenhagen Long Cut stuffed in his jaw.

He returned home from Iraq and rode his motorbike at crazy speeds on the highway. He took a fancy to bull riding. He did another tour in 2009 and admits that he has become an angry person.

"I go from zero to 90 real quick," he told me.

He tried to beat up his dog once, just like Kyle does in the movie.

On his first tour, he was troubled by the howls of a woman and her two daughters after Smith's team killed her husband. He thought then about how his own mother and two brothers would react to his death.

The opening scene of the movie, when Kyle takes aim at a woman and child, took Smith back to that day. He told me that when he closes his eyes every night, he sees faces, hears screams.

"Everyone thinks I'm crazy," he said. "I'm just trying to fit in."

I asked him the same question his counselor did: "Do you have any regrets?"

"That's not me," Smith replied.

That's not Louis Bravo or any of the other snipers I have spoken with either.

Bravo, who now works as an Army recruiter, enjoyed watching "American Sniper" and said that for some reason, he "welcomed the memories." He said he never struggled with what he saw and did at war, but the film's homefront scenes resonated.

Bravo also was only 20 when he did his first tour of Iraq. He returned to America to no one, as he put it. He completed sniper training at elite institutions and twice competed in the International Sniper Competition. He was a sniper team leader in Afghanistan.

"Being a sniper is in fact different than just being infantry," Bravo told me. "It's an added stressor as everyone expects more from you. Or that every sniper should be able to perform at Hollywood level because they saw Mark Wahlberg in 'Shooter.' "

And now, Cooper in "American Sniper."

For snipers, it's always about watching and waiting on a target. And watching and waiting some more.  But after a while, Bravo said, it felt like any other job.

It was the months after his second tour that became a problem for Bravo.  On that return, he had a wife and child waiting for him at home.

There are scenes in "American Sniper" that played out at Bravo's home, lines that were spoken verbatim. About Bravo's absence, his distance, changes in his demeanor.

"What's hard to grasp is that nothing is the same. ... You, your spouse, kids, house, bills, schools, job, interaction skills, emotions are all tainted and jumbled up in what's left of your brain," Bravo said.

At one point in the movie, Kyle is back home sitting in front of a television set staring at what sounds like a battlefield.

"Why is he watching that stuff?" Bravo's wife asked him as they viewed the movie together.

"He's not," he told his wife.

And, sure enough, Bravo had called the scene correctly -- before the camera turns to show a blank TV screen and the audience realizes that the noises are inside Kyle's head.

Bravo, now 30, has had those moments. "I zoned out thinking of a terrible mission I was on."

Bravo was lucky. It took eight months of nightmares, marriage counseling and a close call on divorce, but he managed to snap out of his post-war haze.

"I'm glad I have my husband back," his wife told him.

"When she said it, I kind of looked at her funny. I didn't feel any different. I didn't claim PTSD," Bravo said. "But if you ask my wife, I was a train wreck for eight months."

Bravo said he didn't know how many kills he had. Kyle, he said, was a brilliant marksman, but he also happened to be in all of the hot spots in Iraq. He faced Sunni insurgents in Falluja and Shiite militants in Sadr City. The places where Kyle went, said Bravo, every Iraqi was the enemy.

"Critics are twisting it and saying that we thought of them all as savages," he said.

In Kyle's autobiography, on which the movie is based, he wrote that he loved being a Navy SEAL.

"I only wish I had killed more," he wrote. "I loved what I did. I still do. If circumstances were different -- if my family didn't need me -- I'd be back in a heartbeat."

I've heard that before from soldiers I met in Iraq. I heard it again this week from Smith.

He said "American Sniper" made him miss the battlefield even more.

"I was proud of what I did there," he said. "Now that I am out, I feel like a nobody."

His mother understands her son is having a difficult time. She just wants back the mama's boy who made her laugh.

"I love him with everything I have," she said. "I miss my son."

She thought she knew the boy she raised until the day he became a sniper.

@highlight

Brandon Smith believes he is well-suited to be a sniper

@highlight

He, like Chris Kyle in the movie "American Sniper," has no regrets about killing the enemy

@highlight

He was proud of what he did in Iraq and has struggled with adjusting to a more mundane existence