(CNN) -- The fate of the top U.S. military commander in Afghanistan hinges on his meeting Wednesday with President Barack Obama, who was "angry" after reading the general's remarks about colleagues in a magazine profile to be published Friday.

Gen. Stanley McChrystal will likely resign, a Pentagon source who has ongoing contacts with the general said.

The "magnitude and graveness" of McChrystal's mistake in conducting the interview for the article were "profound," White House press secretary Robert Gibbs said. Defense Secretary Robert Gates said McChrystal had "made a significant mistake and exercised poor judgment."

McChrystal apologized Tuesday for the profile, in which he and his staff appear to mock top civilian officials, including the vice president. Two defense officials said the general fired a press aide over the article, set to appear in Friday's edition of Rolling Stone.

"I extend my sincerest apology for this profile. It was a mistake reflecting poor judgment and should never have happened," McChrystal said in a Pentagon statement. "Throughout my career, I have lived by the principles of personal honor and professional integrity. What is reflected in this article falls far short of that standard.

McChrystal has been recalled to Washington to explain his actions to the president. He is expected to meet with Obama in the Oval Office on Wednesday, Gibbs said. Gibbs refused to speculate about McChrystal's fate, but told reporters "all options are on the table."

Obama, questioned about McChrystal before a Cabinet meeting Tuesday afternoon, said he had not made a decision.

"I think it's clear that the article in which he and his team appeared showed poor judgment, but I also want to make sure that I talk to him directly before I make that final decision," he said.

McChrystal is prepared to resign if the president has lost confidence in him, a national security official told CNN. Most of the Pentagon brass, the ofrficial said, hopes he will be upbraided by the commander-in-chief but sent back to continue the mission.

The White House will have more to say after Wednesday's meeting, Gibbs said. He noted, however, that McChrystal did not take part in a teleconference Obama had with Afghan President Hamid Karzai and other top officials on Tuesday.

Several elected officials have strongly criticized McChrystal but deferred to the president on the politically sensitive question of whether the general should keep his position. A couple of key congressmen, however, have openly called for McChrystal's removal.

In the profile, writer Michael Hastings writes that McChrystal and his staff had imagined ways of dismissing Vice President Joe Biden with a one-liner as they prepared for a question-and-answer session in Paris, France, in April. The general had grown tired of questions about Biden since earlier dismissing a counterterrorism strategy the vice president had offered.

"'Are you asking about Vice President Biden,' McChrystal says with a laugh. 'Who's that?'"

"'Biden?' suggests a top adviser. 'Did you say: Bite Me?'"

McChrystal does not directly criticize Obama in the article, but Hastings writes that the general and Obama "failed to connect" from the outset. Sources familiar with the meeting said McChrystal thought Obama looked "uncomfortable and intimidated" by the room full of top military officials, according to the article.

Later, McChrystal's first one-on-one meeting with Obama "was a 10-minute photo op," Hastings writes, quoting an adviser to McChrystal. "Obama clearly didn't know anything about him, who he was. Here's the guy who's going to run his f---ing war, but he didn't seem very engaged. The Boss (McChrystal) was disappointed."

The article goes on to paint McChrystal as a man who "has managed to piss off almost everyone with a stake in the conflict," including U.S. Ambassador Karl Eikenberry, special representative to Afghanistan Richard Holbrooke and national security adviser Jim Jones. Obama is not named as one of McChrystal's "team of rivals."

Of Eikenberry, who railed against McChrystal's strategy in Afghanistan in a cable leaked to The New York Times in January, the general is quoted as saying, "'Here's one that covers his flank for the history books. Now if we fail, they can say, "I told you so.'"

Hastings writes in the profile that McChrystal has a "special skepticism" for Holbrooke, the official in charge of reintegrating Taliban members into Afghan society and the administration's point man for Afghanistan and Pakistan.

"At one point on his trip to Paris, McChrystal checks his BlackBerry, according to the article. 'Oh, not another e-mail from Holbrooke,' he groans. 'I don't even want to open it.' He clicks on the message and reads the salutation out loud, then stuffs the BlackBerry back in his pocket, not bothering to conceal his annoyance.

"'Make sure you don't get any of that on your leg,' an aide jokes, referring to the e-mail."

Both Democrats and Republicans have been strongly critical of McChrystal in the wake of the story. House Appropriations Committee chairman David Obey, D-Wisconsin, called McChrystal the latest in a "long list of reckless, renegade generals who haven't seemed to understand that their role is to implement policy, not design it."

McChrystal is "contemptuous" of civilian authority and has demonstrated "a bull-headed refusal to take other people's judgments into consideration."

Sen. Byron Dorgan, D-North Dakota, became the first member of the Senate Democratic leadership to call for McChrystal to step down, telling CNN that the remarks were "unbelievably inappropriate and just can't be allowed to stand."

Senate Armed Services Committee chairman Carl Levin, D-Michigan, deferred to Obama on the question of a possible McChrystal resignation. He said the controversy was sending a message of "confusion" to troops in the field. I think it has "a negative effect" on the war effort, he said.

Senate Foreign Relations Committee chairman John Kerry, D-Massachusetts, urged a cooling off period before a final decision is rendered on the general. My "impression is that all of us would be best served by just backing off and staying cool and calm and not sort of succumbing to the normal Washington twitter about this for the next 24 hours."

Sens. John McCain of Arizona, Lindsey Graham of South Carolina, Joe Lieberman of Connecticut and Jim Webb of Virginia -- also key senators on defense and foreign policy issues -- were each strongly critical of McChrystal's remarks, but noted that the general's future is a decision for Obama to make.

Karzai weighed in from abroad, urging Obama to keep McChrystal as the U.S. commander in Afghanistan. The government in Kabul believes McChrystal is a man of strong integrity who has a strong understanding of the Afghan people and their culture, Karzai spokesman Waheed Omar said.

A U.S. military official said Tuesday that McChrystal has spoken to Biden, Defense Secretary Robert Gates, Joint Chiefs of Staff chairman Adm. Mike Mullen and other officials referenced in the story, including Holbrooke, Eikenberry and Jones.

An official at the U.S. Embassy in Kabul said Eikenberry and McChrystal "are both fully committed" to Obama's Afghan strategy and are working together to implement the plan. "We have seen the article and General McChrystal has already spoken to it," according to a statement from an embassy official, making reference to McChrystal's apology.

"I have enormous respect and admiration for President Obama and his national security team, and for the civilian leaders and troops fighting this war and I remain committed to ensuring its successful outcome," McChrystal said in the closing to his apology.

Rolling Stone executive editor Eric Bates, however, struck a less optimistic tone during an interview with CNN on Tuesday.

The comments made by McChrystal and other top military aides during the interview were "not off-the-cuff remarks," he said. They "knew what they were doing when they granted the access." The story shows "a deep division" and "war within the administration" over strategy in Afghanistan, he contended.

McChrystal and his staff "became aware" that the Rolling Stone article would be controversial before it was published, Hastings told CNN Tuesday. He said he "got word from (McChrystal's) staff ... that there was some concern" about possible fallout from the story.

Obama tapped McChrystal to head the U.S. military effort in Afghanistan in the spring of 2009 shortly after dismissing Gen. David McKiernan.

CNN's John King, Suzanne Malveaux, Barbara Starr, Dana Bash and Alan Silverleib contributed to this report.

@highlight

NEW: Source: McChrystal likely to resign Wednesday

@highlight

NEW: General apologized for "poor judgment"

@highlight

Obama wants to talk with general before making decision

@highlight

Gibbs says 'all options are on the table' in deciding McChrystal's fate