BERLIN, Germany (CNN) -- His phone number was published in a German phone directory -- Rafid Alwan, whose claims that Saddam Hussein was producing biological agents helped launch the Iraq war.

Rafid Alwan says he wants to return to Iraq to work for his people and his country.

He was reluctant to speak on the record, initially denying he was Iraqi or that he was the defector dubbed "Curveball" by the CIA. But eight months after we first contacted him, Alwan agreed to an interview, and we met in an anonymous hotel room in a southern German town.

Trying to get details from him was difficult -- he spoke at length, often launching into a flowery history of Iraq or a description of Hussein's crimes, and in Arabic, which meant we had to wait after each answer for a translation.

We spoke for more than three hours, Alwan sitting across the room from me, wearing a stylish black suit. But in the end, he hadn't said very much at all.

In the run-up to the U.S. invasion of Iraq in 2003, Secretary of State Colin Powell delivered a dramatic presentation to the U.N. Security Council. The United States had first-hand accounts, he said, detailing how Hussein was secretly creating biological agents using mobile laboratories in "road-trailer units and rail cars."

As slides depicting drawings of the supposed germ labs flashed on a big screen in the Security Council's chamber, Powell drove his point home:

"The source is an eyewitness, an Iraqi chemical engineer, who supervised one of these facilities."

Just days after Powell's presentation, U.N. weapons inspectors presented evidence they said disproved those claims. But six weeks later, on March 20, 2003, the United States launched its invasion, toppling Hussein's government in three weeks but locking itself in a war against an insurgency that has cost more than 4,000 American lives.

No biological weapons, no germ labs, no weapons of mass destruction of any kind were found in Iraq after the invasion. Curveball -- Rafid Alwan -- remained in hiding in Germany, where he had been interviewed by the German intelligence service, the BND.

Subsequent U.S. investigations into the intelligence failure around the claims found that German intelligence considered the defector "crazy" and "out of control," while friends said he was a "liar."

And, it turned out, the CIA not only never spoke with him, it never even saw transcripts of the German interviews, only the Germans' analysis of the interviews.

Alwan brought with him to our meeting documents to prove his identity, certificates saying he has a degree in chemical engineering from Technical University in Baghdad and a student ID card from a German college. Multiple intelligence sources told CNN that the man we spoke with was, indeed, Curveball.

But Alwan told us he never told the BND that Iraq was producing weapons of mass destruction, and he said many other things said about him were false.

"There are many wrong statements made about me, and I want to declare it one by one. I have documents proving that everything said about me is false," he said.

"No," he said, "I never told anyone Saddam Hussein was producing weapons of mass destruction."

When I pressed him about Powell's use of his information, Alwan said in German with an Arabic accent, "That is Colin Powell's problem."

He said that as long as he is living in Germany, he will never tell the full story of what information he passed on to the BND.

"It is not true that I am the only person who said things about Iraq," he said. "There are so many other people who gave information as well. Right now I am trying to protect my children. They have been through hard times with me."

And then Alwan got nervous. He wiped his face often and lit a new cigarette after almost every question. He seemed uncomfortable in front of the camera.

Alwan had brought with him a second man, introduced only as "Mr. Ali." Mr. Ali was also wearing a flashy suit with a peach-colored shirt, and he seemed to be coaching Alwan, making strange signals behind my back.

As I talked to Alwan, I could feel the wind from Mr. Ali frantically waving his arms. Whenever Alwan began to offer details, Mr. Ali made a time out signal with his hands, and Alwan stopped talking.

When he wasn't prevented from talking by Mr. Ali, Alwan answered questions in a roundabout manner, sometimes backtracking and correcting himself, sometimes telling completely different stories in the same sentence.

Alwan came to Germany in 1999 seeking asylum and was picked up by the German intelligence service, which questioned him. According to intelligence sources, Alwan told the BND that Hussein had a secret biological weapons program, and that the cover was a seed purification plant in Djerf al Nadaf, a site just north of Baghdad, where mobile weapons labs in truck trailers would pick up the biological agents.

It begs the question: How could the BND and CIA trust Alwan's information with the stakes so high?

While he provided little detail during our interview, Alwan insisted that Hussein was producing weapons of mass destruction, and that he had worked on one of the weapons projects.

Norbert Juretzko, a former BND officer who is familiar with the Curveball case, now criticizes the German intelligence service for its handling of the matter. The BND wanted so badly to believe Alwan, Juretzko said, that the case officers didn't notice inconsistencies in his story.

"He was put under pressure by the BND: 'Tell us something,'" Juretzko said. "They were desperate for something. They gave him money, privileges, a visa and the like. And so this man used his imagination to get all these things."

Alwan, however, claims he was never "an agent or spy for any intelligence agencies in the world. And I never got paid by anyone."

Tyler Drumheller, the CIA's station chief in Europe at the time, said he tried to warn his superiors at the agency about using Curveball's information. Drumheller said he thinks the Curveball case is one of the lowest points in the history of the CIA, but he does not believe Alwan was at fault.

"He was driven by his own self-preservation, and then he got caught up in the story he was telling, and then he just had to keep going," Drumheller said.

Bob Drogin, who wrote about the case in "Curveball: Lies, Spies, and a Con Man Who Caused a War," called the episode "arguably the biggest intelligence failure in history."

"Never before have we gone to war on the basis of such an utter and complete fraud," Drogin said. "After 9/11, what we heard from the authorities was that they had failed to connect the dots that led to that scandal. In this case, they made up the dots."

But Alwan made clear in our meeting that he does not feel remorse. He said he wants to return to Iraq to work for his people and his country. And, he said, he feels the Iraq war was justified.

"I feel that America offered to Iraq what no other country can offer to Iraq," he said near the end of the interview. "America sacrificed its people and its money and its position to free a dictatorial country."

@highlight

CNN speaks to Rafid Alwan, code named "Curveball"

@highlight

Alwan's claims that Iraq had WMD were used to support U.S. invasion

@highlight

Alwan came to Germany in 1999 seeking asylum