(CNN) -- When most Americans think about heroic efforts that save lives and keep communities safe from gun violence, I suspect they picture someone with a badge, gun or bullet-proof vest who, with similarly equipped colleagues, busts down doors in pursuit of criminal thugs.

I salute the fine officers who arrest violent criminals, but there is another kind of hero dedicated to preventing homicides and shootings. CNN Heroes called attention to him, and others like him, in a recent article.

In part, it recounted the story of Tard Carter, 34, of Baltimore, who is a convicted felon turned outreach worker. Carter goes into the most violent neighborhoods in Baltimore to keep people with histories of gang involvement, criminality and violence from shooting at each other.

Carter and his street outreach colleagues have no weapons or means of protection other than their reputation, authenticity and skills as "violence interrupters." They help settle disputes peacefully, but they also are much needed role models and mentors who steer youth away from gangs and toward opportunities to live productive, crime-free lives.

It sounds admirable, what these brave and committed people do. But can potential killers really be talked out of their initial violent impulses and intentions? My experience evaluating Baltimore's Safe Streets program, which aims to reduce shootings among people ages 14-25, has convinced me that the answer is definitely yes.

With the support of funding from the Centers for Disease Control and Prevention, my colleagues from the Johns Hopkins Center for the Prevention of Youth Violence and I spent the past five years studying the work of outreach workers and violence interrupters like Carter, working in four Baltimore neighborhoods that have historically been among the city's most violent areas. Each of the intervention sites was in the top 10% of police posts in Baltimore for homicides and nonfatal shootings from 2003 to 2006.

Three of four neighborhoods in the program experienced reductions in gun violence significantly greater than those in other high-crime neighborhoods that were not involved in the program. After outreach staff mediated numerous gang conflicts during the initial five months Safe Streets was implemented in Carter's neighborhood, the community did not have a single homicide for nearly two years. This was a feat that had not been accomplished in recent memory. (The neighborhoods had had at least three homicides a year before the program. Sometimes more.)

Safe Streets replicates Chicago's CeaseFire program, in which an evaluation showed impressive reductions in gun violence in seven Chicago neighborhoods. The program saved taxpayers the costs of incarceration.

A common wisdom in police enforcement has long been that cities could curb gun violence through law enforcement crackdowns on drug dealers, since so much violent crime is related to drugs. But research has shown that these efforts are actually much more likely to increase than decrease violence. Government officials have begun to realize that billions of dollars spent fighting a war on drugs has not been responsible for curbing addiction or reducing violence.

Law enforcement efforts targeted at violent gun offenders are often effective and vital to keeping communities safe. But public health initiatives such as CeaseFire and Safe Streets are necessary complements to law enforcement. These programs prevent violence before it occurs in the first place.

Homicide is the second leading cause of death for young people in the United States, and the leading cause of death among young black males. The social cost of gun violence in the United States has been estimated to be $100 billion annually. To save lives and reduce these costs, we must invest in effective violence prevention programs.

Regrettably, some communities that have been implementing Ceasefire have seen their funding cut and programs eliminated. The CDC is an important source of funding for such programs and for the research that determines which strategies are most effective.

In light of this, it is disappointing that last week the U.S. Senate Appropriations Committee voted to eliminate the CDC's entire budget for youth violence prevention. This is short-sighted thinking that will keep heroes like Tard Carter -- whose job still survives -- from interrupting the cycle of violence in communities across the country and will stall progress toward an array of other efforts to prevent youth violence. Congress allocates billions of dollars to federal law enforcement against drug traffickers each year.

By reallocating only a tiny fraction of those funds to continue CDC's implementation and evaluation of prevention programs, Congress could really have a positive impact on youth violence.

The opinions expressed in this commentary are solely those of Daniel Webster.

@highlight

Tard Carter is Baltimore outreach worker who helps settle street disputes

@highlight

Daniel Webster says programs like "Safe Streets" are effective in cutting gun violence

@highlight

Such initiatives, including Chicago's "CeaseFire," complement policing, he says

@highlight

Webster: Recent federal cuts will hurt programs' ability to curb street violence