(CNN) -- When the players line up on the field for the crucial U.S.-Germany match on Thursday, fans may see Jurgen Klinsmann's lips moving during both countries' national anthems.

Klinsmann coached the German national team in the 2006 World Cup. Eight years later, he's coaching Team USA.

In the run-up to the 2014 World Cup, Klinsmann rubbed American soccer fans the wrong way with his frank early assessment that the team wasn't ready to win the championship.

He irked others when he brought on five German-born players while dropping Landon Donovan, Team U.S.A.'s all-time highest scorer.

But the team's successes under Klinsmann this year have silenced the grumbling, as they have fought their way through initial play in Group G against competitors with a reputation for being so tough that it has been nicknamed the "Group of Death."

If the U.S. pulls through to the next round Thursday, it will be as much due to the dogged determination of the players on the field as Klinsmann's coaching skills off it.

A national hero

Outside of the United States, Klinsmann is very well-known. In Germany, he's a household name, one of its brightest football stars.

He likes to tell his life's story from the start.

"I grew up in a family bakery where I saw my dad working long hours every day -- 12, 14, sometimes 16 hours -- and he barely could get sleep," Klinsmann said.

That work ethic is in his DNA, he said. And he stuck it into soccer at the earliest, signing his first pro contract at age 16.

By age 24, he became the top scorer in the German premiere league, the Bundesliga, and was celebrated as player of the year.

Two years later, in 1990, he played on the German national team, when it took its third World Cup trophy.

Klinsmann also played in the professional leagues of Italy, France and England.

In 1998, he retired from play and moved to California with his American wife, Debbie, whom he met, while she was working abroad in Europe.

Eight years later, Klinsmann practically became a national hero in his native Germany as its team's head coach, when the country hosted the 2006 World Cup.

He changed the way Germany played the game, teaching them to shed their conservative defense-minded approach for an aggressive offensive one.

Though he did not lead the team to the top prize -- they came in third -- something even more wonderful happened: Germany shed a layer of its dark historic burden.

Feeling despised for Nazi Germany's ruthlessness in World War II, flag-waving patriotism was a taboo for Germans. During the cup, global adoration poured in on them, and they broke out the flags to celebrate.

Klinsmann stood in the center of it all. Millions thanked him for his leadership. Fan crowds were dotted with signs reading: "Danke, Klinsi!"

A master psychologist

The U.S. coach's style -- and his main strength -- could be summed up in one word: psychology.

Players seem to connect with him. They describe him as personable, easy to talk to.

He rallies and motivates them; he irons out ego conflicts, analysts have said.

Tensions over German-born players existed on the U.S. national team long before Klinsmann took the top coaching job in 2011, said Major League Soccer analyst Matthew Doyle. It fractured the locker room.

Klinsmann seems to have changed that, and players have become greatly committed to the team.

Team spirit has long been his strength, said CNN sports reporter Patrick Snell.

"It's not a team full of superstars," Snell said. "It's a team that never knows when it's beaten."

Klinsmann also handles the public well, Snell said. His candor about Team U.S.A.'s readiness served to downplay expectations.

He is a pro at controlling narratives, deflecting media hype away from players and onto himself. "I think he is a very shrewd manipulator of the media," Snell said.

Meet the team U.S.A. players with ties to Germany

The hero's shadow

"That bugs me," analyst Doyle said.

He feels like Klinsmann has contributed to media narratives he has grown tired of: The U.S. team is David; Germany is Goliath. Klinsmann is the savior.

"He's not the savior, and we don't need saving," Doyle said.

The team improved greatly in the 10-plus years before Klinsmann came along, and the new coach is building on that success, he believes.

The United States has shined in international tournaments, coming in first and second. It spent a decade fighting to get the upper hand on the formidable Mexican national team.

And it has beaten the Italian team in Italy.

For all his real strengths, Klinsmann has some weaknesses, too, Doyle said. Some of his stints coaching professional teams have proved lackluster.

In Germany, Klinsmann has come under fire from current national team captain Philipp Lahm, who has said the current U.S. coach lacks tactical finesse.

And he has left some vulnerabilities in American team's lineup, when he had better alternatives at hand, Doyle said.

"A guy like Landon Donovan gets left at home. That frustrates me," he said.

The team has also made a serious consistent error.

"Four games in a row now after the 80th minute, we have given up a goal," he said.

In his eyes, Klinsmann is no better than his recent predecessors -- unless he beats Germany on Thursday. Do that, and all is forgiven. No more questions.

The moment of truth

The strengths of Germany's coach, Joachim Loew, fall right where Klinsmann's weaknesses lie. He is the master tactician and technician.

The two once made a great team -- they balanced each other out, when Loew worked under Klinsmann in 2006.

And they have become the closest of friends. Standing across from him, his former team and his native country will feel strange.

"Facing Germany, obviously, for me personally will be a very emotional situation," he said. "Having both anthems play before the game, looking at their bench."

The German press has reported that he will sing along with them. He has already taken a beating from disillusioned journalists there for singing "The Star Spangled Banner."

"Coach Jurgen Klinsmann obviously sings every national anthem," wrote one German news website.

Once that's over, then it's game on, Doyle said. He has no doubts Klinsmann will do anything to win. "He's a fierce and ruthless competitor."

"We have been waiting for this game quite a long time," Klinsmann said. "It's massive, there's no other word to say."

And he has changed the narrative of the U.S. team:

"We are by no means any underdog here."

CNN's Joe McCurdy and Ravi Ubha contributed to this report

@highlight

In the game against Germany, the U.S. coach may sing both national anthems

@highlight

He is more than a soccer star in Germany -- practically a national hero

@highlight

He is known as a great team builder and motivator

@highlight

But tactic and technique could be a weakness, and he has had some coaching failures