(CNN) -- By now, everyone should know that aviation is the safest way to travel: Even in parts of the world with a "high" accident rate, that rate is still far below other ways to get from point A to point B.

This level of safety is due to a tradition of hard work and technological advances that must continue.

New threats emerge every day, but through proactive efforts in data collection and analysis, we don't have to wait for an accident anymore -- we can mitigate these risks before they become real problems.

So how do we square those facts with terrible tragedies such as Air France 447? Plane crashes do still occur, even with state-of-the-art aircraft. Everyone in the industry must continue to work hard on safety.

With the Air France 447 final report published this week, we now have a clearer picture of the events that led to this tragedy. The report concluded that a series of errors by pilots and a failure to react effectively to technical problems led to the crash.

We already knew much of what we happened that evening: The autopilot shut itself off when the air speed indicators failed and the plane "handed itself" to the co-pilot. For the next several minutes, it should have been a pretty benign situation, but the flight crew made some inexplicable decisions and ultimately the plane crashed in the ocean.

What we must now try to understand is why the pilots reacted the way they did.

In the past decade, we've seen tremendous advances in automation in the cockpit. This automation has proven to be vital to raising the level of safety in aviation even higher and also to provide more efficient airline operations. It has removed some of the threat of human error during normal operations. Pilots now spend most of their time monitoring the automation.

But what happens when the automation turns itself off or fails for some reason?

Q&A: Has Air France Flight 447 mystery been solved?

The elephant in the room has always been that training standards have not kept up with the technological changes in aircraft.

In the early days of aviation, training included how to recover from some of the most commonly-faced emergencies, such as a lost engine during take off. These scenarios are no longer common, yet the training has not changed significantly to recognize this new reality. Automation used to be the pilot's assistant. Now the pilot is expected to back-up the automation. That is a fundamentally new task that the industry hasn't trained for.

Regulators around the world need to acknowledge this and work to change the basic requirements in training programs.

Pilots need to know what it feels like to stall at high altitudes and train on how to recover. They need to know what to do when an airplane is suddenly handed to them during an abnormal flight situation by the autopilot turning off. They need to learn what to do and perhaps most importantly, what not to do in order to avoid increasing risk.

Some of this will require a renewed emphasis on manual flying skills, but new training will also have to be developed to address the fundamental new relationship that has developed between man and machine.

There are a number of airlines around the work who are already changing their training standards to reflect this and we applaud this effort. All airlines should do this. They should not wait for their regulators to act.

As with any tragedy, there will be a temptation to focus on blame and political posturing, but AF447 is a case where politicians and judges should keep a respectful distance. There is some serious technical work to be done, and the aviation community needs to act quickly and objectively.

It is a responsibility that the entire aviation community embraces and we are confident that the safety professionals will find solutions that ensure that tragedies like this don't happen again.

It is a debt we owe to those who have been lost.

News: Who's really flying the plane?

The opinions expressed in this commentary are solely those of Bill Voss.

@highlight

Final report on crash of Air France flight 447 concludes human error to blame

@highlight

Flight 447 crashed into the Atlantic Ocean en route from Rio de Janeiro to Paris

@highlight

Investigation focused on pilots reactions to instrument failure, autopilot switching off

@highlight

Voss: Flying is safest way to travel, but more must be done to improve pilot training