(CNN) -- Lebanon could have no more fitting symbol of its tumultuous history than its national flag.

Emblazoned with a green cedar tree against a white background, framed between two red bands, an official account states the white represents peace, the red, the blood that has been spilled in the name of liberation and the tree, survival.

Situated on the eastern-most lip of the Mediterranean basin -- in a region once known as the Levant -- Lebanon stands at the gateway between Christian Europe and the Arab Middle East and North Africa.

Throughout its history it has been the scene of bitter struggles.

As far back as 332BC, Alexander the Great -- realizing its importance as a strategic gateway to the Mediterranean -- led a seven-month siege at Tyre, modern Lebanon's fourth largest city.

Originally an island city, Alexander spared no effort in taking the Phoenician city state, constructing a 1km-long causeway to connect the island with the mainland as part of his invasion plan.

Part of the Ottoman Empire from the early 16th century, Lebanon became a French mandate after World War I and achieved independence in 1943.

In the 20th century, it suffered violent shifts in its fortunes.

Once known as the "Paris of the East" because of its cosmopolitan nature, Beirut proudly boasted that it was the only city in the world where you could swim in the Mediterranean in the morning and then drive to the mountains to go skiing in the afternoon.

Others compared it with Switzerland as its reputation grew as a financial center in the 1960s.

Until the mid-1970s the country prospered, but conflict between the Christian and Muslim communities, the influx of Palestinian refugees, and repeated wars in the region destabilized the country. Civil war erupted in 1975 and did not end until 1990. The first general elections in 20 years were held in 1992.

The civil war broadly pitted Palestinian and pro-Palestinian Muslim militias against Lebanon's Christian militias, devastating the country in the process. An estimated 150,000 people were killed and thousands fled the country. The Lebanese diaspora is thought to be around 14 million, according to the British Foreign and Commonwealth Office (FCO), with the majority in Brazil and the United States.

The country had an estimated 4,125,247 people in July 2010, according to figures from the CIA Factbook, although no official census has been taken since 1932 because of the sensitive political balance between Lebanon's various religious groups.

The country is known to have a "confessional democracy" and refers to a system of government whereby political and institutional power is distributed proportionally among religious communities. The presidency is reserved for a Maronite Christian, the prime minister is a Sunni Muslim and the speaker of parliament a Shia Muslim.

According to the FCO, Lebanon is home to 18 separate religious sects and several different ethnic groups.

Key to understanding Lebanon is its fractious and often bloody relationship with its neighbors, Israel and Syria.

With the formation of Israel in 1948, thousands of Palestinian refugees flooded into Lebanon altering the country's finely balanced demographic.

According to the United Nations Relief and Works Agency (UNRWA), the international body set up to ensure the welfare of Palestinian refugees, there are about 400,000 officially registered Palestinian refugees in Lebanon, or approximately 10% of the population. Just under half of the refugees continue to live in camps.

In 1982, Israel launched a full-scale invasion of Lebanon to counter the Palestinian Liberation Organization (PLO). That year the Shia militia group Hezbollah was formed with the purpose of ridding Lebanon of Israeli influence. Most Israeli troops were withdrawn by 1985, although Israel remained in the south until 2000 when it dismantled a 12-mile security buffer zone it had maintained inside Lebanese territory since 1978.

Lebanon's eastern neighbor Syria has also been influential in the country's affairs and internal politics. Syrian troops arrived in 1976 shortly after the civil war started and did not leave until 2005. Their withdrawal was precipitated by the assassination of former Prime Minister Rafik Hariri. Many anti-Syrian elements within Lebanon blamed the assassination on the Syrian government and the pro-Bashar al-Assad Hezbollah, claims they denied.

Even with ongoing political tensions and spasms of violence, since 2005, Lebanon has worked hard to emerge from this bitter legacy, reinventing itself as trendy tourist destination.

Thanks to the rejuvenation of war-torn central Beirut, one of the largest and most ambitious urban redevelopment projects in the region, Beirut is once more laying claim to its as title of the "Paris of the East."

But even as the nightspots and cafes begin to repopulate a battered Beirut, the country remains a hostage to its geopolitical position. According to the U.N. refugee agency, as of August this year, Lebanon had received more than 30,000 refugees from Syria as conflict there rages, once again testing the resilience of its people.

CNN's Eye On series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Country on eastern edge of Mediterranean Sea has a tumultuous recent history

@highlight

Capital Beirut was once known as 'Paris of the East', city now renowned for nightlife and culture

@highlight

Country has what is known as a 'confessional democracy' developed after civil war from 1975 to 1990