(CNN) -- In the years before penicillin came into wide use in the 1940s, medicine couldn't do very much for many of the sickest patients. A hospital could keep you warm and provide food and nursing care, but as surgeon and writer Atul Gawande pointed out, in many cases the patient would do no better than if he or she had stayed home.

In those days, doctors who mastered the few techniques that could make a difference, such as setting fractures and treating certain kinds of heart conditions, were seemingly all-powerful, Gawande told the TED2012 conference in March. "A doctor could kind of know it all and do it all," he said in an interview with CNN following his talk.

Doctors were rewarded for being cowboys, for being daring and self sufficient.

Today, the world of medicine promises and provides much more -- cures and care for many of the worst health problems people have.

But doctors can no longer know everything and do everything. As medical knowledge has exploded, doctors increasingly must specialize in a field to absorb all the relevant information to treat a certain kind of illness. And a patient who goes to a hospital often winds up being treated and cared for by as many as 15 doctors, nurses and therapists, Gawande said.

The result? "Well, it's been a disaster," he said. "We have 40 percent of coronary artery disease patients who receive incomplete or inappropriate care, we have 2 million people pick up infections in hospitals because one of those people on that team failed to follow basic hygiene practices."

Watch Atul Gawande's TED Talk

"Holding on to our streak of autonomy, each of us, we end up losing the patient in between," he said. Gawande, a surgeon at Brigham and Women's Hospital in Boston, also is a researcher at Harvard University and a writer at The New Yorker.

Today doctors are still often rewarded and trained as cowboys, but Gawande says what we really need are doctors who can function as members of a team, the way those in an auto racing pit crew work together to get vehicles back in the race.

Ted.com: Trial, error and the God complex

Gawande has been a pioneer in advocating the use of checklists by medical teams working together in surgery or on other procedures.

"We've had checklists in medicine for people we considered the lowest on the totem pole, but the idea that the surgeon would have to follow a checklist is anathema," Gawande said. But in fact, he added, "when checklists have been used to make sure even the best, most specialized doctors don't miss key steps in providing care ... we're finding that carefully designed checklists cut death rates in half in surgeries, that they can eliminate certain kinds of infections and that they can slash costs."

Gawande has found reason to question the assumption that the most expensive care must be the best care. "What we're discovering is that the best care, the places getting the best results, are often among the least expensive," he said. In those places, doctors and nurses providing care function like teams.

"We are going through a dramatic change where it's no longer about what your doctor knows, it's about what a team of doctors, nurses and others are able to do together."

TED.com: Doctors make mistakes -- can we talk about that?

These days Gawande brings a checklist with him into the operating room. At first, it was a bit of a shock for him.

"I did it reluctantly. I have been someone who believes, you know, do I need a checklist? No ... but i didn't want to be a hypocrite. I was bringing them to Tanzania and Seattle, so I started using a checklist myself. So that meant before the patient went to sleep we would do a series of checks -- not just, 'Do we have the right person and the right side of the body?' But also, 'Do we have a plan for what happens if this is a high-blood-loss case?'

"Before the incision, we'd introduce ourselves by name because it would turn out often that you would have a team of people working together for the first time who may not know each other very well.

"We discuss the plan in detail, and in doing these things I found from the very beginning that we were catching problems that we were missing otherwise. The anesthesiologist or the nurse was noticing things that I had missed.

"I have not gotten through a week of surgery in three years using this kind of checklist without it catching something that was a danger for the patient or would have made the care better."

@highlight

Atul Gawande: Medicine developed around the idea of the "cowboy" doctor

@highlight

He says today's doctors don't know it all; they have to specialize and be part of a team

@highlight

He says strong teams in medicine get the best results and provide care more cheaply

@highlight

Gawande: Today's doctor should interact as if he were part of an auto racing pit crew