Scientists have long predicted that Mars had significant volcanic activity in the first billion years of its history, but images of the planet's surface haven't delivered as much evidence of volcanoes as they expected.

New research suggests, however, that scientists may have been looking for the wrong kind of volcanoes.

A new study in the journal Nature argues that a handful of geological formations on Mars that were thought of as impact craters were once, instead, supervolcanoes. They never looked like mountains; rather, they formed when the ground collapsed on itself in violent explosions.

"This is a totally new kind of process that we hadn't thought about for Mars, and it changes the way we view the evolution of the planet," said lead study author Joseph Michalski of the Planetary Science Institute in Tucson, Arizona, and the National History Museum in London.

The volcanic eruptions likely represented the biggest explosions in the history of Mars, Michalski said. These explosions would have occurred more than 3.5 billion years ago.

He and NASA colleague Jacob Bleacher focused on a region on Mars called Arabia Terra, which is speckled with craters. Bleacher could not discuss the study Wednesday, Michalski said, because of the United States government shutdown that furloughed most of NASA's employees. (But Mars rover operations, including driving and using scientific instruments, are continuing this week, a NASA spokesman said).

NASA on shutdown: 'Sort it out, humans'

The researchers used data from instruments aboard several orbiters: Mars Express, the Mars Reconnaissance Orbiter, the Mars Global Surveyor and Mars Odyssey.

Particularly intriguing to them was a crater called Eden Patera, which did not have features consistent with an impact crater. Instead, it resembled a structure seen on Earth called a caldera, which is a volcano that has collapsed inward (caldera is also the Spanish word for cauldron.)

They believe Eden Patera is the best example of a possible ancient supervolcano on Mars.

When you think of a volcano, a cone-shaped structure protruding from the ground probably comes to mind. These, such as Mauna Loa in Hawaii, are essentially mountains of lava. But Eden Patera and other supervolcanoes on Mars never looked like that; instead, they represent the inward collapse of Martian terrain.

Eden Patera and other supervolcanoes would have been much smaller than Olympus Mons, a shield volcano on Mars about the size of the state of Arizona, and the biggest volcano in the solar system. But while Olympus Mons oozed lava, the supervolcano explosions would have been much more powerful, Michalski said -- they would have thrown material all around the planet.

By comparison, Mount St. Helens erupted on Earth in 1980, spewing more than 0.24 cubic miles (1 cubic kilometer) of material over Washington state and surrounding areas. Supervolcanoes can produce eruptions spouting more than 1,000 times more volcanic material than that.

Six must-see volcanoes on Earth

How a supervolcano collapses

How calderas such as Eden Patera form is similar to the process that created what is today Yellowstone National Park, Michalski said. A supervolcano there exploded 640,000 years ago; there was no mountain-like structure there beforehand.

Had you been there, said Michalski, you would have been standing around in Wyoming and observing a bit of steam coming out of the ground. You would start to feel earthquakes because of the movement of magma underneath you, causing the earth to crack and break.

Bigger and bigger earthquakes would have given way to smaller explosions from within the ground. That happens because as the magma produces bubbles, pressure would build up and blows up the terrain; destabilization would lead to more earthquakes and then -- boom! -- a massive explosion.

Such explosions would send ash far into the atmosphere, creating lots of heat and gas. The wind would carry away the ash, and while much of it would rain down to form layered materials on Earth, some ash would stay in the atmosphere for years to come

"By the time you'd get to see that, you'll be dead, because it's quite a massive, violent activity," Michalski said. "No one's really ever witnessed it, because if you did, you wouldn't be here to tell about it."

Water discovered in Martian soil

Why it matters

Supervolcanoes were instrumental in shaping geological formations and the climate on our own planet, and the same goes for Mars, Michalski said.

Eruptions would have sent the climate into a tailspin of global cooling or warming, or both, because of competing environmental processes, he said. The volcanic explosions emitted greenhouse gas and unleashed ash into the atmosphere, which blocks out the sun.

"That would have had a strong impact on what the climate and what the environment was like at geologically relevant time scales," he said.

Understanding supervolcanoes could give scientists new clues into the early Martian atmosphere and explain various features of the planet's geology. Material from the eruptions may even be responsible for some of the rocks that the Mars rover Curiosity has been encountering since it landed on August 6, 2012.

Mars may be home to even more ancient supervolcanoes that today look like impact craters, researchers say.

Stephanie C. Werner, planetology researcher at the University of Oslo, who was not involved in the study, believes some of the conclusions of this new study are speculative and not based on a firm timescale. More research is needed to better determine whether this supervolcano activity really predates other significant volcanic episodes, specifically, those that occurred in the Tharsis region of Mars, she said.

"One thing lacking in this study is the constraint on the timing of these events, to fully evaluate the impact on atmosphere evolution and impact on climate," she said in an e-mail. "Nonetheless, events related to the formation of these landforms can have significant influence and may be important if no other activity occurred at the same time."

More orbital data would help resolve unanswered questions about the ancient supervolcanoes, Michalski said.

Like magma under an active fault, such discussions will continue bubbling among members of the community of scientists who study Mars.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Study: Supervolcanoes on Mars exploded more than 3.5 billion years ago

@highlight

Scientists say some structures that look like impact craters were volcanoes instead

@highlight

The best example is called Eden Patera

@highlight

More research needs to be done to confirm