After a 10-year chase taking it billions of miles across the solar system, the Rosetta spacecraft made history Wednesday as it became the first probe to rendezvous with a comet on its journey around the sun.

"Thruster burn complete. Rosetta has arrived at comet 67P. We're in orbit!" announced the European Space Agency, which is leading the ambitious project, on Twitter.

Rosetta fired its thrusters on its final approach to Comet 67P/Churyumov-Gerasimenko, known as "Chury" for short, on Wednesday morning. Half an hour after the burn, scientists announced that the craft had entered into the orbit of the streaking comet.

"After 10 years, five months and four days travelling towards our destination, looping around the sun five times, we are delighted to announce finally 'we are here'," said Jean-Jacques Dordain, ESA's Director General, in a statement.

"Europe's Rosetta is now the first spacecraft in history to rendezvous with a comet, a major highlight in exploring our origins. Discoveries can start."

ESA tweeted a photo of the comet after Rosetta's maneuver. Chury and the space probe now lie some 250 million miles from Earth, about half way between the orbits of Jupiter and Mars, according to ESA.

The first spectacular and detailed images taken from just 80 miles away shows boulders, craters and steep cliffs and are already causing excitement.

"Churyumov-Gerasimenko looks like it's been through the wars!" said Dr Robert Massey of the Royal Astronomical Society in the UK.

"With that odd looking 'neck', either we're looking at two objects that merged together or so much material has been lost in its many passes around the sun that the comet is a shadow of what it started out as.

"The pictures coming back so far look intriguing -- and imagine the kind of scenes we can expect when Philae lands this coming November," he said.

To get to its destination the spacecraft has covered more than three billion miles and as the comet hurtles towards the sun it will reach a speed of about 62,000 miles per hour.

The mission has now achieved the first of what it hopes will be a series of historic accomplishments. In November mission controllers aim to place the robotic lander Philae on the surface -- something that has never been done before.

Previous missions have performed comet fly-bys but Rosetta is different. This probe will follow the comet for more than a year, mapping and measuring how it changes as it is blasted by the sun's energy.

Mission controllers had to use the gravity of Earth and Mars to give the probe a slingshot acceleration to meet its target on the right trajectory. Rosetta also had to be put into hibernation for more than two years to conserve power before being woken up successfully in January this year.

Wednesday's thruster burn was the tenth rendezvous maneuver Rosetta has performed since May to get the probe's speed and trajectory to align with the comet's -- and if any of those operations had failed, the mission would have been lost, according to ESA.

Interactive: See how Rosetta chases the comet across the solar system

For the next few weeks, ESA says the spacecraft will be in a triangular orbit until it gets to about 18 miles of the surface when it starts its close observations.

Scientists hope to learn more about the composition of comets and perhaps whether they brought water to the Earth or even the chemicals that make up the building blocks of life.

"It really is such a step forward to anything that has come before," project scientist Matt Taylor told CNN.

Rosetta will soon begin mapping the surface of and finding out more about its gravitational pull. This will help to find a suitable landing site for Philae and allow engineers to keep Rosetta in the right orbit.

As comets approach the sun, any ice melts and is turned into an ionized gas tail. The dust produces a separate, curving tail. It's these processes that Rosetta scientists hope to be able to study from close proximity.

Taylor explained that the survey will show the team what the comet nucleus looks like now and when it gets closer to the sun.

"We'll be able to make a comparison to now, when its relatively inert, to when it's highly active ... making this measurement over a year when we're riding alongside at walking pace and observing how a comet works and interacts with the sun," he said.

"We are there for over a year to see this complete development to the extent that you may even be able to measure the decrease in the volume of the nucleus ... see how much material has left the comet."

Chury is known as a short-period comet. It reappears every six years as its orbit brings it close to the sun. Halley's comet has a period of about 76 years and is not due to return close enough to Earth to be visible until 2061. Others only return after thousands of years.

Matt Taylor says it is unlikely that you will be able to see comet 67P with the naked eye but you can follow the progress of the mission on Rosetta's blog and find out more with CNN's interactive coverage.

@highlight

Rosetta is attempting to become first spacecraft to orbit and land on a comet

@highlight

European Space Agency's 10-year mission has taken Rosetta billions of miles across solar system

@highlight

Scientists hope to learn more about the composition of comets

@highlight

The robotic lander Philae is due to touch down in November