(CNN) -- Late last month in Aleppo, Syria, civilians who have cell phone subscriptions received a foreboding text message in Arabic: "Game over."

Those on prepaid phones -- including many opposition fighters and activists, who tend to throw their devices away after several uses to avoid detection -- did not receive the text, or subsequent messages, signed by the Syrian Arab Army, telling them to surrender their weapons.

"The government was sending a message to the rebels through people who subscribe," says Taufiq Rahim, a Dubai-based Arab affairs analyst -- an act of psychological warfare carried out by cell phone.

The texts have increased Syria watchers' concerns that the embattled government has realized both the full potential of using the Internet and mobile carriers to communicate with its leaderless opposition, and the importance of the networks as domestic and international lifelines for the rebels.

Defecting Syrian propagandist says his job was 'to fabricate'

There are growing fears that the regime could shut down the Internet across the country, similar to what was done in Egypt during its January 2011 uprising, which brought communication in Cairo to a near standstill.

"There have been enough rumors that the more tech-savvy folks are expecting it," says Jillian C. York, director for international freedom of expression for the Electronic Frontier Foundation, which works to defend digital rights. "In Egypt, you could say no one would have expected that."

Last month, the network was down for 10 days in Aleppo, the current focal point of the fighting, with activists and rebels communicating largely by satellite phone until service was restored September 20.

Fareed Zakaria: Why Syria turmoil threatens Middle East

But perhaps the biggest red flag came in July, when the government-controlled Syrian Telecommunications Establishment shut down 61 of its 66 networks, effectively cutting off the country's Internet for about 40 minutes.

Since the summer, smaller, infrequently reported outages have plagued Damascus, Aleppo and other hard-hit cities.

"Since it's state telecom that provides access, it's safe to say the government could turn the Internet off at any point," says Doug Madory, senior analyst at Renesys, a firm which tracks Internet data and intelligence and has been monitoring the situation in Syria.

"The outages we've seen in the last couple of months appear to be because of physical damage from fighting, or from power outages. They're short-lived, they flicker on and off. We've seen some Internet being (purposely) disabled in more disruptive parts of the country, like Aleppo."

Two weeks ago, rebels angry with the government's mass text intensified their attacks against forces loyal to President Bashar al-Assad. The escalation resulted in the partial destruction of Aleppo's storied covered souk, a heritage site since its days as a Silk Road trading post.

It also triggered an increase in violence in the decimated city, where rebels Tuesday continued to advance with the seizing of Maaret al-Numan, a key strategic town on the road between Aleppo and Damascus.

"In a military zone, like Aleppo has become, the government can still communicate but opposition forces will have a very hard time" should the network crash again, Rahim says. "I think it'll happen in a case of desperation. I wouldn't be surprised if for some reason they took down a few towers in Aleppo."

Who is arming the Syrian conflict?

The Syrian Internet market is a state monopoly. Unlike neighboring Lebanon, whose 3 million citizens have access to 900 Internet routes out of the country, Syria's 30 million people only have 66.

"It's a country with state control over the Internet," Madory says. "There's no free market."

Fadi Salem, a Syrian scholar and activist, believes it's in al-Assad's best interest to keep the networks running. "They're interested in measuring and assessing what's happening and trying to listen in, and even penetrate, and spy on activists and collect information," he says.

And the regime has a history of discounting the global influence of activist bloggers.

"They don't think (the opposition) has the ear of the international media anyway," Madory says. "So they want their supporters to be able to voice any opinion that's (pro-regime). And they'll want to allow their supporters to use the Internet to voice those opinions.

"It's the only reason why they haven't taken it down."

But just in case, activists are prepared. "The standard government-controlled networks are not the only way of communication -- there are also satellite phones and Internet connection and landline phones," York says. "So it would be a setback, but it's not going to cut off communications if people are prepared for it."

"Much of the opposition rely on satellite phones more than anything else," Salem adds. During Aleppo's 10-day blackout, "activists there were still able to upload videos and the like."

It's hard to predict twists and turns in Aleppo, where there is general lawlessness.

"Some groups under the Free Syrian Army are actually doing a lot of bandit-like action, looting government buildings, and for them it's justified," Salem says. "Activists inside are angry about this, because they want to preserve the state and all its establishments while they try to remove the regime."

Children in a war-torn Syrian town hold school in a cave

@highlight

A Syrian shutdown of the Internet would be similar to what happened in Egypt in 2011

@highlight

Internet freedom advocate: "The more tech-savvy folks are expecting it" in Syria

@highlight

The Syrian Internet market is a state-run monopoly

@highlight

Many opposition activists rely on satellite phones to communicate