(CNN) -- It takes quite a character to inspire a legion of women to draw thick black unibrows and mustaches on their own faces.

Six decades after Frida Kahlo's death, her distinctive floral headwear, ornate dresses, and flash of red lipstick, still captivates some fans to the point of making themselves in her image.

Every time a major gallery launches a new exhibition of the Mexican painter's work, you can bet it will be accompanied by a queue of Kahlo-lookalikes, said art historian Helga Prignitz-Poda.

"It's a real phenomenon," said the curator of one of the biggest Kahlo exhibitions in the world, currently on display at Rome's Scuderie del Quirinale.

"I think people are most fascinated by her paintings -- Frida shows her inner life in a very authentic manner. And I think there are very few artists that have painted so much of what they really felt.

"There's a certain honesty, and that's what people understand and feel."

Queen of the selfie?

Kahlo's greatest muse was arguably herself, throughout her lifetime painting a huge number of self-portraits depicting deeply personal experiences in raw detail.

From miscarriages, to a painful back injury which plagued her, the viewer is given a glimpse into the darkest depths of Kahlo's world.

She once famously said: "I paint myself because I am often so alone, and because I am the subject I know best."

And in an age of the selfie, could Kahlo's self-portraits tell us something about people's need to share their image with others?

"She told her friends: 'I give you this painting so that I am not so alone,'" said Prignitz-Poda.

"So when people looked at pictures of her in their houses they thought of her, and it was like a white magic -- the more she painted herself, the more she spread her image among her friends, and the more these friends thought of her.

"I think the people who dress-up as Frida Kahlo today want to identify themselves with her because they feel there is a person who has been as lonely as them. There is a person who fought against this loneliness, who was strong enough to overcome their own problems."

A life less ordinary

Kahlo's enduring allure is not simply due to her artwork, but a remarkable life which began in Mexico City in 1907.

A horrific traffic accident as a teenager left her with lifelong back problems, and many of her self-portraits depict her body wracked with pain -- in one she wears a necklace of thorns, in another she is a deer pierced with arrows.

Her marriage to fellow Mexican painter Diego Rivera -- 21 years her senior and a towering figure beside Kahlo's petite frame -- was a tumultuous one, the couple divorcing in 1939 and remarrying the next year.

Both had extramarital affairs, with Kahlo perhaps most famously engaging in a relationship with Russian revolutionary Leon Trotsky, while he was in exile in Mexico.

"In the beginning Frida was in Diego's shadow, but she very soon stepped out of it," said Prignitz-Poda of the couple's avant-garde art careers.

"On their first trip to the United States in 1930, they had been married for one year, and already the press started to notice her appearance by his side as someone very attractive and spectacular.

"When people came to their house to interview Diego, they saw her paintings, and saw that she was also very interesting."

In 1938 Kahlo had her first solo exhibition in New York. A year later her self-portrait "The Frame," was purchased by The Louvre in Paris, the first work by a 20th century Mexican artist bought by the gallery.

She had well and truly stepped out of her husband's shadow -- professionally at least.

Frame of mind

Gaze across Kahlo's self-portraits and you'll find an unsmiling woman with a harsh unibrow staring back.

But the bold persona was all part of a carefully cultivated "masquerade," says Prignitz-Poda.

"She's dressing up in the Tehuana dress, which represents the matriarch in a certain part of Mexico -- the strong woman who fights for her rights, makes her own money. She wants to represent this type of woman.

"She pointed out her mustache and joined eyebrows because they show a male aspect to her personality, and Frida always wanted to be both. She wanted to be a complete human being and not only the sweet wife, so this makes her look so strong."

Kahlo died soon after her 47th birthday in La Casa Azul -- "The Blue House" -- where she was also born, now a museum attracting thousands of visitors each month.

The official cause of death was respiratory failure, set on by pneumonia.

Today, Kahlo's paintings sell for a whopping $5.6 million, her face adorns Mexico's 500-pesos note, and a 2002 Hollywood biopic of her life featured Salma Hayek in the Oscar nominated lead role.

Major retrospective exhibitions of her work continue to draw huge crowds. And among them are the Kahlo lookalikes, who quietly contemplate their hero hanging on the wall.

Learn: Forgotten war photographer you should know

Milena Veselinovic contributed to this report

@highlight

60th anniversary of Frida Kahlo's death

@highlight

New retrospective of Mexican painter's work in Rome

@highlight

'Phenomenon' of women dressing as legendary artist

@highlight

Most famous for surreal self-portraits, today sell for $5m