Editor's note: Lindsay Branham is communications coordinator for Food for the Hungry, an international Christian relief and development organization. She has lived in the region for more than a year. The names of the children in this article have been changed to protect them.

Lindsay Branham says armed groups are conscripting children as soliders in the Congo.

(CNN) -- The border was hauntingly empty. No military, drenched in green, patrolling. No AKs slung over shoulders. No Swahili floating through the air.

Just the pitter-patter of rain falling to the ground and turning the dirt road into a river.

To the right some secondary school students huddled beneath an overhang.

From a village close to Rutshuru in the Democratic Republic of the Congo, they had fled an attack by a rebel group. The men with guns marched the boys outside and ordered them to file into a line.

"We were so scared," said Jean, "we ran into the bush." Adamant that they did not want to fight, that they did not want to become soldiers, Jean explained how they had to hide themselves in the forest to escape being abducted. Many of their friends, though, were taken.  See Branham's view of the turmoil »

Melchisedek is a secondary school teacher in a village close to Rutshuru, an area heavily dominated by clashes between the Congolese government forces and the CNDP. He said that twice armed groups came to his school to abduct children. "They look through the windows and count the boys," he said.

Boys. Abducted to be soldiers.

The current war in the eastern Democratic Republic of Congo is marked by the use of child soldiers. These young boys are abducted from their schools and homes and forced to hold a weapon and use it against their own government.

In Nakivale, a sprawling refugee settlement holding more than 30,000 people in Uganda, up to 600 new Congolese refugees are arriving daily. Bombarded with hunger, disease and lack of basic essentials, people are suffering.

One man, Bahati, his frame thinned, stood weakly. He said he is throwing up and having diarrhea nearly every five minutes. He says sometimes there is blood in his excrement. His face pale, he asked for medicine.  Watch Branham discuss child soldiers »

I asked a group of men if they had anything to do in the camp -- no, they said. Then I asked what they did in Congo for a living.

"Cultivator," "mason," "teacher."

One by one they listed their roles as father, provider and protector with pride.

Today they have been stripped of their livelihoods, of their way to take care of their families. Today they fear they may never get to go back home to the lives they once led.

Melchisedek's face was set passionately against the backdrop of U.N. relief agency-tarped tents as he told me more about how children are used as weapons in Congo.

He said the rebels give the boys three days of training, which includes an ideological indoctrination. The boys are then thrown onto the front lines. If they turn back in fear, they are shot from behind.

I asked if the boys are scared. "Of course," Melchisedek said.

In a place so rife with conflict -- more than a decade of war has blanketed the eastern part of the country, surging on and off in intensity -- the toll has multiplied. At least 250,000 people have been displaced in the last few weeks, adding to the almost 1 million already displaced Congolese.

Jean and his friends pleaded with me for help. They are in their last year of secondary school and want to complete the year to receive their diplomas. They've worked their entire lives for this. And in the span of a few days, it has been destroyed.

Jean said they haven't eaten in days. While hiding in the forest from the rebels, they survived off fruit they could pick from trees. Now in Busanza, Uganda, just feet from the Congo border at Kitagoma, they depend on the kindness of their Ugandan neighbors.

But Jean still gripped his stomach with his hands and clenched his face in pain to convey the urgency of his hunger.

Melchisedek said that as he fled with his wife and four children, the Congolese army fled with them.

Who is left to protect now?

Melchisedek explained that as fighting became worse, gunshots flying through the air, bombs exploding, he got separated from his two youngest children -- 2 and 4 years old.

As he had to decide whether to continue running with the rest of his family and maybe live, or turn back and maybe die, he made an excruciatingly difficult choice. He kept running.

At the Ishasha border crossing, Melchisedek said they had to swim through a river to cross over into Uganda since it was impossible to use the guarded border. He described how they had to hold their children above their heads as they pushed through the quickly moving water. They made it into Uganda.

But his two youngest are still somewhere in Congo.

He cast his eyes down, whispering, "I don't know where they are."

I saw pain in the eyes of the Congolese who were gracious enough to share their stories with me. I also saw enormous courage. Thrown into circumstances I can barely fathom, their dignity remains.

I am overcome by humanity. The best and the worst. I am horrified children are still being abducted to fight -- their childhoods stripped from them and a life of violence forced upon them.

I am humbled by the mothers I met, who continue to give their lives for the sake of their children.

One Congolese refugee woman, Espe, who fled the war last week while nine months' pregnant, gave birth this week. Espe named her daughter Tantine, which she says means "can't fear the war."

Those words: can't fear the war. An indescribable resolve has named that child.

Today I hear the voices of the refugees -- their stories wrapped like falling rain around me. And I see the empty border again.

How many more Jeans, Melchisedeks and Espes are still behind the borders? How many will survive? I ask these questions not really wanting answers.

The relief and development organization I work with, Food for the Hungry, conducted an assessment this week with these very refugees to determine a way to respond.

I am convinced: The Congolese are waiting for peace. But they shouldn't have to wait for assistance.

The opinions expressed in this commentary are solely those of Lindsay Branham.

@highlight

Aid worker Lindsay Branham: Congolese conflict is stealing dreams and childhoods

@highlight

Young are being forced to give up study and become soldiers, she says

@highlight

Branham: Families are being torn apart and forced from their homes