(CNN) -- Spain, a eurozone behemoth, is in the crosshairs of Europe's financial crisis. The country is suffering from soaring borrowing costs, a banking system leaking cash and unemployment rates at devastating levels.

Greece might be risking expulsion from the eurozone but Spain's situation is a focus of concern. If such a major economy were to fail, the repercussions could cause unprecedented havoc across Europe -- and the globe.

Just how bad is the pain in Spain?

On Thursday, Spain will reveal its 2013 budget, which is expected to introduce harsh new austerity measures. Reports have suggested they could match the potential requirements of a full sovereign bailout.

According to Michala Marcussen, Societe Generale economist, "substantial efforts" will be required to meet a budget deficit target of 4.5%.

Pension reforms are possible, such as fast-tracking plans to increase the retirement age to 67 from 65, while taxation and labor markets could also be targeted, Marcussen noted.

The budget is followed by Friday's release of the country's banking audit, which is expected to reveal details of the sector's financial needs. Consensus sits at €60 billion and "too low a number will raise concerns that there are more hidden losses to come -- all the more given the very frail economic backdrop," Marcussen wrote in an analysis note.

The audit follows an agreement by eurozone finance ministers in June to give aid to Spain, tagging up to €100 billion to shore up its banking sector. At the time, Spain's prime minister, Mariano Rajoy, said the deal meant "European credibility won, the future of the euro won [and] Europe won."

The country has been facing credit issues after its financial problems were thrown into sharp relief by the bailout of Bankia, the country's fourth-largest bank.

Bankia was forced to call for €19 billion ($23.7 billion) in assistance in May, panicking markets. It sent Spain's cost of borrowing (for the sovereign 10-year bond) toward 7% -- a level which is regarded as unsustainable and has precipitated bailouts of other euro countries.

But Spain -- in its second recession since 2009 -- has been dubbed "too big to bail, too big to fail."

The Spanish economy is the eurozone's fourth-largest -- after Germany, France and Italy -- making up around 11% of the bloc's GDP.

To put that in perspective, Greece, Portugal and Ireland -- the three eurozone countries which have already been bailed out -- combined make up less than 6% of the bloc's economy.

A request for aid would likely create a backlash in the markets and test the European Central Bank's plan to buy up sovereign bonds on the secondary market.

How did Spain reach this point?

Spain's banking sector is facing up to years of bad investments, largely in real estate, which was buoyed by cheap credit and the country's sunny climate.

Its housing boom-times of 2002 to 2008 were fed, in part, by retired north Europeans buying up second houses in places such as Valencia and Murcia, according to political scientist Julio Embid, of think-tank Fundación Alternativas.

Real estate prices have now fallen some 30% to 50% from their highs, leaving Spain's banks, or cajas with housing stock on their books whose current value is much lower than the original.

Meanwhile hundreds of thousands of houses built during the boom remain unsold, and people wanting to buy may find it difficult to get credit.

Embid also points to the cajas' politically-driven executive appointments as a contributing factor to the crisis. "Many senior bankers were low-profile regional politicians or majors, without any financial experience or bank background," he said.

What has Spain done to try and sort through this mess?

The government set up the FROB (Fund for Orderly Bank Restructuring) in 2009, to help reorganize its banking sector, and has received international recognition for its efforts to date.

According to April's International Monetary Fund report, the country has reduced the number of financial institutions from 45 to 11. The report noted: "The authorities are, rightly, focusing on strengthening the banking sector."

It said the authorities were showing "an appropriate sense of urgency" but also warned that "unless the weak institutions are quickly and adequately cleaned up, the sound banks will suffer unnecessarily by a continued loss of market confidence in the banking sector."

As it stands, the banks have an estimated €300 billion of problem loans on their books, with the full cost of recovery not yet clear.

What other headaches does Spain face?

In addition to the financial sector's problems, Spain could be liable for the debts of several regional governments, which have been hit with ratings downgrades.

Spain also has an unemployment crisis, with more than half those under 24 out of work, and almost one in four people overall. Spain's jobless rate has helped pushed the eurozone's total unemployment rate to 11% -- its highest since the eurozone was created in 1999.

Why is the economy collapsing now?

The situation in Spain has developed like a perfect storm, with money being pulled out of the country, despite the desperate need to stem capital flight and support its banking system.

This leaves Spain in a precarious financial state, driving investors away, pushing up its borrowing costs and making it more likely to need a bailout.

It's a reminder of how governments are inextricably tied to their country's banking systems, essentially the lifeblood of their economy.

In Ireland, the banking sector's similar gorge on property forced the country to take a €67.5 billion bailout in 2010.

The mood of the markets may, ultimately, dictate Spain's ability to pull itself from its financial hole. Investors already twitchy about the prospect of a "Grexit" -- a Greek exit from the euro -- will react badly to further bad news out of Spain.

Ratings agency Standard & Poor's has put the chance of Greece exiting the euro at around one in three, but says the impact of such an outcome on other countries is not yet clear.

The struggles in Europe have been exacerbated by continued miserable news out of the U.S.

Where does Madrid stand when it comes to making cuts to public services?

Spain's emergence as the crisis epicenter has again fed debate over the value of austerity over stimulus.

Greece, the first euro country to take a bailout, has been swallowing austerity medicine since 2010. But its economy has slid further into recession, and initial hopes it could detach itself from external life-lines within two years now look wildly optimistic.

Spain has also been implementing austerity measures to try and combat its crisis. Rajoy, who won a landslide victory over the Socialist Party in November 2011, focused on cost cutting and labor reforms. But, as with other fragile countries within the euro bloc, Spain's economy remains weak and its unemployment levels continue to rise.

Some European leaders are now voicing concerns against austerity measures and in the U.S., the Federal Reserve has moved towards more stimulus, with further quantitative easing.

CNNMoney's Aaron Smith, Alfred Souza and Ben Rooney, and CNN's Al Goodman and Tim Lister contributed to this report.

@highlight

Spain, a eurozone behemoth, is in the crosshairs of Europe's financial crisis

@highlight

The country faces soaring borrowing costs, a banking system in disarray and high unemployment rates

@highlight

If such a major economy were to fail, the repercussions could cause unprecedented havoc across the globe

@highlight

But the situation in Spain is developing like a "perfect storm," with money being pulled out of the country