(CNN) -- What is jazz?

This is an impossible question, and one with many answers. Having spent more than a decade as a jazz artist, I've garnered some insights. As a youngster growing up in New Orleans, surrounded by the city's sounds and rhythms, I was influenced by a wide variety of music: brass bands, blues, ragtime, R&B, soul, rock 'n' roll, Dixieland and more.

I played the percussion in my family's band, switching to piano at age 11. Since then, music has been a part of my everyday life. I've had the good fortune to play with inspiring artists across many genres -- Wynton Marsalis, Prince, Busta Rhymes among them. What's given me the foundation to be able to join such varied musicians is my jazz training.

Jazz is subtle, emotional and accommodating. It is intellectual and sometimes even scientific. Most genres of music are not nearly as multidimensional, which in part is why the art form has such a small audience. In stark comparison to pop music, contemporary jazz seems too circuitous for most listeners to enjoy casually. The challenge for the contemporary jazz musician, as I see it, is making this subtle and complex art palatable to the greater public.

Jazz is complex.

Some of the greatest musical minds of all-time were jazz artists. They were able to master their instruments, redefine music theory and repeatedly innovate the already formidable body of work present before them. Many of them did so while navigating through the tumultuous social climate from which the music was birthed.

John Blake: Dave Brubeck, ambassador to a new America

As a performer, part of my job is to take the audience on a musical journey to somewhere they've never been. The Stay Human movement I've started is about experiencing music -- not about it being on a stage and untouchable, but something that you viscerally experience on the subways and streets.

Stay Human has grown to be more than a band, and has become a local movement that is expanding and shifting the way people experience jazz. We're trying to harness all of the musical elements that I grew up absorbing in New Orleans, and couple them with contemporary mainstream sounds. I want people to feel and hear jazz as they never thought it could be played.

In the midst of the "plug in/tune out" nature of modern day society, we believe that the human interaction of a live musical performance can uplift humanity. Stay Human can happen anywhere. Not only in a music hall or official venue, but on streets and subways or among unsuspecting (and often pleased) patrons at a restaurant. We refer to these moments as a #loveriot and anyone can join.

Keeping the Jazz Fest alive

At the core of the experience is the band, a group of my friends who are all world-class, Juilliard-trained musicians in their 20s. The music is central to the experience, but it isn't just about the music. Ultimately, it's about people from all walks of life coming together to share an authentic and transformative moment through the power of music.

Maya Angelou once said, "I've learned that people will forget what you said, people will forget what you did, but people will never forget how you made them feel."

Jazz is a tradition.

The way jazz musicians walk, talk and greet each other, and the way they play is very distinct. To be a jazz artist is to be a part of a lineage. To play jazz is to contribute to world history. To be a part of this tradition means that you are challenged to transform other people with the sound of your instrument. You are challenged to swing. You are challenged to contribute to the body of work established by some of the greatest artistic minds of all time, work that includes these treasures:

• A performance of "Fine and Mellow" by Billie Holiday, Lester Young and others from a CBS television broadcast in New York on December 8, 1957. It is generally considered one of the greatest moments for jazz ever broadcast on live television.

• "It Don't Mean A Thing" by Duke Ellington features catchy vocals, hard swing, jazz violin and awesome horn section parts that epitomize what the jazz tradition is all about.

• "Every Time We Say Goodbye" Ray Charles and Betty Carter from their album together. Exquisite!

• "I'm Just a Lucky So and So" from the album by Louis Armstrong and Duke Ellington. It is a supreme example of the blues with utmost sophistication and feeling. The way Duke accompanies Satchmo is masterful, and the personality of the two of them signifies what jazz is all about.

Gene Seymour: Brubeck, jazz master with a big heart

As an artist, it is exciting to explore the sound of your identity. Jazz music teaches you about who you are by exploring the humanity of others. It accommodates who you are. The inimitable genius Charlie Parker stated it best when he said, "Music is your own experience, your own thoughts, your wisdom. If you don't live it, it won't come out of your horn. They teach you there's a boundary line to music. But, man, there's no boundary line to art."

Jazz is an experience.

Jazz is wonderful because it's all about the moment, and I firmly believe in creating unforgettable experiences. With the Stay Human band, it's never only about the stage. What we love is taking the music to the people in the streets -- jumping off stage into the audience, performing in moving vehicles, New York subways, streets and, yes, unsuspecting restaurants.

For me, jazz is all about transformation in the moment. It is the most immediate form of musical expression in existence, and the language that we use to state our deepest, truest feelings. It is the American art form that is globally owned.

What is jazz?

Jazz is now!

The opinions expressed in this commentary are solely those of Jonathan Batiste.

@highlight

Jonathan Batiste: Jazz is the musical language used to state our deepest, truest feelings

@highlight

Batiste says it's complex and traditional but also contemporary

@highlight

Performers aim to take listeners on a journey to someplace new and different, he says