Fort Meade, Maryland (CNN) -- An Army computer investigator testified late Sunday that a search of military computers used by Pfc. Bradley Manning in Iraq revealed that he had downloaded the same secret documents and videos that were released online by WikiLeaks.

This was the first testimony in Manning's preliminary military hearing appearing to link him to WikiLeaks.

The Army private faces 22 charges -- foremost among them, aiding the enemy -- after being accused of distributing hundreds of thousands of secret government documents to the website WikiLeaks, which then posted them online.

The Army investigator, Special Agent David Shaver, said that the search of Manning's computer revealed the electronic footprints of which documents Manning had collected and when.

He said there were computer code references to hundreds of thousands of secret State and Defense Department documents on the computers, and in some cases the full documents themselves. In addition he mentioned finding on Manning's computer videos that also were leaked, with one showing a U.S. Apache helicopter attack that killed two Reuters journalists in Baghdad in 2007

And Shaver said a forensic analysis of Manning's computers showed Manning had searched for information about WikiLeaks more than 100 times, as well as information about WikiLeaks founder Julian Assange.

"A lot of the searches seemed out of place," Shaver testified.

Manning is accused of stealing and leaking State and Defense Department secrets while serving as an intelligence analyst in Iraq in 2009 and 2010.

Shaver said his investigation also found that Manning had created a small computer program to download a large amount of files automatically.

Manning's defense team gets a chance Monday morning to cross examine the Army computer expert.

This third day of the Article 32 hearing is the latest stop along the road to a possible court martial of Manning on multiple charges including aiding the enemy and publishing government secrets on the Internet.

The presiding investigating officer said the hearing would go into closed session Monday morning to consider classified information. The hearing went into closed-to-the-public session Sunday afternoon for more than an hour to consider the same issue.

During the day, Manning -- who turned 24 Saturday -- chatted with his civilian and military lawyers sitting beside him and appeared to pay close attention to the testimony. He seemed unruffled about lengthy descriptions of his emotional outbursts in Iraq, or the details of the searches of his computers.

Earlier Sunday, military prosecutors portrayed Manning as a highly skilled, calculating traitor -- in sharp contrast to the defense argument that he was a uniquely talented soldier who was picked on by colleagues and was struggling to come to grips with his sexual identity.

The alleged crimes occurred at a forward operating base in Iraq, where Manning and others worked 12-hour shifts inside a secure computer room sifting through reports of insurgent threats as well as downloading games, music and movies. The private was there between November 2009 and May 2010, when he was arrested.

Manning was widely recognized for his computer skills, as well as being known for his emotional outbursts -- like scuffling with co-workers, slamming his fist on tables and even being seemingly unresponsive as he stared at his computer screen, according to testimony over the first three days of the preliminary hearing at Fort Meade, which is located between Washington and Baltimore.

An officer who supervised the private said Sunday that she'd recommended that he be removed from the computer room outside Baghdad after he fought with a fellow soldier. Capt. Casey Fulton, the first witness on the hearing's third day, said she also recommended that Manning's weapon be taken away.

At the same time, Fulton described the Army private -- who had access to classified government computer networks -- as trained, experienced and knowledgeable. She agreed with a defense attorney that Manning was her "go-to analyst" on various computer projects.

"He was very good in researching and compiling data," Fulton said.

Numerous witnesses have described Manning's work as an intelligence analyst at a forward operating base in Iraq. It was during that stint that he is accused of downloading secret documents and distributing them.

In response to defense questions, Fulton described how music, movies and games had been downloaded to government computers. Manning is accused of downloading government documents while pretending to listen to a Lady GaGa CD.

Fulton conceded it was impossible to monitor everyone inside the computer room, known as a Sensitive Compartmentalized Computer Facility.

"There is only a limited amount of supervisors; we can't supervise everyone every second of the day," Fulton said.

A computer expert who worked in Iraq as a private contractor testified that Manning boasted about his computer skills.

"He said, 'If people knew what I did with computers, they would be amazed,'" said Jason Allen Milliman. "He seemed kind of serious and kind of joking at the same time. I didn't know how to take him."

Milliman said the computer that Manning shared with Sgt. Chad Madaras -- with the former working the day shift, and the latter the night shift -- had an unusual amount of problems.

Testifying by telephone from Fort Drum, New York, Madaras said the computer would be running smoothly when he left for the day, only to have problems when he returned 12 hours later.

He told prosecutors he had never tried to access records of terrorist detainees held at Guantanamo Navy Base in Cuba or other secret government sites. And he said he never used Manning's computer profile and didn't know any of his passwords.

Manning's civilian defense attorney, David Coombs, clashed again Sunday with the presiding officer, Lt. Col. Paul Almanza, when he repeatedly asked Madaras whether the private had been picked on. Coombs complained the investigating officer "should not arbitrarily limit cross-examination."

Madaras described emotional outbursts by Manning in the secure computer facility at base, located outside Baghdad. On one occasion, he said that Manning became non-responsive, sitting and staring at his computer screen.

"Did he seem to be an outcast in the unit?" Coombs asked.

"Yes, sir," Madaras replied.

Two witnesses called to testify Sunday -- Sgt. 1st Class Paul Adkins and Warrant Officer Kyle Bolonek -- refused to answer questions, invoking their right to remain silent. It was not clear why both men, who had worked with Manning in Iraq, didn't answer questions.

Adkins has been reduced in rank, from master sergeant to sergeant first class.

The Defense Department has said 15 military personnel were disciplined in the aftermath of the WikiLeaks scandal.

The military also subsequently restricted the number of people who could download secret information. It instituted new rules requiring two people to authorize any downloads, and set up alerts whenever there is any mass transfer of information.

At the time of Manning's last deployment to Iraq, there was no technology to block soldiers from downloading and stealing massive amounts of government secrets, a military computer expert testified Sunday.

Capt. Thomas Cherepko said intelligence analysts like Manning could move information back and forth from their official computers and a shared computer hard drive. Testifying by telephone, he said there was nothing preventing a soldier from burning a CD of classified information, taking the CD, and then distributing whatever files were on it.

"The only thing preventing that is trust," said Cherepko, who served with Manning at the same base in Iraq.

The captain said that no other soldier in Manning's unit did anything to exploit weaknesses in the computer system and transfer material to a personal computer.

Each person using the secret government computer system had to read and sign a document agreeing to secrecy and security rules. Once the investigation was launched, this document for Manning could not be found, according to Cherepko.

Earlier testimony in the preliminary hearing portrayed Manning as someone troubled by Army discipline during his deployment to Iraq, and who was struggling with sexual orientation and gender identification issues.

If convicted on all counts, Manning could face the death penalty. However, Army prosecutors have signaled they will not recommend death in the event of a conviction, and it is unlikely they would be overruled by a senior officer.

@highlight

NEW: Investigator: Manning's computer had secret documents and videos

@highlight

NEW: They were the same documents and videos later on WikiLeaks

@highlight

An expert says only "trust" prevented soldiers from downloading classified info

@highlight

Manning is accused of leaking classified documents to WikiLeaks, among other charges