(CNN) -- My niece Sarah is one of the do-gooders with an entrepreneurial bent who's blurring nonprofit and for-profit activities.

Through micro-lending, Individual Development Accounts, creative marketing and a novel kind of stock offering, these disruptors are re-imagining charitable giving and re-purposing investment tools.

Now we need policies and financial instruments to catch up to the movement.

Sarah is one of more than 900,000 Kiva lenders who have made more than $440 million in loans to entrepreneurs in 68 countries.

Kiva is a nonprofit organization that facilitates micro-loans. Amounts as small as $25 can help someone -- usually a woman -- start or expand a business. The effects can be life changing.

Starting with the $1,000 Kiva fund I gave her as a high school graduation gift, Sarah found time during college to make 30 loans totaling $1,700 to entrepreneurs in 17 countries, from Bolivia to Uganda.

As folks repay the loans, Sarah keeps making new loans and helping more people change their lives. A funding pool that replenishes itself gives Kiva an edge over typical charities. With most cash donations, when the receiving organization spends the money, it's gone for good.

There's a catch: Sarah can loan money to a grocer in Ghana, a farmer in Uganda and a weaver in India -- but she has not been able to loan money to entrepreneurs in the United States.

Because of technical and policy issues with the U.S. Securities and Exchange Commission, it's easier to help entrepreneurs in another country than in our own backyard.

The bright folks at Kiva are creating a work-around. Kiva Zip is an experiment in "person-to-person lending."

Using Kiva Zip, Tommy in West Helena, Arkansas, sought a loan to expand his barbecue and catfish restaurant. Tracy in Pittsburgh is seeking a loan to move her home hair salon into a commercial space. She expects expansion to create three or four jobs.

Kiva Zip comes along as Grameen America is bringing its micro-lending model to more U.S. cities.

Thirty years after Nobel Laureate Muhammad Yunus created Grameen Bank, which has extended micro-finance to 8 million people in Bangladesh, Grameen America now has branches in New York, Los Angeles, Oakland, Omaha, Indianapolis and Charlotte.

Some of the business-charity hybrids are counterintuitive. While many nonprofit groups ask local businesses for donations, the reverse is uncommon. Yet Ross Baird emerged from the University of Oxford in 2009 with just that notion. He created a nonprofit organization, Village Capital, that raises rounds of capital to invest in startup companies.

One foundation invented a new kind of stock offering to turn neighborhood stakeholders into real stockholders.

Fulfilling its commitment to "resident ownership," the Jacobs Family Foundation wanted to transfer a chunk of the equity in a commercial development project to residents living nearby. It took attorneys six years and 40 drafts to invent a way, and in 2005 Jacobs issued the first-ever Community Development IPO.

Residents purchased all 50,000 units of stock, priced at $10 per share.

In Philadelphia, Dr. Mariana Chilton began working with mothers who didn't have enough food. Through Witnesses to Hunger, she put the mothers in front of elected officials to advocate for federal nutrition programs.

Chilton discovered that women from Witnesses to Hunger were also entrepreneurs. Hustling to put food on the table for their kids, literally, these mothers were earning $50 here and there doing hair and nails or babysitting.

Problem is, no one treated these mothers as entrepreneurs. Their business activities were discouraged or penalized, either because of overly enthusiastic local government regulations or upside-down rules of federal assistance programs. The reporting requirements, intended to deter fraud, were not calibrated to accommodate modest income fluctuations associated with their entrepreneurial activities.

Chilton is chipping away at change. Her team is giving mothers technical assistance to bring their micro-businesses into the mainstream. She is connecting the women to bank accounts, and Chilton's nonprofit will match deposits the mothers make into savings accounts and Individual Development Accounts.

Policy changes could help. The federal nutrition benefits should diminish gradually over time, as folks get on their feet. At a moment when we need innovative thinking, the old rules still use a bright-line test to force mothers to choose between food and work.

Further, we need more technical and policy advancements that make social investing easy. Few organizations have the time and resources to chase legal solutions for six years. The next generation of leaders must generate breakthrough solutions that can operate at scale.

A good place to start is MCON13, which is hashtag-speak for a conference devoted to engaging the 80 million U.S. millennials in giving and volunteerism. Next month hundreds of professionals will gather in Indianapolis at MCON13 to crack the code on millennials.

Expect millennials to keep blurring the lines. If Sarah can loan $50 to a farmer in Paraguay, why not a hair dresser in Philadelphia?

The opinions expressed in this commentary are solely those of John Bare.

@highlight

John Bare: Young people are taking entrepreneurial approach to charity

@highlight

In many cases, he says, they're blurring the line between for-profit and nonprofit

@highlight

He says we need policy changes to make social investing easy