(CNN) -- Fifteen years ago I walked out of a mosque in silent protest of the imam's sermon. Outside, the heat of the desert sun could hardly match the fire of the rhetoric being spewed forth inside.

The imam was railing against the foreign enemies of Islam and the sinners within. With every genocidal rant came an "amen" from the congregation. Some regrettably came from the heart. Others came from those on autopilot putting in their "time" at the mosque to fulfill their quota of good deeds. Still others were a tradeoff: penance for their sins, an economy of convenience that was born long before Islam and long sold as the path to heaven of other faiths.

It was not the first time I had heard terrible notions of fear and hate peddled in the name of my religion. But that day was different. That day I felt complicit. I had reached a point of intellectual critical mass where my love for my religion overwhelmed my sitting in silence any longer. As I stood up, I stared at the imam to make sure he knew that at least one person would no longer accept the recipe of his revenge.

Islam and Christianity were born in the same neighborhood under similar conditions 600 years apart.

Christianity came about at a time when harsh rulers subjugated their people, making already difficult lives nearly impossible. The people responded to the message of Jesus as they did 600 years later to the message of Mohammad. Both Christianity and Islam offered simple messages to the poor: Live by the rules and your rewards will come later.

TED.com: How Arab cultures are borrowing from western pop culture

Islam came of age at a time of open warfare between what was loosely called Arabia and the occupying Roman Byzantine Empires. It was a religion for the willing believer, further steeled by the Christian Crusades of the 11th and 12th centuries and the Medieval, Papal and Spanish Inquisitions.

Many imams today are still preaching in the rhetoric of the seventh century without regard to contemporary reality. But unlike Jesus and Mohammad, they preach not of future rewards for living a just life as Allah promised. Instead, they offer their rewards to those who devote themselves to the genocide of those who they have anointed our enemies. They prefer not to leave Judgment Day to Allah, instead they substitute themselves as a sort of lower trial court.

We are now in the Muslim month of Ramadan, a time of dawn to dusk fasting intended to teach Muslims about patience, humility, and spirituality. During Ramadan, more than a billion Muslims will congregate at their mosques.

TED.com: Comics provide a window into our world

It is finally time that all of us became more accountable for that which our children will be hearing; tiny differences setting us apart rather than celebrating those positive things that bind all good people together. If we allow small-minded men to spout fear and hate in the name of our religion, we will enable them to brainwash another generation as they did our own. And soon, the next generation will fall into a pit of dissonance. To sit by silently makes us all complicit.

As the father of five sons, I worry about who they're going to be using as role models.

I worry because all around me, even within my extended family, I see religion being manipulated. As a psychologist, I worry for the world in general, but worry about the perception of how people see themselves in my part of the world. Now, I'm a clinical psychologist. I'm licensed in New York state. I trained at Bellevue Hospital's survivors of political torture program. And I heard one too many stories of people growing up to idolize their leadership, only to end up being tortured by their heroes. And torture's a terrible enough thing as it is, but when it's done by your hero, that just breaks you in so many ways.

I left Bellevue, went to business school and started the comic book series "THE 99." THE 99 references the 99 attributes of Allah in the Koran, things like generosity and mercy and foresight and wisdom.

TED.com: Comics of bygone New York

Fifteen hundred years after the birth of Christ, men representing the Catholic Church poured hot lead down the throats of Muslims and Jews to get them to accept Jesus as their Savior. Fourteen hundred years after Gabriel conveyed God's message to Muhammad through the Qur'an, a tiny minority of self-aggrandizing Muslims are using the lead of bullets to kill untold numbers in an unspeakable insult to name of Islam.

Today, through THE 99, this proud Muslim is using the lead of his pencil to take a stand. For all our sakes, I hope the pencil really is mightier than the sword.

The opinions expressed in this commentary are solely those of Naif Al-Mutawa.

@highlight

A tiny minority of Muslims preach hatred and violence, says Naif Al-Mutawa

@highlight

He says as the father of five he wanted to make sure they have the right role models

@highlight

Al-Mutawa created "The 99," a comic series of superheroes fighting for positive values

@highlight

Those who kill in the name of Islam are making an unspeakable insult to the religion, he says