(CNN)Reading the headlines out of Madison, Wisconsin, it's hard not to think about Ferguson, Missouri.

But law enforcement's response to the shooting of 19-year-old Tony Robinson will not unfold in the same chaotic, violent and distrusting way as the shooting of 18-year-old Michael Brown, Madison's top police leaders vowed.

"I think it's very clear that Madison, Wisconsin, is not Ferguson, Missouri," said Jim Palmer, the executive director of the Wisconsin Professional Police Association. The head of the state's largest law enforcement group told CNN Monday that the Madison police department, unlike the Ferguson department, has a strong relationship with the people it serves.

Madison Police Chief Mike Koval has been out front and outspoken about Robinson's shooting since it happened late Friday night.

The chief said he understands people are angry and want answers.

"We have to say we are sorry at the outset for it and then we have to show affirmative steps in moving forward to bring community back into the fold," he said.

Here are some ways Madison law enforcement appears to be responding differently than what was seen in Ferguson:

Difference in what police chiefs did after shooting

Madison: Within hours of the shooting, Koval went to Robinson's mother's home.

"We need to start as any healing or any reconciliation should with an 'I'm sorry,' and I've done that privately, and I'm attempting to do that publicly and that's the only way we can sort of begin the healing or the rift that may take years if at all to mend," the police chief said.

The mother didn't want to meet with him but the chief talked and prayed with the biracial teenager's grandparents in the driveway, he said.

They told Koval to hold off on trying to talk to the mother because emotions were too intense.

"I couldn't even begin to get my hands around the enormity of the loss and the tragic consequences," Koval said. "Nineteen years old is too young."

He stressed that "the effort has to be there," in reaching out to the family. "We have to acknowledge it, we have to own it, we have to say we are sorry at the outset for it and then we have to show affirmative steps in moving forward to bring community back into the fold, as it were."

Ferguson: A day after Brown, who was African-American, was killed, protesters took to the streets of the Missouri town. They were incensed that witnesses said Brown's hands were up and that the teen's body had remained in the street, in the sun, for four hours.

A month went by before Ferguson Police Chief Thomas Jackson apologized to Brown's family. "I'm truly sorry for the loss of your son. I'm also sorry that it took so long to remove Michael from the street," he said, in a videotaped message.

A day after Brown's killing a vigil for him devolved into violence. Police tried to keep the crowd under control but clashes erupted. One officer was seen holding the leash of a barking dog, and St. Louis Alderman Antonio French said some officers wielded shotguns.

Four days after Brown was killed and more than a day after riots erupted in Ferguson, Jackson spoke at a community forum, saying, the situation "has been a tragedy for the city and the country."

Responding to criticism that he'd missed immediate opportunities to address tension in the town that turned into violence, he said, "It breaks my heart [that] some think I'm part of the problem."

The police chief promised the crowd he would be part of the solution. But issues with how the department interacted with protesters and media continued. "Keep moving" was a common refrain that police told protesters and law enforcement threatened to arrest anyone who stood along sidewalks, whether they were resting or a reporter taking notes. In some cases, officers told demonstrators they couldn't stand for more than five seconds; some protesters were yelled at for walking too slowly. Such a tactic was a violation of the Constitution, a federal judge later ruled.

In his videotaped message, Jackson apologized for that, too.

"The right of the people to peacefully assemble is what the police are here to protect. If anyone who was peacefully exercising that right is upset and angry, I feel responsible and I'm sorry," the police chief said.

Five ways the Ferguson police chief is in hot water

Difference in investigation procedures:

Madison: Under Wisconsin law, an outside agency is tasked with investigating police-involved shootings. In the case in Madison, that would be the Division of Criminal Investigation. Once DCI completes its work, findings will be delivered to the local district attorney, Chief Koval said.

On Monday, Gov. Scott Walker issued a statement saying that another layer of investigation will come from the Wisconsin Department of Justice, which will conduct an independent investigation -- a requirement of all officer-involved deaths.

Ferguson: Chief Jackson asked the St. Louis County Police Department to conduct an independent investigation into Brown's killing.

It was only a few days that passed between the shooting and when Jon Belmar, the chief of St. Louis County Police Department, told media what led to Ferguson Police Officer Darren Wilson shooting Brown. "The genesis of this was a physical confrontation," Belmar said.

Brown "physically assaulted" the officer, Belmar said, and the teen tried to get the officer's weapon.

Differences with timing of releasing the officer's name

Madison: Chief Koval released the name of the officer who shot Robinson within hours of the incident. He is 12-year department veteran Matt Kenny. The chief volunteered that the officer had shot and killed a man in 2007. Kenny was cleared on any wrongdoing in that incident, the chief said, because an investigation determined that the man was killed in a "suicide by cop" situation.

During the incident involving Robinson, Kenny suffered a blow to the head, Koval said. He has been placed on paid administrative leave pending an investigation.

Ferguson: Three days after Brown was killed, Ferguson police backtracked on a promise made a day earlier to release the name of the officer. The reason the department gave? Threats made to another officer who was falsely accused on social media of shooting Brown, Jackson said. The chief said he thought the threats were "credible" and that "the safety factor far outweighs the benefit from releasing the name, which is minimal."

Lawyers representing Brown's family blasted the decision, and accused the police of protecting their own and ignoring standard procedures.

Difference in how authorities described victim's past

Madison: Wisconsin Circuit Court documents indicate Robinson pleaded guilty in December to an armed robbery that occurred last April. But when Koval was pressed for more details, he refused to talk about the teen's record or any run-ins with law enforcement.

"I could but I choose not to," the chief said. "I frankly think it is, for our purposes today, wholly inappropriate and I am not going to blemish anyone's character, particularly someone's as young as his."

Ferguson: Six days after Brown's shooting -- on the same day police released Officer Wilson's name -- police released surveillance video of a convenience store robbery in which Brown was allegedly involved before he died.

The decision to release that video frustrated many, including others in law enforcement. Missouri State Highway Patrol Capt. Ron Johnson stated the robbery and shooting of Brown "are separate issues."

"I told (Chief Jackson) I think both of those being released today was not needed and was not the way that we needed to go," Johnson told CNN. "Today is about taking care of this incident here, getting to those facts that are there, and Michael Brown and his family."

Differences in mayor's reaction immediately after shooting

Madison: Less than a day after the shooting, Mayor Paul Soglin vowed that "there will be answers," the Wisconsin State Journal reported.  "We all deserve to know the facts in this case," he said. "Tony Robinson's family deserves that, our community deserves that, and the Madison Police deserve that. When the answers come, we will be open and transparent in communicating them."

The promise to be transparent in sharing results of an investigation were repeated on the city's web site.

Ferguson: Ferguson Mayor James Knowles urged the community to stay calm and not escalate the situation.

"We don't know what happened and there are lots of conflicting stories," Knowles said. "Unfortunately there will have to be some time taken to understand what happened. Hopefully we will get to an understanding and justice will be served."

Speaking a day after a vigil for Brown devolved into a riot, Knowles said on CNN that "the events of last night are not indicative of who we are," and that the chaos was "not constructive" and only "bringing down the community."

Difference in size and tone of rallies and tone

Madison: On Friday night, dozens of demonstrators gathered in Madison. "Who do we trust?" some called out, prompting the response, "No one!"

And in another refrain, they chanted, "Black lives matter," a phrase that Ferguson protesters coined.

Online the #WillyStreet hashtag, referencing to Williamson Street, where the shooting happened, trended. "Praying for Madison tonight," wrote one activist. "Stand up, sit in, walk out - until u get answers. And until there are no more hashtag eulogies."

The demonstrations, which have been constant, have remained peaceful.

Watch protesters outraged over police killing

Ferguson: Just hours after Brown was killed, a vigil for him turned violent as people hurled bottles at officers and kicked police cars parked on the streets.

The often-violent demonstrations continued off and on for weeks, and protests around the country were held in solidarity. While many protesters were peaceful, in late November buildings were set on fire and destruction spread after a grand jury said it had decided not to indict Officer Wilson.

Fire, chaos erupt in Ferguson after grand jury doesn't indict

CNN's Elise Miller, Eliott C. McLaughlin, Faith Karami, Kristina Sgueglia, Rosa Flores, Ralph Ellis, Joe Sutton and Greg Botelho contributed to this report.

@highlight

Police officials in Madison say their responses to shooting by officer reflect their role in community

@highlight

One example: Madison chief talked to teen's family soon after shooting

@highlight

A month went by before Ferguson chief apologized to Brown's family