BALTIMORE, Maryland (CNN) -- A few weeks ago, 22-year-old Tatiana Gulenkina felt bad. Tired with a headache and high fever, Gulenkina knew she was coming down with something. Yet she wasn't sure with what.

Besides getting vaccinated, there are other ways to boost your immune system to ward off being sick.

"My symptoms were apparently the same as for regular flu: coughs, sneezes, high temperature, sore throat and headache." she says. But when her boyfriend took her to the doctor, her diagnosis was a little little bit of a shock. "I had the swine flu!"

Although the Centers for Disease Control and Prevention has stopped counting the number of reported H1N1 virus incidents in this country, the American Medical Association says many of its members are starting to see more cases of the illness, along with early bouts of seasonal flu and colds. It's just that time of year when a lot of nasty bugs are out there. So the question is, what's the best way to protect yourself?

Health experts will tell you the most effective way to fight the flu, including the H1N1 virus, is to get vaccinated, which causes your own body to make antibodies that target specific illnesses. After immunization, it takes up to 10 days for the vaccines to take effect. But there are other ways to boost your immune system to ward off being sick during the winter.

Why boost your immune system? It's what protects you from diseases. It's designed to defend the body against millions of toxins, parasites, bacteria and microbes that would love to invade the body and make it their home.

But in order to protect you, your immune system has to be healthy. If it begins to break down, then germs can attack and cause you to become ill. That's why taking care of your immune system, especially this time of year, is a must. And the best way to start is with good nutrition. You need to eat the right foods.

"Your nutrition profoundly affects your ability to fight these diseases," notes Katherine Tallmadge, national spokesperson for the American Dietetic Association. That means fill up your plate with lean protein, including chicken, fish and fat-free dairy products.

Why protein? "The molecules that fight disease are made of protein," Tallmadge says. Watch more on how to rev up your immune system »

And think fats. Good fats. Certain fats improve cellular function and the ability to fight disease. For instance, when people eat more liquid oils, as opposed to hard, saturated fats, the fats end up in their cell walls. With liquid oils predominantly in the diet, cells are more flexible, communicate better and are more able to fight disease

"More olive oil, canola oil and nuts. These are healthy fats," says Tallmadge.

Tallmadge also reminds us to include fruits, vegetables and whole grains in our diet. These contain important antioxidants that keep your blood levels of vitamin C, beta-carotene, zinc and B-vitamins high.

Which also means think vitamin supplements. But not too many. Nutritionists like Tallmadge warn that you can ingest too much of one particular vitamin or supplement and throw off the nutritional balance of your body, which can affect the immune system.

"Get nutrients naturally through the foods you eat," Tallmadge says. As for vitamin pills, she recommends "just taking a multivitamin with minerals so that all your bases are covered." If you think you need more of one particular supplement, talk to your doctor, she says.

Although good nutrition is key for a healthy immune system, exercise is equally important. Studies have shown that moderate, regular exercise can boost the immune system. But doctors warn don't overdo it. Too much high-intensity activity, such as a marathon or triathlon, can make a person more susceptible to illness for as long as three days after the workout.

Says Dr. David Johnson, an orthopedic surgeon at Washington Hospital Center in Washington, D.C., and avid swimmer: "Exercise gets the blood pumping, which helps our heart, our circulation system, all our muscles and organs work better. But if you do too much, in too little time, it can hurt the body." A daily 30-minute walk can do the trick.

And don't forget to rest. A few studies point to shut-eye as a way to boost the immune system, and the National Sleep Foundation says getting the right amount of sleep is part of the "staying well" puzzle.

Though the exact ways sleep works and how it rejuvenates the body's immune system are still a mystery, sleep experts agree that adequate rest is necessary to keep a healthy body.

"Research shows that everyone needs sleep, and that it's a critical factor in your health, weight and energy level," says Dr. Marc Schlosberg, a neurologist who works with the sleep lab at the National Rehabilitation Hospital, also in Washington, D.C. "Plus, it cuts down on stress."

Scientists and doctors have known for years that long-term, chronic stress can create negative changes at the cellular level of the body, which can severely hurt the immune system. So if you can, try to chill out. Take a break, do some yoga. Walk your dog. Pet the cat. Anything to calm the soul.

As for Tatiana Gulenkina, she thinks she might have caught H1N1 flu on her campus, but she's not sure. As a student at the Maryland Institute College of Art in Baltimore, stress is just part of a her busy life.

But after a week of rest , fluids and ibuprofen, Gulenkina is feeling much better and hopes to get through the rest of the winter without other illnesses.

@highlight

Most effective way to fight flu, including H1N1 virus, is to get vaccinated

@highlight

Eat lean protein, fat-free dairy products and good fats to boost immune system

@highlight

Moderate, regular exercise and adequate rest are necessary to keep healthy