(CNN) -- Earlier this month, a video of young men doing the "Harlem Shake" -- bare chests and thrusting pelvises -- in front of the Muslim Brotherhood's headquarters in Cairo attracted worldwide attention, for putting one finger up to the moral authority of Islamic conservatives now struggling to govern Egypt.

But over in Alexandria, a soft-spoken teenage girl offered a far more unsettling challenge to the powers that be. Hebat Allah Mahmoud, a young karate enthusiast, was refused a place in her school's tournament photo because, she claimed, she does not cover her hair with a hijab.

Her teacher denied such charges of discrimination. Hebat Allah, however was unwilling to take this lying down. Instead, she took to YouTube, in a video in which she tearfully lambasted authorities for willful blindness and narrow-mindedness. Did they not know, she asked, that most of the girls put on the hijab at school but took it off once they left the premises? And she criticized teachers' interpretation of Islam, for insisting that the hijab was religiously mandated and that those who did not wear it were less worthy than those who covered. "We should have equal rights as stressed by the Prophet," she told the camera.

Read more: Harlem shaking the Arab world?

Hebat Allah's challenge to the one size-fits-all vision of Islam presented by Egypt's now ruling religious conservatives shifted to the international stage this week. At the United Nations, governments and NGOs from around the world have been negotiating a document on the elimination of violence against women, under the umbrella of the Commission on the Status of Women. The final text, hammered out after weeks of hard negotiation, reiterates the rights of women to lead their lives free of violence, coercion and discrimination.

The mere discussion of such issues was, however, enough to send Egypt's Muslim Brotherhood into a frenzy. "It eliminates Islamic morals, and seeks the destruction of family institution," the Brotherhood warned in an apocalyptic official statement. "Then society dissolution will occur, and last steps of cultural invasion will be complete." In urging other Muslim-majority country governments to reject the document, the Brotherhood attacked it for undermining what they consider a man's God-given right to control women (through various means, including marital rape, it seems, according to their communique), further alleging that it promotes homosexuality, adultery, abortion and free love.

Read more: Egyptian blogger -- why I posed naked

This hysterical response to any attempt to promote gender, sexual and reproductive rights, at the United Nations and on the ground in the Arab world, is nothing new; the Mubarak regime was just as intransigent on many of these points. And I've come across it time and again in the past five years I've spent traveling across the Arab region, talking to men and women about sex: what they do, what they don't, what they think and why. Sexuality might seem a strange focus in these tumultuous political times. It is, in fact, a powerful lens with which to study a society because it offers a view, not just into intimate life, but also of the bigger picture: politics and economics, religion and tradition, gender and generations that shape sexual attitudes and behaviors. If you really want to know a people, start by looking inside their bedrooms.

In today's Arab world, the only socially-accepted context for sex is heterosexual, family-sanctioned, religiously-approved, state-registered marriage—a social citadel. Anything else is "forbidden", or "shameful" or "impolite." The fact that large segments of the population in most countries are having hard time fitting inside the fortress -- especially the legions of young people, who can't find jobs and therefore can't afford to marry -- is widely recognized, but there is also widespread resistance to any alternative.

The upshot of this refusal to grapple with the changing realities of sexual and personal life in the Arab world can be seen in statistics: spiraling rates of HIV and other sexually-transmitted infections, a rising tide of sexual violence, on the street and in the home, and the thriving business of clandestine abortion. And I've heard it in the stories of desperate housewives, dissatisfied husbands, conflicted youth, hard-pressed sex workers and many others whom I've met along the way

For all our constraints, the Arab world is neither hopeless, nor helpless, when it comes to sex. There are innovators from across the region who are trying to tackle the taboos, break the silence and deal with the fall out, be it getting sexuality education in schools or providing sexual and reproductive health services for young people, or tackling sexual violence, or trying to find space in society for those cross social norms, unwed mothers or men and women in same-sex relations among them. Nor are these projects simply carbon copies of efforts elsewhere in the world; the reason they are taking root is because they are adapted to the region, and work along the grain of religion and culture.

Read more: Tahrir's bodyguards fight to 'cure Egypt's disease'

Now Islamic conservatives argue otherwise. Too often, they say to tackle such matters is "un-Islamic" and a sell-out to the West. But this is simply not the case. Arab and Islamic culture has a long history of talking about sex, in its all its problems and pleasures, for men and women -- and that includes Prophet Mohammed himself. There is precious little in "Playboy," "Cosmopolitan," "The Joy of Sex," or any other taboo-busting work of the sexual revo¬lution and beyond that Arabic literature -- much of it written by Islamic scholars -- didn't touch on over a mil¬lennium ago.

On a wide variety of gender and sexual issues -- be it contraception or abortion or even the incendiary topic of homosexuality -- there are alternative interpretations in Islam. It's not just Arab human rights activists at the UN who have been making this point in recent days; Egypt's teenage karate dissident argues much the same. Those who seek to control society through religion -- in any culture -- discourage such independent thinking and diversity of opinion. But with the new climate of freedom of expression emerging in Egypt, and elsewhere in the Arab region, millions now feel emboldened to challenge these dictates. Politics, religion and sex are the three "red lines" of the Arab world: subjects you're not supposed to tackle in word or deed. But just as people in countries across the region are busy contesting received wisdoms in politics, and are starting to challenge the role of religion in public policy, I hope they will start asking the same hard questions of sexual life.

Read more: Don't lose hope over Arab Spring

The "slippery slope" logic reflected in the Muslim Brotherhood's statement remains all too common in across the region. It's the fear that any move toward greater personal freedom -- especially sexual freedom -- will lead to a free-for-all and a violation of Islamic principles. But this reflects a fundamental lack of trust in the citizenry, which is a feature of dictatorship, not the hallmark of democracy. If Egypt's Muslim Brotherhood wants to walk the talk of freedom and justice, dignity and equality, that means giving people information and resources and trusting them to use it responsibly -- in and out of the bedroom. Achieving these goals in personal life is important to realizing them in public life, and vice versa: the political and sexual are natural bedfellows.

Read more: Kate's breasts, Pussy Riot, virginity tests and our attitude on women's bodies

The opinions expressed in this opinion piece are solely those of Shereen El Feki.

@highlight

Egypt's government protested against a U.N. document on violence against women

@highlight

Shereen El Feki says Cairo's "hysterical" reaction was nothing new

@highlight

Politics, religion and sex are the Arab world's "three red lines," she says

@highlight

El Feki says sexuality is a powerful lens through which to study a society