Texas law regarding the death penalty often feels like a cultural remnant from the days of cowboys and the Old West: You kill; you get killed. In a recent New York Times article, the headline included the phrase, "Confronted on Execution, Texas Proudly Says It Kills Efficiently." The language feels like an understatement considering that 515 inmates have been put to death in Texas since 1982, about 60% of the national total. Unfortunately, efficiency does not equate with accuracy.

Robert James Campbell, for example, was convicted of murder and rape. His defense attorneys, however, during his trial in Texas were not allowed to introduce evidence that indicated he was intellectually disabled and struggled with right and wrong. A prosecution expert, arguing for death, said Campbell might be dangerous in the future "because he is black." These factors prompted a federal appeals court to stay Campbell's Tuesday execution and allow the introduction of additional evidence at new sentencing hearing.

Bernie Tiede, who is white, has had a different experience with Texas justice. Tiede shot an 81-year-old woman in the back and then stuffed her body into a freezer while he continued to live in her home. Although he spent 17 years in prison, Tiede was recently released when the court reconsidered his childhood sexual abuse, the kind of mitigating circumstance not allowed to be part of the record in Campbell's original trial.

Tiede's story was turned into the movie "Bernie" by Austin filmmaker Richard Linklater, who has given the new parolee a home and arranged for a job. The Texas Tribune, a politics and government news site, wrote two extensive stories about Linklater and Tiede, which gave the killer a sympathetic profile and suggested that parole was a form of justice. Linklater has contributed $10,000 to the news site, according to its own records.

When Texas was recently preparing to execute a convicted cop killer from Mexico who had an IQ of 67, I thought of a former prosecutor I knew. In a similar case, he had said, "If Mexico doesn't want its citizens executed in Texas, they should warn them not to kill people while they are here." Texas comedian Ron White has joked that while other states are eliminating the death penalty, "We've been putting in an express lane."

White is right, but Texas is often wrong.

According to the Death Penalty Information Center, DNA evidence has exonerated and led to the release of 15 accused killers since 1972. The list of what are often called the top 10 infamous cases of wrongful execution includes five victims from Texas' death row. Two of those provide more than sufficient cause to reconsider capital punishment.

Claude Jones, who was executed in 2000, was sitting in a car when an accomplice killed a liquor store owner during a robbery in 1990. The only admissible evidence against Jones was a hair found at the site of the crime. DNA forensics could not prove it was his, but less than a decade later, improved techniques showed that it was the victim's hair, not Jones'. Regardless, Texas Gov. George W. Bush and appeals courts denied Jones a reprieve, and he was executed.

Cameron Todd Willingham met the same fate in 2004 after being convicted of killing his three young daughters by setting their home on fire. The Texas Forensic Science Commission investigated the arson evidence against Willingham and concluded that the findings were a product of "flawed" processes, five years after he had been put to death in Huntsville. His family has spent the past two years seeking a posthumous pardon from the state but has met with as much denial as during his appeals process.

There is sufficient injustice to go around in Texas, but the death penalty, undeniably, is infected with racism. In Houston, prosecutors are three times more likely to seek the death penalty for African-American defendants over white suspects, according to a study last year by the University of Maryland, which looked at 500 cases in Harris County, the state's most populous legal jurisdiction. Professor Ray Paternoster, a criminologist with 35 years of experience, concluded that Houston juries sought the death penalty only 20% of the time when the defendant was white and 70% for blacks.

Increasingly, however, sentiments are shifting. We are not likely to grant reprieves to death row inmates, but Texans are beginning to acknowledge inequalities in the administration of executions and the possibility of mistakes.

Racial injustices may be why support for the death penalty is showing faltering support in Texas, particularly among an increasingly diverse population. A survey released last month by the Kinder Institute for Urban Research of Houston showed that 69% of the city's residents favor an alternative to execution. Figures indicate that 39% prefer life without parole as an option, and only 28% backed the death penalty.

Those numbers reflect the fact that Houston has become the most racially diverse large city in the U.S. Whites now constitute a minority in every age demographic except people over the age of 65. Race, though, continues to be, unquestionably, a factor in Texas justice. Although blacks are fewer than 12% of the population, they make up more than 37% of the state's 500-plus executions since the law was reinstated.

Regardless of those disturbing statistics, Texas remains very efficient at carrying out the death penalty.

Just not as proficient at delivering justice.

@highlight

Texas has executed about 500 people since the 1980s, more than any other state

@highlight

James Moore says the death penalty in Texas is infected with racism

@highlight

Blacks make up fewer than 12% of Texans, but they're 37% of its executions

@highlight

Moore: As Texas' population diversifies, sentiments are shifting about death penalty