(CNN) -- He is still a long-shot to win -- but centrist candidate Hassan Rouhani has suddenly injected fresh intrigue in Iran's upcoming presidential elections.

Early on, critics of the Islamic Republic had described the race as a sure-fire victory for one of the ruling establishment's loyalists. Ultra-conservatives have dominated the field of eight candidates, which is missing leading reformist candidates like former president Hashemi Rafsanjani.

Read more: Who is running in Iran's presidential election?

He was disqualified without explanation during the vetting process carried out by the Guardian Council, a panel of clerics and lawyers.

But there are strong signs that Rouhani is trying to revive Iran's dormant reform movement -- and some observers say that could give the 65-year-old cleric a fighting chance. Iranians head to the polling booths on Friday June 14.

"He appears to be gaining ground daily," explains Tehran-based political analyst Sadegh Zibakalam.

"The more I hear about Rouhani, the more I'm encouraged that he might be able to be a spoiler in this election," adds Nader Hashemi, director of the Center for Middle East Studies at the University of Denver.

Has Iranian regime learned nothing from 2009 election fiasco?

Rouhani's campaign gathered steam last month soon after his first live interview on state television. During his exchange with the show host, Rouhani did what few Iranian politicians dare do -- accuse Iran's state-run media of censorship and lies. Several video clips of the interview racked up thousands of views on YouTube. "He turned the host into a cutlet," a viewer wrote in the comment section.

Days later, Rouhani held a televised rally and whipped his supporters into a frenzy when he criticized the government's tight grip on security. "Why does there have to be a securitized atmosphere everywhere?" Rouhani asked the fired-up crowd. "We must crush the securitized atmosphere."

Hashemi says that Rouhani is "politically savvy and realizes there's a lot of political discontent in society. He's trying to play to that discontent as a way of rallying support to his candidacy."

Hooshang Amirahmadi: Setting the record straight

Rouhani's defiant tone seems to be winning over remnants of the Green Movement, the opposition force that exploded onto the scene during the 2009 elections, only to be later crushed by the regime's security apparatus.

Today the two main leaders of the Green Movement -- Mir Hossein Mousavi and Mehdi Karoubi -- are under house arrest and Iran's security officials have warned the public against anti-government street protests.

Amanpour explains: Iran's presidential election

But Rouhani is prodding the movement's supporters. Some of his statements echo those of the Green Movement. Last month he told students at Tehran University that the movement's initial street protests were not a foreign plot as some regime leaders had claimed in 2009. "These were protests that were natural and popular," Rouhani said. "They should have been addressed."

Rouhani's Twitter page suggests a progressive ideology. It features two women holding up his campaign poster: one of the women is holding a green Tupperware lid. It's not clear if the picture is a veiled invite to the Green Movement, but many are starting to follow his lead. At a rally this month supporters chanted Rouhani and Mousavi's names together, shouting: "Greetings to Rouhani! Salutes to Mousavi!"

But Iran's notorious security forces are paying attention too. Shortly after the rally, police arrested several members of Rouhani's campaign, state media reported.

"I think he has the potential," says Hashemi. "It depends on how much he really wants to tap into the public discontent. But of course doing so is very difficult because then he draws the attention and the ire of the regime who want to block a massive public rallying around a Rouhani candidacy."

Despite his growing popularity among opposition circles, Rouhani has long been a part of Iran's ruling establishment. He's the only cleric among the eight candidates, has close ties to Iran's Supreme Leader Ayatollah Ali Khamenei and served in Iran's parliament for two decades. He was also Iran's lead nuclear negotiator from 2003 to 2005 and currently holds seats on several powerful decision-making bodies.

But to be Iran's next president he'll have to beat several heavyweights among the ultra-conservative candidates, including top contenders like Iran's current nuclear negotiator Saeed Jalili, Tehran's mayor Mohammad Qalibaf and Ali Akbar Velayati, A senior adviser to the Supreme Leader.

Rouhani may be the dark horse but the presidential campaign is no longer as dull as some anticipated. "More and more people are saying let's go and vote for Rouhani," says Zibakalam. "I won't be surprised if he manages to win the vote."

@highlight

The 'dark horse' of Iran's election, centrist candidate Hassan Rouhani, is gaining points

@highlight

Critics had described the race as a sure-fire victory for one of the ruling establishment's loyalists

@highlight

But there are strong signs that Rouhani is trying to revive Iran's dormant reform movement