The week before Hurricane Katrina hit New Orleans in 2005, Millisia White came back to her native city on a trip for work. She stayed behind to help her family recover and has been home ever since.

There was something she felt she had to do. "When something you are so familiar with is threatened to be lost forever, you cling to what's familiar," said White, who moved back from Atlanta.

For White and her brother, that meant bringing back a century-old New Orleans practice of masking, or masquerading, which was nearly vanishing.

That year, she founded the New Orleans Society of Dance and incorporated into the dance company a cultural legacy series of dance performance that would revive tradition of the Baby Dolls -- with a modern twist.

"We wanted to do something representing this tradition and what it meant and symbolize it in some form."

The Baby Doll practice started about 1912, when groups of women in New Orleans' red light district poked fun at society's stereotypes of women by marching in street parades dressed as dolls. It grew into a tradition centered on dance and paired with jazz bands of the popular music of the era.

Groups of women embraced the attitude of freedom and the pageantry of the Baby Doll street parades, but their focus grew over the decades. They organized and began serving their community through groups called "social aid and pleasure clubs."

"These were just people who were very much of their community," said Karen Leathem, a historian with the Louisiana State Museum. "They tried to help their neighbors during an era of segregation and limited opportunity for all people of color."

However, by the 1980s and 1990s, only a handful of groups were masking as Baby Dolls.

Several neighborhood groups like the Million Dollar Baby Dolls and the Ernie K-Doe Baby Dolls were active in the new millennium. But by 2005, the Baby Doll practice seemed as if it was about to be forgotten in Katrina's wake.

"My brother and I decided, we needed a sort of campaign," White remembered. "It all started so we could give something back in our own backyard."

She had heard about the Baby Doll tradition as a child and felt that it was a medium close to her heart. "It's synonymous with dance and with women," she said.

White's revival produced the Baby Doll Ladies, with costumes, face paint, music and dances that are modern takes on the Baby Dolls of the past. Rather than using a live band, her brother DJ Hektik plays mixes of hip-hop and jazz for their choreographed performances.

But White also wanted to bring back the community focus central to the Baby Doll tradition.

By partnering with local schools and cultural organizations, the Baby Doll Ladies connect with youth through education and outreach programs. "Mainly, our focus as been creating creative movement-based workshops and motivational assemblies," she said.

Led by the fully costumed Baby Doll Ladies ensemble, the group takes students from the history of jazz to modern hip-hop. The kindergarten-12th grade workshops bring a cultural history lesson to inner city youth, many of whom don't know the history of New Orleans' treasured music and cultural practices.

"We just treat it like we're in Idaho," White joked. "We just take it from scratch with them, introducing the culture, the significance of all that's positive about the African-American tradition."

Sine their debut at the New Orleans Jazz and Heritage Festival in 2009 and the Zulu parade during Mardi Gras 2010, the Baby Doll Ladies have grown from a dance ensemble to an organization of women inspired to do good in their community.

"It evolved from a promiscuous background to neighborhood groups mimicking that behavior," White said, "to now, women of excellence."

With a group of Honorary Baby Doll Ladies, the group is has more than 40 members this year.

From health professionals to bus drivers to charity organizers, each of the women inducted into the group uses her time and talents to further the Baby Doll Ladies' mission.

For White and others, the legacy of the revival was in safeguarding the history of the tradition. "The first responsibility that we really felt was the need to preserve it," she said. "I couldn't think past the museum."

White helped curate the first Baby Doll exhibit at the Presbytere with a group of historians and authors. Working with Baby Doll elders and the descendants of Baby Dolls, the exhibit shares their stories and traditions with artifacts in the museum.

As their membership grows, the Baby Doll Ladies hope their mission to reach their community through the practice will grow as well. This year includes plans for health and wellness seminars to go along with their education outreach.

"It's related to what these women did in the '30s and '40s," Leathem said. "They dressed as Baby Dolls for Mardi Gras day, but they were still a cohesive group the rest of the year."

@highlight

Baby Doll masking practice started in New Orleans about 1912

@highlight

In 2005, Millisia White and her brother started a modern revival

@highlight

Group's mission is to preserve and pass on tradition through education, community service

@highlight

They go into schools to teach a forgotten element of New Orleans culture