Kirkuk, Iraq (CNN) -- The American military footprint in the volatile northern Iraqi city of Kirkuk has all but disappeared ahead of a year-end deadline to withdraw, raising questions about the security of a small contingent of State Department employees and contractors staying behind.

The questions come as Iraqi and U.S. officials welcomed what they have called in recent weeks a new phase in the American-Iraqi partnership.

"We are absolutely committed to be your partner to the extent you want us to be," Vice President Joe Biden told Iraqi Prime Minister Nuri al-Maliki during a visit last week to Iraq.

"We stand read to provide assistance."

The State Department mission in Kirkuk is one of a handful of operations that takes over where the U.S. military leaves off, and the missions together are considered one of the largest rollouts of manpower by the United States since the rebuilding efforts in Europe and Japan following World War II.

The Office of Security Cooperation-Iraq, as the State Department mission is known, is taking over in some case where the military left off by providing assistance to the Iraqi government and training for the Iraqi military.

At Kirkuk, the questions about security come in the wake of routine insurgent rocket attacks in the days leading up to the departure of U.S. troops. One attack resulted in the death of an American soldier and the wounding of at least four others, military officials have said.

iReport: Share your stories from Iraq

During a recent town hall meeting held at the base, contractors and security personnel asked about security measures.

"Are we going to be safe?" one woman asked Army Lt. Gen. Robert L. Caslen via a video-teleconference, which was attended by a CNN reporter and producer.

She also asked Caslen if he could assure them they wouldn't be overrun.

Caslen, who has been charged with overseeing OSC-I and military sales to Iraq, told the woman -- and the larger audience -- that U.S. officials will not be leaving the workers unprotected.

A large private security force has been hired as part of the effort to protect the thousands of State Department workers and contractors staying behind after the January 1, 2012, withdrawal deadline.

While violence has fallen off across much of Iraq, bombings and shootings remain a near-daily occurrence in Kirkuk, which is home to nearly a third of the country's oil reserves.

Kirkuk is populated by ethnic Kurds, Arabs and Turkmen. Tensions among the groups run high in the city, to which the Iraqi government in Baghdad and the semi-autonomous Kurdish region have both laid claim.

The meeting, held in November just days before the last U.S. troops left the compound, came as the base was undergoing a transformation.

"There is no more operations center. There are no battle captains. There are no more commanders. There are no more military titles on the base," Army Col. Angelo "Tony" Riddick told CNN during a recent interview at Camp Warrior.

In fact, Riddick -- who is the military liaison for the base -- is not referred to by his rank, but rather his title, site lead for the Office of Security Cooperation-Iraq, Kirkuk.

"At any given time, a few weeks ago you would see a couple hundred soldiers moving in and out" of the base housing area, Riddick said during the tour.

"Right now, we barely see one."

Even the name of the base is in transition.

Camp Warrior, once a bustling foothold for the U.S. military, is currently known as Contingency Operating Site Kirkuk, said Frank Lands, the installation manager.

The idea is to remove the U.S. military association that Iraqis and others have with the base, Lands said.

"Our mission is to support the Iraqi operations. Period. We do not have a combat mission. Period," Riddick told CNN.

During a tour of the base, there were numerous signs that the American mission in Kirkuk -- and in Iraq, as a whole -- was changing almost overnight.

The size of the base had been reduced, and the State Department mission there now refers to itself as a "tenant of Iraq."

"We are going to be a small tenant, a small operating cell," Lands said.

The Iraqi air force was taking over a large portion of the base, including the air field. Civilian contractors were taking over where the military left off and training Iraqi air traffic controllers.

While much of the American military presence has been wiped away at the base, a salute to fallen American troops will remain.

At the center of the compound, more than a dozen giant concrete blast walls ring an area that will be used as a public gathering spot.

The walls, painted black, bear the names -- in yellow paint -- of every American service member killed in Iraq.

Home and Away: Coalition casualties in Afghanistan, Iraq

The name of the last American soldier killed in Kirkuk, 1st Lt. Dustin Vincent, was added to the walls just days before the troops left.

"These walls were actually located around different parts of the base," Riddick said, surveying the memorial that is reminiscent of the Vietnam War memorial in Washington.

"When we had a mission to close the footprint of Kirkuk, we decided to bring these walls in," he said. "We are going to maintain this memorial until our mission is terminated."

CNN's Mohammed Tawfeeq contributed to this report.

@highlight

The U.S. State Department is taking over where the American military leaves off as it withdraws from Iraq

@highlight

"We do not have a combat mission. Period," the military liaison in Kirkuk tells CNN

@highlight

The base, formerly known as Camp Warrior, is now called Contingency Operating Site Kirkuk

@highlight

Questions about the security and safety of contractors are being raised as the U.S. military leaves