(CNN) -- Ask any teen whether he or she suffers from social media anxiety, and the answer will probably be no.

That's what happened when six teens and adolescents -- five from New York and one from Los Angeles -- got together recently for a unique weeklong workshop at the offices of SheKnows.com, a leading women's lifestyle media platform.

The teens didn't think that Facebook, Instagram and Snapchat, their go-to social networks, added much extra anxiety to their lives. But then the conversation turned to the importance of likes and the fear of missing out, also known by the acronym FOMO.

Sadie, a 10th-grader in Brooklyn, New York, said she'd never heard the acronym before but is definitely familiar with the feeling.

"You see on, I guess you could say, Facebook or even Snapchat ... you see your friends hanging out with other people, and you're like 'Oh, I'm alone right now,'" she said. "And even if there's no way you could get to them even if you wanted to, it still just makes you feel bad or lonely or sad."

The upside of selfies: Social media not all bad for kids

Olivia, 12, said she sometimes feels that way, too. "If there's an event that maybe I'm not at or my friends are hanging out with each other ... sometimes I kind of feel, I guess, kind of left out."

The quest for the '100 club'

The teens and tweens also agreed there is a constant -- and at times anxiety-inducing -- fixation with likes.

"People will be like, 'Oh, are you in the 100 club?' " Sadie said of getting 100 or more likes for a post.

The 15-year-old told the story of a friend who changed her profile picture and didn't get the 200 likes she normally gets on the first night whenever she makes such a change.

"She was freaking out," she said.

The more likes, the greater the social standing you appear to have, the girls said.

"People feel that when they get a lot of likes. It means that they're pretty and popular, and that makes them feel better," Sadie said.

Schools step up social media monitoring of students

Said Olivia: "I really do notice that a lot of people who get tons of likes and have tons of followers on Instagram and Facebook do tend to think that they are really popular and that everyone knows who they are, when ... all their followers haven't even met them before."

Likes translate into validation and attention, said Diana Graber, co-founder of CyberWise.org, a digital literacy site for parents, educators, and tweens and teens. Graber also teaches "cybercivics" to middle schoolers in Aliso Viejo, California.

When she overhears conversations of students, she says, she very often hears things like, "Check this out; I have this many likes."

"It's almost like a little competition for the number of likes," Graber said. "I think that's anxiety-ridden, because you get likes based on how many friends you have, and you have to keep posting things to get more friends and it's like a vicious circle."

Graber says this phenomenon was illustrated by a recent assignment in her classroom. She asked her students to try to go 24 hours without social media during one of three weekends.

Middle school transition tough for teens and parents

Of the 28 students, only one was able to do it. The teens couldn't stand not knowing what their friends were doing, Graber said.

"It was very hard. I kept getting tempted by my phone and my friends," wrote one student, who said he could last only five hours in his social-media-free zone.

Research: Social media can make you feel sad

Studies show that social media can actually make you feel bad about yourself. According to a study last year by the University of Michigan, the more people checked Facebook, the worse they felt about their lives.

Another study, this one by German researchers, found that a third of people felt worse after spending time on Facebook, especially if they spent time viewing vacation photographs.

Helping students realize the impact of social media on them was a big goal of the summer workshop held by SheKnows.com. That workshop also served as a pilot for a program called Hatch, which was just launched by the company.

As part of the new effort, kids ages 9 to 16 create videos for adults, said Samantha Skey, SheKnows.com's chief revenue officer. The informal tag line for the program is "content for grown-ups made by kids on a mission," she said.

What counts as a real name on Facebook

"It's content by kids, but it's really meant to address topics of interest to their parents in many cases," she said. "The mission component is focused on teaching them digital literacy and citizenship while also allowing them to play with digital storytelling."

Reese, an 11th-grader in Los Angeles who participated in the Hatch pilot program, said she didn't really give much thought to the notion that digital media can impact people emotionally until there was a discussion about its psychological effect.

"And I found out that I am kind of neurotic about some things," she said. "For example, when I text someone and I think that I might have made them upset because they didn't reply right away, I automatically assume that they got mad at me."

To prevent that from happening, she admits closing nearly all texts with a smiley, exclamation point or LOL.

Sadie, who also participated in the Hatch pilot, says she now looks at Snapchat and Facebook a bit differently.

"I know (they) can also have a negative psychological effect that I feel like didn't occur to me as much," she said.

Starting conversations early

The takeaway from the workshop, said Skey, was that there is a "huge opportunity" to talk with teens about social media. "A lot of them say that educators are not talking to them about media and social media unless they're telling them not to do something."

Talking about social media early and often is key, says Graber, who did a demonstration this month for principals and other educators from across the state of California on how she teaches digital literacy and citizenship to teens.

How to cut your child's cell phone addiction

"I always say to parents: It's not one conversation. It's a thousand small conversations, and it is really starting young," she said. Take an interest in what your children are doing online and have them show you why they like it, she said.

"And then you are in the circle," she added. "It's pretty easy to get there but you have to start when they are young."

Graber, who starts teaching students in the sixth grade, said it often takes her students until the eighth grade to figure out all the social media angst "ain't worth it."

"It's a huge trajectory to get there ... when they start saying, 'Gosh that's a waste of my time.' "

Do you get anxious if you don't get a certain number of likes on social media posts? Tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

The quest for likes and the fear of missing out can cause social media anxiety among teens

@highlight

At a recent workshop, teens realized how social media can affect them emotionally

@highlight

Study: The more people checked Facebook, the worse they felt about their lives

@highlight

Conversations about social media need to start when kids are young, says expert