(Mental Floss) -- Are you thinking of getting a graduate degree, but want something with a narrower focus than an MBA or a JD?

Schools around the world offer all sorts of incredibly focused graduate degrees to students who are trying to break into very specific fields.

Here's a look at a handful of programs you might not have known about.

1. The Beatles, Liverpool Hope University

Anyone can listen to the Beatles' records, but it takes a special kind of fan to pursue a master's degree in the Fab Four.

Last March, Liverpool Hope University announced that during the 2009-10 academic year it would begin offering a first-of-its-kind masters degree in a field of study it dubbed "The Beatles, Popular Music, and Society."

The program consists of two night classes per week for an academic year and focuses on everything from the band's songs to the influence of their fashion on youth culture. Really, the only way to top this degree would be to get a doctorate in Rolling Stones-ology.

2. Thanatology, Hood College

At first it may seem a bit odd that a person would want to get a Master of Arts in Thanatology, or the academic study of death, but Hood College offers the course of study to prepare students for work with terminally ill patients and the bereaved.

Graduates of the program leave with a greater understanding of death and the grief process, which gives them a specific set of skills they can take to work in hospices, hospitals, or nursing homes.

3. Puppetry, University of Connecticut

If you're an aspiring puppeteer in search of a master's degree, you've got one choice: the University of Connecticut. UConn has been offering classes in puppetry since 1964, and the school now says it's the only institution in the country that offers MA and MFA options for puppet arts.

Courses like "DA 5601: Marionette Construction" would be sure to make you the envy of any friends slogging through more mundane coursework in their own grad programs.

Mental Floss: 9 muppets kicked off Sesame Street

4. Homeland Security, Fairleigh Dickinson University

Want to spruce up your resume for a job in homeland security? If you've got an Internet connection, you can earn a Master of Science in Homeland Security (MSHS) from Fairleigh Dickinson University. The degree requires 12 courses, including core classes like "Weapons of Mass Destruction/Terrorism Awareness."

5. Recreation Administration, California State University Long Beach

California State University Long Beach offers a Master of Science in Recreation Administration through its Department of Recreation & Leisure Studies.

According to the program's Web site, it "helps prepare professional personnel who can contribute to the development of a philosophy of leisure" and "are competent managers of private and public agencies and programs."

6. Fire Protection Engineering, Worcester Polytechnic Institute

Yes, this one's a niche, but it's one we're all glad exists. Worcester Polytechnic Institute offers grad degrees in fire protection engineering that include coursework like "FPE 575: Explosion Protection" and "FPE 554: Advanced Fire Suppression."

7. Parapsychology, Coventry University

If you're interested in scientifically studying the existence of psychic abilities and life after death, England's Coventry University has just the program for you.

According to the school, its distance-learning MSc in Parapsychology "provides a thorough empirical, theoretical and methodological introduction to the controversial field of parapsychology." Whether or not you believe in ESP, you've got to admit a course title like "Extrasensory Perception and Psychokinesis Research" sounds a lot more interesting than many graduate classes.

Mental Floss: 11 unusual college majors

8. Anime, Tokyo University of the Arts

Tokyo University of the Arts offers a course of graduate study in anime that evaluates existing work while also challenging its students to create innovative new animations of their own.

9. Lighting Design, Parsons the New School for Design

Parsons the New School for Design claims that it offers the only architectural lighting program focused "primarily on design and social practice." Students learn about "the intellectual, aesthetic, and technical aspects of lighting" in order to design better-lit spaces.

10. Gastronomy, Boston University

Boston University offers a multidisciplinary Master of Liberal Arts in Gastronomy that offers students a chance to study "the role of food in historical and contemporary societies from a variety of perspectives." The program draws from arts, humanities, and social science departments to help students flesh out their understanding of foods.

If you love food, this sentence from the program's Web site has to make your mouth water a bit: "The program offers special emphasis on experiential learning through hands-on culinary arts laboratories and wine studies courses."

Mental Floss: 10 foods that (thankfully) flopped

11. Wood & Paper Science, North Carolina State

North Carolina State University's College of Natural Resources offers a variety of masters and doctoral programs through its Department of Wood & Paper Science.

According to the program's Web site, students' coursework can included classes on such specific topics as wood-moisture relations and lumber drying, paper physics, and wood tool design, performance, and wear.

12. Sequential Art, Savannah College of Art and Design

Savannah College of Art and Design offers students the chance to get their MFA in sequential art. What exactly is sequential art, though? It includes comic books, graphic novels, storyboards, and children's books.

The program gives students the chance to take some pretty specific coursework, including electives on Manga and superhero comics, comic strips, and advanced writing for comics.

13. Appalachian Studies, Appalachian State

Appalachian State University offers masters degrees through its Centers for Appalachian Studies. Students in the interdisciplinary program can concentrate on Appalachian culture, sustainable development, or Appalachian music.

The program also offers students a chance to study abroad in Wales for a comparative analysis of Wales and Appalachia, including a look at Welsh migration patterns to Appalachia.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

If you want to study it, there may be a college that teaches that topic

@highlight

University of Connecticut says it's only school offering Masters in puppetry arts

@highlight

Take a class in Weapons of Mass Destruction at Fairleigh Dickinson University

@highlight

Savannah College of Art and Design teaches comic books and graphic novels