(CNN) -- There is always a reason to party, and Africa, with its rich cultural diversity, could be described as a festival continent. But while music festivals like Mali's Festival au Desert and Morocco's Mawazine are well known to international travelers, Africa offers much more, celebrating everything from rose harvests to religious saints.

CNN takes a look at five African festivals you shouldn't miss.

Maralal International Camel Derby -- Kenya

Every year in August, the little township of Maralal in Kenya's Samburu district comes alive. This is where the International Maralal Camel Derby is held -- a competition between both professional and amateur camel jockeys.

Read more: Lagos photo festival puts mega city in the spotlight

The festival takes place over three days and originally started to promote peace among the different local tribes. Riders from different tribes come together to enjoy the party, and foreign visitors have described it as something like a version of a European music festival.

In the last few years, the festival has become more popular among tourists, and is now attracting foreign participants too.

Whether you're there for the shorter 10 km amateur race or the 42 km marathon, this is a festival that suits everyone, as even kids can try to ride a camel. Lonely Planet author Stuart Butler has traveled extensively through Africa and visited the festival in 2011. He recommends that visitors see the amateur race.

"It's more interesting to watch, because anyone can go and do it. Lots of people have never been on a camel in their life," Butler says. Since it's a festival, there are also many other activities going on, such as traditional local dances, arts and craft and of course -- parties.

Timkat -- Ethiopia

Ethiopia's most colorful festival, Timkat, or Timket, is a Christian three-day event held every year from January 18 to 20. It is held throughout the country and celebrates the baptism of Jesus in the Jordan River.

The best place to witness it is in the former imperial capital of Gonder, where the main event takes place at Fasiladas' Bath. This is where the royal family used to bathe, and is now only filled up with water before the festival.

On the eve of Timkat, the Tabot, a model of the Ark of the Covenant, is carried by a priest in a procession to the bath, where the water is blessed.

Read more: Photographer gives snapshot of vanishing way of life

"After the priest has blessed the water, everyone jumps in," says Butler. "I have never seen tourists join in, but everyone is allowed to."

Pilgrims come from miles away to celebrate Timkat, and to pray and be blessed.

"Anyone interested in the culture of the Ethiopia would be there," says Butler. "You do feel like you're going back in time and it feels like you're witnessing something that could be from the European medieval times."

Festival of Roses -- Morocco

The Festival of Roses is held annually in May, depending on the timing of the rose harvest.

The region close to the High Atlas Mountains supports a big rose-growing industry. The sweet-smelling flowers are the lifeblood of the small town called El-Kelaâ M'Gouna, where the festival takes place.

The town is famous for the vast landscape of pink Persian roses that stretch out within the oases of the Dadès Valley, also referred to as the Valley of Roses.

Each year, around 20,000 people visit the Festival of Roses, which is a three-day celebration full of joy, good food, dancing and singing, as well as a carnival procession and the crowning of a "Miss Rose," who will be the queen reigning over that year's crop.

Read more: 'Star Wars' film set in the Sahara

"Everyone is wearing roses, in their hair, behind their hair; people throw rose petals and there are roses all over the streets," says Butler. He says it isn't too well known to people outside Morocco and recommends combining a visit to the festival with hiking the Atlas Mountains.

Ben Aissa Moussem -- Morocco

Morocco is a predominantly Islamic country and celebrates many Muslim festivals throughout the year. The Ben Aissa festival is the country's largest moussem, which means "honoring of saint" and has its roots in Sufism -- often described as the mystical side of Islam.

The festival takes place in the Sidi ben Aïssa mausoleum in the northern city of Meknès, and this moussem honors the Aissawa brotherhood and its founder, Sidi Mohamed Ben Aissa.

The religious and mystical brotherhood was founded in the 15th or 16th century and the Aissawa were known for their spiritual music and their ceremonies where people dance themselves into ecstatic trances and ate practically anything, even glass, while in a trance.

In recent times, the festival has become less about the glass-eating and more about the cultural events. One of the most spectacular attractions is the Fantasia, where horses charge at full gallop with their riders firing rifles.

The Ben Aissa moussem also features medieval displays, singing and dancing -- and music is performed in extended sessions.

"It can be eye opening if you don't know much of Islam," says Butler, remembering his visit to the festival. "My impression of Islamic festivals is that they are quite sober, with a very serious eye to it. But around the very serious side, there's a real carnival atmosphere."

This festival takes place in January and is dependent on the Islamic calendar, but is always on the day before the birthday of Prophet Mohammed.

Voodoo Festival -- Benin

Voodoo (or vodun) has been an official religion in Benin since the 1990s. Since then, there has been an annual festival in its honor.

Voodoo originates in West Africa and followers believe in one supreme being and other lesser divine beings, and that the world of the living and the world of the dead are intertwined.

The Voodoo Festival takes place every January in the city of Ouidah, the historic center of voodoo worship, with main festivities located on the beach.

It's Benin's most colorful and vibrant event, featuring voodoo dolls, horse racing on the beach, as well as dancing and drinking.

The festival starts with the supreme priest ceremony, where a goat is slaughtered in honor of the spirits. It's also famous for the drinking of gin, which can come in handy for the faint-hearted.

Charlotte Lytton and Frances Perraudin contributed to this report.

@highlight

Africa rich cultural diversity means its festivals are colorful, cultural and varied

@highlight

The festivals celebrate everything from rose harvests to religious saints

@highlight

Tourists increasingly visiting festivals such as Maralal Camel Derby, in Kenya