Washington (CNN) -- While 39 House Democrats voted with Republicans on a proposed fix to canceled insurance policies under Obamacare on Friday, sources on both sides said more would have defected without President Barack Obama's mea culpa over the mess.

As it is, the vote is an embarrassment for the President, but it could have been worse. Another 18 defectors could have given Republicans a veto-proof majority and ammunition to really pressure the Democratic-controlled Senate to take up the measure.

But senior Democratic aides said that might have been possible before Thursday. That's when Obama took action on his own, met with reporters to talk about it, and dispatched his Chief of Staff, Denis McDonough, to Captiol Hill to meet with Democratic lawmakers.

One senior Democratic House aide described the mood of the caucus between Wednesday and Thursday as "night and day." Other aides echoed that sentiment.

In addition to announcing his plan to try to repair the damage done under Obamacare, the President's Q&A was as much about trying to provide political cover for Democrats in tough reelection bids next year.

Some have been targeted by the Republican Party's campaign machine. Almost all of the Democratic defectors fall into that category. Freshman Democratic Rep. Pete Gallego of Texas tried to play down his vote as a rebuke of the President.

"For me personally, it was an issue of giving some people some time to transition to do things in an orderly way. There's clearly some issues that we'd like to fix and make better," he said.

Rep. Ron Barber, another Democrat who faces a tough campaign next year in Arizona, also rejected the notion that a vote for the Republican bill would help undermine the entire Obamacare law.

"I think any fix that we can make, particularly when a problem arises, is good for the people back home. And look, the truth of the matter is: I'm accountable to the people who sent me here," Barber said.

"I respect our leadership on both sides of the aisle, but the leadership didn't elect me; my constituents did. And I'm going to make sure I listen to them, and do what I can to support them when they have problems and concerns, and that's what I'm doing in this case," he added.

Rep. Gerry Connolly of Virginia told CNN on Thursday he was undecided on how he would vote but ultimately decided to vote against the GOP plan after he was briefed on the President's fix.

"The Upton bill did nothing to address the situation in which some individuals have had their coverage canceled by their insurance provider," Connolly said. "We cannot allow Americans to be subjected to capricious cancellations, lifetime limits on their coverage, no coverage or unaffordable coverage because of pre-existing conditions and higher premiums based on gender for the same basic coverage."

The legislation proposed by Rep. Fred Upton would extend for a year those policies that were set to be canceled, and would allow anyone to purchase them. They are for the most part cheaper but they don't meet coverage demands spelled out under the Affordable Care Act.

The fix: Obama tries to dig out of his big Obamacare hole

Obama

After the President's news conference on Thursday during which he said he "fumbled" the Affordable Care Act's launch, he immediately resumed his public relations tour touting the measure -- his signature domestic policy achievement.

"We're not going to gut the law. We're going to fix what needs to be fixed," Obama said in Cleveland.

After fix, Obama vows not to 'gut' health care reform

Friday, he was back at the White House working to keep his promise to address its shortcomings as the Republican-led House took its own action to reverse the insurance policy cancellations.

Obama met with insurance company CEOs whose help he needs to carry out freshly announced rules that would allow those receiving health policy cancellations due to Obamacare to keep their plans for another year.

The discussion with the CEOs, who represented the country's major insurance carriers, revolved around the best paths for consumers to enroll in coverage.

"The discussion was productive -- the insurance CEOs and administration officials discussed the next steps in working with states and state insurance commissioners to use the new flexibility the administration announced to address cancellation notices going to consumers," the White House said in a statement.

Everyone attending the meeting "stressed the importance of working together to minimize disruption for consumers as well as the need to continue to reach consumers with clear information about their options and choices."

The White House did not detail the meeting nor did it disclose what, if any, potential solutions were offered.

John King: For Obama, a bad turn or a tipping point?

Senate Democrat alternative parked -- for the time being

Despite Obama's apology and efforts to make amends for saying previously that Americans wouldn't lose coverage under the law he championed, a couple of moderate Democrats in the Senate said they would still push for a legislative fix that goes a little further than the administrative steps outlined by the President on Thursday.

"I feel deeply responsible for making it harder for them," Obama said on Thursday about Democrats who supported his bill and now face tougher reelection bids because of the law's difficult beginning.

Vice President Joe Biden joined one of those Senators, Kay Hagan of North Carolina, at a campaign event on Friday.

But Democrats who lead the Senate have indicated, however, that they will not bring up new Obamacare legislation for a vote for the moment, wanting to first see how the President's approach works.

Republicans: We told you so

Republicans have spent much of the past three years attempting to defund and dismantle Obamacare as unworkable and an illegitimate law since it was rammed through by a Democratic Congress without their backing and then signed by a Democratic president.

They have held hearings and investigations and the House has had dozens of votes to weaken or repeal it. Now, GOP lawmakers are seizing the moment with the law under fire to effectively say "we told you so."

House Speaker John Boehner recently called Obamacare "a failure" and Democrats risk supporting it further at their political peril.

Insurance companies

The White House did not mandate the changes on policy cancellations but asked insurance companies to take the lead and offer extensions.

Health insurers, as represented by the America's Health Insurance Plans trade group, warned that last-minute changes in the law could "destabilize the market and result in higher premiums."

The individual policy contracts that are most affected comprise about 5% of the overall insurance market.

White House, insurers locked in unhappy marriage

At least one major insurer, Aetna, said it would allow for extensions, but put the burden on state insurance commissioners to approve the changes.

These entities regulate industry and usually look out for consumer interests. They determine coverage standards and benefits.

Insurers met with Obama at the White House on Friday where he said they would "brainstorm" on the best approach for carrying out his rule changes.

State insurance commissions

Although they are ultimately responsible for allowing the extensions, an insurance commission source said state commissioners were "not consulted" prior to the President's announced administrative fix.

3 hurdles Obamacare must overcome

The reason for many cancellations was that affected plans didn't meet new federal standards for minimum coverage requirements under Obamacare. This includes preventative care, maternity care and mental health care.

Washington State indicated that it would not allow a year extension, saying that it is too complicated and disruptive at this late date.

More than canceled insurance plans

Canceled policies is not the only headache for Obama.

The federally run website where consumers can purchase insurance, HealthCare.gov., barely functioned on its launch October 1.

While improvements have been made, problems continue, making it difficult for people to enroll and browse plans offered by private companies.

Including similar online exchanges offered through 36 states, overall Obamacare enrollment numbers for the first month underperformed with only 106,000 signing up for coverage.

That's far from the seven million over time that experts anticipate will be needed to ensure that Obamacare works economically. It relies heavily on younger, healthier participants to help cover the cost of insuring older people who need more health care services.

A bright spot, however, is the enrollment of Medicaid, which has been expanded in 25 states under the new law. Nearly half a million people have signed up for benefits under the federal health insurance program for the poor.

CNN's Deirdre Walsh, Dana Bash, Ted Barrett and Kevin Liptak contributed to this story

@highlight

NEW: Obama and CEOs discuss steps to address policy cancellations, White House says

@highlight

The House votes on a bill to address canceled insurance plans

@highlight

Biden campaigns in NC with Sen. Hagan, who has pushed for changes to Obamacare

@highlight

Thirty-nine Democrats vote for GOP House bill aiming to reverse canceled policies