(CNN) -- Melanie Servetas lived the American dream. She had a six-figure salary as an executive with Wells Fargo, a Jaguar and a three-bedroom house in sunny Southern California. But then, she fell in love.

She met someone from Brazil on an online dating service. They chatted over the Internet and by phone for five months and decided they wanted to be together.

That's where this simple love story gets very complicated.

Servetas' partner is a woman, Claudia Amaral. If she were a man, the two could get married and Servetas could apply for her spouse to be admitted to the United States and eventually gain permanent residency.

But current immigration law does not allow a U.S. citizen in a same-sex relationship to sponsor his or her spouse or partner. There are nearly 30,000 such couples in America who now find themselves in the crosshairs of two critical national debates: the 1996 Defense of Marriage Act, or DOMA, and immigration reform.

One of those debates could be settled Wednesday.

The Supreme Court is poised to hand down decisions on two gay marriage cases Wednesday, the last day of the court's term. One involves the constitutionality of Proposition 8, a California referendum that banned same-sex marriage. The other is DOMA.

If Prop 8 is struck down, Servetas could marry Amaral in her home state just like she could in the District of Columbia or one of the 12 other states that allow gay marriage. But that marriage would be invisible as far as immigration law is concerned. Servetas could not sponsor her wife because of DOMA, which prohibits the federal government from recognizing same-sex marriages.

So Servetas, 48, gave up her life in the United States and moved to Brazil, where she launched an information technology company. The company is struggling and Servetas misses everything about America. But she cannot imagine a life without Amaral.

"Our life is surrounded by uncertainty. We live in limbo all the time," she said, not knowing if one day her work visa in Brazil might not be extended. She goes to sleep every night worrying that tomorrow, she may be separated from the woman she loves.

If the justices strike down DOMA, bi-national gay couples will gain the same immigration rights as heterosexual married couples.

At the same time, Patrick Leahy, a Democratic senator from Vermont, has filed an amendment to an immigration reform bill in the Senate that would afford gay couples equality in immigration sponsorship.

Steve Ralls, spokesman for Immigration Equality, an organization that has been working on this issue for two decades, said for the first time, the LGBT community is optimistic that immigration policy will become less discriminatory.

"As of today, we are stuck in a race to see who's going to solve the problem first," Ralls said. "If the Senate bill is about to receive its final vote and either we do not have a court ruling or we have a bad court ruling, then (Leahy's) amendment becomes absolutely critical for binational couples."

Gay rights plan clouds immigration reform prospects

The amendment, however, doesn't sit well with conservatives and even with more liberal lawmakers who believe it could potentially derail the entire immigration reform bill. The chances of Leahy's amendment passing, say immigration activists, are slim to none.

In any case, if the Supreme Court strikes down DOMA, the immigration amendment would be moot.

"I can't sleep thinking about all this," Servetas said from her residence in Rio de Janeiro.

A bill to recognize same-sex partners for immigration purposes was first introduced in Congress in 2000. Since then countless couples have been separated or have had to make the same difficult decision as Servetas and leave home.

In Atlanta, Nepal native Satyam Barakoti, 36, has grown resolute in her efforts to establish a normal life, despite the dark immigration cloud that hangs over her.

She and her partner, Tonja Holder, have been together five years and run a nonprofit consulting agency. They bought a house, and Barakoti is halfway through her first pregnancy. (More than 17,000 children in this country are being raised by binational couples.)

Holder and Barakoti have picked out names: Kabir if it's a boy and Annapurna for a girl.

But come February, Barakoti's temporary work visa, known as an H-1B, will expire, and she could very likely have to leave America. Holder cannot sponsor her for permanent residency or what's more commonly called a green card. Barakoti's child will be born a U.S. citizen, but under current law, children cannot sponsor parents until they are 21.

"We're kind of waiting to see what happens in the Supreme Court. Our options are very murky," Barakoti said.

They could move to Nepal, but it will be difficult there for Holder. She's 47, settled in Atlanta and doesn't speak Nepali. The two have discussed moving elsewhere, maybe to immigration-friendly Canada.

Mercer University law professor Scott Titshaw, who practiced immigration law for 12 years, described "love-exiled" cases as one of the few instances in which he has given this advice: Go north.

"Marriage is just so important to U.S. immigration law," Titshaw said.

Opinion: Gay rights, immigration reform on collision course

Canada is the top destination for same-sex binational couples in the United States because of proximity and its immigration system. Canada uses a point system to determine who will be allowed in to live and work. Applicants are awarded points for proficiency in education, job experience and language skills. If one partner qualifies for immigration status in Canada, he or she can sponsor the other.

Shehan Welihindha, 31, of Sri Lanka and his spouse, Ryan Wilson, 29, live in South Carolina, a state that bans same-sex marriage. They were among the first seven couples to get married in Maryland -- Wilson grew up in Baltimore -- on New Year's Day after that state approved same-sex marriage last fall.

But now, with an expiration date on Welihindha's student visa, they're considering Canada.

Welihindha watched his brother marry an American woman and become a citizen. His younger sister married an American man and within a very short time, she received her green card. But when Welihindha's visa expires, he will either have to find a job with a company that might sponsor him or leave.

"When we think about graduation or starting a family, it takes us back to that root conversation about immigration," said Welihindha from his home in Columbia, South Carolina.

In all, 31 countries recognize same-sex relationships for immigration purposes. Some, like Great Britain, don't have legalized same-sex marriage but still recognize same-sex couples.

That's why Brandon Perlberg, 35, abandoned his law career in New York and moved to London to be with his partner, Benn Storey. Even though the state of New York approved same-sex marriage in 2011, a wedding was not going to help when Storey's temporary work visa ran out.

"You don't get more committed than giving up your country," Perlberg said. "That's the value DOMA was supposed to be protecting. Isn't marriage all about the sanctity of commitment?"

Perlberg is angry -- not at his partner but at his country -- for having to give up everything he cherished and begin again in a foreign land.

Psychology professor Nadine Nakamura is researching people like Perlberg and the emotional toll of having to live in exile for the sake of preserving a relationship.

"The whole situation of not knowing what the future holds and kind of having to wait with bated breath to see what politicians or the Supreme Court decides creates a great deal of anxiety," said Nakamura, who teaches at the University of La Verne in southern California. "A lot of same-sex binational couples have a hard time trying to figure out what their future looks like."

Barakoti said she has lived with that anxiety since she arrived in the United States in 2001, constantly filing paperwork for visa applications including an employer-based green card sponsorship that was rejected. It became so all-consuming that she decided not to fret about it anymore. She and Holder are bracing for a high court decision that will not be in their favor.

"Whatever they throw at us, we'll manage," Holder said.

They know one thing: No matter what, they will find a way to be together. But no one, they said, should have to choose between love and country.

Follow Moni Basu on Twitter

@highlight

The Supreme Court is poised to hand down a ruling on same-sex marriage

@highlight

Because of DOMA, U.S. citizens cannot sponsor same-sex partners for immigration

@highlight

30,000 same-sex couples are in the crosshairs of two national debates

@highlight

Amendment to immigration reform bill would also bring relief