(CNN) -- It's not clear if the Boston Marathon bombing suspects -- identified as brothers from the Russian Caucasus who moved to the United States several years ago -- were radicalized as a result of their ethnic Chechen roots.

But the question is bound to arise.

Whatever emerges about the brothers' ties to Russia's North Caucasus region it's a part of the world that's no stranger to violence or terrorism.

The troubled region includes the Russian republics of Chechnya, Dagestan, Ingushetia, Kabardino-Balkaria and North Ossetia.

The suspects' uncle, Ruslan Tsarni, who now lives in Maryland, said they had brought shame on their family and "on the entire Chechen community."

Tsarni, who said he had last seen his nephews when they were children, told reporters that they were born in Kyrgyzstan but were ethnic Chechens.

He attributed their actions to "being losers" and harboring "hatred to those who were able to settle themselves" -- and insisted it had nothing to do with religion or Islam.

READ MORE: Suspects described as brothers from Russian Caucasus

After two separatist wars for independence -- which Russia labeled terrorism -- there is now a pro-Moscow government in Chechnya, but continuing though less intense Islamist violence.

The Chechen population of about 1 million is mostly made up of Sunni Muslims, who maintain a distinctly different cultural and linguistic identity from Russian Orthodox Christians.

The standard of living in the southwestern republic is poor compared with the rest of Russia. The infrastructure is less developed while unemployment and infant mortality are high.

Tens of thousands have been killed and hundreds of thousands of Chechens displaced in the course of years of fighting with Russian military and security forces.

Russian forces essentially regained control of Chechnya in 2000, following a long siege of the capital, Grozny. Since then, violence in Chechnya has ebbed, particularly following the death of Islamist militant Shamil Basayev in July 2006, in neighboring Ingushetia.

Aiding the rebels' efforts, according to the Council on Foreign Relations, has been an influx of foreign Islamist militants ready to fight for the cause.

"Chechnya's long and violent guerrilla war has attracted a small number of Islamist militants from outside of Chechnya -- some of whom are Arab fighters with possible links to al Qaeda," the think tank's website said.

Chechen militants have said they carried out several high-profile terrorist attacks in Russia and the North Caucasus region, particularly in Dagestan and Ingushetia, but have not been involved in strikes on the United States.

The truth about the Chechen threat

In 2004, gunmen stormed a school in Beslan in the North Ossetia region, taking children hostage. By the time the siege ended in violence and explosions, more than 330 people had died -- half of them children.

A Chechen rebel leader took responsibility for deadly bombings on two central Moscow subway stations in March 2010.

And in 2002, Chechen rebels held hostage 700 people at a Moscow theater. The theater was eventually stormed by security forces but 120 hostages died.

Chechen rebels were also accused of bringing down two Russian airplanes in 2004.

Ties between Chechens and other Islamist militant groups will come under closer scrutiny as a result of events in Boston.

The Council on Foreign Relations points out that Russian President Vladimir Putin has often stressed that international terrorists operate in Chechnya, adding that Putin seeks to generate Western sympathy for Russia's military campaign there.

An International Crisis Group report published in October 2012 warned that continued ethnic, religious, political and economic grievances could bring increased tensions in the North Caucasus region, adding: "The killing is unlikely to end soon."

Chechen leader Ramzan Kadyrov on Friday distanced his republic from the brothers in Boston. "Any attempts to link Chechnya and the Tsarnaevs if they are guilty are vain," he said via his official Twitter account.

"They grew up in the U.S. and their views and beliefs were formulated there. So you need to look for the roots of the evil in America.

"The world should fight terrorism together. We know it better than anyone. We wish all those suffering to recover soon and we share the grief of Americans."

Meanwhile, Kyrgyzstan's state committee for national security said that the two brothers had moved with their family to Dagestan 12 years ago, and from there to the United States.

Given that the boys were aged 8 and 15 when they left the country, the committee said, it "considers it inappropriate to link them to Kyrgyzstan."

An official in the Central Asian republic of Kyrgyzstan earlier told CNN the brothers were Kyrgyz passport holders and used those passports when applying for residency Green Cards in the United States.

CNN's Barbara Starr, Deborah Feyerick, Ivan Watson, Nick Paton Walsh and Matthew Chance contributed to this report.

@highlight

Uncle of the two suspects says they've brought shame on all Chechens

@highlight

Chechen rebels started out fighting for independence from Moscow in the 1990s

@highlight

Conflict has racked the North Caucasus region for almost two decades

@highlight

Dagestan and Ingushetia have seen violent attacks in recent years