(CNN) -- Nigeria's security forces have been guilty of serious human rights abuses in their efforts to crack down on the militant Islamist group Boko Haram, Amnesty International said Thursday in a new report.

The report paints an ugly picture of spiraling violence, where brutal attacks carried out by Boko Haram, often against civilians, are countered by the security forces with abuses that only add to the problem, the rights group said.

Read more about Boko Haram on CNN's Security Clearance blog

Boko Haram has become increasingly sophisticated in its methods in the past three years, the report said, carrying out deadly attacks across northern and central Nigeria.

Some of the most notorious have targeted Christian churches, causing hundreds of deaths; markets and schools have also been bombed or burned down in attacks claimed by Boko Haram. "The attacks targeting civilians may constitute crimes against humanity," the report said.

Read more: Opinion: Nigeria is a sinking ship, but we must not desert it

However, the abuses by Boko Haram do not absolve the government of its responsibility to live up to its obligations under the law, the report said -- something Amnesty International alleges it is failing to do.

A spokesman for the Nigerian military, Col. Mohammed Yerima, rejected the allegations in comments to CNN.

"We sincerely disagree with the report released by Amnesty International," he said. "We believe that their statistical data is unfounded. They didn't interview anybody from Boko Haram, and they didn't interview us; they seemed to have just spoken to people on the street."

Read more: Suicide bomber kills 7 in Nigerian church

He also dismissed allegations made in the report that the military participated in extrajudicial killings of suspects or used torture during interrogations.

"We deny that. What would we gain from killing people like that? We don't torture, we interrogate. If they are found not to be members of Boko Haram, we release them immediately, take them back to where we picked them up and we apologize," he said.

Read more: Why Nigerians are no longer content with 'suffering and smiling'

The report, based on visits by Amnesty International researchers to northern Kano and Borno states and the Federal Capital Territory this year as well as past trips and other research, details a catalog of violent acts that have helped to create a climate of fear in the worst affected areas.

Boko Haram, whose name means "Western education is forbidden," is fighting to impose a strict version of Sharia law in the northern part of the country.

While condemning the grave abuses committed by Boko Haram, Amnesty International said Nigeria's security forces "have perpetrated serious human rights violations" in their response.

Read more: Nigeria arrests a suspected militant leader

"Hundreds of people accused of links to Boko Haram have been arbitrarily detained without charge or trial; others have been extrajudicially executed or subjected to enforced disappearance," the report said.

"At the same time, the Nigerian government has failed to adequately prevent or investigate the attacks or to bring perpetrators to justice; and victims have not received prompt and adequate reparation and remedy.

"The cycle of attacks and counter-attacks has been marked by unlawful violence on both sides with devastating consequences for the human rights of the people trapped in the middle."

Amnesty International said it had shared its findings with the Nigerian authorities in advance as well as requesting further information on certain cases, but that it had received no response.

Its researchers met with senior government officials, including the ministers for police affairs, justice and the interior, and the defense headquarters representative, the group said.

Read more: Gunmen kill 23 at Nigeria market

It also "requested but was not granted access to prisons, police stations, military and State Security Service detention facilities in the course of this research," the report said.

In addition, researchers spoke with survivors of attacks by Boko Haram and relatives of those killed by suspected members of the group as well as those detained by the security forces and their families.

In Maiduguri, in Borno state, where many of the deaths have occurred, Amnesty researchers found residents are reluctant to speak out over Boko Haram abuses for fear of reprisals.

At the same time, "the climate of fear and insecurity has forced many journalists, lawyers and human rights defenders to scale down or stop their activities, or flee the area entirely."

Residents told Amnesty that police and security forces appeared to do little to investigate or prosecute killings by suspected militants. Of those arrested, most languish in detention, and only a small number have been convicted, the report said.

Opinion: Could it finally be springtime for Nigeria?

Investigations have also rarely been carried out in alleged abuses by the security forces, leading to a loss of public confidence in the authorities, the report said.

In one example cited in the report, "Witnesses interviewed by Amnesty International described seeing people who were clearly no threat to life -- unarmed, lying down or with their hands over their head or cooperating -- shot at close range by the security forces."

Amnesty International also points out the challenges faced by a police force that is poorly resourced, with some officers lacking bulletproof vests or handcuffs, and has itself been a frequent target of attacks by Boko Haram.

"The failure of the government to properly equip and train the police reduces their ability to ensure their own and other people's safety. Hundreds of police, military and SSS (State Security Service) have been killed by Boko Haram since 2009. They have been shot and blown up in their stations, at roadblocks and in their homes," the report said.

Opinion: Why are Nigerians numb to slaughter?

The rights group makes a series of recommendations, with specific points addressed to President Goodluck Jonathan, the ministries of defense and justice as well as the police, security services and lawmakers.

They include strengthening systems and training to ensure abuses are not carried out by security forces, and greater efforts to investigate abuse allegations and ensure the safety of witnesses.

Nigeria has almost equal numbers of Christian and Muslims, with the south predominantly Christian. Boko Haram and other Muslim groups claim the north has been starved of resources and marginalized by the government of Jonathan, a Christian.

From its base in Muslim-dominated northern Nigeria, Boko Haram, which has referred to itself as the "Nigerian Taliban," has waged a violent campaign of bombings of Christian churches that have killed hundreds and wounded many more. There have been fewer attacks by Christian militant groups.

Read more: Amnesty calls on Bahrain to lift protests ban

CNN's Vlad Duthiers contributed to this report.

@highlight

NEW: Nigeria's military denies abuses, says rights group allegations are unfounded

@highlight

Rights group: Nigeria's security forces are committing abuses as they combat militants

@highlight

Amnesty International says the government must do more to protect the public

@highlight

Boko Haram militants have killed hundreds in attacks on civilian targets and police