(CNN) -- The Senate on Thursday passed its version of the health care bill, inching the country closer to the biggest expansion of medical coverage since Medicare was enacted more than four decades ago.

Senate Democrats declared victory after the 60-39 party line vote, but one of the most complicated tasks is still ahead.

A conference committee must reconcile the differences -- notably a public option, how to pay for the plan that emerges, and coverage for abortion -- and merge them into one.

The House and Senate will then have to pass the revised plan before it can be sent to President Obama's desk. Each chamber needs a simple majority vote for final passage.

Although the House won't be in session until January 12, House staff will begin working through the differences on the two chambers' bills, according to several Democratic aides. Leaders and committee chairmen will return in early January for health care meetings.

South Carolina Sen. Lindsey Graham said the House and Senate bills are in some ways "irreconcilable." Republican National Committee Chairman Michael Steele scoffed at the idea of negotiations.

"There won't be a legitimate conference. The House members are being told to accept whatever the Senate bill comes up with," he said on a conference call.

But Democrats and the White House insist the bill that comes out of the conference will represent a huge step forward for health care reform.

Norm Ornstein, a congressional scholar with the American Enterprise Institute, agrees that the final bill will end up looking a lot like what came out of the Senate.

"Are they dramatically different in some key respects? Yes. But you can reconcile two bills by picking one over the other," Ornstein said.

"The question that remains is can they get 218 House Democrats to swallow the Kaopectate, which means basically to swallow hard and accept something that is basically the product of the Senate," he said.

The House might be able to make changes around the margins, but that will be it, Ornstein said.

The biggest difference between the two bills is the public option. The House bill has one; the Senate bill does not.

The Senate bill originally included a government-sponsored plan with the option for states to opt out, but that was dropped as Senate Majority Leader Harry Reid tried to secure the votes of moderate Democrats.

The Senate bill instead allows nonprofit private insurers to offer coverage with approval of the Office of Personnel Management, which oversees the federal employees' health plan.

In asking House Democrats to give up the public option, "the argument that is going to be made here to House Democrats is, 'Do you want a health bill or do you want nothing?' " Ornstein said.

Given the reality that there weren't the necessary 60 votes in the Senate for a public option, there wasn't much discussion among House leaders about pushing hard for the Senate to include one in its bill.

"They [the Senate] tried to see if they had support for it. There isn't. That's the reality," a top Democratic leadership aide told CNN. "I think a lot of people are coming to terms with that and I don't know how productive it would be to bring it out again."

Another sticking point is coverage for abortion. A late compromise in the House led to the adoption of the Stupak-Pitts amendment, which bans most abortion coverage from the public option. It would also prohibit abortion coverage in private policies available in the exchange to people receiving federal subsidies.

A similar amendment introduced by Sen. Ben Nelson failed in the Senate. To get Nelson's vote, a compromise was reached that allows states to choose whether to ban abortion coverage in health plans offered in the insurance exchanges. Individuals purchasing plans through the exchanges would have to pay for abortion coverage with their own money.

As lawmakers work to merge the bills, there will be no other option than to pick the Nelson compromise, Ornstein said.

The real question is whether or not Democratic Rep. Bart Stupak "tries to lead an insurgent group of pro-life Democrats away from the bill as a result of a compromise," he added.

The House and Senate bills also conflict on how to pay for the plans.

The House plan is projected to guarantee coverage for 96 percent of Americans at a cost of more than $1 trillion over the next 10 years, according to the nonpartisan Congressional Budget Office. The Senate plan is projected to cover 94 percent of Americans with an $871 billion price tag over the next 10 years, according to the CBO.

The House plan pays for health care reform with a 5.4 percent surtax on incomes for those making over $500,000 a year, as well as families earning more than $1 million. It also includes a 2.5 percent tax on medical devices sold in the United States.

The Senate plan increases the Medicare payroll tax on individuals earning more than $200,000 and couples earning more than $250,000 from the current 1.45 percent to 2.35 percent. The Senate bill also imposes a new tax on insurers that provide so-called "Cadillac" health plans valued at more than $8,500 for individuals and $23,000 for families. The 40 percent tax would be on the value of the plan. In addition, it imposes a 10 percent tax on indoor tanning salon treatments.

Both bills call for cutting hundreds of billions of dollars from Medicare and Medicaid.

Ornstein said the funding mechanism is one area where the House might be able to pull some weight.

How to handle illegal immigrants could pose another obstacle as lawmakers iron out their differences. The House bill mandates insurance coverage for illegal immigrants and allows illegal immigrants to enroll in the public option and to buy private coverage in the national insurance exchange, but prohibits government subsidies for such private coverage.

The Senate plan exempts illegal immigrants from the health coverage mandate, and prohibits illegal immigrants from participating in the insurance exchanges.

Despite the differences, Ornstein predicts a bill will likely come out of conference quickly, although it won't be a smooth process.

"Part of the reason they are going to jump up and scream in outrage is, once you get down to the point where you need every vote, as we saw with the Senate example, it's a great way to extract favors."

CNN's Tom Cohen, Alan Silverleib and Deirdre Walsh contributed to this report.

@highlight

Conference committee must merge House, Senate bills

@highlight

Bills differ on public option, abortion language, funding

@highlight

Final bill will look a lot like the Senate bill, congressional scholar says

@highlight

Lawmakers might try to extract favors in final negotiations, Ornstein says