Defense Secretary Chuck Hagel on Friday outlined actions -- some under way, some in the works -- to revamp the U.S. nuclear program, following reviews he had ordered that "found evidence of systemic problems."

"We must address all of the underlying problems," Hagel said, pointing to "sometimes insufficient resources and manpower," among many other issues.

An internal review pointed to a host of problems, from "inadequate" and "aging" equipment and facilities to "a culture of excessive inspections" to the blurring of the lines between accountability and perfection in the Air Force," according to a summary released by the Defense Department.

This report, and a separate external review, pointed to "a nuclear workforce that was dedicated, capable, and performing well in spite of challenges resulting from being understaffed, under-resourced, and reliant on an aging and fragile supporting infrastructure in an over-inspected and overly risk-averse environment," the Defense Department summary said.

"Both reports identified serious issues with potential real world consequences if not addressed -- some of which require long term and permanent cultural and structural changes," the Defense Department added.

Hagel ordered the review in January following revelations of misconduct involving officers who played a role in the nuclear program.

The incidents included the disciplining of a general with nuclear oversight responsibilities; his misbehavior involving alcohol and women on an overseas trip got him into hot water. There was also the disclosure that nearly three dozen Air Force officers at a nuclear missile base in Montana were involved in cheating on a proficiency test.

In his remarks Friday, Hagel noted that while President Barack Obama's administration is moving away from reliance on nuclear weapons, that arsenal remains a key part of the U.S. military.

"It's (the Department of Defense's) highest-priority mission," Hagel said. "No other capability we have is more important."

Military nuke officers beset by recent scandals

Together, the two reviews identified over 100 recommendations to improve the nation's nuclear deterrent forces ranging for acquisition investments to leadership challenges.

In one instance, the review panels discovered a situation where crews working on the missile fleet relied on Fed-Ex to deliver the copy of one wrench, needed to attach warheads to missiles, to be shared among three bases.

Hagel called the situation "indicative of a system that's been allowed to kind of slowly back downhill," but also noted the "creative and innovative" nature of the solution.

"We now have a wrench for each location," Hagel said. "We're going to have two wrenches for each location soon."

While the reviews concluded that the nation's nuclear facilities can fulfill their overall mission, significant changes will be required in the system to ensure the safety, security and overall effectiveness of the force in the future.

"The bottom line is that the forces are meeting the demands of the mission with dedication and determination but with such increasing difficulty that any margin of capability to meet the demands has been consumed by the Sailors, Airmen, and Marines are paying an unsustainable price," Air Force Gen. Larry Welch (Ret.) and Navy Admiral John Harvey, Jr. (Ret.) wrote in a letter to Hagel in a letter accompanying their external review report.

Regarding personnel at nuclear facilities, the report found issues with accountability, morale and recognition, as well as a rapidly aging civilian workforce in some areas, and a lack of promotion opportunities for nuclear officers in the Air Force.

The reports also found that as the nuclear infrastructure continues to age, it will be increasingly more time-consuming and expensive to sustain without additional investments.

In his remarks, Hagel said he expected the need for a 10 percent increase for the nation's nuclear infrastructure in the next five budget requests each fiscal year.  Currently, the Pentagon spends in the range of $15-16 billion dollars a year Hagel said.

Both reports call for a clarification of the leadership structure within the nuclear enterprise to reduce administrative burdens imposed on the forces, as well as a change in the "culture of micromanagement," and improving the manner in which training and inspections are conducted.

They come in the wake of a string of scandals over the past few years.

In January, dozens of Air Force officers at Malmstrom Air Force Base in Montana charged with maintaining nuclear missiles, were accused of cheating or turning a blind eye to cheating on a competency test.

That incident followed an October 2013 incident where a U.S. general who oversaw nuclear weapons being relieved of his position following revelations of public intoxication and disrespecting his hosts during an official visit to Russia.

In another 2013 incident, 17 officers at Minot Air Force Base were stripped of their authority to control and launch nuclear missiles after their unit performed poorly on an inspection, with one officer investigated for potential compromise of nuclear launch codes.

Secretary Hagel flew to Minot on Friday to visit with troops and crews and explain the findings of the reports.

Hagel also announced he has granted the Air Force the authority to elevate it's Global Strike Command to be headed by a four-star general and to allow a three-star general to oversee the strategic deterrence and nuclear integration staff.

That was a recommendation made by Air Force Secretary Deborah James, along with members of Congress earlier this year, who said the missions deserved higher level of leadership.

"We must restore the prestige that attracted the brightest minds of the Cold War era, so our most talented young men and women see the nuclear pathway as promising in value," Hagel said.  "They will no longer be outranked by their non-nuclear counterparts, giving the nuclear Air Force the second-to-none leadership it deserves."

@highlight

Defense Secretary Chuck Hagel ordered a review of the U.S. nuclear program

@highlight

This came after misconduct involving officers who were part of the program

@highlight

An internal review points to a host of problems