(CNN) -- Oakland is reeling after a gun rampage at a small religious college left seven people dead. Six months ago, eight people died in a shooting in Seal Beach, California. And just over a year ago, an attack targeting Rep. Gabrielle Giffords in Arizona left six dead and 13 injured.

Each mass killing provokes a flurry of public shock and a frenzy of media attention -- and often soul-searching about whether they represent a broader descent into gun-fueled violence.

But are such attacks on the rise in the United States?

Not according to professor James Alan Fox, a criminologist at Northeastern University in Boston who has been studying mass murder for the past three decades.

Police search for gun used in Oakland college shooting

Despite the huge media coverage devoted to them, crime statistics show that there is no upward trend in mass killings -- defined as having four victims or more, not counting terrorism -- since the 1970s, he said.

Campus shootings, such as the Virginia Tech massacre in 2007, or the cluster of school shootings of the 1990s, including Columbine, often attract more attention than multiple killings in other settings.

At Virginia Tech, 23-year-old student Seung-Hui Cho took 32 lives in a solo shooting spree on the Blacksburg campus before killing himself.

In 1999 at Columbine High School in Littleton, Colorado, 18-year-old Eric Harris and 17-year-old Dylan Klebold killed 12 of their fellow students and a teacher before taking their own lives in the school library.

But despite these high-profile cases, the chances of falling victim to a school or campus shooting are still incredibly slim, Fox said.

"Overall in this country, there is an average of 10 to 20 murders across campuses in any given year," he said. "Compare that to over 1,000 suicides and about 1,500 deaths from binge drinking and drug overdoses."

So while they are sad when they occur, school shootings are "very few and far between, and very unpredictable," Fox said. This suggests that authorities can do greater good by focusing on the prevention of suicide and substance abuse than trying to guard against a campus killer.

Looking at a more general picture, while mass murders are more common now than in the 1960s, so is murder generally, Fox said.

And although there is no pattern in terms of the way the killings occur, some trends can be drawn about those committing them, Fox said.

His research indicates that from 1976 to 2008, there were 852 massacres, involving 4,131 victims and 1,176 perpetrators.

The perpetrators tend to be older than those committing murders generally, Fox said, with more than a quarter of those responsible for mass killings aged over 40, his research shows, and the average age of those involved in campus shootings being 36.

Meanwhile, 60% of those committing mass murders are white, compared with 47% for murder generally, Fox said, and 94% of the perpetrators are male, compared with 88% for murder generally.

Fox suggests that any sense that mass killings are on an upward spiral has more to do with the vagaries of human memory than actual facts.

"Since we tend to remember the ones that happened more recently, rather than the ones before, we often get the sense that three things make an epidemic," he said.

"They are rare events, and everything that is rare is difficult to predict."

Kelly McBride, senior faculty for ethics at the Poynter Institute, said that although changes in news media mean mass killings probably get more coverage now than in decades past, she doesn't believe public perception of their frequency has been skewed as a result.

That is because of the changing way the audience consumes information, said McBride, who also works on Poynter's Sense-Making Project, which looks at how the public handles information.

"Even though there's more news out there about mass shootings, people are consuming less of it because there's more news out there about everything," McBride said.

"I suspect that if you look at the average consumer's diet when there is a mass shooting, it's probably not much different than it was in the old system when there were fewer news organizations covering a mass event."

One reason for the increased coverage of massacres is that the breaking news environment has become so competitive, pushing many outlets to seek the most sensational lines, she said. National and international news providers also muscle in on stories that might previously have been left to local media, she said, and tend to dip into the most dramatic lines.

Concern is often raised that such wall-to-wall coverage, especially on cable news channels, may prompt copycat attacks.

However, according to McBride, no solid scientific research has demonstrated a contagion effect resulting from media coverage of mass murders.

The result must be that authorities struggle to second-guess the unpredictable acts of lone killers, with factors at play ranging from an individual's sense of alienation or personal grievance to mental health care issues or the availability of weapons.

But while every senseless massacre leaves a community in shock and tragically cuts short too many lives, the vast majority of Americans will remain untouched apart from the screaming headlines.

@highlight

There is no upward trend in mass killings since the 1970s, professor James Alan Fox says

@highlight

The perpetrators are older and more likely to be white than for murder generally, he says

@highlight

Suicides and substance abuse claim far more lives than campus shootings, he says

@highlight

Media coverage of mass killings has gone up, but people may not be watching, an analyst says