Paris (CNN) -- We're at a soup kitchen in a shabby back street in Paris, next to the canal Saint Martin, near the JaurÃ¨s metro stop. Hundreds of homeless people are queuing up for some hot food and a coffee. Most of them are from Asia; many from Afghanistan and Bangladesh.

Among them are dozens of children, their grimy faces, vacant stares and worn clothes redolent of months on the road. Some have walked hundreds of miles to escape the violence of Afghanistan.

They have been told to get to JaurÃ¨s metro in Paris and they will be looked after. Often the people-traffickers dump them here, feeling they have fulfilled their part of the bargain: to get them to the West.

We talked to two 14-year-olds who don't want to go on camera. They had arrived that day from Italy, after traveling through Iran, Turkey and Greece.

The story they told us is typical: Their families paid thousands of dollars to send them to the west in the hands of smugglers. The journey was extremely perilous. They traveled in the backs of trucks, cars and at times walking across mountain ranges; it took them nine months to get to Paris.

Like many of the children we spoke to, they risked frostbite during their dangerous traversing of mountains in Iran and Turkey. They claimed Iranian border guards shot at them as they crossed the frontier. But despite of the risks they kept going -- lured by the promises of lucrative jobs in France.

The reality when they arrive is very different. Most of them are aged between 14 and 18 years old. Theoretically the French state has a duty of care for unaccompanied minors, but these teenagers must prove their age. Often they don't have the documents necessary to show their age, and so they are left to sleep on the streets.

One charity, France Terre d'Asile (France: Haven) is trying to help, but it is hopelessly overwhelmed.

The group estimates that some 6,000 foreign children arrive illegally in France each year -- most turn up in Paris expecting to be able to work to send money home to their families. That is, of course, illegal, so there are faced with entering the black market or surviving on handouts.

The lucky ones may get a place in a reception center run by a charity. We filmed at one hostel which has just 25 beds. When we were there, 45 children turned up needing somewhere to sleep. It was cold and raining and only the youngest were admitted. The rest were forced to once again sleep on the streets.

Mohammed is typical: He spent three months sleeping in a park before finally getting a hotel room provided by the French state, once he was able to prove he was 16 years old. He was lucky: his sister was able to fax a copy of his birth certificate.

But many of his friends are still sleeping outside, because they can't prove their age. He tells me about the frequent fights between different ethnics groups -- Tajiks beaten by Hazaras, Pashtuns clashing with Bangladeshis. Muggings, drug abuse and the ever present sex-trade were all daily risks for him.

His story is a microcosm of the problems that have consumed Afghanistan for three decades: He was orphaned by war and disease -- his father was killed by the Taliban, his mother died of tuberculosis. His uncle physically abused him for years until finally his brother-in-law agreed to lend him $6,000 so he could buy his passage to the west, but on arriving in Paris, his dreams of a job and a new life were quickly shattered.

Now he has begun to make a start on improving his life, learning French, and getting his first taste of the internet.

His prospects remain bleak, but at least he has a bed to sleep in each night -- unlike so many of the other Afghan children who are surviving on the streets of Paris.

@highlight

Afghan families pay thousands of dollars to send youngsters to the West

@highlight

Journey is perilous and can take many months

@highlight

Teenagers arrive in Paris with dreams of working to send money back home

@highlight

Instead, unable to prove their age, many find themselves living on the streets