Last time I was in Seattle I burned down an apartment. It wasn't arson; it was the faulty wiring on a trash-picked lamp. Or, from the look of the hard black puddle that used to be my stereo, a bad wall outlet. I never found out because two days later I left town to wait tables at Yellowstone National Park.

As the Space Needle turned into a knitting needle in the rearview mirror of the bus I was riding, I wrote bad poetry and fractured thoughts into my soot-stained journal, including this:

"Seattle is too nice. Better to live here when I'm older and have a family. I hope Jeff is able to get my deposit back."

That was 19 years ago. I still don't have a family. Seattle has only gotten nicer. And I'm happy to report that Jeff, my former apartment manager, was able to get my deposit back.

Visiting Seattle again, recently, I felt traces of what I was getting at with the "too nice" thing.  Coming from most places in the United States, the city can feel a bit like visiting a friend's upper middle class parents' house while they are away for the weekend. It's wealthy, its yard is beautiful (verdant, bracketed by two mountain ranges), it has nice amenities and the fridge is stocked.

I think my trash-picking bohemian 18-year-old self was looking for something more edgy and glamorous.*

Here's what  "too nice"** can mean to a visitor. You wake up on Saturday morning and after securing breakfast at Pike Place Market -- where one can grab coffee, crumpets, full breakfasts with a view, the best scrambled eggs ever or whatever morning vittles you require -- you then have to decide what to do next.

A visit to the Olympic Sculpture Park on the edge of downtown? A stroll through trendy Capitol Hill's boutique shops, cafes and restaurants?  A ride up the Space Needle or a climb up the brick water tower in Volunteer Park? Sail Lake Union? Or trek to one of the city's vital outer neighborhoods like Fremont, the self-proclaimed Center of the Universe, or Ballard, a Scandinavian fishing village turned hipster retail district?

That's a lot. Too nice? Probably not. Too much? Possibly. Here's what I did:  All of the above.

After breakfast I started at the Olympic Sculpture Garden,*** a zig-zag of 20 outdoor sculptures made by the art world all-stars (Calder, Serra, Bourgeois). It feels kind of like a highbrow miniature golf course.  There are mini-ecosystems created to reflect Washington's biodiversity. A mini-aspen grove, a sloping meadow of grass and wildflowers.

There are bright red movable chairs where you can rest and a pedestrian bridge over functioning train tracks. And there's a water hazard: glorious Puget Sound itself. The garden spills onto beach littered with driftwood and an arsenal of skipping stones.

You don't have to admire the water from the beach. There are scads of boat tours for visitors. But what you should really do is head to the Center for Wooden Boats on the south shore of Lake Union. Imagine a car museum that lets you rent the cars. That's how Center for Wooden Boats works.

It's also a living workspace filled with volunteers building, repairing and maintaining boats. As you stroll the floating dock and talk with the people there you begin to learn another language. "Luff " is the forward-most vertical edge of a sail. A "sloop" is a single fore-and-aft rigged mast and bowsprit.  A "fishing smack" is a boat for fishing.

I went on one of Center for Wooden Boats free Sunday sails (They leave at 1:00 and 2:30, but sign-up begins at 10 a.m., so get there early.) and met a couple from Oregon celebrating their 40th anniversary.  We blew by gaudy power yachts moored to the coast and imagined we were pirates. The sky overhead looked like a pile of oyster shells. There is probably a word for the feeling of being surrounded by water that's surrounded by a city. I don't know it.  All I know is that I was sad when we had to dock the boat.

But I got over it. I went to visit the spot of my old apartment in Capitol Hill. Like many city hills, the top of Capitol Hill is wealthy and older and the neighborhood gets poorer and younger as you move down toward  Interstate 5 which separates it from Belltown. Of course, I used to live at the bottom.

The year I left, a new coffee shop opened called Bauhaus. It's now an institution. And the area around it is now all a-bustle. A block away is Melrose Market, a hipster-foodie Valhalla complete with record store, wine bar and sustainable sandwich shop. It was also home to the best meal I had in a city filled with best meals.

Sitka & Spruce embodies the gourmet, local in a casual setting that defines much of the city's food culture. As you climb the hill on Pine Street you begin to see restaurant after shop after bar. The area rivals any other urban trend center in the United States.

If you can make it through the gantlet of cocktails and kombucha, you'll be rewarded by the many treasures of verdant Volunteer Park. Yes, the Space Needle downtown is worth a ride, but the old brick water tower in Volunteer Park gives you something the Space Needle can't: a view of the Space Needle.

The park also boasts the Seattle Asian Art Museum and a conservatory teeming with flowers. But my favorite spot is Bruce Lee's grave, just north of the park in Lake View Cemetery. You can find it by looking for the goth kids milling about Bruce's son Brandon's grave. He's buried next to his father.  The grave site reminds you of all the cultural figures that at one point called the Emerald City home: Jimi Hendrix, Ray Charles, Quincy Jones, and, yeah, Kurt Cobain.

On my last day, I boarded a bus (there is a nifty free smartphone app for Seattle called OneBusAway that pinpoints your location and tells you where the closest bus is and where it will take you) and went to Ballard, a little Scandinavian fishing village that reluctantly became part of Seattle in 1907.

It's brick. It has an all-day market on Sundays. There are more cute boutiques and restaurants than you can shake an umbrella at. But the best part is the Hiram M. Chittenden Locks, where you can watch as boats are safely transitioned to the different water levels as they move from salt water to fresh water.

Below the lock is a fish ladder where you can watch the area's famous salmon swim upstream on biological autopilot to mate and hatch their eggs. Watch them through huge glass windows as they make. their. way. back. home. to procreate. In Seattle.

It might be too nice for a restless East Coast 18-year-old under the influence of Kerouac, but even the salmon know it's a good place to return and raise a family.

Footnotes

* Of course Seattle did have an edge to it in the early '90s. Heroin addiction was rampant (the curse of being a Pacific Rim port town at the time). The closest I came to the city's drug trade was when I accompanied my co-worker from DeLaurenti, an Italian specialty food store in Pike Place Market, while he bought marijuana from his old friend who "hadn't not had weed since the late '70s."  (There was apparently a "weed drought" that summer.)

I was unaware of who we were visiting until I innocently asked our host about the huge new guitar amplifier in his living room. "Oh that? They sent it to me for free when they found out we were opening for Pearl Jam," he said while staring at the 6 o'clock news on TV.  "I was like 'Whatever I'm not going to be opening for Pearl Jam my whole life.' " "What's the name of your band?" I asked. "Mudhoney."

** Now let's not get carried away, Seattle is a modern city with all the attendant problems that entails.

There is poverty (some say the phrase "skid row" was invented here) and in particular a high concentration of "gutter punks." That is, kids with hoodies, tattoos, dogs and suspiciously good orthodontia who ask for money with a sneer.

But even the poverty situation here feels less hopeless than other places. Roger, a homeless guy I split a hot dog with my first night there, told me, "They take care of their homeless people here."

*** Let the fact that this city recently unveiled an $85 million outdoor sculpture garden tell you everything you need to know about the weather. Yes, it rains. But, as every Seattle booster will quickly tell you, not as much per year as New York or even Miami, and the weather is always temperate.

Ah, yes, but what about the number of grey days? Well, it's not a coincidence that Seattle invented America's modern coffee addiction and its biggest online (i.e. don't have to go outside) retailer. But, truly, would you visit Cancun when the sun wasn't out? Or New York when it's empty? The weather is part of Seattle's identity, and I encourage people to visit during the long grey season. Bonus: There are travel deals to be had.

@highlight

A long-ago Seattle resident returns to the city he deemed "too nice" at 18

@highlight

His findings? A lot to make a thirtysomething happy

@highlight

Outdoor attractions, unique neighborhoods and great food are draws