Damascus, Syria (CNN) -- As Western powers try to verify claims that the Syrian government used chemical weapons this week in a northeastern suburb of Damascus, the Syrian government is accusing rebel forces of doing the same.

State-run television reported Saturday that Syrian armed forces had surrounded Jobar, the opposition-held district on the edge of Damascus that saw some of the 1,300 reported dead in Wednesday's early morning attack. Several of the soldiers were "suffocating" from exposure to gases as they entered the city, according to state TV.

"It is believed that the terrorists have used chemical weapons in the area," Syrian TV reporting, citing anonymous source. The government uses the term "terrorists" to describe rebel forces.

It showed video of a room containing gas masks and gas canisters that the Army said were discovered in a storage facility in Jobar. CNN could not independently confirm the veracity of the claims or the authenticity of the video.

Opposition leaders deny involvement in the attack, which they say killed hundreds near the capital.

The competing claims surfaced as a White House official told CNN that President Barack Obama was meeting with his national security team to discuss the alleged chemical weapons attack

"Once we ascertain the facts, the president will make an informed decision about how to respond," the official said on condition of anonymity. "We have a range of options available, and we are going to act very deliberately so that we're making decisions consistent with our national interest as well as our assessment of what can advance our objectives in Syria."

In an exclusive interview with CNN that aired Friday, Obama said the United States and United Nations inspectors were gathering information on the attack, but that preliminary signs pointed to a "big event of grave concern."

"It is very troublesome," he said. "That starts getting to some core national interests that the United States has, both in terms of us making sure that weapons of mass destruction are not proliferating, as well as needing to protect our allies, our bases in the region."

The Syrian government has steadfastly denied its forces used chemical weapons outside Damascus or elsewhere.

"We said it from the first moment and, here, we assure again that we have never used chemical weapons (around Jobar) or any other region in any form whatsoever -- ... liquid, gas or whatever," Information Minister Omran al-Zoubi said Saturday in an interview with a private Lebanese channel.

Al-Zoubi went on to say that, on the contrary, his government is "quite certain that (the rebels) are the ones using chemical weapons."

The opposition, though, has a Rebel different view. Syrian National Coalition Secretary-General Badr Jamous said Friday that rockets -- some with chemical warheads and others conventional weapons -- had been fired into a heavily populated civilian area.

Most of the more than 1,300 reported dead were killed by chemical weapons, said Khaled al-Saleh, a spokesman for the umbrella opposition group.

Al-Saleh said that medical teams in the affected area had administered 25,000 shots of atropine -- a medication used to treat people exposed to the nerve gas sarin -- after the attack.

Video showed rows of bodies without apparent injury, as well as people suffering convulsions or apparently struggling to breathe.

CNN could not verify where or when the videos were recorded, and could not confirm the number of casualties.

Adding weight to the assertions that chemical weapons were used was a statement Saturday by Medecins Sans Frontieres, also known as Doctors Without Borders.

Three hospitals -- all supported by the international organization -- in Syria's Damascus governorate reported having received some 3,600 patients displaying neurotoxic symptoms last Wednesday morning, the statement said.

Of them, 355 reportedly died, it said.

"Medical staff working in these facilities provided detailed information to MSF doctors regarding large numbers of patients arriving with symptoms including convulsions, excess saliva, pinpoint pupils, blurred vision and respiratory distress," said Dr. Bart Janssens, MSF director of operations.

Patients were treated using atropine.

"MSF can neither scientifically confirm the cause of these symptoms nor establish who is responsible for the attack," said Janssens. "However, the reported symptoms of the patients, in addition to the epidemiological pattern of the events --- characterized by the massive influx of patients in a short period of time, the origin of the patients, and the contamination of medical and first aid workers --strongly indicate mass exposure to a neurotoxic agent."

How will the world respond?

On Saturday, world leaders weighed their options.

A Downing Street spokesperson said UK Prime Minister David Cameron -- who also talked with his Canadian counterpart Stephen Harper -- spoke Saturday to Obama.

"They reiterated that significant use of chemical weapons would merit a serious response from the international community and both have tasked officials to examine all the options," the spokesperson said.

The White House issued a statement on the same conversation, saying the two leaders agreed to "consult closely regarding this incident, as well as possible responses by the international community to the use of chemical weapons."

If the claims that Syria used chemical weapons prove true, a speedy response will be needed to prevent another such attack, U.S. Defense Secretary Chuck Hagel said.

Hagel's comments Friday came after a senior Defense Department official told CNN that military planners have updated Syrian target lists.

And it was disclosed that a fourth U.S. ship armed with cruise missiles has arrived in the eastern Mediterranean Sea.

Hagel addressed the issue aboard a military plane headed to Malaysia.

"We will determine at some point here very shortly what did happen," he said, according to a transcript posted on the Defense Department's website.

"If, in fact, this was a deliberate use and attack by the Syrian government on its own people using chemical weapons, there may be another attack coming," Hagel said. "A very quick assessment of what happened and whatever appropriate response should be made."

Hagel said the American military provided Obama "with options for all contingencies, and that requires positioning our forces, positioning our assets to be able to carry out different options, whatever options the president might choose."

He did not specify what those options might include.

Hagel predicted other nations would lend their support if the investigation finds that the Syrian government used chemical weapons against its people.

"This is an international community issue; it violates every standard of international behavior," he said. "That said, the United States has never given up its own sovereign right to protect its own interests."

The president has said he does not anticipate using ground forces in Syria. Other military options could include airstrikes by fighter jets or cruise missiles.

The Navy destroyer USS Ramage has arrived in the region, a defense official said late Friday. It was intended to replace the USS Mahan, but the Mahan will remain temporarily along with the USS Gravelly and USS Barry. All four are equipped with cruise missiles.

The president has authorized a limited amount of military hardware for the rebels in addition to logistical and humanitarian assistance.

A senior Defense Department official told CNN that options for direct military action include targeting al-Assad's capability to deliver chemical weapons.

Target lists could include government buildings and military installations, the official said, but the military must have flexible plans to target forces and equipment which "continue to move."

Sen. John McCain, R-Arizona, an advocate for a more forceful U.S. response to the Syrian conflict, has suggested that American air power could take out runways and planes used by al-Assad's forces that he said are "dominating the battlefields and the towns and the cities."

McCain also has advocated giving rebels anti-aircraft and anti-missile weapons to establish a no fly zone. But administration officials have cautioned that some Syrian rebel factions have ties to al Qaeda terrorists.

Joint Chiefs Chairman Gen. Martin Dempsey said this week in a letter to a member of Congress that arming rebels requires "choosing one among many sides."

"It is my belief that the side we choose must be ready to promote their interests and ours when the balance shifts in their favor," Dempsey wrote. "Today, they are not."

Also Saturday, a top U.N. official arrived in Damascus to press the government to cooperate in the investigation into its alleged use of chemical weapons.

Angela Kane, the United Nations high representative for disarmament affairs, has been instructed by U.N. Secretary General Ban Ki-moon to push the government to cooperate with the U.N. team already on the ground.

U.N. inspectors want to reach the site of the alleged chemical weapons attack quickly in order to gather evidence while it is still fresh. Opposition leaders say the reported attack killed more than 1,300 people in a Damascus suburb.

French Foreign Minister Laurent Fabius said Saturday the inspectors should be granted immediate access to the site "if the Syrian regime has nothing to hide."

"All the information available to us converge to say that there has been a chemical massacre in Syria, near Damascus, and to indicate that it is the regime of Bashar al-Assad who is at the origin," Fabius told reporters after meeting with Palestinian officials in the West Bank city of Ramallah.

Earlier, British Foreign Secretary William Hague suggested the delay in granting access was suspicious.

"This is not something that a humane or civilized world can ignore," Hague said. Our priority is to make sure the world knows the facts of what has happened, and that means the U.N. team that is in Damascus, only 20 minutes away, being able to get there and to investigate."

Rapid access is critical, since any evidence would deteriorate "over a matter of days," Hague said.

The Syrian government has denied using chemical weapons.

CNN's Frederik Pleitgen reported from Damascus, and CNN's David Simpson wrote from Atlanta. CNN's Hamdi Alkhshali, Greg Botelho, Saad Abedine and Pierre Meilhan contributed to this story.

@highlight

NEW: Syrian minister denies government forces used chemical weapons

@highlight

Some 1,300 were reported killed in the early Wednesday attack in Damascus' outskirts

@highlight

The opposition says that Syrian forces used the nerve gas sarin as a weapon

@highlight

UK prime minister talks with Canadian leader, U.S. president about "all the options"