Editor's note: Gloria Borger is a senior political analyst for CNN, appearing regularly on CNN's "The Situation Room," "Campbell Brown: No Bias, No Bull," "AC360°" and "State of the Union With John King" as well as special event coverage.

Critics of Sonia Sotomayor point to her 2001 remarks that a Latina woman might judge better than a white male.

WASHINGTON (CNN) -- Even before President Obama chose Sonia Sotomayor for the Supreme Court, he let it be known that he was looking for a justice with, among other things, something called "empathy."

By that, he said, he meant someone who understands "ordinary Americans so that everybody is heard."

And that quality, we can infer, comes largely from life experience and background. Ipso facto, Sotomayor's up-by-the-bootstraps life story could well make her a more empathetic justice.

It's a notion that clearly horrifies conservatives.

"It opens a grand debate of the president's own making," Manuel Miranda, chairman of the Third Branch Conference, told me.

For conservative purists, empathy is all about feelings, which have no place in the law. It's also about experiences -- even ethnicity -- which should also have no place in the law.

As a defiant Justice Antonin Scalia said in 2007, "Just as there is no 'Catholic' way to cook a hamburger, I am hard-pressed to tell you of a single opinion of mine that would have come out differently if I were not Catholic." And I'm sure he's telling the truth.

But there's more to it than that. "If empathy means you understand what other people are thinking," says one senior White House adviser, "... you would think you would want a judge with empathy." That's also true.

So here are the questions: Can a justice have empathy and still rule dispassionately on the law? Or does empathy so control -- and even corrode -- our nature that it affects every intellectual argument? Or, conversely, would judicial decisions actually benefit from a dose of empathy?

The wrap against Sotomayor on the empathy front is that she's over-the-top. The alleged proof is a statement she made at a symposium in 2001 arguing that a "wise Latina woman with the richness of her experiences would more often than not reach a better conclusion than a white male who has lived that life." It was silly, to be sure, and more than a tad self-serving.

And when she was asked about it by the White House team, according to a senior adviser, she explained her answer by saying that "her life experiences" affect "how she sees facts that come before her as a judge."

Not to mention the fact that she also pointed out that the landmark civil rights decision Brown v. Board of Education was made by an all-white, all-male court.

No one can pretend that using the word "better" to describe the Latina woman's legal conclusions was a good idea; it wasn't. But how can anyone argue with the notion that who we are affects -- in one way or another -- how we view things? And on a collegial, multi-member court, isn't that diversity of experience a good thing?

Just ask conservative Justice Samuel Alito. When testifying at his own confirmation hearings, he was all about empathy. "When a case comes before me involving, let's say, someone who is an immigrant ... I can't help but think of my own ancestors, because it wasn't that long ago when they were in that position." Conservatives found no objection when Alito described his own brand of empathy.

And ask the more liberal Justice Ruth Bader Ginsburg, who recently told USA Today of her concerns about the male-ness of the court during a recent case involving a 13-year-old girl who had been strip-searched in an Arizona school when officials were looking for drugs. "They have never been a 13-year-old girl," she said. "It's a very sensitive age for a girl. I don't think that my colleagues, some of them, quite understood."

And then there's this: Can anyone point to a pattern in Sotomayor's opinions that are based more on "empathy" than the law? Of course not.

And that's precisely the point: Unless Sotomayor's opponents can succeed in using her judicial record to portray her as a passionate, wild-eyed judge who depends more on emotion more than legal precedent, they're in for a tough time.

If they think empathy is a dirty word, they'll have to convince the American public.

The opinions expressed in this commentary are solely those of Gloria Borger.

@highlight

Gloria Borger asks how critics can argue with notion that who we are affects our view

@highlight

Sotomayor said she'd hope "wise Latina woman" would judge better than white male

@highlight

Borger says it was bad idea to use "better" to describe Latina woman's conclusions

@highlight

Critics will have a hard time convincing the public that empathy is bad, Borger says