PALM BEACH, Florida (CNN) -- Following a faint trail through a dense patch of woods in Florida's Palm Beach County, Roy Foster is a man on a mission.

Roy Foster's facility, Stand Down House, has helped about 900 male veterans since 2000.

Foster, 53, is searching for homeless veterans -- and he knows where to look.

Whether in a vacant lot behind a supermarket or a small clearing off the highway, homeless vets aren't that hard to find: One in three homeless adults has served in the military, and more than 150,000 veterans nationwide are homeless on any given night, according to the Veterans Administration.

Working with the sheriff's homeless outreach unit, Foster finds vets camped in tents or makeshift lean-tos, where he delivers a message: There's help for you if you want it.

"For our heroes to be living in [these] conditions, it's totally unacceptable," said Foster.

Since 2000, approximately 900 veterans have found life-changing help at Foster's facility, Stand Down House. Named for the military command that gives troops time to rest after arduous duty, the program provides homeless male vets food, shelter and a safe place to recover, as well as the tools to conquer their personal problems. Vote now for the CNN Hero of the Year

"The idea is that they can relax now; we'll take care of them," Foster said.

Foster's motivation to help these men is personal: He used to be one of them.

Born in rural Georgia, he joined the Army right after high school. During his six years in the military, he began drinking and experimenting with drugs. He was an alcoholic by the time he left the Army in 1980, and his drinking and drug use escalated as he struggled to adjust to civilian life.

He spent the next decade battling his addictions, and at his lowest, he slept in flophouses or on the streets.

"I was pretty much out of control," Foster said. "I felt hopeless, helpless, ashamed and inadequate."

While struggling to get clean, Foster had difficulty finding a program that accepted veterans and provided the recovery services he needed, he said. The experience inspired him to design a program specifically for his brothers-in-arms.

"That's when the commitment in my heart was born," Foster said.

By the early 1990s, Foster settled into a life of sobriety, becoming a substance abuse counselor. Seeing that many vets continued to fall through the cracks, he joined forces with another vet, the late Don Reed, and established the nonprofit Faith*Hope*Love*Charity. After six years, Faith*Hope*Love*Charity created Stand Down House.

Now five buildings in total, Stand Down House provides transitional housing and support services to 45 veterans in different stages of recovery.

When vets arrive -- through referral by the Veterans Administration, which largely funds the program -- they receive meals, housing, clothing, counseling and transportation to the VA hospital for additional medical and mental health care.

After 30 to 60 days, eligible veterans must begin to look for work or attend school, but they can continue receiving housing, case management, addiction counseling and life skills classes for as long as two years. Successful veterans are eligible for the program's final component: permanent, sober-living housing.  Watch Foster seek out homeless veterans with the county sheriff »

The camaraderie the veterans find with each other at Stand Down House is another vital component of their recovery process.

"It was great to realize that other vets had been through similar experiences," said Matt Robinson, 28, who served in Iraq as a member of the U.S. Army National Guard.  Watch Robinson describe his experience at Stand Down House »

With their past as a common bond, vets often become informal counselors to each other, helping one another stay on track.

"We have each others' backs," said Joey Elluzzi, a Vietnam veteran.

Many graduates find the companionship so valuable that they return as volunteers.

As of 2008, Stand Down House reported that 93 percent of its eligible residents found work and 84 percent of graduates went on to live independently. Foster and his staff are now working with other programs around the country, sharing what they've learned.

Despite his program's success, Foster said, there's more work to do. A new wave of veterans from Iraq and Afghanistan is appearing at Stand Down House, and Foster said he's determined to serve -- and save -- this next generation.

When asked why he does this, he simply answers, "It's my calling."  Watch Foster talk about his mission to help homeless veterans »

But for those Foster has helped, there's nothing simple about his achievements.

"If you could see the people when they come in here -- how they look, act and smell -- and then see them after, being a positive part of society, I don't know how you couldn't call Roy a hero," veteran Keith Coleman said. "Think of all the lives he's changed."

Want to get involved? Check out Stand Down House and see how to help.

@highlight

Roy Foster's program helps veterans facing addiction and homelessness

@highlight

Foster, an Army vet, struggled with alcoholism and drug abuse

@highlight

Since 2000, about 900 vets have found life-changing help at Foster's facility

@highlight

Vote now for the CNN Hero of the Year at CNN.com/Heroes