(CNN) -- More than 60 years after reneging on a promise to the hundreds of thousands of Filipinos who fought for the United States during World War II, the U.S. government will soon be sending out checks -- to the few who are still alive.

Veteran Franco Arcebal says, "we are loyal to the United States, except that the United States has forgotten us."

"For a poor man like me, $15,000 is a lot of money," said 91-year-old Celestino Almeda.

Still, he said, "After what we have suffered, what we have contributed for the sake of democracy, it's peanuts. It's a drop in the bucket."

During the war, the Philippines was a U.S. commonwealth. The U.S. military promised full veterans benefits to Filipinos who volunteered to fight. More than 250,000 joined.

Then, in 1946, President Truman signed the Rescission Act, taking that promise away.

Today, only about about 15,000 of those troops are still alive, according to the American Coalition for Filipino Veterans. A provision tucked inside the stimulus bill that President Obama signed calls for releasing $198 million that was appropriated last year for those veterans. Those who have become U.S. citizens get $15,000 each; non-citizens get $9,000.

"I'm very thankful," said Patrick Ganio, 88, the coalition's president. "We Filipinos are a grateful people."

Ganio was among the tens of thousands of Filipinos at the infamous battle of Bataan, a peninsula on Manila Bay opposite the Philippine capital. He was captured and beaten by Japanese troops before ultimately being freed, suffering from malaria and then resuming his service to the U.S. military.

"The record of the Philippine soldiers for bravery and loyalty is second to none," Truman wrote to the leaders of the House and Senate in 1946. "Their assignment was as bloody and difficult as any in which our American soldiers engaged. Under desperate circumstances they acquitted themselves nobly."

Though Truman said the Rescission Act resulted in "discrimination," he signed it.

"There can be no question but that the Philippine veteran is entitled to benefits bearing a reasonable relation to those received by the America veteran, with whom he fought side by side," he said. "From a practical point of view, however, it must be acknowledged that certain benefits granted by the GI bill of rights cannot be applied in the case of the Philippine veteran."

Some historians say financial concerns were paramount: The cost of funding full veterans benefits to all those Filipinos, particularly in the wake of the costly war, would have been a heavy burden.

The National Alliance for Filipino Veterans Equity offers a different explanation. "In 1946, discrimination against people of color was the rule of law," the group says in a document it submitted to the Obama-Biden transition team in November.

"The second-class treatment of Filipino World War II veterans is another example from this historical period."

For decades, Filipino activists and their supporters have fought for the full benefits. They've petitioned and picketed. Almeda, a widower who now lives in Virginia with his daughter, once chained himself to the fence outside the White House.

"I was fined $50 for civil disobedience and was arrested," he says now, chuckling. He says he was just looking for answers.

Despite encouraging words from U.S. presidents, including George W. Bush and Bill Clinton, the benefits were never restored.

"Only 70,000 Philippine veterans remain alive, and they hope to stay alive long enough to see those benefits reinstated," CNN reported in 1997. "There's a bill, stuck in committee in Congress, that would do just that."

That effort, just like so many before, fell apart.

"We were loyal to the United States. Even up to now, we are loyal to the United States, except that the United States has forgotten us in many ways," said Franco Arcebal, another leader of the American Coalition for Filipino Veterans. "It's only now, because of the insistence of Sen. [Daniel] Inouye in the Senate, he was able to act on this."

Inouye, D-Hawaii, inserted the language in the stimulus bill, calling it "a matter of honor."

The honor comes too late for the many Filipino veterans who passed away waiting for this moment. Families of deceased veterans are not eligible to receive the money.

For those who are alive, the checks could make a real difference.

"Practically all of us are below the poverty line now at this age. We have no way of earning a living," Arcebal said.

But, he emphasized, "it does not correct the injustice and discrimination done to us 60 years ago. ... We were not granted school benefits. We were not granted hospital benefits. ... And in the 60 years, several billion dollars were saved by the U.S. government for not paying 250,000 of us.

"Now we are only 15,000. And the amount that they're giving us is a small amount. But we appreciate that. Because it will finally recognize our services ... as active service in the armed forces of the United States."

CNN's Lisa Sylvester contributed to this report.

@highlight

Filipinos were promised full military benefits to enlist

@highlight

President Truman later signed act reneging on promise

@highlight

Only about 15,000 of the troops are still alive

@highlight

U.S. citizens will get $15,000; non-citizens will get $9,000