(CNN) -- The Obama administration asserts America is "not alone" in planning its proposed Syria strikes, though ally countries have yet to formally join the call for limited military action now advanced by the White House.

Whether other countries will participate in an American offensive against Syria remains to be seen. Short of an official White House list of who's in, analysts and CNN correspondents size up which countries may -- or may not -- play a military or diplomatic role in a planned U.S.-led air assault on Syria.

What about the British, our loyal ally in the Iraq War?

Forget it.

In a staggering setback to Prime Minister David Cameron, the British House of Commons said no to joining a U.S. assault against Syria. The United Kingdom is overwhelmingly against another Middle East conflict, with only 16% in favor of militarily punishing the Syrian regime.

Is there a chance UK legislators might reconsider?

5 things on Syria: Obama overseas to developments at home

It's possible, experts say, because Obama's strategy to make a public case before Congress for a limited Syria attack may win favor in Europe.

However, Cameron seemed to quash speculation that there might be a new Commons vote Wednesday.

"Britain cannot be and will not be part of any military action" against Syria, he said, adding that he respects the outcome of last week's vote and "will not be bringing back plans for British participation in military action."

The White House alleges that the Syrian regime is deploying chemical weapons that are killing innocent children and adults in a civil war that has lasted more than two years.

"It'll be interesting to watch in the coming days if the Obama administration's case on chemical weapons reverberates with the European public," said Andrew Tabler, senior fellow of the Washington Institute.

Well, who in Europe does support us?

It could be France, in something of a role reversal from 2003, when France declined to join the Iraq invasion but the British sent many troops.

The French parliament is expected to debate military action against Syria this week. But there's not a lot of nationwide support for such an intervention -- only one in three people in France endorses punishing Syria.

What's the evidence?

But the French are more open than the Germans, who are against it by a 5-1 ratio. German Chancellor Angela Merkel, who is facing re-election later this month, said her country won't participate in any military action, though she called the plight of the Syrian people "catastrophic."

Where does Israel stand on all this?

Israel, the ultimate U.S. ally in the Mideast, has already intervened in the Syrian conflict but in a measured way, using isolated bombing in instances that Israel deemed Syrian aggression.

'Red line' debate: Are chemical weapons worse?

"They have been doing this tit-for-tat thing," said Jeff Martini, Middle East analyst for the Rand Corporation.

For now, Israel is maintaining a low-profile in the international debate about whether to launch an offensive against Syria because it doesn't want to further antagonism between it and Arab neighbors. Israel's vast military force -- fighter jets, surveillance, early warning systems -- would be an important asset to American forces if an attack on Syria proceeds.

"Israel is doing its part by keeping quiet," Martini added. Israel is being supportive behind the scenes.

What about U.S. access to Turkey's air bases?

Some Turkish support will be public, and some will be under the table, said Anne-Marie Slaughter, president and CEO of the New America Foundation. The same goes for Saudi Arabia and Jordan, she said.

How a no-boots-on-the-ground attack against Syria would play out hasn't been revealed by the Obama administration.

Bombing would likely include missiles launched from the U.S. warships in the Mediterranean Sea.

The use of other countries' soil in the region for air strikes is uncertain, experts say.

Four questions for backers of Syrian mission

Secretary of State John Kerry told House Democrats that Turkey -- along with Saudi Arabia and the United Arab Emirates -- has already offered military assets for any Syrian attacks, two sources on the call told CNN this week.

If so, Turkey could play a huge role: There are already two big U.S. air bases there that could be used by fighter jets, refueling tankers, AWACS surveillance planes and U2 spy aircraft. There are also U.S. defense missile systems on the Turkish border as a defense against Syria.

Tell me more about oil-rich Saudi Arabia

Analysts believe that Saudi Arabia heavily influenced the recent announcement by the Arab League foreign ministers who called upon the international community to punish the Syrian regime for its alleged use of chemical weapons.

Is it 'High Noon' for Obama on Syria?

That statement was interpreted as the Arab League "green-lighting" a military strike against Syria without specifically mentioning bombing.

With its vast air force and bases, Saudi Arabia would offer a lot of resources to Western militaries. But it wouldn't participate directly in any attack on Syria because that would inflame a widespread Arabian Peninsula antipathy against Western military forces intruding into Arab affairs.

Still, Saudi Arabia is a diplomatic heavyweight in the Arab world, so the country's tacit support and money would ease any U.S. burden if it is forced to act alone against Syria.

Syria missile strike: What would happen next?

Kerry told the House Foreign Affairs Committee this week that Arab countries -- presumably including Saudi Arabia -- have offered to help bear the financial cost of the proposed military offensive against Syria.

"That's how dedicated they are to this," Kerry said.

U.S. ally Jordan is in a bind

Like Saudi Arabia, Jordan has air bases close to Syria's border that could be useful for inserting and extracting special forces and mounting rescue missions for downed pilots. Jordan also hosts U.S. forces, and together they train rebels for combat in Syria.

The Jordanians also allow weapons to flow over its border to the Syrian opposition, and their country is home to one of the biggest CIA operations on Syria in the region.

But Jordan is perhaps the most vulnerable of U.S. allies because it's so close to Syria and has declared that it won't be a launching pad for Syrian attacks. Jordan is unlikely to be involved directly in a U.S. strike against Syria because Jordan could face retaliatory missiles and terror attacks from the Syrian regime. Meanwhile, Jordan is nervous about its own internal tensions arising from Arab Spring, including how the country deals with corruption allegations and a not-so-popular king.

"Jordan fears Syria will escalate horizontally and switch the geography of conflict," Martini said.

Could Russia do anything?

Russia has been supportive of the Syrian regime, but if it wanted to assist the United States, it could pull its military advisers out of Syria and stop its alleged supplying of arms to the regime.

Russia could also tell Syrian President Bashar al-Assad to hand over power to an interim administration.

Such Russian support is unlikely, and the most that the Obama administration could expect is Russia expressing uncertainty about whether the Assad regime is the best to govern Syria, as Russia did a year ago.

So what kind of a coalition could we be talking about?

When all is said and done, any U.S.-led coalition against Syria could be one that offers more moral than military support.

That is still important, especially when the nations act outside the aegis of the United Nations Security Council.

"A coalition is political in nature, but the United States would do the heavy lifting militarily," Tabler said.

CNN's Nic Robertson, Nick Paton Walsh and Marc Sauber contributed to this story.

@highlight

A U.S.-led coalition to bomb Syria has yet to take shape

@highlight

British legislators vote against joining, but experts say it's possible they may reconsider

@highlight

The French Parliament is expected to take up the U.S. proposal this week

@highlight

Saudi Arabia, Jordan, Turkey will support U.S. in different ways, even under the table