A last-minute enrollment surge enabled the White House to meet its original sign-up target for the Affordable Care Act, a surprising victory for the Obama administration after a rocky rollout of the program that has become a political hot potato for Democrats and a rallying cry for Republicans.

President Barack Obama said on Tuesday that 7.1 million people had signed up on federal or state exchanges for coverage under the health care law now often known as Obamacare.

The enrollment period began anemically in October with a faltering federal website and ended with a crush of people trying to beat Monday's deadline to get coverage. Not everyone who has selected a health plan has paid for it yet, officials said.

Nevertheless, Obama claimed victory at a White House ceremony, saying the program approved by Congress in 2010 -- with no Republican support and vilified relentlessly by the GOP as government overreach -- has been a force for good.

He said it wasn't perfect, acknowledging the early difficulties in selecting a policy on HealthCare.gov, and he predicted more hurdles in carrying it out.

But the overall goal of starting to narrow the gap between those with health coverage and those without it has begun, and millions of Americans are embracing it, Obama said.

"That's what the (law) is all about, making sure all of us and all our fellow citizens can count on the security of health care when we get sick," he said, noting that the "law is doing what it's supposed to do. It's working."

The numbers

The nonpartisan Congressional Budget Office originally projected the 7 million enrollment target for the October through March period, which was adopted by the administration.

Expectations plummeted throughout the fall and into this year after the early website problems, which Obama called "several lost weeks."

But signs of a pickup began in late January and continued into February and early March despite a fierce campaign by Republicans to demonize the law as unworkable.

Administration officials said an absolute crush of people pushed the program -- Obama's chief domestic accomplishment -- over the finish line at the 11th hour. More than 4.8 million visits were made to HealthCare.gov on Monday alone.

Officials stressed that the 7.1 million figure represents only those who signed up for coverage. Those who came in late and encountered technical problems have until mid-April to complete the process. Private insurers are providing the coverage.

Health of Human Services Secretary Kathleen Sebelius told an Oklahoma TV station on Monday that insurers were reporting that 80% to 90% had paid so far.

The law also includes expanded Medicaid insurance for the poor in many states, but those participants are not part of the sign-up total.

The politics

Republicans, especially in the House, have waged a nonstop campaign to repeal or roll back the Affordable Care Act, saying it was rammed through Congress without their input and now is another illustration of big government at its worst.

They have made it a rallying cry of their fall campaign to expand their majority in the House and reclaim the Senate. It has energized the base, and the issue informs the commentary of potential GOP candidates for president as well.

Michael Steel, a spokesman for House Speaker John Boehner, an Ohio Republican, said in a statement that the law "continues to harm the American people" despite Obama's "victory lap." He said costs are not going down, as Obama contends, and people are losing insurance plans they preferred and small businesses are chafing under the law's requirements.

"That's why we must replace this fundamentally flawed law with patient-centered solutions that will actually lower health care costs and help create jobs," Steel said.

Democrats on the stump, especially those who voted for it and now find themselves in tight races, have recalibrated their position with Obama's presidency not much help to them with voters overall in their states.

But Obama said at the White House that the law is good for the country, regardless of politics, and that the numbers show Americans want it and that it's "here to stay."

"I don't get it. Why are folks working so hard for people not to have health insurance? Why are they so mad about the idea of people having health insurance?" he asked.

What people think

Americans are divided over how they view the law. Last month, 46% said they viewed it unfavorably, down 4 points since January, and 38% said they viewed it favorably, up 4 points over the same time period, according to a Kaiser Family Foundation poll.

Those who held unfavorable views cited concerns about costs (23%), opposition to the individual mandate (17%), and concerns about government intrusion (10%).

Those with favorable views cited expanded access to health care and health insurance (61%), followed by the perception that it will control health care costs and make it more affordable (10%) and that it will be good for the country (7%).

The telephone survey of 1,504 adults was conducted March 11 to 17 and had a sampling error of plus or minus 3 points.

Professor Uwe Reinhardt, a health economist at Princeton University, said he was not surprised at the last-minute rush to sign up.

"I think the prayer of the conservatives that this would collapse just didn't get answered," he told CNN. "It fills a need."

He predicted conservatives would chip away at whatever the number proves to be.

"It's all just, some people hate Obama and anything he does," he said.

The details

The administration did not release details about the numbers, including the number of younger Americans who signed up. That metric is crucial for making the program work economically because premiums from younger, healthier participants are needed to make the program work for older people who use the health care system more.

An official briefing reporters on the condition of anonymity said insurance companies were confident the percentage of young people was sufficient for the insurance marketplaces to function properly.

Obamacare's primary goal is to reduce the ranks of the 45 million uninsured.

Until now, many Americans with pre-existing conditions had to pay sky-high prices for insurance, if they could get any at all. Often, insurers branded them "uninsurable."

The surge

The administration pulled out all the stops in the final weeks of the enrollment period -- an effort one official equated to a "get out the vote" campaign before an election.

Administration officials took to the radio airwaves by participating in 400 interviews, enlisted celebrities and athletes to promote the law, and engaged people on social media. And Obama's interview on the online comedycast "Between Two Ferns" resulted in the so-called Zach Galifianakis effect, resulting in 33 million views of his mock interview with the comedian.

The interview with Galifianakis, along with a promotional push from Miami Heat forward LeBron James, were cited by administration officials as two of the most effective components in the push to enroll young Americans on the health care exchanges. The overall effort, the White House said, surpassed their expectations in terms of last-minute sign-ups.

By the numbers: The final Obamacare push

Republicans hit a nerve when it comes to Obamacare

5 things the polls tell us about Obamacare

@highlight

President Barack Obama says administration hits initial sign-up target

@highlight

More than 4.8 million visits to HealthCare.gov were made on Monday alone

@highlight

Enrollment in health care program steadily grew after rocky rollout

@highlight

The surge in sign-ups includes a good number of young people, official tells CNN