Washington (CNN) -- Texas congressman Ron Paul now leads among Iowa Republicans and has tied Newt Gingrich for second in New Hampshire. Republican conservatives have cycled through a series of "Not Mitts." Is it now Paul's turn?

Paul's core following has been small but fervid. However, Paul now is gaining a larger following, especially among younger voters attracted by his message of drug legalization and his comprehensive -- if utterly wrong-headed -- explanation of the country's economic crisis.

Unexpectedly, young voters seem also to appreciate Paul's grandfatherly anti-charisma: his self-presentation as a good-natured old codger, charmingly baffled by the modern world. The ill-fitting suits, the quavering voice and the slack-jawed laugh all support the image of an anti-politician, the lone voice of integrity in a sullied word.

There is however a flaw in this benign image of Paul: the now-notorious newsletters published under his name in the early 1990s. Paul collected nearly a million dollars in one year from newsletters suffused with paranoia, racial bigotry and support for the period's violent militia movements. Four years ago, Jamie Kirchick of the New Republic unearthed partial collections of the newsletters in the libraries of the University of Kansas and the Wisconsin Historical Society. From Kirchick's subsequent report:

"Take, for instance, a special issue of the Ron Paul Political Report, published in June 1992, dedicated to explaining the Los Angeles riots of that year. 'Order was only restored in L.A. when it came time for the blacks to pick up their welfare checks three days after rioting began,' read one typical passage.

"According to the newsletter, the looting was a natural byproduct of government indulging the black community with ' "civil rights," quotas, mandated hiring preferences, set-asides for government contracts, gerrymandered voting districts, black bureaucracies, black mayors, black curricula in schools, black tv shows, black tv anchors, hate crime laws, and public humiliation for anyone who dares question the black agenda.' It also denounced 'the media' for believing that 'America's number one need is an unlimited white checking account for underclass blacks.' "

There's a lot more in this vein.

Paul now claims that he did not write the newsletters, was unaware of their contents at the time and now has no idea who did write them.

It's fair to say that almost no one who has followed the controversy believes that Paul is telling the truth about any of this. The authorship of the newsletters is an open secret in the libertarian world: they were produced by a community of writers led by Paul aides Lew Rockwell and Murray Rothbard, who wrote a newsletter of their own at the same time that expressed similar ideas in similar language. The racism of the newsletters -- and the elaborate lying subsequently deployed to evade responsibility for the newsletters -- say much about the ethics of Paul himself and the circle around him.

Yet Ron Paul is something more (or less) than a racist crank. As Michael Brendan Dougherty aptly observed in the Atlantic last week:

"As crazy as it sounds, Ron Paul's newsletter writers may not have been sincerely racist at all. They actually thought appearing to be racist was a good political strategy in the 1990s. After that strategy yielded almost nothing -- it was abandoned by Paul's admirers."

A fellow libertarian offers more detail on Paul's racism-as-strategy. Paul and his circle aspired "to create a libertarian-conservative fusion ... [by] appealing to the worst instincts of working/middle class conservative whites by creating the only anti-left fusion possible with the demise of socialism:  one built on cultural issues. ... [The strategy] apparently made some folks (such as Rockwell and Paul) pretty rich selling newsletters predicting the collapse of Western civilization at the hands of the blacks, gays, and multiculturalists.  The explicit strategy was abandoned by around the turn of the century, but not after a lot of bad stuff had been written in all kinds of places."

Don't get the idea, however, that racism-as-strategy was some brief, futile dead-end for Paul. Paul exploited bigotry throughout his career, before as well as after the newsletter years. As Dave Weigel and Julian Sanchez reported in the libertarian magazine Reason, "Cato Institute President Ed Crane told Reason he recalls a conversation from some time in the late 1980s in which Paul claimed that his best source of congressional campaign donations was the mailing list for The Spotlight, the conspiracy-mongering, anti-Semitic tabloid run by the Holocaust denier Willis Carto until it folded in 2001."

Crane is the president of the premier institution in the libertarian world. If his recollection is correct, Paul was appealing to consumers of Holocaust denial for political purposes half a decade before the newsletters commenced.

Nor is it wholly accurate to describe Paul's strategy of appealing to the extremes as "abandoned." Ron Paul delivered the keynote address to the John Birch Society as recently as the summer of 2009. He is a frequent guest on the Alex Jones radio program, the central station for 9/11 Trutherism. As I can attest first-hand, anybody who writes negatively about Paul will see his email inbox fill rapidly with anti-Semitic diatribes.

Not all the "bad stuff" of Ron Paul's newsletter period was racist, exactly. Some of it was just general-purpose paranoia, designed to trick money out of the pockets of the fearful and gullible. Reuters has unearthed an example of a solicitation letter for the Ron Paul newsletters: 

The solicitation warns of the coming danger of "new money":

"I uncovered the New Money plans in my last term in the US Congress, and I held the ugly new bills in my hands. I can tell you - they made my skin crawl!

"These totalitarian bills were tinted pink and blue and brown, and blighted with holograms, diffraction gratings, metal and plastic threads, and chemical alarms. It wasn't money for a free people. It was a portable inquisition, a paper 'third degree' to allow the feds to keep track of American cash, and American citizens."

[In an e-mail to CNN, Paul's campaign chairman Jesse Benton said, "Dr. Paul did not write that solicitation and the signature is an auto pen. It does not reflect his thoughts and is out of step with the message he has espoused for 40 years." He added, "He should have better policed it and... he has assumed responsibility and apologized."]

The daffy old coot side of Ron Paul's personality is genuine enough. The crank side is certainly genuine, as are at least some of the racial views. Even after Paul abandoned the crude race-baiting of his 1990s newsletters, he continued to engage in elaborate apologetics for the Confederate side of the Civil War. 

Also genuine, however, is the huckster aspect of the Ron Paul persona. That's the persona that terrifies people who had never before heard of "diffraction grating" that the government might use this optical scanning technology, which can detect counterfeiting, to wiretap their wallets.  

Ron Paul's admirers see him as a man of integrity. They are tragically mistaken about that. Despite his too-dotty-to-lie persona, Ron Paul is not in fact on the level. In evading responsibility for his newsletters, Paul has replied "I don't know" and "I don't remember" to queries whose answers he must know and surely remembers. The back story of the newsletters shows a man who, sufficiently saturated in racism and extremism himself, was ready to exploit the even greater racism and extremism of others for financial gain. Ron Paul is the Max Bialystock of monetary cranks -- and this latest presidential campaign represents the summit of his bunco artist career, his very own "Springtime for Hitler."

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says Ron Paul is riding high in GOP polls

@highlight

He says Paul benefits from an image of being a codger unafraid to say what he thinks

@highlight

Frum says racist remarks in Paul's newsletters belie the benign image he projects

@highlight

He says Paul has peddled extreme views for his personal benefit