(CNN) -- Our understanding of physical reality â€” of everything and nothing â€” has changed forever. We don't yet know where we are heading, but nothing will ever be the same. As a scientist, I don't know what more I could ask for.

On July 4, two independent teams of more than 3,000 physicists apiece from more than 40 countries working at the largest particle accelerator on Earth at the European Center for Nuclear Research, or CERN, gathered to announce to the world the discovery of a new elementary particle.

This was not just any elementary particle. It was a particle that appears to have all the characteristics of the Higgs boson, which was first predicted by physicists in 1964 and became the most sought-after particle ever since.

The Higgs particle is an essential part of the Standard Model of particle physics, one of the most beautiful theories ever created by the human mind. The model provides an eloquent description of almost all of nature as we have observed in experiments in a few equations that can fit on a T-shirt.

The only problem was that no experiment had ever provided evidence that the Higgs particle actually exists.

News: Higgs boson is like... a Justin Bieber fan?

Without the Higgs, the heart of the Standard Model is missing. The Higgs is associated with an invisible field predicted to permeate throughout all of space interacting with particles to give them mass. The Higgs is the key to unlocking the question: Why does matter have mass?

Equally importantly, the Higgs allows two of the four forces in nature -- the electromagnetic force and the weak force, which is responsible for most nuclear reactions -- to be unified and described by mathematics of the same type that describe the other two known forces, the so-called strong force and gravity. Quantum mechanics tells us that if such a Higgs field exists, then one can produce real particles out of the field if one throws enough energy into a small enough volume.

The discovery of this new particle is notable for what it tells us, but also for what it doesn't. There were some intriguing anomalies in the observation of this Higgslike particle. For example, the rate at which the new particle is produced seems to be slightly higher than the one predicted in the Standard Model. However, this could merely be a statistical fluke that results from the fact that to date only a few score of Higgs candidate events have been observed amongst billions of particle collisions.

There are still important unanswered questions about the Standard Model and we have to verify that this remarkable theoretical house of cards can stand on its own. Deviations from the Standard Model prediction, if they are confirmed by more data, can shed light on these unknowns.

What is the Higgs boson and why is it important?

First and foremost is the question of how the invisible background field tied to the existence of the Higgs came to be and why it has the properties it does. This field is simply posited to exist, and apparently it does.

The Higgslike particle takes us a step closer to solving the mystery of the universe, which is inextricably connected to the mystery of our own origin. Likewise, other new physics is now more likely to be uncovered at CERN's Large Hadron Collider, which will add to our knowledge base.

We might, for example, find the particles that make up more than 90% of the matter in our galaxy and all galaxies, which look dark to our eyes. And we might be provided with clues that reveal the trail to unraveling the ultimate holy grail of fundamental particle physics -- a quantum theory of gravity.

Imagine that the visible universe and everything in it was once contained in a volume many times smaller than the size of a single atom. With a quantum theory of gravity, we may be able to trace the Big Bang expansion back to its very beginning, and understand precisely how our universe arose, presumably from nothing.

Read more science news on Light Years

Whatever new door to reality the discovery of Higgs opens for us, the best days may be ahead. That possibility is what energizes us, and makes the continued effort to probe new corners of nature such an exciting part of the human adventure.

The opinions expressed in this commentary are solely those of Lawrence M. Krauss.

@highlight

Physicists discovered a new particle that appears to be the highly sought after Higgs boson

@highlight

Lawrence Krauss: Our understanding of physical reality has changed forever

@highlight

He says the Higgs is the key to unlocking the question: Why does matter have mass?

@highlight

Krauss: Higgslike particle gets us closer to solving the mystery of the universe and our origin