(CNN) -- As American and Iranian negotiators prepare to implement their historic interim nuclear deal, a handful of hawkish lawmakers are on the cusp of destroying the last remaining pathway to peace.

This month, Sens. Robert Menendez, Charles Schumer and Mark Kirk introduced ill-timed legislation -- the Nuclear Weapon Free Iran Act of 2013 -- that would implement new Iran sanctions in clear violation of the recently brokered Geneva agreement.

Calling such actions in Washington "a major setback," Iranian Foreign Minister Javad Zarif used the opportunity to send a clear message to his Western audience: "It shows a lack of understanding of how to proceed in order to resolve the nuclear issue. Some people are wedded to the idea that pressure will produce results. They are wrong. Pressure has produced 18,000 centrifuges in Iran. So if they want to continue that road -- it is open to them, but it doesn't produce any results."

Zarif has a point. The problem with new sanctions legislation goes beyond the fact that it will kill the diplomatic process. Perhaps more important, this destructive behavior does the opposite of what we really should be doing: empowering those in Iran who want to unclench their fist and meet the extended hand of the United States.

Supporters of sanctions legislation in Congress say their actions do not violate the Geneva deal. Instead, they are needed to retain the infrastructure of sanctions, because it was the sanctions that created this opening for diplomacy in the first place.

This is a deep misread of how we got here and a very effective way of making sure this opportunity is lost.

In a new report, "Extending Hands and Unclenching Fists" (PDF) -- which relies on in-depth interviews with senior Iranian political officials, intellectuals and members of business community -- the National Iranian American Council shows that absent evidence, it is difficult to argue that Iran's shift to more moderate policies was a result of external sanctions.

It is more plausible that this shift reflected the continued desire of the Iranian people to put an end to the mismanagement and failed policies that had endured under the Ahmadinejad government. The Iranian people had pushed for the same shift in 2009, before the imposition of "crippling sanctions," but the hardliners resorted to fraud and repression to prevent their votes from being counted.

In 2013, circumstances on the ground in Iran bubbled over: Seventy-three percent voter turnout propelled Hassan Rouhani to a landslide first-round presidential victory at the polls with 50.7% of the vote. Precisely because the wounds of 2009 were still open, divisions within the political elite remained unsettled, and the intense internal rifts suggested that the system simply could not survive the delegitimizing effects of another election scandal. These internal dynamics are a far more powerful -- and far less understood -- dynamic than any sanctions imposed from abroad.

The same analysis that incorrectly predicted victory by hardliner and former chief nuclear negotiator Saeed Jalili at the polls subsequently attributed Rouhani's victory to sanctions despite no concrete evidence in support of that assertion.

On the contrary, a poll conducted by Tehran University and the University of Maryland (PDF) immediately after the election revealed that only 2% of Rouhani's supporters listed the lifting of sanctions as a reason for supporting him. Twice as many -- 4% -- voted for him because he was a clergyman. Seven percent cited his ability to fix the economy.

The poll also revealed that a key factor behind Rouhani's election was strategic voting by supporters of his rival, Tehran Mayor Mohammad Bagher Ghalibaf. Since most voters expected the election to go to a runoff, many saw voting for their preferred candidate in the first round as a waste if they expected their top choice to be a shoo-in for the runoff. Thus, some voters cast their ballots for their second choice in the first round to secure a runoff between two of their most preferred candidates.

According to the poll, 24% of Rouhani voters preferred Ghalibaf but were certain he would make it to the runoff and instead voted for Rouhani to ensure a runoff between these two candidates. Thanks in part to this miscalculation, Rouhani managed to reach just above the 50% threshold and evade a runoff.

A more recent poll by Zogby Research Services (PDF) conducted 1,200 face-to-face interviews in Iran, and the results were equally telling. A whopping 96% said that maintaining the right to advance their nuclear program is worth the price being paid in economic sanctions and international isolation.

In contrast, a paltry 7% prioritized resolving the standoff over Iran's nuclear program so that economic sanctions can be lifted. Perhaps more important, the Zogby poll makes clear what intellectually honest Iran observers have long asserted: All top-tier priorities listed by Iranian respondents were political or governmental reform issues, such as employment, advancing democracy, protecting personal and civil rights, increasing women's rights and ending corruption.

Iranian voters know better than anyone that Rouhani's victory at the polls is fragile. Boxing in their hardliners is not the same as eliminating them. What the outside world -- particularly the West -- does or does not do can help determine whether the win-win approach of Rouhani and Zarif will define Iran or whether it will once again be relegated to the sidelines. Thanks to the elections, not sanctions, the win-win narrative of the Iranian moderates is now dominant. But it won't be for long if their corresponding policies do not prove successful.

Simply put: Proponents of sanctions can deal with the flexibility of Rouhani's team now, or they can deal with the inflexibility of Iranian hardliners in six months. Knowing this, their choices in the days and weeks ahead will be telling.

The opinions expressed in this commentary are solely those of Reza Marashi and Trita Parsi.

@highlight

Reza Marashi and Trita Parsi say the U.S. is misinterpreting the results of Iranian election

@highlight

They write that threatening more sanctions is the wrong way to go

@highlight

Continuing down this road will make sure this opportunity is lost, they say