(CNN)The long investigation surrounding a mysterious battery fire that made so much trouble for Boeing's 787 Dreamliner is closed.

The National Transportation Safety Board report -- released December 1 -- comes nearly two years after burning and smoking batteries grounded all 50 of the world's most advanced airliners flying at the time.

When you pick apart the 110-page document, it reveals how any new piece of equipment can pose dangerous problems, even a noncritical piece of equipment like batteries. In this situation, the battery created one of the worst threats possible: an onboard fire.

From a broader perspective, the investigation reminds us of the heavy responsibilities shared by the world's aviation regulators and aircraft makers. The battery problems struck Boeing shortly after it had rolled out what was then a new model aircraft, with some of the most sophisticated technology available.

It all started in January 2013, when an empty Japan Airlines 787 caught fire while parked at Boston's Logan Airport. A second battery incident nine days later in Japan prompted the Federal Aviation Administration to ground the entire Dreamliner fleet while the problem was fixed.

Read more about the battery

Now, with more than 200 Dreamliners in service, the FAA says safer battery systems have been installed in the planes.

The NTSB basically blamed the battery problem on two things:

--Overheating from an electrical short circuit that may have been caused by manufacturing defects

--Allegedly unsatisfactory oversight of the manufacturing process by both the Federal Aviation Administration and Boeing

Read the full NTSB report (PDF) on the battery fire

To bring the investigation into sharper focus, here are eight questions and answers associated with the report:

1. What was the root cause of the short circuit?

It's remarkable: The investigation was unable to pinpoint the root cause of the battery cell short-circuit. Neither could Japanese investigators, although they had a theory.

2. How closely does the FAA monitor the development of aviation technology?

The FAA allows Boeing and other qualified manufacturers to use their own employees to confirm that new aircraft components meet safety regulations. They follow specific FAA guidelines and submit to regular checks by FAA officials. Experts say more and more of that self-checking oversight is moving further down the supply chain to subcontractors.

NTSB investigators recommended that both the FAA and Boeing "develop or revise processes to establish more effective oversight" of suppliers.

The report also called on the Dreamliner's Japan-based battery maker, GS Yuasa Corp., to "review its cell manufacturing processes and ensure its employees are properly trained."

Kenneth Quinn, a Washington-based attorney who represents the battery maker, said this week that "GS Yuasa had respectfully disagreed with a number of the observations NTSB made regarding manufacturing defects." He said the company is studying the report and is "eager to implement continuous quality improvements with the suggestions of the NTSB, FAA" and Japan's aviation regulators.

3. How did all this get started?

The battery, like those aboard all Dreamliners, was a lithium-ion battery, a technology that airline manufacturers like as a way to save fuel costs because of its low weight. Lithium-ion batteries also power cell phones and laptops. It's a developing technology that has a history of overheating issues.

Related: Watch video of the 787 that caught fire in 2013

Related: 787 Dreamliner infographic

The FAA had already certified these batteries as safe and flight worthy. Apparently they weren't. Passenger safety and billions of dollars in Boeing aircraft orders were at risk. Officials needed to know what went wrong.

That's why the FAA did something next that it hadn't done in more than 30 years: It grounded an entire type of airliner, nationwide. For about four months Dreamliners sat idle.

To fix the problem, each battery was put inside a fireproof steel box to prevent the battery from catching fire. Just in case, the box includes vents that would force any smoke outside the plane. More insulation against heat was also added, and the batteries were redesigned to charge at lower levels.

In the 19 months since the Dreamliner fix, there have been no reports of batteries catching fire, although a 787 battery cell did overheat while on the ground earlier this year. "The improvements made to the 787 battery system last year appear to have worked as designed," Boeing told Flightglobal in a statement at the time.

Related: Beacon blamed for London Dreamliner fire

4. Could it happen again?

Boeing and the battery maker say no.

Theoretically, if another Dreamliner battery short-circuits and overheats, the system will remain safe because there won't be enough oxygen in the containment box for a fire to be possible, a Boeing spokeswoman said.

Does that make the battery maker comfortable with the fact that the root cause of the short-circuit remains a mystery?

"GS Yuasa is very comfortable in knowing that the quality of the manufacturing processes and the redesign of the battery will prevent a situation from occurring as it did in the Boston and Japanese incidents," said Quinn.

5. How important are these batteries, anyway?

They're necessary, but they have backups in case they fail.

The batteries are used only before take-off to power up the cockpit computer and to start the plane's auxiliary power unit. (That's the thing that fires up the 787's two jet engines.)

After takeoff -- unless there's a power failure -- these batteries are not in use because electricity to run onboard equipment is generated by the engines.

Even if there is a power failure -- which is highly unlikely -- there are other ways pilots can create electrical power to run the 787's steering and other systems. For example, small wind turbines -- called ram air turbines, or RATs -- that pop out of the aircraft to generate juice via wind power.

6. Will Boeing and the FAA develop a more effective process to oversee suppliers?

Boeing says it did that already, before the NTSB report. The company said it now has a "more formal flow of requirements and increased interaction between Boeing, its suppliers and sub-tier suppliers as compared to the processes in place earlier."

The FAA said it also has "effective processes in place to identify and correct issues that emerged before and after certification" of the 787.

But it also said it's still evaluating the NTSB recommendations "and will provide a timely response to the board."

7. Do airliner manufactures plan to use lithium-ion batteries on new aircraft models?

They do.

Immediately after the Dreamliner's troubles, Boeing competitor Airbus announced it was pulling lithium-ion batteries from early production models of its new A350 aircraft and going with traditional -- and heavier -- nickel cadmium batteries.

But in September Airbus did a 180. It said it planned to switch back to lithium-ion batteries on A350s set to be delivered in 2016. Airbus' chief designer told Bloomberg the company can "mitigate any risks to zero."

Boeing said this week it would decide whether to use lithium-ion batteries in new planes "on a case-by-case basis."

8. Were there any surprises in the report?

Yes: a random, unrelated problem with a new type of cockpit voice recorder.

The report revealed that a new recorder on the Japan Airlines Dreamliner didn't record voices very well, a situation that "could impede future aircraft investigations," the NTSB said.

Almost all crew conversations recorded by the cockpit voice recorder were "completely obscured" by ambient cockpit noise, according to the report.

The FAA should require Boeing to improve the quality of the audio on the recording device, the NTSB said. Boeing said it's still examining the NTSB recommendations.

Overall, for aviation enthusiasts and fans of the Dreamliner, the report offered a mountain of insider data about the popular aircraft.

As Quinn, the GS Yuasa attorney, put it, "I think we can all rest assured that this is the most investigated battery incident, ever."

@highlight

Investigation ends into 2013 lithium-ion battery fire on Boeing 787 Dreamliner

@highlight

NTSB report blames short circuit and allegedly unsatisfactory FAA/Boeing oversight

@highlight

FAA, Boeing and battery maker are confident the problems have been fixed

@highlight

Boeing and Airbus considering using lithium-ion batteries on future airliners