BAGHDAD, Iraq (CNN) -- Iraq's oil minister Monday opened international bidding on six oil fields that could increase the country's oil production by 1.5 million barrels per day.

Iraqi flags flutter during the opening ceremony of a new oil refinery plant in the Shiite holy city of Najaf.

But the oil ministry continues to negotiate short-term no-bid contracts with several U.S. and European oil companies, including Exxon Mobil Corp., Royal Dutch Shell, Total SA, Chevron Corp., and BP -- a step recently criticized by two U.S. lawmakers.

Oil Minister Hussein Shahrastani announced Monday that 35 international oil companies can bid on long-term contracts for redeveloping the six oil fields, as well as two natural gas fields.

"It is a unique event and a significant feature in the new Iraq that we declare the first bidding course for developing the Iraq oil fields publicly and fully in a transparent way," the minister said at Monday's news conference.

It marks the first time in more than 35 years that Iraq has allowed foreign oil companies to do business inside its borders.

Shahrastani said the fee-based contracts will not give the winning companies a share in the revenue from oil sales "because this wealth belong to Iraq only and thus we will not allow anyone to share the Iraqis' oil."

Iraq has among the largest oil reserves in the world, with an estimated 115 billion barrels -- tying Iran for the No. 2 status behind Saudi Arabia's 264 billion barrels, according to estimates from the Energy Information Administration.

Iraq's current oil production is 2.25 million barrels a day, according to the U.S. Energy Information Administration. That is close to its status before the U.S.-led war that toppled Saddam Hussein in 2003, but below its levels prior to the first Persian Gulf War in 1991.

The six oil fields that will be open to development are in the Kirkuk oil fields and the neighboring Bai Hassan fields in northern Iraq, Shahrastani said. They are al-Rumeila, al-Zubair, al-Qurna West, and three fields in the Maysan oil fields -- Bazirqan, Abu Gharab and Fakah.

The two gas fields are Akas and Mansouriya gas fields in western Iraq.

The fields have already been explored and are producing oil and gas, but the equipment is old and outdated, Shahrastani said. He hopes that the new infrastructure provided by the international oil companies will mean "the production can be increased in less cost and less time."

Iraq's oil minister said the ministry will invite the 35 qualified international companies --- which includes BP, Exxon Mobil, Royal Dutch Shell and Chevron -- to prepare their bids over the next two weeks. The contracts could go into effect by next year, but Shahrastani said it will take several more years before oil production is increased.

"We hope in 2013 through this first bidding course to increase production in these fields by 1.5 million barrels per day, in addition to our daily average production rate during the last five years," he said.

Meanwhile, Iraq hopes to wrap up its talks regarding short-term, no-bid contracts that would allow the U.S. and European oil companies -- including Exxon Mobil, Royal Dutch Shell, Total SA, Chevron, and BP -- to service those oil fields as soon as possible.

Last week, Sen. Charles Schumer, D-New York, and Sen. John Kerry, D-Massachusetts, sent a letter to Secretary of State Condoleezza Rice expressing concerns about the no-bid contracts that the government of Iraq is negotiating with the U.S. and European companies.

The senators, who released the letter, said they are worried that unfair distribution of oil revenue could inflame the violence between the warring religious and political groups of Iraq.

"We urge you to persuade the (government of Iraq) to refrain from signing contracts with multinational oil companies until a hydrocarbon law is in effect in Iraq," read the letter from Schumer and Kerry.

"At this time, the (government of Iraq) currently does not have in place a revenue-sharing law that could fairly allocate any revenue gained from Iraq's lucrative hydrocarbon fields between the three major ethnic groups in Iraq," read the letter. "We fear that any such agreements signed by Iraq's Hydrocarbon Ministry without an equitable revenue-sharing agreement in place would simply add more fuel to Iraq's civil war."

In their letter, the senators said that Iraq's oil revenue during 2007 and 2008 will total $100 billion, "most of which will not be spent on reconstruction due to bureaucratic incompetence."

The oil ministry said Monday that the negotiations over the no-bid "technical support agreements" are ongoing. Under those short-term agreements the companies would be paid a fee for extracting the oil, but would not get a share of the revenue from oil sales.

The companies that will be allowed to compete in the open bidding for long-term contracts, which would be under a similar revenue format, are:

@highlight

Iraqi oil minister: 35 companies qualified to bid on service contracts for oil fields

@highlight

New contracts would raise Iraq's production by 1.5 million barrels per day

@highlight

Reduction in violence has boosted production to highest level since 2003

@highlight

Reports: 5 companies close to signing short-term oil service contracts no-bid basis