RAFAH, Gaza (CNN) -- Israel said Wednesday it expects Egypt to "solve the problem" after at least 50,000 people crossed the downed Gaza-Egyptian border to buy supplies.

Palestinians on Wednesday break through a wall separating Egypt from Gaza.

Palestinians, running out of fuel, food and other supplies after Israel closed Gaza border crossings, poured into Egypt through blown-out and torn-down breaches in the border wall.

Egyptian guards stood by without intervening, and Egypt's Foreign Ministry spokesman announced that the nation would remain open to the needy "as long as this is a humanitarian crisis."

"We are not opening the Rafah crossing just for everybody to cross -- we're opening it because it's a very dire humanitarian situation," said spokesman Hassam Zaki.  Watch more from the scene »

After the "shopping spree," Zaki said, "We expect everyone to go back to Gaza to their homes within a short period of time."

Egypt is torn between obligations to Israel to control the border and domestic support for the Palestinians.  See dramatic photos »

Israel's Foreign Ministry said the open border posed a security risk. "When the exit [from Gaza] is open, so is the entrance," ministry spokesman Aryeh Mekel said. "Hamas and other terrorist groups may use this opportunity to smuggle weapons and terrorists into Gaza."

The exodus followed Israel's closing of its Gaza border crossings Friday to punish Gaza's Hamas leadership after days of rocket attacks on southern Israel.

Mindful of its diplomatic pact with Egypt, Israel's Foreign Ministry issued a tersely worded call for Egypt to "ensure that the border operates properly, in accordance with the signed agreements" and "Israel expects the Egyptians to solve the problem."

Earlier Wednesday, wave after wave of people -- cheered on by children chanting "God is great" -- washed over fences along the border and into Egypt. They left on foot, in cars and atop donkey carts.

Israel's border closings have left Hamas-controlled Gaza cut off from food, fuel and other necessities. Aid agencies warned of the impending humanitarian crisis.

Along the border in Rafah, the scene changed throughout the day from a carnival atmosphere -- as Palestinians flooded the town -- to a calmer situation. Later Wednesday, more cars traveled into Gaza than toward Egypt.

By nightfall, Rafah's normally sleepy sister town of El-Arish, Egypt -- about a 20-minute drive from the border -- was still bustling with Palestinians. Trucks were traveling the road between the Egyptian town and Gaza, carrying Palestinians and their newly purchased goods.

Meanwhile, Gaza City -- the Palestinian territory's most populated area -- was a virtual ghost town as people headed south.

Egyptian President Hosni Mubarak said he had ordered his troops to allow Palestinians to cross into Egypt because they were starving, according to Egypt's state-run news agency MENA.

In Washington, White House spokeswoman Dana Perino said Wednesday that the "situation on the border with Egypt and Gaza is quite serious today and we are very concerned about it." State Department officials have been in touch with involved parties, she said, including "many in the Egyptian government."

"The focus should be on restoring the situation," said Perino, who blamed Hamas for the "genesis of this problem," specifically, "sending over to Israel upwards of 150 rockets a day that are landing in its territory. So Israel's defending itself."

The mass movement of people into Egypt began about 2 a.m. Wednesday, when residents reported hearing explosions near the border. Authorities said militants set off several explosions.

At least six spots on the border wall had been blown apart. In another stretch, a steel coil wall had been sheared off.

By daybreak, lines of people waited restlessly as a frontloader tore chunks of concrete from a border wall. Hundreds of cars streamed toward Rafah -- on the Egyptian border -- unloading occupants who then jumped over.

John Ging, head of the United Nations Relief and Work Agency in Gaza, called the exodus "the desperate acts of a desperate people."

"Everything that is needed for the sustainment of life here is in short supply or has run out," Ging said.

Border access between Gaza and Egypt has been greatly restricted since June 2007,  when Hamas took over the territory.

Israel's military reported Wednesday that no rockets have been fired from Gaza into Israel as of 6 p.m. (11 a.m. ET), marking a sharp reduction in what has been the daily launching of rockets.

In Cairo, Egyptian police Wednesday arrested as many as 500 people on their way to demonstrations to show support for the Palestinians in Gaza, according to George Ishaq, a spokesman for Kifaya, an anti-government movement in Egypt.

Student organizers at Cairo University said several thousand protesters turned out for a similar demonstration on the school's campus.

In Switzerland, where she is attending a conference, U.S. Secretary of State Condoleezza Rice has blamed Gaza's Hamas leadership for its defiance of the international community. Hamas is a Palestinian Islamic fundamentalist organization which Israel and the United States consider a terrorist organization.

Rice said on Tuesday that the Mideast Quartet -- composed of the United Nations, the European Union, the United States and Russia -- is examining a plan by Palestinian Prime Minister Salam Fayyad for the Palestinian Authority to take a greater role in monitoring border crossings between Gaza and Israel.

Gaza receives about 70 percent of its electricity from Israel, and the bulk of the remaining power comes from a generation plant in Gaza. That plant relies on fuel supplied by an Israeli company. E-mail to a friend

CNN's Elise Labott, Aneesh Raman, Shira Medding, Kevin Flower, Talal Abu-Rahmi and Ben Wedeman contributed to this report.

@highlight

NEW: Hamas to blame for "serious" situation, says "very concerned" White House

@highlight

Gaza City quiet; Egyptian town bustling; more cars entering Gaza

@highlight

Gaza rocket attacks into southern Israel cease, Israel says

@highlight

U.S. blames Hamas after 50,000 cross into Gaza to Egypt to buy goods