(CNN) -- What a veteran traveler you are.

You've already hiked up to Machu Picchu and climbed up and down the thousands of stairs of the Great Wall of China. We bet you've also stood awestruck before the Hagia Sofia and the Taj Majal.

You're a regular Tony Wheeler, who co-founded Lonely Planet travel company more than 40 years ago. Like you, he's visited most of the world's major wonders and almost everything else worth seeing.

Wheeler and fellow world explorer Vince Michael, head of the Global Heritage Fund, are always looking for hidden places to discover. By all means, they say, visit Angkor Wat and the Hagia Sophia. Go there and check them off your bucket list.

But don't you want to explore places everyone hasn't already seen? That's why CNN asked Michael and Wheeler, a Global Heritage Fund board member, to pick some hidden gems to explore. These are spots where we hope you won't always share your trip with thousands of other travelers.

"Who hasn't seen pictures and read about Angkor Wat in Cambodia?" Wheeler told CNN. "But Banteay Chhmar? It's an unknown, and discovering an unknown is always a delight.

"Ditto for the Taj Mahal in India. Nobody's disappointed when they see the Taj for the first time, but they've seen pictures of it. It's popped up in TV programs and movies so often, that actually seeing it is no surprise. Hampi, however, is going to be totally unexpected."

Let the crowds swarm the world's best-known marvels. The lesser-known Global Heritage Fund sites below can be found in the same countries -- without the crowds. And two spots are still on Wheeler's bucket list.

That's right: Even the co-founder of Lonely Planet hasn't yet been to these picks in India and Peru. Maybe you can beat him there.

Some of the more undiscovered spots require long and bumpy bus rides through the mountains, while others are located near luxury hotels. No matter which you choose, they will knock your (hiking) boots off.

Pingyao Ancient City, China

Called the "Long Wall of Ten Thousand Li" in China, the more than 20,000-kilometer Great Wall was built from the third century B.C. to the 17th century A.D. on China's northern border and is the world's largest military structure.

Prefer to see a more complete picture of ancient Chinese life? Book a high-speed rail train ticket and take the 700-kilometer (435-mile) journey southwest from Beijing to Pingyao in just four hours. (The regular train trip can take anywhere from 10 to 14 hours.)

Pingyao Ancient City is a stunning Han Chinese city from the Ming and Qing dynasties (1368-1911). Nearly 400 of the 4,000 existing Ming- and Qing-era courtyard buildings are still intact, as is a 6-kilometer city wall. The city was a center for China's banking industry in the 19th and 20th centuries, and some of the imposing buildings are evidence of the city's wealth.

"Pingyao is such a magical place given the incredible urbanization in Beijing and Shanghai and the fact that every other Chinese city has lost its wall," says Michael. "You really feel like you have stepped into the past."

7 fascinating cities of destruction

Chavin de Huantar, Peru

Many visitors to Peru fly into Lima and hop on a quick flight to Cuzco to explore the 15th century Historic Sanctuary of Machu Picchu, perhaps the most stunning structure standing from the Inca empire.

How about a site a few centuries older? One of the oldest cultures in Peru, Chavin de Huantar was a pan-Andean culture that thrived in the location of the same name between 1500 B.C. and 400 B.C. some 3,180 meters above sea level.

The Chavin archaeological site, located about 250 kilometers (155 miles) north of Lima, seems to have been a religious and ceremonial pilgrimage center for the pre-Columbian Andean religious world.

"It is distinguished by a highly organized platform-mound-and-plaza architecture that includes precocious use of finely cut and worked stone facades as well as an intricate, graphic, baroque and instantly recognizable 'art' style executed in stone, pottery, bone, shell and gold," says Michael. "It also represents one of the earliest manifestations of Shamanism, where power was legitimized through a belief in the small elite having a divine connection."

"The monumental center of Chavin itself was clearly a very significant place, and its elaborate architecture places it among the most impressive temples of its time, anywhere in the world."

Take an eight-hour bus ride from Lima to the northern town of Huaraz, and it's another bumpy three-to-four hour bus ride from Huaraz to Chavin.

Catalhoyuk, Turkey

Part of Istanbul's distinct skyline, the Hagia Sophia (Holy Wisdom) cathedral currently standing opened in the 6th century A.D. and is where rulers of the East Roman Empire were crowned.

We prefer to explore Catalhoyuk, a 700-kilometer drive south from Istanbul, where lovers of ancient civilizations can find one of the earliest known towns in the world.

Catalhoyuk is a nearly 10,000-year-old example of a well-preserved Neolithic town, showing how humans moved into sedentary life, organized themselves and developed a culture. It contains some of the world's earliest known mural art and is considered central to the origin of civilization in the Middle East.

It's an ancient agricultural community rather than a big site of temples, palaces and streets lined with columns, "plus hardly any visitors," says Wheeler. "Unlike the better known Greek and Roman sites of Turkey, this place is a bit of a mystery."

While the houses have evidence of lovely art and sculpture, the homes themselves are made of unfired mud brick and present a challenge for conservationists.

UNESCO's newest World Heritage Sites

Hampi, India

One of the most well-known and admired structures and examples of Indo-Islamic architecture in the world, the Taj Mahal is a marble mausoleum built in the 17th century by the Mughal emperor in memory of a beloved wife.

A site of equal interest lies in the south of India at Hampi, the last capital of the last Hindu Kingdom of Vijayanagar. A six-hour drive from Goa or Bangalore, Hampi was conquered by the Deccan Muslim confederacy in 1565 and plundered before it was abandoned.

Still standing are several temples, including the Krishna temple complex, the Chandramauleshwar Temple and the temples of Ramachandra and Hazara Rama. There are also hundreds of other remains on the site, including stables, water structures, shrines and royal complexes.

"Hampi is a stunning complex of magnificent temples and other structures set along a dramatic riverine site," says Michael, calling it "a dramatic testament to one of the earth's oldest civilizations."

Banteay Chhmar, Cambodia

The temple of Angkor Wat is the best-known site at Cambodia's Angkor archaeological site, which also has the remains of several different capitals of the Khmer Empire from the 9th to the 15th centuries.

Lesser known but rich in archaeological ruins, the temple complex of Banteay Chhmar (the Citadel of the Cats) in the northeast corner of Cambodia was commissioned by Khmer King Jayavarman VII (1181 A.D. -1219 A.D.).

A three-hour drive from Angkor Wat, it's well-known for bas reliefs documenting the period's history. Looters got to many bas reliefs and other art in the 1990s, and the Global Heritage Fund wants to preserve the remaining art and the central temple complex and aid the local community in developing tourism.

This is really "a 'wow' site," says Wheeler. It has "all the attractions from huge stone faces to intricately carved bas reliefs that you find at the crowded Angkor sites and no crowds at all."

Think libraries are dying? Think again

@highlight

Step off the beaten path to explore world treasures that are less obvious

@highlight

Global Heritage Fund has some fascinating picks around the world

@highlight

Explore one of the oldest cultures in Peru, pre-dating Machu Picchu

@highlight

Catalhoyuk in Turkey may be one of the oldest towns in the world