(CNN) -- The lines extended into the street at times, voters waiting to pick their choice to succeed Iranian President Mahmoud Ahmadinejad.

Some 70% of some 50 million registered voters -- men and women, young and old -- turned out according to state broadcaster Press TV, to pick a man who'll deal with high-stakes challenges domestically and internationally.

And now the results are starting to trickle in.

Based on two sets of still very early results, centrist candidate Hassan Rouhani had more votes than any other candidate, Interior Ministry officials said early Saturday.

As of about 7:15 a.m. Saturday (10:45 p.m. ET Friday), Rouhani had 834,859 votes; Mohammad Bagher Ghalibaf had 320,562; Saeed Jalili had 257,822; Mohsen Rezaei had 214,368; Ali-Akbar Velayati had 106,144; and Mohammad Gharazi had 25,324.

Even counted cumulatively, these votes represented a small fraction of the total vote. If the 70% turnout figure is correct, there would be about 35 million votes; the early results reflect about 1.76 million.

When the final tally does come in, that doesn't necessarily mean the election is over. If no single candidate gets more than half the vote, the top two finishers will face off in a runoff next Friday, June 21.

That victor will take Ahmadinejad's mantle as one of the most visible figures, at a time it's dealing with widespread sanctions tied to international anger over its nuclear program.

But he won't be Iran's most powerful man: That distinction belongs to Ayatollah Ali Khamenei, who has been Iran's supreme leader since 1989. He's got plenty of backing, from conservative citizens to paramilitary to, most notably of all, the Revolutionary Guard.

"Whoever is president, he's going to have his hands relatively tied by the Revolutionary Guard if they don't really like what he's doing," said Alireza Nader, a policy analyst at the Rand Corporation think tank.

Centrist candidate complained of irregularities

This reality of Iranian governance, though, didn't prevent 680 men and women from officially seeking the office. The Guardian Council -- a non-elected body made up of six clerics and six lawyers operating under the oversight of the supreme leader -- narrowed that group down to eight. Two others subsequently dropped out.

The final six contenders don't include any women. Nor do they include Ahmadinejad's aide and protege Esfandiar Rahim Mashaei, who was among those excluded by the Guardian Council.

Velayati, Ghalibaf and Jalili, who is Iran's chief nuclear negotiator, are considered close to Khamenei and would be unlikely to challenge his authority. Of the three, Jalili has seen the most popular support going into the vote.

Rouhani, meanwhile, has the backing of the highly influential former President Akbar Hashemi Rafsanjani.

Hours into the voting, Rouhani had complained of a voting irregularity. A reform candidate, Mohammed Aref, who dropped out of the race earlier in the week, is still on some ballots.

Rouhani is worried that voters may mistakenly select Aref, which would amount to a vote thrown away. It was not clear how many ballot papers were concerned.

CNN's view on the streets of Tehran

Iran's semi-official Mehr News reported via Twitter that voting lines got longer in the afternoon, and that there were insufficient voting slips in some polling stations.

CNN's Erin Burnett on 2013 vs. 2009 elections

2009 chaos

Images of bleeding and dying Iranians flickered across social media four years ago after allegations of election fraud sparked protests and clashes. Police and the Basij, a feared paramilitary group, cracked down on the protests.

Protesters were jailed, and human rights groups alleged many were tortured and killed behind bars while the government quashed the uprising.

Reform politicians representing the movement, including Ahmadinejad's election rival, former Prime Minister Mir Hossein Moussavi, have remained under house arrest.

Despite the unrest, Ahmadinejad's re-election was formally certified by the clerical establishment.

Since his reelection, conservative politicians close to the supreme leader have assailed Ahmadinejad for being too liberal, and he has often been at odds with Khamenei.

Some of Ahmadinejad's associates have faced heavy repression, and hardliners attempted to link the president to the largest embezzlement case in the country's history.

Ahead of the vote this time round, campaigning was more muted although Khamenei's office repeated his call to the ballot boxes Friday with posts on social networking site Twitter.

"I humbly expect from our nation to participate all in #IranElection & do this as soon as possible," the supreme leader's post said.

Voting is not mandatory in Iran, but there are major incentives to push people to the polls. An active voter has a better shot at promotions in the workplace and preference when it comes to collecting social welfare benefits.

This can be vital in an economy that is chronically weighed down by international sanctions over nuclear concerns.

Khamenei also tweeted a jab at the United States, which has often led the charge to tighten those sanctions.

"I have heard that #USpoliticians said they don't recognize #IranianElection. Hell with their recognition!" he said.

Clampdown on dissent?

Rights group Amnesty International said this week that it was "concerned by evidence that the Iranian authorities are intensifying their clampdown on dissent" in the run-up to the vote.

"Those targeted include political activists, journalists and other media workers, trade unionists, advocates of greater rights for Iran's religious and ethnic minorities, students and others. In many cases, the full reasons for arrest and detention are not known; in others, those arrested have been brought before the courts on sweeping but vaguely worded charges, convicted and sentenced to prison terms," it said.

The head of language services for BBC World Service, Liliane Landor, also complained Thursday of "unacceptable harassment" of its staff and other independent journalists in Iran.

"The BBC is very concerned by the unprecedented levels of intimidation being suffered by families of BBC Persian Service staff living in Iran in the final days of the presidential election campaign," she said.

"The harassment has included threats that relatives will lose jobs and pensions and be prevented from traveling abroad. For the first time the lives of BBC Persian TV staff living in the UK have also been threatened."

Iran's Minister of Culture and Islamic Guidance, Mohammad Hosseini, said more than 2,000 local reporters and 450 foreign journalists were covering the election in Iran.

The head of the Foreign Reporters Bureau within the ministry, Alireza Shirvani, said the number of foreign reporters covering the presidential election had increased by about 15% compared with four years ago.

CNN's Neda Farshbaf, Azadeh Ansari and Sara Mazloumsaki contributed to this report.

@highlight

NEW: Centrist candidate Rouhani is top vote-getter in very early results

@highlight

State media reports about 70% voter turnout in a nation of 50 million eligible voters

@highlight

If no candidate gets a majority, there will be a runoff next week

@highlight

The last election resulted in bloody street protests known as the "Green Movement"