Washington (CNN) -- Top Democratic strategists in Washington are already beginning one of the city's oldest traditions -- second-guessing a losing election strategy before what is expected to be a stinging defeat in Tuesday's midterm elections.

One of the key debates to emerge is whether Democratic candidates were too cautious in avoiding President Barack Obama at all costs.

"Running away from the president is never smart," said one top Democratic strategist who has worked with both the White House and Senate candidates this midterm cycle. "You look like chicken s---," the strategist added on condition of anonymity.

A White House official who also asked not to be named so he could speak freely argued Democrats still have a chance to hold the Senate. "We don't think anything is done until election day," the official said in an email that included election day polls in 2012 that showed the president tied with Mitt Romney. Obama went on to win a decisive victory.

Still, the conventional wisdom to banish the president from key Senate battlegrounds, in favor of either Bill and Hillary Clinton, Vice President Joe Biden, and even First Lady Michelle Obama made sense to most Senate Democratic campaigns. The president's low approval numbers plus the conservative terrain at risk for Democrats in Arkansas, Alaska and Louisiana was a "toxic combination," as another top strategist put it.

The problem with that approach, according to Democratic midterm second-guessers, is that it left the party with little to offer voters.

"I am becoming convinced that many Democrats made a mistake in trying to run away from President Obama and the Democratic party agenda," said Jim Manley, a former spokesman for Senate Majority Leader Harry Reid. "How is the base supposed to get excited when elected Democrats are going to such great length to put as much distance as the can between them and a president that was elected twice by the American people," Manley asked.

One of the lasting memories of the 2014 midterm elections will likely be Kentucky Democratic Senate candidate Alison Lundergan Grimes' refusal to say whether she even voted for Obama.

"She was an Obama delegate," complained one strategist about Grimes. "Of course she voted for him."

The president did not want to tell candidates how to run their campaigns, his aides said. Instead, Obama appeared almost exclusively with Democratic gubernatorial candidates. But his message was clearly aimed at firing up his party's base.

Obama has consistently prodded Democrats to get off the couch, take their cousin "Pookie" with them, and vote. Democrats, the president has argued time and again, have a "congenital defect" when it comes to casting ballots in midterms.

"The number of eligible voters who vote typically in a midterm is like in the 30s. I mean, Ukraine just went through an election -- they got a war going on, they had about 60 percent turnout," Obama said Sunday of the percentage of Americans who go to the polls in midterm elections. "There is no excuse for us to just give away our power. If you wonder why things don't happen, if you wonder why sometimes elected officials don't seem responsive, it's because so many of us stay at home," he added at an event with Pennsylvania gubernatorial candidate Tom Wolf.

Despite that feisty tone, Obama remained behind closed doors Monday, one day before the midterms. Also missing are any mentions of the president's record. Obama no longer uses the line about his polices being "on the ballot" on Tuesday, after some of his supporters complained publicly.

But other strategists worry the aversion to all things Obama went too far, noting few Democratic candidates have spent much time pointing to the lowering unemployment rate, among a range of hopeful economic indicators.

"Many Democratic candidates blurred the choice so much that voters figured 'well if I'm going to have a choice between two Republicans I might as will choose the one that calls themselves one,'" griped a party operative.

Candidates also matter, several seasoned Democratic operatives argued. Iowa Democratic Senate candidate Bruce Braley's gaffe in describing the state's popular Republican Sen. Charles Grassley as an "Iowa farmer who never went to law school," was a key mistake according to one strategist.

A Braley loss to his Republican challenger, Joni Ernst, would give the GOP two Senate seats in a state Obama won twice, after he defeated Hillary Clinton in the 2008 Iowa caucuses. In a sign of just how much his Iowa star power has faded in six years, the president was never called in to campaign on behalf of Braley.

In addition, the president was kept out of Colorado and New Hampshire, two states he also captured in 2008 and 2012.

Ben LaBolt, a former Obama White House and campaign spokesman, maintained Democrats are striking the right balance.

"It makes little sense to publicly deploy him in states he didn't win," LaBolt said. "However, he can and is doing surgical things to help Democratic candidates like fundraising and rallying the young and diverse constituencies that carried him to victory and could make the difference in close races."

@highlight

Some Democratic strategists think candidates tried too hard to avoid the president

@highlight

President Barack Obama has a sagging approval rating nationally and in key states

@highlight

That said, some on the left think running away from a sitting president is a losing strategy

@highlight

Republicans look poised to pick up the six seats they need to reclaim the Senate