Baltimore (CNN) -- When Geremen Teklehaimanot came into the Baltimore Medical System office Thursday hoping to renew the same sliding-scale health policy that he had last year, he got more than he bargained for.

The 34-year-old limo driver was met by not one health benefits expert but two.

"I'm going to sign you up for your sliding scale, and let me introduce you to someone else who will help," said Darlene Middleton-Lawson, the health benefits adviser at Baltimore Medical System. "This is Jekisha Elliott. Jekisha is a navigator. She is going to talk to you about what else might be possible."

In August of this year, the Centers for Medicare & Medicaid Services gave out $67 million in Navigator Cooperative Agreements. The grants pay to train, support and certify advisers, also known as patient navigators, who work out in the field and on the phone. The navigators partner with local medical systems to help people figure out how the new Affordable Care Act health insurance marketplaces work.

Obama offers funding to help communities understand Obamacare

Most people who will become newly insured through Obamacare have no experience buying health insurance. Navigators can't tell people what plan to pick, but they can walk people through what might work best based on their family circumstances and health.

Based on his income, Teklehaimanot may qualify for a subsidized health plan through the new Obamacare marketplaces.

"That's wonderful," he said. "Just wonderful. Let me show you something."

He took out his smartphone and showed Elliott his browser. It was stuck on the website for Maryland's health insurance marketplace.

"See, it says I'm almost in," he said.

This week the sheer volume of interest overwhelmed the Maryland site. All across the country there were reports of long wait times at other state and federal sites.

Teklehaimanot wasn't discouraged. He seemed excited about the possibility of buying his own policy, and Elliott is someone who can help.

Elliott is the official navigator team leader for the nonprofit HealthCare Access Maryland. Maryland will get about 300 certified navigators who will be essential during open enrollment.

A Kaiser Family Foundation poll in March found that 67% of the uninsured under the age of 65 -- the people who could most benefit from Obamacare -- said they didn't understand how it could affect them.

Middleton-Lawson met Elliott for the first time Thursday. Dressed head to toe in bright pink for Breast Cancer Awareness Month, Middleton-Lawson literally did a small dance of joy when she learned a navigator was in the building.

"I'm so glad you are here," Middleton-Lawson said. "People can't sign up fast enough for this, and they do need help."

"Answer 'yes' to one of these," Elliott told Teklehaimanot as he filled out forms. Elliott's calm demeanor and reassuring tone visibly seemed to put Teklehaimanot at ease.

Elliott used to be a teacher. She misses her special needs students, but finds this navigator work fulfilling.

"It's helping people who are willing to learn, and it's helping people who are in dire need of health care," Elliott said. "With this program it will definitely give them a peace of mind."

Obamacare's coverage gap: The poor caught in between

Here in Maryland, the state has fully embraced Obamacare. It opened its own marketplace and expanded Medicaid. About 13% of the population in Maryland doesn't have any kind of insurance, according to the Centers for Disease Control and Prevention. That means nearly 750,000 people are probably not getting all the medical attention they need. About half that population is now eligible for Medicaid with the state's expansion.

In addition to navigators like Elliott, HeathCare Access Maryland also set up a call center. It's staffed seven days a week with people who can take calls in 200 different languages. Elliott says it's gotten a ton of calls this week. Only a few were angry (some people call not for help, but to vent about Obamacare).

"Mostly, the angry callers just want to be heard," Elliott says. "So, we listen to those too."

Most of the questions the navigators get involve the cost. With subsidies, the Department of Health and Human Services estimates the majority of people should be able to find coverage for $100 or less a month. Even a bare-bones policy covers preventive care like immunizations, mental health, rehab and other services.

Her navigator job, Elliott says, also has a side benefit. Her friends now call all the time.

"Even though they have jobs, some of them still don't have insurance," Elliott said. "A lot of my friends are calling me and saying 'OK, where do I need to go? What do I need to do? Can I come to your house?' We are at a place in life where you have a job, but you can't afford to buy a health plan. I think this is going to be a really good thing because now it's going to be really affordable to people."

Toward the end of his visit, Teklehaimanot's smartphone still hadn't connected with the Maryland marketplace. He hasn't signed up for a new plan yet, but he does have more information. He has until December 14 to sign up if he wants his family to have coverage starting January 1.

For many, signing up for a new policy may take several conversations or several website visits.

"I know there's some general frustration right now with the online part," Elliott said. "I'm confident though we'll work the kinks out, and regardless, I know they will be happy once they get all the benefits. It can be life-changing."

Obamacare open enrollment 101: What you need to know

If you need assistance signing up for Obamacare, contact your state's insurance department. Or visit www.healthcare.gov.

@highlight

$67 million allocated to pay for training, certification of Obamacare patient navigators

@highlight

Navigators help people sign up for health insurance by walking them through options

@highlight

Poll shows 67% of uninsured under 65 don't understand how ACA could affect them