(CNN) -- Paula Calzetta was driving to dinner with Diane Keim last month when she made a wrong turn that put the women in front of a Bank of America building in Cheshire, Connecticut.

Keim nearly threw up. In a flash, Calzetta remembered everything she'd learned about the brutal murders connected to that place. They had been jurors in the trial of a man who, after extorting money from a woman there, killed her and her children. The former jurors ended up at that bank on the way to meet the deceased woman's family for the first time.

"They were worried that we had to go through what they went through," said Calzetta, 56. "They were very thankful, and sorry that we had to go through all of that, but certainly we would have all done it again."

Jurors begin deliberations in Zimmerman trial

At that bank, in July 2007, Steven Hayes had forced Jennifer Hawke-Petit to withdraw $15,000, according to police, while her family was being held hostage at her home. Hayes and Joshua Komisarjevsky were charged with killing Hawke-Petit and her two young daughters. The children's father, prominent endocrinologist William Petit, was tied up and severely beaten but escaped. Hayes was convicted and sentenced to death; Komisarjevsky's trial is still to come.

The path that led to 8 terrifying hours for Connecticut family

Serving on a jury for a murder trial such as that of Hayes, or of Casey Anthony, who is charged with seven counts in the death of her 2-year-old daughter, can be emotionally and physically taxing. And after a trial is over, some jurors report symptoms reminiscent of post-traumatic stress disorder, such as flashbacks and intrusive thoughts.

Whether you're in the courtroom or at home watching TV, repeated exposure to the details of a horrific events can lead to a phenomenon called vicarious traumatization -- you're so connected to a tragedy that you feel emotional trauma as if you'd been directly involved.

"To see the images that they're seeing of this is overwhelming," Nadine Kaslow, a psychologist at Emory University, said of the Anthony trial jurors. "Everyone's going to have a reason to be impacted by this case. Whether or not you have children of your own, there's no way out of being profoundly influenced."

Jury service is especially difficult because jurors can't share their thoughts about the case or the experience with anyone until after the trial, said Sonia Chopra, a consultant for the National Jury Project in Oakland, California.

"One of the best ways to alleviate stress and anxiety is to talk it through with somebody else," she said. "While the jurors are in trial, that's problematic, because they're not technically supposed to talk about anything that happens in the courtroom with anyone. For the length of the trial, they're having to just internalize everything that they're hearing and they're seeing."

In the Anthony trial, jurors are sequestered, meaning they are barred from any contact with anyone outside the courtroom, and cannot read or watch news of any kind. When confined to interacting among themselves, jurors sometimes form a support system, Kaslow said.

"To cope, to survive, actually, you form these new families. It's a very good survival technique," she said. "The problem is, when you start getting things like hung juries, and all the challenges around that, you can end up in a very problematic situation."

The Hayes trial jurors were not sequestered, meaning they could go home at the end of the day and be with their families. Calzetta takes care of her 90-year-old father and probably wouldn't have been able to join a sequestered jury; but in a way, isolation might have been better, she said.

"In some ways, it might be easier because of the pressure from everyone on the outside that they know you're on the jury. They really want to ask you [about it]," Calzetta said.

Calzetta thought she would approach the trial with an open mind: She would sit and analyze. She had no idea how much it had affected her until a break in the trial before the sentencing phase. She developed a fever and was sick during the entire time off.

Going into the next stage of the trial, she had a new strategy: Pay attention to her own needs, too. She had massages, took steam baths and relaxed in other ways.

"You really do have to take care of yourself, because it's real. All this stuff, once you take it into your consciousness, it's real," she said.

Even though they got to return to their normal lives at the end of each day, Calzetta felt her group of jurors became a family, too, during the nearly two months of the trial.

"After everything was over, I felt almost, like, a loss. They were my everything for those months," she said.

Keim, 59, had already been through breast cancer when she was selected for the Hayes trial. She believes her near-death illness and her age made her emotionally stronger as a juror than she would have been in her younger years.

But the stories and images stayed with her after the trial. She began to have dreams that the Petit daughters were alive and that she took care of them as if they were her own children.

And when she returned to her job as a teacher, about a month after the trial ended, she sometimes saw a flashback of the Petit girls' picture in her fifth-grade classroom.

"Just thinking about what it was like right before they set the fire. ... This happens periodically, I see this image of the girls being burned," she said. "Something that I see will trigger the memory of the trial and the pictures."

And when it comes to a tragic case such as this or Casey Anthony's, with a lengthy trial, it's important to seek help when you need it afterward, Kaslow said.

"I think that these jurors need to be very aware that when you get off a case like this, you may need some counseling. This is going to bring up different things for different people, depending on your life story," she said.

When the Hayes trial was over, jurors had a debriefing with counselors. Some sought counseling afterward, Calzetta said. And some, including Calzetta and Keim, have remained friends.

"When we get together, we don't need to talk about it. We all just understand," she said.

The trial of Joshua Komisarjevsky, the other man accused of participating in the murders of Hawke-Petit and her children, is scheduled for September. The lead-up to it brings back more memories for Calzetta, but she still plans to attend at least part of the trial because she feels that she needs to hear that side of the story.

To this day, Calzetta keeps a photo of Hawke-Petit and the two daughters, Hayley, 17, and Michaela, 11, on her desk. She hasn't been able to go to their memorial garden, which is where the house they died in used to stand, but she hopes to go this summer with flowers.

"It's sort of like opening a wound a little. Your spirit goes into a place that you were before," she said. "There's a lot of pain there."

@highlight

Some jurors report symptoms reminiscent of PTSD, such as flashbacks, intrusive thoughts

@highlight

In the Casey Anthony trial, the jury was sequestered

@highlight

Jurors should take care of themselves and seek counseling after the trial if needed