(CNN) -- Like a viper that slithers through the garden -- mostly unseen, menacing, dangerous -- a troubling trend is taking hold in this country, a movement to shake the foundations of what "born in the USA" means.

Wendy Ruiz was born in Miami in 1992. She graduated from a Miami public high school in 2010 and applied to Florida International University, a four-year state college that required her to disclose her parents' federal immigration status. Ruiz was unable to provide this information, so she was denied admission.

She then applied to Miami Dade College to complete a two-year degree. When her acceptance letter arrived, there was a catch: She would be required to pay the out-of-state tuition rate. How could this be possible when Wendy Ruiz had lived her entire life in Florida?

As the law stands, all children born in the United States, including those to undocumented immigrants, are granted U.S. citizenship. There are approximately 4.5 million American children like Wendy Ruiz who are U.S. citizens by virtue of birthright, yet whose parents are undocumented for federal immigration purposes.

These U.S. citizen children of undocumented parents are Americans. Many will join the military and help fight our wars to keep us safe. Most of them will someday work and pay Social Security taxes so our aging population can enjoy a comfortable retirement (perhaps even in Florida).

Yet politicians seeking to brandish their nativist credentials will do almost anything to discriminate against these American children, whom they call "anchor babies."

One of the most egregious examples of this blatant discrimination -- one such "viper" -- occurs in my home state. The Sunshine State is the only state that unambiguously denies in-state tuition to U.S. citizen children of undocumented immigrants. (Similar cases have arisen in other states, like Arizona, Colorado, California, New Jersey and Virginia.)

This out-of-state classification not only denies these students the preferential treatment in the admissions process that residents usually receive, but it also affects the tuition they must pay as "out of state" students.

The tuition difference is stunning. At Miami Dade College, the cost per year in the two-year associate degree programs is $2,532 for residents, compared to $9,047 for students classified as nonresidents. The cost per year in the four-year bachelor's degree program at FIU is $2,800 for residents, compared to $12,492 for nonresidents.

The net effect is that these students either delay or entirely forgo a college education because they simply can't afford the higher tuition. This insidious policy excludes talented, qualified young adult citizens from pursuing higher education -- because their parents lack immigration documents.

Such wrongheaded policy has not gone unnoticed. The Southern Poverty Law Center filed a federal class action lawsuit in the Southern District Court of Florida charging systemic discrimination.

Last week, Judge K. Michael Moore found that Florida is violating the constitutional rights of American-born children of undocumented immigrants by requiring them to pay higher tuition rates than other students at state colleges. He said, "It is the plaintiffs who, upon graduating from a post-secondary educational institution, receive their names on diplomas, and it is plaintiffs â€” not plaintiffs' parents, cousins, or siblings â€” who are entitled to the benefits conferred by such a degree."

Moore was appointed by President George H.W. Bush in 1992 and is known not only for his keen intellect but also for his commonsense jurisprudence. Nearly 20 years ago he offered me a clerkship to work with him upon graduation from Columbia Law School and he swore in my Panamanian father as an American citizen in a private ceremony in his office. In his decision last week, his common sense and practical justice was clear; preferential in-state tuition rates for all Florida residents are simply a wise investment in Florida's future.

Columbia University professor Neeraj Kaushal examined the effect of in-state tuition on enrollment rates at universities in California, New York, Texas and Utah, and compared those rates to 46 other states. She concluded that favorable in-state tuition policies resulted in a 31% increase in college enrollment rates. Also, graduates of state colleges tend to remain in the Florida workforce, where they earn more, pay higher taxes, promote the educational attainment of their own children, vote more, depend less on welfare and live healthier lives.

Florida college graduates will typically earn 66% more than high school graduates over their working lives. These higher earnings mean higher tax payments at the local, state and federal levels. A college graduate will likely pay up to 80% more in taxes each year than someone with no college degree. Even during periods of high unemployment, those with college degrees re-enter the labor market sooner. Florida clearly benefits from providing an affordable post-secondary education to all its own high school graduates, regardless of their parents' immigration status.

The state's lawyers argued that "by offering in-state tuition rates to the U.S. citizens of undocumented immigrants, the state would be forced to offer in-state tuition rates to all U.S. citizens." But Moore said the state's claim was based on its "flawed interpretation" of the 1996 federal welfare reform law, because the Florida students who sued the state "are not 'aliens' but rather U.S. citizens."

Local Florida communities benefit, too, from students with a post-secondary education, as the increased salaries of these graduates is predicted to create more than 250,000 jobs and add $33 billion to Florida's economy over their working lifetime if the state realizes its five goals by 2016. If Florida wins, the whole country wins, because education increases the productivity of the United States, and the net effect is a rise in the gross national product.

When one of the most pressing issues of our time -- education -- is seen through the lens of the worldview of those who would call Wendy Ruiz an "anchor baby," denying her what all U.S. citizens are entitled to, the terrible costs of such a vision become crystal clear.

The snake in the garden has reared its head -- and fortunately, wisdom has prevailed in the form of Judge Moore's decision.

The opinions expressed in this commentary are solely those of Charles P. Garcia.

@highlight

Charles Garcia: A judge ruled that children of immigrants in Florida deserve in-state tuition

@highlight

He says children born in the U.S. are American citizens, shouldn't be treated differently

@highlight

Garcia: Give young people a chance at college and they'll boost the economy