Sydney (CNN) -- As Australia digests the government's recent call for deeper engagement with Asia -- and China in particular -- one Australian billionaire with interests in China has offered some advice.

"Stop viewing China like it's the Cold War," James Packer, who owns multimillion dollar casino businesses in Australia and Macau, said at a recent tourism forum. "Start viewing them as a modern member of the industrialized world."

The Chairman of Crown Entertainment Group, Packer wants what he calls "frosty relations" between Australia and China to ease. And the sooner the better, for his business at least.

"Chinese tourism is changing the world," Packer told a business audience in Sydney last week and he wants a bigger slice of the action.

Along with other non-mining industries, Australian companies are looking beyond the pits, as the government's new "Asia Century" policy urges the country to do. Chief among the goals are that every child learn an Asian language -- in particular, Mandarin, Japanese, Indonesian or Hindi -- and that they leave school having studied Asian culture by 2025.

December marks 40 years of diplomatic relations between Australia and the People's Republic but as Packer and the Australian Premier Julia Gillard similarly bemoan, Australians still tend to see China through a historical lens as predatory and alien with its cheap labor an abiding economic threat. And Australia is not alone, if the anti-Beijing rhetoric in the U.S. presidential election is any indication.

Yet the disconnect between this attitude and the economic reality is wide.

China remains Australia's number one trading partner. In 2010-11, China was Australia's largest two-way trading partner for goods and services, with trade topping $113.3 billion, up 26% on the previous year. China accounts for 14.7% of the total trade of goods and services and takes one quarter of Australian exports. There's little doubt the Australian economy is heavily reliant, some contend overly reliant, on China's doing well.

But Tim Harcourt, a fellow in economics at the Australian School of Business, says not even the recent slowing of the Chinese economy is likely to impact negatively on Australia in the long term.

"Even as a short term slowing in China occurs, a lot of the long term projects particularly in infrastructure are locked in and that is what drives our demands," Harcourt told CNN.

While trade in iron ore, coal and liquid natural gas largely dominates Australian exports to China, Harcourt sees a bigger and very different picture.

"Beyond commodities, engagement is deep and it's probably the untold story," he said.

"There are architects like PTW building the Water Cube (National Aquatics Centre) in Beijing or the former Ansett employees at ASC setting up flight monitoring systems at Chinese airports or the Australian aquarium building company (OCEANIS), which is creating Shanghai's first marine park," said Harcourt.

"I think ties are expanding and deepening. The figure I see is that of small and medium sized (Australian) enterprises. They will go more to China than Europe and other traditional markets."

Most agree a free trade agreement would help. Negotiations are now in their eighth year with no deal in sight.

Former Australian Prime Minister and Foreign Minister Kevin Rudd -- a Mandarin speaker with a deep but hard-nosed understanding of China -- told CNN he believes the agreement will happen.

"These are matters which are highly sensitive on the Chinese side. They have sensitivities about agriculture, and on the Australian side we want to ensure it is comprehensive and provides access for all manufacturers, not just resources and energy but includes the services sector," he said.

"Under the new leadership their own economic future will be identified as requiring further reform - domestically in the Chinese market and further with international market openings. This is essential to their growth model," he told CNN.

The frequent outbursts of concern in Australia at the degree of Chinese state investment in agricultural land and businesses can't help negotiations.

Figures are hard to come by, because only purchases above the A$244 million threshold require Australian government permission. But according to a 2011 report by the Australian Bureau of Agriculture and Resource Economics and Sciences, only 1% of Australian agricultural businesses are part or fully owned by foreign interests and 44 million hectares of agricultural land are now wholly or partly owned by foreign entities.

Still, investments by Chinese state-owned enterprises tend to make headlines across Australia.

There was concern when Shenhua Watermark Coal invested hundreds of millions of dollars in thermal coal exploration licenses in New South Wales. Similarly, when China's largest diary producer, the state owned Bright Foods snapped up a majority stake in Australian food manufacturer, Manassen, eyebrows were raised.

Most recently, when the government green-lighted the sale of Australia's largest cotton farm, Cubbie Station in Queensland, to a private Chinese-Japanese consortium, some in the coalition opposition called for the review threshold to be lowered and the decision to be reversed.

Harcourt says the xenophobic tone of the debate isn't exclusive to Australia.

"That's pretty commonplace around the world. I've been in Brazil, Columbia, Peru, Chile, Europe, Africa and Canada, and I hear the same thing about Chinese investment," he said.

"I don't think the Chinese understand the criticism and get very hurt by it," he said.

Rudd says the critical issue is that Chinese investment makes sense for both parties.

"There are huge opportunities (for Australia) for direct sales into the Chinese market. It takes two to tango for the Chinese," he told CNN.

Still, the perception lingers that Australia has only nailed the basics for a strategic, profitable relationship with China, ruled by a party it is politely forbidden to criticize.

Differences on human rights issues -- in particular the fate of the Falun Gong, the status of Tibet and the way the Chinese government deals more generally with dissent -- have often stymied relations.

In 2008, Rudd looked to new regional diplomatic architecture to bridge the divide between economic necessity and understanding. However, his successor, Julia Gillard, appears to have ditched the idea of an Asia Pacific Community in which the United States, Japan, China, Russia and Australia commune on political, economic and security matters in favor of a reinvigorated East Asia Summit, in which the United States and Russia have observer status.

Rudd is sanguine about the impact of this on Australia -- China economic relations.

"The mechanism is less important than the substance," he said. "If you look at the level of economic engagement, it is already substantial.

"The next step will hang on two things - the implementation of China's new growth model which will be implemented by the new leadership. The second is Australia's corporate leadership. Government can't do everything," he said.

As Australia grapples with how best to deepen engagement, China looks to hit 7.5% growth this year. The International Monetary Fund predicts China will grow 7.8% this year and hit 8.2% growth in 2013.

Harcourt is upbeat.

"We are hugging the panda," he said. "Ultimately China needs Australia for its food and energy needs. And increasingly it's looking to Australia for professional services to urbanize its population and bring more people into the middle class.

"And for Australia that means China will be a key player," he said, before adding "but not only player."

@highlight

Australia's economy is increasingly tied to China, yet attitudes remain "cold war"

@highlight

A recent white paper says Australia needs to embrace "the Asian Century" to thrive

@highlight

Australians still tend to see China through a historical lens as predatory and alien

@highlight

China is Australia's number one trade partner, helping Sydney skirt the global recession