For something that predicts the future, the software is deceptively simple looking.

A map of a city is marked up with small red squares, each indicating a 500-by-500-foot zone where crimes are likely to take place next. A heat-map mode shows even more precisely where cars may be stolen, houses robbed, people mugged.

The program is called PredPol, and it calculates its forecasts based on times and locations of previous crimes, combined with sociological information about criminal behavior and patterns. The technology has been beta tested in the Santa Cruz, California police department for the past year, and in an L.A. police precinct for the past six months, with promising results.

Predictive-analytics software is the latest piece of policing technology working its way into law-enforcement stations around the country, although it's going up against tight budgets, bureaucracy and a culture still clinging to its analog ways.

"We had to try something because we were not being offered more cops," said Zach Friend, a crime analyst with the Santa Cruz Police Department. Last year, Friend contacted researchers working on the algorithm -- originally used for predicting earthquake aftershocks -- after reading an article in the LA Times.

Gadgets to help you survive a power outage

At the time, his city had experienced a 30% increase in crime and a 20% decrease in police staff. He knew they had to try something.

At first the Santa Cruz police department used the software to estimate where home, car and vehicle burglaries might take place, handing printouts of the maps to officers at the start of their shifts. Later it expanded it to bike thefts, battery, assault and prowling. The city has seen a 19% reduction in burglaries over the past year.

While these kinds of experiments are promising, most police stations are still a far cry from the futuristic headquarters we see on TV shows like CSI. Real police departments lag behind your typical American teenager when it comes to technology -- some police cars still record video on VHS tapes, and it's not uncommon to fill out a police report on carbon paper.

Last month, San Francisco Mayor Ed Lee announced plans to develop a smartphone app that would allow officers to file police reports from the field. But SFPD chief information officer, Susan Giffin, told the Bay Citizen the department doesn't have the budget to buy smartphones on which to run the app. (San Francisco police officers only got e-mail addresses for the first time last year.)

Thankfully for crime fighters, it's not all landlines, beepers and fax machines. Cool new crime-fighting technology is still being developed and tested by agencies around the country. There are gadgets such as Taser's small wearable cameras for police and other security professionals. The units can mount on a pair of Oakley sunglasses or a shirt collar, and they have accompanying Android and iOS apps.

In Southern Florida, many police departments are using portable fingerprint scanners to ID suspects and bring up any outstanding warrants on the spot. The smartphone-sized devices cost $2,500 apiece.

A ShotSpotter system uses microphones positioned around a city to detect gunshots and triangulate their location within 40 to 50 feet. A human at ShotSpotter's headquarters confirms if it's a gunshot and alerts the police. The system starts at $40,000 for every square mile of coverage.

Some of the more widely adopted tech is decidedly low-budget. Police can Google suspects and check their Facebook profiles to gather information. Friend says the Santa Cruz department has had more luck posting photos of wanted suspects to the official department Facebook page than through traditional police channels. (The unusually tech-savvy department also has a Twitter account, blog, and YouTube channel.)

Now predictive policing software is picking up steam, thanks to a few well-publicized test cases, low overhead and impressive drops in crime rates that, while they can't be directly tied to any one initiative, bode well for the maps.

Hotel replaces printed Bibles with Kindles

PredPol is new to the field, but IBM has been testing predictive policing software since 2010, using databases of past crimes and information like timing and weather to identify trends and map out predictions. The company has worked with police departments in Memphis, New York City, and most recently Charleston, South Carolina.

A final hurdle for all types of new technology is getting the officers themselves to adopt and use it.

"Law enforcement agencies historically are conservative in their approach to change. That includes to adopting all kinds of technology, from computers in the cars to even radios," said Friend. A new generation of police who have grown up immersed in technology will likely help ease the transition by communicating to older officers that the new tools only enhance what they already know.

Seasoned patrol cops rely on their instincts, developed over years of experience walking the same streets and patrolling familiar neighborhoods. Experts say this new technology can cut down on paperwork and make policing more efficient so the police can focus on what they do best.

"It doesn't replace what they do," said Friend of PredPol. "When they get into those locations, they still need to be good cops."

Report: Next Kindle Fire will have camera, sharper display

@highlight

Predictive analytic software PredPol anticipates future crime based upon past activity.

@highlight

The program was adapted from similar software meant to predict earthquake aftershocks.

@highlight

Many police stations still use obsolete technology due to small budgets and aversion to change.

@highlight

Even so, police depend heavily upon social media to solve crimes.