Washington (CNN) -- It was a bellwether election of sorts.

Gun-control Democrats in Virginia running for governor, lieutenant governor and attorney general all won despite poor reviews from the National Rifle Association, a politically powerful organization headquartered in the state.

"I don't care what grade I got from the NRA," Terry McAuliffe said in the gubernatorial campaign's final debate.

He received an "F" from the group, which is holding its annual conference in Indianapolis starting on Friday.

Gun-control advocates cheered when the three Democrats prevailed. The gun-rights lobby soldiered on.

Although McAuliffe's first effort at tougher gun laws in Virginia was thwarted in the legislature not long after he took office, it illustrated where the battles are being fought now that the issue has effectively moved from Washington, where the Senate a year ago failed to advance new measures following the horrendous Newtown school massacre in Connecticut.

Battlegrounds in the states

Gun-control and gun-rights forces are now squaring off in the states and their efforts are funded by backers who are pouring millions into the fray.

"It's mixed in many ways," economist and pro-gun advocate John Lott, president of the Crime Prevention Research Center, said of the nation's newest slate of gun laws. "Obviously, there's some states that have been pushing for more gun control and others are moving in the other direction."

According to an analysis conducted for CNN by the National Conference of State Legislatures, states have enacted more than 40 new gun laws since the start of the year.

Roughly half are those considered by such gun-control groups as the Law Center to Prevent Gun Violence as having "minimal impact" on existing law.

They include provisions in a measure passed by the Democrat-controlled Colorado legislature allowing people, under certain circumstances, to renew their concealed handgun permits in a county different from the one in which the gun was originally registered.

Gun-law reform in Colorado also was a closely-watched topic when tough new restrictions on expanded background checks on private sales and limits on ammunition magazines were signed into law. Several Democratic state lawmakers were recalled over their votes.

Guns and mental health

The crop of state laws also includes measures that touch on issues debated passionately on the national scene.

The Republican-controlled South Dakota state legislature passed a measure requiring that mental health records of "someone acquitted of a crime by reason of insanity" be sent to the National Instant Criminal Background Check System.

Statistics from the FBI's National Instant Criminal Background Check System (NICS) show about 1 percent of applicants who failed a background check over the past 14 years, or 10,180 people, were turned down for reasons related to mental health.

Questions of mental health and gun ownership again made headlines this month when a soldier opened fire at Fort Hood, Texas, killing three and wounding more than a dozen others before taking his own life. Authorities say Spc. Ivan Lopez was an Iraq war veteran under evaluation for post-traumatic stress disorder.

It's not clear if the second shooting of its kind on the sprawling military base will lead to changes in law.

This week, Georgia Gov. Nathan Deal signed legislation -- known by critics as the "guns everywhere bill" -- that allows residents who have concealed carry permits to take guns into some bars, churches, school zones, government buildings and certain parts of airports.

New money, old fight

Shifts in direction are due in part to the influence of big money and organization.

"For many years, the gun lobby has had an advantage both in terms of funding and a well-organized and committed grassroots which it has used to hold back efforts to strengthen gun laws that are supported by the vast majority of Americans, including the vast majority of gun owners," said Daniel Webster, director of the Johns Hopkins Center for Gun Policy and Research. "For years, politicians felt that there was more to lose than to gain by supporting much-needed reforms to keep guns from dangerous people."

This month, former New York Mayor Michael Bloomberg pledged $50 million to try to combat what he and other gun-control advocates see as the NRA's outsized political influence.

NRA gathers as gun debate cools, shifts focus

His new group, Everytown for Gun Safety â€” an umbrella organization for his other groups: Mayors Against Illegal Guns and Moms Demand Action for Gun Sense in America â€” plans to borrow from the NRA playbook.

Bloomberg's group hopes to build strong grassroots support, motivate membership and lobby effectively.

But gun-control advocates say the playing field won't even out overnight.

"I think that at the federal level, it's going to take time," said Robyn Thomas, executive director of the Law Center to Prevent Gun Violence. "The NRA and their allies have spent time entrenching themselves in Washington and it's going to take our national leaders time to recognize there are other players now."

For its part, the NRA says it is not backing down.

"The fight continues," said NRA spokesman Andrew Arulanandam. "It's not something that is over as the gun-control lobby and Mike Bloomberg have shown they lie in wait for the next tragedy to occur to try and push their agenda."

Quietly studying the issue

Quietly, the White House is preparing to fund gun violence prevention studies in some cases for the first time in nearly two decades. The effort, critics say, amounts to a politically-motivated use of taxpayer funds.

"We're seeing that money abused to promote politics and a gun-control agenda," Arulanandam said.

The National Institute of Health previously announced it would award grants this fall.

"NIH has and will continue to fund research to inform prevention programs related to firearm violence," agency spokeswoman Renate Myles said. "Studies designed to develop and evaluate firearm injury prevention activities are part of larger efforts to develop more effective public health education programs.

"This includes research about parental roles in preventing injury - including injuries from firearms - in the home and in other settings. NIH also supports research to understand the relationship between alcohol abuse and gun violence, as part of broader efforts to develop more effective interventions to help prevent violence," Myles said.

Separately, Republicans on the House Appropriations Committee have vowed to block President Barack Obama's proposal to try to secure $10 million in federal funding to scientifically study gun violence through the Centers for Disease Control and Prevention.

The agency has not received money to study the topic since the mid-1990s after the NRA lobbied to nix that type of funding following the agency's controversial study that found gun owners' homes had higher homicide rates.

CNN's Kevin Bohn, Ben Brumfield, Leigh Ann Caldwell, Ed Payne and Ray Sanchez contributed to this report

@highlight

The fight over gun law reform is being waged in the statehouses and through well-funded lobbying

@highlight

Forty states have enacted some type of gun legislation this year

@highlight

Guns and mental health is a hot-button issue following the latest Fort Hood shooting

@highlight

The Obama administration is trying to get gun violence research funded; some Republicans oppose it