(CNN) -- Politics will mix with partying this Pride season as gay, lesbian, bisexual and transgender people and their allies around the world celebrate President Barack Obama's support for same-sex marriage and protest North Carolina's passage of a constitutional amendment banning same-sex unions.

When planning a Pride vacation, pick a destination where the scale of the celebration is one that you can handle, recommends Ed Salvato, gay travel expert and editor in chief of Man About World, a soon-to-launch gay travel magazine for the iPad.

Instead of the biggies such as San Francisco or New York City, which might be overwhelming, consider choosing "a nice, manageable Pride in an interesting location." Book early, as hotels fill quickly, and be sure to ask about Pride packages, says Salvato. "Often hotels will throw in something so your party starts as soon as you get into your room."

All are welcome to join in on the fun. For more tips on enjoying the best Pride fests worldwide, check out our guide:

Boston: June 1- 10

What Salvato loves about Boston Pride is the diversity of people from all walks of life who come out for the celebration. This time of year, he says, "shows Boston in its greatest light."

One highlight of Boston Pride is dancing in the streets. On Saturday, June 9, a Women's Block Party begins at 1 Boylston Place just after the parade. On Sunday afternoon, block partiers can pick between shaking their groove thing at the Back Bay Edition on St. James Avenue in Boston, or the JP Edition on Perkins Street in Jamaica Plain, which features a Dogs & Drag Fashion Show, family-friendly activities and five female DJs. Other options include themed Pride @ Night parties that take place all weekend long, including a Youth Dance, which kicks off at 7 p.m. on Saturday.

But Boston Pride is more than just one big party.

This year, cultural events include a human rights and education discussion as well as a free exhibit at the Boston Center for Adult Education called "Pride: 40 Years of Protest & Celebration," which chronicles the early history of LGBT advocacy in New England.

Early arrivals to the city can call Old Boston Tours to book the "Old Boston Original Secret Tour" and learn more about the extraordinary lives of the men and women who made Boston great. The $30 tour is 90 minutes, and reservations are required. Visitors will not want to miss the new American wing at Boston's Museum of Fine Arts, which includes a stunning Tiffany favrile glass window, "Parakeets and Gold Fish Bowl."

Tel Aviv, Israel: June 3 - 8

During the city's annual Pride celebration, Tel Aviv lives up to its reputation as the gay capital of the Middle East. (Even the crosswalks are painted in rainbow stripes.) All week long, clubs and bars are packed, and special events are planned, including two concerts by Grammy- and BRIT Award-nominee Rufus Wainwright.

On Friday, June 8, revelers hit the streets for the parade that has become one of Tel Aviv's biggest events of the year. Kicking off in Gan Meir garden, a small park in the heart of the city's gay community, the parade ends with a massive beach party on the Mediterranean Sea. From 2 p.m. until evening, Gordon Beach is mobbed with people moving to the sounds of the city's hottest DJs.

For more beach fun, visit Hilton Beach, a popular spot among gay men. Then, for a change of scenery, check out the Azrieli Observatory for a chance to view "the white city" from the highest point possible. Or plan an afternoon at Beit Ha'ir, a museum of Tel Aviv history housed in Town Hall.

Amsterdam, Netherlands: July 28 - August 5

What better year to visit Amsterdam than this one? This year marks the 25th anniversary of the world's first gay monument, the Homomonument, located on the Westermarkt in the center of the city. Visitors can pay their respects, then stop by Pink Point, an information kiosk/shop providing an array of gay guides and souvenirs. Just around the corner is another opportunity to contemplate the meaning of freedom: the Anne Frank House, where the world-famous diary was penned while Frank hid in a secret annex.

Next, top off the afternoon with a cold one (or three) at some of Amsterdam's microbreweries. Check the city's official website for a list of places to enjoy "rich tripels and fruity white beers" as well as "dark brown bocks and thirst-quenching pilsners." By nightfall, the gay districts on Reguliersdwarsstraat and Amstel will be hopping with street and club-circuit parties that rage all weekend long.

The highlight of Amsterdam Pride is the famous Canal Parade on Saturday, August 4. Unlike in most parades, Amsterdam's floats actually float. This year, organizers expect half a million spectators will watch 75 decorated boats sail from 2 to 6 p.m. through the Prinsengracht Canal and Amstel River. Find a full listing of the more than 300 parties and cultural events on the official calendar.

Asheville, North Carolina: October 6

Known for its progressive politics and vibrant arts and culture scene, Asheville has been dubbed one of the "gayest cities in America" and one of the "top five surprisingly gay small towns" by The Advocate. The city's annual Blue Ridge Pride festival typically draws between 8,000 and 12,000 people from throughout the Southeast to Pack Square for a full day of music, workshops and family activities, as well as a showcase of gay-friendly businesses, service organizations and community groups.

Pride festival chairperson Holly Parr says she's proud of how quickly Blue Ridge Pride, organized by an all-volunteer nonprofit, has grown since it was founded in 2009. "We're excited about what we are able to do for our greater Western North Carolina LGBTQ community," she says.

The grassroots, hometown feel of Blue Ridge Pride makes this a special destination to consider. This is especially poignant given the recent amendment passed in North Carolina that defines marriage as the union of one man and one woman, says Salvato. "It's a good time to show our support and solidarity in a state that's had a setback," he explains.

And with its sophisticated spas, shops, restaurants and more than 30 art galleries, as well as golf clubs and other outdoor activities in the Blue Ridge and Great Smoky mountains, Asheville offers plenty to do both before and after Pride.

Atlanta: October 13 - 14

Some call Atlanta the "GayTL," and the city offers something for everyone in the LGBT community.

The largest pride event in the Southeast includes not only the main festival, but a Dyke March, a Trans March, and from August 29 to September 3, Black Gay Pride, sponsored by In the Life Atlanta. With a distinctive Southern flavor, the Atlanta Pride Festival in Piedmont Park entices people from all across the region. Some attendees from nearby towns revel in their once-a-year opportunity to step out of the closet.

Pride festivities kick off well before the official weekend, with pre-Pride events such as an AIDS vigil, an exhibit of 25 years of international AIDS posters, a commitment ceremony and a men's designer event. And once the main weekend rolls around, visitors can take their pick from children's entertainers, a car and motorcycle show, a literary showcase, human rights exhibits, a community health expo, and a marketplace featuring more than 200 vendor booths. At 1 p.m. on Sunday, October 14, the parade kicks off down the streets of Midtown, drawing tens of thousands of spectators.

And if all those options aren't enough, step out of the Pride fray to visit the Martin Luther King Jr. Center for Nonviolent Social Change to learn about King's life, legacy and teachings. Or visit Zoo Atlanta, in Grant Park, home to endangered animals such as rhinos, orangutans, gorillas and elephants.

@highlight

Boston visitors can take to the streets for various dance parties

@highlight

Tel Aviv is known as the gay capital of the Middle East

@highlight

Amsterdam celebrates the 25th anniversary of the world's first gay monument

@highlight

Asheville Pride organizers hope visitors will come support a state "that's had a setback"