Washington (CNN) -- The U.S. Supreme Court on Tuesday blocked a lawsuit challenging the federal government's sweeping electronic eavesdropping on suspected foreign terrorists and spies.

The case put personal liberty at odds with national security, making it one of the most important rulings of the high court's term.

The 5-4 conservative majority concluded the plaintiffs -- which included attorneys and journalists -- lacked "standing" or jurisdiction to proceed, without proof that suspects have been eavesdropped upon. The super secret National Security Agency has in turn refused to disclose specifics, which detractors call "Catch-22" logic.

Justice Samuel Alito said plaintiffs "cannot demonstrate that the future injury they purportedly fear is certainly impending."

The justices did not address the larger questions of the program's constitutionality, and this ruling will make it harder for future lawsuits to proceed.

At issue: Can these American plaintiffs who deal with overseas clients and co-workers file suit if they reasonably suspect -- but cannot know for sure -- that the government was reading and hearing their sensitive communications?

The Foreign Intelligence Surveillance Act was revised by Congress in 2008 to give the attorney general and the director of national intelligence greater authority to order "mass acquisition" of electronic traffic from suspected foreign terrorists or spies. The law previously required the government to justify a national security interest before any monitoring of phone calls and e-mails originating in another country. A federal judge had to sign any search warrant.

The larger issue involves the constitutionality of the federal government's electronic monitoring of targeted foreigners. A federal appeals court in New York ruled against the Obama administration, prompting the current appeal.

After such "warrantless wiretapping" was exposed, President George W. Bush and his congressional allies moved to amend the existing law, which supporters say is designed to target only foreigners living outside the United States.

Alito said that there were enough legal safeguards to ensure that any information gathered by the NSA would be used properly in court, and that a judicial FISA panel could review any particular surveillance.

"If the government were to prosecute one of the (plaintiffs') foreign clients using authorized surveillance, the government would be required to make a disclosure," Alito said. He was supported by Chief Justice John Roberts and Justices Antonin Scalia, Anthony Kennedy and Clarence Thomas.

In dissent, Justice Stephen Breyer said the harm claimed by the plaintiffs "is not speculative. Indeed it is as likely to take place as are most future events that commonsense inference and ordinary knowledge of human nature tell us will happen." He was backed by Justices Ruth Bader Ginsburg, Sonia Sotomayor and Elena Kagan.

Groups like the American Civil Liberties Union and Amnesty International told the court that little is known about the FISA Amendments Act, such as who has been targeted, how often it has been used and whether any problems or abuses have occurred.

A key point of contention was whether those amendments would stifle free speech of the work of lawyers, journalists and activists by forcing them to do their jobs less diligently, for fear of being monitored and perhaps prosecuted.

Solicitor General Donald Verrilli, speaking for the Justice Department, said that to the contrary, if the lawyer "took precautions, it would be because of a belief that (he or she) had to comply with an ethics rule, and the ethics rule would be the cause of (him or her) taking those precautions."

Either way, he said, there was no "concrete application" of the law permitting someone to come into court and make a claim based on "speculation."

The case is Clapper v. Amnesty International USA (11-1025).

@highlight

In dissent, justice says the harm claimed by plaintiffs "is not speculative"

@highlight

Supreme Court's conservative 5-4 majority says plaintiffs lack "standing" to proceed

@highlight

Justices didn't address the larger questions of government program's constitutionality