Xu Caihou, a retired PLA general and former vice-chairman of the powerful Central Military Commission (CMC), was taken from his sick bed at 301 Military Hospital in Beijing on Saturday by dozens of armed policemen, the South China Morning Post reported, quoting unidentified sources.

Xu was detained the same day President Xi Jinping chaired a steering group tasked with reforming the military, the Post said.

If confirmed, Xu would become the highest-ranking military officer to be detained on suspicion of corruption.

Xu's critics claim that during his tenure, the buying and selling of military ranks was widespread in the defense establishment.

"I was told by an ex-PLA man I met on the train travelling to Guangzhou that he quit the military because so many people were buying positions and he did not want to play that game," said David Zweig, professor at Hong Kong University of Science and Technology.

"Telling me, a foreign professor, such dirt suggests that it is widespread and the anger that exists about this is also widespread."

Bribery scandal

Xu's detention may be connected with the corruption probe of Gu Junshan, the army's former deputy logistics chief and one of Xu's closest subordinates. Gu, who was in charge of the military's massive procurement and property portfolio, reportedly received bribes in cash and gifts. He has been under investigation since early 2012.

Xu, 71, was promoted to the CMC in 1999 and became its vice-chairman in 2004. He retired in March last year.

He has not been seen in public for several months until January 20, when the Chinese media showed him with President Xi greeting a group of retired military officials on the eve of the Chinese Lunar New Year.

The bespectacled general appeared frail, observers noted. He is said to be terminally ill with bladder cancer, prompting speculation that Xu may have been spared a corruption probe and prosecution due to his condition.

His sympathizers had been pushing for leniency, sources said, arguing that the terminal cancer was a fate equal to the death penalty.

But the prospect of treating Xu leniently has caused discontent among reformists in the military who say letting Xu off the hook will be following double standards.

That is not the signal Xi Jinping wants to send.

Mosquitoes and tigers

Xi, who is also chairman of the CMC, has vowed to clean up the tarnished image of Communist Party and the People's Liberation Army.

He has pushed big anti-graft campaigns, pledging to target not just "mosquitoes" (minor officials) but also "tigers" (top officials).

It's a daunting task, given the common perception among Chinese that corruption is endemic.

On the most recent Transparency International Corruption Perceptions Index, China was ranked 80th, tied with Greece and one notch above Swaziland, among the 177 countries and regions surveyed.

The index ranks countries and territories based on how corrupt their public sector is perceived to be.

China's image has gotten worse. On the 2004 index, China was ranked 71st, lumped with Saudi Arabia and Syria.

Xi has warned officials that no one will be spared. "Every Communist Party official should keep in mind that all dirty hands will be caught," he told a meeting of the party body tasked with curbing corruption last January. "Senior officials should hold Party disciplines in awe and stop taking chances."

So far, Xi has snared a few big tigers.

Powerful scalps

Zhou Qiang, China's top law enforcer as chief of the Supreme People's Court, said in his annual report to China's legislature last month that the courts in 2013 have tried and convicted 29,000 cases of embezzlement, bribery and dereliction of duty.

More than 20 minister-level officials have been "taken down" since the major Communist Party meeting last November, various Chinese media reported.

The list includes a former party official of Sichuan Province, the former mayor of Nanjing, and the former minister of the influential State-owned Assets Supervision and Administration Commission.

Political analysts wonder if more, bigger tigers could fall prey.

Speculation has focused on the fate of Zhou Yongkang, 71, a former member of the Politburo Standing Committee, China's top decision-making body, until he retired in 2012.

Zhou had also served as the powerful czar of China's security and police institutions, and before that was the overseer of China's lucrative petroleum industry.

Unwritten rule

Rumors surrounding Zhou's "imminent" downfall have been circulating on China's social media for two years. They have gained currency in recent months as high-profile corruption probes have led to the detention of senior officials linked to him throughout his career.

An unwritten rule favors Zhou. No member of the Communist Party's standing committee, past or present, has been prosecuted for graft.

But apparently Xi Jinping is far from finished with his clean up drive.

Several days ago, he issued a call to add "chili pepper" to the anti-graft campaign, as the hunt for corrupt officials heats up.

"The work of criticism and self-criticism should be intensified," he said when addressing a group of grassroots officials in Lankao County in central Henan Province.  "Adding a bit of chili pepper to make every Party official blush and sweat a little."

@highlight

Chinese President Xi Jinping is intensifying his heralded anti-corruption drive

@highlight

Now military officials are coming under increasing scrutiny

@highlight

Scalps reportedly include a former vice-chairman of the Central Military Commission

@highlight

He would be the highest-ranking military officer to be detained under suspicion of corruption