Bristol, Rhode Island (CNN) -- The Willcox family has long been accustomed to prolonged absences from their seafaring patriarch.

In fact, run-ins with the law were not unusual, given the fact that Peter Willcox had spent decades working for the environmental activist group Greenpeace, which is well-known for its provocative, headline-grabbing protests.

But no one expected the 60-year-old mariner to end up languishing in a Russian jail in the Arctic, facing up to 15 years in prison on charges of piracy.

"The situation he's in now is just way too extreme," said his wife, Maggy.

She and other members of the Willcox family spoke to CNN in their first media interviews since Russian authorities arrested 30 passengers and crew members aboard the Greenpeace ship Arctic Sunrise last month.

"The activists have found themselves embroiled in something that has larger implications," added Maggy Willcox. She married Willcox, the captain of the Arctic Sunrise, in February after the two had been friends for decades.

"He's a very sweet, sweet man, and yet he's this stalwart person in the face of any kind of crisis like what's going on now," said the newlywed.

Willcox, a native of Norwalk, Connecticut, is the sole American citizen in a group of activists Greenpeace is now calling the "Arctic 30."

The 30 detainees include volunteers and crew members from South America, Europe, Australia, New Zealand as well as a Russian freelance photographer and ship cooks from Turkey and Ukraine.

What happened in the Arctic Ocean

On September 18, two Greenpeace activists from the Arctic Sunrise attempted to scale an oil rig operated by the Russian energy Gazprom. They were planning to protest against Gazprom's plans to drill for oil in the Arctic Ocean.

The Investigative Committee of the Russian Federation later released an unedited video showing the tense stand-off that ensued.

Two inflatable rafts operated by mask-wearing Russian security forces approached the platform. One Russian officer seized the rope an activist was using to try to climb the looming walls of the platform.

Two other inflatable rafts from Greenpeace bobbed near by, periodically being drenched by water cannons fired from the oil platform.

Greenpeace disputes Russia's claim it found drugs on ship

At one point, someone from above fired a series of shots into the water that struck perilously close to Greenpeace boats and Russian security rafts.

Greenpeace activists could be seen holding their hands up in the air as a Russian officer aimed his pistol at them.

Russian security forces initially detained the two activists who had climbed onto the oil rig. Later, they commandeered the Arctic Sunrise and towed it to the Russian port of Murmansk. There, Russian prosecutors pressed charges against all 30 of the detainees.

Willcox's 18-year-old daughter, Natasha, learned about her father's arrest during her first weeks as a student at Roger Williams University in Rhode Island.

"I would ask [the Russians] to open a dictionary and read the definition of piracy," she said.

"They tried to board an oil rig. They didn't try to hurt anyone. They didn't have weapons," she added.

According to the International Convention on the Law of the Sea, the definition of piracy is "any illegal acts of violence or detention, or any act of depredation, committed for private ends by the crew or the passengers of a private ship or a private aircraft."

Russia's president seems to agree that the charges of piracy don't match the crime.

Speaking to journalists at an international summit on the Arctic last month, Vladimir Putin said "it is absolutely evident that they are, of course, not pirates."

But, he added, "formally they were trying to seize that platform."

A court in Murmansk has denied bail to the Arctic 30. On Thursday, 11 Nobel Peace Prize winners wrote a letter to Putin, calling on the Kremlin to "reaffirm the right to nonviolent protest" and drop the "excessive charges of piracy" against the activists.

A legacy of peaceful protesting

Peaceful protest has long been a way of life in the Willcox family.

Willcox's 91-year old father, Roger, campaigned against discrimination against Jewish students while studying at Harvard University. In 1949, the senior Willcox founded an interracial housing cooperative in Norwalk, aimed at creating a community with "no discrimination because of race, color, creed or politics."

The younger Willcox was only 12 when his father brought him from Connecticut to the Deep South to participate in civil rights marches.

Peter "often said that if he wasn't arrested by the time he was 21, he'd be a great disappointment to his family," recalled Maggy Willcox.

By the time he was a teenager, Willcox was working as a crew member aboard the Clearwater, a sailing ship from which the folk singer Pete Seeger campaigned against pollution on the Hudson River.

"The logical next move was Greenpeace," Roger Willcox said.

In 1985, Peter was the captain of the Greenpeace ship Rainbow Warrior when two explosions ripped through its hull while it was anchored in the port of Auckland in New Zealand.

The ship sank, killing one passenger on board, Dutch photographer Fernando Pereira.

A subsequent investigation by New Zealand authorities revealed French intelligence agents planted bombs on the ship. The deadly act of sabotage was apparently aimed at preventing Greenpeace from protesting against French nuclear tests in French Polynesia.

Natasha Willcox said her father believed "there's a lot of people out there that kind of need to be woken up and given a little push ... 'Hey, this is what's really happening and this is what we need to do to slow it down.' "

But his wife said Willcox showed some uncharacteristic reluctance before departing for the latest Greenpeace mission in the Arctic.

By the time he was in the region, however, that hesitation appeared to have faded.

The last postcard he sent to Maggy Willcox during a short stopover in Norway included an ominous final sentence: "It will be a pretty cool action if the Russians have a sence [sic] of humor. Love you tons, P."

Greenpeace vigil for 'Arctic 30' held in Russia

@highlight

Peter Willcox is one of 30 Greenpeace activists being held in Russia

@highlight

The 60-year-old mariner is facing up to 15 years in prison on charges of piracy

@highlight

The charges stem from an incident at a Russian oil rig in September

@highlight

Willcox's wife: "He's this stalwart person in the face of any kind of crisis"