Oslo, Norway (CNN) -- An independent commission will be set up to examine Friday's terror attacks in which at least 76 people died, Norwegian Prime Minister Jens Stoltenberg announced Wednesday.

Stoltenberg said he wants the commission to prepare an overview of both the bombing in Oslo, in which eight people died, and the mass shooting on Utoya Island, where 68 people attending a youth political camp lost their lives, and report back to Parliament within a year.

He wants the commission to have a high degree of integrity, the prime minister said, and hopes its work will prevent any other such attack.

"Part of the work of the commission will be to look into the whole scale of the attack," he said. "We've never had an attack on this scale since the Second World War, and it was targeted against a youth movement -- it's an attack against our nation, it's an attack against our democracy."

He said it is important for all those affected to have answers to all their questions about what happened.

A suspect, Anders Behring Breivik, is in custody and has admitted carrying out the bombing and the shootings, his lawyer and a judge have said.

He is being held in solitary confinement at Ila Prison, near Oslo, police said Wednesday.

Police released the names Wednesday of 13 more of those killed in the twin attacks. Twelve of them died on Utoya Island, and the 13th was killed in the blast targeting government buildings in Oslo.

The youngest among those killed on Utoya was 14-year-old Sharidyn Svebakk-Bohn. The other victims there were Silje Merete Fjellbu, 17; Hanne Balch Fjalestad, 43; Bano Abobakar Rashid, 18; Syvert Knudsen, 17; Diderik Aamodt Olsen, 19; Simon Saebo, 18; Synne Royneland, 18; Trond Berntsen, 51; Birgitte Smetbak, 15; Margrethe Boyum Kloven, 16; and Even Flugstad Malmedal, 18.

Anne Lise Holter, 51, was named as having died in the Oslo bombing.

Their names take the number of victims formally identified to 17. Police have said they will post an update at 6 p.m. every day until all the victims have been named. Their families will be notified first.

In New York, a bell that was given to Manhattan after the 9/11 attacks rang out  in memory of all those killed in Norway as those names were released.

The Bell of Hope in the churchyard of lower Manhattan's St. Paul's Chapel, a block from ground zero, was sounded by Norwegian Consul Aslaug Nygardat at midday local time, sending out four sets of five somber rings.

Meanwhile, police are using a mini-submarine and a specially equipped boat to continue to search waters around Utoya Island, they said Wednesday.

They have found personal effects and clothes, they said, adding that the depth of the water and the strength of the currents make it a challenging task.

Police and local residents rescued about 300 people who jumped into the waters around the island during the shooting spree, they said Wednesday.

Police carried out controlled explosions Tuesday and Wednesday at a farm associated with the suspect, they said. They took samples of bomb-making materials for analysis and detonated the rest because they were considered unstable and unsafe to transport, an Oslo police spokesman told CNN.

Stoltenberg said earlier Wednesday that it was too early to look at changes to Norway's security measures, saying now is a "time for mourning ... time for caring for those who have lost loved ones."

Norway will look at what it can learn from the tragedy after the police investigation, he said.

Stoltenberg said he is proud of the way Norwegians responded to the massacres, with hundreds of thousands rallying in the streets of Oslo on Monday in memory of those killed. He rejected the idea that Norway lost its innocence in the attacks and said he hopes the country will grow stronger in its commitment to its core values.

"It's absolutely possible to have an open, democratic society and at the same time to have security measures and not to be naive," he said. Norway's security forces were aware of the danger of violent attacks and were prepared for them, he added.

The country remains tense after the bombing and gun rampage.

Police in Oslo shut part of the main train station Wednesday morning because of a suspicious package. They evacuated part of the station before declaring an all-clear later in the morning, state broadcaster NRK reported.

And an unnamed police officer sparked a panic by accidentally distributing to some media an internal police memo saying they were searching for a man associated with the terror suspect.

Police captured the man, who was not linked to Breivik, said police lawyer Per Thomas Omholt. "There's a policeman someplace in Norway today having a bad day," he added, referring to the internal police memo inadvertently being sent out to the media.

On Tuesday, Breivik's lawyer told reporters that his client was "a little bit surprised" that he was able to pull off the bombing and shooting rampage, for which authorities say he has claimed responsibility.

The attorney, Geir Lippestad, said Breivik was surprised that his plan "succeeded -- succeeded in his mind."

Lippestad said Breivik didn't expect to reach Utoya.

Before the attacks, Breivik used drugs to keep himself strong and awake, Lippestad said. While he said it was too early to say whether Breivik will plead insanity, Lippestad added, "This whole case indicates that he's insane."

During a closed court hearing Monday, the 32-year-old suspect said the attacks were necessary to prevent the "colonization" of Norway by Muslims, said Kim Heger, the presiding judge.

Breivik accused the Labour Party of "treason" for promoting multiculturalism, Heger said.

Lippestad said Breivik had told him that he was in touch with two terror cells in Norway and in contact with other cells abroad, but that he acted alone in carrying out the attack on Utoya and the Oslo bombing.

Police have said they are investigating the claim that Breivik was in contact with other cells but have not confirmed that they exist.

Prosecutors are considering charging Breivik with crimes against humanity, according to police. He is facing terror-related charges that carry a maximum 21-year sentence.

Breivik appears to have written a 1,500-page manifesto that rants against Muslims and lays out meticulous plans to prepare for the attacks. In it, the author vilifies Stoltenberg and the Labour Party, accusing it of perpetuating "cultural Marxist/multiculturalist ideals" and indoctrinating youths with those ideals. The author accuses the Labour Party of embracing those ideals and allowing the "Islamification of Europe."

CNN has not independently confirmed that Breivik is the author of the manifesto, which bears his name and says it is intended to be circulated among sympathizers. The writer rails against Muslims and their growing presence in Europe, and calls for a European civil war to overthrow governments, end multiculturalism and execute "cultural Marxists."

CNN's Jonathan Wald, Nic Robertson, Antonia Mortensen, Laura Smith-Spark, Laura Perez Maestro, Michael Holmes, Jennifer Deaton, Erin McLaughlin and Greg Botelho contributed to this report.

@highlight

NEW: Anders Breivik is being held in solitary confinement in a prison near Oslo, police say

@highlight

NEW: A bell tolls near Manhattan's ground zero in memory of the 76 people killed in Norway

@highlight

Police release the names of 13 more victims, the youngest of them just 14 years old

@highlight

PM Jens Stoltenberg says an independent commission will look at the 22 July attacks