(CNN) -- The deadly flash floods that swept through remote Arkansas valleys, killing some campers and leaving many others missing, are a grim reminder of the sudden nature of flash floods and the importance of being prepared for emergencies.

Emergency preparedness is important at any time, as emergencies are more common than people may think.

However, being prepared for emergency situations is even more critical when people are out in the wilderness and further away from phones or cell phone access, hospitals and emergency help.

More than 40 percent of Americans plan to go hiking or camping this summer, second in popularity only to swimming as a summer activity, according to a recent Red Cross survey. However, the survey also found that less than two-thirds of Americans feel prepared to respond to a serious outdoor emergency such as broken bones, animal bites or heat stroke.

Flash floods are a serious threat to summer campers and hikers, especially in narrow valleys where heavy rains can cause water to rise quickly. Media reports from Arkansas say that after more than a half foot of rain, water in the Caddo and Little Missouri rivers rose quickly overnight -- at times faster than 8 feet per hour -- inundating campgrounds in remote valleys and catching many campers asleep.

The American Red Cross has a series of preparedness tips that people should follow:

• Share your travel plans with a family member, neighbor or friend

• Listen to area radio and television stations and a NOAA Weather Radio for possible flood warnings and reports of flooding in progress or other critical information from the National Weather Service.

• Be prepared to evacuate at a moment's notice.

• When a flood or flash flood warning is issued for your area, head for higher ground and stay there.

• Stay away from floodwaters. If you come upon a flowing stream where water is above your ankles, stop, turn around and go another way -- 6 inches of swiftly moving water can sweep you off of your feet.

• If you come upon a flooded road while driving, turn around and go another way.

• If you are caught on a flooded road and waters are rising rapidly around you, get out of the car quickly and move to higher ground. Most cars can be swept away by less than 2 feet of moving water.

• Keep children out of the water, as their curiosity could cause them to get too close to fast-moving flood waters.

• Be especially cautious at night when it is harder to recognize flood danger.

Download our Flood Safety checklist, visit redcross.org or contact your local Red Cross for additional information on how to prepare for emergencies and to get trained.

Recognizing the importance of preparedness for people who are hiking or camping, the Red Cross this year began offering a new Wilderness and Remote First Aid course designed to teach people how to respond to an emergency in a setting where emergency help is more than one hour away -- from treating severe wounds and broken bones to dealing with animal bites, bee stings, plant poisoning and weather emergencies.

The course includes recommendations for the contents of wilderness and remote area first aid kits, and offers training on what to do in emergencies that include allergic reactions, altitude sickness, sprains, fractures, burns, heat-related illness, hypothermia, lightning strikes, heart attacks, drowning, wound treatment and snakebite.

With summer starting and more people getting outside, it is important that families include emergency preparedness in the summer planning.

Sadly, severe weather and summer are inseparable. Preparedness is especially important for people who will be hiking or camping in remote areas.

The opinions expressed in this commentary are solely those of Inga Jelescheff.

@highlight

Floods are grim reminder of danger in wilderness, says Inga Jelescheff

@highlight

Red Cross official says people can take steps to help prepare for emergencies in remote areas

@highlight

Jelescheff: Camping, hiking are second most popular summer activity behind swimming