(CNN) -- Funny things flags.

Essentially they're just pieces of colored cloth, but run any of them up a pole and they become powerful talismans capable of making people behave in peculiar ways.

The stories behind national pennants can be inspiring, intriguing and often give an insight into the culture and history of the country.

We're all about raising standards and we think some of the tales behind these patriotic pennants are worth saluting.

What flags do you love and why? Leave a comment.

Canada

Say what you like about over-polite Canadians, at least they've managed to ditch the Union flag of their former British overlords.

Canadian leaders debated furiously before finally adopting the resplendent red maple leaf in 1965, an ensign pointedly free of colonial images.

Good thing they did, because it gives Americans and Brits a useful flag to slap on their backpacks to stop people hating them.

One original proposal, rejected by parliament, featured blue stripes and a maple trefoil that almost completely failed to resemble a cannabis leaf.

What to say: "The Canadian flag has saved my bacon a few times."

Flag it up: Brockville is birthplace of the flag. Main attraction? Possibly the U.S. border 15 miles away.

Nepal

Square flags are for squares.

As the only country with an ensign that doesn't have four 90-degree corners, Nepal is in a league of its own.

Its double triangle design symbolizes the mighty peaks of the Himalayas where foreign mountaineers have planted so many other national flags.

The sun and moon symbols represent calmness and resolve -- character traits needed to tolerate the Everest-sized egos of those flag-planting foreign mountaineers.

What to say: "Nepal's 1962 design marked a new a pinnacle for world flags."

Flag it up: You can plan a flag-planting exercise of your own via Nepal's trekking agencies.

Greece

Few flags evoke the nation they represent as well as Greece's.

The blue stripes conjure the cobalt summer skies and azure seas that annually lure millions of vacationers; the white recalls spotless coastal buildings dotting its beautiful coastline.

The nine stripes are said to represent ancient muses or possibly the number of syllables in the battle cry "eleftheria i thanatos," meaning "freedom or death," used in wars against the Ottomans.

What to say: "Tentative signs of a recent economic recovery are a good excuse to wave the flag."

Flag it up: On the gorgeous Cyclades islands the buildings wear the national colors with pride.

Bhutan

At first glance, Bhutan's flag appears to bear the image of a dragon on wheels.

The reality isn't much less exciting.

The beast in question is Druk, a thunder dragon of Bhutanese Buddhist mythology. Rather than riding on castors, he is in fact clutching a spherical jewel in each claw.

As flag stories go, this one isn't bad either.

The dragon is said to symbolize the origins of religious teachings on which Bhutan was founded.

Drukpa Buddhism was so named by its 12th-century founder, Tsangpa Gyare Yeshey Dorji, because he heard the thunderous sounds of dragons while hunting for a monastery site in Tibet.

What to say: "Vacations are never a drag-on this side of the Himalayas."

Flag it up: It'll cost you a dragon's hoard of silver to travel there, but this isolated kingdom is worth it.

United States

Poor Old Glory. Those starry spangles and candy stripes have become a teensy bit overexposed thanks to recent American ventures in overseas troublespots.

This is a shame as the modern incarnation of Betsy Ross's purported creation is an oft-imitated design of which Americans are rightly proud.

So proud in fact, it's one of the only flags to have a National Anthem ("The Star-spangled Banner") written specifically about it.

What to say: Oh long may it wave.

Flag it up: Don't get into a flap about whether she designed it or not, just visit Betsy Ross's home in Philadelphia.

Brazil

Given Brazil's skills on the pitch, you'd be forgiven for thinking its flag symbolizes a blue soccer ball being booted into space from a grassy stadium.

It doesn't.

Less excitingly, the green harks back to Portuguese colonial-era royalty, while the slice of night sky represents, even more prosaically, federal regions.

It's still a much-loved design, even among non-Brazilians.

What to say: "Brazil's success in securing the upcoming soccer World Cup and Olympics justify the flag's 'ordem e progresso' (order and progress) slogan."

Flag it up: You can take your own flag to Brazil for next year's soccer World Cup Finals.

Indonesia

The simplicity of the Indonesian flag belies an interesting tale (if true).

The story goes that as they were shaking off the shackles of Dutch colonial invaders, Indonesian freedom fighters created their flag by tearing the blue strip off a Dutch tricolor.

Another version claims the flag's colors are derived from those representing the archipelago's 14th century Majapahit Empire.

Either way, it excuses the fact it resembles an upside-down Polish flag.

What to say: "Indonesians know how to tear a strip off oppressors."

Flag it up: Surabaya's luxury Hotel Majapahit is supposedly the scene of the flag-tearing incident.

Mozambique

Mozambique's flag features a gun!

Yes, there's a book, symbolizing education, and, yes, there's a hoe symbolizing agriculture.

But there's also an AK-47 assault rifle symbolizing the country's bloody struggle for independence.

The only national flag bearing a firearm, it's the subject of intense debate in the now largely peaceful country.

Many there feel it's time to ditch the weapon.

What to say: "The economy is booming, not the guns."

Flag it up: Mozambique's flag carrying LAM Airlines is banned in the EU.

Panama

Given that it's so widely displayed on ships using the country's emblem as a flag of convenience, it's fascinating to see what they almost used.

This rather alarming alternative version, designed by Frenchman Philippe-Jean Bunau-Varilla, is meant to resemble the country's famous canal.

Thankfully, then-president Manuel Amador Guerrero rejected it and hired his son to produce the current ensign, adopted in 1925.

The colors represent the country's main political parties.

What to say: "The alternative flag would have been a danger to shipping."

Flag it up: You can board the Panama-registered Carnival Breeze for a quiet cruise -- just you and 3,689 other passengers.

Greenland

Granted home rule from Denmark in 1978, Greenlanders decided they needed something new to fly above their frosty territories.

The result, adopted in 1985, is both an exercise in classically minimalist Scandinavian design, and a bold departure from other flags favored by Nordic nations.

Many in Greenland had hoped to emulate Denmark and its neighbors by using a Christian cross -- preferably white on green -- but from 555 submitted designs, a committee instead chose a red and white split circle on a contrasting background.

The symbolism isn't too hard to read: a red sun sinking down into snow and ice.

What to say: "Let's hope global warming doesn't necessitate a redesign."

Flag it up: You can witness Greenland's fantastic sunsets for yourself.

United Kingdom

The UK's Union Flag has long lived a double life, serving both as national emblem and an erstwhile fashion icon -- although its associations with the Swinging Sixties are these days just as likely to bring to mind Austin Powers' underwear.

The flag itself is an exercise in nation building, originally combining the blue and white saltire of Scotland's patron Saint Andrew and the red cross on white of England's Saint George when the two countries united in the 18th century.

The red diagonal cross of Ireland's Saint Patrick was added later.

Of course, all this could change again if Scottish people vote for independence in a referendum scheduled for 2014.

In which case, perhaps Wales might finally get a mention.

What to say: "Groovy, baby!"

Flag it up: The Union flags may not be so prominent these days, but London's Carnaby Street is still a swinging center for fashion.

Which flag do you think has the best design? The most boring? Share your opinion in the comments.

The opinions expressed in this commentary are solely those of Barry Neild.

@highlight

Colors clash on Brazil's flag, the ball of stars looks messy ... yet somehow it works

@highlight

Canada's maple leaf flag is one of the most recognizable in the world

@highlight

Mozambique's flag features a gun, symbolizing the country's struggle for independence