(CNN) -- It has been 20 years since best-selling crime writer Patricia Cornwell began work on her first novel in the series chronicling the cases of forensic analyst Dr. Kay Scarpetta.

Now, both have found celebrity. Cornwell's latest novel, "The Scarpetta Factor," places her enduring heroine in a role the author knows all too well, a pop culture celebrity sought-after for her expertise. In an interview with CNN.com, Cornwell discussed the challenges of staying fresh, the need for happy endings and the merits of the History Channel and the movie "White Chicks."

CNN: The title of your new book, "The Scarpetta Factor," has many meanings. Can you tell me about some of them?

Cornwell: On the one hand, it's a very direct reference to the fact she's the chief forensic analyst for CNN in this book. But while she's doing the on-air spots, they decide they want her to have her own show and that's what they call it, "The Scarpetta Factor," which is a reference to a cliché that's beginning to float around, that there's one element that she can add that will solve the case like she's Sherlock Holmes.

This becomes very upsetting to her, first of all, because it's a cliché and the scientist in her doesn't think she has a special factor, she's a scientist. It begins to pose problems for her because even some colleagues and friends start to wonder if she's begun to believe her own legend and make mistakes.

With her years of experience and high level of visibility and exceptional grasp of the criminal world, she would be asked to be on major shows. When someone like Michael Jackson dies or Caylee Anthony disappears, that's the obvious thing that would happen. People would say, I wonder what Scarpetta has to say. I'm trying to put her in the world we live in.

CNN: Why did you choose CNN?

Cornwell: It would make perfect sense that she would sit on the set with Anderson Cooper or Wolf Blizter and be asked relevant questions from a hard news angle. It's one [network] she would go on and there's lots she wouldn't go on.

CNN: How have things changed since you published your first novel?

Cornwell: When I was shopping my first book around, it was rejected by the major publishing houses and that was because a lot of people didn't think morgues and labs were interesting, and that's a huge statement about how things have changed. I remember one time, I called my literary agent at that time, and I said I was in a toxicology lab, and she said, I hate talking to you because you're always in these awful places. Forensic science was not viewed as cool, as it is today.

CNN: Are there any on-air personalities we might recognize in "The Scarpetta Factor?"

Cornwell: When she is up at CNN for a scene when she's on a fictitious show, she walks past posters of Nancy Grace and Lou Dobbs and Wolf Blitzer because she's up on that floor, so I do make real references to people, but the characters, the producers, none are real and they're not based on anybody I met or know.

CNN: How much of yourself do you see in Kay Scarpetta? Over the years, have you grown into her or has she grown into you?

Cornwell: Only insofar as we have the same values and sensibilities and perhaps the same approach to solving cases. I'm imposing the way my mind works in terms of connecting the dots, but beyond that, there are huge differences between us.

She's a standalone character. I would feel very self-conscious and bored if she was a projection of me. I have certain things in common with all my characters. Like Marino, I can be a slob and sometimes say stupid things and rush to judgment.

CNN: You're known for doing a lot of research on the ground to give your stories depth and realism. Where did your research for "The Scarpetta Factor" take you?

Cornwell: I've certainly been in the CNN studios so that's helpful. When I was there over in the last year, I made a mental note of everything I saw while walking around so I could create the studio in the novel. I also spent lot of time with the NYPD, their bomb squad, their emergency unit, the Real Time Crime Center, so I could describe the amazing way computers are used to transmit data to police responding to a call.

I spent time at the NYPD crime lab, the New York Medical Examiner's office, so I can show Scarpetta actually working there.

The scene in the elevator in the beginning and the way people ID loved ones is based on what happens. Even the technology of the electronic nose, the mechanical sniffer that takes the place of cadaver dogs, is based on things I've seen. My research also included looking into the methods and means criminals are using, like TracFones, spoofcards and the different ways to disguise IP addresses.

CNN: How has the CSI factor affected your research for your books?

Cornwell: I think people are so inundated with this sort of detail that I don't want to make the story just about forensics. The people and their relationships are the heart of my books, the forensics are something they wear like an old pair of shoes. I'll always show you the latest and greatest forensic science and technology, but I can't show it all, so it's very important that I make things interesting in different ways.

In the early to mid-'90s, up to the late '90s when I was coming out with new books, I was the only show in town and all of the sudden now they're everywhere, and I don't have any problem with that because I don't own forensics or forensic pathology.

CNN: In your opinion, what has been the greatest change in forensic science since Scarpetta started out?

Cornwell: DNA has changed our lives forever, just like the Internet has changed our lives, there's no going back to pre-DNA or pre-Internet. I would say both of those. The Internet has dramatically changed everything because it's creating a whole new wave of crimes that our laws and the courts don't know how to deal with.

DNA analysis and the ultra-sensitivity of it: When you're dealing with some types of DNA, you only need three or four human cells to get a DNA profile, which is something that can't even see with the naked eye, so that helps investigators but it also creates a whole other set of problems.

They're saying there will be a point when you can get DNA just from someone walking in the room, and you can see the problems if you have 20 people walk into a room and only one did something bad. Defense lawyers are going to have a field day with that.

CNN: What do you want people to take away from this novel?

I'd like them to take away an idea of how someone like Scarpetta deals with being in the same world you and I wake up to. Now she has a BlackBerry and she has to deal with it, which poses as many problems as it offers benefits.

I want people to feel happy ending the book. We need to feel good right now, there's a lot to feel bad about and that's something I decided with the last book, I didn't want people to be depressed when they finished it. I used to write very dark books but we lived in happier times. Now, the goal is to scare you, lead you into suspense but when you finish, I want you to feel happy.

CNN: What current cases in the news fascinate you? How much attention do you pay to crime and justice news?

Cornwell: I'm fascinated by the Michael Jackson situation and the people who disappear and get abducted, all of it fascinates me in terms of the psychology involved and what science might tell us. I'm always frustrated because I love to know what's behind the scenes.

I've been following Michael Jackson because it seems so unnecessary, an example of people who should've said no and not taken it upon themselves to solve a problem.

I've also been interested in the case in Italy with the American on trial for murder. That is intriguing from a forensic standpoint because I think all of us would like to know more about the evidence and what's there to piece together that could tell us what happened. I'm afraid that because of how much time has passed and how the case was handled that a lot of the answers are gone and the kind of evidence that was collected could have been handled differently,

CNN: What do you like to watch?

Cornwell: I don't watch crime dramas. I don't want to subconsciously get ideas from their shows. I try to keep my mind blank, and keep the influence of my own research, so I don't tend to watch crime dramas or crime movies. I rarely read crime novels because my work is so steeped in nonfiction, so I try to keep my mind free of those ideas.

What I watch is the nonfiction, documentary type things, shows that depict real crimes that happened. I like the History Channel and I will watch reruns of "The Sopranos" until I'm 90 years old. I like comedy, stuff that's mindless. I don't watch stuff that scares me or makes me sad. There's enough of that in real life.

CNN: What's the last movie you saw?

Cornwell: The last movie I saw was a rerun of "White Chicks." How's that to people who think I have this very esoteric repertoire? I think it's a hilarious movie. ... Will Ferrell, I love his stuff, Ben Stiller, I really enjoy comedy, especially stuff that's kind of warmhearted in its own way.

I don't like stuff that's really scary. I've seen so much stuff that's real. Blood is always real to me. If they ever make a real movie of Scarpetta, I may not be able to watch it.

@highlight

Author Patricia Cornwell talks about Kay Scarpetta, fame and forensics

@highlight

In latest book, Scarpetta is CNN's chief forensic analyst

@highlight

Cornwell says she works hard to keep up with scientific advances

@highlight

She says she doesn't watch crime shows or scary movies