(CNN) -- At a time when most birdwatchers are counting the bird species on the way to extinction, to find a new species previously unknown to science might be cause to pop the champagne corks.

But to find one in plain view on a construction site in urban Phnom Penh in Cambodia is nothing short of a sensation in ornithological circles.

The Cambodian Tailorbird (Orthotomus chaktomuk) is one of only two bird species found exclusively in Cambodia (the other is the Cambodian Laughingthrush) and its discovery has the world's "twitchers" -- as birdwatchers are known -- twitching with excitement.

"The modern discovery of an undescribed bird species within the limits of a large populous city -- not to mention 30 minutes from my home -- is extraordinary," said Simon Mahood of the Wildlife Conservation Society (WCS), who was part of the team that investigated the new species.

"The discovery indicates that new species of birds may still be found in familiar and unexpected locations," he said in a statement.

Described by the WCS as a "wren-sized small gray bird with rufous cap and black throat," birdwatchers have since found it in abundant numbers in floodplain scrub on the outskirts of Phnom Penh.

While scientists say the birds can still be found in numbers, they say its habitat is declining and have recommended that the species be classified as Near Threatened under the International Union for Conservation of Nature's (IUCN) Red List.

The remnant floodplain scrub that exists within the Cambodian city of 1.5 million people, however, may go some way to explaining how the bird went unnoticed in the city for so long.

The bird was discovered by a member of the WCS who took photographs of what was first thought to be a similar, coastal species of Tailorbird at a construction site on the edge of Phnom Penh.

The bird in the photographs defied identification and further investigation revealed that it was an entirely unknown species.

"Asia contains a spectacular concentration of bird life, but is also under sharply increasing threats ranging from large scale development projects to illegal hunting," Steve Zack, WCS Coordinator of Bird Conservation said in a press release.

"Further work is needed to better understand the distribution and ecology of this exciting newly described species to determine its conservation needs."

According to the Oriental Bird Club publication "Forktail", a half century of human conflict in Indochina -- which made the region off-limits to bird watchers -- has made Cambodia, Laos and Vietnam a fertile zone for twitchers, with the past two decades witnessing a flush of new bird discoveries.

The publication said that while the modern discovery of an undescribed bird species close to sea-level within the limits of a large city in a populous country was extraordinary, it was not unprecedented, citing the discovery of new species of marsh bird close to Sao Paulo in Brazil in 2005.

It said the sheer ordinariness of the Tailorbird's scrubby habitat may have kept it hidden until now.

"This habitat is of little interest to birdwatchers and ornithologists because the other species that it supports are some of the most widespread and abundant birds in tropical South-East Asia," the publication said.

"Even if its habitat were to attract more attention, the denseness of the habitat and the species' skulking habits would more often than not render it invisible to the casual would-be observer."

@highlight

Birdwatchers discover previously unknown species of bird in Cambodia

@highlight

The Cambodian Tailorbird was photographed near a construction site in Phnom Penh

@highlight

The rare find indicates there may be more species yet to be discovered in the region

@highlight

Until now, 50 years of human conflict had made parts of Indochina off-limits to bird watchers