(CNN) -- There is an old African proverb: "If you want to walk fast, walk alone. But if you want to walk far, walk together."

That was the guiding principle behind the International Roundtable on China-Africa Health Cooperation this week in Gaborone, the capital of Botswana. This is the fourth such annual conference -- and the first to be held on African soil.

The roundtable brought together Chinese and African health ministry officials, academics, members of the private sector, and representatives of such international organizations as the World Health Organization, Global Fund, Bill & Melinda Gates Foundation, GAVI Alliance and United Nations entities.

Over two days, we tackled such topics as malaria, AIDS, reproductive health, and schistosomiasis â€” health issues that China has largely brought under control but remain major health challenges in Africa.

China and the countries of Africa have much to unite them. We fought to free ourselves from colonialism; we view health as a key building block for economic development; and we are learning to build upon traditional economic development models that have allowed our societies to make progress. Sharing these values and history, we are pioneering a new South-to-South model based on mutual interests and respect.

To be sure, there is a long history of China and Africa collaboration on health. In the 1960s, China began sending medical teams to the continent. More recently, China has built hospitals and medical centers in many African countries. China has also provided medical training to African health professionals and is building capacity in other ways, such as providing scholarships to train health experts.

Going forward, we all foresee a stronger collaboration. Many African countries could benefit from low-cost, high-quality Chinese-made health products. China has made enormous strides in the manufacture of drugs, vaccines and other health products. It is the world's largest producer of the active ingredients for malaria treatments and antiretroviral drugs against HIV/AIDS.

China also makes implantable contraceptive devices that provide women with birth control for several years. China also makes simple and inexpensive rings allowing men to be circumcised, which can greatly reduce the risk of contracting HIV, without undergoing surgery. China can also provide refrigeration equipment and logistical support for the "cold chains" needed to safely deliver many vaccines to remote communities. All these have great relevance to Africa.

But collaboration is a two-way street. Participants at the meeting shared lessons learned in delivering health services to their people. Many countries, including Botswana and Zambia, have made enormous gains in preventing mother-to-child transmission of HIV, even in rural areas. China can learn much from this progress as it provides services to its remote communities.

The relationship between China and Africa has of course been long and complex, and not without misunderstandings. Chinese investment in Africa has gained global attention because of its scale. Chinese-built roads, buildings, dams, airports, hospitals and railways are visible across the continent. So, too, are the tensions that have on occasion emerged due to different styles of management and communication.

This is why these face-to-face meetings are so valuable. They pave the way for our long walk together. We are also grateful so many international organizations are joining us for this journey. They bring a wealth of experience working in both Africa and China and can help bridge many technical gaps that South-to-South collaboration cannot address. The results of this partnership will be sustainable, African-owned solutions to many of the continent's greatest health challenges.

Of course, we still have far to walk before all people with AIDS, malaria and TB receive the treatments and dignity they deserve; before all children are immunized; before all women have access to safe and effective contraception; and before neglected tropical diseases are eradicated forever.

But, I am encouraged that we are walking together, and in the right direction. It's only fair, since I opened with an African proverb, to close with a Chinese saying: "Numerous grains of earth make a mountain; numerous drops of water form an ocean." As long as we keep advancing China-Africa cooperation, we will build those mountains, fill those oceans and provide all of our people with the sustainable health solutions they deserve.

@highlight

4th International Roundtable on China-Africa Health Cooperation held in Botswana

@highlight

China and African countries have a lot of common history, health and economic challenges

@highlight

Long history of China and Africa collaborating on health initiatives

@highlight

Africa could benefit from low-cost, high-quality, Chinese-made health products. writes Dr. Lucy Chen