(CNN) -- Administration officials have said that neither the U.N. Security Council nor the actions of allies would affect their response to Syria. Apparently producing conclusive evidence to link the regime of Syrian President Bashar al-Assad to the use of chemical weapons against the nation's citizens may not matter either.

And yet even a brief review of 25 years of U.S. military action teaches the tragedy of ignoring law and facts.

Just two years ago President Barack Obama recognized the need for a U.N. Security Council resolution to allow military action in Libya. Resolution 1973 authorized "necessary measures" to protect civilians. The resolution was needed because the use of military force is banned by the U.N. Charter unless it is in self-defense to an armed attack, has Security Council authorization, or, perhaps, is taken with the consent of a government fighting an insurgency, as in Afghanistan.

Even officials from the George W. Bush administration recognized the need for a Security Council resolution when the United States and United Kingdom invaded Iraq in 2003. The two nations tried to recycle resolutions from the 1990-1991 Gulf War when it became clear Security Council members would not vote for a new resolution to attack Iraq. The case for war with Iraq was too weak; Security Council members wanted to give U.N. weapons inspectors more time.

Secretary of State Colin Powell also tried to justify the Iraq invasion by referencing NATO's 1999 intervention in Kosovo, which also went forward without the required Security Council authorization. Authorization had been withheld because the Security Council doubted bombing would get the Serbs to grant Kosovo independence and were not sure who was responsible for some of the conflict's mass killings. Indeed, rebels have an interest in showing that they are victims in order to draw in assistance.

Just a few years before the Kosovo intervention, President George H.W. Bush had declared a new world order under the rule of law. He could point with well-earned pride at how, in the Gulf War, the United States led a worldwide coalition, authorized by Security Council Resolution 678, to liberate Kuwait -- in 100 hours of combat. The United States received generous assistance to support its military action, with allies sending either troops, material or financial support.

That war was fought against Saddam Hussein, the last known leader to have used chemical weapons in war. He used them to suppress Kurdish Iraqis and against Iranian soldiers during the Iran-Iraq War. He likely then used them against his own soldiers to cover up the use against Iranian troops when U.N. weapons inspectors came to investigate Iran's claims of chemical weapons use.

Obama is right to speak against chemical weapons use in the most categorical of terms. But the use of chemical weapons is banned by international law. Responding by violating the international law ban on resorting to force will only undermine America's standing to condemn the crimes of others. Washington officials should put their prodigious talents and resources to use finding a lawful and effective way to respond to chemical weapons use in Syria and to aid in ending a tragic war without creating more tragedy.

The opinions expressed in this commentary are solely those of Mary Ellen O'Connell.

@highlight

Mary Ellen O'Connell: U.S. says U.N. approval won't affect plans for response to Syria

@highlight

She says ignoring international law, facts can produce tragic results such as Iraq War

@highlight

O'Connell: Obama right to denounce chemical weapons, shouldn't react outside U.N. law