(CNN)Demand for South African food is booming in an unlikely place: the United Arab Emirates.

Sizzling in the kitchen at the Abu Dhabi-based restaurant "The Meat Company," there's only one specialty -- and the key is in the name.

T-bones or Rib-Eye, flame grilled or triple-basted, this is not a venue for vegetarians. But the meaty menu is proving popular; in the past year 350,000 customers dined at the restaurant.

"It's a very exciting region to be in and to showcase your brands," says South African owner Johnny Tomazos. "There's a lot of developments going on, there's a lot of growth for companies such as ours to grow in the food sector in the Middle East," he continues. "Tourism is growing, more people are coming to live in the region; all that combined with the economic driver allows for a great market for us."

Meaty business

Ten years after his family founded the enterprise, Tomazos today owns 15 restaurants -- mostly in the Gulf. In fact, the company has moved its headquarters from South Africa to Dubai, and has built a presence not only in the UAE but also Bahrain and Kuwait.

Yet, Tomazos is not the only South African cashing in on tax-free income and a growing population of young customers increasingly hungry for Western-style fast food.

Popular South African burger chain Steers is also setting up shop in the region, offering burgers on the manmade Yas Island -- a popular location for tourists and thrill-seekers. General manager Mark Oliver is confident the company's first venture in the Middle East will take off with the big local South African community.

"[There are] over 100,000 South Africans living in the UAE, over 100,000 brand ambassadors living in the UAE," he says." "It's a natural fit to bring a brand ... such as Steers to the Middle East."

Gulf of opportunity

In fact, there are roughly 200 South African companies operating in the UAE -- a country where expatriates account for over 80% of the work force.

Bilateral trade between South Africa and the UAE tops $3 billion a year according to the South African embassy in Abu Dhabi. In 2012 South African gross domestic product grew at 2% whereas growth rates in the UAE were double that, according to the World Bank. And the UAE ranks 22nd out of 189 countries for the overall "Ease of Doing Business." South Africa is 43rd on that list.

It's data like this that has other industries, from diamond jewelers to builders, looking to the Gulf to grow their profits.

"Our relationship with the UAE is growing," says Mpetjane Kgaogelo Lekgoro, the South African ambassador to the country. "With trade growth of an average of 22% year to year from 2009, and actually, in 2013 to 2014, we recorded an increase of 37%."

And it's not just South African businesses operating from the region. Ugandan entrepreneur Ashish Thakkar has built his Mara Group empire in Dubai. From the Gulf HQ, his business operates in 18 African countries in various industries -- from financial services and real estate to communication, manufacturing and agriculture.

Risks to success

Whilst the Gulf promises exciting business returns, South Africans bringing a business abroad also have to contend with challenges -- especially when there's meat involved.

Following an outbreak of foot and mouth disease (FMD) in South Africa in 2011, international authorities banned red meat exports.

Experts have said the global annual cost of FMD could be as high as $21 billion, and one South African businessman who felt the effects was Dave Jackson -- in 2009, the businessman bought an Abu Dhabi-based butchery to sell dried meat called Biltong to the South African expat community.

Following the export ban, Jackson had to find a new source of meat, and his customers were not happy. While South Africa only produced around 2.7 million tonnes of meat in 2012 -- and Africa as a whole only accounted for 5% of global meat production -- expats told Jackson they wanted that taste from home.

"Suppliers [from] around the world -- Australia, New Zealand, America, Brazil -- [provide] quality products," Jackson says. "But still, when people come here, they say 'where's the South African meats?'"

But this lack of supply could be set to change soon, following a ruling in February that South Africa was FMD-free, paving the way for exports to the UAE to start again.

Innovation is key

While South African meats could boost customer satisfaction in restaurants and food businesses, Tomazos says the key to success in the UAE is adapting.

"In this competitive environment, if you're constantly not innovating and not looking at the customer needs, then you don't stand yourself in good stride," he says.

For Tomazos, any future expansion of his trademark steaks won't be at home, but here in the Gulf.

More from Marketplace Africa

Read this: The human cost of piracy

Read this: Fish farm links Lesotho with Japanese chefs

@highlight

South African food businesses are seeing new growth in United Arab Emirates

@highlight

Bilateral trade between S.A. and UAE tops $3 billion a year

@highlight

The South African expat community in UAE is estimated at 100,000 people

@highlight

Africa as a whole accounted for 5% of global meat production in 2012