(CNN)Fifty years ago in Frankfurt, German prosecutors tried 22 former Nazi SS soldiers at Auschwitz in what remains the most famous Holocaust trial staged in Germany.

At the time, Fritz Bauer, the German-Jewish attorney general of Hessen, expressed the simple hope that "sooner or later, one of the accused would step forward and say: 'What took place -- it was horrific, I'm sorry.' Then the entire world would exhale, as would all the survivors of those killed at Auschwitz, and the air would be cleared." Sadly, Bauer observed, "it has not been uttered, nor will it be."

The refusal of perpetrators to own up to their guilt remains one of the most disappointing aspects of Holocaust trials. John Demjanjuk, whose conviction by a Munich court in 2011 established the precedent that has now made possible the trial of Oskar Gröning, remained defiantly silent during his 18-month trial, never so much as breathing a word of acknowledgment or remorse. Over the years, some defendants have acknowledged knowing of the exterminations, but have insisted that they played no role. Those who acknowledged participating in the killing insisted that they did so out of fear of life or limb.

Over the years, an extraordinary research effort was dedicated to exploring the claim that SS men had engaged in extermination out of duress. The results were astonishing: Investigators and historians failed to uncover so much as a single instance in which a German officer or NCO had been executed or even severely punished for opting out of genocide. Not one.

These evasions and lies were often effective, as many German trials of Holocaust perpetrators ended either in light sentences or outright acquittal. And even when a trial ended in a conviction, what was missing was any sense of moral reckoning, an acknowledgment on the part of the accused of the perversity of genocide.

Fritz Bauer can now exhale. On April 21, on the opening day of his trial in Lüneburg, where he stands accused of complicity in the murder of 300,000 Jews during his service at Auschwitz, the 93-year-old Gröning faced the court and acknowledged, "It is beyond question that I am morally complicit. This moral guilt I acknowledge here, before the victims, with regret and humility." If nothing else comes from the trial, that statement alone justifies the undertaking.

Of course, in acknowledging his moral complicity, Gröning fell short of confessing legal guilt. Indeed, for years he has insisted in his innocence as a matter of law, arguing, in an interview with Der Spiegel in 2005, that he had been no more than a "cog in the gears." At Auschwitz, Gröning was responsible for inspecting the luggage of deportees to the camp -- most of whom were gassed within hours of their arrival -- for banknotes that would be carefully counted and sent to Berlin. In performing this task, Gröning insists that he never engaged in cruel, murderous or sadistic acts -- a claim that we can probably accept as true.

But does this relieve him of criminal liability? For decades German courts held that mere service as a concentration camp -- in the absence of evidence of a personal act of killing -- constituted no crime under German law. In 2011, the Demjanjuk conviction changed that. In convicting Demjanjuk as an accessory to the murder of 28,000 Jews at the Sobibor death camp, the Munich court concluded that death camp guards, regardless of how they had conducted themselves, had to be accessories to murder, because that was their job.

It was a crucial breakthrough, because it recognized that mass killing is not a personal act of evil but an exterminatory process. When it comes to factory-like genocide, guilt is not to be measured by acts of cruelty or nastiness; guilt follows function. Convicting under that theory was the great accomplishment of the Munich court.

By this standard, Gröning's truthful claim that he was no more than "a cog" constitutes an admission of guilt. This does not mean that Gröning deserves the same measure of punishment as an SS sadist. In fact, it's not clear that he deserves any punishment besides the symbolic gesture of conviction. But without the court's conviction, Gröning's important acceptance of moral guilt will remain incomplete.

The significance of Gröning's trial can be measured in one final way. Many have observed that it coincides with the 70th anniversary of the end of World War II. But it also coincides with an anniversary of a different sort. April 24 marks the day that millions mourn the killing of hundreds of thousands of Armenians by the Ottomans during World War I, an event many have described as genocide. And yet the Turkish nation itself remains in denial of the mass killings that unfolded a hundred years ago.

With that in mind, Gröning's trial reminds us of other mass atrocities that still await their moment of moral and legal reckoning.

@highlight

Oskar Gröning is on trial over his alleged role in deaths at Auschwitz

@highlight

Lawrence Douglas: Other mass atrocities still await moment of moral reckoning