(CNN) -- Strontium sulfide, a material that can emit corrosive gases in moist air, was found at trace levels in testing of Chinese-made drywall, the Florida Department of Health said.

Gas emitted from defective drywall corrodes copper wiring, turning it black, some Florida homeowners say.

The drywall samples gave off a sulfurous odor when heated, and in at least one case, sulfide gases corroded copper coils in an air conditioner of a Florida home containing Chinese drywall, said the department, which commissioned the study.

But more testing is needed to determine whether strontium sulfide was causing the odor and contributing to the corrosion, the department said. And more tests are required to determine whether the drywall poses a threat to human health -- a process that probably will take at least several months, state toxicologist Dr. David Krause told reporters Monday.

"It's very hard to predict when we'll have the answers [relating to possible health hazards]. ... We're moving as quickly as possible," Krause said.

Concerns about Chinese-made drywall, which is suspected by some homeowners of ruining appliances and causing health problems, emerged in Florida last year but have transcended state lines, with class-action lawsuits alleging it has caused problems in at least three states: Florida, Louisiana and Alabama. The Florida Department of Health has received about 150 complaints, and the U.S. Consumer Product Safety Commission says it is investigating the Florida allegations.

Homeowners' lawsuits against certain manufacturers and suppliers contend the drywall has caused them to suffer health problems such as headaches and sore throats, and left them facing huge repair expenses. The drywall is alleged to emit sulfur-based gases that smell of rotten eggs and corrode piping and wiring, causing electronics and appliances to fail.

The Florida Department of Health said complaints there generally involve homes built between 2004 and 2007, around the time a building boom and post-hurricane reconstruction caused a U.S. drywall shortage and spurred builders to use imports.

The latest tests did not deal with air quality inside affected homes, and previous third-party testing has "not identified any concentrations of chemicals that are in the homes that are at a level ... that would pose a specific health risk," Krause said.

"That isn't saying we've declared it safe," Krause said. "We are continuing the evaluation and moving forward on a much more in-depth and broad scope of the investigation."

The latest testing, commissioned by the Florida Health Department and conducted by private laboratory Unified Engineering Inc. of Illinois, found that three samples of what the department believes is Chinese-manufactured drywall had "several physical and chemical differences" from a fourth, U.S.-manufactured drywall sample, Krause said.

The samples suspected to be from China contained trace levels of strontium sulfide, and the U.S.-made product did not, according to Unified's report.

Strontium sulfide can react in moist air to form hydrogen sulfide -- a gas that smells like rotten eggs, according to the Web site of the National Oceanic and Atmospheric Administration.

Hydrogen sulfide is corrosive, according to a Web page of the Occupational Safety and Health Administration. Exposure to low levels of the gas "may cause irritation to the eyes, nose or throat ... [and] may also cause difficulty breathing for some asthmatics," according to the federal Agency for Toxic Substances and Disease Registry.

Two of the China samples were marked as having been made in China or by a Chinese manufacturer. The other was unmarked, but the department believes it to be Chinese-made because it appears to "have many of the same physical and chemical characteristics" of the other two products, Krause said.

The Chinese-made drywall emitted a sulfurous odor when exposed to extreme heat in testing, while the U.S.-made product did not, according to Unified's report.

However, the report doesn't conclude that the strontium sulfide contributed to the odor.

"Because initial tests only detected small quantities of this substance, further tests are necessary to determine if it is the cause of odors and corrosive gases," Krause said.

Unified also found that the outer paper and core of two samples -- a piece of Chinese-made drywall and a piece of the U.S.-made drywall -- emitted trace levels of hydrogen sulfide and two other volatile, sulfur-containing gases when put into a chamber and exposed to 95 percent humidity.

However, because the U.S. sample came from a home that also had Chinese-made drywall, cross-contamination could have occurred. More testing is needed, Krause said.

One of the emitted gases was carbon disulfide, Unified's report said. Breathing it at low levels for long periods "may result in headaches, tiredness, trouble sleeping and slight changes in the nerves," according to the Web site of ATSDR, which is part of the U.S. Department of Health and Human Services.

The emission tests were useful in determining what the drywall may produce, but conclusions cannot be drawn about health risks, Krause said. That's in part because the concentrations of emissions captured in laboratory testing are not useful to determine what concentrations would be found in the much larger volume of air in homes, he added.

"We shouldn't interpret it for anything at this point," Krause said. "These are not exposure measurements."

The Unified test results showed that heat and humidity play a key role in getting the drywall to emit the odors.

"This may explain why the problem has developed in South Florida first, where hot and humid conditions prevail," Krause said.

A Unified test also showed that sulfide gases in a Florida home that contained Chinese-made drywall were the main reason that an air conditioner's copper tubing corroded, Krause said. The report did not say whether the gases came from the drywall.

Earlier testing by ENVIRON International, a private consulting firm hired by a Florida-based homebuilder, found that certain drywall manufactured in China was emitting sulfur gases capable of ruining copper coils in air-conditioning systems.

However, it said it found air samples in the homes showed no indication that health hazards existed.

The Consumer Product Safety Commission is "already sending additional experts from headquarters to Florida to further our investigation," commission spokesman Joe Martyak said Monday.

@highlight

Toxicologist: Months of more investigating needed before determining health threat

@highlight

Florida Health Department: Tests show strontium sulfide in Chinese drywall

@highlight

Strontium sulfide is corrosive, can cause health problems, federal agencies say

@highlight

Homeowners: Smelly gas from drywall corroding metal, ruining appliances