On Thursday, Dr. Kent Brantly thought he was going to die.

It was the ninth day since the American missionary worker came down sick with Ebola in Liberia.

His condition worsening by the minute, Brantly called his wife to say goodbye.

Thankfully, the call was premature.

Brantly is back on his feet -- literally -- after receiving a last-ditch, highly experimental drug. Another American missionary with Ebola got the same.

Brantly's and Nancy Writebol's conditions significantly improved after receiving the medication, sources say. Brantly was able to walk into Emory University Hospital in Atlanta after being evacuated to the United States last week, and Writebol is expected to arrive in Atlanta on Tuesday.

On July 22, Brantly woke up feeling feverish. Fearing the worst, Brantly immediately isolated himself. Writebol's symptoms started three days later. A rapid field blood test confirmed the infection in both of them after they had become ill with fever, vomiting and diarrhea.

It's believed Brantly and Writebol, who worked with the aid organization Samaritan's Purse, contracted Ebola from another health care worker at their hospital in Liberia, although the official Centers for Disease Control and Prevention case investigation has yet to be released.

The experimental drug, known as ZMapp, was developed by the biotech firm Mapp Biopharmaceutical Inc., which is based in San Diego. The patients were told that the treatment had never been tried before in a human being but had shown promise in small experiments with monkeys.

Questions about this new Ebola drug

According to company documents, four monkeys infected with Ebola survived after being given the therapy within 24 hours after infection. Two of four other monkeys that started therapy within 48 hours after infection also survived. One monkey that was not treated died within five days of exposure to the virus.

Brantly and Writebol were aware of the risk of taking a new, little-understood treatment and gave informed consent, according to two sources familiar with the care of the missionary workers. In the monkeys, the experimental serum had been given within 48 hours of infection. Brantly didn't receive it until he'd been sick for nine days.

The medicine is a three-mouse monoclonal antibody, meaning that mice were exposed to fragments of the Ebola virus and then the antibodies generated within the mice's blood were harvested to create the medicine. It works by preventing the virus from entering and infecting new cells.

The Ebola virus causes viral hemorrhagic fever, which refers to a group of viruses that affect multiple organ systems in the body and are often accompanied by bleeding.

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. They later progress to vomiting, diarrhea, impaired kidney and liver function -- and sometimes internal and external bleeding.

The ZMapp vials, stored at subzero temperatures, reached the hospital in Liberia where Brantly and Writebol were being treated Thursday morning. Doctors were instructed to allow the serum to thaw naturally without any additional heat. It was expected that it would be eight to 10 hours before the medicine could be given, according to a source familiar with the process.

Brantly asked that Writebol be given the first dose because he was younger and he thought he had a better chance of fighting it, and she agreed. However, as the first vial was still thawing, Brantly's condition took a sudden turn for the worse.

Brantly began to deteriorate and developed labored breathing. He told his doctors he thought he was dying, according to a source with firsthand knowledge of the situation.

Knowing his dose was still frozen, Brantly asked if he could have Writebol's now-thawed medication. It was brought to his room and administered through an IV. Within an hour of receiving the medication, Brantly's condition dramatically improved. He began breathing easier; the rash over his trunk faded away. One of his doctors described the events as "miraculous."

By the next morning, Brantly was able to take a shower on his own before getting on a specially designed Gulfstream air ambulance jet to be evacuated to the United States.

Writebol also received a vial of the medication. Her response was not as remarkable, according to sources familiar with the treatment. However, doctors on Sunday administered Writebol a second dose of the medication, which resulted in significant improvement.

She was stable enough to be evacuated back to the United States.

The process by which the medication was made available to Brantly and Writebol is highly unusual.

World Health Organization spokesman Gregory Hartl cautioned that health authorities "cannot start using untested drugs in the middle of an outbreak, for various reasons."

Doctors Without Borders similarly weighed in on the side of caution.

"It is important to keep in mind that a large-scale provision of treatments and vaccines that are in very early stages of development has a series of scientific and ethical implications," the organization said in a statement.

"As doctors, trying an untested drug on patients is a very difficult choice since our first priority is to do no harm, and we would not be sure that the experimental treatment would do more harm than good."

ZMapp has not been approved for human use and has not even gone through the clinical trial process, which is standard to prove the safety and efficacy of a medication. It may have been given under the U.S. Food and Drug Administration's "compassionate use" regulation, which allows access to investigational drugs outside clinical trials.

Getting approval for compassionate use is often long and laborious, but in the case of Brantly and Writebol, they received the medication within seven to 10 days of their exposure to the Ebola virus.

On July 30, the Defense Threat Reduction Agency, an arm of the military responsible for any chemical, biological, radiological, nuclear and high-yield explosive threats, allotted additional funding to MAPP Biopharmaceutical due to "promising results."

American Ebola patient 'seems to be improving'

@highlight

Untested drugs can't be used in the midst of an outbreak, spokesman says

@highlight

Ebola drug ZMapp given to Dr. Kent Brantly and Nancy Writebol

@highlight

Experimental drug had only been tested in monkeys