Washington (CNN) -- Secretary of State John Kerry got the money shot he wanted on Tuesday -- the chief negotiators for Israel and the Palestinians framed by his lanky embrace as they shook hands to launch "sustained, continuous and substantive" talks on a long-sought Middle East peace treaty.

Now the question is whether the negotiations expected to last nine months will bring an even more historic image, with President Barack Obama bringing together Israeli Prime Minister Benjamin Netanyahu and Palestinian President Mahmoud Abbas to sign a final-status agreement that creates a sovereign Palestinian state in what is now part of Israel.

The Middle East dispute, perhaps the world's most intractable in the past six decades, entered a new phase with Kerry's announcement that the first direct talks in three years would proceed in earnest in the next two weeks in either Israel or the Palestinian territories.

Flanked by Israeli Justice Minister Tzipi Livni and Palestinian chief negotiator Saeb Erakat, Kerry said "all core issues" toward achieving a two-state solution would be on the table.

"Our objective will be to achieve a final status agreement over the course of the next nine months," he said.

Acknowledging the obstacles from years of hostility and mistrust, Kerry said the process would be difficult but that he believed an agreement could be achieved.

"When somebody tells you that Israelis and Palestinians cannot find common ground or address the issues that divide them, don't believe them," Kerry said, adding: "While I understand the skepticism, I don't share it and I don't think we have time for it."

Major obstacles that date back decades in the Middle East conflict include established Jewish settlements in territory claimed by the Palestinians, the status of Palestinian refugees seeking to return to the region, and control of Jerusalem, particularly its Muslim holy sites.

Opinion: John Kerry's bold push for peace

Kerry has pushed to resume negotiations in order to stave off a showdown over the Israel-Palestinian question at the U.N. General Assembly in September.

His efforts, including multiple meetings in the region with each side in recent months, sought to assure the Israelis that their security concerns would be addressed while convincing Palestinians that an agreement was in their best long-term interest.

"I think that everyone involved here believes that we cannot pass along to another generation the responsibility of ending a conflict that is in our power to resolve in our time," Kerry said. "They should not be expected to bear that burden and we should not leave it to them. They should not be expected to bear the pain of continued conflict or perpetual war."

On Tuesday, President Barack Obama held a 30-minute meeting with the negotiators in which he "underscored that while the parties have much work to do in the days and months ahead, the United States stands ready to support them in their efforts to achieve peace," White House spokesman Jay Carney told reporters.

Both sides face opposition to the negotiations from their people, with hardliners calling the concept of negotiations an unacceptable climate of concession.

In comments after Kerry's announcement, Livni and Erakat expressed gratitude for his efforts to get the talks going.

Erakat cited both Kerry and Obama "for your relentless efforts and unwavering commitment to achieve a just and lasting peace between Palestinians and Israel."

"Palestinians have suffered enough and no one benefits more from a lasting peace than Palestinians," he said, expressing delight that all core issues were on the table.

It was time for Palestinians to have a sovereign state, he added.

Livni praised Kerry "for not giving up," adding that "we are hopeful but we cannot be naÃ¯ve."

"We all know that it's not going to be easy. It's going to be hard, with ups and downs," she said, calling for the new talks to be "a spark of hope, even if small, to emerge out of cynicism and pessimism."

To help set up the revived talks, Netanyahu prodded the Israeli government into approving the release of 104 Palestinian prisoners -- a move that flies in the face of popular sentiment in Israel.

Some observers called the prisoner release to be done in stages a possible sign of a new negotiating environment.

Another sign of a different atmosphere was Kerry's declaration that both sides agreed to negotiate in private.

The United States will be a facilitator and a senior State Department official called it an "indispensable role." But the talks are direct negotiations between the two sides.

"The only announcement you will hear about meetings it's the one that I just made, and I will be the only one by agreement authorized to comment publicly on the talks in consultation obviously with the parties." he said. "That means that no one should consider any reports, articles or even rumors reliable unless they come directly from me and I guarantee you they won't."

Aaron David Miller of the Woodrow Wilson International Center, a Middle East specialist, said such "radio silence" was unprecedented for Middle East negotiations in his memory.

"It's a mark of real seriousness on one hand and respect for Kerry on the other," Miller told CNN.

Amanpour: Barriers to Israel peace less now, says President Carter

Opponents of the peace talks insist that divisions remain too deep to overcome. Dating back to the creation of Israel in 1947, the Middle East conflict has spawned a tortuous peace process that yielded iconic images but no satisfactory solution.

One of the most famous photos was the 1993 shot of President Bill Clinton looking on as Israeli Prime Minister Yitzak Rabin and Palestine Liberation Organization leader Yasser Arafat shook hands over an agreement intended to bring a full peace treaty by 1999.

Rabin was assassinated two years later later by a Jewish law student who said he wanted to halt the peace process.

Livni referred to the failure of previous peace efforts in her comments Tuesday, saying "it's not our intention to argue about the past, but to create solutions and make decisions about the future."

The newest round of talks began Monday night with an Iftar dinner to break the fast in the Muslim holy month of Ramadan, then continued Tuesday morning with negotiators also meeting with Obama before joining Kerry for the announcement that took place an hour later than scheduled.

Livni and attorney Isaac Molho, an aide to Netanyahu, represented Israel while Erakat and Fatah official Mohammad Shtayyeh spoke for the Palestinians. Former U.S. ambassador to Israel Martin Indyk also took part as the U.S. envoy to the talks.

Opinion: Americans, stay open to both sides in Mideast talks

CNN's Jill Dougherty, Adam Aigner-Treworgy, Michael Schwartz and Ashley Fantz contributed to this report.

@highlight

NEW: Kerry says he will be the only person authorized to provide information on the talks

@highlight

Secretary of State Kerry says the talks seek a final status agreement in nine months

@highlight

Israel agrees to release some Palestinian prisoners

@highlight

Obstacles include agreeing on the status of Jerusalem