Israeli police clashed with Palestinians at one of the holiest sites in Judaism and Islam on Wednesday, leaving more than 15 people injured in the latest round of unrest at the compound in Jerusalem.

Groups of young Palestinians threw stones and set off fireworks at Israeli police officers near one of the gates of the Temple Mount -- known by Muslims as Haram al-Sharif (the Noble Sanctuary) -- when the site was opened to visitors, police spokeswoman Luba Samri said.

The Palestinians were pushed back into the site's al-Aqsa Mosque, Samri said. In an attempt to control the violence, police closed access to the compound.

Eyewitnesses among Muslim worshippers at the site gave a different version of events, saying hundreds of police officers raided the compound, throwing stun grenades into the mosque in an effort to clear a way to the area for Jewish protesters.

Jordan recalled its ambassador to Israel on Wednesday in protest of "increasing Israeli escalation" at the Noble Sanctuary, Jordan's state news agency, Petra, reported.

Jordanian Prime Minister Abdullah Ensour also instructed Jordan's foreign affairs minister to submit a complaint to the United Nations Security Council about Israeli "attacks" on the Noble Sanctuary, according to Petra.

The Jewish protesters were attending a support rally for Rabbi Yehuda Glick, a right-wing activist who was shot and gravely wounded by a Palestinian last week. The shooting helped to ratchet up tensions in Jerusalem and prompted Israeli authorities to close the Temple Mount for one day -- a move that outraged Palestinians.

Israeli police officer killed, 13 hurt in driver's rampage

Samri said the youths had gathered in the mosque overnight, amassing rocks, fireworks and Molotov cocktails with which to attack police.

"Inside the mosque they formed obstacles to hide behind," she said. "There were violent clashes with the police."

Police went several meters into the mosque in order to clear obstacles preventing them from closing the door, Samri said, adding that Jews and tourists were now allowed back to the site.

But unrest flared again later near another gate, when police threw stun grenades and fired rubber bullets at Muslim worshippers who were chanting and praying because they weren't allowed back into the site.

Paramedics from the Red Crescent at the scene told CNN that 15 people were injured, one of them with a serious injury to the eye. Samri said police officers were injured.

Also in eastern Jerusalem on Wednesday, the driver of a commercial van ran over pedestrians at a rail station, killing an Israeli border police officer and injuring 13 other people, police said. Police shot and killed the attacker.

No motive for the van attack was immediately released, but the Islamist movement Hamas supported it in a text message to the news media: "Hamas blesses the action. What is happening in Jerusalem is pushing us to prepare for war."

Recent tension at the holy site

The Temple Mount, or Haram al-Sharif, is the holiest site in Judaism and one of the three holiest sites in Islam.

Some of the recent tension over the Temple Mount centers on Glick, who has long argued that Jews must have a place of worship on the Temple Mount. Jews now have the right to visit the site but cannot pray there.

The drive by Glick and others to enable Jews to pray there is a sensitive issue for Muslims, who suspect a plan to expel them from the site.

Glick was shot on October 29 as he left a Jerusalem conference called "The Jewish people return to the Temple Mount." Glick's assailant, Mutaz Hijazi, was shot dead by an Israeli counter-terror unit hours later. Hundreds of Palestinians attended Hijazi's funeral.

Israeli authorities reacted to Glick's shooting by closing al-Aqsa Mosque on October 30, then restricting its access by allowing entry only by men over 50 years of age and women, and putting thousands more police on the streets. The Palestinian Authority described the closure -- the first in 14 years -- as a "declaration of war." There were also harsh words from Jordan, which remains the custodian of the Muslim holy sites in Jerusalem according to its peace treaty with Israel.

On Wednesday, a spokesman for the military wing of Hamas said that al-Aqsa Mosque "is the detonator needed to ignite a volcano in the face of the cowardly and treacherous occupier."

"We salute the heroes of the mujahideen of Hamas," Abu Abiada said in a message posted on the military wing's website.

Place for Muslim prophet, Hebrew patriarch

With its golden dome overlooking Jerusalem, the Temple Mount/Haram al-Sharif site is said to have hosted sacred events in both the Jewish and Muslim religions.

Jewish tradition holds that the Temple Mount contains Mount Moriah, where Abraham, the Hebrew patriarch, is said to have nearly sacrificed his son -- under God's orders -- before an angel intervened.

Later, Israeli King Solomon constructed the first Jewish temple on the mount, including the Holy of Holies, a room that kept the Ark of the Covenant, which was said to contain the tablets on which God wrote the Ten Commandments.

Muslims believe that the Prophet Mohammed was carried on a flying steed from Mecca to the Jerusalem site during his miraculous Night Journey, according to Muqtedar Khan, an expert on Islam and politics at the University of Delaware.

According to Islamic tradition, the Night Journey took Mohammed to the same Jerusalem rock on which Abraham nearly sacrificed his son, where the Muslim founder led Abraham, Moses and Jesus in prayers as the last of God's prophets.

That rock is now said to sit in the Dome of the Rock, whose golden roof gleams above the Old City skyline.

Since its construction in the seventh century, the Haram al-Sharif, now controlled by an Islamic trust, has been an almost constant source of tension between Muslims and Jews.

@highlight

Jordan recalls ambassador to Israel to protest "increasing Israeli escalation"

@highlight

Paramedics say 15 people were injured; police say officers were hurt

@highlight

Police say Palestinians threw stones, set off fireworks at officers at the holy site

@highlight

Muslim worshipers say police threw stun grenades into al-Aqsa Mosque