(CNN) -- In the midst of a swirl of rumors about Herman Cain, a woman who accuses him of sexual harassment holds a news conference. Her attorney, Gloria Allred, employs her studied grimace as Sharon Bialek tells of an encounter 14 years ago that, if true, constitutes an unreported sexual assault. At his own press conference the next day, candidate Cain issues a heated denial, having earlier hinted at a willingness to take a lie detector test.

How would the court system, America's formal arbiter of truth, evaluate the competing claims?

The courts would refuse to even consider them. In the legal world, courts scrupulously enforce statutes of limitations on accusations of improper or criminal conduct. The rules exist because it is unfair to force the accused to defend against a charge of ancient vintage. Witness memories and evidence have grown stale and the courts believe that evidence is best evaluated and most reliable when it is fresh.

The rare exceptions to this rule almost always involve the abuse of children and particularly heinous crimes like murder. The law provides no sanctuary for women who seek to resurrect sexual harassment claims from as distant as 14 years in the past.

But Herman Cain now exists in the realm of politics and not the courtroom. Cain must find a way to prove his innocence to a skeptical public regarding a suspiciously large number of claims for which the statute of limitations has long since expired. Unfortunately, finding a path to the truth of sex harassment charges can often be a perilous journey.

Today, most professionals structure their interactions with employees of the opposite sex carefully to avoid even the hint of sexual impropriety. Glass-walled office suites are the norm, insuring that employee relationships remain open to public view. The world of "Mad Men's" Don Draper and his blatantly sexual overtures to female employees is mostly a thing of the past. Today's sexual harassment is far more subtle.

Although legitimate claims deserve compensation, the sex harassment litigation story has a seedy underside. False complaints are sometimes rewarded with generous monetary awards and then hidden from public view with confidentiality agreements and sealing orders.

Employment lawyers are accustomed to meeting with CEO clients who are initially defiant and determined to resist a false claim of sexual harassment. They want their reputations and integrity preserved. But when a high-ranking executive is involved, the company rumor vine begins to grow. Depositions are taken. Employees are pulled out of the workplace to back one side or the other. Sterling reputations begin to bleed under the slash of a thousand paper cuts.

And of course, the litigation process is expensive for the company. Knowing this, experienced lawyers often urge even the innocent accused executive to agree to mediate claims informally and avoid the possibility of a very public and very embarrassing federal lawsuit. Legitimate victims are also urged to settle rather than risk losing at trial.

Once mediation begins, the parties are told that public humiliation and legal costs can be avoided with a quiet, confidential settlement. Both plaintiff and defendant are simultaneously silenced by the agreement's penalty provisions. The truth of the claims will never be tested in any public forum.

That is, unless the accused decides to run for public office. Then it appears the art of the leak can undermine the solidity of even the most carefully drafted of confidentiality agreements.

Herman Cain said he never consented to the mediation process. The National Restaurant Association, through its board, might have negotiated its own deal with the two women who made allegations of sexual misconduct against Cain to avoid bad publicity and legal costs. Businesses will often "settle and seal" the case rather than endure the expense and embarrassment of defending even a falsely accused chief executive.

Based on the sketchy reported accounts, the initial case against Cain might have been paper-thin. There is no assertion of overt sexual contact between him and the female employees in question. The website Politico, which broke the story, refers to witness accounts of episodes of conversations filled with "innuendo" and of "physical gestures that were not overtly sexual" but which made female employees feel uncomfortable.

No one who has followed Cain's astonishingly successful presidential campaign would be surprised to hear that he uses blunt language and gestures to express himself. The question of whether this blunt language constituted true sexual harassment may never be known.

The claimant represented by attorney Joel Bennett, and recently identified as a federal government employee, has refused to go public despite the National Restaurant Association's highly unusual decision to release her from the negotiated confidentiality agreement. The second and third women remain anonymous, while Bialek surfaces with very old, never formally reported claims. In a court of law, Cain would clearly win.

But in this case we are not litigating a claim but selecting a president. The American public, exercising its common sense about the character and integrity of this presidential candidate, will be the only and final judge of the facts of this case. Given the secrecy of the sex harassment litigation process and the grave difficulty in determining the truth of old and moldy claims, it looks like a hung jury is the likely outcome.

The opinions expressed in this commentary are solely those of Paul Callan.

@highlight

Paul Callan: The women accusing Cain relate encounters from years ago

@highlight

The courts wouldn't hear these cases because of statute of limitations, he writes

@highlight

Harassment claims, true and false, often settled out of court to avoid bad publicity

@highlight

Callan: Cain might win in court, but in politics, what matters is public judgment