(CNN) -- Hidden under a quaint resort 60 miles northeast of Fairbanks, Alaska, lies a treasure trove of potential energy that's free and available 24/7.

"Imagineer" Bernie Karl and his wife, Connie, own Chena Hot Springs Resort near Fairbanks, Alaska.

Alaskan entrepreneur Bernie Karl has pioneered modern technology to tap into one of Earth's oldest energy resources: hot water.

Karl, 56, likes to call himself an "imagineer."

Using imagination to fuel his engineering ambitions, this tenacious thinker and self-starter has figured out a way to generate electricity using water that's the temperature of a cup of coffee -- about 165 degrees Fahrenheit.

"There's more opportunity now than there has ever been in the history of man, but we have to reinvent ourselves," Karl said.

Karl was determined to reinvent the way he consumed energy after he and his wife, Connie, purchased the Chena Hot Springs Resort from the state of Alaska in 1998.

"After we purchased the hot spring, I couldn't believe it, the swimming pool and the hot spring were being heated by diesel fuel, 1,000 gallons every month!" Karl said.

To slash costs and to use resources that were right under his nose, Karl invented a portable geothermal power plant.

In a little more than three years, Karl and his wife have severed the facility's dependence on diesel fuel and have saved $625,000, he said.

Karl's partnered with the Department of Energy to fund half of a $1.4 million exploration project to find and characterize the geothermal resources at Chena Hot Springs.

"It's a model for what you can do," said Karl.

Karl developed his tenacity from growing up as the sixth child of 16 siblings on a farm outside of Peoria, Illinois.

He said his parents taught him hard work, how to recycle his clothes and shoes, and how to compost food and farm wastes.

In the late 1970s, Karl was active in gold mining in Alaska's Central District, and he established the state's largest recycling facility in 1984, he said.

Many of  his ideas stem from finding alternative ways to use and reuse resources he already has at his fingertips.

After acquiring the 400-acre resort, Karl began trapping water from the underground hot springs, which produce enough power to heat the facility's greenhouses year-round.

Most recently, Karl has turned his invention into a separate business by contracting with Peppermill hotel and casino in Reno, Nevada, to build a similar system there.

His portable geothermal generator units cost from $350,000 to $375,000, each with the potential to generate enough power for 250 average American homes per year.

'Hot taps'

His energy-generating machine lies on a flatbed truck and can be hooked up to oil and gas wells or other heat-emitting sources to generate electricity.

Karl adds a branch connection to an oil or gas pipeline, and the process begins when he "hot taps" into waste water coming through the pipes.

The hot water enters the tubes of an evaporator encased in a common refrigerant found in many air conditioning systems.

As the hot water passes through the evaporator, it begins to boil the refrigerant in the casing surrounding the tubes. The heat given off by the boiling refrigerant then causes an attached turbine to spin, which jump-starts a generator, producing electrical power.

Next, cooling water enters from another source, recondensing the vapor refrigerant into a liquid.

A pump pushes the liquid refrigerant back to the evaporator, so the cycle can start again.

The difference in temperatures drives the entire "binary system." This setup works exactly the opposite of a refrigerator.

"Chena Hot Springs is home to the lowest-temperature geothermal resource to be used for commercial power production in the world," Karl said.

"Oil companies don't drill wells for water, but they have some 5,000 kilowatts of geothermal power at their disposal in unused oil wells. Let's pick the low-hanging fruit and use the wells we have for oil for geothermal power," he said.

Citing a 2007 Massachusetts Institute of Technology study, Karl said harnessing just 2 percent of Earth's internal energy could provide 2,000 times more energy than the entire planet currently consumes -- all free of polluting greenhouse gas emissions.

"Everything goes back, there is no pollution, no smokestack," he said. "We are going to go recycle oil wells and recycle water and put it back in the ground."

Sizzle from the center of the Earth

Though Karl's lower-temperature approach is new, for more than a century, people have been trying to generate electricity from the heat that sizzles from the center of the Earth -- using it to cook, bathe and for electricity.

In fact, the word "geothermal" comes from the Greek words geo (Earth) and therme (heat).

"We've determined that heat mining can be economical in the short term, based on a global analysis of existing geothermal systems, an assessment of the total U.S. resource and continuing improvements in deep-drilling and reservoir stimulation technology," said MIT professor Jefferson W. Tester.

In a 2007 study, professors at MIT found that mining the huge amounts of heat that reside as stored thermal energy in the Earth's hard rock crust could supply a substantial portion of the electricity the United States will need in the future, probably at competitive prices and with minimal environmental impact.

"... if we just drill deep enough, most of the U.S. can be transformed into a huge geothermal power zone while drastically reducing the nation's carbon footprint," the MIT report said.

Widespread geothermal power fuels electricity in a couple dozen countries, with the small island nation of Iceland leading the pack.

An unusual abundance of geothermal sources creates 30 percent of Iceland's energy, according to its National Energy Authority.

"Imagination is so important," said Karl, whose resort houses 65 employees and can house 210 guests at maximum capacity.

"If Bernie Karl, one of the smallest mom-and-pop operators in the world, can do these things, then why can't all of us?"

@highlight

Resort owner makes electricity with water the temperature of a cup of coffee

@highlight

Alaskan entrepreneur goes from diesel to geothermal, saving $625K in 3 years

@highlight

He invented portable geothermal generator that he says can power 250 homes

@highlight

MIT: Most of U.S. can be transformed into a huge geothermal power zone