Chengdu, China (CNN) -- Miss Chen stares curiously at the iPad. Even though she works overtime in a factory in southwestern China that manufactures them, she's never seen the finished product.

"Wow, I want it," said Chen, brushing her finger across the glossy screen with curiosity and amazement.

The 18-year-old student from a village outside of the southern megacity of Chongqing is one of more than one million factory workers at a Chinese company that helps manufacture products for Apple Inc.'s lucrative global empire, which raked in a record $46.3 billion in sales last quarter.

At a factory about an hour west of Sichuan's capital Chengdu, Foxconn Technology Group, one of Apple's biggest manufacturing partners. Foxconn employs hundreds of thousands who work day or night shifts, eating and sleeping at company facilities, as they help build electronics products for Apple and many other global brand names, such as Amazon's Kindle and Microsoft's Xbox.

Chen's name has been changed for this story. She told CNN that all her Foxconn colleagues have been instructed not to talk to any reporter or "criminal liability shall be investigated according to law."

Rights groups like Hong Kong-based China Labour Bulletin and Students and Scholars Against Corporate Misbehavior say that Foxconn's stringent military-like culture is one of surveillance, obedience and not challenging authority. Workers are told obey or leave.

It's an oppressive culture that labor groups say contributed to a slew of suicides in 2010 at the company's Shenzhen plant -- prompting Foxconn to install nets in an effort to prevent employees from jumping.

As a poor college student with no work experience, looking for job in China's competitive market is an uphill battle. So when Chen was offered a one-month position at Foxconn during the Spring Festival -- with promises of great benefits and little overtime, she jumped at the chance.

Her heart fell after arriving at the Foxconn factory, when she found out only senior employees get such benefits and sick leaves. Ms. Chen said she's also forced to work overtime on a regular basis.

"During my first day of work, an older worker said to me, 'why did you come to Foxconn? Don't ever think about it again and leave right now'," said Chen, who plans to return to her studies at a Chongqing university soon. "Foxconn employees have a saying, "they use women as men and men as machines."

Foxconn is a part of Taiwan's Hon Hai Precision Industry Co. which supplies iPads and iPhones. Foxconn recently released a statement defending its corporate practices, stating its employees are entitled to numerous benefits including access to health care and opportunities for promotions and training.

"Foxconn takes our responsibility to our employees very seriously and we work hard to give our 1.2 million employees in China a safe and positive working environment and compensation and benefits that are competitive with all of our industry peers in that location," said Foxconn in an email statement to CNN.

In response to questions from CNN, Apple released this statement: "We care about every worker in our worldwide supply chain. We insist that our suppliers provide safe working conditions, treat workers with dignity and respect, and use environmentally responsible manufacturing processes wherever Apple products are made. Our suppliers must live up to these requirements if they want to keep doing business with Apple."

Apple officials also noted last month it became the first company admitted to the Fair Labor Association, "a leading nonprofit organization dedicated to improving conditions for workers around the world."

In an email to Apple employees, CEO Tim Cook said the company cares about every worker and "any accident is deeply troubling, and any issue with working conditions is cause for concern."

Despite widespread reports of poor working conditions, some experts say Foxconn factories still offer better benefits and surroundings than most factories in China -- providing air conditioning, heating and clean dorms for its employees.

"These companies are making huge profits but workers feel that they are not getting a fair share," said Geoffrey Crothall of China Labour Bulletin. "But just because Apple is making a profit doesn't mean they are passing that onto Foxconn; the margins are slim."

Crothall said it's important to empower workers. But it's also a challenge for Apple to find a manufacturer that delivers the quality and speed Foxconn can with its vast resources, he added.

After three weeks of applying more than 4,000 stickers a day onto iPad screens by hand and working 60 hours a week in an assembly line, Chen says she's ready to go back to school and study hard so she'll never have to return to Foxconn.

"It's so boring, I can't bear it anymore. Everyday is like: I get off from work and I go to bed. I get up in the morning, and I go to work. It is my daily routine and I almost feel like an animal," said Ms. Chen, who aspires to become a biologist.

When asked why humans do machine-like work at Foxconn, she responds, "Well, humans are cheaper."

@highlight

Rights groups accuse Foxconn, maker of Apple products, of a 'military like culture'

@highlight

Foxconn says it takes responsibility for 1.2 million Chinese workers 'very seriously'

@highlight

Apple: ' We insist that our suppliers provide safe working conditions, treat workers with dignity'

@highlight

Apple raked in a record $46.3 billion in sales last quarter