(CNN)  -- Healthy men and women with good cholesterol levels could significantly reduce their risk of heart disease by taking cholesterol-lowering drugs, better known as statins, according to a study released at the American Heart Association meetings in November.

Today, only people with high levels of cholesterol are prescribed cholesterol-lowering drugs, known as statins.

Nearly 18,000 people in 26 countries, including 7,000 women and nearly 5,000 minorities, participated in the clinical trial, the results of which were published in The New England Journal of Medicine.

All had very good cholesterol levels, with average LDL -- or "bad" cholesterol -- levels of 108 and average HDL --or "good" cholesterol -- levels of 49.

However, each participant had elevated levels of "high-sensitivity C-reactive protein" or hs-CRP -- a marker that indicates inflammation in the body and can contribute to coronary heart disease, the No. 1 killer of men and women in the United States.

Under the current guidelines set for lowering cholesterol levels, none of the participants would have qualified for taking statins.

In the study, the participants took 20 milligrams of the drug Rosuvastatin -- commercially known as Crestor -- or a placebo pill.

The maker of Crestor, AstraZeneca, funded the study.

According to the lead author, Dr. Paul Ridker of the Brigham and Women's Hospital in Boston, Massachusetts, the pharmaceutical company had no input in the study's design and didn't see the final data analysis until the study was submitted for publication.

Designed to last up to five years, the trial was stopped after less than two because endpoints set by an independent oversight committee were met, the study says.

Researchers found that participants taking Crestor cut their risk of heart attack, stroke and death by nearly half -- 44 percent -- compared with participants taking the placebo.

Bad cholesterol levels were reduced by 50 percent and hs-CRP levels dropped 37 percent. Overall death in the Crestor group was 20 percent less than the placebo group.

"This is a huge reduction, unprecedented reduction in risk occurring very quickly," said Dr. Steven Nissen, a cardiologist at Ohio's Cleveland Clinic, who has studied the significance of CRP in predicting heart disease.

Nissen estimates that 36 million Americans qualify for statins and that the new research could add at least 10 million to the ranks of who should be taking cholesterol-lowering drugs. Some published reports suggest the number could be twice as high.

The study's statistician, Harvard University's Robert Glynn, estimates that about 250,000 heart attacks, strokes, hospitalizations and cardiac deaths could be prevented over five years if people with good cholesterol and high hs-CRP levels were taking statins.

Ridker, the lead author, said doing so would benefit patients and health care providers, noting a simple blood test to detect hs-CRP levels is much cheaper than hospitalization. Blog: Heart disease and cholesterol

Ridker said the diversity of the participants, including women, African-Americans and Hispanics, is significant because there is limited information on preventing heart disease among those demographic groups.

Today, only people with high levels of cholesterol are prescribed statins. Those with good cholesterol levels typically don't have their hs-CRP levels tested because there are no clear guidelines on who should be tested and how often.

"These studies show that CRP levels are now emerging as an important risk factor in the development and progression of coronary heart disease," said Dr. Elizabeth Nabel, director of the National Heart, Lung and Blood Institute, referring to this study and two others being presented at an American Heart Association conference this weekend.

Dr. Mark Hlatky, a professor of health policy and cardiology at Stanford University, reviewed the study for The New England Journal of Medicine. Hlatky agreed the study "provides more evidence about the effectiveness of statin therapy in reducing cardiovascular risk," even among people who don't currently meet the guidelines for this kind of therapy.

But he suggested that before changing any guidelines, more research needs to be done to determine the effectiveness of testing people for hs-CRP levels, something this study was not designed to do.

@highlight

Study: Statins can help healthy with good cholesterol levels cut heart disease risk

@highlight

None of study's participants would qualify for taking statins under current guidelines

@highlight

Maker of Crestor funded study; lead author says firm had no input in study's design

@highlight

Cardiologist: New research could add 10 million to ranks of those taking such drugs