(CNN) -- About 83,000 Defense Department employees and contractors with security clearances to protect the nation's secrets have delinquent federal tax debts totaling $730 million, according to an internal government audit.

The findings in the new Government Accountability Office study raise security concerns for the U.S. government. Officials say employees and contractors who have financial problems are top targets of foreign intelligence agents.

Federal regulations governing security clearances say that a person "who is financially overextended is at risk of having to engage in illegal acts to generate funds" and that indebtedness should be among factors considered when someone applies for a clearance, the GAO study said. But the study found that government agencies in charge of the issue can't readily collect data on tax debt, in part because IRS privacy rules prohibit sharing certain taxpayer data.

The GAO study is expected to be released Monday. CNN reviewed a copy prior to the release.

The study comes as federal intelligence and law enforcement officials are grappling with ways to tighten access to classified information in the wake of major unauthorized disclosures carried out by insiders cleared to handle the nation's most sensitive secrets.

Edward Snowden, a former NSA contractor, and Bradley Manning, an Army private who now calls herself Chelsea Manning, passed the required background checks to obtain their security clearances. Snowden, under Russian government protection in Moscow, is charged with releasing to reporters millions of NSA surveillance documents. Manning was convicted of violating the Espionage Act, for releasing thousands of diplomatic cables and military documents.

The 83,000 employees and contractors with tax debt in the GAO study are among 3.2 million people who the Pentagon says held or were approved for secret, top secret, SCI [sensitive compartmented information] and interim security clearances from January 2006 to December 2011, the period covered by the GAO study. The $730 million in tax debt was as of June, 30, 2012, the most recent data analyzed by the study.

Most accrued their unpaid tax debt after they received their clearances.

Of the 83,000 with tax debt, about 4,800 had IRS liens against their property. About 28% or 23,000 of them were subject to wage garnishment and other collection tactics by the IRS to collect taxes owed.

According to the GAO, the Pentagon distinguishes between those who are eligible for access to classified information and a smaller subset of those who "need to know" and are therefore granted access to classified documents.

But even by that measure, the numbers are problematic. The GAO found 26,000 Defense Department employees and contractors with access to classified information owed about $229 million in delinquent tax debt.

There are now 5.1 million federal employees and contractors eligible or holding security clearances, a number hard to police, government officials say.

The Office Director of National Intelligence, which is developing new procedures to tighten the security clearance procedures, agreed with the GAO's recommendation that tax debt be more readily available to investigators who gather background data on applicants for security clearances.

The problem is the government is still struggling with technology that could provide automated tax debt information on applicants at the time of their application and during the time the security clearance is valid, according to the GAO. There are also privacy restrictions that limit what data the IRS can provide on taxpayers.

Obama offers populist message on corporate taxes at end of fundraising trip

Edward Snowden's interview: 10 things we learned

Review board finds potential for abuses in NSA phone, Internet surveillance

@highlight

Findings raise security concerns for the U.S. government

@highlight

Officials say employees and contractors with financial problems are top targets of foreign intelligence agents

@highlight

Study comes as U.S. seeks ways to tighten access to classified information