(CNN) -- Choosing to step down from a top job can be an extraordinary decision, whether the person is a pontiff or a politician. But George Pataki, former governor of New York, says making the switch from public figure to John Q. Public wasn't difficult for him.

"I made up my mind that I was never going to let my public title become my personal identity," he says. He embraced what he calls a sense of normalcy after he left office, going to movies and basketball games.

A year or two after he left office, Pataki went to Madison Square Garden with a group of friends to see the Knicks play. And he wanted to stand in line to get himself a hot dog -- something elected officials tend not to do.

"I loved it," he says. Even though fellow fans recognized him and offered to let him jump the queue, Pataki waited in line for his hot dog with mustard and sauerkraut. "I felt really good about the fact that it was just comfortable for me to be on line with the rest," he says.

Pataki decided in the middle of his third term in office that he would not seek a fourth term. He left office in 2006, after 12 years as governor.

Pope's resignation a new angle to a tough news beat

"I had no doubts that this was the right decision for me, for my family, for the team that had worked so hard with me, and for the state," he says.

Pataki now practices law at Chadbourne & Parke in New York, where he focuses on energy and environmental issues. He has enjoyed his return to the private sector. "The transition for me was really not that difficult, to be perfectly honest," says Pataki. "But it was time."

Deciding when it's time to leave can be tough, especially when top jobs are hard to find. In the corporate world, stepping down from a leadership role by choice is uncommon.

"It's almost unheard of," says Patricia Cook, CEO of the executive search firm Cook & Company. "It's a very unusual event."

Experts in the business world wonder why an executive would relinquish a leadership role. Cook says she can't think of an instance when a CEO stepped down because he or she didn't feel up to the job. But health concerns can change the game.

Pope Benedict XVI surprised the world Monday when he announced he would resign at the end of this month. He cited his age and his deteriorating strength in his statement: "I have come to the certainty that my strengths, due to an advanced age, are no longer suited to an adequate exercise of the Petrine ministry." A Vatican spokesman said on Tuesday that Benedict is not suffering from a specific ailment.

"I was very surprised," says David Perry, associate professor of history at Dominican University. Even so, Perry knew resignation was possible -- even for a pope. "From my perspective as a medievalist, it's not surprising that popes can resign," he says. Papal law makes clear that pontiffs can give up their roles.

But that hasn't happened in nearly 600 years. Whatever Benedict's motivation for choosing to step down now, experts say that his legacy could depend on whether there will be an orderly succession.

Career expert Nicole Williams stresses the importance of a clean exit in the corporate arena. "Departing is what ends up being a very monumental and usually public occasion," she says.

Regardless of an employee's years of loyalty and service, the final stretch is often what defines the person. "What they remember is you leaving," says Williams. "You're going to want to be remembered by this departure, so you want to control it versus it controlling you."

Geoff Hoffmann took over as chief executive officer of the search firm DHR International from his father. As someone who recently went through the transition process, and who advises companies on their plans, he says a leadership plan is the key to success.

Opinion: Echoes of past in pope's resignation

"One of the most important duties of a CEO is to make sure that the succession plan is in place, really from Day One," he says. "Some of the best-run companies are really thoughtful with their succession planning."

Health and circumstance can contribute to a person's decision to step down from a job in any field.

If a leader doesn't feel up to the task, experts say retirement makes sense. "If we look at the corporate world, it really is about: Can the CEO execute the job at the level it needs to be done?" says Susan Battley, founder and CEO of Battley Performance Consulting.

From mental sharpness to memory, leaders need finely tuned skills to be at the top of their game. "Effective leadership is all about being able to execute brilliantly," says Battley. Whether the person is in charge of a Fortune 500 company, or the world's 1.2 billion Catholics, leadership is exhausting.

Since leaving office, Pataki and his wife spend as much time as they can at their farm in the Adirondack Mountains. He's still playing sports, like basketball, and watching them; he calls himself a long-suffering Jets fan. And he still appears on the political stage. He says: "I do want to try to help out with advancing policies that are right for the future of the country."

As for the pope, a Vatican spokesman says he will likely retire to a monastery, where he will spend his time focused on prayer and reflection.

@highlight

Benedict XVI is the first pope to retire in nearly 600 years; he says age is a factor

@highlight

Former New York Gov. George Pataki retired after three terms and didn't seek a fourth

@highlight

Pataki: "I was never going to let my public title become my personal identity"

@highlight

Experts say succession plans are key to smooth transitions and a positive legacy