(CNN) -- As we enter the final months of 2011, the thoughts of tech watchers like me are turning to what we can expect in 2012.

Voice recognition in all our devices? Touch control replacing the mouse and keyboard? The death of the wallet as mobile payments become mainstream?

Maybe. But what I'm most excited about is something far more audacious: flexible screens.

Expecting this much-anticipated technology to become widely available in 2012 is optimistic but not unthinkable.

Last week, Nokia demoed a mindblowing prototype handheld device that lets you bend and twist the screen to complete actions like scrolling and zooming.

Meanwhile, Samsung said on an earnings call last week that it expected to debut phones with flexible displays in 2012 and that flexible tablets would follow.

The advantages of flexible displays are obvious: They're more durable, and they pave the way for new input methods, such as bending the display to zoom.

But where will this new tech take us?

I think this technology will lead to the biggest breakthrough in mobile devices since the touchscreen. In fact, the next innovation in screen technologies may be an even bigger leap forward than touch displays.

Think not of a bendable display but of a foldable one.

You see, the biggest limitation of any device these days is screen size. There's a constant tension at play: You can have a small screen that fits in your pocket (your phone) or a big screen for home use (a tablet computer).

But you can't have both. Or can you?

The ultimate dream for these flexible displays is that they could roll up: Imagine a phone-sized device that could unfurl to be the size of a tablet.

Perhaps it would be like an ancient scroll, a tube that unrolls to create a full 10-inch screen. Or perhaps a phone display could expand in two directions, making it useable both when collapsed and when unfurled.

Ah, but why stop with our current form factors? Wouldn't it be wonderful if these devices could take forms more like the paper they replaced?

While the transition from newspapers, magazines and books to digital devices has led to a few compromises -- those tactile forms are all reduced to a rectangular square of glass -- flexible screens can mimic the paper they replace.

E-book readers might simply become single sheets of digital paper. Magazines and newspapers could be made up of multiple sheets that update their content wirelessly on a daily or even hourly basis.

Where flexible screens might have the biggest impact, however, is in their ubiquity. The iPad remains an expensive device, but that hasn't stopped it popping up in unexpected locations.

Some hotels let guests check in on an iPad installed with a custom app or even borrow one for the duration of their stay.

Upscale restaurants are using iPads instead of menus. One auto enthusiast installed one as his in-car entertainment system. Another put one in his kitchen cupboard, calling it a "kitchen entertainment system."

What will happen when screens are millimeters thick and virtually unbreakable?

Simply put: The cheaper, thinner, more portable and more durable screens become, the more uses we'll find for them. And what could be thinner or more durable than a flexible display? Any surface could -- and will -- become a screen.

Microsoft released a video this past week imagining what will happen when every surface is a digital display. It too is mindblowing.

It's an exciting future and one that's rapidly approaching: If the device makers can pull it off, next year could see the launch of the first "bendable" phone. Let's hope so.

@highlight

Last week, Nokia demoed a prototype device that lets you bend and twist the screen

@highlight

Flexible displays are durable and pave the way for new input methods

@highlight

The cheaper, thinner and more durable screens become, the more uses we'll find for them