(CNN) -- A crusading Sri Lankan journalist shot dead last week knew he would be killed -- he said so in a dramatic, posthumously published column touching a raw nerve in his war-torn island nation.

A candlelight vigil in the Sri Lankan capital in memory of slain journalist Lasantha Wickrematunga.

Lasantha Wickrematunga, editor-in-chief of The Sunday Leader, was gunned down execution-style January 8 but spoke from the grave three days later when the newspaper published "And Then They Came For Me."

That posthumous column anticipated his slaying by government forces and defended the craft of journalism in his country, a profession under fire during its bitter civil war.

"Diplomats, recognizing the risk journalists face in Sri Lanka, have offered me safe passage and the right of residence in their countries. Whatever else I may have been stuck for, I have not been stuck for choice. But there is a calling that is yet above high office, fame, lucre and security. It is the call of conscience," Wickrematunga wrote.

"People often ask me why I take such risks and tell me it's a matter of time before I am bumped off."

Wickrematunga wrote that he was twice assaulted and his house was fired upon.

"Despite the government's sanctimonious assurances, there was never a serious police inquiry into the perpetrators of these attacks, and the attackers were never apprehended.

"In all of these cases, I have reason to believe the attacks were inspired by the government. When finally I am killed, it will be the government that kills me," he wrote.

Sri Lankan President Mahindra Rajapaksa, asked about threats to journalists, voiced assurance that no journalist or media institution had cause to fear any threats or attacks by the government, according to a statement on the government's official Web site.  Watch Sri Lanka's foreign minister discuss press freedom »

"The government had no interest whatever in seeking disgrace through any attacks on the media," he said, and he assured media leaders that the culprits would be captured and brought to justice, the statement said.

Hostility against journalists and their institutions has been high as the Sinhalese-dominated government forces work to eradicate the last vestiges of Tamil Tiger separatists in the Jaffna peninsula, the rebel-held northern region. The 25-year-old civil war has left more than 65,000 people dead.

Sunanda Deshapriya, spokesman for Sri Lanka's Free Media Movement, said harassment of journalists has been common, and cited these examples from the past year: two journalists killed, another journalist shot at, more than 50 reports of intimidations and threats, 12 media personnel arrested, 16 journalists physically assaulted, one tortured, one assaulted in an abduction attempt, the circulation of a list with 27 journalists targeted for killings, the proposal of a censorship law, and the naming of some journalists as terrorists or terrorist supporters.

On January 6, 15 masked gunmen entered Maharajah TV studios outside the capital, Colombo. The journalism watchdog group Committee to Protect Journalists said the attackers shot at and destroyed broadcast equipment, held staff members at gunpoint, and attempted to burn down the station's facilities.

CNN on Wednesday interviewed the head of Maharajah TV, Chevaan Daniel, about the incident. Afterward, Sri Lanka's defense secretary, Gotabhaya Rajapaksa, called for the arrest of a person who had talked to CNN, Deshapriya said.

CPJ said the government-run media has criticized Maharajah TV for its coverage of a suicide bombing in the capital and "undermining" a presidential victory speech after government troops took Kilinochchi -- which had been the de facto capital of the Tamil Tigers movement.

Government officials have condemned strikes on Colombo and have ordered probes.

Bob Dietz, CPJ's Asia program director, said that "far too often the government or its unofficial allies have been prime suspects behind attacks on journalists and media organizations," despite government condemnations and investigations.

As the civil warfare first unfolded, Tamil journalists were targeted, Dietz said.

But in the past year and a half, mainstream journalists, such as those who raise questions about the government's military activity, have been facing a crackdown -- even if they are from the majority Sinhalese ethnic group or sharply critical of the Tamil rebel movement.

This includes Wickrematunga, who questioned the government's successes and value of its military actions.

"That really got under the skin of the government," Dietz said. "It's one thing to insult the president, but another thing to insult the military during wartime."

"This killing is the worst," said Dietz, who compared it to the impact that would be felt if a New York Times or Washington Post columnist were killed in the United States.

Wickrematunga's killing spurred a demonstration in Colombo by 4,000 people, which Reporters Without Borders said was the largest since the government of Mahinda Rajapaksa took power three years ago. Another protest was to be held on Thursday in London.

The title of Wickrematunga's column was inspired by a poem by a German theologian about how Germans failed to react to Nazism in the past century before it was too late.

In his rendition of the poem, Wickrematunga wrote: "First they came for the Jews and I did not speak out because I was not a Jew. Then they came for the Communists and I did not speak out because I was not a Communist. Then they came for the trade unionists and I did not speak out because I was not a trade unionist. Then they came for me and there was no one left to speak out for me."

Wickrematunga pronounces his pride in his profession's attempt to chronicle life in a country at war and his paper's work to bravely represent all people -- "Sinhalese, Tamil, Muslim, low-caste, homosexual, dissident or disabled." He casts the paper as an independent organ that faithfully records events. He said the paper lacks a political agenda and wants to see Sri Lanka as a "transparent, secular, liberal democracy."

"No other profession calls on its practitioners to lay down their lives for their art save the armed forces and, in Sri Lanka, journalism," he wrote, adding that "countless journalists have been harassed, threatened and killed. It has been my honor to belong to all those categories and now especially the last."

"I have the satisfaction of knowing that I walked tall and bowed to no man. And I have not traveled this journey alone. Fellow journalists in other branches of the media walked with me: most of them are now dead, imprisoned without trial or exiled in far-off lands."

He also castigates the country's president, who had been a long-time friend.

"In the wake of my death I know you will make all the usual sanctimonious noises and call upon the police to hold a swift and thorough inquiry. But like all the inquiries you have ordered in the past, nothing will come of this one too."

@highlight

Lasantha Wickrematunga gunned down execution-style January 8

@highlight

Posthumous column anticipated his slaying by government forces

@highlight

Govt.: Says no journalist, media institution should fear attack by government

@highlight

Civil war with Tamil Tigers has killed more than 65,000