Los Angeles and London (CNN) -- Can the roof of your house help you breathe easier by reducing the amount of harmful pollutants from urban air?

"Yes," claims John Renowden, vice president of technology at Boral Roofing, a U.S. company that has introduced a line of roof tiles that they say have pollution-busting properties.

Based near Los Angeles, the most ozone-polluted city in the U.S., according to 2012 rankings by the American Lung Association, the company says its "Smog-Eating Tiles" improve air quality by neutralizing smog-forming nitrogen oxides released by most vehicles (read more about smog in our fact box).

The tiles are coated with titanium dioxide, a photocalyst that can oxidize harmful air pollutants emitted in the burning of fossil fuels. When exposed to natural light, the titanium dioxide breaks down nitrogen oxides in the air and turns them into harmless calcium nitrate.

"Calcium nitrate ... washes off your roof with normal precipitation and is a regular garden fertilizer," said Renowden. He notes that the tiles typically add between $600-$1000 to the price of tiling an average roof.

He adds that over a one-year period, the tiles on a 2,000 sq/ft house can oxidize nitrogen oxides "equivalent to driving 10,000 miles a year in your car."

Read more: Ancient 'air-conditioning' cools building sustainably

Boral Roofing claims to be the first construction company in the U.S. to introduce titanium dioxide coatings to roofing products.

The technology originates in Japan and has been adopted in Europe by a number of industries. In the last few years, it has been used in the production of several products, including eco-friendly cement, architectural panels and paints.

The de-polluting properties of titanium dioxide, a compound commonly used as a white pigment in paints and plastics, were tested in a European Commission-backed project in 2005.

"Tests in urban settings determined that some pollutants, such as nitrogen oxides, which are a major pollutant contained in exhaust gases, could be reduced by 20-70%," according to the European Commission's Environmental Technologies Action Plan.

Read more: The eco artists turning trash into treasure

Air pollution is one of today's biggest urban problems.

It poses a serious threat to the health of city dwellers, according to experts. Air pollution -- outdoor and indoor -- is estimated to cause more than two million deaths a year worldwide, according to Maria Neira, director of health and environment at the World Health Organization.

"It is definitely one of the biggest health challenges we are confronted with today," she said. Exposure to urban air pollutants can increase the risk of cardiovascular diseases and cancer as well as trigger asthma attacks, she added.

A recent study on the UK's air quality by MIT pollution experts Steve Yim and Steven Barrett found that traffic pollution is killing more people than road accidents per year, causing 13,000 premature deaths on an annual basis.

A brief uptick in traffic-related air pollution may also be enough to increase a person's short-term risk of stroke, another report found in February this year.

Four in 10 Americans live in counties with dangerous levels of either ozone or particle pollution, according to the American Lung Association.

The organization's recent State of the Air 2012 report found that California is home to many of the country's most polluted cities, with Los Angeles continuing to top the list of ozone-polluted cities thanks to its heavy road traffic and trade ports.

Renowden says that more sustainable solutions are needed in the fight against urban air pollution.

"We have to move past our oil dependence but it won't happen overnight," he said.

Read more: Hacking the city for a greener future

Janice Nolen, national policy adviser at the American Lung Association, says that rather than dealing with the harmful effects of air pollution, the focus should be on tackling the problem at source.

"What we have found historically in any kind of pollution is that the best way to tackle the problem is to clean up the sources," she said, "rather than trying cleaning it up afterwards when it's in the air."

"If you can keep those raw ingredients that make up ozone from coming out of the tailpipes and the smokestacks, then you don't have to worry so much about cleaning it up later on," adds Nolen.

Isha Sesay, CNN contributed to this story.

@highlight

"Smog-eating tiles" can oxidize the smog-forming nitrogen oxides released in the air

@highlight

The technology is used in a number of industries for the creation of eco-friendly products

@highlight

Experts warn air pollution poses a serious threat to the health of city dwellers

@highlight

Los Angeles has the highest levels of ozone pollution in the United States