Washington (CNN)If it looks like a treaty, walks like a treaty and talks like a treaty, is it a treaty?

According to the White House, only if the President of the United States says it is.

That's infuriating Republicans and even some Democrats, who are demanding that the Obama administration submit any final nuclear deal with Iran to Congress for approval.

"This is clearly a treaty," Arizona Sen. John McCain told reporters Tuesday. "They can call it a banana, but it's a treaty."

Kerry denounces GOP letter to Iran leaders

The GOP position could jeopardize the long-term survival of any Iran deal, and it represents the party's newest clash with President Barack Obama over the limits of executive authority, as Republicans object to a pact they warn could eventually give Tehran a nuclear bomb.

It's that skepticism that has largely led the White House to define the deal as a "nonbinding agreement" rather than a "treaty," which the Constitution requires Senate "advice and consent" on.

The distinction -- and whether it can legitimately be used to shut out Congress -- turns on complicated and unresolved questions of constitutional law. While Republicans call foul, the administration defends the differentiation as perfectly sound, and no surprise.

Secretary of State John Kerry stressed Wednesday that the administration never intended to negotiate a treaty.

"We've been clear from the beginning. We're not negotiating a 'legally binding plan.' We're negotiating a plan that will have in it a capacity for enforcement," he said at a Senate hearing.

That doesn't sit well with Republicans, many of whom believe the Senate's constitutional role is being bypassed.

Idaho Sen. James Risch dismissed the administration's argument: "Let there be no mistake, this is a treaty that is being negotiated. It's a treaty and should be treated as such."

Did 47 Republican senators break the law in plain sight?

Republicans see criticism of the administration's maneuver as a way to gum up the works on the current deal, and to push their larger assault on the White House's exercise of power.

At the Senate hearing Wednesday, Kentucky Republican Rand Paul explicitly tied the administration's bid to keep the deal away from Congress to other accusations of White House overreach.

"This is an administration that seeks to legislate when that is not in their purview, whether it be immigration, whether it be health care," he charged, noting that he had joined 46 other GOP senators in signing a letter to the Islamic Republic informing them of Congress's role in approving binding agreements.

"I signed the letter to Iran. But you know what? The message I was sending was to you," he told Kerry. "I signed it to an administration that doesn't listen, to an administration that, every turn, tries to go around Congress because you think you can't get your way."

But legal experts say that though a court challenge along the lines of pending GOP cases on immigration and health care is possible in theory, it would be a long shot.

There is no currently no suit on the issue being discussed on Capitol Hill, and it's far from clear that Republicans would be standing on firm legal ground with such a challenge. The debate, rumbling for decades, has yet to be definitively resolved in case law.

"It is a very interesting question," said Nicholas Burns, a former senior U.S. diplomat, arguing that it is essentially up to the administration to decide whether it is negotiating an agreement that formally binds the United States to commitments under international law; i.e., a treaty, or a less stringent arrangement.

Senators grill Obama officials on Iran

Jim Walsh, a specialist on the Iran nuclear program at the Massachusetts Institute of Technology, said the Iran deal, which commits the United States to waive or lift sanctions, does not rise to the level of a formal treaty.

"Treaties traditionally have involved reductions in armaments, nuclear weapons, conventional forces. They require us to take something away that we have already built or established." In this case, the United States would lift sanctions, but would not be changing its military posture.

"We have had all sorts of agreement that were never ratified by Congress," Walsh said.

But David Rivkin, a constitutional and international law expert who worked for President George H.W. Bush, said that any international agreement requiring major undertakings on the part of the United States -- such as the proposed Iran deal -- must be sent to the Senate for advice and consent.

"The Constitution is quite clear," he said.

Republicans point to none less than the vice president of the United States to bolster their case.

When Vice President Joe Biden was a senator in 2002, he wrote a letter to then-Secretary of State Colin Powell charging that a planned strategic arms reductions deal with Russia constituted a treaty subject to Senate approval since it would require "significant obligations by the United States."

But Biden's 2002 letter didn't keep him from unleashing his fury at the GOP letter to Iran on Monday.

"Around the world, America's influence depends on its ability to honor its commitments," Biden said in a statement. While Congress approves some agreements, "as the authors of this letter must know, the vast majority of our international commitments take effect without congressional approval."

Indeed, in the letter he penned to Iran, Arkansas Sen. Tom Cotton acknowledged that the administration could seek a mere "executive agreement" free of congressional review.

Obama, Iranian official slam GOP letter on deal

Presidents claim inherent powers to conclude executive agreements under Article II of the Constitution. U.S. law stipulates that an agreement is only viewed as a treaty once it has been made with "the advice and consent of the Senate," a study by the nonpartisan Congressional Research Service noted.

But administrations often choose to conclude deals with foreign states that don't satisfy that requirement. Such an "executive agreement" is still considered a treaty that is binding under international law, but does not reach the same standard under U.S. law, according to the study.

Examples of "nonbinding" documents include a U.S.-Russia to remove Syria's stocks of chemical weapons and the Proliferation Security Initiative to stop the global shipment of the weapons of mass destruction components.

Biden argued Monday that this practice is as old as the United States itself.

"Under presidents of both parties, such major shifts in American foreign policy as diplomatic recognition of the People's Republic of China, the resolution of the Iran hostage crisis, and the conclusion of the Vietnam War were all conducted without congressional approval," he said in his statement opposing the GOP letter.

The White House would clearly prefer a binding agreement with Iran, which would have a better chance of longevity. But the strength of opposition in Congress makes that route impossible.

According to Republicans such as Cotton, the only deal the Senate would approve is one that completely bans Iranian uranium enrichment. Obama has said that goal is simply not realistic.

So Republicans, dissatisfied with what's emerging from negotiations, are seizing on the vulnerability of a deal that lacks treaty status. Many see that as a more viable path for disruption than the case on administration overreach.

"If Congress doesn't approve this deal, Congress won't accept this deal, now or in the future," Cotton told CNN. In the letter, he informed Iranian leaders that many senators will serve terms longer than Obama, so they would have to reckon with the Senate at some point.

Lawmakers can refuse to lift sanctions down the road or try to choke off funds for the deal's implementation.

The administration acknowledges that Congress will have to get involved at some point. Obama currently has the power to lift or waive certain sanctions against Iran for the duration of his presidency and encourage U.S. international partners to follow suit. But he does not have the power to lift sanctions imposed by Congress, which include some of the most punitive measures against Iran.

"Part of the agreement is going to involve sanctions relief to the Iranian government that is meted out over time," Deputy National Security Adviser Ben Rhodes told CNN. "At some time in the duration of this agreement, Congress will have to be heard on sanctions relief."

Senior U.S. officials have acknowledged that the clamor among lawmakers for a role, as well as their public criticisms, also implicitly highlights the vulnerability of their case and an ultimate agreement.

Tim Kaine, a Democratic senator from Virginia who has signed onto a bill calling for the White House to put any deal up for a vote in Congress, said that Obama is within his rights to do what he is doing -- up to a point.

"It is not a treaty. If it were a treaty, there is a clear process. It would require a two-thirds vote in the Senate."

But Kaine told CNN on Wednesday that lawmakers did have a role to play at the point when sanctions mandated by Congress are bargained away to ensure Iran sticks to limits on its nuclear program.

"Congress has got to weigh in at some point," Kaine said.

@highlight

White House, many Republicans disagree over deal terminology, requirements

@highlight

At some point, Congress will weigh in on some aspect of a prospective agreement