What can happen in a country while the president is gone for more than two months?

A lot. Just ask Venezuelans.

Until his return to Caracas on Monday, President Hugo Chavez hadn't been seen in public or on national television since he went to Cuba for cancer surgery in December.

Allies maintained that he was running his country from Havana, while critics said the country was in limbo without its leader. But Chavez's lengthy absence from Venezuela didn't stop his government from making some significant changes.

The latest one -- devaluing the country's currency -- starts Wednesday. It's a significant move that stands to affect global businesses and everyday Venezuelans.

Here are some key events that have unfolded in Venezuela while Chavez was gone:

Currency devaluation

Long lines of customers packed Venezuelan electronics and appliance stores after Friday's announcement of plans to devalue the country's currency by nearly a third.

"We are following instructions from President Hugo Chavez, who demanded more efficiency in the fight against inflation," Finance Minister Jorge Giordani told reporters when he made the announcement Friday, holding up a decree that he said came from Chavez. "Here is the president's signature, in case you would like to recognize it or if you still have doubts."

The new exchange rate of 6.3 bolivars to 1 dollar goes into effect Wednesday. It's the fifth time the Venezuelan government has devalued its currency in the past decade.

Gallery: Caracas among world's most expensive cities

Venezuelans fearing the move would mean a sharp spike in the cost of imported goods have rushed to stores in recent days. The country's opposition has criticized the measure, accusing the government of mismanaging finances. And international businesses have said they expect to take a hit as a result of the currency changes. Colgate-Palmolive said in a statement Monday that it expects a one-time loss of $120 million this quarter.

Prison violence

Clashes at Venezuela's Uribana prison left at least 58 people dead last month. The fighting, which authorities said occurred during an operation to disarm inmates at the facility, drew sharp criticism from human rights organizations.

"This clearly demonstrates -- yet again -- that the Venezuelan prison system is in crisis and that it has reached extremely alarming levels," Amnesty International said in a statement, calling for an investigation into the incident and more widespread problems of prison overcrowding and violence.

Opposition politicians pushed for the resignation of Venezuela's prison minister, Iris Varela, after the clashes, while lawmakers from Chavez's United Socialist Party of Venezuela praised her work cleaning up Venezuela's prison system. The government has said it is investigating the Uribana incident.

Cabinet change

Standing in for Chavez at the annual state of the union ceremony in January, Vice President Nicolas Maduro announced a high-level appointment in Chavez's name.

Maduro told lawmakers that Chavez had tapped Elias Jaua to be Venezuela's new foreign minister. Opposition politicians questioned whether Chavez had actually nominated a new foreign minister or whether Maduro had effectively taken over the presidency. Government officials maintained that Chavez was in charge.

Jaua, long a close ally of Chavez, had been Venezuela's vice president until he stepped down to run for a state governor post last year. In his role as foreign minister, Jaua traveled to China this month and met with government leaders there. Speaking on state television last week, Jaua said he had a "nice meeting" Thursday with Chavez in Havana.

Loyalty oath, but no inauguration

Health problems prevented Chavez from coming to Caracas for an inauguration ceremony on January 10. While political opponents said that postponing the inauguration was unconstitutional, Venezuela's Supreme Court sided with Chavez's party, which had argued that the president did not need to be present at his swearing-in for his next term to begin.

Instead of a traditional inauguration ceremony, throngs of supporters in Caracas swore an oath of loyalty in Chavez's absence. Many waved flags and carried photos of the ailing president.

Chavez health updates

Regarding his two-plus months of treatment in Cuba, government officials say Venezuelans have sent a clear message: take the time you need. After weeks of grim assessments describing the president as battling a serious infection and fighting for his life, government statements about Chavez's health took a more optimistic tone in recent weeks, culminating with his return to Caracas early Monday morning.

"We come back to the country of Venezuela," Chavez posted on his official Twitter account. "Thank God! Thank you dear people! Here we continue the treatment."

Last week Maduro said Chavez was "in battle" and undergoing "extremely complex and hard" treatments, but he did not detail what the treatments involved. Government ministers have repeatedly said in recent weeks that the president's condition is improving.

Chavez has been battling cancer since June 2011, but officials have never revealed what type of cancer he has, and speculation has swirled about his health and political future. Venezuela's opposition has criticized the government's lack of transparency, while the government has accused political opponents and the media of spreading rumors about the president's health.

Vice president plays a prominent role

Meanwhile, on the Venezuelan political stage, Maduro has been front and center during El Comandante's absence. Maduro has spoken at political rallies around the country and delivered updates about Chavez on national television.

Last month, he told throngs of supporters that opponents were plotting to murder him.

Opposition critics have said he's campaigning for office -- a claim the government has denied. Maduro and other government officials have accused the opposition of printing fake campaign posters with Maduro's picture.

Before he left for Cuba for surgery last month, Chavez said he wanted Maduro to assume the presidency if he became incapacitated and called on voters to support Maduro at the polls.

@highlight

Chavez returned Monday at 2:30 a.m. local time, vice president says

@highlight

Chavez hadn't appeared in public or on national television in more than two months

@highlight

In Chavez's absence, Venezuela sees a major economic change with currency devaluation

@highlight

Prison violence last month prompted criticism from human rights groups