(CNN) -- As the Curiosity rover begins its exciting trek across the surface of Mars and up the dramatic peak of Mt. Sharp it is important to realize that the plans for this great success were incubated and acted upon more than 10 years ago. Exploration like this is not for the faint of heart -- it takes time and persistence.

So what's next? What is in the funded pipeline now that will be revolutionizing our understanding of life in the solar system 10 or even 20 years from now? The short answer is -- nothing. Curiosity is it. After Curiosity there is, at present, no other mission in production that will explore potentially habitable worlds beyond Earth.

But where do we want to go? Where do we hope we'll be? Along with continuing our exploration of Mars there are several moons of Jupiter and Saturn that we think might be good places for life.

These moons -- worlds with names like Europa, Enceladus, and Titan -- are covered with solid water ice, beneath which we have very good reason to believe that vast liquid water oceans exist.

And when I say liquid water I mean good old-fashioned H2O; if you drank this stuff it would probably taste similar to a big gulp of salty ocean water from our ocean here on Earth.

These are oceans that exist today and have likely been in existence for much of the history of the solar system. Why is this important? Well, if we've learned anything about life on Earth it's that where you find liquid water you generally find life.

These moons have lots and lots of water and they could be great homes for alien ecosystems (note that when I say "alien ecosystems" I'm referring primarily to microbes and simple life forms. As much as I'd love to discover creatures like those seen in the movie The Abyss, I'll be happy just to find a considerable speck of a microbe!)

One moon in particular -- Jupiter's moon Europa -- may have the perfect combination of liquid water and the chemistry needed for life.

Europa is about the size of our Moon and beneath its icy shell Europa harbors a global liquid water ocean of roughly 100 km in depth (by comparison, Earth's ocean has an average depth of 4 km and a maximum depth of 11 km). The ocean of Europa contains about 2-3 times the volume of all the liquid water on Earth.

It's an ocean that's there today and has likely been in existence for much of the 4.6 billion years of our Solar System's history. As such, Europa provides an incredibly compelling place to go to search for a second, independent origin of life and it's a place where we might find lifeforms that are alive now, today.

This is important for two reasons. First, we need to know if the origin of life is easy or hard. Does life arise wherever the conditions are right or is it a rare occurrence in our Universe? Second, all life on Earth -- from microbes to man -- runs on the same fundamental biochemistry of DNA, RNA, and proteins.

See also: The search for dark matter

We want to probe the question of whether or not there exists another way to get the "business" of life done. Is there another game in town beyond the biochemistry we see here on Earth? By going to Europa we can address both of these fundamental questions.

Mars may have once been habitable but on Mars we are looking for signs of life trapped in the rocks (essentially molecular fossils of microbes).

In addition, Mars and the Earth are so close that asteroid impacts in the past might have seeded either world with life from the other. Europa is likely too far away for this kind of interplanetary "seeding."

More: What we've done on Mars, and what's next

Why do we even think that life could exist on Europa? Here's where the exploration of our own ocean serves as an important guide.

For much of human history we have focused on discovering new lands and exploring continents. For the most part, we've only skimmed across the top of the ocean. But in the spring of 1977 explorers cruising the dark depths of our ocean discovered that active geological regions on the ocean's floor -- known as hydrothermal vents -- were home to vibrant ecosystems of organisms large and small.

These are ecosystems that thrive despite the tremendous pressure, and despite the lack of energy directly from the Sun. The base of the foodchain down there is not photosynthesis but rather chemosynthesis, since the microbes are deriving energy from the chemistry of the hydrothermal vents fluid.

The discovery of ecosystems in the deepest parts of our ocean is continuing to change our understanding of habitable environments here on Earth, and also of potentially habitable environments beyond Earth.

On Europa we expect that the temperature, pressure, and chemistry of the seafloor might not be that different from our own ocean's seafloor. In the decades to come our pipeline of exploration must include rigorous exploration of our own ocean so as to better understand the fundamental geological and biological cycles here on Earth.

This research has the added benefit of feeding forward into our efforts to explore potentially habitable oceans in the far reaches of our solar system.

But some may ask: Why? Why do these things? Granted, this is not going to change the way you make your coffee in the morning. Sure, there are spinoff technologies and many jobs created but that is not at the heart of why we do these things.

The drumbeat of human civilization is the pursuit of new knowledge. We explore, we discover, and we advance. From fundamental research on cancer to revolutionizing our understanding of the universe, it is not an either/or: we must do it all.

Anything less is a sign that our priorities as a race have been hijacked by agendas beneath our potential. As has become a refrain in my community, the drumbeat continues and we echo the wise words of Teddy Roosevelt: Dare mighty things.

Read more about space and science on CNN's Light Years blog

The opinions expressed in this commentary are solely those of Kevin Peter Hand.

@highlight

Moons Europa, Enceladus, and Titan are covered with solid water ice

@highlight

Scientist Kevin Peter Hand says there could be vast liquid water oceans underneath the ice

@highlight

These oceans could be great homes for alien ecosystems, says Hand

@highlight

Exploring Earth's oceans might help us understand fundamental geological and biological cycles