WASHINGTON (CNN) -- An increase in the number of suicides among military personnel can be traced, in part, to a "stressed and tired force" made vulnerable by multiple deployments, a military leader said Wednesday.

Long troop deployments in Iraq, above, and Afghanistan have been cited in the rise in military suicides.

"We must find ways to relieve some of this stress," said Gen. Peter W. Chiarelli, vice chief of staff of the Army, in testimony before the Senate Armed Services Military Personnel Subcommittee.

"I think it is the cumulative effect of deployments from 12 to 15 months," he said, adding that the longer deployments are scheduled to continue until June.

He cited long deployments, lengthy separations from family and the perceived stigma associated with seeking help as factors contributing to the suicides.

Adm. Patrick M. Walsh, vice chief of naval operations, said suicides are the third leading cause of death in the Navy.

"We must eliminate the perceived stigma, shame and dishonor of asking for help," he said.

Gen. James F. Amos, assistant commandant of the Marine Corps, said his branch of the service has incorporated education and training about suicide prevention "at all levels."

He said four of 55 mental health professionals deployed in the U.S. Central Command were recently embedded with Marines. He expressed optimism that that tactic would pay off, but he said he had no data to support his expectation.

And Gen. William M. Fraser, vice chief of staff of the Air Force, said his branch, too, was taking steps "to ensure airmen are as mentally prepared for deployment and redeployment as they are physically and professionally."

Sen. Lindsey Graham, R-South Carolina, said the efforts have not sufficed. He noted that last year, for the first time, the suicide rate among military personnel has exceeded that of the civilian population. "What's going on?" he asked rhetorically.

The panel members made clear that, whatever is going on, it is complex. Chiarelli said the Army tallied 133 confirmed suicides last year and is still investigating another seven possible ones. At least 70 percent of the suicides had "some kind of relationship problem," he said. Often, the situation was worsened by something else, such as a financial or legal problem, he said.

And it wasn't just the trauma of war that appears to heighten the risk. The suicides were about evenly divided among those who had returned from deployment, those who were still deployed -- some on a third or fourth tour -- and those who had never been deployed, Chiarelli said.

All of the military leaders said they had too few mental health professionals in their ranks.

But Walsh said professionals are not the only people who must be trained to intervene, noting that it is often the shipmate or the battle buddy who seeks assistance for someone in need.

And Navy counselors are now asking family members for feedback that often proves more illuminating than what the sailors themselves are willing to impart, he said.

"If I survey the family, I'm going to get a different set of answers."

One reason some service personnel are reluctant to seek help from their chain of command is because they fear they will then be passed over for promotions, the panel members said.

In some cases, they pay out of their own pockets to seek help privately, Rubenstein said.

And others call civilian hotlines, one of which reported getting three calls per day this year from active-duty military personnel.

Representatives of all of the branches of the military said they have seen recent increases in suicides.

At the Pentagon, Defense Secretary William Gates said he believes the 15-month deployments "were a real strain" on many, but expressed optimism that beneficial changes are in the works.

"All the services are are addressing this problem, but the Army in particular, I think, is really going after it in a very aggressive way," he said.

But some suicides appear to defy all prevention efforts. Maj. Gen. David A. Rubenstein, deputy surgeon general of the Army, cited the case of a 33-year-old soldier who was living at home with his wife and three children.

He suffered a traumatic brain injury more than two years ago and had been giving weekly motivational speeches to other soldiers in a clinic.

For the past two years, the soldier also had been seeing a psychiatrist. The most recent visit occurred last Friday.

On Monday, he saw his primary care doctor and his nurse case manager, and also had a life-skills appointment.

"On Tuesday, he apparently committed suicide," Rubenstein said. "This soldier was treated, compliant and supported in every way, and yet he's dead today."

The suicide underscores that suicide is "a complex, very difficult problem that causes all of us to scratch our heads and wonder: how do we stop the next one?"

Last year, at the U.S. Military Academy at West Point, two cadets and two members of the staff and faculty killed themselves, said Brig. Gen. Michael S. Linnington, commandant of the cadets.

He cited stress from broken relationships and, in one case, a pre-existing mental health condition that academy officials had not known about at the time of admission. None of the four had been deployed to a combat zone.

Linnington called the spate of self-directed violence at the school "troubling and unacceptable" and said preventive measures there had been beefed up in recent months.

@highlight

Army Gen. Peter W. Chiarelli: "We must find ways to relieve some of this stress"

@highlight

Admiral says suicides are the third leading cause of death in the Navy

@highlight

"Perceived stigma ... and dishonor of asking for help" is cited as part of problem

@highlight

Also blamed: Long deployments and lengthy separations from family