(CNN) -- Recent headlines make clear that the American public is troubled by government secrecy. But what should be done to address these concerns is less clear.

Some argue that there ought to be little or no government secrecy because citizens must be kept fully informed of what public officials are up to. But this stance makes little sense since the government has to collect secret intelligence and conduct covert operations in order to preserve national security.

We do not want Iran to build nuclear weapons, or North Korea to refine its missile technology, or al Qaeda to launch another attack, or for the Middle East to descend into war. To confront these threats and challenges we need the NSA and CIA to keep tabs on foreign powers and organizations.

Since we cannot do without intelligence, and the secrecy this requires, the sensible thing to do, it would seem, is to bolster the checks and balances that can prevent the misuse of such powers. But this is easier said than done.

Consider the difficulties that arise when lawmakers and judges are tasked with overseeing covert activities. Presidents often feel uncomfortable sharing secrets with Congress, because its members have been known to disclose information in order to score partisan political points. Meanwhile judges tend to defer to the government's claims about what needs to be kept secret in the national interest because they believe they lack the expertise and the authority to second-guess intelligence agencies.

A common response to these difficulties has been to urge lawmakers and courts to do more. Congress ought to compel the executive to share secret information, the argument goes, and judges ought to cultivate greater expertise in intelligence matters or draw upon outside experts. But this advice overlooks a deeper problem -- often there is no obviously "right" answer about what should be concealed or disclosed.

In order to determine what should be made public it is necessary to balance often uncertain costs and benefits. For example, revealing how Angela Merkel is targeted by surveillance operations might better inform public debate on surveillance but it might also allow Kim Jong-Un to better evade American surveillance. Does the benefit outweigh the cost? Much depends on the facts, and therefore on the political judgment and moral sensibilities of officials who have access to the facts.

The uncertainties surrounding covert activities may lead us to think that we can prevent secrecy from being used to conceal wrongdoing by being careful about whom we appoint to exercise and oversee secrecy. But it isn't quite that easy. We cannot be entirely confident about the quality of oversight provided by those whom we task with monitoring secret activities, since such oversight must itself be conducted in secret. How then to tell if those whom we select are dispassionate and thoughtful when we cannot see how they are doing their jobs?

An example might make this point clearer. Recently the Federal Intelligence Surveillance Court (FISC) has come under criticism for authorizing surveillance by the NSA. Did the FISC act reasonably? We cannot be certain because the confidential nature of its deliberations prevents a full telling of the story. This doesn't mean the FISC is untrustworthy -- were the facts able to be made public, the critics' fears that it acted subserviently might prove entirely unjustified.

There is another way to guard against the abuse of secrecy. There is the distinct possibility that if something wrongful is done secretly, someone in the chain of command will make the wrongdoing public. Such disclosures can take the form of whistleblowing (when government employees complain openly) or leaking (when they disclose evidence anonymously). There are many well known examples of such unauthorized disclosures. Recall for instance Mark Felt's disclosures that helped bring down the Nixon administration, or the leaks that revealed the existence of so-called CIA "black sites" (or secret prisons) during the so-called War on Terror, or the complaint by Sergeant Joseph Darby that exposed prisoner abuse at Abu Ghraib.

The fact that whistleblowers, leakers, and reporters can act as "fire alarms" has led to their being valorized in the news media. As a result, when the Obama administration has taken action against government employees that have disclosed classified information, and subpoenaed the Associated Press' telephone records, it has been accused of waging a "war on whistleblowers" and undermining the First Amendment.

But once again we must be careful. Brave whistleblowers like Darby deserve our support and praise. However we should not overlook the possibility that some government employees disclose information in order to settle scores or to further their own preferred policies. Nor should we forget that the press profits from scandal, which gives it a strong incentive to sensationalize and exaggerate.

Of course the motives of leakers, whistleblowers, and the reporters that cover them are not particularly relevant when they expose unquestionably criminal activity. Felt's motivations when he disclosed what he knew about Watergate seem quite irrelevant for instance. But a government employee's motives -- and a reporter's incentives -- do matter when they disclose secret information concerning activities whose alleged illegality and immorality is doubtful. At times their claims can be quite weak.

Consider for instance Edward Snowden's claim that he disclosed NSA secrets because he "witnessed systemic violations of law by my government that created a moral duty to act." This claim does not justify his revealing U.S. surveillance of Chinese or German leaders. There are no laws prohibiting countries from spying on each other. Snowden apparently believes that spying is immoral, but then why did he agree to work at the NSA? And more importantly, why is he entitled to impose his ideological beliefs on Americans who would prefer that we keep tabs on Chinese and European leaders especially since those countries spy on Americans?

Snowden also claims that his revelations have been "a public service" because they have increased public "knowledge" of surveillance activities. But has public knowledge really increased? The NSA cannot present its side of the story because it needs to protect the methods it uses. So we only have half the story. Moreover, Snowden's desire to foster public debate about surveillance is naive. An open discussion on what kinds of surveillance activities should be out of bounds alerts foreign powers and organizations about which communications channels it would be safe for them to use. For example, if the U.S. declares that it will refrain from cracking the encryption systems used by Apple or Google, won't that encourage al Qaeda to use iPhones and Gmail to communicate?

So to answer the question we started out with, the public's approach to government secrecy ought to be a measured one. We ought to recognize that secrecy can be necessary for national security, and we ought to take responsibility for the people we appoint to exercise secrecy on our behalf. We ought to welcome unauthorized disclosures when they reveal unquestionably criminal activity. At the same time, we ought to remember that the watchmen that guard against the misuse of this secrecy, including whistleblowers and reporters, might themselves behave less than sensibly.

The opinions expressed are solely those of Rahul Sagar.

@highlight

We ought to recognize that secrecy can be necessary for national security, Sagar writes

@highlight

We should welcome unauthorized disclosures when they reveal criminal activity, he says

@highlight

Sagar: Watchmen that guard against the secrecy misuse might behave less than sensibly