(CNN) -- As college seniors across the country prepare to graduate, from the excitement over spring and looming freedom rises the familiar worry: Will I get a job? Will I get a job I actually want?

The answer to both, it seems, is a resounding, if utterly inconclusive, maybe.

A few weeks back, the U.S. Labor Department announced that while the job market is getting better -- unemployment among 2013 graduates is at 10.9%, down from 13% for recent graduates in 2012 -- it's still weaker than it was prerecession.

What's more, those who are working have increasingly settled for jobs outside their fields of study or for less pay than they'd expected. Some 260,000 college graduates were stuck last year working at or below the federal minimum wage of $7.25 an hour, more than double the numbers of minimum wage-earning college grads in 2007.

A friend's daughter graduating this week from UC Berkeley with dual honors degrees in sociology and math and four years of experience working in sexual assault advocacy on campus will be spending the summer working at her local Williams-Sonoma -- and readying grad school applications -- after a number of dead-end interviews with women's rights groups. "And I feel grateful," she told me.

There is good news, however. While many pregraduates still express feeling a certain pressure to make the "right" decisions early on to make the most out of every moment working in such a competitive professional atmosphere, the truth is that the job you take tomorrow, next week or even next year does not have to set the tone for your professional career.

At a recent talk I gave to a writing workshop that a friend teaches at an East Coast university, the students had one big concern: How to avoid being "pigeonholed" if you're forced to take a first job that's less than your ideal.

While the Bureau of Labor Statistics does not track lifetime careers -- and no one really knows where the old statistic that people average seven job changes over the course of a lifetime came from -- studies do show that job tenure has slowly but consistently been in decline over the past few decades.

Job-hopping is now the new norm -- and while it's especially so during a person's early working years, it's pretty common in general. Numbers from the Bureau of Labor Statistics show that most workers is the United States have been at their job for under a year, and that the average length of time anyone spends at any given job is 4.4 years.

Stephanie, a friend of my daughter's, graduated from her Ivy League school two years ago. She imagined a career in magazine publishing -- she really wanted to be a beauty editor -- but ended up in finance instead. The money is good, and the job is fine, but it's not her passion. And so she has an end date in sight.

"I'm going to put in one more year and 'save up' for an unpaid internship in 2015," she told me. "I don't mind starting from the beginning, if it's something I really want to do."

A 2013 poll by consulting firm Accenture proves how quickly career plans can change once graduates enter the "real world." In a study of 1,000 graduating seniors and 1,000 recent graduates, 18% of pending 2013 graduates planned to get a graduate degree. By contrast, that number increased to 42% among working graduates. Some 15% of pregrads expected to earn less than $25,000 a year. The number of those who ended up with that salary or less? 33%.

College graduates are getting the message that planning too far ahead is an exercise in futility and perhaps limiting in itself. A survey conducted last year by Future Workplace found that 91% of millennials expect to stay in a job for less than three years (which could, in fact, add up to 15 to 20 jobs over the course of a lifetime).

And according to the Accenture poll, while 53% of graduates found full-time jobs in their field of study, 34% said they were willing to take the first job they were offered.

The truth is that most college graduates do not start out in their desired field, and endless life decisions will influence the path a college graduate's career takes over the next 40 or so years.

A 2013 study conducted by McKinsey & Company found that 41% of graduates from top universities -- the presumably best and brightest -- could not land jobs in their chosen field after graduation. In other words, it's tough out there.

The benefit to that, of course, is more time, even if forced, to explore a variety of areas of interest while feeling safe in the knowledge that there continue to be more job opportunities for those with a college education than for those without.

Which is why the best thing graduating seniors can do as they approach the working world may be to keep an open mind and chill out a bit. And recognize that life -- personally and professionally -- demands a willingness to change. Because if there's a constant in the ever-in-flux job economy, it's that adaptability and flexibility are key to survival.

@highlight

As college seniors across the U.S. graduate, they worry about finding a job

@highlight

Peggy Drexler: Most college graduates do not start out in their desired field

@highlight

She says it's OK to take job that is not ideal for a while; job-hopping is normal

@highlight

Drexler: If there's a new constant, it's that adaptability and flexibility are key to survival