(CNN) -- I am a medical sociologist, which means I study the health of whole societies. I've spent more than 20 years studying the best possible ways to address alcohol problems in societies -- what works and what doesn't to protect people from harm.

I work as a professor in the University of California, San Francisco School of Medicine and at the UCSF Clinical and Translational Science Institute. This allows me to connect with other scientists who come from very different backgrounds but who want to work together on big problems -- think of a Manhattan Project, only one focused on protecting health through the collaboration of scientists who study everything from tiny cells to entire societies.

So three years ago, a pediatric endocrinologist named Rob Lustig walks into my office and asks for my help. Rob tells me that he's finding many connections between the metabolism of fructose (sugar) and ethanol (alcohol) in his work on metabolic functioning, liver damage and the obesity epidemic.

Rob runs the obesity clinic at UCSF Benioff Children's Hospital, where he spends his days trying to help morbidly obese kids who feel hungry all the time. One of the saddest effects of sugar overconsumption is to dampen the natural hormones that tell kids' bodies when they've eaten enough, leading them to feel hungry even as they overeat.

Rob says he's also seeing that too much sugar in these kids' diets causes severe liver damage -- they have even started doing liver transplants on some of the kids in his clinic.

Fast-forward to today, and here's what we've learned:

-- More people on the planet Earth are dying from chronic diseases such as heart disease, stroke, cancer and diabetes than anything else. This is even true for developing countries that have turned a critical page on health: People in those countries are now more likely to die from the "diseases of affluence" than from the "diseases of poverty" like malaria and cholera. Major risk factors in chronic disease, of course, are alcohol, tobacco and junk food consumption.

-- Many of the health hazards of drinking too much alcohol, such as high blood pressure and fatty liver, are the same as those for eating too much sugar. When you think about it, this actually makes a lot of sense. Alcohol, after all, is simply the distillation of sugar. Where does vodka come from? Sugar.

-- We may be thinking about obesity and chronic disease in the wrong way. Most experts are worried about sugar because it's "empty calories" that make people fat. But what leads to chronic disease is actually something called metabolic syndrome, which can be caused by the toxic effects of sugar.

-- Added sugar at the levels consumed by many Americans changes our metabolism -- it raises blood pressure, critically alters the signaling of hormones that turn hunger on and off, and can damage the pancreas and liver. Worldwide consumption of sugar has tripled over the past 50 years, and along with that has come an obesity pandemic. But obesity may just be a marker for the damage caused by the toxic effects of too much sugar. This would help explain why up to 40% of people with the metabolic syndrome -- what leads to diabetes, heart disease and cancer -- are not clinically obese.

What should we do about all this?

First, we think that the public needs to be better informed about the science of how sugar impacts our health.

Second, we need to take what we know about protecting societies from the health harms of alcohol and apply it to sugar.

What doesn't work is all-out prohibition -- that's very old-school and often creates more problems than it solves.

What does work are gentle "supply side" controls, such as taxing products, setting age limits and promoting healthier versions of the product -- like making it cheaper for a person to drink light beer rather than schnapps.

The reality is that unfettered corporate marketing actually limits our choices about the products we consume. If what's mostly available is junk food and soda, then we actually have to go out of our way to find an apple or a drinking fountain. What we want is to actually increase people's choices by making a wider range of healthy foods easier and cheaper to get.

Turning around obesity and chronic disease will be an uphill political fight, but there's plenty that concerned people can do:

-- Contact the U.S. Department of Agriculture and Congress to encourage them to take sugar off the Generally Regarded as Safe (GRAS) list. This is what allows food producers to add as much sugar as they want to the products we eat.

-- Support our local, state and federal officials in placing a substantial tax on products that are loaded with sugar. Ask them to use the proceeds to support a wider range of food options in supermarkets and farmer's markets.

-- Help protect our kids by getting sports drinks and junk food out of our schools. Ask our school boards to replace those vending machines with good old-fashioned drinking fountains. Ask local officials to control the opening hours and marketing tactics of the junk food outlets surrounding our schools. That way, kids can walk to school without being barraged by advertising for sugary products that taste good but harm their health.

We need to remember that many of our most basic public health protections once stood on the same battleground of American politics as sugar policy does today.

Simple things like requiring a seat belt and having an airbag in your car to save you in a crash were once huge political battles. Now, we take these things for granted as simple ways to protect the health and well-being of our communities.

It's time to turn our attention to sugar.

The opinions expressed in this commentary are solely those of Laura Schmidt.

@highlight

Researchers seeing similar effects from too much sugar and too much alcohol

@highlight

Alcohol is simply the distillation of sugar, she says, and sugar should be taxed and regulated

@highlight

Schmidt: We may be thinking about obesity and chronic disease in the wrong way

@highlight

She says tackling obesity and chronic disease will be hard, but concerned people can do plenty