Washington (CNN) -- With the official business of the 57th inauguration out of the way, Washington began preparing Sunday for a day of revelry -- and for the challenges facing President Barack Obama over the next four years.

Satisfying the constitutional obligation to be sworn in on January 20, Obama and Vice President Joe Biden took quiet oaths the day before the public ceremony at the Capitol, which is expected to attract a crowd of up to 800,000 on the National Mall.

Obama will become only the 17th U.S. president to deliver a second inaugural address before leading the traditional parade up Pennsylvania Avenue to the White House.

Monday's events will be smaller than Obama's first inauguration in 2009, when nearly two million people witnessed the swearing-in of the country's first African-American president.

Less intensity this time reflects the reality of second-term presidencies, when the novelty and expectations of a new leader have been replaced with the familiarity and experiences of the first four years.

For Obama, that difference is even sharper.

His historic ascent to the White House in 2008 came with soaring public hopes and expectations for a new kind of governance that would close the vast partisan gulf developed in recent decades.

Obama to acknowledge divided Washington in inaugural address

However, a list of challenges that included an inherited economic recession and repeated battles with congressional Republicans over budgets and spending only hardened the opposing positions in Washington.

Obama's signature achievements, including major reforms of the health care industry and Wall Street, became symbols of political division, with opponents constantly accusing him of hindering needed economic recovery.

A second-term Obama has vowed to press for an overhaul of the nation's immigration policies and new ways to boost the sputtering economy -- proposals that are bound to spark battles with his Republican rivals -- and oversee the implementation of Obamacare.

And the shootings at a Connecticut elementary school last month put the divisive issue of gun control on his immediate agenda.

CNN polling released Sunday showed a majority of Americans -- 54% -- believe Obama will be an outstanding or above average president in his second term, while 43% said he'd be poor or below average.

And while overall, seven in 10 Americans hope the president's policies succeed, only four in 10 Republicans feel that way, with 52% hoping that Obama will fail.

Obama's senior adviser, David Plouffe, said on Sunday that "the challenges and opportunities are enormous" in the president's second term, and that those challenges would be confronted as soon as the inaugural celebrations play out.

The tone of Obama's inaugural address on Monday will be "hopeful," Plouffe told CNN on Sunday, explaining that Obama would "remind the country that our founding principles and values still can guide us in a changing and modern world."

13 reasons to follow the inauguration on CNN platforms

"He's going to talk about the fact that our political system doesn't require us to resolve all of our disputes or settle all of our differences but it doesn't compel us to act where there shouldn't and is common ground," Plouffe added. "He's going to make that point very clearly."

Plouffe underscored that Obama's State of the Union address, to take place February 12, will present a more specific "blueprint" of the next four years.

Obama's swearing-in on Sunday took place in the ornate Blue Room, an oval-shaped reception space in the president's official residence, where he was joined by his wife, Michelle, and his two daughters.

Obama placed his left hand on a Bible held by Mrs. Obama that was from her family. He then raised his right hand.

Chief Justice John Roberts administered the oath - his third time to hold that honor. After Roberts flubbed the order of words during the public ceremony in 2009, a do-over took place in the White House Map Room the next day to erase any question that Obama was officially the president.

Obamas, Bidens participate in National Day of Service

Roberts didn't have any trouble with the oath this time around. He read from a white note card. Slash marks where Roberts paused to have Obama repeat the words were clearly visible.

The event took less than a minute and Obama didn't make any formal remarks or statements.

He did take a moment to hug his wife and daughters, exclaiming: "I did it!"

Justice Sonia Sotomayor performed the honors for Biden at his home at the Naval Observatory in Washington, where the vice president's extended family and a few Cabinet officials gathered to watch the ceremony.

Katy Perry brings 'Fireworks' to inauguration kids' concert

Both Obama and Biden went to Arlington National Cemetery after Biden's swearing-in for a traditional wreath laying.

The president and his family also attended services celebrating the Rev. Martin Luther King Jr. at Metropolitan African Methodist Episcopal Church, one of the most historic churches in Washington.

Inauguration activities kicked off on Saturday with Obama and Mrs. Obama and Biden and his wife, Jill, leading volunteers across the country in National Day of Service Activities.

Later Saturday, singer Katy Perry headlined a concert for children of military families and Washington schoolchildren, hosted by Michelle Obama and Jill Biden. Singer Usher and the cast of the TV show "Glee" were among others who performed.

Sunday evening, the Obamas will watch Latino acts at "In Performance at the Kennedy Center," which is followed by the Let Freedom Ring concert. The Red, White and Blue Inaugural Ball and Hip-Hop Inaugural Ball are also scheduled in the capital.

Viewer's guide to the inauguration

CNN's Tom Cohen, Dana Davidsen, Brianna Keilar, Kevin Liptak, Dan Lothian and Gregory Wallace contributed to this report

@highlight

Quiet official ceremonies for Obama, Biden precede Capitol swearing-in on Monday

@highlight

Chief Justice and Obama perform oath flawlessly this time

@highlight

Public events will attract large crowds, but smaller than Obama's first inaugural

@highlight

Obama has vowed to press for overhaul of immigration policies, find new ways to boost economy