When we go to major sporting events, my kids love to play the "Shuffle Hat" game on the Jumbotron screen. A ball is placed under a hat, and the hats are shuffled around quickly to distract you. If you keep your eye on the hat with the ball, you can usually find it.

The public increasingly faces a similar shell game with climate science information.

Every four to six years, the Intergovernmental Panel on Climate Change assesses and reviews the most recent science, technology and societal impacts related to climate change. Created in 1988 by the United Nations and the World Meteorological Organization, the IPCC will begin the roll out of its fifth assessment report this week.

In an era where some give more credence to climate predictions from rodents or almanacs, clarity is needed.

U.N. climate change panel releases last science

For me, the hat with the ball from the IPCC report is that it continues to affirm that our planet is warming, and humans are a significant contributor to the warming.

Andrew Dessler, professor and author of "Introduction to Modern Climate Change," noted in a recent phone conversation the remarkable consistency in the main conclusions of every previous IPCC report. The analysis also provides measured thoughts on implications for the frequency and intensity of certain extreme weather events.

Extreme weather and climate directly affect many aspects of society, including public health, agriculture and national security. Navy Adm. Samuel Locklear, commander of the U.S. Pacific Command, has noted that climate change is the biggest new threat to Pacific security.

Recently, an elderly man from my church said, "Doc, what's going on? The weather is different." For a public increasingly inquisitive about what they see around them, it is important to be aware of the distracting hats whizzing around and to keep your eye on the hat with the ball.

Many recent discussions have focused on "uncertainty." Yes, topics of uncertainty exist in climate science as in any science, but this does not render the science unusable. Most readers would take an umbrella or expect rain if the weather forecast called for a 95% or greater chance of rain. How silly would it sound to say, "Don't bother getting an umbrella because there is 5% uncertainty in that forecast"?

Climate change may increase violence, study shows

Dessler characterized the fuss over climate uncertainty in the new report this way: "The change that has everyone in a tizzy is a slight enlargement of one side of the error bar (range of error for climate sensitivity). If that's the biggest change, then things are not changing very much."

Another way of thinking about it is: How silly would it be for a father and mother to argue about whether their child is going to have a fever of 101.5 or 102?

High profile legal cases like the O.J. Simpson or George Zimmerman trials have increased public understanding of "reasonable doubt." Environmental Health News' Peter Dykstra made a point that resonated with me. Science doesn't operate on a "reasonable doubt" basis. If so, I suppose we would take our chances and not grab an umbrella because that 95% chance of rain is not 100%. Similarly, would most parents not take action because the pediatrician's diagnosis has some uncertainty?

It is important to understand and respect the scientific process. It operates differently than a court system, business decision or legislation.

The peer-reviewed science literature provides a mechanism to publish, scrutinize and test climate science. In the United States, the Food and Drug Administration ensures that our foods and medicines are safe. Peer review serves a similar role for science.  Good science inherently involves skepticism. However, regardless of the side of an issue, if the skepticism is always one-directional, is it skepticism or bias?

Recently, the IPCC has been criticized for being too slow or too big. This is a fair discussion to have, but it shouldn't distract us from the findings in the latest report.

Science requires time to sort out the truth from fiction, for theories to be tested or challenged. It is not well suited for tweets and blogs, which allow "zombie theories" -- ideas that have been debunked but continue to live on. Along these lines, some publications are removing or limiting online comments in order to protect scientific integrity.

As I write this commentary, I am watching football highlights. I debate football vigorously with my friends, but we always walk away friends. Irrespective of viewpoint, calling people "deniers" or "warmists" is counterproductive and inflammatory. There are deep-rooted feelings that have created zealotry, and at times, all sides have crossed lines of civility. I am proud to say that I enjoy very solid collegial and personal relationships with people who I sometimes disagree with on climate science.

Climate sticker shock: Arctic thaw could cost $60 trillion

On the eve of the IPCC's fifth assessment report, I still have faith in the scientific method, the common sense and keen eye of people, and human courtesy. These things will keep our hat with the ball.

@highlight

The Intergovernmental Panel on Climate Change releases its fifth assessment report Friday

@highlight

J. Marshall Shepherd: The report affirms that our planet is warming and humans are a factor

@highlight

He says extreme weather and climate affect our health, agriculture and national security

@highlight

Shepherd: Despite uncertainty, analysis shows warming that we shouldn't ignore