(CNN) -- It happened again Sunday.

A woman leaped from the third level of the Oakland Coliseum at a Raiders football game. She survived the 40- to 50-foot drop when a Marine vet who happened to be leaving the stadium used his body as a shield as she landed.

But others have not been so fortunate.

Every few months this year have brought reports of a fan falling -- sometimes fatally -- at arenas across the country.

There have been several incidents this year alone.

• On November 24, the day of the woman's fall, a 48-year-old man suffered severe head injuries after falling down steps at the M&T Bank Stadium in Baltimore at the Ravens game against the New York Jets.

• On November 17, a Buffalo Bills fan fell as he tried to slide down the rail of the upper deck of Ralph Wilson Stadium, dropping about 30 feet. He injured himself and a fan he landed on.

• On October 24, a woman fell about 20 feet from the stands at Floyd Stadium at a game at Middle Tennessee State University.

• On August 12, a man fell about 85 feet from the upper level of Atlanta's Turner Field. The death was ruled a suicide.

The reasons

So, why are these incidents happening? There's not a one-size-fits-all answer.

In May 2011, a man trying to slide down a railing at Coors Field at a Colorado Rockies game fell and died. An autopsy later found marijuana in his system, as well as a blood-alcohol level more than twice the legal limit for driving.

Some are just tragic accidents.

In July of the same year, a father fell to his death trying to catch a ball thrown toward him by Texas Rangers outfielder Josh Hamilton. The man lost his footing and fell over the rail at the Rangers Ballpark in Arlington, as his young son looked on.

The death prompted the Texas Rangers to say the team would raise the railings. It followed an incident a year earlier at the same stadium. In July 2010, a fan fell 30 feet while trying to catch a foul ball. He fractured his skull but survived.

'We're just more aware of it'

Is there an uptick in falls in stadiums?

"It's hard to say," said Alana Penza, director of the Institute for the Study of Sports Incidents at the National Center for Spectator Sports Safety and Security at the University of Southern Mississippi in Hattiesburg.

"From what we've found, it appears it has gone up," she said, citing her work going back a decade that is based largely on news accounts.

She found three such incidents in 2003 and five or six per year since 2010. But, she added, the previous lower numbers could simply reflect underreporting.

"They're not going up," said David Weeks, co-author of "Death at the Ballpark" (McFarland, 2009) and head of public services at the library at Winthrop University in Rock Hill, South Carolina. "They've been pretty common since the early '70's, back when the super stadiums started being built."

Fan falls to his death at San Francisco's Candlestick Park

Since 1969, he said, 23 people have died in incidents at Major League Baseball games, with "only a couple" of suicides. In the "vast majority" of the incidents, alcohol was involved, he said in a telephone interview.

Pittsburgh's Three Rivers Stadium and New York's Shea Stadium each had three such deaths, he said.

A lot of the fatalities weren't falls from upper-level stands to lower-level stands, but were instead falls from stairwell railings, escalator railings and failed attempts to jump from one stairwell to another, he said.

For a sport whose preoccupation with numbers can seem obsessive, numbers about deaths and injuries at stadiums are surprisingly tough to come by.

A Major League Baseball spokesman said much of the league's information is anecdotal. "We don't have tallies or numbers going back historically, but we always follow up with clubs after such incidents," MLB spokesman Mike Teevan said in a telephone interview. "We keep records on things that have happened in recent years, but no totals."

But he predicted that could change, now that the league's security department has new leadership.

Weeks said he and his co-author, Robert Gorman, based their work on accounts in newspapers, which often ignored fan deaths caused by heart attack or stroke.

And some of the newspaper accounts glossed over the details. "A lot of times, they don't identify the person who was killed," said Gorman, who is head of reference at the Winthrop University library. "But nowadays, with the Internet and YouTube and that sort of stuff, this stuff gets spread around like crazy. I think we're just more aware of it."

Mammoth falls from mammoth stadiums

The size of the newer stadiums appears to have played a role in many of the deaths. "They build those mammoth ones, and there's a lot more distance to fall," Gorman said in a telephone interview.

The authors' research, which extended to other venues as well, tallied more than 800 game-related fatalities of players, other personnel and spectators from 1862 through 2007. A second edition of their book will list hundreds more, Gorman said in a telephone interview.

Some deaths at sporting events had nothing to do with falls, but were the result of colossally bad luck.

Accounts posted on the authors' website detail such incidents, one of which occurred on July 31, 1949, at a game in Baker, Florida.

As play was beginning before a crowd of about 300, lightning struck the chicken-wire backstop and raced around the infield.

"There was a loud crack like a big whip, and a brilliant line of fire ran down the third-base line," left fielder Gordon Walter testified, according to Gorman. "Then came this awful thunder, and when I could see again, I noticed all our infielders lying on the ground, and people started running all over the field, shouting and screaming."

The third baseman, second baseman and the shortstop died; about 50 others in the stands were shocked and/or burned.

At least 30 players, including one minor leaguer, have died from lightning strikes, according to the authors.

Don't sharpen your pencil

Fans know that baseball is all about timing, which couldn't have been worse for one fan at an amateur game on October 25, 1902, in Morristown, Ohio:

"Stanton Walker, 20, was seated between Frank Hyde, who was scoring the game, and Leroy Wilson, another fan. During the course of the game, Hyde asked Wilson for a knife so he could sharpen his pencil. Wilson opened the blade of his penknife and handed it to Walker to pass along to Hyde. Just as Walker took the knife, a foul ball struck him on the hand and drove the blade into his chest over his heart. Walker bled to death within moments."

Gorman said he initially thought the account was apocryphal but was convinced that it was real when he found it described in the local newspaper.

Teams have been protected from legal liability for more than a century by the doctrine known as the assumption-of-risk rule, which holds that the dangers to spectators are widely known and that fans assume any risk, according to Gorman.

He said that without the digitization of local newspapers in recent years, he and Weeks would not have been able to complete their project.

Gorman said he is a big fan of the game but won't sit on field level along the third or first base sides when he takes his grandchildren with him. "It's called the danger zone," he said, citing those who sell netting.

All deaths are not equal, he said. "When a player is killed, they call it a day; when it's a fan, they don't stop the game."

CNN librarian Julie In contributed to this report.

@highlight

"I think we're just more aware of it," says David Weeks, author of "Death at the Ballpark"

@highlight

Players' deaths stop games; fans' deaths don't, co-author Robert Gorman says

@highlight

Is there an uptick in such incidents? Or are we just paying more attention?

@highlight

Every few months this year have brought reports of a fan falling