(CNN)Connect the dots, piece together the paths of terrorists.

That's one challenge for authorities in the wake of last week's bloodshed in France. Understanding what happened is one thing. Understanding why it happened requires not just knowing the players involved but also their backgrounds and how they were linked.

And, according to authorities and sources, the links extend between the suspects in the Paris shootings and some of biggest names in the terror world.

They have been tied to two of the world's biggest and strongest terrorist groups: al Qaeda and ISIS.

The names Cherif Kouachi, Said Kouachi, Amedy Coulibaly and Hayat Boumeddiene are now known around the world, with three of them dead and the fourth -- Boumeddiene -- being sought.

Here's what they did and their relationship to one other.

CHERIF KOUACHI

Who was he?

Like his brother, Said, the 32-year-old French citizen of Algerian descent was born in Paris and raised in orphanages and foster homes from a young age. Reports in French media described him as a rap fan more interested in chasing girls than going to the mosque -- at least until he became a student of well-known French spiritual leader Farid Benyettou.

Where did he go?

French Justice Minister Christiane Taubira told CNN that one of the Kouachi brothers had been in Yemen in 2005, but did not say which one. On Friday, shortly before his death as police stormed the building where he and his brother had holed up, Cherif Kouachi told CNN affiliate BFMTV that he'd trained in Yemen with al Qaeda in the Arabian Peninsula (AQAP).

The United States believes Cherif Kouachi traveled to Yemen in 2011, but investigators are still trying to confirm that the trip happened and corroborate details with other intelligence, a U.S. official said.

In 2005, he was arrested for being part of a jihadist recruitment ring in Paris that sent fighters to join the conflict in Iraq. The arrest came not long before he and another man were about to set off for Syria en route to Iraq, where war was raging.

Evidence suggests Cherif Kouachi traveled to Syria and returned to France in August 2014, a French source close to that nation's security services told CNN.

Who did he know?

In his conversation with BFMTV, Cherif Kouachi said he met with Anwar al-Awlaki, the American-born Muslim who was the face of AQAP until he was killed in the fall of 2011 in a U.S. drone strike.

While in pretrial detention before his eventual conviction of being part of a jihadist recruitment ring, Cherif met Djamel Beghal, who was in prison for his role in an attempted attack against the U.S. Embassy in Paris in 2001. Beghal, a French Algerian, was once known as al Qaeda's premiere European recruiter.

Cherif Kouachi and Amedy Coulibaly were also close associates, according to court documents obtained by CNN, which show that French authorities knew alarming details about them as recently as a year ago.

Once they were freed from prison, they would visit Beghal, bringing him food and money and sometimes spending days at his apartment. Boumeddiene was also part of the visits.

Cherif Kouachi and Coulibaly hid their conversations by using code names over disposable cell phones, according to the court documents.

SAID KOUACHI

Who was he?

Like his brother, Cherif, the 34-year-old French citizen grew up an orphan.

Mohammed Benali, who runs the mosque in Gennevilliers, the suburb where Cherif Kouachi had an apartment, said the two brothers used to come to Friday prayers there "not assiduously but regularly."

He told Le Figaro that he knew Said Kouachi better, but that he hadn't seen either of the brothers at the mosque in at least two years. He said the older brother was "a very reserved man," but he recalled one angry outburst in the mosque when the imam encouraged the faithful to vote in the presidential election.

Said Kouachi "had an angry reaction, he left the prayer room and voiced his disagreement," Benali said. "For these lunatics, when we practice and teach moderate Islam -- actual Islam -- we're nonbelievers."

Where did he go?

A senior Yemeni national security official told CNN that Said Kouachi entered Yemen multiple times with an officially issued visa, during which time he was "not being watched."

Kouachi first went to Yemen in 2009, said Yemeni journalist and researcher Mohammed al-Kibsi. Officials haven't confirmed a connection between the two.

He stayed there until mid-2010 before leaving briefly and returning at the end of that year. He remained in Yemen most of 2011, according to Kibsi, who said he met the man twice.

U.S. officials have said Said Kouachi spent several months in Yemen in 2011, receiving weapons training and working with al Qaeda in the Arabian Peninsula.

Al-Kibsi said he saw Kouachi again in 2012, in the old city of Sanaa at another Arabic language center.

USA Today reported that Said Kouachi traveled to Syria.

Who did he know?

While in Yemen, he lived in the same apartment as convicted underwear bomber Umar Farouk AbdulMutallab, journalist al-Kibsi said. This would have had to have been before December 2009, when AbdulMutallab was detained in Detroit after his commercial airline bombing plot failed.

Kouachi said that he and AbdulMutallab used to pray together at Yemen's al-Tabari School, and that they shared an apartment for one to two weeks in Yemen, according to al-Kibisi. Kouachi was studying Arabic grammar at the Sanaa Arabic Grammar Institute, al-Kibisi said.

CNN does not have official confirmation that Said Kouachi knew AbdulMutallab, a Nigerian national who, authorities said at his U.S. trial, told the FBI that he that he had links to Yemen-based al Qaeda in the Arabian Peninsula

It's also possible that he met al-Awlaki while in Yemen.

Last year alone, his wife exchanged 500 phone calls with at-large suspect Hayat Boumeddiene, according to Paris prosecutor Francois Molin. The wife told investigators that her husband and suspect Amedy Coulibaly knew each other well.

AMEDY COULIBALY

Who was he?

The 32-year-old went by the alias Doly Gringny. Before this week, he was known to French authorities dating back at least to his May 18, 2010, arrest for his involvement in an attempt to free an Algerian serving time for a 1995 subway bombing, according to court documents obtained by CNN.

Where did he go?

Little is known about Coulibaly's travels, beyond that he and girlfriend Hayat Boumeddiene traveled to Malaysia together.

Who did he know?

At the time of his 2010 arrest for the prison break plot, he had 240 rounds of ammunition for a Kalishnikov and photo of himself with Beghal.

Cherif Kouachi was also implicated in the prison plot, but he denied involvement and was not jailed for that.

In court documents, Coulibaly was described as a logistics expert in charge of accumulating weapons and arms for the prison break plot. Police also found computers with security and encryption and recipes for poison purportedly capable of killing a million people.  He was sentenced to four years in prison but released early.

Last week, after he was killed during his attack on a kosher grocery store in Paris, police again raided his apartment and found a cache of arms and detonators.

Before he was killed by police, Amedy Coulibaly purportedly told CNN affiliate BFMTV by phone that he belonged to ISIS, or the Islamic State in Iraq and Syria, the terror group trying to create a fundamentalist religious state across Sunni areas in those two countries. That information hasn't been corroborated by authorities, and it's not known whether he knew any leaders or members of that terrorist group.

Coulibaly shared a residence with Boumeddiene, and they traveled to Malaysia together, the source said.

HAYAT BOUMEDDIENE

Who is she?

The French newspaper Le Monde posted photos purporting to show the 26-year-old Boumeddiene in 2010, in a rural location, wearing a niqab and holding a weapon that appears to be a crossbow. A niqab is a head-to-toe black covering a woman's body completely except for the eyes.

CNN has not independently confirmed the authenticity of the stills.

In one of the photos, a woman Le Monde identifies as Boumeddiene is shown in a niqab is posing near cheek-to-cheek with Coulibaly in what the newspaper called a selfie.

French authorities said they wanted her in connection with Thursday killing of a policewoman in Montrouge. But now it's come out that she may not have even been in France at the time. She's still wanted by authorities in connection with the attack.

A neighbor in a southern Paris suburb said she seemed kind and polite, always wearing a veil and often motoring around on a scooter with her romantic partner Amedy Coulibaly.

Where did she go?

Beyond traveling to Malaysia with Coulibaly, Boumeddiene's official travel history in recent years is sparse.

Boumeddiene is believed to have left for Turkey "of course to reach Syria" at the beginning of the year, according to a French source close to the nation's security services.

She was tracked by Turkish authorities to a location near the Turkey-Syria border, according to an official in the Turkish Prime Minister's office. Boumeddiene arrived at the Istanbul airport on a flight from Madrid on January 2 with a man. During routine screening of passengers, the couple were flagged by Turkey's Risk Assessment Center and a decision made to maintain surveillance on their movements, the official said.

Who did she know?

Boumeddiene exchanged 500 phone calls with the wife of Cherif Kouachi in 2014, according to Paris prosecutor Francois Molins. The wife told investigators that her husband and Coulibaly knew each other well.

CNN's Josh Levs, Michael Martinez, Barbara Starr, Nick Paton Walsh, Evan Perez, Lonzo Cook, Scott Bronstein, Drew Griffin and Deborah Feyerick and journalist Hakim Almasmari contributed to this report.

@highlight

Court documents detail 2010 prison break plot

@highlight

Of the four suspects in connection with the Paris attacks, two were brothers; the other two were boyfriend-girlfriend

@highlight

The four were linked to each other, and reportedly to al Qaeda and ISIS