U.S. officials were pleasantly surprised and encouraged by the initial declaration that Syria has submitted to the world's chemical weapons watchdog outlining its inventory of the munitions, a senior administration official said Saturday.

The official said the declaration was more complete than what the officials had expected the Syrians to put forth.

The news came hours after the Organization for the Prohibition of Chemical Weapons announced that  Syria had handed over a list of what it says is its chemical arms stockpile.

"The Technical Secretariat is currently reviewing the information received," the Organization for the Prohibition of Chemical Weapons.

The handover occurred a day before the organization is to meet at The Hague in the Netherlands to discuss Syria.

The timing meets the terms set in a deal forged last week between the United States and Russia in Geneva to begin destroying Syria's chemical arsenal.

Under the fast-tracked Geneva deal, Syrian President Bashar al-Assad was to declare the weapons no later than Saturday.

The normal 60-day process for declaring arms was expedited to seven days "because of the extraordinary concern about Syria's weapons," said Michael Luhan, a spokesman for the organization.

"Until now, each country has been typical. The United States, Russia, Libya, India, none have been in a state of war or conflict," Luhan said Friday.

His organization planned to begin reviewing Monday, he said.

"We have to go through it in detail and plan how to conduct the on-the-ground inspection mission, to verify the accuracy of the declaration and put seals on all the materials to make sure they are secure," Luhan said.

The stakes over halting the Syrian civil war heightened after an August 21 chemical weapons attack outside Damascus that U.S. officials estimate killed 1,400 people.

The United States and other Western nations blame the regime for the attack. Russia and Syria say they think rebels used the weapons.

Citing international norms against the use of chemical weapons, U.S. President Barack Obama called for authorization from Congress to use military force in Syria.

As the United States threatened force to degrade Assad's ability to carry out chemical weapons attacks, a diplomatic opportunity arose between Russia and the United States to put Syria's stockpile under international control.

U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov hammered out a deal in Geneva last week compelling Syria to accept the agreement. Syria has agreed to it.

Speaking ahead of next week's U.N. General Assembly meeting in New York, Kerry said Thursday that while "the complete removal of Syria's chemical weapons is possible here, through peaceful means," urgency is needed.

The U.N. Security Council must be prepared to act next week, Kerry said, citing a U.N. chemical weapons report about the attack.

While the report did not assign responsibility for the attack, Kerry said it offered "crucial details," making the case implicating Assad "only ... more compelling."

Russia called the report "distorted" and said it was based on insufficient information.

Even as diplomatic efforts were continuing, U.S. officials have not dropped their threat to use force and are wary, saying Syria could be using the diplomacy as a stalling tactic.

"Time is short," Kerry said. "Let's not spend time debating what we already know."

Also on Saturday, the Syrian opposition coalition rejected an offer made by Iran to broker a peace deal between rebels and the government, calling it "ridiculous and desperate."

Iranian President Hassan Rouhani, who is also planning to attend the U.N. General Assembly meeting, said he can help bring peace to Syria, a long-time Iranian ally torn by civil war.

In a Washington Post op-ed on Thursday, the recently elected Iranian president called for an end to "the unhealthy rivalries and interferences that fuel violence and drive us apart." And he signaled his desire for better engagement with the West.

Syria's opposition fired back, saying it didn't consider him an independent broker.

"The Syrian National Coalition considers Iran's offer as ridiculous amid all the bloodshed that Iran participated with the (Bashar) al-Assad regime, through political, economic support and military support during the past two and a half years."

Rouhani, 65, has promised more positive engagement with the world.

But the Syrian opposition coalition said Iran is part of the problem.

"There is no doubt that Rouhani's offer is a desperate attempt to prolong the crisis and increase the complexity," the coalition said in a statement.

The United Nations estimates more than 100,000 people have died since March 2011, a period in which harsh government crackdowns against protesters devolved into an all-out civil war.

Another 2 million people have fled their homeland, and more than 4.25 million have been displaced within Syria, the United Nations says.

More violence

Government forces killed at least 26 people Saturday in Hamas suburbs, according to the opposition group Local Coordination Committees. CNN could not independently verify the claim.

@highlight

U.S. officials are surprised and encouraged by the list's completeness, an official says

@highlight

Iranian President Hassan Rouhani says he can help bring peace to Syria

@highlight

Syria's opposition fires back, says it does not consider him an independent broker

@highlight

Iran is a long-time ally to Syria