Editor's note: Clarence B. Jones, author of "What Would Martin Say?" is Scholar in Residence at the Stanford University Martin Luther King Jr. Research & Education Institute. He was a lawyer and speechwriter for Dr. King.

Clarence Jones says America is indebted to Martin Luther King Jr. for breaking its addiction to segregation.

Next week, the day after our national holiday commemorating the 80th birthday of Dr. King, Barack Obama will be sworn in as the 44th president of the United States, the first African-American elected as president.

Obama's election would not have been possible without the transformative effect of Dr. King's struggle, leadership and legacy in dismantling segregation and institutional racism in the United States.

America owes a great debt to Dr. King. Prior to him, our nation was like a dysfunctional drug addict or alcoholic, hooked and addicted to segregation and institutional racism.

His "tough love" of nonviolent direct action civil disobedience forced America to confront its conscience and the immorality of racial injustice.

Dr. King enabled our country to embark on an extraordinary journey of recovery to reclaim its soul. He enabled us to reactivate those precepts enshrined in our Declaration of Independence: "all men are created equal, that they are endowed by their Creator with certain unalienable rights."

In twelve years and four months, from 1956 to April 4, 1968 -- except for President Lincoln and the Emancipation Proclamation -- Martin Luther King Jr. may have done more to achieve racial, social and political justice and equality in America than any other person in our country's history.

Dr. King had confidence in the democratic future of America. He believed that we, as a people, would be able to "transform the jangling discords of our nation into a beautiful symphony of brotherhood."

I met Martin Luther King, Jr. for the first time 49 years ago when he visited my home in California to enlist my assistance in the defense of a criminal tax indictment against him by the state of Alabama.

Only six months earlier, I had graduated from Boston University Law School. I worked for him as a law clerk, political organizer, personal lawyer and, at his request, I drafted speeches for Dr. King until his death on April 4, 1968.

He was an ordained Christian minister before he was a civil rights leader. His religious faith and abiding belief in God were the fuel that ignited the engine of his moral leadership. President-elect Obama's religion and belief in God appear central to his political leadership.

During the 40 years following Dr, King's assassination in Memphis, Tennessee, the most recurring question asked of me has been: "Who today, what  black leader, if anyone, is most like Dr. King?" I would consistently answer that Dr. King was sui generis, one of a kind And, then ask rhetorically: "Who today is most like Michelangelo, Mozart, Galileo, Copernicus, Aristotle, Beethoven or Shakespeare?"

Since Obama's election, I have been asked:

• Is Barack Obama another Martin Luther King Jr?

• What would Dr. King say about the election of Obama?

• Does the election of Obama, as the first African-American president of the United States, mean that Dr. King's dream has been fulfilled?

• Does Obama's election indicate that racism for all practical purposes no longer exists in America?

• Will Obama's election have any impact on the number of African-American men incarcerated or the high percentage of out-of-wedlock births within the African-American community?

There are no easy answers to these questions, but it is clear that those of us in the civil rights movement of the 1960s never anticipated the event we will witness Tuesday.

After the assassination of President John F. Kennedy, and the assumption of the presidency by former Vice President Lyndon B. Johnson, some of us who worked closely with Dr. King, concluded no fundamental change in race relations in America could be accomplished successfully and sustained unless it was done under the political leadership of a white man from the south, people like Presidents Lyndon Johnson, Jimmy Carter, Bill Clinton and George W. Bush.

Our belief was predicated on the political assumption that America would be more willing to follow a white southern political leader on the issues of race relations and equal economic opportunity than a politician from another part of our country. We never contemplated the realistic possibility of a black president of the United States in our lifetimes.

The 1965 Voting Rights Act sparked the prairie fires of subsequent black voter registration and voting which dramatically altered the political landscape of America. It was this legislative foundation that fostered and facilitated the political possibility of a successful Obama candidacy for president.

"We Shall Overcome" was our national anthem of the Civil Rights Movement under Dr. King's leadership. President-elect Obama, like a masterful musical composer with perfect pitch, successfully updated, translated and rearranged "We Shall Overcome" to a "Yes, We Can" surround-sound mantra for the cell phone, YouTube, Facebook, MySpace and Internet-blackberry generation. This may be the most enduring 21st Century tribute to the legacy of Martin Luther King Jr.

The opinions expressed in this commentary are solely those of Clarence Jones.

@highlight

Clarence Jones: Martin Luther King cured U.S. of addiction to racial segregation

@highlight

He says King's work helped make Barack Obama's victory possible

@highlight

Jones: Leaders assumed only white Southern presidents could make progress

@highlight

He says they never anticipated election of an African-American president