Paris, France (CNN) -- Beneath the streets of the City of Light lies a world draped in darkness and shrouded in silence. The tunnels are narrow, the ceilings are low and death is on display.

The skulls and bones lining the walls, arranged in a macabre fashion, make up what is known as the Empire of the Dead -- the Catacombs of Paris.

The catacombs snake below the city, a 321-kilometer (200-mile) network of old quarries, caves and tunnels.

Some Parisians are drawn to this largely uncharted territory -- a hidden network of adventure, discovery and even relaxation. They are known as 'cataphiles' and the catacombs are their playground.

It is a top-secret group. Catacomb entrances are known only to those daring enough to roam the networks on their own -- and break the law.

Entering unauthorized sections of the catacombs is illegal and a police force is tasked with patrolling the tunnels, and caught cataphiles risk fines of up to 60 euros ($73).

But for explorers like Loic Antoine-Gambeaud and his friends, it is a risk they are willing to take.

"I think it's in the collective imagination. Everybody knows that there is something below Paris; that something goes on that's mysterious. But I don't think many people have even an idea of what the underground is like," Antoine-Gambeaud said.

For those who want to find out, but are not willing to take the risk of going in unsupervised, there is a legal, tourist-friendly public entrance to the catacombs off Place Denfert-Rochereau. Visitors from around the world will queue up to see death on display.

"I think people are fascinated with death," one visitor said. "They don't know what it's about and you see all these bones stacked up, and the people that have come before us, and it's fascinating. We're trying to find our past and it's crazy and gruesome and fun all at the same time."

But experiencing the history of Paris in an orderly fashion is not the cataphiles' style.

Underground, there are plaques echoing the street names above etched into the walls, helping the cataphiles navigate.

Often equipped only with head lamps and homemade maps, they explore the tunnels and ancient rooms, sometimes staying underground for days at a time.

They throw parties, drink wine, or just relax in a silence they say can't be experienced anywhere else.

The catacombs are a by-product of Paris' early development. Builders dug deep underground to extract limestone to build Paris above ground.

But the subterranean quarries that were formed proved to be a shaky foundation for the city, causing a number of streets to collapse and be swallowed up by the ground.

Eventually, repairs and reinforcements were made, and to this day, the tunnels and quarries are still monitored for safety.

The quarries went through several transformations throughout history. Over time, they have served as everything from hiding places for revolutionaries to mushroom farms.

In the 18th century the Catacombs became known as the Empire of the Dead.

Paris' dead had been buried in cemeteries and beneath churches in the city center, but the number of bodies began to overwhelm the land, breaking through the walls of people's cellars and causing major health concerns.

So, beginning in the 1780s, the bodies were transferred in carriages at night to a new, final resting place in the old quarries.

In those tunnels there are now the remains of more than six million people. And for the cataphiles, the life among the dead opens up new dreams and possibilities.

"It's like an alternate reality," Antoine-Gambeaud said. "You don't have the same sort of social interaction with people as you do above. You are free to invent yourself again, to be somebody else."

Bone people: The explorers of the Parisian catacombs

@highlight

Beneath the streets of the French capital lies a hidden, macabre Parisian playground

@highlight

The catacombs are also the last resting place for six million people

@highlight

Adventurous Parisians use the underground network as a place to party and relax

@highlight

One said: You are free to invent yourself again, to be somebody else