(CNN) -- As American families try to stretch their food budgets during the recession, some are turning to the backyard, rather than the grocery store, as the place to look for produce.

Susan Hopper of Tampa, Florida, uses her garden to teach her students where food comes from.

Recession gardens are catching on with many first-time planters who want a healthy meal at an affordable price.

The gardeners are following seed-strewn paths laid by Michelle Obama and Eleanor Roosevelt, both of whom have used the White House lawn to show the value of a garden during tough times.

The scope of today's trend is shocking even to those in the gardening industry.

W. Atlee Burpee & Co., the largest seed and gardening supply store in the country, says it has seen a 25 to 30 percent spike in vegetable seed and plant sales this spring compared with last.

"I've been in the business for 30 years, and I've never seen anything like it -- even remotely like it," said George Ball, chairman and CEO of the company.

In 2008, there was a 15 to 20 percent uptick in seed sales because of high food and gasoline prices. Not since the '70s, when the company saw sales increases in the 10 percent range, has gardening seen such buzz, he said.

The National Gardening Association expects 43 million American households to grow their own fruits, vegetables, herbs and berries this year. That's up 19 percent over last year, according to a 2,559-household survey the group conducted in January. Tell us about your garden on iReport.com

About a fifth of the gardeners this year will be new to the activity, the survey says. Most -- 54 percent -- said they will garden because it saves them money on food bills. A slightly larger group say they garden because homegrown food tastes better.

There's evidence that recession gardeners stand to see substantial savings at the grocery store checkout.

Last year, Burpee released a report saying a family will get an average 25-to-1 return on its investment in a garden.

So, by that count, a family that spends about $200 on a medium-to-large garden, as Michelle Obama reportedly did, will save $5,000 in grocery bills over the course of a year.

That statistic is inflated, said Mike Metallo, spokesman for the National Gardening Association.

Metallo's group says a $70 investment in a garden will yield $600 in produce for the year.

To get those savings, a gardener has to know what to plant, when to plant it, where to plant it, how to deal with different soil types and how to care for the garden.  Watch the community of Serenbe bring food from farm to table »

That knowledge isn't innate these days, especially for urban dwellers.

Bobby Wilson, president of the American Community Gardening Association, says all of that interest is great, but he worries that Americans aren't equipped to grow their own food without some help.

"Many of the people that want to get into the gardening and greening movement right here have never gained the skills," he said. "Many of them came up in an era where there was no vocational education, so there was no need to learn anything about horticulture or agriculture."

He said all of the country's elementary schools should have gardens so future generations will learn how to save money and fend for themselves.

Susan Hopper, a 41-year-old elementary school teacher in Tampa, Florida, said she started a garden last year, partly to teach her family and her students about the food chain. See Hopper's garden on iReport.com

"I have three children of my own, and they think chicken comes in tenders and nuggets," she said. "I was concerned about their health, and I wanted them to understand that food is a process that we're a part of, and it just doesn't come in neat packages."

Hopper grew up watching her older family members garden, but when she first decided to plow a patch of her own yard, she wasn't too successful.

Florida's growing season is somewhat reversed, she said, so even though she had read Internet articles about how to garden, she didn't know the local tricks needed to make her plants survive.

In the process of digging back into the soil, though, some new gardeners are struggling with the fact that they're several generations removed from a farm.

Pamela Price, a 38-year-old mom in San Antonio, Texas, said her garden isn't profitable just yet because of droughts in her state. See Price's "victory garden" on iReport.com

She grew up in a family of ranchers and farmers, but she's forgotten much of what she learned when she was young.

"We are fortunate that we don't have to rely on [the garden], but I certainly want to make sure that, in the event that something happens, we would know how to," she said. "It's a life skill."

Price said she's started to look at her local environment anew as she learns which plants will or won't grow in the harsh climate.

That gives her a connection with history, too, she said. She recently read a book about how some of Texas' residents a century ago had similar issues.

Wilson, of the community garden association, said new gardeners should seek advice from neighbors. On every block, there's a gardener who is willing to talk about the process, he said.

Face-to-face conversations are more helpful than Internet searches when it comes to learning about the local environment, he said.

One way to tap local garden knowledge is to join a community garden, where neighbors turn up communal plots together.

The activity is expected to see a fivefold increase this year, with 5 million households saying they're at least "very interested" in participating in a community garden, said Metallo, of the National Gardening Association.

New gardeners should start out small, he said. That way you'll learn as you go and won't get as frustrated.

"You don't have to go hogwild crazy," he said, adding that people who tear up their entire yards are usually disappointed. "Get comfortable with it."

@highlight

Americans are turning to gardens as a way to reduce food bills amid recession

@highlight

Experts in garden industry say the trend is unlike anything in at least 30 years

@highlight

One seed company says a $200 garden saves a family $5,000 in food annually

@highlight

Gardening is up 19 percent in 2009, the National Gardening Association says