For many of us, the holiday season is a time to count our blessings -- and then open our hearts and our checkbooks to those who have far less than we do.  But for a handful of extraordinary leaders, giving means something more.

It means committing their entire beings to bettering the lives of others.  It means looking at the most wrenching problems all around them and saying it doesn't have to be this way.  And it means innovating -- truly leading -- to find new solutions to our oldest and most vexing challenges.

Modifying the homes of disabled veterans so they can live fuller, more productive lives.  Creating vital support and transportation networks for children undergoing chemotherapy.  Providing free medical care in the jungles of Cameroon, where it's not just unattainable, it's often unheard of.  Launching a mobile computer lab to help low-income students in Palm Beach County keep up with essential, job-sustaining technologies.

These are just some of the ways in which the CNN Heroes are embodying the very best of giving and philanthropy.  At a time of government dysfunction and global economic turmoil, these women and men aren't wringing their hands.  They're rolling up their sleeves and getting the job done -- quietly, courageously, all around the world.

How can we support and encourage even more of these efforts?  In my time as a philanthropist, I've thought a great deal about this issue.  And I've found that while money is, of course, essential, in the end it has surprisingly little to do with effective philanthropy.  Leadership is the key ingredient.  That's why we've stopped focusing our giving on needs and started focusing it much more on leadership.  I believe the future of philanthropy depends on this shift -- on a leadership-based approach to solving our public problems.

The truth is, virtually all of the more than 1.5 million nonprofits in America are trying to meet important needs.  At the Annenberg Foundation, I've rarely questioned the need of a nonprofit that came to us for help.   But need isn't enough. Need doesn't get the job done.  Need doesn't inspire others to follow your example.  Need doesn't break out of the often-stale approaches of the past.  Vision does.  True dynamism in an organization does.

What do I mean when I use the word "vision?"  I mean people like the CNN Heroes, who look at an old problem and immediately see it in a brand new way.  People who think far beyond our day-to-day crises, as important as they are, and think about how their work will shape and sustain a community for the long haul.  People who understand their work as a cause, even a calling -- and can rally others to embrace it.

To me, vision is nothing less than a road map to the future.  And if you have a real vision, you can outlast and outperform those with far greater resources and support.  Which is why visionaries tend to be good philanthropic investments.

Of course, vision means little if you can't run an effective nonprofit.  That's why we also look for dynamic organizations -- ones that aren't weighted down by bureaucracy and turf wars, and in particular, ones in which the board and the executive director are working hand in hand.  Without the red tape and the interoffice battles, they deliver better and more meaningful results.  It sounds simple, but you'd be surprised how elusive this can be.

At the Annenberg Foundation, we don't just go looking for these kinds of strong, leadership-driven nonprofits.  We try to nurture and grow them as well.  That's why we created the Annenberg Alchemy program, which we are offering free to all current and past CNN Heroes.

Alchemy has already trained over 1,400 nonprofit leaders in this country, helping them approach their work with a greater sense of vision and helping them build closer bonds between their boards and their executive management, so their effectiveness can match their level of need.

So if you want your own charitable dollars to have the greatest impact, don't just write checks to a worthy cause.  Support the people and organizations that are actually leading us forward.  I believe that's the best way to create a stronger, fairer, more just world.   And that's something we can all embrace, this and every holiday season.

@highlight

Wallis Annenberg: Many donate to charities, but for extraordinary leaders, giving means more

@highlight

She says CNN Heroes have vision and provide vital help instead of wringing their hands

@highlight

Annenberg Foundation is focusing on supporting leaders in its philanthropy

@highlight

Watch "CNN Heroes: An All-Star Tribute" on Saturday, December 7 at 9 p.m. ET/PT