(CNN) -- For Christians, the wild celebrations of Mardi Gras come before the solemnity of Lent, a last chance to celebrate before the abstinence marking the 40 days to Good Friday and Easter.

Muslims do it the other way around. First comes the month of daytime fasting during Ramadan, then the eruption of joy called Eid al-Fitr, marked with gift-giving, new clothes, donations to the poor, feasting and festivities.

But as the sighting of a crescent moon officially marked the beginning of Eid on Tuesday, feelings are decidedly mixed for many Muslims.

There's joy tempered with concern on Tahrir Square in Egypt, which saw a successful revolution topple President Hosni Mubarak this year. And there's optimism in Libya, where 42 years of rule by Moammar Gadhafi seem to be coming to an end.

But emotions are much more muted in Syria, where the government is clamping down to prevent the Arab Spring from spreading, and there is a sense of gloom in Pakistan, wracked by violence and natural disasters.

Egypt

Egyptians are putting a revolutionary twist on the traditional Eid greeting "Eid Mubarak," meaning "a blessed Eid," said engineering student Abdulrahman Khedr.

"People are saying to each other 'Eid Mubarak without Mubarak,'" he said.

Salma Hegab, an Egyptian student at the American University in Cairo, marked Eid in Tahrir Square, the symbolic center of the February revolution.

"It was awesome seeing the Egyptian revolutionaries again with the same determination and enthusiasm," she said.

But she noticed with some concern that the long-suppressed Islamist group, the Muslim Brotherhood -- which has emerged as a major force -- was absent from the square.

She was struck by a puppet show Brotherhood supporters performed for children in one neighborhood. It was "full of political implications," she said.

Traditionally, Eid prayers are a communal affair -- held in open fields to accommodate crowds too big to contain in mosques.

But in the small village of Menofia, outside Cairo, the imam expressed concern the Muslim Brotherhood held its prayers separately, said Raghda Elkattan.

The imam "mentioned that Islam should not be represented by the various views that started to take a political role in society," said the medical student at Cairo University. "My father talked with the imam who said that he meant to give this kind of speech because he didn't like how the Islamic groups are so many and different."

Libya

Tripoli residents rang in the end of Ramadan with celebratory gunfire.

It was "two times the celebration and two times the joy," said medical student Khiria El-Feghi.

"I remember celebrating Eid for the last couple of years in Libya," she said. "People seemed to be happy that it was Eid, but I never saw this happiness deep in their eyes; I felt like there was a sadness deep down."

But this year was different, she said. While Libyans mourned those who died battling the regime of Moammar Gadhafi, a sense of hope permeated throughout.

"When a nation wants something so badly, they will make sure that they get it; even if means lots of death," she said. "Never underestimate the ability of a nation."

Syria

Celebrations were in short supply in Syria where pro-reform demonstrators took to the streets after Eid prayers and were met by brute force, opposition activists said.

Security forces violently broke up rallies in Daraa, Damascus and Homs, activists said.

"There will be no happiness while the martyrs' blood is still warm," said the Local Coordination Committees of Syria, an activist group.

In Daraa, a focal point in the nationwide wave of anti-government rage, Abu Abdu's three young children asked him, "Where are our new Eid clothes and sweets?"

"Just pray to God," he replied.

"All we're going to do is visit the cemetery -- that's our Eid," he said.

Pakistan

Many residents of Pakistan said they are finding little to cheer about this holiday.

In Karachi, where ongoing rivalries between three political parties vying for power have left dozens dead, Faisal Kapadia said Eid this year is a "hollow one."

"Never have I felt the apathy and sadness I feel now at the death of so many of my brothers and sisters in this last month," said Kapadia, a writer and entrepreneur in Pakistan's largest city.

Elsewhere in the country, rain-triggered flash floods have ruined crops and destroyed lives.

"I know for a fact that this city and nation are amongst the most resilient on earth," Kapadia said. "But even we cannot just keep getting up from blow after blow of this magnitude."

Zubaida Khan, a teacher in the capital, Islamabad, was envious of the protests sweeping throughout the Middle East.

"We hate the rulers that have hijacked our country," she said. "We would love to have regime change in Pakistan, just like in Libya and Egypt."

But she wasn't optimistic: "I don't think this Eid will bring about any positive change for Pakistan's future."

However, the Arab Spring revolts have left many Muslims with a distinct optimism about the future.

That's a marked change from the decades when Arabs living under autocratic rulers would bitterly quote a verse by Iraqi-born poet Abu Tayeb Al-Mutanabbi asking if Eid will "be the same and even more sorrow, or will you be the sign of a new day?"

For years, many Arabs assumed the answer was more sorrow.

But this year, many are saying Arabs should be proud of what they have accomplished since the last Eid -- and they hold out hope for even more happiness by the next one.

CNN's Saad Abedine, Reza Sayah and Yousuf Basil contributed to this report.

@highlight

Tuesday marks the first Eid al-Fitr since the Arab Spring

@highlight

Egyptians put a revolutionary twist on the traditional Eid greeting, marking the toppling of Hosni Mubarak

@highlight

Many in Libya celebrate the festival as never before and hope the rest of the Arab world will follow suit

@highlight

Syrians and Pakistanis are much more pessimistic in the face of violence and disasters