Kabul, Afghanistan (CNN) -- Before it's signed, the freshly minted security agreement between the United States and Afghanistan must face the scrutiny of the Afghan people in Kabul, starting Thursday.

Thousands of tribal elders, who have made their way to the capital, have kicked off the loya jirga, a grand assembly, to confer in the coming days on a key issue:

Whether or not to support the presence in their country of a limited number of U.S. troops beyond next year, when Washington plans to end their combat mission.

"They have to pass it," said U.S. Secretary of State John Kerry, who announced Wednesday that he and Afghan President Hamid Karzai had arrived at the agreement. "It's up to the people of Afghanistan."

But is the jirga's decision binding? And what happens next?

What is the loya jirga?

A loya jirga is a uniquely Afghan way of debating and resolving issues of national importance.

For centuries leaders of the rugged, tribal-based Central Asian nation have called the assembly to choose new kings, debate political matters and factional disputes, or adopt new laws and constitutions.

The meetings are intended to bridge divides between the country's divergent ethnic groups and create consensus among them.

Is the loya jirga's decision binding?

Not really. The loya jirga is by no means fully democratic, but the opinions of its 2,000-plus members are an important indicator of how the Afghan people feel. In the past, Karzai has said he respects the body and would acquiesce to its decision.

The elders have come to this loya jirga at Karzai's invitation, but that does not guarantee that they will support him in approving the security agreement.

He has been heckled at least once at a past gathering.

How does the assembly work?

After the opening session Thursday, the jirga will break up into smaller working groups for the next three days. The members will discuss the agreement among themselves and then present their recommendations to the full gathering.

If the loya jirga passes the security agreement, what's next?

Once the elders have weighed in, Afghanistan's parliament will vote on the proposed bilateral agreement. Then it will wait for signature by the president. That may not be Karzai.

On Thursday, he told the tribal elders that the arrangement won't be signed until after elections scheduled for April 2014, and Karzai has reached the term limit set by his country's constitution. He told CNN's Christiane Amanpour it's "absolutely time to go."

If all goes well, when does the agreement go into effect?

The agreement would go into effect January 1, 2015, and last "until the end of 2024 and beyond, unless terminated" by mutual agreement, according to a copy of the deal posted online Wednesday by the Afghan government. A U.S. official confirms the copy is authentic.

The agreement says that either side will have to give two years' notice if they want to terminate it.

What are the key takeaways in the tentative agreement?

The final language of the security agreement -- which Kerry and Karzai reached a deal on -- guides the role of American troops in Afghanistan.

According to the tentative deal:

-- U.S. forces will play a support role in Afghanistan.

-- But it also says that U.S. military operations "may be appropriate" to defeat al Qaeda and its affiliates.

-- It says the Afghan military will take the lead in counterterrorism operations and the U.S. will complement that "with full respect for Afghan sovereignty and full regard for the safety and security of the Afghan people, including in their homes."

-- It mentions U.S. government funding for Afghan security forces.

-- It gives the U.S. military strict jurisdiction if a U.S. soldier is alleged to commit unlawful acts on Afghan soil.

-- On the other hand, Afghan authorities may request that anyone be removed from the country.

So, what are the sticking points?

Military raids and strikes have long been a sore point between the two countries, given a number of incidents in which civilian men, women and children were killed. The proposed deal contains references to respecting "Afghanistan's sovereignty and territorial integrity" and adds that U.S. forces "shall not target Afghan civilians, including in their homes."

But the agreement does not address past transgressions.

Why not?

Because Kerry says that during his back-and-forth with Karzai, a demand for a U.S. apology was "not even on the table." Some published reports have suggested otherwise.

"I don't know where the idea of an apology started," Kerry said. "President Karzai didn't ask for an apology. ... There has never been a discussion of or the word apology used in our discussions whatsoever."

But the U.S. has made a promise, Karzai told the loya jirga Thursday. President Obama has vowed that U.S. troops won't raid Afghan homes barring exceptional cases involving direct threat to American citizens.

In a letter from Obama to Karzai, made public by Afghan officials, the U.S. President reiterates that U.S. forces in Afghanistan will "continue to make every effort to respect the sanctity and dignity of Afghans in their homes and in their daily lives, just as we do for our own citizens."

"As this new agreement states, U.S. forces shall not enter Afghan homes for the purposes of military operations, except under extraordinary circumstances involving urgent risk to life and limb of U.S. nationals," Obama wrote. "The U.S. commitment to Afghanistan's independence, territorial integrity, and national unity, as enshrined in our Strategic Partnership Agreement, is enduring, as is our respect for Afghan sovereignty."

What's another stumbling block?

Another stumbling block is whether American soldiers accused of a crime can stand trial in an Afghan court. The agreement gives the U.S. strict military jurisdiction. But many Afghans feel that that compromises the country's sovereignty.

Is the issue of immunity a deal-breaker?

The U.S. has said that unless American troops get immunity from Afghan prosecution, it will pull out all its troops by the end of 2014 -- like it did from Iraq at the end of 2011. That could have significant consequences for Afghanistan. It needs some troop presence for training its forces and for stability.

Can this obstacle be resolved?

Karzai says he can convince the loya jirga to allow that.

"I can go to the Afghan people and tell them that, well, if we are to ask for a U.S. presence in Afghanistan for that broader security and stability, there are things that they want in return," he told Amanpour in January. "And immunity is the principle thing that they want. So I will argue for it. And I can tell you with relatively good confidence that they will say, all right, let's do it."

What's the takeaway: Will all U.S. troops be home by the end of 2014?

No.

President Barack Obama has promised to end U.S. combat mission by the end of 2014. The key word here is "combat." Speaking on Wednesday, White House spokesman Jay Carney stressed that same point: "The war in Afghanistan will end next year, as the president has promised. The combat mission will be over."

But the approval of a security agreement would pave the way for American troops to remain on the ground in Afghanistan beyond that.

Kerry said the U.S. military's role in Afghanistan would be "very limited," adding "it is entirely (to) train, equip and assist" Afghan forces.

CNN's Greg Botelho contributed to this report.

@highlight

Afghan elders meet at the loya jirga to weigh in on important issues

@highlight

At a loya Jirga, they aim to bridge divides among ethnic groups, create consensus

@highlight

Their decision is not binding, but Afghan President Karzai has said he will abide by it

@highlight

John Kerry says "it's up to the people of Afghanistan" to approve the agreement