(CNN) -- When it comes to leadership and personal responsibility, President Barack Obama has made his stance very clear: "The buck stops with me."

It's a phrase he's echoed countless times in the past. But now, he's dealing with an accountability double-whammy -- fallout from the botched Obamacare website and global fury over the wiretapping of some allied leaders' conversations.

So what all did the President know, and when did he find out? Depends on who you ask.

Some U.S. officials have said that Obama didn't know about problems with the health care enrollment site before it launched and that he only recently learned about a National Security Agency operation that wiretapped German Chancellor Angela Merkel's phone for a decade.

"It is my understanding that President Obama was not aware Chancellor Merkel's communications were being collected since 2002," Senate Intelligence Committee Chairwoman Dianne Feinstein said. "That is a big problem."

But other officials said Obama -- or at least his White House staff -- did know about it.

Questions about what the President knew and when he knew it have important implications, analysts say. If Obama was aware, that could mean he isn't being clear with the American public now. And if he wasn't aware, that could mean his own staff kept him in the dark.

"There's really no good answer," said Republican strategist Kevin Madden. "If he knew, essentially we're being misled by different people in the administration about the extent of the President's knowledge. If he didn't know, it's an abdication of even the most basic responsibilities of the command and control over very important parts of his administration, and that becomes a problem."

White House: Don't tie issues together

In an exclusive interview with CNN last week, Health and Human Services Secretary Kathleen Sebelius said the President didn't know of problems with the Affordable Care Act's website until after its fumbled launch on Oct. 1 -- even though insurance companies had been complaining and the site crashed during a pre-launch test run.

White House spokesman Jay Carney declined to detail what Obama knew and when. On Monday, he said tying topics like problems with the Obamacare website and reports about NSA spying is "conflating a bunch of very disparate issues."

Carney said he wouldn't "get into individual reports about specific programs," and would provide more details once a White House review of U.S. surveillance is complete.

Feinstein said the White House has told her that data collection on U.S. allies will stop.

But a senior administration official said Feinstein's statement was not completely accurate. The official said some changes have been made, but they are not across-the-board changes in policy like terminating intelligence collection aimed at allies.

Germany's not the only country seething over the reports of U.S. spying. Spain has summoned U.S. Ambssador James Costos to discuss an El Pais newspaper report that quoted unnamed sources as saying the NSA spied on Spanish officials and politicians.

Much of the focus is on expanded surveillance under the Patriot Act passed in the aftermath of the September 11, 2001, terrorist attacks.

Many of the secrets spilling out about the NSA's surveillance program came from leaks by former agency contractor Edward Snowden, who was granted temporary political asylum in Russia.

Experts: Not every detail disclosed

It's plausible that Obama wouldn't know about specific surveillance targets, said CNN National Security Analyst Fran Townsend, a member of the CIA external advisory board.

She said overall intelligence collection priorities are well-known by the White House. "Specific targets, however, (like) Angela Merkel's cell phone, are not the sort of thing discussed with the President of the United States."

No one should expect the President to know everything the NSA is doing, said Julian Zelizer, a professor of history and public affairs at Princeton University.

"But when you're talking about the surveillance of world leaders, and an issue that's been controversial for a while now, you would expect that there's some knowledge either by the President or people surrounding him. ... I do think there's surprise that this was off the radar in the inner circles of the White House."

Time for change?

Republican Rep. Peter King, a key member of the Homeland Security Committee, said if the surveillance happened without the President's knowledge, it has larger implications.

"I would say if the President did not know, that raises very serious questions about what he's doing as chief executive. The fact he would be going into negotiations and discussions and meetings with Angela Merkel or French leaders -- or any leaders for that matter -- and not be aware that there was surveillance going on of the private phone calls, to me either something is definitely wrong in his administration or he just has a totally hands-off attitude. To me, this is unacceptable."

Ross Douthat, a CNN political commentator and a columnist for The New York Times, wondered whether some officials would lose their jobs if the President really wasn't informed.

"The question becomes, why do the people who failed to keep him in the loop still have their jobs?" he asked.

No matter what Obama knew, or when, some say it's time for a new approach.

"He has often said that he didn't know what was going on with the (HealthCare.gov) website. ... He can't pretend he doesn't know and walk away from problems anymore, because he has been caught too many times out of the loop," said A.B. Stoddard, associate editor of The Hill. "He can't do his job that way."

CNN's Tom Cohen, Jake Tapper, Jim Sciutto, Elise Labott, Brooke Baldwin and Jim Acosta contributed to this report.

@highlight

Senate Intelligence Committee chair: Obama should have been told of some spying

@highlight

Officials say Obama didn't know details of the HealthCare.gov website glitches and U.S. spy programs

@highlight

Republican strategist: "There's really no good answer"

@highlight

Analyst: "Why do the people who failed to keep him in the loop still have their jobs?"