(CNN) -- Two rights groups launched a stinging critique Wednesday on Russia's freedom of expression record, citing a heavy clampdown on critics and activists since Vladimir Putin returned to the presidency.

The reports by Amnesty International and Human Rights Watch highlight changes to the law that they say have helped authorities stifle dissent.

Opinion: Pussy Riot and Russia's surreal 'justice'

"In the year since Vladimir Putin's return to the presidency in May 2012, the Russian government has unleashed a crackdown on civil society unprecedented in the country's post-Soviet history," Human Rights Watch said in its report.

"The authorities have introduced a series of restrictive laws, harassed, intimidated, and in several cases imprisoned political activists, interfered in the work of nongovernmental organizations (NGOs) and sought to cast government critics as clandestine enemies, thereby threatening the viability of Russia's civil society."

Opinion: Why Pussy Riot matters

At least two new laws have been introduced and 11 amended in the past year, according to Amnesty International, including broad provisions that allow for "arbitrary interference" with the rights to freedom of expression, association and assembly.

As a result, the space for political opposition and other forms of dissent is "rapidly shrinking," it said.

"These recent legal initiatives have the declared aim of ensuring public order and the protection of the rights of citizens," it said.

"Their effect has been the opposite: prominent government critics, opposition voices, watchdogs and ordinary individual protesters (on a wide range of issues) have all seen their rights restricted over the course of the last year."

This is happening even though these rights are explicitly guaranteed by the nation's constitution and international human rights treaties to which Russia is party, Amnesty points out.

Opinion: Russia's civil society crackdown continues

Two of the new laws "clearly seek to limit, or even end, independent advocacy and other NGO work," Human Rights Watch said.

One, the "foreign agents" law, requires any group receiving foreign funding and engaging in "political activities" to register as a "foreign agent," the report said.

Inspections conducted by authorities to enforce this law "appeared aimed, at minimum, to intimidate civil society activists" and could potentially be used to force some groups to either end certain types of work or close altogether, it said.

Internet content has also been subjected to new legal restrictions, and another law on freedom of assembly imposes limits on public demonstrations and drastic fines on those who violate it, it added.

Russia's government has not yet responded to the reports.

Kremlin critic in court

Meanwhile, the trial of prominent Kremlin critic and opposition leader Aleksei Navalny resumed in a court in Kirov, a city about 500 miles northeast of Moscow.

Navalny, a popular anti-corruption blogger, is accused of embezzling $510,000 worth of timber when he worked for the governor of the Kirov area. He faces up to 10 years in prison and a fine of 1 million rubles ($32,000) if convicted.

Navalny says the charges are revenge for his criticism of senior Russian officials and allegations of corruption by managers of state-run firms, the official RIA Novosti news agency reported.

The case was previously closed by prosecutors in spring 2012 for lack of evidence, the Human Rights Watch report said.

Navalny has been detained several times by Russian authorities over his political protest activities.

In one example, in October of last year he was detained and charged after staging a one-man protest over police torture in front of the headquarters of the Federal Security Service in Moscow, Human Rights Watch said. Permission is not needed to stage a one-man protest.

Navalny told a court that after he finished his protest, a group of journalists followed him to ask questions, "at which point he was detained and charged with organizing an unauthorized rally," the report said.

Amnesty International's report also raises concerns about past court cases brought against Navalny.

Putin's election to a third term as president in May 2012 came less than six months after parliamentary elections sparked the largest protests seen in decades in Russia.

The issue of free speech in Russia was thrust into the international spotlight last year with the trial of three members of the punk band Pussy Riot, a legal action widely condemned by rights groups.

All three women were convicted of hooliganism for performing a song critical of Putin in a Russian Orthodox cathedral, in a brief but provocative protest action. Two are still in prison.

@highlight

NEW: Trial resumes of Kremlin critic Aleksei Navalny, on charges of embezzlement

@highlight

Amnesty International and Human Rights Watch accuse Russia of stifling dissent

@highlight

HRW: Government clampdown is "unprecedented in the country's post-Soviet history"

@highlight

Russia's government has not responded to the criticisms