Seoul, South Korea (CNN) -- A frenzy of diplomatic activity was underway around the tense Korean peninsula Thursday, with North Korean leader Kim Jong-il reportedly traveling through China, former U.S. President Jimmy Carter visiting Pyongyang, and the Chinese envoy to six-party denuclearization talks landing in Seoul.

"We detected Kim Jong-il's train heading towards China, over the border, at midnight Wednesday," a source at South Korea's presidential office said. "We assume that Kim is aboard the train, and are trying to find out his destination and the purpose of his visit."

As is common with the secretive state, the visit was unannounced and no agenda has been released. China's Ministry of Foreign Affairs did not respond to questions regarding Kim Jong-il's visit. The North Korean Embassy in Beijing said it had no information regarding the visit.

The alleged movement is taking place amid speculation that the ailing Kim, 68, who is believed to have suffered a stroke two years ago, is preparing to officially announce his son, Kim Jong-eun, as his successor.

Meanwhile, Carter arrived in Pyongyang Wednesday on a humanitarian mission to negotiate the release of U.S. citizen Aijilon Gomes, believed to be a Christian activist, who is currently imprisoned in the country after entering it illegally in January.

Carter was greeted by Kim Gye-gwan, North Korea's chief negotiator at the six-party nuclear talks, and has also met the country's titular head of state, Kim Jong-nam, according to Seoul's Yonhap News agency, quoting North Korean media.

There have been hopes of some breakthrough in tense Pyongyang-Washington relations with Carter's visit. Carter's 1994 talks with the late Kim Il-sung, Kim Jong-il's father, paved the way for the "Agreed Framework" the same year, an agreement designed to reign in Pyongyang's nuclear ambitions.

Also on Thursday in Seoul, Wu Dawei, vice foreign minister and special representative on Korean Peninsular affairs of China, was in Seoul for talks with Wi Sung-lac. The two men are their country's respective envoys in the currently stalled six-party talks that aim to denuclearize the Korean peninsula.

These events come amid intense speculation surrounding North Korea's leadership, given that the state will be holding only its third-ever Workers Party Congress in September.

"The last Congress was in 1966, an enormously important year in North Korean ideology, as that was when their cultural revolution started, when the personality cult went up a huge notch," said Brian Myers, a North Korea propaganda expert and author of The Cleanest Race. "If that is anything to go by, this congress has to be something big."

Experts do not, however, expect Kim to place his son before the Beijing leadership, and suggested that a China trip is more likely to be economically motivated. North Korea is facing sanctions pressure following a string of nuclear tests, missile launches and, most recently, the sinking of a South Korean warship in March -- which Seoul accuses Pyongyang of carrying out -- meaning Kim could be going cap-in-hand.

"Kim Jong-il, I think, would be looking primarily for expressions of economic support and political support," added Mike Chinoy, author of Meltdown: The Inside Story of the North Korean Nuclear Crisis. "He needs Chinese help to keep his economy afloat and the Chinese remain North Korea's best friend"

But if Kim is, indeed, in China, hopes of an easing in Washington-Pyongyang tensions are lowered.

"Carter is in to get Gomes out, not to try and restart something," said Kim Byung-ki, a security expert at Seoul's Korea University. "If Kim Jong-iI is not there, Carter will not be able to meet the top leader, ask questions, interact and get the atmospherics; he can meet Kim Gye-gwan and Kim Jong-nam, but they are not the center of power."

With Carter being greeted by Kim Gye-gwan in Pyongyang, and with Wu visiting Seoul, there may be a desire by Pyongyang and/or Beijing to restart stalled denuclearization talks.

"As we understand, Ambassador Wu visited North Korea recently, so I think he will explain what he heard in North Korea and deliver the Chinese view on the resumption of the six-party talks," said a Seoul Foreign Ministry official.

While the 1994 "Agreed Framework" fell apart soon after the George W. Bush administration accused Pyongyang of a secret atomic arms program in 2002, Beijing has invested considerable credibility in sponsoring the six-party talks, designed to denuclearize the Korean peninsula.

But the talks, which started in 2003, have made little progress: North Korea has undertaken two nuclear tests and talks themselves have been in abeyance since 2007.

China has railed against U.S. and South Korean naval exercises held in the eastern Pacific following the sinking of the South Korean corvette Cheonan in March, perhaps explaining why Beijing wishes for a resumption of dialogue at this time.

"I think Beijing would like to contain any further escalation of military exercises generated as a result of the Cheonan incident," said Korea University's Kim. "It is not in their interest to have a further tightening of the U.S.-Korea-Japan alliance."

South Korea, however, may be less willing to resume talks, given the talks' history, and given current public anger over the Cheonan, in which 46 sailors died.

"People I speak to in South Korea say they are not in the mood to return to the table unless there is some kind of apology for the sinking of the Cheonan and some clear signs of a serious implementation of denuclearization commitments," said Dan Pinkston, of the International Crisis Group's Seoul office. "If you are Beijing, how can you demonstrate that North Korea is going to return to the table to bargain in good faith?"

CNN's Jo Ling Kent contributed to this story

@highlight

Kim Jong-il may be in China

@highlight

Jimmy Carter is in Pyongyang

@highlight

Chinese diplomat is in Seoul