Cairo (CNN) -- Forty-three people, including 19 Americans, face prosecution in an Egyptian criminal court on charges of illegal foreign funding as part of an ongoing crackdown on nongovernmental organizations, a prosecution spokesman said Sunday.

Those referred to court also include five Serbs, two Germans and three Arabs, said Adel Saeed, spokesman for the general prosecutor. The remaining people are Egyptian, he said.

The defendants include Sam LaHood, International Republican Institute country director and the son of U.S. Transportation Secretary Ray LaHood, Saeed said.

The defendants were named by an investigation committee created by Egypt's justice minister, Egypt's state-run Nile TV reported.

"We have seen media reports that judicial officials in Egypt intend to forward a number of cases involving U.S.-funded NGOs to the Cairo criminal court," said Mark Toner, deputy spokesman for the U.S. State Department. "We are deeply concerned by these reports and are seeking clarification from the government of Egypt."

Egyptian authorities carried out 17 raids on the offices of 10 NGOs in late December, but offered no clear explanation for the raids as they happened. A spokesman with the general prosecutor's office said the raids were part of an investigation into allegations the groups had received illegal foreign financing and were operating without a proper license.

Three U.S.-based organizations operating in Egypt were part of the raids.

Egyptian police confiscated everything from desks, cell phones, documents and computers to office safes, Leslie Campbell with the National Democratic Institute for International Affairs told CNN in an interview just after the raids. U.S.-based Freedom House and the International Republican Institute (IRI) reported their offices were raided as well.

Despite assurances the State Department says were given to the U.S. ambassador by Egyptian authorities, two of the NGOs said that as of early January, no property or cash had been returned.

"We had been assured by leaders in the Egyptian government that this issue would be resolved, that harassment would end, that NGOs would be allowed to go back to business as usual and that their property would be returned," State Department spokesman Victoria Nuland said last month. "It is, frankly, unacceptable to us that that situation has not been returned to normal."

Defense Secretary Leon Panetta and U.S. Ambassador Anne Patterson both spoke with high-ranking Egyptian officials following the raids to voice their concern.

Nuland said last month there are apparently "some Mubarak holdovers in the government who don't seem to understand how these organizations operate in a democratic society, and are putting out lots of disinformation about them."

Human Rights Watch called Sunday for Egyptian authorities to drop the charges and stop the criminal investigation into the NGOs.

"The Egyptian authorities are using a discredited Mubarak-era law to prosecute nongovernmental groups while proposing even more restrictive legislation," said Joe Stork, Human Rights Watch's deputy Middle East director, in a statement. "The government should stop using the old law, halt the criminal investigations and propose a law that respects international standards."

The IRI said in a statement Sunday the reported prosecution "reflects escalating attacks against international and Egyptian democracy organizations," calling it a "politically motivated assault."

Egyptian officials have called it a "legitimate judicial process," the organization said, but "the continued assault on American, German and Egyptian civil society is not a 'legitimate judicial process.' It is a politically motivated effort to squash Egypt's growing civil society, orchestrated through the courts, in part by Mubarak-era holdovers."

The National Democratic Institute said in a statement that while it does not know specifically which individuals or organizations are implicated, it was "deeply concerned about this development."

"NDI conducts all of its nonpartisan activities in Egypt in an open and transparent manner, and has cooperated fully with this probe," it said. "NDI applied for registration through the Ministry of Foreign Affairs in 2005 and has fulfilled all of the registration requirements for the past six years, including a number of updates provided in January."

In late January, U.S. government officials said Sam LaHood was among three Americans taking refuge in the U.S. Embassy in Cairo because they voiced concerns about their personal safety.

"We do not believe they were in physical danger, but they had concerns, and they were invited by the embassy," Nuland said, explaining that the Americans had approached embassy staff.

"This was a unique situation," Nuland said, adding that those in the Embassy are not trying to avoid the legal process.

Sam LaHood said while he felt "safe physically," he was concerned that the investigation into the work of American non-governmental organizations has "taken on a more serious nature, and the next step from here would either be arrest or go to trial."

Egypt's investigation of and raids on U.S. democracy support groups working in that country could mean the end of U.S. aid to Egypt, members of Congress told top Obama administration officials, as well as the head of Egypt's Supreme Council of the Armed Forces, last week.

In a February 2 letter to Secretary of State Hillary Clinton and Panetta, 41 members of Congress urged the administration to withhold further aid to Egypt until the country's leadership lets the offices of those organizations reopen and returns seized property.

Members of Congress issue warning on U.S. aid to Egypt

The United States sends more than $1.3 billion each year in military aid to Egypt, according to the U.S. State Department. And, since 1975, the U.S. Agency for International Development has provided more than $28 billion in economic and development assistance to Egypt.

"The absence of a quick and satisfactory resolution to this issue will make it increasingly difficult for congressional supporters of a strong U.S.-Egypt bilateral relationship to defend current levels of assistance to Egypt, especially in this climate of budget cuts in Washington," the letter warns.

"It's essential that Egypt not take any legal action whatsoever against these NGO workers," Rep. Peter King, R-New York and chairman of the House Committee on Homeland Security, said Sunday.

The Supreme Council of the Armed Forces, Egypt's ruling military council, assumed control of the government following the ouster of longtime President Hosni Mubarak last year.

"We're being accused of things we've never done," IRI President Lorne Craner said last month. "We are told we have operated without registration, and that is true because we filed our registration papers five and a half years ago. We were told the papers are complete and we're still waiting."

"We've operated for 30 years, everywhere from (dictator Augusto) Pinochet's Chile to Nicaragua, to the Soviet Union when it was the Soviet Union, to Central Europe, to Indonesia under Suharto," he said. "We work in China, Belarus. This has never, ever happened in the 30 years where we get our offices raided. And Egypt is supposed to be an American friend."

CNN's Jill Dougherty and Kate Bolduan contributed to this report.

@highlight

NEW: The State Department says it is "deeply concerned"

@highlight

The defendants include the son of U.S. Transportation Secretary Ray LaHood

@highlight

They are charged with illegal foreign funding, authorities say

@highlight

The charges follow raids in late December on the offices of 10 NGOs