In an extraordinary display of civil disobedience, women in Saudi Arabia on Saturday defied their nation's de facto ban on women driving by getting behind the steering wheel.

After a campaign for change gathered pace on social media, numerous women filmed themselves behind the wheel Saturday in various cities and uploaded those videos to YouTube.

Several Saudi supporters of the October 26th Women's Driving Campaign told CNN that at least 25 women drove Saturday.

Authorities stopped five women who were spotted driving in the Saudi capital and "each case was dealt with accordingly," Col. Fawaz Al-Meeman of Riyadh police told CNN.

Al-Meeman, an assistant spokesman for that city's police department, explained that the women weren't taken to police stations. Instead, they were kept in their vehicles until their male guardians arrived, at which point the women were released after signing pledges not to drive again.

Driving campaign supporter Mai Al-Swayan, an economic researcher, said she was one of the women who drove Saturday. She posted a video on YouTube showing her driving.

She said she drove from home to a grocery store in Riyadh, and then back with her groceries. "I drove on the highway and was noticed by a couple of cars but they were fine with it," she said.

Opinion: Give Saudi women right to drive

"I'm very proud. I feel like we accomplished the purpose of our campaign."

Al-Swayan, who has taken the wheel before in defiance of the ban, said she was worried about what might happen before she drove Saturday but now plans to keep doing it.

She said she believed more women would drive in the days to come.

Photographer: Taken to police station

While Riyadh police said no one was taken to police stations, that wasn't the case in Jeddah, said photographer Samia El-Moslimany.

She said she was detained in the evening for having driven and taken to a police station, where there was another woman who had been stopped for driving. El-Moslimany said she was later released.

"I thought I was going to take an uneventful drive around the neighborhood to solidify my reasoning that it's not against the law, simply against the current customs of our country," El-Moslimany told CNN.

Men she believes to be police informants spotted and followed her, she said. She pulled over and called her driver to take her back home, but police appeared and she had to go to the station.

"We were treated with respect and treated so professionally," El-Moslimany said. "We described how we were not part of any demonstration, that we ... felt it was our right. They spoke to us very kindly and said we'd have to sign a pledge not to drive again."

Police told the women they needed their guardians to come to the station before they could be released, she said.

Jeddah police could not be immediately reached for comment.

Interior Ministry: Laws will be enforced

Asked if any women were observed or stopped from driving, or if there was an increased police presence on the streets of major cities, Saudi Arabia's Interior Ministry spokesman Mansour Al-Turki said it was a "normal day, just like every Saturday."

He added, "I am not aware of any violation. Usually regional police spokesmen would speak to media about any, if any violation takes place."

Saudi Arabia's Interior Ministry issued a warning earlier in the week to women caught driving and anyone taking part in demonstrations.

Without outlining how laws would be applied and what punishment might be doled out to offenders, Al-Turki said then, "All violations will be dealt with -- whether demonstrations or women driving."

He added, "Not just on the 26th. Before and after. At all times."

No traffic law specifically prohibits women from driving in Saudi Arabia, but religious edicts there are often interpreted to mean women are not allowed to operate a vehicle.

It's not clear what action might be taken against women who defy the de facto ban.

Several Saudi women supporting the campaign said they received threatening calls Thursday from men claiming to represent the Interior Ministry, according to women's rights activists who requested anonymity. The callers warned the women not to drive before, on or after Saturday, the activists said.

Initially, Al-Turki denied any calls were made. He later contacted CNN to clarify his comments, saying the phone calls were a public relations move by the ministry to help people understand that laws would be "fully enforced" Saturday.

'Shameful' to detain women for driving

Adam Coogle, a Saudi Arabia researcher for Human Rights Watch, told CNN via e-mail that the Saudi Interior Ministry was trying to "deflate the momentum" behind the campaign through "direct, individual intimidation."

He called on Saudi Arabia to end discrimination and allow women to go about their business.

"It is shameful that a woman could be detained for activity that isn't illegal," he said. "The Interior Ministry claims it is against 'activities that disturb public peace,' but pulling over and arresting activists merely for practicing their rights is a far greater threat to public peace than merely getting behind the wheel."

One of those spearheading the driving campaign is activist Manal Al-Sharif, who was jailed for more than a week in 2011 after posting a video of herself driving.

Al-Sharif, who now lives in the United Arab Emirates, said it is a positive sign that the government stated its position on women driving.

"They kept telling the world that the women's driving issue was one for Saudi society to decide upon," she said. "Society is now showing it is supportive of the idea of women driving. The government's reaction makes it very clear this is not a societal decision. This is a political decision."

Saturday's protest was the culmination of an online movement launched in late September urging Saudi women to get behind the wheel.

The campaign quickly gained momentum, with its online petition garnering more than 16,000 signatures despite the kingdom's restrictions on protests.

The online initiative was boosted by the fact that residents of Saudi Arabia are highly active on social media and YouTube.

Rights group Amnesty International on Thursday urged Saudi Arabia to allow women to drive and not punish those campaigning for change.

The group said at least 35 women drove on Saudi streets Saturday, filming and uploading their videos on to YouTube.

Cleric warns driving could damage women's ovaries

Read more: Why Saudi driving ban can't last

@highlight

A female photographer says she was taken to a police station in Jeddah

@highlight

At least 25 women drove Saturday, campaign supporters say

@highlight

A woman says she drove to a grocery store in Riyadh and is "very proud" of the initiative

@highlight

Rights group: Saudi authorities are using intimidation to try to deflate the campaign