(CNN) -- Referring to two American hikers in custody for more than two years, Iranian President Mahmoud Ahmadinejad told reporters Tuesday: "I am helping to arrange for the release in a couple of days so they will be able to return home." The semi-official Mehr News Agency quickly echoed the president with a headline, "Iran's Judiciary agrees to release two U.S. citizens on bail."

Within 24 hours, however, the Shiite clerics who run Iran's legal system seemed to pour cold water on hopes of a quick release by declaring the "request to release two U.S. citizens on bail was under study." They went on to warn the media and the United States that "only reports published by the judiciary could be trusted."

At first glance these developments present the Iranian president as a loose cannon, adding to his reputation as a Holocaust denier and 9/11 conspiracy adherent. All those characterizations do apply to Ahmadinejad. But the recent twist in the hikers' plight reflects more than an erratic chief executive or a regime in Tehran that lacks coordination. It represents the latest skirmish in an increasingly high-stakes battle for the future of Iran's politics and society.

At the heart of the tussle between Ahmadinejad and his former clerical mentors is the question of whether the Islamic republic and its system of velayat-e faqih, or governance by an Islamic jurist, should endure or be discarded as a disastrous experiment just as a previous attempt by clergymen to rule Iran failed during the Persian Empire of antiquity.

Regarding those hikers, the Iranian government's executive branch, including its Foreign Ministry, lobbied publicly for dropping the charges. Ahmadinejad and his appointees, like many other Iranians, see little to gain from continued imprisonment of the two Americans. The presidential office has more pressing matters -- such as a deteriorating economy -- that demand attention.

It needs a deal with the West that allows oversight of Iran's nuclear program by the International Atomic Energy Agency in exchange for a lifting of sanctions that would permit foreign capital and goods to reinvigorate local business. The executive branch also has bigger fish to fry ideologically -- its officials realize many Iranians are tired of the Islamic Revolution and of paying for the negative implications of preserving theocracy. So Ahmadinejad and his appointees have learned from the protests of 2009 and launched their own rebellion within the governing elite.

Mullahs who subscribe to Shiite fundamentalist politics endorsed Ahmadinejad for the presidency in 2005, expecting him to implement their will through the executive branch. They even went along with much-contested results of the 2009 presidential election despite Ahmadinejad's increasing disregard of mandates from Supreme Leader Ayatollah Ali Khamenei and the theocratic branch of the government, hoping he could be forced to toe their line.

What the mullahs did not fully realize until recently is that Ahmadinejad and his supporters have little reason to be loyal to Khamenei and other clergymen for the system of velayat-e faqih is closed to nonclerics.

Rather than ascribe to Shiite fundamentalism, as do members of the theocratic and judicial branches of Iran's government, Ahmadinejad, his chief of staff and close confidant, Esfandiar Rahim Mashaei, and those who support them have been championing Iran's past.

They laud prophets, kings and poets such as Zarathushtra, who preached the world's first monotheism in the second millennium B.C.; Cyrus the Great, who founded the first Persian Empire in the sixth century B.C.; and Ferdowsi, who composed the country's national epic in the 11th century -- referring to that past as the "school of Iran." Islam pales when compared to those achievements and so does the theocratic state of modern Iran, they insist.

Not surprisingly the mullahs have begun denouncing Ahmadinejad and his appointees as a "deviant current" that seeks to "restrict the powers of the supreme leader, increase the authority of the elected president, base authority within the executive and parliamentary branches of government, use public referendums rather than clerical edicts, and change the Islamic Constitution ... in order to dismantle clerical rule."

The powerful Islamic Revolutionary Guard Corps leadership finds its ranks divided between the warring factions of Iran's polity. Like the president, military officers and conscripts are rarely from clerical families and historically have thrown their lot in with Iran's secular leadership. Consequently when Revolutionary Guards commander Mohammad Ali Jafari, who was appointed by and is loyal to the mullahs, threatened "military action against the president and all others who disavow the Islamic Revolution," accusations of contemplating a coup were leveled. Even the Islamic republic's founder, Ayatollah Ruhollah Khomeini, was quoted posthumously as prohibiting military units from intervening in politics.

Within the context of Iran's intra-regime struggle, the hikers' conviction on charges of illegal entry and espionage by a judiciary under cleric Sadeq Larijani emerges as yet another attempt by xenophobic mullahs to thwart Ahmadinejad's albeit fumbling attempts to re-engage the United States.

Ahmadinejad's offer of a "unilateral pardon of course on behalf of the Iranian nation" was in turn a warning shot to those clergymen that he could exercise the presidency's constitutional authority if this matter is not resolved satisfactorily. Like his other defiant acts, which include ousting fundamentalists from the Cabinet and bureaucracy, it also was a means of conveying to Iranians that the president is seeking "closure of the era in which clergy call the shots."

Even in ideal circumstances, Iran's supreme leader has to navigate most cautiously between competing political factions within the branches of government to retain his position. These are far from the best of times in Tehran. Khamenei conceded recently that "the supreme Islamic jurist cannot act solely according to his inclination."

Ahmadinejad, although rightly abhorred on the world stage for his bad words and deeds, is far from politically impotent and will likely continue to press an increasingly secularist vision of government upon the mullahs, knowing his new stances make him one of the three most popular politicians, none of them fundamentalists, within Iran.

The opinions expressed in this commentary are solely those of Jamsheed K. Choksy.

@highlight

Jamsheed K. Choksy: The uncertain status of two U.S. hikers reflects Iran divisions

@highlight

He says President Mahoud Ahamadinejad is locked in struggle with mullahs

@highlight

Iran's president is challenging the idea of Islamic theocracy, Choksy says