(CNN) -- Working in public health for 14 years in Brownsville, Texas, in a border region with poor health conditions, has taught me a lot about how disease threats can get a boost from an unsuspected source.

For tuberculosis, this unsuspected source is now diabetes.

Tuberculosis is common globally but mistakenly thought of as something that does not affect the United States. It is an airborne, bacterial infection, easily spread by coughing, and it can be fatal.

It often lies dormant in the body for many years, and most of the 11 million people in the United States who have the infection are not even aware of it. The only vaccine has limited effectiveness and is not given in the United States.

TB continues to have a serious impact in America, with nearly 9,600 cases in 2013, according to the Centers for Disease Control and Prevention. It is not only an issue on the U.S. border with Mexico; rather, it is found in every state, with a particular impact in Florida, Texas, California and New York. Drug-resistant varieties pose an alarming threat since the required treatment is so lengthy and often toxic.

Today, the biggest risk for tuberculosis is not HIV/AIDS, which led to a surge in cases in the late 1980s, but diabetes. Diabetes impairs the immune system and leaves a person who has been exposed to TB much more likely to develop active disease.

Fast facts on tuberculosis

This is precisely what we saw when we started to investigate TB in communities on the border with Mexico. The alarm has spread to California and the Pacific Northwest, where 20% to 30% of TB cases can be traced to diabetes. TB experts in Florida are also concerned about this phenomenon.

Is this on the radar of health providers treating diabetes patients in the United States? Unfortunately, few are aware of the risk of TB or are looking for it.

They are also unaware that the course of TB disease is frequently more severe in patients with diabetes, who do not tolerate TB drugs well. Diabetes patients often have difficulty completing treatment, take longer to be cured and are more likely to relapse, even die, and develop drug-resistant TB.

TB physicians in Texas are acutely aware of the problem. One told me about a woman with severe diabetes in her 30s. When exposed to TB, she quickly developed active disease. Despite the best efforts of the medical staff, she was not able to absorb the TB medication due to nausea and vomiting.

As a result, her TB became drug-resistant, and she had to undergo a rigorous, two-year ordeal of treatment. Five of her children also became infected, and two had to be treated for active disease. She was cured and survived, but this is not always the case.

The dimensions of the problem are truly staggering. Diabetes is an exploding global epidemic, much larger than HIV/AIDS. In India, diabetes has nearly doubled the number of cases of TB.

Today, 26 million of the 382 million people with diabetes live in the United States. By 2035, nearly 600 million people in the world will have diabetes, and by 2050 so will a third of all Americans, according to the International Diabetes Federation and the CDC. Ignoring this new threat could result in a reversal of the decline in TB experienced over recent years.

Diabetes took my teeth but not my life

So what do we need to do?

We must educate health care providers, patients and communities. All TB patients should be screened for diabetes. Diabetes caregivers and their patients need to be aware of the risk of TB, and patients born in or traveling to neighborhoods or countries where TB is common should be screened. If TB is found, these patients need treatment, along with the support they need to get through the many months of daily medication.

We also need strong investment in research and development of TB vaccines, rapid and inexpensive diagnostic methods for both TB and diabetes, and fast-acting, easy-to-take TB medication.

Research largely depends on government funding since the pharmaceutical industry shows little interest in TB. Congress has not made TB a priority despite the increasing risk to the public at large.

We all know someone with diabetes. Diabetes could reverse the achievements of several decades in TB control, but, if we combine good science, adequate funding and above all, political will, we can get ahead of this looming crisis.

We responded slowly to the combined AIDS/TB threat in the 1980s. We need to react faster to the diabetes/TB threat today.

Diabetes continues to spread around the world

The opinions expressed are solely those of Dr. Susan Fisher-Hoch.

@highlight

Nearly 9,600 cases of tuberculosis were reported in the U.S. in 2013

@highlight

Diabetes impairs the immune system and can leave a person vulnerable to TB

@highlight

The rise in diabetes cases is worrisome, especially for tuberculosis, doctor says