(CNN) -- The divisive issue of same-sex marriage in California may become another landmark case taken up by the U.S. Supreme Court after federal appeals court judges refused Tuesday to revisit an earlier ruling.

The 9th Circuit U.S. Court of Appeals in San Francisco denied a request to re-examine the issue, months after judges gave gay and lesbian couples constitutional blessing to wed in the state. A stay on same-sex marriages in California remains in place until the issue is exhausted in the courts.

Stars talk marriage equality at Prop 8 play

In February, a three-judge panel of that court ruled the measure unconstitutional. In its split decision, the panel found that Proposition 8 "works a meaningful harm to gays and lesbians" by denying their right to civil marriage in violation of the 14th Amendment.

Backers of the proposition had asked for a larger panel of judges to rehear the case. In a seven-page order Tuesday, the court refused.

The parties now have 90 days to ask the U.S. Supreme Court to intervene.

Supporters of Proposition 8 vowed to appeal to the nation's highest court.

"Marriage is a universal good that has been honored by diverse cultures and faiths for the entire history of Western civilization," said Brian Raum, senior counsel for the Alliance Defense Fund. The organization is part of the legal defense team for ProtectMarriage.com, the banner organization for proponents of the measure.

Fast facts: Same-sex marriage

"The ProtectMarriage.com legal team looks forward to standing before the U.S. Supreme Court on behalf of the people's right to preserve the fundamental building block of civilization, especially since the dissents accompanying today's decision strongly support our arguments. The democratic process and the most important human institution -- marriage -- shouldn't be overthrown based on the demands of Hollywood activists."

"Millions of Californians who gave their time and treasure to protect marriage deserve better," said Brian Brown, president of the National Organization for Marriage. "We are calling on the U.S. Supreme Court to preserve our democratic rights and overturn this action of judicial arrogance."

Gay-rights advocates, meanwhile, hailed the court's action.

"Today's refusal by the 9th Circuit to grant further review is a testament to the meticulous and well-reasoned opinion originally issued by the court," said Kate Kendell, executive director of the National Center for Lesbian Rights.

Is same-sex marriage too radical for America?

"While the supporters of Proposition 8 will now seek review by the U.S. Supreme Court, there is no doubt that they are on the wrong side of history. Excluding same-sex couples from the right to marry runs counter to our highest ideals of equality and fairness."

"Today's decision by the Ninth Circuit ... brings committed same-sex couples in California one step closer to being able to marry," said Evan Wolfson, president of the group Freedom to Marry.

"It's now been three and a half years since the freedom to marry was stripped from loving and committed same-sex couples. It is long past time for this 'gay exception' to marriage in California to come to an end."

CNN poll: Majority of Americans say they have gay friends, family members

The three-judge panel's ruling in February upheld a 2010 decision by a U.S. district judge in San Francisco. However, in the appeals court decision, Judges Stephen Reinhardt and Michael Daly Hawkins said that they were speaking only about Proposition 8 and that states would have to decide the marriage issue themselves.

California's Supreme Court ruled that same-sex marriages were legal in 2008, before Proposition 8 went before voters. After the measure passed with 52% of the vote that year, its passage put an end to the practice.

Last month, a federal appeals court in Massachusetts struck down a key part of the Defense of Marriage Act -- the law banning federal recognition of same-sex marriage -- as unconstitutional. The issue before the 1st U.S. Circuit Court of Appeals was whether the federal government could deny tax, health and pension benefits to same-sex couples in states where they can legally marry. The Massachusetts case could also soon be appealed to the U.S. Supreme Court.

Currently, same-sex marriage is legal in six states: Massachusetts, Connecticut, Iowa, Vermont, New Hampshire and New York, along with the District of Columbia. Washington and Maryland voted earlier this year to allow same-sex marriages, but the laws have not yet taken effect.

Another five states -- Delaware, Hawaii, Illinois, New Jersey and Rhode Island -- allow civil unions, providing state-level spousal rights to same-sex couples.

Last month, President Barack Obama, who previously opposed same-sex marriage, said that he now supports it.

"When I think about those soldiers or airmen or Marines or sailors who are out there fighting on my behalf and yet feel constrained, even now that 'don't ask, don't tell' is gone, because they are not able to commit themselves in a marriage, at a certain point I've just concluded that for me personally, it is important for me to go ahead and affirm that I think same-sex couples should be able to get married," the president told ABC.

The National Association for the Advancement of Colored People also announced last month that it supports same-sex marriage.

The California cases are Perry v. Brown and Coleman v. Brown.

@highlight

The parties now have 90 days to appeal to the U.S. Supreme Court

@highlight

A stay on same-sex marriage in California will remain in place

@highlight

Supporters of Proposition 8 had asked for a rehearing of the case

@highlight

A three-judge panel in February ruled the proposition illegal