Beijing (CNN) -- Although the United States narrowly avoided an unprecedented default following congressional approval of a last-minute compromise plan to raise the debt ceiling, China's leading credit rating agency Wednesday downgraded U.S. sovereign debt after putting it on negative watch last month.

The Dagong Global Credit Rating Company, which lowered the United States to A+ last November after the U.S. Federal Reserve decided to continue loosening its monetary policy, announced a further downgrade to A, indicating heightened doubts over Washington's long-term ability to repay its debts.

It said the gloomy assessment -- much lower than the AAA ratings given by the so-called "big three" Western agencies Moody's, Fitch, and Standard and Poor's -- was inevitable given the level of market concern generated by the stalemate between Democrats and Republicans over the debt ceiling.

"The squabbling between the two political parties on raising the U.S. debt ceiling reflected an irreversible trend on the United States' declining ability to repay its debts," Dagong Chairman Guan Jianzhong told CNN.

"The two parties acted in a very irresponsible way and their actions greatly exposed the negative impact of the U.S. political system on its economic fundamentals," he said.

Ironically, Dagong's move could hurt not just the United States but also China, the largest foreign owner of U.S. debt with holdings worth almost $1.2 trillion.

"Our downgrade simply reflects reality," Guan said. "Our rating didn't cause China to lose any money --- it was the inappropriately high ratings for the U.S. by Western agencies that had led China to make risky investments in U.S. debt."

Observers say China, whose foreign exchange reserves now stand at $3.2 trillion, has had little choice but to buy U.S. Treasury bonds.

"There aren't that many other markets that are as deep or as liquid as treasuries," said Patrick Chovanec, an economic analyst with Tsinghua University in Beijing. "When they accumulate reserves, this is the only place they can put them."

The privately held Dagong, founded in 1994 to rate Chinese companies, attracted worldwide attention last July when it published its first sovereign credit ratings and, citing growing deficits in the developed world, ranked China higher than the United States and Japan.

Dagong now rates 67 countries and aims to more than double the number by the end of this year. Its ambition to become an alternative to the "big three" suffered a setback, however, when the U.S. Securities and Exchange Commission refused to recognize its rating because of the commission's inability to supervise the Beijing-based agency.

Guan, who worked as a civil servant and a Wall Street accountant before taking the helm at Dagong, is quick to defend his firm's independence and objectivity. He points to what he calls Western agencies' "double standard" in rating the U.S. and European economies to underscore the global need for a newcomer like Dagong.

"People are used to credit ratings issued by the 'big three,' but the financial crisis has clearly proved them wrong," Guan said. "They can no longer shoulder the responsibility of rating the world."

"That's the role we are striving to play," he added.

@highlight

Grade of A is much lower than those of "big three" Western agencies

@highlight

Dagong chairman says both Democrats, Republicans were irresponsible

@highlight

"Our downgrade simply reflects reality"

@highlight

Privately held agency was founded in 1994