Billions of locusts -- everywhere the eye can see, eating most everything in sight.

That's the harsh reality affecting roughly half the island nation of Madagascar, infested by swarms of the bugs flying in sometimes mile-long packs. Run for 30 to 45 minutes, and you still might not be able to shake them.

"It's like you are in a movie, it's incredible," said Alexandre Huynh of the U.N. Food and Agriculture Organization, or FAO, from the country's capital of Antananarivo. "You don't see anything except locusts. You turn around, there are locusts everywhere."

Locusts' targets aren't people, but they do ravenously devour what people eat -- directly in the form of crops, and indirectly in the form of pastureland that livestock and other animals graze on.

Without concerted and effective action, experts say the crisis could very easily prove deadly in a nation such as Madagascar, where the U.N. estimates more than two-thirds of residents lived in poverty before this crisis.

Doing nothing would mean the locust plague could spread across two-thirds of the island, which sits in the Indian Ocean off Africa's southeastern coast. Even after a lull in winter, they'd wake up in the spring in greater numbers and, without action, remain a devastating presence for a full decade, Huynh said.

This year's infestation is the worst since the 1950s.

Older farmers who remember that crisis and see the big swarms nowadays "stop farming, because they know that it's useless," said Huynh, the FAO's emergency and rehabilitation coordinator in Madagascar.

"They know there's hunger coming on."

Photos: Locusts plague the Holy Land

By virtue of its distinct location, Madagascar is one of the world's most ecologically diverse areas. About 90% of its plant species exist nowhere else on the planet, according to the Wildlife Conservation Society, and many of its bird, reptile and animal species -- including all the world's lemurs in the wild -- are endemic.

The quality of life, however, for Madagascar's more than 22 million people is low compared to many other countries. Some 77% of its residents live on less than $1.25 per day, according to UNICEF official Natascha Paddison. It's infant mortality rate of 47.40 deaths per 1,000 live births ranks 47th highest out of 223 ranked by the CIA World Factbook.

The situation has been compounded by natural disasters like Tropical Cyclone Haruna that killed at least 23 people and adversely affected some 22,000 others, as well as a prolonged political crisis after an effective military coup in 2009. That was followed by criticism of Madagascar's new leaders -- such as from U.S. Embassy Charge d'Affaires Eric Wong, who noted reports that press freedoms had been restricted, political enemies were being held for years without trial, and civilians were raped or executed while their villages burned. The criticism contributed to a sharp drop in foreign aid, which accounted for 70% of the government budget.

Using the Xbox to study locust swarms

But the international community remains involved in Madagascar -- including the United States, which donates $70 million annually. Even more help is urgently needed, FAO officials said, in order to prevent an even worse humanitarian crisis tied to the locust plague.

Long-term, the U.N. organization is seeking $19 million for an early warning system -- so the next time locusts appear, authorities can act quickly and decisively to prevent their spread.

But it's too late for that this time, Huynh said. That's why the agency is seeking $22 million through June to carry out a large-scale spraying operation. These figures do not include whatever food and humanitarian assistance Madagascar could need.

"There is no more use in preventing anything," said Huynh, stressing the pressing need to fight the infestation. "It is really an emergency situation."

@highlight

Billions of locusts infest half of Madagascar and could cover 2/3 of the island nation

@highlight

Without action, the flying bugs could plague the country for 10 years, a U.N. official says

@highlight

"You turn around, there are locusts everywhere," he says, noting swarms stretch for miles

@highlight

Locusts devour crops and pastureland, which could devastate Madagascar's poor