London (CNN) -- Why did Lee Rigby have to die?

That's what people around Britain -- its officials, its authorities, its citizens -- asked themselves Thursday, a day after the soldier was hit with a car, then hacked to death on a London street in broad daylight.

There's been no indication that the 25-year-old machine gunner, drummer and father of a 2-year-old boy knew the men who attacked him with meat cleavers. One of them who approached a man filming the gory scene in southeast London's Woolwich neighborhood suggested Rigby had been targeted only "because Muslims are dying daily" at the hands of British troops like him.

Soldier slain in London was a machine gunner, Royal Palaces drummer, father

That man and another who suffered gunshot wounds in a confrontation with police minutes after Rigby's killing spent Thursday in stable condition at separate South London hospitals.

Even with those two suspected attackers under guard, authorities pressed for answers -- and to determine if others might have been somehow involved and, if so, why.

Six residences have been searched, and two people -- a man and a woman, both of them age 29 -- were arrested Thursday on "suspicion of conspiracy to murder," London's Metropolitan Police said.

"This is a large, complex and fast-moving investigation which continues to develop," added police.

The attack, which Prime Minister David Cameron and others called an act of terror, stirred anxiety and alerts in Britain not seen since the summer of 2005, when coordinated bomb attacks struck London's public transport network.

An additional 1,200 police are now on London's streets to reassure the public, Assistant Commissioner for Specialist Crime and Operations Mark Rowley said, with extra patrols at key locations such as religious institutions and transport hubs. Steps were also taken to further protect military installations and personnel, he added.

Abu Barra blamed Wednesday's attack not on his friend Michael Adebolajo -- who he says is the bloody, cleaver-wielding man shown talking in the video aired by CNN affiliate ITN -- but on the British government and predicted there may be more attacks.

"As long as (British) foreign policy is engaging in violence, they're only inviting violence in retaliation," Barra told CNN.

By sharp contrast, Cameron said "the fault lies solely with sickening individuals who carried out this attack," adding that "nothing in Islam ... justifies this truly dreadful act."

"This was not just an attack on Britain and on the British way of life; it was also a betrayal of Islam and of the Muslim communities who give so much to our country."

London attack: Terrorists targeting soldiers at home again?

Suspect knew British Muslim radical leader

It is understood that the two individuals suspected of carrying out the knife attack were known to Britain's domestic security service. They had featured in previous investigations into other individuals, but were not themselves under surveillance.

Friends, acquaintances and British media identified the 28-year-old Adebolajo as the suspect seen on the ITN video. The identities of the other man, 22, and the two people arrested Thursday aren't known.

A British national of Nigerian descent, Adebolajo converted to Islam and became passionate about his faith, said Barra.

British Muslim radical leader Anjem Choudary told CNN on Thursday that he knew Adebolajo, noting that the suspect attended demonstrations and a few lectures organized by Choudary's group Al-Muhajiroun.

In fact, an ITN video from April 2007 shows Adebolajo standing behind Choudary at a rally protesting the arrest of men who allegedly made inflammatory speeches inside a mosque.

Barra described his friend as a "very caring" man who "just wanted to help everybody." He was also "very vocal" about his feelings that Muslims were being oppressed, injustices he pinned, in part, on the British government.

"I wasn't surprised that it happened," Barra said of Wednesday's attack. "... Britain is only responsible, the government. And I believe all of us, as a public, we are responsible. We should condemn ourselves, why we did not do enough to stop these wars going on in Iraq and Afghanistan."

The Woolwich bloodshed spurred concerns not only about violence by Islamic extremists but also about attacks targeting Muslims by people angry about Rigby's killing.

"People can only take so much. And people will break," said Victor Easdown, a construction worker who heard shots ring out in Woolwich as police took on Rigby's attackers.

London attack mirrors plot to behead Muslim soldier

In Kent, police arrested a man on suspicion of "racially aggravated criminal damage" at a religious building. And Wednesday night in Essex, a man with two knives was arrested after throwing a smoke grenade at the Al Falah Braintree Islamic Center and demanding someone come outside to answer to the Woolwich slaying, the mosque's secretary Sikander Sleemy said.

Members of the far-right English Defence League clashed with police late Wednesday, with a tweet from its official account touting that "it's fair to say that finally the country is waking up!:-) NO SURRENDER!"

"Don't listen to the Government cover ups, The lies about Islam being peaceful," read another EDL tweet Thursday.

Political and social commentator Mohammed Ansar appealed for "a sense of calm (and) perspective" after what he called "a really, really heinous act of, I would say, criminality, ... not terrorism."

"What we don't need are knee-jerk reactions ... to really ratchet up tensions and really stoke and inflame anxieties within communities," he told CNN.

Watch: Terrorism analyst on soldier killing

Paper: Woman says she talked to attacker

The attack may have wide-ranging repercussions in Britain, including possibly enflaming sectarian tensions and leading to more violence.

But it's already have an impact on people who live and work in Woolwich -- the working-class, multicultural neighborhood where the mutilation took place -- and witnessed the carnage firsthand.

A man who identified himself as James told London's LBC 97.3 radio station that he saw two men standing by the victim, who was on the ground.

At first, James thought they were trying to help the man. But then he saw two meat cleavers, like a butcher would have.

"They were hacking at this poor guy, literally," he told the radio station. "These two guys were crazed. They were just not there. They were just animals."

Witness: Attackers 'were just animals'

Amid the horror, an individual story of courage emerged Thursday in the person of a Cub Scout leader named Ingrid Loyau-Kennett.

Loyau-Kennett told Britain's Daily Telegraph newspaper that she had jumped off a bus to try to revive a man -- later determined to be Rigby -- she thought had been hurt accidentally.

She swiftly realized the man was dead, and it was no accident.

"When I went up, there was this black guy with a revolver and a kitchen knife. He had what looked like butcher's tools, and he had a little ax, to cut the bones, and two large knives, and he said, 'Move off the body,' " she told the newspaper.

"So I thought, 'OK, I don't know what is going on here,' and he was covered with blood. I thought I had better start talking to him before he starts attacking somebody else."

Unarmed police -- like most in Britain -- arrived at 2:29 p.m. Wednesday, nine minutes after the first call came in police. Armed officers were on site five minutes later. Witnesses recounted the suspects then ran at the police, who responded with gunshots.

Recalling the incident later on ITV, Loyau-Kennett said she wasn't scared when she talked to one of those suspects -- who then had a revolver, knife and cleaver in his bloody hands -- minutes before those shots rang out.

"Better me than a child," she said.

CNN's Laura Smith-Spark reported and wrote from London, and CNN's Greg Botelho did the same from Atlanta. CNN's Dan Rivers, Jonathan Wald, Carol Jordan, Atika Shubert, Erin McLaughlin, Richard Allen Greene, Ed Payne and Nic Robertson contributed to this report.

@highlight

NEW: A woman who talked to a suspect said she felt, "Better me than a child"

@highlight

That suspect is one of 2 shot, then arrested after allegedly killing a soldier

@highlight

The victim is Lee Rigby, a machine gunner and father, the UK defense ministry says

@highlight

Two others, both 29, were arrested Thursday as part of the probe