(CNN) -- Rescue crews in the Philippines grappled with washed-out roads, downed power lines and poor communications in search of hundreds of people missing after a typhoon that killed more than 300.

More than 180,000 people were left homeless after Typhoon Bopha raked the large southern island of Mindanao with heavy rains and sustained winds of up to 175 kph (110 mph). As of Thursday morning, the storm had left 325 dead, 411 injured and 379 missing, the Philippines National Disaster Risk Reduction and Management Council reported.

Many of the missing were in remote highland towns. The storm wiped out the mountain village of Baculin and killed at least half of the residents of nearby Kinablangan, the official Philippines News Agency reported Wednesday. Bopha also severely damaged almost all of the homes in the villages of Boston, Cateel and Baganga, Davao Oriental Gov. Corazon Malanyaon told PNA.

"I felt like there was an earthquake because the winds and rain were so strong," said Herbert Yepis, a staff member of the humanitarian group World Vision working in Mindanao.

Watch: iReporter captures Typhoon aftermath in southern Philippines

Bopha, known in the Philippines as Pablo, continued to work its way through the island nation Wednesday, making its fourth landfall in the northwestern province of Palawan, PNA reported.

The storm had begun to move offshore by Wednesday afternoon, but continued to wash Palawan with heavy rain. It wasn't expected to fully clear the Philippines until Thursday.

It left chaos and death in its wake.

At one point, at least 319 people were missing in the Mindanao town of New Bataan alone, CNN affiliate ABS-CBN reported, citing Interior and Local Government Secretary Mar Roxas.

"Entire families may have been washed away," ABS-CBN quoted him as saying.

At least 180,000 people were living in shelters, according to the National Disaster Risk Reduction and Management Council, the federal emergency management agency. The Philippine Red Cross put the number at 216,000.

Fresh water is scarce -- ocean water has contaminated many wells -- and sanitation and hygiene are looming problems, said Philippine Red Cross head Richard Gordon.

Are you there? Share your story

Bopha struck first and hardest on Mindanao, which is rarely in the direct path of tropical cyclones.

Bopha's heavy rains set off sudden, violent floods in several parts of the hilly and remote region, washing away houses and dozens of people.

The storm damaged 2,970 homes in northern Mindanao, wiping out nearly half of them, according to the country's emergency management agency.

Bopha even thwarted some of the authorities' efforts to relocate people in vulnerable areas to safer places.

"In one case in Davao Oriental, the evacuation centers -- public buildings and schools -- were also victims of flash flooding," said Camilo Gudmalin, assistant secretary at the Department of Social Welfare and Development. "And as a result, some people who were in an evacuation center died."

The storm damage and remote location of many of the affected villages made it hard for rescue workers to reach some victims, Gudmalin said.

"We have difficulty communicating with our teams because power lines and communication signals are down," Gudmalin said.

The storm also damaged at least five bridges and nine major roads, the government said. Fishing boats were delivering relief supplies to some areas.

The storm disrupted ferry services, and about 5,000 travelers were left stranded at ports across the country Wednesday. The national disaster agency warned that sea travel remained dangerous in places because of high swells.

The storm brought back memories of Severe Tropical Storm Washi, known in the Philippines as Sendong, whose heavy rains swept away entire villages in the same region in December 2011.

More than 1,200 people died in that storm, which caught many people off guard.

This time, local authorities did a better job of relocating people out of vulnerable areas and preparing evacuation centers for Bopha, the Philippine Red Cross said.

CNN's Sarita Harilela, Jethro Mullen and Elizabeth Joseph contributed to this report.

@highlight

NEW: At least 325 people have died as a result of Typhoon Bopha, officials say

@highlight

The government says 180,000 people are in shelters

@highlight

Bopha is moving offshore but is still raking northwestern Philippines with heavy rain

@highlight

The typhoon comes almost a year after a storm killed more than 1,200 people on Mindanao