(CNN) -- According to a TIME/Pew research poll released last week, 40 percent of Americans believe that marriage is becoming obsolete, up from just 28 percent in 1978.

In that same poll, only one in four unmarried Americans say they do not want to get married. And among currently married men and women, 80 percent say their marriage is as close as or closer than their parents' marriage.

These seemingly contradictory responses reflect the public's recognition of a new and complex reality. On the one hand, marriage as a voluntary relationship based on love and commitment is held in higher regard than ever, with more people saying that love is essential to marriage (Consider that in 1967, two-thirds of college women said they'd consider marrying a man they didn't love if he met other criteria, such as offering respectability and financial security.)

But as an institution that regulates people's lives, marriage is no longer the social and economic necessity it once was. People can construct successful lives outside marriage in ways that would have been very difficult to manage 50 years ago, and they have a far greater range of choices about whether to marry, when to marry, and how to organize their marriages.

This often makes them more cautious in committing to marriage and more picky about their partners than people were in the past.

In the 1950s, when half of all American women were already married in their teens, marriage was an almost mandatory first step toward adulthood. It was considered the best way to make a man grow up, and in an economy where steady jobs and rising real wages were widely available, that often worked.

For a woman, marriage was deemed the best investment she could make in her future, and in a world where even college-educated women earned less than men with a only a high school education, that often worked for her too.

Marriage was also supposed to be the only context in which people could regularly have sex or raise children. Divorced or unmarried men were routinely judged less qualified for bank loans or job promotions, sexually active single women were stigmatized, and out-of-wedlock children had few legal rights.

Today, however, there are plenty of other ways to grow up, seek financial independence, and meet one's needs for companionship and sex. So what might have seemed a "good enough" reason to enter marriage in the past no longer seems sufficient to many people.

Marriage has become another step, perhaps even the final rather than the first step, in the transition to adulthood -- something many people will not even consider until they are very sure they are capable of taking their relationship to a higher plane.

Couples increasingly want to be certain, before they marry, that they can pay their bills, that neither party is burdened by debt, that each has a secure job or a set of skills attesting to their employability. Many are also conscious that as rigid gender roles erode, marriage demands more negotiation and relationship skills than in the past.

They often want firsthand experience with how their partner will behave in an intimate relationship, which is why the majority of new marriages come after a period of cohabitation, according to census figures.

These higher expectations are good news for many marriages. People who can meet the high bar that most Americans now feel is appropriate for the transition to marriage -- people who delay marriage to get an education, who have accumulated a nest egg or established themselves in a secure line of work -- typically have higher quality marriages than other Americans, research shows, and their divorce rates have been falling for the past 25 years.

But these higher expectations pose difficulties for individuals with fewer interpersonal and material resources. Over the past 30 years, job opportunities and real wages have declined substantially for poorly educated men, making them less attractive marriage partners for women. When such men do find stable employment, they often tend to be more interested in a woman with good earnings prospects than someone they have to rescue from poverty.

Today, several studies have shown, economic instability is now more closely associated with marital distress than it used to be.

If a low-income woman finds a stable, employed partner, she will likely be better off by marrying. But if the man she marries loses his job or is less committed and responsible than she had hoped, she may end up worse off than before -- having to support a man who can't or won't pull his own weight.

So the widening economic gap between haves and have-nots that America has experienced in recent decades is increasingly reflected in a widening marriage gap as well. Today two-thirds of people with a college degree are married, compared with less than half of those with a high school degree or less.

Those who begin married life with the most emotional and material advantages reap the greatest gains in those same areas from marriage. The very people who would benefit most from having a reliable long-term partner are the ones least likely to be able to find such a partner or sustain such a relationship.

This is a troubling trend that deserves attention from policy-makers. But the problem does not lie in a lack of family values. The poor value marriage just as highly as anyone else, and they may value children even more. Unfortunately, they are now less and less likely to believe they will be able to live up to the high expectations of modern partnerships, even if they are in love.

There is no easy fix for this problem. But the good news is that families still matter to Americans, including those who are not married.

According to the Pew poll, 76 percent of Americans say family is the most important, meaningful part of their life. Seventy-five percent say they are "very satisfied" with their family life. And 85 percent say that the family they live in today, whatever its form, is as close as or closer than the family in which they grew up. We have a lot of challenges ahead of us, but that's comforting news.

The opinions expressed in this commentary are solely those of Stephanie Coontz.

@highlight

40 percent of adults in study say marriage becoming obsolete, yet most say they want to marry

@highlight

Stephanie Coontz asks, why the disconnect?

@highlight

She cites changed gender roles, raised expectations for financial stability in marriage

@highlight

Coontz: Widening economic gap in U.S. is reflected in marriage gap