(CNN) -- The latest constitutional amendment being floated by some Senate Republicans -- to deny citizenship to children born in the United States to unauthorized immigrants -- is not new.

Calls for modification of the 14th Amendment's birthright citizenship guarantee have appeared during other moments of immigration-related hand-wringing. The question is whether the idea is a good one.

And the reform is not unthinkable from a democratic point of view. In fact, the United States and Canada stand apart from other major immigrant-receiving societies in the breadth of birthright rules. The United Kingdom amended its laws in 1981 to provide that only children born to citizens, or permanent residents born in the U.K., are citizens at birth.

In 2004, voters in Ireland amended their constitution along similar lines, in part for reasons familiar to the American audience: fear that birthright citizenship attracted asylum claimants who could use their children as anchors. The French rule allows children born to foreign parents to become citizens at the age of majority (when the state no longer considers a person a minor), rather than at birth.

But if ever there were a case for maintaining American exceptionalism, the 14th Amendment is it. Rejection of universal birthright citizenship would upend practices vital to the success of the American venture.

The proposed amendment's implicit premise, that children of parents who have broken the law do not deserve U.S. citizenship, contradicts a basic American value: the sins of the parents should not be visited upon the children.

Justice Robert Jackson put it succinctly in dissent from the Korematsu decision (1944), which found Japanese internment policies during World War II constitutional: "If any fundamental assumption underlies our system, it is that guilt is personal and not inheritable."

Justice Harry Blackmun reasoned similarly in Plyler v. Doe (1982) when striking down a Texas law that would have denied unauthorized children access to public schools. Frustration with illegal immigration, he wrote, ought not lead to unequal treatment of children who had no hand in creating their "illegality."

U.S. courts and most legal scholars have consistently interpreted the Citizenship Clause to apply universally, save to the children of diplomats, invading armies and Native Americans (though the Supreme Court has never directly addressed the status of children born to unauthorized immigrants).

The clause thus operates as a constitutional reset button. Each generation born in the U.S. stands on its own, with equal citizenship status, regardless of parentage. Given our history as a society of immigrants, this rule has been crucial to our development into a cohesive political community and to our ability to integrate each new immigrant cohort.

It ensures that those who are born and raised in the United States have an equal opportunity to participate and contribute and are regarded by others as full Americans.

Not all children born in the U.S. remain, and perhaps those Senate Republicans envision deporting all unauthorized immigrants and their children. But clear-eyed pragmatism tells us that most children born here also go to school, become socialized and enter adulthood here, making them functionally American.

Unless we are prepared to tolerate the emergence of castes based on parentage, universal birthright citizenship and a robust naturalization regime should remain in place.

The goals of the proposed amendment are not strictly punitive, though its effects inevitably would be. Its supporters argue it would reduce incentives for illegal immigration. But this argument is not serious.

The obstacles to passage are nearly insurmountable, and this particular amendment has never come close to succeeding. More important, changing the birthright rule would have little to no effect on illegal immigration.

No doubt stories exist of Mexicans crossing the border just to give birth or of tourists arranging vacations to produce U.S.-citizen children. But the actual causes of illegal immigration are complex and overwhelmingly related to the absence of job opportunities in Mexico and the demand for immigrant labor in the U.S. Precisely because illegal immigration is difficult to prevent, lawmakers substitute symbolic posturing for genuine policymaking.

Though the 14th Amendment is likely safe, it is instructive whenever politicians propose manipulating it to remember its historical role.

The reset principle can also inform debates over other issues, such as the DREAM Act, which would legalize high school graduates who were brought to the U.S. illegally as children. Even the debate over whether to legalize existing unauthorized immigrants, which is more complex because of their culpability, would benefit from an appreciation of how second chances can advance equality and integration.

The conventional interpretation of the 14th Amendment reminds us that we take our aspirations to equality seriously. We are willing to risk certain costs, such as opportunistic immigration and the creation of citizens who may never develop ties to the U.S., to ensure political equality.

For the United States to stand alone on this principle does nothing less than reaffirm traditions that have helped turned a collection of people from all over the world into an integrated and powerful success.

The opinions expressed in this commentary are solely those of Cristina Rodriguez.

@highlight

14th Amendment guarantees U.S. citizenship to anyone born on U.S. soil

@highlight

Cristina Rodriguez says that's been crucial for cohesive, casteless U.S. society

@highlight

She argues modifying Constitution would not reverse tide of illegal immigration