(CNN)It's been a bloody year in Iraq, where ISIS militants have seized swaths of territory and remain on the offensive. And the latest figures from the Iraq Body Count monitoring project show that civilians, as so often in war, are paying a heavy price.

At least 17,049 civilians were recorded killed in Iraq during 2014, Iraq Body Count said, roughly double the number recorded in 2013 -- which in turn was about double that of the previous year.

The shocking rise in deaths in 2014 is due in large part to the ISIS offensive and the military response to it by Iraqi forces and the U.S.-led international coalition, the group said.

Based in London and made up of academics and human rights and anti-war activists, Iraq Body Count monitors and compiles media reports of Iraqi civilian casualties resulting from the violence that followed the U.S.-led 2003 invasion of Iraq.

Since that invasion, "not a single day has passed without Iraqi civilians being killed," it said. "The year 2014, however, reflects an increase in violence to levels not seen since the worst years of 2006 and 2007."

According to the group, the greatest number of deaths in 2014 were in Baghdad, Nineveh, Salaheddin and Anbar provinces, which together account for about 80% of civilian deaths.

The highest number of civilian deaths was seen in Baghdad, with more than 4,750 reported.

More than 3,600 civilians were killed in western Anbar province, half of them by the Iraqi military in daily airstrikes, primarily in and around Falluja, the group said.

Meanwhile, in Salaheddin and Nineveh provinces, the killings of civilians by ISIS contributed significantly to the death toll, it said.

From 2010 to 2012, there was a relative reduction in civilian casualties, but the level of violence in the country started to climb again in 2013, Iraq Body Count said. That rise followed the withdrawal of U.S. troops at the end of 2011 and the implementation of increasingly sectarian policies by the then-Shia-led government.

There has been no monthly civilian death toll lower than 900 since July 2013, the group said, with most being much higher.

'New brutality on the ground'

The bloodshed peaked in June, when ISIS launched a major offensive to take Iraq's second-largest city, Mosul, and extend its reach far into the country. There were 2,534 civilian deaths recorded that month.

Since then, the average has been more than 1,500 civilian deaths a month.

It's not always possible to tell who's to blame for the deaths.

But according to Iraq Body Count's analysis, 1,748 civilians were reported killed by Iraqi military airstrikes, while 4,325 were killed by ISIS. There were also 118 civilians reported killed by U.S. coalition airstrikes last year.

"There is a new brutality on the ground and renewed attacks from the air. ISIS and the Iraqi army have caused thousands of civilian deaths this year, while the international coalition has yet again been responsible for civilian killings, for the first time since U.S. withdrawal three years previously," Iraq Body Count said.

"Iraqi civilians are once again being killed by all sides."

Combatant deaths

As for those taking part in the fighting, it's hard to say with certainty how many have died, the group said.

Iraqi military and insurgent deaths have increased "dramatically" in 2014 in relation to previous years, it said.

But there's also been a sharp divergence in the information coming from different sources, such as news agencies, official statistics and media reports -- giving a total ranging from 4,000 to 5,000 at the low end to roughly 30,000 at the other extreme.

"The truth probably lies somewhere between these two numbers, but neither can be ruled out at present," Iraq Body Count said.

Taking that variation into account, between 21,000 and 47,000 people were killed in war-related violence in Iraq during 2014, it said. That makes it the third-deadliest year since the invasion, after 2006 and 2007.

@highlight

Iraq Body Count says the number of civilian deaths roughly doubled from 2013 to 2014

@highlight

The project has monitored and compiled reports of civilian deaths since the 2003 invasion

@highlight

The ISIS offensive and military response to it contributed to the 2014 spike in civilian deaths