(CNN)  -- Interruptions in the emergency room may exact an unhealthy toll on patient care, a group of Australian researchers reported Thursday.

The researchers, from the University of Sydney and the University of New South Wales, found that interruptions led emergency department doctors to spend less time on the tasks they were working on and, in nearly a fifth of cases, to give up on the task altogether.

The researchers carried out a time-and-motion study in the emergency department of a 400-bed teaching hospital, observing 40 doctors for more than 210 hours.

They found that each doctor was typically interrupted 6.6 times per hour; 11 percent of all tasks were interrupted, 3.3 percent of them more than once. They calculated time on task and found that physicians spent less time on interrupted tasks than on uninterrupted tasks. In addition, doctors were multitasking 12.8 percent of the time.

Doctors did not return to 18.5 percent of the interrupted tasks, according to the study, which was published in the journal Quality and Safety in Health Care.

"It appears that in busy interrupt-driven clinical environments, clinicians reduce the time they spend on clinical tasks if they experience interruptions, and may delay or fail to return to a significant portion of interrupted tasks," concluded the authors, who were led by Johanna Westbrook, director of the health informatics research and evaluation unit on the Faculty of Health Sciences at the University of Sydney.

"Task shortening may occur because interrupted tasks are truncated to 'catch up' for lost time, which may have significant implications for patient safety."

Other studies have shown that interruptions can result in lapses of attention, memory or perception, they wrote.

"Further, interruptions add significantly to cognitive load, increase stress and anxiety, inhibit decision-making performance and increase task errors," they said.

The interruptions included a doctor being asked a question while trying to write a prescription.

"Now, most people think it's very acceptable to interrupt," but doing so can be dangerous, lead author Westbrook said. She urged hospital emergency department directors to teach hospital personnel when it is acceptable to interrupt and when it may be better to find an alternative strategy.

"We really have to look at ways to try and reduce unnecessary interruptions," she said.

Though this study did not document any negative outcomes associated with interruptions, Westbrook published a paper two weeks ago that found a direct association between interruptions and the number of medication errors made by nurses.

"I think we have to look at interruptions as a potentially dangerous strategy in clinical work environments," she said.

On average, doctors completed tasks that were interrupted once in about half the time they would have taken if they had not been interrupted. That perplexed the authors, who speculated that the interruptions led clinicians to try to compensate for the "lost" time by working faster and cutting corners. They said there was a strong need to develop processes that minimize unnecessary interruptions and multitasking.

"Our results support the hypothesis that the highly interruptive nature of busy clinical environments may have a negative impact on patient safety," they said.

If their results are confirmed, they added, clinical work processes should be redesigned.

Other industries have recognized interruptions as dangerous, including the airline industry, which has developed strategies to reduce interruptions to the flight crew during takeoff and limited unnecessary communications with the cockpit.

"In our society, we get very used to interrupting each other," Westbrook said. "Sometimes we need to stop and think about that."

Neither the American College of Emergency Physicians nor the American Academy of Emergency Medicine responded immediately to requests for comment.

The study was funded by Australia's Health Contribution Fund, Health and Medical Research Foundation and National Health and Medical Research Council.

@highlight

Australian study looks at 40 emergency department doctors for 210 hours

@highlight

Interruptions led doctors to spend less time on the tasks they were working on

@highlight

In nearly a fifth of cases interruptions cause them to give up on the task altogether