Washington (CNN) -- President Barack Obama and his opponent former Massachusetts Gov. Mitt Romney have touted their records of hiring women while in office—but both candidates have a mixed record on equal hiring and closing the gender pay gap.

Under the Obama administration, the median salary for female federal employees is nearly 93% of what men make, according to the U.S. Merit Systems Protection Board, an agency that works to protect the rights of federal employees. That figure -- while up from just over 83% in 1991 -- does not represent complete pay parity.

The Obama White House had women holding just under 40% of jobs paying $75,000 or more in 2011.

According to a University of Massachusetts Center for Women in Politics and Public Policy study, when Romney was sworn in as governor in 2003, 42% of his administration's senior-level appointments were women. That figure dropped to 25% during the last two years of his tenure.

Opinion: Does Romney 'get' women who work?

The political gender wars erupted anew during Tuesday night's presidential debate when each candidate accused the other of not doing enough to help women. Some of the most heated exchanges between the candidates in their second debate were over so-called "women's issues."

Obama pointed to the fact that the first bill he signed as president, the Lilly Ledbetter Fair Pay Act, eases the way for women to sue if they aren't being paid equitably.

"So we fixed that," Mr. Obama said. "And that's an example of the kind of advocacy that we need because women are increasingly the breadwinners in the family."

Romney had not stated a public position on Lilly Ledbetter before Tuesday's debate when he said he would not seek to repeal it. His running mate, Rep. Paul Ryan, voted against the bill.

'Binders,' cooking and equal pay: Did Romney undo gains with women voters?

Romney attempted to appeal to women's pocketbooks saying that women have been especially hard hit by the economic downturn — a problem he said he would solve if elected president.

"There are three and a half million more women living in poverty today than when the president took office," Romney said. "We don't have to live like this. We can get this economy going again."

Ryan focused on how women fared under the Obama administration at a campaign rally in central Florida Thursday.

"Over 5 million women have just left the work force. Fewer women are working today than when he took office. And so of the people who have been hit the hardest, it's women."

Women are back on the job

"[W]e've got to champion small businesses which are the kinds of companies that have flexible job schedules that women can get easily back in to the work force," continued Ryan. "And of all the things we can do to get women back into the workforce, get them the skills they need, get an economy, and help those small businesses bring them back into the work force so they can provide for themselves and their families."

Nationally, women earn 77 cents for every dollar earned by men, according to the Bureau of Labor Statistics.

Behind the war of words is the reality that both candidates must make significant inroads with female voters — a group that makes up the majority of the electorate—in order to win the election.

POLL: What are the most important women's issues?

The candidates are statistically even among women voters in swing states, according to a new USA TODAY/Gallup Poll with Obama at 49% and Romney at 48%. These numbers track with similar polling data following Romney's strong performance in the first presidential debate.

"The race among women was much tighter in swing states," said Andra Gillespie, an associate professor of political science at Emory University in Atlanta. "From now on, I would expect that President Obama will tout his record on pay equity and support for contraception to shore up support among women. Still, I would expect that Obama's performance will be stronger among single than married women. The question will be whether he can get single women to turn out in high rates this time around."

POLL: In swing states, likely women voters are split

Both candidates have used their records of hiring women to illustrate to potential voters that they understand women's issues.

The White House points to highly placed women in the administration as an example of what it sees as its strong record of gender equality.

Those positions include Supreme Court Justices Sonia Sotomayor and Elena Kagan as well as Secretary of State Hillary Clinton, Homeland Security Secretary Janet Napolitano, Health Secretary Kathleen Sebelius, Labor Secretary Hilda Solis and U.N. Ambassador Susan Rice.

The White House also says that more than half of the staff is made up of women, who fulfill key senior leadership roles.

Romney, who worked in business before serving as governor of Massachusetts, said he "learned a great deal" about the inequalities between men and women in the workplace when leading his state. The highest-ranking woman in his administration was Lt. Gov. Kerry Healey. Beth Myers has long held senior positions in Romney's political campaign.

CNN Fact Check: Candidates positions on contraception?

When he and his staff ran into problems finding qualified female applicants to fill Cabinet posts, Romney said he "went to a number of women's groups and said, 'Can you help us find folks?' and they brought us whole binders full of women."

Obama was quick to use the "binders" line against Romney on the campaign trail on Wednesday.

"We don't have to collect a bunch of binders to find qualified, talented, driven young women ready to learn and teach in these fields right now," Obama told supporters in Mount Vernon, Iowa.

Undecided women voters who were watching the debate and participating in a focus group in Ohio, reacted positively to Romney's anecdote during dial-testing for CNN. The responses from the women jumped sharply on-screen when Romney spoke about workplace flexibility.

Three of Romney's former female cabinet members talk about their experience working for Romney when he was governor in an ad put out by the campaign on Thursday.

Ellen Roy Herzfelder, who served as Romney's former secretary of environmental affairs; Jane Edmonds, Romney's former secretary of workforce; and Beth Lindstrom, former director of consumer affairs and business regulation, all appear in the ad.

"He totally gets working women," Herzfelder said in the ad.

CNN Fact Check: Romney, women and jobs

CNN's Tom Cohen and Shawna Shepherd contributed to this report

@highlight

President Barack Obama and GOP nominee Mitt Romney both have gender pay hits and misses

@highlight

Both candidates brag about their records on hiring and paying women in debate and on the trail

@highlight

Both candidates have failed to fully close the pay equity gap

@highlight

Both candidates increased hiring of women to highly placed positions