(CNN) -- Whether you're a high schooler or Ted Kaczynski, a soccer mom or a Rocky Balboa fan, you've likely embraced the hooded sweatshirt at some point in life.

For all its comfort and simplicity, the hoodie leads a dual life. Utilitarian and homogenous in form, hooded garments have been wardrobe staples of monks and hip-hop stars, Silicon Valley programmers and tycoons alike.

Yet it still carries a social stigma that has made it the object of legislative bans and political speeches. Now, amid widespread outcry over the death of Florida teen Trayvon Martin, the hoodie has become a symbol of social injustice.

Focus in Trayvon Martin case shifts to Washington

In the month since the 17-year-old was shot to death by a neighborhood watch patrolman, protesters nationwide have worn hoodies in a nod to the shooter's description of Trayvon Martin. George Zimmerman told a 911 operator that he saw a "suspicious" person wearing a "dark hoodie" moments before he shot the teen in what he said was self-defense, according to police. Martin's family and supporters said they believe race played a role in the shooting.

What witnesses say in the Trayvon Martin case

But those who participated in what have been called "hoodie marches" across the country this past week sought not only justice for Martin or possible prison time for Zimmerman. They wore the hoodie in solidarity against racial profiling and Florida's "stand your ground" gun law. They marched in the name of anyone who wears hoodies at the risk of being perceived as "suspicious."

Protesters demand justice

The hoodies continue to show up at rallies, on Senate floors and in churches, and the list of prominent people joining the movement is growing. Clay Aiken wore a hoodie in an interview Monday night on "Access Hollywood," and LeBron James tweeted an image of Miami Heat players wearing hoodies with the words #WeAreTrayvonMartin, #Hoodies and #stereotypes.

Former talk-show host Geraldo Rivera triggered a debate over the role Martin's hoodie might have played in his death, opining that "his hoodie killed Trayvon Martin as surely as George Zimmerman did." Rivera apologized for his comments, calling them "politically incorrect," but stopped short of retracting his claim that parents of black and Latino youngsters in particular should "not let their young children go out wearing hoodies."

But, even before that fateful February night, hoodies were already wrapped up in negative racial connotations, said Imani Perry of Princeton University's Center for African American Studies.

"While it is clear that hoodies are a popular form of attire for Americans of all ethnicities and ages, it is a style that has become particularly popular for black and Latino youth," she said.

"Because of the pervasive and trenchant racial stereotypes associated with black young people, especially males, their styles are often singled out for criticism, as signs of criminality and misdeeds," she said. "But in truth this is simply another form of stigmatization against the person underneath the clothing, and only superficially has anything to do with the clothing."

Even without the racial aspect, hoodies have an image problem, thanks to their association with criminal activity, said Cynthia Jasper, professor of consumer science at the University of Wisconsin-Madison.

Suspects in hooded clothing frequently appear in surveillance camera footage of armed robberies and law enforcement sketches of wanted criminals. Among the most memorable was Kaczynski, the "Unabomber" who engaged in a mail bombing campaign that spanned nearly 20 years but who first entered the public realm in a forensic sketch of a man with hoodie and sunglasses.

Hollywood tends to magnify the stereotype by recycling it in scenes depicting violence and crime, furthering ingraining it into the public's collective conscience, Jasper said. People in turn impose those associations onto the wearer, regardless of the person's intention.

"When people interpret your way of dressing, hoodie or whatever, people interpret that as something you control," she said. "You can't control how tall you're going to be or your hair and eyes, but you can control what you put on your body, and your clothing is interpreted as representing who you are."

It's often not a fair association, she said, but it's still the one most people conjure up within seconds of meeting someone as a way of processing and categorizing the person in front of them.

"We have to organize our world, and there's so much that comes before us every single day," Jasper said. "It's a shortcut to help us organize the magnitude of information that comes at us."

The history of the hoodie

Hooded garments weren't always shrouded in nefarious intent, though their function of obscuring the wearer goes back to the Middle Ages, when monks and scholars wore hoods to shield their faces. Hoods served as protective items for farmworkers into the 19th century, worn as part of jackets or overcoats, said Mark-Evan Blackman, assistant professor of apparel design at New York's Fashion Institute of Technology.

The knitted, hooded sweatshirt was popularized in the 1930s by apparel manufacturer Champion for the working class and evolved into sportswear for the mass market over the course of the 20th century.

Hoodies as we know them became part of youth popular culture in the early 1970s in New York when graffiti artists wore them to hide their identities as they "bombed" buildings and walls, said hip-hop scholar Halifu Osumare, director of African-American studies at the University of California-Davis.

The same era marked the hoodie's major film debut. The 1976 release of "Rocky" featured the working-class title character in well-worn gray sweats as he trains through the streets of Philadelphia and makes his memorable ascent up the stairs of the Philadelphia Museum of Art.

As hip-hop culture spread in the 1980s, the hoodie became part of the look associated with street style. When hip-hop went mainstream, penetrating homes in white middle-class suburbia and beyond, hoodies remained a key part of hip-hop's global commercialized look, with rapper Eminem memorializing the hoodie's oversize style in the 2002 film "8 Mile."

Facebook founder Mark Zuckerberg is another famous white man to make the hoodie a mainstay of his look. When he first entered the public sphere, Zuckerberg was rarely seen without a hoodie, although he has been transitioning to blazers and sport jackets more recently.

Nowadays, not a single suburban high schooler, soccer mom or Walmart shopper would seem out of place in a hoodie. Nor would Kanye West, for that matter. Hoodies can be found in big-box stores for less than $10 or emblazoned with the high-fashion logos of Hugo Boss, Ralph Lauren or Juicy Couture for north of $100.

The flipside of its generic mainstream appeal lies in its association with crime and mischief. In the last decade, politicians in the United Kingdom, including former Prime Minister Tony Blair, endorsed campaigns to ban hooded tops and baseball caps in public places.

When current Prime Minister David Cameron was stumping for his party, he argued for addressing the underlying causes of what drove people who wore hooded garments to break the law. Critics branded it Cameron's "hug-a-hoodie" message, but he still won office.

Even as hip-hop moved away from its urban roots, its "commodification" in mainstream pop nurtured the legend of the "gangster bad man," Osumare said.

"The hoodie has become one of those cultural markers of the gangster outlaw. It is part of the construction that happens within capitalism in terms of how things are bought and sold in the marketplace," she said. "So now when people see a black man with a hoodie in the street, it becomes an image of a potential thug or gangster. You have these stereotypical images in mind not of what everyone is actually like but what capitalism has promoted as part of this style trend."

Meanwhile, the hoodie has been appropriated by nearly every fashion genre, from skateboarders to grunge rockers and high-end designers, said Blackman, the Fashion Institute of Technology professor.

For some, it's not necessarily a fashion statement but simply a practical garment to be worn as a layer or an overcoat, he said.

"I don't think there's anything intrinsically sinister about hoodies," he said. "But for certain purposes, for certain types of people, the hoodie has wide range of applications."

Indeed, it all boils down to who's wearing it, Osumare said.

"It's all part of the demonization of the black male and the creation of this stereotypical image of him walking down the street in the hoodie," she said. "It happens all the time, and this is what's behind the protests. People don't see it as an isolated incident; they see it as a historic trend."

@highlight

Protesters in Trayvon Martin case have worn hoodies in solidarity against racial profiling

@highlight

The hoodie has evolved from roots in hip-hop culture to enjoy mainstream appeal

@highlight

Geraldo Rivera criticized for remarks that hoodie played role in Martin's death

@highlight

Image "all part of the demonization of the black male," hip-hop scholar says