(CNN)Milan has Moxy, while much of Europe is painted Blu.

Jaz in the City is playing in Amsterdam come September.

EVEN increases the odds of a good night's sleep, while Tune is in harmony with scaled-down budgets.

And then there's the vibrant Vib and a new venue, Venu, soon arriving in Dubai.

These statements begin to make sense once you realize that they're all the names of modern hotel brands.

According to Chekitan S. Dev, a professor at the Cornell University School of Hotel Administration, hotels traditionally have been named after an owner or a place.

But more recently, he says, "the naming process has evolved from an off-the-cuff process into something far more systematic."

So what's behind this influx of idiosyncratic hotel names, replete with misspellings and unexpected word usages?

Look to millennials and psychographics -- the study of personality, attitudes, interests and lifestyles.

Psychologists say the millennial psychographic is made up of independent-minded, adventurous individuals in search of new experiences.

Hospitality brands are crafting their marketing strategies accordingly.

"Hotel companies are lazering in on consumer needs by using psychographic data in a big way," says Matthew Von Ertfelda, Marriott's vice president for insight, strategy and innovation.

The explosion of social media also has a starring role in the name game.

Brands of the 21st century need to have handles that resonate in the global, online world, say the pros.

"Thanks to social media, millennials are the first global generation," says Dr. Donna Quadri-Felitti, academic chair of New York University's School of Professional Studies Tisch Center for Hospitality and Tourism.

"And since this generation is so enamored with texting and tweeting, hotels really have to think how names will play in the new media world."

For social media purposes, the number of characters in a name counts.

Spelling is often sacrificed in the quest for brevity.

But another reason for purposeful misspellings may be legal.

Spelling is often set into an uncommon form to retain meaning while being trademarkable.

"The odder the name, the less likely someone has already captured it," says Cornell professor Dev.

"That's important in terms of intellectual property protection."

It may explain why Venu and Vib are missing an "e."

Venu is a just-announced lifestyle brand, launching its first property in Dubai in 2017.

According to parent company Jumeirah Hotels & Resorts, it's designed to give travelers "the freedom to write their own story, their own narrative, to build their own scene."

Best Western's new hotel entry, called Vib, is pronounced "vibe."

"We tried to come up with names that celebrated individuality, while also connoting a vibrant spirit," says Dick Lew, a partner at Houston-based Acumen Design, a branding firm brought in to hone the name and the image.

Hence Vib, which is derived from "vibrant."

Color also plays a big part in hotel branding.

"We incorporated a bright persimmon red in the design and the logo, in order to reflect the (Vib) brand's bold personality," says Lew.

Moxy, the new Marriott partnership with IKEA, is going after "a sassy, determined, individualistic consumer," according to Marriott's Von Ertfelda.

The first Moxy opened at Milan's Malpensa Airport in September and more are coming in Europe this year.

"Naming Moxy was a four-month process involving a great deal of brainstorming," says Von Ertfelda. "Once we came up with it, we knew we had a name with emotional resonance that hit a global sweet spot.

"At the same time, though, our lawyers noted the name had to be 'ownable and trademarkable.'"

The change of spelling from moxie to Moxy achieved that.

According to Von Ertfelda, senior creative director Maria Rezende-Heiston selected hot pink for the Moxy logo to "appeal to those who aren't afraid to express themselves" while using a "curved font to convey a sense of rhythm, fluidity and independence."

Color is also key to hotel operator Carlson Rezidor, which is hueing (sic) toward Red and Blu.

Blu came about in 2009, after airline SAS withdrew from a partnership with Radisson.

After the split, Radisson SAS, a collection of European design hotels, needed a new name.

"We wanted to replace SAS with an equally short name," says Rose Anderson, vice president of branding for the Carlson Rezidor Hotel Group.

"We liked using blue from the old SAS logo, because it brought in the heritage of the former brand.

"At the same time, we were looking for a word with positive worldwide connotations ... and blue is the world's favorite color."

So blue or bleu became Blu, a trademarkable spelling.

Carlson Rezidor recently announced a new Red brand that will, according to Anderson, "build on the Blu concept and further leverage Radisson's brand awareness."

New brands are also being dubbed with what may seem to be random nouns.

But there's nothing random about them.

Last year, InterContinental Hotels Group (IHG) rolled out EVEN, a new brand cultivated for the growing wellness-minded audience, with two properties in the United States.

EVEN expresses the desire for the balance travelers are seeking, says an IHG spokesperson.

In its logo, specific colors were chosen to represent elements of nature.

The four vertical bars of the logo are off-kilter, while the EVEN letters are composed on a flat horizontal line, representing the brand promise of helping guests stay in balance.

Malaysia-based Tune Hotels provides "five-star beds at a one-star price."

The group has more than 40 properties worldwide, including five in London.

Some in its management group were previously senior executives in the music business.

It makes sense, then, that a travel company with a musical name would attempt to strike a global chord.

Adding to the medley of avant garde brands, Germany's Steigenberger Hotel Group's Amsterdam hotel Jaz in the City will open in September, with others scheduled to follow.

According to Steigenberger Hotel Group, coming Jaz in the City properties will be "hip and happening hotels" that "move to the rhythm of today's curious global traveler" who has a "desire to embrace authentic experiences in a city hotel."

You can't explore the hospitality industry's desire to appeal to the millennial mindset without nodding to W Hotels by Starwood.

The brand now seems to have been ahead of its time with hotels that opened in pre-social media 1998.

"Starwood was the first hotel company to look directly at the customer as it evolved a new brand," says Paul James, global brand leader of W Hotels Worldwide, St. Regis and The Luxury Collection.

W's target customer was a fashionable, high-energy individual -- someone who'd now likely be described as having a millennial psychographic.

Starwood defined the brand by adding its "Whatever, Whenever" tagline to the simple W logo.

Cornell's Dev says Starwood further imbued the brand with meaning by using words like witty, warm and welcoming in its advertising and marketing material.

More than 15 years later, the W Hotel brand has more than 70 properties open or in development worldwide.

Journalist Laura Powell started covering the travel industry for CNN in the 1980s. Her focus is on  international travel news and trends. Read more of her work at www.dailysuitcase.com. Twitter: @dailysuitcase.

@highlight

From Blu to Vib, the latest crop of hotel names features misspellings and unexpected word usage

@highlight

It's part of the hospitality industry's aim to target millennial psychographic and trademark their names

@highlight

W Hotels by Starwood was among the pioneers of this strategy, opening its first hotel in 1998