(CNN) -- Sometimes the journey is the destination.

These rail adventures, from the modest to the most decadent, offer a mix of breathtaking scenery, a window on the role of the railroad in North American history and opportunities to enjoy leisure and luxury while watching the world roll by.

Metro-North: Manhattan to Poughkeepsie, New York

On your next visit to New York City, skip the pricey tourist traps for an inexpensive afternoon jaunt celebrating both river and rail that offers a glimpse into the golden age of passenger and freight train travel. Take Metro-North from landmark Grand Central Terminal to Poughkeepsie through the storied Hudson Valley, then stroll across the mighty Hudson 212 feet in the sky, atop a historic rail bridge that's been transformed into a pedestrian walkway.

Let the adventure begin at Grand Central with an audio or self-guided tour including architectural highlights as well as "little known secrets" about the station's history. Before you set out, download the audio tour to your smartphone or print out a free self-guided tour map. Or rent a headset at the station.

To fuel your imagination and make the most of this low-cost adventure, come to Metro-North prepared with a copy of Karl Zimmerman's book "20th Century Limited." The 20th Century was the iconic luxury train that ran this route from 1902 to 1967, transporting the glitterati from Manhattan to Chicago.

"It was the finest train in the world in its day," explains Henry Posner III, chairman of Railroad Development Corp., the Pittsburgh-based investor in railways worldwide, and a rail fan since the day he purchased his first copy of Trains magazine at age 14. "Every time the train left the station it was a media event."

Photos: Illuminating an American railroad

With open eyes and an open mind, hop aboard the no-frills, workaday commuter rail for an under-two-hour, one-way journey that will cost you about $16, or slightly more during peak hours. Between glances out the window, flip the pages of Zimmerman's book, which tells the story, in words and pictures, of the train that carried celebrated passengers -- movie stars and moguls among them -- who partook of a full array of on-board services, including showers, barbers and secretaries.

Appetite whetted by descriptions of gourmet meals served aboard the 20th Century, arrive in Poughkeepsie ready for lunch. Enjoy the view of the Hudson from the back deck of River Station Restaurant while digging into generous portions of steak, lobster or stuffed scallops, among other favorites. Show your Metro-North ticket for a 25% discount on your meal and then, depending on your energy level, hop on the restaurant's free shuttle, take a five-minute taxi ride or walk the 20 minutes to your next (free) destination, known as the "Walkway Over the Hudson."

When it officially opened in 1889, the Poughkeepsie-Highland Railroad Bridge was the longest bridge in North America. Once a pivotal transportation link, connecting western goods to eastern industry via rail, today it's the world's longest elevated pedestrian bridge. It stretches 1.28 miles, offering up spectacular panoramic views of the Catskill Mountains above and the sparkling river below.

If all this river gazing leaves you wanting a closer look, consider rounding out your evening with an Empire Cruise in the Heart of the Hudson Valley -- a sightseeing riverboat ride on which you can hear stories of "industrial barons, ladies of the Gilded Age and explorers of long ago." Metro-North has discount packages available.

Amtrak's Empire Builder: Chicago to Glacier National Park in Montana

This adventure begins in Chicago, though more enthusiastic rail fans might start their trip an hour and half northwest of the city in Union, Illinois, at the Illinois Railway Museum. It's said to be America's largest.

Book your ticket to depart from Chicago's Union Station. For a comfortable, mid-price (about $375 to $800, depending on your travel dates) one-way Empire Builder ride, book a "roomette" aboard the double-decker Superliner. Slide into a recliner in front of your very own picture window, and let the 30-hour show begin.

Once outside the city, the tracks breeze through thick Illinois woods, and then Wisconsin farmland. At dinnertime, choose from a menu that includes marinated steak and herb-roasted chicken, and by the time you finish dessert, Mississippi River birds and barges will have come into view. Settle into one of two bunks in your roomette against a backdrop of the twinkling lights of the Minneapolis and St. Paul skylines. Awake to see hay fields in the North Dakota plains.

After breakfast -- blueberry compote French toast, anyone? -- venture out into the Sightseer Lounge, where a dome of windows allows for panoramic views and glimpses of prairie wildlife. On some trains, an on-board National Park Service guide will share the region's flora, fauna and cultural heritage.

After lunch, head to the dining car for a wine and cheese tasting featuring Oregon and Wisconsin specialties, exclusively for sleeping car guests. Answer enough train trivia questions correctly and you could walk away with a free bottle of wine. Spend the evening enjoying your winnings while watching the Rocky Mountains launch themselves out of the prairie before you.

Following a day of gazing onto Montana Big Sky country, prepare to disembark at one of three or four stops (depending on the season) within Glacier National Park. Dubbed "Crown of the Continent," the park is a hiker's wonderland of mountains, forests, lakes, and alpine meadows. After 30 hours of watching leisurely as all these diverse vistas pass by, you'll be ready to stretch your legs and plunge feet first into the landscape.

If you want to see the Pacific Northwest as you travel along portions of the Lewis and Clark Trail, get back on the Empire Builder and take the southern leg to Portland, Oregon, when the train splits at Spokane, Washington. The northern leg will take you to Seattle.

Via Rail's Canadian: Toronto to Vancouver, Canada

The 20th Century Limited is now just a memory, but Via Rail's Canadian route offers a taste of modern rail luxury that draws more than 100,000 travelers each year. This four-day trip aboard newly renovated trains offers upscale accommodations and spectacular scenery, as well as the chance to step off the train and take in the flavor of several stops en route.

Rail devotee Posner recommends taking this trip in the off-season, when relatively empty cars grant you the sense of being "on your own private train," but keep in mind that Canadian winters aren't for the faint of heart.

For an upscale journey, purchase a one-way Sleeper Plus ticket (from $1,336 to $2,120, depending on travel dates with occasional last-minute Express Deals). It includes a comfortable private cabin, a shared shower and all meals, as well as privileged access to the recently refurbished Park car, featuring 360-degree views on the upper observation deck as well as two elegant lounges.

Kick off your long-haul Canadian adventure in Toronto at 10 p.m. and settle into your cabin, complete with a duvet, crisp white bed linens and a private vanity, sink and WC. Before long you'll reach the gateway to the Muskoka Lakes and, soon enough, "dreamland" as the gentle sway of the train lulls you to sleep.

In the morning, draw the curtains on your big picture window to catch a glimpse of the billion-year-old exposed bedrock of the Canadian Shield, peppered with small settlements established at regular intervals to service locomotives.

Head to the dining car for a lunch of Greenland turbot and Atlantic salmon cake wrapped with a thin salmon filet, Angus burger on ciabatta, or quinoa salad with pears and feta. Then work off your meal with a walk around Hornepayne, where a 40-minute stopover grants you the opportunity to explore the small town that sprang up solely because of the railroad. Log piles and plywood plants along the tracks display the town's current major industry: wood. The different "slices of life" revealed by stops like this one are exactly what Posner loves about the Canadian.

When you reach Winnipeg on the morning of day three, take advantage of the nearly five-hour stop to explore the Forks, the historic shopping and dining district at the junction of the Assiniboine and Red rivers--a trading center for more than 6,000 years. Also make time, of course, for the Winnipeg Railway Museum, located right in the station, to view 37,500 square feet of railway artifacts, including the first steam locomotive on the Canadian prairies, the Countess of Dufferin, and an early diesel locomotive.

Another must-see stop toward the end of your journey is Jasper, located right in the heart of the Canadian Rockies, where goats and elk graze along the tracks and a one-and-a-half-hour stopover is sufficient to explore the whole town on foot.

Final stop: Vancouver, Canada's Pacific Coast gem, and the chance to sort through your photos and memories of the diversity of the country's landscapes, from the boreal forests to the prairies to the Rocky Mountains.

Do you have any fond memories of riding the railroads recently or as a child? For those who are railroad aficionados, what are your favorite railroads and why?

@highlight

The Poughkeepsie-Highland RR Bridge is now the longest elevated pedestrian bridge

@highlight

Book a "roomette" on Amtrak's Empire Builder for a comfortable, mid-price ride

@highlight

A view of the Canadian Shield is just one highlight of Via Rail's Canadian ride