(CNN) -- Minnesota is clamping down on triclosan, an ingredient used in some toothpastes, cosmetics, antibacterial soaps and body washes.

Gov. Mark Dayton recently signed a bill legalizing a measure banning triclosan-containing products in the state. The law will go into effect January 1, 2017.

"In order to prevent the spread of infectious disease and avoidable infections and to promote best practices in sanitation, no person shall offer for retail sale in Minnesota any cleaning product that contains triclosan and is used by consumers for sanitizing or hand and body cleansing," the law says.

The exceptions to this rule are individual products that have received approval from the U.S. Food and Drug Administration for consumer use.

Triclosan has been incorporated in consumer products for more than 30 years, according to the U.S. Centers for Disease Control and Prevention. A CDC study found triclosan present in the urine of 75% of the people tested.

The health effects of triclosan for humans are still unclear. Some studies suggest that the chemical could be linked to antibiotic resistance, but evidence is mixed, and the Environmental Protection Agency says more research is needed to evaluate risk.

There is some evidence that long-term exposure to some ingredients in antibacterial products, including triclosan, "could pose health risks, such as bacterial resistance or hormonal effects," according to the FDA.

Studies in rats have shown a decrease in thyroid hormones with long-term exposure to triclosan, Dr. Sandra Kweder, deputy director of the Office of New Drugs in FDA's Center for Drug Evaluation and Research, told CNN in December. But collecting data from humans is "very difficult" because the studies have to look at a long time period.

The FDA announced a proposed rule in December that would require manufacturers of antibacterial hand soap and body wash to prove their products are more effective than plain soap and water in preventing illness and the spread of infection.

If the rule goes into effect, those manufacturers also will be required to prove their products are safe for long-term use.

"Millions of Americans use antibacterial hand soap and body wash products," the agency said in a statement. "Although consumers generally view these products as effective tools to help prevent the spread of germs, there is currently no evidence that they are any more effective at preventing illness than washing with plain soap and water."

About 2,000 individual products contain such chemicals, health officials said.

The FDA first proposed removing triclosan from certain products in 1978, according to the Natural Resources Defense Council, "but because the agency took no final action, triclosan has been found in more and more soaps."

In 2010, the NRDC said it sued the FDA to force it to issue a final rule. The new proposed rule stems from a settlement in that suit, according to the group.

Most hand sanitizers have 60% alcohol or ethanol and are generally recognized as safe when water isn't available, Kweder said. However, health officials still believe washing hands with soap and water is the best method.

@highlight

Triclosan ban in Minnesota goes into effect in 2017

@highlight

Triclosan has been in consumer products for more than 30 years

@highlight

CDC study found triclosan present in urine of 75% of people

@highlight

Health effects still unclear