WASHINGTON (CNN) -- The Supreme Court voiced deep free speech concerns Tuesday about a law designed to stop the sale and marketing of videos showing dog fights and other acts of animal cruelty.

Selling depictions of animal cruelty like this amateur dogfighting video may be illegal under a 1999 statute.

The justices heard an hour of lively debate about the scope and intent of the decade-old statute that supporters say has done much to stop the spread of profiting from the torture and abuse of animals.

But media groups and the National Rifle Association were among those who say the law is overly broad.

"It's not up to the government to decide what are people's worst instincts," said Justice Antonin Scalia. "One can contemplate a lot of other areas, where government could say: You are appealing to people's worst instincts, and, therefore, movies cannot be made" showing dramatized depictions of animals being abused, for example.

"What about people who like to see human sacrifices?" asked Justice Samuel Alito, somewhat sarcastically. "Suppose that is legally taking place someplace in the world. I mean, people here would probably love to see it. Live, pay-per-view, you know, on the Human Sacrifice Channel. They have a point of view they want to express. That's okay?" He seemed to indicate strongly it was not, and that lawmakers would have discretion to block it.

The specific case before the court dealt with tapes showing pit bull dogs attacking other animals and one another in staged confrontations. Watch an excerpt of the tapes »

A federal appeals court had thrown out the conviction of Robert Stevens, a Pittsville, Virginia, man who sold videos through his "Dogs of Velvet and Steel" business. According to court records, undercover federal agents found he was advertising his tapes in "Sporting Dog Journal," an underground magazine on illegal dogfighting.

Among the products Stevens advertised was "Catch Dogs," featuring pit bulls chasing wild boars on organized hunts and a "gruesome depiction of a pit bull attacking the lower jaw of a domestic farm pig," according to the Philadelphia, Pennsylvania-based appeals court.

Stevens was charged in 2004 with violating interstate commerce laws by selling depictions of animal cruelty. He was later sentenced to 37 months in prison, and promptly appealed. He argued his sentence was longer than the 14 months given professional football player Michael Vick, who ran an illegal dogfighting ring.

It was the first prosecution in the United States to proceed to trial under the 1999 law.

The divided appeals court concluded that when it came to the federal law in question, "research and empirical evidence in the record before us simply does not support the notion that banning depictions of animal cruelty is a necessary or even particularly effective means of prosecuting underlying acts of animal cruelty." Nearly every state and local jurisdiction have their own laws banning mistreatment of wild and domesticated animals.

Several media organizations have come out in support of Stevens, worrying the federal law was too broad and could implicate reports about deer hunting, and depictions of bull-fighting in Ernest Hemingway novels.

A number of justices too had concerns, raising a number of hypotheticals, a possible sign a majority of the court remains uncomfortable with allowing the law to be reinstated.

"Why not do a simpler thing?" suggested Justice Stephen Breyer. "Rather than let the public guess as to what these words mean, ask Congress to write a statute that actually aims at those frightful things that it was trying to prohibit. Now, that can be done."

"You have to look at the content to determine whether or not the speech is prohibited," said Chief Justice John Roberts. "How can you tell these aren't political videos? With organizations like PETA [People for the Ethical Treatment of Animals] and others, depictions of the same sort of animal cruelty that is used to generate support for efforts to prohibit it. Why aren't these videos the exact opposite of efforts to legalize it?"

Justice Sonia Sotomayor questioned the distinction between Stevens' videos and news items.

"Tell me what the difference is between these videos and [filmmaker] David Roma's documentary on pit bulls? I mean, David Roma's documentary had much, much more footage on the actual animal cruelty than the films at issue here, greater sections of the film, and more explicit," she said.

Roma's 2006 independent film "Off the Chain" consisted of a great deal of hidden camera footage.

Among the wide-ranging hypotheticals raised by the justices over what the law could forbid included: fox hunts, pate de foie gras from geese, cock fighting, bullfighting, shooting deer out of season, even Roman gladiator battles.

Neal Katyal, an attorney for the Justice Department, said the law was "narrowly targeted" and had exceptions specifically for "religious, political, scientific, educational, journalistic, historical, or artistic value."

"This statute has nothing to do with the offense of the message. It has to do with trying to dry up an underlying market for animal cruelty," said Katyal.

Justice Samuel Alito appeared most supportive of the government's views. He asked about selling of so-called "crush" videos, in which women -- with their faces unseen -- are shown stomping helpless animals such as rabbits to death with spiked-heel shoes or with their bare feet.

"The people who produce 'crush' videos think they have a message, and the message is that this is sexually exciting," he said, clearly uncomfortable with the subject matter. When Stevens' lawyer Patricia Millett launched into a caveat-laden answer, Alito broke in.

"You are not even willing to say that this could be prohibited?" he asked. "Because we are trying to determine whether this is overly broad. And this is the category of activity that Congress particularly targeted."

Congressional supporters said a principal motivation for passing the law was to stop the growing popularity of "crush" videos. The Humane Society said the market for such videos stopped almost completely after the law was passed.

Millett said "Congress has a job to write with a scalpel and not a buzz saw in the First Amendment area."

She noted that if the law is upheld, it would only be the second time the Supreme Court has identified a form of speech undeserving of protection by the First Amendment. The justices in 1982 banned the distribution of child pornography.

"The problem in this case, was that Congress chose to attack speech and to control what the people of this country could see and hear before it was even seriously punishing the conduct at issue and that gets our Constitution upside down," Millett told reporters later.

The government had argued a "compelling interest" in stopping people who would profit from dog attack tapes and similar depictions.

The case is U.S. vs. Stevens (08-769) and a ruling is expected in several months.

@highlight

The justices heard an hour of debate about scope and intent of decade-old statute

@highlight

Statute supporters say it helps stop profiting from the torture and abuse of animals

@highlight

Media groups, National Rifle Association say the law is overly broad

@highlight

Case is first prosecution in the United States to go to trial under the 1999 law