(CNN) -- U.S.-Russian sniping over Syria's growing conflict isn't the early frost of a new Cold War, but it highlights the chilly spots that remain between the onetime foes, longtime observers say.

The Obama administration came into office promising a "reset" of relations with Moscow after the 2008 conflict between Russia and the former Soviet republic of Georgia, a prospective NATO ally. That helped pave the way for a new strategic arms control treaty, a revamping of U.S. missile defense plans that Russia opposed and greater Russian support for sanctions aimed at curbing Iran's nuclear development.

"I think that the good ties that are associated with the reset came from an analysis from both sides that there were issues where both sides had a set of common interests, and both sides could pursue those interests and do business with one another," said James Goldgeier, the dean of the American University School of International Service and a veteran Russian analyst.

G-20 nations must 'do what's necessary' to boost world economy, Obama says

However, Goldgeier added, "What we've seen recently is there are still issues that divide the United States and Russia, on issues where there aren't common interests."

And topping that list today is Syria, where President Bashar al-Assad's crackdown on a popular uprising spawned by the "Arab Spring" revolts across the region now threatens to become a full-blown civil war. At least 10,000 people have been killed -- opposition groups say 13,000 -- and a U.N.-Arab League cease-fire plan has all but collapsed.

The United States, its Western allies and leading Arab states have condemned al-Assad, whose family has ruled Syria since 1971. But Russia has stood behind its longtime allies in Damascus, blocking action in the U.N. Security Council and warning against outside intervention on behalf of the opposition.

President Barack Obama and Russian President Vladimir Putin met Monday on the sidelines of the G-20 Summit in Los Cabos, Mexico, and discussed the Syrian conflict. It was the first face-to-face talk between the two leaders since Putin returned to the president's office this year.

After the nearly two-hour talk, Obama said the two had "agreed that we need to see a cessation of the violence, that a political process has to be created to prevent civil war."

About a third of the session was devoted to Syria, said Mike McFaul, U.S. ambassador to Russia. Both Obama and Putin "wanted to make sure the other side of the table understood the true motivations for what they're trying to do and what they're trying not to do."

The tension between Washington and Moscow flared last week when U.S. Secretary of State Hillary Clinton accused Russia of shipping helicopters to Syria, where opposition groups say they are being used against civilians. Russian Foreign Minister Sergey Lavrov said Thursday that his government isn't selling al-Assad any equipment that could be used against protesters, just delivering air defense systems under contracts struck years ago -- though another Russian official, speaking on condition of anonymity, told CNN that Russia is refurbishing older copters it had sold previously.

On Monday, U.K. marine insurer The Standard Club said it had stopped coverage for Russian operator Femco's cargo ship, MV Alaed, amid allegations that the ship is carrying weapons to Syria. Ship-tracking data showed the Alaed was off the northern coast of Scotland on Monday.

U.S. officials have said the ship is heading for Syria with attack helicopters and munitions. American officials said Friday they were tracking the Nikolay Filchenov, a Russian military cargo ship believed to be bound for Syria. RIA Novosti, Russia's state-run news agency, denied the report Monday, citing a source in the Black Sea Fleet as saying the Nikolay Filchenov remained docked at its base in Sevastopol.

Russia stood aside as the Security Council authorized international intervention in the Libyan revolt that toppled longtime strongman Moammar Gadhafi in 2011. But Syria "is a place where Russia has real interests at stake," said Matt Rojansky, deputy director of the Russia-Eurasia program at the Carnegie Endowment for International Peace in Washington.

"The problem for the Russians is Assad just isn't very effective," he said. Rather than crushing the revolt against him, "It seems that everything he does just inflames it even more." That gives the U.S. and its allies the opening to put more pressure on al-Assad, who took power after his father's death in 2000.

"The Russians would love to see those arguments go away and get back to geopolitics," Rojansky said. "But those arguments are not going to go away while more civilians are getting killed, and the Russians understand that."

'Entire families trapped under the rubble,' Syrian opposition says

Meanwhile, he said officials in Moscow see U.S. support for the Syrian opposition as another "encroachment" on their backyard.

"They see this in part of the same continuum of what's been happening in post-Soviet states over the past decade," Rojansky said. Previous American support for reform movements in former Soviet republics "creates a bunch of problems in the neighborhood," while the U.S. stance against Iran's nuclear program is seen as another push for "regime change," he said.

And Martin Indyk, a former U.S. ambassador to Israel and assistant secretary of state in the Clinton administration, told CNN's "Amanpour" program that the top Russian priority is "that at the end of the day, Syria not be taken out from the Russian column and put in the American column."

"We don't have a very good track record on reassuring them of that, because essentially, that's what we've gone around doing since the Cold War," he said. "So, there's a real mistrust of our intentions there, notwithstanding assurances that we might be trying to give there."

But neither side wants to see the Syrian conflict spread to neighboring countries such as Lebanon, which has been torn between pro- and anti-Syrian factions in recent years. And the United States needs Russian help with Iran, which has defied U.N. demands that it stop producing nuclear fuel amid Western and Israeli accusations that it is driving toward nuclear weapons.

Opinion: Why Putin can't be forced to deal

That could leave Washington in a grim position, Indyk said.

"It is a real irony that on the one hand, we're expecting Lavrov to go off to Tehran in these coming days and deliver a more flexible position on the part of Iranians towards the offer that's on the table in the nuclear talks that are going to take place in Moscow, in which we're heavily dependent on the Russians to cooperate with us and pressure the Iranians," he said. "And at the same time, we're beating them over the head for being too supportive of the Assad regime, particularly by providing these attack helicopters.

"It's a very hard balancing game, and there is this tension between them that is not easily reconciled," Indyk said. "So, ultimately, I think we're going to have to decide which one is more important to us. And I suspect that, at the end of the day, it will be the Iranian issue and the nuclear weapons programs we run that trumps concern about what's happening in Syria."

And Goldgeier said the Syrian crisis is a reminder that "fundamental differences" remain between the former Cold War antagonists, "and what's happening in Syria exposes the limits of the relationship between U.S. and Russia."

"It's not the Cold War. It's not going to be the Cold War," he said. But the dispute over Syria "could be as serious as the Georgian war, because it does expose a Russian approach that is fundamentally at odds with Western interests -- really, in this case everyone else's interests."

Syria-bound Russian cargo ship loses insurance

CNN's Tim Lister contributed to this report.

@highlight

Syria may strain U.S.-Russian ties, but they still need each other, observers say

@highlight

Syria "is a place where Russia has real interests at stake," Carnegie analyst says

@highlight

The United States needs Russian help in the Iran nuclear talks, former diplomat says