Editor's note: This story is the second of a three-part series focusing on the FBI as the agency hits the 100-year mark.

A lab worker examines a tire tread at the FBI's famed crime lab in Quantico, Virginia.

QUANTICO, Virginia (CNN) -- Behind closed doors, the scientists and agents of the FBI scrutinize fibers, poisons, explosives, DNA and just about any other shred of evidence that might help solve crimes.

They can't talk about specific cases they're working. Yet the work they're doing can put people behind bars or lead to major advances in crime-solving techniques.

As the FBI hits the 100-year-mark and continues to evolve to meet the demands of the world, CNN visited the state-of-the-art crime lab in Quantico, Virginia. It's the same lab that inspired the hit television series "CSI."

Dozens of experts from an array of fields work under one roof.

"I think that's what really made a name for the FBI lab," said Robert Fram, chief of the FBI's scientific analysis section. "We were able to get involved in a lot of very high-profile cases and get it done completely."  Get a behind-the-scenes look at the lab »

The lab has played roles in everyday cases as well as some of the most significant crime investigations in the nation's history, from the assassination of President Kennedy to the bombing of Pan Am Flight 103 over Lockerbie, Scotland, in 1988 to the September 11 terrorist attacks.

The lab now employs 500 agents, scientists and other personnel, far from its origins in 1932. Back then, there was only one agent working in a single room in Washington. His name was Charles Appel, a handwriting analysis expert.

Appel's background allowed the lab to play an important role in one of its first big cases: the kidnapping and killing of the toddler son of aviator Charles Lindbergh. Appel linked the handwriting from ransom notes to a suspect, Bruno Richard Hauptmann, who was convicted.

Since then, the lab has been on the cutting edge of crime-solving techniques. The advent of DNA analysis was a revolution in forensic science, and it's a key part of what the FBI lab does.  See photos of the FBI as it turns 100 »

Richard Guerrieri is a chief DNA analyst at Quantico.

"Our unit handles anywhere from 1,500 to 1,800 submissions a year of evidence," Guerrieri said during a tour of the lab.

Often, that involves examining clothes for bodily fluids that can help identify a suspect or a crime victim. The DNA unit is one of the first areas of the lab to use robotics to speed up the processing of evidence.

Another scientific advancement is the Direct Analysis in Real Time machine, which can quickly identify substances such as poisons and explosives.

"The whole premise behind this technology is that almost every chemical we analyze has its own unique weight," said Dr. Marc LeBeau, chief of the lab's chemistry unit.

Lab officials say their advanced techniques are essential to fighting crime. But they also say that sometimes, those advances can unrealistically raise expectations.

Television shows like "CSI" show speedy DNA or fingerprint matches and criminals in handcuffs in just one hour, something lab workers say doesn't happen in the real world.

"We work on some cases for years at a time and keep putting more and more evidence together," said Carlo Rosati, a forensic examiner in firearms and tool marks.

FBI officials say many juries expect DNA and fingerprints to be found at every crime scene. "Why isn't there a fingerprint; why isn't there DNA?" Fram asked, describing jurors' expectations. "And they're going as far as feeling that they can't convict someone because you didn't find A, B or C, where you just don't always find those things."

The FBI lab has had some missteps. In 2004, authorities matched a fingerprint belonging to Oregon lawyer Brandon Mayfield to evidence found at the site of the Madrid, Spain, train bombings. Mayfield was cleared, sued the FBI and received a $2 million settlement. In the 1990s, a Justice Department investigation found flaws in lab analysis and trial testimony in some cases, which led to reforms.

"No one's infallible," Fram said. "A mistake can be made. The idea is to minimize it. And the idea is to act on it if it was made and correct it, and make sure it doesn't happen again."

Officials at the lab say they are strict about handling evidence.

When a CNN crew visited in June, it was not allowed into areas where scientists were working with real evidence. CNN was shown demonstrations with test materials.

Karen Lanning, chief of the evidence control unit, said evidence has to be dealt with correctly from the second it arrives at the FBI. "It's critical for every case, whether it's to put somebody who really should be in jail or to help exonerate somebody. It's somebody's life that we're dealing with, so it has to be taken very seriously."

@highlight

FBI crime lab began in 1932 with one person; it now employs 500

@highlight

Quantico, Virginia, lab processes hundreds of pieces of evidence each month

@highlight

Lab inspired "CSI," but lab forensics expert says the show is unrealistic

@highlight

Mistakes have been made on some big cases: "No one's infallible"