(CNN) -- The human rights activist who entered the 55th day of a hunger strike in Bahrain on Tuesday may not survive the ordeal, his daughter told CNN.

Abdulhadi al-Khawaja "is entering a critical phase, where his life is at stake," his daughter, Maryam al-Khawaja said. She said two doctors accompanied her father at all times Monday night, and he was being moved Tuesday to a different prison that has medical equipment he needs.

The move is because of fears that he may go into a coma at any time, as his blood sugar and blood pressure have further dropped, she said.

On Tuesday, the attending physician at the Correction and Rehabilitation Center recommended that he be transferred to the Public Security Fort for constant medical observation and care, a spokeswoman for the government's Information Affairs Authority said.

The Interior Ministry's general inspector said Tuesday that "all policies and procedures of the prison facilities in Bahrain meet international human rights standards and all detainees have consistent and reliable access to professional medical care," according to a statement from Maj. Gen. Tariq H. Al Hasan, a spokesman for the ministry.

Al Khawaja's medical condition "is under constant surveillance" and he is provided with daily medical care, al-Hasan said in the statement.

On 30 March, he was found to have low blood pressure and was taken to Bahrain Defense Force Hospital, where he was treated and returned to Jau Prison the following day, it said.

Records showed that Al Khawaja had lost about 10 kilograms (22 pounds) and had a low hemoglobin level, though not critically low. It said he was taking fluids, mineral supplements, glucose and juice on a daily basis.

The activist, who was arrested last April for his role in anti-government demonstrations that swept through his country in February and March, has been on a hunger strike for eight weeks to protest his life prison term.

In June, al-Khawaja and seven other Shiite opposition activists were found guilty of plotting to overthrow the country's Sunni royal family. They were sentenced to life in prison.

The Bahrain Center for Human Rights, a nonprofit human rights group started by al-Khawaja and for which his daughter works, has appealed for his immediate release on humanitarian grounds.

His life is in danger, Maryam al-Khawaja said, "and getting to a situation where there might be an unrepairable damage to his physical well-being, if he survives."

Maryam al-Khawaja said he and 13 other detained leaders had their cases taken Monday to the Court of Cassation, where lawyers requested that they be released pending a court decision.

The judge refused the request and announced that the decision will be read on April 23, she said.

"We urge the government to take into consideration the deteriorating health condition of Abdulhadi Al-Khawaja that cannot wait until the court's decision," she said. "Any damage to the health of Abdulhadi Al-Khawaja is the responsibility of the Bahraini government."

UK Foreign Office Minister Alistair Burt met with officials in Bahrain on Tuesday to discuss progress on reform and human rights issues, the Foreign Office said in a statement.

"We hope that the steps taken so far by the Bahraini government will provide the basis for further reform and will help prevent future abuses from being committed," Burt said. "Reports of ongoing violence and street protests in Bahrain make clear this is (a) long-term process and more needs to be done."

Rights group Amnesty International called Friday for al-Khawaja's immediate and unconditional release.

Phillip Luther, its Middle East and North Africa director, said in a statement: "The Bahraini authorities have made pledges that they would release people who were imprisoned for exercising their right to freedom of expression, but the continued imprisonment of Abdulhadi al-Khawaja demonstrates that they are not serious about fulfilling such promises."

The rights group considers al-Khawaja a "prisoner of conscience, detained solely for exercising his right to freedom of expression," and says he began his hunger strike in February to protest his sentence.

Last week, the United Nations issued a statement expressing concern about "the health of human rights defenders who are on hunger strikes in protest against their imprisonment for participating in last year's mass demonstrations."

The state-run Bahrain News Agency published a statement Tuesday from the Ministry of Human Rights and Social Development in response to a critical report by another rights group, Human Rights Watch, that said Bahrain had not lived up to its commitments on reform.

The ministry dismissed the criticism as rash, saying that the Human Rights Watch report "had ignored the positive developments in the country and the continuation of the reform process," and that it was committed to the protection of human rights.

Demonstrations in Bahrain failed to gain the traction of other Arab Spring uprisings after a crackdown by authorities in the island state, backed by troops from nearby Saudi Arabia and the United Arab Emirates.

In November of last year, Bahrain's Independent Commission of Inquiry issued a report critical of authorities' reactions to the protests, which began in February 2011, spurred by uprisings in Tunisia and Egypt.

The independent commission, set up by Bahrain's King Hamad bin Isa al-Khalifa, found that between February and April of last year, 35 people were killed in unrest there.

Demonstrators and Bahraini authorities have continued to clash in recent months, with the opposition accusing the government of using heavy-handed tactics.

CNN's Samira Said and Mohammed Jamjoom contributed to this report.

@highlight

Bahrain must do more to ensure reform and prevent abuses, UK Foreign Office says

@highlight

The daughter of hunger striker Abdulhadi al-Khawaja says his life is at stake

@highlight

He has been on a hunger strike for nearly 8 weeks and may drop into a coma, she says

@highlight

He and 7 others were found guilty of a plot to overthrow royal family