(CNN) -- For decades, many African countries saw some of their most skilful young people take their talents to other parts of the world, lured by the financial prospects outside the continent.

But lately, as much of Europe continues to shrink under the weight of austerity, an increasing number of Africans are turning their backs on cash-strapped western economies to return to their continent, seeking jobs and new economic opportunities.

One of these returnee Africans -- known as "repats" -- is Nigerian Joshua Egba. The 33-year-old financial consultant left the West African country a decade ago to continue his studies in London, UK.

"Things weren't really happening in Nigeria in about 2002," he says. "People were going to the UK for better opportunities."

But this picture changed completely in 2008, Egba notes, when the global financial crisis hit Britain, bringing with it a feeling of fear and job insecurity.

"Business are laying staff off, the government is laying staff off, so you're not safe," he remembers. "I thought really it's time for me to go home because I'm hearing all these stories, all these success stories coming from Nigeria, coming from Africa."

Read more: The Africans looking to make it in China

For Nigeria, 2008 was a turnaround year as a series of government reforms boosted the country's economy that has continued to grow since then: in the past three years, the oil-rich West African nation has seen growth of more than seven percent while much of the western world remains mired in financial turmoil.

While the evidence over the returnee figures in Africa is largely anecdotal, observers cite the continent's impressive economic growth, coupled with improvements in governance, a boom in telecommunications and the economic slowdown in the West, as the key factors for the apparent increase in the number of Africans coming back to the continent.

Read more: Activists use web to fight back in anti-corruption battle

"People who wouldn't have considered coming back in the first instance started looking at the possibility of actually going back to Africa to look for better opportunities," says Funto Akinkugbe, managing director of findajobinafrica.com, an online platform that facilitates the connection between recruitment agencies, employers and jobseekers.

Akinkugbe notes that his site, which he says receives around 43,000 - 45,000 visitors on a monthly basis, has recorded an increase of 35-40% in the last two years over the number of people applying for jobs in Africa. He adds that this increase is supported by the ever growing number of the Africa-focused job portals, which now number in hundreds.

Akinkugbe says that the main areas of employment activity are the mining industry in Central African countries like the Democratic Republic of Congo, agriculture in West Africa and the oil and gas sectors in countries such as Uganda and Ghana.

But part of this increasing interest, Akinkugbe explains, is not only limited to Africans.

"You now also have Europeans looking at exploring opportunities in Africa because Africa is an emerging market, the next destination," Akinkugbe says. "There's been a number discoveries within the last 10 years in the oil and gas sector, so you have a lot of countries ... that are willing to bring in experts so they can actually develop the local industry."

Jean-Philippe Chauzy, a spokesperson for the International Organization for Migration, says African countries with growing economies have the potential to attract skilled profs back home.

"Those who are skilled and highly-skilled are basically employable on the global jobs market, so they will tend to go where jobs are available," says Chauzy.

"Now, it might be in their country of origin if the country of origin has a growing economy -- for instance, think of Angola where there is growth," he adds. "So those migrants, because they have skills and they've got access to information, will weigh their chances -- whether it's better to stay in Europe or whether there's more of a future going back home and creating an enterprise or a small business and basically trying to hone their skills."

Read more: How '99p' stores made African businessman millions

But amid this brain-gain boom, there are still millions more professionals in the African diaspora put off by the daily inconveniences of living in some parts of the continent.

Problems such as traffic, power cuts, corruption and the general struggle to get things done quickly can act as a deterrent, especially among high-skilled African migrants.

Nigerian Tunde Ogunrinde, who returned to his country after spending some 20 years in Europe, is today the chief operating officer of restaurant chain Chicken Republic.

He says he was lucky to return to a well-established and organized industry but adds that more needs to be done to make it more appealing for professionals such as doctors, nurses and lecturers to come back to the country.

"The government really needs to put more of an enabling environment for those industries to lure back, not just people like myself in the retail, hospitality industry, but also in those industries," says Ogunrinde.

Victoria Eastwood contributed to this report

@highlight

An increasing number of Africans are leaving Europe and the West to return to Africa

@highlight

They return to their continent seeking jobs and new economic opportunities

@highlight

Economic growth, better governance and technology boom are factors in rise of returnees

@highlight

The economic slowdown in the West in recent years is also a factor