(CNN) -- For the third time, Mahmoud Al-Qassab lowers the body of one of his children into the ground. He steps back as neighbors and relatives shovel dirt over his teenage daughter's grave.

He does not cry or wail.

"I thank God this is my third martyr: Ahmed, Abdullah and now her. I thank God, and I will not say anything against his fate," Mahmoud told an activist filming the small funeral.

Just a few months ago, 18-year-old Ayat Al-Qassab sang and danced with her mother and aunts as they dressed the bride in her wedding gown. Now, her shattered and bloodied body lies in a grave below the crumbling, bullet-ridden buildings of Homs.

Read more about Ayat's wedding

"She was killed and she took my heart, my soul, my mind and everything with her, but we will not give up. We will not retreat. We must keep moving forward," husband-turned-widower Mohammad Jumbaz said quietly.

Ayat did not lead battles or chair diplomatic talks. She is just like many other Syrians -- young, hopeful, and now dead.

"There was no daughter like her. She was bright and beautiful and playful. Then the siege happened and with it her destiny," Aisha Al-Qassab, Ayat's mother, said as tears streamed down her face.

Ayat and Mohammad recently found out they were expecting their first child. The new family was elated, even as UNICEF estimates that 2.5 million people, including many children, are affected by the violence and instability in Syria.

"My love, she was only married a few months, then pregnant and now a martyr," Ayat's mother said.

A 120 mm rocket fired into the family home struck Ayat in the head, killing her and her unborn child instantly. Ayat's father, who was standing nearby, was hit in the shoulder and wounded.

"The week before she died, a rocket attack injured her hand, and I had this feeling in my heart that it was a sign. It was as if God gave us just one more week to take her in and say goodbye," Mohammad said.

Young, defiant and in love

Brave and defiant, Ayat hardly spoke of the frivolities of bridal gowns and wedding cake.

"I wore a white dress, but we did not have a traditional wedding because of this animal in power," Ayat said in an interview shortly after getting married. "We hope once the regime falls we can have a wedding, because our happiness is the end of this government."

Although Ayat and Mohammad married just a week after meeting, the two were in love, her mother said.

"She was young, and I had not planned on her marrying, but the siege brought her destiny. A young hardworking man liked her and she saw him and he saw her and they fell in love and got married," Aisha said, shaking her head as if trying to forget.

The newlyweds saw their marriage as a symbol of the resistance against Syrian President Bashar al-Assad.

For Mohammad, the part-time rebel fighter, revolution remained his shield, but the young man also believed living and loving was the greatest defiance of all.

"She was wonderful. We were newlyweds and we were happy. Even if she upset me I could not be mad at her. Her gentleness captured my heart and I pray that God opens the gates of heaven for her," he said, cracking a tiny smile as he remembered his wife.

Guns and battles are far from Mohammad's true passion: baking sweet desserts. The young pastry chef loves making indulgent treats for Homs' fighters, families and children.

"When I give a family sweets, it is as if I am handing them a treasure," he said as he laughed loudly for the first time, thankful for the power of a single cookie in a city ravaged by war.

Ayat shared Mohammad's delight for delivering glimpses of joy through pastries drizzled with sweet "ater" or syrup, even as gas, flour, sugar and milk were in short supply.

"She loved sweets, and more than that, she loved to watch me make them. We had even made date cookies and she died before she could eat them, so we gave them away," Mohammad said, still smiling.

A childhood cut short

Ayat was born and raised in the Old District of Homs, Syria's third largest city. Her father was a laborer and her mother stayed at home with the kids, instilling in her the value of hard work and family. The third of five children, Ayat's two older brothers spoiled the brown-eyed girl while the two younger siblings depended on her care.

"She loved to study and she would always study. When the siege happened there were no schools left open," Ayat's mother said.

More than 2,000 schools have been damaged or destroyed in civil war-related violence, and about 600 schools serve as makeshift shelters for internally displaced people, according to the Syrian government.

"She loved to help me with the housework, but I would not let her. I wanted her to study," Aisha said.

The western city of Homs relies largely on industrial jobs. For Ayat's family, education provided an opportunity for their children to escape manual labor in a country where the average monthly salary is $300.

"She wanted to be an expert in Sharia law -- maybe she could have even got her Ph.D. if she got good grades, but God did not plan this for her," Aisha said.

War and marriage

The Syrian uprising sparked by revolts across the Middle East forever changed Ayat's country and transformed Homs into a bastion of resistance against al-Assad's government.

"(Ayat) grew up on the love of God and when the demonstrations started she fell in love with the revolution and was very proud of her brothers who fought and died for freedom," Mahmoud said.

Revolution morphed into a full-scale civil war, consuming every corner of the beautiful country in a bloody and relentless fight for power. Amid a stifling siege on Homs, where the Syrian Army regularly blocked food, medicine and supplies, Mohammad and Ayat got married.

"I am very happy here with my life. Here our life is better than a honeymoon outside our country. We are not like the people who fled. Here we have our pride and we are defending our nation. I would prefer my honeymoon to be here amid the bombs and shells than for me to abandon my nation," Ayat told CNN earlier this year.

But as the bitter winter cold and intensifying government shelling added another dimension to the struggle for survival, Ayat began fearing for her life and the life of her unborn child.

"She began to get very scared, and every time she would hear a plane fly overhead she would become afraid," Mohammad recalled, "but she never asked to leave Homs. The opposite -- she was proud to stay, and I thank God for her martyrdom."

In Islam, martyrdom is a high honor granted by God to those who die fighting for their religion, country or rights of their community. Muslims believe a martyr is destined for heaven, so loved ones must celebrate rather than mourn their death.

"God gave her parents the patience to overcome the death of her brothers, and God gave me the patience to overcome the death of my brother. God willing, he will grant us the patience to overcome Ayat's death, too," Mohammad said.

After nearly two years of conflict, more than 40,000 people have lost their lives. Syria sees a steady stream of funerals for its so-called martyrs, where shrill cries of joy compete with wails of pain in haunting processions for the dead.

As difficult as it seems to rejoice over the death of a loved, the Islamic principle of martyrdom is at its core about blind faith that those who died righteously reside in a better place in the afterlife. It is a conviction the family clings to when nothing else can explain the death of a young, pregnant woman only a few months into her marriage.

"We had prayed that she would live and they would have children," Aisha said.

"And that we would become a grandpa and grandma, but God remembered her and he took her," her husband interjected.

"I pray that he destines us to martyrdom, too," Aisha added.

The family's near impenetrable faith prevents them from protesting Ayat's fate, but by accepting her death, the family must survive on memories of her life.

"I will remember everything about her. What more can I say? I will remember everything, everything," Mohammad murmured.

And with that, the family members bowed their heads and fell silent.

@highlight

18-year-old newlywed Ayat Al-Qassab was recently killed by rocket in Syria

@highlight

Ayat and her husband saw their marriage as act of defiance against al-Assad

@highlight

Her family considers her a martyr