Washington (CNN) -- Thirty to 40 years ago, when arcade and console games were primitive and parents condemned them as a new threat to their children's schooling, it was probably hard to imagine one of America's leading museums embracing video games as an artform.

Fast forward to 2012, and many parents are still trying to limit their kids' gaming hours. But video games themselves are increasingly ambitious, interactive and artistically complex -- an evolution celebrated in a new show at the Smithsonian American Art Museum.

The exhibition, "The Art of Video Games," explores 40 years of video games as cultural artifacts. It features interactive games people can actually play, pieces of gaming memorabilia and visual displays that highlight the artistic work done by developers.

And as the first such exhibition to appear in a major museum, it's been a huge hit. Museum officials said their opening last month drew nearly 23,000 people, putting it in the top five highest visitation days ever. Chris Melissinos, guest curator of the exhibition, believes the timing is right because the current generation of museum-goers have grown up with video games.

"The exhibit will highlight the games they grew up with, and in a way, tell the story of their lives," he said. "People will see a game or artwork and remember what they were doing when that game was in their life."

From 'Pac-Man' to 'Flower'

Based on the response from the crowds that packed the museum opening weekend, Melissinos may be right. Many visitors seemed thrilled at the chance to relive bits of nostalgia from their youth.

"I thought it was pretty neat to watch the evolution of games," said Kim, a woman from Columbus, Ohio, who declined to give her last name. "I grew up playing 'Frogger' on the Atari but got away from games until my son started playing."

"We got our first Nintendo when he [son Jimmy] was 6 months old," said Barbara of southern Maryland, who also didn't give her full name. "The old stuff has an artistic feel to it when you look at where games are now. It brings back a lot of memories for me about when my kids were growing up."

"I thought it was amazing," said Jimmy, now 21. "People will be able to come to the Smithsonian and still learn about video games and see the beauty in them."

The exhibit includes five playable games, from dot-chompin' arcade classic "Pac-Man" to 2009's "Flower," a conceptual game in which players spread positive energy by blowing a flower petal through the air.

One of its major pieces is a display of 20 different video game consoles throughout the years. From the Atari 2600 to the PlayStation 3, each display features four games that were voted on by fans around the world as the best representatives for that console.

Developers' reaction

Most game developers contacted by CNN were excited about being recognized for what they've been doing most of their lives. While the question of "video games as art" sparks debate in some circles, game makers agree that raising the level of discussion to include the Smithsonian is a welcome event.

"Uncharted 2: Among Thieves" was one of the games honored for the PS3 console. Amy Hennig, creative director for the game, said the question of whether video games belong in an art museum is irrelevant.

"Of course they are [art]. It's just another medium. It's just interactive," she said. "To see such a mainstream recognition of our medium, I mean, it really is the first time that that's happened. I think that's a huge cultural event and hugely gratifying."

But the idea that being in the Smithsonian somehow legitimizes the work of the video game industry doesn't sit well with Irrational Games creative director Ken Levine.

"I couldn't care less," he said. "It's nice. It's great to see it at a museum. But, it doesn't mean to me a lot. It doesn't mean anything in terms of a paradigm shift."

Levine said the Smithsonian just adds a new voice to the already burgeoning discussion about games taking place over the Internet in recent years. "There is probably more conversation about games ... than there was in 500 years of landscape painting," he said.

He believes the exhibit may raise the level of games in the eyes of people who overlook how important video games are to our culture and society.

"The more places we can talk about what we do, the better," Levine said. "We are a ghettoized industry in the sense that ... we're not on 'The Tonight Show.' Even though guys like 'Call of Duty' are going to sell 25 million copies of their game -- they're not on."

The nature of art

In discussing the exhibition, gamers and developers agree that video games are similar to other forms of art in that they're not complete until experienced by someone. Every person reacts to an artwork differently, lending it meanings that even its creator didn't intend.

Given their interactive nature, this may be especially true of video games, Levine said.

"[Art] has no life outside of being viewed. Like the Heisenberg Uncertainty Principle, it changes every time it is viewed. That's what's wonderful about it. It's entirely subjective," he said.

"It is, by nature, somebody enforcing their creative will on you. That's what being a viewer is. Part of the joy of experiencing art is surrendering yourself to it. Sometimes, it is a good experience and sometimes, it is not."

The "Art of Video Games" exhibition runs through September 30.

@highlight

A new Smithsonian exhibition explores 40 years of video games as art

@highlight

The show's opening drew nearly 23,000 visitors, one of the museum's busiest days ever

@highlight

One room showcases 20 different video game consoles throughout the years

@highlight

The "Art of Video Games" exhibition runs through September 30