Editor's note: LZ Granderson is a senior writer and columnist for ESPN The Magazine and ESPN.com, and has contributed to ESPN's Sports Center, Outside the Lines and First Take. He is the 2009 Gay & Lesbian Alliance Against Defamation (GLAAD) award winner for online journalism and the 2008 National Lesbian and Gay Journalists Association (NLGJA) winner for column writing.

LZ Granderson says criticism of President Obama by the gay community has gone too far.

(CNN) -- Far from flowing rainbow flags, the sound of Lady Gaga and, quite honestly, white people, stands a nightclub just outside of Wicker Park in Chicago, Illinois, by the name of The Prop House.

The line to get in usually stretches down the block, and unlike many of the clubs in Boystown and Andersonville, this one plays hip-hop and caters to men who may or may not openly identify as gay, but without question are black and proud.

And a good number of them are tired of hearing how the gay community is disappointed in President Obama, because they are not.

In recent weeks, one would have thought the nation's first black president was also the nation's biggest homophobe. Everyone from Oscar winner Dustin Lance Black and radio personality Rachel Maddow to Joe Solmonese, the president of Human Rights Campaign, the country's largest gay advocacy group, seem to be blasting Obama for everything from "don't ask don't tell" to Adam Lambert not winning American Idol.

In their minds, Obama is not moving fast enough on behalf of the GLBT community. The outcry is not completely without merit -- the Justice Department's unnerving brief on the Defense of Marriage Act immediately comes to mind. I was upset by some of the statements, but not surprised. (After the Tuskegee Syphilis Study, President Ronald Reagan's initial handling of AIDS and, more recently, Katrina, there is little that surprises me when it comes to the government and the treatment of its people.)

Still, rarely has criticism regarding Obama and the GLBT community come from the kind of person you would find standing in line at a spot like The Prop House, and there's a reason for that.

Despite the catchiness of the slogan, gay is not the new black.

Black is still black.

And if any group should know this, it's the gay community.

Bars such as The Prop House, or Bulldogs in Atlanta, Georgia, exist because a large number of gay blacks -- particularly those who date other blacks, and live in the black community -- do not feel a part of the larger gay movement. There are Gay Pride celebrations, and then there are Black Gay Prides.

There's a popular bar in the heart of the nation's capital that might as well rename itself Antebellum, because all of the white patrons tend to stay upstairs and the black patrons are on the first floor. Last year at the annual Human Rights Campaign national fundraiser in Washington, D.C. -- an event that lasted more than three hours -- the only black person to make it on stage was the entertainment.

When Proposition 8 passed in California, white gays were quick to blame the black community despite blacks making up less than 10 percent of total voters and whites being close to 60 percent. At protest rallies that followed, some gay blacks reported they were even hit with racial epithets by angry white participants. Not to split hairs, but for most blacks, the n-word trumps the f-word.

So while the white mouthpiece of the gay community shakes an angry finger at intolerance and bigotry in their blogs and on television, blacks and other minorities see the dirty laundry. They see the hypocrisy of publicly rallying in the name of unity but then privately living in segregated pockets. And then there is the history.

The 40th anniversary of Stonewall dominated Gay Pride celebrations around the country, and while that is certainly a significant moment that should be recognized, 40 years is nothing compared with the 400 blood-soaked years black people have been through in this country. There are stories some blacks lived through, stories others were told by their parents and stories that never had a chance to be told.

While those who were at Stonewall talk about the fear of being arrested by police, 40 years ago, blacks talked about the fear of dying at the hands of police and not having their bodies found or murder investigated. The 13th Amendment was signed in 1865, and it wasn't until 1948 that President Harry S Truman desegregated the military. That's more than an 80-year gap.

Not to be flip, but Miley Cyrus is older than Bill Clinton's "don't ask, don't tell." That doesn't mean that the safety of gay people should be trivialized or that Obama should not be held accountable for the promises he made on the campaign trail. But to call this month's first-ever White House reception for GLBT leaders "too little too late" is akin to a petulant child throwing a tantrum because he wants to eat his dessert before dinner. This is one of the main reasons why so many blacks bristle at the comparison of the two movements -- everybody wants to sing the blues, nobody wants to live them.

This lack of perspective is only going to alienate a black community that is still very proud of Obama and is hypersensitive about any criticism of him, especially given he's been in office barely six months.

If blacks are less accepting of gays than other racial groups -- and that is certainly debatable -- then the parade of gay people calling Obama a "disappointment" on television is counterproductive in gaining acceptance, to say the least. And the fact that the loudest critics are mostly white doesn't help matters either.

Hearing that race matters in the gay community may not be comforting to hear, but that doesn't make it any less true.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: Blacks tired of hearing about gays' disappointment in Obama

@highlight

He says black gays strongly support first African-American president

@highlight

He says gay rights movement is not comparable to the civil rights struggle

@highlight

Granderson: Gay movement has to overcome its own racial issues