(CNN) -- Thursday's Supreme Court ruling upholding President Barack Obama's signature health care legislation effectively cements the cornerstone of his political legacy, observers said.

"This would be in the first paragraph of Barack Obama's summation of his presidency," said University of Minnesota professor Lawrence Jacobs, co-author of a 2010 book on the politics of health care.

Obama: Ruling on health care a victory for all Americans

"I cannot think of a policy by a Democrat or Republican that's going to have the kind of long-lasting impact on the lives of Americans in at least half a century, maybe going back to the New Deal," Jacobs said after Thursday's ruling.

In a long-anticipated ruling, the court upheld the individual insurance mandate at the heart of the Patient Protection and Affordable Care Act, often called "Obamacare." The 5-4 ruling allows the government to move ahead with implementing the legislation, some key provisions of which won't take effect until 2014.

And it advances a goal of universal health care that has eluded presidents dating back to Theodore Roosevelt, historian Doris Kearns Goodwin said.

"That this has finally gotten through the Supreme Court is the very historic accomplishment that all presidents wish for when they come into office," Goodwin said.

Ruling plays into campaign narrative for both sides

That titanic clash over health care began shortly after Obama took office in 2009, pledging to expand health coverage to the roughly 45 million Americans without it. It dominated Congress for nearly a year before he signed the bill in March 2010.

Conservatives complained that it would bust the federal budget and lead to worse health care, not better. Many liberals, meanwhile, wanted Obama to fight for a Canadian-style model or at least establish a public health insurance plan to compete with private companies.

Opponents railed against the bill for a variety of sins real and imagined, including a later-dropped "Cornhusker kickback" aimed at securing support from Nebraska Democratic Sen. Ben Nelson and the false claims of "death panels" by critics such as ex-Alaska Gov. Sarah Palin, who argued that the bill would lead to patients being denied critical care. Lawmakers found themselves facing angry crowds at usually sleepy meetings with constituents during their summer recess.

Breaking down the court's decision

In the end, it passed over near-universal Republican opposition -- the sole GOP vote for it in either chamber was Rep. Joseph Cao of Louisiana -- with nearly three dozen Democrats voting against it as well. The battle fueled the rise of the conservative tea party movement and contributed to a sweeping Republican win in the 2010 congressional elections.

One of the politicians elected in that wave, Florida Sen. Marco Rubio, called Thursday's decision "a loss for America." The Supreme Court's finding that the individual mandate amounts to a tax will give taxpayers more headaches in April, Rubio predicted.

"This has now turned the IRS into an enforcement mechanism for Obamacare," he said.

How the justices voted, what they wrote

Tony Perkins, the president of the Family Research Council, urged followers to rally and "restore the Constitution to its rightful place." The group is a leading voice for religious conservatives and filed a friend-of-the-court brief attacking the law.

"Not only is the individual mandate a profound attack on our liberties, but it is only one section among hundreds of provisions in the law that will force taxpayers to fund abortions, violate their conscience rights and impose a massive tax and debt burden on American families," Perkins said. "It's now time to replace those leaders who disregarded the constitutional limitations of their authority and the deeply held religious beliefs of their constituents, voting for the government takeover of health care."

Jacobs said the individual mandate -- the single biggest complaint about the legislation -- will affect "maybe two or three out of 100 Americans." It's the rest of the law, particularly its regulations on insurance companies, that will have "a tremendous impact on the lives of everyday Americans."

Timeline of the health care law

"It completely rewires health care delivery and financing," he said. "We will think of this moment as before and after."

Presidential historian Douglas Brinkley put the health care reform victory in the context of some of Obama's other signature moments, saying it is clear he's made an impact in his first three and a half years in the White House.

"I think President Obama is now in very good stead to say, 'I passed the Affordable Care Act, I got Osama bin Laden, and I saved General Motors," said Brinkley, referring also to the raid that killed the al Qaeda leader and Obama's backing of the automobile industry bailout. "He has three real historic accomplishments."

Of those, the health care law is by far the most controversial even after Thursday's decision.

Goodwin said that while the battle over the law's constitutionality is over, "I think the battle for public sentiment lays ahead."

Before Lyndon Johnson managed to get Medicare and Medicaid through Congress, future President Ronald Reagan railed that "socialized medicine" would leave Americans "to spend their sunset years telling their children and their children's children what it was like in America when men were free," Goodwin noted.

"That's how deep that battle was at that period of time, and yet Medicare has been sustained and it's now approved," she said, adding, "One thing we have not gotten and what I think the president has started doing is to make a clear understanding of what this bill is all about."

What the health care ruling means to you

@highlight

NEW: Historian: Obama can claim real accomplishments with bin Laden's death and GM's bailout

@highlight

It's in "first paragraph of Barack Obama's summation of his presidency," analyst says

@highlight

The clash over health care dominated the first half of Obama's presidency

@highlight

Universal health care has eluded presidents since Theodore Roosevelt, historian says