Seoul (CNN) -- Watching the public execution of his mother and older brother, Shin Dong-Hyuk thought the punishment was just. They had planned to escape the North Korean labor camp they were being held in until Shin overheard them and reported them to the prison guards.

Just 14-years old, Shin says he felt no guilt in condemning them to death. One of the very few North Koreans to be born inside one of the brutal prison camps, he says the concept of family that exists in the outside world did not exist in Camp 14.

'Escape from Camp 14' a true North Korea survival story

"I had never felt that kind of attachment and love that people outside of prison camps feel towards them," he told CNN. "So they were just one of many criminals in a prison camp."

Those, like Shin, who have tried to escape a North Korean political or hard labor camp and have survived to tell the tale, talk of starvation, torture, betrayal and executions. By informing on others, many say inmates could hope for more food or less beatings. Horrific heart-breaking accounts of being quite literally worked to death have emerged over recent years. But the camps continue and Pyongyang still refuses to acknowledge their existence.

South Korea's government is trying to officially document the atrocities for the first time, collecting disturbing firsthand accounts from those who have managed to make it to South Korea, including Shin who got out in 2004. A 381-page report from the National Human Rights Commission of Korea is based on the testimony of 278 defectors has recently been published with names of prison guards who carried out torture or executions.

"We felt a necessity to systematically manage the examples of human rights violations, this can be used as preliminary data for compensation by the country after unification," said Lee Young Ken, head of the Commission's North Korean department.

"This could also psychologically put pressure on North Korean officials who will definitely be able to see this compilation."

Human rights group Amnesty International believes up to 200,000 prisoners are being held "in horrific conditions in six sprawling political prison camps."

In its annual human rights report released last week, it said, "The combination of hazardous forced labor, inadequate food, beatings, totally inadequate medical care and unhygienic living conditions, resulted in prisoners falling ill, and a large number died in custody or soon after release."

Amnesty: World's leaders let protesters down

These camps have been used by the Kim dynasty for years to crush political dissent. Amnesty believes they have been in existence since the 1950s.

One defector, who wanted to be identified only as Kim as he has family members still inside North Korea, told CNN inmates face a slow and painful death. He was sent to a labor camp for a year and a half after being caught crossing into China.

"We received 120 grams of rotten corn for daily food. So many people with the same year and a half sentence as me didn't survive their term and died of hunger."

Kim describes seeing many of his fellow inmates die and having to bury them on a nearby hill. The only hill, he said, where flowers grew well due to the large numbers of decaying bodies beneath the ground. "When I went to bury my friend, I found the hole was too small," he said. "When I asked why, the guy said there was no more room to make a bigger hole. When I dug up the ground with my shovel, I saw about four layers of bodies and human bones."

Kang Chol-Hwan is now a journalist in South Korea, a world away from his previous life where he spent ten long years in a prison camp. Sent at the age of nine as his grandfather fell out of favor with the elite, he says he almost died three times from malnutrition and exhaustion. He remembers being forced to eat mice, insects and grass to stay alive.

"It was like Hitler's Auschwitz concentration camp, not as large and there is a difference in the way people are killed. Hitler gassed people, Kim Jong Il sucked the life out of people through starvation and forced labor."

Kim Jong Un took over from his late father in December 2011 and appears to have changed nothing in the political prison camps.

Amnesty says North Korea's State Security Agency detained over 200 officials in January this year, part of an apparent power succession plan. It says some were feared executed, the rest sent to the camps.

@highlight

S. Korea's National Human Rights Commission documenting abuses in N. Korean labor camps

@highlight

The report is based on the testimony of 278 defectors, who described torture, starvation, deaths

@highlight

Pyongyang refuses to acknowledge their existence, despite Amnesty reports of 200,000 inmates

@highlight

The camps have been used by the Kim dynasty for years to crush political dissent