(CNN) -- Small arms fire targeted U.N. monitors in Syria as they tried to get to the scene of another massacre, U.N. Secretary-General Ban Ki-moon said on Thursday.

No one was hit, said a spokeswoman for Maj. Gen. Robert Mood, head of the U.N. Supervision Mission in Syria.

The incident came as Ban, international envoy Kofi Annan and others implored the U.N. General Assembly to stop the violence in Syria, which started 15 months ago when a tough Syrian crackdown against peaceful protesters developed into an uprising.

The latest massacre occurred on Wednesday in the village of Qubeir, west of Hama, and included reports that dozens of civilians, including women and children, were killed.

Massacre details are eerily familiar

Ban said the U.N. monitors had been denied access to the area but were working to get to the scene.

"I just learned a few minutes ago that while trying to do so, the U.N. monitors were shot at by small arms," he said.

Mood said observers heading to the village to verify reports of the killings had been blocked by soldiers and civilians. Residents told observers they would be at risk if they were to enter the village.

"Despite these challenges, the observers are still working to get into the village to try to establish the facts on the ground," Mood said. "UNSMIS is concerned about the restriction imposed on its movement as it will impede our ability to monitor, observe and report."

Annan, the joint U.N.-Arab League special envoy tasked with forging peace in Syria, told assembly members Thursday that Syrians could face worse troubles if peace isn't made.

Speaking before the U.N. General Assembly, Annan said his six-point plan isn't working and the "crisis is escalating."

"If things do not change, the future is likely to be one of brutal repression, massacres, sectarian violence and even all-out civil war," Annan said. "All Syrians will lose."

The violence is worsening and the country is becoming more polarized and radicalized, he said. "Despite the acceptance of the six-point plan and the deployment of a courageous mission of United Nations observers to Syria, I must be frank and confirm that the plan is not being implemented," he added.

Annan said Arab League ministers he addressed Saturday had "offered concrete ideas on how to increase pressure for compliance."

"Clearly, the time has come to determine what more can be done to secure implementation of the plan and/or what other options exist to address the crisis," he said.

He spoke in the wake of the killings in Qubeir and, two weeks ago, in Houla. More than 100 people, including women and children, were killed in Houla. Opposition activists blamed government forces and allied militia, an assertion denied by Syrian President Bashar al-Assad.

"Those responsible for perpetrating these crimes must be held to account," Annan said. "We cannot allow mass killing to become part of everyday reality in Syria."

Militia does regime's 'dirty work," analysts say

He said he urged al-Assad nine days ago to "change his military posture and honor his commitments to the six-point plan."

But Assad "believed the main obstacle was the actions of militants," Annan said. "Clearly, all parties must cease violence. But equally clearly, the first responsibility lies with the government."

Though Syria has released some detainees and there has been agreement "on modalities for humanitarian assistance," more is required, Annan said.

Since he and Assad spoke, "shelling of cities has intensified" and "government-backed militia has free rein with appalling consequences."

Annan said armed opposition forces haven't seen a "reason to respect cessation of hostilities" and "have intensified their attacks." Referring to bombings in Damascus and Aleppo, he said the situation is "made more complex" by attacks that are "indicative of the presence of a third actor." Some analysts say jihadist groups are responsible for those acts.

Annan called for "consequences if compliance is not forthcoming," and said "a clearer course for a peaceful transition" must be charted to resolve the crisis.

Annan was to address the Security Council in New York.

Syrian Ambassador to the U.N. Bashar Jaafari reiterated that anti-government terrorists, and not the regime, are responsible for the bloodshed. The government said terrorists timed the latest massacre to coincide with the U.N. meetings in order to make the regime look bad.

He added that Syria "is ready to receive an investigation committee from neutral countries that respect the U.N. charter and reject any intervention in the Syrian affairs," according to the government's Syrian Arab News Agency.

Jaafari said Syria is open to reform and to dialogue, and that it has no problem with the opposition. However, he said, some opposition forces composed of outside elements are taking up arms and have no desire for reconciliation.

Opposition activists accuse forces loyal to al-Assad of the killings at Qubeir, and they placed the number of dead at 78.

Regime forces shelled Qubeir before militias used knives, guns and AK-47 rifles to kill residents, the opposition Local Coordination Committees of Syria said.

About 40 victims of the attack were buried in a mass grave Thursday, according to a youth activist whom CNN is not naming for safety reasons. Shabiha -- or pro-government gangs -- took other bodies to neighboring villages, the activist said.

More than half of those killed were women and children, said a local activist who reported having carried bodies.

CNN cannot independently confirm reports from within Syria because the government limits access by international journalists.

The recent violence has revived calls to isolate the regime and toughen sanctions.

U.S. Secretary of State Hillary Clinton, meeting Thursday in Istanbul with Turkish Foreign Minister Ahmet Davutoglu, called the latest violence "simply unconscionable." She reiterated the U.S. stance that al-Assad must go and the international community must unite around a plan for Syria after al-Assad.

Clinton said it is important to give Annan's peace initiative "the last amount of support we can muster."

Davutoglu, whose country has been critical of the al-Assad regime's actions, said all members of the U.N. Security Council must work together to stop the regime's actions.

China and Russia, regime allies, have stressed their opposition to outside interference in Syria while continuing to back Annan's plan. As permanent Security Council members, the two nations have used their veto powers to block draft resolutions against the regime.

Meeting Thursday in Shanghai, leaders of Russia, China and four Central Asian nations signed a statement opposing outside intervention in Syria. The statement calls for "dialogues that respect Syria's sovereignty, independence and territorial integrity."

China, Russia call for non-intervention

The United States plans to send a delegation to Russia this week to press for tough action against the Syrian regime, a senior State Department official said.

At least 15 people were killed Thursday in Syria, the Local Coordination Committees of Syria said.

The United Nations for months has said more than 9,000 people have died in Syria. But death counts from opposition groups range from more than 12,000 to more than 14,000. Tens of thousands of people have been displaced.

CNN's Salma Abdelaziz and Faith Karimi contributed to this report.

@highlight

U.N. observers visiting village of Qubeir, west of Hama, are shot at by small arms

@highlight

Dozens of people, including women and children, reportedly were killed in Qubeir

@highlight

U.S. secretary of state says the world community must unite around a transition plan

@highlight

Russia, China and four allies sign a statement opposing outside intervention in Syria