Washington (CNN) -- The Supreme Court struggled Tuesday, speaking in somber tones, when confronting one of its toughest criminal sentencing questions: whether two men convicted of killings committed when they were 14 deserve life in prison without the possibility of parole.

The justices seemed to find little agreement on how young is too young in these rare instances, and whether it would be cruel and unusual punishment to forgo the chance that these now-adult inmates may someday be rehabilitated.

"What's the definition of a child?" asked Justice Samuel Alito, trying to draw a constitutionally acceptable line on mandatory sentences for underage murderers.

"It seems to me some of the issues that we have suggested justify a different treatment of juveniles have to do with mental development," said Chief Justice John Roberts. "And those same issues would be taken into account by a jury in considering which of a list of offenses the juvenile should be convicted of."

The high court in 2005 banned the death penalty for those under 18 who commit aggravated murder. Then, five years later, the justices said juveniles found guilty of non-homicides could not receive life without parole.

Now the spotlight turns on the youngest of killers and the question of whether a national consensus has developed to treat them differently regarding a lifetime of incarceration.

The separate appeals involve an Alabama boy who, with an accomplice, robbed a neighbor and then beat the man to death and set his house on fire; and an Arkansas youth who was part of a group of teens who robbed a video store where the clerk was blasted to death with a shotgun.

Both were tried and convicted as adults and received the minimum sentences allowed under state law for felony capital murder.

There are about 2,500 prisoners serving life sentences without parole for crimes committed as juveniles, at least 79 of whom are 14 years or younger, according to the Equal Justice Initiative, which is representing the two men before the high court.

Attorney Bryan Stevenson urged the justices not to "give up" on child offenders, who he said are fundamentally different from adults. He said while they must be held accountable for their actions, youths are also works in progress, emotionally and developmentally.

"These deficits in maturity and judgment and decision-making are not crime-specific. All children are encumbered with the same barriers that this court has found to be constitutionally relevant before imposition of a sentence of life imprisonment without parole or the death penalty," said Stevenson, who is based in Montgomery, Alabama. "These differences are even more pronounced in young children."

Justice Antonin Scalia jumped in. "Once you depart from the principle that we've enunciated that (the) death (penalty) is different, why is life without parole categorically different from 60 years or 70 years? You'd be back here next term (challenging) a 60-year sentence." He wondered aloud whether it would be fair to argue 14-year-olds deserve less time behind bars than a 15-year-old.

Stevenson said firmly all those under 18 at the time of their crimes deserve the chance for parole someday. He said the often-terrible facts of a murder can overwhelm any mitigating factors like a defendant's age, especially for jurors who may be unaware that a young person's brain development, living environment and self-control are often not complete.

"You would say that a person of 17 years and 11 months, who commits the worst possible string of offenses -- and demonstrates great maturity -- still cannot be sentenced to life imprisonment without parole?" asked Alito, sounding skeptical.

"What justifies an absolute ban at a certain age and a modified ban above an age?" added Justice Ruth Bader Ginsburg.

Scalia said 39 states allow juveniles to receive life without parole for certain murder offenses. "The American people have decided that that's the rule. They allow it. And the federal government allows it. So I'm supposed to impose my judgment on what seems to be a consensus of the American people?"

Later, the Alabama solicitor general said states deserve discretion to set punishments for the worst of offenders, even teenagers.

"The government's primary goal here is expressing the retributive judgment about the wrongfulness of murder and why it's different," said John Neiman Jr. "They don't want to roll the dice on convicted murderers. Society acts with particular revulsion when a convicted murderer commits a crime again" after being released from custody, he said.

"How do you go back to justifying," said Justice Sonia Sotomayor, "the mandatory nature of life imprisonment without parole, given that not every juvenile is equal and not every murder is equal with respect to them?"

Justice Stephen Breyer pressed the question further, asking, "What's the minimum age, in your opinion, or is there any constitutional minimum at all in respect to which you could give" life without parole to a young killer.

"I mean, you could have an instance of a 10-year-old or an 8-year-old. I mean, is it totally up to the states, or is there a minimum?" Breyer said.

Neiman ran into trouble when backed into this legal corner, suggesting, "If I were the state up here trying to defend a 12-year-old (getting life without parole), I would argue that that was the line. So a 12-year-old-- well, no -- well, yes," he finally decided.

"Do you see the difficulty? All right. So now put yourself in my position," responded Breyer. "Do you want to say 12? Do you want to say 10? Do you want to say 9? Because as soon as whatever you say, I'm going to say: and why not 14?" he added.

Justice Anthony Kennedy -- as he has in many divided cases -- may prove to be the deciding vote. But he seemed troubled about articulating an appropriate age limit.

"Now, we have some quite compelling stories of rehabilitation in this case. I don't know if they're isolated; I don't know where they are in the statistical universe of how often rehabilitation is demonstrated and is real. What do I look at? What's a judge supposed to do?" he asked Stevenson. "You're just forcing us into a bipolar position. We're either going to say that you can't prevail at all or that everyone under 18 cannot get life without parole. I don't see this middle course."

Complicating matters, several justices noted differences between the two cases before them. Neiman noted the murder committed by Evan Miller in Alabama was especially "gruesome." The boy and his accomplice had smoked marijuana with the victim in his trailer. The 52-year-old man burned to death after the mobile home was set ablaze.

In Kuntrell Jackson's case, he was originally outside as a lookout when the Chickasaw County, Arkansas, robbery took place. It was a 15-year-old boy who shot the female clerk when she refused to turn over money. The actual shooter later pleaded guilty and received life with the possibility of parole.

Stevenson said there was a real question whether Jackson had an "intent to kill" during the botched robbery, perhaps allowing for a lesser sentence.

But the Arkansas assistant attorney general said the sentence of life without parole was still appropriate, arguing the defendant could have received the death penalty if he had been an adult at the time of the crime.

"A legislative judgment has been made with regard to drawing a baseline for all murderers, whether they are juvenile murderers, whether they are getaway drivers," said Kent Holt. "And when you counsel or aid or do anything that gets you liability for being a capital murderer, then that is the minimum sentence" -- life without parole, with no exceptions.

The cases are Miller v. Alabama (10-9646) and Jackson v. Hobbs (10-9647). Rulings are expected within the next three months.

@highlight

The Supreme Court looks at two killings for which 14-year-olds were convicted

@highlight

"What's the definition of a child?" asked Justice Samuel Alito

@highlight

The high court in 2005 banned the death penalty for killers under age 18