(CNN) -- A major winter storm whipped the Upper Midwest early Monday, just after a historic snowfall buried much of the Northeast.

The latest blizzard dumped 8 to 15 inches of snow across parts of seven states but saved most of its fury for the Dakotas and Minnesota, the National Weather Service said. Snow showers and blowing snow were expected to linger Monday across the area.

More than 1,000 miles away, residents of the Northeast spent the weekend digging out from a storm that dumped several feet of snow across the region.

In the Southeast, at least 15 tornadoes formed across southern Mississippi and Alabama on Sunday afternoon as a cold front moved in. Major damage was caused by a tornado that struck Hattiesburg, Mississippi. The Mobile, Alabama, National Weather Service Office was to begin conducting damage surveys Monday.

According to Storm Prediction Center reports, nearly 70 people were injured in Sunday's storms, with at least 61 of those in Hattiesburg.

North begins recovery

In the Northeast, the heavy snow that fell over the weekend was still causing problems Monday. Scott Devico, a spokesman for the Connecticut Department of Emergency Management, said Monday the roofs of 16 homes and buildings had collapsed because of the weight of the snow piled atop them.

The storm's toll rose to 11 when a man and woman were found dead in a car in Meriden, apparently due to carbon monoxide poisoning, Devico said. Five of the nine other fatalities were in Connecticut, along with one in New York, one in Massachusetts and two in the Canadian province of Ontario.

In Bridgeport, Connecticut, Mayor Bill Finch said the city had gotten some 30 inches of snow. As of Monday morning, 10% to 20% of it had been plowed, with the city's main roads expected to be cleared by Tuesday morning, secondary roads by Thursday and Friday, and residential streets by Sunday, he said.

Bridgeport is no special case. "I've talked to other mayors; we're all buried," he said.

National Guard soldiers were helping pick up emergency-center workers and retrieve operators for pay loaders, he said.

Abandoned cars were making the task difficult. "The plows can't get through; pay loaders have to work surgically to try and remove these cars and get the streets cleared," Finch said.

On Sunday night, he said, only two tow trucks were available to the city; the rest were snowed in. By Monday, six tow trucks were operating, he said.

Alternative forms of transportation weren't much better. "It took me 40 minutes to walk four blocks from my house to the Emergency Operations Center," he said.

About 200 people were in shelters Sunday in southeastern Connecticut, Gov. Dannel Malloy said. More than that number found refuge in schools on the South Shore of Massachusetts, where dozens of National Guard soldiers were helping local authorities and residents deal with flooding and storm damage.

The Boston Globe reported that recovery efforts were in motion, and the Massachusetts Emergency Management Agency dispatched eight rapid assessment teams to look at conditions in coastal communities. The paper reported that thousands of National Guard soldiers were assisting.

"The devastation we have seen here would lead one to believe that it'll be days before we get power back," said Jim Cantwell, a state representative for the Massachusetts towns of Marshfield and Scituate, where about 90% of customers were without power late Sunday.

In Massachusetts, about 113,000 customers were still without power Monday afternoon, with the greatest concentration of outages in the southeastern and Cape regions, said Gov. Deval Patrick. "I think the utility companies have made great progress, but they need to keep making great progress," he told reporters.

He pleaded with residents using generators to ensure they are properly vented. Officials have received reports of people being overcome with carbon monoxide, "a deadly and silent killer," he said.

Amtrak announced that it would resume normal operations between New York and Boston beginning Tuesday. "Amtrak crews have been working around the clock to clear affected track of large amounts of snow, in excess of several fee in some cases," the rail line said in a statement.

South takes hit

Storms were only one aspect of the extreme weather across the Southeast as heavy rain soaked much of the region. Rain around the slow-moving cold front prompted flood watches and warnings from southeastern Louisiana to central Georgia through Tuesday afternoon.

Those states could get 3 to 5 inches of rain, CNN meteorologists said.

The Southeast and Gulf Coast may see severe storms Monday, with heavy rainfall and gusty winds, the Storm Prediction Center said.

Warmer weather

Daytime temperatures were expected to climb Monday into the 40s in much of southern Connecticut, Rhode Island and Massachusetts, where rain may fall as well.

That would help melt snow, though it could make what's there heavier and increase the risk of roof collapses. There were reports Sunday of a barn, a sports facility, commercial buildings and other buildings suffering cave-ins, Malloy said.

Freezing rain will change to rain as temperatures warm in the Northeast on Monday. But overnight lows will dip below freezing, causing melted snow to refreeze on roads.

A weak system will move through the area on Wednesday and will drop dustings of snow across the area, but the system should clear out by Thursday morning.

The mix made for a messy Monday morning commute into cities such as Boston, though schools remained closed there and in many other locales as the snow clean-up effort continued.

Flights resumed Sunday at Boston's Logan Airport and Amtrak restored limited service.

"We're working as hard as we can," Rhode Island Gov. Lincoln Chaffee said of efforts in his state. "We're seeing efforts every hour."

Lots and lots of snow

The blizzard that began burying the Northeast on Friday was historic by many measures -- most of all, by the amount of snow that fell.

In Hamden, Connecticut, for instance, 40 inches of snow made it difficult for plows to get on the roads. CNN iReporter Mia Orsatti said streets there had transformed into "white, wide, soft blanket(s) of snow."

Tornado strikes in the Deep South

Lesser depths still led to major headaches, especially when combined with hurricane-force wind gusts, storm surges and snow drifts.

"There's a ton of snow, and there's nowhere to put it," said Lena Berc of Boston, where 24.9 inches fell. "So it's really frustrating to find nooks and crannies."

Many still without power

About 270,000 utility customers were in the dark late Sunday, down from 635,000 a day earlier.

The outages were the result of a combination of whipping winds and power lines sagging, and sometimes snapping, under the weight of wet snow and ice.

The storm by the numbers

"There was a phenomenal amount of trees that went down," Cantwell said, noting that no Scituate residents had power Sunday morning and estimating it may be Thursday before all the lights are back on.

For all the headaches in New England, however, many people were enjoying the wintry conditions.

iReporter Filipe Pereira said students at Wentworth Institute of Technology in Boston, who were set to return to class Monday, had enjoyed the weekend storm, engaging in massive snowball fights and building snowmen everywhere. People were even skiing down one street, he said. Students earlier took a series of photographs tracking the storm over 26 hours.

The streets around the small school were still a mess, but they were no longer closed.

"People have been going all over the roads with no problem," Pereira said.

Map, time line of the storm

CNN's Dave Alsup, Laur Ly, Sean C. Morris, Mary Snow, Brian Rokus and AnneClaire Stapleton contributed to this report.

@highlight

NEW: The death toll from the weekend blizzard in the Northeast rises to 11

@highlight

"We're all buried," Bridgeport, Connecticut, Mayor Bill Finch says

@highlight

Monday brings warmer temperatures and the threat of collapsing roofs

@highlight

A cold front moves into the Southeast; at least 15 tornadoes are reported