(CNN) -- Justin Legg could dead-lift a washing machine and carry it across the street. He could swim miles on end and run a marathon on one day's notice.

The former Navy SEAL stayed in top shape because his life -- and the lives of his teammates -- depended on it.

But when his physical strength deteriorated in a fight against cancer, Legg had to rely on his mental fortitude to carry him through four years of excruciating pain, a bone marrow transplant and two collapsed lungs.

Finally back on his feet, Legg now has a new mission. He's relearning to run, one step at a time, in honor of the 19-year-old boy who saved his life.

Newlywed nightmare

The pain started in his ribs. Legg brushed it off, figuring a martial arts fight had gotten the best of him.

He and his new wife, Suzanne, were enjoying their first few months of marital bliss in Louisiana. He was rebuilding their house -- the one that Hurricane Katrina had destroyed -- in between training at a military base in Mississippi.

But the pain persisted and his workouts soon started to suffer.

"For me it was pretty easy to run 10, 15 miles," Legg says. "Suddenly I couldn't run five. I got to three and my legs just ground to a halt."

In June 2006, shortly before his 28th birthday, Legg's doctor called and told him that his white blood cell count was elevated. The military sent Legg to the National Naval Medical Center in Bethesda, Maryland, to get checked out.

The diagnosis: acute lymphoblastic leukemia.

"My first question was, 'Can I still be a SEAL?'" Legg remembers.

Still in shock, Suzanne was ticked off: "Not 'My new bride' or 'What's our new life going to be like?' but 'Am I going to be able to roll in the dirt with my friends and blow up things?' My whole world in front of me just went black."

Doctors immediately started Legg on eight straight days of chemotherapy. The drugs had no mercy -- attacking healthy and unhealthy cells alike, weakening his entire body.

"They tell you to take your IV pole and walk a lap around the floor each day to avoid clots," Legg says. "I remember leaning on that IV pole, just draping my arms over top of it just to get around the ward once."

That didn't stop him from doing lunges in the hospital library, using books as weights.

In addition to leukemia, doctors discovered Legg had the Philadelphia Chromosome, an abnormality in his genes that caused cancerous cells to duplicate 80 times faster than in other patients.

Chemotherapy wasn't going to be enough; he needed a bone marrow transplant.

Husband walks streets in search of kidney donor

Attacked from within

Like many SEALs, Legg is a little "twisted," Suzanne says. He's stubborn. Intense. Arrogant.

"If you tell him, 'There's a very low chance that you'll get through this,' well, he knows he can. If you tell him, 'You can't,' he loves to prove you wrong. That's the little cherry on top for him."

She believes that attitude saved him.

Legg developed graft-versus-host disease shortly after receiving a bone marrow transplant from a German donor. With graft-vs.-host disease, the new cells attack the recipient's body because they see it as a foreign entity.

"For the first two months I was throwing up every day because my stomach was getting beat up so bad," Legg says.

He also developed a severe skin condition. Anytime he got warm, hives would break out all over his body. For months, Legg worked out with a mouth guard so he could get through the pain without screaming.

In 2007, Legg went back to work and rejoined the SEALs as a platoon commander. He knew his struggle wasn't over, but he was managing the disease.

Managing it, that is, until a doctor made a mistake with his medication, causing his symptoms to flare up again. His hands and feet itched like crazy. A mouth full of sores caused any crunchy food to hurt like a razor blade. Cause for more concern was his liver and lungs, which were failing rapidly.

By February 2009, it had gotten so bad that he had to resign from his SEAL team. "That crushed me," he says. "That was everything I had worked for since I was 14 or 15 years old."

And the worst was yet to come.

"I remember the day my lungs collapsed. I remember them putting me on a gurney, calling a code blue, rushing me through the hospital."

Legg slipped into a coma.

"The doctors told me how sick he was, how close to death he was," Suzanne says. "I was just thinking... there is no way Justin can die like this. He will be so PO-ed."

After two weeks, Legg awakened from his coma. For a while, his body seemed OK, but doctors were worried about his chest scans. After everything he had been through, the news that he would need a double lung transplant barely fazed him.

"Death wasn't an option," Legg says. "In my mind, I've always thought that I have the ability to prevent this from happening. I have the ability to fight it off."

He had the operation on July 22, 2010.

Back on his feet

Just eight months after his transplant, Legg completed a half marathon. In September 2012, he half-ran, half-walked his second.

Working with Team in Training, a fundraising program with the Leukemia & Lymphoma Society, Legg has collected more than $39,000 this year for cancer research. He hopes to raise another $11,000 by running the Disney Wine & Dine half marathon in November.

If he reaches his fundraising goal before the end of the year, he'll be allowed to name a research project after his lung donor, 19-year-old Jarred McKinley Carter.

"Jarred abruptly ended his life on July 20, 2010, without knowing what an incredible person he was," his mother, Julie McCarthy, told CNN in an e-mail. "Jarred died believing that he didn't matter, that no one would remember his name... Justin and Jarred are now joined together -- a brotherhood -- on a mission to help others. They endure training together, go on adventures together. My son still lives and breathes."

Legg hopes to meet McCarthy in Florida after the November race. He is reminded every day that he wouldn't be alive if it weren't for her son.

Follow Legg's journey on Twitter | Donate to his cause

Legg still struggles to do simple tasks, like mow the lawn or climb stairs. Most lung transplant patients die from complications within five years, a statistic that's always in the back of Suzanne's mind.

"I constantly ask him, 'Are you OK? Are you breathing?' That drives him crazy," she says with a laugh. "(But) if there's one person that can live for 25 years with a new set of lungs, it's going to be him."

For now, the couple is focusing on taking things one step at a time -- all the way to the finish line. Legg strives to follow his SEAL team's motto: Earn Your Trident Everyday.

"You must do something to improve yourself each day," he wrote on his blog. "That doesn't mean just doing what is required. That means stretch your limits a little bit farther than the day before."

For Team in Training, the race isn't about running

@highlight

Justin Legg survived leukemia and a double lung transplant

@highlight

Once a Navy SEAL, Legg now struggles to climb stairs and mow the lawn

@highlight

Legg is running half-marathons for his 19-year-old lung donor