Dadaab, Kenya (CNN)  -- In the middle of a famine, there is a place that houses the sickest survivors of all.

Along the border between Somalia and Kenya at the International Rescue Committee hospital it is simply called a stabilization center. As a medical term, it refers to the desire to normalize vital signs, replace fluids and treat acute and deadly illness.

As you might imagine, however, this place is far from stable, and instead filled with people who are starving to death -- in some cases, their bodies too far gone to even absorb the food finally made available to them.

I met 6-year-old Ahmed Mohammad there. As soon as he entered Dadaab refugee camp with his father after 10 days of walking under the East African sun, it was clear his tiny prone body may have been robbed of nutrition for too long.

Impact Your World: How you can help

As Dr. Humphrey Musyoka told me, "He is half the size he should be -- a couple more weeks, and this child would've been lost."

Musyoka knows, because over the last few months, he has seen it happen more times than he cares to remember.

There is no way to dignify the description of death by starvation. It is neither quick nor painless. Not too long after the food is cut off, the body resorts to fuel reserves in the liver and fatty tissues. Once the fat is all gone, and the person is a skeleton of what he or she once was, the body searches for protein, and finds it in muscle tissue. Even the muscle of the heart is consumed, leaving someone drained and listless.

The body shuts down. The pulse, the blood pressure and body temperature all precipitously drop. Little kids such as Ahmed completely stop growing and become stunted in time.

The tools they use here in the stabilization center are rudimentary, and they have little choice -- but they work. A small tape measure is used to measure the child's mid-upper arm circumference or MUAC.

It takes just seconds and is predictive of how much deep fat still exists in the body, a key criterion when assessing starvation. In children between the ages of 6 months and 5 years, a healthy MUAC is considered to be above 13.5 centimeters, and if it is less than 11.5 centimeters, nearly one in five die. They simply cannot be saved.

Ahmed had his MUAC measured in the stabilization center -- 10.5 centimeters. Musyoka shook his head worriedly and immediately started a plan to save Ahmed. An IV was placed, and fluids were started slowly. Too much fluid could overwhelm his system. The same could be said of many foods, which may cause severe diarrhea or vomiting.

Ahmed will be given Plumpy'nut, a paste that has a balance of protein, carbohydrates and fat, along with vitamins and minerals.

The key is to give a lot of calories in small amounts because Ahmed's stomach is so shrunken from his malnutrition. Ahmed would have his blood drawn to check for anemia and possible bacterial infections.

Musyoka said he is cautiously optimistic about Ahmed, but he carries a lot of anguish over what he has seen this summer.

"I have a 5-year-old boy at home," he told me as his eyes welled up. I shook his hand, looked him in the eye and said, "Give him an extra tight hug tonight."

He nodded and said, "You too."

My thoughts turned to my own three little girls, who are always in my heart. I will, doctor, I said. I will.

Watch Sanjay Gupta MD Saturday and Sunday at 7:30am ET. For the latest from Sanjay Gupta MD click here.

@highlight

International Rescue Committee hospital is filled with people starving to death

@highlight

Ahmed Mohammad, 6, is treated for malnutrition at hospital on Somalia-Kenya border

@highlight

Once fat is all gone, a starving person's body resorts to eating muscle tissue

@highlight

Patients like Ahmed must be given calories in small amounts because of shrunken stomachs