(CNN) -- Mexican President Felipe Calderon will wake up a lame duck Monday. How lame will depend largely on nationwide midterm elections Sunday.

Mexican President Felipe Calderon has three years left in his six-year term.

On the ballot will be 500 federal legislators, six governors and mayors and local legislators in 11 states. Although Calderon has three years left in his six-year term and is not on Sunday's ballot, many analysts see the election as a referendum on his performance and his party's nine-year reign on the presidency.

By most accounts, Calderon's party will fare well.

"He's going to get a positive vote," said Larry Birns, director of the Washington-based Council on Hemispheric Affairs. "The nation feels he is doing a better job than they imagined he would."

Low expectations may be understandable, given the circumstances under which Calderon came to power.

After a bitterly fought race that polls indicated was too close to call, the nation went to the polls July 2, 2006, to pick a successor to President Vicente Fox. The race was so close that the results were not verified until a controversial decision two months later. Calderon's margin of victory was less than 1 percent.

Losing candidate Andres Manuel Lopez Obrador refused to accept the results and announced himself the winner. Fistfights broke out in the lower house, the Chamber of Deputies.

The first three years of Calderon's tenure have not been much smoother. Perhaps most famously, the president declared war on the drug cartels that have taken hold of Mexico, spreading corruption, fear and violence to all corners of the nation.

The war's outcome remains uncertain, but there's no doubt about the human cost: About 10,000 people have died in drug violence since Calderon took office in December 2006.

The political fallout also has been costly. One U.S. politician said Mexico was undergoing a civil war. A Pentagon report said the nation was in danger of becoming a failed state.

Calderon's job got tougher when the bottom fell out of the global economy late last year and the H1N1 flu outbreak drew the world's attention to Mexico this year.

But Calderon's actions in the face of such adversity have helped his standing, some analysts say.

"Calderon has become increasingly popular in the country because he did project a certain amount of strength in the anti-drug war," Birns said. "He did stand up to the United States on certain things, like swine flu."

Calderon's aggressive management of the swine flu crisis -- in which he shut down schools, businesses and all public gatherings for more than a week to stop spread of the disease -- has given him higher credibility, said Peter Hakim, president of the Inter-American Dialogue policy institute.

But Calderon's personal popularity may not help his party in the legislative elections.

"The question is whether Calderon has coattails," said Ana Maria Salazar, a Mexico City columnist and political talk show host.

Calderon is head of the National Action Party, known as PAN. The other two main parties are the leftist Party of the Democratic Revolution (PRD), which narrowly lost the 2006 presidential election, and the Revolutionary Institutional Party (PRI), which had a stranglehold on the presidency from 1929 until the 2000. PAN candidate Fox -- Calderon's predecessor -- broke that hold nine years ago.

The PAN has the most seats in the Senate and the Chamber of Deputies but does not have a majority in either. The party could lose seats after Sunday, as most polls show the PRI holding a slight lead.

"We will see the resurgence of the PRI," said Robert Pastor, a Latin America national security adviser for President Carter in the late 1970s.

The PRD, he said, has largely discredited itself through internal division.

"And the PAN has been overseeing a government that has shunted from one crisis to another," Pastor said.

Still, some observers say PRI inroads may not make much difference.

"It will not change the balance of power much in Mexico," said Andrew Selee, director of the Woodrow Wilson Center's Mexico Institute. "Felipe Calderon will still have to negotiate with one of the two opposition parties to get legislation passed."

Hakim said, "It's not going to be as critical election as everyone was predicting."

But as Calderon moves into the last half of his presidency and other politicians start jockeying to succeed him, he probably will find it increasingly difficult to get his legislative agenda accomplished.

"Felipe Calderon will have a small window of opportunity to get in additional reforms," Salazar said. "And all of this is happening amidst a terrible economic crisis, a terrible security crisis."

And then there's the issue of what many see as increasing voter distaste for the electoral process.

"There's a general disenchantment about the PAN administration for the past nine years," said John Mill Ackerman, a professor at the National Autonomous University of Mexico. "They're linked to the economic crisis, the health crisis, the security crisis."

But the PRI, he said, doesn't offer much of a choice.

"The problem here is that the PRI is not a new PRI," Ackerman said. "They're not necessarily going to imply much change or difference."

Nor is the PRI united, Salazar said.

"Everybody assumes that the PRI gets along. That's not true," Salazar said, noting that the party is riven with "fractionalism."

Most voters will just stay home. Election officials predict a 30 percent turnout.

Others will annul their vote: They will turn in blank ballots, so officials will see that they voted but not for anyone.

"There's a lack of hope of making a difference with a vote," Ackerman said.

Perhaps no one will be more interested in the results than the drug cartels.

Numerous news reports have detailed how narcotraffickers fund some candidates, intimidate others to stay out of races and bribe politicians after they have been elected.

"The narcos definitely have taken this as another way in which they can expand their power," Ackerman said.

Federal authorities have arrested more than 100 local officials in recent weeks on accusations that they have been taking money from drug cartels. The "narco-politicians" included mayors and a judge.

Jose Vazquez, the former mayor of a town in Michoacan state, told a major newspaper two years ago how he had to go see the local drug boss when he decided to run. After he won, Vazquez said, he was constantly pressured to appoint officials the drug gangs wanted.

"If you don't do it, they kill you, and that's that," Vazquez was quoted as telling the Excelsior newspaper. "All candidates have to suit them, whether they belong to the PRI, the PAN or the PRD. The drug gangs give their approval to candidates."

Vazquez apparently fell out of favor. A group of armed men killed him in November.

More recently, armed men opened fire last week in Sonora state on a PAN candidate for the lower house. He escaped, but two aides were killed.

After all this, how the election and vote-counting is carried out Sunday looms as a major worry. No one wants to see a repeat of 2006.

"This is a referendum on democracy," Ackerman said. "[Mexicans] may be convinced on democracy. The question is whether they're convinced that voting will lead to anything."

@highlight

President is not on ballot, but many see vote as comment on his performance

@highlight

Party is expected to do well despite years of troubles

@highlight

Calderon has stood strong in face of adversity, analysts say

@highlight

Many see increasing voter distaste with electoral process