(CNN)  -- Argentina's Supreme Court ruled Tuesday it is unconstitutional to punish an adult for private use of marijuana as long as it doesn't harm anyone else.

A recent poll showed 29 percent of Americans believe the best way to deal with marijuana is to legalize it.

The unanimous ruling makes Argentina the second Latin American country in the past four days to allow personal use of a formerly illegal drug.

The case in question involved five young men who were arrested for having a few marijuana cigarettes in their pockets.

Supreme Court Justice Carlos Fayt, who at one time supported laws that make personal use of marijuana illegal, told the state-run Telam news agency that "reality" changed his mind.

Argentina's action came amid growing momentum in Latin America toward decriminalization of possessing small amounts of certain drugs.

Mexico enacted a law Friday that decriminalizes possessing low quantities of most drugs, including marijuana, heroin, cocaine and LSD.

Earlier this year, a Brazilian appeals court ruled that possession of drugs for personal use is not illegal.

Analysts see the shift in attitude as recognition that current methods in the war on drugs are not working.

"It seems quite clear that drug policy based primarily on interdiction and enforcement has failed," said Robert Pastor, a Latin America national security adviser for President Jimmy Carter in the late 1970s. "Therefore, it's natural for people to stand back and ask, 'Is there a better way?' "

Pastor noted that some recent research has shown that handling drug use as a health challenge and focusing on treatment may be more efficient.

"What Argentina and Mexico are doing in many ways is blazing a new path," Pastor said.

Peter Hakim, president of the Inter-American Dialogue policy institute in Washington, sees a trend at work.

"It's all part of a harm-reduction approach," Hakim said, noting that policymakers are shifting away from getting rid of drugs and toward figuring out how to reduce harm to users and society.

Mexico has been considering decriminalization for several years, particularly under the administration of former President Vicente Fox, who held office from 2000-2006. But efforts by the Mexican congress toward decriminalization met with strong resistance from the administration of U.S. President George W. Bush.

"Mexico tried it under Fox and the U.S. got so snippety that they had to back down," Hakim said.

President Obama's inauguration in January may have changed the calculus, analysts said. The Mexican congress passed the measure in April and President Felipe Calderon quietly signed it into law.

In a visit to the United States, Fox said in May a new approach is needed.

"I believe it's time to open the debate over legalizing drugs," he told CNN. "It must be done in conjunction with the United States, but it is time to open the debate."

Earlier this year, Fox's predecessor and two other former leaders of Latin American nations also called for the decriminalization of marijuana for personal use and a change in strategy in the war on drugs.

The three ex-presidents were members of the 17-nation Latin American Commission on Drugs and Democracy, which issued its recommendations in February after studying the issue for a year.

"The problem is that current policies are based on prejudices and fears and not on results," former Colombian President Cesar Gaviria said at a news conference in which the commission's recommendations were presented.

Former President Fernando Henrique Cardoso of Brazil said the group called for only the decriminalization of marijuana and not other illicit drugs because "you have to start somewhere."

Fox's predecessor, Ernesto Zedillo, was president of Mexico from 1994 to 2000. Gaviria was president of Colombia from 1990 to 1994. And Cardoso led Brazil from 1995 to 2002.

In his swing through the United States, Fox said any change in drug laws must be accompanied by an education campaign in schools and homes. And because the United States is a large consumer of marijuana that comes from Latin America, any steps toward legalization must be supported in Washington, he said.

Gaviria had said in February that the time was right to start a debate on the subject because of the new administration in Washington.

"In many states in the United States, as is the case in California, they have begun to change federal policies with regard to tolerating marijuana for therapeutic purposes. And in Washington there's some consensus that the current policy is failing," Gaviria said.

The Inter-American Dialogue's Hakim said one recent poll showed that 29 percent of Americans think the best way to deal with marijuana is to legalize it.

Pastor, the former Carter official, wondered whether anyone in Washington is paying attention.

"The question," he said Tuesday, "is whether the United States will be open to this new path."

@highlight

NEW: Argentina court: It's unconstitutional to punish adult for private use of marijuana

@highlight

Justice tells state-run news agency "reality" changed his mind

@highlight

Mexico enacted law that decriminalizes possessing low quantities of most drugs