A couple of years ago, I asked civil rights leader and former ambassador to the U.N. Andrew Young to tell me something about Dr. Martin Luther King Jr. that most people did not know.

Young thought for a moment about the more personal side of his mentor and confidant. He said that King liked eating catfish, was quite a jokester and enjoyed laughing with friends.

Among other things, King was an avid basketball player and a crafty passer with a great sense of the court. He could drive and shoot with both hands because he was ambidextrous.

Young's depiction of his mentor as a joking hoopster reminded me of an important factor we often overlook when considering King's civil rights legacy: he was very young when he changed the world.

Most people in their 20s struggle with dreams, doubts and career choices. In King's mid-20s, he was pastoring a church, co-founding the Southern Christian Leadership Conference, leading the Montgomery Bus Boycott and receiving countless death threats.

By his 30s, King was leading the monumental March on Washington and winning the Nobel Peace Prize.

Clearly, King's youth was more of a catalyst than liability.

In his cult classic book, "Outliers," Malcolm Gladwell discussed how birth dates and timing were as crucial factors as talent and tenacity in forging the successful careers of athletes, business tycoons, technology innovators and other leaders.

For example, Gladwell argued that had Bill Gates been born just 10 years earlier, there would have been no Microsoft.  Through a Gladwellian perspective, then, if King had been born 10 years earlier, there might not have been a Montgomery bus boycott.

An older King might have been far too entrenched in black Baptist denominational politics or invested in clerical careerism to put everything on the line and lead a risky fringe boycott. His kids would have been older, his practical needs would have been greater and perhaps his judgments would have been more conservative, resembling the numerous middle-aged black Baptist preachers who had opposed activist strategies in favor of a less confrontational approach toward gradual reform in the civil rights movement.

Similarly, young King's moral and spiritual discourse was the product of a malleable mind fresh out of graduate school, not the kind of predictable theorizing you would expect to see in an older preacher's cultural toolkit.  Young King synthesized Henry Thoreau's treatise on civil disobedience, Howard Thurman's theological philosophy, Mahatma Gandhi's Satyagraha and the Old Testament's views of justice to form a personal vision and tactic that awakened the moral consciousness of the nation.

It's fortunate for us that King was not a middle-aged pastor when the moment in history demanded transformational leadership. He was just a young, fearless and somewhat naive pastor in Montgomery, Alabama.

We can presume that the civil rights movement shaped King as much as he shaped the movement.

With youth and inexperience on his side, young King had the improvisational space to carve out a movement philosophy and strategy that has been replicated many times over where people challenge oppressive governments.

As we commemorate the birthday of our seminal civil rights leader, we should take some time out to remember that the same King who changed the course of history started out like you and me.  He liked playing basketball and joking with friends. He was young and had fire in his heart.

King's legacy should inspire our youth to step up and exert the visionary leadership that will help guide us through our era of change and uncertainties. Tenured scholars, contentious politicians and fat-cat business executives are too cynical, comfortable and conservative to do anything.

It's up to our wide-eyed students. And they should remember that youth is not an impediment; rather, it's the seed that can bring forth a better future. Just look at the young King.

Join CNN Opinion on Facebook and follow updates on Twitter

@highlight

Martin Luther King Jr. was young when he changed the world

@highlight

Lee: Had King been born 10 years earlier, there might not have been a bus boycott

@highlight

He says that youth was a catalyst for King's leadership

@highlight

Lee: Our youth should look to the civil rights leader for inspiration