SARAJEVO, Bosnia-Herzegovina (CNN) -- The outbreak of war seemed like a joke to Jasmina, then just 19 years old. She dreamed of being an economist and says she played with her toddler son and baby daughter as if they were toys.

Jasmina says she was raped repeatedly during the rule of Radovan Karadzic: "Every day we were raped."

But in April 1992, the Serb soldiers took over her city of Bijeljina, in northeast Bosnia near the border with Serbia, and began to kill, torture and terrorize the Muslims there in a brutal campaign of ethnic cleansing.

"Whole families were disappearing during the night. Sometimes we could see their bodies in the gardens, sometimes not even that," Jasmina said.

"The men from my family were beaten up the first day. ... My mother just disappeared. I never found out what happened."

Paramilitaries loyal to Arkan, the Serbian ultranationalist later indicted for crimes against humanity, came to the home Jasmina shared with her husband and extended family to search for valuables and weapons. When they found no guns they started beating her husband, said Jasmina who asked CNN not to use her last name to protect her children.

"Then they started torturing me. I lost consciousness. When I woke up, I was totally naked and covered in blood, and my sister-in-law was also naked and covered in blood. ... I knew I had been raped, and my sister-in-law, too." In a corner, she saw her mother-in-law, holding her children and crying.

"That same day we were locked in our house. That was the worst, the worst period of my whole life. That's when it started.

"Every day we were raped. Not only in the house -- they would also take us to the front line for the soldiers to torture us. Then again in the house, in front of the children," Jasmina said through a translator, remembering the 10 other women who were brutalized with her.

"I was in such a bad condition that sometimes I couldn't even recognize my own children. Even though I was in a very bad physical condition they had no mercy at all. They raped me every day. They took me to the soldiers and back to that house.

"The only conversation we had was when I was begging them to kill me. That's when they laughed. Their response was 'we don't need you dead.' "

Once at the front line, there were female soldiers who tortured her with a bottle and then slashed at her throat and wrist when it broke. Then the troops cut one of her breasts with a bayonet, said Jasmina, now looking older than her 35 years.

"It lasted for a year. Every day. ... Not all the women survived."

Tens of thousands of women were raped in Bosnia and the other parts of the former Yugoslavia between 1992 and 1994 during the rule of Radovan Karadzic, according to estimates by the Organization for Security and Cooperation in Europe.  See a timeline of Karadzic's rule »

Karadzic was captured this week after years on the run and now will face war crimes charges at the International Criminal Tribunal for the Former Yugoslavia. The tribunal, set up to try war crimes suspects, established for the first time that rape was a crime against humanity and that rape was "used by members of the Bosnian Serb armed forces as an instrument of terror."

For Jasmina, some relief came one day in 1993 when a familiar face, an older Serb who had been a friend of her parents, appeared at the house where she was being kept. Jasmina was told he had bought her as a prostitute but, once in a car with him, the man said he was saving her. "I owe this to your parents," he said.

He drove Jasmina and her children to the front lines, gave something to the Serb soldiers there and directed her toward the Bosnian position, saying, "now you are free to go."

"I was very weak. I weighed only 45 kilos [99 pounds]. I carried both my children for more than a kilometer to the Bosnian side."

Jasmina was safe but scarred. "I felt ashamed. I wanted to die, to disappear somehow. I couldn't take care of my children; others did that. I just didn't have the strength or the will."

A new low came when doctors began to treat her in one of the refugee centers around the city of Tuzla.

"They discovered that I was pregnant, six months pregnant, and I didn't know that. It was too late for any abortion, but I kept saying I didn't want that child."

The gynecologist pleaded with Jasmina to have the child and give it up for adoption, saying it was too dangerous to try anything else. But that was no option for Jasmina. "I didn't want to hear about that, about giving birth to that child at all."

Finally, medics said they could try to abort the child but it was a very risky operation that only one in 100 women would survive. "I begged them to do it," Jasmina said, pausing to remember an 18-year-old girl who had the same operation on the same day as her and died. Jasmina herself continues to have gynecological health problems stemming from her abuse.

Months later, her husband arrived at the same refugee center after managing to escape a camp in Serbia. A man he broke out with was killed by a mine.

"It was such a difficult moment for me. I wasn't even sure if I wanted him to be dead or alive. I knew that he knew what had happened to me, so it was very, very difficult for me," Jasmina said.

"I thought he was going to leave me and take my children because of everything that happened. But he told me he was not going to ask me about anything. And that he also went through terrible things himself, so he didn't want to discuss anything." Yet still she says she cannot look her husband in the eye.

Jasmina said she was unable to talk to the therapists in Tuzla and tried to kill herself in 1995, the first of three suicide attempts.

"I will never be OK," she said, adding that she believes God kept her alive for a reason.

She now lives in a modestly furnished apartment in a tower block in Sarajevo, the capital of Bosnia-Herzegovina. She has been there since 2001 with her husband and children.

Her dreams now are for her children. She believes it's crucial she give them some stability but says that's impossible when she doesn't know from day to day whether she will be evicted.

She does not own the apartment, and all property must be returned to rightful owners under the terms of an annex to the U.S.-brokered peace agreement that ended the war.

The same pact allows for the return of all refugees and displaced people -- more than half of the country's people left their homes during the war, according to the International Organization for Migration -- and the re-establishment of the mixed ethnic communities that had lived peacefully for centuries before the war.

The Office of the High Representative for Bosnia-Herzegovina, an international body set up to oversee the implementation of the peace agreements, says almost all property rights have been restored. But it is impossible to say how many people have gone home and how many have sold their houses, leaving cities and towns like Bijeljina "ethnically cleansed," as the warmongers had planned.

A law enacted in September 2006 does include a section that says homes should be provided for victims of sexual torture during the war. It is not clear who should implement the act, and there is no agency making sure the law is enforced, according to the Ministry for Human Rights and Refugees.

Meanwhile, authorities say Jasmina should return to her mother-in-law's rebuilt house in Bijeljina. But she says she will never go back to the place where she lost 39 members of her family and where her abuse began.

It is a fear shared by other women, according to Alisa Muratcaus, the president of the Association of Concentration Camp Survivors -- Canton Sarajevo -- a group that offers classes and other support to Jasmina and 1,200 other women across the capital, including 150 victims of mass rape.

"Many of our members must deal with the realities of return. Not all members are able psychologically to return to regions in which they suffered such extreme human rights abuses," she said.

"No one raped woman has returned to their pre-war houses, since it is immoral and inhuman to request their return while the war criminals who tortured them are still free and live in these regions."

The Sarajevo municipality that owns Jasmina's apartment says that it does not plan to evict her and that any such directive would come from the Ministry for Human Rights and Refugees.

Saliha Djuderija, head of the Ministry's Department of Human Rights, said she was aware of victims who could not face returning to the places where they were tortured and was working on a solution. In the past couple of years, between 15 and 20 women have been given somewhere to live, but lack of funding is restricting the help that can be given. Priority was given to women who testified against their attackers, and Jasmina is not in that group, as her case is still unsolved.

But if her future is in doubt, Jasmina's mind is made up. "I'm not going to take my children to Bijeljina. I told my children when I die, don't take my bones to Bijeljina. I don't want to hear about Bijeljina. It doesn't exist for me," she said, flashing anger for the first time in a lengthy interview.

Then she shows a picture of her daughter, a beautiful young woman, but even that causes Jasmina pain as she remembers how the soldiers picked her out. "I was beautiful once. It cost me my life."

@highlight

Bosnian Muslim woman was raped daily while held by Serb soldiers during war

@highlight

Jasmina says she begged for late-term abortion of attacker's baby after she escaped

@highlight

Still traumatized, she says she never wants to return to her former home city

@highlight

But Bosnian government policy may send her back there, she fears