Aurora, Colorado (CNN) -- Tania Nava has one piece of advice for anyone seeking to come out of the shadows and pursue a path to U.S. citizenship: don't do it.

She says her decision to become a legal citizen is one of the reasons her husband was murdered.

"I should've stayed illegal this whole time," the 21-year old widow said. "Jake would still be here."

Jake Reyes-Neal, an American citizen, had traveled to Ciudad Juarez, Mexico, last year to protect his wife as she waited for the long, complicated process to attain U.S. citizenship. Instead, Reyes-Neal -- who had never been to Mexico and didn't speak Spanish -- became one of the thousands of homicide victims in Juarez as his family watched helplessly.

Nava and Reyes-Neal were high school sweethearts in Aurora, Colorado, and they got married at 18 after she gave birth to their son, Anthony.  Nava decided that the next step to build her new life with her husband and child was to apply for U.S. citizenship.

Her parents had brought her to the United States illegally at the age of 7. Although Reyes-Neal was an American citizen, their marriage didn't automatically give Nava legal status, so she still faced possible deportation.

So the 18-year-old couple began navigating the intricate U.S. citizenship laws and regulations without the help of a costly lawyer. When Nava tried to apply for citizenship, she learned that federal law said she had to leave the United States and barred her from returning for up to 10 years because she had resided in the country illegally.

She could apply for a hardship waiver requesting that U.S. immigration officials not separate her from her husband and child, both American citizens. But she had to file that waiver in her birth country, and that meant packing up and moving to Ciudad Juarez, Mexico.

Every year, more than 100,000 people travel to the U.S. consulate in Juarez to attain legal status. The consulate was set up to handle the permanent immigration visas years ago before the city became so violent.

Immigration attorney Shawn Mead calls the policy a perfect catch-22.

"It's an impossible situation: They have the option of staying here unlawfully, not being able to get their residence now or ever, or going and living in the city of Juarez, a place where people do get murdered all the time," Mead said.

Nava left her husband and young son in Aurora and attempted to live in her native Mexico, where she felt like a foreigner. She lived with her grandmother in Juarez, where more than 3,000 people were murdered in 2010. Last year, that number fell to just below 2,000 -- the first time the murder rate has dropped in four years.

"We were aware of everything," Nava said of the dangers in Juarez. "I mean, where we lived was a really bad neighborhood. We would drive by, and there were a couple shootings, and they had the bodies right there and everything."

Meanwhile, back in Aurora, the separation was proving even more difficult for Anthony, and it wasn't long before Reyes-Neal packed up and moved to Juarez to keep his family together. In a letter to the consulate, Jake pleaded for a hardship waiver allowing his wife to live in the United States while awaiting permanent legal residency.

"I am living with my wife and son in perilous and very dangerous conditions in Juarez, Mexico. We live with fear of our lives on a daily basis," he wrote. "As U.S Citizens, my son and I are facing extreme danger everyday we wake up in one of the most violent cities in the world."

His plea went unanswered, and within six months, Reyes-Neal's fear proved prophetic. He was shot more than 80 times outside the family's home. Nava's uncle was also killed in the attack. The motive was unclear, although the family suspects robbery.

"The last thing I heard was him saying, 'I don't speak Spanish,' 'No hablo espaÃ±ol,' and that's it. And then I just heard the shots, and then I waited for a little bit because I was scared to go down there. I just went down there with Anthony and my grandma, and they were right there on the floor, on the ground," Nava said.

Nava was covered in her husband's blood before she realized she was still holding their 2-year-old son. That night still haunts her.

"It's hard to sleep at night, because every time I think about them, the image pops in my head of them, they're on the ground. And as much as I try to block it out of my head, I can't," she said, wiping away tears.

Today, Nava and her son live in Aurora, where she has a green card and is awaiting awaiting a path to permanent citizenship.

"The tragedy that this family has suffered is most unfortunate, most tragic," said Alejandro Mayorkas, the director of United States Citizenship and Immigration Services.

"What we can do within the current laws is develop process improvements that mitigate the dangers and hopefully avoid tragedies to the best of our abilities."

Immigration Services has recently proposed a rule change aimed at reducing the time U.S. citizens are separated from their spouses and children during the process of becoming legal immigrants.

The proposal would streamline the process of obtaining hardship waivers by allowing U.S. Citizenship and Immigration Services to process certain waiver applications in the United States before an applicant departs for an immigrant visa interview with a U.S. consular officer abroad. In other words, it would reduce both the time the family spends apart and the time spent in harm's way in places like Juarez.

Mayorkas says that as it stands, the immigration system punishes those who, like Nava, attempt to obey the law.

"I have been working in the immigration system now for almost two and a half years. As a federal prosecutor, I worked in enforcing immigration laws throughout the 1990s for approximately 12 years. Working in the system now, it is evident to me that the concern about a broken immigration system is indeed warranted and well grounded," Mayorkas said.

The proposed rule change still has to go through several steps including a period of public comment before becoming official. But whenever it happens, it will be too late for families such as those of Jake Reyes-Neal.

CNN's Jim Spellman contributed to this report.

@highlight

Tania Nava was brought to the U.S. illegally as a child

@highlight

After marrying a U.S. citizen, she tried to become a legal immigrant

@highlight

U.S. policy requires her to file in Ciudad Juarez, one of Mexico's most dangerous cities

@highlight

After heading to Juarez to protect her, Nava's husband was shot and killed