(CNN) -- When my publisher first suggested the title for my new book, "Work Like A Spy" I bristled. Being called a spy is a pet peeve shared by everyone I know in the intelligence community, after all. So, to set the record straight, CIA officers are not spies â€” a spy is someone who commits espionage against his own country. CIA officers recruit spies.

Semantic quibbling aside, the primary purpose of the CIA's clandestine service is to identify and then to recruit sources of intelligence. Spies. Done well, this yields the sort of information that can change policy, shape strategy, and even save lives.

But individuals who have access to the sort of information sought by the CIA are few and far between.

Individuals who have both the access and a willingness to provide said information to the U.S. government are even rarer still, and this dearth of suitable candidates presents constant challenges. It can be said, then, that the CIA knows a thing or two about finding and recruiting the right people.

So, although the CIA's version of recruitment may involve higher stakes and greater risks than the corporate version, there are still business lessons to be learned from the recruitment practices used in the clandestine world. Here are a few:

Know the gaps

Every case officer in every posting around the globe has a deeply ingrained sense of mission, and that mission is spelled out in the form of requirements. In a nutshell, these are the ever-changing and rank-ordered intelligence gaps in need of filling.

Issues related to terrorism top everyone's list, of course, as do a number of other global topics. But other requirements may be specific to the region in which the officer works, or even the officer's specific area of expertise.

A case officer in one part of the world may concentrate on long-range missile programs, whereas an officer on the other side of the globe may focus more on political reporting. These requirements guide CIA officers during every networking opportunity, every meeting and every chance encounter, helping them determine if and how to proceed.

Be honest, are the leaders of your organization similarly aware of the skill gaps impacting your company's success? And, if so, are they prepared to seek out those skills during every networking opportunity?

Too often, recruiting is viewed as little more than a list of current job openings managed exclusively by the HR department. But just imagine being able to tap into the collective social and business networks of every employee in your organization. The pool of talent that such a meta-network can yield has the added benefit of built-in screening by the people you already trust.

Identify your targets

The intelligence gaps I just mentioned are also used in a more active way â€” to initiate and drive targeting efforts. More specifically, when critical information is needed, teams of officers from both the analytical and the operational sides of the CIA set about identifying exactly who might be able to provide the answers and fill the gaps. These individuals are then systematically targeted for recruitment.

Corporate recruitment practices, on the other hand, tend to be passive: a job vacancy is posted, and respondents are screened. Even relatively proactive efforts such as attendance at job fairs or college recruiting events rely on job seekers making the first move.

Instead, consider adopting targeting techniques from the CIA to identify those individuals who are instrumental to your competitors' success. These are the people you want on your team; these are the people you want to hire. Before you raise an ethical objection to "stealing" employees, remind yourself that your competitors will quite cheerfully steal your customers.

Assess motivation

For every spy who demands an exorbitant sum in exchange for sensitive data, there's another who would do it for free simply because he believes that it's the right thing to do. There are as many reasons for spying as there are spies, and it's a CIA officer's job to understand and cater to specific motivations.

The recruitment approach that would appeal to someone who yearns for the sense of adventure and intrigue afforded by working with the CIA would almost certainly fail to persuade an individual motivated by more ideological matters.

The business world would be well served by the same degree of sensitivity to specific motivations, especially when it comes to critical skill sets. Everyone knows that salaries are negotiable, but the corporate world is still largely reluctant to negotiate other terms of employment.

We've acknowledged the benefits and the appeal of flexible work hours and conditions for decades now, but it's the rare organization that uses its full arsenal of motivating forces to lure the top talent from their competitors.

The opinions expressed in this commentary are solely those of J.C. Carleson.

@highlight

CIA recruitment techniques can be applied to corporate life

@highlight

Be proactive and don't be afraid to poach talent, says Carleson

@highlight

Identify different motivations to recruit top talent