(CNN) -- President Barack Obama on Sunday used his annual commemoration of Nowruz, the Persian New Year, to underscore his administration's repeated argument that the Iranian government is on the wrong side of the popular, pro-democracy movement sweeping across the region.

"We all know that these movements for change are not unique to these last few months," stated Obama in a Sunday press release. "The same forces that swept across Tahrir Square were seen in Azadi Square in June of 2009."

Tehran's Azadi Square was the site of massive anti-government protests following the controversial re-election of Iranian President Mahmoud Ahmadinejad, for whom, opponents claimed, the contest was rigged. Pro-government paramilitary forces violently suppressed the demonstration and dozens of people were killed.

Likewise, recent Iranian protests inspired by the Egyptian and Tunisian revolts have been stymied by force.

"Just as the people of the region have insisted that they have a choice in how they are governed, so do the governments of the region have a choice in their response," Obama stated. "So far, the Iranian government has responded by demonstrating that it cares far more about preserving its own power than respecting the rights of the Iranian people."

With the collapse of autocratic governments in Egypt and Tunisia and amid the threat pro-democracy uprisings pose to others, the Obama administration has repeatedly sought to portray Ahmadinejad's government as a hypocritical and meaner sibling of other repressive and dictatorial Middle Eastern regimes.

The U.S. has accused the Iranian government of hypocrisy for comparing the Tunisia and Cairo uprisings to Iran's own 1979 Islamic revolution, while crushing its own protesters.

In Obama's 2011 Sunday commemoration of Nowruz, the president addressed only the Iranian people and not their government. The message was also specifically aimed at young people.

"You, the young people of Iran -- carry within you both the ancient greatness of Persian civilization, and the power to forge a country that is responsive to your aspirations," Obama stated. "And though times may seem dark, I want you to know that I am with you."

In 2009, Obama told Iran's leaders that his administration was seeking "engagement that is honest and grounded in mutual respect." In 2010, the president chided the Iranian government for its violent suppression of peaceful demonstrators.

"You have refused good-faith proposals from the international community," Obama stated in 2010, referring to Iran's aspirations to develop nuclear power.

In his 2011 statement, Obama never strayed from referring to the Iranian government in the third person.

The president excoriated the Iranian government for waging a campaign of "intimidation and abuse," including jailing hundreds of activists, silencing journalists, torturing women and sentencing children to death. That includes the jailing of human rights defender Nasrin Sotoudeh, filmmaker Jaffar Pahahi and journalist Abdolreza Tajik, the president said.

Obama also named student Mohammad Valian, who has been sentenced to death "for throwing three stones," he said.

"These choices do not demonstrate strength, they show fear. For it is telling when a government is so afraid of its own citizens that it won't even allow them the freedom to access information or to communicate with each other," Obama stated. "But the future of Iran will not be shaped by fear. The future of Iran belongs to the young people -- the youth who will determine their own destiny."

Nowruz, which literally means "new day," marks the first day of spring and the start of the Iranian year. It is celebrated around the start of the vernal equinox. It is also considered a holiday for Zoroastrians as well as adherents of Sufism and the Baha'i faith.

U.S. Secretary of State Hillary Clinton on Sunday also released a statement marking the Persian New Year.

"This year allows us to reflect on recent events in the Middle East. We commend the demonstration of peaceful expressions of human rights and dignity we have seen in much of the region," Clinton stated. "We join the world community in embracing Nowruz's opportunities and in striving to uphold its values.

"May this new year be filled with a renewed sense of hope and a new commitment to the human rights and fundamental freedoms that are our universal birthright," Clinton stated.

@highlight

Obama tells Iranian youth, "I am with you" in Nowruz message

@highlight

Nowruz is the start of the Persian new year

@highlight

Obama calls Iran government "afraid of its own citizens"