When police caught up with alleged killer Eddie Ray Routh last weekend, the 25-year-old ex-Marine was crying, shirtless, shoeless and smelling of alcohol.

"I'm hurting," he told them.

Not long before, at a Texas shooting range, police say, Routh had gunned down Chris Kyle, the Navy SEAL who called himself America's deadliest military sniper.

As he sits in a Texas jail cell, details about Routh's psychological make-up have surfaced, including claims that he suffers from post-traumatic stress disorder, a condition that affects a number of current and former members of the U.S. military.

Of course, combat duty doesn't automatically lead to PTSD. And it's not even clear that Routh served in a combat zone during his four years in the Marines.

Nonetheless, Kyle's tragic death and Routh's story are shining light on those who suffer from PTSD and the circumstances that surround it.

Here are five things to know about PTSD:

What is it?

Anyone who has experienced a life-threatening situation can develop PTSD, according to Dr. Stephen J. Cozza, a professor of psychiatry at the Uniformed Services University of the Health Sciences. A sufferer typically re-experiences the trauma through flashbacks and nightmares, experiences that can seem as real as the actual trauma. The person often feels intensely that the trauma could happen again at any time.

How common is it for someone to be diagnosed with PTSD?

While many people will have extremely distressing or threatening experiences in their lifetimes, only a small percentage will experience PTSD, experts say. In the general population about 7% of people experience PTSD, and there is a 60% chance of at-risk individuals -- combat veterans, victims of natural disasters or victims of violent crime -- experiencing PTSD, experts estimate.

Thirty percent of service members who have fought in Iraq or Afghanistan have been diagnosed with PTSD, according to a Department of Veterans Affairs study released last year.

"We need to remember that while substantial numbers of vets have mental health conditions," Cozza said, the majority do not.

"We don't want to stigmatize our vets, because many of them are not ill," he said. "As an organization and as a community, the military has varying levels of health and risk. There are more services for mental health care in the military than there has ever been before."

How virtual reality can combat veterans' PTSD

Could PTSD lead someone to act violently?

There's no way to answer that definitively, experts say. But new research is being conducted.

Iraq and Afghanistan veterans who struggle with anger are twice as likely as other vets to be arrested for crimes, according to the Journal of Consulting and Clinical Psychology, which published a study last year.

The study, conducted by the University of North Carolina-Chapel Hill School of Medicine, examined 1,388 combat veterans. Researchers found that about 23% of those with PTSD and high irritability had been arrested for criminal offenses.

But researchers also found that other factors unrelated to military service -- including growing up around violence or drug abuse -- were factors behind why some vets committed crimes.

Is there a way to treat PTSD that reduces the chances that a sufferer will act out?

Exposure therapy often helps the person with PTSD revisit or re-experience their trauma as a means of lessening the effect the memory has on them, said Dr. Albert "Skip" Rizzo, a psychiatrist who works with the military and has pioneered use of virtual reality for treating PTSD.

Rizzo, who is with the Institute for Creative Technologies at the University of Southern California.

This kind of therapy has been around for years. Typically a therapist would ask someone to imagine they are experiencing their trauma again. This would happen repeatedly, and ideally, with each retelling of what happened, the event would seem gradually less threatening.

Recently Rizzo and other experts have employed virtual reality for this purpose. Patients wear goggles and describe their experiences while a technician stands by with a console changing the scene to fit the patient's description. If the patient recalls hearing a young boy's voice, the technician makes that happen. If the patient experienced the trauma at night or in the daytime, or perhaps was involved in an IED explosion, those circumstances will be created in the virtual world.

"We can begin to pace the exposure in a very evocative fashion," Rizzo said. "This works because some people don't engage in the trauma memory at a sufficient level. They don't engage fully with their imagination to confront difficult memories."

Treating PTSD with Ecstasy: One story

Could a gun range be a form of exposure therapy?

Absolutely not, Rizzo said.

"What happened this weekend with the death of former Navy Seal sniper Chris Kyle at a gun range is exactly the opposite of the evidence-based approach to treating PTSD," termed 'prolonged exposure' or 'virtual reality exposure' therapy, he said. "Chris Kyle, while well trained in his field, had no clinical training in conducting therapeutic exposure."

It is never advisable to put someone with PTSD in an environment where there is likely to be uncontrolled exposure to provocative events -- such as gunfire and visuals of people shooting guns -- because this could stoke a flashback in the PTSD sufferer.

"This would especially not be recommended in a situation where that person had a gun in his/her hand or at least quick access to one. That would truly be a questionable activity, and in this case, it was a deadly one," Rizzo wrote in an e-mail forum to journalists who were asking him about the Kyle case.

Conducting exposure therapy requires a well-trained expert clinician in a very controlled therapeutic setting, Rizzo said.

"That is very different than what one could ever reasonably expect in the atmosphere of a shooting range," he said.

@highlight

PTSD is marked by hyper-vigilance, a fear that a trauma will occur again

@highlight

Rates of PTSD among the general population are low

@highlight

Virtual reality is being used to treat PTSD sufferers