Des Moines, Iowa (CNN) -- If Hillary Clinton decides not to run for president -- and yes, that is still possible -- her return to the media lion's den might be a factor in her thinking.

She's done a national book tour and the paid lecture circuit, but Clinton got an up-close look at today's frenzied political news environment last weekend when she visited Iowa for the first time in seven years, a spectacle primed for an avalanche of media coverage given her expected campaign and her tortured history with the Hawkeye State.

I joined more than 200 other reporters who swarmed the scene and tweeted away, even though most Americans on social media that day probably cared more about Robert Griffin's ankle.

The press scrum that assembled to witness noncandidates Hillary and Bill Clinton flip Hy-Vee steaks with Sen. Tom Harkin -- behind a barricade, of course -- was as large, if not larger, than the media hordes that covered her at the height of her 2008 campaign.

One reporter got whacked in the head with the butt of a big television camera. Another photographer dramatically toppled off his ladder while straining to get a shot. It was a little absurd. When the Clintons approached the media zoo for question time, Bill Clinton leaned in and relished the scene. Hillary kept her distance.

Political Twitter, though, wasn't just a stream of gauzy Instagram-filtered pics of the Clintons: It was also rife with media criticism, some fair and some not, from politicos and press critics who pointed to the event as another example of lazy "pack journalism" with little journalistic upside.

The sniping had some credibility. What was the competitive advantage of being there, just one more reporter among the herd, all of us racing around to get the same quotes and the same pictures?

This was especially true for the many journalists in attendance who rarely travel outside of Washington or New York to cover politics but decided to open up their travel budget for this one trip.

Couldn't their time have been better spent reporting on an undercovered Senate or governor's race in some other part of the country, far away from the rest of the media scrum? Of course, the academics would say. But the incentive structure of today's click-driven news economy begs to differ. Hillary gets eyeballs. Arkansas' Tom Cotton does not. This is the world we live in.

As much as I believe in straying far, far away from the rest of the media pack -- this was a lynchpin argument in "Did Twitter Kill The Boys on the Bus?," the Harvard Kennedy School study I wrote last year about the hyperactive political news media -- I did find value in covering the Steak Fry.

For one, I lived Clinton's 2008 campaign up close as an embedded producer for CNN, living on her campaign plane for six months and ingesting every single stump speech, gaffe and gross turkey sandwich in front of me. It was useful for me to see whether her political skills and her willingness to play the Iowa game had shifted since she lost the nomination fight to Barack Obama.

The whole thing was broadcast on CNN and C-SPAN, which is fine and good, but television cameras don't pick up the small things reporters can sniff on the ground: The receptiveness of the crowd, the impressive organizational prowess of the once-meager Ready for Hillary super PAC, the absurdity of the staged photo-ops and press scrums, and the rope-line body language of Clinton herself, which was noticeably more cautious than her husband Bill (some things never change).

Those are the kind of atmospherics I chose to focus on when crafting my report from the scene as well as this week's episode of Hambycast.

And of course, there's the reporting that went on nowhere near the Steak Fry, those meetings with Democrat and Republican sources in and around Des Moines. Was all that worth the plane ticket to DSM? Definitely. Will I go somewhere where other reporters aren't for my next trip? You bet.

Watching the Iowa theatrics from afar, the journalist Dave Weigel wrote that Hillary's protocandidacy is a "problem for the media, which simultaneously is ready right now to cover her like a nominee -- 200 reporters! -- and yet so palpably bored with how she talks, and runs."

But the ever-growing press corps, weaponized by Twitter, will also be a problem for Clinton and her team, who must find ways of engaging with a massive entourage of reporters that is constantly on the hunt for "news" -- i.e., anything off-message or click-worthy -- while also trying to drive the conversation on their own terms.

The hyperguarded Mitt Romney encountered this same dilemma during his ill-fated 2012 presidential bid.

Watch more Hambycasts

When he avoided the press, he got punished by a cranky and access-starved press corps. When he held a rare press conference to push a policy idea, his comments were drowned out by a cacophony of horse-race questions or some Twitter-driven "controversy" unfolding hundreds of miles away.

So he chose to get his message out on his own terms, through paid media or friendly Fox News interviews, without the filter of the "traditional" press, whatever that means. In the end, it wasn't enough.

That political reporters are motivated by conflict, personality and the ups-and-downs of a campaign is nothing new, and it's unlikely to change despite carping from media critics.

What has changed is the atomized and hyperactive social news environment we all live in now, and it's changed dramatically since Clinton last announced a presidential bid in 2007, before the iPhone existed and well before Twitter took hold among the political class.

If she runs again, there will be reporters covering her campaign who were barely in diapers when Bill Clinton was elected President, who came of age in an era of Internet journalism that prizes exclusives and micronews, who have very different incentives than the television and newspaper reporters that the Clintons dealt with during his presidency or her last campaign. They hold the Clintons in high-regard, but not nearly as high as the regard the Clintons have for themselves.

Hillary got a taste of this during her book tour -- her de-facto re-entry into political life -- when various comments that had even a whiff of controversy or gaffe-status rocketed across the Internet at warp speed, with an assist from Republican opposition researchers.

Life as a candidate, of course, is something much different. Clinton knows this. But her Iowa pop-in was her first glimpse of the thorny new reality that awaits.

@highlight

Hambycast is a weekly digital show produced by CNN Politics and CNN Digital Studios

@highlight

Hillary Clinton made her first trip to Iowa since losing to Barack Obama and John Edwards in 2008

@highlight

Hillary Clinton gets a hard look at what's ahead and what's changed if she decides to run