(CNN) -- While Japan's economy continues to falter, lawmakers are betting big that the casino industry can swoop in and lift it out of the doldrums.

Gambling is currently illegal in Japan, though many play pachinko, a quintessentially Japanese game often likened to pinball. While cash prizes are forbidden, many pachinko parlors work on a gray economy where prizes are exchanged -- off-premises -- for hard currency.

This week, a major conference focusing on the future of the industry opened in Tokyo. It comes at a time when key legislation is being pushed through Japan's parliament that could pave the way for the development of a large-scale gaming industry in the country.

"There is ample chance that the bill will be debated in parliament (this session) and will be passed by both houses," said Toru Mihara, Director of the Institute of Amusement Industry Studies, Osaka University of Commerce and a key speaker at this week's Japan Gaming Congress.

Tokyo, along with Japan's second city, Osaka, is being eyed as a key destination for so-called "Integrated Resorts" (IR), which would combine casinos with hotel, luxury retail and entertainment complexes.

The industry has the potential to generate tens of billions of dollars for Japan, attracting massive investment from overseas -- in particular from Las Vegas-based companies and Asian gaming operators -- and boosting its tourism numbers.

The next Singapore?

"The easy comparison to make is with the Singapore market," said Michael Paladino, Gaming, Lodging & Leisure Sector Head at Fitch Ratings.

"The success of the Singapore market and its ability to generate non-gaming revenues, much more so than the Macau market. That is a lot easier to sell politically. Tourism creates the meetings, incentives and retail. Everything else that comes with it aside from gambling."

Part of the urgency in getting the legislation ratified in this Diet session comes from the desire to keep the gaming project concurrent with the opening of the Tokyo Olympics in 2020.

"The government is looking at the Olympics and IR as a one- two in terms of elevating Japan's tourism presence and then really going after foreign inbound visitors," Grant Govertsen, principal and analyst at Union Gaming Research Macau, told CNN.

"Inbound foreign visitation is fairly anemic on an annual basis for such a developed and interesting country. I think that's the key there. It has nothing to do with economics -- using IRs as a means to help fund Olympics development."

With casinos opening up across Asia, from new developments in Cambodia and the Philippines to Korea, Singapore and China's gambling mecca Macau, eyes are firmly fixed on this side of the world for the industry's expansion. Japan is seen as a huge untapped market and one which, unlike Macau for example, would not be heavily reliant on inbound tourism to fulfill its potential.

Homegrown crowd

Much of the investment interest is pegged on Japanese gamblers flocking to their own casinos -- Mihara suggests that upwards of 80% of Japanese casinos visitors could be locals, and this stable, relatively disposable income-rich market is certainly a selling point, as it is likely that the region's biggest gambling market may choose to shun Japanese casinos.

Historical and cultural tensions between China and Japan -- Japanese aggression during the Second World War remains a highly political issue across much of Asia -- may dampen Chinese enthusiasm for Japanese travel.

"We will not be too dependent on Chinese, like Macau," said Mihara. "Given the political relationship, there is a potential risk (if Japanese casinos were too dependent on Mainland visitors)."

The strength of the domestic market could have a knock-on effect to other gaming destinations in the region, particularly South Korea, which could see a drop-off in Japanese gamblers traveling overseas.

Untapped potential

The interest from casino companies -- Las Vegas-based companies like Sands but also Asian operators -- is palpable. The bidding process, which will begin if and when the law is passed, will lead to potentially the most expensive resorts ever built, with some figures suggesting anything up to a $10 billion investment. The numbers involved in Japan are much higher than they are elsewhere in Asia, largely due to the high price of land.

Nonetheless, the opportunity to break into a new market is seemingly too tempting to resist.

"It will be highly sought after from all the major global players, as (potentially) the second-largest market in Asia, from a gaming revenue point," said Paladino.

Given potentially low returns, thanks to eyewatering capital expenditure including land and construction costs and higher wages, along with a potentially more punitive tax climate than neighboring countries, the risk that gaming operations are taking on appear to be higher.

"You're going to have to spend a lot more money to get the same amount of casino, it is not clear that the return profile will be as good as Macau or Singapore, but it could very well be," said Govertsen.

Pachinko threatened?

Analysts are divided on whether the influx of gaming tables will affect the pachinko industry, which has seen the development of thousands of parlors dotted across the country.

Regardless, the ruling Liberal Democratic Party -- along with a handy majority of cross-party support -- sees the arrival of legalized gambling in Japan as a boon for the country's coffers.

"Clearly, there can be a significant economic stimulus associated with the development of IR," said Govertsen.

"From a taxing and jobs perspective, it could meaningful for Japan."

@highlight

Japan's ruling party hopes to legalize gambling within the month

@highlight

Ruling could pave the way for huge integrated resorts in Japan's major cities

@highlight

Advocates say the liberalization of the gaming industry will help Japan's ailing economy