(CNN) -- Five years ago Sunday, the water rushed in, the lights went out and for thousands of Gulf Coast residents nothing was ever the same.

The milestone was marked by vigils, tears and reflection on what was, what came after, what still remains to be done and what, if anything, we have learned from Hurricane Katrina.

A number of events were planned in New Orleans, Louisiana, and elsewhere to commemorate the anniversary of the landfall of Katrina, the costliest and one of the five deadliest storms ever to strike the United States.

President Barack Obama visited New Orleans on Sunday and spoke at Xavier University of Louisiana, where he said that the construction of a fortified levee system to protect the city is under way.

"We should not be playing Russian roulette every hurricane season," he said.

Obama also vowed that reforms are being put into place "so that never again in America is somebody left behind in a disaster because they're living with a disability or because they're elderly or because they're infirm. That will not happen again."

The hard-hit parishes of Plaquemines and St. Bernard were holding commemorative community events, and a third commemoration was planned in New Orleans' Jackson Square.

Katrina left more than 1,800 dead in its wake. It slammed into the Gulf Coast near the Louisiana-Mississippi state line early on August 29, 2005. Most of the dead were in and around New Orleans, where more than three-quarters of the city flooded after its protective levees failed. Nearly 300,000 people were displaced.

After the storm, "We were a city that had no people in it," Ray Nagin, who was mayor of New Orleans when Katrina struck.

"Now, we're a city that has over 80 percent of its population back. Lowest unemployment in the country. Construction everywhere. I think we're on our way to success," Nagin told CNN's Don Lemon as the storm's anniversary approached.

Still, it is widely agreed that more work remains to bring New Orleans and the Gulf Coast back from Katrina's devastating blow. Some say that little has improved, and entire neighborhoods in Louisiana and beyond have not rebounded.

"Nothing's really changed," said Conrad Wyre III, 35, of New Orleans. Some regions are still "in shambles," he said, and some residents still feel helpless and without support, as if they are "floating in the wind."

About 6,000 families own homes that cannot be rebuilt. One-third of New Orleanians say their lives are still disrupted by the storm, according to a Kaiser Family Foundation Poll. In New Orleans' Lower Ninth Ward neighborhood -- seen as ground zero for Katrina's wrath -- only 4,000 of 18,000 residents have returned.

"I don't have to tell you that there are still too many vacant and overgrown lots," Obama said Sunday. "There are still too many students attending classes in trailers. There are still too many people unable to find work. And there's still too many New Orleans folks who haven't been able to come home."

"So while an incredible amount of progress has been made, on this fifth anniversary, I wanted to come here and tell the people of this city directly: My administration is going to stand with you -- and fight alongside you -- until the job is done, until New Orleans is all the way back."

"This is the place ... where I think the American people witnessed a real loss of faith in their federal government," Housing Secretary Shaun Donovan told CNN's "State of the Union" on Sunday. "I have really been moved by the spirit of the people in New Orleans in the Gulf, and their rebuilding, and the optimism in progress that I have seen. More than 90 percent of the population is back in the New Orleans area, and there is still much ahead of us."

When Obama took office, 40,000 families remained in Federal Emergency Management Agency trailers or were using emergency housing vouchers, "and literally tens of thousands of them were at risk of losing their homes within weeks of us coming in," Donovan said. "Today, 98 percent of the families are in permanent housing."

Katrina made its initial landfall in Florida, where 14 people were killed. But fueled by the warm waters of the Gulf, the storm had grown into a monster Category 5 hurricane, although experts later said its intensity had decreased and it was a strong Category 3 storm when it the coasts of Mississippi and Louisiana.

The storm cut a wide swath of destruction, wiping out whole sections of Mississippi's Gulf Coast and swamping downtown Mobile, Alabama, with a 20-foot storm surge.

Despite the attention focused on New Orleans, it was Waveland, Mississippi that was the hardest hit. Ninety-five percent of the town's homes were destroyed, along with 100 percent of its businesses. Nearly every road was broken up or left under piles of debris.

Waveland began rebuilding almost immediately. Bolstered by $100 million in federal aid, it has repaired utilities, roads, schools, community centers and parks, and has recovered 65 percent of its businesses. About two-thirds of residents have returned.

Ironically, the city of New Orleans initially breathed a sigh of relief in those early hours, as it was spared a direct hit from the hurricane and at first seemed to have weathered the wind and rain. But Katrina's worst havoc was yet to come, as reports of levee breaches began to surface and entire neighborhoods flooded.

Katrina also dealt a black eye to the government, which scrambled to launch a delayed relief effort after the storm as New Orleans residents suffered and reports of crime and looting were widespread. Nagin in a famous expletive-laced interview lashed out, telling federal authorities to "get off your asses."

Then-President George W. Bush traveled to New Orleans, delivering a speech from Jackson Square as he promised, "We will do what it takes. We will stay as long as it takes to help citizens rebuild their communities and their lives."

But that "turned out to be a hollow promise," Sen. Mary Landrieu, D-Louisiana, told NBC's "Meet the Press" on Sunday. "... Because the federal government didn't stay and do everything it could. The federal government didn't make it easy. They made it very, very difficult."

Mayors of New Orleans and other areas, when they requested money to rebuild, were offered loans of $5 million, she said. New Orleans' operating budget, she said, is $460 million, and $5 million "wouldn't buy them a loaf of bread for the week."

Nagin told CNN recently that he has been reflecting on his own response as the storm approached. He acknowledged the mandatory evacuations could have been issued about eight hours sooner than they were.

Asked how FEMA can combat its still-suffering reputation in the region, agency chief Craig Fugate told CNN Saturday he believes responding quickly is the key.

"Speed is going to be critical," said Fugate, who distinguished himself as the head of the Florida Emergency Management Agency before being appointed to the federal post. "We cannot wait for a full assessment. We have to respond as if it's bad, bring the things together, and focus on the most immediate [goal] of keeping it safe, getting to the injured, trapped, and recovering the lost lives, getting supplies in here."

"The big lesson from Katrina is, you can't wait to find out how bad it is," he said. "You've got to respond, as a team, as [if] it is bad."

Obama said Sunday a group led by Housing Secretary Shaun Donovan and Homeland Security Secretary Janet Napolitano is examining disaster recovery nationwide. "We're improving coordination on the ground, modernizing emergency communications and helping families plan for a crisis," Obama said.

"...Together we are helping to make New Orleans a place that stands for what we can do in America -- not just for what we can't do," he said. "And ultimately, that must be the legacy of Katrina: not one of neglect, but of action; not one of indifference, but of empathy; not of abandonment, but of a community working together to meet shared challenges."

The head of FEMA at the time, Michael Brown, resigned two weeks after Katrina made landfall amid criticism of the federal response -- and 10 days after Bush's famous compliment to him, "Brownie, you're doing a heck of a job."

Brown told CNN on Thursday the talking points he and other federal officials used at the time did not tell the whole story, calling it a "fatal mistake."

"They were factually correct, but weren't in context," Brown said. "We're moving all of this stuff in. We have teams here. Rescue teams are doing this. But we never explained to the people that it's not coming as fast as we want it to, and it's not enough, because of the number of people that were left behind in the aftermath of the storm."

"Had I said that at the time, I probably would have gotten the old hook and been pulled off the stage anyway, but the truth would have been out," he said.

He criticized former Homeland Security Secretary Michael Chertoff's handling of the situation. Chertoff attended an avian flu convention in the midst of the disaster.

"Here is why that's so important. In the middle of any crisis," Brown said, "whether it's a natural disaster or man-made disaster, you need to have one person in charge. And that person needs to be on the ground with the team, understanding what's going on."

On Bush's infamous compliment, he said, "I knew the minute he said that, the media and everybody else would see a disconnect between what he was saying and what I was witnessing on the ground. That's the president's style. His attitude and demeanor is always one of being a cheerleader and trying to encourage people to keep moving. It was just the wrong time and the wrong place."

@highlight

NEW: Obama speaks at Xavier University in New Orleans

@highlight

Commemorations are planned across the Gulf Coast to mark the Katrina anniversary

@highlight

Officials reflect on lessons learned from the storm