(CNN) -- It seems today that a new stage of life has opened up. Sociologists call it "emergent adulthood," Time magazine termed it "the Twixter years," and author Kay Hymowitz referred to it as "pre-adulthood."

People in this group are over 18, but as they head toward 30 they still act and think like adolescents. They bounce from job to job and relationship to relationship, live with parents at home or in a house with five friends, watch ESPN and play video games (the boy-men) and read "Twilight" and ponder whether he's just not into you (the girl-women), while all of them sprinkle "like" and "'n stuff" and "ya know" in their speech. Adolescence used to be a condition you escaped as soon as you could, but these 20-somethings want to prolong it.

We need to counteract them, to restore embarrassment to adolescent habits, and books are a key weapon.

After all, books have the power to fortify attitudes. For instance, the "Harry Potter" books, a wonderful phenomenon for tweens and early-teens, offered so compelling a world of heroic, beset youth and hostile adults that readers clung to Harry well past the proper age. In fact, quidditch matches have spread to more than 200 college campuses. "Twilight" has had a similar impact, intensifying the ordinary shenanigans of teenagers to luridly high melodrama.

Why grow up when adolescence contains so much romance and suspense? Clinging to such young adult fantasies, pre-adults think that grownup content is a sensation, like "Fifty Shades of Grey," a book so poorly written as to be beyond parody. Only a 14-year-old sensibility could read this passage when Miss Steele first encounters Christian without laughing at the witlessness of the words.

I open the door and stumble through, tripping over my own feet and falling headfirst into the office.

Double crap -- me and my two left feet! I am on my hands and knees in the doorway to Mr. Grey's office, and gentle hands are around me, helping me to stand. I am so embarrassed, damn my clumsiness. I have to steel myself to glance up. Holy cow --he's so young.

Now, who trips over her own feet and falls headfirst to the floor? And the callowness of "Double crap" and "Holy cow" couldn't be more phony. Young women loved it, though. And so did many older women, apparently.

This is bad for our 20-year-olds and bad for our culture. Let us hope, then, that 2013 will unveil a new book about the young, but one that halts the creep of adolescence into adulthood.

Yes, there are several superb recent novels about teens and 20-somethings by talented writers, like Jeffrey Eugenides' "The Marriage Plot" and Gary Shteyngart's "Super Sad True Love Story." But they have too much sympathy for the emerging adult, too much understanding of young love and companionship, to do the work of correction.

It will take an altogether different book to explode extended adolescence; specifically, a frolicking comic novel that submits the interests and longings of pre-adults to whimsy, burlesque and farce. Not gentle humor, but all-out comedy or satire that casts the whole experience and habitat of pre-adults as both ludicrous and avoidable.

Not trite pratfalls that, supposedly, make the characters lovable inept and self-involved, but outrageous (and hilarious) situations such as those in Kingsley Amis' "Lucky Jim" and Philip Roth's "Portnoy's Complaint." Not sensitive and self-aware individuals coping with circumstances that afflict their whole age group, but memorable eccentrics like Ignatius J. Reilly from "A Confederacy of Dunces," whose disdain for all things contemporary highlights the virtues and vices of modern life.

This comic novel will amuse and sell well, for the better elements of our culture and our youth have grown impatient with the travails and aggrandizing of Twixter books, movies, music and TV.

It will serve a larger purpose, too, the same one that motivated satirists from Aristophanes and Juvenal to Swift and Pope to Mark Twain and the creators of "Dr. Strangelove": to curb self-indulgence, deflate pretense, and expel stupidity. To take down a popular genre or a representative figure or a trendy pose, one good belly laugh works better than pages of strict criticism.

H.L. Mencken chided middle-American backwardness at length, but his best weapon was a one-word comic label: the "booboisie." After Sarah Palin's nomination to the 2008 Republican ticket, intellectuals on the left attacked and on the right fretted, but the surest demolition came at the hands of Tina Fey's impersonation. When the catastrophe movies of the 1970s became too theatrical and clichÃ©d, the film "Airplane!" appeared and one could no longer watch the genre with a straight face.

Let's have a comic novel do the same for emergent adulthood.

The opinions expressed in this commentary are solely those of Mark Bauerlein.

@highlight

Mark Bauerlein: Today's 20-somethings want to stretch out their adolescence

@highlight

Bauerlein: We need a comic novel that exposes the habits of "pre-adults" as ludicrous

@highlight

He says books have the power to fortify attitudes

@highlight

Bauerlein: Only all-out comedy or satire can show that pre-adults' behavior is backward