A suburban Los Angeles school district is now looking at the public postings on social media by middle and high school students, searching for possible violence, drug use, bullying, truancy and suicidal threats.

The district in Glendale, California, is paying $40,500 to a firm to monitor and report on 14,000 middle and high school students' posts on Twitter, Facebook and other social media for one year.

Though critics liken the monitoring to government stalking, school officials and their contractor say the purpose is student safety.

As classes began this fall, the district awarded the contract after it earlier paid the firm, Geo Listening, $5,000 last spring to conduct a pilot project monitoring 9,000 students at three high schools and a middle school. Among the results was a successful intervention with a student "who was speaking of ending his life" on his social media, said Chris Frydrych, CEO of the firm.

That intervention was significant because two students in the district committed suicide the past two years, said Superintendent Richard Sheehan. The suicides occurred at a time when California has reduced mental health services in schools, Sheehan said.

"We were able to save a life," Sheehan said, adding the two recent suicides weren't outside the norm for school districts. "It's just another avenue to open up a dialogue with parents about safety."

Teacher suspended after giving student a Twitter lesson

In another recent incident, a student posted a photo of what appeared to be a gun, and a subsequent inquiry determined the gun was fake, Sheehan said.

Still, school administrators spoke with the parents of the student, who wasn't disciplined, the superintendent said.

"We had to educate the student on the dangers" of posting such photos, Sheehan said. "He was a good kid. ... It had a good ending."

In fact, no student has yet to be disciplined under the monitoring, but it's not out of the question if analysts find a message warranting action, such as a threat of a campus shooting, Sheehan said this week.

"I can see turning it over to police. That would be a situation in which discipline would follow," he said.

Frydrych's firm scours the social media postings of Glendale students aged 13 and older -- the age at which parental permission isn't required for the school's contracted monitoring -- and sends a daily report to principals on which students' comments could be causes for concern, Frydrych said.

The company won't disclose its methods and practices in gathering the students' messages, but it does use key words in its searches. The firm also didn't disclose how it confirms the youths are indeed students of the district.

To do the work, Frydrych employs no more than 10 full-time staffers -- as well as "a larger portion" of contract workers across the globe who labor a maximum of four hours a day because "the content they read is so dark and heavy," Frydrych said.

"It's mostly kids hanging onto a thread of life," Frydrych said, "and they're posting to people also hanging on to a thread."

He declined to disclose how many school campuses have retained his firm, founded this past January in Hermosa Beach, California. Frydrych has been providing technology services to school districts the past 10 years.

Geo Listening also monitors whether students are talking about drug use, cutting class or violence. The firm even ascertains whether pupils are using their smartphone during class time, Frydrych said.

Florida university suspends fraternity over Facebook posts

While critics say the Glendale schools' contract is an invasion of privacy, Frydrych said his firm helps schools bridge a digital-age communications "chasm."

"Parents and school district personnel -- they are not able to effectively listen to the conversation where it's happening now," Frydrych said. "The notion about talking in class is about as old-fashioned as a Studebaker, no offense to the makers of the car.

"When was the last time you sent a kid to the principal's office for talking in class too much? I just don't think it happens too much. So what we kept seeing is the chasm keeps building between how students communicate and the ability to tell adults about what's going on in their lives," he said. "I thought we could bridge that gap."

Some experts in digital media and privacy, however, take exception.

"This is the government essentially hiring a contractor to stalk the social media of the kids," said Lee Tien, senior staff attorney for the Electronic Frontier Foundation, a nonprofit that defends privacy, free speech and consumer rights.

"When the government -- and public schools are part of the government -- engages in any kind of line-crossing and to actually go and gather information about people away from school, that crosses a line," Tien said.

He disagreed with school officials who say they are monitoring only public postings.

"People say that's not private: It's public on Facebook. I say that's just semantics. The question is what is the school doing? It's not stumbling into students -- like a teacher running across a student on the street. This is the school sending someone to watch them," Tien said.

Sandy Russell, president of the school district's PTA, said parents have many questions about the monitoring, a topic that will be addressed later this month when the superintendent makes his regular appearance at a PTA meeting.

Parents want to know how and why this is being done, Russell said.

"If it supports a child in a difficult situation -- whether it's bullying or stress level -- and if it helps, any parent would be thrilled to have the help. But how is that happening?" Russell said.

"When you find something you're concerned about, what are you doing? Do you approach the child, with or without the parents? What does this mean? When people don't have information, they make up scenarios," Russell said. "Some of the concerns I've heard is when kids say something nasty about a teacher, will they get in trouble? I understand that's not even remotely possible."

Superintendent Sheehan said students won't be disciplined for commonplace criticism.

"As far as anything said about teachers, as long as it's appropriate, it will be ignored," he said.

Frydrych's firm doesn't hack into private postings by students, nor their e-mail or text messages.

"I find it interesting that people keep asking if we're doing something illegal or snooping or eavesdropping, but what we're actually doing is looking at public posts," Frydrych said. "We don't see any private posts."

High school learns to love students' tech habits

Students can adjust their privacy settings if they don't want the world to see their tweets or Facebook updates.

Frydrych's analysts stay abreast of the symbols, phonetic spellings, abbreviations, initials and other code-speak that youths type on social media.

Hate, for example, could be spelled "h8," and teens may refer to drugs with such words as "red," "rolling," and "blunt," Frydrych said.

In another example, Frydrych's firm learned how youths use drugs such as liquid hashish through vaporizers, or "vapes," which are devices like electronic cigarettes that allow for inhalation without creating smoke, Frydrych said.

Teachers may not be aware that students are dipping their mouths into their jacket in order to take a hit off their "vapor pen," Frydrych said.

Frydrych's team will be able to spot whether the student or a classmate posts a public message about that activity -- with a message stating, for example, "can't believe a kid is getting high in geography right now, sucking on their vape," Frydrych said.

What school officials do with the daily findings of Geo Listening is up the district, Frydrych said.

"This isn't about our company questioning parents," he said. "We fully respect the challenges of being parents.

"We enforce the code of student conduct for every school we serve" by compiling a day-by-day report, he said. "It's up to the district to handle it."

His firm is about to expand schools' monitoring capacity with a new smartphone app that allows students and parents to anonymously report to and correspond with school officials about conduct violations.

"Honestly, we're not spying on kids. Can we focus back on the problem: The problem is we're not listening effectively," Frydrych said. "And we're shifting that."

@highlight

Glendale, California, schools hire a firm to monitor students' public posts on social media

@highlight

Geo Listening will follow 14,000 middle and high school students aged 13 and over

@highlight

Critics say the project is like government stalking kids' social media

@highlight

Superintendent says student safety is impetus, saying one suicidal student was saved