Tehran, Iran (CNN)There is a Persian proverb that says: "A good year is determined by its spring."

For many Iranians, the historic decision by Tehran and six world powers -- the United States, Britain, France, Germany, Russia and China -- to continue nuclear negotiations under a "joint comprehensive plan of action" is an indication that this year's Norouz, the Persian New Year that started on March 21, will be a superb one indeed.

Although edgy hardliners may now try to play games and complain the preliminary agreement is not what they had hoped, for many people it shows excellent progress and that's what they want.

It paves the way for a much broader deal by end of June that guarantees the peaceful nature of Tehran's nuclear activities in return for the lifting of sanctions and a return to the international community.

As is, the stakes are high and the choice is clear for President Hassan Rouhani and his "moderate" administration.

They must now be over the moon: In early 2016, there will be Legislative and Assembly of Experts elections, the latter of which elects the country's leader. This historic agreement will make sure they win both the elections.

So far, Rouhani's team has done nothing to improve the living conditions of ordinary Iranians who complain they have lost half of their purchasing power in recent years.

READ MORE: Will Iran's Supreme Leader drink 'poison' of peace?

During his presidential campaign, he promised to do so "only" if he could seal a nuclear deal with the world powers. And now he has.

A full deal ultimately represents a referendum on the Rouhani administration's foreign policy. It will definitely strengthen his hand, which he needs to stay in the game, or better yet, win the next presidential race.

The good news is that people are more than happy to welcome the preliminary agreement.

They had always wanted a way out of the current impasse with the rest of the world and as a reward they could keep the moderates in power for the foreseeable future.

Iranians blame sanctions and the previous hardline government for the sorry state of affairs in the economy -- especially the way they so poorly handled past nuclear talks of the past -- with devastating consequences.

Many believe that now there is a joint comprehensive plan of action -- the culmination of a 12-year process -- there is something to hope for.

In many respects, it's a new beginning and that allows Iranians a very small degree of hope inside themselves too.

Looking back, the previous government traded those expectations for international isolation and economic hardship.

Despite skepticism, even the country's leader, Ayatollah Seyyed Ali Khamenei, now feels that the light at the end of the tunnel might not be a train and that the talks could end well.

READ MORE: What's in the Iran nuclear deal? 7 key points

Little wonder he had urged the nation -- including the well-funded hardliners -- to support the government's overture, saying the negotiating team was trustworthy and had been doing a fine job.

It was a historic gesture that represents qualified support for continued diplomacy and that could lead to a historic step forward.

It places confidence and hope in the negotiating team and the P5+1 group of world powers, guaranteeing no-one in Iran will stand in the way of principled diplomatic engagement and international rapprochement.

Within this context, many Iranians are jubilant. They should be.

More than ever, they are confident that not striking a comprehensive deal would be a historic mistake.

They are confident it is within reach and this is as it should be: A win-win deal for all. They now strongly believe the lifting of international sanctions is no longer illusive. It would resuscitate the country's ailing economy and improve their lives. At least, that's what they hope.

It's early spring and people on the streets are talking about nothing but the current choice. It represents the biggest chance of rapprochement between Tehran and Washington since the Iranian revolution in 1979.

After all, for many Iranians this is more than just a nuclear agreement.

@highlight

Deal between Iran and six world powers has given Iranians hope, writes Ghanbar Naderi

@highlight

Lifting of international sanctions a possibility, Iranians hope for better living conditions, he adds

@highlight

People will likely keep President Rouhani's "moderate" government in power, Naderi writes