(CNN) -- The United States and its allies have plenty to worry about in Afghanistan and Pakistan, with al Qaeda, two Talibans, the Haqqani Network and a plethora of other militant groups active. But the United States and intelligence analysts believe another group, one of Pakistan's most powerful and well-established, is also broadening its horizons.

It is Lashkar-e-Tayyiba, which means "Army of the Pure." It was blamed for the attack on Mumbai, India, hotels in November 2008 in which nearly 200 people were killed over three days. That attack "shows the organization's global ambitions," said Dan Benjamin, the U.S. State Department's coordinator for counterterrorism.

Bernjamin has been in Islamabad meeting Pakistani officials this week as part of a "strategic dialogue" between the United States and Pakistan. Lashkar-e-Tayyiba "appears to have a very complex mix of indigenous and international targets," Benjamin said at a U.S. Embassy briefing Thursday.

"We are working with Pakistan's civilian authorities to investigate further into this organization, but definitely [Lashkar-e-Tayyiba] maintains some level of connections with al Qaeda," Benjamin said at the briefing [WHEN added above].

Earlier this year, Benjamin said of the Mumbai attacks: "The target was set directly out of [Osama] bin Laden's book, filling the gap created by a diminished al Qaeda."

Lashkar-e-Tayyiba claims it is focused on the same issue as it was when created: freeing the disputed territory of Kashmir from Indian rule, experts say. In a rare interview earlier this year, the man widely regarded as the organization lader, Hafiz Muhammad Saeed, told The Independent newspaper that the group was not involved in the Mumbai attacks, despite substantial evidence to the contrary.

Lashkar-e-Tayyiba was allegedly behind several high-profile attacks in India. And it is precisely because it is aimed at India's presence in Kashmir that the organization has been tolerated and even supported by Pakistani officials over the years -- even after it was banned there in 2002, intelligence officials and some Pakistani officials say. The current Pakistani ambassador to Washington, Husain Haqqani, wrote three years ago that Lashkar-e-Tayyiba was "backed by Saudi money and protected by Pakistani intelligence services."

Saeed has been periodically put under house arrest when things have got a little overheated, but the group maintains an expansive compound near Lahore in Punjab and according to intelligence analysts remains well-connected to elements of Pakistan's Inter-Services Intelligence or ISI.

NATO in Afghanistan believes Lashkar is extensively involved with militant groups there. Friday, the International Security Assistance Force said it had detained a Taliban commander in the eastern Nangahar province who had "assisted with the recent influx of [Lashkar-e-Tayyiba] insurgents into the province."

They are believed to have worked with the Haqqani Network to carry out attacks on Indian targets in Kabul, including several this year. Much to Pakistan's consternation, India has expanded its presence in Afghanistan, especially through Indian government-aided construction and training projects, since the overthrow of the Taliban.

Lashkar-e-Tayyiba fighters are also believed to have joined the Taliban in attacks on U.S. Forward Operating Bases in eastern Afghanistan over the last couple of years.

One scholar who has long studied Lashkar believes it is well placed to expand its activities. "Evidence suggests Lashkar has support cells in the Persian Gulf, Britain, North America, mainland Europe, and possibly Australia," wrote Stephen Tankel this year in a paper for the New America Foundation.

The case of David Headley suggests that is the case. The Pakistani-born American citizen confessed this year to a planning role in the Mumbai attacks and a conspiracy with senior figures in Lashkar-e-Tayyiba to attack the office in Copenhagen of the Danish newspaper that published cartoons of the Prophet Mohammed in 2005. He said he visited Pakistan several times to meet with Lashkar leaders.

@highlight

Lashkar-e-Tayyiba blamed for attack on Mumbai, India, hotels in November 2008

@highlight

Organization has "complex mix of indigenous and international targets," State Department says

@highlight

Lashkar-e-Tayyiba says it is focused only on freeing Kashmir from Indian rule, experts say

@highlight

Lashkar-e-Tayyiba joined Taliban in attacks on U.S. bases in Afghanistan, experts say