Washington (CNN) -- President Barack Obama called on Sunday for "calm reflection" following the acquittal of George Zimmerman in the shooting death of Trayvon Martin.

The president, in a written statement, acknowledged an emotionally charged climate but concluded that "we are a nation of laws, and a jury has spoken."

Obama called Martin's death a tragedy for America.

"I know this case has elicited strong passions. And in the wake of the verdict, I know those passions may be running even higher," he said.

"I now ask every American to respect the call for calm reflection from two parents who lost their young son. And as we do, we should ask ourselves if we're doing all we can to widen the circle of compassion and understanding in our own communities.

"We should ask ourselves if we're doing all we can to stem the tide of gun violence that claims too many lives across this country on a daily basis," Obama said.

Analysis: The race factor in George Zimmerman's trial

A Florida jury on Saturday night found Zimmerman, a neighborhood watch volunteer, not guilty of second-degree murder and manslaughter in a shooting that grew from a confrontation as Martin, 17, walked home from a convenience store in February 2012.

The verdict closed a case in state criminal court that gained national attention and sparked public outcry, much of which focused on race. Reaction generated some protests nationally, including outside the White House.

Zimmerman is the son of a Peruvian mother and a white American father and identifies as Hispanic. Martin was African-American.

Catch up on the trial, verdict

Obama said in closing his statement that Americans asking "ourselves, as individuals and as a society, how we can prevent future tragedies like this" is one way "to honor Trayvon Martin."

Groups disappointed with the jury's decision have asked the Obama administration to pursue a civil rights prosecution against Zimmerman, 29.

The NAACP has called on the Justice Department to file related charges and has asked the public to sign a petition to support their cause.

"When you look at (Zimmerman's) comments, when you look at his comments about young black men in that neighborhood, about how they felt specially targeted by him, there is reason to be concerned that race was a factor in why he targeted young Trayvon," NAACP president and CEO Benjamin Jealous said Sunday on CNN's "State of the Union."

What was the reaction around the country?

Obama did not cover that issue in his comments. But the Justice Department said in a statement on Sunday that a federal civil rights investigation continues and it will look at evidence and testimony from the just-concluded state trial as part of the probe.

"Experienced federal prosecutors will determine whether the evidence reveals a prosecutable violation of any of the limited federal criminal civil rights statutes within our jurisdiction, and whether federal prosecution is appropriate," the statement said.

The government would need to establish that a hate crime was committed in order to bring charges, a legal threshold Holder has said previously would be challenging to meet.

"For a federal hate crime we have to prove the highest standard in the law," Holder said in April 2012. "Something that was reckless, that was negligent does not meet that standard. We have to show that there was specific intent to do the crime with requisite state of mind."

A petition asking for civil rights prosecution of Zimmerman on the White House "We The People" site - a page that lets citizens submit petitions to the White House - was started Sunday. So far, it has more than 4,000 signatures, a number far short of the 100,000 necessary to get a response from the White House.

Zimmerman fears for life, could face new charges

Obama's first comments on the Zimmerman trial came in March 2012, when the president said the fatal shooting of an unarmed African-American teen required national "soul searching."

The president also personalized the shooting in those remarks. He told reporters he thought about his own children when he thought about Martin.

"I think every parent in America should be able to understand why it is absolutely imperative that we investigate every aspect of this and that everybody pulls together -- federal, state and local -- to figure out exactly how this tragedy happened," Obama said at that time.

Verdict doesn't end debate in Martin's death

Obama said the case struck home with him when asked about any racial components of the case.

"If I had a son, he'd look like Trayvon," the president said then.

Republicans at the time criticized Obama for personalizing the shooting and on Sunday, Rep. Steve King alleged the president and his administration had turned the case into a political issue rather than a legal matter.

"The evidence didn't support prosecution and the Justice Department engaged in this. The president engaged in this and turned it into a political issue that should have been handled exclusively with law and order," King, an outspoken Republican from Iowa, said on "Fox News Sunday."

Since Obama's first comments, the White House has kept its distance from the case.

Full coverage of the case on HLNTV.com

CNN's Kevin Liptak contributed to this report.

@highlight

President Barack Obama says in statement the jury in Zimmerman case has spoken

@highlight

He asks Americans to reflect on toll of gun violence, widen circle of compassion

@highlight

Justice Department says its civil rights investigation continues

@highlight

Obama previously said if he had a son "he'd look like Trayvon"