Washington (CNN) -- An air of inevitability exists around Hilary Clinton for 2016. Of course she hasn't said she will run -- that's a decision she said she'll make this year -- but she must feel pretty good about the tea leaves.

A new CNN/ORC poll out this week found that 70% of Democrats said they are likely to support her if she launches a presidential bid.

Additionally, she is beating top-tier Republican contenders, including New Jersey Gov. Chris Christie and former Florida Gov. Jeb Bush, in hypothetical matchups.

Democratic strategist Maria Cardona predicted, with the caveat that a lot can happen between now and then, that if she runs, "I don't think she'll have anyone running against her."

That's because she is in such a strong position with her name recognition and her vast network of supporters, donors and campaign infrastructure ready to go.

Emory political science professor Alan Abramowitz said the chances of Clinton being upset, like what happened in the 2008 primaries, are slim.

"I don't see who's going to be the Obama of 2016," he said.

Would she say no?

But plenty of reasons exist for her to simply say no.

Presidential campaigns are unbelievable grinds and they can exact a substantial personal toll. They're full of endless days, personal attacks, and heart-clogging food. There are infinite details to master, personalities to manage, debates, and then throw in the unknowns.

She will be 69 on Election Day 2016 and would have been in the political spotlight for a quarter century by then.

She would have run once as the favorite for her party's nomination and lost. Many people might reflect on a similar public service career and conclude there's nothing left to prove, or that it's time for others to get in the game even if becoming the first woman president was the prize.

But what if Clinton doesn't run?

Multiple people associated with the Democratic Party say there is a host of promising potential contenders.

But one strategist, a veteran of several Democratic presidential campaigns who asked not to be identified so he could speak freely, said, "People saw Governor Clinton and Senator Obama as superstars." As for the potential 2016 crop: "No one talks about the rest of the field that way."

Except for Joe Biden.

"The truth is that, if Hillary doesn't run Biden becomes the class of the field by far," the veteran Democratic strategist told CNN. "It's gotta be Hillary or Joe or we're in trouble."

Biden has been cagey with his intentions, dropping humorous references but refusing to commit.

But his name recognition as vice president and as a veteran of the presidential campaign trail, some in the party think Biden is in a good position.

Though, he would be 73 on Election Day 2016 and 74 on Inauguration Day. That's "middle age" for a U.S. senator, but no one has ever walked into the Oval Office on their first day of work at that age.

Jim Manley, a former top Senate aide, thinks Biden "deserves a shot" because he's been "outstanding" as vice president.

But Joe is Joe. People either love him, hate him or forget about him.

For some Democratic operatives, Biden is almost an afterthought. People spouted off numerous potential Democratic candidates and Biden's name would come up, eventually.

"Oh yes, Joe Biden," said one strategist after gently jogging his memory.

The progressive wing of the party is not impressed.

Adam Green, co-director of the Progressive Change Campaign Committee, left it at this: "Joe Biden has had a great career in public service."

After the interview concluded, Green e-mailed to say that his co-director, Stephanie Taylor, has this to say about a Biden run: "That would be funny," Taylor said.

Martin O'Malley

Democratic pollster Margie Omero said Democrats Biden and Clinton aren't the only two who can appeal to Democratic voters.

The party has "a really strong bench of candidates that people are excited about that have progressive appeal."

She included Maryland Gov. Martin O'Malley, saying he has "quietly and consistently" built a strong record of good schools and good economy in Maryland.

Interestingly, in this informal survey of half a dozen Democratic operatives and one political science professor, people mentioned O'Malley most often than any other possible contender, including Biden, but their reaction was far more muted.

Manley said the "jury is out" and Abramowitz mused, "I just don't know what kind of candidate he'd be."

Green called O'Malley "a blank slate."

O'Malley is laying the groundwork for a run in the event Clinton doesn't, a source close to the governor told CNN.

O'Malley amplified 2016 speculation when he told the Washington Post last week that he can't wait for the former first lady and secretary of state to make a decision.

Elizabeth Warren

The first-term Massachusetts senator would have even less experience in public office than Obama when he ran in 2008.

But Democrats have a high opinion of the former Harvard professor whose advocacy paved the way for the Consumer Federal Protection Bureau.

Former Obama aide Bill Burton said Warren was one of a handful of "impressive" Democrats who could fill the bill should Clinton stay out.

Cardona said Warren has to be "put on any list."

The progressives love her for her populist agenda. Green said Warren is "the north star" of the Democratic Party.

Kirsten Gillibrand

New York Sen. Kirsten Gillibrand's name also came up as a potential contender. But Cardona said she would have to get over her lack of name recognition, which she said is relatively easy to do.

Manley, however, said it's "too soon" for New York Sen. Kirsten Gillibrand. She should show her campaigning and fundraising capabilities as head of the Democrat's Senate campaign arm.

Andrew Cuomo

The New York governor received the most negative response from respondents, if he was mentioned at all.

Manley said Andrew Cuomo should "stick to being the governor of New York."

Green said he represents the Democratic Party from the 90s and would not fit in well with today's voters, adding that he "pays lip service" to progressives.

More on the bench?

There are other possibilities, including: Montana Gov. Brian Schweitzer, Colorado Gov. John Hickenlooper and Massachusetts Gov. Deval Patrick.

But even though lifelong people had little to say as they are so unknown on a national scale.

"I'm not sure what I can say," Manley said.

"Untested" is how Emory professor Abramowitz described the field outside of Biden and Clinton.

"All these other candidates have never run for national office so we don't know how they'd do."

@highlight

Some Democrats feel even without Clinton, Biden, their crop of 2016 candidates is strong

@highlight

Veteran strategist disagrees: "It's gotta be Hillary or Joe or we're in trouble"

@highlight

Maryland Gov. Martin O'Malley and Massachusetts Sen. Elizabeth Warren mentioned by some