(CNN) -- Visits to the controversial Yasukuni Shrine by Japanese officials, including the younger brother of Prime Minister Shinzo Abe, ignited criticism from China and Korea, which see the visits as an homage to Japan's past wartime aggressions.

Over the weekend several officials, including Abe's brother, senior vice foreign minister Nobuo Kishi, visited the shrine, according to Kyodo News. The visits started last week as part of an autumn festival and included 159 members of the Diet, Japan's national legislature.

Prime Minister Shinzo Abe refrained from visiting the shrine, but sent an offering.

An editorial in Global Times, a Chinese state-run newspaper, blasted Japanese officials for their deference to the shrine.

"Chinese and Koreans will never accept the Yasukuni Shrine, whether it is a matter of rationality or sensibility. No matter how much trade with Japan grows, or how interdependent their economies are, the positive elements are flushed away once the Japanese politicians stage a group show at the shrine," it stated.

The Japanese lawmakers who went to the shrine defended their decision to go to the site where 14 of Japan's Class-A war criminals from World War II are enshrined with thousands of Japanese soldiers.

The group insisted the visits have been misrepresented by the foreign media and that the shrine is where Japanese visitors go to "pray for peace." The site, built in 1869, enshrines those who "devoted their lives to their country," the group said in a statement.

Past visits by Japanese prime ministers and other political leaders to Yasukuni Shrine have ignited a firestorm of controversy with China as well as North Korea and South Korea. The shrine is regarded by those nations as a symbol of Japan's imperial military past. The visits are seen as honoring war criminals and denying its atrocities in Asia.

Millions of Chinese civilians and soldiers, and hundreds of thousands of Koreans died in wartime.

The Japanese lawmakers who visited the shrine remained unapologetic.

In 2012: Shrine visit could inflame tensions between Japan, China

"How the war dead are commemorated is determined according to each country's own culture and tradition," the group stated. "This long tradition of homage and commemoration is a matter of national sovereignty and should not be subjected to distortion by outside interference and propaganda."

Jeffrey Kingston, director of Asian Studies at Temple University Japan, described the shrines as "the talismanic ground zero of the unrepentant view of Japan's wartime history."

"To say that they're going there only to venerate the war dead is disingenuous on their part," he said.

"On the conservative side, they cheer them on, because they represent a voice that finds Japan's war crimes as justifiable. On the left, the newspapers like Asahi or Mainichi are quite critical of these visits, precisely because of the political mischief intended," Kingston said.

An editorial published in the Japanese newspaper, The Asahi Shimbun last week called on Abe to "establish a new way to pay a tribute to the war dead that allows Japanese to remember them quietly and comfortably and does not cause diplomatic friction."

It stated: "We cannot support visits to the shrine by the prime minister or other political leaders."

On Sunday, Abe's cabinet minister Keiji Furuya visited the Yasukuni Shrine and maintained that he did not want to "irritate neighboring nations." But he also added that, "Offering condolence to the heroic souls that sacrificed their lives for the country and pledging for the peace for Japan and the world is a natural duty for a national Diet member."

Chinese officials summoned the Japanese ambassador to the country last week to voice its displeasure. A spokesman for the South Korean foreign ministry expressed "deep concerns and regret."

The cycle of Japanese politicians visiting Yasukuni, prompting foreign criticisms, is well-worn.

"In a sense, if the Chinese government or Korean government criticizes Japan for doing this, this gives them (Japanese politicians) attention. And then they can say to voters, 'These countries are trying to bully us, they're interfering with our internal affairs.' In a way, it creates a dynamic and they feed off the criticism in some sort of odd way," Kingston said.

Polls in Japan, he said, indicate that most oppose the shrine visits by the prime minister. Whether Abe will visit the controversial shrine remains a source of constant speculation in east Asia.

Michiaki Okuyama, the director of Nanzan Institute for Religion and Culture, said approximately half of the general population support the shrine.

"Especially under the heating-up of nationalism in the current East-Asian context, the number of supporters among the general public might have been growing," he said. "If this is the case, some politicians may well think that visiting Yasukuni can help in their re-election."

Earlier this month, U.S. Secretary of State John Kerry and Defense Secretary Chuck Hagel paid their respects, laying wreaths at the Chidorigafuchi National Cemetery in Tokyo, which sits less than a mile away from Yasukuni.

The secular cemetery holds the remains of unknown Japanese soldiers and citizens who died overseas during World War II. The Americans' visit was seen by many as suggesting an alternative to venerating the war dead at Yasukuni.

"I think Abe has heard that message," Kingston said. "He has refrained from going to Yasukuni in the spring, summer and fall festivals. I think he gets it, that not only it would complicate relations between Japan and it neighbors, but also its most important ally, the U.S."

CNN's Yoko Wakatsuki contributed to this report from Tokyo.

@highlight

Several Japanese officials and lawmakers visited controversial shrine

@highlight

Yasukuni Shrine includes 14 Class-A war criminals from World War II

@highlight

Visitors insist they're only paying respects, but China, Korea views are different