(CNN) -- While on a television program several years ago, I recounted a story about moving with my family into a new home in the suburbs of Washington.

As a black family, we were welcomed to the neighborhood with a shocking sight. My mother and I looked out the kitchen window the morning after we moved in to notice that someone had driven across our new lawn, skidding over mom's cute dogwood tree, and placed a cross there to intimidate us. Not being wanted in this neighborhood based on the color of our skin made a fearful and lasting impression on me as a 9-year old.

About a week after the show a letter came to my office. Penned by a man who identified himself as a "White Fundamentalist Supremacist Christian," the letter was a fiery missal responding to my television appearance and underscoring his disdain for black people and his glee over the fact that I had a "burning cross" (I never said it was burning) in my front yard.

I have this letter posted on the back of my office door with a note I wrote across it with a black sharpie: "This is why God has called us to be gracists and ambassadors of reconciliation!"

As whites become minorities in America, traditional minority groups like mine will be called upon to graciously build bridges to help whites adjust to their new minority status without malice or vengeance.

Diversity is an ever-evolving, rotating movement of new people and new perspectives in America. While the term may have been largely about blacks at one time, and more recently, Latinos, we find Koreans, Chinese and Filipinos filling up the melting pot. In some areas of the country, as in Michigan, it's the burgeoning Muslim population, or in Minnesota and Ohio, the growing populations of Somalis. Diversity is here to stay. Welcome to the realization of the Rev. Martin Luther King Jr.'s dream.

Yet, when King gave his "I Have a Dream" speech, I wonder if he ever envisioned a day when whites in America would actually be the minority. Judging people by the content of their character and not by the color of their skin is altogether as important as it is for blacks. This will become increasingly the case in the decades to come.

Integrating whites into the mosaic of American society is an important ideal to embrace, because integration has always been construed as mixing other minorities into a white-dominated world.

Whites will become a minority within three decades, according to the U.S. Census Bureau. If this happens as predicted, within little more than one generation, whites will be the largest minority group in America.

In the United States we are in for a new age of diversity that all Americans should be aware of with eyes wide open.

For the first time in U.S. history, the majority rule of whites will be threatened, which means the concept of rugged individualism that worked so well for whites in America in centuries past may be threatened. The rules of personal responsibility and relational networking (some call it the "good old boy" network) as an avenue for success will no longer be sufficient in a multicultural and global society.

I predict the new minority whites will break into at least two groups: diverse whites, those who are culturally aware and multiculturally proficient, and reverse whites, those who will fight doggedly to hold on to whatever superior status they can.

Other minorities, especially blacks, have a choice to be what I call "gracists," people who extend favor, kindness, forgiveness and grace to others regardless of, and sometimes because of, color, class or culture.

Whites will have the choice of retreating into fear and loathing or embracing their new status with understanding and grace. The integration of whites is not their sole responsibility. Gracism is the powerful assertion that each group should extend grace toward other groups, including minorities extending it to their former oppressor and whites extending it to others rather than protectionism out of fear.

The more perfect union will become a reality if that union of gracists will realize that the dream of the Rev. Martin Luther King, Jr. extends to all multicultural configurations and presupposes the coming together of all people as equally human. The factional system of dysfunctional diversity, where power structures are reserved for a majority race to dominate others, is being dismantled one generation at a time.

The mosaic of more Americans sharing power beyond one or two dominating racial groups will demand new partnerships based on sociological-political ideas that will drive robust debates, giving birth to innovation and collaboration.

The ugly beast of race baiting and power hoarding will not easily die, at least not without a vitriolic fight. In the not-so-distant future, we can expect that diverse whites and reverse whites will be at odds. Gracists must be present to step into the divide and integrate them both. Reverse whites who want to go back to the way things were will still write letters applauding fear mongering. White interest groups may subversively advocate for sustaining institutional structures that perpetuate inequality. The fear of loss of racial dominance may give birth to a growing number of whites feeling cultural disequilibrium. But diversity is here to stay.

Immigration is our history. Unity has a chance at being our destiny. If we enter into this brave new world with a spirit of grace, our success as a multicultural, multi-ethnic nation will be a dream realized.

The opinions expressed in this commentary are solely those of David Anderson.

@highlight

David Anderson: America sees diversity in many forms

@highlight

He says few realize that whites in America will become a minority group in 3 decades

@highlight

Anderson says some may react well; others may mourn loss of privileged status

@highlight

He says Americans have the choice to extend grace to each other, realizing MLK's dream