With another investigation yielding no direct ties between Gov. Chris Christie and the George Washington Bridge scandal, critics are questioning the purpose of continuing the Democratic-led probe, when yet a third investigation — run by the U.S. Attorney's Office — is also ongoing.

Former Gov. Tom Kean, a widely esteemed figure in New Jersey politics who co-chaired the commission that investigated the 9/11 attacks, is accusing the state legislative committee of partisanship and acting in a "purely political" fashion.

"I know something about nonpartisan investigations, this isn't one," the Republican told CNN. "I'm disappointed."

Democrat John Wisniewski, co-chairman of the panel, confirmed that they haven't determined whether the New Jersey governor knew about the lane closures ahead of time. But he's vowing to continue the committee's work until more questions are answered.

The findings — set to be released in a report Monday and obtained by CNN's Chris Frates — fall in line so far with a review conducted by Christie's administration earlier this year, in the sense that both have found no wrongdoing on the part of the governor.

Meanwhile, U.S. Attorney Paul Fishman is still conducting a federal probe into the incident, where lanes to the nation's busiest bridge were closed for alleged political reasons, causing major traffic gridlock in the town of Fort Lee, New Jersey for four days in September 2013.

Kean, who was once a mentor for Christie, had a falling out with the governor after Christie's re-election, and as the news about the bridge scandal made national headlines in January, Kean issued sharp criticism about the Republican governor.

He openly questioned Christie's leadership skills in an interview with the Washington Post, and told the New Yorker's Ryan Lizza that Christie managed a culture of intimidation within his administration.

Kean on Friday was hesitant to offer his views about Christie's personality or reputation, only revealing, "I don't see it the way I once did."

The two have made amends this year, and Kean said Christie asks him for advice "every now and then."

"We've had our differences and we still don't agree on everything," he conceded, before shifting his comments back to the committee's investigation.

Kean freely admits that he thought the scandal merited investigation from the outset, saying there was a "tremendous number of questions" when the news broke.

But he's frustrated with how the Democratic-led committee has run the investigation so far.

The makeup of the committee consisted of four Republicans and eight Democrats, including the two co-chairs, Wisniewski and Senate Majority Leader Loretta Weinberg.

Republicans complain that they weren't granted equal participation in the investigation, saying they had no say in the selection of legal counsel for the probe, nor in the selection of witnesses or the private interviewing of witnesses.

The committee hired former Assistant U.S. Attorney Reid Schar of Illinois, the same prosecutor that went after former Illinois Democratic Gov. Rod Blagojevich.

The internal probe launched by Christie's own administration — which cost taxpayers millions of dollars -- was also not a truly bipartisan effort, Kean acknowledged.

But that probe, he continued, "never pretended to be anything except for what it was," and "when you're accused of a criminal act as governor, you got to spend time on it. You don't have much choice."

Asked if the legislative committee should end its investigation, Kean said, "I think they should have stopped a long time ago."

"If they're going to continue, they should just do it right," he said. "They should bring in the Republicans."

Republican Assemblywoman Holly Schepisi said there's been "grave concerns regarding the impartiality" since the committee was formed earlier this year, referencing complaints about participation.

Her grievances, however, are nothing new; Republicans frequently registered their complaints during public hearings this year. The committee, she argued, has been languishing.

"We have done absolutely nothing for months upon months. We have received no communications from our chair since this summer," Schepisi said. "I don't see what else there that we're expected to do here."

A Democratic member, Assemblywoman Valerie Huttle, disagreed that the committee was partisan and felt that she "was treated the same as (her) colleague across the aisle" in terms of having access to the panel's lawyers and to documents released by the co-chairs.

She acknowledged that Democratic members were not privy to private interviews of witnesses but said "we let them have the flexibility," referring to the counsel selected by committee leadership.

As for whether or not she thinks the probe should continue, Huttle said the committee should "regroup" and find a consensus on Monday.

For his part, Wisniewski fiercely hit back at accusations of partisanship and pledged that the committee would march on with its work.

"The investigation was run in a fair-and-even handed fashion," he told CNN.

He denied that he was part of the leak of the latest report, which was first reported by the Wall Street Journal, and said the legal firm was chosen out of state "so no one could allege there was a political tie" to a local law firm.

"I have the highest respects for Governor Kean, but I believe the information he's acting on inaccurate information," he said.

The probe, he continued, has been limited due to a lack of access to witnesses who are also being asked to cooperate in the federal probe. Their testimony could help the panel come to a more conclusive finding, he said, stressing that the report set to be released on Monday still shows uncertainty about what the governor knew and didn't know.

The report also details that a top adviser to Christie, Regina Egea, and the governor exchanged multiple text messages about the bridge scandal in 2013 during preliminary hearings about the traffic jam. Egea, however, had testified to the panel earlier this year that she only sent him one text message and deleted it. The discrepancy is one of the questions that still needs to be answered, Wisniewski said.

He argued that the Republican backlash over the committee's work is "their only recourse" to criticize the process.

"Let's face it: it's partisan sniping because this is an embarrassing episode for the Republican Party in which a high ranking member of the governor's staff, for clearly political reasons, closed lanes leading to George Washington Bridge, creating not only a public safety nightmare but just traffic gridlock for an entire community for four days," he said.

As for why the committee should continue on top of the U.S. Attorney's probe, he said the legislature has a "constitutional role" to conduct oversight of the administration and make sure a similar scenario doesn't happen again.

And national Democrats aren't letting this go either. Michael Czin, press secretary for the Democratic National Committee, said the report's findings still show a side of Christie that could damage his 2016 presidential aspirations.

"Some of Christie's closest aides and allies put public safety at risk, seemingly to exact petty political revenge, and in the aftermath, they lied about it," he said in a written statement. "That, in itself, is inexcusable conduct coming from the administration of someone who wants to be President of the United States."

@highlight

Former Gov. Tom Kean blasts a panel investigating bridgegate as 'partisan'

@highlight

Republicans say they were not allowed equal participation in the investigation

@highlight

Democrats defend the fairness of the probe

@highlight

The Democratic co-chair says the investigation will continue