(CNN)  -- When Justice Sonia Sotomayor delivered her oath last summer, many women -- and especially Latinas -- felt renewed hope as a champion of women's rights took her place on the U.S. Supreme Court.

With Democrats in the White House and both houses of Congress, we believed that we could stop playing defense and actually advance women's rights, including access to abortion.

However, the health care debate quickly convinced us that we had to mobilize.

First, Rep. Bart Stupak, D-Michigan, crafted the Stupak-Pitts amendment, designed to restrict women's access to abortion coverage in the proposed public health insurance marketplace. Millions of women who have access to abortion coverage through their insurance plans would lose this coverage if the insurance plans were offered in the exchange.

We were told that women could use their own money to buy an abortion rider in advance: Women would have to plan for an unplanned pregnancy. An abortion can range in cost from several hundred dollars to thousands of dollars for a "threatened" pregnancy.

House Speaker Nancy Pelosi allowed the amendment to move forward in the House health care bill out of fear that opponents would use abortion politics to tank health care reform. Within weeks, Sen. Ben Nelson, D-Nebraska, offered a near-exact model of the Stupak bill in the Senate.

After the push for the Stupak amendment, characterized by backroom dealings among elected officials and reported pressure from the U.S Conference of Catholic Bishops, it appeared that senators might go along.

Hundreds of Latinas and women of all backgrounds descended on Capitol Hill to let legislators know that they can not play politics with our reproductive health care and to advocate for abortion care coverage as a part of health care reform.

For now, senators are standing up to those who would sink reform with abortion politics, voting to table the Nelson amendment, effectively killing it. But we know that these victories are often tenuous and that the growing Latina voice in favor of reproductive health care must stay strong.

Over the past few weeks, I've heard from many Latinas and their families, outraged that these amendments would make a legal medical procedure financially inaccessible for many women.

They called their senators and wrote letters on behalf of daughters, sisters, aunts and mothers in their communities, urging policymakers to vote for reform that includes coverage for abortion -- and also provides health care access for immigrants.

They organized because they know what is at stake. The amendments claim to "simply codify" the Hyde amendment, an existing federal policy that prohibits federal government money from being used to fund abortions through Medicaid.

But in reality, both amendments would create a two-tier health care system.

After 30-plus years of the Hyde amendment, a Guttmacher Institute report released this year indicates that among Medicaid-eligible women -- that is, low income -- who would have an abortion if it were paid for by the government, one in four instead continue the pregnancy to term in the absence of funding.  This is because politicians prevent federal tax dollars from covering the procedure.

Moreover, the proposed House and Senate bills both maintain the five-year ban on legal permanent residents accessing publicly funded benefits, including Medicaid, leaving millions of legal residents without coverage for basic medical needs.

According to a report by the Kaiser Family Foundation, 38 percent of Latinas are uninsured, compared with 14.7 percent non-Hispanic white women, and more than half of all immigrants are women.

The U.S. Census Bureau predicts that by 2050, one in four Americans will be Latina. As Latinas, we will be disproportionately affected if we do not have a health care package that includes access to the full range of reproductive health services.

Opponents argue that more women will be covered under overall health care reform, as if that should satisfy us. The fact remains: If millions of low- and moderate-income women covered under a new federally subsidized health system can't access abortion care from an insurance plan bought even partly with federal support, policymakers are essentially telling them that they do not matter -- that the reality of their lives must be ignored.

The legacy of health care reform should not be to send women back into the shadows. We have worked too hard to reform our health care system for women to be worse off than they were before.

There is no denying that people around the country, including many Latinas, have complex feelings about abortion. Many have conflicting feelings because of their religious faith -- Latinas are overwhelmingly Roman Catholic.

But my work with Latinas during these debates reminds me that for many women confronted by the decision to terminate a pregnancy, abortion is not a political issue; it's a personal health care issue between a woman, her family and her doctor.

We have an opportunity to make history in these next few weeks and months. Health care is not a luxury; it is fundamental to a healthier and stronger nation. I urge policymakers to respect women who are trying to plan their pregnancies, take control of their futures and improve the lives of their families.

We demand reproductive justice for women. Anything less would be un-American.

The opinions expressed in this commentary are solely those of Silvia Henriquez.

@highlight

Silvia Henriquez: Many Latinas outraged over moves they say will restrict abortion coverage

@highlight

Henriquez: Latina support for reproductive rights must stay strong in health care debate

@highlight

She says millions of women who have abortion coverage in insurance plans could lose it

@highlight

Henriquez says abortion is personal issue between a woman, her family and doctor