(CNN) -- American Samoans have every right to be frustrated.

The United States laid claim to these eastern islands of a South Pacific archipelago in 1900, and since that time, American Samoans have served in the U.S. military, including the wars in Iraq and Afghanistan.

Yet, those born in American Samoa receive passports declaring the holder is only a U.S. national, not a U.S. citizen. Noncitizen residents complain they are unable to vote in national elections or to work in jobs that require citizenship status. They also claim their birth status renders them ineligible for federal work-study programs in college, firearm permits and travel/immigration visas.

If they want to become citizens, American Samoans must relocate to another part of the United States to initiate the naturalization process, pay a $680 fee and be subjected to a moral character assessment, fingerprinting and the English/civics examination. Quite a process to become citizens of the nation that they consider their home.

American Samoans indeed have every right to be frustrated.

However, they have zero legal right to be U.S. citizens.

While it's true that they would likely win their case in nearly every court of public opinion, they will ultimately lose in all the courts that count: actual courts of law. As with many things, when it comes to citizenship, little is guaranteed to residents of the Territories.

American Samoans have challenged federal laws and policy that decline to grant citizenship. The federal district court in the District of Columbia granted the government's motion to dismiss the lawsuit, but the D.C. Circuit, the appellate court, is giving the American Samoans another chance to argue their case.

The last American frontier

The U.S. Territories are the last American frontier. They are as rugged as the Wild West and arguably as picturesque. Because of patchwork governance and varying isolation from the mainland, their outward appearances run the gamut: from teeming, vibrant quasi-state to desolated, sun-blasted rock, all scattered to the corners of the globe.

So what of the residents of these Territories? They are people like you or me. Are they U.S. citizens? Or -- like the soil on which they live -- are they considered another "possession" of the United States?

The short answer is: They are whatever Congress wants them to be. Whether that sounds fair or not, there's little to dispute legally.

Territorial residents are not without any constitutional protections. The Supreme Court defined the extent to which the Constitution applies in Territories in a series of cases known to those of us who live or work in the Territories as the Insular Cases. These cases held that only specific "fundamental" constitutional rights are guaranteed to Territorial inhabitants.

The question then is whether the Citizenship Clause of the 14th Amendment applies to American Samoans. The Citizenship Clause provides that "[a]ll persons born or naturalized in the United States and subject to the jurisdiction thereof, are citizens of the United States and of the State wherein they reside."

American Samoa is certainly "subject to the jurisdiction" of the United States. But residents must also be born "in the United States" for the constitutional right to attach. Unfortunately, for 14th Amendment citizenship purposes, the Territories have never been considered "in the United States."

No federal court has ever recognized birthright citizenship as a guarantee in unincorporated Territories. In fact, federal courts have held on many occasions that unincorporated Territories are not included within the "United States" for purposes of the Citizenship Clause. Because these residents have no Constitutional, automatic right to citizenship, Congress can pick and choose how they become citizens. In fact, it has done just that: granting citizenship at birth to residents of other Territories.

For example, residents of Puerto Rico and the U.S. Virgin Islands are citizens if born there. But that citizenship does not flow from any constitutional right. Rather, Congress has chosen to pass independent legislation giving those residents citizenship.

Indeed, Justice Ruth Bader Ginsburg of the Supreme Court observed in one opinion that the only remaining noncitizen nationals are residents of American Samoa and Swains Island. When it comes to citizenship in the Territories, Congress can giveth or it can choose not to giveth, and the Constitution gives those residents no recourse.

Annexation and inconvenience?

The public policy is clear. Courts have been reluctant to force Congress to grant citizenship to persons merely because the U.S. has annexed their homeland. Courts and the legislature alike cite the practical inconvenience to the federal government.

The theory: If the practice of acquiring Territories required endowing the inhabitants with citizenship of the United States, this would be too great an inconvenience to the government. Then again, imagine the inconvenience to the newly annexed inhabitants who suddenly find themselves without citizenship anywhere.

American Samoans have fought in our armed services for over a century, so it feels fundamentally unfair that they get short shrift when it comes to citizenship. The problem is, fairness cannot overcome the language of the Constitution and centuries of legal precedent.

Fair or not, American Samoans will likely lose this legal battle, even though the Court of Appeals has given them a glimmer of hope and a second chance, of sorts. Citizenship for them is not a constitutional right; it cannot be grafted onto them by any court.

Only Congress can choose to grant citizenship to Territorial inhabitants.

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

Danny Cevallos: American Samoans are right to be frustrated

@highlight

He says Samoans are suing the federal government to get citizenship rights

@highlight

Constitution gives the power to make that decision to Congress, he says

@highlight

Cevallos: It seems fair to change law so that American Samoans get citizenship