(CNN) -- Mike Loverde was 29 when his family intervened in his addiction to prescription painkillers. He remembers his parents driving him from Chicago, Illinois, to a rehab center in rural Indiana. He was crying because he wanted to get high.

Be honest and nonjudgmental when you confront someone about dangerous behavior, experts say.

Eight years later, Loverde is a counselor and director of program services at the Intervention Services Inc. branch outside Chicago.

When someone seems to have lost control of life, or has become a danger to himself or herself, family members or friends often try to intervene. Addictions to alcohol or drugs, or an untreated mental illness, are all reasons for concern.

Janet Jackson had reportedly tried in 2007 to stage an intervention for her brother Michael Jackson, who died of cardiac arrest June 25, two sources close to the Jackson family told CNN Wednesday.

Britney Spears' family intervened in 2008 through the courts, after a judge in her custody case cited her for "habitual, frequent, and continuous use of controlled substances and alcohol." Her father, Jamie Spears, was granted temporary conservatorship over her.

How to intervene

Interventions can take many forms. Simply suggesting that a drug addict make an appointment for professional help may work, experts say.

Speaking openly, in a compassionate tone and without judgment, is an effective way to approach these conversations, said Patrick Hart, an intervention specialist in Seattle, Washington. The addiction or other problem should be viewed as an illness that deserves professional care, he said.

"Do not expect an addicted loved one to simply stop within their own right," Hart said. "Offer specified help."

A more formal, direct intervention involves family members confronting the person and encouraging the addict to seek help. Before this meeting, a professional interventionist typically meets with family members or friends of the addict to get a history of what's happened, said Dr. Marvin Seppala, chief medical officer at Hazelden Foundation.

Letters are a typical component of a direct intervention: The family members or friends will explain in writing that they are doing the intervention because they love the addict, and that they have observed specific troubling behaviors, as described in the letter, Seppala said.

Beforehand, the professional interventionist will try to prepare for the possibility that the addict will run away and, along with the family, create specific consequences if the person does not agree to go into treatment, Seppala said.

For example, if the person is married, an addict's spouse may not permit him or her back into the home, Seppala said. If the person is living with family, the relatives may kick that person out of the house, Loverde said.

The direct intervention model is not always the best method, experts say. Dr. Bankole Johnson, chairman of psychiatric medicine at the University of Virginia, said this confrontational approach leaves the addict somewhat humiliated and may reduce the benefits of rehab treatment for the person. If the intervention does not work, it creates a chasm between the family members and the addict, he said.

Instead, it's best to treat the addiction as a medical problem and stress the physical consequences of it, Johnson said. Simply telling a person that he or she has a problem with alcohol or drugs is often not as effective as saying, "You seem to be having difficulties with your sleeping, or you seem to be having difficulties with your breathing," he said.

Recognizing enablers

Often there are people in the addict's life known as "enablers" who don't necessarily see the addiction as a problem, Seppala said. These may include friends, family members, doctors and, in the case celebrities, an entourage.

Some celebrities become surrounded by enablers because greed and money taint the decision-making of people they know, Seppala said.

"[If] their only real claim to fame is proximity to the celebrity, or getting money out of that situation, they're going to say whatever the wealthy person wants them to say," he said.

This may lead a well-known person with a drug problem to feel isolated, despite having a lot of people around, because he or she isn't getting the truth from anyone, Seppala said.

"You've got to count on family and friends who may have known you before you became famous," he said.

For well-known people with drug problems, it's especially difficult to get the treatment they need because the celebrity factor may cloud doctors' care, Johnson said.

"The practitioner is saying, 'If I don't give the person what they want, they'll go and see someone else,'" Johnson said.

Sometimes people, especially family members, enable out of misguided love. For example, Loverde said that while family members do not intentionally make an addict get worse, they may not know what to do except love the person in need. But by not acting they enable that person.

"You set up a family system," Loverde said. "You create the enabler, you create the punisher, you create these unhealthy family roles and people kind of mold into them based on the addiction itself."

Legal action

In most states treatment for addiction cannot be forced by family members or friends, Seppala said. That's where the legal system comes in.

But it's very difficult to prove in court that a person is not able to manage his or her own life because of an addiction, experts say. Different states have different laws, but generally a conservatorship -- when someone takes legal charge of another person's decisions -- is only granted if a person is a danger to other people or to himself, Johnson said.

Generally, the person has to commit a crime, such as driving while intoxicated, before the legal system gets involved in ordering treatment, Johnson said.

In California, for example, a probate conservatorship involves a family member or other interested party taking over part or all decision making for an adult whose decision-making ability is impaired. It must be shown that the person cannot provide food, clothing or shelter for himself.

But sometimes the very threat of police intervention is enough to prompt an addict to consent to treatment, Seppala said.

The bottom line

Experts stressed that family members and friends should not wait until the person they're concerned about "hits rock bottom" before attempting to get help from a professional.

"Very rarely does someone wake up in the morning and say, 'I want to change,'" Loverde said.

@highlight

Janet Jackson reportedly tried to stage an intervention for her brother Michael

@highlight

Even family members may become enablers in the life of an addict, experts say

@highlight

Don't wait until the person you're concerned about "hits rock bottom"

@highlight

In most states treatment for addiction cannot be forced by family members or friends