Atlanta, Georgia (CNN) -- It took Norma Margeson a few minutes to learn to control the skinny metal robot. But instead of viewing it as a machine, she soon warmed up to it as a companion.

Georgia artist Norma Margeson has embraced a robot prototype that can fetch household items for patients.

"Oh, I love it," she said. "I think it is such a unique character. It has a personality all its own. It can be a friend, a very good friend."

Margeson, an artist from Marietta, Georgia, is learning how a health care robot dubbed El-E (pronounced "Ellie") can help her accomplish some simple household tasks. El-E is being tested by Margeson and other patients with amyotrophic lateral sclerosis, or ALS, also known as Lou Gehrig's disease.

"We named it El-E because she reminds us of an elephant. She has this one arm that is sort of gray that can lift objects and move up and down," said Professor Charles Kemp, director of the Center for Healthcare Robotics at Georgia Tech in Atlanta.

Right now Kemp and his colleagues are focusing on programming El-E to locate and fetch common household items such as a hairbrush, a bottle of pills, a cell phone or a TV remote. El-E also can open doors.  Watch El-E the robot in action »

A robot with those skills could provide some independence for patients with motor impairments and a respite for caregivers. Kemp said he hopes his robots could help people in wheelchairs, the elderly and those with such diseases as arthritis and diabetes.

"There is still significant research to be done in order to make robots like El-E function in real homes on a daily basis," Kemp said. "Real homes contain a diverse array of objects, have obstacles that make robot navigation difficult, have varied lighting, contain fragile items, provide shelter to pets and family members, and have messy areas."

Kemp has been working for more than a year with Jonathan Glass, a neurology professor at Emory University in Atlanta and director of the Emory ALS Center.

"What Charlie and his team have been very focused on is not what they can make the robots do, but what they can make the robots do that's important to people," Glass said.

"We may think of things that are relatively trivial -- picking up a cell phone, picking up a remote control for a TV set or even pushing a button somewhere that they cannot quite reach. That may seem to be a small thing to somebody. But to these folks, it's a very big thing."

El-E is about 5 feet tall, with a single robotic arm that can move up and down to pick up objects at different heights. The robot swivels and rolls on a motorized, wheeled base.

During a demonstration in a living-room setting at Georgia Tech, Margeson used a laser pointer to identify objects she wanted El-E to deliver to her. Patients with different levels of mobility also can use head-mounted pointers or touch pads.

El-E retrieved bottles of pills and a water bottle when Margeson pointed to them, but its claw could not get a proper grip on a cell phone.

Like any young creature, however, the robot is designed to learn from its mistakes.

"In this case, it missed the object. It should try again actually, and it should recognize that it didn't succeed," Kemp said.

Formal studies have shown El-E to be an efficient worker. In 127 out of 134 trials (94.8 percent), the robot successfully picked up the requested object.

Kemp and his students have studied the work of service dogs to try to mimic the most useful assistive functions. And while El-E will never be the warm and loving companion that a German shepherd or a Labrador might be, there are efforts to make El-E interactive and at least somewhat anthropomorphic.

When El-E is ready to work, it says: "Waiting for laser command." After the patient points at an object, the robot acknowledges, with the words, "Detected laser pointer." Patients can decide whether El-E should put the object on a table or put it directly in their hands.

"If you look at me, I will deliver to your hand," says the robotic voice.

Glass said that many ALS patients have, by necessity, learned to be tech savvy.

"For the most part, patients at this stage of the disease are used to dealing with technology," he said. "They're used to dealing with motorized wheelchairs; they are used to dealing with automatic speaking devices and computers."

But programming a robot to do "human" things involves a lot of hardware and software. El-E is powered by a Mac Mini with the Ubuntu Linux operating system.

"It needs to have a laser to navigate and to find objects on the surface," Kemp said. "It needs to have this camera so it can know where to move its hand. It needs to have these four sensors so that it can know as it is moving how much to grip on the object, when to stop moving down, when to let go of the object when handing out the object to a person."

Kemp's Web site, http://www.charliekemp.com/, includes video that shows what El-E sees as it navigates across a room.

Depending on funding, Kemp said he hopes home health care robots may be available in less than 10 years.

By that time, El-E may have learned how to carry a plate of hot food from the microwave to the table and pick up a glass without breaking or spilling it.

@highlight

Engineers at Georgia Tech are developing a health care robot for home use

@highlight

The robot can open doors and fetch items such as a bottle of pills or a cell phone

@highlight

Robots could assist patients with ALS, also known as Lou Gehrig's disease

@highlight

Such health care robots may be commercially available in less than 10 years