(CNN) -- The first step is always the hardest -- but the second is just as challenging.

Once the dust has settled, the well wishers have moved on and the interviews have ceased, there's the realization that there is a world out there -- waiting to be confronted.

"For 25 years, you've lived a certain way and with distance," U.S. footballer Robbie Rogers, who now plays for Los Angeles Galaxy, said in an interview for CNN's "World Sport Presents: Journey of a Gay Athlete" documentary.

"You're afraid to tell people and be open with stuff and so it's hard to just change. A lot of gay men and women who aren't out and don't really accept that they're gay, live with a bit of self-hate.

"So I hate to be so blunt about it, but hating yourself is very damaging."

Rogers' escapism came through writing -- notably his blog, on which he announced his revelation -- and therapy.

"To live for 25 years or for some people, 40 or 50 years, that doesn't go away quickly," said Rogers, who has also written a book "Coming Out to Play," which is released later this year.

"It takes a long time. It takes a lot of writing and a lot of friends to speak with and therapy.

"It's serious stuff and sometimes people forget. They'll say 'Oh, you're out, everything's probably great. You seem so happy.

"It's like, 'Well, you knew me before I came out and you thought I was happy, so you don't know.'

"It takes time but it's definitely progress, and positive progress."

Rogers was 25 when he broke the news that he was gay on his blog, having just left English second division club Leeds.

It's a piece of writing which still brings out fierce emotion in man who had decided that he would longer be able to reconcile his love of football with a yearning to be free.

He promptly retired from football -- only to return in May after being offered a deal to play in the U.S. with LA Galaxy.

Having played football throughout his childhood and then at college, he nevertheless struggled emotionally in the fiercely masculine arena where words like "homo," "fag" or "gay" were commonplace.

"I always heard homophobic things in locker rooms, on soccer fields, you know, before training, after training," said Rogers, who was more or less convinced he was gay by the age of 13 or 14.

"Whether it was joking or whether it was malicious, I just heard so many different things that scarred me and made me think that there's no chance I'm ever going to come out -- ever -- to anyone.

"So that's probably why, again, I kept it in for so long. That's why I didn't tell anyone until I was 25."

Since he came out in February, Rogers has spent time speaking with college students and fellow members of the lesbian, gay, bisexual, and transgender (LGBT) community.

His message, wherever he goes and whoever he speaks to, is simple. Talk to somebody.

"I regret it," Rogers said after contemplating whether he should have sought advice on his quandary earlier.

"I wish at a young age I'd have spoken with someone -- someone who didn't know my family or wasn't a friend or anything.

"I wanted a mentor or a therapist, somebody I could speak to and share my thoughts with, because to live so long without telling anyone is just very harmful.

"People ask me, 'Well, what would you tell yourself as a young kid?'

"Well, I wouldn't change any of my experiences, because I am who I am and because of all of those things, and because of my struggles,

"I wouldn't change that. But, to speak with someone would have been, that would have changed a lot for me."

Rogers grew up as part of a devout Catholic family in California. He felt the pressure of his religion and allied to the prying eyes of his testosterone fueled soccer teammates, he kept himself to himself.

"The biggest obstacle is fear. The fear of rejection from their teammates, from fans, probably their families, fear of the owners of the team might not want a gay athlete.

"I think people want to support themselves and they support themselves with their sport, so they if they lose their sport then how are they supposed to take care of themselves and all the other people they take care of?

"So, I mean fear is the number one factor. It's just people... there's just so many things that play into that."

Thomas Hitzlsperger, who won 52 caps for Germany and played in England, Italy and Germany, is the most high-profile former player to announce he is gay.

Like Rogers, the former Germany international struggled with the concept of coming out while playing professional football.

"There is a difference between silence and lying," said Hitzlsperger.

"I've never been ashamed of being gay... but I have asked myself the typical questions that gay people ask themselves: What would my friends say? How will my family react? But I've never been ashamed."

Rogers is now one of the most recognizable faces in the fight against homophobia.

Where in the past he would deliver crosses for a striker, now he delivers speeches on equality. Where before he may have penned the odd autograph, he now signs thousands and writes articles for highbrow publications on Russia's homosexuality laws.

He has received letters from those who are contemplating suicide, living a life of solitude, gripped by a fear which they cannot seem to shake off.

If Rogers is all too aware of that fear, he has been buoyed by the sight of a younger generation who are embracing their sexuality.

"I went to an event in Portland to speak with a bunch of kids at Nike and I saw about 500 kids," he recalled.

"They shared their story and I just talked about mine and answered questions. And, they were asking questions like, 'Alright, we're going to go home tomorrow, what should we do?'

"These are all the kids that are LGBT leaders of their groups in high school and I was like, 'Oh, gosh, these kids are so brave. They're all out in high school, some of them are freshmen and they're just trying to change the world and just trying to be happy.'

"It made me really mad at the people that couldn't understand that and accept them, but also mad at myself where, 'OK, I have this proper platform where I can really try to help people with it.

"Kind of a global platform, and any of these kids would die or that, to have a platform in any way.'"

Hiztlsperger is also keen to promote the issue of gay rights -- particularly ahead of the 2014 Winter Olympics at Sochi, Russia.

Russian law bars the public discussion of gay rights and relationships anywhere children might hear it -- and has been condemned by rights groups both at home and abroad as discriminatory.

"I'm coming out about my homosexuality because I want to move the discussion about homosexuality among professional sportspeople forwards," Hiztlsperger told German newspaper, Die Ziet.

It is hoped that the Games in Sochi, where protestors have been afforded designated areas to air their views, will help fight the prejudice which is still so prevalent within sport and society.

"I just hope that people will just forget any of those labels and stereotypes that are slapped on different people," said Rogers.

"Whether it's race, sex or sexual orientation, I just want that to go away.

"I know that probably won't happen in the near future, but hopefully in the near future, if athletes decide they want to come out, they're not pressured anymore.

"It took me so long, I don't want to be a hypocrite that way, but it would be nice if some could come out and start to move things forward.

"And, until there's same-sex marriage in every state, we're still going to have to talk about that.

"There are lots of issues which people get annoyed by because it doesn't affect them, but we're going to continue to talk about it until it's over with."

@highlight

Footballer Robbie Rogers is one of the most high-profile voices in battle for gay rights

@highlight

Los Angeles Galaxy midfielder came out in February 2013

@highlight

Former Germany midfielder Thomas Hitzlsperger revealed he is gay earlier this week

@highlight

Hitzlsperger says he wanted to come out ahead of Sochi Games