It's about making an entrance.

Dramatic entries are a given with air travel, and airports should convey a sense of welcome and arrival to travelers landing in a new city, like the great train stations of yesteryear, says architecture critic Paul Goldberger.

That doesn't usually happen.

"An inspiring grand welcome to a place is not something you get in most of them," says Goldberger, contributor to Vanity Fair, winner of the Pulitzer Prize for his architecture criticism at The New York Times and author of "Why Architecture Matters." "Most only aspire to a sense of efficiency and most don't even achieve that."

Where they exist at airports, the more impressive spaces are usually located in the airports' departure halls. Those passengers are rushing to clear security and catch flights and don't have time to appreciate their space. The arrivals hall usually doesn't inspire much.

Check in: World's best airport hotels

"When you arrive, you're shunted to a lower level to baggage claim and go through what feels like a service (exit)," says Goldberger, who regularly flies through New York and New Jersey's bustling but not very beautiful airports.

Although most airports don't meet his wish for a "grand welcome" -- even the ones he likes --  some architects are designing lovely airports that are worth admiring. Here are some of the airport designs Goldberger has appreciated or is hankering to see for himself.

Madrid-Barajas Airport (Spain)

The design by architect Richard Rogers for Barajas' Terminal 4, completed in 2006, is one of Goldberger's favorites.

"He took what is really a conventional plan, and he did a traditional airport beautifully," he says. Rogers' elegant architecture includes "magnificent steel tresses and columns, and a very long concourse that gradually changes colors," says Goldberger. "The colors fade over the course of what must be half a mile. It's quite breathtaking."

Beijing Capital International Airport (China)

Sir Norman Foster has been "more successful than anyone else at rethinking the airport and designing it in a new way that pretty much works," says Goldberger. Foster's international terminal design in Beijing was completed in 2008 in time for that summer's Olympic Games.

Instead of a stretched-out layout or satellite terminals, Terminal 3 "is essentially two huge triangular shapes, where the points face each other and are connected by a train," he says. "That works quite well and is attractive."

5 great get-fit retreats

Kansai International Airport (Osaka, Japan)

Architect Renzo Piano's most remarkable achievement in this case may have been winning a design competition in 1988 for an airport that would sit on a man-made island that did not yet exist.

Located 25 miles away from Osaka, Japan (and three miles off the coast), Kansai airport was completed in 1994 and can handle air traffic 24 hours per day. The island is now connected to the mainland by a 2.5 mile-long, two-level bridge. The airport is lovely, but "it's more the achievement than the architecture itself," says Goldberger.

King Abdulaziz International Airport (Jeddah, Saudi Arabia)

Completed in 1981, Skidmore, Owing and Merrill's design of the Hajj Terminal in Jeddah seems to capture the essence of Saudi Arabia's nomadic tradition.

The firm developed tent-like structures using little energy to keep the space cool in the desert. Pictures of the terminal impressed Goldberger, which is why it's on his bucket list as an airport to visit.

"Jeddah seems like a fascinating attempt to marry the nomadic tradition of desert tents with monumental modern architecture," says Goldberger. "A seeming impossibility, but I think they pulled it off."

World's best airport spas

Raleigh-Durham International Airport (North Carolina)

Often overlooked as an example of good airport architecture, Raleigh-Durham International Airport's Terminal 2 was designed by Fentress Architects of Denver and completed in 2011.

Inspired by its Southern roots and its service to the Research Triangle hub of companies and universities, "it's a terminal that has a lot of wood and glass inside, a nice alternative to steel and glass," says Goldberger.

Aeropuerto de Carrasco (Montevideo, Uruguay)

Seeking to modernize and expand the airport serving Uruguay's capital, airport operators turned to native son and world renowned architect Rafael Vinoly. Completed in 2009,  the Carrasco airport's structure seems inspired by the rolling dunes along the country's coastline.

The design is intriguing to Goldberger, which is why the Carrasco airport is also on his list of airports to experience.

"I've wanted to see Uruguay because Vinoly's swooping shape looks wonderful in photographs," says Goldberger. "It looks like something inspired by Eero Saarinen's design" for Trans World Airlines at John F. Kennedy International Airport (then called Idlewild Airport).

Airlines collect $27 billion beyond ticket revenue

TWA Terminal (John F. Kennedy International Airport, New York)

It's not in use anymore, but Goldberger says it still stands out as an architectural marvel. (Maybe if it was still open, Goldberger would like flying out of John F. Kennedy International Airport better.)

Designed by Eero Saarinen and opened in 1962, this gorgeous terminal had a significant flaw: It wasn't built to change and grow with the growth of travel and the enormous aircraft that would soon come to Idlewild Airport, now JFK International.

"It was one of the great airport designs of all time, and it was completely unworkable for security and the volume of traffic (to come)," says Goldberger. "It remains a beautiful and incredibly inspiring building."

Matteo Pericoli mural (John F. Kennedy International Airport, New York)

No, this doesn't mean Goldberger likes flying out of the American Airlines terminal where this mural is located.

Italian architect and artist Matteo Pericoli was commissioned to paint a mural of the great architecture of the world on a wall at the American terminal. So while Goldberger isn't crazy about the airport, the mural "is one of my favorite things at any airport."

A pleasant experience matters, too

When Goldberger is trying to get from one city to another, sometimes his requirements for a nice airport are the same as anyone else. At the last minute, that's why he also tacked on these "fairly ordinary terminals that are nevertheless pleasanter to be in than the norm": San Francisco International Airport's newly redone Terminal 2 and the JetBlue Airways terminal at John F. Kennedy International Airport in New York.

"Lots of light, nice places to eat, wide-open spaces, views of (the) field, places to work, rest, etc.," he wrote, via e-mail. "Great architecture isn't always necessary to raise an airport above mediocrity."

What's your favorite airport anywhere in the world? Please share in the comments section below.

@highlight

Airports should welcome visitors and residents alike

@highlight

A Madrid airport terminal incorporates a rainbow palette in its structure

@highlight

A Jeddah, Saudi Arabia, terminal reflects the culture's nomadic tent traditions

@highlight

The Uruguay capital's airport captures the essence of rolling dunes