(CNN) -- Afghan President Hamid Karzai is meeting this week with President Obama in Washington amid increasing ambivalence in the United States about what to do about the war in Afghanistan.

Americans are tired of the war. Too much blood and treasure has been spent. The White House is grappling with troop numbers for 2013 and with the nature and scope of any U.S. mission after 2014. With the persisting corruption and poor governance of the Afghan government and Karzai's fear that the United States is preparing to abandon him, the relationship between Kabul and Washington has steadily deteriorated.

As the United States radically reduces its mission in Afghanistan, it will leave behind a stalled and perilous security situation and a likely severe economic downturn. Many Afghans expect a collapse into civil war, and few see their political system as legitimate.

Karzai and Obama face thorny issues such as the stalled negotiations with the Taliban. Recently, Kabul has persuaded Pakistan to release some Taliban prisoners to jump-start the negotiations, relegating the United States to the back seat. Much to the displeasure of the International Security Assistance Force, the Afghan government also plans to release several hundred Taliban-linked prisoners, although any real momentum in the negotiations is yet to take place.

U.S. may remove all triips from Afghanistan after 2014

Washington needs to be careful that negotiations are structured in a way that enhances Afghanistan's stability and is not merely a fig leaf for U.S. and NATO troop departure. Countering terrorism will be an important U.S. interest after 2014. The Taliban may have soured on al Qaeda, but fully breaking with the terror group is not in the Taliban's best interest. If negotiations give the insurgents de facto control of parts of the country, the Taliban will at best play it both ways: with the jihadists and with the United States.

Negotiations of a status-of-forces agreement after 2014 will also be on the table between Karzai and Obama. Immunity of U.S. soldiers from Afghan prosecution and control over detainees previously have been major sticking points, and any Afghan release of Taliban-linked prisoners will complicate that discussion.

Karzai has seemed determined to secure commitments from Washington to deliver military enablers until Afghan support forces have built up. The Afghan National Security Forces have improved but cannot function without international enablers -- in areas such as air support, medevac, intelligence and logistical assets and maintenance -- for several years to come. But Washington has signaled that it is contemplating very small troop levels after 2014, as low as 3,000. CNN reports that withdrawing all troops might even be considered.

Everyone is hedging their bets in light of the transition uncertainties and the real possibility of a major security meltdown after 2014. Afghan army commanders are leaking intelligence and weapons to insurgents; Afghan families are sending one son to join the army, one to the Taliban and one to the local warlord's militia.

With Afghan president's visit, nations' post-2014 future takes shape

Patronage networks pervade the Afghan forces, and a crucial question is whether they can avoid splintering along ethnic and patronage lines after 2014. If security forces do fall apart, the chances of Taliban control of large portions of the country and a civil war are much greater. Obama can use the summit to announce concrete measures -- such as providing enablers -- to demonstrate U.S. commitment to heading off a security meltdown. The United States and international security forces also need to strongly focus on countering the rifts within the Afghan army.

Assisting the Afghan army after 2014 is important. But even with better security, it is doubtful that Afghanistan can be stable without improvements in its government.

Afghanistan's political system is preoccupied with the 2014 elections. Corruption, serious crime, land theft and other usurpation of resources, nepotism, a lack of rule of law and exclusionary patronage networks afflict governance. Afghans crave accountability and justice and resent the current mafia-like rule. Whether the 2014 elections will usher in better leaders or trigger violent conflict is another huge question mark.

Emphasizing good governance, not sacrificing it to short-term military expediencies by embracing thuggish government officials, is as important as leaving Afghanistan in a measured and unrushed way -- one that doesn't jeopardize the fledgling institutional and security capacity that the country has managed to build up.

U.S. likely to keep thousands of troops in Afghanistan after NATO forces leave

Karzai has been deaf and blind to the reality that reducing corruption, improving governance and allowing for a more pluralistic political system are essential for Afghanistan's stability. His visit provides an opportunity to deliver the message again -- and strongly.

The opinions in this commentary are solely those of Vanda Felbab-Brown.

@highlight

Afghan President Karzai meeting with President Obama in Washington this week

@highlight

Felbab-Brown: Afghan politics are corrupt; army not ready for 2014 troop pullout

@highlight

She says Taliban, insurgents, splintered army, corrupt officials are all jockeying for power

@highlight

U.S. needs to commit to helping Afghan security, she says, and insist corruption be wiped out