(CNN) -- America is facing the greatest health care challenges in its history.

Unprecedented demand is a certainty. According to the Department of Health and Human Services' Administration on Aging and U.S. Census Bureau statistics, the number of Americans 65 and older has exploded by a full 6 million in the past decade to over 13% of the overall population, while the population of "oldest old" -- those 85 and older -- has increased by a factor of 10 from the 1950s to today's 6 million.

Older people harbor the most disabling diseases, including heart disease, cancer, stroke and dementia: the diseases that depend most on specialist care and complex technology for diagnosis, management and treatment.

Yet the Obama administration has wrongheadedly focused on shifting Americans to government insurance. Of the 8.5 million individuals newly insured under Obamacare at the end of the first half of 2014, more than 6 million were enrolled into Medicaid, based on analysis by Edmund Haislmaier and Drew Gonshorowski of The Heritage Foundation using Centers for Medicaid and Medicare data.

After the law's Medicaid expansion and with the population aging into Medicare eligibility, the 107 million under Medicaid or Medicare in 2013 rapidly increases to 135 million just five years later, according to CMS projections. By the end of the decade, a full 140 million Americans will have their health care access directly controlled by the U.S. government, a growth rate far higher than private insurance.

The problem is that government insurance does not correspond to access to medical care, nor does it imply good health outcomes. Medicaid is already refused by more than half of doctors across America, according to 2013 data from a 2014 Merritt Hawkins survey. Likewise, more than 20% of primary care doctors already accept no new Medicare patients, five times the percentage who refuse new privately insured patients.

In 2012 alone, CMS reported that almost 10,000 doctors opted out of Medicare, tripling from 2009. And, counter to the administration's demonization of private insurers, it is Medicare that consistently ranks at the top of the charts for the highest rates of claim refusals, more than nearly all the comparison private insurers every year, according to the AMA's 2013 National Health Insurer Report Cards.

Here is another important reality to consider. Virtually all patients with serious diseases today are managed by specialists and with advanced technology. For seniors, visits to specialists have increased from 37% of visits two decades ago to 55% today. And that's appropriate, because those are the doctors who have necessary training and expertise to use the complex diagnostic tests and devices, state-of-the-art procedures, and novel drugs of modern medicine.

Fittingly, Americans unambiguously prioritize the latest medical technology. Surveys by Harris/Wall Street Journal Online demonstrate that 80% of Americans say being able to get the most advanced tests, drugs and medical procedures and equipment is "very important" or "absolutely essential"; 67% say that technologies like digital imaging and advances in health information will improve patient care and/or reduce medical costs, while only 10% think these advances cost more than they are worth. In a Health Affairs study, Americans showed a 50% higher interest in new medical discoveries than citizens of Western European nations.

We often hear of the Association of American Medical College projected shortage of primary care doctors, but little attention is paid to the fact that almost two-thirds of the 2025 doctor shortage of 124,000 will be in specialists, not in primary care. Yet this administration has been naively prioritizing generalist care at the expense of specialists.

The government's Medicare Payment Advisory Commission already recommended substantial cuts to specialists -- 16.7% over 3 years and then frozen, equivalent to a 50% decrease after the decade, considering inflation. It is counterproductive to restrict the autonomy and cut salaries of those who we need the most, thereby reducing the job's attractiveness to the best and brightest who already have a wide range of career choices.

More directly, Obamacare is eliminating access to many of the best specialists and best hospitals for middle-income Americans. To meet the law's requirements, major insurers all across the country are declining to participate in the exchanges, or only offering plans that exclude many of America's best doctors and hospitals. McKinsey reported 68% of Obamacare insurance options only cover narrow or very narrow provider networks, double that of one year ago.

For cancer care, the overwhelming majority of America's best hospitals in the National Comprehensive Cancer Network -- including MD Anderson Cancer Center, New York's Memorial Sloan-Kettering, Barnes Hospital in St. Louis and the Seattle Cancer Care Alliance -- are not covered in most of their states' exchange plans.

The "narrow network" strategy is about to hit even more Americans in 2015, as Obamacare exchanges from California to New Hampshire further restrict access to top doctors and hospitals in an attempt to quell insurance premium increases caused by the law itself.

The fact is that Obamacare transforms American health care toward an antiquated, generalist system and significantly reduces health care choices that Americans hold dear. While the President and his Democrat allies claim that there has been no alternative offered, more than half a dozen Republican health care proposals increase choices for families and increase access to the best doctors via competition and individual empowerment.

Voters who prioritize freedom of choice and quality in health care should look to the Republicans to reset the course of America's health care system to one that holds true to American values while advancing access to specialist care and advanced technology.

@highlight

Scott Atlas: As America's population ages, millions more qualify for Medicare

@highlight

He says the Affordable Care Act is putting the majority of newly insured under Medicaid

@highlight

Atlas: Well over 100 million will be covered by government programs that offer less choice

@highlight

GOP health care changes would offer more choice, more access to technology, he says