New York (CNN) -- A new report saying that Iran could be secretly working on a nuclear weapon is a major development, but not one that should lead the U.S. to consider a military strike against the Tehran regime, according to analyst Fareed Zakaria.

The draft report, obtained by CNN and not yet approved by the International Atomic Energy Agency's board of governors, is the U.N. nuclear watchdog agency's strongest warning yet that Iran could be aiming to build a nuclear bomb.

Zakaria told CNN the report should spur U.S. diplomacy to prevent Iran from developing nuclear weapons but that talk by commentators outside the U.S. government of a potential military strike against Iran was wrongheaded. "To be casually talking about military action because we're getting frustrated seems to me somewhat dangerous," he said.

Iran's Green Movement of protesters against the regime indicates that waiting could have its benefits, Zakaria said. "At the end of the day, time is not on the side of this regime. It's a dysfunctional regime that has run the economy into the ground, taken a great and open and proud nation and turned it into a kind of paranoid and closed one and which is clearly losing the support of young Iranians by the day."

Zakaria, author and host of CNN's "Fareed Zakaria GPS," spoke to CNN on Thursday.

CNN: The International Atomic Energy Agency has done a report saying that Iran could be at work on building a nuclear weapon. What do you think that means?

Fareed Zakaria: That's a major development because so far we have not really been able to assess whether Iran has decided definitively that it wants nuclear weapons. We know that it wants a nuclear capacity -- that is clear -- and it wants a large nuclear capacity and one that is robust so that they have multiple production sites.

But it has always seemed as though there were two views within the Iranian leadership. One was that Iran should develop a robust civilian nuclear capability and a robust missile program but that it should not put the two together because that would place it in clear violation of the Nuclear Non-Proliferation Treaty. There are clearly others in Iran who believe that Iran should simply have nuclear weapons. ...

This would suggest that the harder line faction within Iran is winning out. We don't know for sure because this is all guesswork frankly. ...

CNN: What's happening with the negotiations?

Zakaria: The Iranians have been playing a very peculiar negotiating game where they sometimes seem interested in negotiating but rarely do they actually engage in good faith. ... They rarely seem to engage in these with a consistent pattern with consistent positions -- which either means the leadership is very divided or they're playing games.

CNN: What's your view about the wisdom of imposing new sanctions?

Zakaria: It probably is the only course available right now since the prospect of engaging with Iran and giving it positive inducements does not seem to be going anywhere. I also think the sanctions that are being talked about are fairly narrow and targeted at particularly the Republican Guard within the regime, which seems to be most powerful faction. And that's the right approach to take. We know that generalized sanctions only hurt the average Iranian, and that is entirely counterproductive.

CNN: What's the impact of the domestic turbulence inside Iran, including the protest movement?

Zakaria: Nobody knows for sure, but it does seem to have confused the situation internally. [Iranian President Mahmoud] Ahmadinejad had made some conciliatory statements on the nuclear issue, which were then attacked by the opposition, and he retracted it, which suggests that he's feeling the pressure. It suggests that there are divisions within the regime, there's some sense of vulnerability. ... It just makes it more difficult to negotiate with them, but it also suggests it may not be the worst thing in the world to wait and watch how this plays out in Iran.

CNN: What do you think about the military option?

Zakaria: The problems with the military option remain what they've always been, and it's a little alarming to see the way in which people are gravitating toward a military option, out of a sort of frustration that there isn't some magical solution here.

The military option is certainly not a magical solution. It's a very risky strategy with many potentially large, unintended consequences. A military strike would be a pre-emptive invasion of another country by the United States. It would not have any sanction in international law.

It would not be supported by the vast majority of the world, and it would only delay rather than destroy the Iranian program.

I've talked to many military experts, and we do not seem to have the ability to completely destroy a program like this, partly because nuclear technology is after all not some cutting-edge technology. This is 60-year old technology, and there are lots of people in Iran who are trained scientists.

It would also strengthen the hard-line elements within the regime, would weaken the Green Movement because they would have to come out in support of the regime, and against what would be a foreign attack on Iranian soil.

It would inflame the Middle East and make tensions rise everywhere, including the two places where the U.S. has a huge stake and tens of thousands of troops -- Afghanistan and Iraq -- and it would put the moderate Arabs on the defense. It would have the effect of radicalizing the region.

And those are pretty much the known consequences. ... Then, there's always in the business of war, the unknown consequences. What would Iran's reaction be? ... What kind of militia operations could it fund in Iraq and Afghanistan that would directly kill Americans?

CNN: Do you think the administration is seriously contemplating military action?

Zakaria: I don't think the administration is seriously contemplating it, but I'm struck by the degree to which many outside commentators are doing it, and the danger is ... that the administration places itself in a box where it says things which leave it no option but to keep taking a harder and harder line. I don't think it's likely, but I do worry that there is a train which is leaving the station, which might end up in a military strike.

CNN: Do you think Secretary of State Hillary Clinton has been sounding the right note?

Zakaria: Absolutely. Secretary Clinton has been sounding the right note and being tough, making the point that they're willing to engage with the Iranians if they are serious.

I also think this most recent declaration by IAEA will make it easier for us to continue building a containment strategy against Iran, getting moderate Arab countries to ally with the United States, tacitly with Israel and against Iran politically and militarily within the region, get the Europeans even more strongly on board and most crucially get the Russians and the Chinese on board for sanctions in the U.N. -- further, tighter and tougher sanctions.

CNN: Aside from sanctions and watchful waiting, is there anything else that should be done?

Zakaria: I think we should be supporting the Green Movement in Iran. I don't think we need to do it in a dramatic and overt kind of way, which would probably be counterproductive. But there are ways in word and deed that the United States could make clear that we support the aspirations of those Iranians who want a more normal Iran, a more open democratic Iran, more engaged with the world. That is not inconsistent with us saying we want to negotiate with Iran. We did that with the Soviet Union.

If there was a way for us to construct a containment strategy that at the same time left room for negotiations on the one hand and also left room for us to express our hopes and support for a different Iran in the future, that would be the best long-term strategy for us. ...

It's difficult to predict when and where things will change, but it's difficult to imagine that 25 years from now Iran will still be run by this unholy alliance of a bunch of reactionary mullahs and power-hungry military leaders.

@highlight

Draft report from U.N. watchdog agency says Iran could secretly be working on a nuclear bomb

@highlight

Fareed Zakaria says report is a major development, could spur new sanctions against Iran

@highlight

He says talk of a military strike against Iran is wrongheaded and dangerous

@highlight

Zakaria: Time not on the side of Iranian regime that's suppressing Green Movement protesters