A pro-al Qaeda group responsible for a previous armed assault on the U.S. Consulate in Benghazi is the chief suspect in Tuesday's attack that killed the U.S. ambassador to Libya, sources tracking militant Islamist groups in eastern Libya say.

They also note that the attack immediately followed a call from al Qaeda leader Ayman al-Zawahiri for revenge for the death in June of Abu Yahya al-Libi,  a senior Libyan member of the terror group.

The group suspected to be behind the assault -- the Imprisoned Omar Abdul Rahman Brigades -- first surfaced in May when it claimed responsibility for an attack on the International Red Cross office in Benghazi. The following month the group claimed responsibility for detonating an explosive device outside the U.S. Consulate and later released a video of that attack.

Noman Benotman, once a leading member of the Libyan Islamic Fighting Group and now based at the Quilliam Foundation in London told CNN, "An attack like this would likely have required preparation. This would not seem to be merely a protest which escalated."

Slain ambassador died 'trying to help build a better Libya'

"According to our sources, the attack was the work of roughly 20 militants, prepared for a military assault; it is rare that an RPG7 is present at a peaceful protest," Benotman said.

"According to our sources, the attack against the consulate had two waves. The first attack led to U.S. officials being evacuated from the consulate by Libyan security forces, only for the second wave to be launched against U.S. officials after they were kept in a secure location."

That analysis is supported by U.S. sources who say the attack on the consulate is believed to have been pre-planned. The sources say the attackers used the protest as a diversion to launch the attack, although the sources could not say if the attackers instigated the protest or merely took advantage of it.

The sources do not believe the ambassador was directly targeted.

Libyan Deputy Interior Minister Wanis al-Sharif, speaking at a news conference in Benghazi on Wednesday, said that "among the protesters, there were some who infiltrated the march to start chaos."

Six things to know about the attack

Benotman, who had earlier warned of the likelihood of renewed attacks against U.S. interest in Libya, said the Omar Abdul Rahman Brigades is a prime suspect in the Benghazi attack Tuesday. He believes it is likely the deadly attack was also linked to a video statement released by al-Zawahiri on the 11th anniversary of the 9/11 attacks. In the video, al-Zawahiri confirmed the death of al-Libi -- a prominent member of the al Qaeda-linked group -- adding:  "His blood is calling, urging and inciting you to fight and kill the crusaders."

The video released by the Brigades in June showed nighttime explosions around the consulate, interlaced with footage of Osama bin Laden and al-Zawahiri, along with images from the 9/11 attacks. At the time the Brigades claimed it had launched the attack in response to the first reports of al-Libi's death in a drone strike in the tribal areas of Pakistan.

Notably, the Brigades said the June 5 attack was also timed to coincide with preparations for the arrival of a senior U.S. State Department official.

"The time frame of attacks shows that the group has been following and actively involved in gathering information about the activities of diplomatic missions in the country," Benotman wrote in a June briefing paper on the group.

He adds that it appears the Omar Abdul Rahman Brigades was also responsible for a rocket attack against the convoy of the British ambassador in Benghazi on June 11 and an attack against the Red Cross in Misrata on June 12.

Libyan and Western security officials tell CNN that al Qaeda has taken advantage of a security vacuum to build up a presence in eastern Libya.

A senior Libyan official told CNN in June that the United States had flown surveillance missions with drones over suspected jihadist training camps in eastern Libya. The official said that, to the best of his knowledge, they had not been used to fire missiles at militant training camps in the area.

Ambassador's killing shines light on Muslim sensitivities around Prophet Mohammed

Another Libyan official told CNN at the same time that five radical Islamist militant commanders were operating in the Derna area, with 200 to 300 men under their command in camps in the area. Ironically, Christopher Stevens -- the U.S. ambassador killed in Tuesday's attack -- had written extensively about the rise of Salafist factions in and around Derna in a 2008 diplomatic cable.

As CNN has previously reported, one of militant commanders, according to several sources, is Abdulbasit Azuz, a long-time associate of al-Zawahiri. Azuz was dispatched by al-Zawahiri to Libya from Pakistan's tribal areas in the spring of 2011 to create a foothold for al Qaeda in Libya, the sources say.

Azuz is a veteran jihadist who fought the Soviet-backed government in Afghanistan in the early 1990s, according to several sources. He later moved to the United Kingdom, where he increasingly came on the radar screen of British security services for his radical recruitment efforts in Manchester.

In the period after the July 2005 London bombings, he was detained in the Belmarsh high-security prison and placed under a control order, according to the sources. He left the United Kingdom in 2009 and traveled to the tribal areas of Pakistan, according to the sources.

According to one source, Azuz has dispatched men as far west as Ajdabiya and Brega in his attempt to build up al Qaeda operations in eastern Libya.

According to Libyan security sources, within the militant ranks in Derna there are 20 to 30 hardcore jihadist fighters who are cause for most concern. One source said a number of Egyptian jihadists are also present in the Derna area, as well as fighters belonging to al Qaeda's North African affiliate, al Qaeda in the Islamic Maghreb.

Another militant whose activities have caused concern in eastern Libya is Sufian bin Qumu, a released Guantanamo detainee who is believed to be operating a camp in a remote area outside Derna. His detainee assessment at the prison camp described him as having a "long-term association with Islamist extremist Jihad and members of Al-Qaida and other extremist groups."

Libyan officials confirmed his presence in the area to CNN in June.

Townsend: Libya has been suffering 'fragile security'

Libyan security services have so far not moved against the militants, casting doubt over their ability to bring security to the country. Many areas are still dominated by brigades that fought to topple Libya strongman Moammar al-Gadhafi and bands of heavily armed young men who have turned to criminality.

Derna has for years been a recruiting ground for al Qaeda. In his 2008 cable, Stevens described the area as "a wellspring of Libyan foreign fighters" for al Qaeda in Iraq, and outlined how high youth unemployment, discrimination by the Gadhafi regime and the influence of veteran Libyan jihadists from Afghanistan all played a role in radicalizing a new generation.

In recent months, hardline Salafists have increasingly asserted themselves in eastern Libya. In June hundreds of fighters wielding AK-47s and black Islamist banners converged on Benghazi to call for the imposition of sharia law. This spring al-Zawahiri's associate Azuz was confident enough to address a large gathering in the town square of Derna, an online video of which has been seen by CNN.

Stevens warned in '08 about extremists near Benghazi

Collectively, some of the Salafist and jihadist elements in eastern Libya began to become known as Ansar al Sharia, or "Partisans of Sharia." According to reports, eyewitnesses have claimed Ansar al Sharia was responsible for organizing the demonstration outside the U.S. Consulate. But Benotman told CNN Ansar al Sharia is not really a grouping at all but rather a term applied to an amorphous coalition of Islamist and Salafist groups in eastern Libya with no leadership structure.

Despite concerns over the growing audacity of Salafist-jihadist groups, the victory of secular parties in elections in July had created a measure of optimism about Libya's future.

Benotman tells CNN the reality is that a large majority of Libyans, including the majority of Islamists, are opposed to al Qaeda's ideology of global jihad. He predicts a backlash against the perpetrators of the attack.

"People will curse them for this," he told CNN.

Nic Robertson: Al Qaeda leader's brother offers peace plan

@highlight

One expert suspects the Imprisoned Omar Abdul Rahman Brigades

@highlight

The group claimed responsibility in June for an explosive device outside the consulate

@highlight

The attack immediately followed a call for revenge issued by al Qaeda's leader