As 2013 drew to a close, Laurie Wood had no realistic plans to marry, after being told for years it was illegal in her home state of Utah.

She and her partner had once even filled out an official license application, but were politely sent away by a county clerk. Yet the couple was urged to save the paperwork just in case, with the clerk's refrain, "You never know."

Then a dramatic, unexpected ruling from a federal judge last December transformed the lives of Wood and Kody Partridge in an instant. The lesbian couple could legally wed, and they wasted no time.

"We rushed -- like hundreds of other couples -- to the Salt Lake County Building with identification in hand to get our license to marry, knowing we wouldn't be turned away this time," said Wood. "As we again nervously filled out the paperwork, the same clerk who had previously denied our application caught our eye. She beamed a huge smile and said, 'I guess you didn't have to wait so long after all.'"

Now Utah's legal, political, and social journey to define the limits of civil marriage -- playing out in surprising and rapidly evolving ways -- will be publicly debated Thursday in a federal courtroom.

There a three-judge appeals panel will hear oral arguments over Proposition 3, Utah's decade-old, voter-approved measure that defines marriage as only between one-man and one-woman. It also does not recognize the unions of Utah same-sex couples legally married elsewhere.

An important question

What the 10th Circuit U.S. Court of Appeals does in the Utah case and a similar challenge over Oklahoma's ban could be the driving legal force that seems certain to land again at the steps of the  Supreme Court, perhaps by year's end.

The justices could then finally answer one of the most important constitutional questions of our time: do gays and lesbians have the same equal protection or due process right as opposite-sex couples in all 50 states to wed?

But perhaps the high court will wait, allowing the lower courts for now to control the legal conversation.

"This is a conservative court, conservative ideologically, and conservative in the sense that they like to take baby steps," said Thomas Goldstein, publisher of SCOTUSblog.com. "There are times when the court decides to act aggressively over time, then there are other times when the court is more uncertain and wants to move more modestly. In the same-sex marriage cases it may not want to force the entire country in one direction or another."

That makes what is happening in Utah so important.

Round Two

The high court's recent precedents set the stage for Round Two of the debate, and now the 10th Circuit will become the first federal appeals court to confront the over-arching constitutional questions over gay marriage.

Appeals courts in coming weeks and months will hear similar challenges over current bans in Virginia, Nevada, Texas, Kentucky, Ohio, and Michigan.

A near unbroken string of state and federal court victories nationwide in the past year gives marriage equality supporters unbridled encouragement their ultimate goal will be achieved: eliminating all laws limiting the rights of gays and lesbians to wed.

U.S. District Court Judge Robert Shelby struck down Utah's ban on same-sex marriage five days before Christmas, saying the state's "current laws deny its gay and lesbian citizens their fundamental right to marry and, in so doing, demean the dignity of these same-sex couples for no rational reason. Accordingly, the court finds that these laws are unconstitutional."

The ruling drew national attention partly because Utah is viewed as among the more conservative states, and because the justices ruled this past summer on separate issues involving same-sex marriage.

In June, the nation's highest court cleared the way for same-sex marriages in California to resume after it ruled private parties did not have "standing" to defend a voter-approved ballot measure barring gay and lesbian couples from state-sanctioned wedlock.

More importantly, the court also rejected parts of the federal Defense of Marriage Act in its 5-4 Windsor decision, citing equal protection guarantees to conclude same-sex spouses legally married in a state may receive federal benefits such as tax breaks.

Measure of uncertainty

Citing that high court precedent, Shelby's ruling was hailed by civil rights groups. But it also created a measure of uncertainty.

Because the judge -- an appointee of President Barack Obama -- did not immediately stay enforcement of his decision until the subsequent appeals process is exhausted-- as other judges have done-- it prompted same-sex couples to quickly obtain marriage licenses, despite the state's ongoing legal challenge.

More than 1,300 such couples like Wood and Partridge were wed before the Supreme Court agreed to the state's request for a stay.

"It is very unfortunate that so many Utah citizens have been put into this legal limbo," said the state's attorney general, Sean Reyes. His office later admitted it was a confusing situation, and announced that while it would provide marriage certificates to those who properly applied during the 17-day window between the ruling and the stay, it would not recognize them as valid, at least for the time being.

Utah may seem like an unusual battleground over homosexual rights, but the level of activism and growing public support is no surprise to many in that state.

A recent Williams Institute survey found among large cities, the Salt Lake City metropolitan area had the nation's highest rate of same-sex couples raising children, at 26 percent. Memphis, Virginia Beach, Detroit, and San Antonio were not far behind. Among states, Mississippi led the list, also at 26 percent.

When it was passed in 2004, Utah's Prop 3 had 66-percent voter support. But after Shelby's ruling, a Salt Lake City Tribune poll found residents there equally divided 48 percent on whether same-sex couples should be allowed to get state-issued marriage licenses.

Controversial politically

Politically, the issue remains controversial, a reflection nationwide over how it will be resolved: whether the courts, state legislatures, or the voters should decide the future of same-sex marriage.

Wood and Partridge are among three Utah couples who brought the original lawsuit. The case could turn on defining the boundaries of marriage, within the context of family and children.

"This challenge is about real people with long-term loving relationships who believe they are entitled to respect and honor in this state, just like heterosexual couples," said their Salt Lake City attorney, Peggy Tomsic, who will argue before the appeals court.

In their legal brief, the committed couples say Utah law "communicates to them and to all the world that their relationships are not as real, valuable, or worthy as those of opposite-sex couples; that they are worthy of no recognition at all; and that they are not, and never can be, true families."

The National Center for Lesbian Rights is also leading this legal challenge.

Will of the voters

But the state cites the will of the voters -- and a wealth of social science -- to argue "that moms and dads are different, not interchangeable, and that the diversity of having both a mom and a dad is the ideal parenting environment. ...  As between mutually exclusive models of marriage, the man-woman model is simply the one the state and its people believe is best for children."

And officials argue in their brief that "By defining marriage as being between one man and one woman, Utah does not interfere with adults' ability to commit to an exclusive, loving relationship with others of the same sex, or to bring children into that relationship.

"Instead, the laws at issue here simply encourage a familial structure that has served society for thousands of years as the ideal setting for raising children. Nothing in the federal Constitution prevents Utah's citizens from making that choice."

Seventeen states and the District of Columbia allow same-sex marriage within its borders: California, Connecticut, Delaware, Hawaii, Illinois, Iowa, Maine, Maryland, Massachusetts, Minnesota, New Hampshire, New Jersey, New Mexico, New York, Rhode Island, Vermont, and Washington. Just a decade ago, there were none.

The Utah case is Herbert v. Kitchen (13-4178). A ruling on that and Oklahoma's same-sex marriage ban could come within weeks.

@highlight

Utah's efforts to define the limits of civil marriage to be debated at appeals court

@highlight

A near unbroken string of legal wins gives marriage equality supporters encouragement

@highlight

Appeals court will be first to confront the over-arching constitutional questions