(CNN) -- The residents of Colorado and Washington state have voted to legalize the recreational use of marijuana, and all hell is about to break loose -- at least ideologically. The problem is that pot is still very much illegal under federal law, and the Obama administration must decide whether to enforce federal law in a state that has rejected the substance of that law.

What makes this development fascinating is that it brings into conflict two important strains of political thought in America: federalism and moralism.

Federalists, who seek to limit the power of the federal government relative to the states and individuals, will urge a hands-off approach. Moralists, on the other hand, strongly believe in the maintenance of an established social order and will argue for continuing enforcement of federal narcotics laws.

The new laws will pit those who want a small federal government that leaves businesses and individuals alone against those who want the government to actively enforce a traditional sense of public morality in areas such as narcotics, abortion and limitations on gay marriage.

One aspect of this conundrum is the near-total overlap between federal and state narcotics laws.

Simple possession of marijuana is made into a federal criminal case under 21 U.S.C. Section 844, and federal law oddly categorizes marijuana as a Schedule I narcotic, along with heroin and mescaline -- even as cocaine and opium remain on the less-serious Schedule II. While federal law typically won't provide jurisdiction over a street robbery or even a murder, it does allow federal courts to imprison someone for carrying a small bag of marijuana, even when state law says otherwise.

Opinion: The end of the war on marijuana

Federal and state efforts to curb marijuana use through prosecution simply haven't worked.

In 2010, four out of five of the 1.64 million people arrested for drug violations were accused of possession, and half of those arrests were for carrying what were often very small amounts of marijuana. Those hundreds of thousands of drug cases corresponded with an increase in marijuana use. If federal policy were about problem-solving, Colorado would not pose a dilemma, because prosecuting marijuana cases hasn't solved the problem of marijuana use.

Federal drug policy, though, is very much driven by moralism rather than problem-solving.

After all, we have spent billions of dollars -- about $20 billion to $25 billion a year during the past decade -- and incarcerated tens of thousands of people to punish drug possession and trafficking without ever successfully restricting the flow of marijuana or cocaine.

If we think tough drug laws solve the problem of drug use, we are deluding ourselves. Rather, what sustains the effort is the bedrock belief that drugs are bad, and we must punish those who sell them or use them. Mass incarceration is justified by the belief that those we lock up simply deserve it. That sense of retributive morality does not stop at state borders.

Federalism, though, demands that individual and state rights be honored above all but the most important federal imperatives.

Should marijuana be legal? Readers debate pot laws

We are not a unitary state like many European nations, and part of the genius of the American experience is the delicate balance between federal and state powers desired by those wise men who crafted the mechanics of our government.

The difference between federalism and the kind of moralism driving national narcotics policy is simply this: Federalism is a central principle built into the structure of our government through the Constitution. Abhorrence of marijuana use is not such a defining principle. To be true to our best values, federalism should win out.

No doubt, the moralists will consider the regulations on marijuana "too important" to bow to federalism concerns, but their sway is limited. Our recent elections show the moralists to be in decline, as those who fought limits on gay marriage won across the board at the same time that marijuana was legalized.

As a federal prosecutor, I had the privilege of representing the United States and a role in employing the singular power of prosecutorial discretion. The Obama administration should employ that discretionary power in line with our oldest and best principles and step back from continuing marijuana prosecutions in Colorado and Washington.

The opinions in this commentary are solely those of Mark Osler.

@highlight

Colorado and Washington legalized recreational use of pot but it's illegal under federal law

@highlight

Mark Osler: Two ideologies clash over whether U.S. should override new state laws

@highlight

Osler: Federalists say state laws must rule; moralists say we need national drug laws

@highlight

U.S. must honor states, he says; federalism is in Constitution, pot opposition is not