(CNN) -- Three brothers recuperated Thursday afternoon in a once-open field now speckled by the bright blue tarps of a cholera rehydration clinic in the Haitian town of Bercy, where an outbreak has sickened hundreds of people.

A cousin brought the young boys to the clinic, set up by Samaritan's Purse, said Roseann Dennery, a spokeswoman for the Christian charity. They plopped down on cots, drained by severe diarrhea and vomiting.

What they did not know yet was that the night before, their father had frantically tried to find a motorcycle so he could bring in their mother for treatment. He could not find one in time.

So while the boys were regaining their strength with the help of an intravenous drip, their father was making funeral arrangements for their mother.

They had survived the earthquake, but this family was ripped apart by a disease that is now feared to be spreading rapidly.

The death toll in Haiti's cholera outbreak climbed Friday to 796 people, according to Haiti's Ministry of Public Health and Population. Another 12,303 people have fallen sick with the intestinal infection.

Epidemiologists predict the outbreak could last for months and say the entire nation of almost 10 million people is at risk because they have no immunity to cholera.

The United Nations warned that Haiti is facing one of the most severe outbreaks of the disease in the past 100 years. It appealed to international donors for almost $164 million in response money.

Of grave concern now are four confirmed cases that originated in the tent cities of Port-au-Prince, camps that sprang up to shelter those left homeless by the earthquake last January. Health officials fear that infection could spread quickly in congested, unsanitary conditions and in impoverished neighborhoods where clean drinking water is at a premium.

Symptoms of cholera, an acute, diarrheal illness caused by infection of the intestine, can be mild or even nonexistent. But sometimes they can be severe -- profuse watery diarrhea, vomiting and leg cramps, which can cause rapid loss of body fluids and lead to dehydration and shock.

If left untreated, a person can die within hours.

Aid workers like those of the American Red Cross have been going tent to tent in Haiti's makeshift camps, telling people of the importance of drinking clean water and outlining practices that can help avoid contamination.

Spokeswoman Julie Sell said Red Cross workers also have been handing out bars of soap. "Wash between your fingers," they tell the camp residents. "Don't dry your hand with a dirty towel."

"We find among many people there is very little understanding on how you prevent it," Sell said.

People are anxious, she said, as the death curve has crept steadily higher and the health minister has proclaimed the cholera crisis a matter of national security.

"Haiti has had more than its share of bad luck," Sell said. "This is another crisis that this country does not need. It's heartbreaking."

Complicating matters is the fact that Haiti has not seen cholera in more than 50 years -- it's yet another unfamiliar hardship for citizens and medical personnel. Also, the country's public health system, already strained before the earthquake, was virtually wiped out after January 12, according to the United Nations.

"Now you have the prospect of tens of thousands of cholera patients streaming into the system," Sell said. "That will be difficult."

Aid agencies already working on the island to help quake survivors have rushed to set up cholera treatment centers.

Medecins Sans Frontieres (Doctors Without Borders) was erecting another 320-bed facility in the Sarthe neighborhood. Samaritan's Purse planned to enlarge its clinic in Bercy -- about an hour's drive north of the capital -- to 100 beds by Thursday night. Dennery said the group was anticipating a need in nearby Cabaret as well.

In the meantime, the government has been telling people not to panic; only to remain vigilant. And health workers have been spreading this word through cell phone texts, pamphlets and loudspeakers: Prevention is key.

On Route 9 in Cite Soleil, Dennery's team looked more like political candidates than medical personnel when they passed through in their white "tap-tap" truck with large speakers mounted on top, she said. Crowds of people rushed to get a cholera flier, as though it were money.

The important thing, Dennery said, is that the word is getting out on how to stay alive.

@highlight

NEW: Haiti cholera death toll rises to 796, more than 12,000 sickened

@highlight

Aid agencies are scrambling to get the word out on prevention

@highlight

They are setting up rehydration clinics

@highlight

The United Nations is asking for $164 million in response money