Tension dramatically mounted in Ukraine's Crimea region Friday as its ambassador to the United Nations warned Russia against any further violation of its territorial borders, a warning that came as the United States urged Russia to pull back from the region or face possible consequences.

"We are now deeply concerned by reports of military movements taken by the Russian Federation inside Ukraine," U.S. President Barack Obama said in televised comments from the White House.

"...It would be a clear violation of Russia's commitment to respect the independence and sovereignty and borders of Ukraine and of international laws."

Obama said any violation of Ukraine's sovereignty and territorial integrity would be "deeply destabilizing, and he warned "the United States will stand with the international community in affirming that there will be costs for any military intervention in Ukraine."

Read Obama's full statement

The remarks were the latest in a series of fast-moving developments that saw Ukrainian officials grappling with rising secessionist passions in the Russian-majority region, where the airspace has been closed and communications have been disrupted.

Ukraine accused Russian Black Sea forces of trying to seize two airports in Crimea but said Ukrainian security forces prevented them from taking control.

Ukraine Interior Minister Arsen Avakov earlier characterized the presence at the airport of unidentified armed men, who wore uniforms without insignia, as an "armed invasion."

The crisis echoed throughout the world, with the U.N. Security Council president holding a private meeting about the crisis enveloping Ukraine and world leaders calling armed groups not to attempt to challenge Ukrainian sovereignty.

'This group is making a serious mistake'

At a press conference outside the U.N. Security Council, Ukraine's ambassador to the U.N., Yuriy Sergeyev said the country was prepared to defend itself and urged the U.N.'s moral and political support for the Kiev government, particularly in Crimea.

Since last week's ouster of President Viktor Yanukovych, Ukraine has faced a deepening schism, with those in the west generally supporting the interim government and its European Union tilt, while many in the east preferring a Ukraine where Russia casts a long shadow.

Nowhere is that feeling more intense than in Crimea, the last big bastion of opposition to the new political leadership. And Ukraine suspects Russia of fomenting tension in the autonomous region that might escalate into a bid for separation by its Russian majority.

"We still have a chance to stop the negative developments and separatism," Sergeyev said.

Sergeyev accused Russia of violating its military agreement by blocking Ukrainian security forces, including its border guards and police, in the region.

"This group is making a serious mistake challenging our territorial integrity," he said.

But Russia's ambassador to the United Nations, Vitaliy Churkin, compared the reports of Russian troops taking charge of positions on the ground to rumors that "are always not true."

"We are acting within the framework of our agreement," he said.

Even so, U.S. military commanders and intelligence agencies were scrambling Friday to determine what was needed to get a better picture of Russian movements.

That included an assessment of intelligence gathering, surveillance and reconnaissance needs, a senior U.S. official told CNN.

The U.S. State Department warned Americans to defer all non-essential travel to Ukraine, particularly the Crimea region, "due to the potential for instability following the departure of former President Yanukovych and the establishment of a new government."

Meanwhile, Obama is considering not attending the G8 Summit in Sochi, Russia, in June, if Russian troops remain in the Ukraine, a senior administration official familiar with the discussions told CNN.

Both officials spoke on condition of anonymity.

Kerry talks to Russian foreign minister

The Russian Foreign Ministry said maneuvers of armored vehicles from the Russian Black Sea Fleet in Crimea were needed for security and were in line with bilateral agreements.

U.S. Secretary of State John Kerry said he spoke with Russian Foreign Minister Sergey Lavrov on Friday morning about the airport and military activities, and Lavrov told Kerry that the Russians "are not engaging in any violation of the sovereignty" of Ukraine. Russia has a military base agreement with the country.

Lavrov told him the military exercises were prescheduled and unrelated to the events in Ukraine, Kerry said.

"I nevertheless made it clear that that could be misinterpreted at the moment,'' Kerry said, "and there are enough tensions that it is important for everybody to be extremely careful not to inflame the situation and send the wrong messages."

Yanukovych's news conference was under way in Russia, Kerry said, as he spoke with Lavrov.

Kerry said Lavrov had reaffirmed to him a commitment that Russia would "respect the territorial integrity of Ukraine."

"We would overwhelmingly stress today that we urge all parties -- all parties; that includes the new interim technical government, rightists, oppositionists and others, anybody in the street who is armed -- we urge all parties to avoid any steps that could be misinterpreted or lead to miscalculation or do anything other than to work to bring that peace and stability and peaceful transition within the governing process within Ukraine," Kerry said.

Russian response

In a telephone call with European leaders, Russian President Vladimir Putin stressed the importance of avoiding a further escalation of violence in Ukraine, the Kremlin said in a prepared statement Friday.

Putin also called for a normalization of the situation, speaking with German Chancellor Angela Merkel, British Prime Minister David Cameron and European Council President Herman Van Rompuy, according to the Kremlin.

Crimea was handed to Ukraine by the Soviet Union in 1954. Just over half its population is ethnic Russian, while about a quarter are Ukrainians and a little more than 10% are Crimean Tatars, a predominantly Muslim group oppressed under former Soviet leader Josef Stalin.

Meanwhile, Russian lawmakers introduced two bills Friday to simplify annexing new territories into the Russian Federation and simplify access to Russian citizenship for Ukrainians, the state news agency Itar Tass said.

One bill also stipulates that the accession of a part of a foreign state to Russia should be taken through a referendum, according to Russian state news agency RIA Novosti.

Ukraine's President in Russia

Making his first public appearance since his ouster Saturday, Ukrainian President Viktor Yanukovych said the newly appointed interim government was not legitimate and did not represent the majority of Ukraine's 45 million citizens.

"I intend to continue the fight for the future of Ukraine against those who, with fear and with terror, are attempting to replace the power," Yanukovych said in Russian, not Ukrainian.

"Nobody has overthrown me. I was compelled to leave Ukraine due to a direct threat to my life and my nearest and dearest."

In his hourlong news conference, Yanukovych accused the interim authorities in Ukraine of propagating violence. He spoke against a backdrop of Ukraine's blue-and-yellow flags before reporters in the Russian city of Rostov-on-Don about 700 miles south of Moscow.

"I never gave any orders to shoot," he said, adding that he sought peace and that the security forces took up arms only when their lives were at risk.

Yanukovych is wanted in Ukraine on charges connected to the deaths of demonstrators, who were protesting his decision to scrap a European Union trade deal in favor of one with Russia.

Armed men at airports

Back in Kiev, Andrii Parubii, chief of national security and defense, said Ukrainian military and police forces had stopped Russian military forces from seizing two airports in the Crimean region.

The Russian military is on the outside of both airports, Parubii said in a televised news conference from the Ukrainian parliament.

Weapons were not used during the operation, according to Avakov, the interior minister.

Russian armored vehicles were moving toward Simferopol, the regional capital, on Friday, the Ukrainian news outlet TSN reported.

Men in military uniforms had been seen patrolling the airport in Simferopol, as well as a military and civilian airbase in nearby Sevastopol since early Friday.

Avakov said the armed men at the Sevastopol air base were troops from Russia's Black Sea Fleet, stationed in the port city. They were in camouflage uniforms without military insignia, he said.

The presence of the armed men has not affected the Simferopol airport, civil aviation authorities said.

"We are checking to make sure that no radicals come to Crimea from Kiev, from the Ukraine," said one man outside the airport, who didn't give his name. "We don't want radicals, we don't want fascism, we don't want problems."

Other men outside the airport, dressed in black rather than military fatigues, said they belonged to the pro-Russia Unity Party and had come on the orders of the new Crimean administration -- voted in Thursday after armed men seized regional government buildings.

Concerned about the latest developments, Ukraine's parliament passed a resolution Friday that demanded Russia halt any activity that can be interpreted as an attack on its sovereignty.

Moscow alarmed some observers by announcing the surprise military exercises Wednesday in its western and central areas, near the Ukraine border.

Meanwhile, Ukraine's largest telecom firm was unable to provide data and voice connectivity between Crimea and the rest of Ukraine because unknown people had seized telecommunications nodes and destroyed cables, it said Friday. There is almost no phone connectivity or Internet service across Crimea, said Ukrtelecom, which is the only landline provider.

5 things to know about Crimea

Will Crimea spark Europe's next conflict?

@highlight

U.S. State Department warns Americans against non-essential travel to Ukraine

@highlight

"There will be costs for any military intervention in Ukraine," President Barack Obama says

@highlight

"We are strong enough to defend ourselves," Ukrainian ambassador says

@highlight

Russian President Vladimir Putin to EU leaders: Ukraine must avoid an escalation of violence