London, England (CNN) -- Filmmaker Keith Scholey has a PhD in zoology and three decades of experience filming and photographing wildlife. Yet when it came to predicting the behavior of the lions and cheetahs of Kenya's Maasai Mara Nature Reserve, all that proved of little use.

"You're constantly surprised," he said. "When you start following wild animals, you're initially an incredible expert. And the more you follow them, you realize you're less and less of an expert."

For his new film "African Cats," Scholey led a film crew documenting the lives of individual lions and cheetahs over the course of two and a half years. "The only thing we had control over was the selection of the characters -- we had no control over the plot," says Scholey.

The Disneynature film, which is narrated by Sir Patrick Stewart, debuted in the UK Wednesday, with a royal premiere attended by the Duke and Duchess of Cambridge. The Duke gave a speech calling for an end to wildlife poaching in Africa after the screening.

Describing their filming routine, Scholey said each morning, the crew would wake in their camp before dawn, and set out to where they had left the cats the night before.

If they managed to find them, the crew would then follow their adventures through the 1510-square-kilometer reserve, one of the few remaining places where the three big African cats -- lions, cheetahs and leopards -- live in large numbers and in close proximity.

It led them to unforgettable sights -- all captured in high definition and slow motion -- as the animals engaged in rivalries and constant struggles for sustenance and survival, earning the movie a billing as the "real-life 'Lion King'."

"The most remarkable scene was two lions swimming across the flooded Mara River and one being taken by a croc and getting away," recalled Scholey. "We didn't know crocs would go for lions -- and now we know. You can see why lions are really unhappy to go in that river."

As the crew followed their subjects, the animals' individual personalities gradually revealed themselves.

"You don't want to anthropomorphize, yet they do have distinct personalities that come out," said Sophie Darlington, the movie's principal photographer. Some were brave, others cowards. Some were leaders, others followers. And some had developed specialist skills -- like the lioness who had mastered a unique technique for suffocating her prey -- that others lacked.

As a species, lions also had their own particular character -- dramatic, charismatic, and occasionally unintentionally comic -- which the crew grew to appreciate.

"There's nothing funnier than a lion doing a pratfall," said Darlington.

Explained specialist photographer Simon King: "It's their -- sometimes false -- sense of confidence, in everything. They don't think they can put a foot wrong and they frequently do, and it's amusing to watch."

The crew were safe observing the animals -- sometimes at extremely close quarters -- from the sanctuary of their vehicles, although lions and elephants sometimes wandered through their camps at night. On one occasion, a bull elephant, drawn to a fruiting tree, rolled over one of the crew's vehicles that had been parked nearby.

Generally though, their presence did not bother the animals, who were used to vehicles entering the reserve.

"Do they care? Some of the time we're undoubtedly an asset, because we're shade on a hot day," said King. "In the past I've had 13 lions under my car. They're very flatulent, and then they try to bite the brake tubes."

The film's producers hope that by engaging audiences in the real-life narratives of the great cats, they can encourage people to protect the species. Cheetahs, the world's fastest land animals, are endangered, while lions are classified as vulnerable.

"It's important not to convey a finger wagging message in every single production because that would be counterproductive," said King. "A movie like this is a celebration of other lives that I hope will get people thinking, so when they next hear that tigers, lions, cheetahs, elephants, rhino are under threat, they do something about it."

@highlight

"African Cats" is a new film documenting the lives of Kenya's lions and cheetahs

@highlight

The filmmakers spent more than two years following the great cats as they struggled to survive

@highlight

During the course of filming, they got to know the distinct personalities of their subjects

@highlight

They hope the film, billed as a "real-life Lion King," will spur audiences' interest in conservation