Qunu, South Africa (CNN) -- Ten days of mourning for South Africa's anti-apartheid icon and former leader Nelson Mandela will come to an end Sunday with his state funeral.

After Tuesday's vibrant, if rain-drenched, memorial service, followed by three days of public viewing of the former president's casket in Pretoria, the burial will be a slightly more private affair.

About 100,000 people have paid homage to Mandela in those three days, including 50,000 who came to pay their respects Friday, the South African government said.

Here is how CNN expects events to unfold, based on information from the government and sources involved in planning for the funeral -- although plans may change because of weather, security and other factors.

Return to the Eastern Cape

A military plane carrying Mandela's body flew Saturday from an air force base in Pretoria to South Africa's Eastern Cape province, where Mandela's ancestral village of Qunu lies. The family farm there will be his final resting place.

President Jacob Zuma and other members of South Africa's ruling party, the African National Congress, gathered to bid Mandela farewell from the air force base. "We will miss him. He was our leader in a special time," said Zuma. Mandela's casket, draped in the national flag, was carried by soldiers to the plane.

Thousands of mourners lined the streets from Mthatha Airport, the closest to Qunu, as Mandela's remains were transported to the remote village where he spent much of his childhood.

Traditional ceremony and vigil

Once at Mandela's house in Qunu, the military was expected formally to pass responsibility for his remains to his family.

The South African flag draped over the coffin will be replaced with a tribal symbol of the Xhosa people, symbolizing the return of one of their own.

At dusk, ANC leaders, local chiefs and the men in Mandela's family are expected to gather for a private night vigil, held according to the traditions of the Thembu community, his native clan, before a public funeral the next day. Villagers may gather outside the house to pay their respects.

The coffin will lie in Mandela's bedroom overnight. The room overlooks the hills around Qunu and his grave site.

Who's attending

Foreign leaders were encouraged to attend Tuesday's memorial service in Johannesburg. Nonetheless, dozens of international dignitaries are expected to make their way to the Eastern Cape for Mandela's funeral.

The airport in East London, south of Qunu, will be used for their arrival and departure, with access closely controlled.

Notable figures thought to be on the guest list include Britain's Prince Charles, TV talk-show host Oprah Winfrey and U.S. civil rights activist the Rev. Jesse Jackson.

There's no doubting the global media interest. More than 4,000 journalists had been accredited as of Friday morning, with more expected, a government spokeswoman said. However, only the national broadcaster will be given access to the funeral, with other journalists in Qunu to be based at the Nelson Mandela Museum.

The event will be broadcast to an audience of millions around the world.

The funeral

A private family prayer service will be held Sunday morning at Mandela's home. The funeral will then be held in a huge white tent set up at the family farm.

The Mandela family, President Zuma and Cabinet members will be present as well as local and foreign dignitaries. About 4,500 people are expected.

The military will again be charged with draping Mandela's coffin with the flag. Members of the military will perform a salute, and the national anthem will be played.

The burial

A group of family and close friends, expected to number about 430, will walk up to the grave site to bid a final farewell to the man many saw as the father of their nation.

About 2 p.m. -- when the summer sun is high in the sky -- Mandela will be laid to rest in the rocky soil of his childhood home.

The burial area has been especially built for him; some of Mandela's long deceased family members are already buried at the site. It will be, according to custom, a homecoming.

His grave site is surrounded by rocky outcrops, hardy grass used for the grazing of cattle and bright orange aloe plants.

The aloes are indigenous succulents that are hardy, drought-resistant, medicinal plants that bloom across the bushveld when all else is dry and dull. They can be seen as a symbolic floral gesture to a man whose life was filled with sacrifice and tragedy but who triumphed with a tenacity of spirit and hope in even the darkest of days.

Security

With so many high-profile guests in South Africa for Mandela's state funeral, security has been a key concern.

Zuma has authorized nearly 12,000 members of the South African National Defence Force to serve alongside the police force "to maintain law and order" during the funeral period, the presidency said. They are employed for 15 days, from December 6 to December 20.

A tight military cordon is expected around the funeral site to assuage security fears.

CNN's Robyn Curnow reported from inside the Mandela compound in Qunu, and Laura Smith-Spark wrote and reported in London.

@highlight

NEW: Mandela's body reaches the village of Qunu, in South Africa's Eastern Cape province

@highlight

ANC leaders, local chiefs and the men in Mandela's family will hold a private vigil

@highlight

About 4,500 people will attend the funeral Sunday on the family farm

@highlight

The funeral service will be followed by a smaller burial ceremony