(CNN) -- Bagpipes aren't a sound one readily associates with Greece.

Yet along with the menacingly slow beat of a drum, they're the soundtrack of one of the country's more unusual historic tours.

A small group, illuminated by gas lanterns, is standing at the foot of a medieval moat at the entrance to one of Europe's best-preserved medieval cities and a UNESCO World Heritage site -- the Old Town in Rhodes.

A guide dressed as one of the Knights of Saint John is leading the tour, dredging up some of the island's more sinister history, including how Sultan Suleiman the Great used fallen bodies from his own army to cross the moat during the 1522 Siege of Rhodes.

Experiencing the 'new' Greece

Perhaps even more surreal than this somewhat kitsch historical re-enactment is the fact that it was conceived by one of the island's most exclusive resorts: Lindian Village (Rhodes; +30 22440 35900; rooms from $213; Medieval Mystery Tour $203 per person).

This year, the property launched a series of unique offerings under the heading "Experience Greece."

Other excursions include a fishing expedition on a caique (a traditional wooden fishing boat), beauty treatments performed with natural Greek products (yogurt, honey and lemon) and wine tastings from small vineyards in the surrounding Dodecanese islands.

Mariza Sviriadis, the hotel's managing director, says the idea came to her during the six-year economic crisis that brought much of the country to its knees.

"The whole of Greece, it was like a small war," she tells CNN.

While many properties on the island reacted by pushing out all-inclusive packages -- essentially keeping tourists indoors and away from local businesses in dire need of cash -- Sviriadis decided to take the opposite approach.

She launched "Experience Greece" to get guests out of the hotel, and to promote sites that, though deserving, had remained under the radar for far too long.

"I wanted to show that there was more to Greece than that, and more to Greece than feta cheese," she says.

"The crisis forced us to change the way we were thinking, and to get creative. Before, we could be a bit arrogant. Now, we have to be the best."

Nothing to lose

Sviriadis isn't alone.

Throughout Greece, the recession is changing tourist offerings, giving them a new slant.

"The crisis is the best thing that happened to me," says Tina Kyriakis, founder of Alternative Athens (+30 6948 405 242; tours from $60 per person).

Kyriakis worked in marketing for a multinational corporation before she was laid off in 2010.

Two years later, she launched her own tourism company.

Like Sviriadis, she noticed that tour offerings in Athens had been stuck in a rut.

"I looked around at what existed in Athens in terms of tourism and it was all very standard, very stereotypical, all 'ancient Athens'," she says.

"There is so much more to Athens than just the ancient part.

"It's a very complicated city and you have to get under its skin to understand it and appreciate it. So that was the concept."

In addition to its quirky walking tours (among the most popular are a graffiti tour and a guided walk through the "enchanted forests" outside the city), the company pairs visitors with Athenian gourmets, who host four-course supper clubs in their apartments.

She now hosts two tours a day, attracting up to 25 visitors at a time.

If it weren't for Greece's economic slump, she says she might never have found the courage to start the venture.

"It was the kick in the butt I needed. I could either go back to the corporate world, which doesn't have a future in Greece any more, or I could do this.

"So I just jumped in and did it, because there was nothing I could lose."

Beyond the package vacation

There are many regions in Greece that package tour operators miss, regions that are only recently starting to find their voice.

The island of Milos is a case in point.

Sure, it's home to Phylakopi, a bronze-aged settlement that lays claim to being one of Europe's oldest cities.

It also possesses a history of mineral extraction that would set any geologist's heart aflutter and is where the Venus de Milo was uncovered.

Yet it has been largely overlooked by tour operators, low-cost airlines and visitors alike.

"We're not that kind of destination. We have small family-run hotels that focus on service and quality rather than volume," says Antonis Mallis, who runs boutique travel agency Travel Me to Milos (+30 22870 41008; packages from $40 per person per day).

"We don't have hotels where you can go in and sell, sell, sell.

"That's why tour operators don't like us that much. We're a headache.

Mallis started his company in 2011 after leaving a lucrative position at an insurance company to return to his home island.

"The majority said, 'are you crazy? You're leaving a very good, well-paying job for something like this?'"

Mallis recognized that Milos had a lot to offer travelers: ancient thermal baths, underwater caves, an old pirate lair, third-century catacombs decorated with Christian murals.

He also recognized that no one was talking up the island's assets, or making them accessible.

"It's easy to go online and get a cheap room. It's not easy to get in-depth knowledge of a destination.

"If someone contacts us, we can tell them where to go, or which way the wind is blowing that day."

Mallis supplies more than weather updates.

His specialty is archeology and geological tours, which highlight some of the island's incredible scenery.

He's also teamed up with other vendors on the island to offer a range of sailing and hiking expeditions.

He recently introduced cooking lessons that showcase the island's local cheese and produce.

"As a young boy, I'd remember seeing the odd, small German group walking around the island, but that was it. Now, we have something more organized, we're reaching more markets, and we're seeing progress," he says.

Other tours

Other examples of off-the-beaten path experiences abound, many introduced by local companies launched in the last few years.

Eumelia

Frangiksos Karelas converted his family farm into an agro-tourism venture that includes a range of holistic activities, including yoga retreats, mountain biking, olive picking and wine making.

Eumelia, Laconia; +30 21303 69814; see website for tours and prices

Biolea

Producing one of the few single-estate olive oils in Greece, this organic farm uses a traditional stone mill, and runs free tours of the grounds by appointment. Visitors get a rare glimpse into the Cretan olive oil tradition.

Biolea, Crete; +30 2824 023281

Bioporos

An organic farm on the southwest coat of Corfu, Bioporos lies between the only cedar forest in the Mediterranean and a Blue Flag beach.

Visitors can eat at the organic restaurant on site, participate in farming activities, learn traditional methods of cooking (the premises doesn't use electricity) or detox with the help of magnetic therapy.

Bioporos, Corfu; +30 2661 076224

Kinsterna Hotel

Housed in a 13th-century manor and surrounded by 18 acres of olive groves, vineyards and citrus trees, the Kinsterna Hotel seems a slice of paradise.

It opened its doors in 2010, and has since introduced a range of exotic activities.

Guests can harvest the estate's olives and grapes (with their feet), try their hand at soap making, basket weaving or fishing, or can simply tour some of the nearby scenery, including the Jurassic era Kastania Cave.

Kinsterna Hotel, Monemvasia: +30 27320 66300; rooms from $241

Avli Hotel

Among other culinary offerings, Crete is known for its snails.

At the Avli Hotel, guests can go on a morning excursion through the mountains to gather the shelled creatures, which are later served for lunch or dinner.

Avli Hotel, Crete; +30 28310 58250/26213; from $241 for two nights, two people

Ikarian Winery

Located in one of the "blue zones" (one of five areas in the world known for the exceptional longevity of the local population), the friendly, family-run Ikarian Winery draws in guests with its affordable (and perhaps life-lengthening) cooking and wine courses.

Food and wine seminars last up to six days (there's accommodation on the premises), though those short of time can opt for a wine tasting (served with snacks).

Ikarian Winery, Ikaria; +30 22750 31151; six day courses from $400 per person

Milia Mountain Retreat

Milia Mountain Retreat, an eco-lodge in Crete, teams with Natour Lab to offer five- and seven-day gastronomy workshops that focus on the island's culinary traditions.

Guests even get to play beekeeper at a local honeybee farm.

Cooking lessons are broken up by nature hikes, beach bumming and a vineyard tour.

Mila Mountain Retreat, Crete; +30 28210 46774; cooking workshops from $127

@highlight

Greek financial crisis has inspired innovation in country's tourism industry

@highlight

Tina Kyriakis, the founder of Alternative Athens, offers tours of the city's best graffiti

@highlight

Antonis Mallis left a lucrative job to start a travel agency promoting his home island of Milos