Hong Kong (CNN) -- The mangled wrecks of cars being carried out of Japan's Sasago Tunnel suggest there was little motorists could do to escape the sudden collapse of the ceiling above them.

A day after the disaster, one main theory has emerged as to what caused the collapse, which killed nine people who were trapped in their cars by rubble or the flames that broke out shortly after.

At a press briefing on Monday, the executive officer of the tunnel's operator said it appeared that some "anchor bolts" used to secure concrete slabs to the tunnel ceiling were missing.

"There were parts of concrete (slabs) where bolts had fallen off," Ryoichi Yoshizawa said, according to a spokesman for Central Japan Expressway Company or NEXCO-Central.

"The aging of the bolts or the concrete slabs could be a potential cause (of the collapse)," Yoshizawa said. He did not say how many bolts were found to be missing or how they came to be loose.

Yoshizawa added that while regular checks had been performed on the tunnel, they were visual checks and there was no physical testing.

Read more: Nine bodies recovered from tunnel

Emergency inspections have been ordered on 49 tunnels across the country with the same ceiling structure, according to the Ministry of Land, Infrastructure, Transport and Tourism.

There are 1,575 highways tunnels in Japan and around a quarter of those are more than 30 years old, including the Sasago Tunnel which opened in 1977, the ministry said.

The tunnel's ceiling gave way on Sunday morning at around 8 a.m. local time. Witnesses recalled the horror of smoke filling up the tunnel as huge concrete slabs rained down on traffic below. Japanese highway police said Monday the section of concrete that fell was 110 meters (360 feet) long.

Charred bodies were pulled from the debris, including five from a single station wagon. Three others were in a burned vehicle, according to a police spokesperson, while another body was found in a truck.

"It was terrifying. I don't think I could ever drive through the tunnel again," one shaken survivor told TV Asahi, as black and white video released by NEXCO showed rescue workers in flashlight-topped helmets stepping over rubble.

The tunnel has been closed for the removal of debris and while experts ascertain the risk of a secondary accident. NEXCO says it's unsure how long the process could take.

Speaking to reporters at the scene, Motohiro Takamisawa, the chief of NEXCO's Otsuki Safety Center, also referred to a potential problem with the bolts securing the tunnel's ceiling slabs.

"At this moment we're presuming that the top anchor bolts have come loose," he was reported as saying. Takamizawa added that the bolts hadn't been changed since the tunnel first opened in the late 1970s. However, a company spokesman told CNN that Takamizawa's comments should not be interpreted as the company's official statement and that it could not confirm whether that was the case.

One expert told Asahi TV said that it's possible that years of traffic vibrations had contributed to the tunnel's collapse.

"Over the course of 35 years, all the shaking caused by cars has probably caused the bolts and nuts in the tunnel to loosen. As a result they fell off," said Hiroshi Chikahisa, head of the Geosystem Engineering Institute at Yamaguchi University.

Immediately after the disaster, a company spokesman said the Sasago Tunnel, located about 80 kilometers (50 miles) west of Tokyo, was subject to annual inspections with more detailed checks every five years. It had been checked in the last couple of months.

At the company's Monday briefing, a NEXCO spokesman said, "There was no record that we have conducted the tapping inspection at top of the ceiling in the tunnel."

He was referring to a method used to identify potential damage within concrete structures that was mentioned in the company's 2011 annual report.

It says, "although hammer tapping test is commonly carried out to investigate concrete structures, it takes enormous time and cost to conduct the test on all concrete structures we have."

Instead, it says the company inspects concrete structures using infrared cameras, an inspection technology which measures the difference in temperature between "sound conditions and damaged areas" to detect potential weak points. There as no explicit reference to testing carried out on tunnels.

The Sasago Tunnel runs for 4.7 kilometers along a stretch of the Chuo Expressway which runs for 367 kilometers, through a mountainous region, connecting Tokyo with the Nagoya in the Chubu region of Japan.

Its operator, NEXCO-Central is one of three companies started in 1995 after the privatization of Japan's Highway Public Corporation. NEXCO-Central manages more than 1,700 kilometers of expressways in Tokyo and the Chubu, Hokuriku and Kinki regions, used by almost 1.9 million cars on any given day.

Journalist Toshi Maeda, CNN's Junko Ogura and Alex Zolbert contributed to this report.

@highlight

Collapse of Sasago Tunnel is being blamed on failure of "anchor bolts"

@highlight

The bolts secure concrete slabs to the ceiling of the tunnel

@highlight

Nine people died when concrete slabs fell on traffic on Sunday morning

@highlight

Forty-nine other tunnels of similar construction are being inspected across Japan