(CNN) -- On the morning of her suicide on July 17, Zhou Jianrong came into work earlier than usual.

No one knew what went through her head in those quiet hours before other workers arrived, but as CCTV footage later revealed, she first took 20 minutes to walk around the empty factory before leaping off the fourth floor window.

The 49-year old was found dead shortly before 6 a.m., marking the end of her 12 years at the GCL Footwear factory.

Zhou had just been fired the previous night for participating in a strike that was part of a long-running labor dispute. She was one of more than 100 workers sacked for their involvement.

The tragedy of her death overshadows the surge of labor activism in China. Of the more than 1,000 recorded strikes and protests that took place from June 2011 to the end of 2013, 40% were amongst factory workers, according to employment watchdog China Labour Bulletin.

Unlikely activism

In China, unions are sometimes ridiculed by Internet users as a "laoban gonghui," meaning they are the "boss' union."

Every factory union belongs to the government-controlled All-China Federation of Trade Unions (ACFTU), a mega-institution with an extensive chain of command.

"The ACFTU is first and foremost aligned to the Communist Party and secondly to the local government. It has never seen itself primarily as a workers' organization," says Geoffrey Crothall, a spokesperson for China Labour Bulletin.

At GCL Footwear though, the factory union was heavily involved from the very first day of the strike, pushing owners to negotiate with the workers.

Most surprisingly, workers directly elected the union vice-chairman, Luo Xiangxun, and according to him, the supervising trade union initially approved of their work.

"In the past, elections of union leaders were controlled by the enterprise; workers can vote but not nominate. Often times, workers don't even know about the elections," says labor academic Wang Jiangsong. "This case is different."

Such developments are fraught with uncertainties. On June 24, Luo was busy organizing workers when the supervising union suddenly pronounced his election illegal, detaining him for seven days. After his release, he has continued to lead workers, demanding their reinstatement.

"The fact that we have seen individual trade union officials leading workers is a sign that the union is beginning to move in the right direction," says Crothall. He observes that the level of local union involvement in this case is unusual but not unique.

In early March, trade union chairman of Walmart's Chengde store in Hebei Province led workers in a fight for fair compensation when the store closed down.

And in May, women from the Japanese-owned Sumida factory in Guangzhou successfully formed a democratically elected union after some deliberation.

Policy change

For now, these might just be isolated cases, but changes are also happening on a policy level.

The Shenzhen Trade Union Federation announced in 2012 that it would move enterprise trade unions towards direct elections, beginning with 163 factories.

On July 2, Xinhua reported that the Guangdong Federation of Trade Unions aims to have all enterprise unions become democratically elected within five years.

Labor academic Wang Jiangsong thinks its premature to believe these efforts to democratize the unions will lead to real change, but he still sees it as a step in the right direction.

"Good officials do exist in the government-controlled ACFTU and reform will begin with them," says Wang. "But most importantly, it is the bottom-up activism that puts pressure on the government to make changes."

Wang explains that most workers have a deep-rooted mistrust of unions.

When an issue arises, they often skip over them and organize through their hometown networks or social media instead.

The government realizes the old way no longer works and is desperate to change the image of the ACFTU, opening enterprise unions for democratic election.

Business interest

Activists have called for July 17, the day Zhou died, to be named "Chinese Laborers' Day of Suffering," but her suicide did not dampen the efforts of the factory workers who have filed for arbitration and are awaiting results.

Recent developments are worrying some in the business community.

A group of Hong Kong manufacturing and business associations have opposed a proposal by the Guangdong government to give workers the right to demand meetings with employers to negotiate for better benefits.

One of the signers of the opposition, The Chinese Manufacturers' Association of Hong Kong turned down an interview request, but in an editorial for the China Daily, vice-president Eddy Li called the proposal "disastrous."

He points out that China's import and export business has weakened in recent years, environmental policy has increased production costs and other labor requirements have already become a heavy burden for employers.

Low-end producers

However, data released by the National Bureau of Statistics (NBS) on July 27 shows that profits on a whole are rising.

David Dollar, senior fellow of Thornton China Center at U.S. think tank Brookings Institution, explains that the growth of production is higher in the medium to high-tech sectors, where higher wages have pressured manufacturers to have productivity gain and move up the value chain -- a healthy structural change for the Chinese economy.

However, in the low-end manufacturing sector, such as footwear or garment factories, it is very hard to find productivity gains and some of those sectors are starting to move out of China to Vietnam and Bangladesh.

A survey of Pearl River Delta manufacturers by Standard Chartered suggests that while manufacturers prefer to move their business inland than to move it abroad, 13% will consider leaving China to save costs, most of which the study believes are low-end producers.

Towards a domestic consumption economy

The government might not see this as a negative change -- China no longer wants to be in the market only for its cheap labor. Premier Li Keqiang has long championed a consumption-led economy.

"China has now reached a point where it needs to rely more on consumption. It's the largest exporter in the world, so it's not realistic for it to grow much faster than the world market," says Dollar.

He believes what's important for China now is reforms that will encourage consumptions. For that to happen, wages have to go up.

"I view it as a positive thing that in recent years, wages have been rising very rapidly."

Who needs who?

The one-child policy has slowed down the growth of the labor force, and more young people are going to university rather than factory work.

More than a decade ago, hundreds would line up outside a factory looking for work, but many manufacturers today struggle to find enough workers. With this labor shortage, better working conditions might just be a natural next step, as these days, it is the manufacturers who need workers and not the other way around.

But with 260 million migrant workers in the country, this progress might take some time -- a progress that Zhou will not see.

"It's obvious to me that Madam Zhou didn't fully understand her rights," says He Yuancheng, a legal adviser to former GCL Footwear workers. "If she was aware of her options and knew about the upcoming actions, she would not have jumped."

He Yuancheng further speculates that Zhou might have been disheartened that the company fired her in a heartbeat despite her 12 years of service.

He believes that would explain the 20 minutes she spent quietly circling the empty factory floor before she ended her life.

For the remaining GCL Footwear workers though, He Yuancheng is optimistic.

"Even if we don't win this arbitration, the workers will have contributed to the reform of the system."

@highlight

Labor unions in China are ridiculed for their impotence and are referred to as "boss' unions"

@highlight

Bottom-up activism puts pressure on the government to make changes

@highlight

Nearly half of all protests between 2011-2013 were related to factory workers' rights

@highlight

China can no longer rely on cheap labor -- so what's next for "the world's factory"?