(CNN)  -- Barbara A. Mosgrave of Annandale, Virginia, doesn't remember the first time it happened. It's still a blur. But she thinks the episodes began about 50 years ago. At least that's when she remembers someone telling her she was talking gibberish.

"My friends would look at me and say 'What are you talking about?'

At 71, Mosgrave knows to expect the unexpected. Since she was a teen she has suffered from serious migraines. "The kind that cause you to go into a dark room, and shut the door; the pain is that bad," she says. But she knew how to control them, and why they were happening. Yet, when it came to her speech, that was different.

"I had no idea that I was babbling," she admits.

Yet when people began telling her at times she didn't make any sense, she started to wonder; why were her words and phrases coming out all wrong? At first, Mosgrave thought she might be having mini-strokes, but when she went to numerous neurologists they all told her the same thing: She was suffering from a form of headache classified as a complex migraine.

Do you live with complex migraines? Share your advice

"What makes a complex migraine different from the common migraine is that neurologic event outlasts the headache itself," says Dr. Marc Schlosberg, a neurologist at Washington Hospital Center in Washington, D.C., and Mosgrave's physician.

According to the National Headache Foundation, 23 million Americans suffer from some form of unusual migraines that could be termed complex. These headaches are more common in women and can occur at any age.

Although there are different forms of complex migraines, all occur when blood vessels over dilate, when there's a decrease of blood flowing to the brain, or when the trigeminal nerve, found in the brain and responsible for sensation in the face, becomes irritated.

"It can affect virtually any part of the brain," notes Schlosberg. "It's a complicated chemical reaction we call "spreading depression." Part of the brain hyper-polarizes. That part of the brain doesn't receive as much blood supply, because the brain isn't signaling correctly."

Symptoms from these migraines can range from coldness in hands and feet, to dull aches, to a loss of sensation or paralysis, even weakness and nausea. In Mosgrave's case, as well as in the case of reporter Serene Branson who began talking gibberish during a live shot after the Grammys, the ability to speak was affected.

"Migraines that are associated with this type of speech deficit can be understood in the same way that strokes can be understood," explains Schlosberg. "Different types of language problems can occur as different parts of the brain are affected."

"In the case of the reporter at the Grammys, the type of speech problem she had is what we called Wernicke's aphasia," continues Schlosberg. "Her speech was fluent, but the words that were coming out were nonsensical."

And complicated migraines can go hand in hand with a number of other serious conditions, including depression, strokes, even heart abnormalities. And that worries Mosgrave.

"If you know anything about migraines, as I do, "says Mosgrave, " you know there's a connection to a lot of different problems. How can you not think about those?"

Although migraines themselves can be treated with medication, the drugs aren't always foolproof. Even if medications can cut down on the episodes and in some cases, the pain, complex migraines, can pop up at any time, no matter what drugs a patient is on.

Mosgrave says she never knows when an episode will happen. Most of the time she's alone, with just her cat, Psyche, but even her feline friend, "cocks her head to the side as if I'm just making sounds," Mosgrave chuckles.

"They don't seem to happen a lot," she believes. "Maybe two or three times a year. When I think they are happening, I just lie down and try to let them pass."

Schlosberg says, in Mosgrave's case her nonsensical words aren't confined to just her speech. Over the years, Schlosberg has received e-mails from Mosgrave, filled with words that make no sense. He says that's pretty rare.

Although Mosgrave says she's learned how to live with these headaches, there's always that worry that her complex migraines may be precursors to something more dangerous. She lost her partner almost 30 years ago to a stroke. He, too, suffered from migraines

"It's scary" says Mosgrave with a sigh. "But you have to live with it, the same as you live with a lot of things in this world."

@highlight

National Headache Foundation says 23 million Americans suffer from unusual migraines

@highlight

Expert says complex migraines are when neurologic event outlasts the headache

@highlight

Complicated migraines can go hand in hand with a number of other serious conditions