Moscow (CNN) -- Russian Prime Minister Vladimir Putin blamed the United States Thursday for encouraging opposition protests that have broken out since parliamentary elections Sunday.

His accusation followed comments by U.S. Secretary of State Hillary Clinton this week on Russia's election in which she called for a "full investigation" of apparent irregularities.

The United States had "serious concerns about the conduct of the election," she said, at a meeting of the Organization for Security and Cooperation (OSCE) in Europe Tuesday.

Speaking on state TV, Putin said Clinton had criticized the elections as "neither fair not free -- even before receiving reports from international observers."

This had sent a signal to opposition figures, Putin said, who "with the support of the U.S. State Department" then began "active work."

He told representatives of his All-Russian People's Front movement there was a difference between criticism from within the country and by outside players, and he said Russia should defend itself against "foreign interference."

Demonstrators have been protesting against what they describe as electoral fraud in Sunday's national vote, which kept Putin's United Russia party in power but significantly decreased the number of seats it holds in Parliament.

More than 20,000 people have signed up via Facebook for a protest in Moscow called "Saturday in Revolution Square." If it goes ahead as foreseen, it would be one of the largest opposition protests in the Russian capital in years.

Rallies are also being planned via Facebook in more than 90 other Russian cities Saturday, as well as in London, New York, Kiev, Ukraine, Paris, Geneva, Switzerland and Stockholm, Sweden.

In his remarks, Putin said that "if people are acting within law, they should be given a right to express their opinion," but he said the authorities should take action "by legal means" if they do breach the rules.

Speaking in Europe Thursday, Clinton stood by her comments, while recognizing the value the United States places on its relationship with Russia and the "real progress" made in a number of areas.

But, she added: "At the same time, the U.S. and others have a strong commitment to democracy and human rights, it's part of who we are, our values, and we expressed concerns we thought were well-founded about the conduct of the elections and we are supportive of the rights of the Russian people to realize a better future for themselves."

The OSCE also raised concerns over the conduct of the election in a preliminary report, saying some political parties had been prevented from running and the vote was "slanted in favor of the ruling party."

A draft report by the organization's election-observer mission detailed alleged attempts to stuff ballot boxes, manipulate voter lists and harass election monitors. The group, which monitors and promotes democracy and human rights, cited the lack of an independent body running the election or impartial news media.

There was also "undue interference of state authorities" in the vote, the 56-nation organization said in a statement.

EU foreign policy chief Catherine Ashton gave her backing to the OSCE observers' findings in a statement Wednesday, and she said she expected Russia to act on them.

She also voiced concern about the detention of hundreds of protesters following the election and "reports of police violence against activists, journalists and bystanders."

Criticism of the electoral process has also come from within Russia.

Mikhail Gorbachev, the last Soviet leader, called Wednesday for new parliamentary elections in Russia over concerns about vote fraud.

Spokesman Pavel Palezhchenko told CNN Gorbachev was "very concerned about how the situation in Russia is developing" and that the Russian people did not believe their will was reflected in the results.

But Margot Light, professor emeritus of international relations at the London School of Economics, said it was highly unlikely that any notice would be taken of Gorbachev's call.

"They won't re-run the election," she said, suggesting the Russian authorities would instead probably run a case-by-case investigation where there have been specific complaints of irregularities. Russia's election law does have an appeals procedure in such cases, she said.

While she considers Putin's accusation of U.S. interference to be rhetoric, there is a widespread fear of Western interference in elections. This dates back to the so-called "color revolutions" in Georgia and Ukraine, when Russia believed Western non-government organizations and governments were behind opposition protests, she said.

Light suggested Putin will be able to blame failings in the electoral process and United Russia's relatively poor performance on President Dmitry Medvedev, who is "damaged goods" since Putin announced he would run for president again next year.

The election outcome may have given Putin a "great fright" ahead of the presidential election in March 2012, she said, but at the same time there is no other credible candidate to challenge him, so the chances of him losing, even without falsification of the results, is very small.

Many democratic nations are governed by parties, like United Russia, who have won a plurality of the vote, rather than an absolute majority, she added.

Opponents of Putin have vowed to continue protesting the parliamentary election results despite the arrests of at least 250 demonstrators Tuesday.

A planned opposition rally in Moscow failed to materialize Wednesday, however, with a heavy security presence in the square where thousands of demonstrators were expected to march, but no visible protesters.

Rights group Amnesty International said in a statement Wednesday that Russian authorities "must halt police mistreatment of election protesters, journalists and detainees" before further planned rallies.

Amnesty said more than 1,000 people, including journalists, had reportedly been detained following election protests, of whom possibly more than 100 remain in detention. It had received numerous reports of mistreatment of detainees and beatings of peaceful protesters by police, the group said, with some denied medical treatment.

Police said 8,000 people had turned out for a separate demonstration in support of Putin's United Russia party.

As simmering anger over allegations of official corruption and economic stagnation appear to be boiling over, Putin has promised to make changes, including reshuffling his Cabinet.

He has said the losses his party suffered in Sunday's elections were inevitable.

CNN's Alla Eshchenko in Moscow, and senior State Department producer Elise Labott contributed to this report.

@highlight

Clinton says the U.S. values its relationship with Russia but is committed to democracy

@highlight

Calls for Russia's parliamentary elections to be re-run will go unheeded, an analyst says

@highlight

Putin says Secretary Clinton's words sent a signal to opposition leaders

@highlight

More than 20,000 people have signed up via Facebook for a protest in Moscow this Saturday