The rolling hills that surround the city of Erbil in northern Iraq once helped the bustling Kurdish capital earn its reputation as the Switzerland of the Middle East.

Beneath the verdant greenery which dominates this ancient landscape, however, lies the source of the region's prosperity -- lots of oil and gas.

These bountiful natural resources combined with the relative stability of northern Iraq have helped fuel a nascent luxury property boom in recent years -- no mean feat in a country that has been pummeled by three wars, brutal dictatorship and recurring sectarian tensions over the last three decades.

See also: Where are the world's most expensive luxury properties?

"I don't know how to describe it but it is growing and it will still grow," explained Dean Michael, chairman of Atconz Group, a Iraqi company behind a series of developments in Erbil's luxury property sector.

Michael is overseeing the construction of a vast neighborhood of four bedroom villas spread over 8 million square feet of land to the north of the city at an estimated cost of $550 million.

A 200-square-meter villa in 2010 here sold for $350 per square meter ($32 per sq ft). That same unit in 2013 averaged $1,250 per square meter ($116 per sq ft), more than tripling in value over three years.

"I believe that we will be comparable to modern countries and cities in about 10 years time," Michael confidently stated.

See also: Mumbai's new star on the rise

These ambitions are backed up by the figures. In the last six years alone, the Kurdish regional government says it has attracted $20 billion worth of foreign direct investment with some 2,000 companies either investing or setting up shop there.

After three years of oil prices averaging more than $100 a barrel, meanwhile, Iraq's fourth largest city is now enjoying a second boom as it welcomes wealthy Syrians, Egyptians and Lebanese fleeing violence and uncertainty in their homelands.

Many end up in the Rotana, Erbil's first five-star hotel. According to general manager, Thomas Touma, the Rotana is where local business deals have been sealed since the hotel opened its doors three years ago.

See also: Micro-homes could have big potential

"The lobby of the hotel becomes a kitchen where all these business deals are cooked," he said. "Three years ago I remember we had in Erbil around 15 to 19 flights per week.  Today there are above 90."

But while business is booming for those at the higher end of the income spectrum,  not all is green and pleasant in Erbil. Complaints from old traders about being left behind can still be heard within the ancient walls of the old citadel.

Compared to the chaos and tragedy of the recent past, however, Erbil is a city on the move and a far cry from the days of Saddam Hussein or the violence elsewhere in Iraq.

@highlight

Erbil in northern Iraq is experiencing a luxury property boom

@highlight

Vast oil and natural gas reserves have attracted investors from across the globe

@highlight

The city is situated far away from more volatile regions of the country which have experienced sectarian violence in recent years