(CNN) -- Every other year in July, the small town of Farnborough in South East England hosts the biggest names in the aviation world. Exhibitors and visitors mingle with the latest technology to hit the skies.

Below, UK Editor-in-Chief of Royal Aeronautical Society's Aerospace magazine, Tim Robinson highlights the themes and big players to watch out for at this year's Farnborough International Airshow.

Touch and go as F-35 aims for international début

Costly white elephant, or next-generation, sensor-fused superfighter? Whatever your view of the Lockheed Martin F-35 Joint Strike Fighter, Farnborough could be the first opportunity for the general public to see the West's latest stealth fighter outside of the U.S.

That's, of course, only if the aircraft overcomes a last minute fleet grounding following an engine glitch to fly across the Atlantic.

The UK, as a key industrial and strategic partner for the F-35, is set to acquire the fifth generation fighter, in its 'B' vertical-lift version for the UK's Royal Air Force and Royal Navy's Fleet Air Arm. This UK visit, then, could see an order being placed for the first 14 F-35Bs.

While the fighter will wow the crowds with its vertical hovering in the air display, for the military top brass the most exciting features -- including its advanced sensors, helmet display and stealth -- are under the skin.

Should the F-35 miss the showcase of Farnborough, this will provide extra ammunition for its detractors -- and its absence would be a big talking point.

One positive point however, for the aircraft's recent engine fire, is it happened on the ground where engineers can study and solve the problem.

New contenders

While the home team will be riding high -- thanks to the UK government's support for its R&D and space sector -- Farnborough is truly a global airshow and showcase for the aerospace industry around the world --with over two-thirds of 1,500 exhibitors coming from outside the UK.

New countries represented this year include Malaysia, Tunisia and Thailand. While Airbus and Boeing continue to dominate the commercial aircraft industry, new entrants will be using Farnborough to show off their progress.

Expect updates from Brazil's Embraer -- which will have a mockup cabin for its re-engined E2 airliner, Japan's Mitsubishi Aircraft, whose Mitsubishi Regional Jet is now in final assembly, and Russia's Irkut -- developing the MC-21 -- a rival to the A320 and 737. However, one airliner in development that will be notable by its absence at the show is Canada's Bombardier CSeries.

This suffered a serious engine failure on the ground at the end of May, and although ground-testing has resumed, the aircraft now will miss the show.

Finally, the airshow will also see a new military type from the U.S. making its international debut - the Textron Airland Scorpion. The two-seat, jet 'fighter' is a low-cost attack and reconnaissance platform -- aimed at bridging the gap between supersonic expensive fast jets and slower, cheaper turboprops. Will it find a niche?

Read this: A century of commercial aviation

Rise of the drones

From book delivery by Amazon drone, to Google and Facebook's acquisition of 'high-altitude, long endurance' (HALE) makers, commercial UAVs (unmanned aerial vehicles) are now going mainstream -- and this year's Farnborough will reflect this with a focus on autonomous 'intelligent systems' and indoor and outdoor UAV flying areas.

Civil UAVs are now possibly one of the fastest growing sectors in aerospace, with one estimate that in five years, commercial UAVs just in the U.S. could be a $13bn industry.

However, despite the enthusiasm, challenges remain; in certification, in sharing airspace with manned aircraft and in the business models and structure of this emerging sector.

So far the majority of activity has been in small UAVs like quad- and multi-copters -- but the bigger, established global aerospace players are now looking hungrily in the direction of the commercial UAV market.

Can they break into this? Or will, in this fast-growing sector, the big primes be outmaneuvered by these tiny start-ups?

Read this: 15 ways drones will change your life

@highlight

Farnborough airshow is one of the biggest aviation industry gatherings

@highlight

International presence is expected to be at an all-time high, says aviation expert Tim Robinson

@highlight

The F-35 will make its international debut; civil drones are on the rise