(CNN) -- Is the "Age of America" drawing to a close? According to the International Monetary Fund (IMF), its demise as the leading economic power is five years away and the next president of the United States will preside over an economy that plays second fiddle to China's.

The lender posted data on its World Economic Outlook that puts 2016 as Year Zero for China as the world's dominant economic power -- the year when China's growth trajectory intersects the decline of the U.S.'s share of world gross domestic product in terms of purchasing price parity.

According to the figures, the Chinese economy would grow from $11.2 trillion in 2011 to $19 trillion in 2016. Over the same period, the U.S. economy will rise from a dominant $15.2 trillion to a trailing $18.8 trillion.

But, as the saying goes, statistics are often used like a drunken man uses a lamp-post -- for support rather than illumination.

An analyst at the IMF said in a statement much hinges on whether economic size is measured by purchasing power parity -- what your money can actually buy on the ground in any given economy, the basis of the famous "Big Mac" index -- or GDP at market rates -- which is measured by converting the national currency into a common currency (normally the U.S. dollar) and measuring how much is flowing through the economy.

The IMF projects U.S. GDP in dollars will be $15.2 trillion this year while China's will be $6.5 trillion, rising to $18.8 trillion and $11.2 trillion respectively by 2016. Under this measure, the US looks likely to stay the world's No. 1 economy if current growth rates are maintained.

"The IMF considers that GDP in purchase-power-parity (PPP) terms is not the most appropriate measure for comparing the relative size of countries to the global economy, because PPP price levels are influenced by non-traded services, which are more relevant domestically than globally," the IMF said.

"The Fund believes that GDP at market rates is a more relevant comparison. Under this metric, the U.S. is currently 130% bigger than China, and will still be 70% larger by 2016."

Nevertheless, the PPP index still has its fans, with some contending that China could be even stronger than it appears on paper thanks to the current artificially suppressed level of its currency.

"China actively suppresses the renminbi on the currency markets through massive dollar purchases. As a result the renminbi is deeply undervalued on the foreign-exchange markets. Just comparing the economies on their exchange rates misses that altogether," said MarketWatch columnist Brett Arends.

"Purchasing power parity is not a perfect measure. None exists. But it measures the output of economies in terms of real goods and services, not just paper money. That's why it's widely used to compare economies. The IMF publishes PPP data. So does the Organisation for Economic Co-operation and Development (OECD). Many economists rely on them," he said.

While the slope of the graph is declining for the U.S. and rising for China, reports of the death of the U.S. economy look certain to be greatly exaggerated and could still be many decades away.

Other measures such as per capita income as a proportion of GDP still sees the United States many years ahead of China and other readings that measure social and structural problems could still see the Chinese juggernaut blow a tire yet.

@highlight

The IMF says China will overtake the U.S. as the world's leading economic power in 2016

@highlight

Analysts dispute the figures saying that China still has a long way to go before it catches up

@highlight

China must overcome many structural and social problems before it is the global economic power