(CNN) -- The year is 2063. By now, all of Europe's volcanoes have come to life and erupted, spewing out thick plumes of ash into the atmosphere. Dense black clouds of dust envelop the murky sky, plunging the entire continent into total darkness. The whole of Europe lies in a pile of rubble. There is no sun here, the air is polluted, unbreathable, and chaos has descended -- to survive, one must flee south, to the only place where the sun continues to shine: Africa.

Set five decades from now, Usoni is a Kenya-based TV production that turns the issue of migration to Europe upside down. The futuristic show depicts Africa as mankind's last cradle of hope in the wake of a series of natural disasters.

Usoni follows the compelling story of Ophelia and Ulysse, a young couple who are desperately trying to escape Europe's terrible conditions and head to Africa, the land of the sun that holds the promise of a better future for them and their unborn child.

Setting off from Lampedusa, the Mediterranean port serving as the gateway to the African oasis, the two protagonists embark on an arduous journey fraught with peril and sacrifice as they try to reach Lake Turkana in east Africa.

Read this: 'Star Wars' town swallowed by desert

Usoni creator Marc Rigaudis, a Kenya-based French filmmaker and author, says the show is portraying the reversal of immigration trends against the backdrop of climate change and stagnant economies.

"It's put in the future just to talk and show what is happening now," says Rigaudis. "The message is very strong and universal," he adds. "It's putting the world in front of the mirror, like exposing the injustices of the world for so many centuries -- everything is very symbolic."

Reversing trends

Nothing is more symbolic than setting the story's opening scenes in Lampedusa. The small Italian island on the southern edge of Europe is a frequent destination for refugees seeking to enter EU countries. Each year, tens of thousands of people set out on crammed and rickety wooden boats to cross the rough waters of the Mediterranean Sea, fleeing poverty and conflict in search for a better life.

The journey is dangerous and deadly shipwrecks are common -- more than 300 African migrants died last October after their ship sank off Lampedusa's shores.

Read this: 'Half of a Yellow Sun' on big screen

"I was looking at those people crossing the sea from Africa, taking so many risks and getting killed in the process," says Rigaudis, explaining how he came up with the idea for Usoni. "If they don't get killed, they come to Europe which supposedly is going to give them a better way of life. Most of the times this is not the reality and their harassment is continuing," he adds.

"This is so unjust, when you think that Europe has made a lot of its wealth and power from places like Africa and now these people -- who are living on one of the richest continents of the world and shouldn't be poor -- have to move because the way things are being done," continues Rigaudis.

"I thought that was so unfair, and then I started thinking it would be interesting if all of a sudden this was reversed."

Changing perceptions

Rigaudis, who's written several books in the past and made films in Japan and Kenya, including a documentary about the last surviving members of the El Molo tribe in Lake Turkana, had originally developed the concept for a feature film.

But when he was appointed last year as film productions director at Nairobi's United States International University (USIU), he decided to give the topic of his film to his students to help them get working in a professional way.

Together, the experienced professor and the energetic students adapted the idea into a TV series and named it Usoni, which means "future" in Swahili. Guided by Rigaudis, the 22-member student crew filmed a 30-minute pilot episode last October and November in locations around Nairobi and Mombasa.

Cherie Lindiwe, the 21-year-old director of Usoni, says the show's concept could resonate with people across the world, not just Africans.

"It's basically a story that people could watch and then form a discussion and critique, giving them the chance to talk about the issues that really matter in the society," she says. "We want to talk to people living abroad, to people living in the West, to change their perceptions in what they think about Africa, and also to give a message of hope to Africans."

While Rigaudis is still planning to turn his idea into a feature film, dubbed "Future," he is also in discussions with Kenyan and international channels about developing it into a full series to air on TV.

One condition, he says, is that this must be an African production, if it eventually gets picked up.

"On top of everything I would like to show on this film, the message I'd want to give to the world is that we can do something like this in Africa," says Rigaudis. "I really want to have the production in Africa, with Africans, instead of having a film about Africa from outside," he adds. "We can make very beautiful films -- there is everything here to make a beautiful cinema."

The pilot episode of Usoni, which was first screened in late November at USIU, will have its premiere Monday at the Alliance Francaise, the French cultural center in Nairobi.

Read this: Serial killer movie they tried to ban

Read this: Gangster movie Kenya's first Oscar contender

@highlight

Usoni is a futuristic TV production, made in Kenya

@highlight

It is set in 2063 and tells the story of European refugees fleeing to Africa

@highlight

By then, a string of catastrophes means Africa is the only place where the sun is shining

@highlight

Creator Marc Rigaudis wants Usoni to be turned into a TV series, as well as a feature film