New Delhi (CNN) -- If India and the United States were Facebook friends, the relationship between the world's two largest democracies would undoubtedly be "complicated." It is no secret the two countries have endured a rocky period. And yet, as U.S. Secretary of State John Kerry arrives in India this week, there are clear signs of a rapprochement.

In a speech Monday in Washington, Kerry previewed the message he is bringing to New Delhi, echoing President Barack Obama's famous words about India and the U.S. forming this century's "defining partnership." For an address that was played out on television screens across India, Kerry cleverly ticked off the key boxes: he praised new Prime Minister Narendra Modi and spoke repeatedly of two confident nations that were "natural partners ... connected by core values."

Crucially, Kerry talked about boosting trade between the two nations from $100 billion to five times that amount -- a surge that would rank India as a bigger trading partner than France, the United Kingdom, Germany or Japan.

Kerry said all the right things. Now it's New Delhi's turn. What will Modi say?

World leaders tend to have a wonderful way of exaggerating friendships in public. Everyone is a best friend, a special relation, an age-old ally. Even so, in politics, rhetoric is important; it is certainly a first step toward repairing relations. In fact, one of the goals of Kerry's visit is to lay the groundwork for an even more important visit: when Modi visits the United States in September and meets Obama. There, too, one can expect all the rhetorical niceties of political getting-to-know-one-another.

But very soon both sides will also want to see deliverables. That's where things might get tricky.

The Carnegie Endowment's Milan Vaishnav says Indo-U.S. ties "will improve or deteriorate based on the performance of India's economy." As Vaishnav describes it, the U.S. -- unlike Japan, for example -- does not have a large pool of government money to invest in India; the real money needs to come from private investors, over which Washington has little control. The key, then, will be whether India can make itself an attractive destination to grow money. Can India become an easier place to do business? Can it truly open up the way many other Asian nations have? Can it finally live up to expectations?

According to one survey by the networking site LinkedIn, no other country's business leaders are as positive about the global economy as India's. Some 71% of senior business leaders in India expect an improvement in the global economy, up from 51% before Modi was elected in May. By comparison, only 44% of American business leaders and 26% of French business leaders are positive about the world economy.

India's business leaders smell opportunity and success. Modi's challenge will be to convert that bullishness into results.

Some are wondering whether he's been too slow off the blocks. A Bloomberg View editorial says "optimism over Modi is evaporating fast." The Indian Express columnist Pratap Bhanu Mehta wonders whether Modi's government has already lost a sense of credible control.

One particularly vexing example is India's handling of the World Trade Organization talks. While most economists agree on the need for speeding up global trade, India -- supported by the likes of Bolivia, Cuba and Venezuela -- emerged as an unlikely roadblock to a global deal last week, seeking instead to retain the ability to stockpile and subsidize grain. Analysts say it was likely a play by Modi to secure farmers' support in rural India.

Behind the scenes, Kerry will no doubt pressure Modi to reverse his stance. It may turn out to be yet another hurdle in the relationship.

Ultimately, however, Modi's No. 1 priority will be to grow India's economy, and that doesn't hinge solely on foreign investment. Great gains are to be made in cutting red tape, tackling corruption and creating jobs to tap the vast growth potential of India's youthful population. If Modi succeeds in that task, the greatest beneficiaries will of course be Indians but it will also create a rising tide, lifting the United States and the rest of the world.

Kerry will know all too well that what is good for Modi and India, will likely be good for Washington as well. At a time when all the world seems like a mess, there are few losers -- and many winners -- if the world's two biggest democracies make nice and hit the reset button.

@highlight

U.S. secretary of state is visiting India in hopes of improving relations

@highlight

Ravi Agrawal: John Kerry is rightly focused on economic ties, including trade

@highlight

Real test of improved trade will rest in the performance of India's economy, he says

@highlight

Agrawal: World's two biggest democracies should work together