Kiev, Ukraine (CNN) -- Just before midnight Wednesday, Ukraine's president declared a truce in his tumultuous nation, as well as the start of negotiations aimed at not only preventing further bloodshed but forging a lasting peace.

The statement -- agreed upon with leaders of Ukraine's three top opposition parties -- seemingly offered a respite from the violence and acrimony that's marred the last few weeks.

Still, there have been talks before. There was a breakthrough as recently as four days ago, when protesters agreed to move out of Kiev's City Hall and unblock downtown streets. Then it collapsed in a bloody mess Tuesday on the streets of Kiev.

So will this attempt be any different?

One thing that has changed is the scale of the violence: Authorities say at least 26 people -- protesters and police alike -- were killed in fierce clashes centered around Kiev's Maidan, or Independence Square.

The international outrage also has ratcheted up. After weeks of behind-the-scenes work and general calls for a peaceful resolution, Western leaders ramped up their pressure on Wednesday.

As U.S. President Barack Obama said, "We're going to be watching closely."

He and other Western leaders offered pointed remarks -- and floated possible sanctions -- against Ukraine's embattled government for its part in the recent violence.

"We hold the Ukrainian government primarily responsible," Obama said, "for making sure that it is dealing with peaceful protesters in an appropriate way, that the Ukrainian people are able to assemble and speak freely about their interests without fear of repression."

If there is a truce, it wasn't evident overnight Wednesday in central Kiev.

Persistent explosions rattled the night sky, the apparent product of protesters' fireworks, security forces' stun grenades and whatever else.

Demonstrators continued to pick up pavement and rocks, then throw them at police. Security forces themselves responded, including in some cases throwing Molotov cocktails in protesters' direction.

"The government would like the world to believe that those on Maidan are just terrorists and extremists to justify the bloodshed,... that those on Maidan are armed with firearms and rioting," Kiev protester MaiaKiev told CNN iReport. "But it's not a riot ... It's a revolution of dignity."

Both sides appear dug in

The situation began in November, when the opposition hit the streets angry about Yanukovych's backpedaling from a trade pact with the European Union. That move and Russia's offer the following month to buy $15 billion in Ukrainian debt and slash the price Kiev pays for its gas played into the storyline of Ukraine being a proxy for battles between Russia and the West.

Yet this dispute goes beyond international affairs. It's also about who controls Ukraine's future and how, as seen in the opposition's pressing for constitutional reforms shifting powers from the president to the parliament.

The government's response to the dissent -- including a sweeping, if short-lived, anti-protest law in January -- further inflamed the opposition.

While the protests in Maidan have been a constant, there have been ebbs and flows in the unrest. The most sudden shift came on Tuesday, two days after a seeming breakthrough. Riot police plowed through the streets with water cannons, stun grenades, night sticks and, in some cases, armored personnel carriers.

Protesters fought back, with some clawing paving stones from the streets and firing Molotov cocktails attached to fireworks from an improvised air cannon. They even set fire to the headquarters of the headquarters of the ruling Party of Regions.

Overnight Tuesday, the situation had become a standoff. The security forces maintained on alert and so did demonstrators, refusing to budge from their physical position in the center of Ukraine's capital as well as their political positions.

A ring of fire continued to burn along barricades around their camp in the city center. Their cries against President Viktor Yanukovych are continuing too -- accusing him of scuttling an European Union trade pact to cozy up with Russia, resisting reforms that might curb his power and stubbornly, heavy-handedly dealing with the opposition.

As to the Ukrainian government, while security forces held back Wednesday, its officials did not.

In an interview with CNN's Christiane Amanpour, Foreign Minister Leonid Kozhara said an opposition march Tuesday "ended with massive riots and aggressive and excessive attacks against the Ukrainian police."

The head of Ukraine's security service was even more forceful, accusing protesters of taking over government offices nationwide and looting 1,500 weapons and 100,000 rounds of ammunition, among other misdeeds.

"These are concrete acts of terror," Oleksander Yakimenko said in a statement announcing an anti-terrorism operation apparently targeting protesters. "Radical and extremist groups are now a real threat."

Yakimenko spoke hours before the announcement of the truce, which two of the opposition leaders -- Vitali Klitschko and Arseniy Yatsenyuk -- later confirmed.

Klitschko, a former world-class boxer who now leads the Ukrainian Democratic Alliance for Reform party, said the next round of talks will take place Thursday. Until then, Yanukovych has promised that there will be no further attempts to disperse protesters in Maidan, according to a statement on Klitschko's party's website.

"Today, a key goal is to stop the bloodshed that authorities have provoked and unleashed," Klitschko said. "Now we will see how Yanukovych will stick to his word after promised sanctions from the West."

Ukraine's top military man replaced

One man who won't be part of the government's anti-terrorism campaign is Ukraine's armed forces chief.

Col. Gen. Volodymyr Zamana has been replaced, according to a statement Wednesday on the president's website.

No reason was given for the dismissal of Zamana, who according to his official bio started in the Soviet military, then rose through the ranks of Ukraine's military before getting the top job in February 2012.

U.S. General Philip Breedlove, the military commander for NATO -- the 23-nation alliance including not just Western Europe and the United States, but Ukraine's neighbors Poland and Romania -- called "upon the new military leadership in Ukraine to open a dialog (sic) with us to bring this situation to a peaceful resolution."

In his CNN interview Wednesday, Ukraine's foreign minister insisted that -- despite what he characterized as protesters' provocations -- police have "strong instructions" to avoid using "offensive means."

And Kozhara rejected reports that the army, whoever leads it, has been authorized to fire on protesters.

"Under no conditions (will) the Ukrainian army ... be used in resolving this political crisis," the minister added.

Over the course of a few hours overnight Wednesday, Ukrainian troops moved into defensive positions around bases and weapons depots, according to a U.S. defense official familiar with the latest intelligence. The move is seen by the United States as an effort to ensure the military's facilities remain secure.

U.S. won't issue visas to 20 Ukrainians

After some well-reported infighting about how engaged they'd been in the crisis, Western officials were vocal on Wednesday not just condemning the violence but threatening action.

The foreign ministers of France, Germany and Poland are set to to travel to Kiev on Thursday to survey the situation, before briefing their European Union colleagues in Brussels. After that, they and their U.S. allies could impose sanctions against Yanukovych's government -- especially if there is even more violence.

European Commission President Jose Manuel Barroso vowed European officials will "respond to the any deterioration on the ground" with "targeted measures against those responsible for violence and use of excessive force."

U.S. Secretary of State John Kerry said that Yanukovych must decide "between protecting the people that he serves -- all of the people -- ... versus violence and mayhem."

"We are talking about the possibility of sanctions or other steps with our friends (in) Europe and elsewhere in order to create the environment for compromise," Kerry said.

Later Wednesday, a senior State Department official told reporters that the United States wouldn't issue visas for 20 senior members of the Ukrainian government and others responsible for Tuesday's violent crackdown on protesters.

Calling the violence from both government forces and protesters "completely unacceptable," British Prime Minister David Cameron challenged Ukraine's leaders to make the public's safety their first priority.

"President Yanukovych has a particular responsibility to pull back government forces and de-escalate the situation," Cameron said.

Such measures could affect individuals but not likely the larger situation short term, said Richard Haass, president of the Council on Foreign Relations. Military action seems highly unlikely, and Russia appears poised to help Ukraine's government if economic sanctions were imposed, he said.

"We really don't have very good options to introduce," Haass told CNN.

iReport: Protester describing bloodied people being rushed to medics

CNN's Nick Paton Walsh and Victoria Butenko reported from Kiev, while CNN's Greg Botelho reported and wrote from Atlanta. CNN's Phil Black, Michael Pearson, Anna Maja Rappard, Barbara Starr, Elise Labott, Jake Tapper, Matt Smith, Ben Brumfield, Michael Martinez, Neda Farshbaf, Larry Register and Radina Gigova contributed to this report.

@highlight

NEW: "It's a revolution of dignity," says one protester

@highlight

Ukraine's president declares a truce and the start of negotiations

@highlight

Opposition leader says "now we will see' if president "will stick to his word"

@highlight

Western powers ramp up the political pressure, especially on Ukraine's president