Hashima Island is one of the strangest places you'll ever be able to explore -- and few can.

This eerie, desolate place of deserted tower blocks some 17 kilometers (10.5 miles) off the coast of Nagasaki in western Japan was opened to tourists four years ago but access is strictly limited.

The buildings are too decrepit, so tourists skirt a defined path around one corner of the island. Only with special permission from Nagasaki City Council can you pick your way through the apartment blocks and climb the so-called "Stairway to Hell" to get a proper view of the ruins from the wind-battered shrine at the top.

It is a scene more of devastation than decay when viewed from above. Decades of typhoons and sea water erosion have torn at the concrete high-rises. Foundations hammered deep into the ocean to support the huge concrete structures stand exposed. Timber, which once lined balconies, lies in piles where the wind has left it.

Take a wrong turn and you'll find yourself on narrow paths connecting one rooftop with another, vertiginous drops on either side. If you have any fear of heights at all, it's the kind of situation where you might prefer to inch down to ground level on your hands and knees rather than your feet.

However this scene will seem strangely familiar to James Bond fans -- Hashima served as the inspiration for the villain's home in the latest 007 movie "Skyfall." The courtyard of building number 65 is where one unfortunate Bond girl meets a sticky end. According to Nagasaki City Council, location scouts came a number of times to scope the island but decided it was too dangerous for filming. So Hashima sets remarkably close to the real thing were built at Pinewood Studios instead.

The once bustling island community's raison d'être was coal. The first mine shaft was dug here in 1887. Three years later Japanese engineering giant Mitsubishi bought Hashima and transformed it into a highly efficient mining facility housing workers and their families in some of the world's earliest concrete high-rises. The island expanded as Japan's demand for coal grew -- upwards in a forest of apartment blocks and outwards by a series of land reclamations.

Though today weeds and plants have taken root in derelict balconies and rooftops, children then knew only grey. "There were no bushes, no flowers, we didn't even know what the cherry blossom was," recalled Hideo Kaji, who was born on Hashima in 1932. "We told the seasons from one another by listening to the wind or looking at the color of the ocean and the sky."

The period of Kaji's childhood was also the darkest in Hashima's history. Like many of imperial Japan's industrial facilities, Hashima was a destination for hundreds of Korean forced laborers. During World War II, Chinese prisoners of war joined their ranks. For them, Hashima was a desperate place.

In the peace museum at Nagasaki, testimonies from Korean forced laborers line the walls, collated by museum director Yasunori Takazane. "The common stories I heard from Korean and Chinese laborers was that they are enormously hungry. The meals were miserable and when they could not go to work they were tortured, punched and kicked."

Kaji's best friend at school was Korean. He says he didn't see much discrimination against Koreans but he remembers his parents talking about one episode when a Korean worker was beaten. "My father and mother were saying how sorry they were but my Dad said it was inevitable because it is wartime." He remembers resenting the Chinese as a child because they were "locked up in the southern part of the island, right where we used to play baseball. We were so upset they took our place to play, but after the war ended I learned they were forced to work there."

Kaji only left the island in 1974 when the mine closed down. Petrol had replaced coal as Japan's major fuel source. Mitsubishi pulled out, the workers found jobs on the mainland and Hashima was left to rot."It was an energy revolution and we all knew in our hearts that it was end for coal," said Kaji. "If I were to describe it in one word, it was just sad. Even now I still see it as a once in a lifetime thing, living on that island."Read more: Hashima Island's dark history

Tomoji Kobata only lived on Hashima for a year in 1961 but he knows the paths in and around the ruins inside out. Well into his seventies he picks his way through the rubble, pointing out the oddities that were part of everyday life -- the baths where the water was always black because the miners would jump in fully clothed at the end of a long day; the spots on the fortified walls where lovers would eek out a privacy of sorts to watch the sun go down. This was the period when Hashima was one of the most densely populated places on earth -- 5,259 people living on just 16 acres at its peak in 1959. "It reminded me of Hong Kong. Cooking hours were quite noisy. Wives would borrow seasoning and exchange food they couldn't finish. No one needed to lock the door."

Kobata now works for Gunkanjima Concierge, one of the tour operators that bring tourists to the island. He says he'll tell visitors about the forced labor issue but he won't dwell on it. "There were so many other sides to life on the island beyond that," he said.

But it remains a sore point. Japan wants Hashima recognized as a UNESCO world heritage site but South Korea objects. Takazane says Japan needs to address the issue with more honesty. "Auschwitz is registered as world heritage site so people can remember the historical crime. As for Hashima, some seem not to want to remember that dark side and focus instead on its contribution as a locomotive of Japan's industrialization. That's a betrayal of history."

Japan was required to pay reparations to the countries it wronged during World War II as part of a series of post-war treaties. On the 50th anniversary of the end of the war, Japan's Prime Minister Tomiichi Murayama offered a general apology for the "tremendous damage and suffering to the people of many countries, particularly to those of Asian nations' caused by its 'colonial rule and aggression.'"  But there have been several recent lawsuits, filed by Chinese workers against Mitsubishi, demanding compensation and a specific apology for their enslavement in facilities across the Japanese empire during the war. All have failed.

Kobata may be right to say there is a lot more to Hashima's history than the forced labor that tarnished its earlier years. It may not have been any worse a place necessarily than any of the other forced labor locations around the Japanese Empire. But as it crumbles slowly into the ocean, the island's concrete towers are an eerie symbol of a war wound that has not yet healed.

@highlight

Hashima, on Japan's West coast, opened its first coal mine in 1887

@highlight

Mitsubishi turned it into a mining facility housing workers and their families

@highlight

Island also the inspiration for the villain's home in the latest 007 movie "Skyfall"

@highlight

But the island, now derelict, has a darker history relating to slave labor during WWII