(CNN) -- Former International Monetary Fund (IMF) chief and political contender Dominique Strauss-Kahn has seen his reputation tarnished in a turbulent 12 months.

He was once most known for his brilliant grasp of global economics and European politics.

Now, his name is connected with an accusation of sexual assault from a hotel maid in New York and an investigation into gang rape and "aggravated pimping" in France by prosecutors who allege he participated in a prostitution ring.

Just last year, Dominique Gaston Andre Strauss-Kahn was head of the powerful IMF and the presumptive front-runner for the presidency of France.

But when a hotel employee accused him of assaulting her in Manhattan's Sofitel Hotel last May his professional life disintegrated.

Despite denying the charges, he stepped down from the IMF and his dream of leading France's Socialist Party in this year's presidential election vanished.

However, the criminal case against him fell apart before it reached a courtroom when New York prosecutors cited credibility issues with the maid's story. Strauss-Kahn still faces a civil suit in the case.

It was, by any standard, a stunning fall for the man many presumed would be the new occupant of the Elysee Palace instead of Francois Hollande.

It was also a cautionary tale for those who might forget how quickly sexual allegations can bring down even the most influential leaders.

Long before he ended up on the front pages of the tabloids, Strauss-Kahn was well known to followers of global financial news. The University of Paris-educated economist headed the IMF for the duration of the global financial crisis. In doing so, he played a lead role in arranging bailouts for Greece and Ireland, as well as propping up Europe's single currency, the euro.

The IMF, which, among other things, assists countries suffering economic difficulties by providing loans, was founded near the end of World War II and is now made up of 187 countries.

Strauss-Kahn was a force in French politics for a quarter-century, first winning election to that country's National Assembly -- the lower house of parliament -- in 1986. He was President Francois Mitterrand's trade minister from 1991 to 1993, and went on to serve as finance minister in the late 1990s. During that period, Paris joined the euro and ditched the franc.

In 1999, after an allegation of unethical financial doings involving his consulting business, Strauss-Kahn resigned his ministerial post. He was later acquitted of the charges.

Strauss-Kahn lost a fight with Segolene Royal for the Socialist Party's presidential nomination in 2006. One year later, he was named managing director of the IMF.

Married to his third wife and the father of four children, he has also taught economics at Stanford University in California and at the prestigious Institut d'Etudes Politiques de Paris, known as Sciences Po.

A dominant figure on the French left, Strauss-Kahn also gained a reputation over the years as someone who enjoys a lavish lifestyle -- critics have made much of his image as a "champagne socialist."

As head of the IMF, Strauss-Kahn pulled in an annual tax-free salary of more than $420,000, according to a 2007 statement from the organization. He also received more than $75,000 for "a scale of living appropriate" to his position. To the extent that there was a perceived conflict between his socialist political ideals and wealthy lifestyle, it wasn't an issue for most French voters, said Simon Serfaty, a senior European analyst at the Center for Strategic and International Studies, a Washington think tank.

Similarly, French voters typically take little notice of allegations of infidelility, which are much less likely to derail a political career in France than in America -- though in Strauss-Kahn's case, the sheer volume of accusations seems to have stymied his ambitions, especially with the election this month of Hollande as French president.

Strauss-Kahn became embroiled in sexual controversy soon after joining the IMF in 2007: In 2008, he was reprimanded for having a relationship with a female employee.

An independent inquiry found the relationship was consensual, and the IMF's executive board concluded that "there was no harassment, favoritism or any other abuse of authority by the managing director," but it found that "the incident was regrettable and reflected a serious error of judgment."

Strauss-Kahn issued a statement after the investigation, noting that he had "apologized for it to the (board of directors), to the staff of the IMF and to my family," as well as to the employee.

In the months following the Sofitel Hotel accusation last year, other allegations surfaced. Anne Mansouret, a Socialist member of the French parliament, said Strauss-Kahn had attacked her daughter. Mansouret said she had cautioned her daughter, Tristane Banon, not to file a police report at the time, saying it might adversely impact her career.

Last year, Banon did file a complaint, alleging a 2002 attack, though it could not be pursued because the statute of limitations had expired.

Strauss-Kahn denied the allegations and has since filed a counter-suit in France, alleging slander. CNN does not typically name assault victims, but Mansouret said her daughter gave permission for her name to be disclosed.

Now Strauss-Kahn faces another legal battle -- this time the case centers on an investigation into a high-profile prostitution network operating out of luxury hotels in the French city of Lille.

In May police French prosecutors have widened the investigation, opening a preliminary inquiry into acts that allegedly took place in Washington, which they believe could constitute gang rape.

CNN has yet to hear from Strauss-Kahn's lawyers about the allegations.

When the pimping claims surfaced, in November last year, Strauss-Kahn's attorneys condemned the allegations as "unhealthy, sensationalist and not without a political agenda."

His lawyer, Henri Leclerc, acknowledged in an interview with radio station Europe1 that Strauss-Kahn attended sex parties, but says his client was unaware that the women involved were prostitutes.

Strauss-Kahn is not allowed to have contact with other people involved in the investigation, nor is he permitted to talk to the media about the case.

@highlight

Dominique Strauss-Kahn was IMF chief and had been expected to run for French presidency

@highlight

His downfall came with an accusation of sexual assault in a New York hotel, which he denied

@highlight

Now French prosecutors have widened an investigation, with new allegations of gang rape

@highlight

The New York case never saw a courtroom; DSK denies the allegations in French case