(CNN) -- It wasn't too long ago when the image of Africa was plagued by photographs of starving children, war, wildlife photography and portraits of African tribes exoticizing the "dark continent." But Africa for the past few years has been immersed in digital technology and culture and the digital age in Africa can now be witnessed through art and photography.

In the past the most notable photographers who captured images from Africa were those from Europe and and the United States -- photojournalists who came to bring more exposure to the daily lives of those living in this diverse continent.

But as the cost of digital technology significantly drops and more artists gain access to digital technology, African photographers are gaining exposure, giving voice to their own experiences of their neighborhoods and communities.

This list is a small example of new and up-and-coming photographers who are engaging their audiences in the visual representation of Africa, developing and nurturing the art of photography.

Read this: Hollywood classics get African photo remake

Zanele Muholi, South Africa

Born in Durban in 1972, Zanele Muholi describes herself as a "visual activist." Her photography often takes on subjects that are taboo and unspoken in parts of Africa and Muholi is renowned of her groundbreaking portraits of the lives of gay women in South Africa.

Her photography coincides with her work as an activist serving as the co-founder of the Forum for the Empowerment of Women, a black lesbian organization.

Muholi has received many international accolades around the world including the "Fondation Blachère" award at "Les Rencontres de Bamako" biennial of African photography in 2009, the Fine Prize for an emerging artist at the 2013 Carnegie International, and Muholi will also be honored with a prestigious Prince Claus Award, in December.

Hélène Amouzou, Togo

Hélène Amouzou first captured my attention through her series of self portraits taken in the attic of her home.

Born in Togo in 1969 and a resident of Brussels, her series of portraits, "Between the Wallpaper and the Wall" were taken over a number of years, while she struggled to find her place in Belgium. Living as an asylum seeker waiting for her official residency visa, she discovered how "Self-portrait is a way of writing without words." Her photography captures feelings of displacement and anxiety, cataloging many of the issues of those who are in exile.

Read this: Photographers' road trip through Africa

Nii Obodai, Ghana

Nii Obodai is not only a photographer but the author of the book "Who Knows Tomorrow?" The book offers his take on the contemporary visual representation of Ghana. Obodai's work often investigates the essence of Ghanaian culture "between tradition, improvisation and modernity." The son of Accra's first mayor, Henry Sonny Provencal, Obodai is intrigued by the effects of post colonialism on the inhabitants of Ghana.

Mutua Matheka, Kenya

A former architect, Mutua Matheka is Kenya's roving photographer. Matheka launched his photography career by taking photos of the Nairobi cityscape. His photography offered a view that many did not know of Kenya, showcasing Nairobi's urban life.

What makes Matheka an interesting photographer is his use of social media as a participatory medium. He was one of the founders of Kenya 365, a 365-day project inviting Instagramers to take photos of Kenya, chronicling the changing Kenyan landscape and how economic and technology growth has influenced the country.

Known as "truthslinger" on Instagram and Twitter, he roams around the continent inviting other photographs to capture unique and interesting African cityscapes and landscapes.

Lakin Ogunbanwo, Nigeria

Lakin Ogunbanwo is a Lagos-based photographer. A versatile artist, his portfolio showcases his visually provocative imagery of fashion culture in Nigeria.

Ogunbanwo's work is a great example of how Africa's fashion is on the rise and how it influences photographers and artists throughout the continent. Ogunbanwo's photography has transformed commercial and fashion photography into works of art that continue to inspire artists across various mediums.

Read this: Africa's hottest new fashion designers

Dillon Marsh, South Africa

South African photographer Dillon Marsh's main focus has been directed towards landscape photography across Africa.

Marsh has a good eye for reframing objects and scenery that may seem ordinary and un-noticible. Marsh loves to travel throughout Southern Africa where he documents various places, experimenting with the strange uniqueness of familiar neighborhoods and landscapes. He has a bachelor's degree in fine art from the University of Stellenbosch and has had exhibitions around the world, including Portugal, Switzerland and the Netherlands.

Emeka Okereke, Nigeria

Nigerian photographer Emeka Okereke is the founder of Invisible Borders, a road trip project that invites artists and photographers to go on a journey to explore new images of the continent throughout West Africa.

Okereke is also the recipient of the "Best Young Photographer" award from the AFAA "Afrique en Création" at the 5th edition of the Bamako Photo Festival of photography. From Lagos to Bamako, Okereke has inspired a new generation of African creatives to pick up a camera and actively participate in new representations of the continent.

Michael Tsegaye, Ethiopia

Born in 1975, Michale Tsegaye lives and works in Addis Ababa in Ethiopia. He began his career as a painter but due to an allergic reaction to oil paint he soon discovered photography.

Traversing through remote parts of Ethiopia, Tsegaye's portfolio displays wide ranging social issues that affect the people in the country. Tsegaye has done many fantastic photo series, including "Working Girls," a photo essay on the lives of sex workers in Addis, as well as "Future Memories" -- a series that chronicles the urbanization of various neighborhoods in Addis Ababa.

The opinions expressed in this commentary are solely those of Jepchumba.

@highlight

Jepchumba is the founder of African Digital Art

@highlight

Here she chooses eight of Africa's best up-and-coming photographers

@highlight

"African photographers are giving voice to their own experiences," she says