(CNN) -- The U.S. Postal Service Wednesday announced it will stop delivering first-class mail on Saturdays, expecting to save about $2 billion a year. Given the rapid rate of decline in letter mail and the loss of revenues, this is a welcome cost-cutting move.

But this change will not make the Postal Service sustainable for the long term.

Cost cutting would not have made the horse and buggy business sustainable in the dawning age of the automobile. The same is true of typewriters during the advent of word processors, or slide rules when calculators arrived. There is a natural limit to how far costs can be cut, and to how much that can help the Service survive in the new communications marketplace.

The Postal Service's business model needs fundamental change for it to thrive and avoid liquidation. Those reforms must focus not only on reducing costs, but also on allowing the Service to generate new sources of revenue from its existing assets.
The experience in other countries suggests that this is possible. Following that lead, the first steps should include corporatization and de-monopolization.

First-class letter mail -- by far the Postal Service's most profitable type -- has fallen by a stunning one-third since its 2001 peak, while overall mail volume is down by almost 25%. Revenues have also dropped which, when combined with high costs, have created the Postal Service's own fiscal cliff.

The service lost almost $16 billion in 2012 and is now losing about $25 million per day. It has hit the limit of its $15 billion credit line with the U.S. Treasury, and has only enough cash for a few weeks of operations.

Given the explosion in cheap, instantaneous, electronic communications, none of this is surprising. Mail delivery is now like offering transportation by horse in the dawning automobile era.

Unlike horse transportation, however, it's possible for mail delivery services to remain viable, innovative, self-sustaining businesses even in the electronic age, as posts around the world have shown.

For the Postal Service to survive and thrive, however, Congress needs to step up, and soon. Congress must determine what level of physical mail service, if any, is necessary for government to ensure when there are many electronic alternatives. Second, it must decide how it (as opposed to the Postal Service) plans to pay for that service level.

Dimensions of such guaranteed service include the geographic area to be covered, what rate will be charged (and whether it will be uniform across areas), and how frequent mail service will be.

Congress then needs to free up the Postal Service to become a more commercial entity. But that can't happen unless it also eliminates both of the service's monopolies (one over mail delivery and the other over mailbox use) and changes its organizational structure. Repeal of the monopolies is necessary because the service will never get the freedom to pursue new lines of business aggressively, and thus to generate new revenue, unless it is subject to the discipline of competition.

CNN Money: How to build a better postal service

Changes in the service's organizational structure are necessary to attract the management talent and prompt the changes required to become self-sustaining. The first step is corporatization, which makes the service subject to the standard set of corporate laws and norms associated with a large commercial entity. Although it creates ownership shares in the new entity, those shares are not sold to the public. This is distinct from privatization in which shares are created and then sold to investors.

Postal corporatization would be a big improvement. It provides managers with more focused incentives and helps to raise the additional capital necessary to pursue new services and lines of business. Focused incentives are critical since the only bright spots in the service's business are in its most competitive, such as parcel delivery.

The United States now lags behind most other developed countries in all such reforms. All 27 members of the European Union have eliminated their postal monopolies. New Zealand repealed its delivery monopoly in 1998, Sweden in 2003. Germany and the Netherlands repealed in 2007 and 2009, respectively. The threat of competition associated with monopoly repeal has helped postal services in those countries to become more efficient, more effective enterprises.

Other countries are also far ahead on organizational reforms. Germany's post -- now Deutsche Post DHL -- was privatized in 2005 and has become a major player in the global delivery and logistics business. It reformed its compensation structure, brought in managers from other sectors and modernized its delivery network. It operates in 220 countries and is now the world's largest courier company.

The UK post -- Royal Mail -- will be privatized this year. One hundred percent of the formerly government-owned post in the Netherlands is now privately owned. New Zealand Post was corporatized in 1987, while all government subsidies were eliminated in 1988. New Zealand Post has become a successful, innovative global company focusing on parcel delivery, logistics and other businesses.

There is no reason why the U.S. Postal Service cannot also become a leader in the global delivery sector. It already has a far-flung network of sorting centers and letter carriers that allows it to deliver physical documents to every U.S. address six days every week.

Given the size and diversity of the United States, that is an amazing feat. It could use that capability to deliver mail "the last mile" in innovative ways, such as assisting new businesses in the area to advertise.

It could also tailor its delivery frequency to the demand for home delivery in a particular region. Some mailers may want to saturate an area with mail, while others may want slow, steady delivery. The current "one size fits all" approach is clearly inefficient.

The Postal Service would also be freed up to seek new revenue by forming alliances with global logistics and courier companies. Moreover, it has a massive portfolio of real estate that includes large buildings in prime downtown locations as well as massive sorting centers throughout the country. Its real estate alone is likely worth tens of billions of dollars.

Selectively selling some of those assets would free up resources for the service to pursue new market opportunities. Indeed, it probably has enough assets so that -- if properly managed -- it could recapitalize its core business without a taxpayer bailout. But Congress must act to allow that to happen.

As the experience in many other countries shows, there is no reason for the U.S. Postal Service's agonizing decline and impending collapse. If Congress borrows from international experience, and acts decisively to reform postal policy, the venerable U.S. Postal Service can also emerge as a viable company in the Internet age.

The opinions expressed in this commentary are solely those of Rick Geddes.

@highlight

Rick Geddes: U.S. Postal Service won't deliver first-class mail on Saturdays to cut costs

@highlight

Geddes says it's a good move, but Postal Service must be upgraded to survive

@highlight

He says other nations have ended mail monopolies, empowered postal services

@highlight

Geddes: Postal Service has real estate assets, could be transformed for today's world