(CNN) -- Steve Jobs had a long run with a rare form of cancer (a pancreatic neuroendocrine tumor) that is sometimes curable by early surgery. While I was not his physician and don't have access to the details of his illness or its treatment, assertions that his use of alternative medicine shortened his life strike me as uninformed. No one knows how long he would have survived or what his quality of life would have been had he opted for immediate surgery and used only conventional treatment.

For the past 40 years I have studied alternative and complementary therapies to learn which of them might usefully be combined with conventional approaches to develop a safer, more effective and more cost-effective system of care -- the result is the integrative medicine that I practice and teach.

In the course of these investigations, I have looked at many alternative cancer treatments and found none of them to be effective. None withstand scientific scrutiny. Yet I find our standard cancer treatments to be incomplete and sometimes more harmful than beneficial. In the case of pancreatic cancer, they usually offer minimal extended survival, often at the expense of reduced quality of life.

In October, 2010, I traveled in China to learn more about efforts there to integrate Western and Chinese medicine. My hosts took me to Guang'anmen Hospital in Beijing, a very large modern medical center devoted entirely to integrative medicine. Its largest department is oncology.

Every cancer patient there gets appropriate surgery, chemotherapy and radiation therapy, as well as sophisticated herbal therapy designed to reduce toxicity and increase efficacy of those treatments, to strengthen body defenses against cancer and enhance quality of life. Acupuncture and nutrition are also part of the hospital's integrative cancer treatment.

Seeing the large number of successful outcomes there made me sad that few American cancer patients can access this kind of care. What most impressed me is that it is supervised by fully trained oncologists in an academic medical center.

Cancer centers in the United States that claim they offer "integrative" care stick to the safest complementary services -- massage, stress reduction, counseling. They wouldn't let a Chinese herb on their premises -- even a totally safe one like astragalus (from the root of Astragalus membranaceous) that helps protect bone marrow from the toxic effects of some chemotherapy agents. American oncologists commonly tell patients to avoid all dietary supplements and natural remedies while undergoing treatment and to eat whatever they want. That's not good enough.

If cancer is confined to one part of the body and is accessible, surgery is usually curative, and it would be foolish not to use it. Unfortunately, by the time many cancers are first detected, they have already spread from their point of origin. Chemotherapy and radiotherapy may be the best treatments we have in those cases, but they are crude approaches that damage normal cells as well as malignant ones, especially in sensitive tissues of the immune system.

I'm sure they will eventually be replaced by targeted, individualized therapies that cause less collateral damage. In the meantime, much can be done to improve our management of cancer. I would urge patients and families not to reject surgery, chemotherapy, or radiotherapy but to seek and demand integrative treatment.

The Arizona Center for Integrative Medicine that I direct has graduated a number of oncologists from its intensive fellowship training; a goal of the center is to develop formal training in integrative oncology. The Society for Integrative Oncology will hold its 8th annual international conference in Cleveland next month; it is co-sponsored by Case Western Reserve University School of Medicine. This is the future.

Again, I don't know enough about Steve Jobs' cancer or the treatments he used to comment on them specifically. I hope he was lucky enough to find an integrative oncologist to help him with the tough decisions that all cancer patients must make about the recommendations they get, both from conventional doctors and others.

I wish that all cancer patients could partner with integrative oncologists to guide them through the maze of confusing options, avoid fraudulent treatments and scams and make use of all safe and effective therapies to eliminate tumors, prevent recurrences and preserve quality of life. By demanding integrative oncology practitioners and facilities, consumers can speed their appearance.

The opinions expressed in this commentary are solely those of Andrew Weil.

@highlight

Andrew Weil says he can't say if Steve Job's treatment choices shortened his life

@highlight

He says in his studies he has found no alternative therapy for cancer that is effective

@highlight

But, he says, alternative therapies can help strengthen body during cancer care

@highlight

Weil: Integrative medicine should be essential part of cancer care