(CNN)Late one night on Facebook, a girl with cystic fibrosis messaged a boy with cystic fibrosis, and both their lives were changed forever.

The girl, Katie Donovan, read that the boy, Dalton Prager, was very sick.  "If you ever need a friend to talk to, you can reach out to me," she wrote.

"Sorry, but do I know you?" he responded.

No, you don't, Katie wrote back, and told Dalton a bit about herself. Like him, she was 18, and "my breathing is pretty crappy and I see you are in the hospital. I'm sorry. I know it sucks!...But you just gotta stay strong."

Messages between the two flew back and forth. They realized they were falling in love. For most other couples, the next step would be to meet in person. But for Katie and Dalton, that was complicated -- and dangerous.

Cystic fibrosis patients shouldn't be near each other because they can share infections that could cripple their already fragile lungs. Dr. Michael Anstead at the University of Kentucky, Katie's pulmonologist since she was a little girl, had lectured her many times that face-to-face meetings with other CF patients were a bad idea.

In their online conversations, one of the first things Dalton told Katie about himself was that he had Burkholderia cepacia, a horribly dangerous infection for people with CF.

"I was like, 'Hi, I'm Dalton from Missouri and I have Burkholderia cepacia,' because it's such a big deal in the CF community," he remembers. "I left the decision about whether we should meet up completely up to her."

Katie listened to her heart, even if it might hurt her lungs. She asked Dalton to come visit her in Flemingsburg, Kentucky.

"I told Dalton I'd rather be happy -- like really, really happy -- for five years of my life and die sooner than be mediocre happy and live for twenty years," Katie says. "That was definitely something I had to think about, but when you have those feelings, you just know."

So on August 28, 2009, Dalton drove more than six hours from St. Charles, Missouri, to Katie's hometown in Flemingsburg, Kentucky, where they'd arranged to meet at the Dairy Queen.

At 7:10 pm -- they remember the time precisely -- Katie got out of her car and saw Dalton leaning against a brick wall looking cool and handsome in his sunglasses.

"My heart was racing, but I just went right up to him and hugged and kissed him on the mouth without even saying hello," she remembers. "I'm usually not that kind of girl, but it just felt so right."

Katie took Dalton and his mother, Renee, who'd made the trip with him, to have dinner with her and her parents, Debbie and John Donovan. Later the young couple drove around Flemingsburg, and Dalton gave her a necklace for her nineteenth birthday, which was two days before.

Their health quickly deteriorated, and within months, the new husband and wife went on oxygen full time. Too ill to work, Dalton quit his job at his family's auto repair shop, and Katie quit hers as a store clerk.

In August, 2014, the couple entered the University of Pittsburgh Medical Center together to wait for new lungs. Dalton's came first, and on November 17, he had his transplant. Despite his Burkholderia cepacia, which makes transplants more complicated, it was a success.

"I was so thrilled. I was so happy for him," Katie says.

The month after Dalton's surgery, UPMC discharged Katie -- she says they told her it would be psychologically good for her to get out for a while. When she had serious trouble breathing three days later she tried to get back into the hospital, but  UPMC informed her she'd used up her supply of Medicare days and wouldn't accept her.

Medicare -- the federal insurance program for the elderly and for anyone with disabilities -- wouldn't pay for another hospitalization until Katie had been out of the hospital for sixty days. But Katie was too sick to stay out of the hospital for six days, much less sixty.

So Katie relied on Medicaid, public insurance that was supplied by her home state of Kentucky. She was admitted to the University of Kentucky Hospital, where she was cared for by Anstead, her beloved pulmonologist.

But then, another hurdle. Anstead explained that most lung transplant centers, including the two in Kentucky, don't do transplants on patients with Burkholderia cepacia, referring them to larger centers like UPMC that have more experience with such complicated cases.

Katie and Dalton, now 24 and 23, were desperate. Her doctors predicted she wouldn't live a year without new lungs.

Going on her husband's private insurance wasn't an option, since Dalton is on his father's policy.

In February, Anstead wrote a letter to Medicaid, pleading with them to make an exception and pay for Katie's care at UPMC, even though it was out of state.

Kentucky Medicaid denied his plea, and that's when the squabbling began.

In a statement to CNN, a spokeswoman for the Kentucky Cabinet for Health and Family Services pointed the finger at UPMC, saying the medical center had declined to enroll as a Kentucky Medicaid provider.

"Medicaid policies allow for a simplified enrollment process for out-of-state providers in such situations," wrote the spokeswoman, Gwenda Bond. "Should UPMC reverse its decision and choose to enroll as a Kentucky Medicaid provider, the Department for Medicaid Services...will be happy to expedite their application."

UPMC counters that Kentucky Medicaid told them that if they want to care for Katie, they would have to sign up hundreds of their doctors to accept Kentucky Medicaid patients. While UPMC spokeswoman Wendy Zellner didn't elaborate, a hospital might be loathe to sign up for large-scale coverage of out-of-state Medicaid patients as payments under such programs are typically very low.

Asking for hundreds of doctors to sign up to take Kentucky Medicaid is "an unusually restrictive approach and contrary to single-case agreements that we have signed with other state Medicaid programs," Zellner wrote. "UPMC wants to help Katie, and our physicians and staff have done everything possible to make that happen...It is up to Kentucky Medicaid to address this situation."

Today, Katie waits in limbo in her hospital bed, hoping that the three parties -- Medicare, Medicaid, and UPMC -- will work things out so she can get her new lungs.

"I feel like they're putting a dollar sign on my life," she says. "I don't want to die because of money. That's stupid. Nobody should have to do that."

If Katie doesn't get her transplant, not only will she die, but she'll never be near her husband again because of the risk that she could give him her infection, which could be deadly for him as he's on drugs to suppress his immune system.

As a result of inquiries from CNN, on Wednesday Aaron Albright, the director of the media relations group at the Centers for Medicare and Medicaid Services arranged for a caseworker to call Katie at the hospital.

But it didn't go very well.

Katie says the caller, who identified herself as Pat Pierorazio, was "rude, mean, and angry."

"She said someone had told her to call me, and she acted like it was just a pain to have to be talking to me," she says.

Katie says the Medicare representative told her she would look into her situation.

In a statement, Albright with CMS wrote to CNN: "We are working quickly to fully understand this difficult and complex situation so that this patient can get the care she needs. CMS is reaching out to the state agency to find a solution as soon as  possible."

Caught in the middle between the hospital and insurance, Katie tries to stay strong, just as she advised her husband to do nearly six years ago in their first Facebook conversation. Skyping with Dalton helps, and raising money on their Facebook page keeps her mind busy.

And she's always thinking about their "after transplant bucket list," which they keep in a safe in their house so it won't be destroyed by fire or flood.

On the list: Drive through every state. Learn another language and visit a country where they speak it. Write a book together about their love story.

They have simpler dreams as well. Like going grocery shopping together, or sitting side by side on the couch to watch television.

And this is their biggest goal:

"I just want to make it to see our four year anniversary in July and be able to hold hands and just hug. That's all I really want -- to be able to hug my husband on our fourth anniversary," she says.

Wednesday afternoon, there were signs of hope. Zeller, the UPMC spokeswoman, sent an email to CNN.

"Ky Medicaid has reached out to us to talk. So stay tuned," she wrote.

Katie and Dalton were glad to hear it.

"I don't care what I have to do to get her lungs," Dalton said. "I will just keep trying until there's nothing left to try."

@highlight

Katie and Dalton met as patients dealing with cystic fibrosis

@highlight

Two years later, they were married

@highlight

Dalton received a lung transplant, but Katie is still waiting