(WIRED) -- For downloading data, the Verizon iPhone is slower than the AT&T iPhone, and it's also slower than most other Verizon smartphones, according to a study published Monday.

Mobile analysis firm Metrico performed a comprehensive study on several AT&T and Verizon handsets, including the iPhone on both networks. The data suggests the differences between AT&T and Verizon are greater than we initially thought.

The debut of the iPhone on Verizon sheds light on more subtle differences between the Verizon and AT&T networks. Now that both networks have the same data-intensive iPhone capable of performing identical tests, it's been easier for researchers to collect more comparable data.

Independent tests by multiple publications, including Wired.com, have found that AT&T's network is faster, while Verizon's is more reliable with phone calls.

Metrico's tests paint a conflicting picture. Some of their findings:

-- The Verizon iPhone performed "below average" in data download speeds when compared to other Verizon phones including the HTC Incredible.

-- For voice calls, the Verizon iPhone was one of the highest ranked in noise-canceling performance and was an average performer in voice quality.

-- The AT&T iPhone was the top performer in data transfer rates, but it ranks lower in call performance and Bluetooth speech quality compared to some BlackBerry, HTC and Samsung phones.

-- The AT&T iPhone completed 10% more download sessions than the Verizon iPhone when the handsets were moving  in a car, for instance.

-- But the Verizon iPhone had a 10% better success rate when uploading data in a stationary environment, like sitting at your desk.

The rest of Metrico's results tell the story we've already heard: The AT&T iPhone's download speeds are about double the mean download speed of Verizon's.

However, even though AT&T's iPhone downloaded files faster, when it comes to loading web pages, the average load time is about the same on both devices, Metrico added.

Metrico explained that many different factors affect web performance, including network latency and the operating system's rendering times. (Indeed, a previous bandwidth test performed by Speedtest.net found that both the Verizon and AT&T iPhones turned in the same average latency times of about 350 milliseconds.)

Most peculiar to Wired.com is that the Verizon iPhone is "below average" in download speeds compared to other Verizon handsets. Was the handset purposely slowed down to avoid overloading Verizon's network? Is there something about Apple's hardware that makes it slower than other handset makers?

It's tough to say: Metrico doesn't have theories to explain the test results.

"I can't say it's related to technology at this point," said Rich McNally, vice president of information product at Metrico. "We're measuring what happened, not necessarily why."

To perform the study, Metrico put each phone through live tests on the AT&T or Verizon networks, as well as Metrico's own simulated network. On the simulated network, the phones completed tests and transferred data to Metrico's servers for more consistent, controlled results.

The phones were also tested in both stationary and mobile environments. For mobile testing, the phones were tested inside automobiles while driving.

In all, the company performed more than 10,000 web page downloads, 2,000 data download/upload tests, and 4,000 voice calls.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2010 Wired.com.

@highlight

AT&T's network is faster, while Verizon's is more reliable with phone calls

@highlight

The AT&T iPhone's download speeds are about double the speed of Verizon's

@highlight

The Verizon iPhone had a 10% better success rate when uploading data when sitting still