(CNN) -- Franklin D. Roosevelt had his Hundred Days.

Papa Francesco has had a little less than a month. Yet, like FDR, he has used bold gestures to alert the world that things in the Catholic Church would not be returning to business as usual.

For Catholics, images conveyed in a genuine way can be symbols of deeper realities. We are a sacramental church. God speaks to us through his word, but that word is often accompanied by ritual, gesture and symbol.

Pope Francis really believes in simplicity. So far, he has waved off any vestige of opulence (gold pectoral crosses and ermine lined mantles), walks rather than rides in a chauffeured limo, and for now at least refuses to live in the Apostolic Palace (a complex oxymoron, what apostle ever lived in a palace?). He chooses to live in a less pretentious guest house.

He invokes the patron saint of evangelical poverty, St. Francis, but this also comes from his Jesuit formation. The vow of poverty and the commitment to the poor is taken seriously among the Sons of Loyolaâ€”at least the ones I know. Forming young people to be "men and women for others" is not an idle slogan for a lamppost banner. Jesuits really do it and do it well.

Pope Francis washes youths' feet at detention center

This may seem to the cynical a mere show or public relations, and a few of those cynics are in the church. But something tells me this is the real thing. This is how he lived in Buenos Aires. He could have had a palace and all the accoutrements of fine living, and yet he chose something elseâ€”something simple, and closer to the people he wished to serve.

On Thursday, he washed the feet of young juvenile offenders at a detention center in Rome. Among them were two women; one of them was a Muslim. Let Catholics around the world take note. I can only marvel at this generous and loving gesture.

But in Catholic life, rituals are usually accompanied by words. Sometimes the words are difficult to understand or are prayed in flat and boring tones as though the celebrant doesn't believe them. But when word and ritual come together in the best way, it can strike fire in human hearts.

Pope Francis has uttered some marvelous words to accompany his actions. To his frail predecessor, "We are brothers." To the gardeners and janitors of the Vatican, "If we have a closed heart, we have a heart of stone." To priests, an exhortation to "pray over the realities of the everyday lives" of their parishioners, and "their troubles, their joys, their burdens and their hopes." To the young people at the prison, "Help one another. This is what Jesus teaches us. This is what I do and I do it with my heart."

Why did the pope wash prisoners' feet?

Simple, direct words from the heart of a pastorâ€”words people can and will remember because they are accompanied by actions.

Eventually, the novelty of all this will fade, but the tasks ahead for the Catholic Church will not. Repairing its shattered credibility, especially with the young, will be awaiting Pope Francis each morning with his coffee.

Who will advise him? What kinds of men will he choose as bishops? How strong will he be in the face of certain opposition within and outside the church? We will see. "Francis, rebuild my church," said the Lord to the Poverello of Assisi. Pope Francis I'm sure also hears this same, "small, still, voice."

But perhaps we are in for even more surprises. The new pontiff has yet to complete the ritual of taking possession of his four basilicas in Rome. These highly ritualized events are accompanied by droves of cardinals and other clerics and offer the pope an occasion to say a few words to mark the occasion.

Opinion: Pope Francis' humble superiority

It was during one such ceremony in January 1959, at St. Paul Outside the Walls, that Pope John XXIII shocked the world by calling for an ecumenical council.

Could Pope Francis do the same? If he did, another Roosevelt --Teddy--might say, "Bully! " So would I.

The opinions expressed in this commentary are solely those of Steven Avella.

@highlight

Steven Avella: Pope Francis has used bold gestures to signal changes to come

@highlight

Avella: Francis believes in simplicity and has embodied it in his actions and words

@highlight

When words and rituals come together well, it can strike fire in human hearts, he says

@highlight

Avella: Francis faces many challenges ahead, like repairing the church's credibility