Progress.

It's been seemingly nonexistent in Washington for weeks, as Republicans and Democrats squabbled about funding the government and whether to raise its borrowing limit. Both sides drew their lines in the sand and talked vociferously at each other, but not to each other.

On Thursday, 10 days into the government's partial shutdown, the tide appeared to turn. House Republicans offered a plan to temporarily stave off the threat of a first-ever U.S. debt default. President Barack Obama listened to them. Both sides agreed to keep on talking.

Said Rep. Pete Sessions, a Texas Republican: "We're all working together now."

Sessions spoke early Thursday evening after he and fellow House Republicans talked with Obama at the White House.

Afterward, the Obama administration described the session as "good" -- saying the President listened to Republican proposals and the two sides discussed "potential paths forward."

And House Majority Leader Eric Cantor called it "very useful."

"We're going to have more discussions on both sides tonight," the Virginia Republican said.

The fact the two sides are talking, though, doesn't mean they have agreed to anything yet.

After all, they have been bitterly divided on party lines for weeks, routinely throwing barbs but rarely trading proposals.

House Republicans initially passed a series of measures tying government funding to defunding or dismantling Obamacare, the president's signature health care reform. And they've insisted that they won't increase the nation's borrowing limit without cuts first.

Obama, meanwhile, has been just as firm in his position: Pass "clean" -- meaning no add-ons or qualifications -- bills to fund the government and raise the debt limit, and only then will we talk.

One big deadline passed without an agreement -- October 1, when the partial shutdown began no funding had been authorized to keep the government running.

And there seemed little movement toward addressing the next one -- October 17, when the Treasury Department has said the government will run out of money to pay its bills unless something is done.

Now a plan from House Republicans to temporarily boost the nation's borrowing limit and start talks about reopening the government shifted the dynamic.

What it didn't do was meet Democrats' demand to fund the government right away. Asked after attending a White House meeting of his own Thursday with the President about the prospect of the debt limit lifting while the government stays partially closed, Senate Majority Leader Harry Reid didn't mince words: "It's not going to happen."

Obama made clear, during his session with House Republicans, that he won't give concessions to reopen the government, according to a Democratic source familiar with the meeting.

Yet no less than White House spokesman Jay Carney cheered the movement, saying Obama was "happy that cooler heads at least seem to be prevailing in the House" over the need to avoid a possible default.

Will 2014 election solve anything?

Deep into Thursday night, these heads were getting together to try to find a resolution. The White House hopes these initial staff-level discussions will let it know exactly what Republicans want, the Democratic source said.

Rep. Hal Rogers, a Kentucky Republican, said both sides are talking "in good faith" about not just the debt ceiling, but what it will take to restart the government.

"There was not a timeline set," said Rogers. "But we want to move quickly."

Anti-Obamacare provisions no longer in GOP plans

Optimism in Washington triggered relief on Wall Street as the Dow Jones Industrial Average posted its biggest one-day gain of the year at 323 points. Investors have been nervous over the political stalemate and the possibility of a debt default and its potential economic consequences.

This came a day after Obama said in a separate meeting with House Democrats that he would consider a short-term deal to raise the federal borrowing limit, a Democratic lawmaker told CNN.

"If that's what (House Speaker John) Boehner needs to climb out of the tree that he's stuck in, then that's something we should look at," according to the lawmaker, who attended the meeting and spoke on the condition of anonymity.

Some congressional Democrats have balked at the outline of the GOP offer, saying the government must reopen and the debt ceiling must be increased to get broader talks going.

"One way or another both of those have to happen," said veteran Sen. Carl Levin of Michigan.

Another Democrat, Rep. Elijah Cummings of Maryland, said Obama "needs to press for the opening of the government."

"Without a doubt the default would be much more catastrophic, but I've got constituents, a lot of whom work for the federal government who are going through catastrophes every hour," Cummings said.

Paul Ryan steps into budget fight

One thing any budget resolution won't include, it appears, is provisions targeting the 2010 Affordable Care Act.

Ryan, who was the Republican party's vice presidential nominee last year, didn't mention Obamacare in a Wall Street Journal op-ed -- saying instead that politicians from both parties should focus on "modest reforms to entitlement programs and the tax code."

As others have done in recent days, GOP Rep. James Lankford of Oklahoma told CNN on Thursday that going after the President's signature health reform is "currently off the table."

Yet Sen. Ted Cruz of Texas -- one of the most vocal Republicans in the debate -- wasn't so ready to let the health care issue go. Speaking Thursday on CNN's "Crossfire," he said  "Democrats in this town do not want to discuss Obamacare."

On Obama's signature health care reform and what's happening in Washington generally, Cruz said that it's House Republicans who "are listening to the millions of Americans" to do what's best for them.

According to a GOP source, it's not certain whether Boehner can gain support from some or most of his GOP caucus to support a plan without anything to do with Obamacare or other concessions. That could mean -- if a proposal like the one floated Thursday proceeds -- the Speaker may need Democratic votes to pass it.

Boehner demands cuts for debt limit increase

Failure to raise the debt ceiling by next week's deadline would leave the government unable to borrow money to pay its bills for the first time in its history. And absent a breakthrough, the shutdown would continue at a cost estimated at up to $50 billion a month.

All of it is taking a toll on Washington's reputation: A national CNN/ORC International survey released Monday indicated that Americans were blaming all parties in the fight, though Republicans got the worst of it.

5 crazy side effects from the shutdown

Supporters stand by representatives and government shutdown

Pentagon strikes deal with charity to pay military death benefits

@highlight

White House hopes talks let it know what GOP wants, Democratic source says

@highlight

The White House describes the meeting with GOP House members as "good"

@highlight

Republican Rep. Cantor says there will be "discussions on both sides"

@highlight

"We want to move quickly," a House Republican says