(CNN) -- "Mr. Speaker, We are being slaughtered, we are being exterminated," cried out Vian Dakhil in a devastating appeal to the Iraqi parliament that deserves the attention of the entire world.

Everyone should watch.

The Iraqi legislator, a member of the country's Yazidi minority, collapsed at the end of her heartbreaking plea, imploring her country to stop the genocide of her people. "In the name of humanity," she said, "Save us! Save us!"

The Yazidis are caught in the brutal march of the Islamic State in Iraq and Syria, or ISIS, the extremist Jihadi organization. It has called itself the Islamic State, and has anointed itself the caliphate and its leader the ruler of all the world's Muslims.

ISIS is carving a path of destruction as it sets its sights on imposing its rule, and its interpretation of Islam, on Iraq, Syria, Lebanon, Israel and beyond. In the process of achieving its military gains, ISIS is massing large caches of weaponry, taking over oil fields in Iraq, filling its coffers with cash and developing what could eventually become enormous military, economic and political power, if it is able to achieve its objectives.

Preventing genocide, saving the Yazidis, is an imperative humanitarian goal in itself. But stopping ISIS, the al Qaeda offshoot that is too extreme even for al Qaeda, is important for preventing an even more disastrous turn in the boiling Middle East, and it is indispensable for global stability.

It wasn't just Dakhil asking for help, and it's not only up to the dysfunctional Iraqi parliament to provide support. There is an important role for world powers -- for the United States -- in helping save the Middle East from one of the most ruthless and dangerous organizations operating today in one of the most important parts of the globe.

Who is the ISIS?

Iraq's Kurds, in the north of the country, are brave and determined. They love the United States, which twice helped them survive the genocidal efforts of Saddam Hussein. Their army, known as the Peshmerga ("those who confront death," in Kurdish), have been fighting against ISIS, but they are outgunned. That's partly because the Iraqi army dropped its (American) weapons and fled when ISIS rolled in from Syria and captured Mosul.

The Kurds are prepared to challenge ISIS, and there is no one better to do it. They are moderate, pro-Western, committed to a multiethnic, religiously diverse Iraq and ready for the challenge. They have everything to gain from victory and everything to lose from defeat. America should help arm them. Skeptics have worried that by helping to stop the Sunnis of ISIS, the United States would be siding with Shiite Iran. But the Kurds are the perfect way to avoid that binary trap.

Opponents of arming the Kurds also worry that it might add to the disintegration of Iraq. That is not necessarily the case. If Iraq survives, it should do so only as a federal state, in which Sunnis, Shiites and Kurds share power.

If Iraq does not survive, and Iraqi Kurds at long last get a state of their own, it would hardly be a catastrophic outcome. The Kurds deserve a state as much as any other people, but they have been patient and loyal in helping Iraq survive. The Kurds, who lost hundreds of thousands of their people to Saddam Hussein's genocidal Anfal campaign, today deserve a chance to help save Iraq -- and themselves.

ISIS is on the march, killing people, gleefully boasting about its savagery, while destroying ancient minority communities. Turkmen, Shabaks and Christians, in addition to Shiite Muslims, have endured the brutality of their new rulers.

In Mosul, Iraq's second-largest city, captured in June, Christians have been ordered to convert or face death. For the first time since the advent of Christianity, there are no Christians in Mosul.

The fate of the Yazidis may be even worse. As Dakhil told the parliament, "an entire religion is being exterminated from the face of the Earth." She called it "a campaign of genocide."

The chamber listened awkwardly as she described the plight of the ancient Yazidis, a religious minority that has faced discrimination and persecution over the centuries, but has managed to survive. Until now. Yazidis' religious beliefs are a combination of the Persian Zoroastrian faith, with elements of Islam and even Judaism. ISIS calls them "devil worshipers."

The world now faces two urgent challenges: to prevent the genocide of the Yazidis and to stop ISIS from continuing to conquer swaths of the Middle East. Bombing ISIS positions would help save the Yazidis, but supporting the Kurds is key to success on both counts.

Since taking over Mosul, not far from where most Yazidis live, ISIS has killed hundreds of Yazidi men. Women, as Dakhil said, "are being taken as slaves and sold in the slave market." Over the weekend, ISIS fighters launched a new offensive and pushed out the Kurdish Peshmerga who had protected the Yazidis. The Yazidi town of Sinjar fell to ISIS, and the population fled by the tens of thousands into the mountains, to escape the jihadists' cruelty.

The displaced people can barely survive in their mountain hideout. UNICEF announced that 40 Yazidi children already have died. Huge numbers of Yazidis are surrounded by ISIS, with no water and no food. UNICEF estimates up to 25,000 of them are children in desperate need of assistance.

Dakhil's cry was addressed to her fellow members of the Iraqi parliament, but the leader of the Yazidis extended a much wider appeal to world powers -- an appeal no less desperate for its dignified understatement. Under the heading "Urgent distress call from the Prince Tahseen Said" a letter addressed to Kurdish and Iraqi leaders, to the international community, and to Mr. Barack Obama, President of the United States.

Prince Said, who described himself as leader of the world's Yazidis, explained that his people are peaceful, respect all religions, and have helped others in their hour of humanitarian need. Today, he said, "they desperately need their brethren's help."

Come to the assistance of the Yazidi people, he asked, "as soon as possible."

To ignore his plea would be to stand back and make way for genocide. We have been warned.

@highlight

A tearful Iraqi lawmaker pleads for her people, the Yazidis, to be protected

@highlight

Frida Ghitis: The world must listen and take measures to stop ISIS

@highlight

She says the U.S. should arm Kurdish forces, who are willing and able to block ISIS

@highlight

Ghitis: Yazidis have asked the U.S. and the world for help; how can we ignore the plea?