(CNN) -- Sugar-sweetened beverages are linked to more than 180,000 obesity-related deaths worldwide each year, according to new research presented this week at an American Heart Association conference.

"This means about one in every 100 deaths from obesity-related diseases is caused by drinking sugary beverages," says study author Gitanjali Singh, a postdoctoral research fellow at the Harvard School of Public Health.

Among the world's 35 largest countries, Mexico had the highest death rates from sugary drinks, and Bangladesh had the lowest, according to the study. The United States ranked third.

However, the American Beverage Association dismissed the research as "more about sensationalism than science."

Opinion: Banning large sodas is legal and smart

When people drink too many beverages containing added sugar, such as soft drinks, fruit drinks, energy or sports beverages, they tend to put on weight. The study authors say these added pounds increase the risk of developing diabetes, cardiovascular disease and some cancers -- conditions often referred to as obesity-related diseases.

Researchers at Harvard wanted to find out how often people around the globe drank sugar-sweetened beverages and how that affected their risk of death. They looked at 114 national dietary surveys covering more than 60% of the world's population. They also used evidence from studies published in medical journals that discussed sugary drinks and other dietary habits. Their data was included in the 2010 Global Burden of Disease Study, which looks at the health and mortality of populations across the world.

How did the Harvard scientists single out that sweet drinks were linked to weight gain and death? They spent several years gathering and combing through data. They looked at all kinds of factors that can affect our weight such as TV watching, changes in physical activity levels, smoking and the consumption of all kinds of food and drink.

When the researchers controlled for these factors, they were able to determine what percentage of deaths from diabetes, heart disease and cancer were linked to sugary drinks.

"The investigators examined changes in sugar-sweetened beverage consumption and then its association with change in body fatness or BMI (body mass index), and subsequent deaths from cardiovascular disease, diabetes and cancer," says Rachel Johnson, professor of nutrition at the University of Vermont in Burlington and chair of the American Heart Assocation's Nutrition Committee, who was not involved in the study.

Opinion: 'Anti-Bloomberg' bill stops overregulation

Scientists found that more people died from diabetes, heart disease and cancer in parts of the world where consumption of sugary drinks is high.

Of the nine world regions in 2010, Latin America and the Caribbean had the most diabetes deaths linked to sugary drinks with 38,000. East and Central Eurasia had the most cardiovascular deaths at 11,000.

In the United States, sugary drinks were linked to the deaths of 25,000 people from diabetes and other obesity-related diseases. As in many other countries, the death rates were highest in young adults under age 45, with one in 10 obesity-related deaths associated with sugary beverages.

"Almost three-quarters of the deaths caused by sugary drinks are in low and middle income countries," says study author Dr. Dariush Mozaffarian, co-director of the cardiovascular epidemiology program at the Harvard School of Public Health. "So this is not just a problem in wealthy nations."

The average consumption of sugar-sweetened beverages in Mexico, the country with the highest death rates among larger nations, was 24 ounces per day.

The American Beverage Association released this statement in response to the study:

"This abstract, which is neither peer-reviewed nor published, is more about sensationalism than science. In no way does it show that consuming sugar-sweetened beverages causes chronic diseases such as diabetes, cardiovascular disease or cancer - the real causes of death among the studied subjects.

"The researchers make a huge leap when they illogically and wrongly take beverage intake calculations from around the globe and allege that those beverages are the cause of deaths which the authors themselves acknowledge are due to chronic disease."

Judge stops NYC ban on large sugary drinks, city plans appeal

The study authors and other experts disagree.

"We know having an elevated BMI is associated with an increased risk of heart disease, diabetes and some cancers," says Johnson. "The body does not seem to detect fullness as well when you drink sugary drinks. That is one explanation for why sugar-sweetened beverages are associated with obesity."

Recently the American Heart Association came out with a scientific statement about sugar intake and heart health because it says there is new evidence about the relationship between the two. The statement says some research has found a link between sugar consumption and cardiovascular disease, while other research has not found a direct link.

The AHA says that the best way to maintain a healthy weight and to decrease the risk of heart disease is to eat a healthy diet and to limit added sugar to no more than 100 calories a day for women and 150 for men.

Soft drinks and other sugar-sweetened beverages are the main source of added sugars in the American diet, according to the statement. One 12-ounce regular soda contains the equivalent of 10 teaspoons of sugar and has about 140 calories.

Our obsession with sugar, salt and fat

@highlight

About 1 in every 100 deaths is caused by sugary beverages, researchers say

@highlight

The American Beverage Association says the study is "more about sensationalism"

@highlight

Researchers analyzed data to link sugary drink consumption to obesity-related deaths