(CNN) -- Could we one day live underwater? Ask Fabien Cousteau -- a month from now.

Cousteau, grandson of underwater explorer Jacques-Yves Cousteau, is spending the rest of June in Aquarius, the world's only underwater marine lab, 63 feet beneath the ocean's surface near Key Largo, Florida.

Cousteau and a small team of researchers -- they like the term "aquanauts" -- will spend the month living together in cramped quarters while studying how climate change and pollution affect ocean life. The monthlong operation is called Mission 31, named for the number of days they will live underwater.

"I hope this will spawn a new focus on ocean exploration, whether it's living in a habitat or beyond," said Cousteau. He'll be assisted by more than 30 support staff, including filmmakers and researchers from Florida International University, which operates the Aquarius lab.

"It takes 24 people topside just to have six people down below for 31 days, just like NASA does for the International Space Station," Cousteau said.

Some 50 years ago, Jacques Cousteau and a team of underwater researchers lived for a record 30 days in an ocean lab known as Conshelf II at the bottom of the Red Sea. With Mission 31, Fabien Cousteau hopes to honor his grandfather's legacy while beating his record by one day.

The project also marks the first opportunity for fans to follow an underwater Cousteau expedition in real time. Thanks to Internet connectivity inside Aquarius, Fabien Cousteau hopes to reach millions of people through Skype, Instagram, Twitter chats and classroom sessions via streaming video at mission-31.com.

We had a rare opportunity to visit Cousteau as he was undertaking his mission and get a glimpse of Aquarius, a lab that has been used by NASA astronauts in pre-mission training.

The 81-ton lab sits on stilts and resembles some kind of underwater machinery that's covered with algae, barnacles and other growths. Schools of fish, a stingray, tarpons, a nurse shark and a 300-pound grouper cruise by as we descend the 63 feet to the lab.

We enter through something called a moon pool, a small chamber that leads to the entrance of Aquarius. Going quickly from underwater to inside, we begin breathing normal air, but our bodies are still pressurized, so they're reacting to dive-like conditions underwater. Because of that, our time is limited before we have to go to the surface.

At 400 square feet, the lab is the size of a small studio apartment. The air conditioning is broken, and you can feel the humidity.

"You might find this to be a little weird and trippy, but I actually feel at home down here," Cousteau said upon greeting us. "It is amazing. I couldn't imagine a better house than one under sea."

Looking around, we see packets of dehydrated food and chips, which will feed the crew, who can't cook anything. To heat a pan could cause a spark, which is too risky with all the flammable oxygen around.

But while the meals are basic, the technology is advanced. The lab and control room are equipped with Wi-Fi, which lets Cousteau use Skype and remain in contact with the world above. There are 4K cameras and dozens of GoPros, along with numerous computers. There's also a refrigerator and a half-dozen bunk beds. A few personal mementos, like family snapshots, are sprinkled around.

There are many things scientists already know about what happens when humans spend a lot of time underwater. Weird things. After about 10 days, for example, you start to lose your sense of taste. Your hair grows faster, your voice is higher -- due to atmospheric pressure -- and for some reason you can't whistle (try and you will fail).

After scuba diving for six to eight hours a day, you sleep like a baby. That may be helpful, considering Cousteau's team is conducting the longest underwater sleep study to date. Their sleep cycles are monitored constantly with smartwatches.

While all this research is important, there's one question that still lingers: What is the point of a mission like this?

Cousteau said it's about more than just breaking records.

"I hope I am a firestarter, because at the end of the day, who wouldn't want to be an aquanaut?" he said. "I mean, this is just an amazing place. It's our final frontier. We've explored less than 5% of our oceans, so there's a lot left to do out there."

@highlight

Fabien Cousteau is living in a marine lab 63 feet beneath the ocean's surface near Florida

@highlight

Cousteau is a grandson of underwater explorer Jacques-Yves Cousteau

@highlight

Mission 31 is named for the number of days his team will live underwater

@highlight

They will study how climate change and pollution affect ocean life