(CNN) -- Kyoto, Japan's capital from 794 to 1868, is one of the biggest stars on the Japan tourism trail, recently voted "world's best city" by Travel + Leisure magazine readers.

Is it deserving of the title?

Definitely.

Unless you're a traveler under the age of 12 and don't give a hoot about learning the correct way to whisk a bowl of matcha green tea, exploring ancient UNESCO World Heritage sites or counting how many torii gates there are at the Fushimi Inari-Taisha Shrine (10,000, for the record).

When traveling to Kyoto with kids, the mutinous cries of "Not another zen garden, dad!" will inevitably ring out, threatening to derail that dream family vacation.

This is when you need to hit the Toei Kyoto Studio Park -- or Toei Uzumasa Eigamura -- and spend an afternoon geeking out on some of the most familiar icons of Japanese pop culture, from samurais and geisha to "Dragon Ball" and "Sailor Moon."

'The Hollywood of Japan'

First, you'll need to toss your Universal Studios fantasies out the sliding shoji screen door.

There are no rides here.

This theme park celebrates the best of Japanese film-making, filled with huge Edo-period (1600-1867) sets you can explore on foot -- preferably decked out in a funny samurai-style wig you rented in the costume shop near the entrance.

Often overshadowed by its traditional cultural allures, Kyoto was called the "Hollywood of Japan" between the 1920s and 1960s, until its thriving film industry went into decline.

In response, film-making leader Toei Studios Kyoto opened up parts of its sets to the public in 1975.

Further development followed and the theme park grew in popularity among tourists.

Today, many of Japan's "jidaigeki" period dramas are still filmed on these sets.

On my recent weekday visit to the Toei Kyoto Studio Park, crowds were light and no TV shoots were taking place, but I was able to get a behind-the-scenes sample of what happens on a typical Japanese historical drama shoot at the park's Jidaigeki Show.

More relevant to most foreign visitors, however, is the Anime Museum, filled with impressive displays, pictures and cells from shows produced by the Toei film company's animation arm, including "Kamen Rider," "Sailor Moon," "Dragon Ball" and "Super Sentai," on which the U.S. based its popular "Power Rangers" series.

In addition to Toei's dozens of film-related displays, the park has live ninja and samurai shows, a Haunted House, Ninja Mystery House, Trick Art Museum, 3D theater, maze of illusions, science museum, indoor kids play areas and a lovely Japanese "ukiyo-e" woodcut print gallery.

Haunting, but not horrifying

Given that the Toei film company is behind some pretty terrifying horror flicks, as well as the controversial cult classic "Battle Royale," I expect something a bit more grotesque than what awaited in the Haunted House.

Still, it's pretty darn scary, in a slightly cheesy way.

The sound effects alone left me fighting an urge to seek out an emergency "chicken" exit as I hissed aloud, "Why did I come in here?" (Expletive deleted.)

An actor, playing the role of a bloodied "dead" body, popped up in silent reply.

Next, bearing in mind the words of author Jarius Raphel -- "Ninjas don't wish upon a star, they throw them" -- I eagerly hit the Ninja Mystery House, where staff conducted a quick primer on the history of the cloaked assassins' residences before setting me free to get out of a fun maze of false walls and doors.

Alas, no ninja stars were thrown.

Over in the Trick Art Museum, quirky 3D anamorphic art and props made for a perfectly Instagrammable experience.

As I was traveling solo, a staff member was kind enough to accompany me through the space and take photos with my camera, doing a fine job of stifling her cringes as I struck awkward, unconvincing poses.

Though few would likely make a special trip to Kyoto to see the Toei Studio Park, it's definitely a kitschy and fun way to spend a few hours.

Buy the kids a souvenir ninja costume with their own set of throwing stars and you might even earn yourself an extra day of zen garden exploration.

Additional Toei Kyoto Studio Pak information

Many of the shows are presented in Japanese only, but inasmuch as they're highly visual, they're still worth watching.

Park displays include English text, while staff give out English-language maps at the entrance.

Toei Kyoto Studio Park has multiple restaurants throughout, which serve Japanese, Chinese and Western cuisine.

Admission is 2,200 yen ($21) for adults. Some attractions require an additional charge.

Toei Kyoto Studio Park, JR Uzumasa Station,10 Uzumasa, Hachigaoka-cho, Ukyo-ku, Kyoto; +81 (0)75 864 7716

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Kyoto was once called "the Hollywood of Japan" due to high number of films shot in the city

@highlight

Toei Kyoto Studio Park features Edo-themed sets, samurai/ninja shows and a scary haunted house

@highlight

Anime Museum highlights shows produced by Toei including "Sailor Moon," "Dragon Ball" and "Super Sentai"