(CNN) -- A fight for the control of Sake, a strategically placed town in the eastern part of the Democratic Republic of Congo, raged Thursday, while regional leaders sought to end the crisis.

The political leader of M23, the rebel group that captured Goma, a key city near Sake, two days earlier, flew to Uganda Thursday for talks with that country's president.

The United Kingdom's minister for Africa, Mark Simmonds, arrived in Kigali, Rwanda, Thursday and immediately issued a statement saying "there can be no attempt to unseat the legitimate government of the Democratic Republic of Congo" while calling on the DRC government to "address the underlying causes of the conflict."

"I call on the M23 to stop its advance and to withdraw from Goma immediately," Simmonds said. "This would benefit the people of the DRC and is the will of the governments of the region and the whole international community."

Oxfam, which is monitoring humanitarian conditions in the area, warned Thursday that the fall of Goma to the rebels poses "a very real risk of complete collapse of state authority and the humanitarian crisis reaching new depths."

It estimates that 120,000 people are in urgent need of help, with many sleeping in the open or in schools and other buildings without humanitarian aid.

"People are living in chaotic conditions," said Tariq Riebl, Oxfam's humanitarian coordinator. "There are real fears that cholera and other fatal water-borne diseases could spread, as shortages of power and water in Goma have left thousands of people with no choice but to get water straight from Lake Kivu."

Reporter Phil Moore, who was in Sake Thursday, said "the crack of heavy gunfire ripped through the town" in the afternoon, sending thousands of residents fleeing down the road to Goma.

"The road east to Goma was filled by people carrying bedding, cooking pots and whatever belongings they had to hand," Moore said. "One boy walked past with his six goats. Motorcycles sped past, three people squeezed onto the small seat, and minibuses were bursting with those fleeing renewed violence. The sound of mortar rounds exploding mixed with the rumble of thunder, rolling in from the north."

These refugees from Sake will suffer a difficult night, he said, "forced to sleep amongst the sharp, volcanic rock that defines the landscape on the edge of Lake Kivu. Seeking refuge in the Mugunga IDP camp, already filled with 50,000 people. There is little to eat, and no shelter."

The situation of who is fighting and who is in control is unclear, he said. Sake is strategic because it is a gateway to Bukavu, the capital of South Kivu.

"A motorcycle raced through the crowd saying that M23 had retreated from the town and were held up at a small stream crossing just outside of the city," Moore said. "As the thousands of fleeing civilians walked east towards a camp for the internally displaced, a truck filled with rebels raced from Goma towards Sake. Minutes later, they were followed by a column of a dozen rebels, running on foot, their pick-up truck having broken down further up the road. Bandoliers rattled around their necks as they carried PKM machine guns and Kalashnikov rifles, and some carried rocket-propelled grenades."

M23 political leader Jean-Marie Runiga Lugerero was summoned to Kampala by Ugandan President Yoweri Museveni, who is hosting a conference of regional leaders Saturday aimed at ending the crisis in the DRC, according to an M23 source close to Lugerero.

DRC President Joseph Kabila and President Paul Kagame of Rwanda were also in Kampala for the International Conference for the Great Lakes Region, which is set to start there Saturday.

When the M23 rebel movement gained control of Goma earlier this week, it announced that it plans to "liberate" the entire country.

An M23 spokesman said Tuesday that the capture of Goma, the culmination of several days of heavy fighting against government forces, was just the beginning.

"We will push on to Bukavu, then Kisangani, and finally take Kinshasa and overthrow the government," Lt. Col. Vianney Kazarama said to enthusiastic cheers from a crowd of several hundred at Goma's stadium, according to a Congolese reporter there.

Kazarama said that once the rebels overthrow the government, they will call for elections.

Kinshasa, the country's capital, lies nearly 1,000 miles west of Goma, the capital of North Kivu province.

The eastern part of the DRC, which includes Goma, has been embroiled in violence since 1994, when Hutu forces crossed the border from Rwanda fearing reprisals following the genocide in that country.

The M23 group was named for the peace deal of March 23, 2009, which they accuse the government of violating. The soldiers, mostly Tutsis, became part of the national army through that accord. However, they broke away from the Congolese army in April, complaining they weren't being promoted as promised, and because of a lack of pay and poor conditions.

Tens of thousands of Congolese, already displaced by previous rounds of fighting in the volatile region, have fled camps around the edges of Goma, according to UNICEF and the medical charity Doctors Without Borders.

CNN's David McKenzie contributed to this report.

@highlight

NEW: U.K. minister calls on M23 to "stop its advance and to withdraw from Goma immediately"

@highlight

Uganda's president summoned M23's political leader to Kampala for discussions

@highlight

Fierce fighting erupted Thursday in Sake, a city west of Goma

@highlight

Oxfam warns of "the humanitarian crisis reaching new depths"