(CNN) -- President Barack Obama says he isn't bluffing when he says Iran shouldn't have a nuclear weapon, but he cautions against an Israeli strike against the Islamic republic.

"At a time when there is not a lot of sympathy for Iran and its only real ally, (Syria) is on the ropes, do we want a distraction in which suddenly Iran can portray itself as a victim?" he said this week in an interview with the Atlantic.

Obama, who is to meet Monday with Israeli Prime Minister Benjamin Netanyahu, said a permanent solution is necessary.

"The only way historically that a country has ultimately decided not to get nuclear weapons without constant military intervention has been when they themselves take (nuclear weapons) off the table," Obama said. "That's what happened in Libya, that's what happened in South Africa."

Obama said Iran and Israel understand that he isn't bluffing about his opposition to an Iranian nuclear weapon.

"I think that the Israeli government recognizes that, as president of the United States, I don't bluff," he said.

"I also don't, as a matter of sound policy, go around advertising exactly what our intentions are. But I think both the Iranian and the Israeli governments recognize that, when the United States says it is unacceptable for Iran to have a nuclear weapon, we mean what we say. "

Iranian officials have insisted their nuclear program is intended solely for peaceful purposes. But their statements have not persuaded Washington or Israel.

Obama said he's not going to take "any option" off the table and will pressure Iran until it "takes a different course." He stressed the importance of political, diplomatic and economic sanctions against Iran.

He said the West has a "sanctions architecture that is far more effective than anybody anticipated" and tough sanctions "put a world of hurt on them."

He also said that a transition to "a peaceful and stable and representative Syrian government" from the pro-Iran Bashar al-Assad regime would be "a profound loss for Iran."

"Preventing Iran from getting a nuclear weapon isn't just in the interest of Israel, it is profoundly in the security interests of the United States," he said.

Obama said that Iran's gain of a nuclear weapons would "run completely contrary to my policies of nonproliferation."

"The risks of an Iranian nuclear weapon falling into the hands of terrorist organizations are profound. It is almost certain that other players in the region would feel it necessary to get their own nuclear weapons," Obama said.

"So now you have the prospect of a nuclear arms race in the most volatile region in the world, one that is rife with unstable governments and sectarian tensions. And it would also provide Iran the additional capability to sponsor and protect its proxies in carrying out terrorist attacks because they are less fearful of retaliation."

Netanyahu said three years ago that Iran was being led by a "messianic apocalyptic cult."

Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, has called the leadership "rational."

The interviewer, Jeffrey Goldberg, asked where Obama fell "on this continuum."

"There is no doubt they are isolated," the president said. "They have a very ingrown political system. They are founded and fueled on hostility towards the United States, Israel and, to some degree, the West. And they have shown themselves willing to go outside international norms and international rules to achieve their objectives. All of this makes them dangerous. They've also been willing to crush opposition in their own country in brutal and bloody ways.

"I think it's entirely legitimate to say that this is a regime that does not share our world view or our values. I do think, and this is what General Dempsey was probably referring to, that as we look at how they operate and the decisions they've made over the past three decades, that they care about the regime's survival. They're sensitive to the opinions of the people and they are troubled by the isolation that they're experiencing."

Obama said Netanyahu has a "profound responsibility to protect" Israelis, given the Holocaust and anti-Semitism.

"I think it's important to recognize, though, that the prime minister is also head of a modern state that is mindful of the profound costs of any military action, and in our consultations with the Israeli government, I think they take those costs, and potential unintended consequences, very seriously," Obama said.

There have been reports of friction between Obama and Netanyahu. The president was asked if they are friends and talk about matters other than business.

"The prime minister and I come out of different political traditions. This is one of the few times in the history of U.S.-Israeli relations where you have a government from the right in Israel at the same time you have a center-left government in the United States, and so I think what happens then is that a lot of political interpretations of our relationship get projected onto this," he said.

Obama said he and Netanyahu "can be very frank with each other, very blunt with each other, very honest with each other."

"For the most part, when we have differences, they are tactical and not strategic. Our objectives are a secure United States, a secure Israel, peace, the capacity for our kids to grow up in safety and security and not have to worry about bombs going off, and being able to promote business and economic growth and commerce."

Obama has been criticized by some for not adequately supporting Israel's security interests, but he said, "we've never had closer military and intelligence cooperation."

"When you look at what I've done with respect to security for Israel, from joint training and joint exercises that outstrip anything that's been done in the past, to helping finance and construct the Iron Dome program to make sure that Israeli families are less vulnerable to missile strikes, to ensuring that Israel maintains its qualitative military edge, to fighting back against delegitimization of Israel, whether at the (U.N.) Human Rights Council, or in front of the U.N. General Assembly, or during the Goldstone Report, or after the flare-up involving the flotilla -- the truth of the matter is that the relationship has functioned very well," Obama said.

"Flotilla" was a reference to Israel's raid on a Gaza-bound flotilla that left nine people dead. The Goldstone Report was a controversial assessment of Israel's Gaza offensive.

Obama said "there's no good reason to doubt" him.

"Why is it that despite me never failing to support Israel on every single problem that they've had over the last three years, that there are still questions about that?

"Some of it has to do with the fact that in this country and in our media, this gets wrapped up with politics. And I don't think that's any secret. And if you have a set of political actors who want to see if they can drive a wedge, not between the United States and Israel, but between Barack Obama and a Jewish-American vote that has historically been very supportive of his candidacy, then it's good to try to fan doubts and raise questions," he said.

Obama cited his "full-throated defense of Israel" before the U.N. General Assembly as an example.

"Our goals are in sync. And historically, one of the reasons that the U.S.-Israeli relationship has survived so well and thrived is shared values, shared history, the links between our peoples. But it's also been because it has been a profoundly bipartisan commitment to the state of Israel. And the flip side of it is that, in terms of Israeli politics, there's been a view that, regardless of whether it's a Democratic or Republican administration, the working assumption is: we've got Israel's back. And that's something that I constantly try to reinforce and remind people of."

The president also countered those voices who say he isn't up to using military power to stop Iran.

"If people want to say about me that I have a profound preference for peace over war, that every time I order young men and women into a combat theater and then see the consequences on some of them, if they're lucky enough to come back, that this weighs on me -- I make no apologies for that. Because anybody who is sitting in my chair who isn't mindful of the costs of war shouldn't be here, because it's serious business. These aren't video games that we're playing here."

But Obama said the record shows he's willing to take military action when necessary, citing the killing of al Qaeda leader Osama bin Laden and actions against the Taliban. Drone strikes have been used regularly against militants along the Afghan-Pakistani border during Obama's term.

"So aside from the usual politics, I don't think this is an argument that has a lot of legs," Obama said.

For his part, Netanyahu said Friday that any long-term talks with Iran on the state of its nuclear program would likely go nowhere.

"It could pursue or exploit the talks as they've done in the past to deceive and delay so that they can continue to advance their nuclear program and get to the nuclear finish line by running up the clock," he said.

The Israeli prime minister was in Canada ahead of his planned meeting next week with Obama. Netanyahu repeated that Israel reserves the right to defend itself against Iranian threats, leaving a unilateral, pre-emptive, military strike as a possibility.

"This is a very dangerous time, actually," said Janice Stein, a Middle East analyst and director of the Munk School of Global Affairs at the University of Toronto. "Somebody can miscalculate. For example, should Iran, right after these parliamentary elections, think that an Israeli military strike is certain in the next few months, there is some incentive to go first."

CNN's Paula Newton contributed to this report.

@highlight

NEW: "This is a dangerous time, actually," says Middle East analyst

@highlight

The president is set to meet with Netanyahu

@highlight

"It's unacceptable for Iran to have a nuclear weapon," Obama says

@highlight

The risk of an Iranian weapon falling into terrorist hands is "profound," he says