(CNN) -- A day after the deadly failed test flight of Virgin Galactic's SpaceShipTwo, there were words of strength in the face of adversity.

The pilots' bravery cannot be overstated, Virgin Group Founder Richard Branson said. The goal of commercial spaceflight remains unchanged, he added.

But with one pilot's death, injuries to another and the loss of the aircraft, there are questions that must be answered along with the inspiring words.

Virgin Galactic, Branson admitted, will not "push on blindly."

To that end, a team of 13 to 15 investigators from the National Transportation Safety Board were on site in the Mojave Desert, where the debris from SpaceShipTwo was scattered over a five-mile area. The test aircraft went down about 20 miles northeast of Mojave.

"This was a test flight, and test flights are typically very well-documented in terms of data," NTSB Acting Chairman Christopher A. Hart said. "We may have lots of evidence that will help us with the investigative process, and we appreciate that."

While answers for what went wrong with the test flight might be days away, Virgin Galactic and its partner in Mojave, Scaled Composites, identified the pilots at the controls of the aircraft.

Michael Tyner Alsbury, 39, died in the Friday incident. He was the co-pilot, Scaled Composites said.

Peter Siebold, 43, was identified as the pilot who survived the crash. He suffered moderate injuries and was airlifted to Antelope Valley Hospital for treatment, the Kern County Sheriff's Office said.

"We have not (interviewed him) because doctors did not recommend we do an interview at this stage," Hart said.

The two test pilots had logged many years of flight experience each, according to biographies of the men.

Deadly day for space tourism -- but future 'rests' on such days, official says

Deputies first located Siebold, who'd parachuted to the ground, and later found the body of Alsbury, according to a news release from the Kern County Sheriff.

Alsbury worked at Scaled Composites for more than a dozen years and served as a project engineer and test pilot, according to a bio for a 2013 symposium for the Society of Flight Test Engineers.

He was the co-pilot for both SpaceShipTwo's first glide and first powered flight, the bio said, and logged more than 1,600 hours as test pilot and test engineer in Scaled aircraft.

He had a degree in aeronautical engineering from California Polytechnic State University in San Luis Obispo, California.

Siebold had worked for Scaled Composites since 1996, according to his biography on the company website, and had 17 years and more than 2,000 hours of flight experience.

The company bio said he was responsible for the development of the simulator, avionics/navigation system and ground control system for the SpaceShipOne Program. He participated in flight testing for the scaled model of the 316 SpaceShipOne.

Like Alsbury, he obtained a degree in aerospace engineering from California Polytechnic University.

'Bravery of test pilots cannot be overstated'

On Saturday, Branson said investigators will find out what caused the Virgin Galactic's SpaceShipTwo to break apart.

"We are determined to find out what went wrong," he said at a news conference.

Branson said everybody knows commercial space travel is "an incredibly hard project."

"This is the biggest test program ever carried out in commercial aviation history to ensure that this never happens to the public," he said. "The bravery of test pilots cannot be overstated. Nobody underestimates the risks involved in space travel."

The company, he said, will not "push on blindly."

"To do so would be an insult to all those affected by this tragedy," he said. "We're going to learn from what went wrong, discover how we can improve safety and performance and then move forward together."

When asked about the future of Virgin Galactic, Branson said the company's goal is still putting people safely into space.

"I think millions of people in the world would love one day to have the chance to go to space, and this is the start of a long program," he said.

Still, he said, the company will gladly give refunds to anybody who had already purchased a flight.

Nothing seemed abnormal before incident

The first sign there was a problem with Virgin Galactic's SpaceShipTwo came at about 45,000 feet, just two minutes after the spaceplane separated from the jet-powered aircraft that carried it aloft.

It wasn't something overt with SpaceShipTwo, said Stuart Witt, the chief executive of Mojave Air & Space Port in California, where it was launched and monitored. It was what didn't happen next during the test flight, he said. Witt did not offer details but appeared to indicate the spaceplane did not follow its previous test-flight patterns.

Nothing seemed abnormal during the takeoff or flight before the spaceplane's failure, Witt told reporters.

For years, Virgin Galactic has planned to sell trips in which SpaceShipTwo transports passengers about 62 miles above Earth -- the beginning of outer space -- and lets them experience a few minutes of weightlessness before returning to ground.

The incident occurred shortly after SpaceShipTwo separated from WhiteKnightTwo, the vehicle designed to carry it aloft, the Federal Aviation Administration said. The jet-powered WhiteKnightTwo returned safely to the Mojave Air & Space Port, Witt said.

Questions are being raised about a new fuel mixture used after Scaled Composites President Kevin Mickey said it had been ground-tested a number of times, but Friday's flight was the first time it was used in a test flight.

It's unclear what the failure of the spaceplane will mean for the program. Virgin Galactic planned to send paying customers on SpaceShipTwo as early as next year.

Virgin has sold more than 700 tickets, each costing more than $250,000, for future flights. Several celebrities have already signed up, including Justin Bieber, Ashton Kutcher, Leonardo DiCaprio and Stephen Hawking.

With composite lightweight materials, "feathered" rudders capable of turning 90 degrees and a hybrid rocket engine, SpaceShipTwo is as safe as modern technology can make it. As designer and aviator Burt Rutan put it in 2008, "This vehicle is designed to go into the atmosphere in the worst case straight in or upside down and it'll correct."

Opinion: The truth about launching spaceships

CNN's Mariano Castillo, Mayra Cuevas, Paul Vercammen, Michael Martinez, Mike Ahlers, Rosalina Nieves, Sonya Hamasaki, Shelby Lin Erdman and Todd Leopold contributed to this report.

@highlight

Pilot who survived identified as Peter Siebold, 43, Sheriff's Office says

@highlight

Authorities identify pilot who died as Michael Tyner Alsbury, 39

@highlight

Virgin Group founder Richard Branson vows to find out 'what went wrong'

@highlight

Both pilots worked for Virgin Galactic's partner, Scaled Composites