Washington (CNN) -- The Supreme Court wrestled Wednesday with a familiar, if elusive, foe -- legislative intent -- when considering whether a California man should be compensated after the government violated his privacy by disclosing his personal medical history.

The justices appeared torn over the meaning of two fuzzy words in federal law -- "actual damages" -- and whether Stanmore Cooper's claims of mental and emotional distress are covered under the Privacy Act.

"The argument you have made -- and I certainly understand it, that this is the Privacy Act and so it's precisely these types of damages that you would be concerned about -- really cuts both ways," said Chief Justice John Roberts to Cooper's lawyer.

"What you are saying is this (law) covers a really big chunk of damages, because this is what the whole act was about," Roberts said. "And it seems to me that argument suggests that there is some weight to the government's point: that if you are going to get that, you really do need clearer" language in the law that would immunize the government to some extent, from a flood of hard-to-disprove lawsuits.

The ambiguity has divided lower courts for years, and privacy experts say the ease with which the government can collect and share information in the digital age makes the issue of personal privacy liability ripe for review.

Cooper, 69, became a licensed recreational pilot in 1964, but two decades later the San Francisco man was diagnosed with the HIV virus. As his condition worsened over time, he let his private pilot's certificate and his airman medical certificate lapse.

Cooper in 1996 then applied for long-term disability with the Social Security Administration.

"I was in bad shape, I didn't have long to live," he told CNN. But as his health improved, thanks to a cocktail of anti-retroviral therapy, he went back to work and wanted also to fly again.

"I found out they were issuing medicals (exemptions) and I reapplied" to the Federal Aviation Administration "without revealing my HIV status," he said. "Big mistake."

He received his new pilot's certificate but, unknown to him, a joint local-federal initiative called Operation Safe Pilot was launched in 2002. Using a spreadsheet, the agencies shared and compared the names and personal data of about 45,000 pilots in Northern California, looking for those potentially medically unfit individuals who were also receiving federal benefits. Cooper was among four dozen or so pilots tagged as a "person of interest."

When confronted by government agents, he admitted to a misdemeanor charge of filing a false report.

He was sentenced to probation and fined, and his pilot's certificate was revoked. The retired business executive's name was listed in a federal press release and later, through his prosecution, Cooper's medical history suddenly was a matter of public record.

"I had been able to control those of whom I shared my information about my HIV status, limited to some co-workers, family, and close friends," he said "And suddenly that was out of my control."

Cooper, who was eventually allowed to fly again, sued.

"I chose not to reveal my HIV infection and that was a very bad thing," he said. "I took responsibility for it and I paid the price. I was punished. And I think now it's the government's turn to own up to breaking the law and take responsibility for what they did."

A federal judge found both the FAA and the Social Security Administration violated the Privacy Act with the information-sharing probe, but said under the law only "actual damages" could be collected by plaintiffs seeking redress. Since Cooper made no claims for economic harm, such as lost wages or medical expenses, he was therefore was out of luck. The judge found "emotional injury" alone did not qualify and dismissed the lawsuit.

But a federal appeals court reversed, ruling for Cooper. The FAA then asked the high court to intervene.

During a sedate hour of oral arguments, the justices stayed away from the specific claims of emotional harm made by Cooper, focusing instead on what the law says about qualifying for damages.

Justice Ruth Bader Ginsburg repeatedly hammered away at the government lawyer arguing for the FAA. She said the federal damages provision in question is similar to state tort claims that include both emotional and financial harm.

"The person who is subject to this, to this embarrassment, this humiliation, doesn't have out-of-pocket costs, but is terribly distressed, nervous, anxious, and all the rest," she said. "The act that the Congress is reaching, the impact is of that nature. I mean, pecuniary [monetary] damages ordinarily attend conduct that embarrasses, humiliates you, causes mental distress."

Eric Feigin of the Justice Department admitted the Privacy Act's language may be interpreted as allowing damages for such things as "humiliation, embarrassment and mental anguish," but said because the phrase "actual" damages remains vague, the government should get the benefit of the doubt, tipping the case in its favor.

"Simply because a plaintiff may have suffered an adverse effect" from the privacy violation, said Feigin, "doesn't mean that the plaintiff suffered actual damages."

The bench expressed confusion over which similar but competing terms used in other laws dealing with damages -- "general," as opposed to "special," "proven" as opposed to "presumed" -- may apply in the Privacy Act's unique use of "actual damages." Getting that right in the justices' minds will mean the difference between whether Cooper or the government ultimately prevails.

"It's sort of odd," Justice Sonia Sotomayor said, "for Congress to borrow from the defamation context and with a defined term of art, 'special damages,' and not use it in the Privacy Act if that's what it intended." She hinted that view would allow Cooper to collect for emotional distress.

But Justice Antonin Scalia appeared to support the government, saying various agencies were being burdened with an overly complex and inclusive federal privacy law. He suggested it was not meant to cover the kinds of claims Cooper is seeking.

"All you have to know is that you shouldn't give it (the personal information) to the other agency, because you are not making it public. You are not doing the kind of thing that constitutes an invasion of privacy under state law. You just failed -- intentionally failed -- to follow the very detailed and picky, picky prescriptions contained in the Privacy Act. To say that you get emotional distress for that as opposed to what I would call genuine privacy incursions, which state law covers, is a different question."

Raymond Cardozo, Cooper's lawyer, pointed out his client's information was made public, and his name and HIV status are still posted on a federal government database. He also made a larger argument, that his client's dilemma is one that may affect all Americans.

"Congress passed this act to restore the citizens' faith in their government, and it made a solemn promise to the American citizens that in cases of intentional and willful violation, the United States shall be liable for actual damages," he said. "Today, the government is proposing that "actual damages" be read in a way that renders this act virtually irrelevant. That makes a mockery of that solemn promise."

Cooper attended the public session at the court and expressed optimism he would prevail.

"They've betrayed my trust and I can't get that back," he said afterward. "There was nothing to lose here. I had to do it. It was the right thing to do."

The case is Cooper v. FAA (10-1024). A ruling is expected next spring.

@highlight

The court tries to figure out what Congress intended by the words "actual damages"

@highlight

Stanmore Cooper says the words cover mental and emotional distress

@highlight

The government argues they are aimed at monetary damages

@highlight

Cooper says the public disclosure of his HIV status caused him harm