Seoul, South Korea (CNN) -- North Korea has proposed high-level talks with the United States to "ease tensions in the Korean Peninsula," its state news agency reported early Sunday.

The topics that "can be sincerely discussed" include easing military tensions, changing a truce treaty to a peace treaty, and nuclear matters, according to a statement from the North's National Defense Commission, as reported by the state-run Korean Central News Agency. It left some details -- like where and when the talks might be held -- up to Washington, and insisted U.S. officials should not lay out any preconditions for talks.

"(The United States should) not lose the opportunity that is laid out and should actively agree with our resolute step and good intention," the commission said.

A spokeswoman for the National Security Council said the United States has always been willing to talk.

"We will judge North Korea by its actions and not its words, and look forward to seeing steps that show North Korea is ready to abide by its commitments and obligations," Caitlin Hayden said.

A senior administration official said Washington will discuss the reports with Japan and South Korea at an upcoming meeting.

For years, North Korea has been at odds with many in the international community, including the United States, over its missile and nuclear programs.

Whether Pyongyang's offer is accepted -- and if so, on what terms -- and whether the talks will happen remain to be seen.

Last Tuesday, North Korea called off what were supposed to be the first high-level talks between North and South Korean officials in years. That meeting was supposed to start the next day.

High-level talks between Koreas called off

South Korea's Unification Ministry said the North dropped out after a dispute about who should be involved in the talks, after each side contended that the other wasn't sending a sufficiently high-level official.

The talks were to focus on, among other things, reviving joint economic activities. Amid a spike in tensions, the North in April halted activity at the Kaesong Industrial Zone, a shared industrial complex and major symbol of cooperation between the two countries.

North Korea removes missiles from launch site, U.S. official says

It was not immediately clear what might be on the agenda if U.S. and North Korean officials meet. Washington has been at the forefront of those demanding an end to Pyongyang's nuclear program, pushing for sanctions and rallying other nations to its side.

Tensions in and around the Korean Peninsula surged in December -- one year after Kim Jong Un assumed power after his father's death -- when North Korea launched a long-range rocket, then conducted an underground nuclear test two months later.

Adm. Samuel J. Locklear, the top U.S. commander in the Pacific, said in April that North Korea's missile and weapons programs posed "a clear and direct threat to U.S. national security and regional peace and stability."

Why North Korean intelligence is so hard to read

That same month, North Korea set out demanding conditions for talks. They included calling for the withdrawal of U.N. sanctions against it and a permanent end to joint U.S.-South Korean military exercises.

The United States and South Korea "should immediately stop all their provocative acts against the DPRK and apologize for all of them," the North's National Defense Commission said in a statement carried by state-run media, using the shortened version of North Korea's official name, the Democratic People's Republic of Korea.

But those talks never came to be, with South Korean Foreign Ministry spokesman Cho Tai-young describing the North's demands as "preposterous."

The United States has said that, in order for it to engage in talks, North Korea would have to show a serious commitment to moving away from its nuclear program.

If new talks actually happen, it will be the second senior-level meeting between the U.S. and North Korea since Kim Jong Un took power.

The first talks were in February 2012, when North Korea's first vice minister, Kim Kye Gwan, held talks in Beijing with Glyn Davies, the U.S. envoy for North Korea policy.

At the time, North Korea agreed to stop nuclear activity at its main facility in Yongbyon and impose a moratorium on nuclear tests and long-range missile launches in exchange for 240,000 tons of food assistance.

However, the agreement fell apart after the U.N. imposed sanctions in response to North Korea's failed long-range rocket launch in April 2012.

@highlight

NEW: Washington says North Korea needs to back up its words

@highlight

A North Korean government group makes its offer to the U.S. to "ease tensions"

@highlight

The U.S. has spearheaded efforts targeting North Korea's nuclear program

@highlight

The North abruptly called off talks days ago with South Korea