Take a look at ingredients for some varieties of Subway's bread and you'll find a chemical that may seem unfamiliar and hard to pronounce: azodicarbonamide.

To say this word, you would emphasize the syllable "bon" -- but the attention the chemical has been getting has not been good. Besides bread, the chemical is also found in yoga mats and shoe soles to add elasticity.

But it's not long for bread at Subway: The company says it's coming out.

"Even though this ingredient is safe, we are removing it from Subway bread. This process began last year and is nearly completed -- we have already developed an improved bread formula, conducted extensive performance and consumer testing on it, and pending final government approvals we should complete the entire conversion process within the coming weeks," Subway said in a statement.

Subway said azodicarbonamide is "an extremely common bread ingredient that is fully approved and recognized as safe by the FDA."

The controversial chemical has been used by commercial bakers for the purpose of strengthening dough but has been poorly tested, according to the Center for Science in the Public Interest.

One of the breakdown products, derived from the original substance, is called urethane, a recognized carcinogen, the organization says. Using azodicarbonamide at maximum allowable levels results in higher levels of urethane in bread "that pose a small risk to humans," CSPI said.

Another breakdown product is semicarbazide, which poses "a negligible risk to humans" but was found to cause cancers of the lung and blood vessels in mice, CSPI said.

CSPI advocates for reducing the amount of the chemical that is allowed to be used.

"We urge the Food and Drug Administration to consider whether the Delaney amendment, which bars the use of food additives that cause cancer in humans or animals, requires the agency to bar its use," CSPI said.

The FDA has said that the additive cannot exceed 0.0045% by weight of the flour when used in as a "dough conditioner."

The American Bakers Association told CNN: "Past FDA sampling results have indicated appropriate low level use in products. As a dough conditioner it has a volume/texture effect on the finished loaf. It is a functional ingredient that improves the quality of bread and any substitutes are likely not to work as well as ADA (azodicarbonamide)."

Food blogger Vani Hari, of the popular food blog Food Babe, originally drew public attention to this issue, CSPI said. She has written about Subway ingredients several times since 2012, this week she launched a petition urging Subway to stop using azodicarbonamide. More than 67,000 people signed.

Grocery store breads and restaurant breads also contain this chemical. Other major fast food chains have products with the ingredient too, including McDonald's, Starbucks and Arby's.

McDonald's has also responded to concerns about the chemical with regard to its McRib sandwich buns, but continues to use the chemical in that product.

McDonald's notes on its website that a "variation of Azodicarbonamide has commercial uses and is used in the production of some foamed plastics, like exercise mats. But this shouldn't be confused with the food-grade variation of this ingredient."

Azodicarbonamide is not legally allowed to be used as a dough improver in the European Union, according to the European Food Safety Authority. It is also banned in Australia.

A 1999 report from an international group of health experts, published by the World Health Organization, says some studies suggest that the chemical can induce asthma, based on evidence from people with symptoms and employees of facilities where the chemical is manufactured or used.

But use of the chemical in the workplace is very different, and carries much greater exposure than eating a tiny amount in bread.

The report notes that the concentration required to produce asthmatic reactions is unknown.

"The level of risk is uncertain; hence, exposure levels should be reduced as much as possible," WHO said.

@highlight

Azodicarbonamide is a chemical found in yoga mats and shoe soles

@highlight

The chemical has been used for the purpose of strengthening dough

@highlight

Announcing its removal, Subway notes chemical has USDA and FDA approval

@highlight

'Food Babe' blogger drew attention to the issue