Davos (CNN) -- Davos is a stimulating place to be, to discuss and to learn. Hopefully, by coming together, we will find ideas and solutions that will bring the world forward.

In my opinion, one of our challenges is that we are about to lose a whole generation of resources because of the growing unemployment of youth. It is dangerous not to let today's youth be a part of the reshaping of the world. In 2013, according to the World Bank, 73% of the labor force between the ages 15 and 24 was without work, but available for and seeking employment.

Many of the people I have admired over the last few years have been young people I have met in very different situations. They have become role models for leadership and high ethical standard.

Some fantastic young people I have met have shown leadership under such hard conditions that I can picture them taking a leading position within a wide range of fields.

I believe today's youth -- the ones you find at almost any school almost anywhere in the world -- are highly competent people with knowledge and experience that would be in the best interests of established leaders to utilize.

Youth today live in an extreme world regarding diversity, conflict, opportunities and technical means of connecting with others. The global networks of youth are far ahead what established leaders of today had when they were young.

Since 2006 I have been visiting schools and talking to students all around the world together with my fellow Young Global Leaders John Hope Bryant and Pekka Himanen.

We have arranged so called Dignity Days -- which is the main activity of our organization Global Dignity. We have three goals: To spur a global conversation on dignity, to arrange Global Dignity Days at schools and promote dignity-based leadership.

This year, Dignity Day will be held for more than half of the Norwegian first year high school pupils -- and in around 50 countries world wide.

What strikes me during my very diverse meetings with youth around the world is how similarly they define dignity -- and how relevant it feels for most young people to discuss this issue as a core value of our time.

These are some of the dignity stories we have been told:

In Jordan, a girl stood up and told how annoyed she had been when she got a visually impaired teacher.

The girl was very ambitious, and thought she would get less quality training because of the teacher's disability.

When the teacher later became the first visually impaired person in Jordan to earn her PhD, the student completely shifted her perspective. She realized that she was proud that this had been her teacher and that she had learned something more important from her than from any of her other teachers.

In South Africa a girl told how, during the riots in 2009, her grandmother covered and hide some of the immigrants in her home, who were targets of the riots.

In Norway, a Muslim student told how her friend had started to walk to and from school together with a Jewish boy who was being bullied -- to support and protect him.

I particularly like this third story. It shows the genius of youth in beautiful simplicity. It hits the core of what the world's leaders have been struggling so hard over so many years to achieve. I believe youth is an important target group for positive change -- indeed the real driver of positive change.

Youth find it incredibly easy to grasp the idea of dignity -- and even better: how it can be operationalized into practical action. They are truly Champions of Global Dignity.

So what do we need to do to create positive change?

It is not enough to merely accept the inherent dignity of all human beings. Our actions must reflect the dignity of others. In my view dignity consists of two main parts: Firstly, inherent dignity and secondly, perceived dignity -- a sort of dignity capital. We all have the ability to increase other people's dignity capital -- and thus increase our own.

This is about doing all we can to become our best selves -- by making conscious decisions -- and making the best out of our resources. Take action, see potential, and give unemployed youth the opportunity to use their resources as a response to this both current and emerging challenge.

Gordon Brown: Without frontiers, young people mobilize for change
Klaus Schwab: Business must help young people find jobs
Opinion: Why Europe's unemployment ills need urgent economic medicine

The opinions expressed in this commentary are solely those of Crown Prince Haakon of Norway.

@highlight

Norway's Crown Prince Haakon: It is dangerous not to let youth help reshape the world

@highlight

He says global youth networks are far ahead what established leaders had in their youth

@highlight

Youth find it incredibly easy to operationalize dignity into practical action, he writes