A documentary on the 1996 explosion that brought down TWA Flight 800 offers "solid proof that there was an external detonation," its co-producer said Wednesday.

"Of course, everyone knows about the eyewitness statements, but we also have corroborating information from the radar data, and the radar data shows a(n) asymmetric explosion coming out of that plane -- something that didn't happen in the official theory," Tom Stalcup told CNN's New Day.

All 230 people aboard TWA 800 died when the plane, headed for Paris, exploded and crashed into the Atlantic Ocean shortly after takeoff from John F. Kennedy International Airport in New York. Scores of witnesses observed a streak of light and a fireball, giving early rise to suspicions that terrorists had struck the plane with a rocket.

Investigators concluded the streak was likely burning fuel streaming from the plane's wing tank.

The National Transportation Safety Board ruled that the explosion was caused by an electrical short circuit, most likely originating in a fuel gauge line, which found its way into the center wing fuel tank, where it detonated fuel vapors and caused the B-747 to fall in pieces into the waters off Long Island.

But some people have come forward, "all saying the same thing: that there was an external force -- not from the center wing tank, there's no evidence of that -- but there is evidence of an external explosion that brought down that plane," Stalcup said.

He cited "corroborating information from the radar data" and complained that "not one single eyewitness was allowed to testify -- that's unheard of."

"The family members need to know what happened to their loved ones," he said.

Asked why such information might have been suppressed, Stalcup said, "That's a question that should be answered when this investigation gets reopened."

Possibility of a review of new information

The NTSB acknowledged receipt Wednesday of the filmmakers' petition -- signed by former investigators -- requesting that the investigation be reopened.

"As required by NTSB regulation, a petition for reconsideration of Board findings or a probable cause determination must be based on the discovery of new evidence or on a showing that the Board's findings are erroneous," said board spokeswoman Kelly Nantel.

What really happened

"We assign petition responses to the relevant modal office for drafting. The NTSB's Office of Aviation Safety will assign staff, to the maximum extent practicable, who did not work on the original investigation to carefully prepare a response. The response will be presented to the full Board for their consideration and vote."

The board's investigation of TWA 800 lasted four years and "remains one of the NTSB's most extensive investigations," Nantel said.

Investigators "spent an enormous amount of time reviewing, documenting and analyzing facts and data and held a five-day public hearing to gather additional facts before determining the probable cause of the accident," she said.

But she left open the possibility the case will be reopened.

"While the NTSB rarely re-investigates issues that have already been examined, our investigations are never closed, and we can review any new information not previously considered by board," she said.

One TWA 800 family member reacted to the news of the documentary with skepticism.

"Some of the people involved in this group have been involved in Internet conspiracy theories for the last 15 years," said Joe Lychner, whose wife, Pam, and two daughters, Shannon, 10, and Katie, 8, died in the incident.

"So far as I can tell, this is just a rehash of what's been out on the Internet," he said.

"If they have no new information and this is just trumped-up stuff that's been out there forever, yes, it is hurtful," Lychner said. "Why go through this again.  Conversely, if they do have new information and it's provable, it's a game changer. I will watch this thing with a very critical eye, knowing what I know."

John Goglia, a member of the five-person NTSB during the investigation, said he "took offense" at the filmmakers' suggestion that board members ignored evidence. "I would never be part of any coverup -- period," he told CNN.

"This accident, this report, over 50,000 pages, if you take and just look at certain pieces of it, you can move the cause of this accident any way you want. You can take just the radar; you can say it was a missile. You have to take all of the pieces and look at them as a whole.

"The sequencing report that told how the airplane fell apart, none of it supports a missile -- none of it. When you look at the physical evidence inside the tank, it's clear that there was an explosion inside the tank. If the top of the tank goes up and the bottom of the tank goes down, and the forward side goes forward and the back of the tank goes back, that tells you that the blast was inside the tank -- not outside."

He said that no holes were found in the tank that would indicate something had penetrated it.

But the documentary asserts that a missile may have exploded adjacent to the plane.

Critics challenge government investigation

Skeptics have long theorized that TWA Flight 800 was brought down by sinister forces.

They include Hank Hughes, who served as a senior accident investigator with the NTSB and helped reconstruct the aircraft. Others include Bob Young, a TWA investigator who participated in the investigation, and Jim Speer, an accident investigator for the Airline Pilots Association.

"These investigators were not allowed to speak to the public or refute any comments made by their superiors and/or NTSB and FBI officials about their work at the time of the official investigation," a news release announcing the documentary said.

"They waited until after retirement to reveal how the official conclusion by the (NTSB) was falsified and lay out their case."

James Kallstrom, who headed the FBI's investigation into the explosion, dismissed suggestions that investigators concealed information and were not receptive to clues.

"If they felt that way back then, they could have come to me," Kallstrom said. "I was someone desiring to get to the bottom of this, believe me. And I had a reputation for not, you know, for not pussyfooting around. Yet it seems like they've comfortably waited until they have their pensions before they became whistle-blowers. So I think it's a bunch of bullcrap."

The documentary, "TWA Flight 800," will premiere July 17, the 17th anniversary of the crash.

Stalcup is co-founder of the Flight 800 Independent Researchers Organization and has been a longtime and passionate critic of the official investigation.

Suspicions that criminals or terrorists were behind the TWA 800 explosion are not new. The FBI conducted a parallel investigation, but concluded that the incident was not a crime or terrorist attack.

The NTSB said Tuesday that it was aware of the pending release of the documentary, which will air on EPIX TV network, and of the producers' intent to file a petition to reopen the investigation.

The documentarians said they have a "trifecta of elements" that will "prove that the officially proposed fuel-air explosion did not cause the crash." That trifecta includes forensic evidence, firsthand sources and corroborating witnesses, and the new statements from retired investigators.

The evidence proves that "one or more ordnance explosions outside the aircraft caused the crash," the producers said. But it does not identify or speculate on the source of the ordnance explosions.

Read more about transportation with "On the Move"

@highlight

TWA family member cites "Internet conspiracies"

@highlight

Producer: "One or more ordnance explosions outside the aircraft caused the crash"

@highlight

"TWA Flight 800" will premiere July 17, the anniversary of the crash

@highlight

NTSB investigator insists evidence showed an explosion inside the fuel tank