New York (CNN) -- "Inspiration exists," runs a famous quote attributed to Spanish artist Pablo Picasso. "It just has to find us working."

And at the Maker Faire, which took place in the grounds of the New York Hall of Science recently, there was plenty of evidence of that hard work.

The Maker Faire is a glorious celebration of nerdiness. When exhibitors aren't talking excitedly about Ram or Javascript, or the correct proportion of catalyst to reactant in the conversion of vegetable oil to biofuel, they are showcasing the truly incredible benefits to be reaped from locking yourself away in your room or garden shed for years on end.

Brian Patton, for example, a middle school teacher from Trenton, New Jersey, has spent his time building a singing robot.

With pipe cleaners for eyebrows and doll's eyes, the robot is synched to a computer program that Patton wrote himself and allows him to control 17 tiny motors that alter the features of the animatronic face.

He moves the features of the face in time to the song by moving a mouse and records each motor individually. The recordings can be played back simultaneously to get the full effect.

Watch Erno Rubik on Make, Create, Innovate on Tuesday October 9 on Quest Means Business

The e-puppeteer has an application in mind for his creation -- a teaching aid for children with autism.

"There is already quite a lot of anecdotal evidence that autistic kids respond better to robots than to adults," Patton says.

"The robot could be a sort of surrogate teacher for them. They could learn by singing along with it."

Not all the musical performances at the fair were as complex as Patton's robots, and some of the best innovations on display were the most simple.

Read more: 'Li-Fi' provides a light bulb moment for wireless web

It's surprisingly easy to turn vegetable oil into biofuel as Ben Jorritsma, from Sussex County, New Jersey demonstrated.

Collecting used vegetable oil from local restaurants to make biofuel at his family farm, Jorritsma claims to make enough to power 20 tractors.

"Most of the production cost is for the methanol, which is used as the reactant," explained Jorristsma.

"You need potassium hydroxide as a catalyst. Basically all you're doing is breaking apart polymers to thin the oil down so that it won't clog your engine."

Sponsored by "Make Magazine," the Maker Faire began in San Mateo, California in 2006 and has since spawned events in Detroit and San Francisco -- which attracted 100,000 visitors last year.

Read more: $30 gadget lets you control computer with your eyes

This is the third time the show has come to New York where it received the endorsement of Mayor Michael Bloomberg, who declared the week leading up to this year's fair "Maker Week" in the city.

One of the best things about the event is the spirit of openness that seems to pervade, with exhibitors incredibly generous about sharing their hard-earned knowledge.

Special FX expert Marc Fields, for example, hosted a seminar explaining some of the how-tos of creating movie props.

He showed how paints containing powdered metal can be splashed with acid to create metal oxides that give the effect of natural rusting, and how to make fake tree bark from a mold ingeniously colored using carpet scrapings.

"I want people to see that they could go home and do a lot of this stuff themselves," said Fields, who has built props for enclosures at the Bronx Zoo and worked on Hollywood movies such as "Cold Mountain."

This DIY ethos is probably the strongest theme binding all the participants. Near the end of the day, I meet Jason Naumoff, an event organizer based outside San Francisco.

A few years ago, Naumoff put together a competition that offered entrants the chance to build a machine in just 72 hours from "conception to reality."

Now sponsored by the energy drink maker Red Bull, the theme of this year's competition was "games" and included a centrifuge made with a golf cart engine that spun players at up to five times the force of gravity.

"When you leave people to their own devices and don't constrain them, the results are mind-blowing," Naumoff said.

@highlight

Maker Faire in New York provides a platform for inventors to showcase their ingenious ideas

@highlight

Organized by "Make Magazine," the exhibition attracts many DIY inventors and thousands of visitors

@highlight

Vast array of ideas and projects on display from animatronic robots to special effects masterclasses