(CNN) -- The Arizona Senate Judiciary Committee began holding hearings Monday afternoon on proposals to end birthright citizenship under the 14th Amendment for U.S.-born children of illegal immigrants.

Lawmakers in a total of 40 states are considering similar proposals "to correct the monumental misapplication of the 14th Amendment of the U.S. Constitution," according to the legislators' new group, State Legislators for Legal Immigration.

The 14th Amendment to the U.S. Constitution, which was ratified in the wake of the Civil War, provides in part that "All persons born or naturalized in the United States, and subject to the jurisdiction thereof, are citizens of the United States and of the State wherein they reside." The provision has the effect of granting "birthright" citizenship to anyone born in the United States, even if both of the child's parents are in the country illegally.

The Arizona proposals, introduced by Republicans two weeks ago and quickly opposed by Democrats, are the latest measures following new Arizona laws that seek to crack down on illegal immigration but have landed up in court.

Sponsors of this latest legislation have said they hope the bills, if one becomes law, also will provoke a lawsuit so that the U.S. Supreme Court can re-examine the meaning of the 14th Amendment's citizenship clause.

Mike Philipsen, spokesman for the state senate's Republican majority, which holds 21 of the chamber's 30 seats, said the judiciary committee is scheduled to hear two hours of testimony from supporters and opponents of two bills seeking to end birthright citizenship for babies born on U.S. soil to illegal immigrants.

Under the proposals, Arizona would create a special class of birth certificates for children who are born to parents who can't prove their citizenship.

The committee is chaired by the bills' Senate sponsor, Ron Gould, said Philipsen.

"These folks are essentially gaming the system to put themselves ahead of the line," Gould told CNN, referring to illegal immigrants giving birth to children in the United States as a way for their children to have citizenship.

A similar measure is sponsored in the House by Rep. John Kavanagh, whose chamber has yet to schedule a hearing, Philipsen said.

"Obviously with this issue, there's going to be a lot of debate on it, there's going to be a lot of people speaking on it," Philipsen said of Monday's scheduled two-hour hearing.

If approved, the legislation would apply only to children born after the law went into effect or after a ruling from the expected court action, Kavanagh said.

Advocates of the Arizona proposals and others like them being planned in several states argue how during an 1866 Congressional debate, U.S. Rep. John Bingham of Ohio, considered one of the fathers of the 14th Amendment, said "...every human being born within the jurisdiction of the United States of parents not owing allegiance to any foreign sovereignty is, in the language of your Constitution itself, a natural born citizen...."

Pennsylvania state Rep. Daryl Metcalfe, a Republican who's the founder of the State Legislators for Legal Immigration, said that Bingham's comment is the basis for his group's efforts in several states to form a compact defining the 14th Amendment. They argue that the reference to "parents not owing allegiance to any foreign sovereignty" means the 14th Amendment was not intended to apply to children born of citizens from other countries.

"It's very important for those who are in elected office to uphold and defend the Constitution and to ensure the Constitution is applied correctly and the laws of our nation are the result of the correct application," Metcalfe told CNN. "That is the only way we're going to protect American lives, liberties, and property from the illegal alien invasion that's occurring on our soil."

By noon Monday, several dozen members of Border Action Network and other community organizations gathered outside the Arizona Senate in Phoenix to participate in what was supposed to be a "one-thousand baby chain" protesting the Senate hearing, which began at 2 p.m. (4 p.m. ET).

The hearing ended later Monday afternoon without the committee taking any action on the legislation.

"Our legislators need to stop these incredibly expensive, 'quick-fix' approaches to a broken immigration system," Jennifer Allen, executive director of Border Action Network, said in a statement.  "We need legislators with political spine to say that we need to protect all children, protect our Constitution and fix our immigration system."

Arizona Senate Minority Leader David Schapira, a Democrat, called the proposal legislation "a waste of time" and unconstitutional. He told CNN the proposed legislation would also seek to create an interstate compact between Arizona and other willing states that would recognize the proposed new class of birth certificates for non-citizens.

"Arizona's fiscal situation is among the worst, if not the worst, in this country. I can't believe we're wasting our time on this," Schapira said.

Given how sponsors ultimately seek a lawsuit before the U.S. Supreme Court, Schapira said: "It's really misplaced priorities."

CNN legal analyst Jeffrey Toobin said the U.S. Supreme Court is unlikely to take up such a case.

"This is not something that the Supreme Court is going to revisit," Toobin said. "It's not like it's been controversial for 150 years.

"This is really a frivolous endeavor," he said. "The law is so clear on this issue. The language of the 14th Amendment says all persons born in the United States are citizens. It doesn't matter who your parents are or if they're in this country legally or illegally.

"This group is better off trying to amend the Constitution than to pursue this law, which in my opinion is unconstitutional," Toobin said.

CNN's Casey Wian contributed to this report.

@highlight

At issue is "birthright citizenship" for children of illegal immigrants

@highlight

An Arizona legislative panel is holding a hearing on a proposal to end birthright citizenship

@highlight

Opponents say the measure is unconstitutional

@highlight

Sponsors say the measure is designed get the issue before the U.S. Supreme Court