(CNN) -- Some of Europe's best footballers will be missing in Poland and Ukraine this month, as the effects of another grueling season takes its toll.

The English Premier League, the only one of the continent's major divisions not to have a winter break, is particularly brutal in its demands on players, with research by UEFA indicating that EPL stars are four times more likely to be injured in the last three months of the campaign than those elsewhere.

With so many matches being played -- and at such physical intensity -- perhaps player burnout is inevitable before a major championship such as Euro 2012 even starts.

But is it? What if coaches and medical staff had a way of tracking players' fitness, allowing them to be rested before injury occurs?

One leading sports scientist, Dr. Craig Duncan, has come to the conclusion that soft-tissue injuries -- such as those suffered by England's Frank Lampard and Gareth Barry -- can be prevented if players wear global positioning systems (GPS) during matches.

A satellite-based positioning system owned by the US Department of Defense, GPS can measure how intensely players are working by tracking their position on the field.

A study of two international rugby union players, which was published in 2011, concluded that "GPS data provides important performance indicators, assists in the development of conditioning and training protocols, as well as injury management."

In Australia, where Duncan is based, the tool is permitted in rugby league and rugby union as well as Australian Rules football. However, according to football's ruling body FIFA, "GPS systems are not a part of the players' basic equipment" -- even though the system is used by clubs and international teams in training.

However, arguably it might be in FIFA's financial interest to permit the use of GPS given that it recently committed $75 million to an insurance policy to pay clubs a maximum annual payout of $9.7 million per player injured while on national team duty, with clubs paid a daily maximum of $27,000 a player.

"Football needs to legalize its use to enhance player welfare," Duncan, who is head of human performance at soccer club Sydney FC, told CNN.

"It's in the interest of clubs, fans, players and the game itself that we do everything possible to maximize the performance of the player while doing our best to minimize the risk of injury."

Half the size of a mobile phone, a GPS unit can be comfortably worn on the upper back by players.

Duncan wants FIFA to allow the use of GPS to enable managers to track how their players are coping -- and if they are working too hard, to replace them.

"We have substituted players in preseason when these numbers start getting outside normal zones and also to monitor loads in training to ensure injuries are prevented," said the Australian.

Duncan believes GPS has played an important role in significantly reducing injuries at Sydney FC.

"As with any prevention initiatives it's hard to say how much we have prevented but I will say we have reduced injury rates at my club by over 60% this year due to careful monitoring.

"If we could use it in games I do think we could prevent more as many injuries are fatigue related. However I also realize many managers would not make subs based on this."

His fears are backed up by the head of fitness and conditioning at English club Liverpool. Darren Burgess -- another Australian -- remains unconvinced by Duncan's argument, insisting that analysis systems such as Prozone provide more than enough data during the week to measure players' workload.

"I'm not sure you would ever get to the stage where a coach would make a substitution based on a player's workload -- and I'm in the coach's camp on that one," said Burgess.

He also believes here could also be reliability problems with GPS because major stadiums like Anfield might interfere with the satellite signal.

Question marks have also been raised about GPS accuracy and variability, but Duncan insists that if you are aware of the error range and it is consistent, you will be able to know when a player is outside their desired limits

"I have used it in a number of stadiums without issue and it is used every week in Aussie rules, rugby union and rugby league," he said.

Exercise physiologist Raymond Verheijen, who is working with the Russia national team during Euro 2012, believes as many as 80% of injuries are preventable. He has long argued that fatigue due to overtraining is the cause.

The Dutchman recently published a study demonstrating that teams playing every three days are substantially disadvantaged by player fatigue.

The study, which looked at 27,000 matches, showed that teams playing after just two days' recovery against opponents who had enjoyed at least a three-day gap were found to be 39% less likely to win at home and 42% less likely to win away.

Where both teams had just two days' rest, the away team suffered more, showing a 26% reduced likelihood of victory.

The FIFA insurance program starts after the European Championship in Poland and Ukraine, with UEFA providing insurance for the 16-team event and all national team matches involving players who play in Europe until September 1.

Part of Duncan's reasoning is based on his belief that not enough money is being spent on protecting on a club and country's most valuable assets -- the players.

"I've seen estimates that the total English Premier League wage bill is $2 billion and I would say less than 1% of that is spent on maintenance of these players through the use of sports medicine and sport science," Duncan told CNN.

"It's just not good business. People spend a greater percentage on maintaining a $30,000 car but for some reason commonsense thinking is removed in professional sport."

British company Optima-Life is working with the Firstbeat Technologies -- a Finnish firm that has developed a heart-rate analysis product. Optima-Life's chief executive Simon Shepard says stressed footballers need to get away from thinking just about training and then playing matches.

"There is a real area of excitement that people are starting to understand the multiple demands of being an athlete," said Shepard. "It's not just about the training that you do for 20 hours a week. What is the player doing for the other 148 hours of the week? How are they coping with the demands of travel, media and social relationships?

"So sports teams have the challenge of making sure that athletes take ownership of looking after themselves for 24 hours a day.

"In fact that is not just true of sports people, it also applies to business people."

Although FIFA rules do not permit the use of GPS, a spokesman for the world governing body did point out that on page 65 of the laws of the game it states: "A player may use equipment other than the basic equipment provided that its sole purpose is to protect him physically and it poses no danger to him or any other player.

"All items of clothing or equipment other than the basic equipment must be inspected by the referee and determined not to be dangerous."

Theoretically that might allow clubs or national federations the scope to request that FIFA allows players to use GPS in a game -- and arguably navigate a route to injury prevention.

@highlight

FIFA rules do not allow the use of GPS during football matches

@highlight

Governing body recently committed $75 million to player injury insurance policy

@highlight

Sports scientist Craig Duncan says GPS could help cut down on number of player injuries

@highlight

Exercise physiologist Raymond Verheijen believes as many as 80% of injuries are preventable