(CNN) -- The eurozone crisis has truly engulfed Italy -- but is it because the country is insolvent or simply unable to access funds easily in the financial markets?

If Italy is solvent, a distinction can perhaps be drawn between it and the countries surviving on bailout funds from Europe and the International Monetary Fund -- Greece, Portugal and Ireland. The solution, in this case, would be for the European Central Bank to provide cheap liquidity -- loans, effectively -- to the Italian government for a limited period of time. The markets would then be pacified and the crisis would begin to be resolved.

If only it were that easy. The distinction between being insolvent and unable to access funds easily in the financial markets might be natural to enterprises but it does not easily fit sovereign states. Italy is certainly finding it difficult to access funds -- the bond markets are gradually turning the tap off by pushing rates on ten year bonds above 7%. But how can we tell if it is insolvent?

Solvency means that Italy could be reliably expected to service its national debt out of its expanding gross domestic product (GDP). If lenders were confident about growth and sufficient tax revenues, they would continue to meet Italy's public borrowing needs. If they were not, the country would have a liquidity problem, as is currently happening. Solvency and liquidity are closely connected for sovereign states.

Financial markets rightly worry about Italy's solvency. They have often been wrong during the last several years, but not this time. Since the mid-1990s, Italian growth has been less than 2% a year; investment and consumption have been practically flat; increases in people's real income have been among the weakest in Europe, worse even than Germany. Italian households, traditionally conservative, have increased their borrowing to 45% of GDP.

Only one word can characterize Italian performance during the years of monetary union: stagnation. The country has systematically lost competitiveness relative to Germany. The result has been one of the highest national debts in Europe, standing at around 120% of GDP. Critically, as Italian households have come under pressure, national saving has been steadily declining, making it difficult for the country to service its national debt.

Lenders are justifiably worried since, in all these respects, Italy looks similar to the struggling smaller economies of the eurozone periphery. It might be a sizeable economy with a large industrial base, but that means little in this case. The European Monetary Union -- which is the system within which the euro operates -- has trapped several countries of diverging competitiveness within a rigid framework of fixed exchange rates, a single monetary policy, tough fiscal discipline, and continuous pressure on labor. The markets realize that Italy's debt predicament is similar to peripheral countries, and are sensing that the crisis is gradually moving to the core.

The response of the European Union has been a testament to its weakness. To placate markets it has demanded the imposition of austerity on Italy. But the economics of austerity makes no sense at all. Italian problems have originated in a stagnant economy, not in a profligate state. Austerity would almost certainly make things worse by pushing the country into recession, thus worsening the burden of debt. Greece is an extreme case, but it shows graphically the dangers. Italy is entering a risky path -- and the markets know it.

On top of that, the imposition of austerity has directly transgressed on Italian sovereignty and on the domestic democratic process, as it has done elsewhere in the periphery. The EU appears to be increasingly run by a small cabal of core countries which impose decisions on others, ignore national institutions and practices, and even force elected governments out of office in preference to so-called non-political administrators.

As the liquidity crisis gets sharper and Italy threatens to be shut out of the markets, the EU has only one weapon in its armory: the European Central Bank . It must stem the unfolding collapse of the monetary union by allowing the ECB to buy large volumes of Italian debt. But this could only fix the shortage of liquidity -- Italy's solvency problem will continue and probably become worse through austerity.

If, moreover, the ECB started freely to purchase the public debt of the other 16 countries, it would soil its own balance sheet, a dangerous course to adopt as there is no state to back it up. The credibility of the euro would suffer across the world, defeating the purpose of the monetary union for Germany and other countries at the core.

With Italy in turmoil, the EMU is coming up against its own contradictions and probably heading for a breakup. The mix of economic malfunctioning and open disregard for national sovereignty and democracy is highly combustible. Peripheral countries, in particular, are steadily forced toward the exit, with Greece under the most intense pressure.

This is probably the only way to break out of the trap of monetary union, while restoring sovereignty and reasserting democracy. Should that occur, the implications for the European and the global economy will be very severe. But those who decide EU policy would have only themselves to blame.

The opinions expressed in this commentary are solely those of Costas Lapavitsas

@highlight

Costas Lapavitsas is the lead author of a new RMF report 'Breaking Up? A Route Out of the Eurozone Crisis'

@highlight

He says the EU's Economic and Monetary Union is probably heading for a break up

@highlight

Lapavitsas: The response of the European Union has been a testament to its weakness