(CNN) -- The challenge facing the next generation of the Chinese leadership is steering the nation as it moves from an export and investment driven economy to a more sustainable consumption-driven economy.

However, such transformation will not be easy. Over the last two decades, various measures to encourage Chinese consumption had limited success.

The expansion of higher education since mid-1990s was one early attempt. While a success in matriculation -- 19% of Chinese under the age of 30 have a college degrees -- the move failed to spur consumption as families instead saved to afford university educations. A similar story can be seen in the commercialization of the housing market. Families have to save increasingly more in order to afford apartments with rising prices.

Given the spotty success of Beijing policy to boost consumption, new research suggests the key may lie in tackling China's growing divide between the rich and the poor.

Read more: Why China needs to learn the three R's

The government has never publicly released household-level data necessary to study this problem. To gauge the scope of the problem, my colleagues and I at China Household Finance Survey conducted a nationwide survey, interviewing a random sample of 8,438 households in China, both rural and urban.

We found that the top 10% of Chinese households garnered 57% of total income and 85% of total assets -- a concentration level of income and wealth that surpasses those of developed countries, and can only be found in some of the African countries such as South Africa and Seychelles.

Income inequality is the key reason for China's low consumption rate. The rich hold the vast majority of Chinese savings. The top 10% of households have 69% of the total savings, and average saving rate for these households is a staggering 60%. Conversely, about half of the Chinese households surveyed have negligible savings.

Therein lies the dilemma for Beijing's new leaders as they try to make Chinese consumers, not exports, the key driver of China's economy. Why? The data suggests China's rich are already spending what they need, and pocketing most of the rest.

The low savings rate of most Chinese households surveyed suggest they simply don't have the money to spend. To move toward a consumer-based economy, therefore, raising the income -- and spending -- levels for the poor is key.

Read more: Why China won't turn the other cheek over foreign policy

Here the next generation of Chinese leadership can and should play a significant role.

Typical thinking is to attack the problem from the income side by increasing the tax on the rich and redistribute it to the poor. Chinese policymakers are working in a similar vein. Beijing plans to issue new guidance on income redistribution in December.

Although information on this measure is still limited, it is likely to focus on the income side by regulating market wages -- a disappointment if it were true. Additional regulation will not only create market inefficiencies, it simply may not work -- if the past is any example, firms will find ways to circumvent regulation.

An effective approach to reduce the inequality and to boost consumption, however, is to shift government spending priorities away from massive infrastructure development -- roads, railroads and airports -- and toward social welfare investment.

Studies have shown that spending on social welfare can have a substantial effect on consumption. In the case of health insurance, each one dollar the government spends would increase consumption by $2.36 dollars for rural health insurance or $4.16 for urban employee health insurance, according to a series studies by my colleagues and I did in 2010.

Although 90% of Chinese population is currently covered by three basic health insurance systems, benefits differ substantially across the three systems because of different levels of contributions made by the government to the insurance premiums. Government should bring up the benefit level of the rural insurance to that of urban insurance.

Another important area that government can do is to establish an effective unemployment insurance system. So far, the coverage rate of the unemployment insurance is only 30% of that of health insurance. It also pays too little: unemployment benefit is only 17% of the average salary compared to 47% in the U.S. and 60% in Germany.

Given the challenges ahead, China's new leadership should view this with some urgency: When the economy is in transition, unemployment rate will likely rise and more people will need help.

Read more: Why China's reforms have hit a brick wall

Unfortunately, Chinese government has not given up the idea of spending on massive infrastructure projects to remedy its economic problems.

Over the last 10 years, government spending on social welfare programs is only about 3% of the total spending.

If the government creates a stronger social safety net for its citizens, Chinese workers will feel less pressure to save for health emergencies, unemployment and retirement, and more likely to buy goods and services -- and create a mature consumer-driven economy.

The opinions expressed in this commentary are solely those of Li Gan.

@highlight

Key challenge for China's leaders is moving to a consumption-driven economy

@highlight

Measures to encourage Chinese consumption have had limited success

@highlight

Research shows top 10% of Chinese households garnered 57% of total income

@highlight

Gan: Income inequality is the key reason for China's low consumption rate