Moments after breastfeeding her baby, Didiatou Hassam was shot in the head.

Packed into a truck with about 60 other men, women and children, she was on her way to long hoped-for safety when the militants emerged, guns spitting bullets, from the thick jungle of the Central African Republic.

Hers wasn't the only life lost to the attackers. A man named Issa Lumbi, traveling with his wife, brother and son, was also shot and killed in a separate ambush.

Our truck was No. 9 in a convoy of 20 carrying some 1,300 Muslims fleeing the ethnic violence tearing the country apart. The convoy had set off from the capital, Bangui, two days earlier.

Its passengers, many carrying amulets intended to protect the wearer from danger, perched atop piles of mats, sacks and pieces of wood, the sides of the truck festooned with brightly colored water containers.

The long line of trucks was headed up north, snaking its way 375 miles across the country on a hard, dangerous journey from the tropical Central African forest to the open savannah bordering Chad.

The journey was not made by choice. Bitter fighting between Muslim and Christian militia groups since a coup last year has claimed many lives and displaced hundreds of thousands of people.

But after four months trapped in a 500-meter stretch of road by a mosque in Bangui, under threat from the militia groups roaming nearby, it offered these families a chance at freedom from what had become an open-air prison.

Riding on the truck with them promised to give a close-up view of the dangers they faced en route.

Too risky to stop

As the bullets crack through the air, all of us on truck No. 9 duck down, trying to cover our heads.

A man with blood on his shirt stands up after the shooting. He is calling for help -- some of the people are injured. But for a while the huge convoy keeps on going. It is simply too risky to stop.

The breastfeeding mother is now dying at the man's feet.

The convoy eventually halts. About 10 minutes after it stops, a military doctor finally reaches her. He has been traveling with the Rwandan military escort provided by the African-led International Support Mission to the Central African Republic (MISCA). Its vehicles are scattered through the convoy but cannot cover the whole strung-out line of trucks as it rumbles along the red dirt road. The attackers, meanwhile, have melted back into the forest.

The Rwandan flag carried by the MISCA soldiers is a reminder of the slaughter that scarred their homeland two decades ago. Now they witness another African nation collapsing amid ethnic division.

The doctor tends to several people who were injured but Didiatou, although still breathing, is mortally wounded.

Someone removes the amulet she has attached to her waist. When they bundle her onto a mat and move her from one side of the truck to the other, the women, children and an old man nearby cover their faces and let out cries.

In addition to the baby, she was traveling with another daughter, aged perhaps seven or eight. The other women on the truck, heads covered and dressed in bold, printed fabrics, take over the care of the two children.

The ambush came around midday. Didiatou's body remains in the truck for the next six hours and is buried when the convoy stops for the night in Kaga-Bandoro.  Also buried is Issa Lumba, who was killed in front of his family in a second attack, presumably by the same militiamen, on a vehicle further back in the convoy.

Only in Kaga-Bandoro, where the convoy can move into a MISCA compound, can all the passengers climb down from the trucks for the first time in two days.

Joy turns to shock

The ambush was all the crueler because just a few minutes earlier, the convoy had reached Dekoa -- the first area controlled by the Seleka, a predominantly Muslim group.

As the convoy of displaced Muslims passed through, the first Muslim militiamen appeared, welcoming them with cheers and waves.

"We are safe now, no more worries," Mohamad said, smiling, as he greeted the militiamen from his perch on top of truck No. 9.

"The worst is behind," he said, meaning the 185 miles of road dotted with hostile anti-balaka, as the Christian militia are known, in our wake.

But the joy didn't last long.

Dekoa is currently one of the "hot areas" in the country's savage inter-communal conflict -- and the Christian militia were lying in wait for the convoy outside the town.

After the shock of the ambush lay more long miles of travel fraught with hardship and peril.

The convoy spent a third night in Kabo, where some passengers left to join family members or to settle in a newly created camp for internally displaced persons.

The last day ended at another such camp near the town of Moyen Sido, just shy of the border with Chad. Five babies were born en route, including two sets of twins.

After four days on the road, there was no food to greet the new arrivals.

Genocide fears

The country began its descent into chaos in March 2013, after a coalition of mostly Muslim rebels known as Seleka ousted President Francois Bozize. They have since been forced from power, but Christian and Muslim militias have continued to battle for control.

To counter attacks on Christian communities by Seleka groups, the vigilante groups known as the anti-balaka, which translates to "anti-machete," fought back.

As the situation has spiraled out of control, life in an already dirt-poor, unstable country has only become more hazardous.

At least 2,000 people have died in the fighting, and 2.2 million others -- about half the country's population -- need humanitarian aid, according to the United Nations. Hundreds of thousands have been displaced both within the country and beyond its borders.

The continuing violence has raised the specter of genocide, as occurred 20 years ago in Rwanda. "Do not repeat the mistakes of the past -- heed the lessons," U.N. Secretary-General Ban Ki-moon said last month on a visit to Bangui.

As communities have fractured, Christian and Muslim minorities have become increasingly threatened.

Aid workers have also been caught up in the violence. The medical charity Doctors Without Borders, or MSF, said this week it is reducing its operations in the country for at least a week after an attack on staff, patients and local authorities in one of its hospitals left 16 civilians dead.

'They will regret it'

The 1,300-strong group that left Bangui on April 27 had been trapped in an area of the capital known as PK12 for the previous four months.

Surrounded by anti-balaka militia members, they couldn't venture out to seek food or medical help, and were killed if they were caught leaving the area. Even within the enclave, they were subject to grenade attacks and shootings.

In response to their pleas for help, the convoy to the north was organized by the International Organization for Migration and other NGOs.

Now only one Muslim enclave remains in Bangui: PK5, where clashes, incidents and violence occur almost every day.

The capital is not the only place where isolated ethnic groups now live in fear. While Muslims are under threat in the south-west, in the north-east it's Muslim militias who rule and the Christians who are targeted.

The mayor of Bangui, Catherine Samba-Panza, was installed as interim president earlier this year. But the prospect of restoring peace to the country seems to be receding with each new attack.

While international peacekeeping forces are in the country -- some 6,000 African Union troops and 2,000 French forces, as well as the first contingent of 1,600 European Union troops -- their ability to police remote communities is limited. The United Nations has promised as many as 10,000 military personnel by September 15, which may help expand their operations. But the challenge is great and it may be too late.

As a local journalist said, troops may be deployed but the real issue is that of reconciliation among communities. The conflict cannot heal without the now-divided society coming together.

Even as the convoy of Muslims traveled north toward Sido Moyen, many of the men and young people packed onto the trucks spoke freely of their anger and desire for revenge.

"We will be back and they will regret it. We will finish with them. They will regret to have been treating us as animals and have kicked us out of our own country," said one 17-year-old civilian. Perhaps he, like others before him, will soon be a Seleka fighter too.

The string of terrible atrocities carried out by both Muslim and Christian militias as this violent divorce between communities plays out makes it hard to see a road back.

@highlight

Some 1,300 Muslims undertake a 375-mile journey from the capital, Bangui, to the north

@highlight

Their convoy comes under attack from Christian militia men; two passengers are killed

@highlight

Didiatou Hassam was breastfeeding her baby moments before she was shot in the head

@highlight

The United Nations says months of fighting have displaced hundreds of thousands of people