A prominent human rights activist whose 18-month house arrest in eastern China and dramatic escape attracted worldwide attention is in the U.S. Embassy in Beijing, a close friend said Saturday.

"When Chen Guangcheng first fled to Beijing, we had to keep moving him from place to place to ensure his safety -- and we agreed the U.S. Embassy is the only absolutely secure location in town," said Hu Jia, a fellow activist and one of the few people who've seen him since he arrived in the capital.

"I understand he's now in a 100% safe place and that place is the U.S. Embassy."

Quoting an anonymous source, Texas-based nonprofit group ChinaAid said Chen is "under U.S. protection and high-level talks are currently under way between U.S. and Chinese officials regarding his status."

"Because of Chen's wide popularity, the Obama administration must stand firmly with him or risk losing credibility as a defender of freedom and the rule of law," said Bob Fu, the head of ChinaAid.

A U.S. Embassy spokesman and Chinese officials declined to answer questions about Chen. U.S. Secretary of State Hillary Clinton is scheduled to arrive in Beijing next week for talks with Chinese officials on strategic and economic issues.

The activist, who is blind, was driven to Beijing on Sunday after evading his guards in a tiny village in Shandong Province, according to He Peirong, a friend and fellow activist.

Chen addressed Chinese premier Wen Jiabao in a video posted on YouTube on Friday, detailing "cruel" abuses he said he and his family suffered at the hands of authorities during more than 18 months of heavily guarded detention in their home.

"They broke into my house and more than a dozen men assaulted my wife," he said. "They pinned her down and wrapped her in a comforter, beating and kicking her for hours. They also similarly violently assaulted me."

Journalists and supporters were prevented from visiting Chen during his house arrest. One of those supporters is Hollywood actor Christian Bale, who was roughed up by security guards during such an attempt in December.

After learning of Chen's escape, Bale urged China to free his family, who were also under house arrest but did not escape with him.

"While it gives hope that, for now, Chen Guangcheng is safe, his family is not," Bale said in an e-mail to CNN Saturday. "As a world leader, China must now show its wisdom and compassion, and remind the world of its rich cultural history, by permanently freeing Chen Guangcheng and his family and never allowing thuggery and corruption to tarnish China's reputation again."

Chen, 40, is a self-taught lawyer who rose to fame in the late 1990s thanks to his legal advocacy for what he called victims of abusive practices, such as alleged forced abortions, by China's family-planning officials.

A local court sentenced Chen to four years and three months in prison in 2006 on charges of damaging property and "organizing a mob to disturb traffic" in a protest, charges that his supporters called preposterous.

Since his September 2010 release from prison, he had been confined to his home along with his wife, mother and daughter.

According to He, Chen's friend, Chen prepared for his escape for months by lying in bed for long periods so guards wouldn't be suspicious if they didn't see any activity from him for a long time.

Fellow activist Hu said Chen scaled a high wall at night and hurt his leg after jumping off.

"He stumbled and fell hundreds of times, and crossed a muddy creek -- it took him hours to evade layers of security," Hu told CNN by phone.

"As a blind man, his other senses are heightened," he added. "To him, night means nothing and darkness is protection."

Hu, himself released from prison last June after serving 3 1/2 years for "inciting to subvert state power," has known Chen since 2001. His wife posted a photo online of the men's reunion at an undisclosed location, showing both sporting black jackets and wide grins.

"He called me 'brother, brother,' and gave me a big hug," Hu said. "He has a lot more gray hair and is sick, but his spirits are high."

Chen's high-profile breakout appears to have angered the local officials who were holding him captive, with supporters saying at least four members of his family already detained.

In the Friday video, the blind activist appealed to the Chinese premier to investigate his case and expressed concern about the welfare of his wife, mother and daughter. Their whereabouts were unknown Saturday.

"Although I'm free, my worries are only deepening," he said. "They have been persecuting my family for a long time, and my escape would only prompt them into a mode of revenge."

U.N. High Commissioner for Human Rights Navi Pillay echoed those sentiments, saying in a statement released Friday that she is "disturbed to hear reports that other family members ... have now been detained."

Noting she has raised concerns about Chen's case before, Pillay urged Chinese authorities "to investigate the treatment of both him and his family, to ensure their physical integrity and to provide redress for any wrongdoing by local officials."

Repeated calls seeking comment from the local authorities in Shandong went unanswered.

The authorities' reaction also seems to have ensnared Chen's supporters, especially those suspected in helping him escape.

After speaking to CNN, Hu was taken away by police for questioning, his wife posted on Twitter.

Chen's friend He disappeared Friday, shortly after CNN interviewed her via Skype. The last message she sent out, said Fu of ChinaAid, was that state security agents had arrived at her home in the eastern city of Nanjing.

"I'm not concerned about my own safety," she said during the interview. "I hope they'll arrest me, not my friends."

@highlight

A fellow activist says Chen is 'under U.S. protection' with talks under way on his status

@highlight

Actor and supporter Christian Bale urges China to free Chen's family

@highlight

A  U.S. embassy spokesman declines to answer questions about him

@highlight

The blind activist flees to Beijing after being under house arrest for more than 18 months