More than 5 million Americans are living with Alzheimer's today, with another person developing the disease every 68 seconds. By 2050, the number of people living with Alzheimer's disease is expected to triple.

As if those numbers weren't staggering enough, consider this: Alzheimer's disease is the only cause of death among the top 10 (it's currently ranked No. 6) in the United States that can't be prevented, cured or slowed down.

Ask any expert, and he or she will tell you that early diagnosis is key to helping patients live better day to day, so even though the disease is still progressing, the symptoms are less harsh.

"Our hope is that if we could identify patients who are developing the disease early, it would give us a much better opportunity to intervene with treatments, and it's much more likely for those treatments to be effective," says Dr. Keith Black, chairman of neurosurgery at Cedars-Sinai Medical Center.

But while early diagnosis leads to early intervention, some news out of the 2013 Alzheimer's Association International Conference is troubling: An expert panel found 16 online tests for Alzheimer's disease scored poorly on scales of overall scientific validity, reliability and ethical factors.

"Self-diagnosis behavior ... is increasingly popular online, and freely accessible quizzes that call themselves 'tests' for Alzheimer's are available on the Internet," says Julie Robillard, who presented the data this week in Boston. "However, little is known about the scientific validity and reliability of these offerings and ethics-related factors, including research and commercial conflict of interest, confidentiality and consent."

"Frankly," Robillard adds, "what we found online was distressing and potentially harmful."

Robillard and her colleagues at the University of British Columbia found that unique monthly visitors for the parent sites hosting the online tests reached as high as 8.8 million.

At the same conference, another study concluded that the misdiagnosis of Alzheimer's disease in Medicare patients who actually have vascular dementia or Parkinson's disease leads to substantial excess costs of care. The study, conducted by Analysis Group, Inc. and Eli Lilly and Co., found the costs of erroneous care to be in excess of $14,000 a year per patient .

The silver lining: Those excess costs decline and eventually dissipate following a correct diagnosis.

"Recent developments in technology have greatly improved our ability to properly diagnose patients with cognitive impairment," said Analysis Group's Noam Kirson. "Our results suggest that there are economic benefits to properly diagnosing -- as early as possible -- the cause of the cognitive impairment."

If you suspect a family member or friend is developing Alzheimer's, take a look at these 10 warning signs of Alzheimer's Disease, put together by the Alzheimer's Association:

1.Memory changes that disrupt daily life

2.Challenges in planning or solving problems

3.Difficulty completing familiar tasks at home, at work, or at leisure

4.Confusion with time or place

5.Trouble understanding visual images and spatial relationships

6.New problems with words in speaking or writing

7.Misplacing things and losing the ability to retrace steps

8.Decreased or poor judgment

9.Withdrawal from work or social activities

10.Changes in mood and personality

Rather than diagnose Alzheimer's disease at home, head to your doctor's office. You can also find more information at www.alz.org, or by calling the Alzheimer's Association's 24-hour hotline at (800) 272-3900.

The importance of early detection and early intervention can't be stressed strongly enough. It could mean added years of lucidity and life for you or someone you love.

The first chapter in fighting Alzheimer's

@highlight

Early diagnosis is key for helping Alzheimer's patients, experts say

@highlight

16 online Alzheimer's tests scored poorly on scientific validity, reliability and ethics

@highlight

Rather than diagnose Alzheimer's disease at home, head to the doctor's office