(CNN)  -- Hondurans will answer two questions Sunday when the troubled Central American nation holds elections: Who will win the presidency, and will voters heed calls for a boycott?

The answer to a third question will remain unanswered for a while: Will the international community recognize the newly elected leader even though the vote was held under the stewardship of interim President Roberto Micheletti, who came to power after a coup?

"The government needs a strong turnout and limited irregularities in order to claim that the elections are legitimate, especially given that there will not be international observers from the [Organization of American States] or the Carter Center," said Heather Berkman, a Latin America analyst with the Eurasia Group consulting firm.

Ousted President Manuel Zelaya has said he will not recognize the election results and has called for a boycott. Many nations also have said they will withhold recognition of the winner in Honduras.

In a written statement, State Department spokesman Ian Kelly said the United States "remains committed to help restore the democratic and constitutional order in Honduras in the wake of the June 28 coup d'etat that removed President Zelaya and led to the suspension of Honduras from the Organization of American States."

He called the November 29 elections "another critical step in the restoration of the democratic and constitutional order in Honduras," and noted that the electoral process is conducted "under the stewardship of the multi-party and autonomous Supreme Electoral Tribunal, which was also selected before the coup."

Honduran authorities seemed to be preparing for violence.

Police and the military have stockpiled 10,000 tear gas canisters and other crowd-control equipment, "triggering fears of an increased risk of excessive and disproportionate use of force by security forces around the presidential elections," said the human rights organization Amnesty International.

The Gordian knot of Honduran politics was tied early June 28 when a military-backed coup removed Zelaya from power, shuttling him off in his pajamas to nearby Costa Rica. Congress swore in Micheletti, the Legislature's president, as his replacement a few hours later.

The United Nations, OAS, European Union and most nations -- including the United States -- condemned the coup and demanded that Zelaya be reinstated.

Five months later, Zelaya is still not in power, holed up instead in the Brazilian Embassy in Tegucigalpa, the capital of Honduras. The ousted president returned secretly to his country September 21 and obtained refuge at the embassy.

It looked like a solution had been reached October 29, when Zelaya and Micheletti agreed to a deal brokered by the United States. The pact said Congress would vote on Zelaya's return to power after consultation with the nation's Supreme Court and other bodies. The vote was supposed to be held within a week but now is set for next week after the elections.

The Supreme Court ruled 14-1 this week that Zelaya cannot return to office without facing trial first on charges that he acted unconstitutionally when trying to hold a vote that could have led to the lifting of presidential term limits. The Supreme Court had ruled that the vote was illegal, and Congress had forbidden it.

The coup came on the day that vote was supposed to be held.

Micheletti stepped down temporarily this week to try to distance himself from Sunday's elections. He said he will resume office Wednesday. The new president is scheduled to be sworn in January 27.

In addition to the presidency, at stake in Sunday's election are three vice presidents, 128 members of Congress and mayors and other municipal leaders throughout the nation.

Among the five major presidential candidates, Porfirio Lobo Sosa of the opposition National Party is considered the front-runner.

Polls last month showed him with a double-digit lead over Elvin Santos of the Liberal Party. Zelaya and Micheletti are Liberal Party members, and their rift has splintered the party.

The other three candidates are Bernard Martinez of the Innovation and Unity Party-Social-Democracy, Felicito Avila of the Christian Democrat Party and Cesar Ham of the Democratic Unification Party.

A sixth candidate, Carlos Reyes, withdrew this month.

Amnesty International said Friday that human rights activists and journalists critical of Micheletti's government have been receiving increased threats and intimidation.

For example, Amnesty International said, the Honduran military requested that a local mayor provide a list of names and telephone numbers for members of the opposition Resistencia movement.

"Today, there's an environment of fear and intimidation in Honduras," said Javier Zuniga, head of Amnesty International's delegation in Honduras. "We have seen an increased level of harassment against those who are seen as opposed to the de facto authorities, and officials responsible for the protection of human rights are not doing anything to investigate the incidents or stop them."

@highlight

NEW: U.S. State Department says elections are "critical step" to restore order

@highlight

Many nations likely to withhold recognition of newly elected Honduran leader

@highlight

Ousted President Manuel Zelaya has called for boycott of Sunday's elections

@highlight

Amnesty International says activists facing threats, intimidation