A criminal defamation case against two journalists in Thailand is set to proceed this week, despite calls from the United Nations and prominent rights groups for the charges to be dropped amid concerns over press freedom there.

The charges relate to an article published July 17 last year that included information from a Reuters investigative piece that alleged some Thai naval forces have been profiting from the smuggling of ethnic Rohingya people fleeing violence in neighboring Myanmar. Reuters won a Pulitzer Prize in international reporting for its series on the persecution of the Rohingya on Monday.

The Phuketwan journalists are accused of knowingly publishing false information and committing slander, according to the charge sheet.

In December, the Thai navy filed criminal defamation and computer crimes charges against the reporters from Phuketwan, a small news website in the province of Phuket, over a report connecting military personnel to human trafficking.

Veteran Australian journalist and editor of Phuketwan, Alan Morison, and reporter Chutima Sidasathian, a Thai citizen, have been advised that the case will proceed at Phuket's Provincial Court on April 17, according to a Phuketwan report.

Phuket's public prosecutor, Wiwat Kijjaruk told CNN Friday there was enough evidence to proceed with the case."Even though the two said that they just republished an article from Reuters ... they should have checked the facts before doing so," he said.

If convicted, Morison and Chutima could face up to seven years in jail.

'Chilling effect'

A United Nations human rights official has called on the Thai government to drop the case.

"Criminal prosecution for defamation has a chilling effect on freedom of the press," said Ravina Shamdasani, the spokesperson for the Office of the High Commissioner for Human Rights. "International standards are clear that imprisonment is never an appropriate penalty for defamation."

Human Rights Watch, which condemned the lawsuit along with other NGOs, said the Thai navy should allow authorities to look into the allegations of trafficking and other mistreatment of Rohingya migrants.

"Prosecutors should be investigating the poor treatment of Rohingya boat people instead of targeting journalists," said Brad Adams, Asia director for Human Rights Watch in a statement.

CNN could not reach the Thai navy for comment for this story. After the charges were filed in December, an official from the Royal Thai Navy, who asked not to be named, told CNN the navy "does not intend to obstruct any media from, or threaten any media for performing their duties. What we are trying to do is to protect our organization from false allegations." The navy has not released an official statement about the case.

Reuters has not been notified of any legal action over its report, which a spokesperson for the company said "was the product of extensive reporting, is fair, balanced and contextualized."

"We wish to emphasize that Reuters' story does not single out the Thai Royal Navy, but explores the responsibility of all involved in patrolling the Thai seas and provides their perspectives."

According to Phuketwan, other Thai news organizations that also published the text at the center of the case have not been charged.

If found guilty, Morison and Chutima could face jail time of up to two years on the criminal defamation charges and five years for breaching the Computer Crimes Act, as well as a fine of around $3,000.

'In defense of media freedom'

Thailand's Computer Crimes Act aims to stop the spread of content believed to threaten national security or create panic, but it has attracted criticism from freedom of speech advocates and internet providers for making online users liable for reproducing material originally published by others.

Denying the charges, Morison, 66, said that he will not apply for bail if a court seeks it, "in defense of media freedom in Thailand."

Originally from Melbourne, Morison has been in Phuket for 11 years, where he produces Phuketwan and also freelances for international media, including CNN, The Sydney Morning Herald and the South China Morning Post. He worked for CNN as CNN.com Asia Deputy Editor in 2001-2002.

Phuketwan has become known for its investigations into the alleged mistreatment of Rohingya, many of whom arrive in Thailand by boat after fleeing ethnic and religious violence in Myanmar.

Reports of Rohingya ending up in camps where they are held at ransom, beaten, killed or sold as laborers have been documented by NGOs and media organizations.

The Thai government says it is committed to combating human trafficking in Thailand but denies that the Rohingya are victims of trafficking. It says that the Rohingya are migrants who consent to being smuggled.

In a 2013 human trafficking report submitted to the U.S. State Department in March, Thailand does not include any Rohingya in its trafficked persons statistics, a spokesperson for the Thai Ministry of Foreign Affairs, Sek Suwannamethee told CNN Friday.

The State Department is due to release its latest ranking of countries' efforts to combat human trafficking in June. Thailand will be downgraded to Tier 3, the lowest rank, unless it makes "significant efforts" to tackle the issue, according to the State Department.

@highlight

A defamation case against two journalists is proceeding in Thailand

@highlight

The reporters cited a Reuters' report implicating authorities in human trafficking

@highlight

U.N. calls for the case to be dropped; investigate abuses against Rohingya migrants

@highlight

The case is set to proceed in court April 17