(CNN) -- The last white president of South Africa said the post-apartheid land is still trekking toward prosperity for all and a better democracy.

"Fact is that in South Africa, transition is taking its time," F.W. de Klerk said in an interview aired Thursday on "Amanpour," hosted by CNN's Christiane Amanpour. "I'm convinced it's a solid democracy and it will remain so, but it's not a healthy democracy."

Two decades ago, de Klerk joined with then-African National Congress leader Nelson Mandela to end the notorious system of racial separation known as apartheid. Their efforts led to a Nobel Peace Prize.

Read more: South Africa 'secrets' bill sparks outcry

Today, de Klerk said, the ANC -- the party in control -- is too powerful, its leaders have lost their "moral compass," and it needs to split.

"Any democracy in which one party has 65 percent of the vote and all the other parties share in the remaining 35 is not healthy," said de Klerk, who spoke with Amanpour during a summit of Nobel laureates in Chicago.

"On paper, we have a wonderful constitution. We've had a number of successful, free elections. We've had peaceful handover of power from one president to the other. So we really comply with the definition of a good democracy. But the party political situation needs to be normalized."

De Klerk said the system is failing to deliver to the people.

"The main failure, why we haven't made better progress," he said, "does not lie in any way whatsoever in the agreements we reached, which we negotiated between 1990 and 1994 and 1996. We agreed upon a good constitution, which is a transformational document.

"It is practical policies which have failed to bring a better life to the masses, which led to the enrichment only of the few, also amongst the new black elite. The middle class is growing fast, but somehow or another, the quality of service delivery had deteriorated substantially. Education has actually moved some steps backwards."

De Klerk cites high unemployment as a grinding problem, with a rate of 50 percent among blacks between ages 18 and 34. He was asked about a proposal by activist Desmond Tutu for whites to pay a wealth tax, given their heritage of privilege.

"I think already, if you analyze who pays tax, the tax structure is quite stringent on high-income earners," he said. "Inasmuch as the white forms the biggest percentage of high-income earners, they pay tax comparable to what very rich people pay in other countries.

"The whites in South Africa don't mind putting their hands in their pockets. They realize that all of us share a joint destiny, a common destiny, that we need to win the war against poverty. There isn't a resistance against paying tax.

"There is irritation if the high taxes paid are misspent. If there is not a frugal administration of the finances, if millions and millions are spent on non-worthwhile get-togethers and on luxury cars and on this and on that. There is not a resistance against being part of the solution by putting their hands deep in their pockets."

Asked about a statement from Tutu calling the ANC worse than the apartheid regime, de Klerk said he was "slightly surprised."

"I think it explains that those who say it's only the whites who are concerned about what is happening at the moment, it demolishes that assumption. It proves that moderate, well-disposed, serious black South Africans are as concerned about the loss of its moral compass by the present ANC leadership."

Mandela became president of South Africa on May 10, 1994, after decades of white minority rule.

De Klerk said he and Mandela have been "close friends."

"Not the closest in the sense that we see each other once a week. Also we live apart. But he's been in my home as a guest; I've been in his home as a guest. When I go to Johannesburg, my wife and I will have tea with him and Graca, his wife. No, we call each other on birthdays." Mandela is age 93 and de Klerk is 76.

"There is no animosity left between us," he said, even though there once were tensions

"The main cause for the tensions when there were tensions between us was the ongoing political violence," De Klerk explained. "His accusations and personal attacks upon me, as if I were responsible for it, as if I were looking away and allowing it to happen, not recognizing that extensive efforts which I made to identify the culprits. So that was the main cause of the tension."

He said he first met Mandela when he was brought "under the cover of darkness" to his office from a prison where the longtime activist was being held.

"I have read, of course, everything I could read about him beforehand. I was well briefed. I was impressed, however, by how tall he was, by the ramrod straightness of his stature, and realized that this is a very special man. He had an aura around him. He still has an aura around him. He's truly a very dignified and a very admirable person."

De Klerk said it was true that Mandela said he had to persuade his associates "to sit down with the enemy."

"I had to convince some of my supporters in the same vein," he said. "But can I say that from the beginning, in the negotiations, I realized that he was also a good listener, reaching out to the one speaking, trying to understand what lies behind what was being said. I felt it that first evening. And both of us later wrote in our respective autobiographies, after that very first meeting, we could report back to our constituencies, I think I can do business with this man."

Amanpour noted that Mandela had once called de Klerk "a man of integrity" but had taken it back, regretting that de Klerk had never renounced the principle of apartheid.

De Klerk said he wasn't aware Mandela said he "never renounced apartheid."

"I have made the most profound apology in front of the Truth Commission and on other occasions about the injustices which were wrought by apartheid," he said, referring to the panel established to help uncover past government errors and abuses and to foster amity.

He said he hasn't issued an apology for "the original concept of seeking to bring justice to all South Africans through the concept of nation states," the creation of separate black and white states.

"In South Africa it failed," he said. "And by the end of the '70's, we had to realize, and accept and admit to ourselves that it had failed. And that is when fundamental reform started."

He was then asked if apartheid failed because it was unworkable, or because it was simply morally repugnant.

"There are three reasons it failed," he said. "It failed because the whites wanted to keep too much land for themselves. It failed because we (whites and blacks) became economically integrated, and it failed because the majority of blacks said that is not how we want our rights."

Still, de Klerk would not back off his belief in the validity of the original concept of "separate but equal" nation states.

"I don't apologize for saying that what drove me as a young man, before I decided we need to embrace a new vision, was a quest to bring justice for black South Africans in a way which would not -- that's what I believed then -- destroy the justice to which my people were entitled. My people, whose self-determination (was) taken away by colonial power in the Anglo World War."

That, de Klerk said, is how he was raised.

"And it was in an era when also in America and elsewhere, and across the continent of Africa, there was still not this realization that we are trampling upon the human rights of people. So I'm a convert."

@highlight

F.W. de Klerk is the last leader of white-ruled South Africa

@highlight

He says the ANC is too powerful and that is a problem

@highlight

There's grinding unemployment in the country, he says

@highlight

He says he and Nelson Mandela are "close friends"