Atlanta (CNN) -- "It's so empowering to see yourself as a machine."

Jennie Finch speaks gently from an overstuffed chair in the CNN newsroom. The camera is finally off, and although her heart-shaped face was made for TV, it's easy to see she's more comfortable now that she's not reciting lines in front of the blinking red light.

"When I was 12, I had a coach tell me I would never be a championship pitcher," Finch continues. "That devastated me. I was crushed. And my dad drilled it in my head, you know, 'If you want it bad enough, and you're willing to make the sacrifices, you can do it. But first you have to believe in yourself.'"

Her coach was wrong. Finch, a two-time Olympic softball player, is arguably one of the greatest pitchers in the history of the sport.

As a senior at the University of Arizona she set a NCAA record with 60 consecutive wins (hitting 50 home runs along the way). She then led Team USA to two world championships and two Olympic medals -- a gold in Athens in 2004 and a silver in Beijing.

Finch became the face of fast-pitch softball as the sport's popularity grew in America and abroad. Her competitive nature aided her on the field; her polite optimism helped her off of it.

Her love for hair ribbons and the color pink also made her a fan favorite. Finch showed it was cool to "Throw Like a Girl," not so coincidentally the name of her new book. Her annual softball camps are now filled with girls who have mounds of dirt under their prettily painted fingernails.

Finch retired from softball in 2010 at the ripe-old age of 29 to raise her son Ace, now 5 years old. She and her husband, professional baseball pitcher Casey Daigle, live on a farm in Sulphur, Louisiana.

But that doesn't mean Finch has slowed down any. In November, four months after giving birth to son Diesel, she ran the New York City Marathon. Starting dead last, Finch passed 30,397 people on her way to the finish line, earning more than $30,000 for charity.

"There's nothing better than working up a good sweat," Finch says. "I make time to keep active. I know how important it is to keep moving."

With baseball season right around the corner, CNN jumped at the chance to ask Finch more about how she stays fit, the future of competitive softball and why we don't watch professional women's sports. The following is an edited version of the interview:

Why is it important for young girls to get involved in sports?

It's crucial. The statistics are incredible. Teen pregnancy rates drop. Grade point averages are, you know, higher. Suicide. Depression. It affects all of those. When you're involved in sports you just have that much great chance of being successful and living a healthy lifestyle.

And I think learning things at a young age you can carry that with you forever. I know, for myself, there are lessons I learned that transcend into motherhood, into the business world, wherever I go: teamwork, leadership, discipline, sacrifice -- all those things carryover.

Jennie Finch inspires Fit Nation triathlete

It's no secret that girls can be mean, especially in high school. Did you have to deal with that at all?

Yeah, you know you're always going to have tough people to deal with. I think it's a matter of taking the high road.`

You have to look yourself in the mirror at night. If you know that you've given your best and your heart is in the right place, that's all you can do. The truth will reveal itself. I've seen it over and over. Success finds those that truly work hard and that truly do have the right heart and the right mind.

How did your dad walk that fine line between being supportive and being your coach?

He was crazy, definitely. But you know, without that crazy father of mine, I would not be where I am today.

My mom knew whether it was a good or bad workout because I was either in tears or happy after. But it was like he knew how far to push me and I don't think he ever went to the point where I resented the game for it.

Ultimately he loved me. That's the most important part -- that unconditional love. ... It was never (like) I was afraid to make the mistake. It was always a matter of me working hard and working hard when no one's watching and doing the stuff that no one else wanted to do, making those ultimate sacrifices.

As teenagers, we're instinctively lazy. You want to just hang with your friends, go to the mall. How did you get past that?

Something my dad always said: "God gave you this gift, and it's your responsibility to carry it out."

And I think my competitive nature. Growing up with two older brothers, losing at everything, I have this competitive fire [and] drive within me that helped carry me through a lot.

When I look at teens today ... we're used to instant gratification with technology. Success doesn't come in an instant. It's the process; it's the journey. It's the hard work that it takes to get there. So I think that (you have to) try to enjoy the process and know that it's a lot of blood, sweat and tears to get you there.

Baseball season is coming up. Who will you be rooting for?

The Dodgers! I grew up a Dodgers fan. And then being married to a baseball player, kind of whatever team he's with. Now we kind of have a lot of friends that play so more individuals than teams but [I] always have to go for L.A. teams.

You were obviously disappointed when the Olympics committee decided to cut softball from the games. Where is the sport going next?

It's an uphill battle. Our work is cut out for us. Lucky for us, in the U.S. the college game is very popular and growing. But it's outside of the U.S. that I think the Olympic decision is going to hurt the most because these countries just kind of finally got their federations together and got the funding and had built these programs and without the Olympics their funding is lost so ... we're working hard to get it back in for 2012 now. So in the next year we'll be campaigning for the vote.

You often hear that people don't watch women's professional sports. Why do you think that is?

I think, you know, you have to appreciate the women's games for the women's games. Can we compare it to the men's? On some levels yes, on some levels no.

And I think too, marketing is a lot, a huge part of it. Unfortunately there's not much PR or marketing in women's athletics. We've gotten a lot better but we still have more to accomplish and to keep breaking down those barriers.

It's been great to see the college game picked up and the ratings be so successful. Because people are watching and there is an audience out there and that do enjoy it and the ratings prove that.

You ran a marathon four months after having your second son. How did you do it?

Mental toughness. So much of it is between your own ears and fighting that doubt. We will always have that doubt, but that's what keeps us on edge and keeps us working harder.

Preparation builds the confidence to overcome that doubt, but I don't think you truly do ever overcome it, or I never did. Even up to mile 25 it was like, "Can I go another mile?" It's like, "Yes, I can." [It's] that internal battle that you have to keep fighting and winning.

Tell us a bit about you stay healthy at home.

I'm all about balance. Nothing extreme. I live in Louisiana so we eat; we're surrounded by way too much good food. So I kind of work out to eat. But like I said it's all about balance. It's not like I never have dessert, I just try to eat it in moderation and make my workouts so I can eat what I want and enjoy it.

Having two little boys, it's easy to keep moving. A lot of times it's not going to the gym [and] getting in an hour of cardio. A lot of times it's just me being outside, playing with my boys, jumping on the trampoline. Whatever it takes to get me moving and my heart rate pumping.

My workouts I like to mix it up. I have met an incredible running group that has helped me tremendously -- social time for me, fellowship and just an escape from everything. I put in workout DVDs, whether it's yoga, pilates, tae bo even -- my old school ones. I love getting outside with my boys. I lift weights every now and then.

Do you have any advice for someone who's sitting at home right now, going, "Yeah, OK, Jennie, but you're a natural athlete. How do I run a marathon?"

It's all about starting. You know, baby steps. It's not going to be about instant gratification that we want, that we're used to in this day and age. But it is about the process and the journey and just making those subtle changes. Parking a little further. Walking up the stairs. Those little things that can help and get you kick-started.

I saw something recently that was like, as long as you're moving, you're better off than being on the couch. No matter what pace you're at.

You're not going to get off the couch and be at some amazing fast pace or burn crazy amounts of calories but you have to start somewhere. ... Eventually you'll get there. We all have excuses but leave those excuses at the door.

If you want it bad enough, go for it. Life's too short not to.

@highlight

Jennie Finch is an Olympic softball player and one of the sport's greatest pitchers

@highlight

Her dad told her, "God gave you this gift, and it's your responsibility to carry it out"

@highlight

Four months after giving birth, Finch ran the New York City Marathon