WASHINGTON (CNN) -- President Obama on Tuesday nominated federal appellate Judge Sonia Sotomayor to the U.S. Supreme Court.

President Obama on Tuesday introduces Judge Sonia Sotomayor as his choice for the U.S. Supreme Court.

If confirmed, Sotomayor, 54, would be the first Hispanic U.S. Supreme Court justice and the third woman to serve on the high court.

Sotomayor "is an inspiring woman who I believe will make a great justice," Obama said at a White House announcement.

She "has worked at almost every level of our judicial system, providing her with a depth of experience and a breadth of perspective that will be invaluable as a Supreme Court justice," he added.

Obama said Sotomayor would bring more experience on the bench than anyone currently serving on the Supreme Court when appointed.

"Thank you, Mr. President, for the most humbling honor of my life," Sotomayor said.

She thanked family members and mentors who helped her throughout her life and career.

"My heart is bursting with gratitude," she said. She gave special recognition to her mother, who was sitting in the audience.  Watch Sotomayor's emotional tribute to her mother »

"I am an ordinary person who has been blessed with extraordinary opportunities and experiences," Sotomayor said.

Sotomayor, a judge on the 2nd U.S. Circuit Court of Appeals, was named a U.S. District Court judge by President George H.W. Bush in 1992, and was elevated to her current seat by President Bill Clinton.

She has minimal personal assets compared with many of her judicial colleagues; a 2007 financial disclosure form showed her with a checking and savings account valued between $50,000 and $115,000.

Sotomayor, who is of Puerto Rican descent, rose from humble beginnings at a housing project in the South Bronx and went on to attend Princeton University and Yale Law School.  Watch more about Sotomayor's personal history »

The president met with Sotomayor at the White House for an hour last Thursday, according to a senior administration official, and came away impressed with her personal story and professional qualifications.

Solicitor General Elana Kagan, Homeland Security Secretary Janet Napolitano and federal appeals court Judge Diane Wood were among the candidates who also received serious consideration, the official said.  Watch CNN's Jim Acosta break the news of Sotomayor's nomination »

The president made his final decision after the weekend and called Sotomayor around 9 p.m. ET Monday, a senior administration official added.

Obama "was looking for someone with a balance of skills: very, very smart; independent thinker; highly regarded for integrity and commitment to the law," another senior administration official said.

"He found all of those things with her, including his goal of selecting someone with the empathy factor -- real-world, practical experience and understanding of how the law affects real people."  Watch as Obama cites Sotomayor's three decades of experience »

Supporters say her appointment history, along with what they call her moderate-liberal views, would give her some bipartisan backing in the Senate.

However, Sotomayor has endured recent criticism in the media and blogs from both the left and right over perceived -- some defenders say invented -- concerns about her temperament and intellect.

"Judge Sotomayor is a liberal judicial activist of the first order who thinks her own personal political agenda is more important that the law as written," said Wendy Long, counsel to the conservative Judicial Confirmation Network. "She thinks that judges should dictate policy, and that one's sex, race, and ethnicity ought to affect the decisions one renders from the bench."

As she has risen through the judicial ranks, Sotomayor increasingly has drawn the ire and opposition of conservatives. A majority of Republican senators opposed her elevation to the appellate court in 1998.  Read about Sotomayor's record »

Conservatives point to, among other things, her authoring of a 2008 opinion supporting a decision by the city of New Haven, Connecticut, to throw out the results of a firefighter promotion exam because almost no minorities qualified for promotions.

The Supreme Court heard an appeal of the case in April; a final opinion is pending.

Her critics also highlight comments she made during a panel discussion at Duke University in 2005, where she told students that the federal Court of Appeals is where "policy is made."

"I know that this is on tape," she then immediately said. "I should never say that. Because we don't 'make law'... I'm not promoting it, and I'm not advocating it. Having said that, the Court of Appeals is where ... the law is percolating." Watch how conservatives are gearing up for a fight »

However, an official with the Republican National Committee promised that the GOP will be equitable toward Sotomayor.

"The Republicans are going to strike a tone that's fair, that allows the vetting process to happen like it should, and that's in stark contrast to how the Democrats dealt with Judge [John] Roberts when you look back a couple years ago," the official said.

Senate Republicans "will thoroughly examine [Sotomayor's] record to ensure she understands that the role of a jurist in our democracy is to apply the law even-handedly, despite their own feelings or personal or political preferences," said Senate Minority Leader Mitch McConnell, R-Kentucky.

The hot-button social issue of abortion also promises to play a contentious role in Sotomayor's confirmation process.  Learn about the other Supreme Court justices »

Charmaine Yoest, head of Americans United for Life, ripped Obama's choice of Sotomayor, calling it "a radical pick that divides America."

Sotomayor's appointment "would provide a pedestal for an avowed judicial activist ... at a time when the Courts are at a crossroads and critical abortion regulations -- supported by the vast majority of Americans -- like partial-birth abortion and informed consent laws lie in the balance," Yoest said.

Sotomayor "will serve the nation with distinction," countered Kim Gandy, head of the National Organization for Women.

"She brings a lifelong commitment to equality, justice and opportunity, as well as the respect of her peers, unassailable integrity, and a keen intellect informed by experience."

Obama's nominee will replace retiring Justice David Souter, who announced this month he would step down when the court's current session ends this summer.  Watch why Democrats want the process to go quickly »

Sotomayor's nomination will go before the Senate Judiciary Committee and the full Senate. The president said he hopes to have hearings in July, with the confirmation completed before Congress leaves for the summer.

Obama's Democratic party controls the Senate, so Sotomayor is not expected to have difficulty being confirmed in time to start the new court session in October.

There had been widespread speculation that Obama would name a woman to the court, which has only one female justice, Ruth Bader Ginsburg.

Obama was also under pressure to nominate a Hispanic justice to the court.

"Republicans have to be very careful and not oppose this nomination just for the sake of it," warned Brent Wilkes, executive director of the League of United Latin American Citizens.

The Latino community's "hopes and aspirations are all tied up in this nominee," he said.

Former Attorney General Alberto Gonzales said he didn't think any particular gender or ethnic group was "entitled to representation" on the court, but acknowledged that Sotomayor's appointment would send a "powerful message" to the Latino community and Americans.

"It says a lot about opportunities in our country," Gonzales told CNN's Wolf Blizter. "This is a powerful message, a powerful message of hope and opportunity through this appointment, just like there's a powerful message sent when an African-American is elected president."

CNN's Peter Hamby, Ed Henry, Suzanne Malveaux and Bill Mears contributed to this report.

@highlight

NEW: Former AG Alberto Gonzales says nomination sends "powerful message"

@highlight

Abortion opponent calls Sonia Sotomayor  "a radical pick that divides America"

@highlight

Obama says Sotomayor brings years of experience on bench to the position

@highlight

Sotomayor, 54, of Puerto Rican descent, would be first Hispanic on court