(CNN) -- Once a haven for painters seduced by its rich colors, Marrakech is back on track to become a world-leading destination for photographers thanks to the arrival of a major new museum.

Despite the reluctance of many in the city to have their image captured on film, the city already enjoys a strong relationship with the camera.

It's the only place in Morocco that can boast an art venue -- Galerie 127 -- that exclusively exhibits photographs.

Recently it hosted an opening, at the Gallery David Bloch, by prestigious photographer Steve McCurry.

Major photography museum on the way

The city's photography scene is likely to explode over the next few years as it prepares for the 2016 arrival of the Marrakech Museum for Photography and Visual Arts.

When it opens, the MMP+, as it's known, is expected to be the largest space for photography and digital visual media in the world.

The imposing building will exhibit images from the 19th century alongside contemporary artists from around the world.

The ambition of the museum is to become a cultural attraction for the millions of visitors that come every year to the Red City.

MMP+'s cultural manager Mostafa Aghrib says the city is the perfect place to locate a major photography museum because it's retained its authenticity at the same time as becoming an economic and cultural player.

"Marrakech inspires photographers, it is abuzz with Moroccan and worldwide creativity, and for all these reasons we thought is was useful to open it in this city," he told CNN.

The museum already has a temporary home inside the ancient walls of Marrakech's el Badi Palace and has hosted exhibitions including one by five photographers from the Magnum agency: Mikhael Subotzky, Jim Goldberg, Susan Meiselas, Abbas and Mark Power.

Tricky subjects

Ironically for a city set to become an international photography hub -- and which looks so good on film -- taking photographs in Marrakech isn't always easy.

Many Moroccans, here more so than further south, don't like to be photographed and they won't hesitate to make it known.

It's not impossible to capture beautiful moments.

Here are some tips on avoiding embarrassment:

Small is best

The bigger the equipment is, the more noticeable the photographer.

Walking through narrow streets of the old medina with a bulky professional camera, a tripod and a bag full of lenses is the easiest way to spook potential subjects.

Modern compact cameras are lighter, more discreet and can often do a better job with street photography.

Being bold gets results

In Marrakech, I sometimes ask people for permission to take their photo, explaining that it's more an artistic approach than a journalistic one.

Then I just wait for this perfect moment when they forget I'm there and get the photograph I want without disturbing anyone.

So does staying hidden

The complete opposite of the previous tip, but sometimes stolen moments are the most natural and the best.

It's not always possible to avoid being spotted by the people being photographed, but a polite attitude and a smile can work wonders.

Follow the light

In addition to Marrakech's countless attractions, weather is one of the main reasons tourists visit the Red City -- and it's definitely a plus for photographers.

There are clear skies almost daily, meaning that when the sun is at its zenith, walks through the alleys of the old medina will be beautifully lit.

Not to mention the sunsets.

The best spots

Whether the subject is a person a group or beautiful landscape, location is everything.

It's easy to get close to people in the main square, Jemaa el Fna, but photographers shouldn't be surprised if they get asked for money in exchange of their masterpiece -- this mostly applies to snake charmers and monkey trainers.

The rooftops of cafes and restaurants surrounding this square offer commanding views of the marketplace and glorious sunsets.

Here are some of my favorite places:

Le Grand Balcon Cafe (northwest corner of the square): The service isn't five star, but the view over both sides of the square propels it to the top of the list.

Pearl Hotel (Angle Avenue, Echouhada et Rue du Temple, Hivernage, Marrakech; +212 0 524 42 42 42) has a rooftop terrace with a panoramic view over the city and the Atlas Mountains.

Palmeraie Circuit: This riverside road to the north of the city is another good place for sunsets, this time with silhouetted palm trees in the foreground.

The old medina: Best appreciated without a map since getting lost in the labyrinthine backstreets of Marrakech is the best way to escape tourist traps.

Place of the Seven Saints (Avenue 11 Janvier, Marrakech): Still largely unknown by tourists, these seven towers, each topped by a tree, were built in 2005 in honor of Marrakech's seven patron saints.

And finally ...

One note of caution: taking photographs of government buildings is forbidden and can result in arrest.

Ali Berrada is a Moroccan photographer, writer and director.

@highlight

With strong sunlight and plenty of color, Marrakech is a photographer's dream

@highlight

In 2016, the city will be home to the world's largest photography exhibition

@highlight

It's recommended to work with a smaller, less obvious camera to avoid spooking local subjects