London (CNN) -- When Andy Murray won the Brisbane International, a warmup event for January's Australian Open, few were surprised.

But what followed was largely out of character for a man who is perceived as one of the more dour characters in the world of sport.

After winning the final, Murray turned towards the television cameras and showed a side of himself that had so rarely been seen.

"I'd like to dedicate this victory to one of my best friends," the British tennis star told the crowd. "He's back home watching and you're going to get through."

Thousands of miles away in London, Murray's former roommate Ross Hutchins sat facing the prospect of six months of grueling chemotherapy after being diagnosed with Hodgkin's lymphoma -- a cancer of the lymph node immune system.

Friends since their early years and former doubles partners, the two were inseparable on and off the court, with both taking time to tease one another about their receding hairlines.

But not even Hutchins, who has seen a side of Murray that few others have caught a glimpse of, expected such a gesture.

"I didn't expect the speech, that's for sure," the Englishman told CNN's Open Court.

"I just expected him to, well I was hoping he would win the title ... we had been very close that week as we always are.

"So I was watching the speech and was thinking how pleased I was he had won, and then he came and dedicated his trophy, which meant the world to me.

"It's something which lifted me up and it meant a lot because it was a big stage leading into a grand slam.

"My fiancee cried and she doesn't cry that much. It was a very special moment for us, it was something we shared together and it was something we'll never forget."

It was a rare moment of emotion from Murray, who has often been derided for his downbeat personality.

The tears which followed his defeat by Roger Federer in last year's Wimbledon final finally allowed the public a glimpse of what lay behind a perceived deadpan exterior.

His victory on the same court at the London Olympics was then followed by his first grand slam triumph at the U.S. Open last September -- a day that Hutchins will never forget.

Having been two sets ahead of world No.1 Novak Djokovic in the final at Flushing Meadows, Murray allowed his rival to fight back and move level before triumphing in a pulsating final set.

"He was so determined to win that match, I don't think we can ever appreciate what was going through his head," said Hutchins.

"Everyone in the world that had watched him over the last final finals was thinking, 'Oh it's going to happen again.'

"But he wouldn't let it and it was a joy to watch. It was an incredible moment when he picked up the trophy."

A friend in need

While Murray had triumphed and defeated his demons, Hutchins was just beginning his own personal battle that same month.

Searing back pains prevented him from sleeping for more than two hours, and left him in absolute agony. So severe was his sleep deprivation that Hutchins tried everything from laying out on the wooden floor in his bathroom, to sleeping on a foam roller covered with tennis balls.

It was only after speaking to a coach at a training camp in La Manga, Spain, that Hutchins began to realize the severity of the situation.

After initial tests showed pneumonia in his left lung, Hutchins sought further medical advice about an enlarged lymph node in his chest, which turned out to be cancerous.

Hodgkin's lymphoma is a cancer of the white blood cell found in the lymphatic system, which is a network of vessels and glands spread throughout the body.

Its most common symptom is a painless swelling in a lymph node, normally in the neck, armpit or groin.

The day his diagnosis was confirmed -- December 27, 2012 -- is etched into Hutchins' memory.

"I called Andy and spoke to him about it," said Hutchins, who got engaged to his longtime girlfriend Lindsay Wood in February. "Andy was saying, 'You're going to be better after this, you're going to be stronger, you're going to be a far tougher person and tennis player.'

"Obviously my fiancee was upset. I'd actually warned her that it was going to be this.

"She was amazing, she'd been through cancer in her family with one of her parents so she knew what it was all about, so she was like a rock for me.

"I love her to bits and I can't thank her enough. She was great and she was supportive, but that was initially a tough moment."

Support

Hutchins has been overwhelmed with messages of support from well wishers from across the world since he announced his condition at the end of last year.

Far from being a household name in the world of tennis, the 28-year-old, who grew up a stone's throw away from Wimbledon, can barely believe the public's reaction.

"It's something that I can't really express in words," said Hutchins. "I've still got all the letters and all the cards in my living room and they mean so much to me.

"People who have taken time from three-year-old kids who have written or drawn pictures to me, to people who have done montages, it's been incredible. A lot of them will remain in my heart forever, because it's something you don't expect."

Murray, in particular, has been a rock for Hutchins -- showing a more sensitive side than their usual joking banter.

"We don't normally have too many serious conversations," he added. "I've needed a different side of Andy but we're closer than ever."

Recovery

Hutchins completed his chemotherapy sessions last week and was courtside as Murray won the Aegon Championships at Queen's Club on Sunday.

The two appeared on court, after the world No. 2's final win over Marin Cilic, at the Rally Against Cancer charity match alongside Tim Henman, Murray's coach Ivan Lendl, Tomas Berdych and a host of celebrities.

Murray donated his $115,000 winner's prize to the charity, which supports the Royal Marsden hospital where Hutchins was treated.

"Ross has handled it all so well," Murray told CNN in his typical understated manner. "He has a great family and he's been so positive. Hopefully he'll go for his scan and it will all be OK."

Hutchins will be tested in mid-July to see if the cancer has been defeated, while a final verdict will come in late September or October following another scan.

Best man

After that, there is the small matter of his wedding at the end of November, at which Murray will be best man.

Murray is taking charge of planning the bachelor party along with Hutchins' brother -- a task he was expecting, according to his close friend.

"I think Andy kind of knew it was coming," said Hutchins.

"When I got engaged I think he knew it was going to be him and then I said to him, 'You know it would mean a lot to me,' knowing how supportive he has been over the years.

"He kind of jumped to it, he was like 'Great, it means a lot to me, let's do it and let me know if you need me for anything else.'

"And he probably says that a lot at the moment and I am using him a lot."

'Superstar'

Hutchins believes his friend has all the attributes to become "a great champion" as he begins his bid next week to become Britain's first Wimbledon men's winner since Fred Perry in 1936.

"You dream about being able to time the ball that sweetly and to have the precision that he has," says Hutchins.

"Mentally he's so strong, he's able to rise to occasions and serve aces on break points, he's able to capitalize when he senses his opponent is struggling with a certain tactic.

"He is a superstar, he's a master tactician, and he's as feisty and competitive as they come."

@highlight

Ross Hutchins gives a rare insight into the life of Andy Murray

@highlight

Murray dedicated win at Brisbane to Hutchins, who is recovering from cancer

@highlight

Scot will be best man at Hutchins' wedding in November

@highlight

Hutchins has finished his treatment and is helping raise money for cancer charity