Belfast, Northern Ireland (CNN) -- For Martin McGuinness, shaking Queen Elizabeth II's hand is the biggest single step yet on his road from feared paramilitary commander to politician.

It's a transformation that has taken place over decades: From the shaggy-haired, scrawny commander of Irish Republican Army (IRA) gunmen in the early 1970s, to the deputy first minister of Northern Ireland's power-sharing government, where he represents Sinn Fein, the province's most popular, mainly Roman Catholic, Republican party opposed to British rule.

In his home city of Londonderry I saw that fear firsthand while shooting a documentary about him a little over a decade ago.

McGuinness had long been rumored to have had a direct hand in the killing of an IRA man turned informer. I visited the man's mother, who lived just a few streets away from McGuinness's modest terraced house in the city's notorious Bay Side neighborhood. The killing had allegedly taken place decades earlier but the man's mother was still too afraid to talk.

Queen arrives in Northern Ireland on jubilee visit

Derry, as he would call his city, or Londonderry, as the province's mainly Protestant, pro-British Loyalists refer to it, was where McGuinness first tried his hand at politics.

While shooting the documentary I met with one of his former political colleagues who also was a secret agent for the British government. He had been pulled out and relocated to mainland Britain when his cover was blown a long time ago, but he told me he warned his British government handlers that McGuinness's early ballot box victories were a fraud: Countless ballots cast in clear infringement of the law.

Royal boost for peace process

He says his handlers turned a blind eye, and he concluded even at that early stage, 10 years after violence broke out, that British government officials had calculated McGuinness was someone they wanted in a suit and tie at the table talking to them, and not on the streets waging war.

As I concluded that documentary, I struggled to balance all I had seen with the question, is this transition reversible? Is McGuinness committed to peace? Back then, the IRA had still not decommissioned its weapons, and the door seemed open to a return to violence.

Later McGuinness's Sinn Fein colleagues told me I'd set him up for assassination as a leader who'd used back channels to secretly negotiate peace with the British government. I was told "we expected something more like Nelson Mandela," but that was a leap of faith I didn't have the evidence to take.

Dislike for McGuinness is not limited to those on the opposite side of the sectarian divide. His readiness to make peace with the British -- never mind shake the queen's hand -- has made him some powerful enemies in his own mainly Catholic community.

When McGuinness and the IRA gave up their guns, even more extreme republicans picked up where they left off. The Real IRA has continued, its hard core of supporters making bombs and killing policemen.

In the Derry streets where McGuinness still lives, violent vigilante gangs mete out their own informal justice on the community, shooting drug pushers. They boast more arms than the IRA ever had, and have filled the void left as McGuinness and the social order the IRA enforced fade into the past.

Meeting the queen means McGuinness loses the legitimacy of hardcore Republicans -- he can no longer sway them as he once did. So while he'll still call for the British government to investigate its own actions of brutality, collusion with Protestant paramilitaries and the alleged shoot-to-kill policy of IRA volunteers, his calls will ring hollow for some.

But all along, McGuinness's every move, from IRA commander, to deputy first minister, seems to have been an ever-more calculated step.

The vast majority of nationalists -- and everyone else in Northern Ireland, for that matter -- only ever wanted a fair deal, peace, jobs and a good education for their children. McGuinness seems to have read that well.

An IRA military victory over "Queen and Country" was never really an option. It was a dream whose time came and went riding on the back of bigotry, sectarian violence, social injustice and the civil rights movement of the late 1960s.

The London-backed governments in Belfast had long run roughshod over nationalist, mainly Catholic aspirations. In a handshake, McGuinness will banish that to the history books for ever. An acknowledgment sealed in a formality that the violent divided past should be laid to rest.

For a man of peace -- which is how McGuinness wants to be remembered -- he has come a long way, and so have the nationalists of Ireland.

When a handshake is not just a handshake

@highlight

Northern Ireland's Deputy First Minister Martin McGuinness meets the queen

@highlight

McGuinness is a former commander of the Irish Republican Army, or IRA

@highlight

Handshake between the pair marks symbolic end to decades of sectarian conflict