(CNN) -- It doesn't sound like it should be that hard.

The challenge: Design an aircraft that, powered only by a human, can reach 3 meters (9.84 feet) in altitude and hover for at least 60 seconds.

And yet that dare, first issued in 1980, stymied the world's best flight engineers. Dozens of teams tried. Only a handful managed to get their "human helicopter" off the ground. None won the elusive $250,000 Sikorsky Prize, established by the American Helicopter Society for the first team to accomplish the feat.

Until this year.

Thirty-three years after the Sikorsky Prize was established, a Canadian team led by Todd Reichert and Cameron Robertson claimed it in June with a 64-second flight in an indoor athletic arena outside Toronto. While Robertson tracked their progress from the field below, Reichert powered their delicate aircraft by pedaling a bicycle-like apparatus that twirled four enormous rotors.

11 Kickstarter projects that raised $1M or more

Their achievement was the second flight milestone for Reichert and Robertson, who are becoming pioneers in the small but emerging field of human-powered aviation. Three years ago the pair built perhaps the first flapping-wing aircraft, powered by a human, to sustain flight.

All of which raises a logical question: Why do these things? What's the point of designing aircraft that hardly anybody will ever fly?

"There's not ... practicality to a lot of what we do," admitted Robertson. "You won't be flying your human-powered flapping-wing airplane or your human-powered helicopter to work.

"But all of our projects challenge people's conventional way of thinking," he told CNN at the recent PopTech conference in Camden, Maine, where he and Reichert were cheered for their innovative approach to problem-solving.

"We really want people to understand that impossible is nothing," he added. "And just because someone says you can't do something, doesn't mean you (can't). With the application of passion and persistence and innovative, creative thinking, you can really take on any challenge."

Photos: The Wright brothers take flight

Modern-day da Vincis

Leonardo da Vinci sketched plans for the first human-powered, flapping-wing aircraft, known as an ornithopter, more than 500 years ago.

Since then, of course, a fixed-wing design has become the standard for airplanes. But that hasn't stopped aerospace engineers from trying make a variety of ornithopters fly.

Reichert and Robertson, graduates of the University of Toronto, launched their ornithopter project in 2006 and began flight testing their aircraft, the Snowbird, three years later. The plane had a wingspan of 105 feet -- comparable to that of a Boeing 737 -- but weighed only 94 pounds.

A car towed the plane into the air to get it started, while Reichert sat in a small cockpit and pumped a bar with his feet to operate a system that flapped the wings up and down. With every failed test flight -- which broke more than a few planes -- the two engineers learned a little more.

"Basically, with these aircraft, the mantra is, 'You don't fly any higher than you're willing to fall.' And that tends to keep you fairly safe," Reichert said. "We've had some crashes, but no real injuries."

Unusual energy sources of the future

Finally, in August 2010, in a suburban Toronto field, Snowbird was able to sustain altitude and airspeed for 19.3 seconds while covering a distance of about 475 feet. Reichert, Robertson and their team believe the brief flight set a world record for an aircraft of its kind.

Then came the human-powered helicopter. The team built the aircraft, dubbed Atlas, in three months, but it took another nine months of crash-filled flight testing before they hit their target.

"Whenever we had a big crash, it was devastating. It took so much of our time to piece Humpty Dumpty back together again. The whole helicopter is built sort of like a house of cards -- if one thing goes, the entire thing falls apart," Robertson said. "But every time we picked ourselves back up (after a crash), we would know a little bit more than last time."

Innovative shelter pods help the homeless through winter

A land speed record

In 2012, Reichert and Robertson established AeroVelo, a company dedicated to seeking sustainable enginering and design solutions to technological challenges by using human-powered vehicles as a teaching platform.

Now the two young engineers have their sights on another big goal: Setting a land speed record for the fastest human-powered bicycle.

In September, they went to Battle Mountain, Nevada, for the World Human-Powered Speed Challenge, where teams compete on flat desert roads to race aerodynamic bicycles as fast as cars. Pedaled by Reichert, their entry Bluenose -- a recumbent bike encased in a sleek carbon-fiber shell -- reached speeds of 77 mph on flat ground.

"The fact that a human engine -- about the equivalent power of an electric motor the size of your fist -- can power a bicycle at the same speed as that of a car, which has a hundred times or more the power, is really the innovative and inspiring thing that we think people should understand," Robertson said.

Malls of the future

Reichert and Robertson plan to return to Battle Mountain next year with a faster bike and take aim at the world speed record of 83.8 mph, set this fall by a Dutch team.

Unlike the ornithopter and the helicopter, a human-powered, high-speed bike might actually have a future as a practical mode of personal transportation. But even if it doesn't, Reichert and Robertson will keep pushing against the boundaries of what humans can achieve.

The two young Canadians believe their biggest contribution to flight and speed engineering may be to inspire others to tackle what seems insurmountable.

"It's very easy to say something's impossible," Reichert said. "It's much more difficult to change your assumptions, and change your context, to make something possible."

For more on the creator community visit CNN Make Create Innovate

@highlight

Two young Canadian aerospace engineers push the boundaries of what's possible

@highlight

The pair built a human-powered helicopter that claimed an elusive $250,000 prize

@highlight

They also designed perhaps the first flapping-wing aircraft to sustain flight

@highlight

The two spoke in October at the PopTech conference in Camden, Maine