(CNN) -- Fatmire Feka glanced at the skies over her Kosovo village. Storm clouds darkened the horizon, and rain started to fall.

"I felt as if God was crying tears of pain," Feka says. "God was crying because he knew what was about to happen."

It was a chilly Tuesday morning on April 20, 1999, and Feka was on the run. Village guards had warned her family that Serbian paramilitary units were rounding up Albanian Muslims for execution. She ran out of her home with her family and fled to a nearby forest to hide.

As the 11-year-old Feka headed to the forest, she could hear bombs exploding and rifle shots crackle behind her. What happened next would leave Feka with nightmares that remain to this day. She would lose her older brother, Sami, and her older sister, Sadete. Both are still missing.

Feka, now 22, is an internationally known peace advocate who travels around the world talking about reconciliation. Yet she admits that talking about forgiveness is far easier than practicing it.

"I have been struggling with this forgiveness thing,'' she says. "I cannot forgive anyone because I don't know what happened to my brother and sister. I don't know who took them, for what reason, and who I am supposed to forgive?"

Why the 'truth must be spoken'

It's a long way from Kosovo to Afghanistan, but Feka's story offers some insight into the difficulties that may await the Afghan people.

NATO forces are escalating attacks against the Taliban. Yet many observers say only a negotiated settlement with the Taliban will ultimately bring peace to Afghanistan.

Read more about other nations' lessons for Afghanistan

But the challenges would not end with a settlement. Afghans who saw their loved ones brutalized or murdered by the Taliban will face the same challenge that Feka faces: How do I live again with the people who caused me so much pain?

The short answer is forgive them and move on. Feka's experience, though, suggests that doing so can take years and be excruciatingly difficult.

Feka says that before she could forgive, "the truth must be spoken." She wanted to know what happened to her brother and sister.

"If I know the truth -- who did it and for what reason -- I will be able to make peace," she says.

How Feka moved on

Feka says she thought she would die on the last day she saw her brother and sister. When she ran for her life, she says she saw dead bodies on the side of the road. While resting at night, she could hear screams and shots in the distance.

During a recent speech, Feka told her audience about one image from her journey that set her and the other children on edge.

"I remember children were crying, but what scared us the most were that adults were crying, too."

She says she lost contact with her brother and sister after her family decided to split up. Her 19-year-old sister, Sadete, and her 17-year-old brother, Sami, decided to accompany her uncle as he made a run for a safe region in Northern Kosovo.

Her uncle returned four days later, alone and bleeding from a bullet wound to his shoulder. He said Serbians had attacked them, and he could not remember what had happened to Feka's brother and sister.

Feka says she hated Serbians after her siblings' disappearance. Then she met Rudy Scholaert, then a manager for World Vision, an international Christian humanitarian organization.

Feka's family was staying in a homeless shelter with other Muslim families. Scholaert taught English to the kids in the shelter and talked to them about moving beyond revenge and violence.

One day, Scholaert says he gave the kids crayons and paper. He asked them to draw what peace meant to them. The kids drew pictures of burned-out homes, tanks and guns -- except for Feka.

"She drew a beautiful home with red flowers, trees, birds and a bright sun," Scholaert says. "She then said to me: 'This was my home before the fighting. This was a peaceful place. I wish we could go back to this time.' "

With World Vision's support, Feka founded "Kids Clubs for Peace" after she turned 12. The club uses meetings, skits and songs to bring together youth from differing ethnicities in Kosovo.

Feka's message, though, wasn't something some of her Muslims neighbors wanted to hear. She was criticized by other Muslims. She says her mother once slapped her for being a public advocate for peace.

"When I started to work for peace, everyone perceived me as deviant," she says. "Fighting was normal. Hating each other was normal."

The meeting that transformed Feka

What helped Feka change wasn't a march but a meeting with another Serbian.

When she was 16, she attended a World Vision summer camp that brought together Serbian and Muslim youths. One day, a Serbian teenager asked Feka to share her story.

After Feka did, she noticed something odd. The Serbian teenager was crying. And so were the other Serbian children in the room.

"That was such a powerful thing," she says. "That not only changed my life, but all the children in the room. I realized that not all Serbians are bad."

Scholaert, the World Vision worker who first encouraged her, says he visited Feka at the camp and saw her change.

"Fatmire was so proud to introduce me to her new Serbian friends and to show me the Serbian words that she had learned," Scholaert says. "She really did want to make things right at an early age."

Others started to notice. In 2005, Feka was selected as one of the "1,000 Women of Peace across the Globe." The women were subsequently nominated for a Nobel Peace Prize.

Today, Feka speaks at rallies and peace conferences around the world. She also has a new home. Scholaert, the World Vision worker, has put Feka and her two younger sisters up in an apartment in Toronto, Canada.

He made a bet with Feka when she was a girl: Do well in school, and I'll pay for your education. Feka now attends a university in the multicultural city of Toronto.

She says releasing her hatred of Serbians has been liberating.

"Working for peace was the best thing I ever did."

Other burdens remain, though. Feka says she used to pray to God about her sisters and brother every day. But she recently stopped.

"It has been 11 years, me praying every single day without missing a day," she says in her heavily accented English. "But [God] hasn't helped."

Her mother remains in Kosovo. Feka says her mother wants to be there in case some word comes about Feka's sister and brother.

But the waiting and the not knowing is brutal, Feka says.

"We wish their bodies could rest in peace," she says. "It's difficult to wait every day, every hour, every minute for some news to come."

On some nights, Feka dreams of reuniting with her brother and sister. But not all the dreams are reassuring. She had one recent dream when her sister tried to cross a river and was swept away. She pleaded for Feka's help, but Feka couldn't save her.

Her war may be over, but Feka says it still leaves its mark.

When she walks through the streets of Toronto, Feka says she marvels at how easily Canadians of varying ethnicities get along. It still doesn't seem real to her.

In some of those moments, she says she feels like the 11-year-old girl in Kosovo who saw God cry tears of pain.

"This is a dream life," she says. "I'm not used to this. I will never get used to it."

@highlight

Fatmire Feka lost her siblings in Kosovo in 1999 and hated Serbians for years

@highlight

A meeting with Serbian and Muslim youths helped transform

@highlight

She was selected as one of the "1,000 Women of Peace across the Globe," later were nominated for a Nobel Peace Prize

@highlight

Feka's story may offer some insight into difficulties that may await the Afghan people