(CNN) -- Consumer Reports, self-promoted as the largest independent consumer-testing organization in the world, recently subjected Tesla's all-electric vehicle to its standard gamut of automotive tests. The results were nothing short of extraordinary, as the model came just one point short of acing the 50-test evaluation regimen. Its final score of 99 out of 100 meant the Model S "performed better than any other car we've ever tested," said Jake Fisher, director of auto testing at the publication (Lexus owners will correctly argue that the 2007 Lexus LS 460L also earned a score of 99 in a Consumer Reports comparison years ago).

When the Consumer Reports results were released with the expected publicity and hype, many looked at the near-perfect score and extrapolated that the car was the best car ever made. The Tesla Model S is an extraordinary clean-sheet effort from a small American automaker, but I'd stop several yards short of considering it — or any automobile, for that matter — the world's best car.

Tesla : Consumer Reports' best car ever tested

Without question, Tesla's combustion-free five-door is innovative and awe-inspiring. I understand how the team at Consumer Reports became enamored with its effortless acceleration; cavernous, whisper-quiet interior; and glass panel technology. In fact, in my own first drive review published last fall, I called an early production model the "world's first practical, no-compromise, noncombustion automobile." Yes, it is pioneering.

Yet before anyone slaps a blue ribbon and a hearty best accolade on its sleek windshield, it is time for a reality check — the Model S is hardly one point away from flawless.

Even after overlooking all the Model S' objective blemishes (the team over at CR mentioned its lack of certain high-end features, stereo issues and parasitic battery energy losses when parked), electric vehicles lack a national infrastructure of charging points, accessible cross-country range and remain cost prohibitive for most consumers. These are major hurdles, preventing tens of millions from even considering vehicles like the Model S. Don't feel sorry for just the electric crowd, either. The same hindrances are lodged at other alternative-energy vehicles, such as those powered by hydrogen and natural gas.

Tesla's high-scoring 85 kwh Model S, arguably at the top of its pure-electric segment, is limited to a range of about 265 miles. Even though it may be plugged into any common 110-volt electrical outlet for a slow charge, high-speed electric vehicle charging stations have only sprung up in major population centers or along busy highway corridors, meaning a lack of foresight before heading down a less-traveled road may initiate a tow truck encounter.

According to the U.S. Department of Energy, there are more than 5,800 electric charging stations in the United States, but just two public charging stations in North Dakota, and zero in Wyoming (Tesla plans to have a nationwide network of its so-called Supercharger stations within a couple of years). I don't need to remind anyone that gasoline for combustion vehicles is as readily available as pasteurized milk, and still less expensive.

And to revisit the cost, according to a recent study by TrueCar, the average transaction price for a new passenger car was $30,812 in January of this year. The flagship Tesla model tested by Consumer Reports wore an $89,650 window sticker, nearly three times the national average.

Test drive: DC to Boston in a Tesla Model S

A true best car wouldn't just need a bladder-busting range, readily available fuel or a price that would make it attainable by all. It would need to be every bit as adept in a Syracuse winter as it would be comfortable in a Phoenix summer. It would have to be safe in crash testing, smooth on the highway, maneuverable around town and compact enough to fit into a crowded city garage. Some would even ask for off-road and towing capabilities.

You see where I am going?

No car currently manufactured deserves the coveted best car trophy, and that includes Consumer Reports' 99-point Tesla Model S. Personal transportation needs are uniquely individual, based on occupation, regional location, household size, income and, of course, taste. Giving a vehicle a near-perfect score is acceptable — and there will undoubtedly be others just as impressive — but assuming that one vehicle trumps others and satisfies all equally is misguided and presumptuous.

To those who consider the Model S the world's best car, I throw out this question: What's the world's best shoe?

The opinions expressed in this commentary are solely those of Michael Harley.

@highlight

Consumer Reports said Tesla Model S performed better than any car they've tested

@highlight

Michael Harley: Without question, Tesla is an innovative and awe-inspiring electric car

@highlight

Harley: But Tesla has issues too, such as its high cost and dearth of charging stations