(CNN) -- A year ago on April 15, two brothers of Chechen heritage who were raised in Cambridge, Massachusetts, were alleged to have carried out a spectacular bombing at the Boston Marathon that killed three, wounded more than 200 and led to a massive manhunt that paralyzed the city and its suburbs for days.

The older brother, Tamerlan Tsarnaev, was killed in a shootout with police shortly after the bombing, while the younger brother, Dzhokhar, surrendered to authorities and is awaiting trial.

As is often the case with big news events, much of what we understood to be the case in the immediate aftermath of the event and what we now know about the bombing a year later are quite different.

Consider that shortly after the bombing, it was widely assumed Tamerlan Tsarnaev had traveled to Dagestan in southern Russia a year earlier to meet and train with some of the Islamist rebels there who are fighting the Russian army.

Many commentators, including us, thought it was quite unlikely that the brothers could have learned how to construct two effective bombs that blew up within seconds of each other at the Boston Marathon without some kind of specialized training such as what could be obtained from the rebels in Dagestan.

Also, at first blush, the Tsarnaev brothers appeared to be so-called "clean skins" who had no previous history of criminality, and therefore there was little reason that law enforcement should have been monitoring either of them. Similarly, both appeared to be regular guys with no history of mental disorders.

All of these assumptions have turned out to be wrong. Here are four things we've learned since then:

One: There is no evidence Tamerlan Tsarnaev had any contact with Islamist militants overseas.

In January 2012, Tamerlan left Massachusetts for a six-month trip to Dagestan. There he became close to members of an organization called the Union of the Just, a nonviolent group that is critical of the United States. He also began attending a mosque that was frequented by hardline Sunni Muslims. Russian security officials claim he met with Islamist extremists in Dagestan, but U.S. intelligence services have not been able to confirm those allegations.

Russian officials also found "frequent" electronic communication between Tamerlan and Russian-Canadian extremist William Plotnikov, but FBI officials in Moscow say it is unlikely the two made contact in person while Tamerlan was in Dagestan.

Media sources in the region have also alleged that Tamerlan met with Mahmoud Mansour Nidal, who was reportedly a recruiter for Islamist fighters in the region. Nidal was killed in a raid by Russian forces on May 19, 2012. Again, official American investigators have not unearthed any evidence that supports this claim.

And experts on the security climate in Dagestan say it is unlikely that Tamerlan could have met with known extremists and not have then been detained and questioned by the Russian security service on his way out of the country (which didn't happen).

Two: The Tsarnaev brothers did not have any formal training in bomb building.

Instead, they apparently followed bomb-making instructions they found in an English-language al Qaeda webzine.

The House Homeland Security Committee released an extensive report last month on the Boston bombings that did not mention that either of the Tsarnaevs had received any professional training on how to build an explosive device.

Rather, they appear to have followed step-by-step instructions for how to build a bomb that were published in 2011 in Inspire, a webzine produced by al Qaeda in the Arabian Peninsula (AQAP) that is targeted at English-speaking Muslims.

Three: The FBI now alleges that Tamerlan was implicated in a triple homicide in Waltham, Massachusetts, in 2011.

On May 22, 2013, a month after the Boston bombings, Ibrahim Todashev was shot and killed by an FBI agent after Todashev attacked him with a pole while he was being interrogated at his apartment in Florida.

According to the FBI, Todashev was about to sign a written statement implicating himself and Tamerlan in the murders of Brendan Mess, Erik Weissman and Rafi Teken on September 11, 2011.

Investigators reported that the victims' throats were slashed so viciously that they were almost decapitated, and their bodies were strewn with a pound and a half of high-quality marijuana. Another 8 and a half pounds of marijuana was left in jars and bags around the apartment, as well as about $5,000 in cash, and there was no sign of forced entry. Therefore, the murderers appeared to know the three victims.

Mess was one of Tamerlan's best friends, but the law enforcement officials never questioned the elder Tsarnaev brother about the case, and it remained unsolved until after the Tsarnaevs were identified as the main suspects in the Boston bombings.

If the FBI allegations are correct, Tamerlan was a dangerous killer well before the Boston bombings and a more thorough investigation of the triple homicide in Waltham, Massachusetts could well have derailed the Boston Marathon plot.

Four: Tamerlan may have had mental health problems.

According to an excellent investigation of the Tsarnaev brothers by the The Boston Globe, Tamerlan told his mother, Zubeidat, "that he felt there were two people living inside of him," according to Anna Nikaeva, a Chechen who knew the Tsarnaev parents.

Tamerlan also told Donald Larking, a friend at the mosque he attended, that he heard two angry voices inside his head telling him to do things.

Could some kind of intervention by a mental health professional have helped Tamerlan with his problems and averted the Boston Marathon plot?

This question cannot, of course, be answered, but what is clear is that the Boston bombings were not directed by al Qaeda or an allied group and are part of a trend in the United States over the past years in which fewer terrorist plots have any kind of a connection to an overseas terrorist organization. They are also part of a related trend in which plots no longer involve groups of conspirators but are carried out either by individuals or by pairs such as the Tsarnaev brothers.

In a sense, this reflects a victory for law enforcement efforts. Lone-wolf type attacks of the kind we saw in Boston, while undeniably tragic for the victims, are not a national catastrophe of the scale of 9/11, which was carried out by a large, well-organized terrorist group.

@highlight

Authors: Much of what we thought we knew about Boston bombing was wrong

@highlight

No evidence Tamerlan Tsarnaev plotted the crime with overseas terrorists, they say

@highlight

The bombs apparently were homemade, based on information found online