After some of the world's biggest corporations such as Apple and Google have come under pressure over aggressive tax avoidance strategies, now its FIFA's turn to defend its lucrative financial arrangements with 2014 World Cup hosts Brazil.

The relationship of football's world governing body with Brazil is under scrutiny following the protests that have gripped the country as the South American country stages June's Confederation Cup -- a test run for the main event next year.

Initially disgruntlement of the protesters centered on a 20 centavos (10 cents) rise in bus and train fares. But a violent response from the police, prompted Brazilians of all ages took to the streets.

Suddenly the issue was about corruption, poor public services, increasing inflation, lack of security and whether the money being spent on the World Cup might be better invested elsewhere.

With a subtext of the rich lining their pockets, while the poor pay more to use crumbling public services, the Brazilian government was left scrambling to deal with what some have dubbed the "Tropical Spring."

FIFA president Sepp Blatter, for one, was askance at the protests.

"I can understand that people are not happy, but they should not use football to make their demands heard," Blatter told Brazil's Globo TV.

Tax exemptions

While FIFA argues that Brazil, as well as Russia and Qatar in 2018 and 2022, will gain benefits from infrastructure development and tourism as well as the kudos of staging a global sporting event, the World Cup is key for the world governing body -- the event is its major source of revenue.

"The exact number I do not know but around $4 billion," said FIFA secretary general Jerome Valcke earlier in June, referring to what the 2014 World Cup will generate financially for the Swiss-based organization.

However, that is a conservative estimate with consultants suggesting the amount could reach $5 billion.

"Of course it's not all profit, it is commercial revenue related to the cycle of not just the World Cup, but the cycle between the 2010 Cup and 2014," added Valcke.

Three years ago the World Cup in South Africa raised $3.6 billion, incurring expenditures of $1.298 billion.

For its latest results, FIFA reported a profit of $89 million for 2012, with reserves of $1.378 billion.

The organization had a revenue of $1.166 billion last year and spending of $1.077 billion. As a not-for-profit association in Swiss law, FIFA pays no tax on commercial income from the World Cup.

But some critics question whether the relationship between FIFA and its World Cup hosts is mutually beneficial, notably with regard to the lucrative tax exemptions World Cup organizers are prepared to offer for the right to stage the biggest single-event sporting competition in the world.

According to Brazil's Internal Revenue Service the tax exemptions will cost $248.7 million, though other reports estimate the figure could be as twice as high for the period between 2011 and 2015. The International Olympic Committee will receive similar exemptions when the South American country hosts the Olympics in 2016.

Proponents argue hosting the World Cup brings billions more dollars into the Brazilian economy, but $250 million buys a lot of bus tickets.

Brazil in "FIFA's hands"

Ex-Brazilian star Romario -- now a Brazilian politician --  is one that argues that the money spent on building stadiums would be better spent on constructing houses and schools.

"FIFA will make a profit of four billion reais ($1.8 billion) which should provide one billion ($450 million) in tax, but they will not pay anything," Romario said in a video posted on the websites of several Brazilian newspapers.

"They come, set up the circus, they don't spend anything and they take everything with them.

"The real president of our country is FIFA," added Romario. "FIFA comes to our country and sets up a state within a state."

Another critic -- academic and journalist Christopher Gaffney, who lives in Rio -- believes that FIFA's much vaunted "Fair Play" slogan should not just apply to on-field behavior.

"FIFA should be obliged to follow the pre-existing tax laws in the host countries that apply to international sports non-governmental organizations and their corporate partners," said Gaffney.

"We saw a response in the lead up to London 2012 that the British were revolted that the International Olympic Committee's partners were not going to pay taxes.

"A boycott ensued and the companies agreed to pay taxes on their Olympic related profits.

"There are, of course, always government subsidies to attract businesses, but legislative elements like the General Law of the World Cup in Brazil go far beyond this and effectively redirect public money into Swiss bank accounts."

That analysis drew a swift response from football's world governing body.

"FIFA obtains none of its revenue from public funds of the host country," a FIFA spokesman told CNN.

"The host country provide the general infrastructure for the event, which remains as a legacy in the country such as transportation, IT, upgrades on airports.

"Therefore, it is not true that money is generated in the host country for FIFA and that it will go then to accounts in Switzerland."

But the exemptions FIFA insist upon, has surprised one leading European taxation expert, Professor of European Tax Law Han Kogels, who is based in Rotterdam.

In bidding for the 2018 World Cup, Russia was up against three other bidders -- England, Netherlands-Belgium and Spain-Portugal.

"In that bid book model of the FIFA as commercial organization, it claimed a privilege of 100% tax freedom (no corporate tax, no income tax, no VAT, no excise duties, no local tax, not any other taxes), irrespective of regular national tax law, European tax law and international tax law," said Kogels after examining the Netherlands part of the bid.

"I was (and still am) not aware of any other international commercial sport event being subsidized through full tax exemption at the cost of (other) taxpayers, and did not see any justification for such unequal treatment of FIFA."

Economic benefits

FIFA insisted that tax exemptions needed to be viewed in relation to the overall economic benefits that next year's World Cup potentially might bring Brazil.

The world governing body quoted a study by Ernst & Young Terco that estimated that the event would inject R$ 112.8 billion ($50 billion) into the Brazilian economy by 2014, with R$ 28 billion (12.4 billion) spent on infrastructure, generating R$ 63.5 billion ($28 billion) in income for the population.

"It is important to note that tax exemptions are only related to certain areas of the organization, in particular for temporary use of goods and services during the event," FIFA told CNN.

"Examples include IT equipment for broadcasters as well as other material mainly broadcasters and participating teams bring with them, the cars used for the official transport, uniforms for volunteers.

"Amongst others the prize money of the FIFA World Cup is taxable in Brazil."

"Overall, according to the Ernst & Young Terco study it is estimated that the host country will obtain an additional tax revenue of R$ 18.1 billion ($8 billion).

"It should be noted that FIFA also bears the costs related to hosting and staging of the FIFA World Cup, including and not limited to the costs of the Local Organising Committee. This means over $1.3 billion in costs for FIFA."

Cynicism

However, in much the same way that the Group of Eight economies attempted to bring coherence to the issue of closing global tax loopholes earlier this month, Professor Simon Chadwick called on governments and sporting organizations to adopt a more systematic approach to tax.

"One of the problems in Brazil, Britain and, indeed, in many countries across the world is that there is no coherent strategy or policy in place regarding taxation and sport," said Chadwick.

"For example, players in this year's Champions League final at Wembley were given exemption from paying tax on revenues earned from the game.

"Whereas in 2015, players in the rugby union World Cup final will not be given the same  exemption. Such a lack of strategy, clarity, consistency and openness creates a climate in which confusion, contradiction and cynicism begin to develop."

Given the scale of the protests in Brazil, does the South American country want to renegotiate the tax exemptions?

"Holding a FIFA World Cup involves agreements that are signed between the organization and the host country in order to receive the event.," said the Brazil Finance Ministry.

"The FIFA World Cup has always been seen by Brazil as a major opportunity to spur investments in infrastructure and services and to modernize football management in Brazil."

@highlight

Questions raised over what Brazil really gets out of 2014 World Cup

@highlight

Should money be spent on football stadiums or health and education?

@highlight

FIFA receives tax exemptions from Brazil

@highlight

Romario says: "FIFA comes to our country and sets up a state within a state"