(CNN) -- Human Rights Watch on Thursday issued a first-person account of the incarceration and torture in Bangladesh of one of its consultants -- an outspoken human rights advocate, journalist and blogger.

Tasneem Khalil holds his baby in an undated family photo.

"The Torture of Tasneem Khalil: How the Bangladesh Military Abuses Its Power Under the State of Emergency," recounts Khalil's 22-hour incarceration last May in the southern Asian country.

Khalil was blindfolded and taken at gunpoint from his home in front of his wife and infant child, according to the account. He was beaten and threatened during the ordeal, retold in the 39-page report.

Human Rights Watch says the report "highlights abuses under the country's state of emergency and the interim government's failure to restrain the security forces."

"I have a moral responsibility to tell this story," said Khalil, who has done free-lance reporting for news organizations including CNN.

"I'm going to tell my story again and again and again," Khalil told CNN. "It's not only my story."

Khalil is one of tens of thousands of people, the report says, who have been detained by security forces after a government with a "reform agenda" came to power in January 2007.

It says Khalil was punished for criticizing "the security forces' role in extrajudicial killings, torture, arbitrary arrests, and other abuses."

He described being taken to a small room that resembled a "torture cell" and being severely beaten. Then his interrogators took off his blindfold to have him write a "confession" of his crimes.

"I was sitting in front of a table and three batons were on the table along with some stationery. One was a wooden baton, about a meter long. The other two were covered with black plastic. Poking out of the end of these two were metal wires," Khalil recounted.

"I'm not sure if they used electricity on me. The pain often came like shocks, but they were hitting me so hard that I'm not sure whether it was just the force that hurt like this or if it was electricity."

Khalil is now a consultant for Human Rights Watch in Sweden, which gave him and his family asylum after the ordeal.

"Rampant illegal detention and torture are clear evidence of Bangladesh's security forces running amok," said Brad Adams, the Asia director of Human Rights Watch who was quoted in a news release about the report.

"Tasneem Khalil's prominence as a critical journalist may have prompted his arrest, but it also may have saved his life. Ordinary Bangladeshis held by the security forces under the emergency rules have no such protections."

Khalil was freed "after tremendous international and national pressure," the group said.

Human Rights Watch is calling for the government in Bangladesh "to make the protection of human rights as much of a priority as its fight against corruption."

"While few would dispute that corruption, organized crime, politicization of the bureaucracy and political violence had to be addressed in Bangladesh, the interim government must realize that reform cannot be built on midnight knocks on the door and torture," said Adams. "A peaceful democratic society requires respect for basic rights."

Adams said there have been "no serious attempts" to hold people accountable for torture and arbitrary detentions. It urged the international community to persuade the government to deal with these matters.

"The security forces have been arbitrarily detaining and torturing people, but there have been no serious attempts at holding those responsible for these criminal acts to account," said Adams. "Why hasn't the government made the protection of Bangladeshis from this scourge a priority? Are they reformers, or do they just say they are reformers?"

Bangladesh government officials could not immediately be reached for comment.

Khalil, contacted in Sweden by CNN, said he wants justice for himself and the many others who have gone through the same ordeal.

"I absolutely want to see the people responsible for my torture and for my detention tried in a court of law in a transparent way. I want justice," he said.

At the same time, he said, "I am fully aware this is not going to happen" at this time, given the mindset of the government. E-mail to a friend

CNN's Joe Sterling contributed to this report

@highlight

Journalist and rights activist Tasneem Khalil tells of beatings in Bangladesh

@highlight

Khalil: The pain often came like shocks, they were beating me so hard

@highlight

Rights group says tens of thousands of people detained in 2007