(CNN) -- On April 9, 2010, the sun-powered Solar Impulse HB-SIA aircraft took off from a runway in Paverne, Switzerland, on its maiden flight.

Over the next 87 minutes it climbed to 1,200 meters, and undertook a series of tests and maneuvers to assess its reliability and performance, before returning test pilot Markus Scherdel safely to earth.

But does this remarkable new aircraft really represent the future of clean, green aviation? The team behind the flight aim to build a solar-powered plane capable of flying at night on stored energy that can circumnavigate the globe.

To find out more, CNN.com spoke to Solar Impulse Chairman and initiator, Bertrand Piccard.

CNN: How did you feel after the first test flight?

Piccard: The whole flight was an extremely intense moment, specifically the take-off. And when the plane touched the ground I felt an amazing sense of relief. We had the confirmation that the team who worked on this solar airplane for the last 7 years did an astounding job. This prototype is an amazingly complicated piece of engineering, with the wingspan of a jumbo jet, the weight of a car and the average power of a small motorcycle.

CNN: How successful was it?

Piccard: The first indications from the engineers are that everything went perfectly well -- the climb performances were even higher than expected! What is the next stage? The objective of this first prototype is to demonstrate by this summer, the feasibility of a night flight propelled only by solar energy. Before that, we'll do several additional test flights, each lasting a bit longer, until we complete the first complete day-night-day flight cycle. Then with the experience of this first aircraft we will start the design of a second airplane whose objectives will be to cross the Atlantic and then by 2013, to fly around the world in five legs, each lasting five days.

CNN: What is your ultimate vision for the project?

Piccard:  With Solar Impulse we want to demonstrate what can be achieved today with renewable energy and technologies that allow energy savings. If an aircraft is able to fly day and night without fuel, propelled only by solar energy, no one will be allowed to claim anymore that it is impossible to use the same technologies for motor vehicles, heating and cooling systems or computers, etc. This project voices our conviction that a pioneering spirit with political vision can together change society and reduce society's dependence on fossil energies.

CNN: Do you see it having commercial applications? If so, what and when might we see them in use?

Piccard: We could see our technologies used for high altitude remote-controlled solar-powered telecommunication platforms. But for airliners, remember when Lindbergh made his Atlantic flight in 1927; he was alone in an airplane whose payload was used for gasoline and nobody could imagine that hundreds of passengers would cross the ocean a few years later. Today, Solar Impulse holds one pilot and 400kgs of batteries.

CNN: What will happen in the future?

Piccard: I don't know, but aviation will have to evolve to meet the challenges of environment and increasing fuel prices.

CNN: How will solar-powered planes fly at night or in very bad weather?

Piccard: The 200 square meters of solar cells on the wing of the aircraft will allow the propellers to run during the day and reach an altitude of 27,000 feet. At the same time, the excess of energy will charge the 400 kg of batteries. At sunset, the airplane will slowly glide down to 10 000 ft and the energy stored in the batteries during the day, will be released to allow the aircraft to fly during the night. The batteries have to carry the airplane until the next sunrise! Of course we need sun light during the day, and we have to avoid flying in bad weather, particularly because our gigantic wingspan and very light wing loading don't accept big turbulences.

CNN: How have big aerospace corporations responded to your project?

Piccard: The first one who immediately believed in my vision was Paul MaCready from Aero Environment. Then the support came from the EPFL (Ecole Polytechnique Fédérale de Lausanne), Dassault Aviation, Solvay and Altran Technologies to launch the project. The feasibility study lead by André Borschberg illustrated that it would be extremely difficult, albeit feasible. The aircraft would need a gigantic wingspan and have to be exceptionally light. For the construction, we went to aircraft manufacturers with our requirements and they said it was impossible: hence we approached a boat manufacturer -- and as he didn't know it was impossible, he helped us.

We had to assemble our own team and during 7 years we went through calculations, simulations, projections, design, construction and thousand of tests. Of course, the journey until the around the world tour is still long and filled with many challenges. However, today we have accomplished a successful maiden flight with the first prototype.

CNN: The global aerospace industry is obviously vast and has much entrenched knowledge and technology; do you think corporations will be open-minded and open to change?

Piccard: Undoubtedly, they will have to! The price of fuel will progressively become unaffordable: it's just a question of time. The industries will have to reduce their consumption by using energy savings technologies and switch to renewables. There are corporations that understood this and already now invest in clean tech. Those who don't will go bankrupt, because they will have missed out on this new trend! The question is, "On which side do you want to be?"

@highlight

Maiden flight of Solar Impulse plane is first step towards solar night flying

@highlight

Initiator of project is aeronaut, Bertrand Piccard; project has been going 7 years

@highlight

Aim is to build solar-powered plane to fly non-stop round the world