(CNN) -- On the surface, a fast-growing service called Bit.ly performs a small task: it shortens URLs.

Short URLs are booming thanks to social network tools like Twitter with character limits.

That's useful when you want to share links on social networking sites like Twitter that limit the size of your messages, which helps explain why URL shortening services in general are proliferating. There are now well over a hundred.

But Bit.ly, a startup that's part of the New York-based incubator Betaworks, goes further than many of its peers. In addition to short links, it offers free analytics on the traffic related to those links. And it has bigger plans in store.

With little effort, regular users can see -- in real time -- the number of clicks received by their Bit.ly link, the location of the person clicking, and the service used at the time of the click (Facebook, Twitter, etc.).

Launched about a year ago, Bit.ly is now being used to shorten 8 to 10 million links a day, according to general manager Andrew Cohen.

There are plenty of other web analytics offerings, of course, but they tend to target more technical users or, as with Google Analytics, marketers.

"You don't need a tech team to use Bit.ly," said Cohen. "It's a tool that's immediately accessible to regular people."

A few months ago, Twitter quietly replaced TinyURL, one of the early shorteners, with Bit.ly as its default. There are now rumors that Twitter will buy Bit.ly outright, but Cohen won't comment on rumors.

Bit.ly benefits from the Twitter arrangement on multiple levels. There's all the traffic, of course, and the demand created in the first place by the 140-character limit.

More broadly, the growth of Twitter and other social networking sites means more people are communicating one-to-many -- or, in essence, acting like broadcasters. And as do broadcasters, many wonder how widely their message is being received. That favors tools that give regular users statistical feedback on the "audience."

Other ventures are tapping into this. Fast-growing Squarespace, which helps users build blogs and web sites, offers real-time visitor stats for each page. And tr.im, another URL shortener, also offers statistics on things like a user's location, referring web sites, and the number of clicks received.

But Bit.ly is perhaps more interesting for where it's going. About 200 million Bit.ly links are clicked on in a typical week, and the number is growing fast (it's doubled over the past few months). That kind of volume can yield analysis that's relevant to the Web at large.

The startup detected, for instance, that the video of Iranian protestor Neda Agha-Soltan would become news well before reports came out in newspapers and on TV, according to Cohen. It was apparent, he notes, from the increasing velocity with which the video was being shared.

The company is working on a series of projects -- internally dubbed "Bit.ly Now" -- that will help users predict and rank popular content. Among them is an upcoming web site that might compete with services like Digg and StumbleUpon.

With those sites, and others like them, content is ranked by user votes. Vote-based services, though, have been gamed in the past so that something is made to appear more popular than it actually is. A click-based system might have advantages in this regard, but Cohen's team is looking at ways to strengthen the system against such attempts.

Bit.ly is still exploring business models, but one thing it won't do, according to Cohen, is inject advertisements when users click on a link.

"Early on, we made a decision never to frame content, and never to run interstitial advertising," he said. "Everything we do has to go with the grain of the product and community."

That's not stopping others, though. A service called Tweetbucks, which works with Bit.ly and TinyURL links, entices users to "shorten any URL and make money." The service will pay Twitter users who get followers to click on a short URL and then either interact with framed ads or make purchases at supported merchants.

That's just one example of opportunistic middlemen taking advantage of shortened URLs. Fraudsters have been targeting Twitter with links that are supposedly related to trending topics but that actually lead to malicious sites.

Bit.ly is taking a few approaches to combat this. It uses real-time spam-filtering services, like SURBL and Google Safe Browsing, so that if you are directed to such a site, a warning will pop up warning you about it.

Earlier this week, Twitter itself started to offer similar warnings, but not for shortened URLs. Bit.ly also offers a browser plug-in that can reveal the full URL.

Another company offers a useful browser add-on for Firefox called Hyperwords. It's added full-URL-reveal to its long list of capabilities, and it works for most (though not all) brands of shortened URL.

Bit.ly and others, including tr.im, let outside applications tap their application programming interfaces (API), so one thing they can do is offer full URL preview in their own programs. For instance with TweetDeck, a popular app for organizing tweets, you can see the full URL behind a Bit.ly link.

Whatever improvements Bit.ly and its peers make, there will likely remain some Internet users who largely avoid short URLs for reasons of their own.

"I rarely click on Bit.ly links," commented one reader of the social media blog Mashable.com. "Just not comfy with the big brother-ish tracking stuff."

Interestingly, she didn't mind if it was Google doing the tracking. She minded if it was somebody she knew, like a business associate -- even though the data is anonymous. Some things, like the quirks of human psychology, can probably never be addressed.

@highlight

Shortened URL services growing in popularity thanks to services like Twitter

@highlight

Short URL company Bit.ly developing to allow web traffic tracking and a free analytics

@highlight

Other link shorteners allow for ads as new form of revenue model

@highlight

Many web users remain wary of clicking on shortened URLs