(CNN) -- While many visits to Marrakech revolve around the imposing Koutoubia mosque or Jemaa el Fna, the bustling central square filled with snake charmers and storytellers, there's plenty to do beyond these landmarks.

For those willing to delve deep into the narrow streets around the square or into the desert and mountains outside the city, Marrakech rewards with stunning scenery, unforgettable flavors and luxurious indulgences.

Here are some of the city's highlights.

1. Getting lost in the backstreets

Exploring the old medina can be pleasurable and expensive in equal measures thanks to the small boutiques selling almost everything.

Among classic local souvenirs are djellaba robes, spices, babouches (Moroccan slippers), old carpets and colorful ceramics.

Bargaining is part of the attraction here.

Taking time over a purchase will not only save money but generally prompt an enjoyable discussion with the vendor.

Recommended: La Porte d'Or -- an ancient two-level bazaar rammed with rugs and antiques.

La Porte d'Or 115 Souk Semmarine, Marrakech; +212 24445454

2. Wandering through the Jardin Majorelle

Here, the simple joy of a peaceful garden meets the complicated world of high couture.

This 12-acre botanical creation was bequeathed to Marrakech by French painter Jacques Majorelle and later saved from development by fashion designer Yves Saint Laurent, who bought it in the 1980s and, following his death, had his ashes scattered among its plants.

The garden, which blends Moorish and art deco features, is filled with rare flowers. A startling electric blue villa looks down upon the scene.

Jardin Majorelle, Rue Yves Saint Laurent, Marrakech; +212 5243-01894

3. Eating a sheep's head

There are plenty of places to eat Moroccan food in Marrakech.

Cooked snails, tajines, couscous and sheep heads -- there are different levels of exoticism to match the adventurousness of the diner.

Tanjia is a staple here. It's a meat dish cooked for six or more hours in a ceramic pot.

It's not commonly enjoyed by tourists but has such a terrific reputation among Moroccans that some come to Marrakech with the sole purpose of eating it.

Recommended: Dar Rhizlane Bejgueni, Jamaa el Fna square. This 40-year-old restaurant is a Marrakech institution. It's open until 2 a.m. and is famous for its sandwiches.

Dar Rhizlane Bejgueni, Jamaa el Fna square, Marrakech

4. Getting pummeled by a stranger

Steaming in a traditional Hammam or public bath is an important part of Moroccan life and culture.

Being scrubbed by a perfect stranger may not sound like everyone's idea of relaxation, but there's no better way to escape the buzzing Medina and revitalize weary skin and muscles.

Recommended: Les bains de Marrakech, a luxury spa close to the medina that offers individual massage rooms.

Les Bains de Marrakech, 2 Derb Sedra, Bab Agnaou, Kasbah, Marrakech; +212 5 24 38 14 28

5. Visiting or staying in a palace

El Badi Palace: It may be in ruins, but it's still possible to get an idea of the former glory of this sprawling 16th-century sultan's home.

There are subterranean rooms and a labyrinth to explore, plus a museum of objects recovered from an old Minbar (pulpit) at the Koutoubia mosque.

Mamounia Palace: This five-star hotel has been a Marrakech institution for the best part of a century, receiving famous guests such as Winston Churchill and Charlie Chaplin.

The Mamounia still attracts celebrities. Russian President Vladimir Putin's daughter was reportedly married here in 2013.

Namaskar Palace: Another luxury hotel, this one on the way from Marrakech to the Atlas Mountains.

Stylish with traditional influences, the oasis-style spa retreat regularly tops best-in-Africa lists.

El Badi Palace: Ksibat Nhass, Marrakech; +212 661 350878

Mamounia Palace, Arset el Maach, Marrakech; +212 5243 88600

Namaskar Palace, Route de Bab Atlas, 88/69, Province Syba, Marrakech; + 212 5 24 29 98 00

6. Relaxing in a riad

Whether for drinking tea or staying the night, riads are a great part of the Marrakech experience.

These traditional Moroccan houses built around a central garden or courtyard are as much a part of the city as the snake charmers of the main square -- although many have had a modern makeover.

Regardless of whether they've been kitted out with the latest fixtures or remain faithful to their old fashioned Moroccan decor, they all seem to evoke the myths of "One Thousand and One Nights."

Recommended: El fenn, a maze-like, 22-room luxury boutique hotel based around three central courtyards.

El Fenn, Derb Moullay Abdullah Ben Hezzian, Bab el Ksour Medina, Marrakech; +212 524 44 1210

7. Checking out the Atlas Mountains

One of Marrakech's key attractions is that it lies within easy reach of the Atlas Mountains, meaning that cool retreats from the heat and dust of the city are close at hand.

The town of Lalla Takerkoust, 43 kilometers (27 miles) to the southwest, is chiefly known for its nearby dam and lake and is a great place for quad biking, camel riding or simply admiring view of the peaks.

The valley of Ourika, in the Atlas foothills 60 kilometers to the south of Marrakech, is a popular escape to see Berber villages surrounded by waterfalls and rivers.

The village of Armed, 64 kilometers due south, is the last stop before Toubkal, Morocco's highest mountain, the peak of which affords views over the Sahara.

It's a great base for hiking or for simply breathing pure air, contemplating nature or enjoying a lunch on the terrace at the Roches Hotel (+212 667 64 49 15)

8. Grabbing a bargain in Bab El Khemis

It's off the main tourist trail, but Bab el Khemis is worth a visit.

The souk here is open every day, but on Thursdays ("Khemis" translates as "Thursday") it becomes a truly Moroccan experience.

This is when it transforms into a crowded flea market selling secondhand goods and treasures such as vintage carpets, doors and more than a few things that customers probably don't know exist until they stumble across them here.

9. Hot air ballooning

When people visit the city and talk of getting high, it doesn't necessarily mean they're hunting for the Crosby, Stills and Nash "Marrakech Express" vibe of the 1960s hippie trail.

Over the past 20 years, the city has emerged as a destination for balloon trips -- clear Moroccan skies that rarely see clouds or rain are a huge plus.

Taking in what is undoubtedly the best view of the Atlas Mountains doesn't come cheap, but few deny it's money well spent.

Recommended: Ciel d'Afrique, an organzied and professional operation with decades of ballooning experience.

Ciel d'Afrique; +212 524 43 28 43

10. Thrill seeking

A 30-minute drive south of Marrakech leads to Terres d'Amanar, a 173-acre adult playground filled with adrenaline-boosting outdoor activities.

For those with no fear of heights there are climbing routes, high wires and zip lines, while on the ground there's horse and camel riding.

Berber bread making courses are also offered.

Terres d'Amanar; +212 524 438 103

Ali Berrada is a Moroccan photographer, writer and director.

@highlight

Getting lost in the narrow streets of Marrakech's old medina is a great way to find antiques and oddities

@highlight

The Jardin Majorelle was created by French painter Jacques Majorelle and later owned by Yves Saint Laurent

@highlight

Outside Marrakech, travelers can take a hot air balloon trip, explore the Atlas Mountains or ride a zip wire