CLARKSDALE, Mississippi (CNN) -- Pat Davis was just 10 years old when two black men came into his father's barbecue joint in the heart of the Mississippi Delta in 1947. A huge fuss ensued, with four racists shouting every name in the book.

Pat Davis operates Abe's BBQ. His father was a Lebanese immigrant in Mississippi and defied segregation.

"My daddy went over to their table and said, 'These are people who want to eat just like you want to eat. You don't bother them. You leave them alone,' " Davis says, the incident seared in his mind six decades later. "They told Daddy he could lose his business by letting black people come in."

It's not unusual to find a barbecue restaurant in the South where the ribs are so good you want to run home and kiss your mom. But it's a rare find to discover the South's main delicacy cooked up by Lebanese immigrants in Mississippi, who defied segregation and who've been doing it since 1924.

Welcome to Abe's BBQ, a living testament to good eats and to good people, where civil rights were put to the test and won. In the end, racism took a back seat to slow-cooked pit barbecue. Today, Abe's remains one of the oldest restaurants in Mississippi.  Step inside, view photos of Abe's »

It's named after founder Abraham Davis, who arrived in Mississippi from Lebanon in 1913 when he was 13 years old.

Abe's sits at The Crossroads, the landmark spot at Highways 49 and 61 in Clarksdale where legend has it that blues king Robert Johnson sold his soul to the devil. Two giant guitars jut into the sky marking the spot where the deal went down.

You might be pausing here. Lebanese in Mississippi? Defying segregation? Sounds like something out of William Faulkner's Yoknapatawpha County.

As you sit down with a platter of ribs this Labor Day weekend, this is one barbecue story you might enjoy over cole slaw, baked beans and beer.

The town of Clarksdale is located about 70 miles southwest of Memphis, Tennessee, with a population of about 20,000 people. It was once known as the "Golden Buckle in the Cotton Belt," complete with Lebanese, Italian, Chinese and Jewish immigrants along with local blacks and white plantation owners.

Much of the immigrant population has moved on. The town these days is perhaps best known for the Delta Blues Museum and for the nearby Ground Zero Blues Club, co-owned by actor Morgan Freeman. Blues purists may point you around the corner to Red's juke joint, a ramshackle place where raw Delta blues oozes from the walls. On this night, Eli Paperboy Reed and the True Loves brought the house down.

But it's Abe's that has stood the test of time. Abraham Davis started his pit barbecue as the Bungalow Inn in 1924. It moved to its current location around 1936, and Pat Davis renamed it after his father in 1960.

Davis says being an immigrant -- or in his case, the son of immigrants -- gives one a better respect for all people. "It was a humbling feeling, and we knew how the blacks must've felt," he says. "Being Lebanese, my parents weren't truly accepted as first-class citizens when they first got here."

Andrew Clark, a 58-year-old African-American, worked at Abe's from 1962 to 1990, beginning when he was 16. He says Abe's is a symbol of great barbecue and a shrine to the civil rights struggle.

"They didn't see us as colored. They saw us customers," Clark says. "It didn't matter whether you were white or black ... I never seen them turn down anyone."

Sometimes he'd hear racist comments from white customers. When that happened, Pat Davis always stepped in. "The whole family is really, really great people," Clark says. "This place really has good roots to it."

Pat Davis refers to the Rev. Martin Luther King Jr. as a prophet, "because any time you change things for the better, you've got to come from God." He says change didn't come easy. Many of the local blacks, he says, didn't want his family to be harmed, so they often followed segregation laws. It was when blacks from out of town came that things began to change.

"They would come through the front and inside," he says. "My daddy never refused anyone no matter what color, race or religion. That's my philosophy as well."

He says his father, who always carried a Bible written in Arabic, was "just doing the right thing."

A hand-painted mural on the wall of Abe's depicts a pig with a fiddle in his hand, a pork sandwich and beer at his side. The hog is grinning from ear to ear, much like Abe's faithful customers over the years. "He's satisfied even though he's eating one of his kinfolks," Davis says with a chuckle.

If you're in Clarksdale but not in the mood for barbecue (something's wrong with you, if so), then you'll want to head just up the road to an even more authentic Lebanese restaurant. Rest Haven dishes out kibbe, grape leaves and a host of other Lebanese delicacies, along with traditional American cuisine.

Chafik Chamoun, a first generation Lebanese-American, established Rest Haven in 1954. Like Abe's, Chamoun says he has always welcomed people of all races. He peddled wares to black workers on plantations when he arrived in the United States, and learned to see past skin color at an early age. "I made a living with the black people all my life," he says. "I never refused one of them."

"Most people tell me how glad they are that I serve them, that my business is here," says Chamoun, 75.

I pause and tell Davis and Chamoun that stories like theirs aren't celebrated enough in Mississippi, that "all we hear about is bad sh--" coming from these parts.

The men burst into laughter. They nod with approval. They say their message is one of love, honor and respect.

And, oh yeah, one more thing: Great food.

@highlight

One of the oldest restaurants in Mississippi defied segregation

@highlight

Abe's BBQ in Clarksdale was founded by Lebanese immigrant Abraham Davis

@highlight

"We knew how the blacks must've felt," says son Pat Davis

@highlight

Long-time worker: Abe's is symbol of great barbecue and the civil rights struggle