The smell of incense burning and the sound of deep-throated chants greet you at the gate of one of Kathmandu's massive stupas, a Buddhist holy place where Tibetans gather to pray.

For decades, Nepal has been a safe haven for Tibetans who escape China.

But Tibetan activists say their people's peaceful existence here is being disturbed because of China's growing influence in Nepal.

Nepali-born Tibetan Sonam Choden has lived in Nepal her whole life, hearing stories from her parents about how her grandparents were killed by the Chinese.

She says she is overwhelmed with frustration over how Tibetans are now being treated in Nepal.

"Since China has given Nepal a lot of money, the Nepali government doesn't let Tibetans do much of anything. They don't let us gather to mourn, or protest. They even pick up Tibetans while they are walking on the street and send them to jail," Sonam Choden alleged.

Nepal is one of the poorest countries in the world, sandwiched between two behemoths: India and China.

Traditionally, India has had the biggest influence in Nepal. But China's influence is growing. It recently doubled its annual aid to Nepal.

China is also building a railway linking the countries and building roads in Nepal, which is in desperate need of infrastructure.

Nepal's prime minister, Baburam Bhattarai, said China's biggest interest in Nepal is the Tibetan issue. But he said he and Chinese Premier Wen Jiabao have not specifically discussed repatriating Tibetans who have escaped to Nepal.

In terms of Tibetan refugees in his country, the prime minister said, "We are not allowing anti-China or anti-Indian sentiment on our soil, as per international law."

But he denies there is a crackdown on refugees' rights.

As China becomes a bigger factor in Nepal, refugees from neighboring Tibet say they are being squeezed.

Choden is one of the few Tibetans willing to talk openly about what is happening. Inside her home, she worships the Dalai Lama, the Tibetan spiritual leader loathed by China and revered as a living God by many Tibetans.

She also speaks her mind on issues involving Tibet and has paid a price for it.

"Since 2008 I went to jail many times, 30 times at least," Choden said.

At home, she keeps a picture of herself being lifted off the ground by several Nepali police during a protest in 2008. She says that's the year things began changing for the worse for Tibetans. Others, including some Nepalese citizens, say the same thing in hushed whispers.

2008 was the year of the uprising in Tibet and subsequent crackdown by Chinese authorities on Tibetans, which sparked protests across the world and came as Beijing prepared to host the Olympic Games.

At one of the official Nepal-China border crossings, trade is the main order of business. Nepali citizens freely travel to China, and as we found out, the Chinese freely cross into Nepal too -- and enforce their rules on Nepal's territory.

We were approached by several men in plain clothes, who put their hands over the camera as we tried to film on the border. The men were speaking Chinese to one another and were clearly on the Nepalese side of the border.

Nepal's border police were also there. Their security forces had warned us that if the uniformed Chinese police came over the bridge, we'd better watch out because our camera would likely get broken.

However, the Nepalese forces didn't try to stop us from filming; nor did they stop the Chinese men from following us deep into Nepal's territory.

The same men later followed us far into the streets of the Nepal border village, as we tried to talk to people there.

We left unharmed and with all our equipment intact.

The Nepalese Home Ministry declined to comment on issues involving Tibet.

But one border police inspector who did not want to be identified told us above all else, China's main interest in Nepal is the Tibetan issue.

For more than 20 years, the Nepalese government and the United Nations High Commissioner for Refugees (UNHCR) has had an informal agreement when it comes to Tibetans who make it to Nepal with or without documentation. The Nepalese government agrees to allow Tibetans transit through Nepal to India, while UNHCR agrees to facilitate that.

The current representative in Nepal says the government has not rescinded that agreement and officials continue to process newly arrived Tibetans to help usher them legally to India.

The numbers of Tibetans coming to Nepal has declined dramatically since 2008, even as reports of unrest and self-immolations by protesting Tibetans continue to leak out of Tibet.

Stephane Jaquemet, the UNHCR representative in Nepal, said annually between 2,000 and 3,000 people crossed over in the late 1990s and early 2000s. "It now has been 800 for the last three four years," Jaquemet said, adding that it's not clear why the numbers have declined.

Tibetan refugees say they know why.  China is exerting pressure on Nepal so that it is no longer a place of refuge for those trying to escape Chinese rule, they say.

A Chinese foreign ministry spokesman said "Nepal sticks to the one-China policy" and considers Tibet a part of China.

"We will not allow any party to conduct anti-China policies in Nepal," spokesman Hong Lei said. "China appreciates that. China believes and hopes that Nepal will continue to adhere to that commitment in the future."

@highlight

Nepal's prime minister says there is no crackdown on refugees' rights

@highlight

Tibetans in Nepal say China has a growing influence in the country

@highlight

Nepal is a poor country sandwiched between China and India

@highlight

Chinese border police often come into Nepal