If you want to drive on Mars, you are going to need a very large sand pit to prepare.

Engineers for Airbus Defence and Space in the UK have done just that, building what they call a "Mars Yard" just outside London at a cost of about £500,000 ($832,000).

It contains 300 tons of sand (about 660,000 lbs), which has been matched to the color measured by NASA's rovers. Even the light levels inside the facility have been adjusted to mimic those on the Red Planet.

The idea is to replicate some of the Martian environment so the European Space Agency (ESA) can test a future rover they hope will autonomously navigate the surface.

ESA is planning two missions as part of its ExoMars program to shed more light on whether Mars could ever have supported life and in preparation for a possible sample return in the 2020s.

An orbiter and prototype lander is due to launch in January 2016 and a rover is planned to follow in 2018.

Scientists on the ground want the rover to be able to calculate its own safe route to an object and they say building the Mars Yard will help them prepare.

"It takes 20 minutes for a signal to reach Mars which is too slow for good control from the Earth," said Justin Byrne, head of Earth observation and science at Airbus Defence and Space. "This way the rover can get itself out of trouble.

"We are going to Mars to look for signs of life -- and this is an important step towards that goal," he said.

Airbus says the Mars Yard will be used up until launch but also kept available after the rover has landed in 2019 so that any potential problems can be simulated and solved back at the facility.

The European agency's return to Mars comes more than a decade after its last attempt to land.

ESA's Mars Express is still in orbit around the Red Planet and has been sending back data for 10 years. It recently made a close flyby of the Mars moon Phobos with the aim of finding out more about its mass and interior structure.

But its lander, Beagle 2, which was intended to search for evidence of life on Mars, was lost on Christmas Day 2003 after it failed to make contact with the orbiter.

Exploring Mars is a tough challenge. Many missions have failed since the earliest attempts at landing. A Soviet probe made the first human impact when its lander crashed in 1971.

But since then, a series of NASA rovers have provided a wealth of information about the hostile Martian environment. Curiosity has been analyzing samples scooped from the soil and drilled from rocks since landing in 2012. And Opportunity has traveled abound 40km (24 miles) and returned data from the Red Planet for more than a decade.

Two more spacecraft are currently en route to the planet. India's Mars Orbiter Mission and NASA's MAVEN orbiter are due to reach their target in September this year.

INTERACTIVE: Explore key missions to Mars

@highlight

Some of the Martian environment is being replicated to help test a future rover

@highlight

The European Space Agency is planning missions for 2016 and 2018

@highlight

The "Mars Yard" will be used up until launch but kept available after a rover has landed in 2019

@highlight

Two spacecraft are currently en route to the Red Planet