Vidarbha, India (CNN)Yogita Kanhaiya is expecting a baby soon. She already has a two-year-old son.

Her husband, Moreshwor, a cotton farmer, won't be around to see his children grown up. He committed suicide early in the pregnancy. Eight years back, Yogita's father-in-law, also a cotton farmer, took his own life.

"He was in so much debt," 25-year-old Yogita said of her late husband. "He wasn't getting any money from cotton. He chose death over distress."

It's a familiar story in families across Western India's cotton production belt, where, a cotton lobbyist group claims, one cotton farmer commits suicide every eight hours.

"We get reports of two to three farmer suicides every day," said Kishor Tiwari, leader of the farmers advocacy group, Vidarbha Jan Andolan Samiti (VJAS).

Vidarbha, in the eastern region of the state of Maharashtra, is known as the epicenter of the suicide crisis. According to VJAS data, some 2,900 farmers from the area have taken their lives since 2013; more than 500 have died since the start of this year.

There are a number of reasons for the hopelessness among Vidarbha farmers. Unseasonal rain and hail destroyed many crops earlier this year.

But they've also had to contend with the flipside: a plentiful harvest in 2014 drove prices down while production costs rose, leaving many farmers either lacking income or burdened with debt from loans taken out to help keep them afloat.

Last year was a record year for cotton production, resulting in a glut of cotton on the world market. India produced 40 million bales of the fiber in 2013/14 crop year, and is the second largest global cotton grower, after China.

The record surplus of cotton in the global market pushed down prices hurting farmers, particularly in Vidarbha, which is becoming increasingly reliant on cotton.

"Our land mostly supports only two crops: cotton and soybean. But for the past few years, soybean yield has consistently been decreasing. So we mostly depend on cotton," said Murali Dhidkar, a local cotton farmer.

He said in the past year, cotton prices had halved.

"I'm getting around 50 dollars per quintal. Just a year ago it was 100 dollars. I've never seen such a low price. The costs of pesticides, fertilizers and seeds are increasing but the cotton price is falling down."

He points out the dismal condition of debt-ridden farmers like himself in Vidarbha, many of whom are forced to take out loans or give up farming.

"Government officials do not come to the village and listen to our plight. Just a few days ago, my neighbor burnt himself alive," Dhidkar said.

Tiwari, from the farmers advocacy group, said many farmers in Vidarbha had lost hope that the situation would improve.

"It is an epidemic. How many more farmers need to commit suicide before the government steps in to find a solution to this problem?"

More than 50% of India's population is involved in the agricultural and allied sector, which contributes 18% of the country's GDP.  Government data shows 11,772 farmers committed suicide in 2013 across India. That is 44 deaths every day.

Earlier this month, Prime Minister Narendra Modi raised the amount of compensation paid for damaged crops, and lowered the threshold for farmers to claim payouts.

However, that failed to appease farmers who are angry about the government's Land Acquisition Bill, which critics say makes it easier for the government to seize farmers' land.

Modi's ruling BJP Party said the old rules were unnecessarily restrictive and the new bill is needed to spur investment and smooth the way for growth. The government is expected to reintroduce the new land bill when parliament reopens this week.

On Sunday, thousands of farmers gathered in Delhi at a rally led by opposition Congress party to protest against the bill. Waving flags, they blasted Modi government's policies as "pro-industrialist and anti-farmer."

Tiwari, of the farmer's advocacy group, said the government needs to do more to stop the wave of suicides across the country. He said Modi's push to open bank accounts for every Indian household, neglected to address the major concern in farming households of falling incomes.

"Prime Minister Modi boasts about India rising, but he is not willing to talk about India dying," Tiwari said. He says, for a start, the government should guarantee a better market price for cotton and waive farmers' overdue debt.

Divisional Commissioner of the Vidarbha region, Dnyaneshwar Rajurkar said the state government is aware of the situation and is planning to roll out relief programs to help local cotton farmers. The plans include halving bank loan interest rates and waiving loans from private money lenders.

Rajurkar said the government is also planning to deploy doctors to counsel farmers in distress.

Just days away from her baby's birth, Kanhaiya said she worries about how she's going to feed her family.

"I have to pay the loan back both to bank and private money lenders. I have no clue how I will pay the debt. Once the baby is born, I will look for work. I will have to do labor jobs all my life to pay the loan," she said, despair in her voice.

"I did receive compensation from the local state government after my husband's death. But it is very minimal. That does nothing to solve the grave problem I am in."

@highlight

Vidarbha, the eastern region of the state of Maharashtra, is known as the epicenter of the suicide crisis

@highlight

Farmers are becoming burdened with debt due to falling prices but rising costs