Los Angeles, California (CNN) -- When I was a child in Adelaide, Australia, I loved games with clear, unambiguous rules; puzzles that were tough but fair; and the clean, abstract, simplicity of numbers and symbols. So it is perhaps not surprising that I have been drawn to mathematics for as long as I can remember.

For much of my childhood, playing with mathematical problems, equations and facts was one of my favorite activities; I even went so far as to compete in international high school mathematics competitions, racing to solve tricky sets of problems in a few hours.

I still remember the realization in college at Flinders University in Australia that mathematics was not just an abstract game of symbols, but could be used as a tool to analyze and understand the modern world.

Why are some statistics trustworthy and some not? Why are some investment strategies sound, and others risky? How come a computer can search the entire internet for you in a matter of seconds, but cannot read a printed word if it is even just slightly distorted or blurred? How come our modern array of satellites can tell millions of drivers their location with amazing accuracy, but cannot correctly predict the weather a fortnight into the future?

Knowledge of mathematics can answer these questions, and make the world comprehensible and orderly rather than mysterious and capricious.

Once I saw the power of this knowledge, and the satisfying feeling when everything "clicks" and one sees a confusing problem resolve itself into a clear solution, I was hooked for life. I wanted to use mathematics to explore and understand as much of the world as I could.

In 1992, when I was 16, I moved to the United States to start working on my Ph.D. at Princeton University in New Jersey.

I alternated my time between Australia and the United States for many years, but by 1999 I had a permanent job in the United States, on the faculty of UCLA's Department of Mathematics. By 2002, I was married to an American -- we were married in the United States -- and last year I became a U.S. citizen (while retaining Australian citizenship).

Of course, my life is more than just my work. I am a husband and a father and a proud citizen of two countries; my homeland of Australia and my adopted country here in the United States. I identify with them both.

I enjoy a good meal, a good vacation or a good movie, much as anyone else would. But mathematics is both my profession and my hobby, and the place where it seems I am best able to make a contribution; so if I had to answer the question "Who am I?" I would have to say, "a mathematician."

The opinions expressed in this commentary are solely those of Terence Tao

@highlight

When he was a boy in Australia, Terence Tao says, he loved games, puzzles, math problems

@highlight

Once he realized that math could answer questions about the world, he was hooked, he says

@highlight

At 16 he came to U.S. to study for Ph.D; split life between U.S. and Australia; married in U.S.

@highlight

Tao: I'm husband, dad, citizen of both countries now, but my identity is as a mathematician