(CNN) -- On Friday, August 4, 1944 -- a beautiful summer morning, not unlike the one on which I am writing this now -- a car pulled up in front of a spice warehouse at 263 Prinsengracht in Amsterdam. Inside the car were an Austrian Gestapo officer and his Dutch subordinates, who, acting on a tip-off (whose source has never been identified), had come to arrest the eight Jews who had been hiding for two years in an attic above the warehouse.

The eight prisoners were taken to a deportation camp, from where they were sent to Auschwitz. Only one of them, Otto Frank, would survive.

It is because of one of youngest of those prisoners, Anne -- 15 at the time of her arrest -- that we know the names of the people who endured under those extraordinary circumstances, and who tried heroically to lead normal lives, although, during the daylight hours, they were forbidden to move or make noise.

The diary that Anne had received for her 13th birthday, which she had kept up during their time in the "secret annex," and which she had revised during her family's last few months in hiding, has outlived her by decades. It has become a classic of world literature, translated, reprinted and read throughout the world.

She made her final entry in the diary 70 years ago Friday, sounding like a typical soul-searching adolescent.

Often, reading Anne Frank's diary is the way in which young people first learn about the horrors of the Nazi genocide. Just as importantly, young readers understand that these crimes were visited upon a girl much like themselves and their friends -- a girl who was often in conflict with her mother, a girl who kept vowing to be a more patient and forgiving person, a girl who fell in love for the first time. A girl who wanted to be a writer -- and who was one.

Though the circumstances of her final years (she died, at 15, in Bergen-Belsen) were so terrible and extreme, her inner life and her voice seem almost shockingly contemporary, astonishingly similar to the voices of the teenagers we know. We cannot help but be amazed that an adolescent girl could have written so movingly and intelligently about a subject that continues to overwhelm the adult imagination.

Because of this book, we will remember the names, the quirks -- the characters -- of the eight people who inhabited the secret annex and their brave Dutch helpers. We will be able to visualize them long after everyone who witnessed that horrific era is gone. It is because of Anne's diary that she and her family are among the few we will remember -- the ones we feel we know -- among the millions who suffered and died as she did.

All of this should bolster the argument to be made against those who wish to remove some literature from the curriculum that our children study because it is not "practical," not "useful," because literature (like Anne Frank's diary) is a frivolous luxury compared with the more "necessary" subjects that today's young people must master.

What could be more "practical" than to learn (from the inside, from the first-person point of view of someone who experienced it) the history of the world in which we live, the history that has made us who we are -- and to learn that this history happened not to anonymous masses but to individuals much like ourselves and our children.

What could be more "useful" than to view that era through the mind and eyes -- and in the words -- of a girl who wanted us to know who she was and what happened to her. And what could be more necessary than the story of a girl who wanted to grow up, to become a writer, to lead a full and normal life -- and was prevented from doing so, by the forces of prejudice and hatred, on a beautiful and otherwise ordinary August morning.

@highlight

Francine Prose: Anne Frank made her final entry in her diary 70 years ago Friday

@highlight

Days later, she and family arrested, sent to concentration camp, where she died

@highlight

Prose says Anne Frank's diary a direct, relatable window to history for young people

@highlight

She says teaching book keeps us alive to history, alert to forces of prejudice and hatred