London, England (CNN) -- When conductor Marin Alsop stepped into a packed auditorium at London's Royal Albert Hall, she became the first woman to stand atop the podium on the Last Night of the Proms' -- a first in the event's 118-year history.

Closing Britain's prestigious summer-long concert series is no small feat. During the eight-week run, thousands of music lovers flock to the Proms each night to hear performances from the world's most renowned orchestras.

Though the honor is not lost on the 56-year-old Baltimore native, she's far from impressed by the slow progress of achieving gender equality inside the concert hall.

Read: 'Slumdog' star: Empowering girls

"It's really shocking that it's 2013 and there are still 'firsts' for women," Alsop says.

Still, she believes her historic appointment provides an ideal opportunity to hold a broader discussion about inequality and help the next generation.

Sporting a striking red suit, she exudes an unflappable sense of confidence when we first meet in the lounge of her swanky London hotel just a few weeks before the big performance.

"We sort of pat ourselves on the back in our developed countries, ticking off that equality box...but when you look to young girls being shot for going to school [like Malala] this is unacceptable.

"If we don't speak out now about this kind of inequality, the inequality in our own societies continues and we have to keep discussing it and keep bringing it to everyone's attention," she explains.

Her mood shifts from serious to excitement when she reflects on the moment Proms director Roger Wright first asked her to conduct the final night.

"The 'first woman' thing was missing for me," she admits. "[Wright] said, 'You know it will be a historic evening because you'll be the first woman.' And I said, 'No, you've got to be kidding.'"

Fast-forward a year and her appointment to close the Proms has received copious amounts of press attention in the UK and abroad.

But with so few well-known leading female conductors in the classical world, an ever-constant sexism row looms just off stage. Most recently, Russian conductor Vasily Petrenko comments sparked outrage when he told Norwegian newspaper Afterposten that "Men make better conductors."

Petrenko, the principal conductor of the UK's National Youth Orchestra and Royal Liverpool Philharmonic Orchestra went further saying a "sweet girl on the podium can make one's thoughts drift towards something else" while suggesting that "when women have families it is difficult to be as dedicated as is required in this business."

Petrenko has since clarified that he was referring to the classical music landscape in Russia and that he was misrepresented, according to reports from the London Evening Standard.

Despite the latest incident, Alsop says that things are slowly getting better for women in the industry.

"I certainly think the landscape is more welcoming. But the question as to whether that will translate into more women on the top podiums of the world with the major orchestras, I have no idea."

Born into a family of musicians, Alsop says she was always destined for a career in the arts.

Her parents started her on the piano at 2 years old. Just four years later, she graduated to the violin.

But it wasn't until age 9 when she witnessed a performance by famed American conductor and composer Leonard Bernstein that she realized her true calling -- to become a conductor.

Follow CNN Leading Women on Twitter

She would go on to study her bachelor's and master's degrees in violin at Yale University and at The Julliard School, respectively. Later, Alsop developed as a conductor under Bernstein, her mentor.

As the first woman to lead a major U.S. orchestra, to this day, Alsop credits her mentor for teaching her "to put the music first."

Amongst her many achievements, she has been with the Baltimore Symphony Orchestra as music director since 2007. As for her international work, she's led London's Royal Philharmonic, the Royal Scottish National Orchestra and since last year, the Sao Paulo State Symphony Orchestra for which she is now the principal conductor.

"I wanted to be a conductor when I was nine ... it seems like overnight success but it was at least a decade of really hard work. Not dreaming that it could be a reality, that this could be my career and my life," she says.

Alsop remains the only conductor ever to have received the illustrious MacArthur Fellowship -- also known as the "genius grant" -- which is presented to U.S. residents in recognition of continued creative merit.

With education and youth empowerment close to the American conductor's heart, she initiated a slew of programs over the years.

Most notably, she started a fellowship for young female conductors in 2002, with three previous winners going on to become music directors themselves.

Read: Space archaeologist reveals lost cities

In a bid to give back to her local community, Alsop launched the "OrchKids" initiative in 2008, which aims to provide "music education, instruments, meals and mentorship" for young people in Baltimore.

For now, Alsop is focused intensely on the Last Night of the Proms when she will be conducting the BBC Symphony Orchestra and Chorus in a program that highlights Wagner, Verdi and Britten, in addition to compositions from Bernstein.

"I'm bringing some music of my mentor and teacher Bernstein. There's some American music ... I think there are qualities about being American that I hope I can bring to the situation," she says.

"It's like presiding over the biggest party in the country and that's a nice role to have."

@highlight

Conductor Marin Alsop is the first woman to preside over the Last Night of the Proms

@highlight

"It's really shocking that it's 2013 and there are still 'firsts' for women," Alsop says

@highlight

In 2008, launched "OrchKids" which provides music education and mentorship for youngsters