Washington (CNN) -- This weekend we pause to celebrate the 150th anniversary of the preliminary Emancipation Proclamation that set in motion the freeing of the slaves throughout the South.

But as we focus on Abraham Lincoln's action on September 22, 1862, we should also realize that there was another crucial date in the story of freedom.

Perhaps the most significant event in American history --other than the creation of the documents that created our nation -- was Abraham Lincoln's emancipation of the slaves in the District of Columbia on April 16, eight and a half months before the historic signing of the Emancipation Proclamation.

It was the most significant because it began the process of stopping the one thing that could have ended this nation: slavery.

The D.C. proclamation predated the Emancipation Proclamation by months, but it received no less attention from the nation. It was a highly controversial document, and it was the first and only time that the government tried to compensate owners for freeing the enforced laborers.

Owners loyal to the United States were paid $300 per person, and each freed man, woman or child was paid $100 -- almost one-third of a working man's yearly wage in 1862 -- for those people who chose to return home. Compensating slaveholders was never tried again.

Washington was a hub of the slave trade. Slaves were sold across from the White House in Lafayette Park. Slave pens, or jails, holding the slaves for sale were located throughout the District.

Charles Ball, a slave in Washington, would take walks to Georgetown. "I frequently saw large numbers of people of my color chained together in long trains, and driven off towards the South," he wrote.

Frederick Douglass was one of Lincoln's most severe critics. For those unfamiliar with him, among man, Douglass stands beside Lincoln as a towering giant of the Civil War. Born a slave, Douglass, in his own words, "stole this body" and escaped to New Bedford, Massachusetts.

Self-educated, Douglass became known nationwide. Lincoln invited him to the White House four times. (Twice for meetings, once to his second Inauguration and once to the Summer White House, which Douglass declined because he had a speaking engagement.) The first meeting changed Douglass' tune. After that conversation Douglass said, "I felt as if I had known him all my life." What was most important, Douglass had Lincoln's ear; the president listened.

Ending the sale of slaves in the District was a thing of wonder. The act, said Douglass, was "a priceless and an unspeakable blessing." A District citizen (an African-American who was a free man all his life), wrote a friend in Baltimore, "Were I a drinker I would get on a Jolly spree today, but as a Christian I can but kneel in prayer and bless God for the privilege I've enjoyed this day."

Because of the Civil War, the District's Emancipation Day was not formally celebrated until 1866, when 5,000 marched from the U.S. Capitol up Pennsylvania Avenue to Franklin Square, cheered by a crowd of 10,000 lining the way.

Earlier this year, the District's non-voting member of Congress, the Honorable Eleanor Holmes Norton, led Washington's celebration of Emancipation Day.

Many years ago, her great-grandfather, Richard, lived in the city. President Lincoln's signature didn't free him. He freed himself when he walked away from a slave plantation in Virginia in the 1850's. But Lincoln's mighty pen made 3,100 men, women and children equal in the laws of the land.

The congresswomen did more than simply honor legacy; she brought the emancipation legacy home to us now. She said that the city, unlike the 3,100 who were emancipated, could free itself of congressional rule. (Washington's citizens do not have senators and have but one non-voting representative in Congress. Congress must approve all legislation Washington's City Council enacts.)

Norton said, "Our freedom is locked up in the U.S. Capitol. We can claim it, or leave it there.

"We can claim it, or leave it there."

This fall, the descendants of slaves, millions of ethnic and religious minorities from other lands, African-Americans and immigrants -- Latinos, Asians, Europeans -- and women, as well as working- and middle-class Americans, will decide whether to claim their future. We are all in this together.

All Americans will have a chance to move Lincoln's vision forward to help close the opportunity gap, to end the economic inequality resulting from government policies that favor a handful over the many who work equally hard. Abraham Lincoln would be proud to see the progress we have made. But he also would understand that there is still more work to do. Together.

Claim it.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Weekend marks 150th anniversary of preliminary Emancipation Proclamation

@highlight

She says April 16, 1862 also was significant in struggle for freedom

@highlight

On that date, Lincoln signed bill to free the slaves in the District of Columbia

@highlight

She says it began the process, which continues today, of seeking freedom and justice