Sen. Rand Paul is proposing legislation aimed at eliminating criminal sentencing rules that adversely impact minorities, saying that "we need some fresh ideas to combat old and festering problems."

The Republican from Kentucky described the measure Friday in a speech to the National Urban League. It's part of his aggressive outreach effort to African-Americans and other voting groups who don't traditionally back Republicans.

Paul is trying to expand the GOP base and lay the groundwork for a potential 2016 campaign for the White House.

His address highlighted sentencing reform, expanded voting rights, and education reform. It came one day after two other possible Republican presidential hopefuls, New Jersey Gov. Chris Christie and Rep. Paul Ryan of Wisconsin, also touted similar reforms.

Sentencing reform is one of Paul's signature issues. As he's done in previous speeches, he told the audience gathered in Cincinnati that the nation's criminal justice system is still stacked against minorities.

"Three out of four people in prison right now for non-violent crimes are black or brown. Our prisons are bursting with young men of color and our communities are full of broken families," Paul said.

Rand Paul fights for felon voting rights

"There is a cycle of poverty that often leads to drugs, to debt, and to prison. In prison, child support can accumulate into the thousands of dollars. Release from prison then finds that employers don't want to hire a convicted felon.

"With few options of real work, the cycle begins again. I say enough's enough. I won't sit idly by and watch our criminal justice system continue to consume, confine and define our young men. I say we take a stand and fight for justice now," Paul said.

He then pointed out that the current legal distinctions between crack and powder cocaine have led to longer jail terms for the possession of crack.

While he said that progress has been made in reducing those distinctions, Paul added that he was introducing legislation on Friday that "eliminates any disparity between crack and powder cocaine."

Paul also touted that he's working with Democrats, like Sen. Cory Booker of New Jersey, on a bill that would expunge records, under certain circumstances, of non-violent and youth related crimes.

And, he's rubbing shoulders with Attorney General Eric Holder on sentencing reform as well as some Republican governors.

Rand Paul and his Democratic buds

Paul's other pitches

Paul also used his address in front of the National Urban League convention to make another pitch for expanding the voting rights of ex-cons.

"Nationwide, five million people are prevented from voting because of their criminal record. It's the biggest impediment to voting in our country. I want more people to vote, not less," Paul said.

He described himself as "a Republican who wants to restore a federal role for the government in the Voting Rights Act."

Paul twice quoted from Martin Luther King Jr. in his speech to the century-old civil rights organization. And Paul again mentioned King as he continued his crusade against the federal government's current surveillance activities.

"Dr. King's 'I Have a Dream' speech inspired the world but it also prompted the FBI to tap his phone illegally and spy on tens of thousands of Americans. Today, all Americans should be concerned that the government is collecting the records of Americans," he said. "Frankly I think what Americans do on their cell phone is none of the government's damn business."

On education reform Paul attacked the status quo and proposed shifting the power away from government.

"Washington has no clue how to fix education. Washington doesn't know if whether you're a good teacher or a bad teacher. We should allow innovation to occur at the local level. I propose that we allow school charters, school choice, vouchers, competition. Competition breeds excellence," Paul said.

And Paul also touted a plan to increase investment and job creation by moving control of some tax monies away from Washington and into state and local hands.

"I have a 10-year plan for areas of high unemployment and poverty, to lower taxes and promote employment," Paul said.

Rand Paul: Will his star continue to rise?

Christie and Ryan also make pitches

Some of Paul's language sounds similar to what Christie is saying.

Thursday night, he and the chairman of the Republican Governor's Association once again said that there's far too many people sitting in prisons for non-violent drug crimes and called on Republicans to focus on people not just before they're born but after as well.

"I'm pro-life and if you're pro-life, you have to be pro-life when they get out of the womb also," Christie said in an appearance at the Aspen Institute in Colorado, repeating comments he made last month at a major social conservative gathering.

Gov. Christie: 'You have to be pro-life when they get out of the womb'

Christie said the justice system must stop stigmatizing the disease of drug addiction and focus more on rehabilitation.

"We don't give them any kind of significant treatment, long-range treatment, and then we release them. And then we wonder why they go back and commit more crimes to support their habit," Christie said.

The potential 2016 presidential candidate also said giving drug addicts treatment instead of prison time would help the economy too.

Earlier Thursday, Ryan, spelled out his plan to fight poverty, a pilot program that would combine 11 federal programs into one pool of money for participating states.

Paul Ryan lays out new poverty plan

According to the plan, which the Wisconsin Republican detailed in a speech to the American Enterprise Institute, states would voluntarily submit their own anti-poverty proposals in order to get money.

"If everything passed muster, the federal government would give the green light," the House Budget Committee chairman said in a speech to the Washington-based think tank. "And the state would get more flexibility. It would get to combine into one funding stream 11 different programs, things like food stamps, housing assistance, child care, and cash welfare."

The GOP, under the direction of Republican National Committee Chairman Reince Priebus, last year released a report that acknowledged the party's problem in reaching out to younger and minority voters, who overwhelming went for President Barack Obama and the Democrats in the 2012 election. The report included hundreds of recommendations for the party.

@highlight

Rand Paul wants to alter criminal sentencing rules that adversely affect minorities

@highlight

His National Urban League speech is part of his stepped-up outreach effort

@highlight

New Jersey Gov. Chris Christie has sounded similar themes