(CNN)Reaction to the massacre of cartoonists and journalists and others standing in the way in the Paris office of the satirical magazine Charlie Hebdo will fall into two categories.

One group will urge us to respect religions, to refrain from crossing a certain invisible line that offends. They will criticize the magazine, carefully prefacing their condemnation of the victims, the cartoonists and their editors, by saying that nothing justifies murder, but then they will make their point, explaining that their lampooning had simply gone too far, that they had it coming.

There's another way to respond. It is the way a free society, threatened and intimidated by murderous extremists, reacts when its most fundamental principles are on the line. Satire, humor, even of the tasteless and offensive variety, must be defended without qualification. That is how we must respond.

The last tweet from the magazine's account, just a few hours before masked gunmen broke in and killed at least a dozen people, features a cartoon wishing a happy new year "and particularly good health" to the leader of the Islamic State, Abu Bakr al-Baghdadi. That, in today's world, counts as courage of the highest order.

At this writing, we have no confirmation of who carried out the attack, but we have experience with these sorts of acts.

Our first modern-day encounter with the threat of murder against artists who "offend" came in 1989, when Iran's Ayatollah Khomeini issued a fatwa (that's when we all learned the word), a religious decree ordering the assassination of the writer Salman Rushdie over his novel, "The Satanic Verses." Rushdie went into hiding. Bookstores carrying the novel were set ablaze, and the novel's Japanese translator was murdered.

The world's reaction ranged from blazing outrage to cool, considered empathy for the injured feelings of the attackers.

After Iran's new leader reaffirmed the Fatwa in 2012 and raised the bounty on Rushdie's head, the writer told an interviewer that he could draw a  "straight line" from the 1989 threat against him and the 9/11 attacks.

Since then, assaults on freedom of expression have become almost routine, with a trail of death in their wake.

What is most troubling is the extent to which those assaults have succeeded, by producing pre-emptive self-censorship in democratic societies.

The most famous of all the controversies came in 2005, when the Danish daily Jyllands-Posten published cartoons of the prophet Mohammed. Islam forbids depictions of the prophet. Danish law, incidentally, does not. Activists used the cartoons to stir up anti-Western anger sparking protests against churches and embassies that left hundreds dead.

The intimidation worked. I recall watching at home a TV interview in which the Danish editor unexpectedly raised an issue of the paper showing the cartoons, and someone in the studio nearly tackled the camera to the ground, apparently to prevent the images from airing.

Discussions about the need to "respect religions" became popular throughout the West. Ireland even passed a law banning "blasphemy." The Irish definition of blasphemy, in case you were wondering, is "publishing or uttering matter that is grossly abusive or insulting in relation to matters sacred by any religion, thereby intentionally causing outrage among a substantial number of adherents of that religion."

Clearly, the law itself amounts to blasphemy against free expression.

Most reasonable people don't advocate insulting any religion. But in a free society, people's feelings get hurt. We often cringe at what we hear. Publications such as Charlie Hebdo make us wince on a regular basis. Their targets are racists, extremists of all religions, and just about anyone that strikes their satirical interest. One drawing showed three rolls of toilet paper, labeled the Bible, the Koran, and the Torah, under the headline "In the toilet, all the religions." Christians, Jews, Muslims, politicians, businessmen, the innocent and the guilty have all come in for pictorial skewering, frequently in rather vulgar fashion.

Offended? Too bad. You don't need to subscribe. You don't need to like it. But if you want to live in a world in which ideas flow freely, in which even the most powerful have no immunity from scrutiny, there is no question that the work must be defended.

Extremists need no excuses. Satire is only the lowest hanging fruit. If the cartoonists are silenced, they will find plenty of other targets that upset their sense of right and wrong.

Charlie Hebdo, and Salman Rushdie, and Theo van Gogh, the Dutch film director murdered for making a film about Islam, offended many people. The vast majority responded by moving on, or arguing in favor of their own views, not joining a rampage of murder.

Art, comedy, satire in particular, stand at the forefront of democratic freedoms. Attacks against them serve as an alarm about threats to other aspects of our lives.

A few years ago, gunmen in Damascus attacked the Syrian cartoonist Ali Ferzat. They beat him and broke his fingers after he drew a cartoon showing the dictator Bashar al-Assad hitching a ride out of town with Libya's Moammar Gadhaffi, who just been overthrown.

Al-Assad could not take the joke. Tyrants and would-be tyrants cannot tolerate mockery. Democracies, free societies, have no choice. They must defend it as if their survival depended on it. Even if the jokes aren't funny. Even if they offend. Even if they create risk.

That is why it was imperative that the film that upset the North Korean dictator be shown despite -- no, because of -- the threats.

When the offices of Charlie Hebdo were set ablaze in 2011, after the paper published its "Sharia Hebdo" issue, which they said was "guest edited" by the prophet Muhammad, critics predictably complained that the publishers were asking for it, that it was all their fault. "Sorry for your loss, Charlie," wrote Time Magazine. "Do you still think the price you paid for printing and offensive, shameful, and singularly humor-deficient parody ... was so worthwhile."

The Hebdo editors certainly did. And now they have paid a much greater price.

The people who would silence cartoonists have more than cartoons in their sights. It isn't just the drawings they don't like. If they would kill because of a cartoon, think how much about the rest of their lives they will find worth killing for.

@highlight

Frida Ghitis: Some says Charlie Hebdo killings a signal to respect religions. That's wrong lesson

@highlight

She says if we want a world of free-flowing ideas, we must defend free speech, never bend to terrorists