(CNN) -- Former Icelandic Prime Minister Geir Haarde was convicted Monday of negligence related to the collapse of his nation's banking system, but he was cleared of three other charges and will face no punishment, a court official said.

Afterward, Haarde insisted that he'd been acquitted on the most serious charges that deal most directly with the origins and handling of the crisis. He characterized the lone conviction as relatively inconsequential and "ridiculous."

"I have just followed the traditions of all my predecessors as leaders of the Icelandic Cabinet have practiced throughout the decades. And maybe I'm just taking a hit for all of them," Haarde said. "But the point is that this (conviction) has nothing to do with the financial crisis."

Politicians in Europe and beyond have been harshly criticized and, in some cases, forced out of office in the wake of a wave of economic woes, including governments and banks' role in contributing to debt and other crises.

Yet even in all the financial chaos, Iceland has been exceptional -- and only partly because its leader was the first to be criminally charged and, on one count, convicted.

Once one of the world's wealthiest countries per capita, Iceland took a huge hit in 2008 when its banking system collapsed spectacularly, wiping out billions of dollars in savings.

The ripple effect was felt far beyond the island nation, particularly in Britain and the Netherlands.

Those two nation's governments came up with more than $5 billion to bail out its citizens who'd put their money in Iceland-based banks. That prompted a bitter dispute when those countries demanded that Iceland compensate them, as required by a European Union directive.

The International Monetary Fund loaned Iceland $2.1 billion in November 2009, at which time it made repaying the money to the British and Dutch governments a requirement of the loan.

That same year, Harde was ousted as prime minister. And last month, after a judge had thrown out two additional charges, his trial began on four counts: failing to ensure that a financial stability group delivered the required results, failing to take action to reduce the size of Iceland's banking system, failing to verify the move of accounts from Landsbanki bank's Icesave program, and failing to focus more Cabinet meetings on the crisis.

Haarde called the first three charges, of which he was cleared, "substantive" in that they were allegations that tied into his and his government's role in the crisis. He described the one charge he was convicted of, meanwhile, as "purely formulaic: Did we discuss or not discuss (the financial crisis) enough?"

The former prime minister acknowledged that he, like others, had "made mistakes" but said he's not to blame for what happened. There were a host of reasons, he said, including Iceland's reliance on what he described as a flawed European financial regulatory framework and the danger posed by "the free flow of capital across borders unless there are certain preventive measures in place."

"There was a lot of irregular stuff going on within the banking system, and of course ... there was an international financial crisis," Haarde said. "We didn't see that coming."

He added that "nobody has been complaining about the way we handled the crisis, which has been described as very successful by a lot of people."

In fact, the IMF has forecast economic growth of 2.5% for the island nation in 2012, and the ratings agency Fitch has raised Iceland's long-term debt back to investment grade.

"In many ways, we are ahead of the curve," Haarde said, comparing Iceland with Greece, Spain, Portugal and Ireland, which also received bailouts. "We are moving faster out of the crisis than these countries are."

CNN's Matthew Chance contributed to this report.

@highlight

NEW: Geir Haarde calls his lone conviction "ridiculous" and inconsequential

@highlight

NEW: Nobody complained about how Iceland handled the crisis, he says

@highlight

The ex-Icelandic leader was convicted of negligence, cleared of 3 other charges

@highlight

He was in office when Iceland's banking system collapsed, wiping out savings