Cambridge, MA (CNN) -- As Daniel Nocera gazed down on one of his experiments in what has come to be known as the "holy grail" of energy research, his response was to shrug:

"Oh, that can't be right."

It was a glass of tap water with a thumb-sized strip of silicon floating in it. When he held the glass up to the light, the strip began to gently bubble.

It seemed to be splitting water into hydrogen and oxygen.

But this would mean you could take any tub of water and -- with no more than a few cheap materials and a little light from the sun -- produce two incredibly powerful fuels.

It couldn't be right.

Professor Nocera went back and, for 8 months, tried to prove himself wrong.

The artificial leaf: better than nature

Scientists had split water before. By 1870, electrolysis using platinum electrodes and vast electrical currents could achieve the feat.

In the 20th century, too, simpler methods had been developed which used sunlight to power the reaction -- but these, too, relied on prohibitively costly metals.

Nocera's "artificial leaf" is different.

On either side, the silicone strip is coated with inexpensive metallic compounds -- a cobalt phosphate catalyst that spurs the creation of oxygen gas, and a nickel-zinc alloy that does the same for hydrogen.

The process only uses as much energy as it can pick up from sunlight: in the lab, Nocera flicks off the light, and the bubbles disappear.

The reaction was inefficient when first demonstrated in 2008 -- with little of the sunlight being locked up in the fuels -- but today it beats nature at its own game.

In natural photosynthesis, the process by which all plants take in energy -- and which ultimately provides the fuel for all life on earth -- only very small amounts of solar energy are converted to fuel.

"The best stuff that grows in the field, a plant, it only fixes 1% of the light," explains Nocera.

"We're already on 7%."

Freedom from the grid

"My vision of the world is: if you see some sun, you will be in control of your own energy supply," says Nocera, now professor of energy at Harvard University.

First, he's looking to the developing world where, he says, two drinking bottles of water could provide a household with a steady 100 watt power supply

The water wouldn't even need to be clean:

"You find some water on the ground, you put it in, the water circulates over this thing that's collecting the light just like a solar panel and then it's splitting into hydrogen and oxygen."

Anyone could have an artificial leaf device -- which he predicts "will look like dishwashers" -- and produce enough bottled hydrogen and oxygen to power the house through the day and night.

In the developed world, colossal investment in power stations, pylons and other infrastructure over the last century has guaranteed inexpensive electrical supply for all from the grid -- and he says there's therefore currently little demand for this kind of personal power station.

But in the developing world, where many are without connection to such infrastructure, there is a real desire -- if it can be made cheap.

That's why Nocera sees his mission -- now focused on driving down costs -- as more than just an act charity:

"You can say I'm trying to help the poor -- I always say: 'No, the poor are helping me,' because they can be much more nimble."

"They can be the early adopters and teach the world what the future energy system will look like."

Why it won't happen soon

Today, Nocara knows he's not wrong about what he saw in the glass. He's sure he has found the key to turning water and sunlight into high-power fuels, without high costs.

"I've found the solution, there's no question. You can take sunlight and water, drop this thing in, and simply split hydrogen and oxygen. You can't get simpler."

So when will we see his remarkable creation on the ground? "Not very quickly," says Nocera.

"I tell you what I don't like about my invention? I make hydrogen."

"Hydrogen is the most powerful fuel, but it's a gas. If I gave you hydrogen right now you wouldn't know what to do with it."

For now, he says, he'll have to work on convincing people to find ways to make hydrogen "fuel cell" technology easy-to-use. That, or combine hydrogen with CO2 to produce the type of liquid fuels we're more familiar with -- gasoline or diesel -- a process which has seen big advances in recent years.

Still he refuses to get disheartened, and believes it will happen one day:

"When you are trying to make a new energy infrastructure -- you better understand that this isn't going to happen overnight.

"There's nothing any scientist is going to invent in a lab that will displace hundreds of trillions of dollars' worth of investment in an energy infrastructure."

"It's got to be a mind-set -- everyone's got to want it."

Read more from Make, Create, Innovate:

Wireless electricity? It's here

Forget wearable tech, embeddable implants are already here

Spider lessons: How to mend your body with silk

@highlight

Daniel Nocera has created the "artificial leaf"

@highlight

The low-cost device can turn water and sunlight into stored energy

@highlight

It has long been dubbed the "holy grail" of energy research

@highlight

Find out why you won't be getting your hands on it anytime soon