Washington (CNN) -- New Jersey Gov. Chris Christie declined an invitation to attend a major gathering of social conservatives this week in Washington, opting instead to make a high-profile appearance at a forum organized by former President Bill Clinton in Chicago.

Christie's decision was hardly a bombshell: Up for re-election in November in a Democratic-leaning state, the governor can hardly afford to be seen courting Christian conservatives and sharing a stage with divisive figures like Michele Bachmann and Herman Cain.

But his absence was a sore point for many conservative activists who traveled to the Faith and Freedom Coalition's "Road to Majority" conference to see a bumper crop of GOP stars, including would-be presidential candidates like Kentucky Sen. Rand Paul and Florida Sen. Marco Rubio.

In New Hampshire, early signs of the 2016 presidential race

The official line here about Christie was a polite one.

"He was invited," conference organizer Ralph Reed told CNN in an e-mail when asked about Christie. "We would have been happy to have him and our hope is he can come next year."

But in conversation after conversation at the forum, attendees offered opinions of Christie that ranged from bewilderment to thinly disguised contempt.

Taken together, their assessments signaled that Christie has some vital repair work to do with conservatives if he wants to pursue the Republican presidential nomination in 2016.

While many here seemed unfamiliar with the details of his policy positions, most were fully aware of Christie's public embrace of President Barack Obama in the wake of Superstorm Sandy, which ravaged the New Jersey shore last October.

Christie's gushing praise of the president's post-storm relief efforts rankled a number of Mitt Romney's top campaign advisers, some of whom blamed him for burnishing Obama's image just days before the presidential election.

The whispered complaint among top Republicans in and out of the Romney campaign was that Christie was disloyal, more concerned with his 2013 re-election bid than with helping a Republican capture the White House.

At the Faith and Freedom event, it was clear a similar perception about Christie has taken hold among party activists, many of whom said they wouldn't dare vote for him if he decides to seek the 2016 Republican presidential nomination.

"He's changed," said Robert Eaton, a Republican activist from Greensboro, North Carolina. "He was a rock star at first when he first came out. He was strong. He was making good speeches and being very conservative. He went against the teacher's unions, which is a good, free enterprise issue. And he stared them down. Had his way. Now he is showing his other side."

Eaton, who said he was surprised Christie was even invited by the Faith and Freedom Coalition, paused in the middle of an interview and looked at his companion. "Was he a Democrat before he was a Republican? That's a good question. It wouldn't surprise me."

Nancy Modlin, another North Carolinian and a self-described home-schooling mom, expressed disappointment that Christie chose to attend a forum hosted by Clinton instead of spending a day in Washington meeting with conservatives.

Bill Clinton lauds Christie

"I am disillusioned with him," Modlin said. "I see too much two-facedness, trying to ride both sides of the fence for his own gain. I'm not sure what he is right now, with the way he philanders with a variety of people, Democrats like Bill Clinton. What does that tell you?"

Brandon Patterson, a 23-year old Regent University student from Virginia Beach, Virginia, said Christie "is not very popular here."

"Nobody is excited to support him at all," Patterson said. "Nobody that I know of. He's a moderate."

Christie has riled the right in other ways beyond the drama of Sandy.

His list of perceived sins, documented by right-leaning bloggers and curated online by the conservative Drudge Report, seems to expand by the week.

In February, the governor complied with an expansion of Medicaid required under Obama's health care reform law, a smart political move in a blue state but a poke-in-the-eye for conservatives rabidly opposed to the provision.

He has sought tougher gun laws in New Jersey.

And earlier this month, after the death of New Jersey Sen. Frank Lautenberg, Christie called for an expensive taxpayer-funded special Senate election instead of appointing a Republican to serve out the remainder of the Democrat's term in Washington.

Still, many of the conference-goers had only a dim awareness of Christie's record in Trenton. Their impressions seemed based on casual conversations with friends and neighbors, and rooted in the Sandy episode last year.

Asked specifically what it is about Christie that turns off conservatives, Melissa Ortiz said "the buddy buddy with Obama thing."

"The way he buddied-up to him does not play well with true bedrock conservatives," said Ortiz, a communications strategist from Washington who said she personally admires Christie.

Admittedly, these are the opinions of only a modest sample of the most dedicated social conservative activists, including a good number of evangelical Christians who might be more sympathetic to a candidate like former Sen. Rick Santorum, who won the 2012 Iowa caucuses with support from influential pastors, or Wisconsin Gov. Scott Walker, the son of a Baptist minister and a practicing evangelical.

But there is harder evidence that Christie has problems with Republicans outside of New Jersey. A Gallup poll released earlier this month pegged Christie's approval rating among national Republicans at just 58 percent, and almost a quarter of Republicans view him unfavorably.

"This may reflect that Republicans are paying close attention to Christie's overall political positioning, and some in the party may be displeased with Christie's high-visibility public appearances with President Barack Obama in the aftermath of Hurricane Sandy at the New Jersey shore, including one just before last November's presidential election," Gallup pollster Frank Newport wrote about the poll.

Getting a thumbs-up from nearly two-thirds of national Republicans might not seem like a problem for Christie. But politicians -- especially those who hope to survive the obstacle course of a presidential primary fight -- are generally expected to have deeper appeal within their own party's ranks.

Hillary Clinton, for instance, has a 94% favorable rating among Democrats, Gallup recently found.

The picture in New Jersey, where Christie is expected to cruise to victory in November over Democratic challenger Barbara Buono, differs markedly for him.

Almost 90 percent of Republicans in the state view their governor favorably, according to a Rutgers-Eagleton poll released on Friday, and more than 80 percent of New Jersey voters think Christie will be re-elected.

And yet not a single person among the more than two dozen conference-goers interviewed Thursday and Friday named Christie among their top choices for president in 2016. The names that most frequently surfaced were those of Paul, Rubio and Walker, who, like Christie, were absent from the gathering.

Zelizer: Why 2014 is the year to watch

A number of conservatives here said flatly they would never vote for Christie.

"Sorry, can't go that way," said Nancy Schultz, a Republican from Orlando, Florida. "He's not pure enough on the founding principles."

Elizabeth Creamer, a resident of Clearwater, Florida, had a similar take.

"I've heard he's in with the president and he supports what he does, and you see him walking around with Obama and you see him consorting with Obama a lot," Creamer said. "I don't know where he stands."

LaDonna Ryggs, a Republican activist from South Carolina, said Christie has time to repair his image, but she doubts that he will have much appeal in her state, which holds one of the pivotal early presidential primaries every four years.

"After the election and the things that happened, I think a lot of people probably blame him for it," Ryggs said. "I don't blame him. I don't think it was his fault. But you still hear it from a lot of people. The way I look at him is, he sells in New Jersey. And what you have to be there is a whole lot different than what sells in South Carolina. I don't know that he will be popular in South Carolina."

A few people here had a more pragmatic perspective.

Eric Lupardus, the 25-year old Missouri native, said Republicans should be willing to support candidates who aren't down-the-line conservatives if they want to win.

"I hate the argument that if we want to win we have to pick someone who we don't necessarily agree with, but that's the world we live in," he said. "So I would rather have Chris Christie and have him be my friend half the time, than have a Democrat as a president. I would certainly vote for him."

"I don't think we should shoot for the middle," Lupardus said, with a pained look on his face. "But we need someone with broad appeal, because we've lost the last two times and we need a win."

@highlight

New Jersey's Chris Christie's decision to choose Clinton over Faith and Freedom forum rankles conservatives

@highlight

Some still blame Christie's praise of Barack Obama in Sandy aftermath for Mitt Romney's loss

@highlight

Early Christie supporter says Christie is "showing his other side"

@highlight

NEW: New Jersey Republicans view Christie favorably in new survey