(CNN) -- Earth is in the grip of the "sixth great extinction crisis," say some scientists, with up to 2,000 species dying out each year.

These 11 great wildlife experiences could disappear within your lifetime.

1. Witnessing a great animal migration

Ancient rock art images of animals moving across the African savannah indicate that humans have been marveling at animal migrations for more than 20,000 years.

But poaching, agriculture, war and deforestation are encroaching on wildlife corridors around the world, placing these animal movements -- from Africa's wildebeest migration to the annual pilgrimage of North American bison -- under threat.

How to do it: GAdventures pairs good wildlife access with creature comforts on its Kenya Safari Experience tour (eight days from $3,490 per person; +1 888 800 4100), taking in Kenya's Lake Nakuru, Amboseli National Park and the Masai Mara, where Africa's wildebeest end their migration.

2. Coming eye-to-eye with a polar bear

While hunting is still allowed by some Arctic-dwelling native communities, it's climate change that poses the largest threat to polar bears.

Latest data from the International Union for the Conservation of Nature (IUCN) shows that eight of the 19 sub-populations of polar bear that roam the Arctic are in decline.

Scientists project that two-thirds of all polar bears could disappear by 2050.

Due to its southern exposure, Canada's Hudson Bay is one of the bear habitats most threatened by climate change -- increasing temperatures are forcing bears off the ice earlier each year.

How to do it: Churchill Wild (+1 866 846 9453) is one of a handful of operators on the western shores of Hudson Bay that facilitate multi-day bear watching tours starting at around $3,000 per person.

3. Counting the stripes on a tiger

Tigers once roamed freely across Asia.

Today the world's most endangered big cats have disappeared from 90% of their historic range.

Just six of nine known tiger species are thought to remain, with an estimated 3,200 animals left in the wild.

While it's extremely rare to spot the elusive beasts in their natural habitat (the South China tiger, for example, hasn't been seen since the early 1970s), protected reserves in India and Nepal provide the best opportunities.

How to do it: Intrepid Travel offers a Chitwan Extension (four days from $430 per person; +1 800 970 7299) tour to Nepal's Chitwan National Park from Kathmandu.

Once a royal hunting reserve, Chitwan is home to elephant, rhino, crocodile, monkeys, deer and about 100 Bengal tigers.

4. Swimming amid live coral on Australia's Great Barrier Reef

The Great Barrier Reef, the world's largest reef system, is in peril.

Temperature fluctuations are primarily to blame for the disappearance of half its coral since 1985 and the Australian Institute of Marine Science predicts that less than a quarter could be left within a decade.

Following plans by the Australian government to industrialize parts of the reef, the World Heritage Committee passed a recommendation to consider listing the UNESCO site as "in danger" at a meeting in June 2014.

How to do it: Calypso Snorkel and Dive (+61 7 4099 6999) offers daily snorkeling and diving day trips to the reef from the Far North Queensland resort town of Port Douglas starting from $174 per person.

5. Tracking gorillas in the mist

Endemic to the forests of central Africa, both species of the world's largest primate have been decreasing in numbers for decades largely due to poaching and disease.

Worryingly, a 2010 United Nations report suggested that these gentle giants of the forest might disappear from large parts of the Congo Basin, one of their primary habitats, by the mid-2020s.

How to do it: Wilderness Collection offers gorilla tracking opportunities during a six-day tour, from $6,474 per person, split between two luxury Odzala camps (+27 11 807 1800) in an area of the Republic of the Congo that's home to a high density of western lowland gorilla.

Chimpanzee, leopard, golden cat and a large number of other primate and bird species are also present.

6. Seeing the creatures of Galápagos as Darwin saw them

Remaining virtually undiscovered for centuries did much to preserve the living showcase of evolution described by Charles Darwin in "The Origin of Species."

But Ecuador's best known ecosystem remains fragile.

The last remaining Pinta Island tortoise, fondly known as Lonesome George, died in 2012, adding to the list of several other species that have died out since Darwin's 1835 visit.

How to do it: While it's possible to fly to Galapagos from mainland Ecuador and visit several islands independently, you can only reach the bulk of protected habitats on heavily regulated organized cruises.

You can expect to pay from around $1,500 for a last-minute, week-long cruise organized in the capital Quito or Puerto Ayora on the island of Santa Cruz.

Prices double (or more) for the convenience of booking ahead through an international company such as Ecoventura (+1 800 633 7972).

7. Hanging around with orangutans

Sharing 98% of our DNA, orangutans are one of the closest relatives to man, though if predictions are accurate, Asia's only two great ape species could be extinct in the wild within the next decade.

Conservation groups such as Borneo Orangutan Survival have bolstered numbers through rehabilitation and release programs, but the illegal pet trade, trafficking and habitat destruction still present the greatest threats to the survival of orangutans on the only two islands they inhabit: Borneo and Sumatra.

How to do it: Gecko's Adventures include a visit to two rehabilitation centers in Malaysian Borneo on their Orangutanland tour (18 days from $2,500; +44 0808 274 5981).

The trip includes a cruise down Kinabatangan River, where you might spot orangutans, proboscis monkeys, macaques and elephants in the wild.

8. Watching sea turtles nest

Scientists have been debating for decades why -- not to mention how -- sea turtles return to the same beach every year to lay their eggs.

But the phenomenon may soon be a thing of legend thanks to the ravages of intense egg collection, fisheries bycatch and light pollution, which have forced species such as the leatherback, hawksbill and green turtles onto endangered lists.

How to do it: You can sign up for a volunteering stint with an organization such as Earthwatch (nine-day Costa Rica program from $2,800 per person; +1 978 461 0081) during which you'll help safeguard turtle eggs and assist new hatchlings.

9. Spotting Africa's Big Five

European game hunters and the illegal wildlife trade may soon reduce Africa's most prestigious group of game animals from the legendary Big Five to four.

While lion, African elephant, Cape buffalo and leopard populations are relatively stable, rhinos are in serious trouble.

Poaching has increased dramatically during the past few years, with 800 rhinos killed illegally in South Africa in 2013 alone.

Last year, the International Union for Conservation of Nature (IUCN) declared the western black rhino officially extinct.

How to do it: All members of the Big Five can still be found in Botswana, Uganda, Namibia, Ethiopia, South Africa, Kenya, Tanzania, Zimbabwe, Malawi and the Democratic Republic of the Congo.

If you're particularly eager to see rhinos, Intrepid Travel's Okavango Experience (nine days from $1,155 per person; +1 800 970 7299) includes a dusk game drive in Botswana's Khama Rhino Sanctuary for a chance to spot both white and black rhino.

10. Swimming alongside whale sharks

Nicknamed "dominos" for their distinctive markings, the world's largest fish are among the most placid of the shark species.

Unfortunately, demand for whale shark meat, fins and oil, on top of unregulated tourism, remains an enormous threat to this vulnerable species.

How to do it: A WWF-sponsored ecotourism project in the Philippine village of Donsol allows tourists to swim with whale sharks while following strict rules to avoid disturbing them.

Donsol EcoTour (+63 2 576 5934) offers snorkeling packages with gear and a trained guide from around $25 per person.

11. Be awed by a giant panda in the wild

They're China's natural treasure, but threats from humans have left just 1,600 giant pandas in the wild.

High in the mountains of western China, the rarest member of the bear family plays a critical role in facilitating the growth and vegetation of the bamboo forests these placid beasts inhabit.

How to do it: Given the difficulty of spotting giant pandas in the wild, only a small number of tour operators exist.

The WWF-partnered Natural Habitat Adventures' Wild Side of China tour (13 days from $9,595 per person; +1 303 449 3711) includes a visit to China's Chengdu Giant Panda Base and rare access to a panda sanctuary to search for them in the wild.

Sarah Reid is a travel writer who has contributed to Lonely Planet publications, Cosmopolitan and Spa Secrets.

@highlight

You can swim alongside rare whale sharks in the Philippines

@highlight

African wildebeest among great migrating animals under threat

@highlight

Gorillas can still be seen in Congo -- for now