This has been a big week for food product recalls and the risk of food borne illness.

Seven confirmed and three likely cases of E. coli infection linked to raw clover sprouts have been reported, the Centers for Disease Control and Prevention said Thursday.

The patients are all in either Idaho or Washington. Half the people who have fallen ill have been hospitalized.

Preliminary investigations indicate the likely source of this outbreak are raw clover sprouts produced by Evergreen Fresh Sprouts LLC of Idaho, the CDC said. The state departments of health in Washington and Idaho are telling consumers not to eat raw clover sprouts produced by Evergreen Fresh Sprouts.

Meanwhile, hummus and dip products totaling about 14,860 pounds are being voluntarily recalled by Lansal Inc. amid concerns about possible bacterial contamination.

At the same time, Sherman Produce is recalling some bulk and packaged walnuts sold to retailers in Missouri and Illinois.

These two recalls are precautionary measures against possible Listeria monocytogenes, which may cause serious and even fatal infections in people with weakened immune systems, such as the elderly.

No illnesses have been reported in connection with either recall, the respective companies said.

Both companies advise consumers who bought the recalled products to throw them out or return them for a full refund. The products should not be eaten.

Also this week, the USDA's Food Safety and Inspection Service said 1.8 million pounds of ground beef products were being recalled because they could be contaminated with a strain of E.coli.

Consequences of food-borne bacteria

Escherichia coli is a large group of bacteria; most are harmless, while some can cause serious illness. The strain involved in the sprout-linked outbreak is Shiga toxin-producing Escherichia coli O121.

E. coli infection can lead to severe diarrhea, abdominal pain and vomiting, according to the U.S. Food and Drug Administration. Most people recover within seven days, but some have severe complications, the CDC said. A type of kidney failure called hemolytic-uremic syndrome may result; the elderly and children under 5 are most at risk.

Most listeria infections may not be noticed because the symptoms are mild, according to the Mayo Clinic.

Symptoms of a listeria infection in an otherwise healthy person include fever, muscle aches, stiff neck, headache, loss of balance and convulsions, according to the Centers for Disease Control and Prevention. Diarrhea or other gastrointestinal problems may occur before these symptoms.

Pregnant women infected with listeria may suffer miscarriages, premature delivery or stillbirths. The newborn may have a serious infection if the mother has been sick with it.

Why sprouts?

Evergreen Fresh Sprouts was also involved in a 2011 salmonella outbreak. Consumers then were discouraged from eating the brand's alfalfa sprouts and spicy sprouts.

Sprouts have a history of being involved in bacterial infection outbreaks.

According to a study commissioned by the Canadian Broadcasting Corporation, the warm, moist conditions that are conducive to growing bumper crops of sprouts are also an ideal breeding ground for bacteria.

In the study, Kevin Allen, a microbiology professor at the University of British Columbia, tested 44 samples of prepackaged sprouts (as well as 48 samples of leafy greens and 58 samples of various herbs) and found, "Over 78% of sprouts had levels of microorganisms too numerous to count."

Why sprouts make you sick

Hummus and dips

In the case of Lansal, the Texas Department of Health identified the potential for listeria contamination while routinely testing a Target Archer Farms Traditional Hummus product.

"Lansal Inc. is voluntarily recalling all products manufactured at the same facility and distributed to both wholesalers and retailers during the same time," the company said.

See a list of recalled products

Included in this recall are some Target Archer Farms hummus products nationwide. Certain Giant Eagle hummus products in Pennsylvania, West Virginia, Ohio and Maryland are also affected.

Trader Joe's 5 Layered Dip, both large and small, with a use-by date of April 15 is being recalled in Illinois, Indiana, Iowa, Kansas, Kentucky, Michigan, Minnesota, Missouri, Nebraska, Ohio and Wisconsin.

The 8-ounce container of Trader Joe's Edamame Hummus is recalled in 17 states with use-by dates of April 28, April 29 and May 9.

Some plastic containers of Tryst Yellow Lentil Hummus with Sunflower Seeds & Apricots are also affected.

"Lansal Inc. has contacted all impacted retail customers and distributors instructing them to remove all affected product from sale and is working with the appropriate agencies including state departments of health, the Food and Drug Administration and local authorities," the company said.

The Lansal consumer question line is 877-550-0694.

Walnuts

Sherman Produce said it was recalling "241 cases of bulk walnuts packaged in 25 lb bulk cardboard boxes and Schnucks brand 10 oz trays with UPC 00338390032 with best by dates 03/15 and 04/15."

An FDA sampling detected Listeria monocytogenes in walnuts at the facility.

Sherman Produce can be reached for questions at 314-231-2896.

Stores may have received tainted beef

Food safety tips from a pro

Summer food safety: Don't get sick from your picnic

@highlight

E. coli outbreak linked to sprouts with patients in Washington and Idaho

@highlight

Listeria monocytogenes, a bacterium, spurs recall of hummus, dip and walnuts

@highlight

Listeria infection symptoms can be mild but may be serious in vulnerable people