(CNN) -- A junior professor drives his Doppler On Wheels mobile radar trucks through Moore, Oklahoma, less than 90 seconds after a tornado has torn a path of destruction through the city. Debris -- pieces of homes -- falls from the sky onto his truck. The scene is shocking; wrecks of houses covered with dirt are all that is left in the twister's path, and people are still huddled underground in shelters.

The professor doesn't know it yet, but he has just recorded 302 mph winds in the core of the vortex, the strongest wind speed ever measured anywhere in the world. He doesn't learn until later that his wife and baby are in a shelter just 3 miles south of the tornado.

The year was 1999. The professor was me. Forty-six people died in tornadoes that day. I was chasing twisters with the DOW radars -- mobile weather radars driven up to tornadoes to make ultra-fine detail, 3-D maps of the winds and debris. I was trying to learn more about how tornadoes form, about how the winds cause destruction, with the optimistic hope that this would soon lead to better forecasts, longer warning lead times, fewer false alarms, fewer deaths.

Tornado prediction is improving, scientists say

In 1999, tornado warnings were issued by the National Weather Service an average of 13 short minutes before touchdown, and the false alarm rate was a whopping 75%. The same remains essentially true now. And on Monday, my team and several other teams of really smart scientists with mobile radars and other equipment independently concluded -- incorrectly -- that southern Oklahoma, about 50 miles south of Moore, was at the highest risk of strong tornadoes. We all missed the opportunity to collect data in the Moore tornado.

Opinion: We love and fear the Oklahoma skies

Why? Why haven't scientists and all the smart forecasters been able to improve tornado forecasts? And why, even when communities like Moore, Oklahoma, and Joplin, Missouri, (devasted by a tornado in 2011) and others are warned sometimes 30 minutes ahead of time do so many people die? We can't expect that there will be zero deaths from tornadoes, but can we do better?

For people to be safe from tornadoes, several things must happen. Scientists need to better understand the details of how tornadoes form, what events precede tornado formation, and how to better distinguish between thunderstorms that will make tornadoes and the overwhelming majority that will not. Then, forecasters need to be able to integrate that knowledge with observations, mainly from the national network of government weather surveillance radars and computer simulations to detect tornado precursors.

Warnings need to be effectively communicated to those most at risk, using traditional methods such as sirens and weather radio and new media like Twitter. Finally, those who are warned need to heed these warnings and take immediate and effective precautions.

Opinion: The making of a nightmare tornado

In recent years, scientists have learned much about tornadoes. The National Science Foundation's DOWs have mapped the winds in nearly 200 different tornadoes, large and small, during birth and death, and while passing through towns. Scientists, supported by the foundation and the National Oceanic and Atmospheric Administration, are analyzing nearly 30 terabytes of data, -- the equivalent of about 8,000 DVDs -- collected during VORTEX2 (or Verification of the Origins of Rotation in Tornadoes).

VORTEX2 is the largest and most ambitious tornado study in history -- begun in 2009 -- in which 100 scientists in 50 scientific vehicles surrounded and probed tornadic super-cell thunderstorms.

The formation of tornadoes is hard to predict, but we are making headway in identifying potential precursors. But, as our missed forecasts for Moore show, we have a long way to go. Even with the most sophisticated instruments, we can't tell even 20 minutes ahead of time whether a super-cell will become a tornado.

Opinion: The extraordinary courage of teachers

The public and local governments have a critical role to play. No matter what warnings are issued by forecasters, every adult's safety is ultimately in his or her own hands. One has to choose first to heed a warning. Then, critically, one has to have a safe place to go. In particular, buildings hosting the most vulnerable -- schools and hospitals -- need to have hardened shelters. Communities need to enforce the most basic and inexpensive good building practices so that roofs are attached securely to walls, which are anchored to foundations, so that buildings are more resistant to tornadoes.

Moore in bull's-eye twice, science may know why

I believe that we are doing a pretty good job at all of this. While the tolls in Moore and Joplin are tragic, most people who lived and worked in even the worst swaths of destruction survived. During the 1999 tornado, for example, more than 400 homes were completely destroyed -- not just some walls down, but all walls down -- but only about 40 people died. Many thousands lived in the paths of the 2011 Joplin and 2013 Moore tornadoes, and only a small fraction died.

But we can and should do much better. Tornado deaths can be reduced, if not to zero then still substantially. It will take the continued efforts of scientists, forecasters, builders, community planners and ultimately the people who live in the path of the most intensely destructive phenomenon.

The opinions expressed in this commentary are solely those of Joshua Wurman.

@highlight

Joshua Wurman: Research has improved tornado tracking, but it remains imprecise, flawed

@highlight

He says warning speed, false alarms change little. People still die. We must do better

@highlight

He says synthesis of research, radar observation will help. Communications must improve

@highlight

Wurman: Public must heed warnings, build tornado-proof structures, to bring deaths to zero