The Obama administration finalized rules on Friday that allow religious-affiliated organizations opposing the use of contraception to opt out of a federal mandate requiring that they provide their employees with insurance coverage for birth control.

The mandates give women at nonprofit, religious-based organizations, like certain hospitals and universities, the ability to receive contraception through separate health policies at no charge.

The rules, which were first proposed in February and then open for comment through April, have undergone only minor changes. Chiquita Brooks-LaSure, deputy director for policy and regulations at  the U.S. Department of Health and Human Services, said in a call with reporters that the rules were "very similar" to the administration's original proposal.

One of the few noticeable changes is the process by which insurance companies reimburse nonprofit religious organizations -- such as nonprofit religious hospitals and institutions of higher education -- that object to contraceptive coverage. This process, officials from HHS said, has provided more distance between the groups that disapprove of contraceptive use and the insurance companies that will be supplying contraceptives to their employees at no cost.

These slight changes, said one HHS representative, came after hearing from stakeholders during a public comment period this year. In total, more than 400,000 comments were sent to the department on the rule.

Objecting organizations and insurers will have until January 1, 2014, to comply with the new rules. This date was extended from August 1, 2013.

"The health care law guarantees millions of women access to recommended preventive services at no cost," Health and Human Services Secretary Kathleen Sebelius said in a Friday news release. "Today's announcement reinforces our commitment to respect the concerns of houses of worship and other non-profit religious organizations that object to contraceptive coverage, while helping to ensure that women get the care they need, regardless of where they work."

Since Obamacare was signed into law in 2010, administration officials have said the administration has attempted to work out how nonprofit organizations can decline to provide contraception coverage to their employees on religious grounds without facing a penalty.

In a news release about the finalized plans, administration officials say these final rules "strike the appropriate" balance.

In February, the health agency said that while it could not provide a final cost of the plan, offering free coverage would lower expenses over the long term, partly because of improvements in women's health and fewer childbirths.

As part of the new rules, groups that are insured -- such as with student health plans at religious colleges -- would be required to let their insurer know that certain participants would like contraception coverage.

Because the insurer would be covering the costs, the changes would allow religious organizations morally opposed to contraception to avoid paying for it.

Although many religious groups applauded the compromise, not everyone heralded it as a success.

The U.S. Conference of Catholic Bishops said in February that it does not support the Obama administration's proposals because they  fall short of addressing concerns about religious freedom.

"Because the stakes are so high, we will not cease from our effort to assure that health care for all does not mean freedom for few," Cardinal Timothy Dolan of New York, president of the conference, said in a February statement. "We will continue to stand united with brother bishops, religious institutions, and individual citizens who seek redress in the courts for as long as this is necessary."

Those calls of disapproval continued after Friday's finalization of the contraceptive plans.

"This latest rule shows the administration is tone-deaf to religious freedom," said Anna Higgins, director at the Family Research Council. "Family Research Council strongly opposes the latest regulation that continues to mandate that life-ending drugs and contraceptive services be covered, with no copay, by health plans of businesses and organizations that have serious moral and religious objections."

Michael Hash, director of the Office of Health Reform for HHS, said the changes that were made took into account suggestions from religious organizations that objected to the rules.

"I think there is a much brighter line, simpler line, and we think that responds to the good many comments that we got," he said.

An original mandate on providing contraception was part of the new federal health care law spearheaded by President Obama, the Affordable Care Act. It required that insurers provide, at no cost to those insured, all forms of contraception approved by the Food and Drug Administration.

Houses of worship were exempt immediately, and the administration widened those exemptions last year to include other religiously affiliated organizations, like universities and hospitals.

That still left groups across a wide spectrum of faiths -- many of which teach that contraception is morally wrong -- covered by the mandate. They denounced it as an infringement on religious liberty. A group of 43 Catholic organizations challenged the rules in federal court in May.

The administration had long defended the mandate, saying that it did not violate religious liberties.

The finalized proposal also clarified the definition of a religious employer.

Instead of using a multipart test that required an employer to show "religious values as its purpose" and to "employ persons who share its religious tenets," the proposal followed the Internal Revenue Code's definition that includes "churches, other houses of worship, and their affiliated organizations."

After an uproar among religious institutions that didn't want to pay for contraceptives, the Obama administration offered several alternatives in March 2012. These plans are a continuation of those efforts.

The issue of Obama's health care act mandating contraception coverage became a hot-button political issue during last year's presidential race.

In August 2012, Republican nominee Mitt Romney released a television ad that attacked the Obama administration.

"President Obama used his health care plan to declare war on religion, forcing religious institutions to go against their faith," the ad said. "Mitt Romney believes that is wrong."

Although the ad did not specifically mention the contraception rule, a news release that accompanied the ad justified the "war on religion" claim using an editorial published in the San Antonio Express-News in February about the health care law's rule on providing contraception.

@highlight

Rules let groups like religious hospitals, schools to decline to provide contraception coverage

@highlight

But women would still get coverage; outside provider would pay for contraception

@highlight

The rules, first proposed in February, appear to have undergone only minor changes

@highlight

Obama administration: Rules appropriately balance religious liberty, contraception coverage