(CNN) -- When the January 12 earthquake hit Haiti, I watched hour upon hour of coverage on CNN. Like everyone else in the world, I saw images that were among the most horrifying caused by a natural disaster in our time.

I had never been to Haiti at the time. Like many, I have friends and even family members of Haitian descent. But what occurred to me and most others were the questions: "How could this happen and be so destructive?" "Why the lack of infrastructure?" "Why the lack of preparation for disaster?" No country could be totally prepared for that kind of disaster, but Haiti and its people seemed to be particularly disadvantaged against Mother Nature's might.

Click to find out more about CNN documentary "Rescued"

I immediately got on my computer and began doing research, reading about Haiti's history. Admittedly, my American history dates were a bit foggy, so I tried to give myself a brief refresher. In school, we learned very early on about the abolition of slavery and Abraham Lincoln. But I was never taught that there was a small black nation in the Caribbean that had defeated Napoleon's army in 1803.

That was the same year the French decided to sell their only other colony in the Western Hemisphere: Louisiana. Had the slaves, led by Toussaint L'Ouverture, not overthrown the French Army in Haiti, would the French have sold Louisiana to the United States?

The Louisiana Purchase instantly doubled our country's size. Now, I have spent my time in Louisiana. I graduated from Louisiana State University. But I never linked these two events. I am sure historians do, but does the average American know that the Haitian revolution possibly played a large role in the history of the United States of America?

So, I ask myself, had Toussaint L'Ouverture not lived, would America be the America it is today? If his army and the slaves had not defeated the French, would the French have wanted to sell their only other colony, so close to Haiti?

So, the earthquake made me begin to read about history and look at events a little more closely. I do not understand why a country so close to some of the richest economies in the world could be in this position.

I am not a political person by nature. But it does make you wonder how politically and historically, Haiti's own government and those of nearby countries have shown no accountability.

That same day, I began to get calls from many organizations, people I do business with, friends asking for financial assistance and donations. I kept responding: "Get back to me on what to do for the children." "Call me on what we can do with the schools." "Can someone find me someone dealing with the orphan situation?" "Are these kids going to be out on the streets being sold into God knows what?"

I continued to be overwhelmed with requests, and to be honest, was very concerned about people taking advantage, or looking for their "moment in the spotlight to look like a savior," or that conversations seemed premature or were losing focus on the big picture.

You could not be human and look at the images and hear the stories and not feel helpless and complete empathy for those who were suffering. Amid the chaos of what was unfolding on television, I tried my best to put myself in the place of the people and children who were living this reality.

What does it feel like to lose a family member, or many family members and friends all at one time? Parents? Children? What does it feel like to be trapped inside a building that has fallen around you, in many cases for days, waiting for someone to find you and dig you out. What does it feel like to be hungry and without water for days at a time, not knowing if you will ever taste anything again?

Now, months later: What does it feel like to be abandoned? What does it feel like to have a leg amputated, no parents, and live in a tent outside an orphanage that you cannot go inside?

I can only imagine. I cannot walk in the shoes of those who lived it.

I also realized that I know nothing about emergency response, foreign aid or medical care. What I do know is that I can be effective in keeping the light on a problem -- a problem that will not be solved for a long, long time.

This is a country full of young children who will be permanently affected by this catastrophe. It is our responsibility to help Haiti solve this problem, as long as it takes to do it. We must not only rebuild the country, its roads, its buildings and its government. We also have to rebuild its children.

It is an emergency to get these children back in schools. It was already an emergency before January 12, when a large percentage of children were not in school. It is an emergency to protect their human rights, it is an emergency to give them health services and prevent diseases that have long-term impact.

We must treat these children like children. They need music and arts and sports. They need trained teachers who can educate and protect them during the school day. They need to have safe places to play. They need access to computer labs, technology and modern education tools.

I decided this is what I would focus on. How could I lead in contributing for immediate needs -- but also for those that linger? A bed to sleep in and a roof over their heads. Schools. Computers. Teachers. Books. Soccer fields. Basketball courts. Parks. That is it.

Our team traveled to Port-Au-Prince and Jacmel over the past few weeks, and we are returning again this month. We have joined in partnership with the United States Foundation for the Children of Haiti. The team met with the most amazing woman, Gladys Thomas, who has been serving the children in her homeland of Haiti since 1981.

Thomas has led the foundation in developing a full spectrum of services for the growing number of children brought into her care. We will support her organization and work to support La Foundation Pour les Enfants d'Haiti, a nonprofit and nongovernmental Haitian organization.

Our foundation O'Positive, along with Greenhouse International, will support the ongoing need to rebuild the infrastructure and buildings for School of Good Shower, Hope Hospital and Children's Hope Village, which both serve Haitian orphans in her care.

O'Positive and I will also be working on a partnership with Save the Children and Harvard University Innovation Lab in Haiti to help provide infrastructure and quality education, teacher training and supplies the children need to succeed.

So many people have already given so much. But this effort is just  beginning. It has been four months since that horrible day. One-third of a year. Thousands of children are sitting in tents each day, with nowhere to go and nothing to do. It is easy to forget about what is no longer on the front page or staring you down on your TV or computer. We get back to our normal lives.

But remember, these children cannot resume their normal lives. We must not forget that in order to rebuild Haiti, we must rebuild its youth. We must not leave them behind. Their lives cannot end at the hands of an earthquake. Let's find the light in the storm, and build a future for the children.

The opinions in this commentary are solely those of Shaquille O'Neal.

@highlight

Shaquille O'Neal saw images from Haitian earthquake and asked "How could this happen?"

@highlight

O'Neal: He and others knew little about Haiti and its slave revolution's impact on U.S.

@highlight

It's essential for Haiti's future to remember its children, make sure they thrive, O'Neal writes

@highlight

Learn about Haiti's orphans on CNN's documentary "Rescued," Saturday at 8 p.m. ET