Editor's note: Harry Shearer is an actor, author, director, satirist, musician, radio host, playwright, fine artist and record label owner who is the voice of a variety of regular characters on "The Simpsons," most notably Mr. Burns, Smithers and insufferable neighbor Ned Flanders.

Harry Shearer says the White House isn't getting actively involved in protecting New Orleans from flooding.

(CNN) -- I spent much of this month in my adopted hometown of New Orleans, Louisiana. Uncharacteristically for August, the streets and restaurants and galleries and music clubs were largely full and throbbing with energy.

There are hubs of entrepreneurs all over town trying to invent the future. And thankfully, Mayor Ray Nagin's term is only months away from its end.

Between my weeks in the Crescent City, I joined some local folks in traipsing up to the Aspen Institute to share the news of New Orleans with interested outsiders. One talked about the progress in rebuilding homes. Another discussed the reform of the public-school system, the decoupling of the schools from a centralized board, resulting in the city becoming the leader in charter-school enrollment.

A third talked about the move to neighborhood medical clinics, an effort to replace the hospital beds missing in the flooding's wake.

A fourth reported the good economic statistics, marred only by the continuing shortage in affordable rental housing (80,000 units were whacked by the flood). And a fifth discussed the citizen activism that is helping, along with a determined U.S. attorney (who's just sent Rep. William Jefferson and his brother Mose to jail), to clean up local politics.

After all, it was New Jersey pols, not New Orleans ones, who got snagged in a scheme involving black-market kidneys. Wish we'd thought of that.

All good news. And all transpiring under a shadow, one made all too evident early last week when the city experienced a collective shudder as the spinning cyclonic shape of Hurricane Bill appeared on TV screens.

New Orleans, hit so hard by what so many (including President Obama in his Sunday interview with the local newspaper) still see fit to describe, mistakenly, as a natural disaster, is making remarkable progress, while the agency that so disastrously failed at building a protective system mandated by Congress -- the U.S. Army Corps of Engineers -- may be making some of the same mistakes in rebuilding that system. And the White House, for the second consecutive administration, seems not to care.

Me? I'm a humorist, a comic actor, a sometime musician-filmmaker-novelist-blogger. What the hell do I know about what happened to the city I love?

Since the levees collapsed, I've been reading the local newspaper, the Times-Picayune, watching and listening to the local media, which, post-disaster, have rediscovered their mission to make local news more than a recitation of the previous day's murders, car crashes and celebrity misbehaviors.

While the national media packed up and moved away after the initial orgasm of anger at FEMA, the local media reported something remarkable: The Corps was claiming that the flooding was due to the "overtopping" of its levees and floodwalls, while two teams of pro-bono forensic investigators were finding evidence that no overtopping had occurred.

As the Corps started denigrating these investigators, they kept digging, and kept coming up with the real story, available now for all to see (though all too few have) as the ILIT report from the University of California at Berkeley and the Team Louisiana report from Louisiana State University.

Their conclusions: The "hurricane protection system" built by the Corps had serious design and construction flaws, baked into the system over 40 years under administrations of both parties, that caused catastrophic failure in more than 50 locations under storm surge conditions markedly less than the system was advertised to withstand.

You and I, federal taxpayers, had paid to flood New Orleans.

Since the Obama administration took office, the Corps has: announced that one part of the new "system" will be built using a "technically not superior" solution, because of funding problems; and, defying a Congressional mandate, delivered a report supposed to offer a post-2011 plan for so-called Category 5 storm protection 20 months late and lacking a specific plan, offering only a menu of possible options. It's almost as if the Corps is inviting someone else to do the job.

Someone else can. A New Orleans architect, David Waggonner, has been convening a group of local architects and planners and engineers and their Dutch colleagues to mine the eight centuries of collective wisdom of the Netherlands about the challenge of living with water.

The resulting plans, published as the "Dutch dialogues," make for inspiring and depressing reading; inspiring because they offer a vision of a city that has stopped fighting a war against water and has learned to use water both to enhance value and to enhance safety, depressing because there is so clearly no federal impetus, from the president on down, to embrace such a new approach.

President Obama, who has mainly limited his comments about New Orleans to feel-good boilerplate, did pledge to make good on President Bush's promise on that eerie, floodlit night in a deserted Jackson Square in 2005, to rebuild New Orleans better and stronger. But he has yet to actively intervene to make sure New Orleans gets state-of-the-art flood protection and robust and timely coastal wetland reconstruction. Like President Bush, President Obama so far seems to be acting as if just saying it makes it so.

The opinions expressed in this commentary are solely those of Harry Shearer.

@highlight

Harry Shearer: There is much good news in New Orleans, but still problems

@highlight

He notes report that Corps of Engineers levee design and construction led to breach

@highlight

Shearer says there may be flaws with the Army Corps' levee rebuilding

@highlight

He says Obama is ignoring problem, as Bush did previously