(CNN) -- From Warhol's silkscreens of Marilyn Monroe to Picasso's nudes, it has generally been easier for women to be the subject of paintings than to have their own work exhibited.

In 1989, when New York feminist collective Guerrilla Girls began counting how many works in New York's Metropolitan Museum of Art were by women, less than 5% of the artists in its Modern section were female.

But the art world looks set to change its stubbly face, and shows increasing signs of recognition for the value and stature of leading female artists.

Half of the nominees for Britain's Turner Prize are women this year, as are three of the four photographers shortlisted for Canada's $50,000 Grange Prize, and at this month's Frieze Art Fair, two of the five artists commissioned to make site-specific works were women.

The chief curators of MoMA, the Whitney, the Met, the Guggenheim and the Centre Pompidou are all female, as are the directors of Tate Britain and the Uffizi Gallery. The world's biggest buyer of contemporary art, according to Art Newspaper is the Qatari royal family, whose purchases are directed by Sheikha Mayassa Al Thani.

"It is better than it has ever been for women at the emerging level," says one of the founders of Guerrilla Girls, Frida Kahlo. But, she warns, "when one travels up the art world ladder of success, there is a crushing glass ceiling. Women only get so far, especially at the level of economics."

Historically, art made by women has struggled to fetch high prices at auction. So much so, that earlier this year, renowned art dealer Iwan Wirth told The Economist that "women artists are the bargains of our time."

In Christie's New York's September 2002 auction of Post-War and Contemporary art, female artists comprised 15% of the lots auctioned, and only 10% of the total sales. Almost decade later at the same auction, in September 2011, works by women accounted for 22% of the lots auctioned, and 36% of the $8.4 million taken.

Instead of being clumped around the bottom of the results table, four of the top 10 most expensive works were by women, including Japanese installation artist Yayoi Kusama, sculptors Louise Bourgeois and Lynda Benglis, and expressionist painter Helen Frankenthaler.

By medium

Frankenthaler's inclusion is especially heartening because, with its centuries of tradition as the purview of men, gender bias seems more entrenched in painting than in other media.

When New York critic Jerry Saltz took up Guerrilla Girls' cause in 2007, criticizing MoMA's male-heavy collection as tantamount to "apartheid," he did note that it was exhibiting "excellent groupings of work by women" from its photography and drawing collections, and that "the film-and-video and prints departments have long been virtually gender-blind."

That notion appears to be borne out by the entry of female art stars into the very uppermost echelons of printmaking, sculpture and photography. Until last November, Cindy Sherman held the record for creating the world's most expensive photograph.

In the last decade, women have painted precisely none of Christie's London's 100 most expensive paintings but they created three of its most expensive prints; five of its most expensive photos (four were by Sherman), and six of the 100 most expensive sculptures. The highest price paid for a female artwork was for Louise Bourgeois' 1996 bronze sculpture "Spider," which sold for $10.7m last year.

Digital revolution

Simon Todd, British representative for Artnet, which provides pricing services for collectors, says when it comes to gauging the importance of women in the contemporary art market, auction turnover might not even tell the full story.

"The majority of the best of British contemporary art does not have the opportunity to appear at auction -- it is sold through galleries," he says, noting that sculptor and Turner Prize winner Rachel Whiteread has 191 auction lots logged with Artnet, "but the vast majority are multiple editions."

One potentially democratizing force in the art market could come from online sales.

Collectors can now shop for art online at e-commerce sites such as Exhibition A which sells limited-edition prints for under $1,000, Paddle8, which carries selections curated by guests such as performance artist Marina Abramovic, and Art.sy, a search engine that connects buyers with galleries.

Three of Exhibition A's top 10 sellers are women -- former Sonic Youth guitarist Kim Gordon, Julia Chiang, and Aurel Schmidt who sold out one edition in an hour. Co-founder Cynthia Rowley believes online sales "bring the decision making to the public based on imagery, and away from the hands of the male-dominated traditional art world."

Paddle8 cofounder Aditya Julka says female artists make up around a quarter of Paddle 8's sales activity, and has noticed particularly strong interest in established artists such as Cindy Sherman, Cecily Brown and Michalene Thomas. While Art.sy is still in beta mode, it says nearly half of its sales so far have been of works by female artists.

Getting collected, displayed, reviewed

Of course, there are other indicators of success in the art world besides sales figures.

Solo shows, when a gallery throws a great deal of its resources and floor space behind a single name, are one way to gauge the esteem in which an artist is held.

Of five New York museums tracked by the Guerrilla Girls between 2005 and 2011, 28% of MoMA's solo shows and 16% of the Met's were by women. The New Museum in New York, founded in 1977 by former Whitney curator Marcia Tucker, had the most diverse roster, with 46% of its solo shows devoted to female artists.

This year, it has surveyed knitting, painting German artist Rosemarie Trockel ("enfant terrible" of "a German art scene dominated by male stars", according to The New York Times) and has also put on feminist artist Judith Bernstein's first solo show.

And, besides touting emerging and established female artists, it also manages to include a healthy number of women in its retrospectives: Eight of the 23 artists (35%) in a current exhibition about the 1970s and '80s Bowery scene are female.

"Women have much better chances today, not only on the price circuit in the art market, but also to be collected, to be reviewed," says Heike Munder, director of Migros Museum in Zurich, and a judge of this year's Turner Prize.

Some museums have initiatives dedicated to increasing the number of women artists in their collections, including the Moderna Museet in Stockholm, the Tate Modern in London, and Paris' Centre Pompidou. But Munder says the female directors she knows tend to be innately aware of striking a balance anyway.

"When I do my year's program, I never check if it's half women, half men," she says, "but if I check it through the years, it's even, intuitively. I had one year when everyone was telling me 'What a great program, all these fantastic women.' I didn't do it on purpose. For me, it's organic."

If lingering economic disparity remains at auction, Munder says it is not something preoccupying today's female artists, many of whom consider themselves post-feminist.

"They know the importance of it but they don't like to stress it anymore, because if you stress it, it opens up that something's missing," she says. "They just want to play the game on the same level, and you can only play the game on the same level if you don't unmask that something's missing."

"Marlene Dietrich, Martina Navratilova and Madonna acted this way and have been interesting role models in this."

@highlight

At Christie's last contemporary art auction, four of the 10 most expensive works were by women

@highlight

Nearly a quarter of all lots were by female artists, who accounted for 36% of total sales

@highlight

E-commerce sites also report steady sales of art by women