President Barack Obama will speak to the nation Tuesday, trying to build public support for a military strike against Syria.

His request to Congress to endorse action reaches the House and Senate at an extraordinarily difficult moment. Vote counts suggest that the president might not win the support he is seeking.  

Democrats and Republicans are uncertain about backing the president. The public remains skeptical as well. According to one NBC poll, only 42% of the public endorsed using military force against Syria. After Afghanistan and Iraq, the nation is weary of war. The bar has been raised for further intervention.

Although presidential speeches rarely are able to fundamentally reshape public opinion, Obama must give his strongest effort if he does not want to end up in an embarrassing situation for his administration and one that could undercut the military effort that he is proposing.

If Obama is going to deliver a speech that matters, he must answer some basic questions about the Syrian intervention:

Why are we entering this conflict?

For many Americans, the arguments behind American intervention in Syria remain murky. This is not just about Syria being a confusing and complex situation, but also has to do with a general uncertainty about the objectives of American foreign policy in 2013.

In each era of foreign policy, policymakers have put forth strong ideological arguments that framed public policy about war and peace. Each period had substantial numbers of dissenters, but at least there was something concrete to argue about. During the 1930s and early 1940s, the fight against fascism was the driving force behind decisions about intervention. "Yesterday, December 7, 1941 -- a date which will live in infamy -- the United States of America was suddenly and deliberately attacked by naval and air forces of the Empire of Japan," President Franklin D. Roosevelt explained the next day, when asking Congress for a declaration of war.

From the mid-1940s through the late 1980s, the fight against communism was the focal point of policy. Since that time, the objectives of American foreign policy have been less clear. When President Truman asked for congressional support to use military power in Korea in July 1950, he said that the conflict in Korea "has made it clear, beyond all doubt, that the international Communist movement is willing to use armed invasion, to conquer independent nations."

In the early 1990s, policymakers turned their attention to rogue states such as Iraq that were said to pose dangers to the stability of key regions. After 9/11, attention turned to international terrorist networks like al Qaeda.

On September 20, 2001, President Bush told the nation, "The enemy of America is not our many Muslim friends. It is not our many Arab friends. Our enemy is a radical network of terrorists and every government that supports them."

The larger framework surrounding the Syrian intervention is less clear. The administration has offered a number of arguments as to why the United States needs to intervene, from the message it would send to Iran about nuclear weapons, to the urgency of responding to gross violations of human rights. The president must offer a compelling reason why a situation such as this deserves national resources. If humanitarian interventions are to become a new norm, the president should make the case and offer a set of coherent principles for future conflicts.

What is the justification for this intervention and is it based on sound intelligence?

One of the main sources of public cynicism about American foreign policy comes from the fact that presidents have often used incorrect information or purposely flawed data to justify military operations that result in huge human and financial costs. American history is filled with such examples.

The Gulf of Tonkin Resolution in 1964, which provided President Lyndon Johnson the blanket authority he needed to expand America's presence in Vietnam and the region, was based on spurious data about alleged attacks on U.S. Navy destroyers by the North Vietnamese. Congress gave Johnson wide-ranging authority to conduct military operations. It was "like grandma's nightshirt, it covered everything," he later said.

President George W. Bush's request to Congress for the authorization to use force in Iraq in 2003 was justified through incorrect intelligence about the presence of weapons of mass destruction and untrue reports of connections between Saddam Hussein and Osama bin Laden.

Obama, who ran his 2008 campaign based on criticism of all the problems with Bush's war, needs to demonstrate to the public that he has made a decision based on the soundest of evidence.

The revelations about the National Security Agency have already raised public skepticism about the discrepancy between what Obama says in public and what he does behind the scenes. Without revealing sensitive information to the public, it is important that the president make a convincing case that the intelligence behind this decision is sound, that it has been examined and cross-examined, that the Syrian government did use chemical weapons and that the Syrians do pose a substantial threat to the region.

He needs to explain why chemical weapons pose a threat that deserves a military strike as opposed to other weapons or mechanisms of mass destruction. Why act here, but not with regard to other atrocities or risks? The nation cannot afford another war based on false premises.

What is the mission?  

Presidents have gone into many wars without a clear sense of what they hope to achieve. Once troops are sent into a war or even after the Air Force is sent in to strike targets, conflicts can take unpredictable turns and escalate quickly. If the administration doesn't articulate a clear sense of what it hopes to accomplish at the outset, it allows for open-ended possibilities for escalation.

When President George H.W. Bush went to war with Iraq in 1990, the confusion over the objectives led to great frustration when Americans saw that Hussein remained in power after the celebrations of U.S. victory had taken place. Bush's son's war in Iraq proved even more frustrating, as there was growing awareness that the administration was entering into a much broader mission of nation-building than many Americans had anticipated.

When the new government that emerged from the rubble in Iraq remained unstable and the U.S. seemed to be pouring endless resources into the country, many Americans were left with a sense that the operation had not been worthwhile.

Obama can't afford to make the the mistake of leaving his objectives ill-defined. It is possible that quick and targeted airstrikes will destroy the chemical weapons capacity of the Syrians, though that would still leave in place a dictator whom the president has  characterized as inhumane and brutal. It is also possible that airstrikes would result in retaliation that would trigger a bigger conflict, which would in turn create greater pressure for regime change.

The president did the right thing by engaging Congress in this decision rather than trying to circumvent the legislative branch. But in this case, with the memories of Iraq looming large, he won't have luck just asking for blind support.

In his speech, the president must answer these questions in simple and direct terms. This would do a great deal to build confidence in the operation, and to build a foundation for longer term support of this intervention should it be needed.

@highlight

Julian Zelizer: President Obama must answer basic questions to sell Syria move to the public

@highlight

War-weary Americans want to know why U.S. should intervene, he says

@highlight

Zelizer: Obama needs to explain reliability of intelligence, outline the aims of the mission