Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. His new book, "Arsenal of Democracy: The Politics of National Security -- From World War II to the War on Terrorism," will be published this fall by Basic Books. Zelizer writes widely about current events.

Julian Zelizer says Medicare is a case of government playing a positive role in health care.

PRINCETON, New Jersey (CNN) -- Health care reform has gotten off track. The president's news conference fell flat. Polls show growing unease with the proposals currently in play. And Congress will not meet the deadline that President Obama imposed.

The status quo, as the president correctly explained to reporters, is not sustainable. Our health care system is not working. Millions of people lack insurance, costs are out of control, businesses and workers are struggling to keep up with premiums, and there are tremendous inefficiencies plaguing many parts of the system.

Conditions will only become worse in coming years. Our health care system brings to mind the economist Herbert Stein's famous maxim: "When something can't go on forever, it will stop."

When Congress returns in September, Obama will only be able to revitalize the prospects for health care reform if he offers Americans a stronger argument about what government can do to improve this situation.

After years of being in the opposition, Democrats are still scared about defending the value of government. Their political nerves have been exacerbated by polls showing the public is growing increasingly concerned about the size of government spending. This reticence about government, in the aftermath of the Democrats' dramatic 2008 election victory, has been one of the most striking aspects of the administration's rhetoric in the past few months.

Before the 1970s, Democrats were full of confidence when pushing for federal programs. Indeed, 44 years ago this week, on July 30, 1965, President Lyndon Johnson signed the legislation that created Medicare and Medicaid. The event took place at Harry Truman's presidential library in Independence, Missouri.

Sitting beside the 81-year-old former president, Johnson announced: "No longer will older Americans be denied the healing miracle of modern medicine. No longer will illness crush and destroy the savings that they have so carefully put away over a lifetime so that they might enjoy dignity in their later years."

The program succeeded. Government worked. Before Medicare started, only about 50 percent of Americans who were 65 or older possessed hospital coverage. Within five years of the program's creation, 97 percent of the elderly had hospital coverage. The same changes occurred with physician's coverage. Today, more than 40 million elderly Americans rely on the program -- as do their families who don't have to take responsibility for these costs.

Besides expanding coverage, Medicare has become instrumental to the health care industry. For all the complaints that we hear about Medicare, the reality is that most hospitals and doctors have come to depend on these federal payments into their system. Those who want to keep government "out" of the industry rarely acknowledge that government is already "in."

While doctors were at the forefront of the campaign against Medicare, they turned out to be among the program's biggest beneficiaries. As political scientist Jonathan Oberlander told Slate about the industry, "If they'd known how well they were going to do, they wouldn't have spent all those years opposing it. They would have said, 'Please pass this.' "

Medicare has also been able to accomplish the impossible: compel hospitals to change the way in which they charge for care. While policymakers had originally allowed hospitals to charge "reasonable costs" to the program, reforms in 1983 created the Prospective Payment System. Rather than paying hospitals for each patient they took care of, Medicare paid hospitals a fixed amount of money.

The change resulted in significant cost reductions. Most recently, in Massachusetts, state policymakers have observed that the existence of a strong government program has created an opportunity to achieve such cost measures at the state level.

And finally, Medicare has proven to be more popular than private insurance programs. So, for all the talk about hating big government, the big government seems to be doing something right, according to numerous polls. According to a Kaiser poll, 68 percent of respondents said they believed the Medicare program would put "your interests above their own" compared to 48 percent for private insurance.

The Centers for Medicare and Medicaid Services reported that more than 70 percent of Medicare fee-for-service recipients were satisfied with their access to care, in contrast to those on private insurance, where only 51 percent felt they could always obtain what they needed.

Certainly, Medicare has been far from perfect. The program has not been good at innovation. When Congress added catastrophic medical coverage to Medicare in 1988, legislators were forced to retreat and repeal the plan in 1989 after encountering a political backlash. Congress added prescription drug benefits to Medicare, but not until 2003.

Medicare has also become an enormously expensive part of the federal budget, requiring significant increases in payroll taxes while squeezing discretionary spending for other policies.

All in all, however, Medicare has done pretty well for this country. It remains the best argument President Obama can make in response to his critics. Of course, arguments were not all that LBJ relied on. Johnson was willing to make key compromises on the legislation, such as originally allowing hospitals to determine charges and sitting back as Ways and Means Chairman Wilbur Mills -- who had opposed the proposal for several years -- redrafted the measure in the final weeks and then publicly claimed credit for the outcome. Johnson was also willing to strong-arm members of his own party who were on the fence about the bill.

But in the end, the key to Medicare was not politicking but a compelling belief that government could play a positive role in this country and in our health care system. As policymakers enter into the final rounds of this debate, they would do well to look carefully at the program that Lyndon Johnson signed into law in July 1965 and see just what Washington, despite all the knocks it takes, can provide.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Zelizer: Democrats nervous about expanding government role in health care

@highlight

He says Medicare is a strong case of government positively affecting health care

@highlight

He says recipients rate Medicare more highly than private insurance

@highlight

Zelizer: Today 40 million Americans rely on the program, along with their families