SAN FRANCISCO, California (CNN) -- A 100-inch, high definition screen projects an intense college basketball game. Massage therapists rub the nervous tensions of men and women away. Scissors skillfully cut men's hair. Two chandeliers adorn the main room, complimented by brick walls and a glass bar that doubles as a retail counter.

Sean Heywood, right, and Kumi Walker own MR., a barbershop and wine bar in San Francisco, California.

This is not your typical barbershop.

And that has always been the vision of owners Kumi Walker and Sean Heywood.

"We are literally trying to create a new version of the country club golf experience. But we're replacing golf with haircuts, and we're putting it in urban environments," says Heywood.

MR. (for mister) is their first business venture. It's an upscale barbershop, wine bar and lounge in the financial district of San Francisco where memberships cost $65 to $250 a month. In addition to the basic services, those who become members benefit from exclusive services like golf putting clinics and human resource workshops.

"We're trying to thrive, not just survive," Heywood said.

MR. takes the cultural aspect of the black barbershop experience and modernizes it, making it a place where businesspeople of all races can network.

"We looked at our social lives, and we had black friends, Asian friends, Latino friends, white friends. We would do a lot of things socially together, but when it came to getting our hair cut, we would all split up," Walker says.  Watch Walker talk about the difficulty of starting and running a business »

The two entrepreneurs are bridging a cultural divide, and also giving back to the community. They offer free lifetime memberships to MR. to those in good standing with a re-entry program called Back on Track.

Among other things, Back on Track offers first-time, low-level criminal offenders GED preparation, tutoring, money-management instruction and job training and placement. And that's where MR. steps in. The membership provides them with one free haircut, trim, and shoeshine monthly.

"We'll take care of their grooming so that they don't have to. And they're ready for all the different jobs that they pursue going forward," Walker says.

Giving back is paramount for the entrepreneurs. And the story of one black business district in Tulsa, Oklahoma, inspires them. It was known as Black Wall Street, and it was destroyed in a race riot and fire 88 years ago.

"All of the businesses that we wanted to create, we wanted to encompass the culture of, if that community still existed today, what it would look like," says Walker, who says he read about the riot six years ago.

Imagine a credit union, a barbershop, a library, and men in freshly pressed suits with top hats sauntering on sidewalks. The melodic sounds of jazz flow into the streets from several nightclubs. A thriving community of black-owned businesses serve their clientele across a 42-block area.

That was the community that existed in the segregated neighborhood of Greenwood from 1830 to 1921.

But on the evening of May 31, 1921, white mobs entered Greenwood with torches and guns. Black residents gathered to protect a young man accused of assaulting a white woman. When the smoke from fires cleared on June 1, more than 1,000 homes, businesses and other institutions were burned or destroyed, according to the report of the Oklahoma Commission to Study the Tulsa Race Riot of 1921.

"People came and said, 'Run, they are shooting people,' " says Wess Young, who was 4 then. "We evacuated. They were destroying everything."

The death toll has been debated for years, because many victims were dumped in mass graves. An American Red Cross estimate puts the total at 300, much higher than the 36 reported by local officials.

The riot devastated the social underpinnings of the Greenwood community and leveled a black economic force. Greenwood was rebuilt, but it never recovered.

"It was a really tragic end to thriving businesses. I think we'd be a lot further ahead had that area been able to continue to thrive," says Walker.

Wess Young and his family rebuilt their lives in Tulsa. When asked what he thought America would be like if the Tulsa race riot had not happened, he answers without hesitation, "We would have had a black president before now. ... He has done a good job, but we [blacks are] still in a box."

His advice to people is to let go of the past once they've learned from it.

"Hate will destroy your whole universe -- got to learn how to forgive, but never forget," Young says.

Walker says these stories of black struggle and survival motivate him.

"I stand on the shoulders of my ancestors," he says. "I just want to be as successful as possible so I can turn around and be mentors and sponsors to other people who come after me."

@highlight

Entrepreneur read about famed Black Wall Street that was destroyed in 1921

@highlight

He and partner created modern barbershop to honor memory of district

@highlight

Black Wall Street burned to ground during massive race riot in Tulsa, Oklahoma

@highlight

Tulsa race riot survivor: "Learn how to forgive, but never forget"