NEW YORK -- For more than 10 years, Mandy Hughes drifted in an out of what she calls the horrible, debilitating pain of Lyme disease.

Mandy Hughes says the pain she suffered for more than 10 years was due to Lyme disease

"It literally feels like you got into a severe accident, like you were hit by a Mack truck and you were allowed no medical attention," she says.

After being bitten by a tick at 19, Hughes broke out in hives and suffered fever and chills so severe that she had to be hospitalized. She was diagnosed with Lyme disease and was sent home with two weeks' worth of the antibiotic tetracycline. She seemed to be cured.

But over the years, the Lyme symptoms flared back -- crippling joint pain, muscle spasms, headaches and facial paralysis. She visited 15 doctors, yet they were unable to arrive at a diagnosis. Several thought she had multiple sclerosis. Others knew she was sick but didn't know why. Lyme had been ruled out.

"Maybe it's psychological -- we don't really have an explanation," they told Hughes. "Your tests are coming back fine, Mandy."  Watch a report on a 10-year battle with Lyme disease symptoms »

The memory of one doctor's visit stays with her to this day. She went to see him with joint pain so severe, she said, her hands were curled into a palsy-like position. Yet the doctor seemed impatient with her.

"You're obviously an attractive woman, and you're just trying to get attention," she recalls him saying.

In 2005, Hughes went to see what some patients refer to as a "Lyme-literate" doctor -- one willing to diagnose chronic Lyme disease and prescribe a long-term regimen of intravenous as well as oral antibiotics.

Within three months, she began to feel better. After 15 months, she was back on her feet, but had to abruptly halt treatment when her doctor was sued by an insurance company and stopped seeing patients.  Learn more about Lyme disease »

Hughes' story is featured in a new documentary called "Under Our Skin," which takes a look at the leaders of the Infectious Diseases Society of America, a national medical group that represents health care professionals who specialize in infectious diseases. The society's purpose, according to its Web site, is to improve health care in areas related to such diseases.

In particular, the documentary takes aim at the 14-member panel that wrote the 2006 Lyme disease treatment guidelines. The guidelines question the existence of chronic Lyme disease and claim the post-treatment symptoms of some patients appear to be "more related to the aches and pains of daily living rather than to either Lyme disease or a tickborne coinfection."

The guidelines list specific criteria for diagnosing Lyme -- such as an obvious tick bite, a characteristic bull's-eye rash at the site of the bite, facial paralysis and a positive blood test.

Yet some Lyme specialists say many patients experiencing symptoms do not see or remember a tick bite. Only 70 to 80 percent get the rash at all, according to the Centers for Disease Control and Prevention.

The longer the disease goes undiagnosed, the harder it is to treat, some doctors say.

"The disability associated with Lyme disease is worse than the disability that you might see with someone after a heart attack," said Brian Fallon, director of the Lyme and Tick-Borne Diseases Research Center at Columbia University Medical Center in New York.

Patient advocates criticize the IDSA for recommending no more than a month's worth of antibiotics to treat Lyme. They say insurance companies use the guidelines to deny payment for long-term antibiotic therapy.

But the IDSA says there are inherent risks from such treatment, including localized infection from the IV line and the creation of antibiotic-resistant bacteria.

One IDSA critic, Connecticut Attorney General Richard Blumenthal, conducted an antitrust investigation of the guideline process, saying the panel ignored or minimized other medical opinions regarding chronic Lyme disease. Blumenthal said the process was tainted by conflict of interest because members of the panel consulted for insurance companies and at least one had a patent for a Lyme disease treatment.

Gary Wormser, chief of infectious diseases at New York Medical College and one of the guidelines' authors, denies those allegations, calling them "preposterous."

"What we did recommend was not treating with unsafe or prolonged courses of antibiotic therapy," Wormser said.

In a settlement with Blumenthal, the IDSA agreed to reassess its 2006 guidelines with the assistance of an outside arbiter.

The heart of the debate is whether patients actually have Lyme disease, or simply symptoms that are mistaken for Lyme disease.

"The problem is that the majority of patients that carry the diagnosis of chronic Lyme disease actually have the same kinds of symptoms: fatigue, musculoskeletal pain, sometimes brain fog. ...  The majority of such patients actually don't have any evidence of ever having had Lyme disease." Wormser said.

There's a lot at stake. The CDC reports approximately 20,000 new cases of Lyme disease a year, with the number doubling from 1991 to 2005. Factoring in underreported cases, the CDC says the actual number could be three to 10 times higher.

"We have an epidemic of Lyme disease," said Daniel Cameron, president of the International Lyme and Associated Diseases Society, which rejects the IDSA guidelines and says the chronic form of the disease may be prevalent in up to 62 percent of the population in areas where Lyme disease is endemic.

Fallon says standard blood tests fail to detect the Lyme infection in 20 to 30 percent of patients.

"Most reasonable academic physicians throughout the United States would acknowledge that there's a large number of patients out there who do have chronic, persistent symptoms. The question is, why do they have those symptoms?" he says.

@highlight

Mandy Hughes says she suffered from Lyme disease effects for more than 10 years

@highlight

Hughes featured in documentary that questions disease treatment guidelines

@highlight

There's a debate over whether the disease symptoms are mistaken for the disease