(CNN) -- The legend of Jesus Malverde is a more than century-old story  handed down from generation to generation of disenfranchised Mexicans. Widely known as the Robin Hood of Mexico, Malverde was said to be the quintessential son of the pueblo. His story was embraced by the poor and, more recently, by drug traffickers.

They worship the folk hero as a type of secular saint. Malverde's name has become so inextricably linked with drug trafficking that busts and other paraphernalia of him have been used as evidence against defendants in drug trials.

For Latino hip-hop star Jesus Martinez-Gonzalez, that presents some problems. As a musician he performs under the stage name "Malverde."

Since he can remember, he's crafted his image after his boyhood hero. A photo on one of his social media sites shows just how much. In one picture, Martinez-Gonzalez is dressed in a traditional white Mexican button-up, his usual beard shaved into a thin mustache, a strikingly similar pose to how Malverde is portrayed. The musician has also embraced activism, taking the side of the disenfranchised, something he says Malverde would have done. If that wasn't enough, he even introduces himself to people as "Jesus Malverde."

Martinez-Gonzalez says he was fascinated with the mystical folklore and was not aware of the negative perception of Malverde. But as drug violence plagues parts of Mexico, the stigma has forced the musician to reconsider what he's created for himself.

"It's crazy, I get messages and e-mails from people who think I'm really him," Martinez-Gonzalez said in an interview at the Center for Hispanic Leadership conference in Los Angeles.

Watch Martinez-Gonzalez music video

The messages come sporadically on his social media pages, he said. And because he lives with a tainted name, some of the messages are threats.

"I get people that hit me up," he said about the threats, "but once they realize what I'm about they're cool," he said without elaborating.

Tony Kail, creator of Worldview Consulting, which helps train U.S. law enforcement staff about religious practices, said the cartels embraced figures like Jesus Malverde because they "hear prayers from dark places -- prayers traditional deities like the Mother Mary don't."

A shrine dedicated to Malverde is located in Culiacan, Sinaloa, Mexico. It is believed thousands visit it every year to give offerings to the "narco saint." People leave messages pleading for miracles. When they believe those miracles materialize, they return with more offerings.

Kail spent more than 20 years writing about deviant religious groups, researching Santeria communities and healers in East Africa. He said in the 1980s, he began seeing anti-Christian imagery in Mexico. He saw images of Santa Muerte, the protector of death. Later, he saw Santa Muerte's image tied to one figure who kept coming up. It was Jesus Malverde.

Unlike traditional Mexican Catholicism, there is no hard and fast ritual to worshipping figures like Malverde or Santa Muerte, Kail said. That made those figures spiritually attractive to nefarious people, including drug traffickers. So, the folk hero became inextricably linked with a dark business.

Martinez-Gonzalez chose the name innocently. The son of a Mexican immigrant grape picker, he spent childhood summers running through the grapevines of Southern California's Coachella Valley, side by side with his mother while she worked. Being first-generation Mexican-American he kept close ties to his culture, listening intently to the stories his grandfather told him growing up.

The story about Jesus Malverde caught his attention. For the young Martinez-Gonzalez, sharing the first name with a railroad bandito legend was "pretty cool," but what appealed to him more were the stories of Malverde's philanthropy and how he made his legend by helping the poor hard-working families in the western state of Sinaloa, Mexico.

Unlike his contemporary -- the more politically minded legendary Mexican hero Pancho Villa -- there is no proof Malverde existed. Those who perpetuate the legend speak of a man who was the "son of the pueblo" during the turn of the 20th century. Mexican authorities were said to have hunted the elusive Malverde relentlessly and then offered a sizeable reward for his capture -- dead or alive. As the legend goes, Malverde told his friend to kill him, turn his body in and give the reward money to the people of Sinaloa.

In the years after his purported death in 1909, and as his legend was repeated over time by poor Mexican farm workers, those who paid homage to Malverde grew in numbers. With the rise of drug culture in rural Sinaloa between the 1970s and '80s, Malverde's image morphed into something less benevolent.

"There's a seriousness involved to the name I chose," Martinez-Gonzalez said. "I understand that."

But he defended his decision with the argument that Malverde's legend had nothing to do with narco-trafficking. Then, he paused, understanding the sensitivity of what he just said.

"It's not like I'm out there saying stupid stuff. The bandito music is about love and the street and the struggle," Malverde said, referring to "bandit music," which glamorizes illegitimate lifestyles and is seen by its critics as praising thug life. "My music has a moral to it. When I started 10-plus years or so ago, the stigma wasn't as bad as it is now. I'm not redefining the brand because it is what it is. It's others (who) have redefined it and made it something else."

Martinez-Gonzalez entered high school in California, where he also went to college. He embraced political activism. He began writing poetry, listening to hip-hop and attending pro-immigration rallies. At political functions, he contributed through spoken word poetry. It turned into rap and from there he started writing music. He was good and was soon signed by Universal Latino as a recording artist.

"Eventually I got to a point where people were like, you need a name," he said.

Almost instinctively, he chose the name Jesus Malverde.

On a serendipitous day, he was talking to his producer about whether he should go with the name when a Mexican healer on the streets of Los Angeles handed his producer a card. On it was the image of Jesus Malverde with the Virgin Mary behind him.

"That was my green light," Martinez-Gonzalez said. "I believe in signs. I went to Catholic school first through fifth grade," Martinez-Gonzalez said, laughing on the phone while at a studio in Los Angeles.

Just to be sure he wasn't making a mistake, he met with the healer. She gave him her blessing. He did not foresee the dark drug cloud that hung over him.

Former U.S. Ambassador to Mexico Tony Garza said it was the outlaw spirit of Malverde's image that appeals to the narcos.

"Him being a mytho-secular saint probably had plenty to do with these guys looking for a talisman of sorts for today and a guide into the here- and ever-after tomorrow," Garza said.

Kail, the FBI consultant, said the cartels chose figures like Malverde to make them scapegoats through demonization.

"It was the process of the cartels attaching themselves to the Malverde image that is shocking and anti-traditional and now it has taken a life of its own," Kail said.

Martinez-Gonzalez said the drug traffickers feel they are emulating the legacy of Malverde.

"And in a way they are," he said. "But then there's the other aspect. The level of violence. Dishonorable killings. It's tragic in that sense that it's taken such a negative, nasty turn."

Beyond the more than 100 Google page search results on the narco culture ties to Jesus Malverde, Martinez-Gonzalez said anyone can find the real legend of the folklore hero. It is his struggle, he said, to shed the misconceptions of Malverde created over time.

"I'm involved in major nonprofits and community education. And they see someone in me who has overcome being in the barrio. To me, that's Malverde. The experience of instilling that hope. If Malverde was alive right now, I try to think what would he be doing?"

But carrying the "Malverde cross" became so burdensome that Martinez-Gonzalez subconsciously turned away from the name altogether. A year ago he stopped playing music under his stage name and left Universal Latino, choosing to focus instead on a collaboration he calls the Maleco Collective, an eclectic mix of Spanish language politically driven hip-hop. The whole time, though, Martinez-Gonzalez said he looked for signs to perform again under the name Malverde.

"Here's a man, whether he existed or not, 100 years later still has such an impact," he said, referencing the popular Mexican ballads known as corridos. "He's immortal. Like my grandfather says, you leave a good 'corrido'. And my music is my 'corrido'. It's the power of the word."

Martinez-Gonzalez knows the gravity of the name he adopted. People have gotten killed for less, he said.

But Malverde, he said, will always exist in him. And, he said, "he exists in you."

@highlight

Legendary Jesus Malverde is a kind of Mexican Robin Hood

@highlight

He has become like a secular saint to drug traffickers

@highlight

Hip-hop star Malverde chose the stage name for different reasons