Los Angeles (CNN) -- Julian Castro is not cooperating. The mayor of San Antonio knows full well what I want to talk about, and yet he is determined to change the subject to what he believes is a much more pressing story. Where I want to drag him, my friend refuses to go.

First, you might be asking what the mayor of America's seventh-largest city is doing in the second-largest city. He's in town on business, and I've come up from my home north of San Diego to have lunch with him. But Castro is not out of place here: He went to college up the highway at Stanford University, and he has plenty of friends and supporters in Southern California.

Besides, as one of the most prominent Latino elected officials in the country, he is a national figure. In fact, now that the Texas Democrat has been named one of 30 national co-chairmen for President Barack Obama's re-election campaign, we can expect to see him dispatched often over the next several months to some of the most heavily Latino cities in California.

For the 37-year-old, life is about hustling and constantly being in motion. As if to prove it, Castro has run the Rock 'n' Roll half marathon (13.1 miles) each time the race has come to San Antonio.

So how ironic that what we are talking about is a proposed artistic re-creation in his city that would depict, among other things, a Mexican sleeping against a wall.

Oh, him again. That popular and yet offensive image: a Mexican in a big sombrero asleep against a wall or, more often, under a cactus. He's the Mexican-American community's Charlie Chan, our cigar store Indian, our black Sambo.

He personifies and perpetuates the wrongheaded idea that the reason Mexico lost half its territory in the land grab known as the U.S.-Mexican War and the reason that Mexican-Americans have been mistreated and discriminated against in the century and a half since then is, well, because they were inattentive, passive, asleep.

In San Antonio, city officials have launched a project to re-create the historic marquee of an iconic drive-in movie theater. The problem is that the marquee in question, installed in the late 1940s, depicted the images of a Mexican in a sombrero asleep against a wall and another Mexican with a burro.

Right. We can't forget the burro.

Local activists are not amused, calling the images demeaning and racist. They're demanding that the proposed re-creation leave out the offensive images. Apparently, people in San Antonio have a lot to say about this controversy. You know who hasn't said anything publicly? Julian Castro.

As a Mexican-American, Castro is much more interested in painting a picture of San Antonio as a city that never sleeps. There ought to be a picture of him in the dictionary next to the word "positive." He's no one's victim. And that's probably one reason that The New York Times has referred to him as "the post-Hispanic Hispanic politician."

For the most part I admire that about him, but I also understand why non-Hispanics fancy the idea that a prominent Hispanic official isn't peddling victimhood. It's because many of them must realize that, these days, Hispanics are being victimized. If our leaders start beating that drum, there's no telling what could happen.

At first, when we sat down, Castro resisted saying anything about the controversy over the sleeping Mexican. Then he relented.

"I certainly understand the hurt feelings," he said. "Because it speaks to the negative perception of the Latino community as lazy and unambitious that has hampered it through the years. But, at the same time, we have a majority-Latino city that was just ranked as the top-performing city last year, we have more and more college graduates every day reaching their dreams, so I'm going to spend my time on the positive."

That positive includes the Milken Institute's 2011 ranking of San Antonio as No. 1 out of 200 metropolitan areas in terms of performance, in terms of "creating and sustaining jobs and economic growth." And plans for a $150 million performance arts there center are off the ground. There is a $600 million bond measure coming before voters. And the city's unemployment rate is 6.9% -- compared with the statewide rate of 7.3% and the national figure of 8.3%.

Still, I couldn't get the sleeping Mexican off my mind. I asked Castro if these recurring racial battles are important or merely a distraction?

"In some people's minds, the community is still limited to that perception," he said. "To the degree that addressing it helps us heal, then it's important."

He added: "What's interesting about this issue is that they wanted to preserve something that historically had been there. ... It's historic preservation vs. cultural sensitivity. If you go full historical preservation, you're going to do it warts and all. You have to balance it. More than anything, you just feel unfortunate that you're in the pit to begin with."

So I said, "You're like, 'I don't want to feed this controversy. ...' "

Castro interrupted: "But I understand it. I respect it. I agree that I don't like that image. I understand how it makes people feel, especially for the older generation. It's a sense of, 'Oh man, here we go again.' When there is a perceived slight, they're more attuned it. They catch it."

To hear him describe it, the proposed re-creation depicts a sleeping Mexican all right, but not as the centerpiece of the marquee. It's just off to the side. The more I think about it, the more I decide this whole controversy is a whole lot of nothing. So, I ask, why is there a problem?

"It's symbolic," Castro said. "It's symbolic of how the Latino community has been perceived. There's a frustration there that we haven't moved beyond that. But I will also say that it's frustrating because we don't see Latinos projected in the media positively. So you feel like: 'Well, if you had all this great press and people who have become astronauts and done other great things regularly in the news ... then there wouldn't be a problem.' If there was a balance, I don't think it would strike people so negatively and we could move on."

This is a wake-up call. Let's put to rest the protests over this image. It's offensive, but it doesn't sting. Not anymore. We know the truth. Time to move on.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette Jr.: San Antonio mayor among most prominent Latino officals

@highlight

He says Julian Castro struggles with controversy over planned mural showing sleeping Mexican

@highlight

Navarrette says Castro sees mural image as historic, not currently resonant

@highlight

Navarrette: Image is offensive, but it's time to let this one go in today's booming San Antonio