Las Vegas (CNN) -- Televisions are getting wider and thinner, their edges shrinking to make room for displays that pack in more and more pixels.

But the real evolution of the TV set isn't taking place with the glossy hardware. It's happening inside.

Major TV manufacturers, including Sharp, Sony, Samsung, LG and Panasonic, announced their latest television sets this week at the Consumer Electronics Show here. They all had variations on the same splashy hardware features that were previewed last year -- Ultra HD and OLED screens, more inches (60, 85, 110) -- but now they're closer to being available on consumer products.

However, it's the smaller, tablet-inspired features that could end up being more enticing to average consumers. These include improved software interfaces, Internet connectivity and social integration, tablet and smartphone pairing, apps and more options for content sources other than cable.

The new Ultra HD 4K screens have four times the number of pixels as standard High Definition TVs. On its own, Ultra HD isn't a compelling reason to upgrade unless you are a video buff, especially since you would have to sit extra close to the set or have an enormous TV to notice the difference between 4K and a lower-resolution screen.

Price tags are still sky high for these top-of-the-line TVs. LG said its 55-inch OLED HD TV -- OLED stands for organic light-emitting diode, a technology that provides a crisper picture than most other displays -- will cost $12,000 when it arrives in the U.S. in March.

There's also a very limited amount of content in the new pixel-heavy Ultra HD format, though more will likely be churned out in the coming years.

More in demand now are features for the growing number of users who want to watch TV on all their screens, big and small, and pull from a large selection of content options, not just the cable feed and their DVR.

5 fun and off gadgets from CES

These are some of the popular new software features from this year's crop of televisions at CES. Many of these new options are already available with less expensive set-top boxes and game consoles that can be paired with your existing TV:

Smartphone-like interfaces

We spend so much time swiping around intuitive smartphone interfaces that navigating through TV menus feels like a harsh trip back in time. Manufacturers are making big efforts to update their user interfaces to be more intuitive. Some models are even running the Android-based Google TV platform, which aims to simplify channel browsing.

Samsung showed a revamped, busy interface called the Smart Hub that will appear on its next generation of smart TVs. It is divided into five sections for live TV and recommendations, streaming content, media stored on the computer, social features and apps.

One new feature retailers will love is T-Commerce, which will serve up shopping information for the products and outfits you see in your regular TV shows. The new Panasonic DT60 set has a customizable home screen and voice commands.

Streaming content and recommendations

In 2013, having hundreds of mediocre channels to choose from isn't enough. And DVRs are limited in their own right. These days people want the option to stream content and order video on demand from Amazon, Netflix, Apple and other sources.

Smart TVs are adding support for these Web-based services. For example, Samsung is adding a way to search multiple content sources at once, similar to Matcha.com and CanIStream.it.

There's also been a lot of buzz at CES about TVs that offer tailored recommendations. Some feature built-in "assistants" that track your viewing habits and then tell you what other shows you might also like to watch, much like Netflix does with its delightfully odd categories.

Death of the boring remote

The Channel Up and Down buttons aren't much use when you're bopping between Facebook, HBO, Amazon and photos of your last vacation. TV makers are adding new ways to navigate between these, including gestures and voice control. It's a little bit Wii, a little bit Siri. TV makers also are making apps that can turn tablets and smartphones into remote controls for your set.

LG's latest Magic Remote, announced on Monday, acts like a mouse, letting you navigate a pointer around the TV screen by moving the remote. It supports voice-recognition commands and lets you switch channels by waving the remote around to spell out numbers.

Samsung's televisions also add more gesture controls so you can zoom in and out on photographs or swipe through the many panes of its new interface.

More screens

One giant screen isn't enough for many modern viewers.

Smartphones and tablets have become popular as second-screen devices for people who multitask while flipping channels. Just open Twitter during any major televised sporting event to see how people are using a second screen to share commentary about the action.

Viewers want the option to start an episode of "The Vampire Diaries" on the big TV in the living room and finish it in bed on a tablet. Services such as Netflix and Amazon are already multiscreen, offering streaming video on mobile devices, computers and even your TV through devices such as Xbox and Apple TV. Now smart TVs are adding support for these streaming services plus features that lets your tablet show you a mirror of what's on your TV -- sometimes alongside your social networks.

Sony's latest KDL-R550A sets and Panasonic's DT60 have integrated near-field communications (NFC) that allow you to tap your NFC-enabled smartphone or tablet (no Apple products have NFC) to mirror what's on the set or bring up related social content.

An upgrading alternative

Smart TVs are expensive, so Samsung has come up with an interesting product to let you upgrade your existing TV without buying a new model. (Cleverly, it doubles as a way to make money from TV buyers between new models.) The Evolution Kit is a black box on the back of a Samsung smart TV that you can replace to upgrade the TV's software and some specifications.

The company didn't announce a price for the upgrade module, which was first announced at last year's CES, but says it will be available early this year. The box can update your software to add the newest features and improve your processors for a speedier TV experience. But it can't upgrade the resolution of your screen.

@highlight

Major TV companies are unveiling their big, ultra high-definition TVs at CES

@highlight

In addition to 4K and OLED, new TVs are adding social and second-screen features

@highlight

New features are aimed at people who watch TV on multiple screens

@highlight

They are targeting people who stream content online