WASHINGTON (CNN) -- The Obama administration will not support a policy of taxing drivers based on their mileage, the Transportation Department said Friday after a published interview in which Secretary Ray LaHood called it an idea "we should look at."

The mileage tax idea involves tracking drivers through GPS units in their cars.

In a written statement, the department said, "The policy of taxing motorists based on how many miles they have traveled is not and will not be Obama administration policy."

The idea -- which involves tracking drivers through Global Positioning System (GPS) units in their cars -- is gaining support in some states as a way of making up for a shortfall in highway funding. Oregon carried out a pilot program and deemed it "successful."

Speaking to The Associated Press, Transportation Secretary LaHood, an Illinois Republican, said, "We should look at the vehicular miles program where people are actually clocked on the number of miles that they traveled." The remark was part of a discussion about various options to help make up for the highway funding shortfall on the federal level.

When contacted by CNN, the Transportation Department said LaHood was unavailable. A spokeswoman provided the department's statement and said she could not elaborate.

Officials in Massachusetts told CNN this week that there has been talk of proposing such a system for the state. Colin Durant, a spokesman for Gov. Deval Patrick, said "privacy would be our top priority."

Patrick on Friday announced a different plan to help raise highway funds: a 19-cent increase in the state's gas tax. But he said that alone "will not solve all our challenges," and some "major reforms" will be needed.

Under a VMT (vehicle miles traveled) tax program, GPS units would allow the government to keep track of how much each car is driven and where -- though not necessarily with exact street locations. The government could also track other things, including the time each car enters a certain zone.

For decades, the fuel taxes that drivers pay at the pump have been the central source of federal and state funding for roads and bridges. But they are no longer nearly enough. Last fall, Congress approved an $8 billion infusion into the depleted federal highway trust fund.

The problem stems in part from something good: More and more Americans are buying vehicles that have better gas mileage. That means less gas tax money from each car, though the car is causing the same amount of wear and tear on the roads.

Officials including LaHood have opposed raising the national gas tax, particularly in the current recession, and have said a new system is needed.

A report by the Oregon Department of Public Transportation, published in November 2007, said a "Road User Fee Pilot Program" found that a VMT tax is "viable."

"Privacy is protected," the report argued, saying the pilot program included "engineering requirements to maintain as much privacy as practicable while still allowing a feasible way to audit and challenge billings."

"No specific vehicle point location or trip data could be stored or transmitted" in the pilot program, and "the only centrally stored data needed to assess mileage fees were vehicle identification, zone mileage totals for each vehicle and the amount of fuel purchased."

Some officials support using tracking zones and times of day in determining a VMT tax, so that more would be charged for driving on crowded roads during rush hour.

But some people across the country have spoken up against a VMT tax.

"Is this a good idea? In a word, no," columnist Glenn Reynolds wrote in January for Popular Mechanics. "At best, it's overcomplicated and intrusive. At worst, it's a threat to privacy and the environment."

Reynolds added, "Gas taxes are a pretty good proxy for road usage -- the more you drive, the more gas you burn -- and there's a bonus: Gas taxes encourage people to use less gas. ... A mileage tax, presumably, doesn't care whether you're driving a Prius or a Hummer, giving no incentive to save."

The Civitas Institute in North Carolina -- which describes itself as standing for "liberty and prosperity derived from limited government" -- said it carried out a poll in North Carolina and found that voters disapprove of the idea.

A federal blue-ribbon panel plans to issue a report next week on ways the country can make up for its highway funding shortfall. Other possibilities include tolls, higher registration fees and other types of taxes.

In its interim report, the National Surface Transportation Infrastructure Financing Commission said new technologies could allow for a mileage gas tax that would take into account the type of vehicle and level of emissions. Programs of that type are being developed in other countries, including Germany and the Netherlands, the report said.

It added, "Such programs may not be ripe for widespread implementation in the U.S. yet, but are maturing rapidly."

CNN's Kara Yates contributed to this report.

@highlight

Mileage tax idea would use GPS in cars to track drivers' usage

@highlight

Transportation Secretary LaHood calls it an idea "we should look at"

@highlight

Transportation Department says Obama will not pursue the tax

@highlight

Oregon carried out a pilot program and deemed it "successful"