Bangkok, Thailand (CNN) -- Rights groups and others have called on Thai authorities and anti-government protesters to respect human rights and avoid violence during mass demonstrations in Thailand's capital, Bangkok.

The People's Democratic Reform Committee protest group -- which hopes to force Prime Minister Yingluck Shinawatra from office -- launched its "Bangkok shutdown," intended to last a month, Monday.

The protesters plan to achieve their aim by closing seven main intersections in the large and hectic city. They will also surround the houses of Yingluck and some ministers, and they intend to cut off electricity and water supplies at these locations and some government offices.

Authorities say eight people have died and 470 have been injured since the protests began in November.

Amnesty International warned in a news release Friday that violence could erupt again.

"The situation in Thailand is tense, volatile and unpredictable. There is a real risk of loss of life and injury unless human rights are fully respected," said Isabelle Arradon, the rights group's Asia-Pacific deputy director.

"Security forces should ensure that the right to peaceful protest is upheld -- however, they also have a duty to protect the safety of the public. When carrying out their work, law enforcement officials should apply nonviolent means before resorting to the use of force, and always exercise restraint in its use."

Amnesty International also urged protest leaders to "call on their followers not to commit human rights abuses."

The Thai government has deployed some 15,000 military and police to the capital ahead of the planned shutdown, the rights group said.

U.N. Secretary General Ban Ki-moon said Friday in New York that he had spoken by telephone with Shinawatra and opposition leader Abhisit Vejjajiv over the past three days "in an effort to help them bridge their differences."

Ban said he was "very concerned that the situation could escalate in the days ahead," and particularly on Monday.

"I urge all involved to show restraint, avoid provocative acts and settle their differences peacefully, through dialogue," he said.

Vejjajiv has denied being a member of the PDRC protest group, but has appeared on stage and among the crowds at some of their demonstrations.

Travel warnings

In a bid to cool tensions, Yingluck dissolved the nation's parliament in December and called for new elections to be held February 2.

Updated info for tourists

But the move has done little to appease protesters. They have called on the Prime Minister to step down from her caretaker position and be replaced by an unelected "people's council," which would see through electoral and political reforms.

The national Election Commission has urged the government to postpone elections amid the continuing unrest.

Dozens of countries have issued travel advisories amid fears the tensions could erupt into violence.

The U.S. Embassy in Bangkok has urged U.S. citizens to avoid large gatherings in the city and to ensure they have a stock of cash and essential items in case the situation deteriorates.

"While protests have been generally peaceful over the last two months, some have resulted in injury and death," its online warning said. "Even demonstrations that are meant to be peaceful can turn confrontational, and can escalate into violence without warning."

The protest group said that on Monday it would still allow ambulances to pass along the roads it intends to block, and that it would not block access to airports and public transportation.

Ambitious goal

Protest leaders have said they want to rid Thailand of the influence of former Prime Minister Thaksin Shinawatra, the older brother of Yingluck Shinawatra.

That's an ambitious goal in a country where every election since 2001 has been won by parties affiliated with Thaksin Shinawatra, a billionaire who built his political success on populist policies that appealed to Thailand's rural heartland.

Thaksin Shinawatra was ousted in a military coup in 2006 and has spent most of the time since then in exile overseas. If he returns, he risks a two-year prison sentence on a corruption conviction, which he says was politically motivated.

The recent protests in Bangkok were prompted by a botched attempt by Yingluck Shinawatra's government to pass an amnesty bill that would have opened the door for her brother's return.

That move added fuel for critics who accuse her of being nothing more than her brother's puppet, an allegation she has repeatedly denied.

Opposition to Thaksin and Yingluck Shinawatra is strongest among the urban elites and middle class, particularly in Bangkok.

Thaksin Shinawatra's traditional support comes from the populous rural areas of north and northeast Thailand.

His supporters, known as "red shirts," plan to hold demonstrations in various places in Thailand, but not the capital or south of the country, on Sunday. They support the holding of elections on February 2.

CNN's Kocha Alarn reported from Bangkok and Laura Smith-Spark wrote and reported in London. CNN's Anna-Maja Rappard contributed to this report.

@highlight

Amnesty International urges Thai authorities to respect human rights during protest

@highlight

Anti-government protesters have said they will shut down Bangkok, starting Monday

@highlight

U.N. Secretary General urges all sides to "show restraint, avoid provocative acts"

@highlight

Authorities say eight people have died and 470 have been injured since protests began