(CNN) -- The death toll from violence in South Sudan is "heavy," the United Nations said Tuesday, and thousands of people have sought refuge in the organization's compounds in Juba.

Gunfire rang out again in the capital of in Africa's newest nation just hours after the country's President said his forces had halted a coup attempt.

Clashes, which began on Sunday evening, have left hundreds in urgent need of medical care, the International Committee of the Red Cross (ICRC) said.

Gerard Araud, the French representative to the United Nations and the current President of the Security Council, said precise figures on the death toll weren't available.

"But it's heavy," he said. "It's dozens and dozens, scores of casualties, it's really not a minor incident."

Officials at the United Nations are "extremely concerned" about the violence, Araud said, due to the high number of casualties and because the fighting appears to be between different ethnic groups in South Sudan.

On Tuesday, sporadic gunshots were heard in the area of Tonping, the U.S. Embassy said on its Twitter feed, quoting U.N. radio. It recommended that U.S. citizens currently in the country depart immediately.

Women and children carrying bags, kettles, pots and basic belongings arriving at a U.N compound to seek shelter could be seen in pictures posted on the U.N. mission in South Sudan (UNMISS) Facebook page.

Araud said Tuesday evening that around 15,000 to 20,000 civilians were taking refuge in the two UNMISS compounds in Juba, putting a strain on supplies of medicine, food, water and security resources.

In a televised address Monday, South Sudan President Salva Kiir blamed soldiers loyal to his sacked deputy Riek Machar for starting the fighting Sunday evening.

Dressed in fatigues, he said the government was in full control of the capital and announced a nighttime curfew.

Ten people were arrested in connection with the foiled coup, according to a statement posted Tuesday on the South Sudan government website.

Hundreds in need of medical care

The ICRC said it was providing Juba's two major hospitals with support, such as wound-dressing materials, to cope with the heavy influx of patients.

More than 300 people have been admitted to Juba Teaching Hospital and Juba Military Hospital over the past two days, it said.

"We know there are more people who need care, but they are having difficulty reaching healthcare facilities because of the security situation and the lack of available transportation," Felicity Gapes, an ICRC delegate leading the medical response on the ground, said in a statement.

"Staff in both hospitals have been working around the clock, but they are struggling because of the sheer volume of patients and the severity of the injuries."

The United Nations said Secretary-General Ban Ki-moon spoke with Kiir by phone Tuesday, expressing his concern about the fighting.

He urged "all parties to cease hostilities immediately, and called on the government to exercise restraint in the management of the situation and to guarantee the protection of all civilians regardless of their ethnicities."

Deep-running tensions

Kiir's dismissal of his Cabinet in July further inflamed deep tensions between his Dinka community and Machar's Nuer community.

South Sudan formally split from Sudan in 2011 following a referendum, after decades of conflict. Numerous armed groups remain active in the oil-rich country.

UNMISS said Hilde F. Johnson, special representative of the U.N. secretary-general, called on "all parties in the current situation to refrain from any community-motivated violence."

"At a time when unity among South Sudanese is more needed than ever, I call on the leaders of this new country and all political factions and parties, as well as community leaders to refrain from any action that fuels ethnic tensions and exacerbates violence," Johnson said.

Juba's international airport remained closed. And with phone networks sketchy, embassies were turning to social media to stay in touch with their citizens, mainly calling on them to stay home and avoid unnecessary movement.

The State Department said U.S. citizens currently in South Sudan should leave immediately, and it ordered the departure of non-emergency U.S. government personnel from the country.

"The Embassy is also suspending normal operations until further notice and cannot provide routine consular services to U.S. citizens in South Sudan," it said.

The African Union said it was "deeply concerned" about the events in South Sudan, urging the government, leadership and other stakeholders to exercise maximum restraint and avert any further escalation.

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

CNN's Jamie Crawford, Neda Farshbaf, Sara Mazloumsaki and Nana Karikari-Apau contributed to this report.

@highlight

NEW: "It's dozens and dozens, scores of casualties," the head of the U.N. Security Council says

@highlight

NEW: About 15,000 to 20,000 civilians have fled to United Nations bases in the city, he says

@highlight

State Department says U.S. Embassy suspending normal operations until further notice

@highlight

Sporadic gunfire still rattling Juba, diplomats say