(CNN)  -- Text messaging is one of the popular ways to communicate these days. However, unlike most wireless carriers in the rest of the world, U.S. wireless companies tend to double-charge customers for texts: They charge both for sending texts and for delivering each text message. This can be annoying, especially for the vast majority of people who don't have smartphones.

If you're looking to save money on texting, or if you just think those double charges are silly, there are some ways to avoid them -- at least the charge for sending a text message.

While plans that include unlimited texting are popular, many budget-conscious cell phone users have plans with text-message limits -- and they face extra charges if they exceed those limits. Also, many phones (especially pre-paid ones) charge per message, and the cost for this can be steep. For instance, a T-Mobile prepaid plan charges "10 cents to send a text and 5 cents to receive in the U.S. and Canada; 35 cents to send and 5 cents to receive everywhere else."

Not only can you send a text message via e-mail from your computer, but also from any e-mail-enabled phone. Most phones, even inexpensive feature phones, can send and receive e-mail messages. Also, wireless carriers designate an e-mail address for any e-mail enabled phone -- so you don't need to worry about linking your computer-based e-mail to your phone service if you don't want to.

Sometimes, wireless carriers tack on fees to enable e-mail on your phone, so ask your carrier about this and make sure you know how to send and receive regular e-mails on your phone first.

To send a text message by e-mail you need to know which wireless carrier the recipient of your message uses. So ask the people your regularly send text messages to which carrier they use. Then, look up how you would reformat each of their phone number/carrier pairs as an e-mail address. Each wireless carrier has an e-mail-to-SMS gateway, with a special format to accept incoming e-mail messages and route them as text messages to cell phones.

Here are the formats for the four major U.S. carriers. In each of these, for "N" substitute the recipient's 10-digit phone number (include the area code -- but don't include hyphens or other space separating characters):

AT&T Wireless: N@txt.att.net  SprintPCS: N@messaging.sprintpcs.com  T-Mobile: N@tmomail.net  Verizon: N@vtext.com   MuTube has a more complete list of e-mail-to-SMS address formats, for carriers in North America and around the world.

Next, add entries to your e-mail address book (on your phone and on your computer or web-based e-mail service) for each person to whom you regularly send text messages, once you find out which carrier they're on.

Keep your messages brief. Text-message-length limits still apply, even though you're originating the message from e-mail. Carriers have different length limits for text messages, but Twitter's limit of 140 characters plays nice with most North American wireless carriers' texting limits.

If your message exceeds the allowed number of characters, the delivered text message may get truncated or split into multiple messages (perhaps resulting in multiple charges). Your recipients probably would not be pleased by this.

Write your entire text message in the subject line of your e-mail. Leave the message body blank -- and be sure to remove any automated signature text your e-mail program might supply.

Most e-mail-to-SMS gateways will transmit both the e-mail subject line and message body within the delivered text message. However, since you want to keep your message very short anyway, it's easier to just get in the habit of typing your text message in the subject line and deleting everything from the message body.

Before you send someone a text by e-mail, let them know you're going to try doing this, so they'll expect your message. Remember: The first time they receive a text that you send via e-mail, it won't be coming from your regular phone number. They may not recognize that it's from you, and might mistake your message for spam or an error and delete it without reading it.

Also note that when you send a text message via e-mail, if the recipient hits "reply," their reply message usually will get routed back to the e-mail account from which you sent it. It's smart to test this out, too.

Finally, remind your recipients to notify you if they switch to a different wireless carrier. People can port their phone number from one carrier to another -- but when they change carriers, the format for their e-mail-to-text address will change, so you'll want to update that information in your address book.

Getting set up to send text messages by e-mail involves a little bit of up-front work. And there are other drawbacks. Straightforward e-mail-to-e-mail messages don't always provide mobile push notifications, such as alert sounds, especially on feature phones. But the effort can be worth it if you text certain people frequently. It's useful if you want to be sure they get instant notification of your message wherever they are.

This strategy is especially useful to send text messages to groups -- such as parents of the kids in a hockey team, or a carpool group, or everyone in your immediate family. You could even use this strategy to publish text alerts to large audiences (such as a political candidate's supporters, or people who sign up to get local news alerts by text).

It's generally simpler to designate groups of e-mail addresses than groups of SMS recipients on your phone. Also, it's fairly private -- when you use e-mail to send text messages to a group, each recipient sees only your contact information, not the contact information for the other recipients.

If you must contact large groups of people via SMS, avoiding carrier charges for sending text messages can significantly improve the economics of group communication. And it's simpler and more reliable to send your group text alerts directly than to count on a third-party service like Twitter Fast Follow.

The opinions expressed in this commentary are solely those of Amy Gahran.

@highlight

U.S. wireless carriers tend to double-charge customers for texts

@highlight

Plans with unlimited texting are popular, but many find this option too expensive

@highlight

You can send a text message via e-mail from any e-mail-enabled phone