(CNN) -- Parents should take precautions to minimize infants' exposure to the chemical Bisphenol-A, the Food and Drug Administration said Friday in an announcement that stopped short of saying there is a definite health risk from the chemical.

In guidelines published on its Web site, the FDA said it has "some concern" about the safety of BPA, and supports efforts by industry to remove BPA from infant bottles and feeding cups.

Dr. Josh Sharfstein, deputy FDA commissioner, said the agency is trying to determine whether it has the legal authority to quickly force such products off the market if manufacturers don't do it voluntarily. According to Sharfstein, the six largest makers of infant bottles and cups already use alternatives to BPA.

Bisphenol-A is found in many products, but has drawn the most attention for its use in linings for canned food and infant formula, and as a hardener in plastic baby bottles and toys. A handful of states and cities including Minnesota, Connecticut, Massachusetts and Chicago, Illinois, have passed laws in some form banning BPA in products meant for children.

The new position is a partial reversal of the FDA's declaration in 2008 that BPA has no adverse effects. That announcement came under fire from environmental groups that said it relied too heavily on industry-funded research.

Since then, the agency says on its Web site, "recent studies have reported subtle effects of low doses of BPA in laboratory animals. While BPA is not proven to harm children or adults, these newer studies have led federal health officials to express some concern about the safety of BPA."

The new position brings the FDA into line with guidance from the National Toxicology Program, which in its own 2008 report said there is "some concern" for BPA's effects on the brain, behavior and prostate gland, in developing fetuses, infants and children. Other studies have found a possible link to diabetes and cardiovascular disease, but the authors of those studies say it's not clear the problems were actually caused by BPA.

At a news conference Friday, FDA commissioner Margaret Hamburg said further research is needed "to determine if and when further action is needed."

The National Institute of Environmental Health Sciences has been allotted $30 million to study the health effects of BPA. Hamburg said that research would likely be complete in 18 to 24 months. In a separate review, the Environmental Protection Agency is weighing whether to list BPA as a chemical of concern under the federal Toxic Substances Control Act, which would trigger a formal process to develop possible restrictions on BPA.

At the news conference, Hamburg and Sharfstein urged parents to keep the risk in perspective, saying the benefits of nutritious infant formula outstrip any potential danger from BPA. Other guidance includes:

• Discarding scratched or worn bottles and cups, which aside from harboring germs might also release small amounts of BPA

• Being careful when heating formula, as boiling or very hot liquid might cause the release of BPA into infant formula

• Checking labels to ensure that only microwave-safe products are used in the microwave, and dishwasher-safe products are put in the dishwasher, to avoid leakage

In taking a middle ground, the FDA managed to frustrate both industry and consumer safety groups.

Steven Hentges, a scientist with the American Chemistry Council's global study group on BPA, said the guidance would "confuse consumers," while a scientist with the Natural Resources Defense Council said the move was "too little, too late."

Hentges painted the FDA decision as a victory, saying the announcement reflects scientific consensus "that these products continue to be safe for use." However, he complained that there was no scientific basis for the advice to discard older bottles and cups and insisted that studies have failed to find evidence of actual harm from BPA.

Sara Janssen, a scientist with the Natural Resources Defense Council, agreed the advice was confusing, but said the FDA should have gone further and banned the use of BPA.

Sonya Lunder, a senior analyst with the Environmental Working Group and a longtime BPA critic, says mothers can largely avoid BPA by using powdered formula instead of liquid. But she welcomed Friday's announcement.

"This is a huge step forward. The Bush administration wanted to close the books and declare this safe, and now that's not going to happen," Lunder said.

@highlight

Bisphenol-A, known as BPA, is found in many products including baby bottles

@highlight

FDA stops short of saying there is a definite health risk from the chemical

@highlight

Industry says FDA goes to far; consumer groups say BPA should be banned