(CNN) -- Imagine what it must be like to be born in one country but only know another, to be labeled "illegal" but feel 100% American, and to be asking for special dispensation from a government that has shown a flair for arresting and deporting people just like you.

"Samuel" doesn't have to imagine this life. He's too busy living it.

The recent high school graduate is one of about 82,000 Dreamers who opted to roll the dice on a new government program that promises temporary relief for young illegal immigrants who were brought to the United States as children, have no criminal record and are pursuing higher education.

They're called Dreamers because they might have qualified for legal status under the Dream Act if the bill hadn't died in the Senate in December 2010 when 36 Republicans and 5 Democrats voted against cloture.

Samuel agreed to talk to me, but only if I agreed not to reveal his name or give out too much personal information about him or his parents.

Opinion: 'Illegal immigrant' is the uncomfortable truth

Ah yes, the parents. If there's an illegal immigrant who was brought here by his parents, there is a good chance that his parents are undocumented as well. And here the government -- the same agency that carries out deportations, Immigration and Customs Enforcement -- is asking you to hand over your personal information, including your address, where agents might find you and your parents and haul you all away.

Samuel graduated from high school with honors a few months ago, and now he's in a state of suspended animation. He can't enroll in college, because he can't afford the cost of out-of-state tuition. Unlike many of his friends, he doesn't have a job. But it isn't because he doesn't want to work. The problem is that he doesn't have a Social Security number or a driver's license. He's stuck. He can't go forward, and he can't go backward.

Samuel's parents brought him to the United States from Mexico as a child. This is where he was raised, and he can't imagine living anywhere else.

"This is the only country I've known all my life," he told me.

He dreams of getting a driver's license, getting a job, going to college, attending medical school, perhaps one day becoming a doctor. But, all his plans are written in sand. In Samuel's life, nothing is certain.

Nothing, that is, but the two or three page application he filled out to apply for Deferred Action for Childhood Arrivals. It was, for him, an easy decision. He had waited a long time for a chance like this. And he quickly seized the opportunity. That was probably a smart thing to do. Deferments could be granted on a first-come, first-served basis. He is supposed to receive a response in the mail in the next few weeks.

Radio: Undocumented students in their own words

The Deferred Action program, in the universe of immigration enforcement, falls somewhere between a leap of faith and a crapshoot. If granted temporary relief, applicants can apply for a two-year work visa. There's no direct path to permanent legal status or U.S. citizenship, and the deferment can be revoked at any time. Meanwhile, the federal government -- which previously didn't know you existed, and you liked it that way -- has opened a file, taken your fingerprints and collected all your information.

It's not a very good deal. But, for undocumented youth, it's the only deal on the table. So far, there are few takers. The 82,000 who have submitted applications are just 7% of the estimated 1.2 million people who are eligible for the relief. To qualify, an applicant has to meet certain criteria: be under the age of 31, brought to the United States before the age of 16, have lived continuously in the U.S. since June 15, 2007; no criminal record, in school or graduated high school, or a military veteran.

According to immigration lawyers I've spoken to, who have been fielding calls from Dreamers who have lots of questions, some would-be applicants worry that Mitt Romney could win the election; the Republican will not say whether he would sustain the deferment. All he has said is that we need a permanent solution and that he would replace the program with a better one. In June, Romney told a gathering of the National Association of Latino Elected and Appointed Officials that he would "put in place my own long-term solution that will replace and supersede the president's temporary measure."

What does that mean? No one knows.

But, according to the lawyers, other would-be applicants are just as worried about the possibility of an Obama victory. Which Obama will show up in his second term: the one who proposed the solution, or the one whose excessive deportation policies created the problem?

During a recent forum sponsored by Univision, the Spanish-language television network, Obama said he announced the new policy because, as he met with young people from around the country, he concluded that it wasn't "fair or just for us to have them suffering under a cloud of deportation."

That's a nice sentiment, Mr. President. But guess what. You're the one who created the cloud by deporting a record 1.4 million people in about four years.

That is what happens when a bureaucracy goes overboard. It is a record to be ashamed of. So, if Obama is re-elected, do things get better for the undocumented or worse? No one knows.

Meanwhile, Samuel is aware of the risk. What really drove it home, he said, was when his mother, who is also undocumented, had to take him to the local Immigration and Customs Enforcement office to fill out the application. He worried something might happen to her, that someone might question her, that she might give the wrong answer.

What about him? Wasn't he worried about putting himself in jeopardy? Here he is walking into the jaws of the beast, so to speak, right into the office of the very agency that is breaking all deportation records under this president. Wasn't he afraid that he was making a mistake?

"There's always that thought in the back of your mind," he said. "Because you're giving over all this information to these people who have total control over whether you get to stay here or not. It was a little nerve-racking, but we got through it. And now we're just waiting and hoping for the best."

Nerve-racking is right. A lot of good people are putting it all on the line. This is a high-stakes game. It had better not be rigged.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Young would-be 'Dreamers' can apply for legal stay in U.S. if they meet criteria

@highlight

This gives undocumented people brought to U.S. as children a two-year work visa

@highlight

Ruben Navarrette: It's a high-stakes gamble because you give out personal information

@highlight

Navarrette: People fear if Romney wins or even Obama, the program could be revoked