You wanted to know more about greenwashing, and Scot Case, from environmental marketing firm TerraChoice, answered.

Greenwashing expert Scot Case of TerraChoice

"Why are green products often more expensive than ones that don't say they are green or environmentally friendly? Is it just because green has become a new form of 'premium brand'? Isn't this bad news if we want to make more people environmentally aware when they go shopping?" Harriet Gladwell

Case: First, it should be noted that not all greener products are more expensive. The remanufactured toner cartridges I purchase at a nationwide office-supply store, for example, carry the same warranty as other cartridges at a 30-percent lower cost. This greener option is less expensive because the manufacturer avoids the cost of manufacturing the plastic and electronic components. They simply reuse the parts from recycled cartridges.

There are also greener products that do not cost extra. There are cleaning products and paints, for example, that have been certified as meeting tough environmental standards by EcoLogo or Green Seal that deliver the same high-quality performance one expects without costing any extra.

Other greener products might be slightly more expensive initially, but generate substantial savings for the consumer. Energy-efficient compact fluorescent lightbulbs (CFLs), for example, are still four times more expensive than traditional cheap incandescent light bulbs. However, CFLs use 75 percent less electricity and last 10 times longer, so they don't have to be replaced as frequently. As a result, the typical CFL saves consumers $30 over the life of the bulb.

There are now energy- or water-efficient versions of all sorts of products -- refrigerators, windows, air conditioners, televisions, dishwashers, ovens, showerheads, washing machines, etc. The more efficient versions are typically more expensive initially to reflect the higher-quality components used to make them, but they quickly pay for themselves in lower energy and water costs. Look for products that are Energy Star registered. Even better, look for products that have been independently certified as meeting the Energy Star standards.

Why are other greener products still more expensive sometimes? It boils down to the simple laws of supply and demand. Any new innovative product, whether it is "greener" or not, costs extra initially. It costs money to research and develop the product and to build the factories and supply chains it takes to make the product. Manufacturers try to recoup those costs as quickly as possible during the initial sales of the product. As demand increases, however, additional manufacturing efficiencies -- economies of scale -- begin to emerge that permit the prices to fall. In addition, high prices attract competitors with similar products, and the additional competition helps force prices lower.

Are some manufacturers attempting to earn additional revenue by presenting their greener options as a premium brand? Absolutely. Just as some clothing manufacturers charge extra to have their name brand applied to a shirt.

It is also possible, however, to buy high-quality, greener products, at very good prices, at growing numbers of mainstream retail outlets. When DVD players and cell phones were first introduced, they were only available to the very wealthy. Now everyone has at least one. The same is increasingly true with greener product offerings.

"What are the most obvious signs that a company is greenwashing the public with false claims? What words and phrases should raise a red flag?" Carla Dos Santos

The most obvious sign a company is greenwashing is if the company fails to provide proof of their environmental claims. Legitimate environmental claims can be certified by independent outside third-party auditors. Manufacturers can also provide test data and other relevant information on Web sites.

Consumers should also beware of generic environmental claims that are so vague they are likely to be misunderstood. Watch out for broad claims like "eco-friendly," "earth kind," "all natural," "eco-safe" or other green babble. Even phrases like "biodegradable," "recyclable" and "compostable" can be misleading if they fail to clarify how the products were tested or under what circumstances the claim is true.

Make sure any environmental claim is specific, backed by proof, and, preferably, verified by an independent, outside third-party.

For additional greenwashing examples and recommendations on how to avoid being fooled, check out the Six Sins of Greenwashing or the accompanying wallet-size guide book.

"Is it possible to put together information about a product's greenness that has both the detail that's really needed, and is at the same time simple and clear? And how can we get governments to serve the public and advise them on green purchasing, in the way that is most fair to commercial interests?" Rick Reibstein

There are certainly efforts underway to provide consumers with additional information about the environmental impacts of their purchasing decisions. The traditional environmental standards such as Green Seal and EcoLogo publish standards and then certify products meeting those standards. Most consumers find the simplicity of this type of certification scheme the most useful.

Some particularly savvy green consumers, however, want additional information beyond knowing that a product has been certified as meeting a standard. They are seeking information presented in a nutrition-label format that allows them to compare two certified products to determine which is greener.

I think we will see the emergence of hybrid labeling systems that do provide greater detail about the environmental features of a product. Such a label would combine the traditional "thumbs up or thumbs down" approach of Green Seal or EcoLogo along with additional information in a standard format. The information might be available on product packaging or on an accompanying Web site.

Governments are actually already pushing manufacturers to provide this level of detail using their purchasing power rather than their legislative power. Government purchasers across North America, for example, are demanding safer, more environmentally preferable cleaning products, papers, paints, vehicles, building products, office equipment and computers. Government purchasers in New York, Illinois, California, Minnesota, and other places, for example, require cleaning products to meet the Green Seal or EcoLogo cleaning-product standards. As a result, those products are becoming more widely available for consumers too.

The U.S. Federal government and many state governments are also purchasing more environmentally preferable computer products. They are requiring products to meet the EPEAT green computer standard. One unique feature of the EPEAT label is that the EPEAT Web site provides additional information on the environmental features associated with the almost 1,000 products on the EPEAT registry.

Now that the information is available, consumers can use the EPEAT information to make their own purchasing decisions.

Providing this level of environmental information is the foundation of market-based environmentalism. Government purchasers, other large purchasers such as colleges and universities or Fortune 1000 companies, and individual consumers can use the publicly available information about the environmental impacts of their purchasing decisions along with traditional factors like price and quality to determine how they will spend their hard-earned money. This approach allows the greenest products to be identified and to compete with other products for market share.

Of course, in addition to the market-based approach, governments always have it within their power to actually legislate minimum environmental requirements or the publication of basic environmental information. There are persistent rumors of efforts underway to use the legislative power of the federal government to encourage greater transparency regarding the environmental footprint of a product and to make it easier to share that information with consumers. It will be interesting to see what happens in Congress with a new U.S. president in January.

"How can we know if the 'green' label is credible, and do you think we'll ever get to the place where all these different certifications merge into one consistent and widely recognized label? Is this happening in any countries?" Amber Wells

While there were only three or four eco-labels 20 years ago -- EcoLogo was North America's first and it was founded in 1988 -- there are now more than 300. At some point, I think it is inevitable that there will be some significant consolidation in the environmental-labeling world. There are already numerous meetings among the most legitimate environmental-labeling programs to collaborate more closely. A variety of efforts are attempting to separate the truly green labels from the fake green ones. There are also persistent rumors of pending federal legislation to encourage or even require greater accountability.

Until then, consumers need to be aware that not all green-labeling programs are created equally. Before relying on any "green dot" to help make a purchasing decision, consumers need to understand exactly what the "green dot" means. Make sure you can answer the following questions about an environmental label before making a purchase:

(1) Who created the labeling program? -- Was it created by a manufacturer or a trade association to promote their own products, or was it created by an independent outside organization in an open, public, transparent process? Is it backed by a respected European or North American government?

(2) Does the label require a product to actually meet a specific standard? -- Some labels are being awarded based on fees paid to a consultant rather than based on compliance with a published standard. Others are being awarded simply by joining a trade association or paying a membership fee.

(3) Does the label address multiple environmental issues or does it focus narrowly on just a single issue like energy-efficiency or recycled-content? -- Review the standard to determine whether it covers multiple environmental issues throughout the entire product life-cycle, which includes the raw materials used to make the product, the manufacturing process, transportation and packaging, and the impacts of using and discarding or recycling the product. Make sure the standard covers the environmental issues you and the environmental community are most concerned about.

(4) What does a manufacturer have to do to prove a product meets the standard? -- Some labels permit a manufacturer to determine on its own whether it meets the published standard. Other programs -- including EcoLogo, Green Seal, and the Chlorine Free Products Association -- independently review product test data and visit the manufacturing facilities to ensure compliance with the standard.

There is a three-page appendix to the Six Sins of Greenwashing report that provides additional information to help identify legitimate environmental standards.

Click here to read more of your questions and Scot Case's answers on greenwashing.

@highlight

Scot Case answers your questions on greenwashing

@highlight

Has green become a new form of "premium brand"?

@highlight

What green words and phrases should raise a red flag?

@highlight

Click here to read more answers to your questions