(CNN)A picture and audio posted online Saturday purport to show that one of two Japanese hostages held by ISIS has been killed after a deadline for ransom passed. It also appears to relay the group's new demand for the other's freedom: a prisoner exchange.

The static image, shown in a video file posted by a known ISIS supporter, shows surviving Japanese hostage Kenji Goto, alone, in handcuffs and dressed in orange, holding a photo of what appears to be beheaded compatriot Haruna Yukawa.

Japanese Prime Minister Shinzo Abe said Sunday that the video is "highly credible." U.S. authorities said they had no reason to doubt its authenticity.

Abe told Japanese broadcaster NHK that the killing was "abominable" and "unforgivable," demanding the immediate release of Goto.

NHK also reported comments from Yukawa's father.

"I still don't want to believe it," Shoichi Yukawa said, his face not shown in the report. "If I can see him again, I'd like to hold him in my arms."

Saturday's posting came four days after an ISIS video demanded that the Japanese government pay $200 million within 72 hours for the two hostages' release.

In the video released Saturday, the voice of a person claiming to be Goto says in English that Abe is to blame for Yukawa's death.

"You were given a deadline," he says.

The voice then relays the apparent new demand from ISIS -- the release of Sajida al-Rishawi, a woman arrested in Jordan in 2005 on suspicion of trying to take part in an attack in which others killed dozens at Jordanian hotels.

"They no longer want money, so you don't need to worry about funding terrorists," the voice says. "They are just demanding the release of their imprisoned sister Sajida al-Rishawi."

Jordan's King Abdullah II and Abe talked by phone on Saturday, according Jordanian state news agency Petra.

The news agency did not detail what the two discussed beyond saying they "reviewed the latest developments in the Middle East."

President Barack Obama condemned the purported murder of Yukawa by ISIS.

In a White House statement, the President expressed condolences to the people of Japan and said the United States will work with its ally "to bring the perpetrators of these murders to justice and will continue to take decisive action to degrade and ultimately defeat" ISIS.

Britain's Prime Minister David Cameron said Japan was right not to bow to the terrorists' demand for ransom.

"Britain strongly supports the firm stance Prime Minister Abe and his Government have taken and we will continue to work with Japan and other partners around the world to promote peace and to build a safer, more secure future for our citizens," Cameron said in a statement.

Secretary of State John Kerry said the U.S. is grieving with Yukawa's family. "America has known this pain and horror ourselves, and we stand with Japan not just in sadness, but in solidarity and strength," he said in a statement.

The U.S. National Security Council has seen Saturday's post, and the "intelligence community is working to confirm its authenticity," NSC deputy spokesman Patrick Ventrell said.

Opinion: Should nations pay ISIS ransom?

Goto, 47, and Yukawa, 42, had gone to the Middle East for different reasons, the former an experienced freelance journalist covering the conflict in Iraq and Syria, and the latter an aspiring security contractor who felt at home in the war-torn region. They ended up in the hands of ISIS in recent months.

On Tuesday, ISIS released a photo showing a black-clad masked man standing over Goto and Yukawa. The man made a demand: Either Japan pay $200 million -- the same amount that Abe has proposed to help those affected by the ISIS campaign, money his government says is for humanitarian rather than military purposes -- within 72 hours, or both men would die.

Japanese officials estimated that ultimatum expired at 2:50 p.m. Friday, Tokyo time (12:50 a.m. ET Friday) with no immediate news on the hostages.

Saturday's video is dissimilar in some ways to last year's ISIS videos announcing the executions of Western hostages.

In five ISIS videos last year -- announcing the beheadings of U.S. journalists James Foley and Steven Sotloff, British aid worker David Haines, British taxi driver Alan Henning and U.S. aid worker Peter Kassig -- a masked man is shown making a statement and sometimes putting a knife to the hostages' necks. The videos then transition to a still photo of the victims' severed heads.

Al-Rishawi, the woman named in the allegedly proposed swap for Goto, was arrested by Jordanian authorities more than nine years ago.

In November 2005, she said in a televised confession that she tried to take part in a string of terror attacks at Jordanian hotels that month that killed at least 57 people.

She said her explosives failed to go off at a large wedding reception she was targeting, but that her husband's explosives did go off there.

Japan isn't part of the international military coalition that, for months, has been carrying out airstrikes against ISIS targets in Iraq and Syria. Its post-World War II constitution forbids the use of Japanese military forces for any purpose besides self-defense.

But Tokyo is allied with the United States and others leading this military campaign. And Japanese officials are offering help related to the ongoing unrest, though they insist those millions of dollars would go toward things like helping refugees, not killing ISIS militants.

ISIS wasn't swayed. In Tuesday's video demanding ransom, a masked man holding a knife stood over the kneeling Goto and Yukawa, and said that Abe "willingly volunteered to take part in this crusade" against ISIS.

A spokesman for the terror group, according to Japanese broadcaster NHK, wouldn't comment this week on whether his group has been in touch with the Japanese government, something that officials in Tokyo had said they were trying to arrange. He said he was aware that Japan said it wasn't involved militarily and called the Japanese infidels for fighting with the coalition.

Japanese officials had said they would not yield to threats, but they would do everything they could to secure the hostages' safe release.

Would that mean paying ransom? Officials weren't saying, at least directly, though Abe did call ISIS' demand "unacceptable" this week.

Leading Japanese news organizations reported, citing unidentified government sources, that Goto's wife received an e-mail in December from someone demanding $8 million to $16 million for her husband's return.

The government was trying to confirm if that e-mail came from ISIS, the reports said. If so, it could indicate the militant group was willing to accept a smaller ransom than the $200 million it had publicly demanded.

Japanese citizens have been taken hostage before. Some have been released. But what Japan hasn't done is advertise whether it has ever paid ransom, lest it encourage more kidnappings in bad-guy fundraising schemes.

It's not clear whether paying would have mattered. ISIS doesn't have representatives or go-betweens everywhere who could solicit such a deal. Nor does it have a reputation for morality and trustworthiness, so there's no telling if it would have taken the money and killed anyway. And the fact the group publicly asked for $200 million, a figure well above other ransom demands, raised the prospect that it was never serious about negotiating.

While there are certainly geopolitical implications, this story is also about two men and the families they've left behind.

As the apparent deadline approached, Goto's mother begged for her son's life.

"To all members of ISIS, Kenji is not the enemy of ISIS. Please release him," the mother, Junko Ishido, said Friday.

"... I have been just crying for the last three days, filled with sadness. Words fail to describe how I feel. Kenji always has been a kind person ever since he was little. He was always saying, 'I want to save the lives of children in war zones.'"

Her son had been a journalist for years, contributing to NHK and other Japanese news organizations. Goto covered big stories, hoping that by telling them, he could make a difference.

That's what spurred him to go to ISIS-controlled territory in Syria, as he explained in an October video shot shortly before he ventured over the Turkish border.

"Syrian people suffering three years and a half. It's enough," said Goto, 47. "So I would like to get the story of what ISIS wants to do."

Alaaeddin Al Zaim, who had worked with Goto in Syria previously, says he warned him not to enter the ISIS stronghold of Raqqa. "I tell him it's not safe for you," Al Zaim told CNN.

But Goto went anyway. He said, according to Al Zaim, "I am not American, I am not British. I'm Japanese. I can go."

The aims and activities of Yukawa, a 42-year-old unemployed widower, are murkier.

He originally headed to the war-ravaged country early last year to gain combat and survival experience to bolster his plans to set up a private security company, said his friend Nobuo Kimoto.

There, Yukawa met Goto, who gave him insights on how to survive there, Kimoto said. Goto also introduced him to rebel fighters, who are distinct from ISIS, though both are fighting Syrian President Bashar al-Assad's forces.

Some of the rebels talked about their need for ambulances to shuttle the wounded. That plea spurred Yukawa to start raising money for this cause after returning to Japan, according to Kimoto.

Kimoto said he advised his friend to focus on building up his private security company.

Before he went back to Syria in July -- a month before his reported capture -- Yukawa told his friend about his clear sense of purpose when he was in that tumultuous Middle Eastern nation, despite all its violence and other travails.

"I felt a chill when he said, after returning home, (that) he felt in Syria he was really living a life," Kimoto said. "He seems to have felt satisfaction being there and living together with the locals."

CNN's Ali Younes, Yoko Wakatsuki, Junko Ogura, Jethro Mullen and Saeed Ahmed contributed to this report.

@highlight

Japanese and U.S. authorities say the video seems authentic

@highlight

Hostage Kenji Goto holds a photo of what appears to be beheaded compatriot Haruna Yukawa

@highlight

ISIS is now demanding the release of a prisoner in Jordan in exchange for Goto