For more than a year the Sudanese government has been bombing and spreading terror in the country's South Kordofan state, surgically cleansing the land of the Nuba people.

The government of Sudan argues it is fighting a rebellion led by the Sudan People's Liberation Movement that engineered the secession of South Sudan. Khartoum still struggles to stomach the victory of the Southerners, brought about partly by the large number of Nuba fighters who -- after decades of marginalization and political exclusion -- joined forces with the Sudan People's Liberation Army.

Accordingly, Khartoum treats the Nuba people as the enemy within -- a foe whose independent spirit has never been tamed

The cost: half a million people have been displaced or severely affected by the conflict, according to the U.N.'s Humanitarian Affairs office.

The most recent rash of bombings is the second time in 20 years that the Nuba people have been targets of the same Khartoum leaders -- President Omar al-Bashir and Governor Ahmed Haroun. Both men are internationally indicted war criminals, although both deny the charges.

See also: Evidence of cluster munitions in Sudan

Haroun engineered attacks against the Nuba in the 90s, refined his deadly tactics in Darfur in 2004, and is now back pursuing his murderous agenda against the Nuba with even greater efficiency.

I traveled to Sudan bear witness, as a journalist and a Rwandan, to a people under siege, at the war-torn border between the two Sudans, one of the most isolated regions on earth.

Smuggled into the Nuba Mountains, an area closed to the world, I filmed local activists documenting the attacks being perpetrated by the Khartoum regime.

Despite being bombed several times a day since June 2011, the activists remain nonviolent. Armed with cameras and the hope for a better tomorrow, they relentlessly scour their homeland collecting the testimonies, pictures and evidence to build up a case against their aggressors: their government.

Our team traveled to a number of villages up to 20 km from the front line. During my time in the region I experienced bombings as regimented as prison meals. We were attacked an average of three times a day. We were filming as the scale of atrocities unfolded with excruciating precision: the bombs falling, the people hiding in caves for safety, the destruction of villages, the casualties.

Every day, we experienced hunger, fear, abandonment, exhaustion and unspeakable harshness, like the Nuba people do. At a moment's notice, we jumped in and out of foxholes and crawled in caves like they do to survive. Cramped, hot and terrified, we have seen and smelled the death of children, pregnant women and the elderly; the destruction of villages, crops, schools, water pumps, mosques, churches and hospitals.

In the making of "Erasing the Nuba" we were bombed 19 times and lived to tell the story of resilience of a people harassed daily by landmines and rockets, in a region transformed into ghost towns, craters and ruins.

See also: U.N. seeks probe into possible war crimes in South Kordofan

A lingering smell of death and growing despair ushered us out of the Nuba Mountains. Almost 63,000 Nuba have fled to the Yida refugee camp in South Sudan.

There I saw a people left to fend for themselves, a people that know they have no friends, yet determined to face their destiny with the only thing they have left: dignity.

In Yida, I attended a WFP-sponsored food distribution and saw how a 3kg ration of USAID-produced sorghum was distributed for each family to eat until the uncertain next round of food supply.

In Yida, a mother begged me to take home with me her three-month-old baby, whom she had delivered squatted down under a tree on a rainy afternoon.

I sat with Yida's oldest resident, a 101-year-old man who journeyed on donkey back for eight days to be reunited with one of his sons. The poor man was so disoriented that he had stopped eating and talking for days at a time. His family feared that leaving him alone might drive him to commit suicide.

In Yida I watched children sitting on the branches of a tree to follow a mathematics class as the open-air "classroom" was packed. It struck me to see how one adult volunteer could teach a class of children, without the use of a blackboard and chalk. There is no such thing as pens or notebooks for the thousands of children in need of an education at Yida.

See also: Sudan violence amounts to war crimes

Dreams for domestic reconciliation exhausted after two decades, the Nuba are holding onto the belief that "the hearts of the international community" woven into the fabric of our shared humanity "will hear their cries." They say they have been sacrificed at the altar of peace agreements between North and South Sudan and they feel cheated by the world's inaction.

"Erasing the Nuba" has captured the spirit of the Nuba people of Sudan, a minority bowed but not broken -- not by the daily hellish rain of bombs and rockets, nor by the world's complicit silence.

But for how much longer can they prevail -- hostages of Khartoum and us, the international community? A group of people and their way of life is being destroyed. Why are the Nuba, the heirs of a civilization that once stretched from Cairo to Lake Victoria, asked to shake hands with Haroun, and his murderous gang of "Butchers of Khartoum"? Would one have asked European nations to make peace with Hitler?

They have been forced to crawl in caves like beasts, survive on leaves and berries only to be told of a "Sudan Fatigue."  Unlike Assad in Syria -- bad as he is -- only one current head of state in the world is indicted officially by a due legal process: al-Bashir. Yet many in the world are advocating the removal of Assad.

Mountains of grudges and greed fuel this conflict, where humanitarian assistance is used as a pawn on the chessboard of peace negotiations.

Beneath the surface, jumbles of players -- local and foreign -- are waging a merciless war against each other for the political, economic and military control of the two Sudans. There can be no peace, no security, no stability, no settlement to this conflict as long as the blood of the Nuba children, women, men and communities will be spilled.

My family falling victim to the Rwandan genocides that started in 1994, and a commitment to uphold the vow made by those touched by genocide the world over to "never forget," inspired me to bring their story to light.

"Erasing the Nuba" is my testimony, as a Rwandan and a journalist, to ensure these people are never referred to in the past tense.

Find out more about "Erasing the Nuba" on Twitter and Facebook.

@highlight

Sudanese government has been bombing South Kordofan for more than a year

@highlight

Documentary shows the plight of Nuba people in Sudan

@highlight

Filmmaker Yoletta Nyange says she was bombed 19 times while making the film

@highlight

'Nuba people being destroyed,' says Nyange