(CNN) -- An opposition group reported Thursday that government forces have carried out a "massacre" in Hama province, killing 220 people there. Most of the killings occurred in the village of Tremseh, the Local Coordination Committees of Syria said.

The day's death toll nationwide reached 287, making it the bloodiest day in Syria since the uprising against the government began 16 months ago, the opposition group told CNN.

As it has done consistently, Syrian state television blamed "armed terrorist groups" for the killings, accusing them of having shot "indiscriminately at the people of Al-Tremseh village in Hama suburbs. And after calls from the people of the village, the security forces clashed with the terrorist groups, arresting a number of them and confiscated their weapons."

Activists in the city of Hama told CNN that witnesses inside Tremseh told them by telephone that Syrian military forces had launched a full-scale attack against the opposition Free Syrian Army inside the town, which was surrounded by government tanks and artillery.

The forces had shelled the town continuously from 5 a.m. until noon, when their tanks entered the village, three activists told CNN separately. None of them was willing to be identified publicly.

Syrian army forces, whose numbers were bolstered by the pro-regime militias called "shabeha," accompanied the tanks into Tremseh, they said. As the government forces rained artillery rounds into the town, a number of village residents fled their houses into the streets, where many of them were shot dead by the government militias, the activists told CNN in separate telephone interviews.

CNN is not able to confirm their accounts because Western journalists have limited access to the country.

The violence was also occurring farther south, in the capital, where 12 people were killed, the LCC said. The Damascus neighborhood of Shaghour was under siege by government forces, whose snipers were occupying the roofs of buildings, the LCC said.

In the capital city's suburb of Naher Aisha, government forces opened fire on a group of people who were demonstrating in condemnation of the Tremseh killings, LCC said.

The carnage came as a top Syrian diplomat who defected Wednesday said in an interview broadcast Thursday that he has sympathized with the opposition movement since it began in March 2011, but had held out hope that President Bashar al-Assad would change course.

"I am from Day One with the revolution," Nawaf al-Fares, the former Syrian ambassador to Iraq, told Al Jazeera Arabic. "Due to the political and personal circumstances, just a few people knew about that."

Al-Fares added, "I had hope, and I was in direct contact with President Bashar. He is now the former Syrian president, because he is a criminal and he is killing the Syrian people."

Syrian government authorities said al-Fares has been "relieved of his duties."

Al-Fares is the second high-profile Sunni official to break with the regime in a week. Manaf Tlas, a Republican Guard brigadier general and the son of a former defense minister, defected last week to protest the killing of civilians by government forces.

The moves might be a sign that Sunni allies of the Alawite-dominated regime are displeased with the government's fierce crackdown on an opposition dominated by Sunnis.

According to the official Syrian Arab News Agency, al-Fares was sworn in as Syrian ambassador to Iraq in 2008.

Iraqi Foreign Minister Hoshyar Zebari said al-Fares went to the Gulf Arab state of Qatar, Iraqi state TV reported. The Qatari government has been sharply critical of al-Assad's regime.

Al-Fares "made statements contrary to his job duty to defend the positions of the country and its issues, which requires legal accountability and discipline," the Syrian Foreign Ministry said in a statement.

The statement said he "no longer has anything to do" with the Syrian Embassy in Baghdad or the Ministry of Foreign Affairs.

Syria's detached and deluded elite?

Al-Fares also announced his defection from the ruling Baath party, becoming the most senior member to leave. He is from Deir Ezzor, the eastern province that has been hammered lately by Syrian forces, and hails from a tribe along the Syrian-Iraqi border.

"To my brothers in the military, your military doctrine is to defend the homeland against external aggression and protect its borders," al-Fares said in a video statement given to the TV network Al Jazeera Arabic. It was unclear when the video was shot.

"So did your fathers, sons and sisters become the enemies now? And are they the ones who you should fight? Is that what you have learned in your military schools?"

Al-Fares said he was joining the revolution and called the government "malicious" and "the killer of the people."

The conflict in Syria has raged for 16 months, defying international peace efforts and leaving world leaders scrambling to find a solution.

Venezuelan diesel shipments to Syria fuel controversy

Al-Assad's bloody crackdown on the opposition has sparked international outrage, but he still enjoys the support of allies such as Russia, Iran and China.

Russia and China, which are permanent U.N. Security Council members, have vetoed council draft resolutions that would have condemned the Syrian regime. Many other nations said such resolutions could have pushed al-Assad to stop the crackdown on dissidents seeking his ouster.

Meeting in private, the Security Council on Thursday discussed dueling draft resolutions on Syria. Ambassadors remain at odds primarily over whether a Western-backed resolution should invoke Chapter 7 of the U.N. charter, which could authorize sanctions and ultimately lead to an authorization of the use of force.

U.S. Secretary of State Hillary Clinton said Thursday she is hopeful that Russia will back a "serious" measure in the Security Council. But Russian Deputy Foreign Minister Gennady Gatilov said his government dislikes a recent council draft resolution from Western nations.

"We have stated repeatedly that Chapter 7 of the U.N. Charter is unacceptable to us," Gatilov said, according to state-run RIA Novosti. "Using the resolution to justify the use of force in the future is absolutely unacceptable to us."

German U.N. Ambassador Peter Wittig described the talks as "good, calm and focused," but noted the disagreement over Chapter 7.

Chinese and Russian delegates told reporters before the meeting that invoking Chapter 7 would not be acceptable.

Asked about the meeting, French Ambassador Gerard Araud said, "Before, we were 10 miles apart; now, we are 10 miles less five centimeters."

The discussions at the ambassador level were to resume Friday afternoon.

A vote on whether to renew the mandate for the 300-person U.N. observer force in Syria is at the heart of the discussions. The current mandate expires July 20.

Security Council President Nestor Osorio of Colombia said a "reference to Chapter 7 is just trying to put real material into Kofi Annan's plan."

Annan, the former U.N. secretary-general who is now an international U.N. and Arab League envoy to Syria, told the council Wednesday from Geneva that he needed the threat of consequences to win more cooperation inside Syria.

His six-point peace plan has failed to win support by all sides.

Opposition groups say more than 15,000 people have died since the violence began in March 2011.

Syrian ambassador to Iraq joins revolt, urges military to turn on regime

CNN's Hamdi Alkhshali, Richard Roth, Teresa Shen, Yousuf Basil, Salma Abdelaziz, Joe Sterling, Caroline Faraj and Amir Ahmed contributed to this report.

@highlight

287 deaths mark the bloodiest day in the 16-month-old uprising, LCC says

@highlight

Witnesses say Tremseh was shelled for seven hours, then tanks entered the village

@highlight

Many residents were shot when they fled their homes into the streets, activists say