(CNN) -- It's a good summer for piers.

Ryde Pier in the UK just celebrated its 200th birthday, and New York's historic Pier A will reopen any time now (we're told), after decades of neglect and a multi-million dollar revamp.

The structure, first opened in 1886 and now listed on the National Register of Historic Places, closed to the public in 1960 but will soon host a visitor center, an oyster bar and a fine dining restaurant.

If you can't get to these icons of jetty-hood though, there are plenty of other spectacular piers to travel for.

Umhlanga Pier (Durban, South Africa)

This pier isn't just a place to grab a great photo -- it's an extension of an underground culvert that helps disperse excess storm water from the land into the ocean.

The distinctive whale bone structure won the South African National Award for Outstanding Civil Engineering Achievement.

Length: 80 meters.

Opened: 2007.

Contains: Storm water disposal channels.

Cost: Free.

Rotonda a Mare (Senigallia, Italy)

Rotonda a Mare ("circular pier") had additional purposes during wartime, serving as a military warehouse during World War II.

The pier was built in 1923 but closed in 2005 for renovations. It reopened a year later, with a beautiful sea-themed mosaic by Enzo Cucchi adorning the entrance.

Opened: 1923.

Contains: A concert hall.

Cost: Free.

Clevedon Pier (Somerset, UK)

Late English poet Sir John Betjeman described this pier as "the most beautiful pier in England."

It was built in 1869 as a departure point for paddle steamer excursions, and is the only fully intact, Grade 1 listed pier in the UK.

The supports were constructed using metal taken from Isambard Kingdom Brunel's South Wales railway.

Length: 312 meters.

Opened: 1869.

Contains: Art gallery and gift shop.

Cost: $1.60 for children, $3 for adults.

Kastrup Pier (Kastrup, Denmark)

This unusual pier contains a structure that encircles an outdoor swimming area, allowing visitors to take a dip without the risk of being washed out to sea.

The pier is made from azobe wood, which is resistant to sea water and at night up-lighting emphasizes the beautiful curved wooden walls and illuminates the swimming area -- and the skinny dippers who reportedly frequent it.

Length: 100 meters.

Opened: 2004.

Contains: A swimming area and diving platform.

Cost: Free.

Huntington Beach Pier (California)

With a length of 560 meters, this beautiful Californian pier is one of the longest on the U.S. west coast.

During World War II it doubled as a submarine lookout post, with machine guns positioned at the end.

If you don't live nearby, you can check out the view from the pier at any Hollister store -- footage recorded by cameras at the end are shown on screens inside.

Length: 560 meters.

Opened: 1914.

Contains: A diner and shops.

Cost: Free.

Los Muertos Pier (Puerto Vallarta, Mexico)

This 328-meter-long pier was designed by architect José de Jesús Torres Vega and opened in 2013 as part of a scheme to regenerate Puerto Vallarta.

Construction costs totaled $2.4 million.

The pier is especially popular with couples; historically, Los Muertos is one of Puerto Vallarta's most romantic areas, despite the name's distinctly unromantic translation: Los Muertos means "the dead."

Length: 328 meters.

Opened: 2013.

Contains: A landing dock and sculpture.

Cost: Free.

Scheveningen Pier (Scheveningen, Holland)

Scheveningen pier stands out because of its unusual construction, which comprises four island-type sections and upper and lower areas.

The structure, the longest pier in the Netherlands, was built in 1959 and purchased by hotel firm Van der Valk Hotels for the symbolic price of one guilder ($0.50) in 2001.

Length: 382 meters.

Opened: 1959.

Contains: Restaurant, casino and a children's funhouse.

Cost: Free.

Brighton Pier (Brighton, UK)

Brighton's only remaining pier (the rest have burned down) has had starring roles in "Sweeney Todd: The Demon Barber of Fleet Street," the 1970s British TV series "The Persuaders" and Ralph Fiennes' drama "The End of the Affair."

An unusual fact? If Usain Bolt maintained his 200 meter sprint record for its entire length, it would take him 50.36 seconds to reach the end.

Length: 524 meters.

Opened: 1899.

Contains: A theme park, shopping arcades and amusement arcades.

Visitors per year: 4 million.

Cost: Free.

Busselton Jetty (Busselton, Australia)

This is the longest pier in the Southern Hemisphere.

A railway runs along its length and it's the only pier with an underwater observatory at the end.

Prior to the Commonwealth Games in 2006, the Queen's baton -- the Commonwealth equivalent of the Olympic torch -- was taken to the observatory and carried underwater by a diver.

Length: 1,841 meters.

Opened: 1865.

Contains: An observatory.

Cost: Free.

Tamara Hinson is a freelance travel writer based in the UK.

@highlight

As UK's Ryde Pier celebrates 200 years and New York's Pier A flirts with a reopening date, we list other great piers around the world

@highlight

At nearly 2 km, Busselton pier is the longest in the southern hemisphere and has a unique underwater observatory

@highlight

Clevedon Pier is the only fully intact, Grade 1 listed pier in the UK