(CNN) -- President Barack Obama announced that 300 companies -- including Apple, Wal-Mart and others -- have signed a pledge to help the long-term unemployed by making sure they don't have barriers in their hiring practices.

This is good news, but it won't solve the problem. The best we can hope for is that the companies now will make special efforts to seek out and employ those who have suffered long-term joblessness.

That's a nice start, but feel-good gestures won't cut it when there are almost 4 million Americans who have been out of work for more than six months. That's a big number. What's disconcerting is that the current long-term unemployment is more serious than in previous economic downturns. Data from previous business cycles show people suffering from long-run joblessness at worst accounted for about 20% to 25% of the unemployed. In recent months, that percentage has jumped to nearly 40% -- an all-time record!

Indeed, America is beginning to look like Europe. It used to be that long-term unemployment in the U.S. was only a fraction of Europe's, but the latest data from the Organization for Economic Cooperation and Development show that the United States has caught up to many of Europe's welfare states.

That's not a race we want to be part of, much less win.

So what's the solution?

There's no silver bullet, but economic growth is the single most important key. All forms of unemployment get worse when the economy is weak. But when the economy is booming, the job market gets better for everybody -- including those who have been unemployed for long periods.

Unfortunately, economic growth hasn't proven easy. The recession may have ended officially in the summer of 2009, but we're still suffering through a sluggish economic cycle. Recent improvements in the overall employment rate are in large part the result of people dropping out of the labor force, and the problem of long-run unemployment has barely budged.

To boost employment, we need the kind of strong growth America enjoyed during the Reagan and Clinton years, when millions of new jobs were created and the unemployment rate fell dramatically. To get there, we need a return to the types of free-market policies we got under Reagan and Clinton: a lower burden of government spending and less intervention from Washington.

Unfortunately, we've been moving in the exact opposite direction. Under both Presidents Bush and Obama, the size and scope of government has expanded, and the United States -- which had the world's third-most free-market economy when Bill Clinton left office -- has now dropped to 17th in the Economic Freedom of the World rankings.

We also need to make sure the unemployed don't get lured into long-term dependency. One glaring example of misguided big-government policy is the argument to endlessly extend unemployment benefits. That sounds compassionate, but according to economists such policies discourage the unemployed from aggressively seeking new jobs.

There is also persuasive evidence that employers are reluctant to hire people (regardless of any "pledges" they may sign) who have been out of work for lengthy periods, which makes the President's preferred approach of more unemployment benefits akin to an overprotective parent who hinders a child's development.

Moreover, Obama's proposed hike in the minimum wage would actually counteract any good his pledge would do. Why? Increasing the minimum wage is the equivalent of sawing off the bottom rungs on the economic ladder. Simply stated, businesses create jobs when they think a new employee will help the bottom line. Artificially raising the cost of workers -- particularly those with marginal skills -- is a recipe for creating more unemployment.

The president's effort to get companies on board with hiring the long-term unemployed should be applauded, but he shouldn't for one second think that it will solve the problem. In fact, too many of his other proposals would serve only to exacerbate the problem the long-term unemployed are facing. Instead, Obama should take a page out of the Reagan and Clinton presidencies and take action to get to the root of unemployment: economic growth.

The opinions expressed in this commentary are solely those of Daniel J. Mitchell.

@highlight

300 companies pledged to aid Obama initiative to help the long-term unemployed

@highlight

Daniel Mitchell: This is a nice gesture, but nearly 4 million Americans need jobs

@highlight

He says economic growth is key and free-market polices are what we need

@highlight

Mitchell: The unemployed should not get lured into long-term dependency