Kristian Kano dreams of a new house away from the sea that almost killed her and her family, when Typhoon Haiyan slammed into the eastern Philippines one year ago.

"We're afraid to stay here, but we don't have a choice," the 25-year-old mother said, as she looked out from their makeshift house near the shore in the coastal village of Anibong, Tacloban City, which was worst hit by Haiyan.

Kano said she and her 7-year-old daughter still have nightmares about the typhoon, referred to locally as Yolanda, which left thousands dead or missing, and millions homeless.

"When it rains, my daughter would hug me tight and cry," she said. "I try to be strong but I am also scared. I don't want to stay here, but I have to wait for the government because we can't afford to move on our own."

"The government said they have a plan for us. I just hope it will come soon."

'Danger zones'

Kano is among more than 70,000 residents living in coastal communities designated as danger zones by authorities in Tacloban City, a bustling regional hub of 220,000 people. So far, only 250 of the residents have been relocated to permanent resettlement sites.

Providing safe homes for survivors is a top priority for Tacloban City Mayor Alfred Romualdez, whose seaside mansion was among those destroyed by the tidal surges.

"We are in great need of transitional shelters," he said. "We don't have enough temporary homes, that's why we can't relocate those in the danger zones."

But the construction of new houses has been hobbled by a lack of funds, available land, building materials and even manpower. Bad weather has also slowed down work in some areas, Romualdez said.

The government initially ordered that areas 40 meters from the coast would be designated as no-build zones. But the restriction was modified to a no-dwelling zone after commercial establishments warned of the impact on industries such as tourism and fishing.

Maria Lagman, who heads the shelter cluster of Tacloban's recovery effort, said authorities were assessing the hazard risks of all 138 villages to come up with a building code tailored for the city.

"It's like going to war. I have a bulletproof vest and you don't have one, then I will be more secure," she said. "In a storm or whatever hazard, the building code will specifically say what kind of structures will be resilient in this place."

"The strategy is to lower the density of people in the high risk areas," she added. "Only those who have bulletproof vests, or houses that are sturdy, can stay in the firing line."

Livelihoods ruined

Haiyan survivors also worry about their livelihoods, especially since many of the identified resettlement sites would take them far away from their places of work.

Kano said she used to be a sales clerk at a warehouse near their house, but the store was forced to close after Haiyan, which triggered storm surges up to 10 meters high that ripped apart homes, commercial establishments and infrastructure.

In Anibong, eight cargo and passenger vessels slammed into houses, including Kano's.

She said her family, together with her nine siblings and parents, ran to the highest location nearby and stayed there until the water subsided.

"We ate anything we could to survive," she said. "I remember seeing these ships smashing into the houses."

Kano's husband, who used to be a cargo handler at the pier, now works in one of the ships that ran aground in Anibong.

He earns 250 pesos (nearly $6) a day to help refloat the vessel that the new owner hopes to sail again. Other ships have been chopped up and sold as junk.

Praying to endure

The measly salary is not enough even for their small family, Kano said.

"We have to buy everything here, from water for cooking and drinking, even water for taking a bath and washing clothes and wood for cooking," she said.

"We have to make do with what my husband earns daily, but my worry is what happens when the ship is gone and there is no more work."

Kano would love to work again, but she doesn't have extra money to go out and prepare the usual requirements for employment.

"I just pray to God that he gives us the strength to endure," she said. "We survived Yolanda. We will survive this hardship."

@highlight

More than 70,000 live in coastal areas designated as danger zones in the Philippines

@highlight

These areas were ravaged when Typhoon Haiyan struck a year ago, killing thousands

@highlight

Only 250 residents have been relocated to permanent resettlement sites

@highlight

The typhoon wiped out industries, making life a struggle for many survivors