LONDON, England (CNN) -- In a world where third spaces -- the places where we spend time away from work and home -- are increasingly privately owned, how can we make our public spaces outstanding?

Seattle's Rem Koolhaas-designed Central Library, seen from the corner of Madison Street and Fourth Avenue

Those looking for inspiration might turn to Seattle, whose citizens voted to spend nearly $200 million to create or revamp 27 public libraries, including rebuilding its landmark Central Library.

City librarian Deborah L. Jacobs spearheaded the library program. "Seattle is a city of readers, but our library buildings were getting tired," she told CNN. "They were not working, not big enough, not functional for the change in the way information is being delivered."

Following her appointment in 1997, Jacobs focused on convincing people that investment on a massive scale was needed. She took her proposal to the city's constituents. "We talked to them honestly, night after night, lunch after lunch, and they voted overwhelmingly to support it," she explained.

On November 3 1998, Seattle voted to spend $196 million of public money on library buildings, which, coupled with private donations, gave Jacobs the budget she needed. Jacobs and her team are now approaching the end of a project that has created or revitalized 27 libraries across the city. "By the end of this year, we'll have spent $280 million on new libraries in Seattle," she told CNN.

The jewel in the crown of Jacobs's project is the Rem Koolhaas-designed Central Library. At 362,000 square feet plus parking, and with 11 floors -- nine of them public -- it's a shining testament to the success of the city's campaign.

Glittering spaceport

The Central Library now rises like a glittering spaceport from Madison, Fourth and Fifth Avenues. Inside, the light and airy space is punctuated with bright flashes of color, from its acid-yellow escalators to its pop-art-pink children's center. Its industrial check in/out desks and rows of stainless steel shelves create an ambience that's more high-tech art cafe than stuffy reading room, while light floods in through the glass-and-steel structure, illuminating its users.  See photos of Seattle Central Library »

But it's not just racy looks. The library has been designed as a fully-functional, hard-working public space. It now holds over a million books and the backbone of the collection is its innovative "Book Spiral" that displays the entire non-fiction collection in a continuous run, with separate areas for fiction, children's books and a teen section.

The library also caters to its users' digital information needs. Jacobs said, "We had 32 public computers in the old central library. Now we have 300."

And the building is equipped to act as a community hub, too. Jacobs continued, "We're able to offer space for meetings and programming, space for collections, community gathering spaces and a coffee stand where people can come and meet informally." The library now hosts workshops, talks and events on everything from Harry Potter to henna painting.

"It's really designed to be flexible but still have a sense of awe," she added. "It's simply, absolutely, perfectly lovely."

Sustainable from the start

The city stipulated that the new Central Library had to have tangible sustainable elements. Jacobs said, "When we hired the architect, we were very clear that we wanted to incorporate things that would make a difference right now. We wanted to be sustainable right from the start." So the building, which holds a silver LEED rating, used local and recycled materials where possible in its construction. To reduce its energy consumption, it maximizes daylight and uses automated lighting controls, while the wire mesh in the structure's glass helps conduct heat out of the building, decreasing the need for air conditioning.

When Central Library first opened its doors, 28,000 of Seattle's residents were lined up outside to admire their new temple to information. "More people than ever are using it," said Jacobs. The library now has double the daily visitors of the old library.

"Not about the retail"

At a time when we're spending more time at the mall, Jacobs says one of the library's greatest benefits to the community is its role as a non-commercial public space. "You can be here without having to spend money," she told CNN. "It's not about the retail."

And that's echoed by users of the library, many of whom are near-evangelical about its appeal. Alex Steffen, a Seattle resident and founder of green Web site Worldchanging.com, told CNN, "I'm very impressed by the library here and the way that people have really taken it on as something of their own."

"They go to events there, hang out, talk and have coffee. It has seemed to work as one of the centers of community life here in Seattle."

In the future, Deborah L. Jacobs hopes that use of Seattle's libraries will grow. "I'd like to see people continue to gain a cultural, educational or personal joy," she said. "I'd like to see the hundreds of thousands of children who use our library enter school more ready to learn; I'd like to see people who are afraid of computers learn how to use them. I'd just like to take everything we're doing and do it even better."

And she offers this advice to anyone inspired to start a similar campaign: "Really make sure that you know what your vision is. Engage people including the staff and the public, and be very clear with your architects. And remember that you have the moral superiority of client, whether you're doing your kitchen or a public building."

............................

Should public money be used to create eyecatching public spaces? Do you hang out at the library or the mall? Share your stories and read what others have to say in the forum. E-mail to a friend

@highlight

Seattle's "city of readers" voted for $280m library program

@highlight

City's Rem Koolhaas-designed Central Library draws 8,000 visitors a day

@highlight

Building incorporates cutting-edge design, sustainability

@highlight

By early 2008, Seattle will have 27 new or improved libraries