Atlanta (CNN) -- Federal health officials say 14 people in six states have been sickened by the same strain of E. coli over the past couple of months.

According to Centers for Disease Control and Prevention spokeswoman Lola Russell, 14 cases of Shiga toxin-producing Escherichia coli 0145 infection with the same DNA fingerprint have been identified in six states.

"Their illness onsets range from April 15 to May 12," she said, adding that the most recent case was reported June 4. "Three ill persons have been hospitalized. One death has been reported in Louisiana."

Cases have been reported in Alabama (2), California (1), Florida (1), Georgia (5), Louisiana (4) and Tennessee (1), according to the CDC.

Louisiana health officials would confirm only that one child died and three adults were sickened in the New Orleans area. CNN affiliate WWL reported that the child was 21-month-old Maelan Elizabeth Graffagnini, who fought the infection for weeks at a local hospital.

Feds speed up E. coli investigation procedures

Georgia is reporting five cases, the most in one state.

"Four of five are female, and their ages range from 18 to 52, with a median of 34. Illness onsets range from (April 15-28); one case was hospitalized overnight for this illness, and no cases have died," said Suleima Salgado, deputy director of communications for the Georgia Department of Public Health.

The cases in Georgia have been mild, according to Dr. J. Patrick O'Neal, who heads the Division of Health Protection within the Georgia Department of Public Health.

He said Thursday, "I don't think there's need for great concern. I think awareness, yes, concern, no. We have outbreaks of various diarrheal diseases quite frequently."

Neither of the Alabamans was hospitalized; both have recovered, the state's Department of Public Health said in a news release.

According to the CDC, the most common strain is E. coli O157. The strain in this outbreak is 0145. "As whole, the non-O157 serogroup is less likely to cause severe illness than E. coli O157," it said. "However, some non-O157 (Shiga toxin-producing Escherichia coli) serogroups can cause the most severe manifestations of STEC illness."

Russell said many clinical laboratories do not regularly test for this particular strain of E. coli. However, the O145 strain is one of six additional strains for which the U.S. Department of Agriculture's Food Safety and Inspection Services has begun testing for in ground beef.

The cause of the outbreak is unknown, and the investigation is ongoing on the federal and local levels. Infectious disease investigators will interview the victims to determine what exposures they have in common.

The CDC says it's looking at both food and non-food exposures as a source of the outbreak. However, Louisiana health officials say they suspect that food may be to blame, according to a statement from the state's Department of Health and Hospitals.

"People usually get sick from STEC 2-8 days (average of 3-4 days) after swallowing the organism," Russell said in a statement. She added that most people infected with the 0145 strain develop diarrhea (usually watery and often bloody) and abdominal cramps. "Most illnesses resolve on their own within seven days, but sometimes the symptoms can last longer and can be more severe."

So investigators are dependent on people accurately remembering what they ate or came into contact with before they got sick.

Food such as meat and poultry but also fruit and vegetables is often the source of E. coli infections. However, unpasteurized or raw milk, water that has not been disinfected, contact with cattle or contact with the feces of infected people are other sources of infections.

Young children, pregnant women, the elderly and people who have weakened immune systems (like cancer or HIV patients) are at greater risk for severe illness and death.

The best way to avoid getting sick is by washing hands frequently when preparing food as well as avoiding cross-contamination of food preparation areas by washing cutting boards, counters and utensils with hot, soapy water.

Properly washing hands after using the bathroom and after coming into contact with animals or being in their environments -- anywhere there may be traces of feces, where the bacteria could be lurking -- also helps.

Cooking meats thoroughly to at least 160Â°F or 70ËšC kills the bacteria and prevents infection as well. Using a meat thermometer will most accurately help you determine that the food is thoroughly cooked.

CNN's Joe Sutton contributed to this report.

@highlight

Local media report Louisiana toddler is only fatality

@highlight

Georgia has five cases, the most in one state

@highlight

Cause is unknown, but local and federal officials are investigating