LONDON, England (CNN) -- For the 2.5 million people who have fled the four-year conflict in war-torn Darfur, refugee camps in eastern Chad hold the promise of a safe haven.

Women and girls have to make perilous journeys outside their refugee camps to find firewood

But, once there, it's the women refugees' role to find wood and water. To do this, they have to leave the camps and walk for many miles, putting their very lives at risk.

Now, a small nonprofit organization is cutting the dangers faced by these women, by helping them to move away from firewood and cook using cardboard, tinfoil and the power of the sun.

And as well as saving lives, they're offering refugees hope, independence and economic opportunity.

A month's wood supply "lasts five days"

The World Food Program gives Darfur refugees a maize/soy mixture, beans, lentils, salt, oil and firewood. But a month's wood ration only lasts five days, so to cook this food, women are forced to forage for fuel -- and that's a dangerous business. When they leave the relative safety of the camps, they are vulnerable to beatings, rape and murder at the hands of roving Janjaweed patrols and local villagers, with whom they compete for scanty resources.

When Californian nonprofit Jewish World Watch heard about the dangers these Darfur refugees face, they were determined to act.

Their co-founder and president, Janice Kamenir-Reznik, told CNN, "These women have survived onslaughts on their villages and hundreds of miles of walking to get to a camp. That they should be vulnerable there seemed terrible."

Jewish World Watch saw that if they could cut the number of trips that women had to make outside the camps, they should see a concomitant fall in violent attacks. Solar cooking seemed the solution.

Without forces of their own on the ground, the charity decided to fund a partner to run a trial. But when they approached the large relief organizations, they received a lukewarm response: the cultural and educational challenges involved in solar cooking were felt to be insurmountable.

Kamenir-Reznik and her colleagues were certain solar cooking would work in the camps, and they persisted.

"If you protected your daughter from having to walk 20 miles to find wood and give her body to violence in the process, wouldn't you think that's worth it?" she told CNN. "What do people think, that these people don't care about their daughters as much as you and I care about ours? They do what they have to for survival, but that doesn't mean they like it."

Eventually, Jewish World Watch were put in touch with KoZon, a small Dutch nonprofit who were carrying out a pilot in Iridimi camp, home to 17,000 refugees. In May 2006, the Iridimi project launched.

"It can't be hot: there has been no fire."

At project manager Derk Rijks's first demonstration in Iridimi, Rijks's 40-strong female audience was skeptical. He set up the cooker, then waited until the food was ready.

"I took the oldest, most respected mama I could find in the group," he recalls. "I said, 'Mama, will you open the bag and take the pot out?' I offered her my handkerchief and said, 'Take this, because the pot will be hot.' She looked at me and said, 'No, it can't be hot: there has been no fire.' I said, 'Mama, I warn you, it is very hot. You will burn yourself.' She said, 'It can't be hot.' She opened the bag, put her hand on the pot and jumped back two meters. Then she looked at me and said, 'I have two hands! I want two handkerchiefs!'"

The women were incredulous that solar cooking had worked. Rijks offered to teach them how to cook their food using solar the following day, but he still had to promise them his rations as a guarantee in case it didn't work. It did. The women in Iridimi camp have now embraced solar cooking wholeheartedly, even converting their menfolk, who were skeptical initially because the food tasted different.

Cardboard and tinfoil

Rijks's team ships in the cardboard and aluminum foil that makes the cookers. The refugees use Arabic gum as a glue, which they buy in Chad -- and that's all they need.

And he is keen that the refugees own and run the project independently. "Our only jobs are to show it once or twice, train the auxiliary trainers and train the artisans. It is now their project," he said.

The climate in Chad allows the women in Iridimi camp to cook on solar for about 330 days per year. They still have to use wood stoves in the mornings, but lunch is cooked using solar, as is the evening meal, which is kept warm in insulated baskets until it's needed.

Over 18 months, all women in the Iridimi camp over the age of 15 have been trained and 10,000 cookers have been distributed. And when the women at nearby Touloum camp heard about the solar cookers at Iridimi, they asked if the project could be extended. That's happening shortly: Rijks estimates that the women in Touloum will be cooking with solar within a year and a half.

Eventually, Jewish World Watch hopes to extend the project to a third camp, as well as funding the ongoing projects at Iridimi and Touloum -- the cookers have to be replaced every few months.

Trips to find firewood "cut by three quarters"

Rijks reports that the number of trips women make to find firewood has fallen by about three quarters.

But that's not the only advantage. Now that the women don't have to sit by smoky fires constantly stirring their food, they are healthier and have more free time to develop cottage industries, like vegetable gardening and craftwork.

The gardens are irrigated using recycled water from the showers. Some women weave insulation baskets; others make protective bags to carry the cookers. Rijks has recently struck a deal with the trucks and the Air France planes that bring supplies to the camp to take back the women's handicrafts for sale in the West.

What will the future hold for these refugees? The message from the women at Iridimi is of hope, one day. "They all say, 'When we go back home, we'll teach this to all the women in our village and they will all do solar cooking,'" Rijks told CNN. "They're convinced they're going home."

Rijks himself is less sure. "I know it won't be immediate but I hope that the refugees can go back in a few years," he said. "It will be an immeasurable shame on the West if we couldn't arrange that."

A catalyst for the future

As for solar cooking, Janice Kamenir-Reznik hopes that the success of their project will inspire others.

"I would hope that our little project was a catalyst for the UN High Commission for Refugees to wean the relief organizations off wood and onto solar cooking," she said. "That's our ultimate dream."

"The larger organizations tend to see things a little bit more rigidly: find a solution to cook today's dinner," she continued. "But the problem's not an instant one to solve. You don't just keep providing the firewood for today's dinner. You build for the future."

And back in Iridimi camp, the ray of hope that solar cooking is bringing to some of the world's most destitute people -- along with personal safety, improved health and entrepreneurial opportunity -- will continue to shine.

..............................

Is slow-cooking with solar power the way forward? Do you think the United Nations should switch to solar cooking? Share your thoughts and read others' views in the Just Imagine forum.

..............................

For more information on the solar cooker project or to make a donation, visit Jewish World Watch's Web site. Images courtesy of Barbara Grover. E-mail to a friend

@highlight

Violence in Darfur has left more than 200,000 dead and 2.5 million displaced

@highlight

Solar cookers in refugee camp reduce the need for firewood by up to 75 percent

@highlight

Fewer trips outside leaves women less prone to beatings, rape and murder

@highlight

Accompanying cottage industries provide entrepreneurial opportunity