With more planes searching than ever before, Australian Prime Minister Tony Abbott on Sunday expressed optimism the mystery of Malaysia Airlines Flight 370 will be solved.

"We have now had a number of very credible leads, and there is increasing hope -- no more than hope, no more than hope -- that we might be on the road to discovering what did happen to this ill-fated aircraft," Abbott said.

He spoke at a press conference about objects that have been spotted by satellites about 2,400 kilometers (1,500 miles) off Perth.

In one of the great aviation mysteries in history, the airliner carrying 239 people disappeared March 8 after it took off from Kuala Lumpur on a flight to Beijing, CHina.

Malaysian investigators believe it was deliberately diverted by someone on board.

"Obviously, the more aircraft we have, the more ships we have, the more confident we are of recovering whatever material is down there," Abbott said. "And obviously before we can be too specific about what it might be, we do actually need to recover some of this material."

The international search for the missing aircraft resumed early Sunday near Perth, with a U.S. Navy P-8 Poseidon rejoining the effort, according to a naval spokesman.

Eight planes will search over the Indian Ocean on Sunday, compared to six planes on Saturday, said Andrea Hayward-Maher, spokeswoman for the Australian Maritime Safety Authority. She said that would be the most planes yet.

Planes from the United States, New Zealand, Australia and China will be flying. Three planes, two civilian aircraft  and the P-8, were airborne by 7 a.m. Perth time (7 p.m. ET).

New Chinese satellite images "will be taken into consideration" in the search,  Hayward-Maher said.

The P-8 Posideon, grounded for two days to give its crew rest, will likely refocus on an area highlighted in Chinese satellite images of a large object floating in the area. Australian-led search teams in the southern Indian Ocean found no sign of it Saturday.

The intense air and sea search -- which will now employ NASA satellites -- entered its third week with no new clues to give families answers about the fate of the passengers and crew.

The object the Chinese photographed is 22.5 meters long and 13 meters wide (74 feet by 43 feet), officials said.

China said the satellite images showing the "suspected floating object" were captured on March 18.

As a result of the recently reported satellite sighting approximately 1,500 miles off the coast of Perth, plans are underway to acquire imagery within the next few days, NASA said Saturday.

The space agency said it will check archives of satellite data and use space-based assets such as the Earth-Observing-1 (EO-1) satellite and the ISERV camera on the International Space Station to acquire images of possible crash sites. The resolution of these images could be used to identify objects of about 98 feet (30 meters) or larger.

The Australian Maritime Safety Authority said searchers will take the Chinese information into consideration as they design their search for Sunday.

The floating object was about 77 miles from where earlier satellite images spotted floating debris.

At least six search flights were involved Saturday, including two private jets. Though the two civilian jets did not have radar, their role was crucial, authorities said.

"It is more likely that a pair of eyes are going to identify something floating in the ocean," Australian Deputy Prime Minister Warren Truss said.

Indeed, during Saturday's search it was a civil aircraft that reported sighting some small objects floating with the naked eye, including a wooden pallet, AMSA said. These objects were within a radius of 5 kilometers (3 miles).

A Royal New Zealand Air Force P-3 Orion was dispatched to the area, but only reported seeing clumps of seaweed, AMSA said.

On Saturday, the Norwegian merchant ship Hoegh St. Petersburg was released from taking part in the search, according to AMSA. Australian officials thanked the ship's crew for its "valuable assistance and efforts," AMSA said via Twitter.

Malaysia Airlines Flight 370 vanished on March 8 with 239 people aboard destined for Beijing from Kuala Lumpur.

The stated goal of the Malaysian authorities is to narrow the search area, a task that is proving difficult.

Intensified, expanded search

The search area expanded sizably on Saturday compared to the previous day, thanks in part to the capabilities of the civil jets.

"Operations continue, and today they plan to search an area of approximately 10,500 square nautical miles," Hishammuddin said Saturday.

In addition to two Chinese planes that arrived in Australia,  Beijing is sending two more ships to join five already in the southern corridor.

"Two Indian aircraft, a P-8 Poseidon and a C-130 Hercules, arrived in Malaysia last night to assist with the search," he said.

Seven countries -- China, India, Pakistan, Myanmar, Laos, Kyrgyzstan and Kazakhstan -- informed investigators that based on preliminary information, their nations had no radar sightings of missing jetliner.

Clues, but no proof

An exhaustive search covering 2.97 million square miles --  nearly the size of the continental United States -- has yielded some clues, but no proof of where the Boeing 777 is or what happened to it.

One of the most notable leads revolved around two large objects detected by satellite a week ago floating on waters over 1,400 miles off Australia's west coast.

"The fact that it's six days ago that this imagery was captured does mean that clearly what objects were there, are likely to have moved a significant different distance as a result of currents and winds," Truss said.

"It's also possible that they've just drifted to the bottom of the ocean bed, and the ocean in this area is between 3 and 5 kilometers deep. So it's a very, very deep part of the ocean, very remote. And all that makes it particularly difficult."

Debris is a common sight in the waters in that part of the ocean, he said, and includes containers that fall off ships.

Australian Prime Minister Tony Abbott on Friday defended the decision to announce the find, saying Australia owes it to families of those missing "to give them information as soon as it's to hand."

But he didn't make any promises.

"It could just be a container that has fallen off a ship," Abbott said during a visit to Papua New Guinea. "We just don't know."

Malaysia's interim transportation minister tried to reset expectations for a quick resolution to the mystery after the satellite discovery.

"This is going to be a long haul," Hishammuddin Hussein said.

Search intensifies

U.S. Defense Secretary Chuck Hagel ordered the Navy and policy experts to look at the availability and usefulness of U.S. military undersea technology to try to find the plane's wreckage and its data recorders, a U.S. military official said.

The United States has spent $2.5 million so far on the entire effort, Pentagon spokesman Col. Steven Warren said Friday.

First lady Michelle Obama, while on a trip to Beijing, said the United States is keeping the families of the missing passengers in its thoughts.

"As my husband has said, (the) United States (is) offering as many resources as possible to assist in the search," she said.

Global search

Countries from central Asia to Australia are also engaged in the search along an arc drawn by authorities based on satellite pings received from the plane hours after it vanished. One arc tracks the southern Indian Ocean zone that's the focus of current attention.

"We intend to continue the search until we are absolutely satisfied that further searching would be futile, and that day is not in sight," the deputy prime minister said. "We will continue the effort, we'll continue to liaise with our international allies in this search."

The other tracks over parts of Cambodia, Laos, China and into Kazakhstan.

Malaysian authorities were awaiting permission from Kazakhstan's government to use the country as a staging area for the northern corridor search, Hishammuddin said.

Malaysia Airlines CEO Ahmad Jauhari  Yahya  told reporters Saturday that a transcript obtained by The Telegraph newspaper is "inaccurate," but did not provide additional details.

The Telegraph reported Friday it had a transcript documenting 54 minutes of back-and-forth between the cockpit and ground control from taxiing in Kuala Lumpur to the final message of "All right, good night."

Unexplained element

The alleged transcript reported by The Telegraph contains seemingly routine conversations about which runway to use and what altitude to fly at.

One unexplained element, according to the British newspaper, is a call, in which someone in the cockpit stated that the aircraft was at a cruising altitude of 35,000 feet -- something that had been done just six minutes earlier. Twelve minutes after that comes the "good night" message, at around the time Flight 370 was being transferred to Vietnam's control.

Another wrinkle:  Malaysia Airlines chief executive officer Ahmad Jauhari  Yahya said the plane was carrying a cargo of lithium-ion batteries, although he didn't specify the volume of the shipment.

Lithium-ion batteries are commonly used in laptops and cell phones, and have been known to explode, although that occurs rarely.

They were implicated in the fatal crash of a UPS cargo plane in Dubai in 2010, and lithium-ion batteries used to power components on Boeing 787s were blamed for fires in those planes.

There's no evidence the batteries played a role in the plane's disappearance, and Ahmad said they are routine cargo aboard aircraft.

"They are not declared dangerous goods" he said, adding that they were "some small batteries, not big batteries."

Malaysian authorities say they believe the missing plane was deliberately flown off course on its scheduled flight from Kuala Lumpur to Beijing.

@highlight

Unprecedented international search resumes

@highlight

U.S. Navy P-8 Poseidon part of effort

@highlight

Australian prime minister has "increasing hope" about learning what occurred

@highlight

Searchers on Saturday did not find floating object