Washington (CNN)Marion Barry was dead, but Ward 8 came to party.

Official Washington was across town last Friday, debating federal immigration laws and hashing out details of an enormous spending package that would keep the government funded through next year. But a few miles away from the Capitol, southeast Washington had a different agenda.

Adults and school children alike were streaming into the chilly and rain-slicked streets of Washington's Anacostia neighborhood, the beating heart of Barry's African-American political base for almost 50 years, to pay their final respects to the man fondly dubbed "Mayor For Life."

A funeral procession that began solemnly in the morning at the city council building in downtown D.C. blossomed into a block-party-in-motion as the hearse carrying Barry's body made a slow roll through his neighborhood, past his white clapboard home and en route to a memorial service at his local church.

Barry's family members and friends honked their car horns incessantly at the crowd and the cameras. Onlookers waved and cried. Then they boogied in the streets as the marching band from Ballou High School announced themselves with a crisp drumbeat. Neighborhood entrepreneurs hawked hats and t-shirts emblazoned with Barry's portrait and the "Mayor For Life" slogan for $10 a pop.

And then there were the stories. Everyone in Ward 8 had a tale about Barry — how he helped a neighbor land his first job, how he secured clothing and food for a family in need. And, of course, how he liked to have good time -- even when he couldn't actually have a good time.

"The last time I saw Marion Barry was at my birthday party," recalled one mourner, Mary Cuthbert. "That was Nov. 14. He could not dance, so all the woman stood up and danced in front of him. We had a ball."

Margaret Tinker Lee, clutching a framed vintage photograph of herself and a heavier-set Barry, remembered the time she and some friends traveled to Las Vegas for the 1987 middleweight title bout between Sugar Ray Leonard and "Marvelous" Marvin Hagler.

"A bunch of us Washingtonians went," she said. "Late in the morning, I am walking across the strip. I see Marion Barry. And I'm like, 'Hey Marion Barry! Hey, D.C. Mayor! Marion Barry!' He says, 'Hey! Don't nobody up here know I'm mayor! You're blowing my cover!"

To many in white Washington, Barry was a scoundrel, a womanizer and a crook who enriched his friends and cronies with contracts and jobs, corrupted the police department, and allowed the drug-ridden city to earn an ugly reputation in the 80s and early 90s as "the murder capital." His critics could barely contain their glee when Barry was busted smoking crack cocaine in 1990 with his then-girlfriend in an FBI-led sting operation at the Vista Hotel.

"B-tch set me up!," Barry exclaimed over and over again during his infamous on-camera arrest. The girlfriend, Rasheeda Moore, was an FBI informant.

The scandal brought an end to a remarkable political run that began in the 1960s. Barry, a young civil rights leader, arrived in Washington from Tennessee, where he worked for the Student Nonviolent Coordinating Committee and helped organize Nashville's lunch counter sit-in movement — all while earning a master's degree in organic chemistry on the side. Once in the District, Barry dove into grassroots politics, launching a popular jobs program for African-American teenagers that many black Washingtonians remember fondly even today.

A gifted speaker with an infectious personality, Barry left his civil rights activism behind and became a political creature in full. He "worked to make friends of his enemies, a trait that would become a trademark," Harry Jaffe and Tom Sherwood wrote in their book "Dream City," the definitive chronicle of Barry's political career and the mark it left on Washington.

After D.C. established "home rule" and the right to elect its own leaders in 1973, Barry rode his popularity in the black community to a spot on the City Council. And four years later in 1978, with early (and now forgotten) support from white voters, he was elected mayor. Flamboyant, resilient and always nurturing his African-American base, Barry was re-elected two more times before the crack bust heard around the world.

Much to the frustration of white Washington, Barry launched a stunning comeback after serving time in a federal prison, and won a fourth term as Mayor in 1994. He declined to run one more time, instead securing a place on the City Council until his death last month.

Barry's loss last month was felt deeply by black Washingtonians, who celebrated his life with three days of events culminating in a massive memorial service downtown last weekend.

For all his flaws, Barry was a civil rights leader from the era of Martin Luther King who gave voice to a populace that lived, often forgotten and impoverished, in the shadow of the monuments and federal buildings that so many tourists flock to every year.

"What a lot of people don't realize was how many thousands of people in this city loved Marion Barry," said outgoing Washington mayor Vincent Gray. "He was always trying to work on behalf of the people, especially those who were in difficult circumstances or were disadvantaged. He was a fighter and people will always remember it."

Barry's death can be mourned another way.

The Washington of 2014 looks far different than it did during Barry's political heyday. It's whiter and wealthier — and yes, safer — than it was during Barry's time in office, when the "Chocolate City" was about 70% African-American. Today, that number is around 50% and falling.

For all the bike-lines and locally-sourced restaurants and Stumptown coffee proliferating in "cool" Washington today, the city had something of a Wild West quality in the Seventies and Eighties that now feels mournfully distant.

Barry came to power when some long forgotten but legitimately crazy stuff was happening in Washington.

There was the 1976 car bombing of a Chilean dissident on Massachusetts Avenue — his was killed by Pinochet's secret police near Dupont Circle. The next year, a dozen Hanafi Muslim terrorists stormed three Washington buildings in 1977, including the D.C. city council office, taking 149 hostages, killing a radio reporter and shooting Barry in the chest. An ex-con radio disc jokey named Petey Greene ruled the radio airwaves. Georgetown went to the Final 4. And yes, the Redskins were good.

That era grows more unimaginable by the day — and Barry was the final thread binding us to it.

@highlight

Marion Barry's neighborhood paid final respects to the former D.C. mayor

@highlight

Current D.C. mayor:  'Many thousands of people in this city loved Marion Barry'