Washington (CNN) -- Domestic dispute or terror thriller? Carol Anne Laletta Bond's story cannot be both, and now it may be left to the Supreme Court to sort out the dramatic and often confounding facts of this convicted federal felon's appeal. Put simply, we'll call it "The Case of the Poisoned Paramour."

At issue is whether Congress may criminalize conduct -- under its treaty ratification power -- that is properly the domain of the states. Bond was given a longer prison sentence in the federal system after being convicted of violating an international agreement on the use of chemical weapons.

Oral arguments in the case will be heard by the justices Tuesday morning.

This case of toxic love has soap-opera elements, but Bond's lawyers argued she was being treated like an international terrorist or a rogue state engaged in chemical warfare instead of someone caught up on the wrong end of a love triangle. They say she should have been tried in the state system, where Bond may have faced a simple assault charge and just a year behind bars.

The implications go far beyond this case, and could establish important precedents on the strength and purpose of the Constitution's 10th Amendment, which limits federal authority. It is also an issue roiling the current political debate, especially among tea party conservatives in this post-9/11, security-conscious environment.

The appeal barely made a ripple in local media and had been all but ignored until the high court first heard the issue two years ago. Now the sequel promises to answer larger questions of the limits on Washington's power.

Bond, a native of Barbados, lived outside Philadelphia and worked as a microbiologist. As a federal appeals court succinctly summarized the relevant facts in the case: "Bond was excited when her closest friend, Myrlinda Haynes, announced she was pregnant. Bond's excitement turned to rage when she learned that her husband, Clifford Bond, was the child's father. She vowed revenge."

The woman -- known to her family as Betty -- struck back by putting her science training to ill use. The 42-year-old stole a dangerous chemical -- arsenic-based 10-chloro-10H-phenoxarsine, to be exact -- from her company, and obtained potassium dichromate over the Internet. Both substances in heavy doses can cause toxic, even lethal harm with very little physical contact. She then tried to poison Haynes some two dozen times over several months, secretly sprinkling the chemicals on an apartment doorknob, car door handles, and a mailbox.

While she suffered no more than a chemical burn on her thumb, Haynes noticed something was amiss -- one of the chemicals is a bright orange powder -- and called local police in Lansdale, Pennsylvania, who merely suggested she wipe her car and doors regularly. Unhappy with that response, Haynes contacted her local mail carrier, and federal postal inspectors quickly jumped into the mystery. Surveillance cameras were set up and sure enough, Bond was videotaped stealing mail and placing chemicals inside the mailbox and car muffler, court records show. She was soon arrested.

Professor accused of poisoning wife

Her lawyer said Bond admitted her guilt early on in what they considered a case of a woman emotionally traumatized by the betrayal of two people once very close to her.

"I didn't think that the federal government had any role to be in this case and I tried to convince them not to bring the case or just dismiss the charges," Robert Goldman, Bond's defense attorney, told CNN. "And I promised them in writing that we would go over to county court and plead and let her do her jail time in county court. I tried to convince them that by misapplying the law they could jeopardize the statute even surviving the case. But they decided to go ahead and bring these charges."

Bond claimed she never meant to kill Haynes, but only wanted to cause her "an uncomfortable rash." The defendant also said her friend's betrayal caused an "emotional breakdown" that made her act in such a shocking fashion.

"The statute itself is so broad as ... to be meaningless," Goldman said. "It prohibits the use of any chemical weapon. And what's a chemical weapon? It's any object, any item that has toxic chemicals. If in the case of an angry spouse throwing a can of Ajax" -- a bleach-based cleaner -- "at his wife, or vice versa, that would be considered to be use of a chemical weapon and the terrorism statute would apply. I can't imagine that the people that were involved in the treaty would anticipate such a broad application."

When a judge denied her motions to transfer the case to state court, Bond pleaded guilty and immediately appealed. She received a sentence of six years behind bars and nearly $12,000 in fines and restitution.

An appeals court ultimately rejected her claims, citing a 1920 Supreme Court precedent giving Congress the power to enact treaties, even if it steps outside its traditional constitutional authority by usurping state laws. Before she could take the challenge to the U.S. Supreme Court, she needed a ruling that she had "standing," or authority, to press her larger constitutional claims. The high court recognized that standing In a unanimous 2011 decision. She now gets her second date before the court and perhaps a final resolution.

The Obama administration still believes Bond's federal conviction was valid.

"The Constitution does not prohibit federal prosecution in an area of overlapping federal and state authority," the Justice Department said in its brief to the high court, rejecting Bond's assertion the treaty makes an exception for chemicals used for "peaceful" purposes that are not "warlike" in nature. "No reasonable construction of that phrase would cover petitioner's conduct. Petitioner's deployment of highly toxic chemicals with the intent of harming Haynes can hardly be characterized as 'peaceful' under that word's commonly understood meaning."

The government says federal law broadly prohibits a person from knowingly using a chemical weapon in a way that can "cause death, temporary incapacitation, or permanent harm" to another person -- exactly what Bond did here.

Did Utah doctor kill his wife?

Some see hope the right-leaning majority on the bench might use the opportunity to delve further into Act 2 of this legal drama -- the scope of the 10th Amendment, which states, "The powers not delegated to the United States by the Constitution, nor prohibited by it to the states, are reserved to the states respectively, or to the people."

In the broader political context, conservatives, along with a healthy mix of liberals and libertarians, worry that the federal government and Congress have been overly aggressive in staking claims to disputes they believe are best left to states, especially in the criminal arena.

Many scholars and activists argue that some federal prosecutions are novel and the penalties are often more harsh, creating conflict and confusion with local efforts to ensure public safety. They see Bond as an unexpected hero in that fight to return "the power back to the people."

"There's a concern that a number of people have, really across the political spectrum, that we have over-federalized crime, that it is too easy for Congress to pass a new law," said Paul Clement, Bond's appellate attorney who was U.S. solicitor general under President George W. Bush. "There is some outrage in America when politicians pass a law to create a new federal offense, without people stopping and thinking whether that's something that local law enforcement can deal with."

And it is not just felonies. Areas like gun ownership, zoning laws, environmental regulation, taxation, health care, and education standards all could be re-examined in the wake of a high court decision.

"You now have a road map -- if you find the limitations on the federal government's authority irksome, any president has a simple path to get around it. Find any nation in the world, negotiate a treaty agreeing to do what you couldn't do otherwise, and if the Senate ratifies it ... then suddenly the federal government has authority it didn't have before," said Sen. Ted Cruz, R-Texas, last week. "The proposition that the Treaty Clause is a trump card that defeats all of the remaining structural limitations on the federal government is not a proposition that is logically defensible."

As for Bond, the current legal fight will not provide her much practical benefit. She was released from a federal prison in West Virginia 14 months ago, so a second high court victory may only be symbolic.

She has not talked publicly about her case, but her trial lawyer says the husband is supporting Bond in the appeals. When last we checked, the couple was trying to overcome his infidelity and had been working to rebuild their shaky marriage. She had allowed him to visit her while she was incarcerated.

The case is Bond v. U.S. (12-158). A ruling is expected by the spring.

@highlight

Carol Anne Laletta Bond is challenging her conviction on a federal chemical weapon charge

@highlight

She used poisons to try to get back at a woman who had an affair with Bond's husband

@highlight

Attorney: "I didn't think that the federal government had any role to be in this case"

@highlight

Justice Department says Bond's action falls under an international chemical weapon treaty