(CNN)You would be pressed to find a designer who appealed to the imagination as much as Alexander McQueen.

A favorite with A-listers and fashion editors alike, he was renowned for his Gothic sensibilities, innovative textiles (think shells, horns and hair) and highly conceptual runway shows, as well as his bad boy antics behind the scenes. (Along with the usual drinks, drugs and parties, he once claimed to have stitched profanities into the lining of a jacket for Prince Charles.)

Five years after his death, interest in the designer hasn't waned, least of all in his home town of London, where, starting this month, he's being commemorated with an extensive, expensive retrospective at the Victoria and Albert Museum.

Alexander McQueen: Savage Beauty, a re-staging of the 2011 exhibition at New York's Metropolitan Museum of Art, summarizes and contextualizes McQueen's 18-year career through an elaborate display of 244 garments and accessories.

"Savage Beauty at the V&A is the largest and most ambitious fashion exhibition the museum has ever staged," said curator Claire Wilcox at a press preview.

The V&A has already sold 70,000 advanced tickets, and extended the exhibition by two weeks to meet demand. At the Met, Savage Beauty attracted over 660,000 visitors by the end of its four-month run, making it one of the museum's top 10 exhibitions of all time, up there with a King Tut stop in 1978 and a Mona Lisa loan in 1963.

Bringing Savage Beauty to London can be seen as a "homecoming," as it was described by V&A director Martin Roth at the press preview, if not an act of repatriation.

The son of cab driver and a school teacher, Alexander "Lee" McQueen grew up in London's East End. After dropping out of school at 16, he honed his tailoring skills on Savile Row, graduated with an MA in fashion design from the city's prestigious Central Saint Martins college, and used the V&A's archives to research his collections.

He once said of London: "It's where my heart is, and where I get my inspiration."

That love was largely reciprocated. In 2011, thousands of British devotees petitioned to have Savage Beauty brought to London after its spectacular New York debut.

Fashion journalist Melanie Rickey was one of the most vocal proponents. A longtime fan, she has coauthored the upcoming release Inferno: Alexander McQueen (Laurence King), a coffee table book of interviews and images from photographer Kent Baker, which documents March 1996 collection Dante.

"I was agitated because (Savage Beauty) really is meant to be in his hometown," Rickey says. "Everything about him is London, so to not have it in London would have been a crime."

Along with hounding the brand's corporate honchos and the V&A itself, Rickey started an online petition to have the exhibition brought to the city, and instigated the Twitter hashtag #BringMcQueenExhibitionHome.

"It's like the (Elgin) Marbles: They're probably a lot more powerful in Greece than they are sitting in the British Museum."

Ultimately, such advocacy may have been unnecessary. According to Kate Bethune, senior exhibition research assistant for Savage Beauty, it had been Roth's ambition to bring the exhibition to London since he assumed the directorship in September 2011. The V&A exhibition, which was announced last April, even begins with a newly added London gallery dedicated to McQueen's roots in the city and his early shows.

Curators called on Sam Gainsbury, who produced all of McQueen's shows from 1996 on, to act as the exhibition's creative director and bring McQueen's pieces to life.

"A lot of (McQueen's) colleagues say he started his collections with the concept of a show," Bethune says. "He always wanted people to have a strong reaction to what he was going."

The most theatrical highlights include the Romantic Primitivism gallery, covered with fake bones like an ossuary, and a blacked-out room where a Kate Moss hologram floats in a diaphanous dress, trapped in a glass pyramid.

The room-sized Cabinet of Curiosities has 27 screens showing moments of his most imaginative runway shows: women walk on water, a model's gown is spray-painted by robotic arms, a church is converted into a catwalk.

But Bethune believes the real draw will be the groundbreaking pieces made from unconventional materials, which blur the line between fashion and art.

Fairytale gowns feature throughout and there's a whole section dedicated to McQueen's tailoring skills, but it's the garments made from razor clam shells, pheasant feathers, and synthetic hair; or embellished with impala horns and baby crocodile heads that really standout. The accessories -- extravagant headpieces, Swarovski mesh chain mail, impossible shoes -- seem like sculptures.

"McQueen was an artist whose medium of expression was fashion," she says. "He absolutely changed the way we look at fashion."

Alexander McQueen: Savage Beauty runs from March 14 - August 2, 2015 at the Victoria and Albert Museum in London. For more information, visit www.vam.ac.uk/savagebeauty

@highlight

Alexander McQueen: Savage Beauty has arrived at the Victoria and Albert Museum in London

@highlight

The exhibition showcases the late designers most memorable pieces

@highlight

V&A director Mark Roth sees it as a "homecoming" for London-born McQueen