(CNN) -- On September 13, President Obama spoke about the importance of historically black colleges and universities as part of HBCU Week. It was a thrill for me to be there. He paid tribute those who created these schools:

"We remember all the men and women who took great risks and made extraordinary sacrifices to ensure that these institutions that you lead could exist," Obama said. "We remember that at a critical time in our nation's history, HBCUs waged war against illiteracy and ignorance -- and won."

I appreciated the president's words of praise and encouragement. But I felt that one group was overlooked in the president's remarks: the churches that brought these remarkable institutions into being.

UNCF-the United Negro College Fund represents the nation's private black colleges and universities. Private HBCUs trace their history to the years just before and after the Civil War, when they were founded by a variety of Christian denominations. They were some of the few institutions of that era that believed educating slaves, former slaves and other free blacks was worth the resources that this daunting work required.

In 1867, two years after the Civil War ended, Augusta Institute was established in the basement of Springfield Baptist Church, the oldest independent African-American church in the United States, in Augusta, Georgia. Its purpose was to prepare black men for the ministry and teaching. Augusta Institute is now known as Morehouse College, a historically black college in Atlanta, Georgia, and a UNCF member.

I vividly remember being introduced to the historic role churches played in black education.

My mother, a journalist covering the civil rights movement, moved our family from Los Angeles, California, to Alabama in 1961.

We spent six months living in rural Tuskegee, home to the legendary Tuskegee Institute (now Tuskegee University) and near the state capital, Montgomery.

Montgomery was at the time the center of a movement led largely by black ministers under the guidance of the Rev. Martin Luther King Jr. That time in Tuskegee, along with my college years at Morehouse, imprinted on me the powerful connection between the black church, its social justice mission, and HBCUs.

The churches' investment in black education paid dividends, not only to the students, but also for America. During the long dark days of Jim Crow segregation, HBCUs educated the lawyers, doctors, teachers and ministers who built black communities across the South. They educated the pioneering activists who built the civil rights movement that broke Jim Crow's back.

U.S. Rep. John Lewis, D-Georgia, a civil rights pioneer, graduated from Fisk University in Nashville, Tennessee. Marian Wright Edelman, founder and president of the Children's Defense Fund, attended Spelman College in Atlanta. Martin Luther King Jr. graduated from my alma mater, Morehouse. Every historically black college or university produced activists who helped break down the barriers of segregation and transform our nation.

Over the decades, these church-founded colleges and universities developed a finely tuned balance between their religious roots and their secular missions. As institutions of higher education accredited by secular agencies, and as educators of students who, upon graduation, needed to compete in the job market, they offered courses that would prepare their students for employment. But as church-affiliated institutions, their education provided another element: The education emphasized moral character and community service.

The dedication to service has become a hallmark of HBCU graduates. Earlier this month, The Washington Monthly issued its liberal arts college rankings, which are based on the school's contribution "to the public good," including the role that service plays in the education.

Private historically black colleges and universities were highly ranked. Morehouse was No.1 among the nation's 252 liberal arts colleges. All told, 20 of UNCF's 39 member HBCUs ranked in the top half of their categories.

HBCUs have also been exemplars of how institutions with different religious affiliations can work together in harmony toward a common goal.

Many HBCUs are affiliated with denominations widely recognized for their support in the African-American community -- the various Baptist conventions, the African Methodist Episcopal Church, the United Methodists and the United Church of Christ. But Xavier University in New Orleans, Louisiana, the nation's leading educator of future black physicians and pharmacists, is a Catholic institution. And Oakwood University in Alabama is closely affiliated with the Seventh-day Adventist Church.

Despite the wide religious diversity among private HBCUs -- or, perhaps because of it -- these colleges and universities came together to start the UNCF in 1944. They have worked together under the UNCF umbrella to raise and distribute more than $3 billion and help more than 350,000 students graduate from UNCF member institutions.

The UNCF's experiment in collaboration among religiously affiliated colleges and universities has worked for two principal reasons.

First, the schools that united under the UNCF banner found that they could accommodate to the civil-society needs of their educational institutions without giving up their core convictions. In fact, what the churches brought to these institutions strengthened them.

Second, those schools discovered that although each denomination has maintained its own beliefs, the ties that bind them together are stronger than the forces that divide them.

In a nation and world in which religions are too often pitted against civil society -- and against each other -- America's private HBCUs provide an example of how communities of faith can work harmoniously with civil society and how differing religions can work with each other for their mutual benefit, the benefit of those they serve and the even greater benefit of the country.

@highlight

Michael Lomax: Churches' investment in black education paid dividends for America

@highlight

Lomax: Church-founded schools learned to balance religious roots and secular missions

@highlight

HBCUs of differing affiliations demonstrate power of common goals, Lomax writes