(CNN)In 2014, beheading a westerner proved to be a chillingly effective strategy for Islamic militants. The killings of James Foley, Steven Sotloff, David Haines, Alan Henning and Abdul-Rahman Peter Kassig were both barbaric and uniquely modern.

The murderers acted with a key demographic in mind, knowing that millions of people would tune in to watch.

So the camera has created a new kind of crowd in the course of our long history of public beheadings. Its entrance on the scene, in France, on 17 June 1939, had a similarly immediate and unequivocal effect.

That morning, the public guillotining of German serial killer Eugen Weidmann, outside the Saint-Pierre prison in Versailles, was filmed by a spectator -- unbeknownst to the authorities. You can see the footage online today. Photographers also recorded the action, and their pictures filled newspapers and magazines in the days after Weidmann's death.

As if the rowdy crowds on the day were not bad enough, now the action could be viewed again and again by untold thousands of voyeurs.

After that, the guillotine was rolled away behind prison walls -- not because decapitations were too horrifying to watch, but because people will watch them no matter how horrifying they are.

For centuries, public executions had been intended to terrify by example, when for many they were little more than light entertainment. The advent of film proved this beyond doubt.If the history of beheadings tells us anything, it is that there will always be people who want to see. Today the Internet offers us front-row seats, on the understanding that no one need know we have taken our places to watch. Murders can be "nothing to do with us" even as we click on the screen to play the film.

In the 21st century, spectators experience a sense of detachment from the event -- which has already happened at some point in the past and in "another world" supposedly far removed from our own -- alongside an unprecedented sense of intimacy. Now we can watch close-up, but in private, in our own time and space.

The recent ISIS beheadings were experienced by many viewers like a gruesome serial drama, and the murderers know we will tune in for the next episode. Even those who do not watch the ISIS "show" can hardly avoid the media analysis that accompanies each instalment.

Producing these films requires relatively little organization, money or complicated technology. Compared to other terrorist offenses, it is low-tech and high-impact. The action can be carefully choreographed while retaining its ruthless authenticity, and the results are sensational.

The camera has become a new stage for public beheadings, a new spike for displaying a trophy head.

When pathological criminals behead innocent civilians, the murderers address their audience and present their spoils, drawing those who watch into their narrative. The entire spectacle denotes the powerlessness of the victim, and, by extension, the powerlessness of their countrymen to intervene.

Spectators who watch beheadings online impotently fulfil the perpetrators' desire to be seen. The ISIS murderers have relied on sophisticated manipulation of social media sites to ensure that their footage appears on our screens before we even know what we are watching.

At the same time, a person's reaction can reverberate through the cyber-crowd instantaneously, creating the kind of group mentality that mirrors the dynamics of a real crowd.

When the footage of James Foley's murder circulated via social media platforms like Twitter and Facebook in August 2014, a Syrian activist named Hend Amry asked people not to share it and initiated the hashtag #ISISmediablackout. "Pour water on their flame," she tweeted.

The movement to boycott the film gathered momentum in the hours that followed, and Twitter responded by removing tweets that embedded the video or screenshots of it. For the first time since the death of Daniel Pearl in Pakistan in 2004, the silent majority found a voice, and more and more members of the crowd refused to watch.

A group of militants had tried to make an impact, in an appalling way, and their efforts were beginning, just beginning, to fail.

When the victim of a beheading is bound and defenceless, he or she becomes a pawn in somebody else's production. The power no longer derives from the act of decapitation itself, which may require a pathological perpetrator, but it does not require the luck and skill to win a fight. Instead, the power emerges from the reception the slayer receives as he plays his part on the stage. There is no triumph in the killer's actions until we watch.

Modern technology may offer a hiding place to voyeurs, but it can also give a voice to human decency. No good can ever come from murder, but if public opinion is able to neutralize the killers' triumph by refusing to broadcast the graphic imagery they want us to see, then this is a step forward.

Read: More barbaric ISIS video expected, analyst says

@highlight

Camera has created new kind of crowd in our long history of public beheadings, says Frances Larson

@highlight

Larson: ISIS beheadings were experienced by many viewers like gruesome serial drama

@highlight

She says public opinion should refuse to broadcast graphic imagery killers want us to see