(CNN) -- Earthy, sun-dried structures and startling blue skies provide the vivid backdrop for many an exploration of Santa Fe, New Mexico. The architecture is distinctive, but the natural setting at the base of the southern Rocky Mountains, 7,000 feet above sea level, puts the city in the realm of spectacular. And aesthetics are just a fragment of what draws more than a million visitors a year.

Santa Fe's creativity shines in its art and cuisine, and there's a deep spiritual pull.

"Whatever your religiosity, you are sure to find something to speak to your soul in this old, quiet town in the mountains," writes iReporter Dannie Matevia, 26, who visited with her family in February.

Here, iReporters share some of their best tips:

Art lover's paradise

Santa Fe's booming museum and gallery scene could keep a visitor busy for weeks. Santa Fe is considered one of the country's largest art markets, based on sales. Just along scenic Canyon Road alone, more than 100 galleries welcome art enthusiasts.

"It is not hard to see why artists like Georgia O'Keeffe, Ansel Adams and the likes were, and still are, drawn to this place full of stunning vistas, cultural richness and alluring spirit," writes an iReporter with the handle texdexigner.

The city is home to the Georgia O'Keeffe Museum, which houses more than 3,000 works and is celebrating its 15th anniversary this summer.

Cynthia Whitney-Ward, an iReporter who lives in Santa Fe and blogs about her hometown, recommends the Museum of International Folk Art and the International Folk Art Market, "an incredible gathering of vibrant artisans from around the world" held in July.

Also check out artists from New Mexico pueblos displaying their wares on one side of the Santa Fe Plaza, Whitney-Ward recommends, and try to catch the amazing work at the Santa Fe Indian Market on August 18 and 19.

Destination USA: Miami beyond the beaches

Shopper's playground

Art is far from the only hot item in Santa Fe.

"Between the Southwestern colors, cowboy boots, turquoise jewelry and products from local artisans, Santa Fe has a lot to offer a shopper in search of unique finds," writes iReporter Kristine Celorio, of Sacramento, California.

Whitney-Ward heads to The Flea at the Downs, a bit outside of town, every weekend where "you'll find hundreds of vendors selling nifty vintage stuff." Or stop at Todos Santos chocolate shop in Sena Plaza to find a delicious gift.

A treasure for history buffs

Santa Fe welcomes history fans with a rich blend of cultures. The site of the present town was home to Native Americans from 1200 to the early 1400s, and in 1610 the Spanish founded Santa Fe.

Mix those cultures with the sensibilities of the American artists who flocked to town in the early 20th century for a truly distinctive atmosphere.

The city's adobe architecture evolved from early dwellings built by the Pueblo Indians. The Spanish adapted the Native American techniques to create Spanish Pueblo style.

"Stay in a pueblo style hotel, like La Posada, for a really unique experience," suggests iReporter Marijana Gucunski of New York City.

Santa Fe is home to historic churches and more, Celorio points out.

"Don't forget to stop and take in a little history while you are there. It will enrich your travel experience and help you appreciate what made Santa Fe the city it is today."

Destination USA: To luau or not to luau? Your Hawaii tips

A foodie's dream

The flavors of the Southwest radiate around the world, but Santa Fe is the spicy center. "Red or green?" is the official state question, referring to the type of chile a diner would like served over enchiladas or other New Mexican staples. Answering "Christmas" will get you both.

"If Santa Fe isn't about great food, then I'm clearly in denial," writes Gucunski. "I ate enough green salsa, Mayan hot chocolate and beans to make any food lover proud."

Downtown restaurant Cafe Pasqual's is a must, says Whitney-Ward. "You'll have to wait for a table ... but it's worth every minute." Go for breakfast, lunch or dinner to sample quintessential Northern New Mexico fare. "Their Mexican hot chocolate is fantastic," she said.

Destination USA: New Orleans between meals

Matevia endorses Pasqual's for breakfast and her mother raved about the Pink Adobe.

For fabulous fast food, try Bumble Bee's Baja Grill, says Whitney-Ward.

Betty's Bar at the lovely Encantado resort, just outside the city in Tesuque, offers amazing sunset views.

"With a large fire pit framing views of the mountains and horizon, it's a perfect place to relax with a glass of local Gruet (sparkling wine) and a plate of Smokin' Nachos," another iReporter writes. "Crazy good! Perfectly New Mexico and a great Santa Fe experience."

Do you have Santa Fe travel tips? Share them in the comments section below.

@highlight

Northern New Mexican cuisine draws many visitors

@highlight

Santa Fe is home to hundreds of art galleries

@highlight

Adobe architecture and a stunning setting define the city