(CNN) -- I am a 54-year-old black woman -- a mother, lawyer and law professor. I teach at the Washington University in St. Louis Law School and live 12 miles away from Ferguson, Missouri.

The median household income in my suburb is $85,000 per year. In Ferguson, it is $36,000. In my suburb, 3.5% of the people are black. In Ferguson, almost 70% are black. These are stark contrasts. Yet I share things in common with black people in Ferguson and, indeed, throughout the United States.

When I shop, I'm often either ignored as a waste of time or scrutinized as a potential shoplifter. In June, my daughter and I walked into the china and crystal department at a Macy's department store. I was about to speak to the salesperson directly in front of me. She walked right past me to welcome the white woman behind us.

My daughter looked at me and said: "Really? Did she just ignore us?" My daughter is a young teenager at the crossroads of "skin color doesn't matter" and "oh yes, it does." She is in transition. I felt hurt, anger and embarrassment.

But this kind of encounter happens routinely.

Driving, I tend to have a bit of a lead foot -- hitting 45 in a 35 mph zone. The few times I have been stopped in my suburb, the first question I'm asked is whether I live "around here." Not one of my white friends has been asked that question when they were pulled over by a police officer.

Last summer, my teenage daughter was shopping with four white friends at a mall in an affluent St. Louis suburb. As they left the store, two mall security guards approached my daughter. They told her the store had called them and reported her as a shoplifter, and asked her to come with them. After a search, they found she had nothing. So far in her young life, mall security guards have stopped her on suspicion of shoplifting three times. Each time she was innocent.

I also have three sons. My two oldest are 22. They are 6-foot-5 and 6-foot-4 and each weighs more than 220 pounds. One recently graduated from college; the other will graduate in 2015. The youngest is 13. All three like to wear jeans and the latest sneakers. They love hoodies. They like looking cool. These three young men have never been arrested or even been in a fight at school.

Every time my sons leave the house, I worry about their safety. One of my sons loves to go out at night to clubs. I worry about potential unrest at the clubs -- yes, black-on-black crime is a problem, and despite what many people think, black people complain about it all the time in their communities and churches and in newspapers and on radio stations.

I also worry about his drive home and his being stopped by police.

The data in Ferguson are an example of the larger picture in the St. Louis County area. Police stop, search and arrest black people at a disproportionate rate, even though they are less likely to possess contraband than white people.

This son of mine who likes to go out at night is big and tall and he has brown skin. He graduated from college in May but cannot find employment. He is an intelligent, clean-cut young man.

But the negative stereotypes automatically assigned to his skin color follow him everywhere, even in job interviews, like extra weight. It reminds me of the airline employee who asks before you can check your suitcase: Did a stranger ask you to carry something or pack your bag? In my son's case, the answer is yes. He is carrying extra weight, unfairly, and without his knowledge or consent, packed in his luggage.

A few years ago my husband and I went on a cruise. My older boys were teenagers at the time and were taking summer enrichment classes at a school about a mile from our home. They planned to walk to school in the morning. At the top of a long list of things to do before we left for our trip was "e-mail chief of police."

I explained to the chief that my husband and I were going on a cruise, I was a member of the community and that my two sons would be walking to school. I attached pictures of the boys, explaining that only a couple of black families lived in the neighborhood. My sons did not normally walk in the neighborhood, so they would draw attention.

I offered to bring my sons to the police department so officers could meet them. The police chief and I met and all went well.

But I've asked myself: How many parents of white sons have thought to add to their to-do-before-leaving-town list, "Write letter to local police department, introducing sons and attaching photos, so police do not become suspicious and harass them"?

Even though my older boys are men, I still worry about them. I worry about my 13-year-old. This worry is a stressful, and sadly normal, part of my daily existence. My youngest will be 6 feet tall in the coming weeks. He has brown skin.

These young black men have arrows pointed and ready to shoot at them daily -- black-on-black crime, police encounters, societal bias and mistrust. Shortly after the Michael Brown shooting, I met with a group of my 13-year-old's black male friends to explain to them what happened in Ferguson, and what to do and how to respond if they are ever stopped by the police. My words reminded me of stories and fears my grandfather used to share with me about his encounters with police during the Jim Crow era.

These are just a few of the many ways in which people in America are treated differently based on the color of their skin. This has been going on for a long time. I hope the events in Ferguson will encourage people to see the stark differences in the experiences of black people -- not just black people who struggle economically but also black people like me -- and white people as they go about their routine, daily lives.

@highlight

Kimberly Norwood, a black woman and lawyer, lives in a suburb 12 miles from Ferguson

@highlight

She has been ignored or seen as shoplifting risk in stores, as has her young daughter

@highlight

She notified police when her sons were walking to school so they wouldn't harass them

@highlight

Norwood hopes Ferguson will start conversation on black Americans' daily experiences