The QuikTrip that's now in shambles, its iconic red awning a nest of twisted metal, was once a favorite stop for residents here.

The kids loved the slushies. The adults loved the doughnuts. And residents in the area say that before "the ruckus on West Florissant" -- in which looters and vandals parading as protesters mangled a primary corridor -- they could walk to QuikTrip at any hour with nary a concern for their safety.

It speaks to a city that enjoys the simpler things: a frozen custard at an old train depot, an afternoon casting reels in Wabash Park, pork steak Wednesdays at Marley's Bar & Grill or a night knocking back cold ones at the local brew house.

The Ferguson that residents see on television, they don't recognize that place. The tear gas canisters clanking through the streets, flash-bang grenades, military Humvees and cops in riot gear facing off with angry protesters, many of them out-of-town rabble-rousers here to cause trouble -- yeah, this isn't Ferguson, they say.

Residents near the protest area have gotten the worst of it. Their stores' windows have been replaced with plywood, spray-painted with messages like, "Thank you for your love and support." Protest blockades have trapped them in the neighborhoods at night, leaving them afraid to take walks or let their children play out of sight.

For some, staying inside was no better, as the pungent tear gas used to choke and disperse troublemakers -- and incidentally, peaceful but precariously positioned protesters -- wafted down into their neighborhood. It seeped into their homes, stinging their eyes, skin and throat.

They moved here because of the city's solid schools, decent jobs, affordable housing and manageable crime rate. Now, they're choking in their living rooms.

Three weeks ago, before Michael Brown was shot and killed by police officer Darren Wilson, Ferguson was an immensely different place, they said.

Seeing their city destroyed

"The people are generally nice, humble. They just want to take care of the homes they have and keep it moving," said Charles Davis, a longtime black businessman in the area who opened his Ferguson Burger Bar on West Florissant the day before Brown was shot.

Opening a burger shop across from a McDonald's on one of Ferguson's main drags may seem questionable, but like many people in the area, he said his fate is in someone else's hands.

"I have a good friend. His name is God. I don't worry about it," said Davis, who has lived in Ferguson three years; his mom has lived here for 20.

In the nights after Brown's shooting -- when most businesses closed either intentionally or as a result of having their windows smashed and wares filched -- he stayed open until 10 or 11 p.m., serving up his "garbage" burgers, complete with bacon and a fried egg, and Muddy Water, a secret-recipe beverage resembling an Arnold Palmer (but don't tell Davis that).

When tear gas canisters bounced into his parking lot, which he shares with a barbershop and beauty supply store, he opened his doors to protesters. Inside the bare-bones eatery with its pithy signs -- "You say I dream too big, I say you think too small" -- refugees watched through hand-painted plate glass as the mayhem unfolded outside.

Ferguson residents aren't used to being fearful. FBI statistics from 2012 show crime is a smidge higher than the national average, but it's low for St. Louis, especially if you venture to the nearby suburbs of Kinloch, Berkeley, Jennings and the misleadingly named Country Club Hills.

In many parts of the city, blacks live next to whites, whites live next to blacks, and everyone seems to get along. At least they did before the town was overrun with strangers and it became unclear who was supporting Michael Brown and who sought to stoke chaos.

"From what I understand and know, Ferguson is A-OK," said Davis, who lives in a diverse neighborhood down the street from his burger joint.

A rift with police

Sure, there are exceptions: the nosy lady down the street always concerned with someone else's business or the shopkeeper who seems to watch his black patrons too closely.

And then there are the guys with badges.

You'll hear stories about them if you travel to some of the predominantly black neighborhoods: the nondescript block units of Nantucket Gardens or the oak-laden Park Ridge Apartments. And, of course, there's the sprawling 400-unit Canfield Green development with its three-story, brick-and-siding dwellings recently refurbished with new wooden handrails and staircases.

There, the police have a reputation for being tough, and while that's good for keeping the drug dealers and gangbangers who plague St. Louis off Ferguson's streets, many innocent black teens and young men are swept up in the effort to keep Ferguson safe, residents said.

Older African-Americans seem less affected, but they have stories about nephews, sons or family friends being roughed up or dressed down in this city of 21,000.

Patricia Pendelton, a nurse who lives a few blocks from the cross-and-candle memorial that marks the spot where Brown took his last step, said she has never had issues with police, but she noted that she's a 41-year-old woman.

As youngsters, their elementary school closed because of the protests, rambled through her front yard and played basketball on a miniature hoop, she explained how her sons -- ages 17, 19 and 21 -- have different experiences. They and other young black men have been stopped for reasons as spurious as looking suspicious, she said.

"How does a person look suspicious? What do you have to be wearing to look suspicious?" she asked before mimicking an offending police officer, " 'Where you going? What you doing? How you doing it?' It's none of your business."

Outside his bustling barbershop on a muggy Missouri afternoon, Mike Knox, his ears tucked under a spiffy St. Louis Cardinals snapback, recalled how one of his sons, an A student, was arrested with several other kids in the parking lot of an auto parts store. They'd met there because it was a central location to rendezvous before a game of basketball.

When Knox picked his son up, police told him he hadn't been charged, just taken away by police, said Knox, adding that he's been pulled over for DWB, or "driving while black," a common complaint in Ferguson.

At a protest in a parking lot across from the police station, Maurice Phipps, 22, a Ferguson resident of eight years, relayed a similar story: A Ferguson officer once pulled him over and said he was looking for a suspect with dreadlocks.

"And I got a box cut," he said, pointing to his dyed-blond 'do.

It's not just blacks complaining. Tom Steigerwald, 31, a military brat who moved to Ferguson in 1994, recalled being smacked in the head by a Ferguson cop after an argument over a noise complaint.

"They've always been a**holes," he said. "They all got a power trip problem, a lot of them."

It's this kind of police behavior that creates rifts in the community, said Knox, a 33-year-old father of four.

"You're supposed to be happy when you see police. That's a protector. But no, not really," he said.

Many changing faces

Ferguson used to be a hiccup of a town hosting a train depot between St. Louis and St. Charles. It popped up in 1894 on a few deeded acres. In its first census, it boasted 1,000 residents.

A century will bring change to any city, but the times have frequently altered the face of Ferguson. It has been a commuter stop, a bedroom community for the automotive and airline industries and now, with 40% of its population younger than 25, a hub for students.

Another change? Twenty-five years ago, one in four residents was black. Today, the number is two of three.

Yet despite that shift, two things have remained static: Ferguson's police force and the Ferguson City Council are overwhelmingly white.

The old depot is now an eatery and museum, next to a train trellis that sports banners promoting church fish fries and the local farmers market, one of the state's most popular.

On Saturdays, about 50 volunteers set up tents and tables, as area residents arrive to buy plump tomatoes and sweet corn from growers such as Earth Dance Farms down the street.

Also nearby is Pearce Neikirk's handsomely appointed real estate office with fiber art from local artists adorning the walls. Located between a bike shop and wine bar on a 10-block stretch of downtown known as CityWalk, the area features concert series, festivals and Food Truck Mondays.

West of CityWalk you'll find dozens of "century homes," architecturally distinct Colonial, Craftsman and Tudor Revival structures with sweeping roofs, gables and expansive porches. Residents mail-ordered them from Sears and Montgomery Ward during the early 1900s

"This is the kind of stuff that makes the community really strong. It makes it attractive," Neikirk said.

But be clear: While this part of Ferguson has a diverse mix of residents traversing its streets, its historic buildings and well-kept landscaping are a contrast from the strip malls and $500-a-month apartments along West Florissant.

Aside from broken windows at a liquor store and brake shop and a few other acts of vandalism, this side of town has remained relatively unscathed during the protests, perhaps because of the downtown police station. Or maybe because it's a mile from where Michael Brown lost his life.

Whatever the reason, the residents along West Florissant yearn for a return to the normalcy that is still day-to-day life on the other side of town. They may get it. Thursday's and Friday's protests were some of the most peaceful yet.

Some black residents, though, are skeptical it can stay that way, especially if Darren Wilson isn't indicted.

"If this police officer don't get no kind of charge," said the nurse, Pendelton, shaking her head at the potentiality, "they think it's chaos now?"

@highlight

Ferguson yearns for more "normal" days

@highlight

Shooting and protests have changed the town

@highlight

Resident: "From what I understand, Ferguson is A-OK"