Our galactic neighborhood just got a lot bigger. NASA on Wednesday announced the discovery of 715 new planets, by far the biggest batch of planets ever unveiled at once.

By way of comparison, about 1,000 planets total had been identified in our galaxy before Wednesday.

Four of those planets are in what NASA calls the "habitable zone," meaning they have the makeup to potentially support life.

The planets, which orbit 305 different stars, were discovered by the Kepler space telescope and were verified using a new technique that scientists expect to make new planetary discoveries more frequent and more detailed.

"We've been able to open the bottleneck to access the mother lode and deliver to you more than 20 times as many planets as has ever been found and announced at once," said Jack Lissauer, a planetary scientist at NASA's Ames Research Center in California.

Launched in March 2009, the Kepler space observatory was the first NASA mission to find planets similar to Earth that are in, or near, habitable zones -- defined as planets that are the right distance from a star for a moderate temperature that might sustain liquid water.

Tuesday's planets all were verified using data from the first two years of Kepler's voyage, meaning there may be many more to come.

"Kepler has really been a game-changer for our understanding of the incredible diversity of planets and planetary systems in our galaxy," said Douglas Hudgins, a scientist with NASA's astrophysics division.

The new technique is called "verification by multiplicity," and relies in part on the logic of probability. Instead of searching blindly, the team focused on stars that the technique suggests are likely to have more than one planet in their orbit.

NASA says 95% of the planets discovered by Kepler are smaller than Neptune, which is four times as big as Earth.

One of them is about twice the size of Earth and orbits a star half the size of Earth's sun in a 30-day cycle.

The other three planets in habitable zones also are all roughly twice the size of Earth. Scientists said the multiplicity technique is biased toward first discovering planets close to their star and that, when further data comes in, they expect to find a higher percentage of new planets that could potentially have a life-supporting climate like Earth's.

"The more we explore the more we find familiar traces of ourselves amongst the stars that remind us of home," said Jason  Rowe, a research scientist at the SETI Institute in Mountain View, California, and co-leader of the research team.

@highlight

Four of 715 newly discovered planets may support Earth-like life

@highlight

It's the biggest single discovery of planets in history

@highlight

All were found in the first two years of the Kepler telescope's voyage

@highlight

NASA expects next batch of data to reveal more habitable planets