Olympia, Washington (CNN) -- The news that Al and Tipper Gore are breaking up after 40 years of marriage has generated an outpouring of emotion. Although we don't have -- and shouldn't seek -- the inside details, the couple says the decision was mutual and the process will be mutually supportive. Friends have told journalists that no third party was involved; the two simply grew apart.

It leads couples to wonder: "Could this happen to us?" and "Could it already be happening to us?"

One woman called in to a radio show I was on and said plaintively, "I thought I could count on my marriage after 22 years. You mean we have to keep working at this for the rest of our lives?"

As a family researcher, I understand why the Gore breakup scares people. Divorces after 40 years are rare, but in 2008, of people who reported divorcing recently, one-quarter had been in marriages that had lasted two decades or more. And divorces among couples 55 or older seem to be rising moderately, even as divorce rates in general have fallen from a high of about 23 divorces per 1,000 married couples in 1979 to less than 17 per 1000 in 2005.

Many people assume that late-life divorces are precipitated by some crisis, typically a man leaving his wife for another woman. But a 2004 AARP survey of people who divorced at older ages found that two-thirds were initiated by the woman, often to the surprise of the man.

Although men are more likely to instigate a divorce when they have another partner in sight, women are more likely to say they just couldn't stand to be with this partner any more, which jibes with the research showing that women are physiologically and emotionally more sensitive to the negative effects of an unsatisfying relationship.

The rise in divorce rates for older people, which is occurring in Great Britain, Canada and Japan, as well as the United States, results from the confluence of two new trends. The first is that we expect more from marriage than in the past. It's no longer enough for the other partner to be a good provider or a good housekeeper. We want marriage to include friendship, sexual satisfaction and an interesting give-and-take between equals. The second is that if a marriage ceases to meet their needs, older people have many more alternatives than they used to.

Today individuals remain active and healthy much longer than in the past, so that staying together "until death do us part" means that 65-year-olds in an unhappy marriage will likely have another 20 years to wait it out, when they could be traveling, working, even re-inventing themselves. And opportunities for repartnering after age 55 are much greater than they used to be.

Are late-life divorces a tragedy? Sometimes, perhaps -- but three-fourths of the divorced individuals in the AARP survey felt their divorce had been the right step for them. And having to stay in an empty marriage can be a tragedy, too.

For a new book on the women of "The Greatest Generation," I interviewed women who were wives and mothers in the 1940s, 1950s, and early 1960s. Many described being "trapped" in empty marriages, longing "to be free." But in those decades they simply couldn't imagine being able to support themselves, much less make new friends as a "divorcee," or meet a potential partner. One woman told me, "We thought: You're fat at 40 and finished by 50."

It's scary to think that one's own marriage could become so unbearably confining. It would be nice if every couple could grow together instead of growing apart. But it should be reassuring to know that if your marriage does become deeply unsatisfying, you have other ways to live the rest of your life, and you can end your marriage civilly instead of through humiliating public misconduct or explosive mutual recrimination.

The Gores raised four children and were there for each other when they needed to be. Now that they have decided to part, they are trying to do so in a way that is fair and respectful. That doesn't sound like failure to me.

For the rest of us, the Gore breakup is a reminder that we can't take our marriages for granted. But we should see that as a good thing rather than a scary one. People need to grow, and growing together can be fun.

One of the best ways to renew marital affection and interest is to face new challenges together, whether that means learning new skills, braving a white-water rafting trip, or traveling to a new place. Let's take this as a lesson to stop working so hard in our marriages and spend more time playing in them.

The opinions expressed in this commentary are solely those of Stephanie Coontz.

@highlight

Stephanie Coontz says news of the Gores' breakup makes older couples fret: Could that be us?

@highlight

Contrary to assumptions, late-life divorces usually instigated by women, she says

@highlight

These divorces rare, but climbing, she says; chance for repartnering greater these days

@highlight

Coontz: Older couples should focus on growing together with shared experience, play