(CNN) -- The U.N. peacekeeping chief says Syria is now in a civil war.

Some experts agree with U.N. official Herve Ladsous that the war-torn country has reached that chilling milestone. Others say the country is hurtling in that direction.

The conflict began in March 2011 when a fierce Syrian government crackdown on peaceful protesters morphed into a bloody government uprising.

Stephen Biddle, Roger Hertog Senior Fellow for Defense Policy at the Council on Foreign Relations, said popular conversation about civil war tends to be dominated by images of the U.S. Civil War, and it conjures a vague picture of a "really bad conflict." But the rigorously defined scholarly meaning of civil war fits Syria now, just as it applied to Iraq last decade, he said.

U.N. report: Syrian children tortured, used as human shields

"A civil war is a conflict in which at least one side is a non-state actor, with at least 1,000 total battle deaths and at least 100 on each side," he said.

Anuradha Chakravarty, assistant professor of political science at the University of South Carolina, cites a similar threshold and notes that the estimates of 10,000 to 14,000 battle-related deaths so far in Syria fulfills the definition. She said the definition has "little to do with the growing use recently of attack helicopters" to wage war.

"Syria did not start out as a case of civil war because the opposition to the government mainly took the form of a popular uprising in March 2011," she said.

"However, later that year, the Free Syrian Army and its organization of an armed rebellion against the government (in defense of the civilian uprising) fulfilled at least the most basic criterion of a civil war -- the armed confrontation between a rebel group and the government. Thus, Syria turned into a civil war situation much earlier than recent observations by the U.N. would suggest."

Like other civil wars, she said the situation has "notable international dimensions," with reports of Russian military support for the regime and reports of the United States, Saudi Arabia, Qatar and Turkey backing the rebels.

Syria's government on Thursday rejected the claim, saying "Syria is not witnessing a 'civil war' but rather a struggle to uproot the plague of terrorism."

But Chakravarty said an "important difference that the 'civil war' label makes is that the Assad regime cannot credibly claim that it is only a sectarian conflict or that this is a terrorist struggle against the people of Syria. It is squarely an armed attempt by non-state groups (who define themselves mostly in a non-sectarian manner, and claim to speak in the name of the people) to overthrow the government, and fight for territorial control."

James Fearon, a professor of political science at Stanford University, defines a civil war as "an armed conflict within a country between organized groups who are fighting to control the central government or over control of a region." The Syrian conflict "has qualified as a civil war for a while now," he said.

He cited the same academic thresholds that political scientists and sociologists use for a civil war: 1,000 killed in a conflict's duration or 1,000 killed per year, but added: "How many is enough to qualify is matter of opinion, and this arbitrariness might be the source of some of the disagreement about whether Syria, etc, is having a civil war or not. "

It doesn't matter how much of the country is in conflict for unrest to be defined as a civil war, he said.

"For instance, we call the conflict in the U.S. in the first part of the 1860s a civil war, even though things were entirely peaceful in almost all of the North," he said.

Syria: Battle for the cities

Two organized forces facing off against each other is also a necessary part of the definition, said Joseph Holliday, a researcher at the Institute for the Study of War. In Syria, there have been sectarian tensions between the Sunnis and the Alawites, with the opposition overwhelmingly Sunni and the pro-government Alawites, who dominate the regime of Bashar al-Assad, also an Alawite.

"When you let the sectarian genie out of the bottle, it's hard to put back in," Fearson said.

He said the opposition fighters are becoming an organized militia force. The pro-regime Shabiha militias, dominated also by Alawites, are becoming more significant, signaling an erosion in the government's chain of command.

"I think Syria is a civil war or has all of the components to become one in the future."

Michael Weiss, a Syria expert at the Henry Jackson Society, said parts of Syria are in civil war.

"Civil war suggests the previous state that exists all but failed and collapsed," he said. In some regions, the government lacks control and there is a "growing equalization" of forces, he said.

Steven Heydemann, senior adviser for Middle East initiatives at the U.S. Institute for Peace, said the regime's tactics, the escalation in violence and a growing supply of weapons to the opposition indicate the conflict is moving closer to a civil war.

While there are "some isolated areas in Syria where conditions have crossed the threshold for civil war," Syria has not yet "crossed that threshold with respect to the conflict as a whole."

He used Lebanon and Libya as the model for civil war.

In Lebanon during the 1980s, the state collapsed and "we saw a proliferation of armed groups across society in multiple directions" in a society with no controlling authority, Heydemann said. During last year's civil war in Libya, there were two competing armed forces, with the quality of weapons and the scale of the units largely comparable on each side.

"Neither of those conditions exist in Syria," he said.

The regime commands armed forces totaling about 200,000 troops and has ample resources such as tanks and helicopters, he said. The armed opposition is basically a "localized insurgency," much smaller, poorly equipped and trained and "not integrated into any coherent command and control structure."

So while the conflict between these forces does not constitute a civil war at the moment, said Heydemann, the pace and intensity of opposition activity could change that.

Jeff White, a defense fellow at the Washington Institute for Near East Policy, said Syria is edging toward civil war, but is not there yet.

"My definition of civil war is a situation which is characterized by conflict between two, or more, segments of society. I still see the situation in Syria as one of fundamentally an armed and unarmed insurrection against the government. That is, the people are fighting the state, not each other."

That said, the elements of civil war are taking hold.

"The regime is heavily, perhaps increasingly reliant on Alawite fighters both within the regular military and in its irregular forces. The regime has also begun using Alawite villagers in attacks on neighboring Sunni towns and villages. There are also reports of Sunni retaliation for attacks. This is the kind of activity that creates its own dynamic and can spread easily," he said.

The tipping point could be a "tipping period." That would be when "communal violence increases in scope and intensity until it dominates the situation," White said.

"We will know it when we see it; but things to look for would include: organized and directed violence by one sect against another (as opposed to spontaneous actions), declarations by community political and religious leaders that the enemy is the other sect (as opposed to 'Bashar's dogs/pigs' and 'terrorists'), cleansing of areas, organization of irregular forces along sectarian lines, regime arming of Alawite villages for 'defense' against Sunnis, breakdown of Syrian military forces along sectarian lines. We have bits and pieces of this now, and the bits and pieces seem to be accumulating."

The rhetoric used to describe the conflict has important meaning. The term "civil war" can change the dynamics of a conflict.

"In the Iraq war, the Bush administration didn't want the conflict described as a civil war because it feared that this would increase public opposition -- if it's a civil war, then it's their business and we shouldn't bother with it, or expect to be able to fix it," Fearon said.

"In the Syria case, it is the advocates of greater intervention (and/or greater pressure on Russia) who are saying 'It may be soon be a civil war,' by which they mean 'This is really bad and we have to do something about it,'" he said.

White said defining a conflict as a civil war has political implications.

"There is always reluctance to get involved in a civil war. So defining it so supports non-intervention. It also tends to spread the blame for violence more or less evenly across the parties. It is much easier to get behind an insurrection than take sides in a civil war."

Chakravarty said once a conflict is deemed a civil war, it can compel "more assertive forms of actions from various international actors concerned about their interests in the country."

This could be in the form of international intervention and heightened diplomatic efforts at negotiation, she said.

Heydemann said the specter of a civil war could increase pressure on policy makers to act so decisively that incremental measures to deal with the conflict might be "left by the wayside."

Also, he said, the international community has been reluctant to support the opposition because it would contribute to instability, international spillover, the presence of jihadists, and the militarization of the opposition. Now that all of those factors have emerged, they might determine that "some form of engaging" would be the response to a civil war.

Holliday said labeling a conflict as a civil war matters politically, but he doesn't know how much it alone would make a difference. He cited the slaughter of civilians in the Bosnian town of Srebrenica, which helped prompt international involvement in that civil conflict in the 1990s.

"The instances of sectarian violence against civilians will make a difference," he said. "That type of thing is the biggest factor to push toward U.S. involvement."

U.S. says Russian attack helicopters on way to Syria

Syrian opposition cites indiscriminate firing from helicopters

@highlight

Scholars say Syrian conflict fits definition of a civil war

@highlight

Some analysts believe the trajectory is pushing Syria toward civil war

@highlight

Syria is unlike Libya last year and Lebanon in the 1980s, an analyst said

@highlight

President Bush didn't want "civil war" used to describe Iraq, one professor said