(CNN) -- In Tunisia, an Islamic party wins the election.

In Libya, statements about adopting Sharia, or Islamic law, raise concerns about the future.

In Egypt, the Muslim Brotherhood strategizes about how best to score political gains.

In the West, real fears arise that the Arab Spring will spawn new states more akin to the principles of al Qaeda and Hamas than fledgling democracies.

Political Islam is sure to be a factor as major change sweeps through formerly despotic nations. But exactly how is a question that is up for intense debate.

The idea of political Islam raises eyebrows among secularists, women, minority religions who fear their ways of life will come under serious threat if Islamic parties enforce their will. But some caution against looking at Islam's role too simplistically -- it is, after all, deeply rooted in the region.

"Political Islam is basically Western alarmism," said Ebrahim Moosa, professor of religion at Duke University.

"It's lazy analysis to dredge up images of a Khomeini-like prospect for any country," he said referring to the Iranian revolutionary leader.

So when Libya's National Transitional Council Chairman Mustafa Abdul Jalil announces that any law contradicting Islamic principles of Sharia are ineffective, it doesn't mean that Libyans will have hands cut off for stealing or women will be forced to cover up head to toe, Moosa said.

What Jalil's comments will mean in practice has yet to be determined, said British writer Patrick Seale in Middle East Online. "It needs to be stressed that each country's experience will be different."

Libya's ambassador to the United States, Ali Suleiman Aujali, said Sharia is not necessarily against democracy and equality. And Jalil quickly reassured the international community that Libyans are moderate Muslims.

Moosa said it's almost impossible to be a leader of a Muslim nation without paying obeisance to Sharia. Saddam Hussein did it in Iraq; Hosni Mubarak did it in Egypt.

"It's like the president of the United States saying, 'God bless America,' " Moosa said. "It's your credibility marker that you are a believer, a way to show religious credentials."

In Tunisia, Rashid Ghannouchi, the founder of the winning Ennahda party, is known to be a philosophical thinker drawn to the Turkish model of governance and faith -- an officially secular country ruled by an Islamist party.

Turkey's constitution limits the public exhibition of religion.

Moosa sees Turkey as a nation that has internalized Islamic ethics. And Tunisia, he said, could do the same, where Islam could play a public role but with filters.

Moosa, who said he knows Ghannouchi fairly well, said the Ennahda leader was alarmed when Khomeini issued a death fatwa against author Salman Rushdie after the publication of "The Satanic Verses" -- a novel written by Rushdie that has been decried as blasphemy by some Islamic fundamentalists.

Ennahda is not looking to impose Sharia as it has traditionally been imposed wrote Philadelphia Inquirer columnist Trudy Rubin. The party's leadership contends Sharia is a set of principles open to interpretation, wrote Rubin.

Rubin recently met with Ghannounchi and Hamadi Jebali, Ennahda's secretary general, and wrote that both men see Sharia as a "body of immutable demands."

"We know there are some Muslims who do not believe in democracy or freedoms in society," Jebali told her. "We consider this a wrong interpretation. For us, the authority in Islam is given to the people, and even the legislative power should come from the people."

The key is for Western nations to exercise patience, said Akbar Ahmed, a professor of Islamic studies at American University.

"Certain parties may have a tendency toward Islam. They may succeed or they may not," he said. "But we have to give them a chance."

Ahmed said democracy is a Western ideal that is foreign to many Muslim nations. It took the United States centuries to perfect its own brand of democracy. Why then, should Washington expect Tunisia, Libya or Egypt to achieve perfection overnight, Ahmed asked.

Part of the problem, he said, is that after three decades of hostage taking, terror threats and attacks by Islamic groups, Western nations now associate Islam with unsavory actions and the word Islamic has taken on a negative connotation.

"It is important to understand that most Muslims in Tunisia, Egypt and Libya want justice," Ahmed said. "They want compassion. They want incorruptibility, honesty from their rulers. All of them quote Islamic precedence for these features. In the ideal, Islam promises that these rulers must have these virtues."

Moosa said he would not be surprised if some time down the line, discordant voices rise up in Tunisia to advocate for what they view as genuine Sharia.

"One hopes saner voices will slap them down," he said.

But it's that debate that will make the Arab world's post-dictatorship nations a real test for whether Sharia can ever be reconciled with democracy.

Islamic law, said Moosa, can be interpreted as a need for providing for the poor, stable governance and implementing a rule of law that is in the best interests of the people.

"What does Sharia mean?" he said. "There has not been an honest conversation on what it can be."

The answers will help define how the people of the Arab Spring try to rebuild their nations.

@highlight

Political Islam is sure to be a factor as change sweeps through Arab nations

@highlight

But can Islamic law be reconciled with democracy?

@highlight

Tunisia's leadership may look to Turkey as a model

@highlight

Libyans reassure the West they are moderate Muslims