Lamma Island, Hong Kong (CNN) -- When my neighbor Jane Wilbor got on a Lamma ferry Tuesday, she did something she'd never done before with her three young children: She put on life preservers.

"I wanted to show them how to get one out and put one on," said Wilbor, whose three children -- Louie, 10, James, 9, and 7-year-old Eddie -- are playmates with my son 4-year-old son, Jonah, in Pak Kok, a small village of a few dozen families on Lamma Island, one of hundreds of islands that make up Hong Kong.

Our village was awoken by the sound of helicopters Monday night, as searchlights trained on the sea until the sunlight broke the next morning on a capsized boat just a few hundred meters offshore.

The ferry collision that left at least 38 dead -- including five children --is not an abstraction for those who live on Lamma, but a tragedy that puts the spotlight on an elemental part of our lives and the economic livelihood of Hong Kong: The busy waterways and the boats that connect the city.

The fortunes of Hong Kong were built on its deep-water ports, and its seas are still among the hardest working waters in the world. The city had the third highest container ship traffic in the world in 2008, according to the American Association of Port Authorities. About 135,600 passengers take local ferry services daily across Victoria Harbor from Hong Kong Island to Kowloon and outlying islands such as Lantau, Cheung Chau, Peng Chau and Lamma, government records say.

It's common for the ferries to stop and pivot around cargo-carrying behemoths that churn through the East Lamma Channel, buffeting the ferry with big waves before we continue on our way. As a daily commuter it's now a wonder to me that tragedies like Monday's collision don't happen more often given the volume of traffic.

Hong Kong seas are like "Grand Central Terminal at rush hour ... it's an extremely complicated harbor," retired marine accident investigator Don Sheetz told CNN.

Lamma life

"The ferry from Hong Kong to Lamma must be one of the most delightful commuter runs in the world," a 2000 New York Times piece on tourist spots in Hong Kong reads. The roughly 5,000 residents of Lamma -- about one third of them expatriates, according to the government -- are drawn to the largely rural island for the peaceful counterpoint it offers to working among the skyscrapers in this bustling city of 7 million.

There are no cars and no residences higher than three stories on the island. We prefer birdsong at dawn rather than jackhammers, and charting our life according to the ferry schedule is the price we pay (that, and the occasional exotic pest, such as the Chinese cobra that found its way into my home two years ago).

But life on Lamma Island is defined by the ferries. About two-thirds of the island departs each day on ferries to attend school and work, according to government statistics. The ferries create a strange familiarity, people I think of as "ferry phantoms" -- strangers whose faces you know only from sharing the Lamma ferries -- and yet when your paths cross in the city, your instinct is to wave hello. The ferries are a great equalizer: I once shared a ferry ride with Lamma Island's most famous son, Chow Yun Fat, the star of movie blockbuster "Crouching Tiger, Hidden Dragon," who grew up on the island and frequently comes back for charity events. No matter your wealth, job or status, the ferry is your only ride here.

So the degrees of separation from the tragedy are few to Lamma residents. The ships involved are known to us. There isn't a resident of Yung Shue Wan, the largest town on this island, who hasn't ridden the Sea Smooth, the catamaran vessel operated by the Hong Kong and Kowloon Ferry Holdings. The Lamma IV, the ship that sank, was a common sight among the vessels that take workers daily to the Hong Kong Electric power plant on the island.

Inside a few hours, a parent from my son's preschool had posted a second-hand account on Facebook describing "a sudden crash" and water flushing through a "big hole" in the boat. "There was panic," the message said.

My friend and bandmate Chris Head was on the Sea Smooth when it hit, throwing him to the floor. The boat listed as it took on water and when he looked out, he said the prow of the Lamma IV moved up into the air "like the Titanic."

More: Survivors recount chaos, horror of ferry collision

Questions remain

The questions we have are the same as many, asking how it happened and grumblings about whether the ferry companies are doing enough to protect our safety. When my neighbor, Jane, gave her children a life jacket demonstration, she was admonished by the ferry staff, she said. The crews of both boats have since been arrested and Hong Kong Chief Executive C.Y. Leung has promised a thorough investigation.

But for the families on Lamma, the unease continues. My 4-year-old son is asking about the ferry crash, and on Tuesday implored me not to get onto the boat to go to work. This morning, as the families of Pak Kok gathered at the ferry pier at 6:50 a.m. local time for the commute to work and school, eyes kept moving to the spot offshore where yesterday the wreck of the Lamma IV stood dramatically out of the water.

Today it's gone. But for us, the memory of the 38 souls who lost their lives will be forever etched on that patch of sea -- a reminder of the daily trust we place in the hands of those who carry us across the water, and the horrible consequences when that trust is misplaced.

@highlight

The tragic boat collision that killed 38 people has rocked the island community of Lamma

@highlight

The island is home to about 5,000 people a half hour ferry ride from Hong Kong Island

@highlight

The waters around Hong Kong have some of the busiest boat traffic in the world

@highlight

Ferries carry 135,600 people each day around Hong Kong's major islands