(CNN) -- A question. What connects Facebook enthusiasts in China busy translating the social networking site into Mandarin and a community of orthopaedic surgeons swapping ideas on how to treat spinal injuries?

Facebook has called on its network of users to create new innovations to the site.

The answer. They're both examples of a worldwide phenomenon that is changing the way people -- and ultimately businesses -- develop ideas.

Collaborative Innovation Networks (COINs) are online communities of like-minded people working together to create innovations. Author and scientist Peter Gloor originated the term. He describes it as a "cyberteam of self-motivated people with a collective vision."

These cyberteams are cropping up everywhere, unified not only by their "collective vision" but by the giant tentacles of the Internet.

In the case of Facebook, they are the Chinese users of the site who are helping to translate it into their native language. Elsewhere, they are the surgeons collaborating on SpineConnect, an online community where experts from around the world can exchange ideas for innovations in the treatment of spinal injuries.

The potential of all this pooling of ideas is enormous, says Gloor.

If you're not convinced, he says, take a look at what COINs have already accomplished -- the creation of the World Wide Web itself is the most obvious example.

"It was developed by a network of people based all over the world working as a COIN," says Gloor, who ought to know since he was there for part of its inception.

Gloor was as a researcher at the Massachusetts Institute of Technology (MIT) in Boston 15 years ago at the same time as British scientist Tim Berners-Lee -- the man credited with inventing the Web.

Berners-Lee had come over to the U.S. from CERN, the European Particle Physics Laboratory in Switzerland where the Web had first launched three years earlier.

"I had the benefit of watching him work close up for a few months, and I saw that his real genius lay in his ability to co-ordinate and incorporate the ideas of all these hundreds of other people based around the world."

Since then COINs have helped create much of our online landscape.

The Web-based encyclopaedia Wikipedia and the Internet browser Mozilla Firefox are just two of the products whose development relies upon the contribution of a community of online users.

Gloor says: "I have a saying: 'Don't be a star, be a galaxy.' If you embed yourself in a galaxy you can go so much further."

ButGloor, who is from Switzerland, is not simply a delighted observer of the phenomenon. He was part of the network that helped develop hypertext -- online text that links to other text, like this. He worked with a hardcore of around 100 people worldwide, most of whom he never met and who worked on the project in their own time, and for little or no reward.

"Most of the innovation that you see on the Internet today was given away for nothing," he says. "People did it for the sheer love of it."

This fraternal, almost unworldly attitude is a common feature of many COINs. For the network to be successful, contributors have to operate transparently and be willing to share their knowledge.

This philanthropic, non-hierarchical approach to innovation sounds radical in an era when the theft of ideas by unscrupulous corporations is well documented.

However, Gloor says the concept has a strong historical precedent in the 'Junto' organization set up in Philadelphia by Benjamin Franklin in the 18th century. One of the Founding Fathers and a scientist by profession, Franklin set up the club for mutual improvement to allow people from diverse backgrounds to share knowledge and propose ideas.

Of course the idea of working collaboratively to create innovations is not new. Taking just one example, the development of much of modern physics (from quantum theory to the creation of the atom bomb) owes its success to teamwork. The Manhattan Project, for example, employed more than 130,000 people at over thirty different sites across North America and Europe.

Even so, it is an approach that the business world has found hard to come to terms with.

Gloor says the rigid structure of many big corporations makes this free exchange of ideas difficult to achieve. "In order to gain control, one has to give up control. But the one thing managers don't like doing is giving up control."

A case in point is the failure of Xerox to take advantage of the myriad of innovations produced at the company's research facility in the 1970s and early 1980s.

The R&D centre known as Xerox PARC and located in Palo Alto, California, was responsible for inventing laser printing and the Ethernet, and for pioneering the use of the computer mouse. Xerox executives failed to grasp the potential of many of PARC's inventions and it was left to other firms to develop them fully, and enjoy the profits.

Not all firms have been quite so sluggish.

Procter and Gamble, the world's biggest maker of household goods, made a commitment in 2001 to source half of all new innovations from outside of the company. It set up 'Connect + Develop', an initiative that allows people to submit new innovations online.

The venture has been so successful that P&G now gets 42 percent of all its new technologies from outside sources.

As a medium for exchanging ideas, the Internet seems almost without peer. Chris Seth, managing director of the social networking site Piczo, says the collaborative potential of the Web has yet to be fully realized, however.

"If Web 2.0 was about sharing collective knowledge or publication, then collective action -- making decisions en masse -- will typify Web 3.0," he says. E-mail to a friend

@highlight

Collaborative Innovation Networks (COINs) are online communities of innovators

@highlight

The World Wide Web and Wikipedia were both developed by COINs

@highlight

Author Peter Gloor says business needs to take notice of Web-based innovators

@highlight

Benjamin Franklin's club for mutual improvement is an early example of a COIN