While the EU and the United States cheered a deal that world powers reached with Tehran over its nuclear ambitions, Israel was fierce in its criticism Sunday.

"What was concluded in Geneva last night is not a historic agreement, it's a historic mistake," Israeli Prime Minister Benjamin Netanyahu told reporters. "It's not made the world a safer place. Like the agreement with North Korea in 2005, this agreement has made the world a much more dangerous place."

"For years the international community has demanded that Iran cease all uranium enrichment. Now, for the first time, the international community has formally consented that Iran continue its enrichment of uranium."

Washington said the changes called for in the agreement will make Iran less of a threat to Israel.

"We believe very strongly that because the Iranian nuclear program is actually set backwards and is actually locked into place in critical places, that that is better for Israel than if you were just continuing to go down the road and they rush towards a nuclear weapon," U.S. Secretary of State John Kerry told CNN's State of the Union.

Netanyahu disagreed.

The deal, Netanyahu argued, leaves Iran "taking only cosmetic steps which it could reverse easily within a few weeks, and in return, sanctions that took years to put in place are going to be eased."

"This first step could very well be the last step," he said.

"Without continued pressure, what incentive does the Iranian regime have to take serious steps that actually dismantle its nuclear weapons capability?"

Mark Regev, a spokesman for Netanyahu, said easing pressure will remove any motivation for Iran's leaders to make difficult decisions.

"It's like having a small hole in your tire, a small hole in the sanctions regime," he said. "In the end, like with your tire, you'll get a flat."

Obama discusses deal with Netanyahu

U.S. President Barack Obama tried to ease the close U.S. ally's concerns on Sunday, calling Netanyahu to discuss the deal.

White House spokesman Josh Earnest said Obama focused on conveying a key point: The United States remains committed to closely consulting with Israel throughout the negotiations with Iran.

The roughly 30-minute conversation between the two leaders was a "useful discussion," Earnest said.

"The President underscored that the United States will remain firm in our commitment to Israel, which has good reason to be skeptical about Iran's intentions," the White House said in a statement describing the phone call.

Obama also stressed that the United States and Israel share a common goal, making sure Iran never obtains a nuclear weapon.

Kerry: 'Very little relief' for Iran

Kerry argued that the deal will make Israel safer by freezing some Iranian nuclear development and removing its stockpile of uranium enriched to 20% purity.

And he said the sanctions part of the agreement is hardly a boost for Iran.

"There is very little relief. We are convinced over the next few months, we will really be able to put to the test what Iran's intentions are," Kerry told CNN chief political correspondent Candy Crowley.

The deal says that the U.S. will provide $6 billion to $7 billion in sanction relief -- just a drop in the bucket compared to the roughly $100 billion in foreign exchange holdings that are inaccessible to Iran because of sanctions, the White House says.

Iran insists its nuclear program is purely for civilian purposes, with no long-term goal of developing a nuclear weapons arsenal.

But such assurances haven't quelled sharp skepticism from Israel.

"If in five years, a nuclear suitcase explodes in New York or Madrid," said Naftali Bennett, the Israeli minister of trade and industry, "it will be because of the agreement that was signed this morning."

Shimon Peres, Israel's president, sounded a different note.

"This is an interim deal. The success or failure of the deal will be judged by results, not by words," Peres said in a statement.

"I would like to say to the Iranian people: You are not our enemies, and we are not yours. There is a possibility to solve this issue diplomatically. It is in your hands. Reject terrorism. Stop the nuclear program. Stop the development of long-range missiles. Israel, like others in the international community, prefers a diplomatic solution.

"But I want to remind everyone of what President Obama said, and what I have personally heard from other leaders. The international community will not tolerate a nuclear Iran. And if the diplomatic path fails, the nuclear option will be prevented by other means. The alternative is far worse."

Spokesman: Israel reserves the right to defend itself

To be sure, there is no love lost between Iran and Israel.

Iran, which in the past has questioned Israel's right to even exist, continues to push Israel's buttons with incendiary statements.

Israel, which says it has the most to lose if Iran develops a nuclear bomb, has repeatedly warned the West to tread warily when dealing with Tehran.

So finding that their greatest ally, the United States, has struck an interim deal with Iran brought condemnation from Israeli lawmakers.

"Israel cannot participate in the international celebration, which is based on Iranian deception and the world self-delusion," said Yuval Steinitz, minister of strategic and intelligence affairs responsible for international relations, and a member of the Knesset.

Lawmakers stopped short of saying whether Israel would go it alone militarily, if the need arose.

But Israeli officials told CNN's Ian Lee they would not rule out a strike against Iran -- and Netanyahu certainly didn't mince words.

In a written statement, he said Israel "is not obliged to the agreement."

"The regime in Iran is dedicated to destroying Israel and Israel has the right and obligation to defend itself with its own forces against every threat," he said. "I want to make clear as the prime minister of Israel, Israel will not let Iran develop a nuclear military capability."

Israel bombed a reactor construction site in Iraq in 1981.

Asked by CNN's Wolf Blitzer about the possibility of an Israeli airstrike on Iran's nuclear facilities in the next six months, Netanyahu's spokesman didn't rule out that option.

"We, of course, would like to see a diplomatic solution. We'd like to see a peaceful dismantling of the Iranian nuclear program. If that can be achieved, that's obviously preferable," Regev said. "But Israel always reserves the right ... to defend ourselves, by ourselves, against possible threats."

Israeli leaders 'sleep with one eye open'

It's hard for most Americans to understand why all Israeli prime ministers are said to sleep with one eye open, said Aaron David Miller of the Woodrow Wilson International Center for Scholars. He was a Middle East negotiator in Democratic and Republican administrations.

America, he says, has "nonpredatory neighbors to its north and south and fish to its east and west."

Israel, on the other hand, is a small Jewish state surrounded by antagonistic Muslim neighbors.

"I don't think Iran wants nuclear weapons to launch a first strike against Israel. But it's impossible to ignore, let alone trivialize, Israeli security concerns and vulnerabilities in this regard, particularly in the face of Iran's rhetoric, regional ambitions and support for terrorism over the years," he said.

Indeed, the verbal attacks have been relentless.

Even as the P5+1 met in Geneva, Iran's Supreme Leader Ayatollah Ali Khamenei unleashed another volley last week in Tehran.

Khamenei said Israeli officials "cannot be even called humans" and referred to Netanyahu as "the rabid dog of the region."

When Iranian President Hassan Rouhani described the deal on Sunday, widows and children of slain Iranian nuclear scientists stood nearby as he addressed them in his speech.

Iranian officials have long accused Israel of planting bombs under the scientists' cars, and analysts have argued that's a likely scenario.

Israel generally refuses to comment on accusations and speculation. After one such attack killed an Iranian scientist last year, Israeli military spokesman Brig. Gen. Yoav Mordechai said in a Facebook post that he didn't know who'd targeted the scientist.

"But I certainly didn't shed a tear," he said.

Once a 'honeymoon'

What is often forgotten in this tense relationship is that it wasn't always this way.

After the birth of the nation of Israel in 1948, it and Iran enjoyed a "honeymoon" that lasted until just before the 1979 Islamic revolution, David Menashri, professor emeritus of Tel Aviv University, told CNN last year.

Israel's ties with Iran were chiefly motivated by "a single word with three letters -- O-I-L," he said.

But the Islamic revolution that overthrew the Shah of Iran marked a turning point.

The Islamic Republic, led by Shiite clerics in the predominantly Shiite nation, saw Israel as an illegitimate state with no right to exist, certainly not amid Muslim nations.

Despite harsh rhetoric, though, then-Supreme Leader Ayatollah Khomeini "didn't want to get into a confrontation with Israel," said Ervand Abrahamian, a professor of Iranian and Middle Eastern history at Baruch College of the City University of New York.

One reason: Israel and Iran had a common enemy in Iraq, a country that fought an eight-year war with Iran. Israel even supplied weapons to Iran to help it fight.

In the years after the Iran-Iraq war, however, Israel began to regard Iran and its support of global terror as a chief threat.

And it watched uneasily as Iran has gained influence in the Middle East since the first Gulf War began eroding Iraq's power.

Those concerns escalated when international inspectors found traces of highly enriched uranium at a power plant in Iran in 2003.

In the escalating conflict, the United States has always said, in the words of Obama last year, that it has "Israel's back."

"The United States has no stake in concluding an agreement with Iran that leaves Israel angry, aggrieved and vulnerable. So, the two sides will find a way to work this through," Miller said. "But for now, buckle your seat belts. We could be in for one bumpy ride."

How to enrich uranium into fuel

@highlight

White House: Israel "has good reason to be skeptical about Iran's intentions"

@highlight

The deal makes the world "a much more dangerous place," Netanyahu says

@highlight

"You are not our enemies," Israel's president tells Iranian people

@highlight

Last week, Iran's supreme leader said Israeli officials "cannot be even called humans"