Paris (CNN) -- The Old Mostar Bridge, the giant Buddhas of Bamiyan, and now the Mausoleums of Timbuktu. Once again, culture is under attack.

Militants from the Ansar Dine group, which controls much of northern Mali, have started to destroy Timbuktu's ancient tombs. In three days, half of the town's shrines have been destroyed in a display of fanaticism.

In rebel hands since January, Timbuktu has been taken beyond the pale. Mali has gone from one of West Africa's most stable democracies to a country gripped by chaos, where over 300,000 people have been uprooted.

The destruction of Timbuktu's shrines adds a moral and cultural crisis to a desperate humanitarian situation. These are not accidents, nor the unfortunate side effects of conflict. This destruction is deliberate, undertaken in cold blood to catch the world's attention and destroy the last defenses of Malian identity and strength.

This attack is led by a tiny armed minority, who violently imposes its interpretation of a faith on a distraught local community, spoiling centuries of tolerance and exchange.

We must realize what is really going on. There is much more at stake than a handful of structures made of mud and wood -- as valuable as they are. Timbuktu is no ordinary town. The fabled "City of 333 Saints," is an ancient desert crossroads and a historic seat of Islamic learning and faith.

The attack on Timbuktu's cultural heritage is an attack against this history and the values it carries -- values of tolerance, exchange and living together, which lie at the heart of Islam. It is an attack against the physical evidence that peace and dialogue is possible. This is condemned uniformly by religious leaders across the world.

The International Criminal Court calls this a war crime. We call it an attack against humanity. This is an attempt to isolate and exclude, to sever the ties that bind peoples together.

There is no justification for such a wanton destruction. Beyond universal condemnation, we must act to protect our common heritage as one of our most precious assets to build peace and foster mutual understanding in a globalized world.

Islamist militants taking advantage of chaos in Mali

Protecting culture is not a luxury -- it is a security issue. Attacks against cultural heritage are attacks against the very identity of communities. They lead to devastation that can be irreparable, with an impact that lasts long after the dust has settled. Attacks on the past make reconciliation much harder in the future.

We know also the power of World Heritage to bring together divided communities and promote international cooperation in difficult contexts. I saw this personally in south-east Europe, for instance, when UNESCO helped rebuild the Old Mostar Bridge in Bosnia Herzegovina, destroyed during the war in the 1990s. UNESCO is also engaged today in restoration work in the Bamiyan Valley of Afghanistan.

As globalization accelerates, people feel ever more the need to protect their identities and sense of belonging. Culture has today a central role in peace building and conflict prevention. This is why it is such an easy target for fanatics.

Forty years ago, the world's nations came together behind the World Heritage Convention, inspired by the idea that we share a heritage that is universal and that draws all cultures together. Fanatics across the planet will always try to counter this idea. These attacks call on us to renew our commitment to protect culture. Just as 40 years ago, we need a new leap of global solidarity today, starting in Timbuktu.

I call on all parties to stop these tragic and irreversible acts. I am mobilizing UNESCO fully to provide support to the government and people of Mali. I have spoken to the leaders of the country and across the region and called on them to bring all the influence they have to help the people of Mali resolve the current crisis through dialogue.

@highlight

Irina Bokova: The destruction of Timbuktu's shrines adds a moral and cultural crisis to a desperate humanitarian situation

@highlight

She says the attack is an attempt to isolate and exclude, to sever the ties that bind peoples together

@highlight

"We need a new leap of global solidarity today, starting in Timbuktu," she says