London (CNN) -- Britain's accused rioters are facing the courts in growing numbers, as the streets remain quiet and the police continue their efforts to bring all those responsible for rampaging through London and other cities to justice.

More than 1,900 people have been arrested and about half that number charged, the majority in the capital -- and the front pages of British newspapers are filled with the accounts of those hauled up in court, many during special overnight sessions.

The violence first broke out in north London's Tottenham neighborhood after a protest over the death of a local man, Mark Duggan, who Prime Minister David Cameron said was shot by police, and spread on successive nights across London and other cities.

But after two nights of relative calm, much of the nation's attention has turned to what happens next for those caught -- and what the fallout from the disorder may be for British society.

Several newspapers highlight the case of 18-year-old Chelsea Ives, who appeared in court in Westminster on Thursday, reporting that she was picked to be a London Olympics "ambassador" tasked with welcoming guests to the capital during next year's Games.

But a London 2012 Organising Committee spokeswoman said Friday that Ives "is not a London 2012 Olympics ambassador and never has been. We believe she was actually a youth ambassador for the Waltham Forest borough."

Ives was allegedly captured on video hurling bricks at a police car and was reported to police by her parents after they spotted her on a television news bulletin. She denied charges of burglary, violent disorder and attacking a police car, the Guardian newspaper reported.

The Guardian also highlights the cases of an 11-year-old girl who pleaded guilty to criminal damage in Nottingham and a 12-year-old boy who admitted taking a bottle of wine from a Manchester supermarket.

As thoughts turn to the weekend ahead, Deputy Prime Minister Nick Clegg, speaking in Nottingham, warned prospective troublemakers against stirring up more unrest, saying they should "think again."

Home Secretary Theresa May announced that a march planned for Saturday by the English Defence League, a far-right group, had been banned. "It is clear that a ban is needed to ensure communities and property are protected," she said in a statement Friday.

A significant number of officers would be deployed in the town of Telford, 30 miles west of Birmingham, to police any English Defence League presence, she added.

In Birmingham, where three young men were killed in a hit-and-run incident in the early hours of Wednesday, community groups are planning a "peace rally" for Sunday with the aim of promoting unity, West Midlands Police said.

Londoners can expect the "surge" of 16,000 police officers deployed since Tuesday to remain on the city's streets through the weekend, Prime Minister David Cameron said Thursday.

The huge deployment comes against a backdrop of questions over Britain's policing approach and as lawmakers raise the prospect that new powers could be granted to police to tackle future unrest.

Cameron told lawmakers at an emergency session of Parliament on Thursday that police in London had waited too long to begin arresting rioters after unrest broke out Saturday.

"What became increasingly clear earlier this week was that there were simply far too few police deployed onto the streets. And the tactics they were using weren't working," he said.

"Police chiefs have been frank with me about why this happened. Initially, the police treated the situation too much as a public order issue rather than essentially one of crime."

This week's apparently orchestrated looting -- which occurred in different places at the same time -- presented "a new and unique challenge," but police had ultimately changed their approach, he told lawmakers.

Officers are now being given more tools to tackle disorder, Cameron said, with "every contingency" being looked at, including greater powers to ask suspected troublemakers to remove their masks.

The government may also consider measures to prevent troublemakers from using social media to coordinate disorder, he said.

Cameron promised a thorough inquiry into Duggan's death Saturday but said it did not justify the ensuing violence.

What started as a peaceful demonstration in front of the police department by community members and Duggan's relatives and friends was "used as an excuse by opportunist thugs in gangs, first in Tottenham itself, then across London and then in other cities," he said. "It is completely wrong to say there is any justifiable causal link."

The August 4 shooting occurred when officers from a police unit that deals with gun crime in the black community stopped a cab carrying the 29-year-old father of four in the working-class, predominantly Afro-Caribbean district of Tottenham, the Independent Police Complaints Commission said.

Police in the capital reported 1,144 riot-related arrests Friday, with 693 people charged. Police in West Midlands reported 467 arrests since Monday evening, and Greater Manchester Police listed 176, while police in Merseyside, which covers Liverpool, reported 74 arrests and Nottinghamshire Police 109.

Some 186 officers have reported being injured since Saturday, London's Metropolitan Police said late Thursday, having had "unprecedented violence directed against them."

Officers in London arrested a 22-year-old man Friday on suspicion of murder after the death of a 68-year-old man the previous day from injuries sustained in an attack in west London's Ealing neighborhood Monday.

Richard Mannington Bowes, who the Metropolitan Police said was assaulted after he tried to stamp out a fire set by rioters, was the fifth person thought to have died in connection with the disorder.

The force said Friday that three of the latest suspects to be charged included a 19-year-old man who is believed to have posted a picture on Twitter posing with a haul of suspected stolen goods and two teenage girls charged with counts including robbery, attempted robbery and possession of a knife.

Cameron said those convicted can expect to go to jail and promised new efforts to deal with gang culture and reform Britain's "broken society."

But much damage has been done, with retailers losing more than £100 million ($161 million) over four nights of looting and violence, one analysis found.

Cameron promised government help for families and businesses whose properties have been damaged. They will receive tax breaks and grants, including a new £20 million ($32 million) fund to help affected retailers get back in business, he said.

Police said residents could help them by identifying photographs of looting suspects. The Metropolitan Police and other police forces posted surveillance photos online.

Detectives investigating the hit-and-run incident in Birmingham arrested on Thursday three more males on suspicion of murder. They are ages 16, 17 and 26. A 32-year-old man who had been arrested Wednesday has been released on bail.

The three victims, ages 31, 30 and 20, were leaving prayers at 1 a.m. Wednesday and returning to a gas station they had been guarding to protect it from looters when the incident occurred, witnesses said.

Another man died after being found shot in a car in Croydon, south London, on Monday night.

The violence comes against a backdrop of austerity measures and budget cuts. But Cameron, community leaders and police have repeatedly pointed to a criminal, rather than political, motivation for the looting.

Analysts say a mix of economic and social tensions has been at play in the unrest, with deprivation a key factor. Those seen taking part in rioting and looting have been from diverse ethnic backgrounds and span a wide range of ages, and many are young.

CNN's Carol Jordan, Ed Payne, David Wilkinson, Anna Stewart and Bharati Naik contributed to this report.

@highlight

Official warns against anyone stirring up new trouble this weekend

@highlight

Community groups in Birmingham plan a weekend peace rally after deaths there

@highlight

More than 1,900 people have been arrested nationwide, authorities say

@highlight

Cameron says police shot Mark Duggan, the man whose death first sparked protests