(CNN) -- It was in the cave of Hira that the prophet Muhammad received the first revelation of the Quran. For rugby's original wild child Sonny Bill Williams, meeting a Tunisian family who lived with their five children in a one-bedroom flat in the south of France proved pivotal to his conversion to Islam.

The New Zealander's unshakeable belief in the Almighty has proved to be the making of one of the island nation's most gifted -- and controversial -- sports stars.

"I was real close with them, and I saw how happy and content they were. And to see how they lived their lives, it was just simple," Sonny Bill Williams, a prodigious rugby talent, professional boxer and tattooed poster boy, tells CNN's Human to Hero series.

"One thing I've learned over my career is that simplicity is the key. On the field, off as well."

"I've become a true Muslim," added Williams. "It's giving me happiness. It's made me become content as a man, and helped me to grow. I've just got faith in it and it has definitely helped me become the man I am today."

The Williams of today does not visibly bear the scars of the 15-year-old who was thrust into the unrelenting drinking culture of one of Australia's top rugby league clubs and shamed by national media after being caught in a compromising position with a model.

A man who quit that scene, walking out on his contract to take up a lucrative offer to switch codes and join a French rugby union club -- requiring a substantial compensation payout.

A man who rejected a reported record $5 million deal to stay with Toulon and returned to Aotearoa -- "the land of the long white cloud" -- to follow his dream of playing for the prestigious All Blacks, but found himself a fringe figure for 2011's long-awaited World Cup triumph on home soil.

He's been battered in a boxing ring, criticized for landing another big-money deal in Japan, and is now back in the sport where he's most at home.

And still controversy follows him.

World Cup mission

Williams failed in his bid to become the first player to win the World Cup in both union and league this month, as the Kiwis suffered a crushing defeat against Australia in the final to relinquish the title won four years ago.

His mere presence in the squad for the tournament caused a storm, as he only made himself available the day after it was named -- reversing his earlier decision. It meant one unlucky player had to make way.

"I thought I was doing a good thing, you know, staying true to myself," says the 28-year-old, who had just completed a triumphant return to Australia's National Rugby League competition, winning his second title and subsequently deciding to extend what had initially been planned as a one-year stint with the Sydney Roosters club.

"Then obviously there was a bit of a falling out, because one of the players was taken out of the squad, one of the young boys, and I just got absolutely hammered.

"And it just made me think, you can't please everyone, you know? If you go about trying to please everyone, there's going to be endless struggles.

"As long as you are happy with the man you see in the mirror, it's all that counts I guess."

The battle within

When Williams, who stands at 6 foot 4 inches and weighs in at 17 stone (108 kg), looks at himself in the mirror, it is surprising to hear him admit to vulnerability.

"My toughest opponent is probably myself, I guess, mentally," Williams says in his quiet voice, a gentle contrast to his powerful physique.

Stripped to his trunks in the boxing ring, you can see the rippling muscles and elaborate tattoos that have made him a pinup.

"Overcoming the mental struggles that you have out on the field, it's been probably the biggest one for me. The reason I feel so mentally strong now is because of boxing and going through those tough times," he adds.

"I've always had battles inside my head where I had to think where I was going to go."

Fighting fit

Williams is close friends with fellow Muslim Anthony Mundine, a former Australian rugby league star who became a boxing champion and has helped the Kiwi fulfill his ring ambitions.

Williams' last fight, back in February, earned him the little-known WBA International Heavyweight title -- and some punishing blows from South African journeyman Francois Botha in a reduced 10-round bout.

"Every sport has helped me excel in another. Boxing has given me the mental strength to know that I can face anything on the field, without a doubt," he reflects.

That sixth fight is likely to be his last for a while, as he focuses on his rugby goals. Rugby is a de facto religion in New Zealand, a country where the gods play with an oval ball and where institutionalized faith is losing ground with its general populace -- just over 50% said they were Christian at the last completed census.

He is back playing the sport that is perhaps closest to his heart -- his dad played it, and his mum's father was a renowned coach in Auckland, New Zealand's largest city, where he grew up.

Family means everything to him. His parents are separated, but he brought his father to Sydney with him and sees his mum when he can. He has bought both of them houses.

"My mother and my father were really big on manners," Williams recalls. "Almost to the point, you know, that when I got a bit older it made me a bit too shy, I never said anything out of turn. But they've molded me to the person that I've become."

He's always been competitive -- even if it meant finding a short cut to finally beat his older brother ("the biggest influence on my sporting career") in their regular childhood running races -- and he had been pegged as a future athletics champion before choosing rugby league.

"I've always loved sport. It's funny, it's all I ever thought I was good at. Whatever sport was there, whatever ball I could pick up, whatever bat I could try, I'd give it a crack."

Finding simplicity

Williams became the youngest player to be signed by an NRL team, winning his first Grand Final as an 18-year-old with the Canterbury Bulldogs in 2004, and was the youngest to represent New Zealand's Kiwis league side.

"I grew up as a Christian, like many Polynesians do, and moving to Australia suddenly when I was 15, I learned a lot about Muslim faith," he says.

It was in Toulon where, having fled Australia under threats of lawsuits from his jilted employer, his conversion to Islam was realized.

Having to adhere to the rule of Ramadan fasting has given him a new perspective on some of the things we take for granted.

"When you do Ramadan and you go for the whole month, you're that much more appreciative of being able to eat food and drink water -- that's what it's designed to do," he says.

But faith in the divine can only do so much, he says -- the rest is up to you.

"To be the best you definitely have to have some God-given talents, but you also have to have the drive and the will and the dedication," Williams explains.

"Simplicity is the key and I just try to keep things as simple as I can. But I never lose that one thing that's got me there -- that's drive, working hard, doing all the little things, ticking all the boxes."

The next challenge

Having switched allegiances so often, Williams finds himself having to work hard to earn acceptance -- which means trying to break some of his own habits.

"I'd like to be a bit more trusting, letting my guard down a little bit more. I'm too serious sometimes, bro, as you can tell," he acknowledges, before breaking into a big grin.

"And in a team environment sometimes I'm too intense, you know, sometimes I've got to sit back and just relax. Just chill out. But it's just how I'm made. I've always been competitive."

Williams admits he would be tempted to try another of rugby's formats, Sevens, which will make its Olympic debut at Rio 2016.

"That would be a dream come true. If I had the opportunity to give it a crack, I definitely would," he says.

"But there's so much talent in New Zealand that it's probably almost a distant dream at this stage."

Whatever he decides to do after his new Roosters deal ends next year -- he has hinted he will return to union ahead of the 2015 World Cup -- it's a fair bet that Williams will succeed.

He has won titles almost everywhere he has been, and that has been driven by something deep inside him.

"I just don't want to fail, to be honest. I don't want to let my family down, I don't want to let myself down," Williams admits, falling back into his earnest, serious tone.

"That's probably the biggest thing I fear. I'm confident as a man, these days, and I know what I can achieve if I put my mind to it."

@highlight

Sonny Bill Williams is hoping to be first player to win World Cups in both rugby codes

@highlight

He was the first Muslim to play for New Zealand's All Blacks, winning 2011 world title

@highlight

Williams is part of NZ Kiwis team which has reached final of Rugby League World Cup

@highlight

He says becoming a Muslim has helped him become content and more assured