(CNN)We might never truly comprehend what drove co-pilot Andreas Lubitz to crash Germanwings Flight 9525 into the French Alps on March 24, killing everyone on board. The latest report shows that he sped up the descent of the plane to its doom. It's terrifying.

As the investigation unfolds, we will learn more about to what extent Lubitz kept his mental illness secret, or how much help he sought. How much did his battle with depression affect his fitness to fly? Should he have walked away from his job? Should his doctors have sounded alarm bells?

His case raises larger and important issues about people who are burdened with mental illness and the pressure of its stigma.

Too often and for too long, people with mental illness have been regarded by others around them as disasters waiting to happen. When we don't distinguish between people with a mental illness who are dangerous to society and those who are a danger to no one, we reinforce a pernicious idea that's both bad for society and bad for those with mental illness.

Some people feel a need to keep their mental illness a secret while others decline to seek help. That's why in our public and more private discourse, people with mental illness and the rest of society must talk about mental illness in a way that doesn't drive some into the darkness.

We need to understand this malady as an illness and not a personal failing. And we have to recognize that "mental illness" is a broad category encompassing many different challenges that affect people in a variety of ways. People with mental illness are no more violent than the rest of the population and with proper treatment, many can recover and live healthy, productive lives. We must encourage them to open up, and when they do, we must listen to them and take their cries for help seriously.

It wasn't that long ago that a diagnosis of cancer was a tightly-kept secret that many victims of the deadly malady kept from family members, friends and especially employers. But that changed dramatically over the years as people with cancer, their family members and caregivers came together to educate and change public opinion about the disease.

Similarly, and with the courageous example of Michael J. Fox, we've seen perceptions about Parkinson's disease change for the better, as people learn more about what it is and isn't.

Time to talk about depression

That's the kind of transformation we need around perceptions of mental illness through a better-informed public discussion. We have to put policies in place that encourage more openness without the severe repercussions people with mental illness fear.

That includes enforcing and even strengthening the kind of protections we already have in place (through laws and regulations like the Americans for Disabilities Act) for individuals who disclose their disability.

We also need to address the dilemma health care providers often face when they feel that strict patient privacy requirements inhibit them from alerting others to behaviors that could pose a public risk. It's a difficult balance. Sooner rather than later, policy leaders need to explore a way to provide greater flexibility in patient privacy regulations to enable health care providers to identify seriously ill persons who could potentially pose a harm to innocent people.

At the same time, we must reassure those who forthrightly reveal their struggles with mental illness that they can still carry on their lives in ways that will be valuable to their communities, families and employers. That can start with urging employers not to dismiss anyone who discloses his or her mental illness and to retrain them for other appropriate positions. If companies ban them from the workforce or from other roles in society, we will just be shifting the problem elsewhere and perpetuating the stigma that dangerously drives them underground.

We won't pretend that this is an easy problem to solve. But, awful as Germanwings Flight 9525 tragedy was, the case may galvanize a discussion and reexamination that is long overdue. We need to build awareness and support for those who suffer from mental illness.

@highlight

Andreas Lubitz, the co-pilot who crashed the Germanwings flight, battled with depression

@highlight

Jay Ruderman and Jo Ann Simons: Society must talk about mental illness to help people cope with it better