London (CNN) -- After five years in crisis the eurozone's new leader has emerged. With influence reaching from the Arctic Circle to the Mediterranean Sea, the European Central Bank now rules the common currency with unparalleled power.

But as the bloc's new protagonist, the ECB is facing criticisms it has overstepped its remit, and potentially broken the law.

It began back in 2007, following the U.S. sub-prime housing collapse and subsequent banking crisis. As the reverberations spread across the globe, Europe's central bank took action.

Read more: Is the eurozone crisis almost over?

For five days -- beginning August 9 -- the ECB pumped 335 billion euros ($431 billion) through the arteries of the European banking system in an effort to revive liquidity in the private sector. It was the first sign of the central bank's willingness to take exceptional measures in order to protect the single currency.

Several expensive national bailouts later, the European Central Bank is still grappling with financial crises. But now, it's focused on saving the eurozone.

Does the latest strategy break the law?

Today, the ECB is relied upon to implement a swathe of controversial and highly unorthodox policies that its President Mario Draghi terms "non-standard measures."

Such actions include lending to banks at cheap rates, buying-up national debt, negotiating bailouts for financially beleaguered countries and even brokering political support.

Read more: Greece: When anger goes beyond despair

Its strategies -- and comments from Draghi -- have been critical to driving down the borrowing costs of eurozone countries, and helping offset the crisis.

The ECB's latest crisis-busting solution to buy government debt -- dubbed Outright Monetary Transactions [OMTs] -- is drawing criticism from economists who claim it is tantamount to financing governments struggling to control their debt burdens.

Roland Vaubel, a professor of economics at Mannheim University, told CNN the eurozone's central bank is "violating" its statute and intervening in the sovereign bond market is "illegal."

But Christopher Pissarides, Nobel economics laureate, supports the most recent action taken by the euro-area's central bank and believes it is adhering to its mandate by support ailing nations.

He told CNN: "The first point in their mandate is that they should provide the right environment for the euro to establish itself and become the common currency, and I do think that these measures that they are taking are necessary to ensure that."

Read More: Euro crisis opens old wounds for Greece, Germany

The potentially unlimited OMT program has created a rift between the ECB and Germany's central bank president Jens Weidmann, who says the measures pose a risk to euro-area stability.

Joerg Kraemer, chief economist at Commerzbank -- Germany's second largest bank -- agrees that the central bank risks losing credibility. He told CNN: "As an economist, I would say that bond purchases are against the spirit of the ECB statute."

Kraemer added: "The ECB should not do the job of de facto financing government expenditures."

This is not the first time the ECB has supported governments in the bond market by buying up debt.

On May 10, 2010 -- eight days after Greece agreed a 110 billion euro [$141 billion] bailout with European partners and the International Monetary Fund -- the bank announced the Securities Markets Program, a predecessor to the now-operational OMTs.

Hero or villain?

The OMT program was launched on September 6 at the bank's monthly press conference in Frankfurt, following political pleas for action from Italy and Spain.

Prime Ministers Mario Monti and Mariano Rajoy had both urged the European Central Bank to buy bonds of eurozone countries to help governments manage unsustainable levels of interest on debt.

Draghi has always maintained the ECB's latest solution is not a tactic to fund the debt-stricken nations of southern Europe. To dispel these fears, he introduced strict conditions.

According to the rules any country, including Spain and Italy, that appeals for the OMT program must first request a bailout from the euro-area's rescue fund -- the European Stability Mechanism. While this was the path taken by previous aid recipients and eurozone minnows Greece, Ireland and Portugal, it is considered politically destructive for economic giants Spain and Italy.

Spain: Perils of being 'filthy stinking poor'

But Vaubel says even imposing conditions on eurozone members is a violation of the ECB's statute. He says that the central bank must retain independence and not accept orders from lawmakers. Vaubel argues that by using the government-funded ESM as a condition of central bank support, the ECB "accepts orders from finance ministers" which is "prohibited."

Joerg Rocholl, president of the European School of Management and Technology, told CNN the central bank is taking its mandate to the extreme, even with conditions imposed on countries seeking aid. Rocholl added that the ECB has become a guarantor for the private and public sectors in the eurozone: "The ECB is more than a lender of last resort, not only to the banks, but also to nation-states," he said.

ECB goes on charm offensive

In October, Draghi traveled to Berlin to justify his policy action to German lawmakers. In a two hour grilling by ministers, he sought to convince euroskeptics that an ECB bond-buying program does not pose an inflation risk. Before entering the Bundestag, he also made clear that the OMTs were not "disguised financing of governments."

When the former Goldman Sachs banker emerged from parliament -- looking calm and collected -- he stated to a handful of journalists that sovereign bond purchases were in compliance with the ECB mandate. The message was backed by German Finance Minister Wolfgang Schaeuble.

But not everyone who attended the question and answer session with the central bank chief was swayed. Frank Schaeffler, a member of the Free Democrat Party in coalition with German Chancellor Angela Merkel's Christian Democrats, told CNN he was "definitely not" convinced by Draghi's justifications for bond purchases.

He said: "Many Germans have become skeptical towards the antics of the ECB." However, he added "there is not much credibility left to be damaged."

European Central Bank executive board member Benoit Coeure has publicly defended the bank's strategy. In October, he told the Financial Times the ECB will suspend any OMT operations if the countries do not comply with the conditions. He said: "It's a condition of the efficiency and credibility of the program."

The threat of this monetary support being removed is potentially dangerous to both the country in question but also to other nations seeking respite, according to Joerg Rocholl. He said: "It is very hard to imagine how the ECB could withdraw OMT support if a country didn't pursue the reform targets."

Legal challenges ahead for the ECB

Despite Draghi's best efforts to impress policymakers in the Bundestag, Vaubel expects the issue of bond purchases to appear on the agenda of the German constitutional court. In September, the highest court in Europe's largest economy approved and gave legitimacy to the eurozone's permanent rescue fund the ESM.

According to Vaubel, the OMT program is likely to come before the German constitutional court in December, and he expects the central bank's latest policy initiative to meet a very different fate. He added "I foresee that the constitutional court will deem that these OMTs cannot be justified by the ECB."

@highlight

ECB President Mario Draghi has said the latest crisis solution is not a tactic to fund the debt-stricken

@highlight

The ECB implements controversial and highly unorthodox policies termed "non-standard measures"

@highlight

The potentially unlimited OMT program has created a rift between the ECB and Germany's central bank president