(CNN) -- An estimated 600,000 Fijians took to the polls on Wednesday as the country held its first election since a military coup in 2006.

There are hopes the election will mark a genuine return to a democratic era for this South Pacific island nation, whose record of coups has seen it labeled a "Bainimarama Republic," after the name of its military leader, and whose turbulent domestic politics sits sharply at odds with the idyllic image that draws hundreds of thousands of tourists each year.

"It's been highly anticipated. There's the expectation that after eight years this will be the defining moment for re-democratization in Fiji," says Steven Ratuva, a Fijian academic who is a senior lecturer in Pacific studies at the University of Auckland.

But in a country that has experienced four coups d'etat in the past 27 years, not everyone is optimistic.

"I'd describe it as a return to a very fragile democracy dependent on the whims and fancies of essentially one or two individuals," says Fijian academic Brij Lal, a professor of Pacific and Asian history at Australian National University.

Why does Fiji have so many coups?

At the heart of the country's political instability, said Ratuva, are ethnic tensions between the country's indigenous majority, predominantly Melanesians, who are believed to have arrived on the islands 3,500 years ago, and Indo-Fijians.

The latter group are mainly descendants of indentured laborers brought from India by Fiji's former British colonial rulers in the late 19th and early 20th centuries to work on the sugarcane plantations. In the 2007 census, indigenous Fijians accounted for about 57% of the population, Indo-Fijians for about 38%.

These tensions were particularly exacerbated by the previous political system, in which ethnicity was politicized and politics was a zero-sum game, says Ratuva.

Fiji's first coup in 1987 saw an elected, Indian-dominated coalition overthrown by indigenous Fijians, leading to the implementation, and later withdrawal, of a constitution that guaranteed indigenous political supremacy.

In 2000, the country's first ethnic Indian prime minister, his cabinet and several MPs were held hostage for several weeks in a coup, led by businessman George Speight, that began with deadly riots in the streets of Suva, the capital.

By contrast, said Ratuva, during the 2006 military coup, led by then Military Commander Josaia Voreqe "Frank" Bainimarama, an ethnic Fijian, the military's role shifted from acting in the name of indigenous nationalist interests to taking action against them.

At the heart of the dispute triggering the 2006 coup was proposed legislation that would have granted pardons to plotters of the previous coup, and two land rights bills that Bainimarama believed would have unfairly favored indigenous Fijians over the Indo-Fijian minority.

"In the 2006 coup, the military itself had shifted from being an ethno-nationalist military into a more politically moderate institution," says Ratuva.

Why does the military play such a large role in Fijian politics?

Partly, because it plays a large role in Fijian life, says Ratuva.

"Even before colonialism, tribal leaders who were the dominant chiefs in Fiji came to power as warriors. When the British came they transferred that warrior psychology into the new military psychology," he says. "The notion of the warrior class has always been there."

Over the years, the military has become deeply entwined into Fijian society.

"Almost everyone has a relative in the military. It's linked to the Fijian sense of masculinity, it's linked to the economy -- there are Fijian soldiers doing peacekeeping around the world who send back remittances," he says.

Will the elections be free and fair?

While polls indicate Bainimarama's party is the most popular of the seven contesting the election, questions remain as to how far the strongman prime minister has shaped the process in his favor.

"In terms of whether the ballot boxes are secure, my sense on that front is it will be fairly OK," says Lal, a long-standing critic of the regime.

"The problem is that you have to assess if it's fair in the context in which it takes place."

Fiji does not have a free media, he says, with the government controlling TV, radio and newspaper outlets. "He has media exposure which other parties don't -- they've complained but there's no action. He has used the advantages of incumbency to the hilt."

Lal says there is a "sense of fait accomplit" around the election -- "that whatever happens, Bainimarama will return," either through the ballot box, or by insisting on staying if the results are not to his favor.

Another scenario, he says, is that the military could step in to safeguard the new constitution, implemented last year, if other parties look to make good on their stated desire to change it.

How will the country's ethnic divide be reflected in voting?

Bainimarama's changes to political structures have gone some way to creating a more equitable situation between indigenous and Indo-Fijians, says Lal.

He has introduced a new constitution, abolished the powerful Great Council of Chiefs, a traditional group of indigenous Fijian leaders who mostly inherited their positions, and done away with electoral boundaries that grouped people according to their ethnicity to the benefit of indigenous Fijians.

He pushed steadily for equal rights, culminating in a 2013 constitution, helping him to consolidate his popularity among Indo-Fijians.

"Bainimarama says we have abolished racial voting, which is true, but how does that translate into race relations?" says Lal.

"Many Indo-Fijians will vote for Bainimarama, partly out of fear that they'll be at the mercy of Fijian nationalists should they fail -- also because his policies are geared towards bread and butter issues, and ... many Indo-Fijians live below the poverty line."

While there are many Indo-Fijians who don't support Bainimarama -- and many indigenous Fijians, particularly among the poor, who do -- many indigenous voters were aggrieved by the changes he had brought about in the name of equality.

"Many indigenous Fijians feel hard done by -- their cultural institutions such as the Great Council of Chiefs have been abolished with no consultation whatsoever," Lal says.

The restoration of democracy would also help hasten the international rehabilitation of a country that has been diplomatically isolated at the behest of regional powers Australia and New Zealand.

If the election is judged fair by the team of about 100 international observers monitoring the vote, the Commonwealth group of nations has indicated Fiji could be welcomed back into the fold as early as this month.

@highlight

Fiji held its first elections Wednesday since a 2006 military coup d'etat

@highlight

The South Pacific island nation has had four coups since independence

@highlight

The party of the strongman PM, a former military commander, is leading in polls

@highlight

The military plays a large role in Fijian social and political life, say academics