Yangon, Myanmar (CNN) -- Lights flicker on and off at any hour of the day, sending visitors' eyes toward the ceiling, while locals carry on without a pause.

Blackouts are common in Myanmar, due to an old and neglected energy network that only reaches a quarter of the country's 60 million people.

Even in the largest city, Yangon, only two-thirds of the population is connected to the grid. The rest rely on diesel generators and batteries. Some poorer neighborhoods receive as little as one hour of electricity a day.

Aye Kyaing, 39, rents out a pool table in his one-room house in North Dagon Township in northern Yangon. Two lights -- a strip light and a single bulb -- cast a mild glow over the game. A small candle sits on the kitchen bench for when the lights go out.

"In 2011, it was really bad," he said. "We lost electricity about two to three times a day for very long. This season, it's only happened twice."

New energy architecture

Delivering energy to 45 million people not currently serviced by the grid is one of the biggest challenges Myanmar faces as it embraces democracy after decades of military rule.

"Electricity access is crucial for education, it's crucial for health, it's crucial for other social kinds of support and social activities -- so it's much broader than just industrial or business needs," said Stephen Groff, vice president of the Asian Development Bank, while launching a new report "New Energy Architecture" at the World Economic Forum in Myanmar.

Currently, Myanmar produces 75% of its electricity by burning wood from natural forests or hydropower, which all but grounds to a halt during the dry season from December to March.

The country is rich in natural resources but until now anything extracted has been exported to China and Thailand. Myanmar's new policy, the government says, is to keep it at home.

"Because of the sanctions, we needed hard currency for development -- otherwise our country would be left behind," said Deputy Energy Minister Htin Aung.

"But our new policy is that natural resources that we find will be used as a priority for the domestic market. We are not going to sell it unless we fill our demand first," he said. "If there is a surplus we will pursue value-added products and export."

He says current contracts will be honored -- "it is the reputation of our country" -- but no new export deals will be signed until domestic demand is satisfied.

Decrepit power network

Patching the holes in Myanmar's decrepit power network will be no easy task, but in the meantime the country's being urged to take modern strides with mini off-grid solutions.

It's worked in Laos, a country of six million people that borders Myanmar, China, Thailand, Cambodia and Vietnam. In 2000 only 30% of Laotians had access to energy. Now 70% receive power from various grids.

Simon Henschel is the chief operating officer of Sunlabob Renewable Energy, a private company that's been working with the government and villages to bring energy to rural Laos since 2001.

"In the north we've established a regional grid; three villages each have a hydro-turbine connected to a solar hybrid grid," he said. "The hydro power runs every day, 24 hours, it's very powerful energy and the solar is for peak hours and makes it more efficient."

The hydro power station provides electricity to around 900 households in two villages. It's now connected to the main utility grid and a feed-in tariff has been agreed so that investors can earn money from the excess.

Who those investors might be depends on government policy, which is yet to be decided. It could vary from village to village, Henschel says, depending on who has the money to invest and how long they can wait for returns.

"Some of the villages that I've seen here, the monasteries have huge influence," he said. "We have had contact with Burmese monks who have money to pay for the grid systems for their surrounding villages. So there's different ownership business models and I think policy should be addressed to make it open."

If monks are at one end of Myanmar's potential energy solution, major players like Total, Chevron and China National Petroleum Company (CNPC) are at the other.

After taking office in 2011, the Burmese government put dozens of on and offshore blocks up for tender, and another 20 offshore blocks are expected to be offered by the end of this year.

Major pipelines

Right now, 16 foreign companies are working on 17 onshore oil blocks, and another 15 are involved in exploration or production at 20 existing offshore blocks, according to the report.

By 2014, work is expected to finish on two major pipelines. CNPC is building a 771-kilometer (479-mile) pipeline through Myanmar to take oil from the Middle East and Africa to China.

Another 870-kilometer (540-mile) pipeline will take gas overland from the Shwe gas field -- off the coast of western Rakhine State -- also to China.

Shwe is one of two new gas fields due to open by the end of this year that are expected to double existing production, increasing exports to China and Thailand.

While plans are in place to switch the power on in Myanmar, experts and the government warn it will take significant time and money.

"If you're going to see a change in electricity access from 26% where it is today, to what we would hope to reach by 2020 -- 60% -- there's a lot that needs to be done," said Groff.

The minister added: "We are working very hard to have a sustainable electricity in the very near future and for the longer term we have been planning a lot of things so there's sustainable energy for the whole country."

For many people it won't come a minute too soon.

Han Thar Nyein contributed to this report.

@highlight

Old and neglected energy network in Myanmar means regular power outages

@highlight

Even in the largest city, Yangon, only two-thirds of the population is connected to the grid

@highlight

Myanmar rich in natural resources but until now, anything extracted exported to China, Thailand

@highlight

Myanmar's new policy, the government says, is to keep it at home