Rockcastle County, Kentucky (CNN) -- This area of eastern Kentucky is known for lush, green hillsides and white picket fences. It is a place where bluegrass music may be heard trailing off when a car passes by, where "downtown" is a two-block stretch of quaint shops.

Life here may seem simple, but a darkness has been quietly nestling itself into the community.

"Rockcastle County is averaging one drug-related death per week," said Nancy Hale, an anti-drug activist and educator. "When your county is a little over 16,000 people and you're losing a person a week ... you're losing a whole generation."

The generation being lost, Hale said, is parents. An inordinate number of children in Rockcastle County -- and in neighboring areas in eastern Kentucky -- are living without them.

According to 2010 census data, more than 86,000 children in Kentucky are being raised by someone who is not their biological parent -- mostly grandparents -- and many here blame those fractured families on prescription drugs.

"I know a little girl who found her father dead of a drug overdose, found her uncle dead of a drug overdose, and now she's living with her aunt," said Karen Kelly, executive director of Operation UNITE, a community coalition devoted to preventing overdose deaths in Kentucky.

"The kids really are the ones paying the biggest price."

'You're always worried'

"It's a terrible thing," said Sean Watkins, 17, a junior at Rockcastle County High. "Especially in our community, it's really bad."

When he was 10, Watkins and his family were expecting his mother for dinner, but she never showed up. He and a family friend went looking for her at her home.

They walked into her bedroom and saw her face down, motionless. The friend quickly whisked Watkins out of the room.

"I don't know what was going on, but I knew something was wrong," said Watkins.

His mother was dead after overdosing on Oxycontin.

At the time, Watkins says that he and his mother had been estranged for years because of her prescription-drug addiction. His father had not been in his life since shortly after his birth.

"Growing up without parents, without a normal mom and dad, you feel different," said Watkins. "You go to your friend's house and they have a happy family ... you're jealous. You want that."

Shortly after his mother's death, Watkins says his grandmother also became addicted to prescription drugs, and eventually vanished. Now he lives with his grandfather.

"I'm grateful that I have my grandfather who stepped in and takes care of me now," said Watkins. Still, he calls growing up without parents "horrible."

Gupta: Let's end the prescription drug death epidemic

It sometimes feels is as if every student at his school has been touched by the epidemic, he said.

"The hardest part of growing up without a dad would be not having that model family that you always see," said Avery Bradshaw, 16, also a student at Rockcastle County High School.

Bradshaw's father overdosed on Oxycontin when he was 7. His mother, he said, is in and out of his life, so he is being raised by his great-grandparents.

Avery knows many children at school who are not so lucky. After their parents overdose or abscond because of prescription drugs, the kids go from couch to couch and from home to home -- living in a constant state of transience.

For those children whose parents have not overdosed but are deep in their addiction, there is a sense of perpetual wariness about what they might find when they get home from school.

"You're always worried ... if your parents are even going to be there, you know, what's going on in your house?" said Bradshaw. "A lot of kids have to go through that every day and it definitely wears them down, you know."

Guardians' Day

The prescription drug overdose epidemic just recently began appearing on the national radar, so figures concerning the number of children orphaned after a parent overdoses are difficult to assess.

What is known is the high number of overdoses, broadly: In the United States, someone dies of a prescription drug-related overdose about every 19 minutes. The epidemic affects every state in the nation, and has hit hardest in places like Washington, Utah, Florida, Louisiana, Nevada and New Mexico.

Kentucky -- and the Appalachian ridge, generally -- is one of the regions hit hardest. Kentucky is the fourth most medicated state in the nation and it has the sixth highest rate of overdose deaths, according to the state's Attorney General.

In Knott County, adjacent to Rockcastle, Kelly said more than half of the children have lost their parents due to death, abandonment or legal removal. Anecdotally, she says, the numbers in other aeas could be even higher.

And in nearby Johnson County, so many children have lost parents that school administrators there changed "Parents' Day" to "Guardians' Day."

Addiction and death are common concerns for families here, according to Kelly -- too common.

Her voice wavering, Kelly recalled the story of a young girl who realized her mother was overdosing on prescription drugs right in front of her.

"She wanted to call the police and the other adults in the home were so high they wouldn't allow her to call," said Kelly. "So she crawled up into her mother's arms while her mother died. Now she's just living with a lady she met at the local Boys and Girls Club.

"Those are the situations we're dealing with in eastern Kentucky."

Prescription drug deaths: Two stories

"Someone has to take care of these kids, and we simply do not have the facilities to do that," said U.S. Rep. Hal Rogers, whose district in Kentucky is mired in prescription drug abuse. "So it's neighbors, it's churches, other civic groups that are trying to be parents to these kids who are orphaned by drug-abusing parents.

"That's a huge undertaking, because there's literally tens of thousands of these young children," he added.

Rogers started the Operation UNITE drug task force in 2003 as a response to the broader prescription drug abuse epidemic in his state. Initially, he thought, "If we could get the pushers off the streets, that the problem would be solved."

But years after he launched the task force, groups of children were showing up at community meetings to speak of their struggles after one parent -- or both -- overdosed.

"That hit me like a ton of bricks in the head," said Rogers. "These are young people who are now thrown into the streets. So there are some real side effects to these parents using drugs."

Now, the UNITE program is channeling energy toward the children floundering socially, emotionally and academically after losing parents. They have programs set up at schools across Kentucky.

'It's time for it to stop'

Hale, who worked in the local school system for 34 years, started a UNITE chapter at Rockcastle County High.

"It really got to the point where we were sick and tired of going to funerals," Hale said. "We were tired of having kids come in and not being able to sit through physics class because they were worried about Mom who had overdosed. So we were like, 'What can we do? How can we help these families?'"

One way UNITE helps is by educating and counseling children who are having problems at home related to addiction. The group also empowers children like Bradshaw to speak out about their own loss.

"I know that a lot of kids deal with drug abuse from their parents," said Bradshaw. "I don't know how many have lost parents, but I know a lot of kids definitely deal with that going home every day. I think right now we're definitely at a point where everybody needs to know about it and how it affects everybody."

"It's time for it to stop," said Kelly. "It's leaving our communities in shreds and we're left behind to pick up the pieces from that."

Advocates such as Hale and Kelly are desperate for an intervention to reach the thousands of children who are not being helped by programs like UNITE.

Watkins said that the pain of having no parents is something that he will deal with for the rest of his life.

"People have to understand that this is a problem," he said. "It doesn't affect just the person that uses, it affects the entire family."

@highlight

Many children and teens in eastern Kentucky have lost a parent to drug overdose

@highlight

"Without a normal mom and dad, you feel different," one teen says

@highlight

Kentucky is the fourth most medicated state in the nation and sixth for overdoses

@highlight

A drug task force aims to help children left behind by parents' addictions