Austin, Texas (CNN) -- When it's revealed that a prominent member of a clandestine movement has been giving information to the FBI for months, you'd think it would intimidate others in the group into backing off.

And that may have been the case when it was discovered that "Sabu," real name Hector Xavier Monsegur, had been arrested in June and provided information that helped lead to the arrest of five other alleged members of the "hacktivist" collective, Anonymous.

For a few minutes, anyway.

"That night, after everyone found out, it was a bit chilling," said Gregg Housh, one of the few people associated with Anonymous who speaks publicly using his real identity.

But in the hours and days that followed, something very different happened.

"That switched. A lot of people we hadn't seen for months, or years, started showing up. An attack [on some sites by Anonymous] happened that night," he said. "It just angered them, not frightened them."

Housh was speaking at South by Southwest Interactive on Tuesday, the annual festival in Austin devoted to Web and digital culture. He appeared on a panel with the director of a documentary about Anonymous, and two people who spoke (one via Web chat) wearing the movement's trademark "Guy Fawkes mask."

The masks, patterned after the one worn by the shadowy anti-hero from the comic book and movie "V for Vendetta," gave an almost surreal air to the panel at a conference where black-framed glasses are a more common fashion accessory.

As a crowd of about 200 watched, "Anonymous 9000" spoke on a big screen, his mask and white gloves lending theatrics even as he talked soberly about the inner workings of a movement that has alternately inspired, intimidated and baffled the Web.

"I was kind of mesmerized by what was going on," said Brian Knappenberger, who directed "We Are Legion: The Story of the Hacktivists." "This is an attempt to define that culture."

In recent years, Anonymous has been involved in some of the most high-profile cyberattacks on the Web -- hobbling the websites of governments and businesses, hacking into sites to reveal private data and, along the way, getting dubbed cyberterrorists by authorities in the United States and elsewhere.

Who is Anonymous? Everyone and no one

The group claims no leaders or power structure and doesn't require any sort of membership. That, some members say, is a blessing and a curse.

"That's the double-edged sword of Anonymous," said Anonymous 9000. "Anyone can claim the name of Anonymous and do whatever they want. If anyone wants to make Anonymous look bad ... it's easy to do."

For example, he said he and many other "Anons" disagree with actions by Sabu and others under the banner of Anonymous splinter-group Lulzsec. Those included posting private data, including credit-card and Social Security numbers, of Web users and launching distributed denial-of-service (DDoS) attacks against media sites who posted stories they didn't like.

Lulzsec targets Arizona law enforcement

"When I got into this, I felt Anonymous was a group of groups who fight for the users," Anonymous 9000 said. "To see people getting DDOSed .. there's a pretty good argument that's a form of censorship."

Last week, five men in the United States and Europe were arrested and charged in federal court for what investigators called among the "most sophisticated hackers in the world."

Monsegur and others have claimed responsibility for cyberstrikes between December 2010 and June 2011 that included denial of service attacks against the websites of Visa, MasterCard and PayPal.

Housh, who said "Sabu" had always been "vocal," "angry" and "a complete ass," said he suspected something was amiss when the alleged Lulzsec member disappeared from the Web for a while, then returned more animated and aggressive than ever.

"I watched, and some of these people who did these hacks would not have gotten arrested [except for the fact that] he taught them how to do the hacks," he said.

Knappenberger's film chronicles the rise of Anonymous from a disparate group hanging out in the forums of notorious website 4chan to the day recently when members of the Polish parliament, in protest of a vote they said would restrict Web freedom, donned their own Guy Fawkes masks in solidarity with the group.

Housh was, in his words, "around near the beginning," which means about 2006. Shortly after that, in 2008, Anonymous gained visibility after launching an operation to defy the Church of Scientology.

After leading protests and other efforts against the church, which Anonymous attacked after it deleted leaked copies of a video that actor Tom Cruise made for it, Housh's identity was revealed.

He then shifted his activism to acting as a sort of public spokesman for the movement.

While the collective has no single unifying goal, those associated with Anomymous often work against what they consider censorship, hypocrisy and heavy-handedness by governments around the world.

Anonymous members say they were active in Arab Spring uprisings in places such as Egypt and Libya, have outed members of alleged child pornography sites and vocally opposed the Stop Online Piracy Act -- federal legislation Web activists felt could hamper freedom online.

They've also backed the Occupy political movement, which is how the other masked panelist said he got involved about four months ago. An activist with Occupy Austin, he said the collective, in effect, became tech support for efforts here.

He recalled a protest during which he says a police officer was acting aggressively toward protestors at a demonstration at Austin City Hall last month.

As cameras streamed the protest online, he called out the officer's name and badge number, saying that all of his personal information would be online within hours.

"And they were," the masked panelist in Austin said. "I was able to call on Anonymous and know they would deliver."

So what will become of Anonymous in the wake of the recent arrests?

Housh said most people he talks to seem to realize arrest is a possibility.

"I don't think anything is going to change," he said.

@highlight

Anonymous member appears on a documentary panel at surreal SXSW panel

@highlight

Gregg Housh tells crowd of about 200 that Anonymous associates remain motivated

@highlight

Housh says prominent member "Sabu" had always been "vocal," "angry"

@highlight

Anonymous is the name of a "hacktivist" collective that has made headlines lately