(CNN) -- A day after Standard & Poor's rating agency downgraded the U.S. credit rating to AA+ from its top rank of AAA, there were more questions than answers Saturday about what effects the move will have on the economy and American consumers.

The move by S&P, one of the leading credit rating agencies, came just days after Congress approved a deal to deliver $2.1 trillion in savings over the next decade. The deal followed heated debt-ceiling talks in Washington.

"The downgrade reflects our opinion that the fiscal consolidation plan that Congress and the administration recently agreed to falls short of what, in our view, would be necessary to stabilize the government's medium-term debt dynamics," S&P said Friday shortly after markets closed.

While it was unclear what the short-term impact of the credit rating downgrade would be, some initial answers were expected Monday when the stock market reopened.

One area of concern is whether a downgrade would ward off investors from buying U.S. debt and increase the country's cost to borrow money, therefore increasing consumer interest rates on everything from mortgages to car loans to student loans.

"Only time's going to tell how we're going to be affected," former U.S. Comptroller General David Walker told CNN. "Interest rates that affect the U.S. government ultimately can ripple throughout the economy, which is not good news given our weak economic condition already."

Rating agencies such as S&P, Moody's and Fitch analyze risk and give debt a grade that is supposed to reflect the borrower's ability to repay its loans. The safest bets are stamped AAA. That's where the U.S. debt has stood for years.

Moody's first assigned the United States a AAA rating in 1917. Fitch and Moody's, the other two main credit ratings agencies, maintained the AAA rating for the United States after this week's debt deal, though Moody's lowered its outlook on U.S. debt to "negative."

A negative outlook indicates the possibility that Moody's could downgrade the country's sovereign credit rating within a year or two.

John Chambers, the head of sovereign ratings at S&P, told CNN that the political brinkmanship over the debt ceiling proved to be a key issue, with "the U.S. government getting to the last day before they had cash-management problems."

Few governments separate the budget process from the debt-authorization process as the United States does, he noted. And, though the budget deal that finally was reached will deliver at least $2.1 trillion in savings over the next decade, that will not suffice, he said.

"It's going to be difficult to get beyond that -- at least in the near term -- and you do need to get beyond that to get to a point where the debt-to-GDP ratio is going to stabilize," he said.

Asked who was to blame, Chambers said, "This is a problem that's been a long time in the making -- well over this administration, the prior administration."

Congress should shoulder some of the blame, he said. "The first thing it could have done is to have raised the debt ceiling in a timely manner so that much of this debate had been avoided to begin with, as it had done 60 or 70 times since 1960 without that much debate."

Chambers added that his agency's decision is likely to have a long-term impact. "Once you lose your AAA, it doesn't usually bounce back," he said.

He pointed to the decision by Congress about whether to extend the 2001 and 2003 tax cuts as one crucial area.

"If you let them lapse for the high-income earners, that could give you another $950 billion," he said.

U.S. Treasury officials received S&P's analysis Friday afternoon and alerted the agency to an error that inflated U.S. deficits by $2 trillion, said an administration official, who was not authorized to speak for attribution. The agency acknowledged the mistake, but said it was sticking with its decision.

The administration official called it "a facts-be-damned decision ... Their analysis was way off, but they wouldn't budge."

But Chambers defended his agency's move.

"It doesn't make a material difference," he said. "It doesn't change the fact that your debt-to-GDP ratio, under most plausible assumptions, will continue to rise over the next decade."

Rumors of a possible downgrade surfaced shortly after Italian Prime Minister Silvio Berlusconi announced in Rome that finance ministers of the Group of Seven industrialized nations -- Britain, Canada, France, Germany, Italy, Japan and the United States-- may meet "in a few days" to discuss the sagging world economy.

The announcement came on a day when financial anxiety gripped the globe. Stock markets worldwide saw intense volatility amid worries of a widening debt crisis in Europe and a stalled economic recovery in the United States. American markets were dramatically up and down a day after having their worst day since the 2008 financial crisis.

Stock market values fell Friday across Europe and Asia, where reaction to news of the U.S. credit downgrade was mixed. A scathing editorial in the Chinese state-run Xinhua News Agency criticized the United States for living outside its means.

"China, the largest creditor of the world's sole superpower, has every right now to demand the United States to address its structural debt problems and ensure the safety of China's dollar assets," the editorial said.

"To cure its addiction to debts, the United States has to re-establish the common sense principle that one should live within its means."

Other responses were more measured.

"We will have to analyze it. It will require some time," said India's finance minister, Pranab Mukherjee. "(The) situation is grave and there is no gain in making off-the-cuff remarks."

In South Korea, which also holds a large amount of U.S. debt, the Yonhap news agency said government officials were closely monitoring financial developments in the United States.

"The news is bad and Seoul plans to keep very close tabs on how the market reacts," Yoon Jong-won, head of the ministry's economic policy bureau, told Yonhap.

Concerns about debt issues in Europe appeared to battle with optimism that a positive U.S. jobs report indicated the American economy is not headed into a new recession -- the dreaded "double-dip."

"The crisis in Europe is quickly becoming on par with the financial crisis of 2008," David Levy, portfolio manager at Kenjol Capital Management, told CNN Money. "The jobs report shows that things aren't getting much worse in the U.S., but the focus is clearly on Europe at this point."

"We are going to get through this," U.S. President Barack Obama said prior to the downgrade at the Washington Navy Yard, where he announced a jobs program for veterans. "Things will get better. And we're going to get there together."

Obama, who spoke Friday afternoon with France's Sarkozy and German Chancellor Angela Merkel about the crisis, noted that July marked the 17th consecutive month of private-sector job growth in the United States, but said much more work needs to be done.

Obama is urging Republicans and Democrats to come together in efforts to strenghten the American economy, White House Press Secretary Jay Carney said in a statement Saturday.

"The bipartisan compromise on deficit reduction was an important step in the right directionm" Carney said. "Yet, the path to getting there took too long and was at times too divisive. We must do better to make clear our nation's will, capacity and commitment to work together to tackle our major fiscal and economic challenges."

CNN's Ben Brumfield, Laura Smith-Spark, Mariano Castillo, Mike Pearson and Kendra Petersen contributed to this report.

@highlight

NEW: Obama urges both parties to work together to strengthen the economy

@highlight

S&P downgrades the U.S. credit rating from a AAA to AA+

@highlight

It is not immediately clear what effects the downgrade will have