(CNN) -- Increasingly, it feels like there is no reprieve from the assault of natural disasters. Month after month, we go from winter storms to spring floods, to tornado and hail storms, to hurricanes, to wildfires, with an earthquake thrown in every so often just to remind us that the seasons don't always dictate the disasters.

As a hazard scientist, I am in tune daily with the looming threats of nature and the the places that are most susceptible. Many people, however, don't realize the full extent of the risk they face in their own hometowns and neighborhoods. All it really takes is one catastrophe, like Hurricane Sandy, or the tornado that ripped through Moore, Oklahoma, to turn everyone's attention to the true reality of hazard risk.

No place in the United States is risk-free. Some regions of the country are more prone to certain events than others, so in those cases it is never a question of "if," but rather a question of "when" and "how severe will it be?"

Walking the path of a killer tornado

We hear about earthquakes and wildfires in California, hurricanes in Florida or Louisiana, floods along the Mississippi, and probably most well-known, tornadoes in the Midwestern states that make up "Tornado Alley." But it would be shortsighted to think these regions have cornered the market on natural hazards. A deeper investigation reveals just how widespread these natural disasters can be.

Wildfires burned more than 9 million acres in the U.S. last year. Although California certainly felt the heat with nearly 900,000 acres burned, three other states each lost more than 1 million acres to wildfires in 2012 as well. Idaho had 1.6 million acres scorched and in both Montana and Oregon, 1.2 million acres burned. Yet we don't hear as much about the fires in those states as we do about the blazes near San Diego or Los Angeles.

In fact, 49 states are listed on the National Interagency Fire Center website as having lost acreage to wildfires in 2012. Even Hawaii lost 3 square miles of land in 2012, though few people would likely consider the islands to have any wildfire risk.

Opinion: How can we be safe from tornadoes?

Hurricane-driven storm surge was the lead story when Hurricane Sandy pushed ashore in New York and New Jersey in 2012. But Manhattan had braced for the threat of Hurricane Irene just the year before, a reminder that nature does not space these events to fit our expectations of how often surprising weather events happen.

Aside from our heightened awareness of risk in the Northeast, 19 coastal states along the Gulf and Atlantic shorelines all have some degree of flooding risk from hurricane-driven storm surge, stretching from Texas to Maine. Not a single one of these states has less than $2 billion worth of residential property located in a storm-surge zone. The potential of a devastating hurricane is not limited to the states we think of as traditional targets.

And of course, there are tornadoes. They hit with less warning than wildfires or hurricanes and are capable of producing tremendous, almost instantaneous damage. It would be comforting for us who live outside Tornado Alley to think that won't happen to us. But the numbers tell a different story.

From 2000 to 2011, about 6,700 tornadoes hit in the eight states typically identified as Tornado Alley: Kansas, Oklahoma, Illinois, Nebraska, Texas, Colorado, South Dakota and North Dakota.

But 8,800 tornadoes touched down in at least 16 other states during the same time period, in Iowa, Louisiana, Mississippi, Alabama, North Carolina, South Carolina, Arkansas, Indiana, Missouri, Georgia, Ohio, Wisconsin, Minnesota, Florida, Tennessee and Kentucky.

The Tornado Alley states lost $2.5 billion in residential property damage from 2000 to 2011 -- but consider that the 16 states outside the Alley suffered nearly $15.5 billion in damage during that same time.

Opinion: The making of a nightmare tornado

Are there more severe weather events now than in the past? There's no clear answer.

Media coverage has made us more aware, and scientific methods of detection and analysis are much better than 50 years ago. Because disasters are reported more extensively now than ever, it might skew our perception of their frequency.

But whether the number of tornadoes, fires, hurricanes and the like is on the rise, it's a sure thing that the population has risen, and continues to rise each year by about 2.5 million a year, according to the Census Bureau.

This means that more people will be living in areas at risk, and the number of homes, buildings and infrastructure will be greater. The value of the properties has increased over the years, so any disaster will cause more damage in dollars and cents.

More often than not, people outside of traditionally perceived hazard risk regions are not prepared for a weather related disaster. The solution to this inattention begins with awareness and getting familiar with the best tactics to prevent or minimize damage.

It's impossible to prevent many of these natural hazards, yet homeowners who are aware of risk can prepare for it -- clearing brush around the house and building with fire resistant materials if they happen to live somewhere where fires have struck, for example. Though you most likely won't be able to build a structure that can withstand an F5 tornado, you certainly can prepare and have a safe location to ride out a storm until the threat passes.

The opinions expressed in this commentary are solely those of Tom Jeffery.

@highlight

Tom Jeffery: It seems like natural disasters are hitting with no reprieve

@highlight

Jeffery: No place in the U.S. is risk-free, but in some regions, it's not "if" but "when"

@highlight

From 2000 to 2011, he says, almost 9,000 tornadoes hit states outside Tornado Alley

@highlight

Jeffery: As U.S. population grows every year, so does the cost of severe weather