(CNN) -- Angelina Jolie, when writing about her preventive double mastectomy, did not discuss how much her surgeries cost, but she did mention that many women would not be able to afford the $3,000 to $4,000 test that led her to make the decision. What she failed to say was why the test costs so much.

Jolie had the surgery, and says she intends to have preventive oophorectomy, which is the surgical removal of ovaries, because she inherited a mutation on one of the so-called breast cancer genes, BRCA1. That mutation, according to the Stanford Cancer Center, increases a woman's risk of breast cancer to 65% and ovarian cancer to 39% by the age of 70.

The reason the test is so expensive is this: In 1998 Myriad Genetics patented two genes: BRCA1 and BRCA2. With its exclusive rights, Myriad developed a test for mutations on those genes trademarked "BRACAnalysis." Because it essentially owns the genes, Myriad is the only company that can conduct the test, so it sets the price.

Next month, the U.S. Supreme Court, in the case of the Association for Molecular Pathology v. Myriad Genetics, is expected to rule on whether it is indeed legal for Myriad Genetics to hold patents on the BRCA genes. The case was filed in 2009 by the American Civil Liberties Union and the Public Patent Foundation on behalf of genetic researchers, counselors, medical organizations and patients, who argue the genes cannot be patented because they are products of nature.

Much of what we know about genes traces to the Human Genome Project. As a public works venture, it had a fundamental aim to make its data freely available.

Those 3 billion subunits of genetic code were to be used for the public good in the development of approaches to treat, detect and prevent disease. In this spirit, the American College of Medical Genetics explains that gene patents, to the contrary, limit innovation and accessibility, hinder quality, slow improvement and restrict the workforce.

Studies find that researchers avoid, delay or stop work because of patent-related concerns, such as difficulty getting approvals from patent owners, worry that their licenses could be revoked or fear that patent holders could, in effect, claim what they develop as their own.

James Watson, a Nobel Prize winner and co-discoverer of the DNA double helix, stresses that human genes should not be controlled by legal monopolies. He filed a brief in the case against gene patenting, calling it "lunacy." Yet some 40% of the human genetic code is already patented.

Justices at odds over patents for human genes

Myriad's test is targeted at people at high risk. But most cases of breast or ovarian cancer are not related to BRCA mutations and less than 1% of American women are likely to have them. The company boasts a preeminent market position focused on three initiatives: to grow existing tests and markets, to expand internationally and to launch new products, including companion diagnostics.

With BRCAnalysis as the major revenue producer -- 75% of the portfolio -- one of the ways to make good on this promise is to convince consumers they need the test and get doctors to write the scripts.

Myriad went to the direct-to-consumer market in 2002 with television, radio and print and launched a larger campaign in 2007. Women's voices created the campaign message: "Breast cancer runs in my family. My mother, my grandmother, my dad's sisters. I wondered if it would be inevitable. I found out it didn't have to be. I found out my risk through BRACAnalysis ... a blood test that has helped thousands of women find out their risk for hereditary breast and ovarian cancer. After BRACAnalysis, I realized I can choose to do something now, to help reduce my cancer risk now, with effective medical options."

Rather than reaching high-risk families, researchers, writing in the American College of Genetics journal, warned the ads would create "spurious demand for the tests" and waste the time of health professionals who would have to filter the demand and explain genetics to those who were not high risk. Professionals without formal training in genetic testing, however, might themselves overly rely on Myriad's educational, more accurately called promotional, materials.

It would be hard for me to imagine that doctors could be susceptible had it not been for a friend who called me in a panic after her gynecologist recommended the test. It was a routine visit. She had no symptoms. After giving her family history, which would not meet high-risk criteria, the doctor said she needed BRCAnalysis.

When my friend asked why she needed it and what she would learn from it, the doctor said, "Well, if it's positive we'll check for cancer...If you have cancer, we'll consider chemotherapy and radiation... If it's positive and you don't have cancer, you can have a double mastectomy with reconstruction and an oophorectomy with hormone replacement.... If it's negative, then you know."

My friend was stunned. Worried. Skeptical. She had questions. How much would it cost? About $1,000 out-of-pocket ... with insurance? She guessed she could use her savings. "I'm only 43," she said. "You want to cut off my breasts and take my ovaries? I don't want to have children...I don't think... but I'm not ready for menopause. You think I could have cancer? Why?"

After a few moments of tense conversation, the doctor ordered the test and my friend left. She sat in her car and cried. After doing research, she concluded that she was not a good candidate. She canceled it and found a new doctor.

Finances and genetic counseling influence the frequency of genetic testing, whether people are high risk or not. They also affect decisions about interventions. The treatment Angelina Jolie had is expensive and complicated. Up to 35% of women who get post-mastectomy reconstructions get infections. Implants need to be replaced and rupture frequently enough that we have ruptured implant specialists.

To find better options means independent research needs to be encouraged. When big biotech companies own genes, that stifles or even prevents innovation. When companies aggressively promote expensive and often unnecessary medical tests, it isn't always in the service of patients and good health.

The Supreme Court decision could set free the dream of personalized medicine or shut it down.

In the meantime, after Angelina Jolie's announcement, Myriad Genetics' stock rose to a three-year high.

The opinions expressed in this commentary are solely those of Gayle Sulik.

@highlight

Gayle Sulik: The test to find if you have BRCA1 gene mutation that raises cancer risk is costly

@highlight

Sulik says that's because Myriad Genetics owns the BRCA1 and BRCA2 genes

@highlight

She says Myriad has monopoly and aggressively markets often unnecessary test

@highlight

Supreme Court expected to rule next month whether Myriad, or any company, can own genes