Beirut, Lebanon (CNN) -- In August last year, Malaysian Prime Minister Najib Tun Razak was not happy with Saudi Arabia. He complained that the Saudis appeared to be funding an opposition candidate, Anwar Ibrahim, in upcoming elections.

What's more, the Malaysian authorities suspected two senior Saudi princes of involvement. The Saudis launched an investigation, and uncovered something very different -- and more alarming.

A secret report seen by CNN concludes: "There is no evidence any Saudi official ever supported Anwar Ibrahim" and "claims of support from the Saudi royals named in the initial report [names redacted] were found to be without basis."

But the investigation found that hundreds of millions of dollars of Saudi money had been funneled to leading Islamist politicians and political activists overseas. It also found that al Qaeda and the Taliban were still able to use Saudi Arabia for fund-raising, despite numerous measures to choke off those sources of cash.

According to a Saudi source who is not authorized to speak publically, "People close to the senior leadership of the Taliban live in Saudi Arabia and send money back" [to the Taliban].

Today he estimates the money reaching al Qaeda is "in the region of tens of thousands of dollars possibly hundreds of thousands."

The nine-page summary of the secret report states that the Muslim Brotherhood, an Islamist political group present in many Muslim countries, was trying "through its many affiliated charities and organizations -- often with the funding of unwitting private Saudi citizens -- to spread its influence by providing support for candidates in Islamic democracies."

According to the report the payback was simple. "Once in power these candidates are expected to further the Brotherhood's goals." Al Qaeda was able to benefit from these secret funding mechanisms, according to the source, because some in the Muslim Brotherhood had "historic sympathies and connections" with members of the terror group -- dating back to when Saudi Arabia and the CIA covertly funded the Afghan mujahideen to fight the Soviet occupation of Afghanistan.

The connections meant that money in Muslim Brotherhood hands was "occasionally" given to al Qaeda, the source said.

The report reveals a complex web of Islamic charities and banks -- often involved in funding legitimate humanitarian projects -- as unwitting facilitators of the illicit transfers. And it says that over several decades "a handful of Saudi and other Arab individuals and organizations" were supporting "the same groups that Arab, U.S. and European governments have long suspected of having close ties to extreme militant organizations that have been accused of supporting terrorist activities around the world."

The problem facing Saudi authorities is huge, the source told CNN. "Eighty-six percent of all Islamic charities are based in Saudi Arabia" making "monitoring all their activities difficult." The problem was compounded by several other factors, he said. Saudi Arabia "has the world's fourth largest migrant workforce, 7 million legal workers, 3 million illegal."

Many of them use unregulated Islamic Hawala money transfer banks where a deposit in one country can immediately be picked up in another with no paper trail to trace it. The Hawala networks were identified by the U.S. Treasury Department last year as a significant channel for funding the Taliban and other insurgent groups.

Funds are also collected from innocent unsuspecting pilgrims on the Hajj that attracts millions of Muslims to Mecca, Islam's holiest site every year. The report says Saudi Arabia has made a major effort "to block terrorist financing" that has been "monumental in scope and far reaching in their success." But it concluded: "Increased diligence and efforts are warranted."

The Saudi source tells CNN that the country still has a fundamental problem which shows how money channeled through the Muslim Brotherhood could evade detection for so long and why al Qaeda can still get funding from the desert Kingdom.

"Despite promises since 2002 that Saudi would put in place institutions to thwart funds getting to AQ, nothing has happened to build an oversight agency," he says. The money being funneled illegally he says is "not the amount of money it was 4 or 5 years ago," but without a national agency "like the U.S. Securities and Exchange Commission" to oversee the charities further progress is going to be limited.

@highlight

Secret report found hundreds of millions of dollars of Saudi money had been funneled to leading Islamist politicians and political activists overseas

@highlight

Report says al Qaeda and the Taliban were still able to use Saudi Arabia for fund-raising

@highlight

A complex web of Islamic charities and banks as well as the Muslim Brotherhood have been sources of cash, report says