London (CNN) -- On a brownfield site in east London, not far from the site of the 2012 Olympic Park, a new green vision is emerging from the ashes of the UK capital's dirty industrial past.

Once the home of a coal-fired power station, the London Sustainable Industries Park (SIP) at Dagenham Dock is creating the largest concentration of environmental businesses in the UK.

The concept to transform the area into a clean-tech hub was originally devised by the local government authority (Barking and Dagenham) who were keen to promote jobs and prosperity in the wake of cutbacks at automaker Ford's Dagenham car plant.

Since 2007, the London Thames Gateway Development Corporation (LTGDC) -- a UK government agency tasked with overseeing regeneration of areas all over east London -- has been securing planning consent for the site's infrastructure.

But that's not all they're doing says Mark Bradbury, LTGDC's deputy director of development.

"We're also putting in a lot more landscape infrastructure ... creating an environment which is much more business park than industrial estate," he said.

So along with industrial units which meet BREEAM standards, there are swales and trees to help with water and air pollution, he says.

A heat network is also being installed allowing some of the energy produced to be shared by businesses on site. The goal, says Bradbury, is industrial symbiosis.

This sharing of material by-products, water and energy by local industries rather than importing resources from outside is an idea which has gained momentum over the past two decades, says Marian Chertow, associate professor of industrial environmental management at Yale University.

"Many urban areas with industrial concentrations find that symbiotic activities arise spontaneously as they are economically efficient for firms even before counting environmental benefits," Chertow said.

"Over time, and with some coordination, these can become extensive networks for resource sharing and community building," she added.

A leading early adopter of this philosophy was the city of Kalundborg, Denmark.

Established in 1972, their eco-industrial park has evolved "from a single power station into a cluster of companies that rely on each other for material inputs," according to the International Institute for Sustainable Development.

So although the London SIP isn't the first it is unique, Bradbury says.

"We believe we are the first park to actively set out to achieve this from the start -- to almost vet our occupiers from the outset to really look at how they will add to the mix and that they buy into the symbiosis ethos of shared inputs and outputs," he said.

So far only one tenant -- plastics recycler Closed Loop Recycling -- is on site but others are set to move in next year.

Waste-management company Cyclamax is scheduled to install a renewable-energy power plant creating 16 megawatts of electricity early in the new year, while TEG (an organic waste recycler) has been given the green light to develop an anaerobic digestion plant.

Closed Loop Recycling, which handles 35,000 tons of plastic bottles every year, is looking forward to the eco-freindly synergies that its neighboring tenants will provide when they arrive.

"There is good potential that we will be able to take some of the heat from the anaerobic digester and composting facility to heat our wash water," said Nick Cliffe, marketing manager for Closed Loop Recycling.

In return, bits of bottle that can't be recycled, including labels, could be sent over to Cyclamax's gasification plant, says Cliffe.

He's also optimistic about future symbiotic relationships being formed with plastic upcyclers who are expected to join the park.

"It's a great site," Cliffe said. "There's a real chance if the right kind of businesses come together that we can work stronger together rather than being more distributed."

The vision is that over the next 15-20 years the park can provide the area with a supply of green energy, Bradbury says, kick-starting renewed interest and investment in the area.

"The ultimate aim is to have a range of businesses which gradually get more and more high-tech as the cluster grows," he said.

@highlight

Sustainable industries park in UK capital encourages green investment

@highlight

Businesses on site to share material by-products, water and energy

@highlight

"Industrial symbiosis" improves the environment while also maximizing profits