(CNN) -- After completing his second year of business classes at Miles College in Fairfield, Alabama, in 2007, Joshua Armstrong decided to take a break from full-time studies.

Armstrong who had been insured through his parents' health insurance policy, thought he would remain on that plan until he finished school and found a job offering health benefits. So, he didn't seek out another policy on his own during his break.

Then, in January 2008, Armstrong, who was 21 years old at the time, was rushed to the emergency room after a car accident. He was treated for a broken ankle, minor scrapes and bruises and was given a prescription for painkillers. A few months later his parents, Delores and Isaac Armstrong, received the $10,000 emergency room bill.

"The hospital had sent the bill back to us because insurance wouldn't pay," recalls Delores Armstrong, who says she was speechless when she saw the expense. "That was when we learned our insurance carrier only allowed Joshua to be covered as long as he was a full-time student."

The Armstrongs' story is familiar to many young adults and their families, and the frustration of being uninsured is taking its toll on people of all age groups. Thursday, six months after the Affordable Care Act was enacted, several provisions go into effect. Health officials are hoping this first wave of changes will "put consumers in charge of their health care." This week, President Obama unveiled a website to help provide critical information to consumers regarding the legislation.

Earlier this week, a key group of economists announced an official end to what the Obama administration is calling the worst recession since the 1930s. However, the impact is still being felt across the nation. A recent population report from the U.S. Census Bureau says there has been a dramatic increase in the number of people without health insurance in the United States. Between 2008 and 2009, the number of uninsured people increased by 16.7 percent, to nearly 51 million. An estimated 6.5 million people were no longer covered by private health insurance and equally as many had lost employment-based health benefits.

Patient advocates say Thursday's changes are only the beginning. "The big resolutions will come in 2014 when you will start to see tens of millions of people getting coverage," says Avram Goldstein, communication director for the Health Care for America Now, a liberal grass roots health advocacy organization. It offers a detailed timeline of what changes consumers can expect over the next few years.

Recent polls show many Americans remain divided over the reforms. A CNN/Opinion Research Corp. national poll conducted earlier this month indicates that 46 percent of the public feels Democrats in Congress will do a better job on health care, while 45 percent say congressional Republicans would do a better job on the issue. Similarly, a recent CBS News/New York Times survey found 37 percent of participants approved of the new health care law. Several Republican lawmakers have also called for a repeal by co-sponsoring what they call the Reform Americans Can Afford Act.

As the debate continues, CNN will continue to highlight the latest changes that affect you. Here are six provisions that could affect you immediately if you purchase a new plan starting Thursday. For people who have an existing health care plan, these changes will take effect during open enrollment if you are covered through your employer, or when your current policy renews if you purchased a plan on the individual market.

Young people can remain on parents' insurance until age 26

The health care reform legislation requires insurance companies to allow dependent children to remain on their parents' insurance policies until their 26th birthday. The children can't have jobs that offer insurance.

According to the Department of Health and Human Services, several health insurers began early implementation of this policy in May, months ahead of the September 23 deadline.

Until Thursday, in most states dependents were booted off their parent's health insurance policy before age 26, sometimes as early as age 19. A handful of states allow dependents to remain on a parent's policy until age 30, and HHS says those locations will continue to do so. To find out the specifics for your state, go to Gettingcovered.org and look at the state facts or check the state-by-state "definition of dependency" list from the Kaiser Family Foundation.

No discrimination against children with pre-existing conditions

Starting Thursday, consumer protections prohibit all employer plans and all new plans in the individual market from denying coverage to children age 18 and younger who have pre-existing conditions.

However, ahead of this provision, several large health insurance companies announced plans to suspend child-only insurance policies because of concerns over clarity of the new rules, as well as reservations that the provisions create an "unlevel playing field."

"Given the current uncertainty in the niche marketplace for child-only coverage, health plans have to make very difficult decisions about the types of new policies they will offer," says Robert Zirkelbach, press secretary for America's Health Insurance Plans, the national association representing health insurance providers.

"While well intended, the current regulation provides a powerful incentive for parents to wait to purchase coverage until after their children become sick," Zirkelbach says.

"I think it's very unfortunate that the insurance companies continue to make decisions on the backs of children and families that need their help," White House press secretary Robert Gibbs told reporters on Tuesday.

He said that even though child-only policies represent a small portion of the individual market, the goal is to make sure nobody falls through the cracks.

If you have a child-only policy, you can keep it, America's Health Insurance Plans says. If you were planning to purchase a child-only policy but have learned it is no longer offered by your insurance carrier, your child may qualify for SCHIP, the State Children's Health Insurance Program. Here is a state-by-state directory of SCHIP programs.

Adults who can't get insurance because of a pre-existing condition can look for a Pre-Existing Condition Insurance Plan (PCIP). Visit PCIP.gov to find out whether you are eligible and to learn more about what the monthly premiums are in your state.

No dropping people from coverage when they get sick

Insurance companies can no longer drop a customer when that person gets sick, nor can they look for errors on your insurance application and then not pay for a service when you get sick.

No lifetime limits on coverage

If you purchase a new health policy on or after Thursday, the Affordable Care Act prohibits that plan from placing a lifetime cap on the coverage you can receive for hospital stays and other expenses associated with your condition. Keep in mind that this does not include the use of annual dollar limits, which will be phased out over the next three years, and will be banned by 2014.

New plans must offer free preventive care

If you purchase a new health policy on or after Thursday, certain preventive screenings, immunizations and tests must be covered without your having to pay a copayment, coinsurance or meet your deductible when these services are delivered by a network provider. If you are already insured, these services should be offered to you during open enrollment, or when your individual policy renews. A full list of the preventive services covered under the Affordable Care Act can be found on Healthcare.gov.

Expanded ability to appeal decisions made by the health plan

Under current rules, when an insurer denies you coverage, you really didn't have many options.

About 44 states provide for some form of external appeal and the laws governing these processes vary greatly.

If you buy or join a new policy starting Thursday, you should be able to appeal to an independent third party. According to Jay Angoff, the director of the Office of Consumer Information and Insurance for Health and Human Services, your health insurance company is required to inform you of how to access the independent, objective reviewer.

Another resource if you have questions about whether the appeal process applies to you is your state insurance regulator. Also, later this fall, you will be able to find state-by-state lists of consumer assistance programs on Healthcare.gov.

Joshua Armstrong, now 23, is on a payment plan to repay the $10,000 hospital bill he amassed after his vehicle accident.

"It's been really tough," says Armstrong, "I didn't know an emergency room could be that expensive."

He and his mother are excited about this week's health care reform provisions and are planning to attend one of several nationwide educational events on Thursday being sponsored by the group Getting Covered to figure out what they need to do make sure Joshua will be insured in the future.

"We're looking forward to putting him back on," his mom says. "Debt is such a terrible way for a young person to start off."

@highlight

Several key health care reform provisions go into effect Thursday

@highlight

The number of uninsured in the United States increased by 17 percent between 2008, 2009

@highlight

New plans include free screenings and immunizations