(CNN) -- A Georgia teacher's passion and curiosity about her immigrant students' homelands led to a path that changed her life and those she's touched - forever.

Sue Ellen Wortzel said her student's stories of struggle to find food, a safe place to live, a basic education other economic hardships in their home countries often left her speechless and explained why their families searched for a better life in the U.S.

Their emotional stories moved Wortzel to learn more about where they came from in Central America and inspired her to help their home countries.

As an educator, Wortzel felt she had the ability to create a positive change in some of their country's schools and began her journey to do so in 2006 with a trip through Guatemala, El Salvador and Nicaragua. During this visit, she took note of some of the specific problems educators and students faced.

"I saw teachers and students doing amazing things with nothing or bare-bone structures," she said.

In one high school in Nicaragua, Wortzel discovered classrooms that only had one or two copies of a text book for a 30-plus-student class. Teachers would use chalkboards and cover them with notes from the text book, so everyone could see and digest the information. In addition to a lack of books, Wortzel noticed a lack of maps, globes, calculators and other teaching supplies.

Basic transportation to and from school is a problem, too, for some families.

"Oftentimes, kids walk up to two hours to school in rural areas, since their families can't afford to pay for public transportation," said Wortzel. "This hardship is tough on kids and many times they just give up and quit attending school."

Public education throughout the world varies greatly. In the United States, education is predominantly funded by taxpayers, and students are not charged tuition to attend public schools. In Central America, resources lack for many children to obtain a basic public education.

Wortzel acknowledges the U.S. public education system is filled with problems, but has witnessed that students in "forgotten" countries suffer, too. She has made it her life's mission to help those outside U.S. borders.

"Children have no control over what happens to them and access to education is not something we can save for particular children," she noted.

Wortzel's personal interaction with her students as well as her international travels inspired her to create a nonprofit organization calledTALICA in 2006, with operations based in Atlanta and Central America. TALICA stands for "The Teaching and Learning Initiative for Central America." Its mission is to expand access to basic educational materials for schools in Central America.

Since 2006, TALICA has established school collections and donated about 4,500 books and supplies to seven public school libraries in five communities, and helped establish a community library and the first-ever medical collection in the village of Balgue, Nicaragua. The school materials are hand-picked by local teachers, and TALICA takes them shopping about once or twice a year for their supplies.

How does TALICA make this happen? It takes hard work, coordination and personal relationships to make it all come together.

TALICA's team is small, consisting of five volunteer directors as well as hundreds of supportive family and friends across the U.S. and Central America who volunteer their time and resources.

Grass-roots fundraising is a key element to TALICA's survival. Members will host dinner parties, wine tasting events and other fundraising efforts to raise cash.

With a budget of about $12,000 a year, TALICA uses its money as strategically as possible to do the most good.

TALICA's current projects include supporting five schools on the island of Ometepe, Nicaragua, and a scholarship program to send a student to college. This impoverished rural region was selected because it has a literacy rate hovering around 67 percent and has big educational challenges, according to Wortzel. In comparison, the U.S. literacy level is 99 percent according to the CIA-World Fact Book.

The nonprofit's newest project is a science initiative.

"We're building an extra classroom to house a small science lab and book room to a high school that has been outgrowing its space," said Wortzel. "We've been working closely with the biology teacher, Elvin Cruz, in developing a lab."

A future goal is to provide Kindles and other e-readers to these schools. Wortzel said there isn't sufficient access to a wireless network in some of these regions to make it happen now.

Ultimately, Wortzel and her team believe in the power of education and know it's the key to lift up this region of the world and elsewhere.

"It's in our best interest as humans to help educate people in the most remote and destitute parts of the world," she said. "Building personal and loving relationships with people from other countries and cultures is important to building consensus and peace."

@highlight

U.S. educator forms nonprofit called TALICA to help students in Central America

@highlight

Sue Ellen Wortzel said her immigrant student's struggles inspired her to form TALICA

@highlight

Since 2006, TALICA has donated 4,500 books to public schools in Central America