Havana, Cuba (CNN)It's a heart-pounding climb up a dark, piss-drenched stairwell. The greasy iron elevator that services the flaking 1920s apartment building seems to function only intermittently.

A small group of German tourists is trapped inside. The bargain-priced apartment they've been renting maybe doesn't seem like such a good deal now. There's no word of when a maintenance engineer will show up or even if such a person exists.

This is clearly no intellectual's ivory tower. And that's just the way Cuban author Pedro Juan Gutierrez likes it.

"Up here, I'm like a ghost. I've been a privileged witness to what has gone on in the neighborhood," he told me on a recent visit to his home.

Gutierrez has been living on the top floor for more than 30 years now. He's transformed a small roof terrace into his own observation platform -- to peer down on what he calls Central Havana's "dirty" reality.

These days, Gutierrez says he's turned to Buddhism to beat his addictions to cheap rum and wild sex. Up in his ninth-floor sanctuary, he's just about out of harm's way.

But one teeter and he may just fall -- he says maybe he'll join me for a "small drink" down at ground level in the next few days.

Gutierrez has rarely been so clean living. He says he's spent most of the last three decades prowling the streets and alleys below.

"Things are continually happening down there. Pornographic, erotic, sociological and anthropological happenings," he explained, wide-eyed.

Gutierrez's almost 20 works of prose and poetry are foul-mouthed, cynical and scathing. The kinder literary critics have dubbed him the pioneer of "dirty realism."

His worst critics have condemned him as a crude pornographer -- for example, before you even finish the first page of his acclaimed "Dirty Trilogy of Havana," there are graphic sexual scenes.

"Some people accuse me of exaggerating, but I say no! The reality is excessive. I have to tone things down to make it believable. It's a very brutal, violent reality, and in order to make it credible, you have to tone it down a bit," he says.

"But I am interested in ugliness, the ethics and the aesthetics of the 'dirty ones,' the poorest people who live right on the edge," he adds.

His bleakest works are centered on the 1990s, during Cuba's so-called Special Period. That was just after the Soviet Union collapsed, leaving its Caribbean ally Cuba to economic wrack and ruin, devoid of subsidies or a market for its goods.

But Gutierrez says not a lot has improved since then, at least in Central and Old Havana.

"Everything has stayed the same here. The same poverty, the same misery the same people who are just survivors," he said. "I write about people surviving on the limits."

Jabbing his finger into the afternoon sun, Gutierrez points out Neptuno, Colon, Trocadero and San Lazaro, the four streets that he says once formed Cuba's largest red light district, before the 1959 Revolution.

He suggests that prostitution, migration from the countryside to the capital and the disintegration of extended families are the root causes of the chaos he says still reigns in this area.

"There were hundreds or thousands of hookers down there. The people left there today are the daughters and the granddaughters of the hookers. That's important to note in social terms. This was never a normal neighborhood," he explained with a grin.

Gutierrez worked for 26 years as a journalist for state-run newspapers and magazines. But when he began publishing his crude and critical brand of fiction, he was fired. He's pushed the boundaries of free speech in Cuba but has never been jailed for speaking his mind.

He seems to have little intention of keeping quiet.

"I'm soon going to be 65. I have to take advantage of those years to say what I have to say. People don't dare; they just die with their mouths shut. When you have ideas, you have to express them," Gutierrez said.

His literary depiction of his neighbors here in Central Havana may seem harsh. But walking the streets, you can quickly see he may have a valid point.

A few doors from his apartment building, there's the entrance to the local Revolutionary Defense Committee, a neighborhood group set up to promote the values of the Revolution.

On the door, a black-and-white photo of a young Fidel Castro.

Diagonally opposite is a small store with welded bars at the window. The only thing inside, a huge vat of white rum. A half measure sells for 40 cents and a full 750 ml goes for 80 cents.

It was only mid-morning, but a man rooted through the trash outside, pulled out a small plastic bottle and with trembling hands asked for a fill-up.

That surely cannot be what Castro -- enshrined in the poster across the street -- had in mind: A land where tourists drink mint-filled mojitos while a few blocks away, an alcoholic worker knocks back a huge slug of  "train sparks," the name Cubans colloquially give to cheap, industrial-strength rum.

"This neighborhood always was on the margins of all the talk of revolutionary ideals. Maybe in the '70s and '80s, when there was some kind of revolutionary pride, it was a little different. But generally, people stayed on the sidelines," Gutierrez told me.

While his works are bitingly critical of the decades-long social breakdown in his neighborhood, his overall outlook on life and the Cuban system is more nuanced.

When Castro and his rebels seized power in 1959, Gutierrez was 7 years old, selling ice cream on Havana's streets. He recalls the brutality of the outgoing dictatorship of General Fulgencio Batista and the celebrations and hopes for newfound freedom ushered in by the rebel forces.

"There was a lot of joy in the first few days. It was like freedom had arrived," he said.

Despite the experiences of the decades since then, Gutierrez says he still considers himself a "romantic" leftist. He rejects suggestions that he has anything in common with Cuba's right-wing dissident movement.

"I think (the regime) is trying to save the good things of socialism and the Revolution like education, health and national pride. We still have to advance a great deal in human rights and personal freedoms," he added.

For some of Gutierrez's neighbors, change cannot come fast enough.

It's past midnight in a dive bar on Galliano Street.

A washed-up boxer, Agustin, croons along to a salsa tune on the TV, then asks for a double-strength rum and coke. He says he was a bantamweight Olympic and Pan-American Games champion.

When it comes to boxers, Cuba has proved itself to be in a sporting class of its own. But now 50, Agustin has little left to show for his glory years except for a nose like a lump of rubber -- broken so many times, he has no cartilage left.

In a hotel bar, a few doors down, on Havana's Malecon waterfront, a 33-year-old woman clad in leopard-print hot pants sips on a Cristal beer and strikes up a conversation.

She says police once gave her a ticket for "harassing tourists," official speak for prostitution. She says her day job is a physical education teacher for primary school children.

She earns just $10 a month with her state salary and spends that in the bat of one of her false eyelashes. But she says the job provides her with a vital cover story.

Having legitimate employment, she says, keeps her out of trouble with the law when she turns tricks at night. She charges her foreign clients $100 a night, if they don't bargain her down, she says.

Like many others, she has high hopes that she will be able to cash in on the potential influx of American tourists, after President Barack Obama's announcement of more stable U.S.-Cuba relations.

But back up the street, Gutierrez is not convinced there will be a quick fix to those relations. The problem, he says, are elderly Cubans on both sides of the Florida Straits.

"For more than half a century, there's been a lot of hatred between Cubans in the U.S. and those on the island. There's been a lot of thirst for revenge. We have to wait for the years to pass and the old men to die," he says.

"Only then can we resolve things in a civilized way."

@highlight

Cuban author Pedro Juan Gutierrez  says he is interested in the ethics of the poorest

@highlight

His observations are harsh; some say he is pornographic, but he has also won acclaim

@highlight

He says that "reality is excessive. I have to tone things down to make it believable"

@highlight

He worked as a journalist at state-run newspapers, but his fiction got him fired