Another tense standoff developed Monday night in Ferguson, Missouri, which has seen nightly protests since unarmed 18-year-old Michael Brown was shot to death by a white police officer.

The renewed tensions came after the preliminary results of an autopsy that Brown's family requested were released, as was a new account of what allegedly happened in the moments immediately before the teenager was killed by a local police officer.

Evidence in the shooting death could be presented to a grand jury as early as Wednesday.

And as the situation in the St. Louis suburb was being watched and talked about across the country, it continued to draw comments from numerous quarters -- including the White House.

"We have all seen images of protesters and law enforcement in the streets. It's clear that the vast majority of people are peacefully protesting. What's also clear is that a small minority of individuals are not," said President Barack Obama.

"While I understand the passions and the anger that arise over the death of Michael Brown, giving into that anger by looting, or carrying guns, and even attacking the police only serves to raise tensions and stir chaos," he said, in a call for calm.

"Let's see some understanding" rather than confrontation, and "let's seek to heal," the President said.

The protests in Ferguson also prompted Gov. Jay Nixon to call out the National Guard.

Officials temporarily detained several people, including news photographer Scott Olson and longtime activist and Holocaust survivor Hedy Epstein.

Dueling narratives

The officer who killed Brown says the teenager rushed at him full speed in the moments before the shooting, according to an account phoned in to a St. Louis radio station and confirmed by a source with detailed knowledge of the investigation.

According to the version on KFTK, phoned in by a woman who identified herself as "Josie," the altercation on August 9 began after Officer Darren Wilson rolled down his window to tell Brown and a friend to stop walking in the street.

When Wilson tried to get out of his cruiser, Brown first tried to push the officer back into the car, then punched him in the face and grabbed for his gun before breaking free after the gun went off once, the caller said.

Wilson pursued Brown and his friend, ordering them to freeze, according to the account. When they turned around, Brown began taunting Wilson, saying he would not arrest them, then ran at the officer at full speed, the caller said.

Wilson then began shooting. The final shot was to Brown's forehead, and the teenager fell two or three feet in front of Wilson, said the caller, who identified herself as the officer's friend.

A source with detailed knowledge of the investigation later told CNN the caller's account is "accurate," in that it matches what Wilson has told investigators.

But accounts of exactly what happened when Wilson stopped Brown vary widely.

Witnesses said they saw a scuffle between the officer and Brown at the police car before the young man was shot.  Several witnesses said Brown raised his hands and was not attacking the officer.

Piaget Crenshaw said she was sitting in her home when she witnessed the shooting. She captured video of the aftermath, including images of Brown's body lying in the middle of the street.

Crenshaw said Brown was running away from police and then turned around. She said that was when Brown was shot.

Police provided a different narrative, saying Brown struggled with the officer and reached for his weapon.

Parallel investigations

A grand jury will hear testimony from witnesses and decide on whether to return an indictment in the case, Ed McGee, spokesman for the St. Louis County prosecuting attorney, said Monday, stressing there is "no time line on this case."

In addition to that proceeding, the Justice Department has opened a civil rights investigation into Brown's death. Attorney General Eric Holder will travel to Ferguson this week, to meet with investigators there.

"I realize there is tremendous interest in the facts of the incident that led to Michael Brown's death, but I ask for the public's patience as we conduct this investigation," the attorney general said in a statement.

"The selective release of sensitive information that we have seen in this case so far is troubling to me. No matter how others pursue their own separate inquiries, the Justice Department is resolved to preserve the integrity of its investigation."

Autopsy findings

An autopsy conducted for the family of Brown found no evidence that he struggled with Wilson before his death, according to the pathologist in charge of the examination.

Dr. Michael Baden conducted the autopsy after an official examination by the St. Louis County medical examiner's office.

Forensics consultant Shawn Parcells, who assisted Baden, said the findings are consistent with witness reports that Brown may have been shot as he walked away and that he was shot again with his hands up.

The family autopsy found that Brown was shot at least six times, including two shots to his head. Three of the bullets may have re-entered his body, causing additional damage, Baden said.

One of the bullets entered his head and came out through his eye; another -- likely the fatal wound, Baden said -- struck Brown on the top of his head and caused irreparable damage to his brain.

Family attorney Benjamin Crump said Brown probably would have been either kneeling or bending forward when he was struck with those bullets.

Brown had abrasions on his face consistent with falling onto the ground, Baden said.

He cautioned that he needs access to autopsy results, including tests on Brown's clothes and X-rays, before making some conclusions.

But Crump said the autopsy already offered more than "ample" evidence to support Wilson's arrest.

"What does this autopsy say? That the witness accounts were true, that he was shot multiple times," Crump told reporters.

Attorney General Holder said a third autopsy was being conducted Monday by medical examiners from the U.S. military.

Michael Brown death: Autopsy unlikely to settle dueling narratives

Devolution of protests

Another family attorney, Anthony Gray, implored protesters to remain peaceful.

"I can see that there is a very disturbing divide that is developing in our community," he said Monday. "This is not what we initially came to the community and called for."

The situation remains so unstable that the Ferguson-Florissant School District has canceled classes for the rest of the week.

The Missouri National Guard was in Ferguson under orders from the governor to restore peace.

Nixon issued the order early Monday after what began as peaceful protests spiraled into disarray after two civilians were shot and injured, Missouri State Highway Patrol Capt. Ron Johnson said. He said those civilians were not shot by police.

Some protesters hurled Molotov cocktails at police, and several businesses were vandalized or looted despite the Brown family's call for calm.

"Based on these conditions, I had no alternative but to elevate the level of our response," Johnson said.

Officers fired tear gas into hundreds of protesters, including children, who were marching toward a police command post despite an impending midnight curfew.

Two children were treated and released for exposure to tear gas overnight at St. Louis Children's Hospital, according to a spokeswoman there.

Protester Lisha Williams challenged the notion that protesters provoked officers.

"That is a lie. It was no fight, it was no shots fired," she told CNN late Sunday. "All we did was march to the command center to fall to our knees and say, 'Don't shoot.' And they started shooting."

5 things to know about Michael Brown's shooting

Complete coverage of the Ferguson shooting

@highlight

Brown rushed full speed at officer, an account called in to St. Louis radio station claims

@highlight

A source with detailed knowledge of the investigation says the account is accurate

@highlight

Autopsy suggests Brown kneeling or bending forward when shot in head, lawyer says