(CNN) -- Yet again we are struggling to bear the unbearable. How can we find meaning in the massacre of so many innocent children, savagely cut down in a hail of bullets?

Abraham Lincoln is much on our minds these days and, fortunately, there is much his life teaches us about giving meaning to human horror. Eleven months from now, we will be celebrating the 150th anniversary of his journey to Gettysburg, Pennsylvania, where he consecrated a national cemetery in honor of the thousands slaughtered in the Civil War battle there.

In the most eloquent address in American history, Lincoln told us, "The world will little note, nor long remember what we say here, but it can never forget what they did here. It is for us the living, rather, to be dedicated here to (their) great unfinished work." In their honor, he concluded, "we here highly resolve that these dead shall not have died in vain -- that this nation, under God, shall have a new birth of freedom."

These were not idle words; he devoted himself to action. In the final months of his life, as the new film on Lincoln shows, he threw himself into the enactment of the 13th Amendment, outlawing slavery in the entire nation. After his death, the nation continued to act as he had asked, passing the 14th Amendment and quickening its progress toward realizing the dream of the Declaration: that all are created equal.

The shootings in Connecticut are not Gettysburg, but surely the long, unending string of killings that we have endured must do more than touch our hearts. As Lincoln saw, we must find meaning in the madness of life -- and we do that by honoring the dead through action.

The moment to act is now upon us, not to be lost as we rush headlong into the holiday season and more twists and turns ahead. We are better than that.

There is a common thread running through most of the mass killings we have seen in recent years: A deranged gunman gets his hands on a gun, usually a semi-automatic, and rapidly cuts down innocents before anyone can stop him.

Clearly, we must find better answers for the mentally unstable. We have the ability to recognize the characteristics of those more likely to commit such acts of violence, and we must do more to provide long-term treatment.

But just as clearly, we need to change our culture of guns. There is something terribly wrong in a nation that has some 300 million guns floating around, easily accessible to the mentally ill. Of the 62 mass shootings in the U.S. over the past three decades, more than three-quarters of the guns used were obtained legally.

Unless we act to change our laws as well as our culture, we will all be enablers when the next loner strikes. The blood will be on our hands, too.

Experts can come up with precise policy prescriptions that will allow us to maintain the constitutional freedoms of the 2nd Amendment while also changing our gun culture. Contrary to what the National Rifle Association says, it is very possible to do both. What is needed immediately is a conversation determining what principles we want to establish -- and then action to realize them. From my perspective, there should be at least three basic principles:

FIRST: To own a gun, you must first have a license -- and it shouldn't be easy to get. The right parallel is to cars: Everyone over a prescribed age is entitled to drive. But cars are dangerous, so we first require a license -- determining that you are fit to drive. Citizens have a right to bear arms, but guns are dangerous, too. So, get a license.

There are a number of issues with our current system of state-based permits. First, variation in gun regulations from state to state deeply complicates enforcement efforts. Arizona, for instance, allows concealed carry without any permit, while its neighbor California has implemented the strongest gun laws in the country. We must design a sensible federal gun control policy to address the current legal chaos.

As we construct a federal licensing system, we should look to California. The state requires all gun sales to be processed through a licensed dealer, mandating background checks and a ten-day waiting period; bans most assault weapons and all large-capacity magazines; closes the nonsensical gun-show loophole; and maintains a permanent record of all sales.

SECOND: If you are a civilian, you can't buy an assault gun. Hunters don't need military style weapons, nor do homeowners who want to be able to protect their families. They are far too popular among people who shouldn't have access to guns in the first place.

We should restore the federal ban that has expired.

THIRD: Parents should be heavily advised to keep guns out of their houses and out of the hands of kids.  No one wants to blame the poor mother of the Connecticut shooter, but everyone wonders why she kept so many military-style guns in the house, so accessible to her son. It's hard to believe, but roughly a third of households with children younger than 18 contain at least one gun. In too many neighborhoods in America -- not just in big cities -- parents who don't allow guns in their homes are apprehensive, even frightened, by their kids playing at homes where they are kept.

Some years ago, no one thought that we could change our tobacco culture. We did. No one thought that we could reduce drunk driving by teenagers. We did -- thanks in large part to Mothers Against Drunk Driving.

Years from now, no one will note what we say after this latest massacre. But they will hold us morally accountable for what we do. To honor all of those who have been slain in recent years -- starting with the first-graders in Connecticut -- we should highly resolve to change our culture of guns.

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen says we should take a cue from Lincoln's Gettysburg Address

@highlight

He says U.S. must deal with its culture of guns and find real solutions

@highlight

Gun owners should be licensed, and assault weapons should be banned, he says

@highlight

He says we will be held morally accountable for what we do -- or fail to do