Washington (CNN) -- After weeks of talking past each other, congressional leaders and President Barack Obama talked to each other Wednesday evening -- only to emerge evidently no closer to a deal to halt the government's budget stalemate.

The White House meeting, coming a day after the start of the federal government shutdown, served at least one purpose, in that key players in the debate gathered together in the same room for over an hour: Obama called it "useful," House Minority Leader Nancy Pelosi said it was "worthwhile," and House Speaker John Boehner cast it as a "polite conversation."

But while the sides talked, there was no indication they agreed on anything or even shifted their views.

Senate Minority Leader Mitch McConnell, for instance, went so far as to call it "unproductive." Neither side discussed any potential compromises, with Obama and Vice President Joe Biden doing most of the talking and Boehner making clear he won't go forward with a "clean" funding bill -- with no Obamacare amendments -- a GOP congressional source said.

Republicans, led by tea party conservatives in the House, have demanded provisions to defund or delay Obama's signature Affordable Care Act be attached to any government spending plan, a strategy that Democrats have called a non-starter.

Moreover, the parties are on the verge of another crisis -- over whether to raise the debt ceiling by October 17, at which point the federal government won't be able to pay its bills.

"At times like this, the American people expect their leaders to come together to find ways to resolve their differences," Boehner said. "The president reiterated one more time tonight that he will not negotiate."

A few minutes later, Senate Majority Leader Harry Reid claimed that it was Boehner -- not the president or his fellow Democrats -- who has refused to budge on budgetary matters, saying "we're through playing these little games."

Reid said Democratic leaders offered Boehner "a lifeline" by setting up negotiations "about anything that you want to talk about" so long as the House agrees to reopen the government first.

"I thought that they were concerned about the long-term fiscal affairs of this country. And we said, 'we are too. Let's talk about it,'" the Nevada Democrat said. "My friend, John Boehner ... cannot take yes for an answer."

In an interview with CNBC prior to the meeting, Obama said he was "prepared to negotiate on anything" regarding the federal budget -- but only after Congress passes "a clean piece of legislation that reopens the government" and allows the U.S. "Treasury to pay for things that Congress itself already authorized."

"Am I exasperated?" Obama said of Boehner, who is under pressure from fiscal hawks, and is refusing to let the House vote on the Senate-approved spending plan. "I am absolutely exasperated, because this is entirely unnecessary."

The president foreshadowed Boehner's comments that he wouldn't negotiate with Republicans in their attempts to tie government funding to Obamacare changes. Doing so, the president said, would set a dangerous precedent.

"If we get in the habit where a few folks, an extremist wing of one party ... are allowed to extort concessions based on a threat of undermining the full faith and credit of the United States, then any president that comes after me ... will find themselves unable to govern effectively," Obama said. "And that is not something that I'm going to allow to happen."

Americans hurt as DC 'squabbles like kids'

GOP spending measures unlikely to advance

Fresh off having sent four separate proposals tying funding the government to either delaying or defunding Obamacare -- each of which was rejected by the Senate -- the GOP-led House continued to work Wednesday, albeit on another plan Democrats say won't go anywhere.

A day after an initial effort failed because the short-term proposals comprising a tiny portion of the overall federal budget lacked the necessary two-thirds majority support due to Democratic opposition, the House passed -- with majority support -- bills to fund national parks, the National Institutes of Health and District of Columbia operations.

The incremental approach pushed by Sen. Ted Cruz of Texas seeks to pressure Democrats to approve spending for programs that Republicans like, but not Obamacare.

Yet Obama has signaled he'd veto those measures should they reach his desk. That's unlikely, given that Senate Majority Leader Harry Reid has dismissed the GOP approach as "reckless and irresponsible."

Shutdown 'extremely damaging' to U.S. intelligence operations

While expressing openness to budgetary negotiations generally, Democrats have said they'll only talk after Congress passes a clean spending measure. Both Democrats and Republicans say such a bill would pass the House with support from the Democratic minority and moderate Republicans.

So far, Boehner has succumbed to pressure from the tea party right to avoid a vote that would pass something without causing some harm to the health care reforms.

One problem is that conservative House Republicans from home districts with no realistic Democratic challenge feel emboldened to pursue a more extremist ideology backed by their supporters, CNN Chief National Correspondent John King said.

"More people say raise the debt ceiling and fight the health care debate somewhere else," he noted. "But there's enough here, if you think of a Republican going home to his district, there's enough here to understand why the Republicans think they're on safe ground dragging this out."

Decision to raise debt ceiling, or risk default, looms

The looming debt crisis could pose even more headaches, and confrontation, in the coming weeks.

Failing to raise it may mean a U.S. default on its debt, something Obama stressed in Wednesday's White House meeting that the country can't afford to do, according to Reid.

Obama offered no indication that he'll budge. Noting that such Republican brinkmanship in 2011 led to the first-ever downgrade of the U.S. credit rating, the president said Tuesday he "will not negotiate over Congress' responsibility to pay bills it's already racked up."

Writing the same day in USA Today, Boehner dug in his heels on the issue, saying "there is no way Congress can or should pass such a bill without spending cuts and reforms to deal with the debt and deficit."

Raising the debt ceiling?

Still, that crisis is still a few weeks away. The government shutdown is the one currently affecting hundreds of thousands of furloughed government workers, not to mention millions of others who rely on government programs, visit national parks and have some other type of interaction with affected programs.

One moderate Republican who has backed a clean spending measure, Rep. Michael Grimm of New York, said that "both sides have dug in." Democrats, who he said "won't even have a discussion," put House Republicans in a tight spot where they feel compelled to hold their ground or else "set a bad precedent that the Senate would be somewhat dictating how the House runs."

But if Democrats agreed to listen, Grimm expressed optimism "that we would put a package together and solve the problems at once, so we can get the government funded, stop the shutdown, and also deal with the debt ceiling so we don't have another crisis a week or two away from now."

Government shutdown forces clinical trial patients to wait

Pelosi said that scores of Democrats have reluctantly offered to back a plan to fund the entire government at a figure that's been bandied about by Republicans, albeit well below what her party members want. The other option would be to reconcile budgets passed by both chambers earlier this year in a conference committee, as is Washington custom.

But what Democrats won't stand for, Pelosi said, is GOP legislators shuttering the government due to their opposition to Obamacare, which previously passed through Congress and withstood a Supreme Court challenge.

"That's not what our Constitution had in mind: that if you don't like something, you threaten to shut down the government," the California Democrat said. "It's not that kind of system."

A blow to the economy

The shutdown of the government -- the country's largest employer -- isn't happening all at once.

Federal employees who are considered essential will continue working. Those deemed non-essential -- up to 800,000 -- could be furloughed, unsure when they'll be able to work or get paid again.

The shutdown could cost the still-struggling U.S. economy about $1 billion a week in pay lost by furloughed federal workers. And that's only the tip of the iceberg.

Congress still gets paid

While many agencies have reserve funds and contingency plans that would give them some short-term leeway, the economic effect would snowball as the shutdown continued.

The total economic impact is likely to be at least 10 times greater than the simple calculation of lost wages of federal workers, said Brian Kessler, economist with Moody's Analytics. His firm estimates that a three- to four-week shutdown would cost the economy about $55 billion.

And it's already had political ramifications extending beyond the United States. On Wednesday, Obama canceled planned visits next week to Malaysia and the Philippines as part of an Asian swing that will include a summit of the Association of Southeast Asian Nations on Bali. Obama will still attend the ASEAN summit, his office said.

CNN's Tom Cohen wrote and reported from Washington, and CNN's Greg Botelho did the same from Atlanta. CNN's Brianna Keilar, Athena Jones, Dana Bash, Jim Acosta and Deirdre Walsh contributed to this report.

@highlight

NEW: Senate Minority Leader McConnell calls White House meeting "unproductive"

@highlight

NEW: Neither side discussed any potential compromise, a GOP source says

@highlight

An 'exasperated' Obama says no negotiations until the government reopens

@highlight

The government shut down began on Tuesday in a stalemate over spending