(CNN) -- The underwater probe being used to look for missing Malaysia Airlines Flight 370 was back in the water after its first attempt ended prematurely, said the company that owns the vehicle, Phoenix International.

The Bluefin-21 autonomous underwater vehicle was about four hours into its second dive mission at 2 p.m. ET on Tuesday (2 a.m. Wednesday in Perth, Australia), a source close to the operation told CNN's Brian Todd.

On Monday, crews sent the probe toward the ocean floor on what was expected to be a 20-hour deployment, only to have it return in less than eight hours after encountering waters beyond its 4,500-meter (14,764-foot) maximum depth.

The probe found no debris during its shortened scanning session.

The second mission is expected to end Wednesday around 10 a.m. ET (10 p.m. in Perth), the source said. The vehicle was deployed in nearly the same area and is operating at about the same depth as the earlier mission, the source said.

The earlier aborted mission doesn't mean anything is wrong with the probe, which is designed to swim about 30 meters (100 feet) above the ocean floor and use sound waves to draw a three-dimensional map of what lies below.

"The vehicle's tracking the floor, so when the floor dives, so does the vehicle. And the vehicle goes, 'Uh oh, I'm not supposed to be here' and punches up," said David Gallo, director of special projects at the Woods Hole Oceanographic Institution.

And while it's disappointing the vehicle returned to the surface early, it's not unusual, said David Kelly, CEO of Bluefin Robotics, the company that makes the probe.

"We've operated these vehicles around the globe. It's not unusual to get into areas where the charts aren't accurate or you lack information," Kelly told CNN's "Erin Burnett OutFront."

A British survey ship is working to determine the areas where the Bluefin can safely work without hitting its maximum dive depth, according to Phoenix.

U.S. Navy Capt. Mark Mathews of the Bluefin search team said the initial launch Monday night took place "in the very far corner of the area it's searching, so they are just shifting the search box a little bit away from that deep water and proceeding with the search."

About 8 square miles were searched, said Jim Gibson, a spokesman for Phoenix International. It could take up to two months to scan the entire search area.

The deputy director for salvage and diving for the U.S. Navy told CNN that the Bluefin may actually be able to go deeper than it was first programmed to do, engineers have determined.

"We've gone through and looked at all of the components in Bluefin, and we're comfortable that we can exceed that 4,500-meter limit at this point," Mike Dean told CNN's "The Lead with Jake Tapper. "We're looking at, can we push Bluefin beyond 4,500, potentially down to as deep as 5,000? There is some software, that software has been tested now. And we believe that, with some confidence, we could push Bluefin to that depth."

He said two-thirds of the search area was less than 4,500 meters deep.

Dean said the Bluefin was chosen for this part of the search because it was the lightest, most nimble package and easiest to get on scene. It's possible that a second vehicle that can operate deeper than the Bluefin will be needed.

One possibility is a vehicle called Orion that is towed behind a ship. It remains under the water and sends back real-time data. It would be a more complex operation to put an Orion in the water but one is available in Maryland if the Australian-led search team requests it.

Monday's shortened mission was the latest glitch in a 40-day search for the missing jetliner, which vanished March 8 with 239 passengers and crew on board after taking off from Kuala Lumpur, Malaysia, bound for Beijing.

Surface and satellite searches have turned up nothing conclusive -- and confusing, sometimes conflicting details from investigators have muddied the public image of the search and angered relatives of the missing.

On Tuesday, the Malaysian Cabinet agreed to set up an international investigation to look into the plane's disappearance. Teams will look at the plane's airworthiness, operational issues and human factors that may have played a role, officials said.

Malaysia's acting Transportation Minister Hishammuddin Hussein also said Tuesday that if searchers are able to recover the plane's vital black boxes, it matters less which country takes control of them than does "finding out the truth."

Oceanic salvage manager: How we search for Flight 370

The co-pilot's cell phone

Meanwhile, a new detail emerged from the flight on Monday.

A U.S. official told CNN that co-pilot Fariq Abdul Hamid's cell phone was on and made contact with a cell tower in Malaysia about the time the plane disappeared from radar.

However, the U.S. official -- who cited information shared by Malaysian investigators -- said there was no evidence Hamid had tried to make a call.

The official told CNN's Pamela Brown on Monday that a cell phone tower in Penang, Malaysia -- about 250 miles from where the flight's transponder last sent a signal -- detected the first officer's phone searching for service roughly 30 minutes after authorities believe the plane made a sharp turn westward.

The details do appear to reaffirm suggestions, based on radar and satellite data, that the plane was off course and was probably flying low enough to obtain a signal from a cell tower, the U.S. official said.

U.S. officials familiar with the investigation told CNN they have been told that no other cell phones were picked up by the Penang tower.

Pilots are supposed to turn off their cell phones before pushing back from the gate.

When the plane first went missing, authorities said millions of cell phone records were searched, looking for evidence that calls had been made from the plane after it took off, but the search turned up nothing.

The suspected oil slick

Another possible clue into the plane's disappearance appeared Monday.

Australian officials announced the Australian ship Ocean Shield had detected an oil slick Sunday evening. It is unclear where the oil came from; a 2-liter sample has been collected for examination, and was on its way Tuesday to western Australia for analysis. Test results could be days away.

CNN aviation analyst Les Abend, who flies a Boeing 777, said the engines on the plane have about 20 quarts of oil each.

"It could be slowly dripping up to the surface," he told CNN's "Anderson Cooper 360." "They're saying an oil slick. I'm wondering if it's just some sort of a fluid slick. It could be (from) hydraulics."

If it is oil, it's not the first oil slick detected as part of the search. A similar find in the first days of the search was determined to be fuel oil from a freighter.

Surface search nearing end

While air and sea surface searches continued Wednesday some 2,087 kilometers (1,297 miles) northwest of Perth, those searches are likely nearing an end.

"The air and surface search for floating material will be completed in the next two to three days in the area where the aircraft most likely entered the water," retired Australian Air Chief Marshal Angus Houston, head of the country's Joint Agency Coordination Centre, said Monday.

With no debris found after weeks of searches and no possible pings from the plane's black boxes detected in a week, Houston said it was time to focus the search underwater.

The number of aircraft in the search grew to 14 planes, including three civilian jets. There were also 11 ships involved Wednesday.

How do underwater sonar subs work?

What happens after the pingers die?

Listening for pings, water plays tricks

CNN's Elizabeth Joseph, Erin Burnett and Steve Almasy contributed to this report.

@highlight

NEW: Official says Bluefin may be able to go deeper; another vehicle that can awaits its call

@highlight

Underwater probe will map ocean floor until 10 a.m. ET Wednesday, source says

@highlight

Vehicle's first attempt ended early after it exceeded its maximum dive depth

@highlight

Meanwhile, investigators are trying to determine significance of cell signal and oil slick