(CNN) -- What do you do with 6,000 tons of space junk traveling at thousands of miles an hour? Harpoon it of course.

It might sound like a scenario straight off the pages of a science fiction novel but it is a suggested solution to an increasing and potentially costly problem in space -- that of debris littering low earth orbit.

The harpoon plan is one of a range of options being discussed by scientists at a forum in Germany next week, and aimed at finding a way of tackling space debris that threatens commercial operations.

Engineer Jaime Reed, who is leading the harpoon project for the space technology company Astrium, explains that if a rogue satellite hits another, not only does it ruin the mission but it creates more debris and propagates the problem. This run-away scenario is often called the Kessler Syndrome, named after NASA's Don Kessler who first highlighted the risk.

"There's a lot of space debris -- 6,000 tons in orbit -- that could pose a threat," said Reed.

"Perhaps unwittingly, the average person relies a lot on space -- GPS in their phones, telecoms, TV, weather forecasts -- they are things people expect to have," he said.

Read more: 3 new planets could host life

"Space debris could very easily take out some of those satellites -- it would have a real impact on people's lives."

Astrium's plan to tackle defunct satellites is to use an unmanned chase spacecraft to get in range, fire a barbed harpoon into the body of the rogue hardware and then use a smaller propulsion unit attached to a tether to tow it back towards the atmosphere where it will burn up safely on re-entry.

"Because the harpoon we are using is very light and the chase satellite more than a ton, momentum is very tiny... it's a small recoil," said Reed.

The harpoon system has been tested in the laboratory in the UK and Reed will present findings at the conference on Wednesday.

Reed estimates that the system could tackle 10 targets per mission and says simulations show that if five to 10 objects were removed each year then that would "stabilize the debris population."

Read more: NASA shoots for asteroid

He said he hoped the next step would be a demonstration mission to capture something small.

So how big is the problem? Reed warns that if space junk is not removed it could mean that low-earth orbit might eventually become unusable.

According to NASA there are about 20,000 pieces of space junk bigger than 10cm (3.9 inches) and its chief scientist for orbital debris Nicholas L. Johnson says most robotic satellite missions are vulnerable to particles as small as 5mm (0.2 inches) -- there are thought to be millions of those in orbit.

"A 5mm (0.2 inches) particle striking a large solar array is likely to have a very little long-lasting effect, but such an object hitting the main body of a satellite could cause a vital component to fail," he said.

"Normally, it takes the impact of an object about 10cm (3.9 inches) or larger to cause the satellite to suffer a severe fragmentation in which large numbers of new debris would be created.

"Collision speeds can vary from less than 1km per second (2,236mph) to 16km per second (35,790mph)."

He explained that ground-based radars are able to track objects of about 10cm (3.9 inches) and sometimes smaller, depending on altitude above the earth, while other sensors can detect particles down to about 5mm (0.2 inches) in low earth orbit.

"Space debris poses real threats to both human space flight and robotic missions. However, today those threats are largely handled by spacecraft design and operation techniques," said Johnson. "Since the 1980s considerable efforts have been made to curtail the creation of new space debris."

The NASA scientist said the odds of an operational satellite being disabled by space debris remain quite small, though he points out that two have been lost after being hit by man-made debris -- a French satellite in 1996 and an American craft in 2009.

Last month, CNN reported that space debris left over from a 2007 Chinese missile test had collided with a Russian satellite, according to a researcher at the Center for Space Standards & Innovation.

And in 2012 the crew of the space station were ordered into escape capsules as a precaution after a piece of debris passed close by.

Both Reed and Johnson say the focus over the last 30 years has been on mitigation but NASA and other space agencies are looking at ways to remove large derelict spacecraft and rocket launch stages from low earth orbit.

The harpoon is clearly aimed at capturing the larger objects but many other solutions have been proposed, including the use of lasers to nudge space junk out of the way, or using giant nets and space tugs.

"It's a very active area," said Reed. "Lots of people are coming up with ideas."

More space and science news from CNN Light Years

@highlight

Scientists are set to meet in Germany to discuss ways of tackling space debris

@highlight

It is estimated that there are 6,000 tons of space junk in Earth's orbit

@highlight

Space technology company Astrium has devised a plan to harpoon debris

@highlight

The debris would then be towed towards Earth's atmosphere, where it would burn up