(CNN) -- President Obama takes his first foreign trip Thursday, but domestic politics will loom large as he tackles the explosive issue of protectionism in a meeting with Canadian Prime Minister Stephen Harper, the leader of the United States' largest trade partner.

Trade will be a major issue when President Obama visits Canada beginning Thursday.

At issue is a controversial so-called "Buy American" provision requiring the use of U.S.-produced iron, steel, and other manufactured goods in public works projects funded by the $787 billion economic stimulus bill.

Several Democratic-leaning unions and domestic steel and iron producers favor the provision; a large number of business and trade organizations are opposed.

Administration officials altered the language in the final version of the stimulus bill to ensure that the provision will not trump existing trade agreements such as the North American Free Trade Agreement, known as NAFTA. Canadian companies will therefore still have the chance to sell products used in stimulus-funded projects.

Canadian government officials, however, are still concerned by what they perceive as rising protectionist sentiment in the United States that could potentially spark a trade war and, in their opinion, deepen the global economic crisis.

Canada has been hit hard by the global downturn. The country's critical manufacturing-based sales dropped 8 percent in December, reflecting roughly equal decreases in both volume and price, according to Statistics Canada, an agency charged with tracking key economic data for officials in Ottawa.

In a recent letter to U.S. Senate leaders, Canada's ambassador to the United States warned that the U.S. was losing the moral authority to pressure other nations not to erect their own trade barriers.

"A rush to protectionist actions could create a downward spiral like the world experienced in the 1930s," wrote Ambassador Michael Wilson. "In the end we got into this economic crisis together. We need to work together to build ourselves out of it."

Some Canadian leaders also cite unresolved concerns over what they perceive to be vague and potentially harmful language in the "Buy American" provision.

Specifically, they are questioning whether NAFTA and World Trade Organization rules will apply to state and city governments receiving stimulus money for local infrastructure projects.

They also cite uncertainty over what rules of origin apply to projects covered under the stimulus bill. A number of components in Canadian products come from countries such as China and India, which are effectively excluded by the "Buy American" provision.

"This is no merely technical question; different parts of many products come from different places, and intricately entwined supply chains could be seriously disturbed if they have to be disentangled, to the detriment of both the U.S. and Canada," the Toronto-based Globe and Mail newspaper editorialized Tuesday.

"Such questions cannot wait for judgments in trade litigation," the Globe and Mail argued. "Canadian governments and businesses ... have to be ready for a long series of many minor battles."

Obama stumbled over Canadian trade issues during last year's campaign for the Democratic presidential nomination. Shortly before the Ohio primary in March, he was extremely critical of NAFTA. Many Rust Belt voters believe the accord has cost countless jobs by accelerating the erosion of the U.S. industrial base.

During a debate with then-Sen. Hillary Clinton, Obama agreed that the United States should abandon the treaty if it could not be renegotiated. It was later revealed that one of Obama's economic advisers, Austan Goolsbee, had met with officials at Canada's Chicago, Illinois, consulate and allegedly assured them that Obama's trade rhetoric was more a function of politics than any deeply held policy position.

@highlight

President Obama leaves for Canada on Thursday; to meet with Canadian PM Harper

@highlight

One big issue: the "Buy American" provision in stimulus plan

@highlight

Bill now says that provision will not trump existing trade agreements like NAFTA

@highlight

Still, Canadian officials worry about what they see as new U.S. protectionist tilt