In "The Twelve" it's the end of the world as we know it and while no one feels fine, millions love reading about it.

Hitting bookstores October 16, "The Twelve" is the highly-anticipated new novel from award-winning author Justin Cronin. It's the second in a planned trilogy about a frightening man-made apocalypse. The first in the series, "The Passage," was an instant bestseller in 2010 winning widespread praise from critics and a worldwide legion of fans.

Master of horror Stephen King was among Cronin's most vocal supporters.

"The Passage" also received national attention for the back story behind the book. Originally inspired by Cronin's then 8-year-old daughter, at its heart it's a story about a little girl who saves the world. The book generated a bidding war among publishers, ultimately selling for more than $3 million. Film rights were also snapped up for a reported seven-figure payday. Cronin went from being a little-known author and English professor to overnight millionaire.

In the series, Cronin presents a desolate view of the future, where a mysterious plague turns people into blood-sucking monsters, cities crumble, much of the United States is turned into a wasteland and millions of people die in the resulting chaos. Nevertheless, readers love Cronin's fresh, intelligent combination of science fiction, horror and thriller, reminiscent of King's "The Stand" and Cormac McCarthy's "The Road."

"The Twelve" of the title are the dozen vampire-like creatures created in a secret government experiment gone horribly wrong. Now these twelve virals control an army of the undead, out to extinguish what's left of the human race. The new book briefly returns to "year zero" of the global plague. It reintroduces readers to some favorite characters from "The Passage," expands the cast, widens the scope of the story and gives the plot a "1984" Orwellian twist.

CNN recently spoke to Cronin from his home in Houston, Texas, where he's hard at work on the third and final book in the trilogy. The following is an edited transcript.

CNN: You've talked about how your daughter was the original inspiration behind "The Passage." Did she have any input on your new novel?

Cronin: She did at the outset. When she and I conceived the first book we talked about the sequels and their basic narrative shape. So in that sense her handprints are upon it. That said, the 8-year-old girl who took her bike rides with me and talked about the novel is now a 16-year-old learning to drive with her own life and her own concerns and in fact her own writing.

So on a day-to-day basis, my go-to person now I would say has been my wife. Whenever I hit a snag, we take a walk around the block and talk about it and rather remarkably by the time we return it's not uncommon for the problem to be solved. So for each book there's been a woman in my life who's played a pretty big role. In this one I'd have to give a tip of the hat to my wife.

CNN: When we last talked you said, "The hazard of most trilogies is the middle book." So was this novel harder to write than the last?

Cronin: It was different. For each book I've had to sit down and look at what new challenges I have to work through. One of the best things about my job is that I don't have a boss, so I can take each project and do what interests me. One of the things I always want to do is never write the same book twice. I want each book to pose a new challenge and force me to stretch as a writer.

For this book what I wanted to do was avoid the well-known trap of middle books in a trilogy, which is that they're kind of a long second act, just a bridge between books one and three.

What I decided to do was to make sure I wrote a book that had fresh terms established for it, so that it would pick up where the last story left off but it would also reset the situation. Which is why in this book at the start, you go back to year zero to see something you did not see the first time. It changes the rules of the game for my major characters in their quest to rid the world of the great viral plague.

That for me was the strategy that I conceived of very early on. What do I want to do in this book that's different from the middle books of most trilogies, in the same way that when I wrote "The Passage," I said what do I want to do that's different from most apocalypse novels? Once I got that clear in my mind I realized how the book would operate.

CNN: You've described "The Passage" as an ode to "Lonesome Dove," so what novel was your inspiration for "The Twelve?"

Cronin: For each of the three books I wanted to work within different genres. The first book is a bunch of things. It's a horror novel, apocalyptic fiction, science fiction, but I think it's very much a road novel and a Western.

At the core of that novel you have characters who are encountering the American West with the same kind of sense of awe and unknown as the first European settlers. This book, I wanted to draw upon my love of espionage fiction to bring yet another kind of energy into the trilogy.

I like really well-written spy novels, for instance I'm a huge fan of Alan Furst. But if I had to pick a book that was really operating in the background it would be George Orwell's "1984." It's always been a very important book for me.

I wrote my senior thesis in college on "1984." I think it's a much more complex and interesting book than its given credit for. How does propaganda operate, how do you gain complicity? I was very interested in these kinds of questions and the psychological mechanics of how totalitarianism operates. In "The Twelve" people will see that influence in the background I'm sure.

Justin Cronin talks about his new novel, "The Twelve"

CNN: You're very active on social media. What has your interaction been like with fans online?

Cronin: Social media is the perfect thing for writers and for people who work alone. I can't stroll down to the photocopy room and kill a little time chatting about what the Patriots did this weekend. I'm all alone in my office, so it's absolutely a way of breaking the trance of loneliness that writers have to live in. For a writer it gives you the opportunity to interact with your fans without leaving your house or going on a book tour. I love it.

The thing about "The Passage" trilogy is, unlike my earlier work, those books had readers, but these books have fans. Because the books are still unfolding it's a way to interact with people in the middle of the story. That did not happen with my first two books. Now I hear from people all the time. I love interacting with fans this way. Its fun, it's easy. I think how great it would have been when I was a young reader to be able to do this. John Cheever really made me want to become a writer. I remember a night in college when my roommate and I tried to call him on the phone.

It didn't work out, but you really want to talk to these people, they matter to you. Facebook is a way of bridging that gap. I appreciate it not only as a writer but as the reader I was as a young man.

CNN: What's the status of book three, any hints?

Cronin: I'm sort of at the point now I feel like I'm hitting my stride with the third book. My goal is for the third novel in some ways (is that it) follows the design of the earlier books, which is to briefly take the reader back to year zero. To see yet again something they did not see the first time that resets the terms of the story, so that the book has its own propulsive engine. The only other thing I can say is it's the last book so the big questions that remain will be answered. That's the job of the third book is to end the story. The goal is for the book to come out in 2014, and all mysteries will be revealed.

Read an excerpt from "The Twelve."

@highlight

Second book of Justin Cronin's trilogy, "The Twelve," hits stands this week

@highlight

Cronin's daughter inspired "The Passage," his wife influenced this new book

@highlight

Cronin's college senior thesis on "1984" also influenced the theme of propaganda in "The Twelve"