(CNN) -- Takeoff on one of Airbus' new A350WXB test planes is a strangely quiet experience.

Powered by two hulking Rolls Royce Trent XWB engines, you'd expect to hear more than just a low whirring noise when tearing down the runway.

But when leaving the ground and heading into the clear blue skies of a Hong Kong morning, there was little else to hear on the newest addition to commercial aviation.

Compounding the hush was the unique nature of the flight.

Most of the select few passengers on board flight AIB 206 to Singapore were from the plane's manufacturer; part of a dedicated team undertaking the final tests to make sure the aircraft is certified to enter service in December with its first customer, Qatar Airways.

The flight was part of Airbus's A350XWB "route proving" trip, something akin to a world tour where existing and potential customers can take a look at the goods first hand, while the engineers continue to test and tinker.

Named MSN005, the aircraft that flew across the South China Sea, the Malaysian peninsula and Sumatra, is one of only two of the fleet of five test planes kitted out with a full cabin, so the flight was a good indication of what's in store for millions of passengers in the coming years.

Seating four abreast in the 42-seat business class sections, nine abreast in the two economy cabins, this is the future of long-haul travel as presented by the European plane maker.

Gleaming cabin

It's a competitor to Boeing's 787 Dreamliner and new iterations of the 777 and Airbus hope it'll take up a sizeable chunk of the world's expanding fleet of twin-aisle aircraft.

At first glance, the gleaming cabin looks simply like a lovely new plane, but dotted throughout are features that Airbus hopes will set it apart from the competition and impress passengers and airlines alike.

"With fiber optics we've integrated the cables for the in-flight entertainment system, moved the control boxes to a panel under the seat and flooring and been able to make the floor flat," says Roland Naudy, the Aircraft Interiors Marketing Manager.

That could be sweet relief for those who found themselves with an in-flight entertainment box stopping them from stretching out their feet.

Seat-back displays in economy are 10.6 inches (26.9 centimeters), which Airbus say will either be powered by Thales or Panasonic, depending on each airline's preference. Tablets and smart phones can be plugged in and powered from the seat backs, something that's becoming a new standard.

The LED lighting onboard has a mind-boggling 16.7 million possible color permutations, which not even a 16-hour intercontinental trip could cycle through, while the cabin is pressurized to a height equivalent of 6,000 feet (1,828 meters) instead of a more standard 8,000 feet, which it is claimed reduces the effect of jet lag.

While the plane is touted as being extra wide-bodied (hence the XWB), the height of the cabin without central overhead bins is striking (although that might only be an option for first and business class).

For those that favor a window seat on flights, but find the curve of the sidewall cramps their sleep, the new plane has one of the flattest in the business, so cricked necks might also be a thing of the past.

Another little touch is that the bathroom light that comes on and then dims when the door is opened.

Extreme temperature tests

For the most part the plane looks ready to come into service tomorrow, but throughout there are hundreds of sensors relaying information to a flight test station set up in the middle of the rear economy cabin.

Two test engineers spent the flight poring over the data, gathering up to 120,000 parameters. Everything, from temperature at certain points in the cabin to the fuel flow, could be relayed live back to Airbus HQ in France.

Further route-proving flights to Africa and Australasia are scheduled, and while the flight-worthiness tests have been ongoing for more than a year -- including extreme temperature tests in the Arctic, stalls, and aborted takeoffs at full speed -- fitting out the interior to clients tastes is a long process too.

"We expect that be around 10 months," said Didier Nasarre, head of customer program.

In fact, he said, it's been closer to 20 months for the first customer as everything needed to be done more or less from scratch.

From the height of counters in the galley to the type of carpet, every detail is examined and evaluated by airlines, said Nasarre.

The plane is made of 53% composite materials helping its fuel efficiency.

The A350's swooped back winglets could make it as recognizable a sight at airports around the world as the crenelated engine covers of the Dreamliner.

"Basically if a plane looks good, it flies well," said Henry Craig, a pilot for Cathay Pacific, as he peered out the window at the curvy wing-tips.

"I'm a fan of beautiful things and that is a thing of beauty."

The A350 will come in three sizes, the A350-800, A350-900 and A350-1000, offering between 276 and 369 seats. As of July there were 742 orders from 38 airlines.

@highlight

CNN's Dean Irvine joins Airbus team on board a A350WXB during a "route proving" flight

@highlight

The wide-bodied A350WXB is Airbus's answer to the Boeing 787 Dreamliner

@highlight

The plane is made of 53% composite materials helping its fuel efficiency