(CNN) -- Nicholas Wiseman struggles with asthma and migraines. He has for years.

His Malibu family has done everything they can to help -- they've torn out the shrubs by his house, thinking he may be allergic to them. They've ripped out a wall, thinking there might be mold there.

But still the high school junior doesn't feel good.

"I thought it was the seasons, like the weather changing," Wiseman said.

Now his family believes there may be something else to blame: his school.

A group of Wiseman's teachers at Malibu High School sent a letter to the Santa Monica-Malibu Unified School District's risk manager on October 4, complaining about a variety of illnesses. They suspect their working environment is at fault, but administrators say they are still investigating, and some experts are skeptical.

"At this point, there is nothing to let people know, other than employees had health concerns," Sandra Lyon, the district superintendent, told CNN Newsource affiliate KCAL/KCBS. "We don't have any evidence whatsoever that there is any contaminant, any issue in or around that building."

The letter says the teachers "are extremely concerned about their health and safety." Three teachers at the school have been diagnosed with stage 1 thyroid cancer in the past six months. Some seven teachers complained about migraines. The letter says the teachers who are sick work primarily in the main middle school building (the school services grades 6 through 12), the music and drama building, the visual arts building and in the school's theater.

When one teacher moved to another building, her migraines got better, the letter states.

Another teacher who moved from one of the suspected buildings stopped getting a rash she'd been suffering from for four years.

The letter publicly requests environmental tests be done at the school and asks the district to make those test results public.

"Skepticism is totally an appropriate way to approach this," said Dr. Otis Brawley, chief medical officer for the American Cancer Society, who is not involved in the investigation.

The teachers' letter characterizes the number of teachers being diagnosed with the same type of cancer as "alarming," but Brawley said thyroid cancer is unfortunately "incredibly common."

Overall in the United States there has been an increased rate of thyroid cancer since 1973. The Centers for Disease Control and Prevention theorizes that the increasing rates simply reflect that the disease has gotten easier to detect. The American Cancer Society estimates there will be 60,220 new cases of thyroid cancer diagnosed in 2013. Women between the age of 35 and 65 are at highest risk.

Scientists believe most cases of thyroid cancer are hereditary.

"The only instances where we have ever seen a man-made thyroid cancer from exposure (to environmental chemicals) is someone exposed to a high dose of iodine. And it takes years to develop thyroid cancer from it," Brawley said.

Even if for some reason radioactive iodine were found in these school buildings, the chemical only has a half-life of 42 days, meaning it would disappear after that. Then the danger would be gone.

"Very few people will develop a cancer immediately after an exposure," Brawley said. "Now if they were exposed to something in the late '80s or early '90s, then maybe there would be something."

Cancer clusters are also uncommon, according to scientific research. A well-respected study from Dr. Michael Than that published in A Cancer Journal for Clinicians found that of all the cases of alleged clusters, only 5% to 15% actually were cancer clusters. The CDC defines a cancer cluster as a "greater-than-expected number of cancer cases that occurs within a group of people in a geographic area over a period of time."

While environmentally-derived thyroid cancers are rare, what is much more common are health issues caused by mold.

Dr. Sanjay Gupta: Toxic Schools

Some studies estimate a third or more of U.S. schools have mold, dust or other indoor air problems that are serious enough to cause serious respiratory illnesses such as asthma.

Only about 20% to 30% of the population is actually susceptible to indoor air problems like mold or dust, but for those who are, the symptoms get increasingly severe.

Legally there are no indoor air quality standards for schools. Yet a national survey of school nurses found that 40% knew children and staff who were adversely affected by indoor pollutants at their school.

One school in Fairfield, Connecticut, had such a bad mold problem the district tore it down in 2000, but not before one of its teachers, Joellen Lawson, became permanently disabled with a serious lung condition called Chronic Obstructive Pulmonary Disease. She had to leave teaching after being in a classroom for 23 years.

Are schools making us sick?

As a precaution, Malibu High has brought in an environmental firm to run tests on the buildings and the surrounding soil. The district has closed a building and relocated students.

"We want to be diligent and overly cautious just to make sure there isn't anything here, but we don't want to panic," principal Jerry Block told CNN Newsource affiliate KCAL/KCBS.

The news, though, is still unsettling to parents. The school brought them in for an informational session about the issue on Tuesday.

Cassandra Wiseman, whose son has been so sick with asthma and migraines, is upset.

"It's appalling. You think you are doing the right thing then you're suddenly, you have this total self-doubt that you're not at all," Wiseman said. Asked what she will do next if her son's health problems continue, Wiseman concluded, "I don't know what to do. I'm just a mother."

@highlight

3 teachers at Malibu High School have been diagnosed with thyroid cancer in last 6 months

@highlight

21 teachers say they have some health problems they worry may be caused by their school

@highlight

Administrators have brought in environmental firm to run tests on buildings and surrounding soil