Washington (CNN) -- "Equal Justice Under Law" -- the words symbolize the American heritage of democracy and the rule of law.

That phrase also stands guard over the 36 marble steps leading up to the prominent national symbol of justice itself -- the U.S. Supreme Court. The building housing the courtroom and chambers of the nine justices turns 75 this year, and CNN was recently given an exclusive behind-the-scenes tour.

The home of the high court is both tourist attraction and working government building. Symbols abound, but so does a measure of secrecy. Most of the four floors are closed to the public, including the library, dining rooms and gymnasium.

"One of the tasks that was assigned to the architects was to make sure that this building blended in with the Library of Congress next door and also with the Capitol" building across the street, said Catherine Fitts, the Supreme Court's curator. "They wanted to have that grand statement, that something important is going on here."

It is the little details of this place, the surprises around every corner, that give the Supreme Court building its power and charm, including:

-- Two spiral staircases winding along the wall up several floors, a unique construction duplicated in only a few other places in the world. These architectural marvels were built without a central support, with the marble steps embedded deeply in the wall, each resting atop the other.

-- The ornate friezes above the courtroom showing great figures of law, such as Moses holding the Ten Commandments and one of the few depictions ever of the Prophet Mohammed/

-- Decorative turtles encircling the base of exterior lamp poles, symbols of the deliberative pace of justice.

-- The Robing Room, just off the courtroom, where the justices as a group put on the sober black frocks before public sessions. By tradition, they shake hands as a sign of common purpose and respect.

For the first 146 years of the Supreme Court's existence, it competed for space, often as a vagabond tenant.

Reflecting the federal judiciary's long struggle over decades to assert its status as an equal, independent branch of government, the search for a permanent home was equally tough.

The court first met in 1789 at the Merchant's Exchange Building in New York, then the federal capital. It moved to City Hall in Philadelphia, then to various rooms in Washington's U.S Capitol, where for a time it shared space with an orphans court.

When the British set the Capitol complex ablaze during the War of 1812, the displaced court met for a time in a private home. The justices eventually wound up in 1860 in the Old Senate Chamber, their home until 1935.

By then it took a chief justice with enough political pull to persuade Congress to give the Supreme Court a building befitting its reputation. Chief Justice William Howard Taft, the former president, was instrumental in securing the funds.

"It was really his vision that made the building reality," said Matt Hofstedt, the court's associate curator. "Unfortunately he passed away [in 1930] before the building was actually built. He never got to see his dream come true."

Taft and chief architect Cass Gilbert did not have to look far for their grand vision. The land across from the Capitol was occupied by row houses, seized from the National Woman's Party under eminent domain.

The mandate from Taft and later Chief Justice Charles Evans Hughes was to create "a building of dignity and importance suitable for its use as the permanent home of the Supreme Court of the United States."

"Marble is most definitely the predominant material that's used," Fitts said. "In fact, of the original $9.7 million spent, about $3.5 million was just on marble alone. So the premise, the design of the building is a Greco-Roman temple, kind of a temple of justice."

Gilbert modeled his courtroom design on the West Virginia Supreme Court chamber, also his creation. It took three years and more than $9 million to finish -- Depression dollars -- completed on time and on budget.

Not every member of the high court was thrilled at the arrangements. Justice Louis Brandeis initially refused to move, as did other colleagues used to working at home. Harlan Fiske Stone called the courtroom "almost bombastically pretentious ... wholly inappropriate for a quiet group of old boys such as the Supreme Court." One contemporary news report noted Owen Roberts' wooden bench chair cracked on the opening day of the court, and he nearly fell off.

The first thing a visitor to the court's restricted areas notices is the quiet. Hushed dignity pervades the marble hallways and wood-lined rooms. History-making events happen here, landmark opinions like Brown vs. Board of Education, Roe v. Wade, and Bush v. Gore were written and debated here.

Among the rooms are:

-- The Library. With 600,000 volumes, the oak-paneled library on the third-floor is the court's information center. Only court personnel, members of Congress and bar members are allowed to use it.

"The library is a very vibrant part of what the court does, because you need that sort of scholarly input in the opinion writing process," Hofstedt said.

With so much legal information available online, the library is not used nearly as much anymore.

-- The East and West Conference Room. Just off the Upper Great Hall are two areas used for various ceremonial and administrative functions. Justices Sonia Sotomayor and Elena Kagan were sworn in there. The walls are lined with portraits of the 16 chief justices that have served, not counting the current head of the judiciary, John Roberts.

The curators show us a special object -- a chair once used in the chambers of John Marshall, unquestionably the most important chief justice, who served from 1801-35.

"When a justice is joining the court, they sit in the chair in front of the bench," said Hofstedt of the public investiture ceremony. "The incoming justice sits in the chair while the commission is read in open court, and then they stand and take their oath, then take their seat on the bench."

A smaller conference room nearby is exclusive, used by the nine justices to vote on future and pending cases.

-- The Dining Rooms. On days when the court is in public session, the justices carry on a tradition by lunching informally together in private. One unofficial rule: they do not discuss cases they just heard. A separate space known as the Marshall Dining Room is also just for the justices. The room contains portraits of James Madison and William Marbury from the famous 1803 Marbury vs. Madison case that established judicial review.

-- The Upper Great Hall and Courtroom. Visitors traditionally entered the court by ascending the exterior steps and walking through two huge bronze doors. There, they were welcomed by a sweeping public hallway that leads to the courtroom. Security concerns forced tourists this year to now enter the building only on the ground floor.

Justices Stephen Breyer and Ruth Bader Ginsburg in May lamented the closing of the old main entrance as hurting the symbolic image of the public ascending the stairs to seek justice at the nation's highest court. The public hall -- buttressed by huge marble columns -- was where the bodies of Chief Justice William Rehnquist and Justice Thurgood Marshall lay in repose.

In the middle of the building is the courtroom, with its ornate ceiling decorations, brass railings, and angled bench.

"One of the traditions is that the justices come out from behind the red curtain, and they come out in groups of three," Hofstedt said. "And this is right after the [court] marshal has done the 'Oyez, Oyez, Oyez,' chant that's very famous and that's been going on all the way back to the days of John Marshall. And that brings the court to attention, everybody rises, the justices come out -- and that sort of brings that moment together."

The public is invited to watch the oral arguments on scheduled days from October to April. No reservations are needed, but most visitor will likely have to wait in line to get a seat.

Quill pens adorn the desks, and the floor plans have changed little over the decades. Little twin white and red lights at the wooden lectern for lawyers signal when their time arguing before the bench has ended.

Change does come to the court, if slowly. A seven-year modernization program is almost complete, to replace aging infrastructure, including the garage, as well as climate control and electrical systems.

In a town where image often conveys strength and purpose, the high court's building serves both. It is an evolving institution -- at home with tradition, yet aware it must confront powerful forces of social and political change.

"We are a major symbol, the symbol of the courts," Breyer told CNN in September. Noting those symbols in the building at 1 First Street, he said, "each of these elements encourages contemplation of this court's central purpose, and that is the administration of justice to all who seek it."

CNN's Kate Bolduan contributed to this report.

@highlight

The U.S. Supreme Court building turns 75 this year

@highlight

A behind-the-scenes tour shows justices' domain

@highlight

Because of security concerns, public no longer uses traditional main entrance

@highlight

With 600,000 volumes, the oak-paneled library is the court's information center