Washington (CNN) -- President Obama began his second term with a "keeping it real" moment courtesy of youngest daughter Sasha.

"You didn't mess up," she told the president after the oath was administered by Chief Justice John Roberts in the White House Blue Room.

It all went off without a hitch compared to four years ago when a redo was required after flubs during the swearing-in ceremony at the Capitol raised doubts about its legitimacy.

With a sense of relief on Sunday the president declared, "I did it."

Obama's address: Full text

But over the next several months, those words will be much more difficult as the president pushes Congress to embrace his priorities, from gun control to immigration reform to raising the debt ceiling.

"We've had a pendulum of instability, arguing, fighting," said CNN contributor and Republican strategist Ana Navarro.

Compromise was Washington's needle in a haystack, discovered often in the 11th hour.

But now there's a tinge of optimism as the president gets to work in his second and final term.

"I think we'll see it (pendulum) come back to the middle sooner rather than later," Navarro said.

A tale of two terms: Obama's unfinished business and battles ahead

Gun control

The first big test is shaping up to be an issue that never came up on the campaign trail and wasn't even on Washington's radar. Gun violence came into sharp focus after the Sandy Hook Elementary School shootings that took the lives of 20 children and six adults.

It sparked a heated debate and led to new measures the president plans to put in place through executive action or with congressional approval.

Steps quickly assembled aimed at curbing gun violence, such as universal background checks and a ban on high-capacity magazine clips of more than 10 rounds.

Four other priorities for Obama's next four years

"It's common sense" said Los Angeles Mayor Antonio Villaraigosa, who has been pushing for stricter gun laws. 'It makes sense. It's not a radical notion."

But the National Rifle Association and other gun groups are ready for a fight, swinging with searing TV ads and a public rebuke of the administration's efforts.

While polls indicate the majority of American's support the president's efforts, some political observers have doubts about Washington's ability to produce any meaningful change.

"No one Democrat or Republican wants to deal with that issue. It's not popular," said CNN contributor and conservative activist Erick Erickson. "They want to just do something for the sake of symbolism."

Obama in select company

Debt ceiling

The new term will also feature some old fights. The debt ceiling round two was shaping up to be another fierce fiscal showdown. House Republicans had insisted on spending cuts in exchange for raising the debt ceiling. President Obama warned he was not going to negotiate.

With the prospect of a default and the Treasury Department taking steps to bridge the gap, Congressional Republicans backed off a bit, with plans to vote next week on a three-month deal to extend the debt ceiling.

It's not a long-term solution, but it takes some air out of a contentious battle the president would have faced immediately.

"I understand the games the Republicans are playing, but the game the American people want them to play is play fair," said Democratic strategist and CNN contributor Donna Brazile, who argued the rich should pay their fair share and struggling Americans should not be "disproportionately hurt" by deep cuts.

Gergen: Obama 2.0 -- tougher, wiser?

Immigration reform

One large and important constituency will be watching the president's second term closely. They care about gun violence and fiscal matters but want to see quick action on immigration reform.

Hispanics, who voted overwhelming for Obama, 71%-27% over Republican challenger Mitt Romney, had hoped for more progress in the president's first term.

Amid record deportations, USA Today columnist Raul Reyes says there was a lot of anxiety in the Latino community. "It really seemed like he had forgotten about his promise on immigration."

Biden on Obama at start of second term: 'In simpatico'

The White House points to steps the president did take, like an executive order to stop deporting some young illegal immigrants who entered the country as children.

That wasn't enough and the president admitted as much in his post-election news conference when he vowed again to deliver on his promise.

"I'm very confident that we can get immigration reform done," the president said as he drew an outline of what that would look like: Stronger border security, penalties for companies hiring undocumented workers and a pathway to legal status for otherwise law-abiding illegal immigrants.

Some key Republicans have signaled a willingness to tackle this issue.

"I found a commitment among many of the important Republicans, the leadership, many of the rank-and-file, who want something on immigration, Navarro said. "There have been a lot of things happening behind the scenes."

Photos: Obama's face all over the place

Other key issues

The spotlight shines less brightly on environmental concerns, climate change and energy policies, but activists and others are working to keep these issues from being ignored in the second term.

In his inaugural address the president is not expected to detail policy initiatives. Top advisers say he will touch on broad themes and put meat on the bones during his State of the Union address next month.

The president will work to define his legacy in the second term and plans to aggressively engage the public to put pressure on Congress.

His campaign grassroots organization is back in action as a nonprofit group to further his objectives.

"We'll all work to help transform Washington from the outside" Jon Carson, the new executive director of Organizing for Action, wrote to supporters in an email.

But reality lurks in the wings as many Republicans are still skeptical.

"The president seems so fixated on demonizing Republicans that he is blinded to the opportunities as well as the obligations that he has to deal with big problems in this country," said Sen. John Barrasso, R-Wyoming, on CNN's "State of the Union."

Obama's inauguration: In the crowd

@highlight

After four years of partisan fighting and instability, will pendulum swing to the middle?

@highlight

Obama had full agenda before school shootings inserted gun control onto plate

@highlight

Fiscal issues will be early test whether optimism of second term persists

@highlight

Activists hope environmental issues and energy policies aren't pushed aside