With negotiations for a longer-lasting cease-fire set to begin soon, many Gazans returned to their neighborhoods Tuesday while some remained at shelters not trusting the break in the violence.

For now, a 72-hour humanitarian pause is in place, allowing delegations to gather in Cairo, Egypt, to talk about how to make the truce last.

For Gaza's 1.8 million residents it also offered a chance to go to a street market for food and goods, or to check on abandoned homes.

For Israel, where more than 2,300 rockets have landed since early July, there was, for a change, no sirens blaring.

In Gaza City, one man told CNN he was happy the shooting had stopped, but his problems were just beginning.

The man said he couldn't understand what he was seeing -- the home his family invested $100,000 in, now destroyed.

No insurance company will give him money to rebuild, he told CNN.

There are no winners in this war, he said.

But on Twitter, the Israel Defense Forces declared: "Mission accomplished."

The IDF said it had destroyed 32 tunnels -- many of which ran under the border into Israel -- during the four-week conflict. Israel says Hamas militants used the tunnels to sneak into Israel for terror attacks.

Nearly 1,900 Palestinians have been killed in Gaza during the conflict, according to the Palestinian Health Ministry. It's unclear how many were militants. The United Nations estimates that about 70% of the dead were civilians.

But the IDF says it estimates about 900 militants were killed. IDF spokesman Lt. Col. Peter Lerner said it was a preliminary figure based on field reports from troops returning from battle.

Israeli officials have said 64 Israeli soldiers and three civilians in Israel died in violence.

'Peace? What peace?'

After the cease-fire began, residents trickled into Shujaya, an area near Gaza City that experienced some of the most destructive violence of the conflict.

They found craters and ruins where homes and shops once stood.

People scaled crumbled concrete and twisted metal to rummage for any belongings left in the rubble.

Nal Mohammed, a Ph.D. student whose family home was demolished, lamented the situation.

"Peace? What peace? We have no home, no water, no power," he said. "There is no peace here."

Residents were stunned as they returned to their neighborhoods for the first time since being displaced by the fighting.

"After the cease-fire agreement took effect, the world will now see the level of destruction which should serve as an evidence of the level of crimes of the enemy," Ismail Haniyeh, a senior leader of Hamas, said in a statement aired on Hamas-run Al-Aqsa television, according to a CNN translation.

The conflict has displaced more than 200,000 people across the densely populated territory.

Residents are coming back to similar sights -- rubble, ruins, buildings pockmarked by shrapnel.

A white-haired man, Hany Mahmoud el Harezen, stood on the roof of his collapsed two-story home.

"I am a wedding photographer, I have nothing to do with this war," he said. "Maybe if we had gotten some concessions, it would be worth it. But we got nothing."

For the first time Tuesday, the number of people packed into U.N. shelters decreased, said U.N. official Chris Gunness in Gaza.

But not everyone left the U.N. facilities.

Others were more pragmatic, thinking it best to wait and see.

"They said there was a truce before and we left," one man told CNN. "But five minutes after we got home, the airstrikes started."

Israel released a map noting numerous sites it targeted in Shujaya, which it said "Hamas used for military purposes." The IDF said the map showed locations of tunnels, hideouts, rocket firings and launchings, and more.

Troop withdrawal

"We have no forces within Gaza," IDF spokesman Lerner told CNN Tuesday.

With its goal of demolishing the tunnels achieved, Israel announced the withdrawal of ground forces for what is supposed to be a three-day cease-fire with Hamas.

Israel is implementing the Egyptian-brokered truce, which took effect Tuesday morning, while maintaining "defensive positions" outside Gaza, the IDF said.

Officials from the United Nations and United States, who have been pushing for a cease-fire for weeks, hope that the 72-hour pause will allow negotiations to take place for a more lasting peace.

Why are so many civilians dying in Hamas-Israel war?

Meetings in Cairo

An Israeli delegation arrived Tuesday evening in Cairo for negotiations, two senior Egyptian government officials told CNN.

The officials, who asked not to be named, said they expected indirect negotiations to begin Wednesday, with the Egyptian officials acting as intermediaries. The two sides are not expected to talk directly to each other.

Egyptian and Palestinian negotiators had arrived over the weekend.

Key to any talks, Israeli government spokesman Mark Regev said, is that Hamas must disarm.

Hamas leaders say that they want to negotiate an end to the Israeli blockade of Gaza, or at least a body other than the Israelis controlling the borders.

Haniyeh, the senior Hamas leader, said his televised statement that Hamas members will work with the Palestinian delegation to end the blockade.

Israel: 'The onus is on Hamas'

Israel repeatedly accepted an Egyptian cease-fire proposal during the conflict, which Hamas rejected. Temporary humanitarian cease-fires repeatedly crumbled, with each side blaming the other.

"The onus is on Hamas," Regev told CNN of the 72-hour truce.

"We are entering this with our eyes open," he said. "We have been burnt more than once."

The sentiment was similar from Hamas spokesman Osama Hamdan, who told CNN that as long as Israel honors the agreement, so will the Palestinians.

"We hope they can take it and be committed to a cease-fire," he said.

While Egypt has not released details of the truce, Regev suggested it was the same agreement that Israel has accepted all along.

The United States urged both sides to honor the cease-fire agreement.

"The United States has been steadfast in our insistence on an end to rocket and tunnel attacks against Israel and an end to the suffering of the people of Gaza," State Department spokeswoman Jen Psaki said.

U.N. Secretary-General Ban Ki-moon "urges the parties to commence, as soon as possible, talks in Cairo on a durable ceasefire and the underlying issues," his office said in a statement.

British minister resigns over Gaza

In the latest example of the ripples the conflict has sent around the globe, a British government minister said she was resigning over her country's policy on Gaza.

"With deep regret I have this morning written to the Prime Minister & tendered my resignation. I can no longer support Govt policy on Gaza," Sayeeda Warsi, senior minister of state at the Foreign and Commonwealth Office, wrote on Twitter.

Warsi, a member of the House of Lords and the first Muslim in a British Cabinet, posted a photo of her resignation letter on Twitter.

@highlight

Israeli, Palestinian delegations in Cairo with Egyptian officials to act as go-betweens

@highlight

Israel says its goal of destroying tunnels has been met

@highlight

"Peace? What peace?" the resident of a shattered Gaza neighborhood asks