Editor's note: CNN executive producer Suzanne Simons is the author of "Master of War: Blackwater's Erik Prince and the Global Business of War."

Private contractor Xe flies military personnel in Afghanistan and helps train Afghan border police.

The company formerly known as Blackwater, now called Xe much to its chagrin, has been at the center of the contractor debate for years.

From the time four of its men were ambushed and murdered in Fallujah, Iraq, in 2004, to a shooting involving a team of its men in a Baghdad neighborhood in which at least 14 Iraqi civilians were killed in 2007, the company has drawn unwanted headlines.

Blackwater owner Erik Prince downsized the company earlier this year when business failed to keep pace with investment. He changed the company's name after the Iraqi government banned it from doing business there. But those who thought contractors were going away under President Obama's administration couldn't be more wrong.

According to the Department of Defense, there are some 68,000 contractors in Afghanistan today and more than 132,000 in Iraq. But those numbers aren't an accurate reflection of the total number of contractors because they don't include those working for other government agencies such as the Department of State.

Many of those tens of thousands are third-country nationals, meaning they were hired from a third country to go to Iraq. Many earn between $400 and $700 a month; while Americans, particularly those performing dangerous security duties, can earn as much in a day.

Despite being kicked out of Iraq, Xe still does a healthy business in Afghanistan, flying military personnel from one location to another and helping train Afghan border police charged with making the country's massive, porous borders more secure. It's one of the many jobs that the U.S. military just isn't staffed to tackle on its own.

In fact, the U.S. military today is beefed up by a force of nearly a quarter million private contractors. There are even cases where contractors oversee the contractors. And that's the problem. The U.S. has come to rely on them so heavily, in such a short period of time, that the government has come under fire for not managing them adequately.

Even among the eight-member team that makes up the Wartime Contracting Commission, a congressionally mandated effort to review the contracting process in Iraq and Afghanistan, the question of whether the United States needs the contractors isn't even an issue. The issue, rather, is how well the government is managing this massive support force called up in the immediate aftermath of the war in Iraq.

In its interim report released this month, the Commission found that "neither the military nor the federal civilian acquisition workforces have expanded to keep pace with recent years' enormous growth in the number and value of contingency contracts." The report also said, "the government still lacks clear standards and policy on inherently governmental functions. The decision has immediate salience given the decisions to use contractors in armed-security and life-support tasks for military units."

One of the biggest nightmares for legislators is that the force that has grown into such a critical modern-day military support structure was for a long time operating in a legal gray zone with no clear avenue of justice should something unsavory occur. That has led to some tough work for both prosecutors and the FBI, as they take on the task of investigating allegations of wrongdoing by contractors overseas.

Doug Brooks, head of the IPOA, an industry-friendly voluntary organization made up of 62 companies, spends much of his time doing outreach and making sure member companies measure up to the internal standards. "We have the power to kick people out of the association," Brooks said, but that's about where it ends. They can't prosecute anyone.  But to say that there has been no progress on the legal front wouldn't be fair. Legislation has been passed that essentially holds contractors accountable for their actions under the Military Extraterritorial Jurisdiction Act, but with everything in this business, there was a hang-up with that, too.  The legislation was written to cover contractors working in support of the Department of Defense, but there are even more contractors working in support of the State Department and other U.S. agencies.

The Special Inspector General for Iraq, Stuart W. Bowen Jr. produced a report in February titled Hard Lessons: The Iraq Reconstruction Experience. He then testified before Congress that "the United States government was unprepared and ill-equipped to mount a major contingency relief and reconstruction program in Iraq in 2003. For the last six years we have been on a steep learning curve."

He also told members of Congress that the United States relies too heavily on the hired help, testifying that "outsourcing management to contractors should be limited because it complicates lines of authority in contingency reconstruction operations." Something that retired Lt. Gen. Richard Sanchez would undoubtedly agree with.   Sanchez, who led the U.S. military operation in the early days of the Iraq war, has launched an information campaign aimed at bringing more accountability to the debate. He's even called for a truth commission to investigate policies regarding the interrogation of detainees.   Guess what. Contractors were involved in that scandal, too.

As for Blackwater, scandal, or the suspicion of it, played a significant role in its downturn. Plagued by lawsuits and federal investigations, the company now called Xe is a shell of what Blackwater was five years ago. Most of Prince's top executives are gone, budgets have been dramatically curtailed and the company has largely returned to its roots, as a training facility for law enforcement and special forces.   Is Blackwater's fate a sign that things are sour in the industry? Hardly.

As IPOA's Brooks puts it, they're here to stay, its about time we made it work. "I think the other conclusion that companies have come to is that we're going to be working with the private sector. Nobody wants soldiers to go back to flipping eggs, guarding gates, that kind of thing."

@highlight

Blackwater, now Xe, has garnered unwanted attention over the past few years

@highlight

Though kicked out of Iraq, Xe does a great deal of business in Afghanistan

@highlight

Bottom line: U.S. relies heavily on private military contractors

@highlight

The issue is how well U.S. government manages this support force