South Africans turned out Wednesday for their country's first elections since the death of Nelson Mandela, a process that's expected to dent but not end the hold of the party to which he'd long been associated.

The party Mandela once led, the governing African National Congress, held an advantage based on very early results around midnight on Wednesday, according to the South African Press Association.

Once all of the votes are counted, the ANC is expected to hold onto power. But it may have its grip weakened amid growing discontent, particularly among urban voters.

The ANC, which has governed for the past 20 years, still enjoys widespread support as the party that represents the defeat of the apartheid system and the beginning of democracy in South Afprica.

But with President Jacob Zuma dogged by scandals, economic difficulties and concerns over reports of rising corruption, the ANC could see its share of the vote fall from the 65.9% it won in the 2009 elections.

"Many are hoping that the ANC will get a scare in these elections and begin to reflect on some of its failures," wrote South African political commentator Justice Malala in an opinion article for CNN.

If the party's share of the vote drops to 63% or below, Malala said, it will mean that "the party is experiencing its second significant decline in two successive elections."

Elections called 'a resounding success'

At the forefront of the issues that have blighted Zuma's presidency is a scandal over his rural homestead in Nkandla, in the province of KwaZulu Natal. The state watchdog has alleged that more than $20 million of public money was misused in improvements to the sprawling complex. Zuma has denied any wrongdoing.

But among Zuma's support base in areas like KwaZulu Natal, many people remain loyal.

"Frankly they do not see a problem with him having let his home in Nkandla be refurbished at such a high price. In fact they see it as part of the perks of being a ruler," said Achille Mbembe, a professor at the Wits Institute for Social and Economic Research in Johannesburg.

Voting began Wednesday at 7 a.m at more than 22,000 polling stations across the country and finished at 9 p.m., the press association reported. The millions of voters were charged with electing 400 members of Parliament, as well as representatives in new legislatures in South Africa's nine provinces, SAPA said.

While it didn't provide specifics, South Africa's Government Communication and Information System reported "great turnout of voters, in particular first-time voters."

The same agency added late Wednesday that security forces were on "high alert" throughout the day, arresting 97 people for election-related offenses. The GCIS didn't report any violence, but noted the deaths of four people: two who died while waiting to vote, plus two party agents killed in a car accident.

"Government wishes to commend all South Africans for the part they have played in making our elections a resounding success," the agency said. "... The nation's fifth democratic elections have undoubtedly added to our legacy of regular and peaceful elections."

SAPA reported that the Economic Freedom Fighters party had contested that account, claiming the process was flawed and that some people were allowed to vote more than once.

Past and future

The ANC is facing its biggest challenges in cities, where analysts say discontent is on the rise, notably among young people, over a lack of quality education and jobs.

"Increasingly, South Africa feels like a country caught between its past and its future," Malala said.

The situation is compounded by the fact that many disillusioned young people aren't registered to vote.

Opposition leaders like Mmuse Maimane of the Democratic Alliance are seeking to connect with younger voters.

"It's key that they establish their own future, their new freedom, their new South Africa," he said ahead of the election.

The Economic Freedom Fighters, a young party formed a few months ago by expelled former ANC Youth leader Julius Malema, is also trying to loosen the governing party's grip on power.

The Democratic Alliance is quickly adapting itself from its reputation as a "white party," and the EFF is fast becoming a player on the national stage, Malala said, but "both parties are only likely to give the ANC a real run for its money in the 2019 and 2024 elections."

@highlight

The Economic Freedom Fighters party says vote was not fair

@highlight

The ANC is expected to retain power, but opposition parties could erode its majority

@highlight

President Jacob Zuma has been dogged by scandal

@highlight

"Many are hoping that the ANC will get a scare," a commentator says