Washington (CNN) -- Lamenting he is ringing in the new year with an old concern, Chief Justice John Roberts is again warning leaders in the other two branches of government that continuing budget shortfalls and sequestration cuts will create a "bleak" future for the fair administration of justice in the nation's federal courts.

In his annual year-end report on the judiciary, Roberts on Tuesday said the courts have already made significant unilateral cuts in funding, adding a prolonged reduction by Congress would be extremely hard to overcome.

"I would like to choose a fresher topic, but duty calls," said the 58-year-old chief justice. "The budget remains the single most important issue facing the courts."

"What would be the consequence of forgoing this [modest proposed increase in] funding in favor of a hard freeze at the sequester level? The future would be bleak: the deep cuts to judiciary programs would remain in place."

Roberts made his remarks in a 15-page summary of U.S. courts, part of his role as head of the entire federal judiciary.

The effects of the so-called sequester in the past year have been particularly hard on the third branch of government-- from civil and bankruptcy cases being delayed; furloughs of hundreds of court staff and federal public defenders; and reductions in courthouse security and monitoring of criminals on probation.

Nationwide, the judiciary's budget had been cut nearly $350 million for the fiscal year that went through September, just from the sequester. "Emergency measures" have been imposed by the Judicial Conference, the federal court's internal policy arm.

"In the civil and bankruptcy venues, further consequences would include commercial uncertainty, lost opportunities and unvindicated rights," said Roberts. "In the criminal venues, those consequences pose a genuine threat to public safety."

After cost reductions, what next?

Weeks of furloughs from sequestration and the partial government shutdown meant up to a 24% reduction in staffing in some judicial branch offices through the fall, when Congress enacted another continuing resolution in October to restore some of the lapses in federal funding.

Congressional leaders said they hoped to finish the appropriations process for fiscal year 2014 by January 15.

Roberts noted the judicial branch generally receives less attention when it comes to its spending, but said an "aggressive" cost-containment strategy has been in place since 2004. That includes new plans to close or downsize 31 federal court facilities across the country, to reduce work space and rent costs.

But the chief justice said such discretionary internal cutbacks can only go so far, since most of the courts' "core functions" are constitutionally and statutorily required, including hearing all criminal, civil, and bankruptcy cases presented to them.

"In the coming weeks, and into the future, I encourage the President and Congress to be attentive to the needs of the judicial branch and avert the adverse consequences that would result from funding the judiciary below its minimal needs," he said.

While the chief justice continued his respectful tone in the face of fiscal constraints, a number of federal judges have told CNN privately in recent months of their anger and frustration -- juggling rising caseloads and responsibilities with diminishing resources.

Part of that unease has to do with their lack of political clout. The federal courts only make up two-tenths of 1% of the entire federal budget, and judges by custom stay out of partisan policy fights. But many do not like how the other two branches are handling the fiscal crisis in their sphere.

Looking for a 'happy ending'

The federal court system and its administrative offices operate on an annual budget of about $7 billion. That includes judges trying and hearing cases and appeals, both criminal and civil; managing pretrial, defender, and probation offices; and maintaining the bankruptcy court system. Most of the money -- about 62% -- goes for personnel costs.

Roberts noted the courts earlier this month submitted a budget proposal to Congress that was $180 million less than their original plan, which he said "strikes a fair balance" with other competing funding requests.

"It takes no imagination to see that failing to meet the judiciary's essential requirements undermines the public's confidence in all three branches of government," he concluded. "Both 'A Christmas Carol' and 'It's a Wonderful Life' have happy endings. We are encouraged that the story of funding for the federal judiciary -- though perhaps not as gripping a tale -- will too."

There are 874 full-time, life-tenured federal judges, including the nine-member Supreme Court, the district and appeals courts, and the nine-member Court of International Trade-- part of a 35,000 federal court workforce nationwide.

Past year-end reports from the current Chief Justice of the United States (the official title) have focused on frozen salaries, rising caseloads and court security.

These summaries have been an annual tradition for about four decades. They were begun by the late Chief Justice Warren Burger as a way to speak to the executive branch and Congress, the judiciary itself, and the public at large.

@highlight

Chief Justice John Roberts issues his annual report

@highlight

He's not happy with federal budget for judiciary

@highlight

He's worried funding won't meet even "minimal" needs