(CNN) -- The world's population has more than tripled since I was born in 1938. On Monday, our world's population is expected to hit the milestone of 7 billion people -- up from 2.5 billion in 1950 -- with almost all of the growth expected to happen in the cities of less developed countries. This means that the problems the world faced when I was a child are even more urgent now for my grandchildren.

If fertility rates continue at expected levels, the world's population is likely to reach 10.1 billion in the next 90 years. Based on conservative estimates, the number of people in the world should pass 8 billion in 2023, 9 billion by 2041 and 10 billion at some point after 2081.

Just take a moment to think about that. By 2100, we could have nearly 50% more people on this planet than we did at the beginning of the century, competing for the same food, water, space and attention.

One of the best ways to ensure that the 7 billionth child born will live in a safe, healthy and sustainable world is to focus on what women want and need. Researchers at the Guttmacher Institute found there are 215 million women worldwide who want the ability to time and space their pregnancies, but do not have access to effective methods of contraception. Women want to be able to deliver children safely and provide for them.

According to the World Health Organization, in developing countries, pregnancy and childbirth complications are the leading cause of death among women in their reproductive years. In the developed world, one out of 4,300 women will die as a consequence of pregnancy. That number is one in 31 in sub-Saharan Africa, and a staggering one out of eight women dies giving birth in Afghanistan. The real tragedy is the fact that one-third of these deaths could be prevented if women had access to voluntary family planning.

Universal access to voluntary family planning is a cross-cutting and cost-effective solution to achieving all of the Millennium Development Goals. In addition to reducing maternal mortality, providing voluntary family planning methods and education enables young women to avoid early pregnancy, allows more girls to attend school longer, makes it possible for women to have fewer, healthier children and helps break the inter-generational cycle of poverty. Additionally, it would reduce HIV transmission, empower women to pursue income-generating activities in their communities and promote environmental sustainability.

Focusing on these needs is also a smart investment. There is no better value for the money than international family planning, which provides a higher return on investment than almost any other type of development assistance. Researchers at the Guttmacher Institute have found that providing quality reproductive health care and modern contraceptives to all women who want and need them reduces the cost of maternal and newborn care for each dollar invested, resulting in a net total savings of $1.5 billion.

Despite the low cost and many benefits of voluntary family planning, world leaders have not consistently made funding for these programs a priority. The current economic climate has forced Congress to take a long, hard look at its spending and rightly make some tough choices. However, far too often in this debate, the needs of women and children are the first items heaped onto the chopping block.

This year's budget discussion has been no exception. Two of the most disturbing and shortsighted of the foreign aid budget cuts are those in funding for international family planning and the U.N. Population Fund. The fund is an agency focused on assisting governments in delivering quality sexual and reproductive health care -- including voluntary family planning -- throughout the life cycle of women across the globe who want and need it.

One of the smartest investments I ever made was my $1 billion gift to the United Nations, which led to the creation of the United Nations Foundation. The United Nations is the only institution with the international scale, reach and capacity to address today's toughest challenges. If we want to ensure that we leave our children and grandchildren a safe and healthy world, then it is critical for world leaders to support the U.N.'s vital work on voluntary family planning and reproductive health for women across the globe.

The time is now. The investments we make today will shape the world we leave the next generation. If the United States wants to maintain its global leadership role, we must be thinking and making smart investments that will help us address both current and future responsibilities. The best way to do this is to listen to women and fund international family planning. Our future depends on it.

The opinions in this commentary are solely those of Ted Turner.

@highlight

Population has tripled in Ted Turner's life and is growing exponentially

@highlight

Turner: We must assure that children will be born in a safe world with food, water for all

@highlight

Women want access to contraception for their families, health and their babies, he says

@highlight

Turner: International family planning funds are crucial, cuts cost more in long run