(CNN) -- The Hoh Rain Forest doesn't let visitors see far into the trees. Its annual rainfall exceeds 12 feet, providing the fuel to grow thick canopied foliage that once stretched continuously from Alaska to Central California.

But the Olympic peninsula isn't just home to some of the last slivers of temperate rain forest in North America. Eastward through the impenetrable trees stands glacier-capped Mount Olympus and to the west is Washington state's rocky coast.

Olympic National Park celebrated its 75th anniversary on June 29. From the 600-foot deep Lake Crescent to the Douglas firs at Staircase, the park's nearly one million acres is one of the last stretches of untouched wilderness in North America.

Park stats: Olympic National Park was the seventh-most visited national park in 2012. It has averaged nearly 3 million visitors a year since 2008.

The location: The park is on the Olympic Peninsula in Washington, about two and half hours northwest of Seattle. The Washington State Ferry system offers a variety of ways to access the Olympic Peninsula. William R. Fairchild International Airport, the closest airport to the park, is in Port Angeles, the closest city.

If you go: Park admission is $15 a vehicle. Individual passes are $5 (hiker, bicycle, motorcycle) and children 15 and younger are free. Passes are valid for seven days.

Backcountry visitors must purchase a Wilderness Camping Permit. The cost is a $5 registration fee plus $2 for each camper. Reservations are required for camping in certain areas.

Olympic National Park's nearly 1 million acres consist of mountains, rain forest and beaches. Each area has unique weather patterns that can be unpredictable. Be sure to check tide charts and trail conditions before planning adventures.

Meet our ranger: Barb Maynes is the public information officer at Olympic National Park.

Originally from New Jersey, Maynes, 57, says her infatuation with nature started earlier than she can remember because her family took yearly camping trips in national parks. When Maynes was 13, they spent six weeks exploring national parks in the Southwest. At the Grand Canyon, Maynes says she befriended a ranger.

"He had quite a bit of patience with me, answered all the questions I had," she says. "By the end of the four days, I decided I wanted to be just like him when I grew up."

Maynes worked as an intern at Shenandoah National Park during college. After college, she applied to Grand Canyon "on a lark" and was hired as a winter employee. She spent eight years working as a seasonal ranger in six national parks before landing her first permanent job at George Washington Birthplace National Monument. Maynes came to Olympic National Park in 1988.

"Olympic has a little bit of everything, and it is extremely diverse," she says. "Whatever your mood is, you can do that here -- be on a mountain top, walk through a sheltered forest or walk on a beach."

For a day trip, don't miss: Seeing the sunrise from Hurricane Ridge, driving along Lake Crescent, visiting the Hoh Rain Forest and heading toward the coast.

"(Hoh) is the place where you can experience a temperate rain forest, and it's a pretty rare sort of ecosystem," she says. "In spring, there are days when it really does look like the air is green."

Favorite less-traveled spot: An approximately seven-mile hike on the Grand Ridge Trail between Obstruction Point Road and Deer Park Road. Maynes said both roads are gravel and are at high elevations. They do not require a four-wheel-drive vehicle, she says, but don't try driving an RV on them.

"They tend to have 10 to 12 feet of snow during the winter and don't typically open until part way through the summer, so it's really a treat to get out there," she says.

Favorite spot to view wildlife: Coastal tide pools during low tide. The pools feature a variety of wildlife including star fish and anemones.

"It's kind of a whole new world and a whole new picture of wildlife," she says.

Most magical moment in the park: Fourth of July on Rialto Beach. Maynes went with friends to the beach to watch fireworks set off from the Quileute Indian Reservation (It is illegal to have fireworks in national parks). As the fireworks began to wane, she noticed the waves started to glow with bioluminescence.

"Wherever we walked and put pressure on the sand, our footprints were glowing behind us," she says. "We (also) had these phenomenal natural fireworks that were happening in the water."

Funniest moment in the park: Stumbling upon a black bear in the Elwha Valley that was eating elk intestines like spaghetti noodles.

"I was thinking about bears, and I was thinking about how it was the time of year that you have a fairly good chance to see one because they are emerging from their dens," she says. "That was closer than I wanted to be to a bear."

Oddest moment at the park: Her daughter falling into a tree well while they were snowshoeing on Hurricane Ridge.

Maynes says the winds that whip over Hurricane Ridge create massive snow drifts. But the snow does not accumulate at the base of trees, creating a well where you can sometimes see all the way to the ground around trees.

"I was trying to introduce her to being an outdoors gal, and we went up to have a closer look at the trees," Maynes says. "She said 'Mom,' and I turned around and she wasn't there. Thankfully, she wasn't hurt. We do caution people to stay away from the tree wells."

A ranger's request: Pack in anticipation of varying weather patterns.

"It might seem intuitive," she says. "But I think it's a little hard to overestimate how changeable the weather is and to be really be prepared for anything."

Another park she'd like to visit: Buck Island Reef National Monument in the Virgin Islands. The island is surrounded by a coral reef.

"It's an area of the country that I haven't been and so that is very interesting to me."

What national park would you like to visit? Please share your thoughts in the comments section below.

@highlight

Olympic includes rain forests, snow-capped mountains and the Pacific coast

@highlight

Temperate rain forests once stretched from Alaska to Central California

@highlight

Lake Crescent was carved by a glacier and is 600 feet deep