(CNN) -- They said he was crazy. And he knew they were a little bit afraid.

When a small Swedish industrial town took in thousands of African immigrants, there were some concerns as to how it would work.

The locals in Borlänge, located 200 km north of the capital, were already struggling with the economic realities of modern-day life. The arrival of 3,000 Somalis would swell the population to almost 50,000 -- raising the type of fears that have become all too common across Europe.

Last May Sweden experienced its worst riots in years following the death of a 69-year-old man who was shot by police earlier while wielding a machete in the Stockholm suburb of Husby, which has a large number of immigrant residents.

But one man thought he had the answer.

"I feared there would be problems with a lot of people coming from Somalia to a little town," says Borlange resident Patrik Andersson.

"That can make problems. I thought integration in sport was a good way to work. It's something everyone has in common. If we could just do something that everybody could get together around, it would help.

"I do think people in Borlänge were afraid as they'd not seen that situation before. I think from the start very few people have been angry with me. There have been good vibrations."

Football is often credited with bringing people together, a unifying force -- and indeed a game popular with the Somalis.

But Andersson had a better idea.

Why not get them to play the local game, Bandy -- a close relative of ice hockey?

"People on the street said I was crazy, the manager said I was crazy, the people of Somalia asked if I was crazy, the national Bandy organization too. But we are nearly there now," Andersson told CNN.

He has managed to bring together a team of Somali football players, none of whom had ever skated on ice before, and take them to the Bandy World Championships starting in Russia this weekend.

"Just being there is a victory whether we win, lose or draw," says Ahmed Hussain, who plays in midfield.

"OK, we want to score once but this is our victory. It will be amazing to play in our national colors, to hear our national anthem."

Hussain, who moved to Sweden five years ago, admits he was not well versed in snow or ice -- which is not surprising, having grown up in an east African country where the temperature gauge rarely drops below 23C (73F).

"Really, I thought ice was just something you put in Coca-Cola," he says, almost embarrassed by the recollection.

Andersson was well aware of the challenge he faced. The players, most of whom are 18 or 19, were not exactly natural skaters.

"I said to them they were like Bambi on ice -- the problem was they hadn't even heard of Bambi," he adds, laughing.

For Hussain, it is a welcome relief from the ordeal of living in his war-torn homeland.

"Life in Somalia was awful and tough to handle," he admits. "Every day is like a new day in Somalia.

"You don't know what's going to happen tomorrow or even in the next hour. It was a clash every day. There was war and between that you could still be shot.

"My Mum took care of me, and she would keep me at home, but I have seen things.

"I had a friend who was 10 years old when he was shot in the back, who just wanted to go to the football field. He made it, he didn't die, but it's so hard for him now just to walk. His life is tough. People were just always running. It's so tough."

When not practicing his Bandy playing two hours a day, the 19-year-old is studying with the aim of becoming a doctor or architect.

His father Hussein also lives in Sweden, while his mother has moved to Uganda.

"Initially my father saw the sport and said, 'You're going to break your arm or leg,' and he was right," he says.

"When I first skated I was terrible. There were children aged five on the ice better than me. I was thinking even if I ice-skate for six years I can't do this, I spent so much time falling over."

Those first tentative, Bambi-like steps took place just six months ago and now his father's perceptions have changed. "He's OK now, he's happy," says Hussain.

The Somali players have finally found the target, scoring their first goals in training this week. How the journey ends remains to be seen, but a film is being made of their passage from Somalia to Siberia.

A Hollywood ending seems unlikely, though that is hardly the point.

"We want to show the world that everything is possible," Hussain says.

Coached by Per Fosshaug, who won five world titles playing for Sweden, the Somali team will take on Japan, Ukraine, Germany and Mongolia in the tournament, which starts in the Siberian city of Irkutsk on Sunday.

Local Borlange band Apopocalyps even recorded a World Championship anthem for the town's adopted team.

Somalia's entry is a contest that makes David versus Goliath look like a fair fight, as the novices take on the powerhouses of a sport played between two teams of 11 on an ice rink the size of a football field, using hockey sticks and an orange ball.

"I'm so nervous just to think about it because I never imagined this would be possible," Hussain says.

"I dreamed one day to be a world champion but I never had anything but football. When I was first told about this, I was like, 'Is this serious or a joke?' But it's now real.

"It has made us so proud. I explain it to my family and friends in Somalia. They don't understand Bandy completely but they are so proud of us, the country is proud of us."

@highlight

Somali national bandy team set up in small Swedish town made up of refugees

@highlight

Swedish local launched it to help integration with the 3,000 new inhabitants from Africa

@highlight

Bandy is akin to ice hockey but played on an ice rink the size of a football pitch

@highlight

Players set to take on top teams at World Championships just six months after starting skating