(CNN) -- Three days after Asiana Airlines Flight 214 crash landed at San Francisco International Airport with the loss of two lives, there is still no official explanation for what caused the incident.

Officials have said the Boeing 777, which had flown from Seoul in South Korea, was traveling slower than recommended on its final approach, though it could be months before a definite cause for this is determined. Before that an expert team of air crash investigators must complete a thorough analysis of the events leading up to the crash. CNN looks at how such an investigation works.

Interactive: What happened with Asiana Flight 214?

Who's in charge of the investigation?

According to international protocol, air crash investigations are handled by the country in which a crash occurs.

In the United States, the National Transportation Safety Board (NTSB) is the government agency that investigates all major aviation accidents. Its purpose is to explain accidents and provide safety recommendations. Since it was formed in 1967, the NTSB has completed more than 132,000 aviation accident investigations, with most taking weeks or even months to complete.

Did passengers ignore safety messages?

What happens after a crash?

In the first hours after a major accident occurs, the NTSB deploys a "go-team" of technical experts, who are on call 24/7 with their bags packed. "Once they arrive, it's like police arriving on a crime scene," explained Tom Ballantyne, a journalist and aviation expert. The area must be secured, and all evidence must be documented, mapped, and collected.

Two of the most important pieces to recover are the cockpit voice recorder and the flight data recorder -- more commonly known as the "black box." Both devices are designed to survive extreme impacts.

In the exhaustive investigation that follows, all factors -- mechanical, operational, and human performance -- are taken into account. Here, the NTSB relies largely on other parties, including the airline involved, the aircraft's manufacturer, and in the case of international flights, investigators from the airline's home country, to help examine evidence.

In the case of Flight 214, Asiana will be expected to provide "whatever information is demanded of it," according to Ballantyne. Boeing will provide technical expertise during the examination of the aircraft, while South Korean investigators will offer insight from the Korean perspective, as well as assistance with translation -- especially when questioning passengers and crew.

"The NTSB essentially acts as a coordinating body for other parties," explained Todd Curtis, a former Boeing air safety engineer. "Everyone else is playing a support role."

Because of the large amount of evidence, the NTSB never speculates prematurely. "First guesses are often wrong," said retired pilot Chesley "Sully" Sullenberger, who successfully ditched a U.S. Airways flight in New York's Hudson River in 2009 after the aircraft was disabled when flying through a flock of geese. "There are so many factors that could potentially impinge on this -- we don't even know what they are yet," he cautioned.

What happens to the pilots after a crash?

Although air crash investigations can seem a lot like the TV show "CSI," though in the United States a crash is not legally considered a crime scene unless terrorism or sabotage is suspected early on. "The pilot is free to go to his hotel after the crash," said Ballantyne. "He will receive assistance from his airline and his pilot's union."

But shortly after an incident, the NTSB interviews the pilots and then compares their stories with data from the plane's voice and data recorders to construct a picture of the plane's last moments.

Ballantyne said investigators are "certainly prioritizing what happened in the cockpit," as they seek to explain why Flight 214 crash landed.

Sullenberger said investigators will be looking at human factors, such as fatigue â€” though he stressed it is far too early in the investigation to rule this in or out. "When they landed in San Francisco at 11.30 in the morning, it was 3.30 am on their body clocks -- a low point of alertness."

How do passenger and eyewitness accounts help?

The NTSB works quickly to interview survivors and eyewitnesses after a crash. "These statements can corroborate flight data, and even fill in gaps," said Curtis.

"Remember, a black box doesn't get you photographic data. Sometimes the only visual recording device that we have is people's eyeballs," he said. "One interesting question for investigators to ask people might be: 'when did you start seeing smoke and flames inside the cabin?' That would be helpful with the sequencing of events."

Additionally, the NTSB tries to collect as much photo and video of the crash as possible.

"Nowadays when people are filming with cell phones and iPads, all that footage becomes a crucial part of the investigation," said Ballantyne.

Flight attendants hailed as heroes

How long until we find out what happened with Flight 214?

The investigation will likely take many months. "We haven't even figured out how big the puzzle is going to be, much less how many pieces there are and how they will fit," said Sullenberger. "This is a painstaking, methodical, analytical process.

"One way of describing this whole investigatory process is that these investigators are in charge of writing a non-fiction detective story that may take a year to complete. It may eventually have 1,000 pages."

But Sullenberger said investigators have "a huge advantage" in this case. "The plane and most of its components have landed on an airport and are immediately accessible. It's not on the floor of the south Atlantic like Air France 447. They have the crew members who survived and are able to be interviewed ... It makes it much more likely that we will eventually find out exactly what happened, how it happened, and why it happened."

Curtis said he is also confident about the process.

"The United States has a habit of spending whatever it takes to finish an air crash investigation. When Trans World Airlines Flight 800 crashed into the Atlantic in 1996, we had thousands of government agents, a little army of people taking wreckage off of the ocean floor.

"So in this case, I'm certain we'll find everything we need for a definitive conclusion. They will have plenty of everything they need to get this thing done."

Shock and survival: Plane crash through the eyes of children

@highlight

Official: Asiana Flight 214 was traveling slower than was recommended

@highlight

Air crash investigators must complete analysis of events leading up to crash

@highlight

National Transportation Safety Board investigating Asiana incident

@highlight

Investigators will look at all factors, from mechanical to human