In Zambia, bicycles are grown from the ground.

Making the most of the southern African country's bamboo plants, two Americans and two Zambians have set up a company that is crafting high-end, lightweight bicycles with frames made out of the locally-grown wooden weed.

Dubbed Zambikes, the company is putting its custom-built Zambian bikes on roads around the world, offering pedal enthusiasts a unique ride while helping to empower local communities back home.

"It's a plus to have a product that is grown in Africa, made in Africa and exported to everywhere else in the world," says Zambikes co-founder Mwewa Chikamba. "It's rare that we have such incentives coming through -- mostly we are importing stuff from the rest of the world."

Eye-catching, super light and extremely durable, bamboo bicycles have gained traction in recent years, becoming a popular alternative to traditional steel or aluminium bikes. The material, one of nature's fastest growing resources, has great shock absorbing abilities that contribute to a smooth and eco-friendly ride.

"It's a green project and we are encouraging other entities and industries to look at ways and means of bringing down the levels of pollution," says Lusaka-born Chikamba, 43. "We produce it in a manner that is pollution-free and isn't by any chance devastating to the global warming issues."

Read more: Rise of the 'repats'

The idea for Zambikes first surfaced in 2004 when two young Americans, Vaughn Spethmann and Dustin McBride, visited Zambia on a six-week university field trip. The two college friends were impressed by the hospitality of Zambians but also witnessed first-hand the economic hardship that many of the country's people were suffering.

"We noticed that unemployment was well over 60%," says 27-year-old Spethmann. "Everybody we talked to didn't have jobs or couldn't find jobs and when we looked around nobody had decent bicycles."

Spethmann and McBride decided to return to Zambia straight after their graduation. They teamed up with Chikamba and fellow Zambian Gershom Sikaala and together they set the Zambikes operation in motion in July 2007.

So far, the company, which employs some 40 people, has produced about 500 hand-made bamboo frames, but this year alone it expects to crank out another 450.

With a price tag of around $900, the company's bamboo bikes are primarily aimed at the international market, with countries such as Japan, Singapore, Germany, Brazil, Finland and the United States driving demand.

But from planting the bamboo in the Zambian forests to shipping the bicycles to the concrete urban jungles across the world, the process of manufacturing the bikes is far from an easy task.

Spethmann says the bamboo is chosen carefully for its quality and thickness. It is then cut and treated before being dried and placed in a jig. The frame is then joined with glue and wrapped in natural fibers and affixed to its conventional metal components.

"It is quite labor intensive -- each frame takes between 40 and 60 man hours to make," says Spethmann. "Every piece of bamboo is having different colors, different bend, so every frame is unique."

Read more: Africa's daily commuting grind

As well as their bamboo bikes, Zambikes is also making steel bicycles to cater to the local market's needs for cheap transport, having so far produced about 10,000 of them. It is also producing spare parts and cargo carts as well as bicycle ambulances that are designed to easily transport patients or pregnant women from their homes to a health center.

"In rural areas where there's no roads, no fuel, nothing, these bicycle ambulances that are very low maintenance allow these people to be ferried to the clinic," says Spethmann, noting that the company has so far, distributed over 900 "zambulances."

Running such a business in Zambia, however, is not without challenges. Notwithstanding difficulties such as huge transportation costs, high import rates, currency fluctuations and bureaucracy, Zambikes' founders say that attracting capable staff has been hard at times.

"Finding good workforce has been challenging," admits Spethmann, "but that's one of the reasons that we came in Zambia," he adds. "We saw a need and we saw people that needed opportunities, so on one hand this is a challenge but on the other hand we are happy to help."

More than just a business, the company says its mission is to save lives and develop efficient and affordable transport solutions in a country where most people live on $2 a day  -- Zambia ranks a gloomy 164 out of 187 on the 2011 Human Development Index by the United Nations Development Program.

Viewing social business growth as a sustainable answer to the country's economic woes, Zambikes founders say the want to benefit local communities by providing employment and skills training to the "uneducated and underprivileged."

"The main goal we have is firstly to make the most vulnerable Zambians realize that they have an equal opportunity in life to excel, to move from where they are to the next point and begin to grow into what they are meant to be," says Chikamba.

The company is also offering additional business training and interest-free loans to its staff as part of its commitment on community development.

"Much more than just a project, the incentive we get is seeing someone on a Zambike and enabling him to do or acquire whatever he is purposed to -- that is a great reward,"  says Chikamba.

@highlight

Zambikes is a Zambia-based company producing bamboo bicycles

@highlight

Other products include bicycle ambulances that help carry patients to clinics

@highlight

The company says it want to help Zambia address its social and economic needs

@highlight

It provides jobs and skills training to the "uneducated and underprivileged"