Washington (CNN) -- The Obama administration proposed updated guidelines on Friday that would allow religious-affiliated organizations opposing contraception to opt out of a federal mandate requiring that they provide their employees with insurance coverage for birth control.

The draft rule would give women at non-profit, religious-based organizations, like certain hospitals and universities, the ability to receive contraception through separate health policies at no charge.

The compromise is consistent with last year's announcement by President Barack Obama on the contraception mandate, administration officials said.

It also continues his administration's attempts to resolve the contentious issue of how non-profit organizations can decline to provide contraception coverage to their employees on religious grounds without facing a penalty.

"Today, the administration is taking the next step in providing women across the nation with coverage of recommended preventive care at no cost, while respecting religious concerns," Health and Human Services Secretary Kathleen Sebelius said in a statement.

"We will continue to work with faith-based organizations, women's organizations, insurers and others to achieve these goals," she said.

As part of the new initiative, groups that are insured -- such as student health plans at religious colleges -- would be required to let their insurer know that certain participants would like contraception coverage.

"The insurer would then notify enrollees that it is providing them with no-cost contraceptive coverage through separate individual health insurance policies," the HHS statement said.

Although the agency has not estimated final costs of the plan, it said that offering free coverage would actually lower expenses over the long term, partly due to improvement in women's health and fewer childbirths.

Case fuels debate over when life begins

Because the insurer would be covering the costs, the changes would allow religious organizations morally opposed to contraception to avoid paying for it.

An original mandate on providing contraception was part of the new federal healthcare law spearheaded by Obama, the Affordable Care Act. It required that insurers provide, at no cost to those insured, all forms of contraception approved by the Food and Drug Administration.

Houses of worship were exempt immediately and the administration widened those exemptions last year to include other religiously affiliated organizations, like universities and hospitals.

That still left groups across a wide spectrum of faiths, many of which teach that contraception is morally wrong, covered by the mandate. They denounced it as an infringement of religious liberty. A group of 43 Catholic organizations challenged the rules in federal court in May.

The administration had long defended the mandate, saying that it did not violate religious liberties.

The new proposal also clarifies the definition of a religious employer.

Instead of using a multi-part test that requires an employer to show "religious values as its purpose" and to "employ persons who share its religious tenets," the proposed requirement would follow the International Revenue Code's definition that includes "churches, other houses of worship, and their affiliated organizations."

Following an uproar among religious institutions that didn't want to pay for contraceptives, the Obama administration in March offered several alternatives. The plan unveiled on Friday is a result of that effort.

The updated rules proposal will be open for public comment through April 8. The administration would then decide whether to make it final.

A source with knowledge of the matter but not authorized to speak on the record said administration officials planned to discuss the new plan with faith-based organizations on Friday. The source also said the administration called key leaders, including presidents of Catholic universities, before the announcement.

Women's groups, including Planned Parenthood and NARAL Pro-Choice America, heralded the announcement

"Today's draft regulation affirms yet again the Obama administration's commitment to fulfilling the full promise of its historic contraception policy," said Ilyse Hogue, president of NARAL. "Thanks to this commitment, most American women will get birth control coverage without extra expense."

"This policy makes it clear that your boss does not get to decide whether you can have birth control," said Cecile Richards, President of Planned Parenthood Federation of America.

Cardinal Timothy Dolan of New York, president of the United States Conference of Catholic Bishops, took a wait-and-see approach.

Lawyers for Catholic hospital argue that a fetus is not a person

Today, the administration issued proposed regulations regarding the HHS mandate" he said in a statement. "We welcome the opportunity to study the proposed regulations closely. We look forward to issuing a more detailed statement later."

Not all groups characterized it as a compromise, however.

Frank Pavone, National Director of Priests for Life, a group that launched a federal lawsuit against the mandate last year, said he was far from happy with the update and welcomes the opportunity to provide feedback.

"We at Priests for Life remind the administration that religious liberty does not just belong to religious groups and individuals; it belongs to all Americans," Pavone said. "We see only one acceptable change regarding the mandate: rescind it completely."

The Family Research Council, a conservative pro-life group, released a similar statement.

"The proposal does not expand religious freedom to all organizations and does nothing to change the current policy that forces religious entities to pay for insurance plans that include abortion-inducing drugs, sterilizations and contraception," said Anna Higgins, director of the group's Center for Human Dignity.

The issue of Obama's health care act mandating contraception coverage became a hot-button political issue during last year's presidential race.

CNN's Jessica Yellin, Eric Marrapodi and Kevin Bohn contributed to this report.

@highlight

Proposed rules would permit certain groups like hospitals, schools to decline to provide contraception coverage for religious reasons

@highlight

But women would still get coverage; outside provider would pay for contraception separately

@highlight

Proposal would be shift in policy, could ease friction between Obama and religious groups

@highlight

NEW: One group says proposal does nothing to change current policy