(CNN) -- Ziuaddin Yousafzai spent much of his life believing that girls should get an education. He always made sure his daughter Malala understood that.

Months after Taliban militants gravely wounded the 15-year-old with a bullet to the head for being vocal about that belief, he thinks more people around the world and in his home country agree with him.

Last October, the teenager was riding home in a school van in the Swat Valley, a Taliban stronghold in Pakistan, when masked men stopped the vehicle. They demanded that the other girls identify Malala.

The trained their guns on their target and fired. Then they shot another girl, wounding her.

Malala was treated by Pakistani doctors in the initial days after the shooting. The prognosis was dire. As international outrage grew, Pakistanis took to the streets. Shooting a little girl? The Taliban had gone too far this time. The government had better do something. Around the world, more people began learning about how the Taliban, years earlier, had ordered that all girls leave school.

Malala "is the daughter of the whole world," her father told CNN on Friday. "The world owns her."

She has become an icon of education, a symbol of girls' rights. "She has made a difference," said.

Malala is getting stronger by the day, and "recovering very well, very fast," he added.

The teen was discharged from a hospital in Birmingham, England, in February and is receiving rehabilitative care.

A team of international doctors who took over Malala's care from Pakistani providers certainly did amazing work in saving her life. They addressed her brain swelling. Her skull had fractured in tiny pieces from the gunshot at close range. She has endured numerous surgeries.

But apart from top-notch medicine, sheer force of will that has aided in Malala's recovery. Her attitude has won over people worldwide.

In February she was walking, and talking -- and saying she was going to get back to her advocacy for girls' education.

"God has given me this new life," she said at the time, in her first on-camera interview. "I want to serve the people. I want every girl, every child, to be educated."

Ziauddin Yousafzai was an educator for many years and first inspired his daughter to take a stand.

But how likely will Malala's work and physical sacrifice actually lead to greater access to quality education for girls in Pakistan?

It's unlikely for her own safety that Malala will ever be able to return there, and unlikely for her father as well, say observers who know Pakistan well.

iReport: Your messages to Malala

CNN put that question to Ziauddin. Pakistan's government has appointed him education attachÃ© in the Pakistani Consulate in the United Kingdom.

Ziauddin responded to the question by first pointing out that before his daughter was attacked, regular Pakistanis would call and tell him that they'd seen Malala speaking out on television and, inspired, enrolled their daughters in school.

She'd received a huge amount of global attention, especially from western media, after writing a blog for the Guardian when she was 11. She described her fear that the Taliban would keep her from learning.

After Malala was shot, stirring international condemnation, Ziauddin was heartened.

"When this tragic incident happened, small kids, they had posters, banners [with Malala's face and message] and they [related to and knew about] Malala," Ziauddin said. "I think it was a big change."

There have been developments in Pakistan, but it's difficult to call them victories.

A university in Pakistan changed its name to include Malala, but then students protested out of fear that Malala's name would draw unwanted and potentially dangerous attention.

Malala asked them to remove it.

In March, two of Malala's friends were honored -- but those honors would not have been granted had they not been on that bus with Malala. In an interview with CNN, one girl, Shazia Ramzan, said "God forbid something like that would happen again." She said she cannot go to visit her uncles or aunts like I used to."

But both girls said they want to be doctors and are going to continue their studies.

Time magazine selected her to be runner-up in this year's Person of the Year.

This year, Pakistan will observe Malala's 16th birthday as "Malala Day."

Former British Prime Minister Gordon Brown joined Ziauddin in the interview. Brown, now the United Nations special envoy on global education, has been pushing Pakistani authorities to follow through in meaningful, practical ways that will improve girls' access to quality education.

Brown in his own words about girls' education in Pakistan

"I was there in Pakistan at the time [of Malala's shooting]," Brown said. "I think 2 million people have signed a petition calling for universal free education."

Brown met with Pakistan's President Asif Ali Zardari, who had visited Malala in the hospital in the U.K. and vowed to stand up for girls' education and fight extremism.

Beyond Pakistan, Brown said there seems to be a new passion internationally for ensuring girls' rights.

Opinion: Girls' courage, Taliban cowardice

Girls and women are saying, Brown believes, that they are not "prepared to take this anymore."

Brown noted the cultural complacency toward rape of women in India that was brought to light when a woman was gang-raped in New Delhi in December. She died of wounds from the attack. Demonstrators in Nepal are protesting the severely limited rights of women there, Brown said, and Bangladeshi girls have formed safe zones in which children will never be forced to marry adults, a common practice.

Who are the Pakistani Taliban?

But inside Pakistan and other parts of the world, change comes slow.

"We thought we would have a 'Malala moment' but that never happened," said Pir Zubair Shah, a fellow at the Council on Foreign Relations. He was a reporter for the New York Times in Pakistan, working in the Waziristan tribal area along the border with Afghanistan. Ziauddin hosted Shah when he wrote about Malala.

"No one has said, 'Let's slash the defense budget and allocate it to education,'" Shah said. "No one has been arrested in the attack on Malala. You have the girls' school who didn't want Malala's name."

He said he doesn't believe there's an heir-apparent for Malala in Pakistan and that safety concerns would make it impossible for her or her father to return.

"You need someone on the ground to lead social change," he said. "It's not the job of Brown or people sitting outside. You have to be there among the people. And right now there is no political leadership who can do that."

The military has failed to chase after militants, the journalist said.

And then there's the complex issue of Pakistan's relationship with the Taliban, he noted.

"The government had a chance, an opportunity [in the days after Malala's shooting]," he said. "I don't want to be pessimistic, but I'm afraid that chance is probably gone."

@highlight

Malala Yousafzai is "recovering very well, very fast," her father said Friday

@highlight

Ziauddin Yousafzai said his daughter has had an international impact

@highlight

U.N. education envoy: Malala's 16th birthday will be "Malala Day" in Pakistan