(CNN)Dante Alighieri, the father of the Italian language, is turning in his grave.

Believe it or not, the land where Latin originated and from which many other European languages descend is becoming "illiterate."

Not only have Italians long forgotten the language of their Roman Empire, but they hardly know how to speak and write proper Italian.

They've been negatively dubbed "asini" (donkeys), as in "stupid."

If you take a look at Italian language forums and debate websites it's clear that many Italians are clueless on grammar and don't even know how to use verbs properly.

At age 15, Italian students rank below the OECD average literacy level and Eurostat reports that Italy has the lowest percentage of university graduates aged 30-34 in the European Union.

The media reflect society. Evening news bulletins are full of speakers and commentators making grammatical errors and even mispronouncing words.

How could Dante's land become "ignorant" and will the government's plans to institute yet another education reform succeed in turning some donkeys -- if not into nerds -- at least into smart pupils?

The decline in language skills is a trend affecting most of the Western world, but the fact that this is happening in Italy, home to some of the world's oldest universities, is quite alarming.

The Romans built an empire united by the Latin language, but Italians seem to have lost such heritage.

Italians were once "literate" -- as in "Latin-speakers and Latin-writers" -- grammar-savvy, poetry lovers, rhetoric freaks and great philosophers.

Now they've forgotten what a conjunctive verb is, mistake adjectives for nouns and write Machiavelli with a double "c." Oh -- and they don't know how to break words into syllables.

True, one could say Italian is a tough language, one of the most complex in the world.

But that's not a good excuse.

The Italian people's declining knowledge of their language is turning into a national emergency. It's not just lazy students who are responsible. The percentage of lawyers who every year flunk the written examination to become a judge is scary.

When I attended university, the most dreaded exam of all was the essay on Italian literature and history. Few of my buddies passed it at the first go, others had to take it thrice and many just gave up.

So how did we fall so low?

Fine, ICT, smartphones and SMS are partly to blame. Abbreviations, misspellings and the introduction of many English words into Italian have impoverished language skills.

Yet on its own that explanation is too reductive.

The loss of Latin teaching in schools is at the root of the problem. Learning Latin assists in learning Italian and other languages as well as opening the mind to all fields of knowledge.

It's been no secret across generations of scholars that being familiar with the complexity of Latin phrase structure and idioms is positive for students.

Up until 1970, Latin was taught in primary and middle schools: kids learned to translate works by Virgil without using a dictionary and to recite chunks of the "Divine Comedy" and poems by Carducci, Leopardi and Manzoni.

But today the teaching of Latin is restricted to specific humanist and scientific high schools -- called gymnasiums or lyceums -- and at university level depending upon the faculty.

The crisis has dealt a further blow to the love of classics. Enrollment at classical lyceums, where also ancient Greek is also taught, is low: Only 31,860 out of a total 530,911 high school students have enrolled this academic year.

Desperate attempts by modern writers to revive classical culture by translating Boccaccio's "Decameron" and Machiavelli's "The Prince" into modern Italian haven't produced great results.

So far just one academy in Rome -- Vivarium Novum -- has succeeded in bringing the "dead language" back from the grave. Pupils here exclusively speak in Latin and are kicked-out if they get caught saying a few words in Italian. But the academy is an isolated case, looked upon as a bit "out of this world."

Families think learning Latin and Greek is pointless because it won't help their kids find a job, which is wrong.

The trouble is that students have already lost their memory. Not in the literal sense, but symbolically. The "ars mnemonica" -- the art of exercising one's memory, that boring yet useful technique which implies rote learning of phrases, lyrics, novels and even entire epics -- belongs to the past.

If you don't sharpen mental skills, how can there be good writing?

The truth is that Italian education is badly in need of a restyle.

A series of education reforms in the past few years has lowered the quality of teaching by reducing public resources and the hours of Latin and Italian language learning, which teaching unions say has had a negative impact on pupils' text comprehension skills.

Latin teaching should be given more space but in a new way: Not through useless translations (what do kids care about Seneca's "Treaty on Birds?") but through open debates and analyses on ancient texts that are still worthwhile studying today.

And teachers should also get a makeover. Their mindset is old.

If there are "bad" students it's because there are also "bad" teachers. Pupils want to read more than just one contemporary novel per month. They want teachers who are passionate about their jobs rather than lazily coasting towards retirement.

Language teaching depends on its appeal. It must be sexy. And right now it's not.

@highlight

Italy, birthplace of the Latin and Italian, is becoming illiterate, writes Silvia Marchetti

@highlight

Marchetti says Italians' declining knowledge of their mother tongue is becoming an emergency

@highlight

The approach to teaching Latin in Italian schools needs a makeover, she says