(CNN) -- Amazon only this week acknowledged the storm it raised earlier this month when it made it much harder for consumers to buy books by Hachette, a major French publisher, in order to extract better contract terms.

The spat has affected titles by authors ranging from Malcolm Gladwell to J.K. Rowling to J.D. Salinger, whose books Amazon has suddenly made unavailable or more expensive, or which the online retailer says will take many weeks to ship. In its first public statement recognizing the dispute, Amazon notes the standoff is unlikely to end any time soon.

This fight is part of a long drawn-out battle between publishers and Amazon, which has used its immense control over the book market (by some estimates it sells up to 50% of print and electronic books in the U.S.) to reshape the industry.

Understandably, authors, publishers, and others from the literary world reacted to Amazon's latest play with alarm, cautioning that its brute exercise of power threatens not only the economic underpinnings of their industry, but also the very quality of books and diversity of ideas.

Amazon, meanwhile, has tried to defuse the frenzy of attention, explaining that its tactics are just a routine part of how retailers negotiate with suppliers. Many journalists, too, have echoed Amazon's point: Sure, it might seem unfair for Amazon to use its clout this way, but isn't it just how it goes? And if it means Amazon charges us less for books, aren't we better off?

They're important questions -- ones that get to the heart of a decades-old law that, if still enforced by government, would likely go some way in taming this fight, and drastically curb Amazon's power over the book industry in general.

Called the Robinson-Patman Act of 1936, the law prohibits a retailer from wielding its mere size to bully suppliers for discounts.

Congress passed the law as the rise of A&P -- America's first modern mega-chain store -- was shuttering independent businesses. Also known as the "Anti-Price Discrimination Act," the law basically limits the clout won from size, establishing that a retailer can't simply secure better terms because it is bigger and therefore has more bargaining power. (The law also applies to suppliers, prohibiting them from discriminating against small retailers in favor of big ones.)

Preventing large chain stores from muscling exclusive discounts from suppliers based on size and not service or cost-justifications, the idea went, would give smaller entities a fair chance at competing. It didn't matter if retailers passed on these savings to consumers or not. It was fair competition that mattered.

Through the 1970s, antitrust agencies enforced the act pretty vigorously; in the 1960s alone the government brought 518 Robinson-Patman cases.

Enforcement began to drop under President Carter, and the Reagan administration -- which ushered in a fundamental shift in antitrust policy more generally -- scaled back enforcement even further. Successive administrations have largely followed suit: The Clinton administration brought just one case between 1993 and 2000, and neither the Justice Department nor the 
Federal Trade Commission has wielded the law since.

Federal courts, too, have made it much harder to win a price discrimination suit. But the law is still on the books, and is important to recall because it enshrines a key tenet: That preserving fair competition requires that we curb the bullying power of size.

So it is true that retailers and suppliers have a right to negotiate however they please. But the relative bargaining power between the two parties is an important factor when considering what is anti-competitive. Several journalists have compared Amazon's actions to those of Wal-Mart, which famously uses its market dominance to squeeze suppliers -- a strategy it has applied forcibly enough to transform entire industries. What this analogy misses, though, is that even Wal-Mart's license to use its heft this way is relatively new.

"If the government still enforced Robinson-Patman, it would go a fair way towards limiting the power of Amazon," said Oren Teicher, CEO of the American Booksellers Association, which represents independent bookstores. He would know: In the 1990s, ABA brought numerous cases against both publishers and chain stores for violating Robinson-Patman.

Somewhat perversely, until now, the closest encounter Amazon has had with antitrust authorities was when it successfully prodded them to bring a case against five major publishers and Apple. That fight, too, centered on the price of e-books.

In order to wrest control back from Amazon -- which had been pricing digital bestsellers and new titles at a flat $9.99, a fraction of the price of physical copies and sometimes even lower than wholesale -- publishers had adopted a new pricing arrangement, known as the "agency model."

After getting Apple on board, publishers extended the model to all booksellers -- including Amazon. After losing the ability to undercut its competitors, its share of the market fell from 90% to around 65%.

Amazon responded by filing a complaint with the FTC, and in 2012 the Justice Department sued Apple and the publishers for collusion. As part of their settlement, publishers temporarily lost the right to the agency model, handing back to Amazon the power to slash prices.

In the years since, its share of the e-book market has, predictably, risen again, positioning it to leverage that market power against Hachette. It's worth remembering that its tactic -- holding the publisher hostage unless it concedes to better terms -- flouts the principles of anti-price discrimination laws. Accepting Amazon's argument that the nature of its fight with the publisher is innate to how markets work ignores a key piece of American history.

Report: Amazon adding music streaming to Prime

@highlight

Amazon made it much harder for consumers to purchase books by publisher Hachette

@highlight

Lina Khan: Government could play a role in bringing contract dispute to an end

@highlight

Books by J.K. Rowling and Malcolm Gladwell are among those affected

@highlight

Khan: Government has largely stopped enforcing a key antitrust law