Cairo (CNN) -- An Egyptian military court has sentenced an activist blogger critical of the army to three years in prison, and it did so without his lawyers present, a development that drew stiff condemnation by human rights groups.

Maikel Nabil, who was sentenced Monday morning, had been arrested on March 28 and charged with defaming the army and spreading false information, according to his lawyer, Adel Ramadan.

A general in charge of the "Morale Affairs Directorate" of the Supreme Council of the Armed Forces said on television that "Nabil had used 'inappropriate language' and defamed the military, and that his calls for an end to military conscription would have a negative effect on the youth of Egypt," according to Human Rights Watch.

Joe Stork, deputy Middle East director at Human Rights Watch, said the sentence "may be the worst strike against free expression in Egypt since the (Hosni) Mubarak government jailed the first blogger for four years in 2007."

His group, which issued a statement on the sentence, said Nabil's trial "has serious implications for freedom of expression on the internet more generally and in particular the ability to expose military abuses."

"The sentence is not only severe, but it was imposed by a military tribunal after an unfair trial," Stork said.

State Department spokesman Mark Toner said Tuesday that the U.S. government is "deeply concerned" about Nabil's sentence. "This is not the kind of progress we're looking for," he said.

Former State Department spokesman P.J. Crowley said Nabil's imprisonment "calls into question whether a democratic transition is under way in Egypt."

Nabil's case is the latest in a series of incidents in which the post-Mubarak military regime has cracked down on protesters and other opponents. Hundreds of protesters calling for Mubarak's prosecution were forced to flee Cairo's Tahrir Square Saturday when scores of soldiers backed by armored personnel carriers launched a raid against them.

Earlier in the week, several military officers took to the Internet, recording video statements accusing the chairman of the country's ruling council, Field Marshal Mohammed Tantawi, of protecting Mubarak from prosecution and of leading a counterrevolutionary movement.

Nabil ran afoul of the army by blogging about claims of violence against protesters during the uprising earlier this year, including use of the Egyptian museum for torture, as well as virginity tests on females and the army supplying police with weapons, Ramadan told CNN.

Nabil also claimed on his blog that he had been arrested, sexually assaulted and beaten by army intelligence forces, Ramadan said.

Ramadan said neither Nabil nor his lawyers were present for the hearing in which his client was sentenced.

Human Rights Watch, the Arabic Network for Human Rights Information and Ramadan said the military told defense attorneys that there would be no court session on the day he was sentenced.

"He was supposed to show up at court (on) Tuesday but we were tricked," Ramadan said.

Human Rights Watch said the judge had announced last Wednesday that he would rule Sunday after defense lawyers finished their pleadings. Nabil's lawyers were told that no session would be held and the judge would rule on Tuesday.

Ramadan told Human Rights Watch that when lawyers went to the court complex Monday "they saw on the court roll that the court had already sentenced Nabil the day before."

The absence of lawyers violates the military code of justice, Ramadan and the groups said.

The Arabic Network for Human Rights Information said Nabil's freedom was "shackled and stolen."

"This behavior raises suspicions and doubts on the fairness of the trial, not only for being a military trial for a civilian over his opinions, but in the context of the proceedings of similar trials against other civilians, considering the fact that the army refused to admit committing torture against Egyptian youth or apologize for this behavior," the group said in a statement.

The human rights organizations that signed the statement said, "We will not keep silent about torture or unfair trials, even if we wrote about these crimes on the walls in the streets."

"An atmosphere of fear and obscurity is the last thing needed for a revolution to thrive, instead of openness, transparency and justice, for which Egyptians have struggled for so long and will not give in," the Arabic network statement said.

President Hosni Mubarak resigned two months ago, a departure prompted by a grass-roots and popular uprising, and the military eventually took the reins of power.

Human Rights Watch and the Arabic Network for Human Rights Information said the Egyptian news media has not been bold on covering reports of torture by the military over the past two months.

"Two news conferences by human rights lawyers in which torture victims testified -- a subject that independent newspapers and satellite TV stations usually cover -- received almost no coverage. Only a limited number of opinion writers in some newspapers and certain TV hosts have been willing to raise the issue of torture by the military," Human Rights Watch said.

It criticized Gen. Ismail Etman, the Morale Affairs chief, for telling newspapers "not to publish any articles/news/press releases/complaints/advertising/pictures concerning the armed forces or the leadership of the armed forces" without consulting his directorate and military intelligence.

"State institutions, including the military, should never consider themselves above criticism," Stork said. "It is only through a public airing of abuses and full accountability measures that Egypt can hope to transition away from past human rights violations."

@highlight

Blogger's lawyer says "we were tricked"

@highlight

Maikel Nabil gets three years in prison

@highlight

"Morale Affairs" chief cites "inappropriate language"

@highlight

His sentence on Monday turned out to be a surprise