(CNN) -- In 2001, the nation watched as Andrea Yates, by all accounts a loving mother, was arrested in the killings of her five children after drowning them in a bathtub. In the trial that followed, we learned she had a history of mental illness, which intensified in her postpartum periods and required four psychiatric hospitalizations. She would ultimately be found not guilty by reason of insanity and sent to a Texas psychiatric hospital.

Her case riveted a bewildered nation for much the same reasons as the story this past weekend of Megan Huntsman, a woman in Utah who authorities say admitted to strangling or suffocating at least six of her babies, likely over a 10-year period beginning in 1996, and putting their bodies in boxes in her garage.

As with Yates, intense national publicity has focused on the shock or horror of filicide -- the act of a parent killing a child. We wonder: What would cause a mother or father to do such a seemingly unnatural thing?

Indeed, it's rare enough to stop us in our tracks. But the practice has existed since ancient times, and the reasons may include displeasure over the child's gender, or a disability or questionable paternity as a lack of parental resources to care for the child. Filicide has been documented in literature from all eras. Perhaps the most famous tale comes from Greek mythology --- the story of Medea, a woman who kills her sons to punish her husband for his affair.

Today, roughly two-thirds of all children murdered in the United States under the age of 5 between 1980 and 2008 were killed by a parent, more specifically 33% were killed by their fathers and 30% by their mothers. We cannot know what was behind the deaths of Huntsman's infants, but research may offer at least broad motivations.

Forensic psychiatrist Phillip J. Resnick, a pioneer in the field of filicide research, published a seminal article in 1969 identifying five major reasons for filicide based on the motive of the perpetrator:

1. Altruism: The parent kills the child because he or she may perceive it to be in the child's best interest. It may be reality-based (e.g., the child suffers from a terminal illness) or precede the suicide of the parent, as the parent feels it would be unfair to leave the child behind to face the cruel world.

2. Acute psychosis: The parent kills the child based on ideas that are inconsistent with reality; for example, the parent believes the child has been possessed by the devil.

3. Unwanted child: The parent kills the child that he or she regards as a hindrance.

4. Accidental: The child's death is an unintentional outcome of parental physical abuse.

5. Spousal revenge: The parent kills the child in an effort to exact revenge on the other parent.

Filicide is the broad term used to refer to a parent (or a person acting in a parental role, such as a stepparent or guardian) who kills his or her child under the age of 18; infanticide is the term used to define the murder of a child in the first year of life, and -- more specifically -- neonaticide refers to a parent who kills a child within the first 24 hours of life.

Neonaticides, as described by Resnick, are most often perpetrated by young, unmarried women who do not suffer from a major mental illness and do not want their children. In 1997, for example, New Jersey teen Melissa Drexler made national news when it was discovered she gave birth in a bathroom stall at her prom and disposed of the newborn in a trash can.

It is also worth noting there are differences between fathers and mothers who commit filicide. Fathers are more likely to kill more than one victim, including other children and spouses. They are also more likely to kill themselves following the filicide. And fathers are often more harshly punished than women who commit similar crimes.

England, for example, passed the Infanticide Acts of 1922 and 1938, which banned the use of the death penalty for mothers who killed their children in the first 12 months of life. These were efforts to recognize the effect that the birth and care of an infant may have on the mother. Several other Western countries have followed suit (with the exception of the United States). No such laws exist to protect men charged with infanticide.

Is it possible to prevent the killing of children by their parents? This is trickier.

Efforts to head off deaths have included the passage of safe haven laws, which allow parents to surrender infants anonymously to state custody without fear of legal repercussions. But parents who kill their children are a varied population, and this, unfortunately, leaves few means to identify those at risk in the first place.

The friends and family of parents or parents-to-be suffering from stress or mental illness would best serve their loved ones by helping them get the attention of mental health providers. These treatment providers should in turn make every extra effort to learn specifically about the parents' feelings toward -- or plans for -- their children.

Then, perhaps, we can have some hope of preventing these senseless tragedies.

@highlight

Sara West: Case of Utah mom accused of killing her babies recalls 2001 Andrea Yates case

@highlight

She says public shocked by such cases, always asking how mothers could kill their children

@highlight

West: Expert identified five reasons, including spousal revenge, acute psychosis

@highlight

Prevention is hard, but mental heath treatment can help, West says