(CNN) -- It's not the Internet to Evgeny Morozov. It's "the Internet" -- with quotation marks.

Morozov is trying to make a point. Thanks to the Web's rapid spread and overwhelming influence on 21st-century society, we've come to think of cyberlife as something distinct from our everyday interactions. To proponents, it has brought a cornucopia of information that will allow society to fix its most intractable problems.

But in his new book, "To Save Everything, Click Here," Morozov pushes back against that belief. He is skeptical of such "solutionism," pointing out that just because smart technology has its benefits doesn't mean it's going to lead to utopia. (After all, one man's utopia is another's "Brave New World.")

It's not like Morozov is a Luddite. He has a website and maintains an active Twitter feed with more than 40,000 followers, and he digs deep into information sites and services. It's just that he wants the public to stop and think about the consequences of our headlong rush in embracing the latest digital tools.

CNN spoke via e-mail with the noted tech thinker about why he wrote the book, the flaws in being overawed by the latest gadgetry and the costs of data accumulation. The following is an edited version of our interview.

CNN: Why write the book? Do you feel like you're swimming upstream against popular opinion, and do you care?

Evgeny Morozov: While writing my first book, "The Net Delusion," I became fascinated by two questions. First, why do we find our current technological situation -- of which the Internet is certainly the most attractive and popular example -- unique, and what role this uniqueness plays in policy. Second, now that technology companies play such an important role in public life -- mostly because they run the digital infrastructure through which much of this life happens -- what are the costs and benefits of enlisting them in important social and political projects?

In the new book, I continue with the same two questions but shift my attention from authoritarian states and foreign policy to more mundane, domestic issues. What makes us think that problems like obesity or climate change might be technologically solvable? And what makes us think that technology companies, with their penchant for apps, would make good allies in this fight?

As for the "swimming upstream" part, it doesn't bother me at all.

CNN: You talk a lot about "the Internet," putting the term in quotes so it's not considered its own marvelous entity. But isn't "the Internet," even if it's not all its promoters say it is or want it to be, a huge leap forward in communications?

Morozov: This might be trivially true, but the problem with terms like "the Internet" is that they blind us both to perverse effects of connectivity -- connectivity does not equal democratization, just like social capital does not equal a robust civil society -- and the fact that digital technologies have very different effects in different contexts.

So while I have no problem acknowledging some changes in scale, what I oppose is the idea that, somehow, the effects of the "Internet" unfold to some trajectory that is visible to digital gurus in Silicon Valley. The reason for putting "the Internet" in quotes is simply to indicate that we have accumulated too many myths to continue without harming our own ability to arrive at wise policy.

CNN: I'm struck by how easily modern technology can be circumvented -- not even by cutting wires or jamming transmissions but by sidestepping it entirely. (I recall some post-9/11 war games in which a U.S. officer had success by avoiding electronics in favor of messengers, handwritten letters and the like.) Why are these lessons so hard for solutionists to learn?

Morozov: Let me guess: Because solutionists spend far too much time with venture capitalists and far too little with people who actually use the technologies they build?

The British historian David Edgerton has a wonderful book called "The Shock of the Old," where he shows that our accounts of technology suffer from the innovator's bias: We do not spend nearly enough time looking at how technologies are actually used or maintained. If we did, we would discover that the pace of technological change is much slower and that many "analog" technologies have a much longer shelf life than the actual supermarket shelves would suggest.

CNN: Do we confuse convenience with solutions?

Morozov: For much of its existence, design was all about convenience. We wanted to hide technology so that users are not distracted into thinking about the tools they use. To some extent, the current privacy debacle can be explained this way as well: We have built this thing called "the digital economy," which runs very fast and is very efficient.

But its efficiency is enabled by the fact that our personal data leaves our browsers and travels to some server -- Google's or NSA's -- in the least obtrusive manner possible. Is it good? Well, if all you care about is uninterrupted browsing experience, it is. But shouldn't there be other considerations?

CNN: Many sites and apps make use of crowdsourcing and aggregation to rate products and services, boiling detailed critiques down to raw numbers. Your thoughts?

Morozov: We need to understand what exactly is being reduced as we transition from individual criticism to crowd criticism to -- soon, I'm sure -- algorithmic criticism. It's not a straight line toward progress and objectivity that digital gurus claim it is. It should be our task (or at least my task as an intellectual) to show that we are being sold damaged goods, that the mere fact that some things are being "disintermediated" doesn't meant that we are transitioning to a superior cultural environment with better, more reflective criticism.

CNN: In the book, you express concern about the Quantified Self movement, those "datasexuals" who monitor every aspect of their lives. But is there anything wrong with the practice? History is full of hard-core diarists and quantifiers.

Morozov: The scale today is clearly different. Our smartphones are -- by default -- capable of the kind of monitoring that was previously unavailable to most. There's also an interesting -- some would say disturbing -- economic layer here, as much of the data that we collect about ourselves can also be sold.

My fear is that many institutions will eventually alter how they treat people who refuse to self-track. There are all sorts of political and moral implications here, and I'm not sure that we have grappled with any of them.

CNN: What are your thoughts on the NSA scandal?

Morozov: I've been warning about the utility of social media -- and digital infrastructure more generally -- for surveillance purposes for a very long time. So I can't fake surprise or outrage at the recent revelations.

CNN: Along those lines, you mention the many ways corporations provide incentives for us to offer our information (or disincentives for opting out). How do we say "no" when the economic benefits (coupons, targeted sales) are so attractive?

Morozov: The problem is that we don't say "no." This marketizaton of personal information is a big mistake. We need to start seeing privacy as a commons -- as some kind of a public good that can get depleted as too many people treat it carelessly or abandon it too eagerly. What is privacy for? This question needs an urgent answer.

If my decision to earn a buck off my personal information will greatly constrain the lives of people in the next generation, should I sell my data? I'm not saying that it will necessarily result in more people choosing to share less. But the politicization of information sharing -- the act of turning it from a purely economic matter into an ethical one -- is a necessary start.

CNN: How do you use the Internet? What digital tools do you find useful?

Morozov: (A prelude: I do hope that this question will soon make as little sense as "how do you use electricity.")

Well, I use both to get things done! "The Internet" is not some separate realm -- it's not a parallel universe that we enter under an identity that is different from our usual self; it's just a collection of services.

Does the data network through which Kindle delivers my daily newspapers count as "the Internet"? If it does, I use it quite a lot, as I get seven daily newspapers -- anything from The Wall Street Journal to Frankfurter Allgemeine Zeitung -- that way and perhaps a dozen magazines. But some of those I also read over my iPad. I used to be a heavy user of apps like Flipboard, but to quote the famous computer scientist Don Knuth, I find myself more and more inclined to get to the bottom of things, and spend more time with books (I probably spend an hour a day on Amazon.com buying new books, many of them online) and more long-form writing.

I have less and less use for the cloud -- not so much because of privacy concerns but because I just find the overall "always-on" proposition a hindrance to getting all the reading done. So I try to have days where, save for my Kindle, there's little contact with the "Internet." My fairly intuitive rule is simple: whatever allows me to get more reading done must be a rule/tool worth embracing.

@highlight

Author Evgeny Morozov questions technological "solutionism"

@highlight

Morozov: Internet tools are valuable, but we shouldn't see a digital fix to every problem

@highlight

There are lots of "political and moral implications" to quantifying data, he points out

@highlight

Morozov's book is "To Save Everything, Click Here"