(CNN)It's only June, but 2015 may be remembered as the year the term "transgender" fully entered mainstream consciousness.

In January, President Obama condemned the persecution of "people who are lesbian, gay, bisexual or transgender," becoming the first president to utter the word in a State of the Union address.

"Transparent," about an aging father who begins living as a woman, won two top awards at the Golden Globes, while transgender actress Laverne Cox of "Orange is the New Black" -- who made the cover of Time magazine last year -- was just cast in a new CBS drama.

The May issue of Vogue has a photo spread with transgender model Andreja Pejic, who said on Instagram this week that she "was told by various people many times over that the chances of me ending up on these pages were slim to none." A transgender character had a recurring storyline on the just-wrapped final season of "Glee," while transgender activist and YouTube star Jazz Jennings will star in a reality show debuting on TLC this summer.

And then there's Bruce Jenner, whose physical appearance has become more feminine in recent months as the Olympic hero turned reality TV star underwent a very public gender transition.

Jenner ended months of speculation in an interview that aired April 24 on "20/20" with Diane Sawyer.

"Are you a woman?" Sawyer asked.

"Yes," Jenner replied.

Now comes the new issue of Vanity Fair, with Jenner on the cover in makeup and a skimpy dress, along with a new name: Caitlyn.

It's more obvious than ever that transgender people, long relegated to society's shadows, are finally stepping into the light.

"We are at a social inflection point on transgender issues," says Riki Wilchins, a former transgender activist and author of three books on queer theory, who believes all the attention could have a positive impact. "Civil rights for minorities come in fits and starts. We're on an upswing now."

Opinion: Why we need to listen to Bruce Jenner's story

Transgender is an umbrella term for people whose gender identity -- their internal, personal sense of being a man or a woman -- differs from what's typically associated with their sex at birth. Some transgender people alter their bodies through hormones and or surgery, although many don't.

A 2011 study estimated that 700,000 American adults, or roughly 0.3% of the population, identified themselves as transgender.

For decades, trans people, as many transgender people like to be called, rarely saw themselves represented in popular culture. But recent years have brought the "Dancing with the Stars" contestant Chaz Bono; filmmaker Lana Wachowski, formerly known as Larry Wachowski, a co-director of "The Matrix"; Jared Leto's Oscar-winning role in "Dallas Buyers Club"; and of course, "Orange is the New Black," whose cast is a mix of ethnicities and sexualities.

Now, between "Transparent" and other shows, recognition from Obama and tabloid headlines about Jenner, the national conversation around gender identity appears to have reached a new level.

All this makes transgender advocates cautiously optimistic.

Hayden Mora, deputy chief of staff at the Human Rights Campaign and a transgender man, remains hopeful that the growing number of transgender faces beaming weekly into America's living rooms can only have a positive effect.

"I believe that the more people who know transgender people, the more they will understand, accept and support us," Mora says. "That happens only if they acknowledge our humanity, and not treat us like tabloid fodder."

The transgender life: What to know, say and understand

Still, activists agree there's a long way to go before transgender people stop facing discrimination or worse.

For relatives and friends who are used to seeing someone as male or female, gender changes can be hard to accept. Transgender people have long been misunderstood and persecuted -- as recently as 2012, the American Psychiatric Association classified them as having a mental "disorder."

A recent report by the Human Rights Campaign found that transgender people in the United States are more likely to face discrimination from employers and the effects of unemployment and poverty. Many also are denied services from safety-net providers such as emergency shelters.

A poll last year found that 59% of Americans believe transgender students should use the bathroom of their birth gender.

In December, Attorney General Eric Holder announced that transgender people will receive federal protection from discrimination under Title VII of the Civil Rights Act of 1964.

But violence against trans people -- especially transgender women of color -- remains a national plague. According to recent statistics from the Human Rights Campaign, at least 13 transgender women were slain last year in the United States and at least seven have already been killed this year. Of those 20 victims, all but one were black or Latina.

"We are definitely in a critical moment for the trans movement. Over the last year we have ... seen an increase in visibility that was unimaginable even just a few years ago," said Kris Hayashi, executive director of the Transgender Law Center. "At the same time it is clear that visibility is not enough."

In one case that made national headlines, a transgender Ohio teen committed suicide in late December after her parents refused to acknowledge her wish to live as a girl.

"Transgender people are still subject to profound discrimination and violence," said Wilchins. "Greater acceptance is really needed, and long overdue."

When your young daughter says 'I'm a boy'

So what impact will Bruce Jenner's story have on all this?

Gender-rights activists are reluctant to speculate.

Some fear the media firestorm around Jenner, fueled by ties to the camera-loving Kardashian clan, trivializes what is a wrenching personal journey for many people.

"You want to wish Bruce the best. But at the same time, you wish it wasn't being played out for reality-TV entertainment," said Wilchins, the gender-rights advocate. "Yes, it's great that we're educating people. But we're talking about a civil rights issue that keeps getting recast as entertainment."

As a much-hyped TV event, the Jenner interview gave millions of viewers their first exposure to gender-identity questions and put a sympathetic human face on an issue that remains perplexing to many people.

But it could also trigger a backlash, some say.

Amy Stone, associate professor of sociology and anthropology at Trinity University in San Antonio, Texas, fears Jenner could provoke those who already are averse to gay or transgender people.

Such people "tend to use these moments to frighten the general public, relying on fears about trans women in bathrooms or locker rooms," said Stone, author of numerous books about queer politics and culture. "Usually these moments tap into pre-existing panics about gender or sexuality, not necessarily spawning new ones."

@highlight

Olympic hero Bruce Jenner appears on Vanity Fair cover as "Caitlyn"

@highlight

Transgender people in the United States are riding an unprecedented wave of visibility

@highlight

Shows such as "Transparent," "Orange is the New Black" have raised awareness