New York (CNN) -- The recent suicidal violence in Pakistan coincides with a growing concern that President Obama might be tempted by the same folly that drove President Bush and massively increase the number of U.S. troops in Afghanistan -- by up to 65,000 if he were to listen to some of his military advisers.

This is a deadly mistake that would drag the United States into a quagmire with even more catastrophic consequences than those it has faced in Iraq.

The recent comment by White House Chief of Staff Rahm Emanuel to CNN that "the Bush administration failed to ask critical questions about the war in Afghanistan" would be a key point of departure, but the question remains how critically Obama is willing to ask these questions.

The fear that is now principally driving this tendency to escalate the war is that the Taliban and al Qaeda are about to declare victory over yet another superpower, and even expand their theater of operation, as the British army chief General Sir David Richards has suggested, into other parts of the world.

This is a phantom fear, from a frightful figment of imagination in which the U.S. and European armies are now strategically invested and that has for almost a decade had a crippling effect on any measure of reason and sanity. There is no better way to combat this fearful fantasy than rethink what we have collectively come to understand by these two elusive terms "Taliban" and "al Qaeda."

The only way to defeat these deceptive delusions is not to dispatch tens of thousands of innocent lives across the globe and endanger even more tens of thousands of innocent lives in Afghanistan and Pakistan, but to re-examine the terror that these terms have exercised over our mental faculties ever since the traumatic events of 9/11.

What now passes as "Taliban" and "al Qaeda" fundamentally lack serious popular bases, mass infrastructural support or certainly any coherent ideology. In the history of the militant Islamist ideologies that we have known and examined in detail over the last 200 years, these are conceptual and political aberrations that will wither away almost as soon as they are taken off the radar of U.S. and NATO military operations and, by extension, away from the global limelight.

The more you fight these delusions, the more powerful they become -- not as facts on the ground, but as figments of the military's imagination. Obama would commit perhaps the deadliest mistake and the biggest blunder of his presidency if he were not to listen to the wise counsel of Vice President Biden, who is reportedly against this massive increase of U.S. forces in Afghanistan.

In a recent interview with Fareed Zakaria on CNN, President Hamid Karzai of Afghanistan sought to dismantle the myth of the Taliban when he said, "there are thousands of them who are not ideologically our enemies. There are thousands of them who don't hate us or hate our way of life, who are not enemies to America, who are not enemies to the world, who just want to live in their own country in peace, who are frightened, are intimidated by bad behavior -- from the very beginning -- by some of the people that the coalition employed and by some of the people that the Afghan government had working on security issues. So, we have to bring those elements back to Afghanistan who are not part of al Qaeda, not part of terrorist networks, and who are accepting the Afghan Constitution and who are willing to come back."

Yet another piece of evidence about the folly of the U.S. involvement in Afghanistan came in the resignation of Matthew Hoh, a Foreign Service officer and former Marine captain who resigned in protest over the Afghan war. "I believe that the people we are fighting there are fighting us because we are occupying them," Hoh told CNN last week. "Not for any ideological reasons, not because of any links to al Qaeda, not because of any fundamental hatred towards the West. The only reason they're fighting us is because we're occupying them."

The regional consequences of not heeding what Vice President Biden, Rahm Emanuel, Hamid Karzai and Matthew Hoh are saying, implicitly or explicitly, will be even more catastrophic. Because of the fundamental flaws of the Obama administration's Afghan strategies so far, exacerbated by the incompetence of the Pakistani political and military apparatus, there is already a massive humanitarian crisis in the North-West Frontier Province.

Any further increase of the U.S. military force in Afghanistan will Talibanize these border areas even further, and with them potentially the rest of the country.

The Taliban has never been a unified or a monolithic entity, although for a short period in 2001, it had tenuous control of Afghanistan, and even less so has this thing called "al Qaeda." At its essence, what is called "Taliban" in Afghanistan is nothing more that a Pashtun tribal push for power, and as such it must be distinguished from what is called "Taliban" in the Federally Administered Tribal Area of Pakistan, which in turn must be separated from the Tehreek-e Nafaz-e Shariat-e Mohammadi in Swat, and all of those from the band of militant adventurists gathered around Osama bin Laden and Ayman al-Zawahiri, self-delusional to the point of calling themselves "al Qaeda" ("The Base").

The atrocities of 9/11 were the work of a criminal band of militant adventurers, on par with the network of support that someone like Timothy McVeigh could muster, and certainly not on a scale that could warrant the cross-continental mobilization of a superpower and its allies.

The time for conventional military operations, as the Israelis ought to have learned from Hamas and Hezbollah, is long since over. You cannot fight and will not win a conventional war halfway around the globe against an amorphous enemy you can scarce clearly identify -- let alone pinpoint and attack, or target and eliminate. The U.S. Army and its allies are fighting a phantom war in Afghanistan, with massive civilian casualties and increasingly ineffective combat strategies.

Obama should not yield to the pressure of the British and the hawks in Washington, D.C., and increase the size of the U.S. military. He and his civilian advisers are very wise to take time to examine this critical condition and not fall into the same trap that Bush did.

Instead of increasing the size of the U.S. Army in Afghanistan, there must be a phasing out of the 100,000-plus U.S. and NATO forces that are already in Afghanistan and a corresponding phasing in of massive economic aid to rebuild a country the U.S. and its European allies (the British in particular), and before them the Soviets, are chiefly responsible for ruining.

The Taliban and al Qaeda will dissipate like a shadowy shade of a nightmare when the might of the U.S. military stops actually creating what it wants to destroy, and once the limelight of world media is no longer cast upon the Afghan mountains.

The Nobel Peace Prize to Obama could not have been timelier as a way to remind him why he was elected to the White House in the first place.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

It would be fatal mistake to boost troop levels in Afghanistan, Hamid Dabashi says

@highlight

He says the more you fight the Taliban, the more formidable they appear

@highlight

He says that in reality, the Taliban is an amorphous entity that will melt away

@highlight

Dabashi says U.S. should invest in development of Afghanistan, not troops