Washington (CNN) -- The House of Representatives passed the Republican version of the Violence Against Women Act on Wednesday, despite strong opposition from Democrats.

The GOP version, passed 222-205, offers a stark contrast from the bill passed by the Senate in late April, which will lead to further political fighting as both chambers attempt to work out a compromise over the law's reauthorization.

Wednesday's vote fell largely along party lines, though 23 Republicans voted against their own party and opposed the bill. Meanwhile, six Democrats defected and voted in favor of the Republican version.

The Violence Against Women Act was first enacted in 1994. It has been reauthorized twice since then with bipartisan support and very little controversy.

That's not the case this time around.

The Senate approved a bill last month with bipartisan support, voting 68-31 with every Republican woman supporting the measure. That version expands coverage to offer services to more illegal immigrants who are victims of domestic abuse. It also specifies that the law include gay, lesbian and transgender victims.

Human Rights Watch released a report Wednesday showing immigrant farmworkers are especially at risk for domestic abuse and argued provisions in the Senate bill -- not the House version -- "would go some way toward fixing the problem and should be enacted."

House Republicans oppose those changes, saying they are unnecessary because the law already covers all victims, and instead favor a narrower version of renewing the law.

Rep. Steny Hoyer of Maryland, the No. 2 House Democrat, opposed the GOP bill and has been calling for a vote on the Senate measure.

"All victims of domestic violence, irrespective of gender, ought to be protected," Hoyer said. "We believe the protection ought to be comprehensive, and we don't believe the Republicans' bill does that."

He joined a number of House Democrats who urged their colleagues to vote against the bill prior to the floor vote on Wednesday.

The White House late Tuesday threatened to veto the House GOP bill, in part because it "fails to include language that would prohibit discrimination against LGBT victims." The veto threat also says the GOP proposals "senselessly remove existing legal protections" and "jeopardize victims by placing them directly in harm's way."

"Today we are now debating something else that I never thought that we would be debating, which is whether or not all victims should be protected or just some," said Sen. Debbie Stabenow, D-Michigan, in a press conference Wednesday. "And we stand strongly together in saying that every single victim of domestic violence should have the law on their side.

Vice President Joe Biden reacted to Wednesday's vote by saying the House-passed version of the bill "will roll back critical provisions to help victims of abuse."

House Republican leaders, meanwhile, accused Democrats of creating a phony fight for political gain.

"This is another one of the Democrat gimmicks that goes on around here," House Speaker John Boehner, R-Ohio, said at a recent news conference. "This is an important issue, but for our friends to be playing political games with this, frankly, is very inappropriate."

Sandy Adams, a first-term representative from Florida who rode the Republican wave in the 2010 midterm elections, agreed.

"I want to reauthorize it; I do not want to politicize it. The victims deserve better than that. Americans deserve better than that."

After the vote, Adams said, "Make no mistake about it; this is a victim-centered bill that is all inclusive. Just like past reauthorizations, the House-passed legislation is focused on all victims, without regard for race, ethnicity, sexual preference, or nationality.

House Republicans presented Adams as their new messenger this week in their fight to combat "The War on Women," one of the harshest election-year attack lines congressional Democrats have launched at Republicans. They accuse the GOP of waging this war on issues ranging from contraception to preventive health care coverage.

"I'm pretty sure I'm not at war with myself," said Adams.

She has maintained a relatively low profile during her time in Congress. But she stepped into the spotlight in a big way -- becoming the GOP face of the latest battle on Capitol Hill over the Violence Against Women Act, bringing her own story of domestic abuse with her.

"At an early age, I quit high school at 17 and joined the Air Force. Married by 18," Adams said. "During the marriage, I had a little girl, and I realized really soon that my husband had a penchant for drinking, and when he drank, he turned very mean, very violent."

She took her daughter and left. She later found work as a law enforcement officer before winning a seat in the Florida state House and eventually running for the U.S. House.

"I have experienced it both on a personal level and a law enforcement level," Adams said. "I know how this law has helped so many people in our country."

Her personal story may have helped Republicans push their version of the 18-year-old law and also help deflect the continued Democratic criticism that Republicans are insensitive toward women.

While Adams condemns politics playing a role in this latest congressional standoff, being at the center of it doesn't help someone like her, who is facing some tough politics herself -- she is up against a much higher-profile fellow Republican, Rep. John Mica, in an upcoming primary in Florida.

Now that the House has passed the Republican version of the bill, it will need to reconcile differences with the Senate over its bill.

Both sides agree on the end goal: to renew the law. But in an election year, the lingering question is: How long will Congress drag out this fight?

CNN's Ashley Killough contributed to this report.

@highlight

NEW: The House passes the GOP version of the Violence Against Women Act 222-205

@highlight

Florida Rep. Adams is the face of Republican effort

@highlight

Adams was victim of domestic abuse and a law enforcement officer

@highlight

Senate version of bill expands provisions for illegal immigrants; House version doesn't