Washington (CNN) -- The House of Representatives voted Wednesday to overturn the ban on openly gay and lesbian soldiers serving in the U.S. military, passing legislation repealing the controversial "don't ask, don't tell" policy.

The bill -- a so-called "stand alone" measure not tied to any other legislative items -- passed 250 to 175 on mostly partisan lines. It now advances to the Senate.

The House previously passed a repeal of the ban as part of a larger defense policy bill, but the measure stalled last week in the Senate.

On Wednesday, the top Democrat and Republican on the Senate Armed Services Committee announced a compromise on a stripped-down version of the defense policy bill that cut out the "don't ask, don't tell" repeal language and some other provisions. Some senators had expressed concern that the policy dispute over "don't ask, don't tell" and other issues could undermine the larger defense policy bill, which influences how the Pentagon spends it budget.

Also Wednesday, moderate Republican Sen. Olympia Snowe of Maine announced her support for repealing "don't ask, don't tell," but only after the Senate completes work on the tax and benefits package and a measure authorizing continued government spending this fiscal year.

Snowe became the fourth Republican to publicly support a repeal, giving Democrats an opening to overcome a certain Republican filibuster. Sensing momentum on the issue, President Barack Obama and Defense Secretary Robert Gates called Wednesday for Senate approval so that the repeal can be signed into law.

"Moving forward with the repeal is not only the right thing to do, it will also give our military the clarity and certainty it deserves," Obama said in a White House statement. "We must ensure that Americans who are willing to risk their lives for their country are treated fairly and equally by their country.

Gates "encourages the Senate to pass the legislation this session, enabling the Department of Defense to carefully and responsibly manage a change in this policy instead of risking an abrupt change resulting from a decision in the courts," said a statement issued by Pentagon Press Secretary Geoff Morrell.

The sponsors of the measure in the Senate -- Connecticut independent Joe Lieberman and Maine Republican Susan Collins -- said the House vote showed bipartisan support for ending the "don't ask, don't tell" policy.

"It is now the Senate's turn to take the final step toward overturning this discriminatory policy. We are out of excuses," their statement concluded.

In House debate before Wednesday's vote, Speaker Nancy Pelosi, D-California, also said that "now is the time for us to act."

"We should honor the service of all who want to contribute" to America's security, Pelosi said. "Repealing 'don't ask, don't tell' makes for good public policy."

"Discrimination is wrong," declared Rep. John Lewis, D-Georgia. "On the battlefield it does not matter who you love. Only the flag that you serve."

Conservative Republicans argued that, among other things, a repeal would place an unreasonable burden on the military at a time when it is already facing severe strains in Afghanistan and elsewhere.

This is "an imposition of somebody's social agenda," said Rep. Todd Akin, R-Missouri. It's an "eclipse of reason, an eclipse of common sense."

"The United States military is not the YMCA. It's something special," said Rep. Duncan Hunter, R-California. This is "a liberal crusade to create a utopia."

Obama and Democratic leaders are trying to push through a repeal before the end of the current lame-duck congressional session. The more conservative incoming Congress -- which will be seated the first week of January -- is considered far less likely to overturn the Clinton-era ban.

The Democratic Senate caucus has 58 members, meaning Democrats need at least two Republicans to join them to overcome a filibuster. So far, Republicans Snowe, Collins, Scott Brown of Massachusetts and Lisa Murkowski of Alaska have said they would support a repeal, but they also have stood by a GOP pledge to block all Senate business until a resolution is reached on extending the Bush tax cuts and authorizing continued government this fiscal year.

Both the tax package and the spending authorization proposal are being debated and were expected to be passed in some form by the end of the lame-duck session.

However, Senate Majority Leader Harry Reid, D-Nevada, warned Wednesday night that Republican stall tactics could prevent the repeal from coming up before the current lame-duck session expires.

"We are very quickly running out of days in this Congress," Reid said in a statement. "The time for week-long negotiations on amendments and requests for days of debate is over. Republican Senators who favor repealing this discriminatory policy need to join with us now to stand against those who are trying to run out the clock on this Congress."

A Pentagon study released earlier this month concluded that allowing openly gay or lesbian troops to serve in the military would have little lasting impact on the U.S. armed forces. Opposition to the change was much higher in Army and Marine combat units than in the military as a whole.

Gates has warned that court challenges to "don't ask, don't tell" could force an abrupt repeal of the policy, rather than the process in the legislation that would allow the military to manage the change on a longer timetable.

Last spring, Gates made changes that required any fact-finding inquiries about a possible "don't ask, don't tell" violation in the ranks to be started by an officer with the rank of colonel or Navy commander or higher. He also initiated rules that made it more difficult for a service member to be removed because of a third-party "outing."

The number of military discharges made due to the policy has since dropped sharply.

CNN's Alan Silverleib, Dana Bash, Deirdre Walsh and Tom Cohen contributed to this report.

@highlight

NEW: Reid warns Republican stall tactics could prevent a repeal from passing

@highlight

President Obama, defense secretary urge Senate passage of the repeal bill

@highlight

Republican Sen. Snowe announces her support of a repeal

@highlight

The House votes to repeal the "don't ask, don't tell" policy, sending it to the Senate