I got an urgent call from the doctor. Come to my office immediately, he said. The test results have arrived.

A few days earlier, I suddenly felt so ill that I asked the doctor to test for everything and find out why I had been feeling this way.

Two months prior, my new husband and I returned from our honeymoon in the South Pacific. He became severely ill on the 11-hour flight home. His headache and high fever lasted for days but then went away before his doctor could determine the cause.

And now I felt horrible.

Nothing in life prepared me for the test results. Had the doctor said "you have diabetes," that would have made sense. My mother and grandfather had diabetes.

But when he said "you have HIV," it blew my mind! And it made no sense, no sense at all.

In the next breath the doctor said "your husband needs a test" and "you need to contact everyone you've had sex with to tell them you have HIV, they all need to get tested."

"Fortunately for you," he said, "I have expertise in this area."

He sent me to his office's social worker who asked if my husband would become violent with news of the diagnosis. She filled the rest of our time together trying to connect with me, sharing stories of her excessive drinking habits, as if I could relate.

I called my husband and asked him to meet me at home. I broke the news to him about the diagnosis and got him tested.

My new husband also tested positive for HIV. The doctor told us that I had the disease for a long time and did not prescribe me any medication. He also said I gave my husband the virus so he prescribed antiretroviral drugs for him.

How could this happen? Was this a death sentence? How long did we have to live? What did we need to do? And oh my God! The doctor says I'd given my new husband a disease of the "wicked and amoral." Without any question, he and his staff decided I was a whore and/or addict. This was stunning! I was a wreck.

It was only later that I discovered e-mails that proved my husband had been living life on the "down low" -- secretly having unprotected sex with many men -- and had likely given me the disease.

That was 2000, more than 10 years ago. I still live. In fact, I thrive.

Looking back, I realized I was very fortunate. Several weeks after the diagnosis, I was referred to a therapist who really was an expert in HIV/AIDS. He was my sole support in navigating the strange and disturbing world of HIV. It was hard.

My therapist's first task was supporting me in finding a medical doctor with HIV/AIDS infectious disease credentials. Fortunately, I had the financial resources to pay for therapy as my life slowly and painfully unraveled.

For me, my therapist showed me why mental health care was as important in treating HIV as a knowledgeable, supportive medical doctor. But most others aren't so fortunate.

Fear of judgment and discrimination force people diagnosed with HIV or AIDS to live in isolation. Lack of money and access to support services prevent them from getting the emotional help required to cope in a life-affirming way. With the stigma of getting HIV/AIDS, coupled with the myth that life is over, I felt like the entire system was telling me to go into the corner and die.

But it doesn't have to be that way. For women like me -- heterosexual, vibrant, who may have contracted HIV through their male partner -- there needs to be more resources available to help us deal with the mental landmines that this situation creates.

Too many people in our society are grossly uninformed and still cling to misguided beliefs about HIV/AIDS.  Consequently, the lack of accurate information about HIV/AIDS increases the risk of transmission and decreases the likelihood for women to escape the downward spiral.

At first, as a working professional and career engineer, I was fortunate to have access and the ability to pay for extensive mental health care. But tending to this crisis eventually cost me my career, and then the money ran out.

It wasn't until I was the subject of a segment on the "Oprah Winfrey Show" in September 2010 that my struggle started to gain more meaning. I found there were many more women out there like me.

According to Kathleen J. Sikkema, a professor of psychology and neuroscience at Duke University, "Persons living with HIV/AIDS have disproportionately high rates of psychiatric disorders, with mood and anxiety disorders being the most common."

Yes. That was me.

Depression. Post-traumatic stress disorder. Can't go to sleep. Can't get out of bed. These were all foreign concepts to me until I was diagnosed. I had little background in dealing with mental illness, HIV and even less experience in how to get help.

So I launched the BridgetB Foundation. "BridgetB" was my Jane Doe alias used during a lengthy court battle with my former husband, a battle that went all the way to the California State Supreme Court and resulted in a $12.5 million negligence and fraud judgment against him. And no, I have yet to see a penny from him.

The new foundation is dedicated to providing access to mental and other health services for American women with HIV while respecting their need for privacy. We have a lot of work to do.

HIV is deadly serious, but it doesn't have to be a death sentence. However, without access to mental health services to help women cope with the inevitable struggles, too often it is.

Today, I am doing well. The loves of my life -- my daughter, her father (both HIV negative) -- and I are living each day to its fullest. And we know tomorrow will be even better. We got help.

@highlight

Bridget Gordon: In 2000, I found out I have HIV, and that my new husband has it, too

@highlight

Gordon:  I was a wreck, I asked: How could this happen? Was this a death sentence?

@highlight

She says luckily she found a therapist who helped her navigate her through the crisis

@highlight

Gordon: For those who live with HIV/AIDS, access to mental health care is critical