(Financial Times) -- The erosion of central bank independence around the world threatens to unleash a round of competitive exchange rate devaluations, which leading economies have so far avoided during the financial crisis, the president of Germany's Bundesbank warned on Monday.

Jens Weidmann, whose institution's own fierce independence from political influence was the model for the European Central Bank when it was founded, said Stephen King, the chief economist at HSBC, was "perhaps right" in forecasting an end to the era of central bank independence.

"It is already possible to observe alarming infringements, for example in Hungary or in Japan, where the new government is massively involving itself in the affairs of the central bank, is emphatically demanding an even more aggressive monetary policy and is threatening an end to central bank autonomy," Mr Weidmann said in a speech in Frankfurt.

"Whether intended or not, one consequence could be the increased politicisation of the exchange rate," he said, according to a text of his speech provided by the Bundesbank. "Until now the international monetary system got through the crisis without competitive devaluations and I hope very much it stays that way."

Both the Bundesbank and later the ECB were founded on mandates that gave them wide powers and freedom from political interference in return for focusing solely on keeping inflation in check. Some observers argue that the ECB now faces a challenge if other central banks ditch their own inflation targets and act to lower exchange rates against the euro, making exports from the embattled eurozone economies less competitive.

Asked about the trend for central banks to look less at inflation-targeting and more at policy areas that affect exchange rates, Mario Draghi, president of the European Central Bank, said earlier this month that the exchange rate was very important "as far as growth and stability" were concerned but was not a policy target for the ECB.

He also noted that the Group of 20 leading industrial nations had pledged not to undertake competitive currency devaluations as such action undermines economic and financial stability.

Mr Weidmann said the period in the 1980s and 1990s during which central banks around the world had been made independent had heralded a period of "great moderation" during which inflation fell. But the outbreak of the financial crisis and the growing energy and raw materials demand from fast-growing economies had put rising prices back on the agenda and complicated the job of a central bank.

This had led to demands on central banks to support the financial system, stimulate the economy and lower government refinancing costs "or even secure the solvency of a state", he said. "Overloading central banks with tasks and expectations is however certainly not the correct path towards sustainably overcoming the crisis."

The Bundesbank chief, whose concerns about straying from orthodox monetary policy prompted him to vote against and campaign openly against Mr Draghi's unlimited bond-buying plan last year, concluded by quoting approvingly from an interview Mr Draghi gave to the Financial Times in December. Central banks could best defend their independence by narrowly interpreting their mandate, he said.

© The Financial Times Limited 2013

@highlight

Germany's Bundesbank pres. warns of erosion to global central bank independence

@highlight

Jens Weidman says loss of autonomy could lead countries to devalue currencies

@highlight

Weidman: 'Already possible to observe alarming infringements in Hungary, Japan'