(CNN) -- Last week, the International Monetary Fund (IMF) released its latest "Middle East and North Africa Economic Outlook" report.

The document aims to provide a detailed overview of the main political, economic and social trends facing the region.

Alongside an economic analysis of the cost of the Syrian conflict, the report found that many countries are still struggling to stabilize three years after the Arab Spring. However growth in other countries may be helping the region turn a corner.

CNN's John Defterios sat down with the IMF's Middle East and Central Asia Director, Masood Ahmed, to probe the report's findings further and ask how we can expect the countries featured to develop in the near to medium term.

He started by asking about the reports findings on growth in the region.

Masood Ahmed (MA): (Right now), many oil importing countries in the Middle East and North Africa are growing at between 2.5% and 3.5%.

Many of these countries were (previously) growing at 6% and 7%. Egypt (and) Tunisia, if you go back to 2008 and 2009 were growing at those rates. How do we get back to those rates and how do we generate more jobs?

First of all, create a degree of more certainty for the private sector. The private sector right now is still holding back because of the transitions. That will work its way through in the next year or so. Second, start embarking on some of the reforms that will improve the prospects for small and medium sized enterprises t come in.

John Defterios (JD): People think, 'Oh 2 to 3% (a decent rate of growth for developed countries) and that's with instability'. What do you need to get these economies on a more stable track?

MA: The kind of growth you need to get these economies on a stable path is kind of in the neighborhood of 5% and 6% rather than 2% or 3%. Why? Because that's the level of growth that will create the jobs that an accruing number of young people that are coming into the labor market need.

JD: You mentioned youth unemployment, in most of these countries it's 25% or even more in Arab Spring transition countries.

MA: Youth unemployment has been chronically high in our region. But over the past three years because growth rates have slowed down, the number of young people without jobs has actually increased by 1.5 to 2 million people. That in itself means those young people are impatient for a job.

But their presence serves sometimes as a deterrent for undertaking the reforms that will generate jobs for them.

It's easier to write checks, increase transfers or try to hire them on the public payroll but it's not sustainable.

JD: The Syrian spillover effect, most people don't think of this in an economic context but you have.

MA: Syria at the moment is obviously a tragedy for the Syrian people but more than that if you look at its neighbors, Lebanon, Jordan and then to a lesser extent Iraq and Turkey, they're all hosting Syrian refugees. In the case of Lebanon and Jordan, this is probably one percentage point or more of GDP in terms of impact already.

Beyond that, there's regional trade that's been affected, there's tourism that's been affected and then there's the spread of uncertainty and conflict, sectarian tensions also spilling over across the borders.

JD: In your report you underline the inflationary threat. Good news that Dubai landed the 2020 Expo, Qatar has the 2022 World Cup but it could push up prices.

MA: You do see some signs of overheating in the short term in Qatar, you do see increases in property prices, particularly real estate in Dubai, and these are things to watch out for.

(But) overall, inflation rates in the GCC (Cooperation Council for the Arab States of the Gulf), including in these two countries, remain quite manageable. These are, as you've quite rightly pointed out, areas where you need to keep a vigilant eye.

@highlight

IMF releases latest Middle East and North Africa Economic Outlook report

@highlight

Middle East and Central Asia Director of IMF says many countries in region need to stoke growth

@highlight

Fast growing economies in region need to be wary of inflation