(CNN) -- Some observers have been careful not to name the violence in Syria a civil war, lest it become a self-fulfilling prophecy. Well, the child has to be called by its name.

The violent turmoil has turned into an asymmetric civil war, where the Syrian military and pro-government militias on one hand and opposition forces on the other are using extreme violence, not only against each other but also against civilians suspected of being sympathetic to one camp or the other. The civil war is asymmetric because government forces are far better equipped, organized and mobilized than the opposition.

The latest expression of the unfolding brutality of this civil war is the massacre of more than 100 unarmed civilians, half of whom were children, in the Sunni village of Houla, a center of anti-government activity.

Reports are unclear as to whether the culprits were Syrian military units or pro-government militias, the Shabeeha, as they are called in Syria. The United Nations has also been careful not to point a finger at any side. But the U.N. stand is a result of Russian and Chinese support for the Syrian government, which compelled the Security Council to draft a diluted statement acceptable for all members of the council. But the kind of weapons, the systematic mode of operation and countless testimonies all point to Bashar al- Assad's regime, which is upping the ante in its war against the opposition forces and civilians suspected of being their supporters.

The civil war is asymmetric for another reason. First, although the Syrian government has been put under extreme international pressure, it still receives unconditional logistical support from Iran and Hezbollah. Its diplomatic support from Russia and China -- some reports also indicate that Russia sends arm shipments to the Syrian army -- provides assistance for al-Assad's regime to carry on with its onslaught.

The opposition, on the other hand, does not have the same unconditional international backing. Although Saudi Arabia and other Gulf states have committed to support the opposition by arming its forces, their support is not yet a match to the kind of assistance provided by al-Assad's allies.

Other international supporters of the opposition, including Western countries, have been reluctant to take the support a step further and commit themselves to the kind of military operation that brought down Moammar Gadhafi in Libya, or even less so, to the establishment of a humanitarian corridor along Syria's borders. As long as al-Assad continues to receive regional and international support, his regime will be able to stay in power and have the upper hand in this civil war.

The civil war is asymmetric for a third reason. Al-Assad's regime still enjoys a cohesive leadership and is in full control of its military. Its objectives are also clear -- surviving politically and personally and maintaining control over the country. Conversely, Syrian opposition is divided into rival groups that do not share an organized agenda, have different objectives and have been unable to coordinate their efforts. So, nearly a year and a half after the start of the uprising, the opposition still does not pose a serious challenge to the regime.

The U.N. special envoy Kofi Annan, who is in Damascus, was also careful not to put the blame on any side, again reflecting the political dynamics in the United Nations between supporters and opponents of al-Assad. Annan believes that his six-point plan is still the only workable road map to stop the violence.

Because it is the only plan on the table, Annan is probably correct. But since the conflict in Syria has evolved into a full-fledged civil war, the questions are no longer about political reforms or cooperation between the opposition and the government to stop the violence and rebuild Syria. Rather it is the actual physical survival of al-Assad, his family and his supporters. It is also about a complete overhaul of the power structure that has been in place in Syria for more than 40 years.

Given this bleak reality, the only way to put an end to the violence in Syria is by working with those who support al-Assad's regime from the outside. Russia and China need to be convinced that it is in their best interest to bring down the regime and that this is the only way to move forward in this crisis. Once this happens, Iran may also be willing to give up on its ally.

Time is running out, with the beginning of spillover to Lebanon, as indicated in ethnic clashes last week in Tripoli tied to the strife in Syria. It is crucial for the two powers to recognize that with the global leadership that they claim to possess comes responsibility to interfere proactively in such cases of humanitarian crisis.

The opinions expressed in this commentary are solely those of Asher Kaufman.

@highlight

Asher Kaufman: It's time to call turmoil in Syria a civil war, with extreme violence on each side

@highlight

But regime's forces are far better equipped and organized than the opposition, he says

@highlight

Kaufman: Bashar al-Assad gets heavy-duty support, especially from Russia and China

@highlight

Russia and China must be convinced it's not in their interest to back al-Assad, he says