Washington (CNN) -- Don't expect President Barack Obama or Republican presidential candidate Mitt Romney to talk about the issue of gun control in the wake of last week's deadly mass shooting in Aurora, Colorado -- there's little to gain from bringing up the issue.

While gun rights issues are split along party lines, independents, who will determine the outcome of the election, are also divided over the issue.

Both men and their surrogates have steered clear of discussing thorny Second Amendment issues since the shootings.

Polls, such as one conducted by the Pew Research Center in April, have found that 55% of highly coveted independents feel it is "more important to protect gun ownership than to control guns," with 40% saying controlling gun ownership is more important. The poll also found that 72% of Republicans feel protecting gun ownership is important, while 27% of Democrats feel that way.

This tracks with similar polls conducted after other mass shootings such as last year's assassination attempt on Rep. Gabrielle Giffords, D-Arizona, in Tucson in which six people were killed. A Pew poll conducted after the shooting found that "49% of Americans say it is more important to protect the rights of Americans to own guns, while 46% say it is more important to control gun ownership."

And the issue likely won't play well in a battleground state such as Colorado, with its culture of strong and proud gun ownership but a recent history of deadly mass shootings such as Friday's theater massacre and a similar event in 1999 at Columbine High School, said Alan Lizotte, dean and professor at the State University of New York at Albany's School of Criminal Justice.

"It's political suicide to" to advocate greater gun control in Colorado, Lizotte said.

Colorado is also a state with a fast-growing segment of independent voters, according to a study by the Third Way, a Washington-based, moderate-leaning think tank.

"No politician in their right mind would say anything about gun control in Colorado because you simply won't get it," said Lizotte, who grew up in Grand Junction, Colorado. "Growing up I didn't know anyone who didn't own a gun."

So despite New York Mayor Michael Bloomberg, an independent, calling for Obama and Romney to debate gun issues, the two candidates are unlikely to move gun policy discussions from anything more than a back-burner debate.

That's because in moving the conversation about guns front and center both politicians could get burned.

Romney has had a mixed history on the issue of gun control, according to the Pulitzer Prize-winning PolitiFact website, which grades the accuracy of political comments.

"During his campaigns for statewide Massachusetts office, Romney openly spoke of his support for -- to use his words from 2002 -- 'tough gun laws,' " PolitiFact found.

During the 2008 Republican primaries, Romney said, "I don't line up 100 percent with the NRA."

However, the GOP presidential hopeful's "pro-gun rhetoric has become sharper and virtually all nuance was erased. He even touted the bill he signed in Massachusetts by scrubbing any reference to the provisions banning assault weapons," the site found.

The site noted that "even in the 1994 campaign (Romney) didn't take a full-blown, pro-gun-control stand." And though Romney's messaging sounds more pro-gun, he "has never gone so far as to specifically renounce his prior positions, such as his signing of the 2004 Massachusetts law," an assault weapons ban mirrored after a similar federal ban.

Romney earned a "Half Flip" from the site for messaging on guns that "has been more on the rhetorical level than substantive."

Meanwhile, Democrats long gave up the messaging battle on guns.

"Democrats finally figured out that this was an issue that they were getting walloped on in many Western, Southern states and many swing states," said Jim Manley, who worked in the Senate for more than 20 years as a top aide to Democratic Sen. Ted Kennedy and Senate Majority Leader Harry Reid. "So they began a subtle shift to try to coordinate and/or get more pro-gun Democrats to run."

He said, "For many Democrats, it's smart politics not to get into the gun control debate."

Talk of gun rights was largely absent from Obama's speech in the aftermath of the Fort Hood shooting in 2009 and after Giffords and others were shot in Arizona last year. Obama mentioned gun safety only in passing after the Tucson shootings to describe the polarizing nature of the issue.

The president penned an opinion piece two months after the Tucson shootings that acknowledged the importance of the Second Amendment and called for a "focus" on "effective steps that will actually keep those irresponsible, law-breaking few from getting their hands on a gun in the first place."

Political discourse on guns is unlikely to increase since polls indicate Americans don't want to make gun laws more strict and overall gun violence has actually decreased, said Kristin A. Goss, an associate professor of public policy and political science at Duke University and author of "Disarmed: The Missing Movement for Gun Control in America."

"Historically the pro control side has struggled to come up with a compelling narrative that will help people come over to the case of stricter gun control laws," Goss said. "For a long time these gun violence rates and massacres speak for themselves. They relied on that to make the case but were up against a very powerful but very well-disciplined and skillful army that was good at taking those arguments apart."

CNN's Dana Bash and Allison Brennan contributed to this report.

@highlight

President Obama, Mitt Romney are unlikely to tread further into thorny gun rights, control issues

@highlight

Public fairly divided on issue of protecting gun ownership

@highlight

Both Romney and Obama have a complicated history on gun issues