(CNN) -- An enduring legacy of the Great Recession has been the return to a profound sense of family. This was evident in polls throughout the downturn. Yet no one really knew if the feeling would stick in a recovery.

Now four years into an expansion, new research from Merrill Lynch and research firm Age Wave suggests that family togetherness remains a powerful trend. So powerful that Merrill is rethinking its approach to serving clients, putting special emphasis on the needs of extended family members and how that factors into long-term financial planning.

After a century of being torn apart by industrialization and job mobility, "families are coming back together," says Andy Sieg, head of Global Wealth and Retirement Solutions for Bank of America Merrill Lynch. "We're seeing a new level of generosity and willingness to help family members."

Six in 10 Americans past the age of 50 provide financial support to adult family members, according to the Merrill/Age Wave report "Family & Retirement: The Elephant in the Room." Most commonly this support goes adult children (68%). But 26% support grandchildren, 16% support parents, 13% support siblings and 14% support other relatives.

TIME.com: Your grandma's favorite store reinvents itself as hip, experimental retailer

The level of financial assistance generally rises with ability, and the amounts can be substantial. The average level of family financial support is $14,900 a year. But those with at least $500,000 of liquid assets contribute an average $34,100 to family members each year.

Baby boomers are the original sandwich generation, and it seems they just can't shake the financial pull of both their kids and their parents. This pull increasingly includes demands on their time as well as their money as elders require personal care giving. The Hartford found that 68% of boomers have missed work in the last six months due to care-giving duties. Yet the 50-plus population seems be rolling with it. The Merrill survey found that:

The vast majority who offer financial support do not expect anything in return. Only one in 10 stop helping family because it becomes clear they will not be repaid. In many cases (36%) they give without even asking how the money will be spent.

Many 50-plus folks would make big sacrifices to help a family member with money. Three in five would delay retiring; two in five would go back to work if necessary; one in three would live more modestly in order to help out.

Most value the intrinsic rewards of helping. They either feel more appreciated (54%), generous (36%) or proud (24%). Yet one in five say they feel taken advantage of.

These findings throw a largely unforeseen wrinkle into retirement planning: the costs of helping those dearest to you. Most boomers simply plan for their own needs and adjust when they are thrust into the role of the family bank, which happens far more frequently than is generally expected.

TIME.com: turkey drought? Bacon crisis? Don't believe the hype

Confronted with the reality of having to provide for a family member, the rate of those 50-plus who feel financially ready for retirement plummets from 33% to 9%--and remember that more than half end up in this situation.

What can you do about it? If you have the means, build this expense into your retirement planningâ€”or understand that you may end up working longer or living more modestly than you thought. But you might also set limits on how much you are willing to help and communicate those limits within the family. That way no one gets surprised or hurt, and you can truly plan for the day when you call it quits for good.

Are you helping an older family member, financially? How do you balance that with your needs, and the needs of your children? Share your experiences in the comments.

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Six in 10 Americans older than 50 provide financial support to family

@highlight

The vast majority of them do not expect anything in return for the money

@highlight

But many do not make financial plans that incorporate helping older relatives

@highlight

Family is still important to Americans, even as the economy improves