WASHINGTON (CNN) -- Between 1969 and 1993, all 11 justices confirmed to the Supreme Court were named by Republican presidents. Now the re-election of President Barack Obama promises to continue reshifting the balance of federal courts toward a more progressive stage, a legacy of judicial power that may be felt for decades.

Obama has already named two justices to the top bench -- Sonia Sotomayor and Elena Kagan -- and it is possible he might name two or more in his second term.

"With the president re-elected, I think it's very likely that Ruth (Bader) Ginsburg, the justice who's the oldest (at age 79), will retire within the third year of a second term, leaving the president time to get another nominee in there," said Thomas Goldstein, a top appellate attorney and SCOTUSblog.com publisher. "Other than retirement, I think -- absent health problems -- the justices are not too anxious to leave. They all really like their jobs, it's a good job, and they all seem to be in great shape."

Opinion: Where Obama, and America, go from here

Federal judges serve for life, giving the president the political opportunity to shape a legacy that will long outlive his or her public service.

Besides Ginsburg, three other justices are in their 70s: fellow liberal Stephen Breyer, who is 74; and Republican appointees Antonin Scalia and Anthony Kennedy, both 76.

Many conservative court watchers predict Obama will not dramatically alter his criteria for selecting judges, an approach driven in large part by political reality.

"As the president himself said, he'll have a lot more 'flexibility,' so he could appoint someone who's more of a hard left," said Carrie Severino, chief counsel of the Judicial Crisis Network, a conservative legal advocacy group. "Frankly, he has already appointed a very solid, intelligent, articulate liberal in Elena Kagan. Justice Kagan, I think, in many ways is sort of a left Scalia. She's by no means in the center. She votes lock-step with Justice Ginsburg."

While Democrats control the Senate -- the body that must confirm all nominees -- the Republican minority has been successful blocking two Obama appeals court picks deemed to be "activist" and "radical" by the right -- Californian Goodwin Liu and New Yorker Caitlin Halligan.

For its part, the current conservative-majority high court has not been shy in adding some of the hottest political and social issues onto its docket. This year alone, the justices tackled immigration reform, affirmative action and the blockbuster health care reform law -- a late-June majority ruling giving the president a major victory.

And the justices in coming days are set to decide whether to hear pending appeals on same-sex marriage and voting rights enforcement by the federal government.

15 Supreme Court cases that changed America

"The Supreme Court and its ideological divide is really placing the Constitution and the country in many ways at a crossroads," said Elizabeth Wydra, chief counsel of the liberal Constitutional Accountability Center. "Where President Obama could have a big impact on the court is if one of the more conservative justices, like swing vote Anthony Kennedy or Justice Anton Scalia -- if they retired, then President Obama could replace a conservative or a right-leaning moderate with a liberal justice and that would really shape the outcome of Supreme Court rulings for quite a while."

Some liberal groups have criticized the Obama White House for being less than aggressive in his first term naming proven progressives to the federal courts -- including district, and appeals vacancies. The number of judicial nominations by the current president has lagged by the dozens behind recent chief executives, and those nominees have on average been four years older than those named by President George W. Bush, according to Russell Wheeler, a Brookings Institution expert on judicial nominations.

But publicly, liberals say they are encouraged the courts will receive greater political attention over the next four years.

"We look forward to working with the president on a robust justice agenda," said Nan Aron, president of the Alliance for Justice. "That agenda must include a renewed commitment to civil liberties and leaving a legacy of judicial appointments that support our values of fairness and equal justice under law."

White House sources have acknowledged privately that Obama put judicial picks on a lower political priority in his first term, for the most part choosing what they characterize as moderate, non-ideological, non-controversial -- and confirmable -- slates of judges.

Those sources said the strategy reflected the president's own personal views that judges should not bring sharp partisanship to their jobs, but also political reality: Obama did not want to be sidelined fighting culture wars over judges with Republicans, while trying to repair the ailing economy and push health care reform.

Photos: Justice Roberts on the high court

His supporters also blame Senate Republicans for opposing many of the president's choices, even ones Democrats deemed well within the mainstream. Both sides of the aisle blame the other for abandoning an unofficial 2005 Senate agreement that allowed filibusters of judicial nominees only in extreme cases.

Republicans for their part say they cannot be criticized for the president being slow to bring judicial nominees to the Senate, and have said the rates of confirmation are consistent with previous administrations.

White House officials have emphasized diversity of the bench over hard numbers. Obama has successfully placed 72 women in the federal courts, the most ever in a single presidential term. It matches the number Bush named in his eight years from 2001-09.

President Clinton named 111 female judges in his two terms.

From 1993 to 2017 Democratic presidents will have served 16 of those 24 years, approaching in judicial impact what Presidents Nixon, Ford, Reagan, and George H.W Bush did in their terms.

"I think filling the lower court benches is going to be key," said Severino. "That's something, much to my relief, actually, (that) President Obama hasn't focused on as much this past term. He did get his two Supreme Court nominations, which is huge, and has a great impact. But there's also the long-term impact of filling the district court and the circuit-court spots, and that's what is going to provide a deeper bench later on.

"So we'll see if President Obama decides to switch his emphasis and fill more of those judicial vacancies or continues to embrace that as a lower priority."

Of more immediate concern to the rank-and-file federal courts: the pending $7 trillion "fiscal cliff" of mandatory federal tax increases and spending cuts if a budget deal is not reached by early January. Economists fear another journey back to a recession if things are left unchanged.

The Administrative Office of the U.S. Courts, in a letter obtained by CNN, warned a proposed 8.2% across-the-board sequestration cut in judicial funding would be "devastating," potentially forcing employee downsizing, and reductions in court security, even fees paid to public defenders and citizens for jury service.

@highlight

Federal judges serve for life, which means a president can shape a far-ranging legacy

@highlight

Obama named two Supreme Court justices in his first term

@highlight

Four of the current justices are in their 70s

@highlight

Obama has placed 72 women in the federal courts, most ever in a single presidential term