(CNN) -- A few months before her second birthday, a small bump about the size of a pimple appeared on Audriana Willman's right leg. Her parents, Andrew and Chelsea, noticed the boil in the evening, as they prepared their daughter for bed.

"We had already been through this three other times, so we weren't too worried," explains Chelsea, who says she had taken her daughter to a pediatrician on several occasions to treat skin infections. As they usually did when a little red circle with a white head appeared on their toddler's body, they popped it like a pimple and cleaned the area with antibacterial soap. But this time, that small pimple would turn into a major problem.

"By the next morning, it wasn't just a bump anymore. Her leg was red and extremely swollen, and she could hardly walk. She was in pain, and her fever had spiked to 103," her mother recalls. "It went from minor to really, really bad overnight."

By 10:30 that morning, they had rushed Audriana to their pediatrician in Oroville, California. She was hospitalized, and the Willmans learned their daughter had developed methicillin-resistant Staphylococcus aureus, or MRSA, which is a type of staph bacterium that does not respond to commonly used antibiotic treatments.

This type of infection has been a problem in hospital settings for many years, but starting around 2000, it began steadily making its way into the lives of otherwise healthy people, especially children, who are not typically at risk for the fast-moving bacteria. As children head back to school, epidemiologists are encouraging parents to be more aware of the drug-resistant strain of staph and how to protect their kids.

MRSA infections on the rise

"Everyone is at risk," said Dr. Patrick Romano, senior author of a new report that found the number of children hospitalized with MRSA infections, mostly acquired from within the community, has more than doubled since 2000. "MRSA really started as a bacterium that was seen in hospitals among high-risk patients. But during the last decade, we saw it spread to the general population."

"The problem is that MRSA began to affect people who were perfectly healthy," adds Dr. Jaime Fergie, author of a 2005 study that concluded that infections in children had reached "epidemic proportions." Mutations in the organism made it more virulent and easy to transmit, he says. "We continue to see more severe, life-threatening infections affecting the blood, lungs, muscles and even bones of previously healthy children."

In 2009, 71,900 children were hospitalized because of infections under the skin, according to the Agency for Healthcare Research and Quality, and the CDC estimates there are approximately 10,800 deaths in the U.S. each year caused by staph, of which 5,500 are inked to MRSA.

The problem became so widespread that in January, the Infectious Diseases Society of America called the condition a "huge public health problem" and published its first-ever guidelines for the treatment of MRSA in pediatric patients.

Protecting your child from MRSA

"We have to live with the fact that it's out there, all around us in the community. At this point, we expect a certain level of these infections," Romano says. "Now, it's a matter of recognizing the early signs and treating it early when we see it."

Audriana Willman spent three days in a hospital and recovered without serious complication from her MRSA infection. Her parents say their previous experience has made them more cognizant of every little bump on their daughter. And because their daughter is prone to skin infections, they are even more vigilant about hygiene in their household. "We learned that the hard way, how quickly they can progress. The longer we can go without them, the better," her mother says.

As children head back to school, pediatricians are encouraging parents to become educated about MRSA to ensure that if their child gets an infection, they catch it early, before symptoms become severe.

Here are 5 things parents should know:

1. The infection site can resemble a spider bite

"Sometimes, parents mistake [a MRSA infection] for a spider bite because it is so intense and appears so suddenly," said Fergie, a pediatric infectious disease expert at Driscoll Children's Hospital in Corpus Christi, Texas. "If you haven't seen a spider, don't assume it's a spider bite. If you recognize a painful red spot with a little bit of pus, that's enough of a concern to go to a doctor," he recommends.

To help you identify the infections, the Centers for Disease Control and Prevention has compiled several images to better visualize what MRSA infections may look like.

2. The infection may start like a pimple and advance rapidly

Dr. Jennifer Shu, an Atlanta pediatrician, says parents often don't realize how quickly the infection can progress. "This is what shocks parents the most. Something that looked like a pimple is all of a sudden the size of a nickel," explains Shu, who says the bacteria can spread within a matter of hours. She once saw a patient who developed more than 30 skin boils in two to three days.

3. Transmission among young athletes is prevalent

According to the National Athletic Trainers' Association, skin diseases accounted for 56% of all infectious diseases in competitive sports from 1922 through 2005. Athletes tend to share things like equipment and towels, and children engaged in high-contacts sports inevitably receive cuts, bruises and scrapes, which act as potential entryways for serious bacterial infections.

Last year, the association issued a position statement on skin disease among athletes warning that after a bacterial infection, they should not be allowed to return to a game until they complete a 72-hour course of antibiotic therapy and the infection has been completely drained. The CDC offers more prevention information and advice specifically for athletes on its website.

4. Treatment for MRSA not always the first option

Romano, a professor of pediatrics at the University of California, Davis, says that when a child has an infection, doctors do not always start with a prescription that works against MRSA bacteria. In communities experiencing high MRSA rates, pediatricians may automatically default to medications that fight the bacteria, but they may choose not to in communities where there hasn't been an outbreak.

If someone in your home or another child in your child's school recently had a MRSA infection, alert a doctor, as it may be worth asking up front for a broader-spectrum antibiotic. Pages 12-15 of the Infectious Diseases Society of America's Clinical Practice Guidelines list the treatment recommendations for adults and children based on their symptoms. Return to the pediatrician as soon as possible if within 48 hours you do not notice less swelling or redness, or if the infected area remains warm, Romano advises.

5. Bleach baths and proper cleaning can help prevent spread

If you have several children, and one of them has developed a MRSA infection, you want to keep the spread to a minimum. Experts say to keep the infected area covered with a bandage until it heals.

The Willmans took the recommendation of an infectious disease specialist and gave their daughter a bleach bath using about a half-cup of bleach in about 13 gallons of water, a few times a week. There is the potential for skin irritation if the mixture is not diluted properly, so be sure to follow the guidelines outlined by the ISDA.

You'll also want to clean surfaces that might come in contact with the infection. The Environmental Protection Agency offers a list of registered cleaning products that are effective against MRSA.

@highlight

Kids' hospitalizations for community-acquired MRSA have doubled since 2000

@highlight

10,800 deaths in the U.S. each year caused by staph, of which 5,500 are linked to MRSA

@highlight

Parents often mistake infection site for a spider bite