For many years, it was a rite of fall.

You moved into your dorm room or new apartment. You started unpacking the car. And the first thing you set up in your new place was the stereo system: receiver, turntable or CD player, tape deck and speakers.

The wires could get tangled, and sometimes you had to make shelving out of a stack of milk crates. But only when the music was playing on those handpicked CDs, mix tapes or (geezer alert!) vinyl records did you move in the rest of your stuff.

Daniel Rubio wouldn't know.

To the 23-year-old, new dorm rooms and new apartments have meant computers, iTunes, Pandora and miniature speakers.

"All I had to bring was my laptop. That's pretty much what everyone had," says Rubio, who attended Emory University in Atlanta and now works for a local marketing and communications firm. "It was actually pretty good sound. It would get the job done."

"Get the job done"? That sounds like the white flag for an era that used to be measured in woofers and tweeters, watts per channel and the size of your record collection.

Related: Old LPs get second life

Indeed, the days of the old-fashioned component stereo system are pretty much over, says Alan Penchansky, an audiophile and former columnist for the music trade publication Billboard.

"What's happened in the marketplace, the midmarket for audio has completely been obliterated," he says. "You have this high-end market that's getting smaller all the time, and then you've got the convenience market, which has taken over -- the MP3s, the Bluetooth devices, playing on laptops."

He wishes more people knew what they were missing. At its best, he says, audio reproduction has "a religious aspect."

"There's a primacy to audio," he says. "It's a form of magic."

Wires and jacks

Of course, new technology changes things all the time. When was the last time you bought a roll of film for your camera?

Still, for a long time -- and for a certain, often youthful, audience -- the stereo system was a point of pride.

Greg Milner, the author of the audio recording history "Perfecting Sound Forever," remembers the process. There were components. There were boxes of tapes and CDs. There might even be some vinyl.

It could be a pain, no question. The equipment was heavy. There were all those wires, plugs and jacks -- Line In, Line Out, Aux, Phono, CD, keeping track of the positive and negative strands of speaker wire. It was an effort just to break down and set up the stuff, never mind moving it.

Milner, for example, grew up in Hawaii, and when he went away to school in Minnesota, he had to figure out what he was going to do with his system.

"I remember agonizing, what do I do? I can't take my stereo," he recalls. "There was this thing that, looking back on it, took up a ridiculous amount of psychic energy."

Audiophiles vs. AM radio

However, he observes that the history of audio technology has often been one of convenience.

Even in the '50s and '60s, when stereo sound first became widespread, the audiophiles had their hi-fis -- and the younger generation listened to tinny AM radios and cheap phonographs.

Indeed, music styles had a lot to do with music consumption, he points out. Audiophiles listened to classical and jazz, music from clubs and concert halls. On a good system, you could hear every pluck of a violin pizzicato, every inflection of a jazz singer's vocal, recreated in your living room.

The kids, on the other hand, listened to cruder rock 'n' roll.

"The seeds of the decline of what it meant to own a stereo were planted way back then, because the original audiophiles were people who were baby boomers' fathers and mothers," he says. "As rock 'n' roll starts to become more of a thing, a lot of that stuff is produced so it's meant to be heard on AM radios."

A Phil Spector Wall of Sound production -- in glorious mono! -- would probably have driven a hi-fi enthusiast up a wall, says Milner.

The mass market moves on

In the '70s and '80s, the twain did meet, for a time. Rock and pop music production techniques improved. At the same time, grown-up baby boomers, now working adults, invested in better audio equipment, all the better to listen to Steely Dan's "Aja."

There were whole mass-market stores devoted to audio gear -- Sound Trek, Hi-Fi Buys, Silo -- and no issue of Rolling Stone was complete without several ads for turntables, cassette decks and equalizers.

But technology marched on, and so did change. Some was for the sake of convenience: Cassettes had more hiss and less range than LPs, but were more portable -- especially when listening on your handy Walkman or boombox.

However, we also started focusing more on visuals. Penchansky traces the decline of the stereo system to the early '80s rise of the music video, which brought visuals to the fore. Suddenly, the concert hall in your living room -- or the audio imaging in your head -- was gone, replaced by surrealist pictures overwhelming the television's tiny speaker.

That branch of consumption has helped lead to the home theater.

Penchansky has nothing against HDTVs and 7.1 systems, but believes that, for the most part, it's a "sonic compromise." With a pure audio system, "There was no way that television, even today, simulates the realism of visual experience the way (good) audio can simulate an audio experience."

Sure, technology has adjusted.

New materials and processing technology have improved the sound of small and inexpensive devices, says Patrick Lavelle, president and CEO of the consumer electronics giant VOXX International, which manufactures such brands as Klipsch, Acoustic Research and Advent.

Headphones and an iPod

And there's still a consumer market for good audio, adds Geir Skaaden, an executive at the high-definition audio company DTS. The top-selling products in Apple Stores, after Apple's own devices, are headphones, he says. (DTS recently introduced technology for an immersive system called Headphone:X, intended for mobile devices.)

Still, convenience still rules. Which means it's out with the component stereo system and in with the computer.

That suits Rubio, the Emory graduate, fine. He grew up in a house with a component system but doesn't believe he's missing anything.

"All you need is a good pair of headphones and an iPod and that's pretty much it," he says.

Milner, the author, can't question his decision.

"Now, why even bother?" he asks. "If you can take your entire music collection and more in something that fits in your pocket, why would you not do that?"

@highlight

For decades, the component stereo system was the way to listen to audio

@highlight

Now it's all about computers and MP3 devices

@highlight

Has quality been lost? Maybe -- but convenience hasn't

@highlight

Today's young music fan: "All you need is a good pair of headphones and an iPod"