(CNN) -- Few Americans think twice about whether their medicine bottle really contains what it says on the label.

But that sense of security was shaken last month, when the Food and Drug Administration announced that a counterfeit version of Avastin, an expensive and commonly used cancer drug, had been purchased by 19 hospitals and medical centers.

FDA Commissioner Dr. Margaret Hamburg spoke to CNN about medical counterfeits, as well as another crucial problem -- the ongoing shortage of many lifesaving cancer drugs. The following is an edited version of that interview:

CNN: Where does the investigation stand?

Hamburg: It's an ongoing investigation, but we're working hard, and from what we can tell, patients have not been harmed from this. But it's a wake-up call that we need to be working with the patient community and law enforcement to make sure our drug supply stays as safe as possible.

CNN: Did any patients actually receive the medication, or was it caught before that?

Hamburg: We were able to get an early warning from colleagues in other countries that had noted the problem with substandard Avastin, and to move quickly to identify distributors in this country that had purchased and were using this counterfeit product. And our sense is that patients were not harmed.

CNN: The hospitals and providers -- do you think they should have noticed this problem sooner?

Hamburg: It's very hard for a health care provider to know when a drug is faked. And believe me, some of the fakes are very, very good.

CNN: Has this case helped to put more attention on the problem?

Hamburg: It's focused new attention and concern on counterfeit drugs. We feel at the FDA that we're doing a very good job working with companies, with law enforcement and the health care community, but there's more that still needs to be done. I'm very eager to work with Congress. They're considering some legislation that would give the FDA stronger authority and stiffen the rules around counterfeit drugs, and make it easier for us to really track drugs in the system, and enable us to quickly pull inadequate drugs.

CNN: Right now, if you find a package of counterfeits, you sometimes have to send it back to the counterfeiter.

Hamburg: At the present time, the FDA actually doesn't have the authority when we find counterfeit drugs coming into the country, to just seize and destroy them. We can go to the courts, we can get an order and then take action, but that takes time. We need new authority. We also need stronger systems in place, to work with other countries and the international community to trace drugs as they move through the system.

CNN: How would tracking work?

Hamburg: It's important to recognize that drugs taken in this country come from sites all over the world. Right now 40% of finished drugs Americans take come from other countries, and 80% of the active pharmaceutical ingredients taken here come from other countries. We are responsible for overseeing drugs in 300,000 facilities around the world, coming in from 150 or so different countries. So it's a huge task.

CNN: Do we know how widespread counterfeits might be in the U.S?

Hamburg: We are constantly vigilant, and we do see on a regular basis isolated problems with counterfeit and substandard drugs. What we're concerned about is putting in place systems to prevent greater and more widespread problems in the future. Also, penalties for counterfeiting drugs need to be stiffened. Right now, in terms of criminal activity, the penalties are less than if you counterfeit a Gucci purse. I think we can do better.

CNN: There has been an ongoing shortage of cancer drugs. Does that create a greater incentive to counterfeit?

Hamburg: Right now, the problems are separate and discreet, but we need to recognize that there's a huge potential for overlap. As drugs are in shortage, it creates the possibility of new gray markets or illegal markets to fill in those gaps. We need to make sure that does not happen.

CNN: Do you think the problem of shortages will get better or worse?

Hamburg: It's a serious problem and it's going to be a continuous problem. It arises from an array of different factors. Some economic factors, incentives and reimbursement issues, and some that have to do with manufacturing issues and quality concerns. I think we are really deepening our understanding of how problems arise, and we've strengthened the network of reporting so we're getting early indications of when shortages may occur.

CNN: What's an example of that?

Hamburg: It's very striking. After the president made an announcement about the importance of drug shortages, and issued an executive order basically asking FDA to call on companies to voluntarily expand their reporting when they think they might have a shortage or a disruption in the drug supply, we've seen an increase of about six times as many reports. In that time frame -- November, to here we are in the middle of March -- we've been able to prevent about 115 drug shortages.

@highlight

Right now 40% of finished drugs Americans take come from other countries

@highlight

Drug shortages: A 'serious problem and it's going to be a continuous problem'

@highlight

A drug shortage creates the possibility of new gray markets or illegal markets