New York (CNN) -- Civil rights lawyers filed papers in federal court Monday seeking to prohibit the New York Police Department's surveillance of Muslim communities when there is no evidence that they are linked to terrorism or other illegal activities.

The department's demographics unit -- or zone assessment unit -- was put together with the CIA's help after the September 11, 2001, attacks. The unit has acknowledged that it engaged in monitoring that included Muslim-owned business and mosques across the New York region.

The motion filed Monday is part of a class-action case from 1971 that resulted in a historic settlement in 1985 known as the Handschu agreement, or Handschu guidelines.

The settlement restricted police -- who were then accused of compiling dossiers on political activists and those perceived as radicals -- from investigating individuals whose activities were constitutionally protected.

"We think the surveillance of innocent Muslims is an infringement of civil liberties by the police and a violation of the guidelines," said Paul Chevigny, a New York University law professor and one of five attorneys on the Handschu case.

Muslim leaders boycott breakfast over surveillance program

According to the guidelines, the police cannot keep records unless they find evidence of terrorism, and according to Chevigny, they have kept voluminous records on businesses connected with Islam.

"There's no indication of crime in connection with any of the organizations they've infiltrated," Chevigny said.

Last summer the head of the city's police intelligence division testified that the controversial surveillance unit never produced a lead that linked to a potential terrorist plot during years of investigation.

The unit's reports never led to a terrorism investigation in at least six years of surveillance, according to court testimony from Thomas P. Galati, the commanding officer of the police intelligence division.

"I could tell you that I have never made a lead from rhetoric that came from a demographics report, and I'm here since 2006," he said in a June 28 deposition unsealed last August. "I don't recall other ones prior to my arrival. Again, that's always a possibility. I am not aware of any."

A 60-page report obtained by The Associated Press in 2012 showed police department maps of Newark, New Jersey, and photographs of Muslim residences and mosques, while other reports revealed that authorities had tracked websites and on at least one occasion placed an undercover officer among university students.

There was no statement in the documents regarding terrorism or other criminal activity.

However, in 2011 civil rights attorneys filed papers in federal court challenging whether the use of undercover agents and informants within Muslim communities constituted a breach of those guidelines.

Last year New York Police Deputy Commissioner Paul Browne said that the "premise that the demographic unit was used for wholesale spying on Muslims, using undercover officers and informants to do so, was false," and that neither "confidential informants nor undercover officers were assigned to the demographics unit."

Browne added that "the small unit, about eight people, surveyed places a terrorist might go to use a foreign language internet cafe, get a job off the books, find a place to stay, etc."

However, police did uncover information that "led them to recommend that investigators take a closer look."

Police actions adhered to the Handschu guidelines, Browne added, which were modified after the 2001 attacks to provide authorities greater leeway in investigating potential threats.

In the first expansive official description of the city's demographics unit, Galati testified last June that the department had collected information often based on ethnicity and language.

"Most Urdu speakers from that region (Pakistan) would be of concern, so that's why it's important to me," he said.

Listening in on a conversation at a Lebanese cafe could also be useful, he added, allowing analysts to determine what part of Lebanon the cafe-goers were from.

"That may be an indicator of possibility that that is a sympathizer to Hezbollah because southern Lebanon is dominated by Hezbollah."

But "related to demographics ... I can tell you that information that (has) come in has not commenced an investigation."

The purpose of the unit is to help "identify locations if we're faced with a threat," he noted, offering investigators a better starting point when confronted with a possible attack.

"The police department needs to know where we should go and look for that particular terrorist," he said. "A lot of information that the zone assessment unit captures helps us identify locations that we should look or not look for."

Last year New Jersey Attorney General Jeffrey Chiesa announced that the NYPD did not violate New Jersey laws when it carried out surveillance of Muslim-run businesses across state lines.

The findings were the product of a three-month review meant to address concerns expressed by Muslim organizations, who later filed a lawsuit in New Jersey federal court against the NYPD for unfairly targeting the Muslim community.

U.S. Attorney General Eric Holder in March called reports of NYPD surveillance "disturbing," though White House chief counterterrorism adviser John Brennan praised the city's efforts to strike a balance between security and the protection of civil rights.

@highlight

Civil rights lawyers ask federal court to end New York police surveillance of Muslims

@highlight

Surveillance of businesses, mosques violate 1985 court settlement on monitoring groups, lawyers say

@highlight

Police department unit monitored Muslim businesses and mosques in region

@highlight

Power to monitor groups expanded after 9/11 attacks in 2001