(CNN) -- Journalism can be an unforgiving profession. Mistakes are easy to make, and they're usually made publicly, which means red faces and awkward apologies all around. The only comfort is that everybody -- EVERYBODY -- makes them at some point.

We'll prove it to you. Here are nine CNN journalists -- including anchor Brooke Baldwin, in the video above -- sharing their most embarrassing professional moments and what they learned from them.

Actually record

It doesn't matter how awesome your interview is if you don't have a record of it. Steve Goldberg, a CNN senior producer, learned that one the hard way.

"I was covering UGA for the Atlanta Journal-Constitution and had a big interview lined up with the university president," he says. "I went in with my tape recorder, took only brief notes, only to get back to the office and discovered that the batteries had died and I didn't have a recording."

So Goldberg had to swallow his pride and go back to the university. "I asked sheepishly if I could redo the interview and, much to my surprise, he said yes. Lesson learned: Make sure I put in fresh batteries before the big interview!"

It's critical to make sure you're intimately familiar with your equipment before you go out in the field to avoid such mistakes.(Mistakes, by the way, that many a CNNer have admitted to making.) And along those lines, make sure you actually, you know, hit record. (Yup, we've done that, too.)

Check your facts -- and your geography

CNN.com designer Ken Uzquiano single-handedly ceded Wales to England. True story.

He created a map of the UK to go along with a crime story on CNN.com. The only problem was, he left off Wales, instead marking the country as part of England.

"Within two minutes, it was all over the blogs," Uzquiano remembers.

And indeed it was. The UK-based tech blog The Register wrote:

"We have some bad news for those of you who woke up this morning thinking you were Welsh: As of right now, you're English, and you'd just better get used to the idea. ... Although the offending map has now been removed, when we rang the Welsh Assembly this morning a very glum spokesperson admitted, 'If CNN says we're English then it must be true.' "

Always have someone -- preferably someone with knowledge of the subject -- look over your stories before you make them public. And double-check your locators, because there's a Decatur in almost every state, and you want to make sure you're talking about the right one.

Name (the right) names

CNN video producer Jo Parker had painstakingly checked her facts. She'd gotten both sides of the story. She'd included fantastic, descriptive quotes. Only one problem: She was writing about the wrong guy.

"As a fairly new reporter, I was covering my first town council meeting. I was really proud of the way I'd balanced the story and included terrific quotes," Parker remembers. "I was trying hard to gain credibility, since the previous reporter had irritated local officials by being careless with balance and fairness issues."

"The next day, the story came out. Before I could finish patting myself on the back, I realized that I'd written about a town council member -- but used the local district attorney's name." Oops.

Parker says the mistake taught her to immediately admit the error, take responsibility and apologize as soon as possible. But, perhaps most importantly, "triple-check the things you 'know,' " she says.

Listen up

If you work in TV, you know that live segments have incredible potential for embarrassing screw-ups. CNN iReport producer Rachel Rodriguez was getting ready to present a somber story when she heard the anchor give her an unexpectedly lighthearted intro.

"It was Memorial Day, and I was doing a piece about soldiers we'd lost, so it was a really sad, serious story," she says. "I don't know how the anchor got the wrong information, but she gave me an intro along the lines of 'It's a beautiful Memorial Day outside, and everyone's picnicking and enjoying the lovely weather! CNN iReport's Rachel Rodriguez has more on how people are taking advantage of this gorgeous day! Rachel!' "

Rodriguez remembers the pit in her stomach growing as she heard the intro on her earpiece.

"There was no graceful way out of it," she says. "I just had to take control and turn the conversation around as best I could without making it sound like we were making light of the deaths of soldiers."

The key to recouping? Listen. Whether you're conducting an interview or narrating a segment, make sure you're paying attention to the other person and not just mindlessly reading your notes (or the teleprompter). Chances are, you'll need to react to something they say.

Put everything in context

CNN iReport producer David Williams found a creative -- if entirely unintentional -- way to combine two hot entertainment topics in 2006: Madonna and "Snakes on a Plane."

He was filling in for the entertainment producer, and it was "at the height of the 'Snakes on a Plane' hysteria," Williams remembers. "We ran a story about snake handlers having to deal with large amounts of snake poop during production. I gave it the brilliant but juvenile headline 'Poop on a Plane' and went on with my day."

His fatal flaw? "I didn't really think about how this would look on the CNN.com homepage," he says.

"The headline above it was about Madonna causing a stir in Germany," says Williams. "It looked sort of like this: German authorities watching Madonna poop on a plane. The fine folks at Gawker had a good time with it."

Amusing, but whether you're writing headlines or choosing quotes to go in a story, the lesson is the same: Take the time to think about the context for your words. Often, that will shape how you use them.

The devil is in the details

"When CNN first started going to a system of running videos off of computer codes, it was easy to get the eight-digit numbers mixed up," says CNN senior producer Tricia Escobedo. I think you can tell where this story is going.

"One day, when I was a TV writer for CNN International, two of the top stories were the annual 'running of the bulls' in Pamplona, Spain, and some sort of violence in the Middle East," Escobedo recalls. "I wrote the story for the anchor to read on CNNI over the video of the deadly violence, but inadvertently put in the number for the running of the bulls. I was horrified when I heard the anchor read about mayhem in the Middle East -- and saw the video of a bunch of crazed bulls chasing after some nutty tourists!"

"So the lesson is: Check those minor details and logistics," she says. "They can lead to major mess-ups."

Relax

Ah, internships. Time and scene of so many mistakes. Well, let's call them "learning experiences."

Toward the beginning of his career, CNN video copy editor James Dinan interned with the news department of a radio station in Newton, New Jersey.

"After a couple of days learning the ropes and staying out of trouble, I was offered the chance to cover one of the World Cup soccer games from Giants Stadium in East Rutherford, New Jersey," Dinan recalls. "It was a simple task -- do a live spot about the game itself, as well as record one or two features about the sights and sounds surrounding the game."

Remember what we said earlier about live segments having excellent potential for mess-ups? Yeah.

"It was time for my live shot, and I was prepared. Or so I thought," Dinan says. "The first words out of my mouth...

"Italy rebounded from its opening match defeat by upending Norwegia, 1-0.

"Norwegia? Wasn't that a fictitious country featured in 'Duck Soup' or a Three Stooges short?" he jokes. "I was supposed to say Norway, but I had Norwegian on the brain and, somehow, the two managed to fuse together into a made-up word."

Luckily, Dinan's boss let him cover another game, Ireland vs. Norway, and he pronounced the country's name perfectly the second time around. His slip-up is a reminder not to psych yourself out before going on camera -- and not to worry too much about the little things.

Read it out loud

Here at CNN, we get our fair share of prank phone calls with super-fun fake names. But even if it's not a prank name, it helps to stop and think about -- and pronounce out loud -- any name you come across.

"In my first job in journalism, among the many things I had to do at a teeny-tiny paper was edit an advice column written by the newsroom staff," says CNN senior editor Jan Winburn. "People called in questions, and the newsroom secretary transcribed them and handed them around to staffers to track down answers."

One day, someone called in the following question: "I would like to find out why Jack Hammers and his equipment are allowed to work at 4 a.m. on Clinkscales and Worley and disturb people's sleep." See where this is going?

"The reporter who got this question dutifully called the city public works department and wrote an answer something to the effect that no one at the department was aware of anyone working at that intersection," says Winburn. "The joke, of course, is that she transcribed the question off the phone as Jack Hammers instead of jackhammer ... and I didn't catch it!" Winburn has kept the clip for more than 10 years.

Pro tip: It always helps to read your stories out loud, even if you're writing for print. Not only does it help make the writing flow, it makes it easier to catch embarrassing errors. And always have a second person read over your story.

@highlight

CNN's iReport Boot Camp challenges iReporters to improve their storytelling chops

@highlight

This week, we're sharing mistakes we made in our careers and what we learned

@highlight

Read about CNN producers' ridiculous headlines, on-air mishaps and other slip-ups

@highlight

Find other journalism and storytelling tips on our Boot Camp homepage