WASHINGTON (CNN) -- Some experts are skeptical that anything could have stopped Robert Hawkins from going on a murderous rampage at an Omaha, Nebraska, shopping mall on Wednesday.

A police car sits outside the Westroads Mall in Omaha, Nebraska, on Thursday.

"This is not something that anybody can reasonably anticipate," said Don Greene, a former FBI agent who has written a book on mall security.

"If the people closest to him didn't see any indicators or signs that he was going to go off so drastically ... how is some public safety officer supposed to recognize this person?" Greene asked.

In fact, security at Omaha's Westroads Mall did find Hawkins' behavior suspicious before the shooting, Omaha Police Chief Thomas Warren said Thursday.

Mall surveillance initially flagged Hawkins "based on his actions" when he entered the mall through the Von Maur store's main entrance on the second floor, Warren said. He said Hawkins exited quickly after entering, then re-entered within six minutes and appeared to be concealing something in a balled-up sweatshirt.

He then went up the elevator to the third floor, and when he got there, he immediately began firing, Warren said.  "It doesn't appear as though there was an opportunity for intervention," he said.

Shopping malls around the country were expected to review their emergency plans and consider additional security measures in light of Wednesday's shooting, which killed eight.  Watch what experts say about keeping malls safe »

"There is always a fear of copycats when something like this happens," said Malachy Kavanaugh, spokesman for the International Council of Shopping Centers. He said malls would be considering whether to close some entrances, bring in additional officers, and make security more visible.

There are 1,200 enclosed malls in the United States and about 50,000 shopping centers. Although some include police substations, most are patrolled by unarmed private mall and store security guards.

Should these private security guards be armed? "Absolutely not," said Greene. Greene said if a security officer were to pull a gun on an armed individual in a mall, it could result in "the gunfight at the 'OK corral,' and then we might have 23 people killed instead of eight."

"These random events are very challenging to prevent and difficult to deal with when they occur. Law enforcement and security prevention measures, no matter how good, cannot forestall a tragedy such as this from happening," said a statement issued Wednesday night by the Simon Property Group, which operates regional and outlet malls across the United States.

"We do not disclose or discuss our enhanced security measures and/or procedures that we have in place or may institute at any given time, some of which are visible to the public, with others intentionally less noticeable," the statement said. "Disclosure of such information could potentially compromise our efforts to provide a safe and secure environment."

Security expert Lou Palumbo told CNN one useful strategy was having trained law enforcement personnel watching people as they enter the mall.

"You start to observe the people coming into the mall area," he said. "To let them in your door and then try to figure out what they're doing, you know, it's not as effective as catching them as they're coming in the door."

The International Council of Shopping Centers has conducted focus groups with shoppers to test how they would react to even tighter "airport style" security measures, including bag checks and magnetometers.

According to Kavanaugh, the results have shown that shoppers would accept the measures only if the national threat advisory system was raised to its highest level, red. Such extreme measures are "in the mall industry playbook ... but it is something no one wants to do," said Kavanaugh.

While some mall owners have increased training of security personnel and have upgraded their emergency systems, many security experts believe more should and can be done. Those experts suggest it's a matter of money. They say until shoppers start staying away, mall owners will not make significant changes.

There are no national standards for security guards, and according to a 2006 study by the Police Foundation, only a few states require background checks, minimum hiring standards, or training.

The study also notes that drills to test security staffs' knowledge of what to do in an emergency, when done at all, "are seldom rigorous, seldom done with first responders, and are usually done without clear standards to measure their success." The report goes on to say that "many malls do not even have plans to limit access to sensitive areas in times of heightened alert."

Since that report was written, the International Council of Shopping Centers, in conjunction with George Washington University, has developed a DVD to train mall security guards. According to Kavanaugh, about 6,000 of the nation's estimated 20,000 mall security guards have participated in the course, including 10 at Westroads Mall, where Wednesday's shootings took place.

The FBI and other federal agencies have reached out to private security firms to share information on best practices. The FBI also sends out alerts regarding possible threats to the private sector -- but warnings of possible terrorist plans are clearly of no help in anticipating an attacker like Hawkins. E-mail to a friend

CNN's Jeanne Meserve, Eliott McLaughlin and Kelli Arena contributed to this report.

@highlight

Malls expected to assess security arrangements in wake of Wednesday shooting

@highlight

Gunman at Omaha, Nebraska, mall killed 8 people and himself

@highlight

Some security experts say such incidents are impossible to anticipate

@highlight

Study by Police Foundation says training drills for mall guards are inadequate