By any measure it's historic: The vast majority of Africa's leaders flying to Washington at the invite of the President, whose father was born on the continent, to mark what the White House hopes is a new era of cooperation.

While plans for the first African Leaders Summit this week in the nation's capital are ambitious, the reality is the United States still has strides to make on the kind of political and economic relationships in Africa that can benefit both sides.

Other nations, namely China, have turned their focus to the continent as a trade partner. Terrorist networks have expanded their reach in some countries, most notably in Nigeria, where hundreds of schoolgirls remain at large after being kidnapped earlier this year. And while U.S.-backed efforts have helped slow the spread of HIV/AIDS in Africa, countries there rate among the lowest in life expectancy and infant mortality.

"The importance of this for America needs to be understood," President Barack Obama said on Friday about the summit.

He added later that Africa "happens to be one of the continents where America is most popular and people feel a real affinity for our way of life."

Here are five reasons that the U.S.-Africa Leader's Summit, which kicked off on Monday,  is important:

1. Health scare: The health problems in Africa were underscored this week when an Ebola outbreak prompted leaders of two nations to cancel their trips to Washington.

Liberian President Ellen Johnson Sirleaf, a Nobel Peace Prize winner, and Ernest Bai Koroma, the leader of Sierra Leone, both said they would remain in their countries.

Ebola has killed more than 700 people in three nations: Guinea, Liberia and Sierra.

Summit leaders, and even Obama, have stressed there is no risk to Washingtonians from those arriving from Africa this week.

Obama said anyone who might have been exposed to the virus would be screened both in their home countries and upon arrival in the United States.

But worry over the worsening outbreak only highlighted challenges Africa faces in combating disease and poverty, despite the billions in U.S. aid over the years.

"This is an uphill challenge for them," said Gayle Smith, Obama's senior director for development and Democracy, noting both Liberia and Sierra Leone had recently emerged from periods of civil war.

Obama hopes to move past the traditional elements of humanitarian aid to Africa, focusing instead on potential trade.

But promoting commercial ties with countries engulfed in Ebola outbreaks could prove to be difficult. The State Department warned against non-essential travel to Sierra Leone and Libera last week, and some schools and businesses have closed.

"The timing is very unfortunate, and no one would have wished for this," said Howard French, an associate professor of international affairs at Columbia University. "Having high-level discussions between the U.S. and Africa on business and investment are infrequent. So to the extent that this distracts from that I think will be regretted all around."

2. Security challenges: Another potential barrier to U.S. investment in Africa: Growing extremism on the continent, which has overwhelmed certain governments.

The most flagrant example came earlier this summer, when the group Boko Haram kidnapped more than 200 school girls in Nigeria. The incident prompted international outrage and so far, a U.S.-backed team has not located them.

Nigeria-based Boko Haram opposes western-style education, and there are fears the group's influence could be crossing borders.

Last month, armed gunman suspected to be Boko Haram militants abducted the wife of Cameroon's deputy prime minister.

Intra-country sniping has followed. Nigeria has expressed frustration with Cameroon for not doing enough to fight Boko Haram on its side of the border, a charge Cameroon has  denied.

The unrest has inflicted damage on African economies, including Nigeria's, the largest on the continent. Other African nations combating violent extremism, like Mali, Kenya and Somalia, are also tough sells for U.S. investment.

Many of those nations want more U.S. assistance to counter militants, sentiments likely to be expressed at this week's summit.

"We are concerned about efforts by terrorist groups to gain a foothold in Africa," said Ben Rhodes, Obama's deputy national security adviser.

He pointed to U.S. counterterror efforts that aim to partner with nations in stemming unrest.

"We're looking at how do we get at the broader issue of countering violent extremism in Africa so that these groups, like Boko Haram, like al-Shabaab, like al-Qaeda, are not able to prey on young people with disinformation and intimidation," he said.

3. Countering China: The United States has some catching up to do in Africa when it comes to trade and investment.

China's imports of African oil and natural minerals have skyrocketed over the past two decades. Alongside have come massive Chinese investments in African infrastructure and construction projects, manned by waves of Chinese workers who ended up remaining in Africa. More than a million Chinese citizens now live there.

"Africa is in a very particular moment, economically speaking," said French during an interview with CNNI from Nairobi. "The continent has been growing very fast. Demographically, there's a bulge in terms of it's youth population. And Africa needs partnerships."

Obama wants to make sure the United States is one of those partners, and a more attractive one than China.

"My advice to African leaders is to make sure that if, in fact, China is putting in roads and bridges, number one, that they're hiring African workers; number two, that the roads don't just lead from the mine to the port to Shanghai, but that there's an ability for the African governments to shape how this infrastructure is going to benefit them in the long term," Obama told The Economist last week.

4. Cementing legacy: Obama's two predecessors both secured legacy achievements in Africa -- Bill Clinton through his African Growth and Opportunity Act, and George W. Bush through his program combating HIV/AIDS.

Obama similarly hopes for a way to leave his mark on the continent after he leaves office, though his status as the first president of African descent has already made history.

That fact led some Africans to regard Obama with outsized expectations when he took office in 2009, leading to some disappointment that he hasn't focused more on shoring up U.S.-Africa ties.

During his time in office, Obama has focused on terrorism, uprisings in the Arab world, Russian provocations, and the much-awaited pivot to Asia.

Obama made his first presidential trip to sub-Saharan Africa in 2009 when he visited Ghana. He didn't return again until 2013 with tour of Senegal, Tanzania and South Africa.

He's embarked upon an initiative that aims to bring electricity to more Africans, and a program supporting young leaders working toward Democratic governments.

Both are elements to a legacy designed to shore up conditions for individuals on the continent.

And the summit itself, while not expected to produce any large-scale trade agreements, is meant to signal a shift from purely humanitarian assistance to a two-way partnership.

"We believe it can be a game-changer in the U.S.-Africa relationship," Rhodes said of the summit.

5. Not invited: While the bulk of Africa's leaders will be in Washington, the continent's most reviled leaders won't be attending. They include Zimbabwe's Robert Mugabe and Sudan's Omar al-Bashir.

They weren't invited because of their alleged human rights abuses.

Other controversial leaders -- like Kenya's Uhuru Kenyatta, accused of crimes at the International Criminal Court -- will attend.

Like any major diplomatic gathering, the Africa Leaders Summit has been an exercise in protocol and careful planning.

Instead of meeting with leaders separately, Obama has been scheduled for larger group discussions, to the disappointment of some who wanted to talk to him one-on-one.

"We just wouldn't be able to do bilats with everybody, and so the simplest thing is for the President to devote his time to engaging broadly with all the leaders.  That way we're not singling out individuals at the expense of the other leaders," Rhodes said.

He noted Obama would speak with each leader individually during a dinner at the White House on Tuesday.

That event has taken on state dinner-type proportions, with a large tent constructed on the South Lawn. Organizers have the added stress of accommodating leaders of 50 nations, all with varied religious and cultural sensitivities that must be respected.

For example, servers must know who drinks alcohol and who abstains for religious reasons.

It's a reflection of just how diverse Africa is, and how high the stakes are for Obama as he forges new relationships there.

@highlight

Majority of African leaders convene in Washington for first-ever African leaders summit

@highlight

Ebola outbreak on the continent sure to distract from talks on trade

@highlight

U.S. hopes to be a player on the African continent and blunt China's influence