(CNN) -- Bob McDonald, President Barack Obama's pick to head the troubled Department of Veterans Affairs, has been in the hot seat before.

That's when he led global consumer products giant Procter & Gamble in the throes of the Great Recession, gaining praise and criticism for aggressive management before being replaced by the board.

Now, if confirmed by the Senate, he must leverage his military and corporate credentials to at least begin restructuring a sprawling agency the Obama administration now concludes has serious problems delivering adequate health care mainly due to ineffective leadership.

P&G

McDonald attended West Point and served a stint in the Army before earning an MBA from the University of Utah. He worked his way up the ranks of P&G over three decades before landing the top job.

There, his role was to restructure and streamline the conglomerate with 120,000 employees, 25 brands and $1 billion in revenue.

Its diverse and recognizable brand lineup included Bounty paper towels, Duracell batteries, Pampers diapers and Tide detergent.

His bio says his leadership strategically improved performance and that the company's stock rose 60% during his four-year tenure.

By the time McDonald landed in the top "C-suite" job, his prescription was to shrink the company.

His plan was to save about $10 billion over four years, including significant marketing cuts and a 10% workforce reduction. He was rewarded with a $15.9 million salary during 2013, his last year.

Ultimately, he was ousted with critics arguing the company wasn't moving fast enough to improve efficiency.

Chief among them was hedge fund investor Bill Ackman, who contended McDonald served on the boards of too many other organizations to focus properly on P&G's needs. The company said Ackman's claims were overstated.

Despite the investor controversy, P&G won several awards under McDonald's tenure. It was twice named best company for leaders by Chief Executive Magazine, and ranked first among over 2,000 companies in a leadership study by the management consultants at Hay Group.

Military credentials

McDonald also served five years in the Army, rising to captain following his military academy training. He has maintained close ties to West Point, establishing a conference to teach leadership skills.

But McDonald's relatively light military experience is concerning to some veterans groups. Paul Rieckhoff, President of Iraq and Afghanistan Veterans of America, called Obama's choice "surprising."

"He's been away from the military for quite a while, and will have to move quickly to show he is committed to and understands the post-9/11 generation of veterans," he added.

By contrast, his predecessor, Eric Shinseki, had been an Army general. Shinseki resigned under pressure in May with the VA engulfed in searing controversy over delayed care with deadly results, allegations of coverup, and revelations of severe management shortcomings.

Political savvy

While a businessman, McDonald has been familiar with the ways of Washington. He was appointed by President George W. Bush and reappointed by Obama to be a member of the Advisory Committee for Trade Policy.

He has also engaged in the political process with campaign contributions totaling $30,000 made exclusively to Republicans. Half of that went to Mitt Romney's 2012 presidential campaign and political action committee, according to Federal Election Commission records.

Not long after that news emerged, House Speaker John Boehner praised McDonald, calling him "a good man, a veteran, and a strong leader."

"With those traits, he's the kind of person who is capable of implementing the kind of dramatic systemic change that is badly needed and long overdue at the VA," Boehner said.

McDonald has contributed to Boehner's coffers as well.

McDonald currently serves on the board of the Xerox Corporation as well as U.S. Steel and several advisory groups.

If confirmed, McDonald will take over an agency still under investigation by the VA inspector general and the FBI. The VA provides medical care and other services to more than 8 million veterans.

CNNMoney's Zain Asher and CNN's Erin McPike contributed to this report

@highlight

President Obama is expected to nominate Bob McDonald to head the VA

@highlight

He led Procter & Gamble during the Great Recession

@highlight

He was forced out of his job after four years but received high marks from some

@highlight

He has donated exclusively to Republican candidates