SAN FRANCISCO, California (CNN)  -- Imagine collecting thousands of empty plastic bottles, lashing them together to make a boat and sailing the thing from California to Australia, a journey of 11,000 miles (17,700 km) through treacherous seas.

This 60-foot sailboat, the Plastiki, is being built from more than 12,000 recycled plastic bottles.

You'd have to be crazy, or trying to make a point. David de Rothschild is trying to make a point.

De Rothschild hopes his one-of-a-kind vessel, now being built on a San Francisco pier, will boost recycling of plastic bottles, which he says are a symbol of global waste. Except for the masts, which are metal, everything on the 60-foot catamaran is made from recycled plastic.

"It's all sail power," he said. "The idea is to put no kind of pollution back into the atmosphere, or into our oceans for that matter, so everything on the boat will be composted. Everything will be recycled. Even the vessel is going to end up being recycled when we finish."

De Rothschild's vessel, scheduled to set sail from San Francisco in April, is called the Plastiki. Its name is an homage of sorts to Thor Heyerdahl, the fabled Norwegian explorer who in 1947 sailed 4,300 miles across the Pacific on the Kon-Tiki, a raft made from balsa wood.

De Rothschild is something of an adventurer himself. The scion of a wealthy British banking family, he is one of only several dozen people to traverse both the Arctic and Antarctic ice caps. In 2005 he founded Adventure Ecology, an organization that uses field expeditions to call attention to environmental issues.  Watch how the boat is constructed »

Joining him on the Plastiki will be a permanent crew of three sailors and scientists plus a handful of other crew members who will rotate through the voyage. The Plastiki is expected to stop in Hawaii, Tuvalu and Fiji on its way to Sydney, a trip estimated to take more than 100 days.

The plastic sailboat is taking shape in an old pier building not far from this city's famous Fisherman's Wharf. Here, thousands of two-liter soda bottles are being stripped of their labels, washed, filled with dry-ice powder and then resealed. The dry ice sublimates into carbon dioxide gas and pressurizes the bottle, making it rigid.

The vessel's twin hulls will be filled with 12,000 to 16,000 bottles. Skin-like panels made from recycled PET, a woven plastic fabric, will cover the hulls and a watertight cabin, which sleeps four.

"This actually is the same material that is made out of bottles," said de Rothschild of the PET fabric. "We actually wrap the PET fabric over the PET foam and then basically put it under a vacuum, heat it, press it and create these long PET panels. So that means the boat is, technically, one giant bottle."

Two wind turbines and an array of solar panels will charge a bank of 12-volt batteries, which will power several onboard laptop computers, a GPS and SAT phone.

Only about 10 percent of the Plastiki will be made from new materials, de Rothschild said. He declined to reveal how much it's costing him to build the boat.

"We could potentially put together a boat that costs a fraction of what normal conventional boats are made of," he said. "The idea is to take the Plastiki, break it down [after the voyage], and put it back into the system. So, it may come out being a jacket, a bag, more bottles. It's infinitely recyclable."

The ultimate goal of the Plastiki voyage is not just to encourage people to embrace clean, renewable energy but also to see consumer waste as a potential resource.

That's what this is all about -- showcasing cradle-to-cradle products rather than cradle-to-grave," de Rothschild said.

Whether the Plastiki will successfully complete its unique journey remains to be seen. But to conservationists concerned about the amount of energy required to manufacture and distribute plastic bottles, its symbolic message is a welcome one.

"Anything that gets in the news and makes people stop and think about plastic can be very helpful," said Betty McLaughlin, executive director of the Container Recycling Institute.

"But it strikes me as a long way to go. I flew from Los Angeles to Australia once, and it took forever. This trip strikes me as kind of dangerous."

@highlight

An adventurer is building a sailboat out of thousands of recycled plastic soda bottles

@highlight

He plans to sail it this spring from California to Australia, a journey of 11,000 miles

@highlight

Expedition leader is David de Rothschild, scion of a wealthy British banking family

@highlight

Boat, the Plastiki, will be a symbol of how consumer waste can be repurposed