(CNN) -- U.S. Secretary of State Hillary Clinton will meet Friday with Thein Sein, the president of Myanmar who has overseen a series of political reforms in the Southeast Asian country over the past year, a senior State Department official said.

Clinton is in Cambodia to attend a regional conference after visiting a string of Asian countries in the past few days.

She will meet Thein Sein in Siem Reap, a fast-growing Cambodian tourism hub next to the spectacular temples of Angkor.

The announcement comes after President Barack Obama said Wednesday that the United States was easing sanctions on Myanmar, allowing American companies to do business there -- a move that prompted concern from human rights advocates.

The U.S. government considers the meeting with Clinton a reward for Myanmar's progress in undertaking reforms, the State Department official said.

In the past year, authorities in Myanmar, which is also known as Burma, have released hundreds of political prisoners and allowed the party of pro-democracy leader Aung San Suu Kyi to participate in by-elections. They have also engaged in peace talks with ethnic rebel groups.

For decades, Myanmar was ruled by a repressive military junta. But in recent years, the generals have relaxed their grip on power, permitting Thein Sein's government to enact changes. Western government have responded to the reforms by easing sanctions.

Obama praised Thein Sein, Suu Kyi and the nation for "significant progress along the path to democracy."

The loosening of sanctions, he said, "is a strong signal of our support for reform, and will provide immediate incentives for reformers and significant benefits to the people of Burma."

However, Obama noted that the United States "remains deeply concerned about the lack of transparency in Burma's investment environment and the military's role in the economy."

As a result, the licenses that will allow U.S. businesses to invest in Myanmar will not cover entities owned by the Myanmar armed forces and Ministry of Defense.

The U.S. Treasury will also have the authority to impose sanctions on "those who undermine the reform process, engage in human rights abuses, contribute to ethnic conflict, or participate in military trade with North Korea," Obama said.

But despite those safeguards, the Obama administration is allowing U.S. companies to do business with Myanmar's strategic oil and gas industry, which has been a key source of income for the regime, said Phil Robertson, the deputy director of Human Rights Watch in Asia.

"We're disappointed that the U.S. government has included the oil and gas sector in Burma in the easing of the sanctions," said Robertson, who is based in Bangkok, Thailand.

He drew particular attention to Myanmar Oil & Gas Enterprise, a state-owned company singled out by Suu Kyi as lacking in transparency.

Suu Kyi's party, the National League for Democracy, said Thursday that it hoped U.S. companies would invest responsibly in Myanmar in light of these concerns.

"There is no true transparency in the country," said Nyan Win, a spokesman for the NLD. "How can we be sure that investment will be beneficial to our people?"

The signs of both reform and resistance to it were evident in Myanmar this week.

Suu Kyi, the Nobel laureate who endured years of house arrest under the junta, was sitting in parliament for her first legislative session since she was sworn in two months ago.

At the same time, military leaders nominated Myint Swe, a former general who is considered fiercely loyal to the former dictator Than Shwe, to be the country's next vice president.

His likely promotion from chief minister of the region of Yangon to the second highest post in the country has disappointed observers who hoped for a more reform-friendly candidate.

These conflicting signals will provide the backdrop to Clinton's meeting with Thein Sein on Friday.

Robertson said he hoped the secretary of state will raise the "long list" of outstanding human rights issues in Myanmar during the meeting, including the hundreds of political prisoners who remain behind bars and ongoing conflicts concerning ethnic minorities.

"The government says they will resolve these issues but they haven't done it," he said.

CNN's Kocha Olarn and Hilary Whiteman contributed to this report.

@highlight

NEW: Opposition party says there is "no true transparency" in Myanmar

@highlight

Hillary Clinton will meet Thein Sein in the Cambodian tourism hub of Siem Reap

@highlight

The announcement comes after the U.S. eases sanctions on Myanmar

@highlight

The meeting is a reward for the country's recent political reforms