(CNN)  -- Just what is it that separates a champion athlete from the also-rans? Natural talent, hard work and determination are all essential, but athletes and coaches are becoming increasingly aware of the crucial role diet plays in sporting success.

Olympic athletes are fueled by high-carb diets.

Dr Samantha Stear is national lead for performance nutrition at the English Institute of Sport (EIS) and helped make the Beijing Olympics Britain's most successful games for a century.

"A good diet isn't going to turn a mediocre athlete into a champion, but a champion eating a bad diet may just miss out," she told CNN.

Training is the key to improving athletic performance, and the right diet is the key to sustaining a punishing training regime.

Your body uses glycogen stored in the muscles to provide the energy needed for exercise, and the body makes that glycogen by breaking down the carbohydrates you eat. So carbohydrates are the vital fuel needed for training, and the more training an athlete does, the more fuel they need.

Sprinters will often train for just an hour a day, whereas an endurance athlete will train for three hours or more. To sustain that level of training, sprinters need to eat around 5g of carbs per kg of body weight every day, whereas endurance athletes need at least 7g per kg.

For Jamaican sprint sensation Usain Bolt, that means consuming some 450g of carbs a day, whereas, while Ethiopian distance demon Haile Gebrselassie would need at least 380g. Despite doing less training, Bolt would have to eat more carbs simply because he weighs more.

So what's the fuel of choice for these elite athletes? "In general, endurance athletes are better about getting a variety of carbs, just because they have to eat so many they get bored. They're good at mixing up pasta, rice and potatoes," says Stear.

Because "strength-and-speed" athletes do less training than endurance athletes, they have to watch their weight. Stear says sprinters often favor low glycemic-index carbs to help them keep their weight in check.

What is the glycemic index?

Carb consumption becomes crucial when athletes are training more than once a day. Stear says it's essential that athletes refuel between training sessions, otherwise they risk fatigue, which can weaken their immune system and make injury more likely.

She also stresses the importance of refueling immediately after training, when the body restocks glycogen at a higher rate. When it comes to this kind of rapid refueling, athletes load up on high glycemic-index carbs, which the body can better convert to glycogen -- and then to energy.

But man cannot live by bread alone. Protein is needed for building and repairing muscle and is essential in the diet of athletes and non-athletes alike. Surprisingly, the protein recommendations for elite athletes are much the same as for regular folks.

A confirmed couch potato needs about 0.75g of protein per kg of body weight per day, while someone doing regular activity -- about an hour of a day -- needs some 1.2g/kg. Endurance athletes need about 1.3g/kg and strength and speed athletes, with their extra muscle volume, need about 1.5g/kg.

Even once the competition has begun, nutrition has a role in keeping the body working at its best. In endurance events, from distance running to tennis, the main danger for an athlete is dehydration.

"In a marathon the runners need to refuel and rehydrate and one of the best ways of doing that is with a sports drink. They provide carbs for fuel and there's salt in there to help with electrolyte loss and help with the absorption of the water," says Stear.

As well as eating the right food, athletes use a host of ergogenic aids to maximize performance. For example, some athletes use buffers such as sodium bicarbonate and sodium citrate to neutralize the lactic acid that builds up in the blood during exercise, fending off fatigue, while others choose to have a caffeine boost on race day.

Stear says the EIS uses over 100 ergogenic aids to aid performance, as well giving athletes assorted anti-oxidants, fish oils and amino acids to boost their immune system.

Diet is a serious business at the EIS, which employs 18 nutritionists. Although performance nutrition was only brought in to the set up in 2005, it has clearly had an impact on British sport. At the 2004 Olympic Games Britain won nine golds -- at the 2008 games team GB won 19.

While nutrition alone cannot take the credit for that remarkable improvement, when London hosts the Olympic Games in 2012, the competitors will be all too aware the right diet could be the difference between gold and silver

@highlight

The right diet can be the difference between a gold and silver medal

@highlight

Carbohydrate intake is the key to sustaining a punishing training regime

@highlight

A sprinter like Usain Bolt needs to eat 450g of carbohydrates each day

@highlight

Rehydration with sports drinks is essential during endurance events