New York Mayor Bill de Blasio Thursday announced a settlement in the long legal battle over the police department's controversial stop-and-frisk policies, which a federal judge ruled violated the rights of minority residents.

In addition to dropping its appeal of the ruling, the city will implement reforms aimed at improving strained relations between police and the community.

De Blasio, who targeted the policing practice during his mayoral campaign to succeed Michael Bloomberg, called the settlement ending the Floyd vs. City of New York case "historic" and said it closes the years-long legal fight that found the overuse of stop-and-frisk unconstitutional.

De Blasio said 90% of the people who were stopped and frisked were innocent of any crimes.

"We're here today to turn the page on one of the most divisive problems in our city," he told reporters. "We believe in ending the overuse of stop-and-frisk that has unfairly targeted young African-American and Latino men. ... We believe in one city where everyone rises together, respecting every New Yorker's rights regardless of what neighborhood they live in or the color of their skin."

In August 2013, a federal judge ruled that stop-and-frisk violated the Constitution and ordered the city to develop remedies.

The ruling stemmed from a class-action lawsuit representing potentially hundreds of thousands of people that never asked for monetary damages. They instead sued to have the policy changed.

"We have been in negotiations with the city since the new administration came into office... so it wasn't a surprise," Darius Charney, senior staff attorney at the Center for Constitutional Rights, told CNN. "But we still obviously consider today to be a very important step along a long struggle that goes back a decade."

Charney and others will now enter a new phase of talks with city officials in a collaborative attempt to reform the policy that dictates how and when police officers can stop and question someone on the street.

"We are definitely cautiously optimistic that this can be a collaborative effort and we will work with them, but we also will remain vigilant throughout the process to hold them accountable to their promises," he said.

The much-criticized method, in which police stopped and searched those they considered suspicious, had been used to deter crime, the police department said. But it has also resulted in a slew of lawsuits by residents complaining of unlawful stops.

"We will not break the law to enforce the law," said the new police commissioner, Bill Bratton. "That's my solemn promise to every New Yorker, regardless of where they were born, where they live or what they look like."

Bratton stopped short of calling the previous administration's stop-and-frisk activity a quota system, but said it was "quite clear officers were strongly encouraged, were expected to produce activity."

"The officers themselves were asking why more," he said. "They were being pushed to do more. I think that's clearly understood."

Last year, then-Police Commissioner Ray Kelly said the department did not engage in racial profiling.

Under the agreement with plaintiffs who sued the city over the practice, a court-appointed monitor will oversee the New York Police Department's reforms of the policy for three years.

The monitor will report to a federal court on the city's progress. The city will also take part in a process with community members "to ensure people affected by stop-and-frisk play an active role in shaping reform," de Blasio said in a statement.

Police department figures showed that nearly nine out of 10 people "stopped and frisked" in 2011 were African-American or Hispanic.

The data showed that of the 685,724 stops made by police that year, 53% of those questioned were black, 34% were Latino, 9% were white and 3% were Asian. The citywide population in 2011 was 23.4% black, 29.4% Hispanic, 12.9% Asian and 34.3% non-Hispanic white, according to the report.

One of the subjects of the stops appeared with de Blasio at Thursday's press conference.

The first time Nicholas Peart, who is black,  was stopped and frisked by police officers he was celebrating his 18th birthday. It happened three more times in the years since, despite having never committed a crime, he said. It prompted him to become a plaintiff the lawsuit.

"We have made some significant steps," said Peart, now 25. "This is a small part of a larger battle that we have."

@highlight

90% of those who were stopped and frisked were innocent, mayor says

@highlight

He says city should end policy that ''unfairly targeted young" African-Americans, Latinos

@highlight

The stop-and-frisk policy has resulted in lawsuits by residents complaining of unlawful stops

@highlight

New York City will implement reforms to improve relations between police, community