(CNN) -- In a spacious, sunlit apartment on the outskirts of Potsdam, Germany, eight roommates between the ages of 80 and 100 share a kitchen, a living room -- and 24-hour nursing care.

Though all tenants suffer from dementia, these seniors aren't whiling away in a nursing home. In the open living area, complete with a flat-screen TV and photos of grandchildren on the wall, an elderly tenant draws, another arranges a flower bouquet, and a third runs a vacuum cleaner repeatedly over the same spot.

"It will never get clean," says Birgitta Neumann, 56, the founder and coordinator of the shared living arrangement, stepping over the vacuum cleaner cord snaking across the hallway. "But it doesn't matter."

As part of a growing trend in Germany, what really matters is that elderly citizens stay out of institutionalized care.

While graying populations affect Europe as a whole, Germany has one of the highest percentages of residents aged 65 or older in the world. A projected 4.5 million citizens—most of them seniors—will require costly long-term care by 2050, according to Federal Statistical Office data.

In a recent public health insurance survey, however, about 82% of Germans say they do not want to grow old in a nursing home. In response, as of January 2013, a new law provides seniors with a maximum grant of €10,000 ($13,300) to establish a community apartment as well as a monthly subsidy of €200 ($266) per tenant.

"Since 2005, the number of people requiring long-term care has been rising, but the percentage of those living in nursing homes is decreasing," says Heinz Rothgang, a professor at the University of Bremen's Centre for Social Policy Research. "Nursing homes are total institutions where patients lose their rights, but in alternative settings you can live in a familiar environment and your life is more meaningful."

While the first shared apartment for seniors appeared as a novelty in the mid-1990s, a recent boom means that almost 2,000 senior residents live in shared housing arrangements in Berlin alone, according to a Journal of Clinical Nursing study. And as the generation that witnessed the social revolutions of the 1960s grows older, the trend is gaining momentum.

"The image of aging is changing," says Henning Scherf, a sprightly septuagenarian and former mayor of the northern German city of Bremen. "In the past it had to do with frailty and black clothes. Now there is everything, from traditional people to those who want to do things differently."

For more than two decades, Scherf, 74, and his wife have been sharing a large townhouse in the center of Bremen with seven other roommates between the ages of 17 and 79. While some of the tenants have changed over the years, the household now includes a couple of teachers, a retired priest, an engineer, a doctor and a student.

"The beauty of our home is that it's so colorful and different," says Scherf, author of "Gray is Colorful," an autobiographical account of aging. "We are a family through choice."

When it comes to choosing alternative housing arrangements in Germany, shared apartments aren't the only option. Across the country, multi-generational homes combine assisted living apartments for seniors with nursery schools and allow elderly tenants to remain in the neighborhoods they grew up in.

"We haven't built a nursing home in 10 years and we don't plan on building any," says Alexander Künzel, chief executive of the Bremer Heimstiftung, a foundation providing long-term care services. Instead, the foundation offers multigenerational residential buildings such as the Haus im Viertel, or House in the Neighborhood, where seniors can rent one of 85 apartments with round-the-clock assistance and a nursery school next door.

"There is an African saying that goes 'You need a whole village to raise a child,'" Künzel says as children from the nursery school at the Haus im Viertel pour into the yard for recess. "But I say that you need a whole neighborhood for an elderly person to live."

For Edith Teeg, 88, who moved into one of the apartments at the multigenerational home over a year ago, maintaining her freedom is crucial. She has since joined a theater group, takes a language class, and goes to the gym.

"I am completely independent," Teeg says. "Here I am my own master."

Back at the shared apartment in Potsdam, the rigors of life in a nursing home are also nowhere to be seen. The elderly tenants are free to go to bed and get up when they choose. Relatives and grandchildren often spend the night in the apartment's guest room. Most of all, the residents keep busy and feel useful helping out with household chores or working on art projects.

As lunchtime approaches, the day-time nurse prepares a dish of sweet-and-sour eggs, a reminder of childhood cuisine many of her patients are familiar with. The tenants shuffle over to the dining room table.

"It's all very normal here," says Neumann, who oversees the daily running of the apartment. "Just like at home."

@highlight

Eight German citizens aged between 80 and 100 share an apartment together

@highlight

A growing trend in Germany is for elderly citizens to avoid institutionalized care

@highlight

Germany has one of highest percentages of residents aged over 65

@highlight

New law provides seniors with up to $13,300 to establish community apartment