(CNN) -- Russian steel, Ukrainian maize, tea from India, palm oil from Malaysia -- myriad products are shipped through the Gulf emirates. Iran wants and needs them all. But in the last few months, the growing web of U.S. and European sanctions has begun to paralyze its ability to import and export key products.

Multiple banking, shipping and trade sources tell CNN that Iran is struggling to import staples and export crude oil as its access to the global financial system is curbed. As a result, inflation is rising and shortages of basic products are growing.

Take Iran's huge appetite for steel. Normally, it imports about 300,000 tons of steel products a month from Russia alone, mainly for infrastructure and construction. "Now it's zero. It really is that bad," said Katya Ourakova, who follows the Russian steel industry for Platts Steel Business Briefing.

Ourakova says that Russia, the main exporter of steel to Iran, has been exploring ways to get round the financing problems. In December, she said, "Russian and Iranian trade envoys were discussing a ruble scheme, but so far nothing has been finalized."

Most trade with Iran relies on letters of credit, and those are now routinely denied by banks anxious not to incur the wrath of the U.S. Treasury. A commercial source in Iran says one South Korean metals company canceled letters of credit following the latest sanctions by Europe and the United States. It is now considering barter: steel for chemicals.

Imports of Ukrainian maize are also caught in the financing squeeze. Trade sources say thousands of tons are stuck in limbo between Ukrainian and Iranian ports, unloaded for lack of payment because Iranian importers cannot obtain letters of credit. Iran usually needs to import about 3.5 million tons of maize a year, according to figures from the International Grains Council, but commodity traders report a sharp drop in shipments.

There is no shortage of money in Iran. Export revenues have been buoyed by high oil prices, according to the International Monetary Fund. And by Gulf standards, Iran has a diverse economy. The problem is financing, and the fear of being tainted by association with Iran's central bank or other financial entities.

The scope of United States sanctions is sweeping. Those signed into law at the end of 2011 "require the President to block the property and interests in property subject to U.S. jurisdiction of all Iranian financial institutions, including the Central Bank of Iran ('CBI'). It also aims to reduce Iranian oil revenues and discourage transactions with the CBI by providing for sanctions on foreign financial institutions that knowingly conduct or facilitate certain significant financial transactions with the CBI."

Few want to touch Iranian crude

A source familiar with the U.S. sanctions strategy says banks have been made aware of the potential price of doing business with Iran -- even indirectly. In addition to the sanctions, the U.S. Treasury Department has named Iran as a center of money laundering.

It's not just banks. International shipping companies are now much more reluctant to call at Iranian ports or unload Iranian oil. A European Union ban on imports of oil from Iran comes into effect in July, but the signing of new contracts was banned on January 23. In the U.S., legislation in Congress would ban from U.S. ports any ship that has called at an Iranian port in the preceding 180 days.

One of the world's major operators, Moller-Maersk, has already suspended tanker deals with Iran. Intertanko, an organization representing many of the world's independent tanker owners, told CNN: "We are advising our members to comply with all sanctions at all times."

The consortium Tankers International, which has 45 of the largest crude carriers in its pool, decided that in view of the EU measures and "other factors, including the inability of owners to maintain insurance cover while trading in Iran, Tankers International will no longer have any vessels ... trade to Iran."

"Teekay Tankers strictly complies with all sanctions and is not calling at Iran," said Bruce Chan, CEO of Teekay, another major shipper.

Picking up Iranian crude "is like getting leprosy," one shipping executive said.

This month, at least two cargoes of Iranian crude were sitting at the Sidi Kerir terminal in Egypt, but no one wanted to handle them for fear of falling foul of European sanctions, according to the leading industry publication Platts.

The International Energy Agency confirmed to CNN that in its latest Oil Market Report to clients, it has warned that "confusion over the likely implementation of U.S. and European financial sanctions is causing marine insurers and ship-owners to be doubly cautious over the provision of [insurance] cover and the routes sailed."

Confusion over sanctions

Platts reports that Asian buyers of Iranian crude are struggling to find vessels willing to call at Iranian ports because of the lack of insurance cover, but it quotes industry sources as saying that Indian and Chinese owners "have no issues" with loading Iranian crude.

Perhaps most damaging to the Iranian economy is the sharp decline in trade across the Gulf from Oman and Dubai.

Banks in the Gulf emirates have begun to halt the financing of exports to Iran. About 8,000 Iranian-owned trading firms have a presence in Dubai, and the United Arab Emirates as a whole re-exported about $9 billion in goods to Iran in the first nine months of last year, according to figures from UAE authorities. But without letters of credit, that volume has fallen sharply in recent months. Imports of everything from machinery to rice are affected, even though sanctions don't apply directly to such products.

Morteza Masoumzadeh, director of the Iranian Business Council based in Dubai, told CNN last month that traders were going out of business, starved of finance. They've also been hurt by the rapid depreciation of the Iranian rial, now valued at "17,000 rials when their calculations were based on 10,000 rials to the dollar," Masoumzadeh says.

Pending U.S. legislation may further turn the screw. A bill that passed the U.S. Senate Banking Committee this month would ban any foreign bank from handling transactions by Iranian oil companies and would seek to block Iranian access to the system that enables international banking transactions.

SWIFT action

That system is called SWIFT, or the Society for Worldwide Interbank Financial Telecommunication. Based in Belgium, it enables nearly 10,000 banks and financial institutions worldwide to do business. The bill would direct the U.S. Treasury to put pressure on the banks that own SWIFT to exclude Iranian entities.

The Senate bill has to be reconciled with a similar measure that has passed the House of Representatives.

The Iranian economy can withstand sanctions, economic analysts say. Iran had foreign exchange reserves of about $80 billion in 2009, according to the IMF, and does not carry huge debt. In addition, countries like China and India see an opportunity in continuing to trade with Iran. India plans to send a large trade delegation to Tehran later this month, insisting that it need only abide by U.N.-approved sanctions against Iran.

In recent years, Iranian banks have successfully moved away from the dollar to finance trade and turned instead to the euro. Now, as sanctions multiply, that source is also drying up.

Iranian businesses will need time to develop alternative trading mechanisms, such as barter agreements or settling contracts in currencies such as the South Korean won or Indian rupee. And the effect of sanctions could be enough to push the economy from modest growth (currently 2.5% according to the IMF) into recession, economic forecasters say.

One example is the shortage of steel, which is forcing domestic prices higher in Iran and threatening the country's ambitious plans to build its own steel industry.

"Iran wants to produce 45 million tons of crude steel by 2015 -- by building eight or nine plants. But they can't finish construction of these plants, which themselves demand a lot of steel to build," said Ourakova, the Russian steel industry specialist.

Emily Smith, Leone Lakhani and Anna Lisa Stone contributed to this report.

@highlight

Iran is struggling to import staples and export crude oil, other key products

@highlight

U.S. and European sanctions have led to inflation, price spike for items, shortages

@highlight

International shipping companies are more reluctant to call at Iranian ports, unload Iranian oil

@highlight

Iranian Business Council director: Traders starved of finance, hurt by rial's rapid fall