(CNN) -- Most of us have done it.

At Google's Gmail Labs work area, employees' e-mail ideas are made into reality.

Instead of hitting "reply" to an e-mail, we accidentally push "reply all,"  sending a potentially embarrassing or insulting message to those we didn't intend to see it.

To address this problem, Google Inc.'s Gmail Labs has launched an experimental feature called "Undo Send" that gives users a chance to rewrite their message, correct settings or simply fix typos.

When a Gmail user who enables this feature sends an e-mail, a button that says "Undo" will pop up on their screen for five seconds. If the user hits the button within that time, the service will retrieve the e-mail in draft form -- allowing the user to make changes or cancel the message altogether.

"Sometimes ... I send a message and then immediately notice a mistake," said Michael Leggett, a Gmail Labs designer and the creator of the "Undo Send" feature, in the Gmail blog. "I forget to attach a file, or e-mail the birthday girl that I can't make her surprise party. I can rush to close my browser or unplug the Internet -- but Gmail almost always wins that race."

Leggett added that he's had "Undo Send" turned on for a while "and it's saved me several times."

This may be good news to Gmail's tens of millions of users as people in the digital era look to connect with others over the Web in a more efficient manner. "Undo Send" is also just the latest example of the dozens of creative -- and sometimes downright wacky -- online features developed at Gmail Labs to address common e-mail problems.

Launched in June, Gmail Labs is an optional program. It offers an assortment of tools, ranging from a service that stores e-mails onto a user's desktop so the user can access mail offline to a feature that prevents users from firing away drunken e-mails during late-night hours.

Gmail users can enable the Gmail Labs settings by going to their settings tab. Then they can customize their account by turning on features of their choosing.

Since the Gmail Labs program began, the features have grown in popularity among users, Google officials said. The number of lab features has more than tripled, to more than 36, as Gmail celebrates its fifth birthday next week.

Google's Gmail Labs also typifies the Mountain View, California-based company's reputation for innovation and brainstorming. At Google, Gmail engineers can allocate 20 percent of their workweek to their own projects, which can include creating Gmail Labs features.

Google hopes the labs create an environment that will find out what Gmail users like and dislike. "There is no screening process," said Todd Jackson, a Google product manager. "It's up to whatever people want to build internally."

Jon Perlow, a Gmail engineer, introduced the practical idea of "Mail Goggles" to help users, including himself, stop sending "mail you later regret." Perlow created the function last fall when he found himself sending messages to an ex-girlfriend -- late at night -- asking to get back together.

With Perlow's Mail Goggles, users can specify which hours they would like to enable the feature. If a user tries to send an e-mail during the self-selected time -- say, midnight to 3 a.m. -- a screen pops up forcing the user to solve a series of simple math problems before the message can be sent. Theoretically, this gives time for the intoxicated or emotional e-mailer to reconsider.

Gmail Labs also recently developed a feature that helps users who forget to add photo or document attachments to their e-mails. Users can turn on a "forgotten attachment detector"; if the program finds the word "attachment" in the e-mail text, a box pops up reminding the user to add an attachment.

Gmail engineer Michael Davidson was celebrating St. Patrick's Day last year at a bar when he came up with a feature to help e-mail addicts. Davidson realized he was wasting valuable work time checking e-mails.

"Someone joked that it would be a great feature of Gmail to keep you from checking e-mail," Davidson said.

So he created a program that locks people out of their Gmail accounts for a set period of time. After spending two afternoons coding it, Davidson launched the "E-mail Addict" feature, which forces users to take a break from e-mailing by blocking Gmail for 15 minutes.

Company officials say the best lab ideas will eventually become standard features in Gmail. For example, the idea of Google Maps started as a lab concept.

"The best thing you can do is to put your product and team in a position where you can move fast and get feedback from users to find out what sticks in the marketplace," Jackson said.

Gmail is the third most popular e-mail site, following Yahoo! Mail and Windows Live Hotmail, according to Experian's Hitwise.com, a site that tracks Web traffic. Google declined to comment on Gmail user growth.

Other e-mail services also are trying to enhance the electronic messaging experience. Windows Live Hotmail added a "What's New" feed in February that allows users to see what their friends and family are up to as well as pictures or posts they may have added.

In 2006, Google added a chat feature. Last fall the company added a video function allowing users to see each other when they e-mail. Google officials hope to continue adding features regularly.

That'll be good news to Doug Baruchin of Plainview, New York, who uses Gmail at least 16 hours a day between work and personal communication to family and friends.

Baruchin runs the Web company MyWorkster.com, a professional development portal for colleges and universities, where his 15 employees are required to use Gmail. The video and chat functions also help workers stay connected when they are traveling, he said.

Baruchin especially likes "Superstars," a Gmail Labs tool that lets him prioritize e-mails with star icons and colored labels. Because his company receives thousands of e-mails a day, he said he and his coworkers would not be able to effectively manage their company without Gmail.

"With the way the economy is going, our company is growing very quickly," Baruchin said. "So the more organization we have, the better it is for us."

@highlight

Google's new Gmail feature, "Undo Send," lets users rescind messages

@highlight

"Mail Goggles" can prevent users from sending drunk e-mails they may later regret

@highlight

The best Gmail Labs features become permanent if enough users like them

@highlight

Gmail is the third most popular e-mail service, with tens of millions of users