(CNN)"A picture of horror."

That's how German Foreign Minister Frank-Walter Steinmeier described the site where a Germanwings Airbus A320 plane crashed in the French Alps on Tuesday.

"The grief of the families and loved ones is immeasurable," Steinmeier said, after flying over the area in the Alps in southeastern France. "We must stand with them. We are all united in great grief."

Departure: Barcelona, Spain, at 10:01 a.m. (26 minutes late)

Destination: Scheduled to land in Dusseldorf, Germany, at 11:39 a.m.

Passengers: 150 (144 passengers, six crew members)

Airplane: Airbus A320 (twin-jet)

Airline: Germanwings (budget airline owned by Lufthansa)

Flight distance: 726 miles

Last known tracking data: 10:38 a.m.

Last known speed: 480 mph

Last known altitude: 11,400 feet

Last known location: Near Digne-les-Bains, France, in the Alps

Sources: CNN and flightaware.com

Flight 9525 took off just after 10 a.m. Tuesday from Barcelona, Spain, for Dusseldorf, Germany, with 144 passengers -- among them two babies -- and six crew members. It went down at 10:53 a.m. (5:53 a.m. ET) in a remote area near Digne-les-Bains in the Alpes de Haute Provence region.

All aboard are presumed dead.

Helicopter crews found the airliner in pieces, none of them bigger than a small car, and human remains strewn for several hundred meters, according to Gilbert Sauvan, a high-level official in the Alpes de Haute Provence region who is being briefed on the operation.

Authorities were not able to retrieve any bodies Tuesday, with the frozen ground complicating the effort. Wednesday may not be much easier, with snow in the forecast.

Spanish and German officials moved to join hundreds of French firefighters and police in the area, working together to help in the recovery effort and try to figure out exactly what happened. As of Tuesday evening, there were few clues.

One of the aircraft's data recorders, the so-called black boxes, has been found, according to French Interior Minister Bernard Cazeneuve, but it was too early to tell what it would say about the crash.

"We don't know much about the flight and the crash yet," German Chancellor Angela Merkel said. "And we don't know the cause."

Relatives of those believed to be on the flight, fearing the worst, gathered at the Barcelona airport, where a crisis center was set up. French authorities set up a chapel near the crash site.

Lufthansa Group said the company will look after the relatives of those on board. "There will be a contact center established in France; relatives who would like to take advantage of this will be transferred to the contact center at no cost -- and their accommodation paid for -- just as soon as the center has been established," Lufthansa said.

Those aboard included a "high number of Spaniards, Germans and Turks," according to Spain's King Felipe VI. Germanwings CEO Thomas Winkelmann said it's believed 67 people, or nearly half those on the plane, are German citizens.

Germanwings crash: Who was on the plane?

Sixteen students and two teachers from one German high school, called Joseph Koenig Gymnasium, were among those booked on Flight 9525, according to Florian Adamik, a municipal official in Haltern, the town where the school is located. A crisis center has been established at the city hall in Haltern, which is about 77 kilometers (48 miles) north of Dusseldorf's airport.

Winkelmann confirmed the 16 students and two teachers were on the plane.

Haltern's mayor, Bodo Klimpel, said they had been heading home after taking part in a foreign exchange program.

"The whole city is shocked, and we can feel it everywhere," Klimpel said.

A Dutch citizen and a Belgian -- the latter a resident of Barcelona -- were among those on the flight, according to those countries' foreign ministries. Two Australians and two Colombians were also believed to be on board.

Germanwings started in 2002 and was taken over by Lufthansa seven years later as its low-cost airline, handling an increasing number of midrange flights around Europe.

It was forced to cancel some flights Tuesday because there were crews that didn't want to fly upon hearing news of the crash.

The valley where the plane went down is long and snow-covered, and access is difficult, said the mayor of the nearby town of Barcelonnette, Pierre Martin-Charpenel. It was well populated in the 19th century but there are almost no people living there now, he said.

It's an out-of-the-way place with magnificent scenery, he said.

The sports hall of a local school has been freed up to take in bodies of the victims of the plane crash, said Sandrine Julien from the town hall of Seyne-les-Alpes village. Seyne-les-Alpes is about 10 kilometers from the crash site.

Mountain guide Yvan Theaudin told BFMTV the crash was in the area of the Massif des Trois Eveches, where there are peaks of nearly 3,000 meters (1.9 miles). It's very snowy in the area and the weather is worsening, he said, which could complicate search and rescue efforts.

Responders may have to use skis to reach the crash site on the ground, he said.

Sandrine Boisse, president of the tourism office at the Pra Loup ski resort, said she heard the plane crash and called the police and the local government office to find out what had happened.

"It was about 11 (a.m.) here. I was outside the garage, and we heard a strange noise, and at first we thought it was an avalanche," she said. "Something was wrong. ... We didn't know what."

A mountain guide who heard a plane fly at alarmingly low altitude shortly before the crash, Michel Suhubiette, said helicopters may be the only way to get to the crash site.

According to the U.S. Federal Aviation Administration, just under 16% of aviation accidents occur during the cruise portion of a flight -- meaning after the climb and before descent. Accidents are more common during takeoff and landing.

The twin-engine Airbus A320s, which entered service in 1988, is generally considered among the most reliable aircraft, aviation analyst David Soucie said.

The captain of the crashed plane had flown for Germanwings for more than 10 years, and had more than 6,000 flight hours on this model of Airbus. The plane itself dates to 1991 and was last checked in Dusseldorf on Monday, according to Winkelmann.

So what happened? CNN aviation analyst Mary Schiavo said the plane's speed is one clue.

According to Germanwings, the plane reached its cruising altitude of 38,000 feet, and then dropped for eight minutes. The plane lost contact with French radar at a height of approximately 6,000 feet. Then it crashed.

This could indicate that there was not a stall, but that the pilot was still controlling the plane to some extent, Schiavo said.

Had there been an engine stall, the plane would have crashed in a matter of minutes, she said.

That small piece of information about the descent means that the pilot could have been trying to make an emergency landing, or that the plane was gliding with the pilot's guidance, Schiavo said.

A scenario where the plane was gliding is potentially more dangerous because wide fields for landing would be hard to come by in the mountains, she said.

The crash spurred officials in several countries to offer their condolences and pledge solidarity and cooperation to help those affected and determine what happened.

"Our thoughts and our prayers are with our friends in Europe, especially the people of Germany and Spain, following the terrible airplane crash in France," U.S. President Barack Obama told reporters. "It's particularly heartbreaking because it apparently includes the loss of so many children, some of them infants."

Germany's Merkel said she was sending two ministers to France on Tuesday and would travel to the crash site on Wednesday to see it for herself.

"We have to think of the victims and their families and their friends," she said.

German Foreign Minister Frank-Walter Steinmeier said the German government had set up a crisis center in response to the "terrible news" and was in close contact with the French authorities.

"In these difficult hours, our thoughts are with those who have to fear that their close ones are among the passengers and crew," he said.

CNN's Mariano Castillo, Hala Gorani, Laura Akhoun, Stephanie Halasz, Lindsay Isaac, Josh Levs, Richard Greene, Karl Penhaul and Sara Delgrossi contributed to this report.

@highlight

The plane reached 38,000 feet, and then dropped for eight minutes, Germanwings says

@highlight

Victims from Germany, France, Spain, Turkey, Belgium, Holland, Colombia, Australia

@highlight

One data recorder found from Germanwings plane that crashed in Alps