(AOL Autos) -- Letting someone else deal with the day to day expenses of maintaining an automobile (and just paying for what you use) seems to be a novel idea. Joining a "car share," such as the popular Zipcar car sharing service, is gaining in popularity as consumers look to other ways to save money.

Car-sharing services let you avoid paying for gas and insurance, but there are fees and rules.

By using a car share, you're not only shedding monthly car payments, taxes, insurance and upkeep, but you can let someone else worry about whether the old rattle trap will make it another year. You simply pay a fee and drive the car when you need it.

By maximizing the utilization of a single automobile among many users, car sharing services claim they are helping to reduce pollution, too. Every single Zipcar removes about 15 personal cars from the road, the company says. Unclogging traffic and dialing back the amount of single-occupant vehicles burning fuel has a greening effect.

Reducing expenses and saving the polar ice caps aren't the only reasons; there's as much justification for joining a car share as you can dream up, from impressing the client at a business meeting with a fancy car to going over the river and through the woods for family gatherings, all without actually owning a car (or paying for its gas or insurance).

But is a car share for you?

The concept seems best suited to metro areas, where car insurance rates and parking costs can be high. On the other hand, if you work out of your car, use it on a daily basis or live in a more rural or expansive suburban region, you might be better off keeping your current car. AOL Autos: Top 11 distracting things people do in their cars

"The ideal candidates for car sharing are consumers and businesses in cities where owning a car is costly, where there is good public transit, and where most amenities are within walking distance," Zipcar President and COO Mark Norman said.

"In other words, where you don't really need to own a car. In addition, students are ideal car sharing members, given the high cost of ownership as well as the increasing limits on parking on campus." AOL Autos: Cheapest cars to own

Automobiles can be a huge hassle and expense if you only drive occasionally, so we've set out to look at what car sharing involves. AOL Autos: Pay as you drive insurance

How does it work?

The biggest North American car share, Zipcar, aims to be convenient, easy, and technologically savvy. Far more streamlined than an old-school rental car, Zipcar makes getting the use of an automobile about as easy as making a withdrawal from an ATM. The concept of car sharing had its genesis in Europe and has spread to the North American market as interest in frugality and environmental consciousness has increased. AOL Autos: Twenty cars of the future

The first step to using Zipcar is signing up. As a member, you'll get a "Zipcard," which allows you to reserve a vehicle near you via the company's Web site or from a new iPhone application.

Once you've reserved a car (or truck -- the beauty of car sharing services is that you can get a big car when you need it, not when you don't), a pretty neat technology unlocks the doors when you walk near your vehicle (we won't bore you with the details, but if you're wondering, it's called radio frequency identification). When it senses the card on you, the doors unlock, at which point, you're on your way. Cars are located all over metro areas (Zipcar gives you a map to the location of the car you've booked).

While application approval is usually quick, it takes a few days to get the Zipcard mailed to you. If your city has a Zipcard office, you can pick up your card there.

Where can you find car sharing?

Car shares are springing up across the U.S., but you're likely to find them in major cities with a traffic problem. Zipcar is the largest service of its kind in the United States, maintaining a fleet of 6,500 automobiles that service 300,000-plus users. Twenty-eight states have at least one Zipcar outpost, and Zipcar has expanded its user base by 100 percent per year since 2004, so new service areas will spring up where demand supports it. Zipcar also operates in Canada, as well as London in the UK. The service is strongest on the coasts, with the Northeast being particularly thick with coverage, but even Des Moines, Iowa has Zipcars available.

Zipcar claims that as consumers are moving toward more "access" models (such as buying music by the song for your MP3 player), cars could also move in this direction.

"Car sharing has always represented great value for consumers by giving them the freedom of car ownership without the cost and hassles," Zipcar's Norman said. "Now more than ever, in an economic recession and with gas prices on the rise, people and businesses are turning to car sharing. In addition, in an era where people buy music by the song, driving a car by the hour makes a lot of sense."

Municipalities often tout car sharing if a service is available. Check with your city to see if there are any plans to bring car sharing to your city.

What are the costs?

Since Zipcar is the most popular, we'll take a look at their fee structure for a sample of what car sharing might cost you. Rates vary by city, but on average a Zipcar account costs $75 to startup and there's an annual fee of $50 for an occasional driving plan. Additional drivers from the same household can be added to an account for $25 each.

Insurance and fuel are covered -- each Zipcar has a gas card for fillup time. Overstay your reservation, and you'll get whacked for at least $50; late fees are $50 per hour with a $50 minimum. Reminders can be set up so users aren't caught off guard by poor time-management.

Extra value plans wipe away the annual fee for a monthly commitment of at least $50. Ideal for heavy users, the rates are lower across the board. Businesses and Universities are also in Zipcar's crosshairs, and the Zipcar fleet could save many businesses money on company cars. AOL Autos: Rental car prices can change in a heartbeat

Zipcar touts its fleet as the most diverse of its kind with everything from Priuses to pickup trucks. There are premium nameplates in Zipcar's fleet that command higher prices -- the cars for the image-conscious versus plain-jane driver. Full-day rentals are $65, and a 7 a.m. to 7 p.m. business day runs $56. Cars come with a full tank of fuel, and you get 180 miles per day before you start paying by the mile.

Other car sharing services

Zipcar isn't the only game in town, of course. Traditional car rental services offer one-way rentals, which Zipcar does not; this is something to consider depending on your travel plans. Hertz has jumped into the breech with its "Connect by Hertz" product, a veritable clone of Zipcar. Hertz only offers its service in five locations so far: New York City; Park Ridge, New Jersey; Ohio State University; Pepperdine University in California; and Washington D.C.

UHaul has also tossed its hat into the ring with its UCarShare service, mostly based around specific college campuses in a small number of locations. UCarShare's rates are higher and terms more restrictive than Zipcar's.

Regional players also abound, most based around a particular region. Bay area residents can use City Carshare, Chicago has I-GO, and there are small car sharing services in places like Denver, Philly, St. Louis, or Cleveland. Rates for these competitors vary from on par to more expensive. Terms of service may be different, some offering included miles, some charging for each mile -- it runs the gamut.

@highlight

It is possible to drive a car when you want without owning it

@highlight

Many big cities, some colleges have companies offering car-share services

@highlight

Zipcar has U.S. fleet of 6,500 automobiles that service 300,000-plus users

@highlight

You pay membership fee, monthly fee -- but don't pay for gas or insurance