(CNN)  -- Four years since a 9.0-magnitude earthquake spawned massive walls of water that swept across the Indian Ocean, leaving more than 230,000 dead according to a United Nations estimate, improvements can be seen in many of the devastated areas, humanitarian groups said.

Laborers work on a construction site in a fishing village in Indonesia's Aceh on December 21.

Hundreds of thousands were left homeless and jobless after the tsunami, and poor and isolated communities were left even worse off.

Today, new schools have been constructed, and armies of workers -- many of them volunteers -- have cleared and rebuilt homes and towns, and helped get people back to work.

"The tsunami, despite being a horrific event, also provided a lot of opportunities for those countries," said Jonathan Cauldwell, chief of UNICEF's Tsunami Transition Support.

"It brought a peace dividend within Banda Aceh (Indonesia) where you still see peace in an area which had long term localized conflict in place. It allowed those areas to be built up as well, to have investments in the infrastructure in the social sectors ...," he added.

Agencies such as UNICEF said that while the immediate emergency was over, they remain committed to improving the lives of millions of children across the region.

"The lessons of the tsunami will never end. The funding will end, we can complete the construction, we can complete the project, but the intervention never ends ...," Cauldwell said.

Oxfam International, which said it will close its response to the tsunami at the end of December, said it has provided housing to tsunami survivors in Aceh, helped restore the livelihoods of people in India and Sri Lanka, and funded the reconstruction of eight tsunami-affected secondary schools.

"The money we received allowed us not only to help meet the immediate emergency needs of tsunami-affected populations, but also to try to address the factors that made them vulnerable: not least poverty and a lack of influence over their own lives," Barbara Stocking, chair of the Oxfam International Tsunami Fund Board, said in a statement.

"What has been achieved is astounding. Hundreds of thousands of people are now living in better conditions than they were in before the tsunami ...," she added.

UNICEF said the basic needs of children affected by the tsunami have been met -- more children are going to school as a result of improved facilities, and better nutrition, post-natal care and other life-saving interventions are helping those countries worst hit transition to developing regular services and programs.

But long-term improvement of water and sanitation is critical, the agency said, and so is building new schools that are better able to withstand earthquakes.

According to UNICEF and Oxfam, the response to the tsunami and the lessons learned have changed the way they deal with such emergencies. It highlighted the need for better coordination among partners and other organizations, and contributed to reforms in the way humanitarian relief is delivered.

@highlight

The devastation of the 2004 tsunami stretched across the Indian Ocean

@highlight

Hundreds of thousands left homeless, and poor and isolated communities worse off

@highlight

Humanitarian groups have helped rebuild schools, homes, and get people working

@highlight

Groups say long-term improvement of water and sanitation is critical