(CNN)It's easy to forget that some of the world's biggest corporations were not always that big.

Many started small, with just one visionary person fueled by one innovative idea -- often working out of a garage, a shed or a backroom basement.

Amazon began as an online bookstore run out of founder Jeff Bezos' garage, before growing into the world's largest online retailer. And technology-giant Apple started with Steve Jobs and Steve Wozniak selling computers out of the same improbable abode.

The humble beginnings of Amazon, Apple, and countless other companies in developed but also developing countries show that one visionary person fueled by one great idea can be a game-changer.

When fighting climate change, that same spirit of entrepreneurship is vital.

Governments have set a goal of limiting average global temperature rise to less than 2 degrees Celsius. Achieving this requires a move towards climate neutrality in the second half of the century.

Innovation, entrepreneurship and vision are critically important elements to meeting this goal.

The good news is that there are thousands of examples of entrepreneurs around the world who are finding a constantly expanding market for their solutions -- they are part of the United Nations Climate Change secretariat's Momentum for Change initiative.

Meet the Solar Queen of Southeast Asia

Take Wandee Khunchornyakong in Thailand. She began her career by connecting rural villages with solar power.

Khunchornyakong built a modest manufacturer of photovoltaic solar panels into a multi-million dollar industry, leading to the company's public offering and her early retirement in 2007.

She spotted an opportunity and seized upon it. Observing regulatory changes in Thailand's energy market, she visited the local authority to obtain more permits to build solar farms. The clerk she spoke to said: "Please take more since no one else wants them."

This fed Khunchornyakong's vision of sunny northeast Thailand as a global leader in large-scale solar energy. She leveraged funding from the International Finance Corporation toward her vision, building Thailand's largest solar power generation company. Today, the Solar Power Company Group drives growth in the photovoltaic market across Southeast Asia.

Recognizing leadership matters. In doing so, we inspire others to take similar entrepreneurial action. Khunchornyakong's business is just one of 12 innovative climate solutions that the United Nations Climate Change secretariat will showcase at the upcoming round of climate talks beginning this week in Lima, Peru.

In numbers

Action on climate change has reached a tipping point. This past September, 400,000 people participated in the largest ever global protest calling for action on climate change.

A few weeks ago, in an unprecedented series of announcements, 21 countries pledged a total of up to $9.6 billion to enable the world to move to a low-emission, climate-resilient future.

Earlier, the United States and China likewise announced a historic agreement to reduce their emissions. The European Union committed to ambitious goals to reduce greenhouse gas emissions by at least 40% by 2030.

Over the next 15 years some $90 trillion will be invested in infrastructure globally -- greening this will require big, medium-sized, and small entrepreneurial companies.

All great endeavors have humble beginnings. Somewhere in the world, there is an entrepreneur in a garage or a duka designing the next game-changing climate solution that offers yet another catalyst towards a healthier, greener and more secure world.

Watch: The $50 million business built on hot air

Insight: NASA's chief's big idea -- Humans on Mars

@highlight

Christiana Figueres, UN Climate Change leader, gives her vision of the future

@highlight

Celebrates the small ideas which have potential to be green 'game-changers'

@highlight

Opinion comes ahead of 2014 Climate Change Conference in Lima, Peru

@highlight

Praises Thai woman who built multimillion dollar solar panel business