Muscat (CNN) -- The oil market is caught in a pricing tug of war. It is clear emerging markets are beginning a slowdown which will likely cut demand for crude oil over the next year. The panic selling in equity markets from Indonesia to India, Dubai to Sao Paolo is a leading indicator of what may be ahead in 2014.

But at this juncture, the likelihood of military intervention in Syria, daily bombings and killings in Iraq, and uncertainty about the flow of crude through Egypt's Suez Canal are far outweighing concerns about the developing world's waning thirst for energy.

Energy traders acknowledge the return of the so-called Middle East risk premium -- calculated to be $10 to $15 dollars a barrel. It is based on whether supplies might indeed be interrupted or, in the case of Iraq after four months of intense bombings, production has fallen below market expectations.

For a record three years running, North Sea Brent crude has averaged more than $100 barrel. As a result, the dozen members of OPEC, dominated by the major producers of the Gulf, earned one and a quarter trillion dollars in 2012. This was, in part, because of the cloud of uncertainty that hovers over the region.

Read more: Egypt's cycle of violence threatens to destroy country's fragile economy

It is a difficult balancing act. An escalation of violence triggered by military attacks on Syria is pushing crude well above what oil kingpin Saudi Arabia believes is a fair price of $100. This fills the coffers of the six Gulf states, who in a post-Arab Spring- environment are spending record amounts to fund economic development, create jobs and buy internal peace.

Watch more: Struggling to survive in Syria

If crude gyrates higher -- as it did in 2008, when it surged past $145 a barrel -- future demand could plummet and so too could oil prices. This is what happened in the second half of that year, when prices fell to below $40.

Oman's long-serving central bank chief, Hamood Sangour Al Zadjali, told me that many attempts are being made behind the scenes to return calm to the region.

But when asked if there could be a further push on the upside for crude as a result of what is transpiring regionally, he said: "That could be true, and that would be beneficial for us because we still depend largely on oil prices for our budget revenues."

Read more: Iraq: Why violence and oil don't mix

Oman sits near the mouth of world's busiest oil shipping lane, the Strait of Hormuz. It is now producing about 935,000 barrels a day, according to energy officials who spoke to me on background.

The Sultanate's 2013 budget was built on oil projections of $85 a barrel, with energy making up 80% of total revenues. The near $25 premium over Oman's projections will wipe out a planned budget deficit, officials told me.

While regional oil producers may be swimming in additional funds, the higher prices will hit the economies which are running current account deficits and are subject to the capital flight we see today.

Watch more: Britain, France support action in Syria

Indonesia, India, Turkey top the list of the most vulnerable. With their currencies under severe pressure, there is the added danger of skyrocketing inflation due to higher imported energy costs.

It may all sound a bit alarmist at this stage, with the mad dash of money out of emerging markets, but strategists suggest this is not the 1997--1998 Asian financial crisis all over again.

Watch more: UN: Syria's chemical use unacceptable

Two years ago, countries such as Brazil complained their currencies were overvalued and that in turn was undermining export growth. Now we are in midst of the pendulum, and perhaps overshooting in the other direction.

That may be today's narrative in a climate of so much uncertainty, but policymakers and energy planners in the region say it is way too early to call an end to the long term trend of rising emerging market demand.

Oman's central banker is one of those. "We think the growth momentum will continue in these countries and there will be demand for Omani oil," Al Zadjali told me.

The country is banking on it, with BP and the government putting up to $20 billion into a new natural gas field. More tenders for additional exploration are in the pipeline, officials tell me.

Oman, perched on the edge of the Arabian Sea, sees itself outside the region's real danger zones, Syria, Iraq and Egypt. But it is too early to suggest in this geo-political climate whether that will remain the case.

@highlight

Energy traders acknowledge the return of the so-called Middle East risk premium -- $10 to $15 dollars a barrel

@highlight

Military attacks on Syria is pushing crude well above what oil kingpin Saudi Arabia believes is a fair price of $100

@highlight

The higher prices will hit the economies which are running current account deficits and are subject to the capital flight