Northern Tanzania (CNN) -- One could classify the Hadza people as a throwback. Numbering a mere 1,300, they represent one of the last communities of hunter-gatherers in the world. Their language -- which includes click consonants -- is unrelated to any other on Earth, and is possibly one of the oldest spoken languages in existence.

Their DNA, too, suggests an ancient heritage, easily 100,000 years old (and possibly a primary root for mankind's family tree). Their home, near Northern Tanzania's Olduvai Gorge, has been dubbed the "Cradle of Mankind," partly because it has unearthed some of the oldest known human remains.

An ancient way of life

Many of the Hadza live in a remote stretch of Tanzania, where much of their day is given over to foraging and hunting. The techniques they use for finding sustenance are passed down generation to generation. The men favor handmade bows and arrows, while the women dig up roots and gather berries.

The Hadza don't store food, plant trees or build houses. Rather, they make temporary huts from dried grass and intertwined branches, and move in accordance with the local animals.

"We are rich in tradition," explains Shani Msafin-Sigwaze, the first Hadza to attend university, and an informal spokesperson for his community.

"Culture is very important, because when people forget their culture, they forget where they are from," he adds.

Mounting challenges

Unfortunately, the Hadza way of life is under threat. In the last 50 years, they have lost 90% of their land to farmers and cattle herders, according to Survival International, an NGO in defense of tribal people around the world.

"Without the land, the Hadza will disappear," warns Msafin-Sigwaze.

Furthermore, a lot of the big game animals and local plants that traditionally have made up the bulk of the Hadza diet are disappearing.

"There is a big problem with cows," admits Msafin-Sigwaze. "The animals are scared of them and they run away. That's why the hunters have to [travel] far to even find little birds."

Meanwhile, much of the local forest and bush has been burned to make way for crops, or has been razed to produce water holes for irrigation.

"The Hadza are suffering much because the natural food is disappearing," explains Msafin-Sigwaze.

Positive signs?

Though the threat the Hadza face is real -- and extinction is far from a remote possibility -- there have been some successful efforts to restore some of what they've lost. In 2011, for instance, the Tanzanian government issued land titles to a community of Hadza living in Yaeda Chini.

Now Msafin-Sigwaze, who belongs to a separate tribe of Hadza, is hoping he can achieve the same for his community.

"I belong to the Hadza. I study in the name of the Hadza. The name of the Hadza has made me go to university," he says. "Now, I'm going to fight until I see the Hadza get their land."

@highlight

The Hadza are one of the last communities of hunter-gatherers in the world

@highlight

Hadza men hunt for animals using homemade bows and arrows

@highlight

In the last 50 years, the Hadza have lost 90% of their land