(CNN) -- One returned to her Haitian roots, to give voice to women, honor their stories and shape their futures.

Another urged women to pack a courtroom in Haiti, where she succeeded in getting a guilty verdict against a man who battered his wife.

A third joined the others and helped change the law to make rape, long a political weapon in Haiti, a punishable crime.

Myriam Merlet, Magalie Marcelin and Anne Marie Coriolan, founders of three of the country's most important advocacy organizations working on behalf of women and girls, are confirmed dead -- victims of last week's 7.0 earthquake.

Remembering the victims of the Haiti earthquake

And their deaths have left members of the women's movement, Haitian and otherwise, reeling.

"Words are missing for me. I lost a large chunk of my personal, political and social life," Carolle Charles wrote in an e-mail to colleagues. The Haitian-born sociology professor at Baruch College in New York is chair of Dwa Fanm (meaning "Women's Rights" in Creole), a Brooklyn-based advocacy group. These women "were my friends, my colleagues and my associates. I cannot envision going to Haiti without seeing them."

Myriam Merlet was until recently the chief of staff of Haiti's Ministry for Gender and the Rights of Women, established in 1995, and still served as a top adviser. She died after being trapped beneath her collapsed Port-au-Prince home, Charles said. She was 53.

iReport: A tribute to Merlet

Merlet, an author as well as an activist, fled Haiti in the 1970s. She studied in Canada, steeping herself in economics, women's issues, feminist theory and political sociology.

In the mid-1980s, she returned to her homeland. In "Walking on Fire: Haitian Women's Stories of Survival and Resistance," published in 2001, she contributed an essay, "The More People Dream," in which she described what brought her back.

"While I was abroad I felt the need to find out who I was and where my soul was. I chose to be a Haitian woman," she wrote. "We're a country in which three-fourths of the people can't read and don't eat properly. I'm an integral part of the situation. I am not in Canada in a black ghetto, or an extraterrestrial from outer space. I am a Haitian woman. I don't mean to say that I am responsible for the problems. But still, as a Haitian woman, I must make an effort so that all together we can extricate ourselves from them."

She was a founder of Enfofamn, an organization that raises awareness about women through media, collects stories and works to honor their names. Among her efforts, she set out to get streets named after Haitian women who came before her, Charles said.

Dubbed a "Vagina Warrior," she was remembered Tuesday by her friend Eve Ensler, the award-winning playwright and force behind V-Day, a global movement to end violence against women and girls.

"She was very bold," said Ensler, who at Merlet's insistence brought her play "The Vagina Monologues" to Haiti and helped establish safe houses for women in Port-au-Prince and Cap Haitien. "She had an incredible vision of what was possible for Haitian women, and she lifted their spirits. ... And we had such a wonderful time. I remember her dancing in the streets of New Orleans and just being so alive."

Magalie Marcelin, a lawyer and actress who appeared in films and on stage, established Kay Fanm, a women's rights organization that deals with domestic violence, offers services and shelter to women and makes microcredits, or loans, available to women working in markets, said Charles, the chair of Dwa Fanm.

Charles remembered a visit to Haiti about two years ago when Marcelin, believed to be in her mid-50s, called seeking help. Hoping to deflect the political clout of a defendant in court, she asked for women to come out in droves and pack the courtroom. Charles watched as the man on trial was convicted for battering his wife.

Her death has been reported through various media outlets, and was confirmed to CNN by Carribbean Radio Television based in Port-au-Prince. Her own daughter helped dig her body out from rubble in the aftermath of the quake, Charles said she learned when she got the call from Marcelin's cousin.

In an interview last year with the Haitian Times, Marcelin spoke of the image of a drum that adorned public awareness stickers.

"It's very symbolic in the Haitian cultural imagination," Marcelin said, according to the Haitian Times report. "The sound of the drum is the sound of freedom, it's the sound of slaves breaking with slavery."

With Merlet, Anne Marie Coriolan, 53, served as a top adviser to the women's rights ministry.

Coriolan, who died when her boyfriend's home collapsed, was the founder of Solidarite Fanm Ayisyen (Solidarity with Haitian Women, or SOFA), which Charles described as an advocacy and services organization.

Her daughter, Wani Thelusmon Coriolan, said in Haiti children bear only their father's surname, but her mother insisted on keeping her maiden name and making sure her two children shared it, too.

"She said my dad was not the only one who created me. She was involved, too," her 24-year-old daughter, who lives and is studying in Montreal, Quebec, said with a laugh.

Even though Wani and her brother no longer live in Haiti (he is in Paris, France), she said her mother was determined to make sure they were proud of their homeland.

"She loved her country. She never stopped believing in Haiti. She said that when you have a dream you have to fight for it," Wani said. "She wanted women to have equal rights. She wanted women to hold their heads high."

Coriolan was a political organizer who helped bring rape -- "an instrument of terror and war," Charles said -- to the forefront of Haitian courts.

Before 2005, rapes in Haiti were treated as nothing more than "crimes of passion," Charles explained. That changed because of the collective efforts of these women activists -- and others they inspired.

With the three leaders gone, there is concern about the future of Haiti's women and girls. Even with all that's been achieved, the struggle for equality and against violence remains enormous.

The chaos that's taken over the devastated nation heightens those worries, said Taina Bien-Aimé, the executive director of Equality Now, a human rights organization dedicated to women.

Before the disaster struck last week, a survey of Haitian women and girls showed an estimated 72 percent had been raped, according to study done by Kay Fanm. And at least 40 percent of the women surveyed were victims of domestic violence, Bien-Aimé said.

And humanitarian emergencies have been linked to increased violence and exploitation in the past, she said.

"From where we stand," Bien-Aimé wrote in an e-mail, "the most critical and urgent issue is what, if any, contingencies the relief/humanitarian agencies are putting in place not only to ensure that women have easy access to food, water and medical care, but to guarantee their protection."

Concerned women in the New York area plan to gather Wednesday to strategize their next steps, Ensler said.

And while they will certainly keep mourning, she and the others are hopeful that Haitian women, inspired by these fallen heros and leaders, will forge ahead -- keeping their fight and legacies alive.

@highlight

Three leaders in the Haitian women's movement are confirmed dead, victims of quake

@highlight

They gave women voices, fought against violence and made rape in Haiti a crime

@highlight

Friends, including Eve Ensler of "The Vagina Monologues," share memories

@highlight

Amid chaos after earthquake, concerns rise about protecting women and girls