Washington (CNN) -- Toyota engineers found an electronic software problem that caused "sudden unintended acceleration" in a test vehicle during pre-production trials, according to a company engineering document obtained by and translated for CNN.

The 2006 document, marked "confidential," recounted the results of an adaptive cruise-control software test in a model internally designated the 250L, a vehicle later sold as the Lexus 460 in Japan and Europe. The document says a "fail-safe overhaul" would be needed for another model in production, internally designated the 180L, which the company says was later sold as a Toyota Tundra.

Toyota insists that the document shows no such thing, and it continues to deny that any sudden unintended acceleration in any of its vehicles was caused by electronic systems. But three translations of the report, including two commissioned by CNN after Toyota's objections, found that engineers raised concerns that the adaptive cruise control system would start the car moving forward on its own.

Read the original document and English translations here

"The cruise control activates by itself at full throttle when the accelerator pedal position sensor is abnormal," states the document, written in Japanese, translated into English.

Software glitches were an early suspect in the rash of reports of sudden, unintended accelerations reported in Toyota vehicles in 2010, some of which caused severe accidents and several fatalities. But both Toyota and the National Highway Transportation Safety Administration concluded that electronics were not at fault, instead blaming bad floor mats, sticky accelerator pedals and, in some cases, driver error.

Toyota has never conceded that an electronics or software problem could be responsible in any way for sudden acceleration in its cars and trucks.

"This looks like an example of electronics causing a car to suddenly accelerate," said Michael Pecht, director of the CALCE Electronics Products and Systems Center at the University of Maryland.

Pecht, a mechanical engineering professor, was assigned to look into the sudden acceleration of Toyota vehicles as a consultant for Congress. He said the document should have been included in any investigation, and he questioned why it wasn't shared with the NHTSA, NASA -- which assisted the highway safety agency's review -- and Congress.

Toyota said it did not share the document with the NHTSA because "the test and the document had nothing to do with unintended acceleration, or a defect, or a safety flaw of any kind."

Toyota electrical engineer Kristen Tabar said the sequence described in the test memo "takes place in a fraction of a second."

"This is a case where the vehicle is under test," said Tabar, a manager at the Toyota Technical Center near Ann Arbor, Michigan. "Again, we input an abnormal signal. The vehicle reacts appropriately to that signal and releases the brake, just as we would expect it to do and want it to do. This has nothing to do with sudden unintended acceleration at all."

Toyota says that the test vehicle "did not physically move forward" and that the experiment led to "an adjustment and refinement" of the cruise control before it went into production. The issue has never occurred in any Toyota vehicle sold, the company said.

The company says the document was meant to alert other engineers to the pre-production problem, so lessons learned could be shared. Neither the test vehicle nor the adaptive cruise-control system cited in the document have been sold in the United States, Toyota said.

The engineering document was originally provided to CNN in Japanese, with an English translation (PDF). When Toyota complained about what it said were inaccuracies in the original translation (PDF), CNN retained a Tokyo-based translation house with expertise in automotive and technical matters to independently retranslate the document.

That translation backed up the first, finding that Toyota engineers recorded a "sudden unintended acceleration" in the 250L's adaptive cruise control, which was designed to slow the vehicle if sensors detected an object ahead and accelerate the vehicle when the obstacle clears.

But Toyota again said the translation was inaccurate (PDF).

"The exact translation is not 'sudden unintended acceleration,' " said Tabar, who does not speak Japanese. "This is a test referring to adaptive cruise control, so the literal translation is, 'it can begin or start by itself,' which is consistent with what you would expect from a cruise control, or in this case, an adaptive cruise control system."

When Toyota argued that both translations were in error, CNN commissioned a third translation (PDF) by another firm in the United States with expertise in automotive and engineering translations. According to the third translation, Toyota's engineers stated that a test was conducted on the 180L "to prevent the accelerator malfunction that caused the vehicle to accelerate on its own" in an earlier test of the 250L.

Despite multiple requests, Toyota did not provide its own translation of the document.

Neil Hanneman, an independent automobile safety engineer based in California, examined all three translations of the document at CNN's request and concluded that in 2006, Toyota did in fact have an electronics issue.

"This is a tangible, repeatable, fixable issue that they've identified in this vehicle," Hanneman said. "It's related to software issues, which is something Toyota has said is infallible in their systems."

Another analyst who reviewed all three translations, Clarence Ditlow, reached a similar conclusion.

"What the memo tells me is that there was an electronic problem that caused unintended acceleration in an earlier-model Lexus -- the 250 -- and they wanted to avoid the same problem occurring in the 180," said Ditlow, the executive director of the Center for Auto Safety, a watchdog group founded by Ralph Nader. "And they identified a failure mode."

But Toyota officials said that in this instance, engineers "intentionally and artificially produced an inappropriate sensor signal as a test of the electronic failsafe system." Toyota said that the test "merely identified an unacceptable electronic sensor sensitivity threshold" and that the vehicle did not physically move during the test.

Toyota spokesman John Hanson emphasized that the problem was fixed before the vehicle was put into production. He called the document obtained by CNN "evidence of Toyota's robust design process."

In a letter to CNN, Toyota said, "It is ironic and disheartening that a document that is actually evidence of Toyota's robust vehicle design and pre-production testing to ensure safety is the apparent centerpiece for CNN's broadcast."

Read the full letter (PDF)

The Toyota and NHTSA conclusions on the cause of the 2010 rash of unintended acceleration problems in the U.S. were backed up by the National Research Council, an arm of the National Academy of Sciences. In a January 18 report, the research council called those findings legitimate but warned that the NHTSA could face difficulties in examining increasingly complicated electronic systems unless it adds more electronics expertise to investigation teams.

In 2011, motorists reported 331 incidents of sudden acceleration to the NHTSA, according to data compiled by Safety Research and Strategies Inc., a consulting firm that has in the past advised consumers who have filed lawsuits against Toyota. Safety Research and Strategies has recently filed a lawsuit in federal court seeking documents and videos of one such incident, in a 2004 Prius.

@highlight

Translated Toyota report describes a cruise-control system test

@highlight

Experts say the translated report describes a software problem

@highlight

The company denies electronics are responsible for sudden acceleration