Vienna, Austria. 1990. A man weeps by a grave. He lowers his head and murmurs a few quiet words.

He sits awhile, glances intently at the writing on the headstone, he uses the palm of his hand to wipe away the dirt. His eyes glaze over with a look of hopelessness, almost pleading for something to happen. Nothing happens.

The man rises, turns and leaves. That night he gets his answer -- the curse lives on.

Despite being finalists on seven occasions in various major European finals --  in 1963, 1965, 1968, 1983, 1988, 1990 and in 2013 -- each time Benfica have been unable to bury the famous curse. Bela Guttmann's curse.

A condemnation that even the prayers of his famous protege Eusebio could not lift that day in Vienna.

"Every year when Benfica plays in the Europe they try to get rid of the curse," Portuguese journalist Jose Carlos Soares told CNN.

"Any time that Benfica play near Guttmann's grave, somebody will take flowers. It hasn't worked."

The way Benfica were beaten by Chelsea in Wednesday's Europa League final in Amsterdam -- Branislav Ivanovic's injury-time header securing the English side's 2-1 win  -- if you were fan of the Portuguese side you could have been forgiven for thinking some other powerful force was at work.

Even in death, Guttmann is determined to have his own way -- much to the anguish of a club he left in anger after taking it to the peak of European football in the early 1960s.

A charismatic and sometimes eccentric genius, Guttmann revolutionized football during a coaching career which spanned 25 jobs in 13 different countries before he passed away in 1981, aged 82.

Holocaust

Born into a Jewish family in Budapest in 1899, Guttmann, like his parents, became a trained dance instructor before switching his focus to football.

After becoming part of the MTK Hungaria side which won the league title in 1920 and 1921, Guttmann left for Vienna following the rise of anti-Semitism under Miklos Horthy's regime.

It was here, among the Austrian intelligentsia, that he flourished, taking in the political and literary debates in Vienna's coffee-house society.

There he joined the exclusively Jewish football club Hakoah Wien, where he won the league title in 1925 as well as winning four caps for Hungary.

After traveling on a tour to the U.S. with Hakoah, Guttmann decided to stay put in New York only to lose a considerable amount of money in the Wall Street crash.

That forced the nomadic traveler to move on once again, first back to Vienna where he took on a coaching role with Hakoah before joining Dutch side SC Enschede.

But Guttmann's life, like those of so many other Jews, was turned on its head during the rise of Hitler in Europe and the Holocaust which killed six million people.

"Guttmann was hugely talented," says leading football writer Jonathan Wilson, author of the book "Outsider: A History of the Goalkeeper."

"He was tactically very astute but also very awkward and difficult," Wilson told CNN. "He was very quick to take offense.

"The central theme with Guttmann is the war. We don't know how he survived it, and the fact he skips over it in his book could mean one of two things.

"Did he feel guilty for surviving or did he compromise himself to stay alive?

"Or, perhaps it was that the memories were just too painful to share and that the loss of so many of his loved ones meant he didn't speak about it.

"He was hugely successful but there was something tragic about him, which probably comes from that time."

Famine

While family members, including a brother, perished in concentration camps, Guttmann escaped to Switzerland where he was held in internment.

It wasn't until the end of the war in 1945 that he returned to football, this time in Romania.

It was here, in 1946 with club side Ciokanul, that he demanded to be paid in vegetables at a time when famine was a growing problem.

While parsnips and carrots were gratefully received, Guttmann's relationship with the board was never a particularly healthy one. When a club director began to interfere in team selection, Guttmann finally lost patience.

His fiery temper and attitude of "my way or the highway" earned him plenty of attention, especially from the media.

Following spells with Padova and Triestina in Italy, Boca Juniors and Quilmes in Argentina and Apoel Nicosia in Cyprus, Guttmann hit the big time with AC Milan in 1953.

His team led the Serie A table after 19 games in his second season, only for another run-in with the board to curtail his tenure.

"I have been sacked, even though I am neither a criminal nor a homosexual," he told a shocked press conference. "Goodbye."

Nomadic career

Years later, on his first day as the manager of Benfica, he fired 20 players before leading the club to the Portuguese title.

"He was an incredible man," Wilson said. "Did he become a parody of himself? Did he do those kind of things because people expected it?

"I don't know. But it was clear that he never wanted to stay in one place for long, he was always moving.

"That could have been because of the war, but also because he was looking for the next pay check."

It was in Portugal, after a successful spell in South America, that Guttmann really secured his legacy, securing back-to-back European Cups with Benfica in 1961 and 1962.

It was the first time that any club other than Real Madrid had won the competition.

During his time in Brazil with Sao Paulo between 1957 and 1958, where he won the league title before moving to Porto, Guttmann introduced the 4-2-4 system which Brazil used at the 1958 World Cup.

Inspiration

It was a system that laid the groundwork for the great Brazil sides to establish themselves as masters of the beautiful game.

Guttmann had taken some inspiration from the great Gustav Sebes, the man who coached the "Magnificent Magyars" in the 1950s.

Under Sebes, also of Jewish descent, Hungary became the first nation to defeat England on its home soil, winning 6-3 in 1953 before reaching the World Cup final the following year.

From 1950 until the Hungarian Revolution in 1956, the national team won 42 games, drew seven and lost just once --- in the World Cup final against West Germany.

Sebes preferred a 3-2-1-4 formation which allowed Ferenc Puskas, the great Hungarian striker, to thrive alongside the precociously talented Nandor Hidekuti.

That slowly changed to the 4-2-4 formation which would inspire Benfica to European and domestic glory.

"I never minded if the opposition scored, because I always thought we could score another," Guttmann once said.

His thirst for innovation and his psychology degree, which he earned in his younger days, helped him become a leading figure in man-management and a master tactician.

At Benfica, it was the arrival of Eusebio which allowed Guttmann to play Mario Coluna in a deeper position and unleash one of the most attacking teams of the era.

Benfica defeated Barcelona 3-2 in Berne in the 1961 European Cup final before coming from behind to beat then five-time winners Real Madrid 5-3 the following year.

But where there was triumph, disaster was never far away.

"From the moment he arrived in Portugal, Bela Guttman's relationship with Benfica was destined to be complex," says Portuguese football expert Ben Shave.

"After the second European Cup victory, Guttman approached the recently-elected president Antonio Carlos Cabral Fezas Vital with what seemed an eminently reasonable request -- a pay rise.

"Vital chose to turn Guttman down, whereupon the Hungarian departed with what has become a well-worn parting shot: a simple declaration that Benfica would not win another European Cup.

"Guttman's curse has proved painfully prophetic -- the Aguias have lost five European Cup finals in 1963, 1965, 1968, 1988, 1990, the 1983 Uefa Cup final and now the Europa League final."

Mourinho comparison

Remembered for his uncompromising attitude, his innovation on the field and his nomadic existence, Guttmann's story gained further resonance following the emergence of Portuguese coach Jose Mourinho, a European champion with Porto in 2004 and Inter Milan in 2010 after beginning his career with a brief spell at Benfica.

"Guttman's prickly personality and relentless pursuit of success have led to comparisons with Mourinho in some quarters," Shave told CNN.

"What is certainly true is that both left Benfica in unfortunate fashion, and both departures became matters of considerable regret for the club.

"The results of Guttman's 'curse' have been well documented, whilst presidential candidate Manuel Vilarinho's stated wish to replace Mourinho with club legend Toni following the 2000 elections led to 'the Special One' taking his talents elsewhere.

"In a similar scenario to that which led to Guttman's tenure coming to an end, Mourinho approached Vilarinho with a contract extension request shortly after his election (and a 3-0 win over Sporting), which was denied.

"Vilarinho's opponents have dined out on that mistake since."

As for the Benfica's players the task of finally closing the book on Guttmann's curse continues.

@highlight

Bela Guttmann was a Hungarian Jew who survived the Holocaust

@highlight

He led Portuguese soccer team Benfica to European Cup glory in 1961 and 1962

@highlight

After leaving Benfica, he left a "curse" that the club would never win it again

@highlight

Guttmann coached  in 13 different countries, before dying at the age of 82 in 1981