Alcohol has been involved in most of the deaths blamed on the extreme cold in Ukraine, the country worst affected by the icy temperatures gripping Eastern Europe, a government minister said Wednesday.

Nine out of 10 of the deaths reported have been alcohol-related, Emergency Situations Minister Viktor Baloga said.

At least 135 deaths have been reported in Ukraine in the past two weeks, but he suggested the actual number that can be blamed on the winter weather is somewhat lower, at 112.

About 3,000 people have been hospitalized because of the cold since January 27, officials said.

Authorities in Ukraine have set up an emergency hospital to deal with people suffering from cold-related conditions, and distributed 3,000 emergency relief tents across the country, they said. The tents are heated, and people with nowhere else to go can get hot food and drinks.

Ukraine's capital, Kiev, has more than 14,000 homeless people, authorities said. They are among the most vulnerable to winter's bitter chill.

Dr. Anatoliiy Vershigora, doctor-in-chief at an emergency help station in Kiev, told CNN many of those suffering frostbite, hypothermia and in some cases death were alcoholics -- but that others had been drinking in the mistaken belief it would help keep them warm.

Outdoor workers, such as those at market stalls, were also suffering frostbite in the extreme conditions, he said, as were some children whose parents had let them spend too long outside.

Joe Lowry, a spokesman for the International Red Cross in Europe, said: "It is an unfortunate fact that a lot of homeless people are alcoholic or dependent on other substances -- it may be why they are homeless in the first place.

"Alcohol creates the illusion of being warm, so it's not surprising that people are drinking and not surprising that they pass out," he said, adding that this is when hypothermia can occur.

"Our approach would be to try to get to these people before they have too much to drink, if we can find them and get them to safety. Obviously, a full belly or hot drinks is far, far better for you than vodka."

Red Cross volunteers have been working with authorities to help distribute warm clothing, boots, hot food and drinks in Ukraine and elsewhere, Lowry said, speaking to CNN from Slovakia.

But, he added, the people who are most in need of help are often hard to locate. "These people are outside the normal safety nets, difficult to find, and don't realize the great danger they are in."

Dr. Sam Zakhari, director of the Division of Metabolism and Health Effects in the National Institute on Alcohol Abuse and Alcoholism at the National Institutes of Health, said consuming alcohol is dangerous in cold weather for two main reasons.

One is that alcohol causes the dilation of blood vessels in the skin, which means they are wider and more blood passes through. This makes the person feel hot, which is not an issue if the person is warmly dressed and indoors,  Zakhari said. But "if he or she is not wearing enough warm clothes they will lose heat rapidly, and that can contribute to hypothermia."

Secondly, he said, a person who is inebriated may not have the ability to judge what's happening or respond appropriately. He or she may slip and fall in the icy conditions and risk becoming unconscious, or fall asleep as alcohol depresses the central nervous system, he said.

Zakhari advises those who are inebriated to stay inside for safety, where possible, or if they must be outside to dress in several warm layers to stop heat escaping and try to ward off hypothermia.

Kiev marked its 24th consecutive day of below-freezing temperatures Wednesday, with a low of minus 18 Celsius (minus 0.4 Fahrenheit), CNN meteorologist Brandon Miller said. It could normally expect a high of minus 2 degrees Celsius at this time of year.

And there is little respite in prospect for those suffering in the unusual cold.

Another surge of frigid air is pushing westward out of Russia into the rest of Europe for the end of the week, with Central and Eastern Europe catching the brunt of the coldest air, Miller said.

Temperatures in some of the hardest hit countries, such as Ukraine, Romania, Hungary and Serbia, will once again drop below average by as much as 15 to 20 degrees Celsius (25 to 35 degrees Fahrenheit).

Warsaw, in Poland, which would normally expect a high of 2 degrees Celsius (36 degrees Fahrenheit), has now spent 15 days below freezing, while Sarajevo in Bosnia-Herzegovina has spent 14 days in subzero temperatures, well below the average for this time of year of 5 degrees Celsius (41 degrees Fahrenheit.)

Temperatures are likely to remain below average well into next week, at the least, with no significant warming likely until late February, Miller said.

Parts of the Danube River, one of the most important rivers in Europe for commerce, have nearly frozen over for the first time in 25 years, showing not only the intensity of this cold snap, but also its longevity.

The sustained cold spell is also putting a strain on power providers across the region and has raised questions over Europe's reliance on Russia for gas, as supplies sent via Ukraine have dipped below the expected levels.

Ukrainian Energy Minister Yuri Boyko said electricity consumption in the country is historically high.

But in an interview with CNN, he rejected suggestions that Ukraine has been siphoning off gas as it transits from Russia to Europe.

Boyko said the main reason for the 30% drop in gas reaching Europe was the extremely cold weather in Russia, which meant a smaller than usual amount of gas entered Ukraine. Instead of Ukraine receiving the expected 500 million cubic meters per day, only 400 million cubic meters came to its western border, he said.

Gazprom, Russia's gas monopoly, has denied sending lower volumes of gas to Europe.

But Boyko said he believes the real answer is that given by the deputy chairman of Gazprom, whom he quoted as saying the company was not ready to send additional supplies to Europe during the cold spell.

At least 250 people have died across the region during the cold snap.

In Romania, where at least 39 people have died because of the weather, snow blown by icy winds on the shores of the Black Sea has disrupted road and rail travel and cut power to 35 settlements in southeast Constanta county, state news agency Agerpres reported Wednesday. Water supplies were also cut to 16 of those settlements.

Meanwhile, holiday villas, beaches and resort buildings have been flooded by waves up to 5 meters (16 feet) high swept in from the Black Sea by the winter storms, the news agency said.

Video shot by CNNi Reporter Angela Leeb in Constanta on Wednesday showed a fierce snowstorm howling outside her home.

It's "still very windy and cold but not snowing," she said. A yacht rides loose on the shore, torn from its moorings by a bad storm last week, she said.

As the week started, all "national roads," or two-lane highways, in seven counties in the country's south and east were blocked by snow, Agerpres reported.

More than 50 people, most of them homeless, have died in Poland in the past several weeks, according to Polish TVN.

At least 64 people have died because of the cold in Russia, the government in Moscow said.

In Hungary, the Red Cross has helped more than 4,000 people this week through 15 homeless centers and door-to-door services in rural settlements. Twelve deaths have been reported there during the cold snap, the Red Cross said in a release.

Snow has also fallen as far west as Spain. Snowfall in Europe's southeast, close to the Mediterranean Sea, has cut off roads and isolated areas from access to supplies.

Southeastern Europe will see more heavy snow, while the northeast is predicted to shiver under temperatures much lower than its winter averages, meteorologists said.

The German capital, Berlin, has spent nearly two weeks below freezing, whereas it would normally average 4 degrees Celsius (39 degrees Fahrenheit).

In Berlin, CNN iReporter Meghan Nevill said it is too cold to stay outside for longer than 10 minutes. Water at a dam in the city, the Muggelseedamm, has frozen solid, she said.

Britain's Met Office is warning of wintry weather over the next few days, with freezing rain and ice expected Wednesday night across northern England and parts of Scotland.

London and portions of eastern England will see some significant snow accumulations by Friday, with up to 10 centimeters (4 inches) in the hardest hit areas and 2 to 4 centimeters possible in the London area, forecasters said.

Temperatures in Paris have been below freezing for a week.

@highlight

Some victims are alcoholics, others mistakenly drink to keep warm, a doctor in Kiev says

@highlight

Alcohol causes blood vessels to dilate, so body heat is lost rapidly, an expert says

@highlight

Ukraine's emergencies minister says 9 out of 10 of the deaths from cold have been alcohol-related

@highlight

Temperatures throughout Europe are significantly lower than average for winter