(CNN) -- When Gérard Depardieu triggered a fiscal feud with the French government a few weeks ago, the media had fun recasting him in his movie role as the comic book character Obélix, a fat and superhumanly strong Gaulois who stands up to the Romans.

Now that the French movie star has abandoned the land of the Gauls to become a Russian citizen, his recent film role as the mad monk Rasputin is being evoked to put a cinematic image on a bizarre real-life drama that has become an affair of state.

Depardieu's "defection" to Russia has both amused and angered his compatriots. The actor has not helped matters with his puzzling public statements. Depardieu, whose father was a communist, praised Russia as a "great democracy," a description open to some debate given that country's history.

Over the weekend, Depardieu made a visit to Russia that was splashed all over the media in Russia -- and was the first item on the French evening news on Sunday. French television viewers watched footage of Depardieu defend Vladimir Putin and proudly brandish his new Russian passport.

Depardieu's love for Russia cannot be indifferent to the country's flat 13% income tax rate, measurably lower than the 75% rate that France's socialist government will impose this year on income over a million euros. Depardieu, whose personal fortune is estimated at $200 million, at first bolted for Belgium to escape the tax. Now he has accepted the warm embrace of his friend Putin. France's constitutional court overturned the "supertax" on the rich, but the Socialist government intends to push forward with the measure.

Depardieu said he admires Russia for its history and great artists. Yet his affection for the Slavic world has not been without controversy. He is a friend of Ramzan Kadyrov, the autocratic president of the Russian republic of Chechnya who has invited other Western stars such as Jean-Claude Van Damme and Hilary Swank to his birthday parties to flatter his over-sized self-image. More bizarrely, Depardieu recorded a duet titled "Nebo Molchit" with the glamorous Gulnara Karimova -- known as "Googoosha" -- daughter of Uzbekistan's autocratic ruler Islam Karimov.

His critics in France look upon Depardieu's posturing as the latest misadventure in the actor's turbulent life. Recently, he was arrested and jailed for driving his scooter through Paris in a state of intoxication. He was also kicked off an airplane in Dublin for relieving himself on board. A man of gargantuan appetites referred to affectionately in France as "Gégé", Depardieu is a larger-than-life figure whose recent travails have highlighted deep tensions in French society.

Depardieu is not the only fabulously wealthy citizen to leave France to escape the country's punishing income taxes. In the past, French rocks stars such as Johnny Hallyday and tennis players such as Yannick Noah have attracted criticism for moving to Switzerland. Tax exile is frowned on in France, a country where fiscal obligation is considered a gesture of loyalty to the French nation.

Opinion: Why Depardieu's 'pathetic' desertion has caused French storm

France is also a traditionally Catholic culture suspicious of money and hostile toward the wealthy. French president Francois Hollande declared publicly during last year's election campaign: "I don't like the rich." In French politics that kind of declaration resonates with voters. The French are cynical about their elites in general, and hostile toward the rich in particular.

In the late 17th century, Louis XIV infamously expelled nearly a million Protestants who at that time were a rich and powerful minority active in banking and finance. Today France's billionaires, such as L'Oreal heiress Liliane Bettencourt, tend to stay discreetly out of view and lack the same spirit of charity found in America. France has no Warren Buffet or Bill Gates. The super-rich in France give money to politicians, not to charities.

Depardieu may be a hugely popular movie actor in France, but when he put his sumptuous digs in the fashionable Saint-Germain-des-Prés section of Paris on the market for nearly $66 million it reminded the French that he belongs to a different universe.

Even more controversial is Depardieu's choice to become a Russian citizen, which is an open gesture of defiance and rejection toward the French nation. France is a country whose mythology of "national identity" is deeply entrenched in the collective psyche. The notion of the "French exception" reinforces the idea that France is different and can resort to extraordinary means to protect its national identity, usually by heavy state intervention. In France, citizenship is cherished, something that foreigners aspire to.

When one of France's most famous and loved movie stars hands back his passport and flounces out of the national family, it can be interpreted as an act of betrayal. Many of Depardieu's critics in France have preferred to use the language of sarcasm, dismissing him as a troubled figure out of touch with the realities of his fellow countrymen. The French newspaper Le Monde pointed out that Russian commentators are saying that Depardieu is being naively exploited by Putin. The Russian leader, they argue, is using the Depardieu saga as a PR exercise for internal purposes.

Depardieu has been seen knocking about his familiar precincts on the Left Bank of Paris. When he leaves the country, he will have to return next time showing a Russian passport.

Meanwhile, the French film starring Depardieu as Rasputin still has not been released in his new Russian homeland.

The opinions expressed in this commentary are solely those of Matthew Fraser.

@highlight

Gérard Depardieu is granted Russian citizenship by Vladimir Putin

@highlight

Matthew Fraser: Depardieu is not the only one who wants to escape France's income taxes

@highlight

He says the French are suspicious of money and hostile toward the wealthy

@highlight

Fraser: Depardieu's choice to become a Russian citizen is seen as a rejection of France