Melbourne (CNN) -- The curious timing of North Korea's Unha-3 rocket launch, outside of its usual spring-summer launch window, raises questions about the political motivations behind Pyongyang's attention-grabbing move.

On Wednesday morning, just before 10 a.m. local time, South Korean news agency Yonhap and the Japanese government reported that the rocket had been launched. It came just days after North Korea extended the launch window due to technical issues.

Read more: North Korea rocket breaks up in flight

Taking heed of launch and the usual caveats about reading North Korean government behavior, we can discern three motives underlying Pyongyang's latest move: international bargaining, domestic legitimacy and strategic leverage.

This year, Northeast Asia is experiencing a unique convergence of elections and leadership transitions in the United States, China, Japan and South Korea. This follows the change of leadership in North Korea in December 2011.

Read more: Photos of North Korea's newest rocket

With Barack Obama's re-election in Washington and Xi Jinping named as the new Chinese President, the region awaits the outcomes of the Japanese election on December 16 and the South Korean presidential poll on December 19. Proliferation-related negotiating activity is on hold, leaving a diplomatic vacuum until the new governments are settled.

While North Korea appears to have no intention of relinquishing its nuclear or missile capabilities, its habitual tactic of engineering crises to leverage aid from the international community in exchange for de-escalation or proliferation freeze agreements is predicated on negotiations actually taking place.

Read more: The limits of North Korea's media openness

External aid fills gaps in the domestic economy and satisfies vital needs such as food and energy that the regime cannot provide for indigenously. The gambit fails if there are no negotiations.

A December rocket launch sends a strong signal from Pyongyang to its regional interlocutors to ensure that North Korea does not get overlooked amid the bureaucratic maelstrom that usually follows changes in government.

It will test the resolve of the new leadership teams and yield clues as to how they are likely to react individually and coordinate together in relation to North Korea in future.

Read more: One week in North Korea

Whichever candidate wins the election in Seoul is likely to move away from Lee Myung-bak's disastrous "reciprocity" policy toward greater engagement with Pyongyang. Japan is likely to adopt a more hawkish approach to North Korea if the Liberal Democratic Party wins the election, as polls currently suggest. How North Korea fits within the Sino-American relationship will also be of interest to Pyongyang, with Xi Jinping and his new Politburo Standing Committee at the helm in Beijing.

A successful rocket launch would also represent a sterling commemoration of the first anniversary of Kim Jong Il's death on December 17, much as the unsuccessful April launch was intended for propaganda purposes as a celebration of Kim Il Sung's centenary.

By demonstrating technological prowess, it would legitimize the regime's "strong and prosperous country" rhetoric and bestow prestige on North Korea's young new ruler, Kim Jong Un.

Similarly, Washington's prickly reactions to Pyongyang's provocations play into the Kim regime's anti-imperialist ideology, the staple of its propaganda output.

Read more: Witness to the cult of North Korea's Kim dynasty

Kim Jong Un's domestic legitimacy will grow if Pyongyang proceeds with tentative and embryonic economic reforms hinted at during the past year -- the 6.28 policy --in North Korea's agricultural sector.

Any economic reform program in North Korea risks creating new socio-economic cleavages -- grassroots entrepreneurialism and linkages to the global economy could foster powerful domestic actors who may develop interests that differ to those of the ruling regime.

For Kim Jong Un, legitimacy and prestige will be paramount if his government chooses to walk the path of economic adjustments.

One should also not discount the strategic motivations for the timing of the launch. In the past year South Korea has announced its deployment of cruise missiles with a range of 1,000 kilometers, capable of hitting targets anywhere in North Korea, along with tactical ballistic missiles and drones with a range of 300 kilometers.

It's no stretch to interpret North Korea's rocket launch in terms of a classic arms race, as a missile test in response to its adversary's upgraded missile systems.

The demonstration of a viable long-range rocket will add another piece to North Korea's nuclear deterrence posture. Pyongyang has yet to master long-range, multi-stage missile technology, despite a long developmental phase punctuated by a number of unsuccessful tests.

A successful launch may herald a movement from the developmental phase of the long-range missile program closer to deployment. This would increase Pyongyang's strategic and diplomatic leverage in relation to its northeast Asian neighbors and its ability to use this event as a bargaining chip to extract further aid from the international community.

Foreign policy decisions are generally arise from a mixture of motivations.

The unique confluence of leadership transitions across the region in late 2012 coincides with a North Korean state at an interesting point in its evolution.

North Korea's rocket launch suggests important clues about the manner in which Kim Jong Un and his government are attempting to navigate the swirling regional, strategic and domestic currents.

@highlight

Report: North Korea launches long-range rocket Wednesday

@highlight

Habib: Timing of North Korean regime rocket launch is out of ordinary

@highlight

Habib: Successful launch would be sterling commemoration of Kim Jong Il's death