(CNN) -- In television dramas like CBS' "Criminal Minds," serial killers are apprehended swiftly and surely.

In real murder cases -- as in the investigation and recent capture of a suspect in the so-called "Grim Sleeper" killings on the south side of Los Angeles, California -- it can take years, even decades, to bring a suspect to justice. Police are now saying that the arrest of 57-year-old Lonnie David Franklin Jr. closes the book on at least 11 unsolved murders that occurred since 1985.

Unlike most homicides, which are solved in a matter of days, if not hours, crimes committed by a prolific serial offender present a daunting challenge to investigators. There is an element of self-selection: Only those perpetrators who possess the right level of skill, street savvy or cunning can remain at large long enough to amass a large victim count and, therefore, achieve the status of serial killer. A careless wannabe would likely be stopped long before that point, and certainly before reaching double digits as did the Grim Sleeper.

However, the difficulties that homicide detectives confront when searching for unidentified serial murderers are not so much about their being "master criminals" -- as most are not -- but about their usual offense pattern and modus operandi. Several factors common among serial murderers and their crimes work in their favor and tend to keep their identity a mystery:

1. Serial murderers usually target strangers -- those who happen to be at the wrong place at the wrong time and who are selected either out of sheer convenience or because they fit the killers' fantasies and murder script. Thus, the standard investigative approach used by homicide detectives of assembling a list of likely suspects (friends, neighbors, and co-workers, anyone with a reason to kill the victim) doesn't help in the least. The killer could be just about anyone with whom the victims came in contact. And when the victims live off the streets, like some of the women slain by the Grim Sleeper, the list of possible suspects can be endless.

2. Serial killers generally dispose of their victims' bodies in remote or otherwise hidden places -- a river, a wooded area, or even in large garbage bags tossed in trash bins. As a result, the police don't have an evidence-rich crime scene (where the victims were assaulted) to scour for clues. The disposal site tends to yield very little in the way of physical evidence, especially if it is exposed to the elements or wildlife.

3. Serial killers tend to be ordinary in appearance, looking above suspicion. Like the man arrested in connection with the Grim Sleeper murders, they just don't fit our stereotype of a vicious killer. People are usually incredulous when they learn the allegation of their neighbor's hidden activities. In fact, the seemingly trustworthy veneer that aids serial killers in attracting victims into their grasp also serves them well in appearing anything but suspicious. In addition, their detailed planning process often includes conjuring up a host of plausible alibis should the police come knocking at the door.

4. Serial killers, like the Grim Sleeper, tend to prefer vulnerable people as targets, especially prostitutes, drug users or other marginal types whose disappearance will not generally bring a massive police effort or strong community response. Also, those on the street who might be in a position to witness the abduction of a prostitute or drug user do not generally make for cooperative and reliable witnesses.

For all of these reasons, serial killers, when eventually discovered, are often captured because of luck -- bad luck on their part and terrific luck for the rest of us. In the Grim Sleeper case, police used a discarded slice of pizza to get Franklin's DNA, which they linked to evidence at some of the crime scenes, sources told The Los Angeles Times.

And sometimes, serial killers just get a bit too overconfident after years and years of eluding law enforcement and begin to see themselves as unstoppable. At that point, they frequently become careless and take unnecessary risks. Ultimately, their own arrogance becomes their downfall.

Despite the challenges that serial murder cases pose for homicide investigators, there are certain strategies that can maximize the chances of solving a case, even when the trail grows cold with passing years. Although DNA evidence did not produce any direct hits to a suspect, the Los Angeles police went the extra mile by checking indirect familial DNA matches. After linking genetic material to a prisoner, circumstantial evidence led investigators to the inmate's father -- Lonnie David Franklin Jr. -- the Times reported.

But often the secret to success is nothing as intricate or intriguing as the various scientific tools featured on CSI-Wherever. Rather, it entails old-fashioned approaches such as canvassing the neighborhood, interviewing witnesses and preparing detailed investigative reports.

Most of all, successful serial murder investigations require skilled management of personnel and information. When the body count rises, so does the volume of leads that need to be pursued and number of officers involved in the manhunt. The key to solving a seemingly unsolvable crime often comes down to administrative efficiency, as well as to that little stroke of welcome luck.

The opinions expressed in this commentary are solely those of James Alan Fox.

@highlight

Serial killers often elude capture for years due to nature of their crimes, says James Alan Fox

@highlight

He says they are hard to identify because they lack obvious ties to the victims

@highlight

Fox says in many cases there is no crime scene available for analysis

@highlight

Administrative efficiency by police -- and luck -- play a key part, he says