Hong Kong, China (CNN) -- If the first episode of "Currency Wars" focused on pressure the U.S., Europe and emerging economies heaped on China for artificially keeping the value of its yuan low, the sequel could be called: "Currency Wars: The Fed Strikes Back."

At least that is how it's playing abroad.

At the G-20 summit in Seoul, Korea, and Asia-Pacific Economic Cooperation meet in Yokohama, Japan, U.S. President Barack Obama finds himself on the defensive after the U.S. Federal Reserve's decision last week to pump $600 billion into the economy.

That was brought into sharp focus Thursday when South Korean President Lee Myung-bak, host of the G-20 summit, was asked at a press conference about the impact of the Fed's decision.

"I think that kind of question should be asked to me when President Obama is not standing right next to me," he joked.

The Fed move was the latest volley in the topsy-turvy trade among global currencies. The euro started the year at $1.44, did a mid-year swan dive to $1.19, and is now back to $1.38. The Australian dollar hit parity with the U.S. dollar last week for the first time since Sydney floated the currency in 1983. Japan's economy was among those hardest hit by the financial crisis, yet the yen is trading at 15-year record highs.

World Bank President Robert Zoellick jumped into the fray on Monday, suggesting in a Financial Times commentary a limited return to the gold standard to provide stability to the markets. By Wednesday, he had backpedaled on that statement.

So what's going on?

Analysts say there is a sea change happening in the balance of world wealth in the wake of the financial crisis, churning large waves that are being felt in the currency markets.

Interactive: The new global economy

"To me the big subject that is just starting to be talked about now (is) ... how does the whole global currency system work?" said Garry Evans, global head of equity strategy for HSBC.

"The idea of floating currencies and free capital flows and no gold standard, that's a fairly recent development that only came in 1971 with (the) Richard Nixon doctrine," Evans said. "That's not how the world was run in most of the last 200 years, and that whole area is going to get re-thought."

Here are the key factors at play this week in the current currency conflict.

QE2 = Printing greenbacks

They don't call it 'quantitative' easing for nothing. The Fed announcement last week to increase the quantity of dollars sloshing through the global economy by $600 billion was the second round of quantitative easing since the financial crisis, (nicknamed 'QE2').

The policy aims to lower interest rates and encourage consumer spending, by pumping more cash into the economy, which the Fed hopes will boost American consumption and generate more jobs.

The by-product of that move: As more dollars hit the market, the value of the dollar decreases. Hence the outcry from countries that side with the U.S. against Chinese monetary policy, because the Fed's move can be seen as a way to artificially lower the value of the dollar.

"Whether that was the intent, the Fed certainly knew that would be the outcome," said Avinash Persaud, chairman of Intelligence Capital and an advisor to several G-20 government boards.

More dollars + emerging economies = bad?

QE2 also means emerging economies are bracing for an influx of dollars, and taking measures to guard against it. Why is the money headed to emerging markets, and why are developing nations worried about it?

The money will inevitably flow into emerging economies like Brazil and India because they have the largest growth rate, therefore the largest possible return on investment.

World underdogs take the lead

"If it was 1997, they would say,`Great!'" to the large influx of dollars, said Daniel Gros, director of the Centre for European Policy Studies in Brussels, Belgium. In 1997, developing economies in Asia were being battered by the Asian Financial Crisis.

"But right now they have enough capital, have enough employment. Moreover, when the capital arrives, the exchange rate (of the local currency) will strengthen," Gros said. "One thing (emerging economies) have learned from the Chinese: Sustainable, high growth rates requires you to export a lot."

If the local currency goes up against the U.S. dollar, the export industry will be hurt. That's why countries from India to Brazil have implemented new controls to slow the influx of cash expected from QE2.

The blank check of the U.S.

The U.S. economy has an incredible fringe benefit it alone enjoys: The U.S. dollar is the reserve currency of choice among foreign nations. China alone sits on $2.7 trillion in its foreign currency reserves. "It's like writing a check that nobody cashes," Persaud said.

"Other countries say, `I like this check, I'm keeping it, one day I may need to cash it'," Persaud said. "But your bank account remains the same, so what do you do? You keep on writing checks."

Being the reserve foreign currency of the world allows the U.S. to borrow money at very low interest. This also presents a problem for the U.S. -- it makes erasing its trade imbalance impossible, analysts say.

"I'm slightly oversimplifying it, but by definition, the U.S. has to export more than it imports," said Evans of HSBC. "Something like 70 percent of global reserves are in U.S. dollars. That means all those countries need to export more than they import to the U.S., because they need to put all those dollars in their reserves."

China's force field

There has been a lot of pressure placed on China regarding its peg to the U.S. dollar --- meaning it only allows the currency to appreciate in small doses relative to the dollar. Critics argue that places an unfair advantage that keeps the price of Chinese products artificially low.

China quit allowing its currency to appreciate after the financial crisis in 2008, but it began to move again in June --- although only rising about 2 percent. Critics argue it should be 30 percent higher or more.

What is currency manipulation, anyhow?

But another factor has shielded the Chinese monetary system. Whereas U.S. dollars are stacked as reserves in nations around the world, the Chinese yuan is not allowed to leave China through use of capital controls.

"If you're not a Chinese resident, you're not allowed to buy yuan, yuan bonds or have a Chinese bank account," Gros said. "It's the only major economy with capital controls."

That allows China to have tight control on the value of its currency.

What's next?

The U.S. came to Seoul with the hopes of setting hard targets for trade deficits and trade surpluses that would, in turn, limit when nations can allow their currency to appreciate or depreciate. So far, that looks unlikely. The strongest opposition against setting targets has come not from China, but the Europeans, especially Germany, said Domenico Lombardi, a fellow at the Brookings Institution.

"Fiddling around with exchange rates is papering over the real problems," said Persaud, who used to be a currency trader.

For China, the larger issue is switching over from an export-led economy to a domestically driven one. For the U.S., it's jumpstarting growth and scaling back its growing national debt. The direction of these two macroeconomic trends, analysts say, will determine the future skirmishes or peace on the currency battlefield.

"In the long run, China needs to have an open financial system," Lombardi said.

"My fear is that the 21st century will be for America what the 20th century was like for England, when the pound was the world's largest reserve currency," Persaud said. "Losing it is hell, because all those checks you've written? People start cashing them."

@highlight

A sea change in global wealth is churning waves in currency markets

@highlight

U.S. and China monetary policy are the key factors in 'currency wars'

@highlight

As a global reserve currency, the U.S. dollar also perpetuates trade imbalances

@highlight

China is the only major economy that restricts its currency flow through capital controls