Kathmandu, Nepal (CNN) -- Thirty-one years ago, the four men serving me tea at the table of an attractive house in Nepal's capital were taking punishment from the Antarctic weather and an equally unforgiving enemy on a remote island chain in the South Atlantic.

"Suddenly we were in the coldest part of the country, with clothing and things not suitable for a climate like that," said Chandra Kumar Pradhan, as he recalled his time as a soldier serving with the British Army during the Falklands War in 1982.

"You're walking with all those loads and everything, six or seven hours, you were sweating like hell; and then suddenly you stop, as soon as you stop you started digging and sweat more, and then... you were freezing, because the wind was blowing into the sweat, it was horrible."

Despite the fact that the 7th Duke of Edinburgh's Own Gurkha Rifles Regiment were a part of the British task force sent to repel an Argentine invasion of the Falkland Islands -- known as the Malvinas by Argentina, who also claim them -- their role has been largely absent from media accounts of the conflict.

Bloody conflict

This is probably because they never got to fire a shot against their enemy -- though they felt the brunt of Argentine bombs throughout the 74-day conflict, with many of their number injured by flying shrapnel.

By the end of the conflict Argentina put its death toll from the conflict at around 645, while Britain's civil and military losses amounted to 255, according to the Ministry of Defense.

The four comrades -- Bhuwansing Limbu, Chandra Kumar Pradhan, Deoman Limbu and Nirbahadur Tamang -- are Nepalese and veterans of a detachment of a British Army that harks back to its colonial past. The Brigade of Gurkhas, composed of more than 3,000 soldiers of Nepalese descent, who traditionally served in the British Indian Army before India became independent in 1947.

The four were also talking to an Argentine for the first time in their lives, which may have been a problem if the deep silence that followed this revelation was anything to go by.

Shared interests

Fortunately, two things saved the interview. First, I live in Hong Kong, where they were based and trained for many years before Britain's handover of the territory to China in 1997. Secondly, we share a passion for hiking -- a hugely popular pastime in Hong Kong -- and a conversation about the city's trails helped defuse the uneasiness.

These men had joined the army in the 1960s, having had their first experience of war during the Borneo Confrontation -- a conflict between British-backed Malaysia and Indonesia that ended in 1966.

"I was very new at the time, I had been with the regiment for, I think, two weeks," Pradhan said. He was just 18 when he first saw action.

On leaving the British Army in the 1990s, the men could have chosen to live in the country they had defended. But they chose their home in the Himalayas.

"I have been around the world, and Nepal is the only country where you can see the mountains from your window," Pradhan said.

"I love Nepal, most of our relatives and friends are here," Bhuwansing Limbu added.

"One [of my] daughters and two [of my] sons have UK citizenship, but they don't like to go there, therefore, I like to stay here in my motherland," Nirbahadur Tamang explained.

Argentine ambition

These men who have seen the world but never visited Argentina.

"I always tell my daughter, one day I will definitely go to Argentina," said Pradhan. "But if we go to Argentina and if they know we are Gurkhas who fought in the Falklands, will they be angry with us?"

I couldn't reply that question. Nationalists exist everywhere but I believe most Argentines want to forgive, forget and get on with their lives. At the end of the day, most of the men sent by my country to fight one of the most professional armies on Earth were still teenagers.

"You could see on the faces of these guys, they were not fully trained for the war," Pradhan recalled. "They were conscripts -- we knew that later on," Deoman Limbu added.

As the men cycled through their wartime memories one thing became apparent: there was no clear advantage for either side during the confrontation.

"They had better assets, they had better clothing," Pradhan said. "All of their weapons were deployed there," Deoman Limbu continued.

The men described having had one of their best battlefield meals from abandoned Argentine rations.

Alternative outcome

And this led to a second silence in the conversation while they pondered something else. What would have happened if the Argentine military had enjoyed a more favorable outcome?

The hemisphere's bloodiest dictatorship would have been strengthened and lengthened.

Fortunately, the ruling junta in Buenos Aires fell shortly after our defeat. I was just an eight-year-old boy when democracy finally ended our plight, and I am lucky to have almost no recollection of those bitter years; I belong to the "almost-unscathed generation."

One of the most emotional parts of our encounter -- well after the end of our formal interview -- came when I thanked these aging Nepali men, who were once young and thirsty for adventure, for helping to bring freedom to my country -- even if they didn't know it and despite the cost in human lives, British and Argentine.

@highlight

Gurkha units of British army deployed to fight in the Falklands War in 1982

@highlight

The Nepal-born troops are a product of Britain's colonial past

@highlight

Their regiment was part of British task force sent to repel Argentine invasion of islands