In the midst of chaos here on Earth, scientists are finding hope for life on other planets.

Scientists announced Thursday the discovery of three planets that are some of the best candidates so far for habitable worlds outside our own solar system -- and they're very far away.

NASA's Kepler satellite, which is keeping an eye on more than 150,000 stars in hopes of identifying Earth-like planets, found the trio.

Two of the planets -- Kepler-62e and Kepler-62f -- are described in a study released Thursday in the journal Science. They are part of a five-planet system in which the candidates for life are the farthest from the host star.

Their host star -- which corresponds to Earth's sun, but is smaller and cooler -- takes the name Kepler-62. The star's planets are designated by letters after the star's name.

A third planet that's potentially habitable, but not included in the Science study, is called Kepler-69c. A study about it and its system is published in The Astrophysical Journal.

These are the smallest planets ever found in the "habitable zone," the area near a star in which a planet can theoretically hold liquid water. Kepler-69c seems less clearly in the habitable zone than the other two planets, but scientists haven't ruled it out.

"With all of these discoveries we're finding, Earth is looking less and less like a special place and more like there's Earth-like things everywhere," said Thomas Barclay, Kepler scientist at the Bay Area Environmental Research Institute in Sonoma, California.

You won't be swimming on the planets anytime soon, though. The Kepler-62 star is 1,200 light-years away; Kepler-69 is 2,700 light-years away. A light-year, the distance that light travels in a vacuum in one year, is nearly 6 trillion miles.

What are these planets like?

The smaller a planet is, the more likely it's rocky and the less likely it's made of gas, said William Borucki, Kepler science principal investigator at NASA Ames Research Center.

That makes Kepler-62f, thought to be 40% larger than Earth, potentially the most like our planet out of the new discoveries. It could be rocky, Borucki said, with polar caps, land mass and water as well. It goes around its star once every 267.3 days (Earth days, that is).

If you were standing on Kepler-62f, the star in the sky would look bigger than our sun does, but "the illumination level would be like walking around on Earth on a cloudy day," Borucki said at a press briefing. "It drops by a factor of five."

Kepler-62e appears to be 60% larger than our planet and a little closer to its host star; this one could be a "water world" of mostly deep oceans, he said. It circles its star in 122.4 days.

"All these planets that we're finding are quite different than planets in our own solar system," Borucki said.

Kepler-69c appears to orbit a star similar to Earth's sun, Barclay said. As it's estimated to be about 70% larger than Earth, it may also be a water world, with oceans thousands of kilometers deep. This planet is also exciting because it is the smallest scientists have found that orbits a sun-like star in the habitable zone.

It's not likely to have a rocky surface, Barclay said. According to what little we know about it, Kepler-69c is probably significantly warmer than Earth and could be more like Venus.

"Probably, if there is life, it would be very unlike what we see on our own world," Barclay said.

If scientists' notions of a "habitable zone" were applied to our own solar system, both Earth and Mars would fit the bill. But Mars doesn't have enough gravity to hold onto an atmosphere that could heat it sufficiently, said Lisa Kaltenegger, research group leader at the Max Planck Institute for Astronomy in Heidelberg, Germany, in a press conference. Still, the Mars rover Curiosity has uncovered evidence that the Red Planet was, indeed, hospitable to life in the past.

Other worlds that may have life

Borucki said the new planets are "by far" better candidates for life than any others we know about, but a handful of others also have been identified as potentially capable of hosting life.

You may recall planet Kepler-22b, which was announced in December 2011 and also was hailed as a potential candidate for hosting life. That planet had a radius 2.4 times that of Earth and is 600 light-years away.

Kepler-22b was thought to have a temperature similar to that of Earth, according to modeling by Borucki and colleagues. The planet's host star is dimmer and cooler than our sun, but the planet is also 15% closer than we are to the sun.

There is also a planet called Gliese-581g, discovered in September 2010, which is thought to be even more like Earth than Kepler-22b in terms of its suitability for plants and animals. It's only 20 light-years from Earth -- a lot closer than the newly discovered planets, though there has been some controversy about its existence.

In its solar system there is another planet, Gliese-581d, that is also of interest in the search for life, according to the Planetary Habitability Laboratory at the University of Puerto Rico at Arecibo. The group's catalog lists a few other candidates.

However, just like the other planets, we haven't seen or tested the atmospheres of any of these planets, so whether they're habitable remains theoretical.

Often, when you find an example of a kind of planet, you start seeing a lot of them, said Sara Seager, professor of planetary science at Massachusetts Institute of Technology. She used to be part of the Kepler team but is now independent.

"Planets in the habitable zones of stars must be everywhere," she said.

Seager called the discovery of the three planets "a huge milestone," but her excitement is tempered because potentially habitable planets have been announced in the past and there's currently no way to get more details, given how far away they are.

"We'll possibly never know if these particular ones do have water oceans or signs of life," she said.

More space news on CNN's Light Years

Identifying planets, not atmospheres

The goal of the Kepler mission wasn't to find alien lifeforms, however. The satellite is supposed to investigate Earth-sized planets around stars that resemble our sun.

The Kepler telescope, launched in 2009, allows scientists to measure changes in brightness of individual stars over time; these dimming events signal that a planet is nearby. Scientists undertake sophisticated calculations to verify that such signals are planets and not passing rocks.

The satellite finds planets that are very far away because it's surveying so many stars. Imagine, said Seager, that you are in Times Square and you want to see 150,000 people at once. You wouldn't be able to do it in such a way that you could see any details of the people; you'd have to get far enough away that that many people would fit into your field of view.

In total, Kepler has found 122 confirmed planets and more than 2,700 planet candidates. A total of seven confirmed planets were announced Thursday -- the three in the habitable zone, and four others that are not.

This isn't the only planet-finding technique. The Gliese-581 system was found with the Keck I Telescope in Hawaii, using what is called the radial velocity method. The telescope's spectrometer allows scientists to look for wobbles in the motion of a star, which happens in response to the gravity of nearby planets.

It would take a different kind of mission to investigate the atmosphere of one of these distance planets to find out answers to the most-pressing questions. Is there carbon dioxide and water? Is there oxygen?

"Future NASA missions are going to focus on more nearby stars that we can look at in much more detail," Barclay said.

You can read more about the Kepler discoveries at the mission website.

More space and science news from CNN Light Years

@highlight

Scientists discovered 3 planets in the "habitable zone" of their host stars

@highlight

Kepler-69c seems less clearly in the habitable zone than the other two planets

@highlight

They are all more than 1,000 light-years away

@highlight

The Kepler satellite is looking at more than 150,000 stars for possible planets orbiting them