(CNN) -- Once called the "mad dog of the Middle East," Libya's often flamboyantly dressed ruler, Moammar Gadhafi, has ruled the north African nation for 42 years.

But Libya's 679,362 square miles and 6.4 million people have rarely seemed enough for Gadhafi, who in 2008 gathered a group of African tribal leaders and had them grant him the lofty title, "King of Kings."

It was part of his campaign for a unified Africa -- a single federation with a million-man army at its disposal -- a nation that he, naturally, would serve as president, said Ronald Bruce St. John, the author of seven books on Libya.

"The Libyan stage is not enough of a playhouse for Gadhafi. It never has been," St. John said.

Gadhafi's "King of Kings" ploy was only another in a string of efforts by the mercurial leader to secure a larger-than-life place for himself on the world stage, efforts that have frequently landed him and his citizens in the harsh glare of an angry international community, according to St. John.

Gadhafi's growing anger over the rejection of Arab and African leaders and his own growing anti-Western sentiment led him to turn to terrorism in the 1970s and 1980s, said Dirk J. Vandewalle, a Libya expert at Darmouth University.

It led to the infamous bombing of a Pan Am flight over Lockerbie, Scotland, in which 270 people died.

"Terrorism was a cheap way to get even with the West," Vandewalle said.

Gadhafi, who will turn 69 in March, seized control of Libya in the very place where the current tumult seems strongest, the city of Benghazi.

As an Army captain, he led a bloodless coup against King Idris on September 1, 1969, establishing the Libyan Arab Republic in just two hours, according to GlobalSecurity.org, an independent provider of security information.

He established a putative system of direct democracy called Jamahiriya that supposedly allowed the nation's citizens direct input into their government, St. John said. In reality, the country was sliding into a dictatorship led by Gadhafi, he said.

In taking control of the country, he became one of a number of young revolutionaries in the region carrying a strong message of Arab nationalism in the mold of Egyptian President Gamel Abdel Nasser, Vandewalle said.

Although U.S. leaders initially tried working with Gadhafi, it quickly became clear he was an Arab nationalist and relations with the West quickly deteriorated, St. John said.

By 1972, he was urging Muslims to fight Western powers, including the United States and Great Britain, and backing black militants in the United States as he pursued a leadership position in the Arab world, seeking to succeed his political idol, Nasser, who had died in 1972.

But Arab leaders shunned his responses, Vandewalle said, seeing him more as a "buffoon" and a "clown" than a potential pan-Arab leader.

That rejection, his own growing anti-Western sentiment and a lack of criticism within the tightly controlled Libyan political environment led Gadhafi to turn to terrorism, Vandewalle said.

"I think it was frustration more than anything else," he said.

In 1986, Libya was implicated in the fatal bombing at a West Berlin nightclub that left one American service member dead, prompting U.S. President Ronald Reagan to dub the Libyan leader the "mad dog of the Middle East."

The United States bombed targets in Libya in response and imposed economic sanctions.

Two years later, Libya was implicated in the 1988 bombing of Pan Am Flight 103, which exploded over Lockerbie, Scotland.

In 1999, seeking rapprochement with the West, Gadhafi succumbed to Western demands to turn over suspects in the Lockerbie bombing, and in 2003 the country agreed to eliminate weapons of mass destruction.

The moves helped the country regain diplomatic relations with the United States in 2006, but that wasn't the end of Gadhafi's touchy relations with foreign nations.

In 2008, Swiss officials jailed one of Gadhafi's sons, prompting the furious leader to cut off the country's oil supplies, withdraw the country's money from Swiss banks and threaten to cut off diplomatic relations.

And in 2009, Libya and Gadhafi again became the subject of international ire in 2009 when the government granted a hero's welcome to Abdel Basset al-Megrahi, who had been convicted in the Lockerbie bombing but was released by Scottish authorities for health reasons.

While his politics have brought the attention of international leaders, it may be Gadhafi's personal style that has brought him the most awareness around the world.

Gadhafi is known for appearing in public in outrageous, sometimes outlandish, garb, St. John said.

Images of the Libyan leaders available on the Internet show him dressed in everything from lavishly decorated military uniforms to animal prints.

Gadhafi famously travels with a traditional Bedouin tent, whose appearance in 2009 frustrated officials in Bedford, New York, when he came to New York to address the United Nations.

He also travels with a retinue of female bodyguards, St. John noted.

While Gadhafi has a substantial number of enemies within Libya, his use of the county's enormous oil revenues to provide subsidized health care, education and housing to citizens, as well as his willingness to stand up to the West, granted him a reserve of good will that he still draws on today, said Vandewalle.

"This was a young nationalist who stood up to the West, who nationalized the oil companies, who stood up to Great Britain and the United States," Vandewalle said. "It was highly symbolic and there are a number of people there who still grudgingly respect him for that."

CNN's Greg Botelho contributed to this report

@highlight

Moammar Gadhafi has ruled Libya for 42 years

@highlight

He took control in a bloodless coup with fellow military officers in 1969

@highlight

His efforts at a larger world role have often brought harsh international attention to his nation