Although it's not huge in area --  seven miles by seven miles to be specific -- San Francisco can feel like a gargantuan city, what with its bustling waterfront, 43 steep hills, two historic military forts and a herd of bison.

That's to say nothing of the culinary magic and artistic atmosphere.

Visiting for business and short on time? It's still possible to squeeze in some of San Francisco's spoils if you do things right.

From the most photogenic vistas to the meal you'll be talking about for years to come, these tips will help you make the most of your San Francisco visit.

Fastest, most comfortable airport transport

A long shuttle ride from the airport can spoil your first impression of San Francisco.

With reliable customer service and a fleet of impeccably maintained vehicles, Gateway Global is all style, no hassle.

Instead of fumbling with your bags to find a taxi, you'll have a driver waiting inside the airport.

You'll then ride in a luxury sedan to downtown San Francisco ($103), Oakland ($168) or San Jose ($161).

Gateway Global, +1 650 697 5548

Stylish sleeps

Downtown is packed with shiny business hotels, but the leader of the pack has to be the Four Seasons Hotel San Francisco.

Located in the SoMa (South Market) neighborhood with convenient access to the Moscone Center, it offers complimentary limo service to destinations within three miles of the hotel.

All of the spacious guestrooms feature floor-to-ceiling windows, but for the best views (and even more space), we recommend getting a premier room in the "09" series.

A relative newcomer on the hotel scene, the Hotel Vitale provides a winning combination of business convenience and pleasurable extras.

Its Embarcadero location places it within easy walking distance of the financial district but away from the bustle of Market Street.

Amenities include outdoor terraces, free yoga classes and access to the enormous Embarcadero YMCA.

Some of the tranquil guestrooms are interior, some offer city views.

For the best views, there's the water-view room or the Deluxe Panoramic Circular Suite.

Four Seasons Hotel San Francisco, 757 Market St.; +1 415 633 3000

Hotel Vitale, 8 Mission St.; +1 415 278 3700

Memorable meal

Stuart Brioza and Nicole Krasinski, the husband-and-wife team behind State Bird Provisions, think of their restaurant as a sort of culinary workshop, where they dabble in "current California cooking" -- whether that's smoking, sauteing or fermenting.

The printed menu contains a few choice meals but it's more fun to select dishes as they come around on a cart, dim sum style.

The star menu item is, of course, quail, California's state bird, fried to perfection and accompanied by "provisions" like stewed onions, lemon and rosemary.

Meanwhile, chef Brioza calls the "Don Watson's lamb with cumin, squid, padrons and grapes" a "great combination of sweet and savory."

By swapping in seasonal produce, he says the restaurant is able to keep a version on the menu most of the time.

Chef Krasinski's pick is the albacore tartar "constructable."

"The earthy and savory flavor of the black garlic, and the crunch of our house-made nori chips, make this dish really stand out from other seafood tartars," she says.

Scoring a meal here requires planning, strategy and patience.

Slots 60 days out are posted daily on the website, but disappear fast.

The restaurant reserves a significant amount of tables for walk-ins -- but expect a long wait.

You can do cocktails at nearby Fat Angel and the restaurant will text you when your table is ready.

If you've got a group of six to 12, you can reserve a group table and enjoy the four-course set menu.

State Bird Provisions, 1529 Fillmore St.; +1 415 795 1272

Fat Angel, 1740 O'Farrell St.; +1 415 525 3013

Unique clothes

Union Square's posh shopping centers, designer shops and department stores may dazzle, but San Francisco's true shopping spirit resides in its eclectic boutiques, where you can pick up unique pieces that will have friends asking, "Where'd you get that?"

Situated just off Union Square, Ethos is an airy space run by Rose and Cat Chung, a mother-daughter pair who curate a gorgeous mix of well known and emerging designers.

Custom clothier Beckett & Robb is the place to go for tailor-made menswear. Adhering to the philosophy that quality suits don't have to cost a fortune, the outfitter personalizes the suit-buying experience while making it accessible for various budgets.

You'll consult with one of the shop's experts and choose from 15,000-plus fabric options. The result is a one-of-a-kind ensemble.

In the Mission District, Little Paper Planes showcases all things artisanal in a space that feels as much like a gallery as it does a shop. Artist and curator Kelly Lynn Jones launched it as an online artist collective to showcase and support emerging artists.

The physical store augments that mission through events and exhibitions, as well as a shop full of original designs (art, jewelry, everything in between) by more than 70 international artists.

Ethos, 333 Sutter St; 1 415 800 6707

Beckett & Robb, One Embarcadero Center; +1 415 685 0848

Little Paper Planes, 855 Valencia St; +1 415 643 4616

Best photo ops

It'd be wrong to leave San Francisco without a requisite skyline shot to make your Instagram followers jealous.

For a shot of the iconic skyline, head to the San Francisco Art Institute -- the rooftop is one of the rare vistas that allows you to capture both the Transamerica Pyramid and Coit Tower.

While you're there you can check out the institute's historic Diego Rivera mural, "The Making of a Fresco."

Crissy Field is a common spot to shoot San Francisco's bridge beauty -- but since the Golden Gate Bridge is said to be the most photographed bridge in the world, your photo from here will be anything but common.

For unique angles of the Golden Gate Bridge, you can try Fort Mason. Bonus: It's also a great spot to capture Alcatraz.

A hike up Tank Hill -- one of the city's lesser known but most gorgeous peaks -- gets you sweeping views of the bay.

In Dolores Park, the skyline plays backdrop to green hills where palm trees and vitality reign.

Fort Mason Center, 2 Marina Blvd.

San Francisco Art Institute, 800 Chestnut St.; +1 415 771 7020

Tank Hill Park, Belgrave Avenue

Mission Dolores Park, 19th and Dolores streets

San Francisco in .5 Miles

Got a free day to explore before you go home?

Midway between downtown and Fisherman's Wharf, vibrant North Beach captures the eclectic pulse of San Francisco.

Like the city itself, the neighborhood is vibrant and friendly, sporting a little bit of glitz (in its lively nightlife scene), a little bit of grit (in the neon girlie signs of Broadway) and a whole lot of character.

Best known as the city's Italian neighborhood and the hangout of Beat writers like Allen Ginsberg and Jack Kerouac, North Beach is brimming with Italian restaurants and buzzing with "bohemia."

You can start off a North Beach afternoon at famed City Lights Bookstore, then call upon your own muses at Caffe Trieste, a former Beat hangout.

On a stroll through the neighborhood, you can browse in the shops, check out Lyle Tuttle's Tattoo Museum or venture up to Coit Tower.

We recommend ending the tour with something from Gelato Classico that you can enjoy across the street in Washington Square Park.

For dinner there's the tiny and delightful L' Osteria del Forno, which serves fresh Italian, followed by Beach Blanket Babylon, the longest-running musical revue in the country and one of those off-the-wall extravaganzas for which San Francisco is famed.

City Lights Booksellers, 261 Columbus St.; +1 415 362 4921

Caffe Trieste, 609 Vallejo St.; +1 415 982 2605

Lyle Tuttle's Tattoo Museum, 841 Columbus Ave., +1 415 775 4991

L' Osteria del Forno, 519 Columbus Ave.; +1415 982 1124

Beach Blanket Babylon, 678 Green St.; +1 415 421 4222

Easy-to-pack souvenirs

Pier 39 is teeming with souvenir shops where you can pick up all manner of the usual tchotchkes, but does anyone back home really want a cable car snow globe or a T-shirt that says "San Francisco"?

More creative items speak for the city because they're of the city.

City Lights Booksellers is the place to find a classic copy of Allen Ginsberg's "Howl," or a journal emblazoned with the store's famous facade.

If you hit Anchor Brewing for a beer you can buy a sleek bottle opener or a classic print of old San Francisco.

City Lights Booksellers, 261 Columbus St.; +1 415 362 4921

Anchor Brewing, 1705 Mariposa St.; +1 415 863 8350

@highlight

San Francisco packs historic attractions, fantastic food and plenty of art into its 49 square miles

@highlight

For rooms with great views, hit the Four Seasons or Hotel Vitale

@highlight

State Bird Provisions cooks meals featuring California's state bird -- the quail