(CNN) -- While their peers were playing video games or panicking about the prom, a group of young whiz kids has been prioritizing medical innovation.

From Maryland to Dubai, these social-minded prodigies are winning prizes at international science fairs, developing medical innovations and picking up advanced degrees in hopes of saving lives.

Here are eight of the most impressive kids from around working towards a healthier tomorrow.

Joshua Meier, 18, New Jersey

Stem cells are valued for their ability to develop into specialized cells, and have the potential to treat Parkinson's disease, spinal cord injury and other conditions. But artificially generated stem cells have short lifespans that limit their medical usefulness.

Joshua Meier's award-winning research, which started off as a class project when he was just 14, identified the genes linked to this cell aging process. Meier, who will begin studying biology and computer science at Harvard this fall, hopes that his research can be applied to other cells, and eventually lead to real-world solutions, like treating cancer.

"Cancer is a disease where cells keep growing and growing and growing," Meier says. "But if we age cancer and stop its growth, then that's a potential treatment."

Adeeb Alblooshi, 10, Dubai, United Arab Emirates

It was a trip to the beach that sparked Adeeb Alblooshi's inventing career. When his father -- who had suffered from polio -- could not go swimming because of his prosthetic leg, Adeeb, then six, made him a waterproof alternative using an enhanced medical wax coating. Soon after, he created a small vibrating robot to help his mother clean small spaces. It wasn't long before the media, and subsequently the Dubai government, came calling.

With the government's supervision and funding, he's come up with five more inventions since then, including a seat belt that monitors a passenger's heart rate and alerts the authorities when it's too high or low.

Since April, he's been on an international scientific tour with the Emirates Institution for Advanced Science and Technology, which has had him attending academic conferences, meeting with researchers, and even attending space camp at the U.S. Space & Rocket Center in Alabama.

"I've learned a lot, but most importantly, I'm having fun while doing it," he says.

Samantha and Michelle Marquez, 18 and 15, Virginia

For Samantha and Michelle Marquez, science is a family affair. The daughters of a chemist and a chemical engineer, the two were always encouraged to ask questions and hunt down answers.

A school project when she was in seventh grade led Samantha to create "celloidosomes," three-dimensional structures built out of living cells, which act as a container for other particles. She suggests that these capsule-like structures could be used for organ repair and as innovative way to deliver drugs to the body, but anticipates that there could other applications too.

"I like to think that the celloidosomes is really just one very small pebble in the beach," she says, "a very small grain of sand in the beach that's going to be the movement towards bottom-up engineering for medicine."

Michelle, on the other hand, decided to explore elements that couldn't be touched: music and emotions. Her research analyzed brain activity and found that highly complex sounds -- or chaotic noise -- triggered the part of the brain associated with negative emotions, while low-complexity music triggered the part of the brain associated with positive emotions.

Both sisters were recognized at the prestigious Intel International Science and Engineering Fair (Intel ISEF), but there's little sibling rivalry at play.

"I think it's been really great to see Michelle blossoming into the young woman, the young scientist that she is," Samantha says. "I think she's kind of paving her own journey."

Sandile Kubheka, 21, Newcastle, South Africa

While others his age were just getting into the swing of university life, Sandile Kubheka, then 20, had become South Africa's youngest doctor, four years ahead of schedule.

Since then, Kubheka, now 21, has been honored with a slew of awards for his community work and medical achievements, and was nominated for an MTV Africa Music Award for leadership. These awards acknowledge not just his obvious precocity, but the time he's put in outside of the classroom, especially when he was a student. On weekends, he was helping under-serviced communities, taking care of patients at a student-run clinic; during his December holidays, he was volunteering in the labs of rural hospitals, to serve the community and hone his own skills.

These days, he's had to cut back. He spends most waking hours completing an intensive two-year internship at Grey's Hospital in Pietermaritzburg, South Africa, but he finds time to act as an ambassador for the South African National Blood Service, and set up a trust fund to help youth in developing nations and rural regions get into engineering and medicine.

"Now that I've started working, it's harder to balance that," he says laughing. "But as soon as I've got that balance, I want to get back to the community."

Tony Hansberry, 20, Jacksonville, Florida

Tony Hansberry was likely the only 14-year-old boy making a difference in gynaecology. Attending a high school with a program geared towards medicine gave Hansberry the chance to intern at the nearby UF Health Shands Hospital in Gainesville, Florida. There, he was challenged to improve how the vaginal cuff (the top of the vagina) is sutured after a hysterectomy. Typically, the cuff is sewn together with a horizontal stitch to decrease the risk of infection after surgery, but Hansberry suggested that a vertical stitch might be faster.

When demonstrating his method on a mannequin, he was able to suture the area three times faster than the traditional method. It proved so much more effective that the supervising doctor still uses his method today, having nicknamed it the "Hansberry Stich."

Now 20, Hansberry is studying chemistry at Florida Agricultural and Mechanical University. He hopes to become a surgeon someday, and make a difference in the lives of others.

"That's what I love about the idea of medicine," he says. "The fact that you can change so many lives with just your hands."

Jack Andraka, 17, Maryland

Jack Andraka was aged just 14 when he started developing an easy early-detection test for pancreatic cancer. By the end of the school year, he succeeded.

The test, developed under the guidance of a Johns Hopkins professor, takes just minutes to complete, and Andraka claims it is faster, cheaper, and more sensitive than the current medical standard.

Though his invention has yet to undergo peer-review or rigorous testing, it earned Andraka not only the $75,000 grand prize at the Intel ISEF in 2012, but also the attention of every major news organization, frequent speaking gigs (check out his TEDTalk here), and a seat on "The Colbert Report." It seems the whole world is waiting to see what he does next.

Andrew Almazán Anaya, 19, Mexico City, Mexico

Andrew Almazán Anaya is best known for becoming a qualified psychologist at 16, but in his eyes, he still has a lot to accomplish.

"[I studied] not only because I wanted to learn more, or I liked the subject -- I have to make this knowledge useful for future," says Almazán Anaya, who is also an MD.

This is why, for the last five years, he's been part of a team trying to perfect islet cell transplantation in diabetics -- working to prevent the cells from being rejected by a recipient's immune system.

While the team awaits the OK to move from testing on mice to larger animals, Almazán Anaya has more time to dedicate to "Centro de Atención al Talento" (the Talent Attention Center), a group that pushes for the early identification and support of gifted children, where he serves as head of psychological research. He hopes his internationally recognized work will spread awareness about gifted kids, and equip them to make the most of their potential, as he has.

@highlight

We look at eight of the world's most impressive young medical pioneers

@highlight

Ten-year-old Adeeb Alblooshi created a waterproof prosthetic leg

@highlight

Jack Andraka developed a cancer test when he was 15

@highlight

Samantha Marquez started developing a revolutionary 3-D cell structure when she was 11