Thomas Eric Duncan left Liberia for the United States, by official accounts, a healthy man. Just over two weeks later, he passed away at a Dallas, Texas, hospital with Ebola.

Duncan was admitted into isolation at Texas Health Presbyterian Hospital on September 28 with common symptoms of Ebola: fever, vomiting and diarrhea. He later tested positive for the virus that has killed more than 3,400 people in West Africa.

He was started on the experimental drug brincidofovir on October 4 -- far too long after he arrived at the hospital, his family has said. On Tuesday, the hospital reported that Duncan was on a ventilator and his kidneys were failing.

Duncan died on Wednesday at 7:51 a.m.

"His suffering is over," his partner Louise Troh said in a statement. "My family is in deep sadness and grief, but we leave him in the hands of God. Our deepest sympathies go out to his father and family in Liberia and here in America. Eric was a wonderful man who showed compassion toward all."

Who was Duncan, besides the first person to be diagnosed with Ebola in the United States? When did he start to feel sick, and why couldn't the U.S. health care system save him?

"The past week has been an enormous test of our health system, but for one family it has been far more personal," Dr. David Lakey, commissioner of the Texas Department of State Health Services, said in a statement. "The doctors, nurses and staff at Presbyterian provided excellent and compassionate care, but Ebola is a disease that attacks the body in many ways. We'll continue every effort to contain the spread of the virus and protect people from this threat."

Who was Thomas Eric Duncan?

He was a 42-year-old Liberian citizen. Duncan's Facebook page indicates that he's from the Liberian capital of Monrovia, where he attended E. Jonathan Goodridge High School.

Why did he come to the United States?

To visit family and friends. Duncan was visiting his son and his son's mother in Dallas, according to Wilfred Smallwood, Duncan's half-brother, who noted this was Duncan's first trip to America.

When did Duncan leave Liberia?

He departed the West African nation on September 19, CDC Director Dr. Thomas Frieden says.

How did he get Ebola?

Health authorities haven't said.

Witnesses say Duncan had been helping Ebola patients in Liberia. Liberian community leader Tugbeh Chieh Tugbeh said Duncan was caring for an Ebola-infected patient at a residence in Paynesville City, just outside Monrovia.

The New York Times reported that Duncan had direct contact with a pregnant woman stricken with Ebola on September 15, days before he left for the United States. Citing the woman's parents and Duncan's neighbors in Monrovia, Liberia, the newspaper said Duncan had helped carry the ailing woman home after a hospital turned her away because there wasn't enough space in its Ebola treatment ward.

Was he screened for Ebola before getting on the plane?

Yes, according to Binyah Kesselly, board chairman of the Liberia Airport Authority.

"The first screening was at the gate, before you get to the parking lot. The second time is before you enter the terminal building and the third is before you board the flight. At every point your temperature is scanned."

His temperature at those checkpoints was a consistent 97.3 degrees Fahrenheit, Centers for Disease Control and Prevention chief Thomas Frieden told reporters Thursday.

Yet on a health screening questionnaire, Duncan answered "no" to questions about whether he had cared for a patient with the deadly virus and whether he had touched the body of someone who died in an area affected by the disease, Kesselly said.

Complete coverage on Ebola

When did his Ebola symptoms appear?

"Four or five days" after his trip, according to the CDC's Frieden.

This doesn't mean that Duncan actually got infected with Ebola in the United States. The incubation period for the virus is 2 to 21 days, meaning that a person could be infected with the disease for up to three weeks before showing any signs of it.

When he did seek medical help?

Duncan first walked into Texas Health Presbyterian Hospital Dallas after 10 p.m. on September 25.

Smallwood reports Duncan had a fever and was vomiting during this first visit to the Dallas hospital. The hospital, in a statement, said he had a "low grade fever and abdominal pain."

He underwent basic blood tests but wasn't screened for Ebola, said Dr. Edward Goodman from the Dallas hospital. Duncan left the medical facility after being given antibiotics and a pain reliever, his friend said.

"His condition did not warrant admission," the hospital said. "He also was not exhibiting symptoms specific to Ebola."

Were flags raised that Duncan might have Ebola?

After being asked by a nurse, Duncan did say that he'd traveled from Africa, said Dr. Mark Lester, executive vice president of Texas Health Presbyterian's parent company.

But that detail -- which might have raised an alarm that Duncan might have Ebola, since Liberia is one of the countries hardest hit by the virus -- was not "fully communicated" to the medical team, according to Lester.

When was he admitted to Texas Health Presbyterian Hospital?

On September 28. By the time Duncan arrived via ambulance, "EMS had already identified potential need for isolation," the hospital said.

What treatment did he receive?

Duncan was given supportive therapy -- meaning fluids and other therapies that would help support his immune system while it was trying to fight off the virus. He was also started on the experimental anti-viral drug brincidofovir on October 4.

Since the drugs being used to treat Ebola are still experimental, it is up to each individual hospital to file the paperwork with the Food and Drug Administration for permission to get the drug from the manufacturer and use it.

The hospital has declined to tell CNN when they filed for permission to the FDA to use brincidofovir.

"The care team has been consulting with the CDC and Emory, on a daily basis since Mr. Duncan was admitted to the hospital, discussing the possible course of treatment, including the use of investigational drugs," hospital spokesman Wendell Watson said in a statement.

Family questions wait on experimental drug

Duncan was not given a blood transfusion with blood donated by an Ebola survivor, as Ebola patients Dr. Rick Sacra and Ashoka Mukpo were given in Nebraska.

Why did he die?

The other Ebola patients brought to the United States for treatment are still alive. Three have been released from the hospital and one is reportedly in stable condition at The Nebraska Medical Center. So what's different about Duncan?

As Lakey said, Ebola attacks the body in many ways. Experts estimate the current outbreak in West Africa has around a 71% fatality rate. Supportive therapy can help, but there are no proven cures for the disease.

Duncan did not start receiving treatment until several days after he started experiencing symptoms, which may have contributed to his rapid decline.

What will happen to his body?

An Ebola patient's body is still highly infectious. Any contact with the bodily fluids could result in transmission of the virus. "Only personnel trained in handling infected human remains, and wearing PPE (personal protective equipment), should touch, or move, any Ebola-infected remains," CDC guidelines state. "Autopsies on patients who die of Ebola should be avoided."

Duncan's body will be enclosed in two bags and the bags will be disinfected for transportation, Texas health officials say. Then the body will be cremated.

@highlight

Thomas Eric Duncan passed away on October 8 at 7:51 a.m.

@highlight

Duncan, 42, is the first person diagnosed with Ebola in the United States

@highlight

Duncan had a fever, was vomiting when he went to a hospital; he was sent home

@highlight

Liberian man was admitted to the same Dallas hospital, isolated days later