Washington (CNN) -- One year after a video surfaced showing government contractors using hedge clippers to cuts limbs off anesthetized goats -- an effort to replicate wartime injuries -- the U.S. Coast Guard says it is looking for training that does not use live animals.

In a report released Friday, the Coast Guard cleared its members of any wrongdoing, saying the training is required by the Department of Defense and that Coast Guard participants did not violate any law, regulation or standard of conduct.

But it said the contractor was cited for violating the Animal Welfare Act.

Coast Guard Vice Adm. Manson K. Brown, who investigated the matter, ordered the agency to look for training methods that "reduce and/or eliminate the role of live animals."

"While no misconduct was committed by Coast Guard personnel, the controversial nature of (the program) demands the service continue to closely scrutinize its policies," Brown wrote.

In the meantime, a Coast Guard spokesman acknowledged, the training program will continue.

The so-called "Live Tissue Training" session that gave rise to the controversy occurred March 3, 2012 -- the last day of a five-day course for non-medical military personnel who might face life-threatening situations.

Thirty-two Coast Guard members -- 29 of whom were being deployed to Iraq and the Persian Gulf -- participated at an outdoor site in Virginia Beach, Virginia.

Instructors with Tier 1 Group, a federal contractor, anesthetized and intentionally injured the goats so the students could assess and treat combat-like injuries, the Coast Guard said.

During the first phase of the training, the group was divided into teams of four to six students, and instructors placed anesthetized goats -- which they referred to as "patients" -- on tables.

The instructors "had the students turn their backs to the table while the instructor inflicted trauma to the animal."

Students then turned, assessed the injuries, and treated the animals.

During the second phase, instructors "inflicted combat-like injuries to the animals with a shotgun, pistol, ax, and scalpel," Brown's report says.

The injured animals were laid out alongside a road to simulate an attack with an improvised explosive or enemy firefight, the report says.

Teams ran into the simulated hot zone, some administering aid while others secured the scene and simulated returning gunfire.

At the end of the training, the goats were euthanized. The number of goats was not disclosed.

A participant videotaped some of the training, leaking the video to the People for the Ethical Treatment of Animals, or PETA, an animal rights organization. PETA posted the video online and filed a complaint with the Department of Homeland Security, which oversees the Coast Guard.

PETA said the training did not reflect battlefield situations, that the goats showed signs of pain and that the students did not show any sense of urgency in treating the animals.

It also said an instructor cheerfully whistled while dismembering an animal as Coast Guard members made jokes.

Brown's report concluded Coast Guard members behaved properly.

"Before the training started, both a T1G instructor and a Coast Guard chief petty officer encouraged students to make reports of any unprofessional behavior," the report says.

It says many students described the training as professional, some calling it the best medical training they had ever received.

"However, one student opined that instructors and students were too lighthearted during training," the report says.

But another student said the laughter was unconnected to the course.

"There is nothing in the video to suggest that this type of behavior was prevalent during the training or was motivated by anything other than reaction to a high stress situation," the report says.

"When one student inappropriately waved a severed animal leg in the air, a more senior ranking student quickly reprimanded him and the behavior stopped," the report says.

One student also said that having only one person administer anesthesia was not sufficient for all of the animals, the report says, noting that the PETA video shows one animal moaning.

Based on the video, the Department of Agriculture subsequently cited T1G for violating the Animal Welfare Act, the report says.

Asked about the citation on Friday, the Agriculture Department gave CNN a warning letter it issued Tier 1 Group on Aug. 8, 2012, saying the department has evidence the contractor violated a regulation governing proper anesthesia for animals.

T1G did not immediately return a CNN request for comment.

But R. Andre Bell, a spokesman for the Agriculture Department's Animal and Plant Health Inspection Service, said, "We conducted a follow-up inspection and determined the noncompliance items had been addressed."

A PETA official decried the Coast Guard report.

"Basically, this report says that all of the disturbing allegations that PETA made are true, but that the Coast Guard isn't accepting responsibility for it. They all but say that it was the contractor's fault," said

Justin Goodman, director of PETA's Laboratory Investigations Department.

Last September, 11 members of Congress signed a letter asking the Government Accountability Office to investigate Tier 1 Group, citing last year's Coast Guard training and a 2011 USDA action citing the contractor for "inadequate anesthesia oversight" for at least 50 goats.

PETA said the GAO has referred the matter to the Defense Department's inspector general's office, which could not be reached late Friday.

T1G won a $1.7 million contact with the Naval Supply Systems Command in 2012 to conduct 24 iterations of Live Tissue Training for 360 Navy personnel using pigs, the letter says.

@highlight

Video previously showed contractors dismembering goats to replicate battlefield wounds

@highlight

Coast Guard report vindicated service members, said training program will continue

@highlight

Images leaked to animal rights group, which complained to the U.S. government