(CNN) -- Of all things, it was surfing that first led Sandow Birk to Islam.

Illustration of Sura (chapter) 57 of the Quran is described by Sandow Birk as a triptych.

The southern California artist rode the waves in Indonesia, India and Morocco, and on dry land, his curiosity piqued about the religion practiced there. He visited mosques and eventually, acquired a translated copy of the Quran, Islam's holy book.

Then came the chilling attacks of September 11, 2001, and Birk realized that Americans knew very little about the teachings of the Quran. He embarked on a project to paint all 114 suras (chapters) -- but in a way that no one had done before.

The 46-year-old painter re-imagined God's 7th-century revelation to the Prophet Mohammed in contemporary American context. Birk began transcribing the chapters, relating each to the things he knew best.

So far, he has completed 60 chapters. "American Quran" is currently on display in two California galleries.

"The simple goal was to take text and make it more familiar," he said.

So, the Quran's opening chapter, seven verses asking for God's guidance, often found displayed in Muslim homes, is bordered with arabesqing shapes that on closer inspection reveal objects essential to American home life -- spatulas, forks, toothbrushes, glasses, ladders, egg beaters, flip-flops.

To illustrate a verse that speaks metaphorically about the thundering hooves of camels, Birk painted a stock-car race. How would Americans, after all, relate to camels?

The red, white and blue hues of a political convention accompany verses on hypocrisy.

Other scenes unfold in offices, suburban lawns and sushi bars. They show funerals, weddings and holidays.

And then there is sura 44, called ad-dukhan (smoke).

"Therefore, watch for the day when the sky brings a profound smoke. It will envelope the people; this is a painful retribution," chapter 44 says. Birk pushes buttons with his interpretation: a diptych of a Manhattan street scene, smoke billowing from the World Trade Center.

"I knew I would have to bring up the Trade Center. Otherwise this project would have been disingenuous," Birk said. "It was the crux of understanding of Islam for Americans."

And the impetus for Birk's undertaking.

San Francisco gallery owner Catharine Clark knew the Sura 44 panel had the greatest potential to offend. She said she worried about reaction to the piece, but said there was nothing malicious about Birk's intent.

"It was a tough piece," she said. "But he's not intending to upset anyone."

Birk says he is not a deeply religious person. He has, however, established a reputation for tackling projects of epic proportions, including work that explored the Iraq war and Dante's "Divine Comedy."

Clark said some Christian blogs have accused the artist of being an apologist for Islam. And Muslim reaction to his latest work has been mixed.

Half of "American Quran" is at Clark's gallery. The other 30 chapters are on display at the Koplin del Rio gallery in Culver City. But four miles down Washington Boulevard, the reviews are not good.

Usman Madha, a spokesman for the King Fahad Mosque, the largest in Los Angeles County, said he had no plans to see Birk's work. Madha could not even get past the title.

"American Quran is very misleading," Madha said. "There is no such thing as an American Quran just as there is no European Quran or Asian Quran or Middle Eastern Quran. There is only one Quran.

"I am disheartened," he continued. "It gives a wrong impression."

Madha has heard about Birk's vivid imagery. He said he understood the artist had good intentions and he respected freedom of expression. But he could not accept the idea of an illustrated Quran. That, he said, goes against the grain of of his religion.

"In Islam, we don't have pictures. That becomes idolizing. And that is what we avoid," Madha said.

Birk, however, does not plan to abandon his personal Quran project.

He hopes to complete all 114 chapters by 2011, painstakingly transcribing by hand each chapter taken from a 1861 English translation of the Quran and painting with gouache on 16-by-24-inch paper.

He said his panels are not literal illustrations but highly personal meditations on the messages in the Quran. It was important to him that Americans recognized that Islamic scripture was no more strange, poetic, violent or beautiful than any other religious text; that it was telling similar stories that are in the Bible.

That's a message people expect from scholars, peacemakers, even theologians but not necessarily from a California surfer dude.

@highlight

Surfing waves in Indonesia, India, Morocco inspired Sandow Birk's interest in Islam

@highlight

9/11 attacks led Birk to realize Americans knew very little about the Quran

@highlight

He embarked on a project to paint all 114 suras (chapters)

@highlight

So far, he has completed 60 chapters of "American Quran"