(CNN) -- You pull yourself out of bed, bring your coffee to the front porch, and there, right in front of you, is the vast expanse of the Grand Canyon.

That's the appeal of staying at El Tovar, which has graced the rim of the canyon since 1905. But it's hardly alone; you'll find great national park lodges all over the U.S. and Canada. And staying at one doesn't mean camping and freeze-dried dinners.

The best lodges offer gourmet food, personalized service and rustic yet often elegant interiors.

See more of the best national park lodges

Many are landmarks dating back to the park system's early days.

In 1903, officials at the Northern Pacific Railroad were inspired to create a lodge with local logs and stone. The result, Old Faithful Inn in Yellowstone National Park, has a towering lobby that became a model for national park architecture.

Travel + Leisure: America's most underrated national parks

From Hawaii Volcanoes National Park to Alaska's Glacier Bay, these historic lodges deliver location and creature comforts.

Many Glacier Hotel, Glacier National Park, Montana

Evening glacier tours are, naturally, one of the popular activities during a stay here. Surrounded by the Rocky Mountains, the hotel feels like a Swiss chalet, with windows opening to Swiftcurrent Lake and a dramatic lobby with tree trunks as the support poles. Opt for a suite with lake view and balcony, or a refurbished lakeside room. Then go outside and fly-fish in a setting that will soothe your soul, or take the ferry across the lake and hike to Grinnell Glacier.

The Ahwahnee, Yosemite National Park, California

Art Deco, Native American, Middle Eastern and Arts and Crafts influences all contributed to this 1927 landmark's design. More recently, a renovation drew upon Yosemite's historical archives to determine appropriate textiles and colors, giving an English country-house look to the interiors -- rich tapestries, stained glass and hand-stenciled beams. The most elaborate rooms feature balconies and views of Glacier Point, Yosemite Falls or Half Dome. After a day in the great outdoors, take your complimentary afternoon tea on the patio overlooking Glacier Point.

Glacier Bay's Bear Track Inn, Glacier Bay National Park, Alaska

Yes, you really can see black bears and moose from your bedroom at this gateway to Glacier Bay National Park. Guests praise the personal service -- look for appetizers and homemade cookies each afternoon -- and innkeepers can help arrange excursions from watching humpback whales to taking a dogsled ride. Ice climbing, fresh- and salt-water fishing, guided kayak trips, and visits to Admiralty Island to view brown bears are also popular. On your return, sink into the suede sofas and warm yourself by the lobby fireplace.

Travel + Leisure: America's best national park views

Greyfield Inn, Cumberland Island National Seashore, Georgia

If an island with wild horses doesn't sound romantic enough, consider that secluded 16-room Greyfield -- the only inn on the island -- was the choice of John F. Kennedy Jr. and Carolyn Bessette for their 1996 wedding party. The former home is exuberantly southern, with a sprawling front porch, extensive gardens, and homegrown collards and kale on its locally sourced menu. The all-inclusive price includes everything you need to have a good time: three daily meals, bikes, kayaks, fishing equipment, beach gear and excursions with a naturalist to spot birds and wildlife. Sun yourself on 18 miles of wide beaches, or stroll through the exotic terrain of a maritime forest.

Crater Lake Lodge, Crater Lake National Park, Oregon

Oregon may not bring to mind images of volcanoes, but the state has an explosive past. Crater Lake Lodge is positioned right at the end of a caldera (or huge crater) formed by the collapse of an ancient volcano. The upheaval produced lava walls stretching 2,000 feet high and the nation's deepest lake, an exquisitely clear, jewel-toned blue. You can learn about the park's geology on boat tours that run from late June to mid-September. At the lodge, ask for a lakeside guest room for the best views.

Alta Crystal Resort, Mount Rainier National Park, Washington

Alta Crystal Resort lies just outside the northeast entrance to the park, giving it the closest proximity to Sunrise, the area's highest point. Each of Alta Crystal's 23 renovated suites has a fireplace and a small but fully equipped kitchen. An arched log entry and handmade doors enhance the appeal of the two-story honeymoon cabin. The pool and hot tub stay heated year round, and you can join the resort's bonfires, barbecues, and other nightly events in July and August (on weekends in other months).

Zion Lodge, Zion National Park, Utah

This is the only lodging option that puts you inside Zion National Park. Western-style 1920s cabins combine fir flooring and oak-and-wicker dressers with modern amenities like 300-thread-count cotton sheets. Another 82 guest rooms and suites include private porches or balconies. A 100-foot-high cottonwood tree marks the front lawn, which has a great vantage point for stargazing. The lodge does its part to be a good park tenant. Cabin rooms include an on-demand water heater and LED lighting, and suites have filtered drinking water faucets (no water bottles are sold on site). A recent redesign of the restaurant's walk-in coolers will save a million gallons of water a year.

Travel + Leisure: Best national parks for wildlife spotting

El Tovar, Grand Canyon, Arizona

Built on the rim of the Grand Canyon in 1905, El Tovar was once so far from civilization that fresh water had to be delivered by train. It's since become one of our greatest national park treasures, with plenty of civilized touches, including suites with sitting rooms. Bring your morning coffee out to the front porch or lounge deck and gaze at the play of light on the canyon. Then head back inside for a hearty breakfast of Sonoran Eggs, with beans, chorizo, an array of salsas, and fry bread.

Jenny Lake Lodge, Grand Teton National Park, Wyoming

Authentic log walls, handmade quilts, and down comforters make nights cozy in the cabins here at the base of the Tetons. The inclusive room rates cover breakfast and a five-course dinner daily, plus horseback rides, bike rentals, and the joy of having a front porch in one of the nation's most photographed mountain ranges. As part of a new sustainability effort, rooms have high-efficiency lighting and recycled carpet, and guests earn a $10 credit each day they decline laundry services.

Volcano House, Hawaii Volcanoes National Park, Hawaii

Closed for several years, Volcano House reopened in 2013 following a $7 million renovation that preserved the character of architect Charles Dickey's original 1941 design. Talk about a view: some rooms overlook Kilauea, one of the world's most active volcanoes, while others face native Hawaiian rainforest of ohia lehua and koa trees, accented by tall hapuu tree ferns. Watching the crimson-feathered apapane fly from branch to branch while Halema'uma'u Crater erupts about two miles away is an otherworldly sensation. Even the fireplace in the hotel's Grand Lounge is made of lava rock.

See more national park lodges

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

The best lodges offer gourmet food, personalized service and rustic yet often elegant interiors

@highlight

Guests can see black bears and moose from rooms at Glacier Bay's Bear Track Inn

@highlight

Some rooms at the Volcano House lodge overlook one of the world's most active volcanoes