New York (CNN) -- As snow fell across New York Harbor, Isabel Belarsky clutched her mother, Clara, aboard a passenger ship that puttered toward Ellis Island and wondered what their new lives would bring.

The year was 1930. About a week earlier, the 10-year-old girl from what is now called St. Petersburg, Russia, had embarked on a transatlantic journey with her Ukrainian parents from the French port city of Cherbourg, escaping what she described as Jewish persecution at the start of Joseph Stalin's Soviet Union.

On an island near Manhattan stood the copper colossus that would etch her first memories of the new world.

"It was a wonderful sight," she said of the Statue of Liberty, which marked its 125th anniversary Friday.

The idea for the monument is thought to have been conceived at a 19th-century dinner party among French aristocrats, historians say, who sought to pay tribute to American liberty.

And while the French gift is also widely believed to have at least in part catered to domestic politics, for many, it quickly became a symbol of hope and promise in America's post- Civil War period.

"The arrival on Ellis Island is the fulfillment that you know something good is going to happen to you," said Belarksy, now a 91-year-old widow living in a Russian enclave of Brooklyn, New York.

Her family became part of the more than 12 million immigrants processed through Ellis Island between 1892 and 1954, according to the U.S. National Park Service.

Adjacent to Ellis towers Lady Liberty, measuring more than 305 feet from base to torch.

Originally, the statue was supposed to be an Egyptian peasant girl that would have stood at the entrance of Egypt's then-new Suez Canal, but plans would evolve into the Roman goddess who would instead adorn New York Harbor.

"The sculptor, (Frederic) Bartholdi, was very clever," said Edward Berenson, professor of history and director of the Institute of French Studies at New York University.

"He put (the statue) where he did because it's right at the narrows of New York Harbor, so he knew that every boat that came into New York would have to come really close to it.

People felt like they could reach out and touch it," he said.

Inspired perhaps by Egypt's colossal statues during his own travels to Cairo, Berenson noted, Bartholdi sought to build a monument of his own in a tribute to American liberty and its newfound emancipation of the slaves.

The statue rests atop a sculpted wrangling of broken chains on New York's Liberty Island.

Only years later, Berenson argues, did the monument come to symbolize immigration to the broader public, despite the structure's engraved plaque bearing the now-famous poem by Emma Lazarus, asking for the "huddled masses yearning to breathe free."

Like many who made the perilous journey, Belarsky said, she had often wondered what kind of life was waiting for her on the shores behind the monument.

"It was quite frightening," she recalled. "The three of us, my father, my mother and I, wanted for someone to come with money or to tell us what's next."

And though a U.S. law passed six years earlier had largely restricted immigration, her father, Sidor, had managed to secure three tickets to America by way of a talent scout who visited the Leningrad conservatory where he had performed as an opera singer.

"He had such a beautiful voice," she said.

Their travel permit, however, was only temporary.

Sidor had acquired a six-month visa to teach at Brigham Young University, Belarsky said.

The young family would nonetheless settle more permanently in a west Manhattan apartment. And unlike many who eventually returned to their homelands in Europe, the Belarskys decided to leave St. Petersburg -- then known as Leningrad -- behind.

"Authorities were starting to clamp down and consolidate the social state and Soviet power around Stalin," said Fiona Hill, a Russia expert at the Washington-based Brookings Institution. "As an opera singer, you might not have wanted to start singing Soviet anthems."

So the young family left Russia without plans to return, Belarsky added.

And though many immigrants entered the United States through Boston, Philadelphia, San Francisco, New Orleans and Miami, historians say steamship companies most often cruised into New York Harbor, commonly making the Statue of Liberty the first land sighting for new arrivals.

"Everybody spoke of the golden land," Belarksy said.

" 'Come to America, where there's gold on the streets,' until they came here and they had to live in walk-up tenement houses," she said, referencing hardships often endured in overcrowded city buildings.

Immigrants also commonly faced unsanitary and unsafe work conditions on docks and in factories as America's need for industrial labor grew.

"If you think immigration is unpopular now," Berenson said, "if anything, it was even more unpopular in the 1890s and the first part of the 20th century."

Successive immigrant waves, however, still rushed to America's shores through Ellis Island and past the Statue of Liberty, often buoyed by the prospect of economic opportunity.

"I think it took a while for people to think of themselves as Americans," Berenson said. "For an awful lot of people, what they wanted was to think of themselves as whatever they were originally and as Americans too."

Anniversary celebrations of the Statue of Liberty were marked Friday by a series of official speeches and an array of webcams, provided by Earthcam, that streamed video footage from the torch.

The statue will close for renovations starting Saturday, though Liberty Island will remain open, according to the National Park Service.

@highlight

Friday marks the 125th anniversary of the unveiling of the Statue of Liberty

@highlight

A Russian immigrant recalls her Ellis Island passage in 1930

@highlight

The Statue of Liberty was a French gift

@highlight

Webcams stream video footage from the torch on anniversary