(CNN) -- Sanctions against Iran are illegal and are undermining international law, Iranian President Hassan Rouhani said in an exclusive, wide-ranging interview with CNN's Fareed Zakaria.

"When it comes to sanctions, have they been successful so far? Sanctions first and foremost are illegal," he told Zakaria on Wednesday on the sidelines of the annual World Economic Forum in Davos, Switzerland. "And a Congress which claims to be making laws should not contravene international laws."

"These sanctions translate into the weakening of the NPT (Treaty on the Non-Proliferation of Nuclear Weapons), the weakening of international laws and regulations. No other country can decide for another country."

Rouhani's comments follow the announcement of a bipartisan proposal in the U.S. Congress calling for new U.S. sanctions, with implementation delayed to allow negotiations to continue. A senior U.S. Senate aide told CNN this month that an informal count for the move had surpassed 75 votes -- more than enough for the Senate to override the presidential veto that Barack Obama has pledged would follow any such measure.

"We are not afraid of threats," Rouhani said. "And the language of threats is ineffective when it comes to Iran. The language they need to choose should be a legal one, a respectful tone of voice when addressing the Iranian people. ... It benefits our region and the interests of other countries."

Suspicions about the U.S.

The Iranian president suggested mistrust of the United States is deep-rooted, adding that "with regards to the policies of various American administrations in the past 30 years," the Iranian public is "very worried. ... They don't trust them."

Still, Rouhani said there is "full readiness" on the part of Iran "to take the final step" on the nuclear issue. Asked about President Obama's recent comment that he thought there was a no more than a 50-50 chance of completing a comprehensive agreement with Iran, rather than just the interim deal that was signed in November, Rouhani said that though the last step would be more difficult than the first, "the conditions allow us to take the final step."

On Monday, the International Atomic Energy Agency said it was "pleased" to note that the implementation of the Joint Plan of Action had begun, including the halting of production of uranium enriched to 20%. It said the moves were "an important development."

According to the U.S., under the deal, Iran must eliminate its stockpile of uranium that's enriched to higher levels, dismantle some of the infrastructure that makes enrichment possible, and allow a broader and more intrusive set of inspections of its nuclear programs.

However, Rouhani insisted that Iran still had a right to peaceful nuclear technology, including enrichment, which he described as "part and parcel of the inalienable rights of states."

"It is part a part of our national pride, and nuclear technology has become indigenous," he said. "And recently, we have managed to secure very considerable prowess with regards to the fabrication of centrifuges," he added, explaining that "not under any circumstances" would Iran destroy any of its existing centrifuges.

Minister: U.S. mischaracterized deal

Rouhani's comments on the country's centrifuges came the same day as remarks by Iranian Foreign Minister Mohammad Javad Zarif suggesting that the Obama administration had mischaracterized Iranian concessions.

Speaking to CNN chief national security correspondent Jim Sciutto, Zarif said: "The White House version both underplays the concessions and overplays Iranian commitments." He also reiterated Rouhani's insistence that Iran will not be dismantling its centrifuges.

"In the context of R&D and peaceful nuclear technology, we will not accept any limitations," Rouhani told Zakaria, arguing that Iran's need for medical isotopes necessitated a heavy water reactor.

Critics worry that the Arak heavy water reactor could be used to produce plutonium, which has the potential to be used in a nuclear weapon. But Rouhani insisted it would be used for "nuclear medicine," not nuclear weapons.

"We are standing on our own two feet. Iranian scientists have designed this. We have constructed it. It's nearly finished. So when it comes to medical concerns, we cannot accept limitations."

Rouhani also dismissed the possibility that Israel, which has been strongly critical of the agreement with Iran, would attempt a military strike against its nuclear facilities.

"Israel knows very well what the response would be. Israel knows well our regional capability," he said. "When it comes to practice, the Israelis cannot do that. If they do such a crazy thing, our response will make them rue the day."

Iran and Syria

Rouhani was in Davos even as, on the other side of the country, talks continued on how to bring an end to Syria's civil war. Iran was invited to participate Sunday, but the invitation was rescinded after Syria's main opposition National Coalition threatened to boycott the talks.

But while agreeing that other countries should come together to try to stop the conflict, Rouhani said elections were the key to resolving the issue.

"The Bashar al-Assad government has been there for some years now. It has been running the county for some years now," he said. "And if the people have some grievances, they need to go through legal channels, engage in free elections, for everyone to find out what the people need."

"All of us should ... work together to bring about appropriate conditions inside Syria and help with elections. Everyone should respect the vote of the Syrians. Whatever the Syrians say, that should be enough. If outside countries want to decide for Syria, they are wrong. It's impractical. It's illegal."

@highlight

"No other country can decide for another country," Iranian President says

@highlight

He says the Iranian public is "very worried. ... They don't trust" the United States

@highlight

Still, Rouhani says, Iran is ready "to take the final step" on the nuclear issue

@highlight

Comments follow announcement of a proposal in U.S. Congress calling for new U.S. sanctions