Like many parents, Carrie Goldman was thrilled to learn that Britain's biggest department store recently reopened its toy department with a fresh look: dolls and trucks side by side.

Instead of organizing toys into color-coded aisles of pink for girls and blue for boys, Harrods' new 26,000 square-foot "Toy Kingdom" is broken into six interactive "worlds." Looking for costumes, a rocking horse or stuffed elephants? Try the Big Top, which Harrods describes as "a fairground of circus acts and candy floss, with magicians and jugglers on stage." In the Odyssey, "a gigantic space rocket crashes through the floor and a huge sun bursts through the wall in front of an Area 51-inspired space and gadget zone, complete with alien space pods and limited-edition pieces."

For Goldman, a mother of three in suburban Chicago, it's a step in the right direction toward breaking down the gender divide erected at an early age through playtime. She experienced firsthand how those barriers can hurt children and make them feel like they need to change who they are to gain acceptance on the playground.

Two years ago, Goldman's 7-year-old daughter came home in tears after classmates teased her for carrying a "Star Wars" thermos to school, saying "Stars Wars" was for boys. Goldman shared the story on her blog, Portrait of An Adoption, and within a matter of days, the tale of "Star Wars Katie" went viral, drawing support from around the world.

Her plight didn't just strike a nerve with parents and children -- George Lucas' daughter, also named Katie, and the actor who played Chewbacca also had words of wisdom for Katie based on their experiences getting bullied for somehow being different.

The sheer volume of responses compelled Goldman to delve into why so many people could relate to Katie's story. That research culminated in her first book, "Bullied: What Every Parent, Teacher and Kid Needs to Know About Ending the Cycle of Fear," released this month. In it, she explores the subtle and not-so-subtle ways in which society fosters a fear of those perceived as different and what parents can do about it.

The negative effects of enforcing gender norms emerged as a prominent theme, including the way girls are often nudged in the direction of princess fantasies and dolls while building blocks and train sets are traditionally boys' toys. It's part of the reason why Goldman saw the move by a large retailer such as Harrods as promising. Removing gender-specific connotations from packaging or displays sends the message to children that they're open to everyone, she said.

When stores separate toys into aisles for girls and boys, however, they learn that anyone who deviates from their designated shelves deserves to be ridiculed.

"We can't truly address bullying without talking about the fear of people perceived as different," Goldman said. "If you have a 6-to 8-year-old boy who goes into Harrods and sees 'Star Wars' toys next to other dolls and action figures, maybe it'll make him think differently when he sees a girl with a 'Star Wars' thermos. We could be preventing future bullies by teaching them to be open-minded now."

In the chapter "Calling on Toy Retailers to Eliminate Gender-Based Marketing," Goldman posits that the reason stores segregate by gender is so they can sell more of the same product. If a store carries soccer balls in pink and blue, a mother shopping for her son and daughter can buy one for each. In addition to reinforcing gender stereotypes, the brother and sister no longer need to share, "eliminating an opportunity to develop their social skills," Goldman says in the book.

With children returning to school, Goldman's book lands at a time when bullying is front and center in parents' minds. It also comes in an era when the connection between gender norms and bullying is getting increased scrutiny from parents, educators and activists, prompting more direct action instead of just talk. When Lego announced plans to sell a new line of sets packaged in pink boxes and containing busty characters, salons and spas, girl-led activist movement SPARK launched a petition to quash the toys.

Restricting train sets to boys and dress-up to girls not only reinforces outdated gender roles but also stifles creativity, said psychology professor Deborah Tolman of the Hunter College School of Social Work in New York and co-founder of SPARK.

"Kids get a lot of ideas early from play about what they can do, what they like and what they can aspire to," Tolman said. "By making those themes gender specific, it leaves out a whole range of possibilities."

Efforts at gender neutral play are not about eradicating the sight of pink or blue from toy stores or necessarily pushing children away from toys traditionally associated with their gender, she said. It's simply a matter of making them feel like all options are open.

"It's about making all these ways of playing part of the human experience. Anxiety about gender has created codes that have nothing to do with how people should be people," she said. "There's nothing wrong with pink. It's the meaning we infuse it with."

Many independent toy stores across the United States have been doing what Harrods is doing for decades. Nancy Stanek was tired of toy shopping for her children and seeing the same limited offerings of Barbies and baby dolls in the girls' aisle and cars and action figures designated for boys. So she opened a toy store in Chicago in 1974 with "open-ended activities" in mind: puzzles, games, building blocks, train sets and dolls arranged by theme instead of color-coded aisles of pink for girls and blue for boys.

But more than 30 years later, Stanek is concerned by the marketing direction she said some toy manufacturers are pushing on her. She's reluctant to carry makeup sets and spa kits targeted at tweens and doesn't see the point of selling green Rollerblades with a picture of a boy on the box. For that matter, why should she fill her tiny store with pink bicycles adorned with flowers instead of yellow or purple ones that might appeal to boys and girls?

"I am becoming increasingly concerned with how we seem to be veering back into very gender-specific toys and activities," said Stanek, who owns four Toys et Cetera locations in the Chicago area. "It's almost as if we've backtracked. We're pushing little girls into princess dresses and ballerina costumes."

That's not to say her stores don't carry fairy dresses or knights. But she tries to balance it out with costumes of doctors, chefs and pirates that show boys and girls on the packaging. She wouldn't even mind selling green in-line skates as long as the packaging isn't directed at one gender over the other.

"There are a lot of good, responsible manufacturers out there that go out of their way to depict objects in play showing both girls and boys," she said. "I generally opt for the ones that are basically presenting the activity appropriate for both sexes."

Goldman's book also looks at how reducing a woman's value to her physical attractiveness plays into bullying, especially among girls. With makeup kits being marketed to children at younger ages, beauty and body adornment become ways in which children choose bullying targets.

"Toys for girls are overwhelmingly spa kits and princess parties, all these things to beautify themselves with," Goldman said. "There's nothing wrong with wanting to look pretty, but if your reason to look pretty is to please the kids at school, that's where it's a problem."

It's not just an issue for parents of young girls. Cheryl Kilodavis and her son are used to dealing with odd looks and comments from strangers over his affinity for all things pink, including dresses, jewelry and toys.

When 7-year-old Dyson's preference for "pretty things" emerged at an early age, Kilodavis  struggled with how to handle it. The bumpy road to acceptance prompted her to share her family's story in the picture book, "My Princess Boy," which came out in 2010, stirring a bit of controversy.

Kilodavis said she supports him, even though she still has occasional moments of hesitation when he emerges from his room in a red dress.

"As parents, we all want our kids to be happy and to be themselves," she said. "But things get in the way of expression and letting kids choose toys or clothes that express who they are."

In public though, adults seem to have the hardest time accepting it. Just last week, a little girl in the toy aisle told Dyson that he couldn't have the mermaid toy he wanted because "it's not for boys," Kilodavis said. When the girl looked to her mother for guidance, she agreed.

"I think there's a lot more anxiety around it on the parent's side, but we set the example for our kids," Kilodavis said.

Boys are more likely to get picked on for stepping outside of the box to play with dolls or wear a pink backpack than girls are for playing with cars or wearing jeans, said Tolman, the psychology professor. It only makes matters worse when parents attach negative connotations to boys acting on traditionally feminine tendencies out of fear that they'll be labeled "gay," she said.

"If kids are coming into social situations with more constrained ideas about what boys and girls should be from playing, you can see how that would contribute to the negative reinforcement of ideas about identity and sexuality," Tolman said.

Well-intentioned parents might feel like they're saving their sons from bullying by pointing them away from traditionally feminine toys or behaviors. But Goldman said that encouraging them to change for the sake of others protects the bully and not the child.

"In the short term, they might protect the child from being taunted, but in the long term, it shows the world that who he really is isn't as important as the status quo," she said. "Those are the kids who are really tormented because they're not allowed to express themselves."

Are you a parent whose child plays across gender lines? What do you think of Harrods' new toy department design? Share your opinion in the comments section below.

@highlight

Parents praise Harrods for "Toy Kingdom" in which toys are arranged by theme, not gender

@highlight

"Bullied" author says "color-coded" toys foster animosity toward kids who are different

@highlight

Carrie Goldman, mother of "Star Wars Katie," wrote book after outpouring of support

@highlight

Boys more likely to get picked on for defying gender norms than girls, expert says