LOS ANGELES, California (CNN) -- The original judge has been dead for 15 years, and no one has been able to find the criminal case file since 2004. Yet a 1977 sex scandal involving famed director Roman Polanski and a 13-year-old girl continues to stalk the courts of Los Angeles.

Academy Award-winning director Roman Polanski hasn't left France in 30 years because of a U.S. fugitive warrant.

Attorneys for the 75-year-old Academy Award-winning director asked a judge Tuesday to put the matter to rest once and for all. But a judge denied the request, saying the director must show up in court to obtain a ruling.

That poses problems for Polanksi because prosecutors have vowed to seek his arrest on a bench warrant the minute he sets foot in the United States. The bench warrant was issued when Polanski failed to appear for sentencing more than 30 years ago.

Lawyers Douglas Dalton and Chad Hummel last month filed a 239-page dismissal "request," citing allegations brought to light in the documentary, "Roman Polanski: Wanted and Desired." The documentary was first broadcast in June on HBO, which shares a corporate parent with CNN.

The court filing alleges that a meddling prosecutor who believed Polanski should be behind bars improperly influenced a judge to ignore the terms of a plea bargain, as well as the wishes of the district attorney's office, the probation officer and the victim. None of them wanted Polanski to serve jail time.

Los Angeles Superior Court Judge Peter Espinoza left the door open to reconsider his ruling if Polanski, who has lived in exile in France since 1977, shows up in court.

"It's hard to contest some of the behavior in the documentary was misconduct," Espinoza said in court.

But he declined to dismiss the case entirely, a decision that didn't surprise legal experts who said such rulings are extremely rare.

"You have to give [Polanski attorney] Chad Hummel the creative lawyering of the year award," said legal analyst Laurie Levinson, a professor at Loyola Law School in Los Angeles.

Espinoza in effect said he was tossing out the request without considering whether it has merit because Polanski hasn't shown up for court.

But he suspended his ruling, writing that "if the defendant submits to the jurisdiction of this Court within 30 days, the Court shall consider the merits of the motion."

Polanski's victim is among those calling for the case to be tossed out.

Larry Silver, the victim's lawyer, said he was disappointed in the ruling and that Espinoza "did not get to the merits and consider the clear proof of both judicial and prosecutorial corruption."

He argued in court that had "Mr. Polanski been treated fairly" his client would not still be suffering because of publicity almost 32 years after the incident.

Levinson said the victim's support may offer a sliver of hope for Polanski.

"The best thing he has going is the victim," she said. "In this age of victims' rights, if I were the lawyer I would be playing that card too."

But prosecutors have consistently argued that dismissing the Polanski case would be a miscarriage of justice, allowing a man who "drugged and raped a 13-year-old child" to go free.

Polanski's attorneys back up the allegation with a DVD of the documentary, a script, a copy of Polanski's 1977 pre-sentencing report and various court transcripts, interviews and declarations.

They paint a picture of backroom conversations between a prosecutor itching for a piece of the case and a judge so image conscious that he kept a scrapbook of media clippings, asked lawyers to "stage" Polanski's sentencing hearing and feared criticism if he didn't send the director to prison.

Allegations of prosecutorial and judicial misconduct are commonly raised on appeal, but only a small percentage of these appeals succeed.

Polanski pleaded guilty in 1977 to a single count of having unlawful sexual intercourse with a minor. The director, his lawyer and the prosecutor handling the case believed they'd hammered out a deal that would spare the young victim a public trial and Polanski jail time, according to the filing.

The first surprise came when Judge Laurence J. Rittenband sent Polanski to prison for "diagnostic testing" to determine whether he was what then was called a "mentally disturbed sex offender." (The results came in after Polanski spent 42 days at a maximum security prison. He wasn't.)

The second surprise came on the eve of sentencing, when Rittenband informed the attorneys that he was inclined to send Polanski back to prison for another 48 days.

Polanksi fled the United States and has been living in exile in France ever since.

Previous attempts to resolve the case failed, including a recently disclosed secret negotiation in 1997. The sticking point has always been Polanski's refusal to come to court because he would face almost certain arrest the moment he set foot in the United States.

As a director, Polanski is best known for the films "Rosemary's Baby," "Chinatown" and "The Pianist," a 2002 drama about the Holocaust that won him the Oscar for best director.

But he is also known for a personal life tinged with tragedy. He was born in France and moved to Poland with his parents as a small child. Later, he escaped Krakow's Jewish ghetto and hid from the Nazis with the help of strangers. His mother died at Auschwitz.

He endured the anti-Semitism of post-war Europe, attended film school and directed "Knife in the Water," which won a 1963 Oscar nomination for best foreign-language film. He then came to Southern California to make "Rosemary's Baby."

As he was making his mark in Hollywood, Polanski was also making headlines in connection with two lurid Los Angeles crimes in the 1960s and '70s.

Polanski was filming in Europe when members of Charles Manson's "family" butchered the director's pregnant wife, actress Sharon Tate, and four others in August 1969. Eight years later, he stood accused of plying a 13-year-old girl with champagne and a sliver of a quaalude tablet and performing various sex acts, including intercourse, with her during a photo shoot at actor Jack Nicholson's house.

Nicholson was not at home, but his girlfriend at the time, actress Anjelica Huston, was. According to a probation report contained in the filing, Huston described the victim as "sullen." She added, "She appeared to be one of those kind of little chicks between -- could be any age up to 25. She did not look like a 13-year-old scared little thing."

Huston said Polanski did not strike her as the type of man who would force himself on a young girl. "I don't think he's a bad man," she said in the report. "I think he's an unhappy man."

As she has from the beginning, the victim says Polanksi shouldn't go to prison. Samantha Geimer, now 45, married and a mother of three children, sued Polanski and received an undisclosed settlement. She long ago came forward and made her identity public -- mainly, she said, because she was disturbed by how the criminal case had been handled.

Earlier this month she filed a court declaration accusing prosecutors of victimizing her yet again by publicizing graphic details of the sexual encounter.

The makers of the documentary also talked with people who played roles behind the scenes. From those interviews, the tale of alleged backroom dealings emerged.

Former prosecutor David Wells was regularly assigned to Rittenband's Santa Monica courtroom. He handled routine matters and told the filmmakers he had the judge's ear.

"I was in the court every day," he said in an interview with the filmmakers. "So Rittenband [would] ask me questions about the thing because he counted on me, or whoever was his favorite DA at the time, to advise him on what the -- what the law was, criminal law. He was very good at civil law, but criminally, he left that to his DAs to do."

Although he was involved in the early stages of the investigation, Wells was taken off the Polanski case. He said he was "miffed" at the way it was handled because he believed Polanski should go to jail.

Wells recommended the 90 days of diagnostic testing to the judge because Polanski would be in a prison setting but couldn't appeal, he said.

Wells told the filmmakers he showed the judge a photo of the director at an Oktoberfest celebration while the sentence was pending. "I took the picture into Judge Rittenband. I said, 'Judge,' I said, 'Look here. He's flipping you off ...' And I said, 'Haven't you had enough of this?' And then he exploded and what happened happened."

Polanski's attorneys said the conversations were improper "ex parte" communications -- and nothing short of prosecutorial misconduct. Legal ethics and rules of criminal procedure usually bar one party in a case from discussing it with the judge unless the other side is present.

Wells could not be reached for comment. His voice mail was full, and was not accepting new messages. But he recently told the Los Angeles Times that he did nothing wrong and that he still strongly feels Polanski should go to prison.

It will be Judge Peter Espinoza's call on how to handle a celebrity case that appears to have been snakebitten from the start.

CNN's Jack Hannah contributed to this report.

@highlight

NEW: Judge denies motion to throw out charges, at least until director appears

@highlight

Roman Polanski fled U.S. before his sentencing in '70s

@highlight

Director acknowledged having unlawful sexual intercourse with a minor

@highlight

Previous attempts to resolve the 1977 sex case have failed