(CNN) -- Three New Jersey judges surprised phone owners everywhere Tuesday with a new message: You don't have to be texting and driving to get in trouble. You might be legally liable for a crash if you're on the other end of the phone, too.

Jersey's state Appeals Court sided with the argument made by a couple who were badly injured in a 2009 crash with an 18-year-old whose truck drifted across the center line and hit them riding on their motorcycle. They had already settled with the driver. But they'd also sued his 17-year-old girlfriend, who had texted him shortly before the crash.

On appeal, the court didn't find the girlfriend liable in this particular case because she didn't appear to know her boyfriend was driving at the time. But the jurists accepted the general argument that a texter may bear some legal responsibility if they know the other party is behind the wheel.

That ruling opened up a whole new front in the war on texting and driving, which has seen lawmakers across the country getting tough on phones in the hands of motorists.

The ruling sparked a lot of questions. We'll try to address some of them here.

Is it now illegal to text someone who is driving?

No, not yet. The criminal laws on this issue haven't changed in New Jersey or elsewhere. But the New Jersey judges appear to be saying that texting someone who is driving could make you liable to a civil lawsuit, based on existing laws against distracting a driver.

"We conclude that a person sending text messages has a duty not to text someone who is driving if the texter knows, or has special reason to know, the recipient will view the text while driving," they said in their ruling.

"One of the great arguments my colleague made ... was that when you text -- you're the texter -- you are electronically in that car," New Jersey attorney Marc Saperstein told CNN affiliate WPIX.

Could a new law result from this?

It's possible. States everywhere are cracking down, but New Jersey lawmakers have been pretty aggressive in recent years about going after texting while driving.

They've already beefed up penalties to the point where causing an injury while texting is treated like doing so while driving drunk. A distracted driver could be fined up to $150,000 and could go to jail for as many as 10 years if they hurt someone, according to a law they passed last year.

And they're currently considering a bill that would let police officers look at a driver's phone after an accident to see if they were texting at the time.

Gov. Chris Christie, though, seems to think blaming the sender might be going too far. The driver, he said, is ultimately the one responsible.

"You have the obligation to keep your eyes on the road, your hands on the wheel and pay attention to what you're doing," he told radio station New Jersey 101.5.

How am I supposed to know when someone is driving?

That's question many folks have been asking.

Michael Noonan, a lawyer in Red Bank, New Jersey, who handles many driving-related and personal injury cases, says that's probably going to be at the heart of any lawsuit that tries to leapfrog off of this ruling.

"That will be a hotly contested factual issue," he said. "I could envision a situation where an exchange goes back and forth and the driver explicitly says 'I'm driving' and you have someone who says, 'This needs to be answered right now. This is an emergency. It can't wait.'"

Saperstein said the argument would hinge on "if the texter knows, or has a special reason to know, that the driver will look at that text and respond to it."

Examples, he said, are employer and employee or parent and child.

How can I stay in the clear?

This one might be a no-brainer. But Noonan says there's an easy way to avoid potential liability if you have a message for someone you know is probably on the road.

"Don't," he said, when asked what he would tell a client. "I think that's the advice to everyone. Simply don't do it."

@highlight

New Jersey court says texting a driver may make you responsible for a crash

@highlight

Judges suggest a text is similar to causing an in-car distraction

@highlight

Attorneys: It will hard to prove sender knew the recipient was driving

@highlight

N.J. Gov. Chris Christie: In the end, the driver is responsible