Washington (CNN) -- Before anyone ever heard of the Tea Party movement, there was a grass-roots conservative group from out West that shook up the political status quo.

It happened in Canada more than 20 years ago, and the rebel Reform Party's rapid rise and eventual amalgamation into the political mainstream might offer some perspective on what is happening today on the U.S. political right.

In particular, the Reform Party's rise split the so-called conservative vote in Canada, helping the Liberal Party win three straight elections to stay in power for 13 years.

Only when Canada's conservatives came together under one banner, as the Conservative Party of Canada, did they wield the coast-to-coast clout to win enough seats in Parliament to take over the prime minister's office.

"It's hard to reconcile them all," Reform Party founder Preston Manning told CNN in a telephone interview. "The argument we used is that you all need each other. You do agree on a whole bunch of other things."

Canada's parliamentary system differs from the U.S. system, with the party that holds the most seats in the House of Commons forming the government. Political labels such as conservative and liberal don't always mean exactly the same thing in the two countries.

Still, a look at the Reform Party's history and influence on the Canadian political system reveals some parallels with the relatively new Tea Party movement south of the border.

In the United States, the Tea Party movement has shaken up politics-as-usual with its anti-Washington sentiment that helped topple some Republican incumbents in primaries for the November congressional midterm election.

The latest could be Alaska Sen. Lisa Murkowski, who trailed her Tea Party-backed but little-known opponent, Joe Miller, in the Republican primary held Tuesday. Miller led by a hairsbreadth when polls closed, but there are thousands of absentee ballots left to be counted, and the race might not be decided until next week.

The success of far-right candidates such as Miller, Rand Paul in Kentucky and Sharron Angle in Nevada fostered hopes in the self-described grass-roots uprising that it could win power with its small-government, anti-deficit ideology.

"I'm very proud of my association with the Tea Party," said Marco Rubio, a former Florida state representative who won Tuesday's Republican Senate primary vote. "But people misunderstand what the Tea Party movement is in America. It is not a centralized organization or a political party. It's the sentiment of everyday Americans who think that Washington has it wrong -- they're taking our country in the wrong direction. And they are looking for voices in American politics that will stand up to that and offer a clear alternative."

However, an inherent social conservatism in the Tea Party movement has exposed rifts with more moderate Republicans, much to the delight of Democrats.

A main Tea Party spokesman, Mark Williams, was ousted last month after a controversial blog post about the National Association for the Advancement of Colored People, Abraham Lincoln, and the emancipation of the slaves. He resigned, but defended his remarks as satire.

Tea Party protesters outside the U.S. Capitol were accused of using racist and anti-gay epithets against African-American and gay Democrats in March, and spitting on an African-American congressman.

Republican House leaders criticized the alleged incident but said it was an isolated case, and Andrew Langer, one of the organizers of the protest over health care reform, said his "Institute for Liberty roundly condemns the isolated incidents of intolerance that occurred. ... As a core value, the Tea Party movement believes in the precept upon which our independence was declared and this nation was founded: that all men are created equal."

In Nevada, Angle's candidacy revived what was thought to be a deeply troubled re-election bid by Senate Majority Leader Harry Reid. Now Reid and Angle are in a tight race, due in part to concerns over some of Angle's policies and comments, such as a call to do away with the federal Department of Education.

Even while Alaskans waited for a final result in the state's Senate Republican primary, the Democratic Senatorial Campaign Committee derided Miller as "an extremist who intends to transition-out Social Security, phase-out Medicare, and end unemployment benefits for all Alaskan families."

In Canada, Manning's Reform Party faced similar challenges in the 1990s as he tried to unite it with the Progressive Conservative Party, the traditional home of fiscal conservatives.

Led by Manning, a politician's son known as a shrewd pragmatist, the Canadian reformers emerged from the Western provinces in the 1980s as a protest movement against the federal government back east in Ottawa, Ontario.

In particular, they were angry at what they perceived as Ottawa's reliance on oil revenues from Alberta, a Western province, to appease Quebecers threatening a separatist movement in the nation's only francophone province.

Manning built on the Western anger, attracting support by calling for stronger provincial powers and a smaller federal government and emphasizing the needs of rural communities.

The Reform Party formed in 1987 and used the strength of its Western roots to win more seats than the Progressive Conservatives when the Liberal Party came to power in 1993.

However, Manning's efforts to expand the party's support were stymied by a diversity of interests and agendas within its base that ranged from political moderation to extremist vitriol.

In particular, issues such as gay rights and immigration caused public rifts among Reform Party members of Parliament.

In one of the most memorable, two Reform lawmakers were suspended for disparaging comments about homosexuals and immigrants, and two others who criticized them for the comments ended up quitting the party over the dispute.

James Harold Farney argued in his 2009 doctoral thesis at the University of Toronto that the rise of the Reform Party gave Canadian social conservatives their first political home. "It was only when the Reform Party upset both the institutions and ideology of Canadian conservatism that social conservatives began to gain prominence in Canadian politics," Farney wrote.

In the 1997 election, the Reform Party finished second overall to become the official opposition party in Parliament, but failed to grow beyond its Western roots.

Manning realized it would never win control of Parliament, and therefore the prime minister's office, without gaining support in Eastern provinces, particularly populous Ontario.

He launched an ambitious campaign to merge with the Progressive Conservatives, in a process that took years and left him on the sidelines when it finally occurred.

The effort led to creation of the Canadian Reform Conservative Alliance in 2000, with Manning defeated by Alberta provincial official Stockwell Day for the group's leadership.

Day's fundamentalist Christian beliefs and lack of national political experience proved costly, and the Alliance -- caught off guard by a snap election called by the Liberals -- gained only six more seats in the next national election.

Only when a formal merger of the Progressive Conservatives and the Canadian Alliance occurred -- creating the Conservative Party of Canada -- did it achieve Manning's goal of gaining significant support in the East.

The new Conservative Party forced the Liberals to form a minority government in 2004, and then defeated the Liberals to form its own minority government in 2006. Stephen Harper, a one-time Reform legislator who left the party in 1997, became prime minister.

Looking back, Manning said he stressed democratic principles within the Reform Party to try to achieve unity among its divided supporters. That meant getting fiscal conservatives, social conservatives and what he called democratic conservatives -- dedicated to grassroots democracy -- to accept a single platform.

"I argued they were not philosophically incompatible," Manning said.

At caucus meetings and other party gatherings, he stressed open debate to ensure everyone had a voice. "Whatever your position is, you can get up and say it," Manning explained. "When everyone has a say, you vote," and the result stands.

The idea was to use the democratic process "to get people to disagree civilly," he said.

"If we can't apply democracy to reconcile these differences within the party," he used to argue, "then why should the public believe we can do this on a larger scale?"

Could a similar process occur in the United States, driven by the Tea Party movement?

Manning sounded skeptical. "These people are trying to build a coalition in a political culture that tends to favor polarization," he said. "That does make it difficult, because people want to go to their corners rather than come together in the center of the ring."

@highlight

Western protest movement in Canada grew into a political party

@highlight

Efforts to merge with Eastern conservative party proved difficult

@highlight

Reform Party founder doubts the Tea Party can unite the U.S. political right