(CNN) -- Pretty much any smartphone you buy in 2013 will have the same basic features: Internet access, e-mail, downloadable apps, a camera and of course the ability to make calls and send text messages.

But what other features should all smartphones have, regardless of what company makes it or what operating system it runs?

A few years ago, I probably would have pointed to Apple's iPhone to answer that question. But today, as we await next month's expected launch of the latest iPhone, rival manufacturers are making phones with some incredibly useful features that you won't find on Apple's handsets -- at least not yet.

For full disclosure, I've used an iPhone as my primary phone since 2008. But as CNN's mobile editor, I get to spend quality time with Android Phones, Windows Phones and lots of other devices.

So here's my list of five non-iPhone features that I'd love to see become standard on all phones. Consider it an open letter to the makers of all smartphones. Maybe some of these nifty tools will inspire you to switch phones, or at least think twice the next time you're due for an upgrade.

1. An underwater phone that's not hideous

Waterproof phones have existed for years, but they've typically been bulky things that look like they belong on a construction site and lack the apps and other features of the most popular smartphones. You can buy waterproof cases from companies like LifeProof, but they make your phone heavier and are expensive.

That's why I was excited when I heard about a water-resistant version of the Samsung Galaxy S4, the wildly popular smartphone that was recently rated as the top smartphone by Consumer Reports. It's dubbed the Samsung Galaxy S4 Active, and you would never know it's a water-resistant phone unless someone told you. It's just a little bit thicker than the standard Samsung Galaxy S4 and has a camera with fewer megapixels, but it's still got a stylish design and gorgeous 5-inch screen.

The instructions say you can take it in three feet of water for up to 30 minutes, as long as you cover up the power port and make sure the back cover is on snugly. I was dubious, so I made sure to back up my photos and videos in case something went wrong.

We've been trained our whole lives to be careful when using our phones around water, so wading into a swimming pool while holding the phone was a little nerve-wracking. After taking a few photos while standing in chest deep water, I switched on the underwater camera mode and took the plunge. I captured some great underwater shots, like the one in the photo gallery above.

Having a water-resistant phone also comes in handy if you want to walk around with your phone in your wet bathing suit.

Other adults looked at me curiously while I was using my smartphone in the water, but my 2-year-old son, Jack, didn't flinch. Hopefully, water-resistant phones will become standard before he's old enough to own one.

2. Selfie mode

Let's talk about selfies for a minute. Love them or hate them, chances are you or someone you love has used a smartphone's front-facing camera to snap a self-portrait. But it's typically an awkward process. You have to extend your arm as far as you can while using one of your fingers to press the camera button. This often leads to blurry photos and photos where part of your face gets cut off.

The HTC One Android phone has a dead simple way to improve your selfies. After you switch to the front-facing camera and press the shutter button, a countdown timer starts automatically, allowing you to get into perfect position for your self-portrait. I'd guess that the vast majority of photos that are taken with a phone's front-facing camera are selfies, so all phones should have this countdown timer built into the camera. (It's worth noting that there are lots of camera apps that offer a countdown timer.)

3. Never update an app again

If you have an iPhone, chances are you have dozens of app updates waiting for you in the App Store. The pain of having to manually update iPhone apps even prompted Sen. John McCain to ask Apple CEO Tim Cook at a recent congressional hearing, "Why the hell do I have to keep updating the apps on my iPhone all the time, and why don't you fix that?"

Users of Android phones don't have that problem: Their apps update automatically. That should be the case on all smartphones. And there's good news for McCain and all of iPhone Nation; iOS7, the next version of Apple's mobile operating system, will include the option to have your apps update automatically.

4. Live tiles/widgets

Sometimes, when we look at our phones, we just want to quickly find a key piece of information, like the score of a football game, the temperature outside or the time a movie is playing. On an iPhone, to find this information, you have to launch an app or go into your notification center.

But both Android and Windows phones have a feature that saves you a step.

Android's widgets let you install little bits of automatically updating information on your phone's home screen: what's on your calendar for the day, sports scores, extended weather forecast or news headlines. "Live tiles" on Windows Phones look like app icons, but instead of just sitting there, they display live information without you having to open the app.

5. A safer way to use your phone while driving

As smartphones have added features like voice-guided navigation and streaming music services, they've become incredibly useful while in a car. But obviously, looking down at your phone while driving is not a good idea.

Voice-assistance features like the iPhone's Siri have made us a little safer by allowing us to speak commands to our phones, but they still require you to press a button to activate the microphone. Many new cars come with features that let you wirelessly connect your phone to your car so you can use the car's controls to make calls, listen to music or get directions. But setting up these features can be complex.

The new Moto X smartphone from Google -- the first phone Google designed since buying Motorola last year -- has two new features that let you continue using your smartphone in the car without sacrificing a ton of safety. I haven't been able to use the Moto X yet, but many early reviews highlight these two features as being incredibly useful.

The first is touchless control, which lets you speak voice commands to your phone without touching it. After you train the phone to recognize only your voice, it is always listening for your command, whether its screen is awake or sleeping. Without needing to touch the phone, you just say "OK Google Now" and you can make calls, get directions or do a Google search.

As many reviews have pointed out, however, there is a catch: If you protect your phone with a password, you can use touchless controls only to make a call. Other commands require you to unlock it with your hands. Hopefully, this is something Google will fix with a software update.

The other breakout feature is called "Assist," which automatically detects when you're in motion and switches to a "Driving" mode designed to make you safer in the car. It reads new text messages aloud, announces the name of new phone callers and asks whether you want to take the call.

Given all the patent lawsuits that are sweeping the phone industry, who knows whether all of these features will ever become standard on all phones. But all the competition is great for consumers. And a guy can certainly dream.

What other features do you think should be standard on all phones? Let us know in the comments.

The opinions expressed in this commentary are solely those of Etan Horowitz.

@highlight

CNN mobile editor Etan Horowitz suggests 5 features that should be on all smartphones

@highlight

None of these five is currently on the iPhone

@highlight

A truly water-resistant phone makes underwater photos fun and easy

@highlight

Hands-free voice controls let you use your phone safely when driving