Tokyo (CNN) -- Japan's largest utility said Thursday that more radiation than previously thought was released into the atmosphere in March 2011, in the days after the nuclear disaster that followed an earthquake and tsunami.

TEPCO (Tokyo Electric Power Co.) estimates about 900,000 terabecquerels of radioactive materials were released between March 12 and March 31, according to Japan's Kyodo news agency.

This is more than the estimates issued by the Nuclear Safety Commission of Japan or the government's nuclear safety agency, the news agency said.

The utility said the release of radioactive material after March dropped sharply.

Hard lessons for U.S. nuclear safety from Fukushima meltdown

The latest figures from TEPCO come a day after the World Health Organization released a report on radiation doses that said infants living in the communities worst affected by the meltdown at the Fukushima Daiichi plant were exposed to much higher than normal levels of radiation.

In one town in the Fukushima area, the estimated thyroid doses to infants are within a dose band of 100 to 200 millisieverts (mSv), the preliminary report said. This level of radiation exposure could be associated with an increased likelihood of developing cancer.

However, in the rest of Japan, the estimated thyroid doses are within a dose band of 1 to 10 mSv, the report said.

Outside the country, the estimated thyroid doses are less than 0.01 mSv, and are usually far below this very low level, it said.

Scientists looked at radiation doses to the thyroid, among other measures, because radioactive iodine-131 tends to accumulate in the thyroid, the most exposed organ in the body.

After the Chernobyl accident in 1986, a higher incidence of thyroid cancer was found in people who were children at the time of the accident, previous studies have found.

In Japan, people were chiefly exposed externally through radioactive material in the air and deposited on the ground, and internally through inhalation of radioactive particles and their ingestion in foodstuffs and water, the WHO said.

Wednesday's report is the first international effort to assess global radiation doses resulting from the nuclear disaster, the WHO said. Its estimates will help the WHO draw up a report into the likely health risks resulting from the radiation exposure.

Japan has set a goal for cleaning up all areas where radiation levels are 1 millisievert over normal background, based on an estimate of eight hours a day spent outdoors.

Cleanup efforts in the first year focused on areas where annual doses of radiation were between 20 and 50 mSv a year -- 7 to 16 times the typical amount a resident of an industrialized country receives in a year, but below the threshold for an increased risk of cancer.

TEPCO was effectively nationalized earlier this month after the government approved a request for a 1 trillion yen ($12.5 billion) injection of capital.

The company, which was left reeling by the disaster last year, needs government help to stay solvent as it faces enormous compensation costs.

The tsunami that followed the magnitude-9 quake on March 11 last year swamped the Fukushima Daiichi plant, knocking out power to cooling systems and leading to meltdowns in its three operating reactors.

The resulting release of radioactivity forced residents of several towns near the plant to flee their homes, and a 20-kilometer (12.5-mile) zone around the plant remains closed to the public.

CNN's Kyung Lah contributed to this report.

@highlight

More radioactive material than thought was released in days after disaster, TEPCO says

@highlight

TEPCO estimates about 900,000 terabecquerels of radioactive materials were released

@highlight

A WHO report on people's exposure to radiation following the disaster gives a mixed picture

@highlight

Some infants were exposed to high radiation doses but levels were low in most of Japan