This story is the third in a series focusing on the FBI as the agency hits the 100-year mark.

Lucky Luciano organized the U.S. mob into a commission overseen by New York's five families.

WASHINGTON (CNN) -- The Teflon Don is dead and gone. The Mustache Petes of the Mafia's old guard are mostly behind bars. And the crime rackets have gone global.

Think La Cosa Nostra is just a quaint throwback, the stuff of gangster movies? Fuggedaboudit.

Although the Mafia may not be as strong as it once was, FBI agents say organized crime is far from dead. Not only is the traditional mob still at it, but new organized crime groups also are vying for a piece of the action.

Weakened by two decades of prosecutions, the traditional Italian crime organizations plug away at what they know best: labor racketeering, infiltrating unions and construction industries, gambling and loan sharking.

"What you see in the movies about honor and code is a fallacy. That doesn't exist. It's completely about the money," said Mike Gaeta, a veteran agent who heads the FBI squad in charge of investigating the Genovese family.

"As the economy evolves, they evolve."  Watch how the FBI's tactics have changed over the years »

The scams are growing in sophistication, focusing more than ever on the big money. Everyone pays the price, according to Gaeta.

"There is a mob tax placed on everything from your garbage collection, food delivery, the rent that you pay," he said. "I don't know what the percentage is, but there is a premium that you pay because of the control that organized crime has on labor unions and on the contractors who are engaged in those job sites."

There are more than 3,000 Mafia members and associates in the U.S., the FBI estimates on its Web site. The presence is most pronounced around New York, southern New Jersey and Philadelphia, Pennsylvania. The FBI has about 100 agents and 11 squads investigating mob activities at the New York hub.

The FBI touts its success against New York's five major Mafia families -- Gambino, Genovese, Bonanno, Colombo and Lucchese -- as one of the bureau's biggest accomplishments in its 100-year history.

Major arrests and convictions in the 1980s and 1990s crippled the mob. If they didn't get whacked first, the top dogs of the five families faced multiple prosecutions and long prison terms. Among the big names to take the perp walk as a result: John Gotti, Vincent Gigante and Joseph Massino.  Learn more about mob bosses »

The federal racketeering law passed in 1970 known as the Racketeer-Influenced Corrupt Organization Act, or RICO, allowed agents to build stronger cases and secure stiffer sentences. It was added to the bureau's traditional crime-fighting arsenal of wiretaps, physical surveillance of targets and undercover agents.

As the years rolled by, the FBI benefited from "flipping" mob insiders like Massino, who, facing life sentences for RICO convictions, decided to violate the Mafia's code of silence -- omerta. Massino talked to avoid the death penalty for murder, becoming the Mafia's highest-ranking turncoat, and is now serving a life sentence.

Seamus McElearney, who spearheads FBI investigations against the Colombo crime family, has persuaded several mobsters to turn informant, and one case sticks out in his mind.

"This individual was able to realize that he'd be going away for the rest of his life, and like anything in life, you build a rapport with someone, and you have to get over that trust factor. And he started to trust me and realize this was his best option," McElearney said, describing what it takes to persuade a witness to switch sides.

The FBI also uses forensic accounting and other sophisticated tools to penetrate the mob.

"Looking at these guys from a financial point of view, because that's one of the best ways to hurt them is in the pocketbook ... ultimately led to the devastation of the family," said Supervisory Special Agent Nora Conley, who investigates the Bonanno family.

The mob adapted to investigations and convictions as layer upon layer of wiseguys-in-waiting stepped up. The Italians may still control the lion's share of illegal organized crime activity, but competitors are vying for a piece of the action.

Law enforcement officials say Asians, Russians and Albanians have established their own crime organizations in the United States. These groups are smaller and more disorganized than their Italian counterparts but pose their own danger.

Kevin Hallinan, an FBI supervisor who has worked organized crime for 18 years, said that groups of Chinese, Korean and Vietnamese nationals, for example, are heavily involved in immigrant-smuggling, gambling, prostitution, counterfeiting and extortion of legitimate businesses as well as other crimes.

"Drugs are a serious problem," Hallinan said. "It's quick money. They have known transportation routes. A lot of the folks have international connections and know people at the ports, at the airports, and can get the drugs here."

He continued, "the big challenge for Asian organized crime and Albanian organized crime is having the finances to pay for a load of heroin, to pay for a load of cocaine, and then have the facilitator get it into the country, and then have the means of distribution, which the Italians have had in the past."

Russian and Albanian groups "are more like criminal enterprises than organized crime," observes agent Dennis Bolles, who heads the squad investigating them.

"Whether it is insurance fraud, bank fraud, identity theft, Medicaid fraud, securities fraud, mortgage fraud [or] multimillion-dollar scams, the Russians are very sophisticated," Bolles said. "They are very educated people. Some are former KGB. Some are former government officials -- masters degrees, PhDs -- and now they find themselves in the U.S., and they are using those brains to commit scams."

The FBI learned the hard way that foot-dragging on organized crime investigations can be costly.

In the 1930s, as Genovese family leader Lucky Luciano rose to power and brought the five families into a unified commission, FBI Director J. Edgar Hoover resisted going after the mob. His inaction allowed the Mafia to become fully entrenched into American society and business.  Watch how Hoover dropped the ball »

It wasn't until the 1950s that the Mafia became a law enforcement priority. Sen. Estes Kefauver led congressional hearings on organized crime in May 1950, and the 1963 congressional testimony of Mafia turncoat Joseph Valachi brought attention to a problem that long had been ignored.

"From there, the program skyrocketed and became a very material priority for the FBI as criminal programs," Assistant FBI Director Mark Mershon said.

FBI officials credit that effort and the intelligence-gathering skills learned in mob investigations for giving today's agents a foundation for future investigations, including of terrorists.

"You have to understand who are the players, who are the leaders, how are they financed, how do they recruit, how do they handle their memberships," FBI Director Robert Mueller recently said as the bureau approached the 100-year mark.

CNN's Ann O'Neill contributed to this report.

@highlight

Mafia became entrenched because FBI chief J. Edgar Hoover ignored it in 1930s

@highlight

1970 RICO statute, prosecutions weakened the mob in past two decades

@highlight

Other organized crime groups spring up, but lack the Mafia's structure

@highlight

Agents say old ways are gone, new breed seeks bigger scores