Athens, Greece (CNN) -- Three of the top four vote-getters in Sunday's parliamentary elections in Greece will meet Tuesday at the presidential palace to form a coalition government, an official with the socialist party Pasok told CNN. The official spoke not for attribution because the talks were at a critical juncture.

"As wide as possible cooperation ... should happen at the latest tomorrow evening," said Evangelos Venizelos, head of the Pasok Party, which placed third.

The center-right New Democracy Party took first place in the vote. Its candidate, Antonis Samaras, has three days to cobble together a government.

"There should be government of national salvation with as many parties as possible," Samaras told reporters.

Democratic Party of the Left's leader, Fotis Kouvelis, held talks Monday that the New Democracy leader described as "constructive." The party's platform has supported the bailouts while seeking to renegotiate the terms.

With almost all ballots counted, New Democracy had won nearly 30% of the vote, the Interior Ministry said. That gives the party 129 seats in the country's 300-seat parliament, forcing it to seek other coalition members from the fragmented field to form a majority.

Alexis Tsipras, the leader of the leftist Syriza party, which came in second, met with Samaras but said Monday he would not back a coalition.

"History and the people will judge them by their results," Tsipras said of the parties backing the existing bailout deal with the creditors who are keeping Greece afloat. "Shortly we will be vindicated."

What will Greek elections mean for the country's future?

He said his party's nearly 27% showing had forced Greek leaders to realize the bailout is "nonviable," and said Syriza would press as a member of the opposition for the bailouts to be scrapped.

An official with Syriza told CNN that no one from the party was planning to attend the meeting.

Syriza, which campaigned against the terms of the bailout, got 71 seats.

Pasok, which long dominated Greek politics, won 33. Four smaller parties took fewer than two dozen seats each.

The vote was widely seen as a referendum on whether Greece should remain in the euro, the currency used by 325 million people across 17 countries in Europe. The possibility of a "no" vote roiled world markets, with some analysts warning that the collapse of the euro would cost $1 trillion.

Asian markets reacted positively to the election results, while European and U.S. markets were mixed.

Samaras said he would build a government of "parties that believe in the nation's European orientation, that believe in the euro."

But he acknowledged that government budget cuts forced on the country by international lenders have caused suffering among Greeks.

A wild election weekend for Greece, France and Egypt

The new government will have to make changes "in order for the Greek people to escape the torturous reality of unemployment and unbelievable difficulties that every Greek family faces today," Samaras said after meeting with the president.

He faces a new round of coalition talks, six weeks after a previous election that failed to produce a government.

International bailouts have kept Greece from defaulting in the face of an ongoing recession and low tax revenue, but lenders have demanded hugely unpopular government budget cuts in exchange.

Eurozone finance ministers praised the election results, "which should allow for the formation of a government that will carry the support of the electorate to bring Greece back on a path of sustainable growth."

Some observers had predicted that efforts to renegotiate the bailout could lead to a run on Greek banks and deeper misery.

The future of Europe: 3 scenarios

"Don't underestimate the capacity of the Greek people to rise to the occasion," Petros Doukas, a former New Democracy lawmaker and deputy finance minister, told CNN.

"What's very clear is the Greeks today voted, including those that voted for Syriza, in favor of the euro and the European Union," Doukas said. He predicted that Greece could negotiate better terms with its creditors, who understand "that you can only squeeze so much so fast out of a country and out of its people."

Greeks have been suffering under painful austerity measures, high unemployment and a long-running recession.

The country must identify additional budget cuts by the end of June to be considered compliant with the terms of its bailout.

German Chancellor Angela Merkel, Europe's powerful advocate for balancing budgets to build a strong basis for economic growth, had urged Greeks not to walk away from the international loan deals.

"We will stick to the agreements. That is the basis on which Europe will prosper," she said Saturday.

As economic crisis bites, Greece's children pay the price

CNN's Penny Manis, Christine Theodorou, Lonzo Cook, Richard Quest, Matthew Chance, Irene Chapple, John Defterios and Diana Magnay contributed to this report.

@highlight

Three of the top four vote-getters are to meet in the presidential palace

@highlight

Syriza party leader Alexis Tsipras says he will not attend

@highlight

Samaras, leader of center-right New Democracy, vows to put together a pro-euro coalition