(CNN) -- High-intensity training can often be a cruel master -- capable of provoking a mixture of sweat and tears, as well as occasional mishap and mental frailty -- but how much worse must it be when knowing that the worst part comes at the end?

That's when an exhausted athlete, after hours of physical exertion, has to clamber into a vat of iced water -- perhaps giving new meaning to the phrase 'on the rocks'.

During her heyday, Paula Radcliffe, who still holds the world record for the marathon she ran in 2003, revealed how she dreaded the baths, which the Briton termed "absolute agony".

So Radcliffe may have mixed emotions about a recent report which pours cold water on the efficacy of a concept already quite literally swimming in the stuff.

The European Journal of Sports Science suggests the benefits of the ice bath -- a technique which has been used in numerous sports disciplines (track-and-field, soccer, NFL, cricket, rugby and tennis to name but a few) -- are highly questionable.

More worryingly still, the scientists who led an experiment into cold water immersion at the University of Portsmouth suggest the practice could be a "possible threat to people's health" as well.

In theory, the recovery device -- whose by-products include a whole lot of gnashing, squealing and wailing -- is thought to reduce inflammation, swelling, muscle spasms and pain but the benefits have been disputed by the scientists on England's south coast.

Their test involved 40 athletes undertaking an hour and a half of intermittent shuttle running before being split into four groups for the recovery period: with 10 standing in cold water, 10 standing in warm water and 10 simply walking slowly -- all over a 12-minute period -- while the final group sat in cold water for just two minutes.

Measuring muscle performance before exercise and at frequent intervals in the days afterwards, the scientists found "no differences ... between any of the groups in terms of athletes' perception of pain or in their biochemical markers of muscle cell damage."

Health Risks

So while not only querying the fundamental validity of the process, lead author Jo Corbett also highlights the possibility that the intended recovery aid could -- rather than prove beneficial -- actually take an athlete out of action instead.

"Possible health risks of cold water immersion include hyperventilation leading to metabolic alkalosis [an acid-based disturbance] and, in rare cases, impaired consciousness," Corbett told CNN.

"There is also some evidence of a reduction in cerebral artery blood flow, which at very cold water temperatures can cause syncope [fainting] characterized by drowsiness, blurred vision, and a loss of responsiveness in some individuals."

Other possible health risks of ice baths, according to Dr Corbett, include tachycardia [a fast heart beat], arrhythmias [abnormal heart beats], allergic and anaphylactic shock as well as the development of non-freezing cold injury [a tissue damage similar to, but lacking the severity of, frostbite].

In theory, both arrhythmias and anaphylactic shock can have fatal consequences -- so it's no surprise that Dr Corbett would like to see more tests into ice baths, even if it must be stressed that no athlete has yet to suffer in such fashion despite their popularity.

"The prevalence of these risks will likely depend on the way that the immersion is used -- which is why there needs to be a clear understanding of the mechanisms of action of cold water immersion.

"The frequency of these symptoms in healthy, asymptomatic individuals is not clear but may be very low."

Placebo effect

Before athletes around the world gain an added spring to their step at the thought of throwing out the bath water, Corbett advises that the conclusions of his team's study should not be set in stone-- "particularly when there is evidence for and against [ice baths]," he says.

Nonetheless, some leading clubs have already been in touch since the report's publication to pursue further detail on the findings.

In Australia, the Head of Human Performance at leading football side Sydney FC admits that even though confusion may reign over the longevity of cold water immersion, given the differing scientific opinions, he does not foresee the end of this ice age.

"I have learned throughout my career that if a player thinks it works, it probably does," Dr Craig Duncan, told CNN.

"The placebo affect in sport is significant and if you combine that with a good performance, it will become a major part of a player's preparation. This is so for recovery and the feedback I get from players [about ice baths] is:

-My muscles feel less sore
-I don't feel as heavy, my legs feel lighter
-I feel refreshed
-It's just what I like to do
-I do it because Craig says I have to

Alternatively, if I find a player really gets stressed about it, then there really is no point as I think it will have little positive effect."

Given this viewpoint, the players at Sydney FC, where former Italy international Alessandro del Piero is playing following his recent move from Juventus, may do well to remind Dr Duncan of his failsafe methods of recovery.

"Recovery is a massive area with many different views but we can never get away from the fact that the two key ingredients to positive recovery are Good Sleep and Sound Nutrition," he says.

So a nice feed followed by a warm bed -- or being immersed into an iced bath -- to recover.

Hmmm, let me think...

@highlight

Leading report questions how efficient the use of ice baths is for leading athletes

@highlight

British scientist Jo Corbett warns that the practice could be a "threat to people's health"

@highlight

Sydney FC physiotherapist believes placebo effect can make cold water immersion worthwhile for his players