Blacksburg,Va. (CNN) -- When it comes to recruiting, Virginia Tech's athletics department is taking an "if we build it, they will come" approach, with plans to construct a new $20 million indoor practice facility for its football and other sports teams near Lane Stadium on the university campus.

The Hokies have the third-longest college bowl game streak in the country, and have sold out every game since 1998. However, they have yet to win a national championship. The athletics department hopes a state-of-the-art facility nearer to the football stadium could help change that.

There's only one problem: A densely wooded area chock full of old-growth trees, some older than the United States itself, is in the way.

Blueprint plans that have been in the works for over a decade would require chopping down at least 60 trees over the age of 150. Six of the trees have been found to be more than 300 years old.

A group called Friends of Stadium Woods and Virginia Tech professor John Seiler are determined not to let those trees come down.

Seiler, a professor of forest biology and a tree physiology specialist, has dedicated his entire career to the university and often takes his students into these 11 acres of woods to teach. So when he was told by university administration officials that they believed no tree in the woods was more than 80 years old and the new facility site was a "done deal," Seiler decided to do something about it.

In January, he bought a large increment borer -- a tool used to extract a section of wood from a living tree used to determine its age -- and took a walk into the familiar woods.

After testing a few trees, he discovered something amazing.

"This was like catching a big fish for me," he said, pointing to a small slice of wood in his office. "That wood was formed from carbon dioxide in the air, turned into wood by photosynthesis, in 1697."

Seiler believes the forest is a national treasure and should be saved. "The forest is in fact an endangered species in the United States. It's literally the rarest type of forest structure left in the United States."

Armed with the tree-testing evidence, Seiler hoped the discussion would end right then and there, that the athletics department would consider building at another location. Instead, they pushed back, insisting on moving forward on the original plans.

Virginia Tech President Dr. Charles W. Steger in January appointed an ad hoc committee to hear the arguments and make a recommendation on whether the facility should be built as planned or at at alternate location.

Steger took his own walk through the woods but confessed he couldn't tell the significance or the age of the trees.

"I'm not qualified to judge. ... I can't tell the age of a tree. I forget my own birthday on occasion," the president joked.

"So, we'll see what the report has to say and at the end of the day we'll do the right thing."

The committee has been holding closed-door sessions for months now. John Randolph, a professor of urban affairs and planning, chairs the committee and acknowledges the school faces a "conflict of value."

"We're a big-time football school and a lot of people care about that," Randolph said. "We are also a green university. We're (among) Princeton Review's 'Top 16 Green Universities' and we're a Tree Campus USA designee."

The committee surveyed faculty members and staff on campus and found most were in favor of saving the trees.

The sentiment for preserving the woods is "pretty clear and pretty overwhelming," Randolph said. "Very few have indicated that athletics should probably decide where this should go."

Still, committee members have continued to meet to balance that perceived majority opinion with the importance of the new facility.

"Success begets success. Fundraising, new facilities and trying to be competitive in a very competitive football environment -- an indoor practice facility is kind of a key part of that element," Randolph said. "A lot of the big schools are adding them."

According to George Schroeder, college football contributor for Sports Illustrated, close-by practice facilities are essential to college athletics programs' recruiting.

"A lot of other programs have smaller, convenient, localized facilities. If you can stick it closer it helps recruiting," Schroeder said. "But the buzzword is efficiency. It's the idea of let's have everything in a central location and try to squeeze the most into their day."

Seiler said he and other advocates for the forest "are not against this facility at all. We're simply saying you need to put it in the alternate location, which doesn't have to cut a single tree."

He was referring to a suggested spot, right next to the woods, that is currently occupied by tennis courts, but not all students like that idea.

"You use the tennis courts a lot more than I see people using the trees and hanging around the trees," recent Tech graduate Alex Foldenauer said.

A less preferable alternative would be the area where a large parking lot is currently situated, but the campus has a critical need for parking and the space is already set aside for a future parking garage, said Randolph, the committee chairman.

Randolph said the opposing sides might "have to give a little on the edges, but if their core values can be represented, that's the idea."

With signs urging "Save Stadium Woods" placed in yards throughout Blacksburg, and an online petition signed by more than 9,000 people across the country, Seiler and members of Friends of Stadium Woods hope public sentiment will sway the committee.

But they are also preparing for the chance that the committee recommends building at the stadium woods location and are willing to go to extreme lengths if they have to.

"There will be things that we can do if they decide to site it in the woods," Rebekah Paulson, executive director of Friends of Stadium Woods says. "Like chaining people to trees and putting people up in the trees."

Seiler noted that the committee recommendation is not binding. "The administration can make a different decision and the board of visitors will have the final say," he said.

The committee plans to deliver their final report to university Vice President Sherwood Wilson by Friday. Wilson will then prepare his recommendations to Steger, and the university's Board of Visitors will be briefed by Randolph on Monday.

@highlight

Virginia Tech wants to build a new, $20 million indoor sports facility

@highlight

Many old-growth trees near Lane Stadium would have to come down

@highlight

A professor is leading efforts to block construction at the planned site

@highlight

Two suggested alternate locations aren't popular choices, either