When the discussion turns to the U.S.-Mexico border, living less than an hour away has its privileges.

I've covered the international boundary from three states (California, Arizona and Texas) and from every conceivable angle -- including from the air.

I once went up in a Border Patrol helicopter that started at the Pacific Ocean and flew east over the fence line. On the Mexican side, homeowners in Tijuana were using the scrap metal wall put up by U.S. taxpayers as their backyard fence. Down the road, groups of young men waited patiently for their chance to cross. What Americans consider an impenetrable barrier, the desperate and determined see as a speed bump on the road to a better life.

I've learned over a quarter-century of writing about immigration from the Southwest to be skeptical about claims that the federal government can fully secure the 1,969-mile U.S.-Mexico border.

Don't tell that to Sens. Bob Corker of Tennessee and John Hoeven of  North Dakota. The Republican senators have proposed an amendment to the Senate's "Gang of Eight" immigration bill. It would increase the size of the Border Patrol by 20,000 agents, and complete 700  miles of border fencing.

The amendment might get the bill some Republican votes. But it probably won't do much to secure the border.

The property line between the two countries goes through everything from deserts to mountains to private ranch land to a university to the Rio Grande. Ever try to build a fence on a river? It's not easy.

Americans can build walls and fences, triple the number of Border Patrol agents, and deploy SEAL Team 6 if they like. Yet, it won't make much difference. Talk to the experts -- the Border Patrol agents -- and they'll tell you: There is no impediment that a person won't go around, over or under if it means being able to feed his family.

Speaking of "under," law enforcement officials say there are likely hundreds of sophisticated drug tunnels all along the U.S.-Mexico border built by drug cartels. The smugglers who used to move illegal drugs have now branched out and smuggle illegal immigrants. There is evidence that they're moving their human cargo through the tunnels -- underneath all the nifty and expensive enforcement tools deployed on the surface.

Advocates of border security disagree that the crackdown isn't working. They insist that the fact that the flow of Mexican immigrants into the United States is at a historic low is attributable to the billions of dollars we've spent on everything from border fencing and additional Border Patrol agents to high-tech surveillance equipment.

That shows how little they know. There are two major reasons that fewer people are coming, and neither of them originated on the U.S. side of the border.  First, there are more opportunities than there have been in recent years to make a decent living in Mexico. And there is a sluggish economy in the United States. So all things being equal, more Mexicans are deciding that migrating to "el norte" isn't worth the hassle.

Second, our border crackdowns have been very beneficial to at least one group -- coyote smugglers. Every time we build a mile of fencing or deploy more agents, we make it harder for them to do business, so they raise their prices. A trip across the border that, 10 years ago, cost about $500 now runs as much as $4,000 -- more if you absolutely, positively have to be there overnight. Many Mexicans have sticker shock.

Honestly, it makes you wonder if Republicans in Congress are in cahoots with the immigrant smugglers. One is putting money into the pocket of the other. If you want to know why the United States has had such a tough time controlling illegal immigration over the years, there's one reason. What other law enforcement operation can you think of where the harder you crack down, the wealthier and more powerful the bad guys get so they can come back and fight you even harder the next time?

Here's the elephant in the Congressional caucus room: Americans will never control illegal immigrants until lawmakers  -- in both parties -- "man up" and risk angering the businesses that contribute to political campaigns by fining and locking up U.S. employers who hire illegal immigrants. And let's not forget one of the biggest offenders, who is somehow never mentioned by the media -- the American household, with its growing dependence on nannies, housekeepers, gardeners, senior care givers and other helpers.

Adding to the problem, pro-border security conservatives confuse "securing" the border with "sealing" the border. They say they want to secure the border. But when you hear the details -- i.e., the "100% awareness" rate and "90% apprehension" rate called for by an amendment from Sen. John Cornyn of Texas, who is almost certainly going to vote against the Senate bill anyway -- it's clear that what these folks really want is to seal the border. There is a big difference between securing and sealing. The former is feasible; the second is a fantasy.

Anyway, I suspect that a lot of this is smoke and mirrors and that the Republican senators who want to block immigration reform are merely seizing on border security as an excuse. Conservatives saying that we can't have immigration reform before we secure the U.S.-Mexico border is like liberals saying we can't have more welfare reform until we end poverty. That's never going to happen, and they know it. So we're just playing games.

In the meantime, millions of people are stuck in the legal equivalent of suspended animation, and a once-in-a-generation opportunity to fix a broken system is being wasted.

@highlight

Ruben Navarrette: Tightened border security won't prevent immigration

@highlight

He says Washington's moves reveal ignorance about 1,969 mile U.S.-Mexico border

@highlight

If people are intent on getting across, they'll find a way, he says