Cambridge, Massachusetts (CNN) -- Steve Jobs died Wednesday at the age of 56. Within minutes of the announcement, Twitter and other digital channels were flooded with outpourings of grief for a very private man who leaves a very big mark on the world.

It is the footprint, not of a manager or philanthropist, but of an entrepreneur. His legacy is that of an individual who used his drive, vision, curiosity and keen intelligence to follow new possibilities relentlessly without being deterred by the obstacles on his path.

From the introduction of the first Apple computer in the late 1970s to his "wilderness years" at NeXT and Pixar in the late 1980s and early 1990s to his leadership in developing the iPod, iPhone and iPad during the last 10 years at Apple, Jobs turned his energy to creating new offerings that change people's lives.

From the get-go, he understood he was living in a moment of far-reaching transformation that we now call the Digital Revolution and that in such a moment, a lot is at stake.

Invested with a sense of his importance on a stage where everything from telephony to publishing to music distribution was up for grabs, he knew there was no time to lose in developing powerful, beautiful, engaging products and services.

This understanding fueled the relentless pace of innovation at Apple during the last 13 years. (It may also have fed his often severe, controlling and still-inspiring managerial style.) Undoubtedly, the breadth of Jobs' vision steered Apple toward market leadership and a long series of financial home runs.

But throughout Jobs' journey, we never thought it was solely -- or even primarily -- about the money. More than 15 years ago, Jobs realized that (what we then called) the Information Revolution was bigger and bolder than groovy products and the convergence of technologies.

It was about democratizing all kinds of activity by breaking down barriers in how information is distributed. As he explained to Rolling Stone, this development meant "individuals can now do things that only large groups of people with lots of money could do before. ... (W)e have much more opportunity for people to get to the marketplace -- not just the marketplace of commerce but the marketplace of ideas. The marketplace of publications, the marketplace of public policy. You name it."

If we think about the role of smartphones in the Arab Spring or the Occupy Wall Street protests, we see just how right Jobs was. This is impact, measured in a deep, lasting way.

And this is how ultimately Jobs will be remembered. As an entrepreneur -- like Henry Ford or perhaps Alexander Graham Bell -- whose vision expanded both our sense of individual freedom and connection with each one another. In an uncharacteristically candid speech at Stanford University in 2005, Jobs advised young people to follow their passion and stay foolish and hungry. He did this all his life, and the world will never be the same.

Small wonder we grieve today.

The opinions expressed in this commentary are solely those of Nancy F. Koehn.

@highlight

Nancy Koehn: Steve Jobs is rightly celebrated for products he introduced

@highlight

She says Jobs' central insight was that we live in transformative times

@highlight

Jobs knew technology enabled everyone to do what only a few could do before, she says