(CNN) -- The Massachusetts Institute of Technology has long been known worldwide for its engineering programs, and a symposium at MIT this week will draw scientists from around the globe to focus on a hot facet of the field -- climate engineering.

The title of the symposium itself underscores the questions surrounding climate-changing science: "Engineering a Cooler Earth: Can We Do It? Should We Try?"

Climate engineering may sound a little Frankensteinian and worrisome, but it's not a new concept. Governments and militaries have tried over the years to control the weather for various reasons -- and have mostly failed.

In the past decade, though, scientists have made major strides in developing technologies to cool the globe, and some of these processes are are gaining momentum among those who think drastic measures are needed to control the warming Earth.

The subject is rife with controversy, including whether intentional climate engineering itself is even new.

"Very broadly, we're already engineering the climate. The question now is whether we should do it on purpose," said MIT associate professor of environmental policy and symposium participant Judith Layzer. "That would involve taking action, inventing gizmos, and using them ideally to abate some of the warming that is expected to happen from global climate change."

But not everyone agrees that, through decades of massive pollution, humans have already interfered with the climate on a global scale, albeit unintentionally.

Jim Fleming is a professor of science, technology and society at Colby College in Maine, and a speaker at the upcoming symposium.

"It's the inadvertent, 'engineering through pollution' argument, and I don't really agree with it," Fleming said. "I'm a historian of science, and I believe humans have been intervening on purpose for much longer than people will admit. So one of the lessons of climate engineering, I think, is that some climate engineers insist they're the first generation to purpose this deliberate manipulation. ... I think history says otherwise."

There are several geo-engineering processes getting a lot of attention right now.

Creating an artificial cloud cover, or modifying clouds to reflect light back into space, is one of them. But probably the more popular climate engineering technology now involves pumping sulfates into the atmosphere to block the sun's rays and cool temperatures, similar to what happens in volcanic eruptions.

"In 1830, the first national meteorologist of the U.S., James Espy, proposed making artificial volcanoes of his own. So whether it's weather or climate, this manipulation has been proposed and, in some cases attempted, for a very long time," Fleming said.

Weather manipulation or modification can be traced to the 1940s and '50s, with a process called cloud seeding. In cloud seeding, many chemicals -- including dry ice and silver iodide -- were tried to produce rain or snow.

In fact, author Kurt Vonnegut's brother, Bernie Vonnegut, invented silver iodide when he worked at General Electric in the 1950s.

The Chinese and Russians have bragged about having weather-modifying technology for years.

"The Chinese have been claiming to have brought good weather to the Olympics for their parades. And the mayor of Moscow just said he was going to stop all snow in the city for the whole winter, but he didn't get a good response from the suburbs," Fleming said.

MIT's Layzer thinks climate engineering will create new problems that will need their own solutions.

"The idea of taking a symptom of global warming, which is heat, and trying to mitigate that symptom seems to me to be just another form of parceling a large and comprehensive problem into bits and pieces, which will in turn need solutions."

Layzer also sees it this way: "Climate engineering is just another example of treating a symptom. Treating problems in a piecemeal way, actually you just move the problem from one place to another. If you take pollution out of the air, you still have it. You have to put it somewhere, so you put it in the water. Then you've polluted the water."

All these issues will come up for discussion at the MIT symposium Friday.

Fleming sums up the symposium as a chance perhaps to learn what might not work, in addition to what might.

"Tinkering with the planet is dangerous," he said. "The lessons would be very similar to those learned in the weather control experiments. It would be very difficult to measure and it might have incredible inadvertent and unwelcome side effects."

@highlight

MIT symposium set to ask crucial questions about man's ability to change climate

@highlight

Some argue man has already manipulated the climate -- unwittingly

@highlight

Others argue trying to manipulate the weather could have unintended consequences

@highlight

Artificial cloud cover to reflect back sunlight  is one idea getting a lot of attention