(CNN) -- There had been no confirmed deaths in the United States related to swine flu as of Tuesday afternoon. But another virus had killed thousands of people since January and is expected to keep killing hundreds of people every week for the rest of the year.

People are nervous about swine flu, but the regular flu kills 36,000 people a year in the United States.

That one? The regular flu.

An outbreak of swine flu that is suspected in more than 150 deaths in Mexico and has sickened dozens of people in the United States and elsewhere has grabbed the attention of a nervous public and of medical officials worried the strain will continue to mutate and spread.

Experts are nervous that, as a new strain, the swine flu will be harder to stop because there aren't any vaccines to fight it.

But even if there are swine-flu deaths outside Mexico -- and medical experts say there very well may be -- the virus would have a long way to go to match the roughly 36,000 deaths that seasonal influenza causes in the United States each year.

"That happens on an annual basis," Dr. Brian Currie said Tuesday. Currie is vice president and medical director at Montefiore Medical Center in Bronx, New York.

Since January, more than 13,000 people have died of complications from seasonal flu, according to the Centers for Disease Control and Prevention's weekly report on the causes of death in the nation.

No fewer than 800 flu-related deaths were reported in any week between January 1 and April 18, the most recent week for which figures were available.

The report looks at deaths in the 122 largest cities in the United States.

Worldwide, the annual death toll from the flu is estimated to be between 250,000 and 500,000.

About 9 out of 10 of those deaths are among people older than 65, Currie said. Most times, they already have health problems that the flu makes worse, he said.

"Regular influenza can be taxing," he said. "It causes their underlying disease to decompensate and then they don't have the reserves to get through it.

"While it may not be the direct cause listed on the death certificate, it certainly contributed."

One of the reasons medical experts are nervous about the swine flu outbreak is that many of the people who have died in Mexico have been young and otherwise healthy. The strains found in the United States have so far been weaker.

But even the regular flu is sometimes fatal for younger victims.

"It's not unheard of. It happens, either directly from influenza or they get a bacterial superinfection" like staph, said Currie.

While researchers haven't developed a vaccine to fight the new swine flu, it can be treated with antiviral drugs Tamiflu and Relenza, the same drugs used on the regular flu.

Many times, seasonal flu itself is tough to prevent because it has mutated to a form different than it was when the vaccine was made.

Seeking to put the swine flu outbreak in perspective Tuesday, Los Angeles County public health officer Dr. Jonathan Fielding echoed other public officials calling it "cause for concern, but not for alarm."

"Given the size of L.A. County, given the traffic between here and Mexico, it would be very surprising if we didn't have any cases," Fielding said.

He said the county, where the CDC had confirmed 10 cases of swine flu by Tuesday, sees more than 1,000 flu-related deaths every year.

"So it would also not be surprising if there were deaths with swine flu -- even if it had the pattern of seasonal flu," he said. "Thus far, the pattern we see in the United States is very similar to that of seasonal flu -- relatively mild to moderate cases."

CNN's Samira Simone and KC Wildmoon contributed to this report.

@highlight

Swine flu getting focus, but so far it's not deadly in United States

@highlight

Since January, more than 13,000 have died of complications from seasonal flu

@highlight

Worldwide annual death from the flu estimated between 250,000 and 500,000

@highlight

About 9 out of 10 flu deaths are among people older than 65