(CNN) -- It was the very first race of this year's World Championships and Lindsey Vonn was confident of wresting back her Super-G title. Just five seconds in, the story went off script, and Vonn off course.

On the Schladming slopes on an arctic Austrian February afternoon, the American downhill Olympic champion's first jump on the course initially appeared to go to plan but, as she landed, her weight seemed to shift too far forward and her right knee buckled virtually to a right angle beneath her.

She skidded off the track and came to a rest 100 meters down the mountain, in a crumpled wreck in the snow, clutching her knee, her face twisted in agony before the rescue helicopter winched her up over the snow-dusted pine trees below, taking her to begin the slow and agonizing recovery process.

She has been open in that recovery process, tweeting pictures of the horrific state of her blackened and swollen knee in the aftermath of her operation, keeping her followers posted on the slow and steady nature of her recovery.

Less than seven months later in September, Vonn clipped back into her skis on the slopes of Portillo, Chile, to test the reconstructed knee, insisting "I can't tell which knee is injured" and that she was "skiing without fear."

Her plan is now to return to competitive skiing at the World Cup meeting in Beaver Creek, Colorado, from 29 November to 1 December.

The U.S. Ski Team, their physician Dr Bill Sterett, who performed surgery on Conn, and Athletes Special Projects at Red Bull, headed by Robert Trenwalder, have been at the heart of her recovery program.

The comeback goal has been all about the Olympics in Sochi in February 2014, one year after the injury.

"Lindsey is a fighter and having her goal always in mind, she did everything needed for her comeback," Trenkwalder told CNN. "She has mastered it outstandingly and she always knew that she couldn't do too much too early.

"But such a tremendous injury requires a very specific and well-co-ordinated rehab program. The U.S. Ski Team, Dr Bill Sterett and we at Red Bull did everything possible to create an ideal rehab environment for Lindsey."

Early in that recovery process, Red Bull published a picture of Vonn, her knee heavily strapped on a medical bed doing exercises with the caption "not letting obstacles stand in her way."

Her program involved a strict calendar of rehab measurements and physical training but the physical side of things was only half of the battle.

Returning to the slopes after crashing at high speed and with a potentially career-threatening injury can take some overcoming.

"The physical rebuild is absolutely essentially but it has to go in coordination with the rehab program," continued Trenkwalder. "For sure there is a mental aspect too, returning to the slopes can be a challenge.

"But when I saw Lindsey giving her comeback on skis in Chile, it was totally obvious that everything is totally fine. Skiing is her element and she was all smiles to be finally back on skis."

For all the positive noises from Vonn's camp, however, there is still a sense -- to a certain degree -- that she is skiing into the unknown in the ensuing weeks.

"We are on target and everything looks good now," added Trenkwalder. "However, I cannot read the future and returning to the peak depends on loads of different aspects."

For the superstar of world skiing, it is her first career-threatening injury. So just how does skier recover from those physical and mental wounds?

Perhaps there is no better person to ask than British skier Chemmy Alcott, who is in the midst of rehab from breaking her leg for the third time.

The first and most serious break dates back to December 2010 during a practice run at Lake Louise in Canada. It was a jump she had tackled 60 times, 59 of them correctly but this time things went awry... at 80mph.

On this occasion, she ended up with a multitude of fractured bones in her leg, she was strapped to a stretcher and attached to a helicopter.

The breaks were so severe that her ski boot liner became lodged inside her leg, the removed boot showing smashed bones and a torrent of blood as it was removed.

It was an injury that kept her out of competitive action for two years but amazingly she remained conscious throughout.

"Well, for one, I don't remember the crash," said Alcott, who similarly has opted not to watch it back. "I think that was my body's defense mechanism, to shut it out.

"I'm a very optimistic person and I don't need to see something that could be negative. There's nothing to be gained from reliving it."

Remarkably Alcott opted to make her return at Lake Louise of all places, which had nearly seen the end of her career, finishing an impressive 25th in the downhill against the world's best skiers.

She describes that run as "the gutsiest performance of her life."

Clearly the mental demons were in abundance, perhaps typified by the fact that rather than her customary 10 minutes preparing at the start gate, she opted to spend just half-a-minute there.

Come the run itself, though, she explained: "I really put my brain out the window. I came out of the gate with a sense of peace and satisfaction having made it back."

She did not on that occasion nor during her latest break see a sports psychologist. "If I felt I had a weakness, I'd see someone about it," she said.

Instead, she talked it through with other skiers who have endured similar experiences before adding, "I think I'm mentally strong enough. With that Lake Louise run, I've proved how tough I can be.

"I didn't let anything in from the past, I wasn't scared, I was just excited to be back. I just don't think of 'what ifs' I just get on with things.

"For me, my only thought is Sochi. I've worked so hard for it. It's got to be."

"Sochi doubt?" she added, somewhat flabbergasted, in answer to the question of whether she would OK for the Winter Olympics. "It's just not there, I can't let it creep in. It's my Hollywood ending."

There is something even more Hollywood about Vonn, with her higher profile and her on-going relationship with the world's most famous golfer Tiger Woods. Both skiers, though, have very similar goals, to make it to Sochi.

But what is it about skiers that enable them to overcome such mental battles. Is it genetic?

Dr Rhonda Cohen manages the London Sport Institute at Middlesex University and is a chartered sport and exercise psychologist whose research centers on personality, motivation, risk and reaction times especially in examining the psychology of extreme sport.

"We are all born with a genetic pattern and obviously a genetic predisposition towards certain behavior," says Cohen.

"When you are born with more of an anxiety trait your natural reaction would be to get anxious in a stressful situation such as a broken leg.

"However, both Lindsey and Chemmy have developed excellent coping mechanisms, pushing aside thoughts of perhaps not ever being able to be the best in your sport."

But even extreme sports starts come to a point after an injury where they think enough is enough.

As Cohen pointed out: "Some skiers do give up. I have often found the length of their career as part of an odds game -- the longer they compete or engage in the sport, the greater the chance of something serious happening."

That happened in the case of Austrian skier Hans Grugger, a World Cup winner who suffered a serious head injury in a fall in 2011.

At the age of 30, Grugger made a full recovery from those head injuries but any hopes of a return to the slopes -- at least competitively -- were curtailed by nerve damage to his right leg.

He had suffered two serious falls before, much like Alcott and Vonn, and on both occasions opted to return.

"To me, that was not a problem, crashing is a part of skiing, and crashing never gave me fear for the next time," he explained. "But this accident was different. I couldn't come back."

His comments suggest he would still be competing if given the chance but Grugger is not so sure. "I don't know as I just feel happy to have my life," he adds.

"I was told if my head injury was one centimeter to the right or left, things could have been very different."

Perhaps fortunately the mental demons of the crash do not haunt him -- he has no memory from six weeks beforehand to about six weeks afterwards.

However, before returning to the slopes in a more amateur fashion, he opted to watch back his horror fall. "It was just me and my laptop," he recalls.

"It took me a time to press play -- my finger was hovering over play for a long time. But when I watched it, it was OK. It was just like watching someone else. So when I did first ski, I was not scared."

Unlike Grugger, in retirement from the age of 30, Vonn, who turns 29 on Friday, and 31-year-old Alcott have opted to return.

Despite their crashes, they show no signs of slowing down or hanging up their skis.

@highlight

How Lindsey Vonn is bidding to return from a potentially career threatening injury

@highlight

American's Red Bull team insists it's as much a mental as it is physical battle to return

@highlight

British skier Chemmy Alcott relives recovering from three leg breaks in her career

@highlight

Extreme sports psychologist on the mentality of recovering from such high-speed falls