Barcelona, Spain (CNN) -- In Barcelona, you'll find a contemporary Olympic stadium, ancient Roman columns and chimneys that look like space aliens.

The capital of the Spanish region of Catalonia has reinvented itself a number of times. But it seems to hold a special place for both its medieval and moderniste sides.

While planning my first visit to the city, I was certain I would be most interested in exploring the Ciutat Vella, Barcelona's old city, with its narrow streets and centuries-old churches. But I also had every intention to follow the tourist checklist, and visit a few of the Catalan modernist buildings for which the city is well known.

Modernisme, or Catalan modernism, is a cultural movement that took hold in Barcelona in the late 1800s, encompassing Art Nouveau and other artistic styles. Its followers embraced asymmetry, bright colors and curving lines. But from pictures I saw before my trip, the style didn't seem nearly as appealing as Barcelona's medieval masterpieces.

The old city was enchanting, especially the Barri Gotic, or gothic quarter. Local school kids' voices echoed in an ancient square, as my husband and I meandered through a maze of cobblestone streets, walled with medieval palaces and churches. There are antique shops, where collectors can find anything from teacups to old posters, and on the weekends local artists hawk their wares at open-air markets in some of the larger squares.

There are plenty of restaurants and cafes for tapas, sangria and people-watching. Tourists pass with their noses in guidebooks, while locals walk quickly, seemingly unaware of the splendor surrounding them.

If the old city made us feel a bit claustrophobic, a stroll up Passeig de Gracia was the cure. The wide street is the main boulevard leading through L'Eixample, the extension to the city built in the mid-1800s. In the midst of chic shops and restaurants are some breathtaking examples of Catalan modernist architecture.

L'Eixample was built as Barcelona was starting to thrive as an economic center in a way it hadn't since the Middle Ages. The showy moderniste style took shape as successful entrepreneurs commissioned elaborate villas. Architects employed contemporary materials like glass, ceramic and iron, but also drew inspiration from Romanesque and Catalan Gothic styles.

I learned to appreciate Catalan modernism as soon as I caught sight of Casa Batllo, a large home designed by Antoni Gaudi, perhaps the most famous moderniste architect. Its colorful exterior sparkles with bits of broken glass, the curving rooftop is covered in a rainbow of scales, and the rounded balconies seem to be shaped out of bone.

Gaudi was a pioneer of Catalan modernism. He drew inspiration from nature, and his distinctive style featured bold shapes and colors. He created many of Barcelona's greatest tourist attractions, including another eye-catching work on Passeig de Gracia, a large apartment building called Casa Mila. Its undulating exterior is made of natural-colored stone, and doesn't feature a single straight line. The one-of-a-kind façade is accented with twisting iron balconies. But the most interesting feature has to be the rooftop -- a surreal landscape of peaks and valleys, where tourists pose for photos in front of chimneys that look like something between masked warriors and space aliens.

Even the tiles that make up the sidewalks on Passeig de Gracia feature a reproduction of a swirling design by Gaudi. The rounded street benches and ornate iron lampposts keep with the theme.

A study in contrasts

A trip to Barcelona wouldn't be complete without visiting its array of churches. The city's houses of worship capture both the medieval and Catalan modernist styles.

Towering over the old city is Barcelona's cathedral, an imposing example of a medieval European church. The exterior features spires, gargoyles and a grand entranceway of concentric arches. Inside it's large, yet peaceful. The vaulted ceilings, delicately detailed stained glass, and elaborate woodcarvings inspire quiet contemplation. About two-dozen gilded side chapels tell stories of martyrs and saints. The adjacent cloister is a peaceful oasis, featuring palm trees, a mossy pond and a flock of geese.

While the cathedral is ornate and overwhelming, the nearby basilica, Santa Maria del Mar, is simpler. Built in just over 50 years in the 14th century, the church is considered the finest surviving example of the pure Catalan Gothic style. Inside, the soaring columns and window after window of stained glass, even the rose window, somehow seem elegantly understated. My favorite features were the ominous skulls and crossbones on the floor, marking burial sites.

The gothic interior of the Santa Maria del Mar is said to have inspired the design of another church that's a short subway trip away, though worlds distant -- Gaudi's masterpiece, the Sagrada Familia.

I have to admit that, viewing it from a distance, I could see why some consider it an eyesore. But up close, and with the help of the provided audio guide, I learned to appreciate the religious symbolism that completely coats its outdoor facades. All skepticism slipped away once I stepped inside. Sunlight casts a rainbow through the multi-colored stained glass windows, and gothic columns seem to grow up and up to the towering ceiling, where they branch out like trees.

Nearly 130 years after the project broke ground, construction cranes still loom over its towers. It's hoped the church will be complete by the 100th anniversary of Gaudi's death, in 2026. Meanwhile, Pope Benedict XVI consecrated it as a basilica last November. It's a spiritual place, but in a way that's completely different from Barcelona's medieval churches. Instead of dark and solemn, the Sagrada Familia is bright and even cheerful, a celebration of nature and devotion.

For fans of Catalan modernism there is much more to see. Barcelona's Centre de Modernisme offers a guidebook featuring 115 buildings on a "modernisme route."

If you can't get enough of the medieval, visit Barcelona's Museu Nacional d'Art de Catalunya. It's most famous for its one-of-a-kind collection of Romanesque art, dating back to the 11th century. The works were mostly salvaged from churches in the Pyrenees.

Barcelona's rich history can't be fully appreciated by just visiting moderniste and medieval sites, but in a city with so much to experience, it's a great place to start.

@highlight

Modernisme, or Catalan modernism, emerged in the late 1800s in Barcelona

@highlight

The city's medieval structures contrast sharply with its moderniste landmarks

@highlight

Architect Antoni Gaudi's works are highlights of Catalan modernism