MOSCOW, Russia (CNN) -- From the uncertainty that followed the breakup of the Soviet Union, a newly invigorated Russia has emerged, displaying unprecedented political, military and economic confidence that has, at times, put it on a collision course with the West.

A resurgent Russia has been flexing its military, political and economic muscles.

With no sign of strongman Vladimir Putin taking a political backseat, Russia looks set to continue its bid to regain superpower status, providing that its citizens can endure the crippling impact of the global financial crisis and shrug off fears that their newfound freedoms, outlook and relative prosperity will be short-lived.

Here CNN Moscow Correspondent Matthew Chance explains what has driven Russia's re-emergence, how this has affected its role on the world stage, and what can be expected from the country in the future.

Q: What has been the driving factor behind Russia's resurgence?

A: Affluence was behind Russia's resurgence, but there's a real sense in which the global financial crisis has checked Russia's aspirations of a return to superpower status.

Before the downturn, the booming price of commodities, such as gas and oil, of which Russia is big supplier, fueled prosperity and gave Russians a confidence they hadn't previously enjoyed.

It also saw the Kremlin being taken much more seriously on the international stage, inserting itself into Middle East peace talks, the Iranian nuclear issue and a host of other issues.

It has also encouraged Russia to assert its presence in what is known as the near-abroad -- the former Soviet states. Many of those states want to move towards NATO and Europe, but Russia wants to keep them within its sphere of influence.

The obvious example of this is Russia's war last year with Georgia. After Georgia announced its intentions to sign up to NATO, Russia launched a military offensive much to the dismay of the international community.

Q: Is there a change of atmosphere in Russia these days; are people more optimistic about the future than they were 10 or 15 years ago?

A: Despite the financial crisis, people enjoy a lot more freedom and a lot more prosperity than they did 15 years ago, but there's a deep-seated insecurity among Russians that it could all -- the money, the freedom -- come to an end.

Watching their currency collapse by 30 percent over the last year, unemployment soar 10 percent and industrial output plunge has made Russians very uncomfortable about the future. At the moment people don't see an end to the hardship.

At the same time, the Kremlin has spent a lot of its hard currency softening the blow of the crisis, bolstering pensions and the welfare system, and that's been appreciated by many Russians too.

Q: Is there much rose-tinted reminiscing about the past?

A: There is on lots of levels, certainly among Russia's pensioners, who gave their lives to the cause of communism, fought in World War II against Nazi Germany and perhaps enjoyed a privileged position in Soviet society.

There's a great sense of loss about the collapse and nostalgia about what were seen as the good things: strength, order and global power. The younger Russians didn't have that experience of the Soviet Union.

Nevertheless, icons of that period such as former Soviet leader Josef Stalin are still viewed with affection by many people in part because of what he represented: Russia as a world power. The idea that he oversaw brutal oppression is very much ignored.

Q: Are there any changes in the way Russia sees the rest of the world?

A: Yes, not least because in the Soviet period people didn't get to travel overseas and foreigners always viewed Russia with suspicion. This has started to change noticeably.

Russians are more visibly internationally. They go on holiday all over the world: Turkey, Thailand, the South of France, the Caribbean. They are much more assimilated into the global village than they ever were during the Soviet period. This has broadened people's minds here and made them much more tolerant in their global outlook in general.

Q: Will Vladimir Putin remain key to Russia's future?

A: There is very little doubt in the mind of most Russians that Vladimir Putin remains not only a central figure in the country's decision making, but is perhaps the main decision maker.

A recent opinion poll by an independent Levada-Center showed that 24 percent of Russians consider Putin to have the real power, compared to just 12 percent for his hand-picked successor, President Dmitry Medvedev.

As for the future, in the past year since Medvedev was sworn in, there is very little sign he has stamped his mark. It still looks to domestic and international audiences that Putin is calling the shots. At this point it's hard to see any evidence that the situation is going to change.

@highlight

Booming oil and gas prices have fueled Russia's recent prosperity

@highlight

Heavy impact of financial crisis has weighed heavily on superpower aspirations

@highlight

No signs of Vladimir Putin taking a backseat role in Russia's future