Madrid (CNN) -- The Prado Museum put on display for public viewing Tuesday a restored version of what is thought to be the earliest known copy of Leonardo da Vinci's "Mona Lisa" masterpiece, which hangs in the Louvre Museum in Paris.

Many copies of "Mona Lisa" were painted years after the fact, but this copy is different, experts say, because evidence shows it was painted at the same time and in the same studio as the original masterpiece, probably by one of Leonardo's assistants or pupils.

The copy shows the same woman and the same landscape, the Prado Museum said in a statement.

But the restored copy may depict the woman in a more youthful and vibrant fashion, some art experts said, because the original masterpiece has been dulled by layers of cracked varnish and there are no known plans to restore it as well.

"This copy is now one of the most important sources of information for working procedures in Leonardo's studios," the Prado said in a statement.

"The first thing to notice is that the copy is in remarkably good condition and we think that it's a rather faithful rendition of the original," Gabriele Finaldi, the Prado's deputy director told CNN. "I think it has a lot to offer regarding the understanding of the original in the Louvre, particularly in the landscape and in the head dress, and details of the face and hands."

The copy will be on display at the Prado through March 12, when it will be sent to the Louvre to be shown in an exhibition on Leonardo, starting March 29.

Both the original and the copy were painted 500 years ago, but what art experts consider to be the exciting details about the copy occurred only recently.

The copy has been in Spanish art collections for centuries, first in the royal collection, and then in the Prado's collection starting in 1819, when the museum opened, the Prado statement said.

At a packed news conference at the museum, Prado officials said the "Mona Lisa" copy underwent a big change in the 18th century, when someone ordered the colorful background landscape to be painted over in black. Art historians know that some other paintings underwent similar transformations, with backgrounds being obscured.

In the case of the "Mona Lisa" copy, the painted-over version left just the young woman in view, with none of the tell-tale background that could link it more closely to the masterpiece. This portrait was actually on display for years at the Prado, without anyone realizing what was hidden, museum officials said.

Two years ago, the Louvre asked the Prado to study this portrait with the aim of getting it on loan for the Leonardo exhibit to start late next month, Prado officials said.

The Prado restoration workshop began a series of painstaking tests on the copy, including chemical analysis and infrared imaging, which suggested the black paint was covering up some earlier part of the painting.

The painting was cleaned of oxidized varnish and then very small portions of the black were removed at the edges, and those sections were compared to the original masterpiece in the Louvre. As positive matches occurred -- sections of landscape in the original matching newly uncovered sections of landscape in the copy -- more of the black was removed, until it was finally revealed to be a contemporary copy.

Prado officials said much more study will now be done on the copy, including trying to figure out exactly who painted it. There are few likely candidates -- people who were working in Da Vinci's workshop at the time -- but art experts are not yet sure which one might be the artist.

The copy will go to the Louvre as part of the "Leonardo's Final Masterpiece" exhibition, which focuses on his work, "The Virgin and Child with St. Anne."

@highlight

The painting is believed to be the earliest known copy of the "Mona Lisa"

@highlight

Evidence shows it was painted at the same time and in the same studio as the original

@highlight

The background was painted over with black during the 18th century

@highlight

The restored copy has background details linking it more closely to the original