Since the days of Hemingway and Faulkner, bars and cafes where writers, painters and performance artists go to procrastinate have often caught the public's imagination.

The romance of the artist's hangout is irresistible.

From rivalries fermented over drinks to witty one-liners exchanged by Dorothy Parker and her well read pals -- "Their pooled emotions wouldn't fill a teaspoon" -- these are the places of a struggling artist's networking dreams.

Even better, some of the most iconic artist hangouts and literary pubs continue to welcome patrons today.

MORE: Amtrak officially rolls out writer's residency program

1. La Closerie des Lilas (Paris)

Manna for artists of yore because of its cheap prices, this place was frequented by Paul Cezanne, Ernest Hemingway and Scott Fitzgerald among others.

In 1922, the cafe reportedly witnessed the historic tiff between Tristan Tzara and Andre Breton that brought an end to the Dada movement in Paris.

Hemingway wrote "Fiesta" here.

Brass plaques inform visitors where the greats like Hemingway and Picasso sat.

La Closerie des Lilas, 171 Boulevard du Montparnasse, Paris; +33 1 40 51 34 50

2. Cerveceria Alemana (Madrid)

The pub has retained most of its wood-lined interiors since the days of Ernest Hemingway, who was a regular patron.

Hemingway had a favorite spot in the pub, which is still maintained for literary-minded guests and regular patrons alike -- to the right of the entrance, the only marble-topped table with a window view.

Cerveceria Alemana, Plaza de Santa Ana, 6, Madrid; +34 914 29 70 33

MORE: Opinion: If Hemingway was there, give the joint a miss

3. El Floridita (Havana, Cuba)

Ernest Hemingway's love for booze made him a frequent guest at watering holes all over the world, including this one, his favorite haunt through a 20-year residence in Cuba.

The pub has a daiquiri, the "Papa Doble," named after a recipe in his book "Papa Hemingway."

The bar is filled with Hemingway memorabilia for the loyal reader: a dedicated bar stool, a bust and a statue.

Other famous patrons include Spencer Tracy and Errol Flynn.

El Floridita, Obispo No.557 esq. Monserrate, Havana, Cuba; +53 7 8671300

MORE: World's 50 best beach bars

4. The Oxford Bar (Edinburgh, UK)

Made famous in recent years by novelist Ian Rankin through his character Inspector Rebus's habit of visiting "The Ox," the bar boasts famous literary patrons of the mid-20th century such as Sydney Goodsir Smith and Willie Ross.

The lounge bar inside was one of the locations for the Munro Show presented by Muriel Gray -- the lounge bar is also where the character of Inspector Rebus rests in the pub.

The back room regularly hosts celebrities such as footballer Ian Milne, presenter and news reader John Toye, John Jeffries and Denis Waterman.

The Oxford Bar, 8 Young St., Edinburgh, UK; +44 131 539 7119

5. Vesuvio (San Francisco)

Hub of the Beat Generation, Vesuvio is associated patrons such as Neal Cassady, Jack Kerouac, Alan Ginsburg and Dylan Thomas.

The alley adjacent to the cafe is named after Kerouac.

Today, the walls of the bar are adorned with Beat Generation memorabilia, including photographs, poetry and paintings.

The place has retained its unique combination of bohemian charm and intellectual vibe.

Vesuvio Café, 255 Columbus Ave., San Francisco; +1 415 362 3370

6. Blue Bar, The Algonquin Hotel (New York)

Site of the famed "round table" luncheons of Dorothy Parker and writers such as Alexander Woollcott, the Algonquin is filled with old Vanity Fair covers, New Yorker cartoons and quotes of its most famous patrons, especially Parker.

The hotel keeps up its ages-old tradition of hosting a resident female feline -- these days it's a blue-eyed cat named Matilda.

The Algonquin Hotel, 59 W. 44th St., New York; +1 212 840 6800

7. Harry's New York Bar (Paris)

This bar has been frequented by celebrities from all fields: Coco Chanel, Rita Hayworth, Hemingway and too many more to count.

George Gershwin composed the classic "An American in Paris" in the Ivories Piano Bar, a section of the bar that still stands.

The Bloody Mary was supposedly created here.

Harry's New York Bar, 5 Rue Daunou, Paris; +33 1 42 61 71 14

8. The White Horse Tavern (New York)

Known for its bohemian vibe in the 1950s and 1960s, the tavern counts Bob Dylan, Dylan Thomas (who drank his last whiskey here and collapsed just outside, passing away not much later), the Clancy Brothers and Jack Kerouac among its famous patrons.

The gritty pub has been shown in "Mad Men" and "The Carrie Diaries."

White Horse Tavern, 567 Hudson St., New York; +1 212 989 3956

9. The Eagle and Child (Oxford, UK)

Near Oxford University, this traditional pub's Rabbit Room is where J.R.R. Tolkien, C.S. Lewis and other writers met and formed The Inklings writing group.

Today, the Rabbit Room showcases signed testimonials and memorabilia connected to its most famous patrons.

Author Colin Dexter is a more recent customer.

The Eagle and Child, Oxford, 49 St. Giles', Oxford, UK; +44 1865 302925

10. Toners (Dublin, Ireland)

Officially dubbed a UNESCO City of Literature, Dublin is home to numerous literary pubs.

Toners takes top honors for not only being a regular haunt of authors such as Patrick Kavanaugh and Bram Stoker, but for being the only pub poet W. B. Yeats ever visited.

Management at Toners candidly reveal that Yeats had misgivings before his first pub visit and was indeed not impressed enough to become a regular pub-goer, unlike many of his contemporaries.

The snug at Toners, a private lounge-like area typical of a traditional Irish pub, is the place where the old Irish literati hung out.

The snug was named Snug of the Year in 2010.

Toners Pub, 139 Lower Baggot St., Dublin; + 353 1 676 3090

11. Carousel Bar & Lounge, Hotel Monteleone (New Orleans)

As the name suggests, the bar is built like a merry-go-round, inviting guests to take a whirl on the 25-seat, brightly painted carousel.

The bar was a favorite of William Faulkner and Truman Capote.

The bar and the hotel have been mentioned in the works of Tennessee Williams, Eudora Welty, and Ernest Hemingway.

Installed in 1949, the carousel was renovated in 1992.

The hotel lobby and Carousel Bar have been used in the filming of "Double Jeopardy" and "Glory Road."

Carousel Bar, Hotel Monteleone, 214 Royal St., New Orleans; +1 504 523 3341

12. Les Deux Magots (Paris)

In English, the name means "two Chinese figurines," an allusion to the novelty store that once occupied the same spot.

The cafe instituted the prestigious Deux Magots Literary Prize in 1933, which continues to this day.

Painters, intellectuals and authors such as Pablo Picasso, Elsa Triolet, Simone de Beauvoir, Jean-Paul Sartre and Albert Camus were frequent patrons.

Today, the cafe stands for the rich literary and artistic history of the Saint-Germain-des-Pres area of Paris.

Les Deux Magots, 6 Place Saint-Germain-des-Pres, Paris; +33 1 45 48 55 25

13. Leopold Cafe (Mumbai, India)

Established in 1871 and traditionally popular among locals, the restaurant and bar gained literary notoriety when it was described in detail in Gregory David Roberts' 2003 book "Shantaram."

Part of the cafe was damaged in the 2008 Mumbai terrorist attacks, but the owners reopened it four days later.

The old Mumbai underworld clientele of the cafe has today been replaced with tourists and office workers wanting to live out the "Shantaram" experience.

Leopold Cafe, Colaba Causeway, Mumbai; +91 22 2282 8185

14. Newman Arms (London)

The pub was the inspiration for the working class watering hole described in George Orwell's "1984."

Orwell was a regular here, as was Dylan Thomas.

Film director Michael Powell was a patron, too.

The pub has been used for filming movies and shows such as "Peeping Tom," "Minder," "The Bill" and "Da Ali G Show."

For a couple of decades it's been popular for its house-baked pies and range of beers.

Newman Arms, 23 Rathbone St., London; +44 20 7636 1127

MORE: Best U.S. movie filming locations to visit

15. Antico Caffe Greco (Rome)

This one has counted Mary Shelley, Goethe and Wagner among its regulars.

Italian adventurer and author Casanova is supposed to have been a patron.

Today, the coffeehouse continues its artsy tradition by hosting cultural events.

Antico Caffe Greco, Via Condotti, 86, Rome; +39 06 679 1700

MORE: 15 best coffee bars in Rome

16. Kennedy's (Dublin, Ireland)

Oscar Wilde wasn't just a drinker here, he once worked at the shop attached to the bar.

The gorgeous marble bar has been preserved from the time when Samuel Beckett and James Joyce were regulars.

Kennedy's, 31-32 Westland Row, Dublin; +353 1 6799077

@highlight

Hemingway was a frequent guest at pubs all over the world, including five on this list

@highlight

Harry's New York Bar in Paris was frequented by Coco Chanel, Rita Hayworth and George Gershwin

@highlight

The only pub W. B. Yeats ever visited was Toner's in Dublin