(CNN) -- One year ago, a series of events began with an earthquake off the cost of Japan that culminated in the largest accidental release of radioactivity into the ocean in history.

We have to be careful and say "accidental" because in the late 1950s and early 1960s, 50 to 100 times more radioactivity was released worldwide as fallout from the intentional testing of nuclear weapons. The word "ocean" is also important, since Chernobyl in 1986 was hundreds of miles inland, so it had a smaller impact on the concentrations of radionuclides in the sea than was measured directly off Japan in 2011.

One year later, we have to ask, what do we know about Fukushima's impact on the ocean and levels of radioactive contaminants in water and fish?

In many ways we were fortunate that impacts were largely confined to the ocean. Certainly, the Japanese people continue to feel devastating effects of so large a release within their country, and many people may never be able to return to their homes. But in general the winds during the height of the accident at the Fukushima Daiichi nuclear power plant were blowing offshore. As a result, more than three-quarters of the radioactivity fell on the ocean. This is important, as any that lands on soil remains in place, resulting in the potential for greater human exposure and increased chances of contamination to food supplies and property.

In the Pacific, however, the strong Kuroshio Current (similar to the Atlantic Gulf Stream) helped move any contamination quickly away from shore and diluted it by mixing it into deeper water.

This allowed us to report that by June 2011, even when we sampled within sight of the nuclear power plants, levels of cesium-137 and cesium-134 in the ocean, two primary products of nuclear fission, were elevated, but still below those considered of concern for exposure to humans. They were also well below biological thresholds of concern to the small fish and plankton we sampled, even if these were consumed by humans.

Several other groups have now confirmed our findings about levels of radioactivity up to 400 miles offshore.

Other measurements show trends that are more worrisome. Levels of radioactivity found in fish are not decreasing and there appear to be hot spots on the seafloor that are not well mapped. There is also little agreement on exactly how much radioactivity was released or even whether the fires and explosions at the power plant resulted in more radioactive fallout to the ocean than did direct releases of radioactivity caused by dumping water on the reactors to keep them cool.

Opinion: U.S. reactors still vulnerable, a year after Fukushima

Japan is taking what some think of as a precautionary measure by lowering the limits of radioactive contaminants in drinking water and food supplies, including seafood, on April 1.The new level for fish will be one-tenth of the acceptable level in the United States. Will Japan's new limits build consumer confidence or raise fears and questions about why more fish are considered unsafe for consumption? And why were fish caught last year considered safe, but now are not?

Despite the announcement in December that operators of the power plant had achieved cold shut down, we know they are still using tons of water to cool the reactors and that not all the water has been collected or treated. As a result, the ground around the site is like a dirty sponge, saturated with contaminated water that is leaking into the ocean.

Marine sediments are also collecting radioactive contaminants, exposing bottom-dwelling fish, shellfish and other organisms on the sea floor to higher levels of contaminants than those in the waters above. Little is known, however, about the level of contamination in the groundwater and on the seafloor and whether these will be a source of contaminants long after levels in the ocean have become diluted to the point that only the most sensitive instruments can detect them.

We do know that we can detect cesium at very dilute levels, well below those considered harmful. Using these sensitive techniques we can track the Fukushima contaminants as ocean currents carry the peak releases across the Pacific where they are expected to reach the U.S. West Coast in 2013-2014 at levels that are much lower than we measured off Japan in 2011 and thus not of concern to human health.

Two weeks ago, we held the largest international gathering of marine scientists studying radioactive substances in the ocean originating from Fukushima. Although we shared freely what each of us has learned in the last year, what we need today is also what we needed on March 11, 2011 â€” greater international coordination of long-term studies of the fate and consequences of the radiation. We've done the initial assessments. Now we need to begin answering the tougher questions, building public confidence in scientific studies by having multiple, independent groups at work, and ensuring we have the resources to build comprehensive, long-term studies.

As a scientist and a marine radiochemist, I am trained to provide answers about radioactivity in the oceanâ€”how much is out there, where it is, and what its fate is likely to be in the future. Today, we haven't gone very far beyond the first question, which was key on March 11, 2011, but hardly seems sufficient one year later.

The opinions expressed in this commentary are solely those of Ken Buesseler.

@highlight

Fukushima disaster led to largest accidental release of radioactivity into ocean

@highlight

Ken Buesseler says the levels detected in the ocean water are not of concern to human health

@highlight

He says there is concern that levels of radioactivity in fish are not decreasing

@highlight

Buesseler: Levels that will reach U.S. West Coast in 2013-14 are not high enough to harm humans