Washington (CNN) -- President Barack Obama will unveil Wednesday a package of gun control proposals that, according to a source, will include universal background checks and bans on assault weapons and high-capacity magazines.

Obama and Vice President Joe Biden will announce the proposals, White House spokesman Jay Carney told reporters on Tuesday.

They will be joined by a group of children who wrote letters to the president in the aftermath of the December 14 shooting rampage by a lone gunman who killed 20 students and six adults at a Newtown, Connecticut elementary school, Carney said.

Obama will propose legislative steps he previously has backed, such as a ban on assault weapons, restrictions on high-capacity ammunition magazines and strengthening federal background checks of people attempting to buy guns, according to Carney.

The president also will push for other steps that could include executive actions on his part that don't require congressional approval, Carney noted.

More specifically, the source -- an official familiar with the process -- said the president's proposal will press for a ban on high capacity magazines with more than 10 rounds, universal background checks and a request that funds be made available to help treat mental illness and provide schools with support to enhance their safety.

Biden led a panel assembled by Obama to examine gun control steps after the Newtown shootings, which sparked a fierce public debate over how to prevent such mass killings with guns.

Opponents led by the powerful National Rifle Association promise a political fight against gun control measures that they say will violate the constitutional right to bear arms.

An NRA spokesman said Tuesday the group has experienced what he called an "unprecedented" spike in membership numbers since new calls for gun control began in the past month.

Approximately 250,000 people have joined the organization's existing 4.25 million members, according to NRA spokesman Andrew Arulanandam.

"This is in direct response to the threats and accusations coming from" Obama and other political leaders, Arulanandam said, adding that "if anyone is wondering if the American people cared about the Second Amendment ... those numbers give a very clear answer."

In addition to new members, the NRA is also receiving an influx of financial contributions, he said.

"This is going to be a very expensive and hard-fought fight," Arulanandam noted.

The federal government estimates that more than 300 million non-military guns are owned or available for purchase in the United States.

At the White House, Carney acknowledged the challenge, saying: "If these things were easy, they would have been achieved already."

"It's something we have to do together," he said. "It's something that cannot be done by a president alone. It can't be done by a single community alone or a mayor or a governor or by Congress alone. We all have to work together."

Carney also reiterated Obama's belief in the Second Amendment right of citizens to be armed.

"He has made clear that he believes we ought to take common sense, and enact common sense measures that protect Second Amendment rights but prevent people who should not have weapons from obtaining them," he said.

Carney said the proposals Obama will present Wednesday would be his final version of the package recommended by Biden's team.

The recommendations by Biden's panel included as many as 19 executive actions, such as tougher enforcement of existing laws, legislators briefed by the vice president said Tuesday.

Obama could demand that agencies provide data for background checks that are supposed to accompany gun sales, ensuring that information included in the checks is as "comprehensive and complete as possible," Democratic Rep. Mike Thompson of California told CNN.

The president also could immediately appoint a director of the Bureau of Alcohol, Tobacco, Firearms and Explosives, which has been without a permanent chief for six years, Thompson said.

A Democratic member of Congress who was briefed on the recommendations said some of the 19 executive actions discussed included improving the way the government administers current law.

The legislator, speaking on condition of not being identified, cited loopholes in the federal database for background checks on gun sales as well as issues involving mental health checks as possibilities for executive action.

Across the country, more than a million people failed background checks to buy guns during the past 14 years because of criminal records, drug use or mental health issues, according to FBI figures. That figure, however, is a small fraction of overall gun sales.

None of the legislators mentioned the NRA's call for armed guards at school as an option under consideration.

Obama has not ruled out issuing executive orders on some gun control measures to enforce laws already on the books, such as bolstering the way gun sales are tracked.

The president reiterated his desire on Monday for more robust background checks for gun buyers, keeping high capacity magazines away from criminals, and a ban on assault weapons.

"Will all of them get through this Congress? I don't know," Obama said. "But what's uppermost in my mind is making sure that I'm honest with the American people and members of Congress about what I think will work, what I think is something that will make a difference."

Working with Congress will be paramount in curbing gun violence, Thompson said, singling out a ban on high capacity magazines as an example of a measure that could garner Republican support. A full-scale assault weapon ban would be tougher to pass the GOP-controlled House, he argued.

Obama also said on Monday that the gun lobby was "ginning up" fears the federal government will use the Connecticut tragedy to seize Americans' guns. At least part of the frenzy is little more than marketing, he implied.

"It's certainly good for business," the president said, responding to a question about a spike in weapons sales and applications for background checks since the December killings.

Biden has said he's found widespread support for universal background checks and restrictions on the sale of high capacity magazines, which gun control advocates believe contribute to more bloodshed at mass shootings.

The influential NRA, among other gun rights groups, has vowed to fight any new gun restrictions -- like an assault weapon ban.

Gun control advocates, gun violence victims, the NRA, video game makers and others have met with the Biden-led task force.

In New York, Democratic Gov. Andrew Cuomo on Tuesday signed into law a series of new gun regulations -- the nation's first since the Newtown shootings.

Both New York's GOP-controlled Senate and Democrat-controlled Assembly approved the measure by overwhelming margins.

It includes a statewide gun registry and adds a uniform licensing standard across the state, altering the current system, in which each county or municipality sets a standard.

Residents are also restricted to purchasing ammunition magazines that carry seven bullets, rather than 10.

"The changes in New York are largely cosmetic," said CNN legal analyst Paul Callan, who described existing regulations as "the toughest gun laws in the United States."

Lawmakers in at least 10 other states are reviewing some form of new gun regulations in the new year.

Meanwhile, new national polls indicated a majority of Americans support some or most gun control measures.

By a 51%-45% margin, Americans questioned in a new Pew Research Center poll said it was more important to control gun ownership than to protect gun rights.

And by a 52%-35% margin, a new ABC News/Washington Post survey indicates the public says it is more likely to support some forms of gun control after last month's massacre. However, the polls showed continuing divisions on political and gender lines.

Mexico watching with interest

CNN's Carol Cratty, Jim Acosta, Paul Steinhauser, David Ariosto and Kevin Liptak contributed to this report.

@highlight

NEW: Assault weapons ban, universal background checks are part of plan, says official

@highlight

NEW: So is a ban on magazines with more than 10 rounds, the official says

@highlight

Moves are a response to the December massacre at a Connecticut school