(CNN) -- The corpse of another man's mother always looks like firewood from afar, so says an African proverb. Until recently, terrorism, war and the accompanying human carnage in far-away countries like Iraq, Afghanistan, Syria and many other troubled countries meant just more news of the crazy world out there. Not because of my lack of empathy, but distance can be a ready-made palliative for pain.

Now, that distant and macabre dance of death that once seemed so far away on TV has come upon my country, Nigeria, with a big bang.

Suicide bombing, towns and villages getting blown up, allegations of extra-judicial killings by the police and the military, kidnappings, terrorist attacks on government establishments -- total confusion and a lack of solutions to the violence is no longer just news, but a terrifying daily reality show.

In the current wave of violence, especially in the northern and middle belt of the country, which has culminated in President Goodluck Jonathan declaring a state of emergency in the three states of Adamawa, Borno and Yobe, one is at a loss as to where the country is headed in its near future.

Nigerian forces tout 'massive deployment' against insurgents

What has happened in Borno, a state in the northern part of Nigeria, in the past weeks is like full-scale war. A local official said recent attacks there, in the border town of Baga, left more than 185 inhabitants dead in unclear circumstances involving the military Joint Task Force (JTF), the peace-keeping government outfit that has been effectively inefficient in all the troubled zones. The army, however, said no more than 36 people were killed.

The burning embers of the Baga massacre had hardly cooled off when another attack was carried out in Bama, another town in the same state. According to the army, 55 people were killed by Boko Haram; casualties including women and children were burnt alive.

Watch this: Who are Boko Haram?

Following these deaths came yet another wanton killing of policemen and soldiers in another state. The dead, as usual, are a mixture of innocent civilians, military personnel, policemen and members of Boko Haram, the Islamic militant group that has been carrying out attacks since 2009.

The total break down of law and order and daily carnage made the governor of Borno, Alhaji Kashim Shettima, put the blame squarely on the doorsteps of his fellow politicians and the Nigerian government as the primary cause of the country's state of insecurity.

According to the governor, "Underneath the mayhem of Boko Haram lies the underlying cause which is extreme poverty and destitution ... until we address some of these issues the future is very bleak for all of us as the current crisis is just an appetizer of things to come. Very soon the youth of this country will be chasing us away."

Read more: 'Massive' numbers of Nigerian troops target insurgents

The governor also gave his view of the current mindset of Nigeria's political ruling class: "The most important thing in Nigeria is about the last election and the next election, the only thing that is agitating our minds is how we can perpetuate ourselves in power. How much we can steal, how many mansions we can buy in Florida, Dubai and London, this is what agitates the minds of the elites of this country."

To hear this kind of finger-pointing and chilling words from one of those the rest of the country expects to resolve the conflict and bloodletting is quite enervating.

A previously proposed panacea to the madness was the proffering of amnesty to Boko Haram members by the federal government, which it has so far refused.

The whole amnesty idea to many observers bordered on the line of insanity and inanity. Two things -- the amnesty program that was first introduced to curb violence and pacify militants in the Niger Delta by the late President Umaru Yar'Adua and continued by Jonathan, cannot be said to be successful, as insurgency is still very much a clear and present danger in the Niger Delta. Secondly, it looks like crime pays in Nigeria when criminals and murderers are getting rewarded in the name of "amnesty" every time they put a gun or bomb to the government and people's temples.

Wealthy Nigerians and multinational expatriates have become prisoners in a supposedly free country, constantly moving with heavily armed guards. For most, this has not proven effective as some of their armed guards have been outgunned by terrorists and criminals who mean business.

Politicians are sometimes the worse off, and one cannot help but reason that the poverty planted by the rich and the ruling class over decades of misrule has yielded thorns in the flesh of our country.

Despite the declared state of emergency (which has received a mixed reception), people are losing hope faster than a nailed tire.

The insecurity is spreading to other parts of the country. Lagos is now taking on a new look of security consciousness. Many churches in the city have fully armed policemen holding AK47s guarding entrances during Sunday services. And it is no longer odd to walk into a cafe or restaurant and find armed policemen guarding diners, with guns resting among cutlery.

The government seems to have keeled over and resorted to a full-blown military offensive, both land and air, against Boko Haram and its allies. It is too early to determine if this latest solution will abate the madness but it is horrifying for people to live with this kind of killing and uncertainty every day.

When we now appear in foreign news segments we are right there with Syria, Afghanistan, Iraq ... places that are in full blown war and used to seem so far away. And the question trembling in most people's lips now is -- are we also at war in Nigeria?

'Are you in Nigeria? Have you been affected by the violence? Do you think the country is at war and, if so, how can it be stopped? Add your thoughts in the comments below.

The opinions expressed in this commentary are solely those of Victor Ehikhamenor.

@highlight

Wave of violence has become a 'terrifying daily reality show' in Nigeria, says Victor Ehikhamenor

@highlight

The current attacks raise questions about where the country is heading

@highlight

Despite the declared state of emergency people are losing hope, says Ehikhamenor