(CNN) -- On her way to pick up her New York City Marathon bib number Friday, longtime New Yorker Lauren Mandel was having second thoughts of running in the iconic race.

Just four days after Superstorm Sandy hit her city, she was wracked by a knot in her stomach as she got closer to the convention center serving as the hub for race participants.

"Walking past ... generators heating up tents for people to eat pasta tomorrow night when there are people who haven't eaten a hot meal in five days" left her with the feeling: "This is so inappropriate and this is so wrong," she said.

Those feelings of outrage echoed across the city and nationwide since Wednesday, when Mayor Michael Bloomberg said the race would go on as scheduled.

The announcement sparked a chorus of criticism from local authorities and residents, inspired a boycott effort on Facebook, and became a trending topic on Twitter as users called for the race's postponement.

And after the public outcry grew close to deafening Friday, city and race officials announced they would cancel the race for the first time in its 42-year history.

"While holding the race would not require diverting resources from the recovery effort, it is clear that it has become the source of controversy and division," a statement from the mayor said.

NY Marathon 'was going to be divisive,' says deputy mayor of cancellation

First held in 1970, the New York City Marathon attracts about 47,000 runners and 12,000 volunteers. An estimated 2.5 million spectators typically line the course, which winds through all five city boroughs.

But it was the starting line in Staten Island -- one of the areas hardest hit by Sandy -- that drew much of the criticism. At least 20 people on the island were killed in the storm, which left homes in shards and large portions of neighborhoods under water. Residents on Staten Island pleaded Wednesday for gas, food, and clothes. One woman said she had eaten one slice of pizza in the past two days.

U.S. Rep. Michael Grimm, who represents Staten Island and Brooklyn, said before Friday's announcement that the city had its priorities wrong.

"We're still pulling bodies out of the water and the mayor is worried about marathon runners and returning to life as normal," Grimm said in a statement. "The Verrazano Bridge should be used for getting fuel and food in to Staten Island, not getting runners out."

A series of photos of the island's devastation went viral Friday. The post by BuzzFeed ended with the line: "The NYC Marathon is still scheduled to run on Sunday."

Meanwhile, a group of runners scheduled to participate in the race started a boycott page on Facebook, vowing to wear their bib numbers while they volunteered in recovery efforts on Staten Island.

And Friday's cover of The New York Post also weighed in on the controversy. A simple, but powerful, headline over a photo of two generators read: "Abuse of Power: These massive generators are providing electricity to the marathon's tent in Central Park while NYers suffer!"

The response to the cancellation announcement was immediate:

"Canceling the NYC Marathon was 100% the right decision," Parth Desai tweeted.

Karim Lebhour was set to run in the race and said that while he was "disappointed" with the decision, he admitted "nobody really was in the mood."

Crippled NY subways spark infrastructure, climate questions

San Francisco-based runner Dean Karnazes also said canceling the race "was the right thing to do."

"I'm going to stick around and help out. Now is a time to lend a hand, not run," he tweeted.

The "Boycott the 2012 NYC Marathon" Facebook group echoed Karnazes' comments, saying the volunteer effort in Staten Island will go forward Sunday in the wake of the cancellation.

Other Twitter users began sharing a link to Race2Recover.com, which is encouraging runners to donate their hotel rooms to displaced residents.

But some runners, especially those who traveled from outside the United States to participate in the race, were frustrated by the last-minute cancellation of an event in which not everyone is guaranteed a bib.

To guarantee a spot in the race, runners must pledge to do the event for charity or qualify with a fast marathon or half-marathon time. For the majority of the race participants, they're in by being one of the lucky ones chosen in a random drawing.

"It's a huge frustration," said Juan Carlos Arevalo, who traveled from Argentina. "It really is an effort to come here and participate."

Neil Robbins flew in from Scotland on Thursday, planning to run the race to raise money for cancer research. Now he'll be spending the next week in New York.

"I tried my best. I did my training. I came across, but unfortunately ... Sandy has put an end to my dream," he said. "But such is life. I'll try again next year, maybe."

Wednesday, in announcing his decision to move forward with the race, Bloomberg said "an awful lot of small businesses" depend on the annual event.

Powerless in New Jersey

On Thursday, the mayor brushed aside concerns that the marathon would direct crucial resources away from recovery efforts, saying electricity would be restored by race day, thus freeing up police currently manning intersections where the traffic signals and electricity have gone out.

"To host the New York City Marathon in the middle of what is complete devastation and a crisis in parts of this city is just wrong," said City Councilman Domenic Recchia, whose south Brooklyn district includes Coney Island and other areas that suffered heavy damage.

Bloomberg continued his fight for the marathon early Friday, recalling another time when city officials were forced to make a tough decision during a sensitive time.

"As Rudy Giuliani said to me this morning, he said, 'You know, right after 9/11 people said exactly the same thing.'" Bloomberg said, adding, "You have to keep going and doing things and you can grieve, you can cry and you can laugh all at the same time. That's what human beings are good at."

City and race officials met throughout the week, up until Friday afternoon, weighing their options including considering whether to postpone the race or shorten the course.

In the end though, "it was clear that this was not going to be a celebration of New York," said Deputy Mayor Howard Wolfson. "It was going to be a divisive, difficult day instead of a day of celebration."

Shortly after 5 p.m., the cancellation announcement was made.

Mike Denton, a New Yorker who was set to run the race, said he was looking forward to the opportunity to "use this as a way to build some energy and kind of remind myself why New York is awesome."

Now, he said, five months of training is "for nothing."

New York after Sandy: A tale of two cities

Others expressed concern for the economic implications of canceling such a huge revenue-generating event.

Olympic marathoner and former New York City Marathon champion Paula Radcliffe said on Twitter that the city needs "the solidarity, the lift, and the economic boost that Marathon Sunday brings to NYC."

Tony Ruiz, a running coach with the Central Park Track Club, said Thursday that the consequences of canceling "would be very severe and possibly hurt the city even more, and certainly hurt economically."

The marathon is also an important fund-raiser for hundreds of charities who recruit runners to raise funds, and they stand to lose their pledged donations, said Lee Silverman, president of JackRabbit Sports, a running gear retailer that works with many of those charities every year. More than $34 million was raised in 2011 by runners doing the race for charity, according to the marathon website.

New York Road Runners, which puts on the marathon every year, said it is donating $1 million to the Hurricane Sandy Relief Fund and encouraged others to donate as well.

After getting over the shock of the race's cancellation, Denton said he and his team will put away their running shoes Sunday and put on their work gloves as they join the volunteer effort.

Mandel, for her part, ended up leaving the race expo before hearing the news that the event had been canceled, having already made up her mind that she would not run this year.

"It's a wonderful experience. I've done it many times. It's not the right time," she said.

Opinion: Jersey Shore, I'll miss you

CNN's Melissa Gray, Heather Butler, Eden Pontz and Chris Kokenes contributed to this report.

@highlight

"It's not the right time," runner and longtime New Yorker says

@highlight

Mayor's original plan to hold the race sparked a chorus of criticism locally and nationally

@highlight

Residents were worried resources would be diverted for the marathon

@highlight

The marathon has never been canceled in its 42-year history