(CNN) -- No one has come out yet and explicitly suggested that old folks like me (I am about to turn 83) should be treated the way the Eskimos, as folklore has it, used to treat theirs: put on an ice floe and left to float away into the sunset. We are, however, coming dangerously close.

A recent study by Dr. Alvin C. Kwok and his colleagues finds that surgery is common in the last year, month and week of life. Eighty-year-olds had a 35% chance of going under the knife in the last year of their lives; nearly one out of five Medicare recipients had surgery in their last month and one in 10 in their last week.

Nobody doubts that some of these surgeries were necessary. But major medical and ethical figures argue that they reflect our reluctance to accept death or let go, the surgeons' activist interventionist orientation and the way the incentives are aligned.

As the surgeon Atul Gawande put it in The New Yorker: "Our medical system is excellent at trying to stave off death with eight-thousand-dollar-a-month chemotherapy, three-thousand-dollar-a-day intensive care, five-thousand-dollar-an-hour surgery. But, ultimately, death comes, and no one is good at knowing when to stop."

It remained for Daniel Callahan, an influential bioethicist and co-founder of the prestigious Hastings Center, a nonpartisan bioethics research institute in New York, to take the next step. In a May article in The New Republic, Callahan (with co-author Sherwin B. Nuland) argues for a cease-fire in America's "war against death," calling on us to surrender gracefully; Americans thus "may die earlier than [is now common], but they will die better deaths."

Focusing on care for the elderly, Callahan and Nuland warn that our present attitudes "doom most of us to an old age that will end badly: with our declining bodies falling apart as they always have but devilishly -- and expensively -- stretching out the suffering and decay." They hence call on us to abandon the "traditional open-ended model" (which assumes medical advances will continue unabated) in favor of more realistic priorities, namely reducing early death and improving the quality of life for everyone. They further advocate age-based prioritization, giving the highest to children and "the lowest to those over 80."

The journalist Beth Baker summed up this position: "After people have lived a reasonably full life of, say, 70 to 80 years, they should be offered high quality long-term care, home care, rehabilitation and income support, but not extraordinary and expensive medical procedures."

Baker's interview with Callahan reveals one reason this line of argument should be watched with great concern: Once we set an age after which we shall provide mainly palliative care, economic pressures may well push us to ratchet down the age. If 80 was a good number a few years ago, given the huge deficit and the pressure to cut Medicare expenditures, there seems no obvious reason not to lower the cut-off age to, say, 70. And nations that have weaker economies, the logic would follow, should cut off interventionist care at an even younger age. Say, 50 for Guatemala?

Above all, age is the wrong criterion. The capacity to recover and return to a meaningful life is the proper criterion.

Thus, if a person is young but has a terminal disease, say, advanced pancreatic cancer, and physicians determine that he has but a few months, maybe weeks, to live (a determination doctors often make), he may be spared aggressive interventions and be provided with mainly palliative care. In contrast, an 80-year-old with, say, pneumonia -- who can return to his family and friends to be loved and give love, contribute to the community through his volunteering and enjoy his retirement he earned with decades of work -- should be given all the treatments needed to return him to his life (which in my case includes a full-time job and some work on the side).

We should learn to accept death more readily; we should stop aggressive interventions when there is little hope; we should provide dying people with palliative care to make their passing less painful and less traumatic. Such a case may not just be that of an elderly person succumbing to a terminal illness -- it can be that of a preemie born too early to survive, a youngster following a car wreck, a worker following a tragic accident. We should learn from the Eskimos -- they long ago stopped abandoning their elderly just because they got "too" old.

The opinions in this commentary are solely those of Amitai Etzioni.

@highlight

We're coming close to saying old people should be cast off, says Amitai Etzioni

@highlight

Some are arguing for a cease-fire in America's "war against death," he writes

@highlight

Etzioni: Capacity to recover and return to a meaningful life is the proper criterion for intervention

@highlight

We should accept death and stop aggressive interventions when there's little hope, he says