Abbottabad, Pakistan (CNN) -- Osama bin Laden was not armed but did put up resistance when U.S. forces stormed a compound outside Islamabad and killed him, White House spokesman Jay Carney said Tuesday.

Carney, reading a narrative drawn up by the Defense Department, provided new details of the events that transpired early Monday when 25 U.S. Navy SEALs in two Black Hawk helicopters landed outside the compound in Abbottabad, about 50 kilometers (31 miles) north of Islamabad.

"They had to breach through walls," CIA Director Leon Panetta, who commanded the mission and was in contact with the 25 commandos as it unfolded, told PBS.

Live blog: Bin Laden operation

There were no armed guards around the compound, said a U.S. official who asked not to be identified because the official was not authorized to speak on the record.

In an operation that lasted nearly 40 minutes, the SEALs -- working in two groups -- methodically cleared the compound, where three families were living, Carney said.

One group went to a separate building in the compound; the other to the three-story building housing a family on the first floor and bin Laden and his family on the second and third floors, Carney said.

On the first floor of bin Laden's building, two al Qaeda couriers were killed, as was a woman who was caught in the crossfire, Carney said.

Bin Laden killing caps decade-long manhunt

Continuing their ascent to the second and third floors, the commandos found bin Laden and his wife, both of whom were unarmed, in a room, Carney said. "She rushed one of the U.S. assaulters and was shot in the leg but not killed," he said. "Bin Laden was then shot and killed."

The U.S. official said bin Laden was shot when he made a threatening move.

In all, said the U.S. official who sought anonymity, five of the approximately two dozen people in the compound were killed -- the two couriers, the woman, bin Laden and his son.

Officials have not publicly identified everyone who was in the compound.

Materials taken from the compound included 10 hard drives, five computers and more than 100 storage devices, such as disks, DVDs and thumb drives, a senior U.S. official told CNN Tuesday.

Navy SEALs, "the quiet professionals"

That material is being reviewed, said John Brennan, President Barack Obama's top counterterrorism adviser.

In his first public comments on the raid, Attorney General Eric Holder Tuesday declared the operation "lawful, legitimate and appropriate in every way."

U.S. officials have said they might release a post-mortem photo taken of bin Laden. There are "a lot to choose from," and most are "very graphic," a senior government official said.

What photos could show

The officials have said DNA matching shows bin Laden was killed.

But the Taliban have questioned the assertion. "Obama has not got any strong evidence that can prove his claim over killing of the Sheikh Osama bin Laden," Taliban spokesman Zabiullah Mojahed said. "And secondly, the closest sources for Sheikh Osama bin Laden have not confirmed" the death, he added.

The Pakistani Foreign Ministry, meanwhile, issued a statement Tuesday saying that members of bin Laden's family were "in safe hands and being looked after in accordance with law. Some of them needing medical care are under treatment in the best possible facilities. As per policy, they will be handed over to their countries of origin."

The jubilation in many parts of the world over bin Laden's killing gave way Tuesday to increasing questions about how the world's most-wanted terrorist could have hidden in a populated area two miles from the prestigious Kakul military academy, the West Point of Pakistan.

"How did bin Laden stay at that compound for about six years or so and be undetected?" Brennan asked. "What type of support did he have outside of that compound in the Abbottabad area or more broadly within Pakistan? We're going to look carefully at this and get to the bottom of it all."

Raid sparks questions: Is Pakistan doing enough?

The mission took place without Pakistani leadership being informed beforehand, U.S. officials said.

"It was decided that any effort to work with the Pakistanis could jeopardize the mission," Panetta told Time magazine. "They might alert the targets."

However, Brennan insisted that "Pakistan has been a strong partner in the effort to destroy al Qaeda."

In a Washington Post column, Pakistani President Asif Ali Zardari expressed satisfaction "that the source of the greatest evil of the new millennium has been silenced, and his victims given justice" and defended his country's actions.

"Some in the U.S. press have suggested that Pakistan lacked vitality in its pursuit of terrorism, or worse yet that we were disingenuous and actually protected the terrorists we claimed to be pursuing. Such baseless speculation may make exciting cable news, but it doesn't reflect fact," Zardari wrote.

Time magazine: CIA chief on why Pakistan wasn't told

The foreign ministry called bin Laden's death "an important milestone in the fight against terrorism," but also expressed "deep concerns" about the fact that U.S. officials failed to notify the government of Pakistan prior to the attack.

"This event of unauthorized unilateral action cannot be taken as a rule," the statement said. "Such actions undermine cooperation and may also sometime constitute (a) threat to international peace and security."

The senior Pakistani intelligence official who spoke Tuesday to CNN said, "Yes, we did fail to locate him. Yes, we are embarrassed. But that does not mean we are incompetent and straddling the fence."

U.S. anticipates al Qaeda threats

The compound where bin Laden was holed up was surrounded by walls 10 to 18 feet tall and topped by barbed wire. It sat far from a main road, secluded.

How al Qaeda and its adherents will be affected remains an open question. "Leadership in al Qaeda tends to be replaced," former Defense Secretary Donald Rumsfeld told CNN Tuesday. "I expect there will be someone who will step up."

Rumsfeld, who was in office during the September 11 attacks, praised Bush administration policies that came under heated criticism.

Noting that tracking one of bin Laden's trusted couriers led the United States to identify bin Laden's location, Rumsfeld defended the Bush administration's practice of detaining low-level people, a practice that critics derided as unwarranted. "It is those individuals that know the habits and locations of the senior people," he said.

No obvious successor to bin Laden

Rumsfeld also stood by the use of waterboarding, which the Obama administration has outlawed as torture. Rumsfeld said the information taken from three people who were waterboarded and passed on to then-CIA Director Michael Hayden proved to be "enormously valuable."

However, White House spokesman Carney said Monday's events had not changed Obama's opposition to so-called enhanced interrogation techniques.

Panetta said he too saw no need for a return to using such techniques. "Obviously, there was some valuable information that was derived through those kinds of interrogations, but I guess the question that everybody will always debate is whether or not those approaches had to be used in order to get the same information," he told CBS News. "And that, frankly, is an open question."

CNN's Nic Robertson, Ted Barrett, Nick Paton Walsh, Elise Labott, Mary Snow, Allan Chernoff, Jeanne Meserve, Pam Benson, Brian Todd, Barbara Starr, Suzanne Kelly, Jessica Yellin and John King contributed to this report.

@highlight

Attorney general declares the operation "lawful, legitimate and appropriate in every way"

@highlight

Bin Laden was not armed when he was shot and killed, White House spokesman says

@highlight

A woman believed to be bin Laden's wife was shot in the leg, Carney says