(CNN) -- The message sent by the military council that rules Egypt was simple: "Don't mess with Egypt's armed forces." The message received by the activists who flooded Tahrir Square 18 months ago: "Egypt's revolution, which began with a bang, is ending with a whimper."

With several decrees, the Supreme Council of the Armed Forces -- a body of 20 generals - moved to neuter civilian authority and give itself unprecedented powers. It got some help from the Supreme Constitutional Court. The timing was hardly coincidental. The candidate of the Muslim Brotherhood was running strongly in the final round of the presidential election against a former Egyptian Air Force general. [Read more about the candidates]

What many observers are calling a "constitutional coup" has serious implications not only for the prospect of democracy in Egypt, but also for the future of the Arab world and for the close relationship between Washington and Cairo.

Conflicting reports about whether Mubarak has died

The drama began Thursday, when the Court ruled to expel one-third of the parliament entrusted with drafting a new constitution. The court held that the entire parliament, in which the Muslim Brotherhood and allies have a majority, had to be disbanded.

The court's ruling was "absurd, destructive and essentially voids Egypt's last year of politics of meaning," Marc Lynch wrote in Foreign Policy. The director of the Institute for Middle East Studies said the country was going through the "stupidest transition in history."

"With Egypt looking ahead to no parliament, no constitution and a deeply divisive new president, it's fair to say the experiment in military-led transition has come to its disappointing end," Lynch wrote.

While Egypt dealt with upheaval, its justice ministry (part of the government appointed by the ruling military council) extended the powers of military police and intelligence agents, allowing them to arrest civilians for a wide range of offenses, including protesting.

Late Sunday, Egyptians had still gone ahead and voted in the presidential election.

The United States Embassy in Cairo tweeted Monday: "We congratulate Egypt on this presidential race. It's a historic event 4 democracy in Egypt."

Hours later, the view from the U.S. State Department seemed different.

"We are particularly concerned by decisions that appear to prolong the military's hold on power," said spokeswoman Victoria Nuland.

Meanwhile, the Supreme Council announced that an appointed assembly would draft the constitution, replacing the assembly chosen by the elected parliament. The Supreme Council also announced it would "decide all matters related to military affairs," including the country's defense budget. There would be no civilian oversight, they said.

Egyptians already appeared to be losing faith in politics, with a low turnout in voting between the Muslim Brotherhood's candidate, Mohammed al-Morsi, and Ahmed Shafik, who was Mubarak's last prime minister.

Now, whoever wins could discover the office of the president has much lesser authority than it did before.

Nobel Laureate Mohamed ElBaradei, himself once a presidential contender, tweeted: "Electing president in the absence of constitution and parliament is electing an 'emperor' with more powers than deposed dictator. A travesty."

ElBaradei was once considered a sell-out by disappointed leaderless revolutionaries for not participating in this year's presidential race.

Whatever their ultimate goal, Egypt's traditional institutions are reasserting themselves in the face of an unpredictable political landscape. The Supreme Constitutional Court is afraid the Muslim Brotherhood plans to reform the judicial system, said Steve Cook, a senior fellow for Middle Eastern Studies at the Council on Foreign Relations.

Nathan Brown, a political science professor at George Washington University, agrees.

"The Supreme Council of the Armed Forces and the Court have a similar outlook, regarding themselves as guardians of the Egyptian state -- with responsibilities above politics," he said.

"Both felt threatened by the prospect of a Muslim Brotherhood-dominated system. The Egyptian military has now become a state within a state, with oversight of the political system and the constitutional process," Brown said.

All four Egyptian presidents over the past 60 years have been former military men. The military and retired generals, like their counterparts in Pakistan, run important state enterprises, overseeing everything from food manufacturing to running hotel resorts. But what's new and unusual in Egypt is that the military had put itself beyond civilian control. It is "the locus of power, authority and legitimacy in the system, without having to run the country on a day-to-day basis," Cook said.

Debate rages over whether this power grab was the military's plan all along, or whether it has reacted to events.

Michael Hanna, an analyst at the Century Foundation, thinks it was the latter.

"Over the past several months, they saw that the political climate had shifted in their favor and consequently regained their confidence," he said. "They knew the revolutionaries had lost support on the streets and were viewed negatively, so they seized the opportunity."

Many Egyptians still feel the military is something to be proud of, a sentiment shared especially among the poor who are more concerned that Egypt becomes stable and they can provide for their families. In the Upper Egyptian rural governorate of Asyut, home to many young people who have served in the military, factory worker Mohammed Nour, 23, praised the military.

"The military and the people are still one hand," he said. "The military alone can save Egypt and make us one of the greatest countries in the world."

Meanwhile, secular pro-democracy activists who took to Tahrir Square last year are wringing their hands. The very democratic structure they dreamed of appears to have withered in part because they developed no unifying ideology. They appeared to have no plan for a post-Mubarak Egypt. They failed to get solidly behind a single presidential candidate, not least because several possible contenders were disqualified.

Mahmoud Salem, a popular blogger who has journaled the revolution and goes by the name Sandmonkey, said the pro-democracy movement has itself to blame. "You successfully dethrone a tyrant, and you have neither plan nor vision on what to do afterwards, and no real understanding of the regime itself," he posted.

But he also criticized reformers who voted for the Muslim Brotherhood's presidential candidate simply because he was not the "counter-revolutionary."

"Our revolution called for a civil state: nonreligious, nonmilitary, and this guy will try to form a religious military state," Salem wrote about Morsi.

Cook said he believes that the Supreme Council of the Armed Forces won't be swayed by reaction from the United States. The United States gives $1.3 billion in annual aid to Egypt, an amount second only to aid the United States provides to Israel.

"The question is, Does anyone in Cairo care?" he said. "The answer is yes and no. It is clear that the [top military commander and de facto leader of Egypt] Field Marshal [Mohamad ] Tantawi and his colleagues are giving far more weight to their domestic interests than the potential consequences with the United States."

But a note from U.S. Defense Secretary Leon Panetta to Tantawi to "ensure a full and peaceful transition to democracy" appears to have fallen on deaf ears.

Cook wrote the recent book, "The Struggle for Egypt: From Nasser to Tahrir Square," chronicling the influence of the military in Egyptian national politics. Cook said the level of aid has been static since the early 1980s.

"Historically, the military aid program was intended to help secure peace between Egypt and Israel, establish an ally that could be an asset for military contingencies in the Gulf and be a partner to prevent Soviet penetration of the region," he said.

"Now, we are basically paying for access to airspace and transit through the Suez Canal."

"Now isn't the time to publicly threaten to end U.S. aid, in the midst of an extremely volatile and fluid situation," Lynch said. "But it is the time to forcefully convey to the SCAF privately that the transfer to civilian rule really does matter to the U.S."

Shadi Hamid, research director at the Brookings Doha Center, disagreed. "The U.S. has to show that it's on the side of Egyptian democracy and willing to stand up for it publicly," he said.

"Frankly it has to undo damage. Obama's policy toward the Arab Spring has been completely reactive. We wait until something disastrous happens when we should have anticipated it months ago."

The political chaos and an ever worsening economy appears to have induced a sense of resignation among Egyptians. The turnout in Sunday's run-off vote and the prospect of the Muslim Brotherhood joining forces with secular activists in defense of democracy seems remote. Some secularists even take solace from the dissolution of the parliament, thinking they may do better in fresh elections.

But that shouldn't be confused with stability, warns Lynch. If Shafik is declared the victor, "he will preside over a country in economic collapse, with little prospect of restoring investor confidence any time soon."

Mahmoud Salem, aka Sandmoney, said the pro-democracy movement must start over.

"Do something except running around from demonstration to march to sit-in," he wrote. "Real street work means that the street you live in knows you and trusts you, and will move with you, because you help them and care for them, not because you want to achieve some lofty notions you read about in a book."

But with a people more exhausted than incensed by 18 months of uncertainty, finding the determination for another uprising won't come easily.

Fast facts on the life of Hosni Mubarak

CNN's Ashley Fantz contributed to this report.

@highlight

Experts: The "constitutional coup" in Egypt has serious implications for democracy there

@highlight

Generals neutered civilian authority, gave themselves unprecedented power

@highlight

The move called into question whether Tahrir Square uprising really made Egypt more open