(CNN) -- If most new moms would breastfeed their babies for the first six months of life, it would save nearly 1,000 lives and billions of dollars each year, according to a new study published Monday in the journal Pediatrics.

"The United States incurs $13 billion in excess costs annually and suffers 911 preventable deaths per year because our breastfeeding rates fall far below medical recommendations," the report said.

The World Health Organization says infants should be exclusively breastfed for the first six months of life "to achieve optimal growth, development and health." The WHO is not alone in its recommendations.

The American College of Obstetricians and Gynecologists, the American Academy of Pediatrics, the American Academy of Family Physicians and the Centers for Disease Control and Prevention all agree that breast milk alone is sufficient for newborns and infants until they are 6 months old.

However, a 2009 breastfeeding report card from the CDC found that only 74 percent of women start breastfeeding, only 33 percent were still exclusively breastfeeding at three months and only 14 percent were still exclusively breastfeeding at six months.

Dr. Melissa Bartick, one of the new study's co-authors, says the vast majority of extra costs incurred each year could be saved "if 80 to 90 percent of women exclusively breastfed for as little as four months and if 90 percent of women would breastfeed some times until six months." Bartick is a hospitalist -- a doctor who specializes in the care of hospitalized patients --  at Cambridge Health Alliance, an instructor in medicine at Harvard Medical School and a mother of two.

Bartick and her co-author Arnold Reinhold found that most of the excess costs are due to premature deaths. Nearly all, 95 percent of these deaths, are attributed to three causes: sudden infant death syndrome (SIDS); necrotizing enterocolitis, seen primarily in preterm babies and in which the lining of the intestinal wall dies; and lower respiratory infections such as pneumonia.

Breastfeeding has been shown to reduce the risk of all of these and seven other illnesses studied by the study authors.

Bartick calculates $10.56 million for each of the estimated 911 children's deaths. Researchers also included the direct costs of health care and parent's time missed from work. They did not include the cost of formula, which is another added cost for moms who don't breastfeed.

There are a lot of factors contributing to low breastfeeding rates in the United States, and Bartick says moms shouldn't be blamed, because they receive mixed messages and often lack support from the moment their babies are born.

She says the biggest priority should be to improve maternity care practices. Bartick refers to a 2007 CDC survey of hospitals and birthing centers, which scored each facility to determine how well it complied with recommendations meant to encourage women to breastfeed.

According to that survey, Bartick says, "U.S. hospitals scored a 63 - that's a D."

Bartick says many hospitals delay immediate urgent skin-to-skin contact between mom and baby, which can make things harder for the newborn to act on its natural instincts to suckle.

Moms also need to be better educated about the importance of breastfeeding and they need adequate support after they leave the hospital in case they run into problems because the newborn isn't properly latching on and therefore not getting enough food.

Dr. Alan Fleischman, medical director for the March of Dimes, was not surprised by the findings of the report. Fleischman, who did not work on this study, says if a new mom is struggling with breastfeeding, she may end up in a situation where "grandmother suggests to stop the silliness and give formula instead."

He believes the mothers and grandmothers of new moms also need to be educated about the benefits of breastfeeding because for their generations, feeding their babies formula was the norm.

@highlight

Study urges infants be exclusively breastfed for the first six months of life

@highlight

U.S. breastfeeding rates fall far below medical recommendations

@highlight

Biggest priority should be to improve maternity care practices, study's author says