(Health.com)  -- A drug widely used to treat mild Alzheimer's disease appears to provide no benefit to this group of early stage patients, according to a new analysis of previously conducted research.

Memantine, also known by its brand name, Namenda, is approved by the Food and Drug Administration only for moderate-to-severe cases of Alzheimer's, although doctors often prescribe it "off-label" for milder cases of the disease.

"We conclude that there is a lack of efficacy in mild Alzheimer's," says the lead researcher, Lon Schneider, M.D., a professor of psychiatry, neurology, and gerontology at the University of Southern California, in Los Angeles. "We think physicians, patients, and caregivers should simply know this."

Pairing memantine with a cholinesterase inhibitor, a type of drug that prevents the breakdown of neurotransmitters involved in memory, has become a standard treatment for mild Alzheimer's disease, but this study "clearly flies in the face" of that approach, says William Thies, Ph.D., the chief medical and scientific officer of the Alzheimer's Association, a research and advocacy organization based in Chicago.

Health.com: 25 signs and symptoms of Alzheimer's disease

People with mild Alzheimer's have impaired short- and long-term memory and typically experience difficulty with tasks such as paying bills, according to the Alzheimer's Association.

Those with moderate disease may have trouble remembering their address or phone number and can become confused about the day of the week or their whereabouts.

In 2003, the FDA approved memantine for moderate-to-severe Alzheimer's disease, but two years later the agency rejected an application from the manufacturer, Forest Laboratories, to expand the approval to mild Alzheimer's.

The drug has nevertheless remained popular for that purpose. Nearly one-fifth of all people with mild Alzheimer's received the drug in 2006, and the rates may be far higher in some hospitals and practices, according to the study, which appears in the journal Archives of Neurology.

Many neurologists -- 40 percent, by one estimate -- even prescribe the drug for mild cognitive impairment, a condition that may or may not progress to full-blown dementia.

Health.com: 9 foods that may help save your memory

Schneider and his colleagues reanalyzed data from three clinical trials that included 431 patients with mild Alzheimer's disease and 697 with moderate Alzheimer's.

The trials were originally sponsored by Forest, but the new analysis was funded by grants from the National Institutes of Health and other non-industry sources. (Schneider has served as a consultant for Forest.)

Patients with mild Alzheimer's who took memantine showed no improvement in mental function and their ability to handle everyday tasks (such as bathing and dressing) compared with those who took placebo, either within any one trial or when all of the data were combined.

The drug did appear to be slightly more effective for moderate Alzheimer's. Patients taking memantine continued to experience mental decline while on the drug, but less so than patients taking a placebo.

Even in this group, however, the evidence for memantine's effectiveness was "meager," the researchers concluded.

Health.com: Half of Alzheimer's cases misdiagnosed

"None of the studies individually showed an effect," Schneider says. "It was only when all three studies were added up together that we could see an effect on some outcomes, and [it was] very small."

The findings don't mean that memantine is ineffective for all patients, Thies says.

"There's a great deal of variation from patient to patient, so whatever you see in a clinical trial is just the average of whatever that is," he says.

Some people may experience "a robust benefit" from the combination of memantine and a cholinesterase inhibitor, he adds, while "some get none at all."

There is no cure for Alzheimer's. Medications sometimes help with symptoms but can't actually reverse the course of the disease, which may be why doctors are willing to prescribe drugs even when their effectiveness is unproven, Schneider says.

Health.com: Alzheimer's disease -- should I take medicines?

Patients with mild Alzheimer's disease who are already taking a cholinesterase inhibitor often ask, "Isn't there more that can be done?" Schneider explains. "Memantine is one other thing that can be done. Part of it is hopefulness. The drug may not be indicated for mild Alzheimer's, but what's the cost?"

Memantine has very few side effects, he adds, but Alzheimer's is devastating. Gary Kennedy, M.D., the director of geriatric psychiatry at Montefiore Medical Center, in New York City, says that while the new study will "make people more appropriately cautious," it isn't likely to change doctors' prescribing practices.

Copyright Health Magazine 2010

@highlight

Drug widely used to treat mild Alzheimer's disease appears to provide no benefit

@highlight

Memantine, or Namenda, officially approved for only moderate-to-severe  disease

@highlight

Nearly one-fifth of all people with mild Alzheimer's received the drug in 2006