(CNN) -- British Prime Minister David Cameron has given Sri Lanka a March 2014 deadline to hold an independent international inquiry into alleged war crimes during the country's 26-year civil war.

Cameron held talks with Sri Lankan President Mahinda Rajapaksa while in the capital of Colombo for the Commonwealth Heads of Government Meeting on Friday.

The summit opened Friday amid concerns about the rights situation after Sri Lanka's war with the separatist Liberation Tigers of Tamil Eelam, which ended in 2009. The prime ministers of Canada, Mauritius and India opted not to attend.

On Saturday, Cameron acknowledged that Sri Lanka had suffered "almost three decades of bloody conflict" and that recovery and reconciliation took time.

He said he made it clear to Rajapaksa that he had "a real opportunity, through magnanimity and reform, to build a successful, inclusive and prosperous future for his country."

Among the steps needed to achieve this were "credible, transparent and independent investigations into alleged war crimes," Cameron said.

"And let me be very clear. If that investigation is not completed by March, then I will use our position on the U.N. Human Rights Council to work with the U.N. Human Rights Commissioner and call for a full, credible and independent international inquiry."

Cameron said his meeting with the president was "very frank" and "nothing was off the agenda."

Read more: Cameron mobbed by protesters in Sri Lanka

A statement issued by Rajapaksa's office earlier Saturday, noted that Cameron had raised concerns "relating to displaced persons, land issues, military presence in the Province and devolving powers to the newly elected Council."

"President Rajapaksa, in response, explained that an enormous amount of work has been done in terms of resettlement, rehabilitation and reconstruction of infrastructure destroyed during the conflict. In order to reach consensus on political matters a Parliamentary Special Committee (PSC) has been established for all parties concerned to air their views and reach a settlement," it said.

Read more: Sri Lankan diplomat says rights criticism 'proxy propaganda war'

The statement said Rajapaksa had observed that the PSC was the best forum for the purpose, stating: "As it is now only four years since the end of the conflict the country needs some more time to overcome all major challenges."

In an interview that aired Thursday on CNN's "Amanpour," Sri Lanka's high commissioner to the United Kingdom, Chris Nonis, also denied that an independent international inquiry was needed.

"We respect the independence and sovereignty of your country, and we expect you to respect ours. We don't need an international investigation when we have had a vibrant civilization for 2,500 years. We have perfectly educated people, and I think we're perfectly capable of carrying out our own domestic inquiry," he told CNN's Frederik Pleitgen.

Nonis pointed to the 2011 "Lessons Learnt and Reconciliation Commission" report, which Rajapaksa ordered.

"It's a very holistic, very comprehensive, very impartial report. It had over 5,000 hearings, and it's set within the principle of international humanitarian law, incorporating the principle of distinction and the principle of proportionality."

Independent judiciary?

As many as 70,000 people were killed in Sri Lanka's war. In its final stage, which lasted from September 2008 to May 2009, the Sri Lankan army advanced into an area of the north where about 330,000 people were trapped by fighting.

A U.N. report in 2011 said the government used "large-scale and widespread shelling" that left a large number of civilians dead.

The number of civilian deaths and injuries are unknown to this day, and U.N. figures greatly differ from those in reports from Sri Lanka's government and various nongovernmental organizations.

The International Bar Association's Human Rights Institute on Friday questioned whether Sri Lanka's legal system was capable of responding to human rights violations, saying that required an independent judiciary.

"Since the end of the armed conflict, the Sri Lankan government has been systematically dismantling checks and balances on independent justice institutions," co-chair Helena Kennedy said in a statement.

"The IBAHRI considers that the lack of an independent judiciary will prevent the Sri Lankan legal system from providing an effective investigation into war crimes and human rights violations committed by government forces and the Liberation Tigers of Tamil Eelam at the end of the armed conflict in 2009."

The Commonwealth is a voluntary association of 53 nations that initially formed out of what had been the British Empire. Its charter focuses on developing "free and democratic societies and the promotion of peace and prosperity to improve the lives of all peoples of the Commonwealth."

Heads of member governments meet every two years.

@highlight

Sri Lanka has been hosting the Commonwealth Heads of Government meeting

@highlight

Some attendees have been questioning Sri Lanka's human rights record

@highlight

It follows a 26-year civil war with separatist Tamil rebels that ended in 2009

@highlight

David Cameron says an international inquiry should be held by March