Three Kurdish women political activists were found dead with gunshots to the head early Thursday, police in Paris said, in an unexplained act of violence that has shocked the Kurdish community. CNN's Ivan Watson explains what the impact of the killings is likely to be, and how the conflict between Kurdish nationalists and Turkey affects the rest of the world.

Q) What are the possible consequences of the killings?

A) A spokesman for the leadership of the PKK and its affiliate the KCK in Northern Iraq, Roj Welat has confirmed to CNN that one of the women killed, Sakine Cansiz, was one of the founding members of the PKK. He called the murders an "ideological and political assassination, a terror attack against the Kurdish people."

These murders have clearly dropped a bombshell on the tightly-knit Kurdish community in France and probably throughout the substantial Kurdish diaspora in Europe. We can certainly expect protests and memorial demonstrations in Europe. And the murders in Paris are already having ripple effects all the way over here in Turkey, where the Kurds make up the country's largest [and historically oppressed] ethnic minority. Kurdish leaders in Turkey are calling for Kurds to "rise in protest wherever they are to condemn this massacre."

A huge concern is what impact the killings might have on a new historic round of talks between the Turkish government and the jailed PKK leader Abdullah Ocalan, as well as other figures in the Kurdish movement. Many Turkish commentators fear it may derail these negotiations. Aliza Marcus, author of "Blood and Belief: The PKK and the Kurdish fight for Independence," an inluential book on the PKK, wrote to me in an email, saying: "One thing is for sure, this isn't good for the rumored peace process."

Q) Is it possible to speculate about who might have done it, and why now?

A) There is much speculation already about who might have carried out these murders. Kurdish groups and Turkish commentators are already interpreting this as a politically-motivated act of violence, even though it will certainly take some time for investigators to conclude who carried out the shootings. There are extremists on both sides of the Turkish-Kurdish conflict who may seek to derail the negotiation process that has been under way for more than a month between the Turkish government and Ocalan, as well as other figures in the Kurdish movement.

Huseyin Celik, the spokesman for Turkey's ruling Justice and Development Party, already told journalists that "when you look at how it was carried out, it seems like an internal settling of scores within the PKK."

Certainly, the PKK has a history of killing dissidents within the Kurdish movement, says Hugh Pope, senior Turkey analyst for the International Crisis Group. He told me: "You do have to remember that the PKK has a long history of killing its own people." Meanwhile, the Turkish state has long relied on military force, arrests and law suits to crush the Kurdish movement inside Turkey. The Turkish-PKK war is one of the longest-running conflicts in the Middle East, with more than 40,000 people killed since the 1980s. Many Kurds view the Turkish government and armed forces as mortal enemies, while many Turks label the PKK and anyone affiliated with the PKK as "terrorists." So certainly I can expect some Kurds will accuse Turks of assassinating these three women, even if there is no evidence to back up that claim.

Q) Who are the PKK and what are they fighting for?

A) The PKK, or Kurdistan Workers Party, was founded in 1978 in Turkey as a Marxist, pan-Kurdish nationalist movement. In 1984, it started armed combat against the Turkish state with the goal of establishing a broader Kurdistan in the Middle East, which would unite Kurdish minorities divided between Turkey, Iran, Iraq and Syria. That goal has been largely dropped over the last decade -- certainly since Turkish authorities arrested Ocalan in 1999. Now the PKK appears to have much more limited goals: battling for Kurdish "cultural freedoms" in Turkey as well as some degree of autonomy for the Kurds, who are predominantly settled in south-eastern Turkey.

There are PKK fighters battling Turkish security forces in the hills of south-eastern Turkey, as well as camps and training bases strung out along remote mountains in northern Iraq, along the border with Turkey. The PKK enjoys substantial support and reportedly relies on fund-raising from within the Kurdish diaspora in Europe. Finally, given the pro-PKK demonstrations I've covered, there is support for the PKK in Istanbul, which is not only Turkey's most populous city, but also the largest Kurdish city in the world. Why? Because hundreds of thousands of Kurds fled the war and punitive Turkish military operations in south-eastern Turkey in the 1990s and were forced to resettle in western Turkish cities.

The PKK has been officially labeled a terrorist organization by Turkey, as well as the US and many european countries.

Q) How many expat Kurds live in European cities? Where are most based?

A) Europe is home to a substantial Kurdish diaspora, with large communities in France, Britain, Germany, the Netherlands and Belgium. According to a report from the International Crisis Group, there are 1 to 1.5 million Kurds originating from Turkey living in Europe; the bulk of them, with an estimated population of 800,000, are in Germany. The pro-PKK television station Roj TV, is believed to broadcast from Europe.

Q) How do the killings, possible consequences, and the guerrilla war that the PKK has fought for nearly three decades against Turkey affect the rest of the world?

A) The Turkey-PKK conflict is one of the longest-running conflicts in the Middle East. It is a conflict that constantly bleeds across borders, destabilizing relations between Turkey, Iran, Iraq and Syria. It also ripples throughout Europe, with the Turkish government constantly accusing European countries of not doing enough to stop PKK fund-raising and recruitment in European cities. At the height of the Turkish-PKK war, PKK activists were reported to shut down highways in Germany. I personally recall first encountering the PKK when I worked in Moscow in 1999, when the CNN bureau received a terrifying video of several PKK supporters setting themselves on fire in Moscow to protest the arrest of Ocalan. In recent months, the conflict has reached the deadliest levels in at least 13 years, with hundreds of Turkish soldiers and security forces as well as Kurdish rebel fighters killed over the last year.

Q) Haven't the talks between Turkey and the Kurds been making progress recently?

A) There is surprising support for the talks not only from the Turkish government, but also from opposition political parties as well as from influential voices in the Turkish media. I get the sense that Turkish society is exhausted by the weekly and daily deaths of conscript soldiers. Turkey will have to make substantial, long overdue compromises if it is ever to make peace with its Kurds, such as removing discriminatory statements in the constitution and allowing Kurdish language education in schools. There have been other, largely covert attempts at negotiations over the last 4 years, but they have been accompanied by a parallel increase in violence and killing in the blood-soaked hills of south-eastern Turkey.

@highlight

The murder of three Kurdish women political activists remains a mystery

@highlight

A spokesman for PKK and KCK told CNN the attacks were assassinations

@highlight

"Expect protests and memorial demonstrations in Europe", says Watson

@highlight

In Turkey, Kurds are the largest and oppressed ethnic minority, says Watson