Suffering in the grip of a brutal winter where temperatures have not risen above freezing in nearly a month, Ukraine has seen a wave of deaths related to the cold, and the country's ambulance service is inundated with calls for help.

On one recent night, emergency services raced through the streets of the capital, Kiev, in response to a call about a homeless man passed out in the freezing weather.

The man got drunk and either fell asleep or dropped unconscious outside, putting him at risk of frostbite.

Vladimir Poddubniy, a passerby, found him, brought him indoors and called for an ambulance.

When paramedics arrived, they found the homeless man, who gave his name simply as Kostya, squatting drunk on the floor. His hand was so swollen, he could barely hold his cigarette.

Poddubniy said the man was freezing to death, so he brought him inside.

"I felt sorry for him. But I also didn't want to find a body in the morning," Poddubniy said.

Paramedics determined Kostya needed emergency hospital care for frostbite, and helped the intoxicated man to his feet. Kostya was so drunk, he could barely walk down the stairs.

iReport: Beauty and danger of Europe's snow

But in a country where the cold has claimed at least 112 lives in the past month -- 90% of them alcohol-related, according to the government -- Kostya can consider himself lucky to be alive.

About 3,000 people have been hospitalized because of the cold since January 27, officials said.

Temperatures remained well below the average Thursday, with the mercury falling to -24 degrees Celsius (-11.2 degrees Fahrenheit) in parts of Ukraine.

Authorities there have set up an emergency hospital to deal with people suffering from cold-related conditions, and distributed 3,000 emergency relief tents across the country, they said. The tents are heated, and people with nowhere else to go can get hot food and drinks.

Dr. Anatoliiy Vershigora, doctor-in-chief at an emergency help station in Kiev, said many of those suffering from frostbite and  hypothermia and some of those who died were alcoholics -- but others had been drinking in the mistaken belief it would help keep them warm.

Ukraine's capital, Kiev, has more than 14,000 homeless people, among the most vulnerable to winter's bitter chill, authorities said.

"It is an unfortunate fact that a lot of homeless people are alcoholic or dependent on other substances -- it may be why they are homeless in the first place," said Joe Lowry, a spokesman for the International Red Cross in Europe.

"Alcohol creates the illusion of being warm, so it's not surprising that people are drinking and not surprising that they pass out," he said, adding that this is when hypothermia can occur.

"Our approach would be to try to get to these people before they have too much to drink, if we can find them and get them to safety. Obviously, a full belly or hot drinks is far, far better for you than vodka."

Red Cross volunteers have been working with authorities to help distribute warm clothing, boots, hot food and drinks in the Ukraine and elsewhere, Lowry said from Slovakia.

But, he added, the people who are most in need of help are often hard to locate. "These people are outside the normal safety nets, difficult to find, and don't realize the great danger they are in."

Kiev marked its 25th consecutive day of below-freezing temperatures Thursday. It would normally expect a high of -2 degrees Celsius (28 degrees Fahrenheit) at this time of year, CNN meteorologist Brandon Miller said.

And there is little respite in sight for those suffering in the unusual cold.

Another surge of frigid air is pushing westward out of Russia into the rest of Europe for the end of the week, with Central and Eastern Europe catching the brunt of the coldest air.

The cities of Bucharest, Belgrade and Sarajevo saw their coldest mornings so far this winter Thursday, with temperatures dipping to -24 degrees Celsius (-11.2 degrees Fahrenheit) in the Romanian and Serbian capitals and -19 degrees Celsius (-2.2 degrees Fahrenheit) in Sarajevo, the capital of Bosnia and Herzegovina.

The region can expect below freezing temperatures through the weekend, CNN meteorologist Mari Ramos said.

Parts of the Danube River, one of the most important rivers in Europe for commerce, have nearly frozen over for the first time in 25 years, showing not only the intensity of the cold snap, but also its longevity.

At least four countries have halted shipping along sections of the 1,700 mile-long waterway because of the risk of damage to vessels' hulls, Ramos said, adding that the river is not only used for transport but for drinking water, irrigation and tourism. Areas along the Black Sea coast have also frozen over, she added.

Western Europe can also expect more cold as the week ends, with snow forecast in many parts of England and Wales overnight Thursday to Friday.

The sustained cold spell is putting a strain on power providers across the region.

Germany announced Wednesday it would fall back on its energy reserves and restart several fossil-fuel power stations that have been dormant for some time.

A combination of below freezing temperatures, insufficient yields from renewable energy sources, and interruptions to natural gas imports from Russia have aggravated a discrepancy in energy production left behind by Berlin's decision last year to rid Germany of nuclear power.

Germany decided to phase out all nuclear energy in the wake of the meltdown at Japan's Fukushima Daiichi nuclear plant, triggered by an earthquake and tsunami.

A spokeswoman from Germany's Federal Network Agency, the government body responsible for the country's electricity and gas infrastructure, said that when eight nuclear reactors were taken off line last year, the ability of Germany's four network providers to compensate for unexpected interruptions in service was affected.

The energy supply situation is especially tense in the south because that is where much of the country's industry is concentrated, she added.

The cold snap has raised questions over Europe's reliance on Russia for gas as supplies sent via Ukraine have dipped below the expected levels.

Ukrainian Energy Minister Yuri Boyko said electricity consumption in the country is historically high.

But in an interview with CNN, he rejected suggestions that Ukraine has been siphoning off gas as it transits from Russia to Europe.

Gazprom, Russia's gas monopoly, has denied sending lower volumes of gas to Europe.

At least 250 people have died across the region in the cold weather.

@highlight

Severe cold is set to carry on through the weekend in many places, meterologists say

@highlight

Paramedics in Ukraine race to help a homeless man saved by a good Samaritan

@highlight

Doctor: Some victims of the cold are alcoholics, others drink in the mistaken belief it will keep them warm

@highlight

Ukraine's emergencies minister says 9 out of 10 of the deaths have been alcohol-related