ARLINGTON, Virginia (CNN) -- The Tomb of the Unknowns at Arlington National Cemetery is at the center of combat between preservationists and cemetery officials.

Preservationists say a replica would also crack over time and that fixing the monument is the better option.

The giant marble sarcophagus marking the location of unknown U.S. service members has been battling the elements since it opened to the public in 1932. More than 70 years later, it is showing the scars, with cracks encircling it.

The sarcophagus contains the remains of three unknown service members who were killed in World War I, World War II and the Korean War. The remains of a fourth service member, who died during the Vietnam War, were removed from the tomb and identified in 1998.

On its most famous inscription -- "Here rests in honored glory an American soldier known but to God" -- a crack cuts diagonally across the words.

Those scars are at the center of a debate: Should the memorial be fixed or replaced with a replica?  See photos of Tomb's cracks and its history »

"The overall appearance of the memorial is not what it should be and we know this is a problem," said John C. Metzler Jr., the superintendent of Arlington National Cemetery.

As the cracks worsen, cemetery officials say, the threat of a degraded monument will detract from the dignity and respect afforded to those buried at what many consider the nation's most sacred site. They would like an exact replica made with similar marble.

Historical preservationists say it should not be replaced and that the cracks should simply be fixed as needed.

"A replica is not the same thing as the original," said John Hildreth of the National Trust for Historic Preservation, a leading historical preservation organization.

Located high on a hill overlooking Washington on the Virginia side of the Potomac River, the Tomb of the Unknowns is diligently looked after by the U.S. military's ceremonial Old Guard 24 hours a day.  Watch Tomb guard: "Everything we do is for the Unknowns" »

Cemetery officials estimate more than 4 million people visit the cemetery and the Tomb of the Unknowns every year, making it one of the most popular destinations in the Washington area.

Since the early 1960s, the marble walls that make up the main monument at the Tomb have been developing fissures from natural cracking, made worse by Washington's brutal quick freezes and thaws.

The cracks have been slowly growing each year, threatening the look and delicate carvings on the front of the structure rarely seen by the public.

The monument has undergone two repairs, one in 1975 and the last one in 1989, with grout used as filler. Since then, other significant cracks have appeared. Watch President Bush lay wreath at Tomb of the Unknowns »

"The cracks continue to grow. And I can't predict what the weather is going to continue to do to the monument," Metzler said.

For years, Arlington National Cemetery, which falls under the control of the Department of the Army, has been looking to replace the 48-ton monument and its fault lines with one that is virtually identical.

Metzler says following the rules of the National Historic Preservation Act and locating unblemished marble that will hold up to the weather has slowed the replacement process.

The possibility of replacement -- which the cemetery said would not disturb the actual tombs encasing the remains -- has outraged preservationists. Hildreth's group, the Washington-based National Trust for Historic Preservation, and its allies successfully lobbied Congress to force the cemetery to examine all repair options.

"Cemetery officials heard our concerns and were not very receptive to changing their plans," Hildreth said. "If they were to replace the monument with the same marble material, it would eventually start cracking again."

Metzler and cemetery officials reported back to Congress this month and decided to continue to repair the cracks as needed -- but will still pursue replacing the monument entirely, if requirements to the National Historic Preservation Act can be met.

"For now, we will intermittently repair the monument with grouting process that should hold for several years at a time," Metzler told CNN.

The report said cemetery officials believe the "cracks cannot be repaired indefinitely without the monument acquiring a patched, worn and shabby appearance, which is the antithesis of its purpose and contrary to [Arlington National Cemetery's] mission of maintaining a dignified, fitting memorial to our country's fallen soldiers."

Metzler said it is impossible to say when or if the memorial would be replaced because it hinges on whether all of the criteria are met in the Preservation Act.

The National Trust  contends that the cost of repairing it far outweighs the cost replacing the structure.

The cemetery's report to Congress lists a replacement and related costs could total $2.2 million, while the cost for a one-time repair would be about $65,000.

Metzler's concerns are not just out of dignity and respect for those troops buried at the Tomb, but also for the tourists and other visitors that come to the monument.

"I worry that as the cracks worsen it will eventually take away from the visitor's experience," Metzler said.

@highlight

Debate centers on whether to fix cracks on Tomb of Unknowns or replace it

@highlight

Repairing it would cost an estimated $65,000; replacing it would cost $2.2 million

@highlight

Cemetery officials want a replica structure; say cheap fixes won't preserve it

@highlight

Preservationists say a replica would crack over time, just like the current one