How would you like to do a search without touching a computer or phone? Or have your next question answered before you even ask it? Or get a reminder to pick up a carton of milk when you drive by a grocery store?

These are some of the new upgrades to Google's search tools that the company announced Wednesday at Google I/O, its annual developers' conference. About two-thirds of Web searches in the United States are done through Google, with Bing and Yahoo trailing far behind.

We spoke to Google Senior Vice President Amit Singhal last week about the new search changes and his excitement for a certain fictional starship computer.

Google Chrome gets voice commands

Google is adding voice-activated search to its Chrome browser, allowing people in audible distance of a computer's microphone to start a search by saying, "OK Google," out loud followed by their terms.

Google's search team is obsessed with the "Star Trek" computer, the fictional, omnipresent and invisible voice-activated system that answered questions and obeyed orders when Enterprise crew members began a sentence with the word "computer." Singhal called it the "ideal system."

Swap out "Computer" for "OK" and you get a clear picture of where the company is steering its search engine. To activate Google Glass, wearers say, "OK Glass," followed by a request such as "record a video" or "Google the life span of lemurs."

Now that voice-activated, natural-language interface is spreading across all devices.

"I can't wait to put my kitchen computer in this mode and settle all of our questions over dinner without having to pull our screens out," Singhal said.

The new feature will roll out to Chrome users across platforms over the next few weeks.

Search results add more context

Google processes more than 1 billion searches every day, 85% of which have been Googled before. All that experience means the search engine knows more than just the answer; it knows what searches commonly happen next. Now the search engine is integrating that predictive content into the answer, potentially saving people a step.

"We would pretty much anticipate the next question you are going to ask," Singhal said.

Looking up the population of Canada? According to past searches, the most common follow-up search is for the population of California (if you're wondering, California has slightly more people than Canada). A population search could also show charts comparing similar locations and related statistics such as life expectancy and gross domestic product.

The new feature also taps into Google's Knowledge Graph to make the necessary connections. The Knowledge Graph is Google's growing database of things -- you may have noticed its items showing up on the right-hand side of a common list of search results.

Where searches used to be largely based on the presence of keywords, the graph makes more concrete connections and detects relationships. For example, it knows "Warren Harding" isn't just two words. Google has associated the name with the 29th president and added it to a collection of U.S. presidents.

Google Now adds reminders

Google Now is Google's predictive search tool found in the Android and iOS Google search apps. The tool pulls information from your calendar, Gmail account, search history and phone's location to serve up relevant information before you can search for it. These bites of data, called cards, might show the traffic for the morning commute to work, Zagat reviews for a restaurant where you have reservations, and sports scores for the teams you look up the most.

This week Google is adding reminders to the mix. Using your phone's location, the reminders will pop up when you need them. A reminder to pick up frozen peas could appear when you are near the local grocery store, while a reminder to put gym clothes in the car could show up on your phone before you leave the house in the morning.

These types of reminders are common in mobile apps. Apple, for example, has its own location-based reminders tool on the iPhone and iPad.

The new reminders feature will be available for Android first before eventually coming to iOS. Google also is rolling out a few more Google Now cards, including ones that provide updates on music and movies.

Taken alone, these new features might seem minor. But together they add up to a new era of intuitive and predictive Google search across devices, platforms and locations.

@highlight

Google announces new features for its search engine at its Google I/O conference

@highlight

Chrome will be able to begin voice-activated searches when people say, "OK Google"

@highlight

Search results will add contextual information based on common follow-up searches

@highlight

Predictive search tool Google Now is adding reminders