London (CNN) -- Margaret Thatcher was "an extraordinary leader and an extraordinary woman," British Prime Minister David Cameron said in a special session of Parliament Wednesday.

He led tributes to Britain's only female prime minister two days after her death at age 87 from a stroke.

Meanwhile, Thatcher's son Mark said that although his mother had been "blessed with a long life and a very full one," the family's loss is still difficult to bear.

The family is "enormously proud" and grateful that Queen Elizabeth II will attend her funeral next week, he said.

The lawmakers have been called back early from recess for the special parliamentary session to honor Margaret Thatcher's memory.

Thatcher led the Conservative Party from 1975 to 1990 and was prime minister for 11 years.

Cameron told lawmakers it is important not to underestimate the "thickness of the glass ceiling" she faced at that time.

Her achievement in breaking through it to become a member of Parliament, then a minister and then prime minister was remarkable, he said.

He also praised her leadership in the Falklands War in 1982, when Britain repelled an Argentinian invasion of the disputed Falkland Islands, also known as the Malvinas.

While prime minister, Thatcher lived under "direct personal threat" from the Irish Republican Army, Cameron added.

He paid tribute to her courage as he recalled that she lost two parliamentary colleagues to IRA terrorism, and was "inches away from death" in a 1984 IRA bomb attack on a Brighton hotel where lawmakers were staying during a Conservative Party conference.

The funeral with military honors planned for next Wednesday will be a "fitting" tribute, Cameron said.

"She made the political weather, she made history, and let this be her epitaph: She made Britain great again," he concluded.

Praise and criticism from the opposition

Ed Miliband, leader of the opposition Labour Party, paid tribute to Margaret Thatcher's achievements but at the same time pointed out he disagreed with many of her decisions.

"Whatever your view of her, Margaret Thatcher was a unique and towering figure," he said, and a "prime minister who defined her age."

She was right to see that the British economy needed to change, to encourage aspiration and to defend the Falkland Islands when Argentina invaded, he said.

But it would be dishonest not to say that she was wrong on other things, he said. These include calling Nelson Mandela's African National Congress a terrorist organization, passing legislation that made it illegal to "promote" homosexuality in schools, and her treatment of Britain's coal miners when she took on the trades unions.

Many in mining communities felt "angry and abandoned," he said.

Deputy Prime Minister Nick Clegg, of the Liberal Democrat party, kept his remarks brief -- pointing out that Thatcher's legacy still provokes strong feelings in many people in his northern England constituency.

But whatever your views of her policies, he said, "it's impossible to deny the indelible imprint Margaret Thatcher made both on the nation and the wider world."

She was a towering figure "not as written in the history books but still in the prime of her political life," he said.

The comments from those outside her party reflect the fact that Thatcher was a highly polarizing leader, whose influence on British politics is still felt more than 20 years after she left office.

There were noticeably more empty seats on the opposition side of the chamber in the House of Commons.

But many on both sides of the house laughed, sometimes fondly and sometimes ruefully, as lawmakers recounted anecdotes about their own interactions with Thatcher.

She earned the nickname "the Iron Lady" for her personal and political toughness in office.

The session in the House of Commons is expected to last several hours.

The House of Lords, where Thatcher served after she was ennobled to Baroness Thatcher of Kesteven following her departure from office, is also holding a session in her honor.

Former Conservative leader Michael Howard, now Lord Howard, defended her approach to decision-making, seen by many as divisive.

"If she had waited for consensus, nothing would ever have happened," he said. "She saw what needed to be done and she did it, with clarity, with courage and with compassion."

Very few people have made a contribution to the nation on the scale of that of Thatcher, he said, and "the light of her legacy will shine as a beacon down the generations."

Lord Norman Tebbit, a former chairman of the Conservative Party and a Cabinet minister under Thatcher, recalled her kindness to him and his wife after they were badly injured in the Brighton bombing.

Working for her was made easier by the firmness of her convictions, he added.

The last time both houses of Parliament were recalled during a recess was in summer 2011, when London and other cities were rocked by riots and looting.

Divided opinion

A towering figure in postwar British and global politics, Thatcher is remembered in the world for her Cold War-era friendships with U.S. President Ronald Reagan and Soviet leader Mikhail Gorbachev, as well as her role in shaping Britain's place in Europe and the short, sharp war she waged with Argentina over the disputed Falkland Islands.

At home, she divides opinion. Many Britons blame her for creating soaring unemployment, when she reduced or eliminated many government subsidies to business and took on the unions.

Her battle with striking coal miners won her few friends in mining communities in northern England and Wales. But supporters believe the tough reforms she pushed through transformed the British economy and gave many working people new freedoms.

Preparations are already under way for a funeral to be held next Wednesday at St. Paul's Cathedral. With full military honors, it will rival those given to Diana, Princess of Wales and the Queen Mother.

The queen, accompanied by husband Prince Philip, will be among the high-profile guests.

What do you think about the loss of Britain's 'Iron lady'? Tell us

However, Prince William and his wife, Catherine, who's expecting their first child, will not attend the funeral, nor will Prince Harry, Prince Charles or his wife, Camilla, Buckingham Palace said.

The announcement that Thatcher would receive a "ceremonial" style funeral, one step down from the state funeral usually reserved for the monarch, has prompted heated debate in the United Kingdom.

While some supporters want her to be given a state funeral, others have questioned whether she merits a send-off on par with that of Diana's.

Opinion: Why Thatcher was the 'Iron Lady'

The service, which will be televised, will be followed by a private cremation, Cameron's office said Tuesday.

Crowds are expected to line the streets between the Palace of Westminster -- where her coffin will lie on the eve of the funeral -- and St. Paul's Cathedral.

On the day of the funeral, the coffin will travel by hearse from Westminster to a Royal Air Force chapel, where it will be transferred to a gun carriage drawn by the King's Troop Royal Artillery.

From there, it will be taken in procession to St. Paul's Cathedral along a route lined by servicemen and women from the army, Royal Navy and Royal Air Force.

Thatcher's family and friends will wait inside the cathedral with many who worked with her in government and elsewhere.

The funeral is being organized in line with the wishes of her family, Downing Street said. They include her twin children, Mark and Carol.

World reaction: Tributes paid to 'great leader, great Briton' Thatcher

@highlight

NEW: Margaret Thatcher's son says she "was blessed with a long life and a very full one"

@highlight

Ed Miliband points to Thatcher's mistakes but also notes her achievements

@highlight

Cameron says Thatcher was "an extraordinary leader and an extraordinary woman"

@highlight

"It's impossible to deny the indelible imprint Margaret Thatcher made," says Nick Clegg