(CNN) -- Britain's love affair with the Tour de France will be rekindled when its 101st edition starts Saturday in a region famed for the literary works of the Bronte sisters and the rugged terrain which provided the setting for their most famous novels.

The grueling three week-test over 3,664 kilometers, taking in the unforgiving mountains of the Alps and Pyrenees, will finish in Paris on July 27, but in recent years Le Grand Depart has often taken place outside of France to widen the appeal of cycling's most iconic race.

Beating off bids from Florence and Edinburgh, Yorkshire -- which at 15,000 square kilometers and with a population of five million is the biggest county in England -- got the nod from race organizers in 2012.

Its biggest city Leeds will host the start of two days of racing in Yorkshire with the first stage finishing in Harrogate and the second going from the cathedral city of York to Sheffield.

It will pass through the Yorkshire Dales, the Peak District and the Pennines, with stiff climbs that will provide an early test for the 198 riders from 22 teams teams of nine.

The second leg Sunday will indeed see the peloton speed through the small town of Haworth where the Bronte's -- Charlotte, Emily and Ann -- lived in the early 19th century.

Their most famous works, Jane Eyre, Wuthering Heights and the Tenant of Wildfell Hall are literary classics set against the backdrop of the wild and windswept moors that surround their birthplace in the West Riding.

Local organizers are banking that the worldwide appeal of the Tour will showcase the history and heritage of their region -- dubbed "God's own county" by locals -- and attract new tourism.

If the huge crowds which greeted the last visit of Le Grand Boucle to Britain in 2007 are anything to go by, that is pretty much guaranteed.

All over Yorkshire, Haworth included, towns and cities on the route are bedecked with welcoming signs and references to the unique magic of a race which started in 1903 with the aim of boosting the circulation of a French newspaper L'Auto and has grown to become the biggest spectator event in the sporting calendar.

"The race has excited the public and cycling community and is the biggest sporting event to take place anywhere in the UK in 2014," said Larry Hickmott, the editor of the website VeloUK.net and a veteran observer of the British cycling scene.

Over a million people are expected to line the roads for the two stages in Yorkshire and the third from Cambridge to the British capital London, before the race heads to its traditional home in France for the remaining 18 stages.

The pre-race buildup has been dominated by a row over the decision to leave Britain's most famous cyclist, Bradley Wiggins, out of the Team Sky lineup.

Wiggins made history when he won the 2012 edition of the Tour before going on to claim Olympic gold a week later at the London Games.

With his trademark sideburns and 'Mod' fashion sense, Wiggins assumed cult status and became a national hero, but his ongoing rivalry with fellow Team Sky member Chris Froome has since taken on the sort of brooding intrigue which would not have been out of place in a Bronte novel.

Froome, who had been his right hand man in helping Wiggins win the 2012 Tour, still finishing a fine second, duly won last year's race, with Wiggins absent after illness and crashes in an abortive attempt at claiming the preceding Giro d'Italia.

Wiggins might have been expected to return to the Team Sky squad this year, particularly with the race starting in Britain, but instead has been left on the sidelines.

His devoted fans believe Froome -- who has been quoted as calling his teammate "mentally weak" -- played a part in his exclusion, but this is denied by the Kenyan-born British rider.

"Just to make it absolutely clear, I do not have a role in selection," Froome told gathered reporters ahead of the start.

Team Sky chief Dave Brailsford said the decision had "kept him awake at night, but lauded the 29-year-old Froome as the "the best stage race rider in the world."

Either way, while Froome and his eight teammates begin their quest to bring Team Sky a third straight yellow jersey, Wiggins will likely be training at the Manchester Velodrome ahead of riding the 4km individual and team pursuit at the Commonwealth Games in Glasgow.

"The most popular opinion is that Wiggins should ride, both from public and avid cycling fans and even many of 'informed' inside the sport," said Hickmott, who has followed his career since he was a youngster.

But to understand while Wiggins -- who may well have been capable of finishing on the podium -- has been left out it is necessary to examine the dynamics of a cycling team in its approach to races like the Tour de France.

The entire Team Sky squad will act as "domestiques" or helpers for Froome, sacrificing their own chances to help him claim the yellow jersey in Paris.

At best, Wiggins would have been a "super domestique" -- which is a rider who might be expected to step up to the plate if a mishap or illness befell the team leader Froome.

Brailsford has given his role to Australian Richie Porte, hailing the Tasmanian as a "Grand Tour winner of the future" but has courted further controversy by leaving out young British stars Peter Kennaugh and Ben Swift, who finished first and second at their national championship last weekend.

With Swift omitted it will leave Team Sky without a recognized sprinter, the riders designated to contest the bunch finishes at the end of predominantly flat stages.

Despite its recent dominance of cycling at the Tour de France and in the Olympics, Britain will only have four competitors in this year's race, but in Froome and sprint king Mark Cavendish (Omega Pharma-Quick Step) it has two jewels in the crown.

Cavendish, who has used his finishing speed to win 25 Tour de France stages, will be hoping his teammates can help him don the yellow jersey after the first stage which finishes in his mother's home town of Harrogate.

Last year's green jersey winner Peter Sagan of Slovakia and Germans Andre Greipel and Marcel Kittel will be his main challengers in these finishes -- with all looking to win the coveted final stage on the Champs Elysees in the French capital.

But the fastest men on two wheels are not contenders for the overall crown, usually losing time on the mountain stages and the individual time trials which decide that ultimate honor.

Froome has proved his worth in both those disciplines, winning the 2013 Tour by over four minutes from Nairo Quintana of the Movistar team.

Colombian Quintana won the Giro d'Italia earlier this year, but has decided against a tilt at the Tour, leaving two-time winner Alberto Contador as the likely main challenger to Froome.

Contador courted controversy after a positive drugs test which annulled his 2010 Tour triumph and the Spaniard has struggled to repeat his earlier victories since serving his ban, but impressive performances in 2014 serve notice of his abilities.

The 31-year-old always protested his innocence after failing a doping control for the banned stimulant Clenbuterol, but his presence as a podium contender will act as a constant reminder that cycling is still struggling to shrug off the doping controversies which have continually haunted the sport.

On the eve of the tour came the revelation that Daryl Impey, the first South African to wear the yellow jersey last year, had tested positive back in February after his national championships for a banned substance Probenecid.

He was withdrawn from the race by his Orica-Green EDGE team while Froome, who has known Impey since his time in school in South Africa, said that the news was a "big shock to me."

Tour de France organizers will be hoping this year's event passes off without a further doping story, preferring the positive images of massive crowds lining the route in both Britain and France to cheer on their heroes rather than the darker side of the sport.

@highlight

101st Tour de France starts from English county of Yorkshire Saturday

@highlight

Yorkshire famous for home of Bronte sisters

@highlight

Kenyan-born Briton Chris Froome favorite to defend title

@highlight

Fellow Team Sky rider Bradley Wiggins left out of its team