From the courts of the ancient Pharaohs to a simple game of catch on a spring afternoon; the ball has a centuries-long history of play. It's one of our simplest yet most enduring inventions. While the games have evolved, the ball in all its various forms continues to play a key role in different cultures around the world.

With many of our favorite games now in full swing -- baseball, basketball, soccer, tennis and golf make for a busy sporting season -- have you ever stopped to think what makes us play? That's the question that drives the fascinating new book "The Ball: Discovering the Object of the Game," from anthropologist and sports enthusiast John Fox.

Fox was inspired by that simple but curious question from his 8-year old son. Seeking the answer, he set off on a global adventure that included excavating ancient ball courts in Central America and getting a front-row seat to a medieval version of football played by a mob of hundreds in the Scottish Isles. But "The Ball" is more than a history lesson. Fox goes beyond the origin of sport and offers some surprising insight into why we love the games we play.

CNN recently spoke to Fox from his home in Boston about the book. The following is an edited transcript.

CNN: Your book starts with a basic question from your son, "Why do we play ball?" Did you find an answer?

Fox: I wouldn't say I found an answer. It's a philosophical question as much as a scientific one, but what I did find was a variety of answers that add up to something interesting. One of the things that surprised me was just learning about why we play in the first place and what the benefits are psychologically and cognitively.

We think of playing sports as having obvious physical rewards, but I learned that play is a way that we develop knowledge and cognitive skills about the world. The importance of playing ball for our ability in becoming intelligent, sentient beings is as important as any physical benefits.

That surprised me because I don't think we think of play as something that makes us smarter. It makes us able to think better and faster and that was a revelation.

CNN: You visited the Scottish isle of Orkney to see an ancient version of football still played there. What was that like?

Fox: Orkney is an extraordinary place on the edge of the world so steeped in tradition. It's not surprising that it's a place where you would find this vestige of old football that's hung on for hundreds of years. This game is played only twice a year, which automatically elevates it to a level of importance. It's more than a game; it's a communal rite.

So when you go there you're immediately swept up in all of that. It's pretty rough and tumble when you get 200 men battling for six hours on cobblestone streets over a ball. What I was profoundly struck by was how much that game gave the players and the families a sense of place, a sense of belonging and a sense of tradition. Coming back year after year to play this game and watch this game really defines who they are.

I feel like there's elements of that in why we play and why we love sports, but I feel like we've kind of lost touch with that to some extent and these people in Orkney really understand it and they live it.

CNN: With the success of the Beijing games, and Qatar due to host the World Cup, it seems like sports is becoming more global than ever. Would you agree?

Fox: Look at soccer, it came out of these small villages in England and France, a very particular cultural context in medieval times and yet the entire world has embraced this game. It shows that these sports have the ability to transcend culture, to transcend language and other barriers, race and so on.

I think the Olympics and the World Cup are the best examples of that. I believe the last World Cup final was watched by literally half the world. I think it was over 3 billion people watched that game. Can you think of any other single thing that half the world is doing at any moment? I can tell you there's just nothing else. It is heartening. Despite all the controversies, the idea of the world coming out to play together, following a common set of rules, that's pretty profound.

CNN: How do Americans compare to sports fans in other countries?

Fox: I think about the same. There are definitely parts of the world that are more passionate than others. What's unique about the U.S. is in many respects the games we play. We like our own games and that does distinguish us.

We have this history of go-it-alone American exceptionalism whereby we chose to play baseball. We chose to play our own variation on football and only recently warmed up to playing what came to be known as soccer. To me that's what makes us unique. It's less the passion and more what we're passionate about.

CNN: Do controversies like the NFL bounties say something about sports culture in the U.S.?

Fox: I don't think scandal is unique to American sports in any way. There have been plenty of scandals around bribes related to World Cup sites and plenty of stuff coming out of the Olympics.

I think with scandals emerging a lot of it has to do with the massive infusion of money into international sports. These are multi-national enterprises. The stakes are very high for everyone involved. It's not surprising that over time you see more and more scandal. Looking at America, we put so much importance on the sports we watch. They're more than games.

Again, there's a sense of belonging and identity. So we take umbrage when steroids violate our sense of fair play or when we find out that football players are being paid extra on the side to injure the quarterback of another team like we've seen with the NFL bounty scandal. Violence has been part of football all along. It's one of the reasons we're riveted by the game, but the bounties push it over the edge. The object became to injure another player and I think that's unfortunate because then it's no longer play in my opinion.

CNN: How do you see sport evolving in the future?

Fox: One of the things I found really heartening in a way is that sports have evolved a fair bit, but not as much as you would imagine. As focused as I was on the ball, I spent time at a football factory in Ohio and the technology they were using to hand craft these Super Bowl footballs was really not that far off from what was being done in a cobbler's shop in England in the 1850s.

I think in the future, we'll see more interaction between digital technology and live sports. There's a lot of interesting work going on with smart footballs, equipment with GPS and other instruments embedded within them so you can integrate the viewer's experience on screen with what's happening on the field in a more seamless way. So a quarterback can get readouts on exactly how he's handling and throwing a ball or how it's being caught.

I think you'll see bit by bit that kind of technology creeping more and more into the game. I look ahead and I don't see dramatic revolutions, I see incremental change.

Watch an ancient version of football on John Fox's website.

Why do you think we're so obsessed with ball games? Add your theories in the comments section below.

@highlight

John Fox wrote "The Ball" in response to a question from his 8-year-old son

@highlight

Fox says ball games are an ancient and worldwide tradition

@highlight

He predicts more interaction between digital technology and live sports in the future