Hong Kong (CNN) -- Umbrellas, yellow ribbons, numbered codewords and tangles of phone cords: these are the distinctive sights of the dramatic protest unfolding beneath Hong Kong's spectacular skyline.

Here are some of the defining images to have emerged from the days of pro-democracy protest that have rocked the semi-autonomous Chinese territory, and the reasons behind them.

The umbrella

The key symbol of the protests that have upended Hong Kong is the humble umbrella. Since it was used to shield protesters from the tear gas and pepper spray deployed by police, the umbrella has become a ubiquitous sight on the frontlines, and given the movement its name.

Protesters are bringing in umbrellas in bulk and distributing them for free, sleeping under their shelter and writing slogans on them.

Bryan Druzin, an assistant professor of law at the Chinese University of Hong Kong, said the umbrella was not only functional but had "a certain emblematic resonance in that it's a symbol of passive resistance."

"Hong Kong is a city that periodically takes refuge under umbrellas against seasonal typhoons that threaten the city. The turmoil is another storm Hong Kong is trying to weather," he said.

Hong Kong artist Kacey Wong has been generating protest art by running a social media "competition" to create a lasting logo for "the Umbrella Revolution" (the prizes being "justice, democracy and freedom"). He said the way the umbrella was used brought an "enormous feeling of brotherhood."

"Tank Man -- that was one guy standing in front of a tank," says Wong. "The umbrella represents people working with each other to form a defensive shield. If you see a piece of the shield ripped away by the police, it will be replaced by another."

It was a strong image with an inherent contrast, he said. "It's a soft thing but it's also very hard in terms of our determination to win this battle."

Yellow ribbons

Yellow ribbons are tied to barricade railings, pinned on shirts, and decorate social media profiles. Long an emblem of suffrage movements internationally -- particularly tied to women's suffrage -- they have been adopted by Hong Kong's protesters as a symbol of democratic aspiration.

"Not everyone can be there on the front lines," says Wong. "The ribbon is a way to show your support."

Black tees

The student protesters are mostly dressed in black t-shirts.

Black has traditionally been worn at the city's annual protests to mark the Tiananmen massacre; Wong says they also represent "sorrow and darkness" regarding the use of force on peaceful demonstrators.

Numbers

The protest site reads like a telephone directory of numbers, emblazoned on notes and posters plastered around the streets: 689, 926, 8964. They also figure heavily in social media posts about the protests.

The numbers are a form of shorthand common to Chinese political culture in Hong Kong and in mainland China, explains Wong. In the mainland, he says, due to censorship, "you have to speak in a curveball way. There's a lot of coded words they use because they cannot express it directly."

Although no such censorship exists in Hong Kong, the same political shorthand is commonplace, said Druzin. Dates are often used: #926 refers to September 26, when the protests kicked off, #8964 to the date of the Tiananmen crackdown.

Hong Kong chief executive C.Y. Leung, the main target of the protesters' ire, has his own code: 689. It refers to the number of votes he received from Hong Kong's 1,200-strong election committee to rise to office as the territory's leader.

"They use it to question his legitimacy because he was voted for by only 689 people in Hong Kong," said Wong. "They call him that to remind people he doesn't represent all of us -- there's 7 million of us here."

Protesters devoted a bus in a blockaded area to Leung, plastering it with messages to the chief executive. Above the bus's windshield, the route number was changed to "689," the destination to "Hell."

Supplies

The protest sites are notably orderly, well-organized and clean. Volunteers hand out free bottled water, snacks, towels and medicine. Bananas are dispensed, as are loaves of breads and saltine crackers.

Demonstrators bring carts laden with grocery bags of supplies, which are dispensed for free to whoever needs them.

Trash is sorted into three piles for recycling -- plastic, paper and garbage -- and volunteers patrol with plastic garbage bags to collect trash.

Homemade protection

After Hong Kong protesters were tear gassed on Sunday, many improvised their own protection, using some of the materials circulated by the Occupy Wall Street movement.

Solutions included wrapping exposed skin in Saran plastic wrap, or using swimming goggles and plastic ponchos.

Charging stations

Some people that live close to the protests are offering to let protesters charge their cell phones. They post signs with their contact numbers if people need to use their power supply.

Volunteers have brought power strips and extra chargers so protesters can stay connected.

Phones have played an invaluable role throughout the protests as information is shared through social media.

FireChat

Rumors that the cell phone network would be shut down sparked a massive rush in Hong Kong to download the FireChat messaging app. The app allows users to message each other without WiFi or cell data connection.

The demand has been so great that Micha Benoliel, the CEO of the U.S. company Open Garden which developed the app, has come out to Hong Kong during the protests.

The protesters are well organized and well prepared, said Benoliel.

"They knew that at some point the cellular networks would be shut down or just be overloaded by number of people in the same place, so they know that Firechat is a way to remain connected and communicate."

With one caveat -- all conversations on FireChat are public because any user can join the messaging rooms.

Phones have another use.

Candles are long out of vogue as phones are easy, convenient and a non-fire way of providing light in a massive night gathering.

Photographed from above, the glowing screens of mobile phones held aloft by the sea of protesters' have created an enduring image of the demonstrators' solidarity.

Effigies

Hong Kong chief executive CY Leung has been the main target of the protesters' anger, with calls for him to resign circulating among the crowds.

A gigantic, enlarged effigy of Leung's head, replete with fangs, has been a distinctive sight on the streets during the protests. Protesters chant in Cantonese, "Step down, step down!" when they see it.

Anthem

The rousing anthem, "Do you hear the people sing" from the revolution-themed musical "Les Miserables," has been adopted by the protesters.

The slogan is painted on a poster hanging from a prominent bridge and has been played by a string quartet on the streets. In the musical, the song is sung as Parisian revolutionaries prepare to rebel against the government.

@highlight

The umbrella has emerged as the defining symbol of Hong Kong's democracy protests

@highlight

It became a symbol of passive resistance after they were used to shield against tear gas

@highlight

A distinct visual language has emerged, including numbered codewords, black t-shirts

@highlight

The protesters are highly organized and cooperative, sharing food, water, electricity supplies