(CNN) -- Lawyers for groups opposed to same-sex marriage in California petitioned to reverse a federal appeals court order that OK'd the resumption of such unions -- doing so a day after that ruling.

Attorneys applied Saturday to the U.S. Supreme Court for "an immediate order vacating" a decision Friday by the Ninth U.S. Circuit Court of Appeals, according to copies of the document from ProtectMarriage.com and the Alliance Defending Freedom. That appeals court Friday lifted a previous injunction on same-sex marriages in California, "effective immediately."

"Without the immediate relief requested by this Application, the Ninth Circuit will circumvent the proper rules and procedures established by this Court," the application says.

Those on the other side of the debate, meanwhile, think the appeals court acted appropriately.

"The Ninth Circuit had broad discretion as to whether to stay the injunction pending appeal," said Manny Rivera, a spokesman for the American Foundation for Equal Rights. "Now that the Supreme Court has decided that the injunction against Proposition 8 must stand, it was entirely appropriate for the Ninth Circuit to dissolve its stay of that injunction."

California's Supreme Court struck down the state's ban on same-sex marriage in May 2008, ruling that the state's constitution gives "this basic civil right to (marry to) all Californians, whether gay or heterosexual, and to same-sex couples as well as to opposite-sex couples."

But months later, 52% of voters backed Proposition 8 to once again restrict marriages so that they can only be between a man and a woman.

The measure put gay and lesbian marriages on hold, though lawsuits followed.

State officials declined to stand behind Proposition 8 -- and, thus, its prohibition on gay marriage -- though private parties did step in and offer to do so.

A federal appeals court later ruled that Proposition 8 was unconstitutional, though it still issued a stay on same-sex marriages until the U.S. Supreme Court could weigh in.

That happened in a 5-4 decision Wednesday, when the high court dismissed an appeal of that federal court ruling on jurisdictional grounds. That meant Friday's news -- the resumption of same-sex marriages in California -- was expected, even though it wasn't known when it would happen.

Supreme Court cases rest of citizens who sued, made history

ProtectMarriage.com and Alliance Defending Freedom say it shouldn't have happened then, at the least.

In their emergency application, affiliated lawyers claimed the Ninth U.S. Circuit Court of Appeals "lacked jurisdiction to issue its order purporting to dissolve the stay." They reasoned that this appeals court wasn't authorized to weigh in until the Supreme Court "sends a certified copy of the judgment to the Ninth Circuit."

Among other arguments, the application also stated that "permitting the Ninth Circuit to prematurely dissolve its stay order would effectively deprive petitioners of a meaningful opportunity to exercise their right to petition for rehearing."

Such petitions for the Supreme Court to reconsider a case must be filed within 25 days after a ruling has been made.

It's unclear if and/or when the high court might consider this request. Justices recently began a recess after issuing a number of pivotal rulings last week.

And there's no immediate indication it will have any impact on same-sex weddings taking place around California. Gov. Jerry Brown issued a directive on Friday telling authorities in "58 California counties that same-sex marriage is now legal in California and that marriage licenses must be issued to same-sex couples immediately."

Attorney General Kamala Harris, in fact, performed one of the first such unions -- between Kristin Perry and Sandra Stier, who were one of the couples who sued to stop a voter-approved ban on same-sex marriage from taking effect -- at San Francisco's City Hall.

Process begins to allow federal benefits for same-sex spouses

CNN's Erica Henry contributed to this report.

@highlight

Lawyers: Court shouldn't have lifted a stay on same-sex marriages in California

@highlight

They ask for "an immediate order" vacating that decision, after which weddings resumed

@highlight

A gay rights spokesman says the appeals court's actions were "entirely proper"

@highlight

U.S. Supreme Court paved the way for the appeals court's move with a ruling Wednesday