Baghdad, Iraq (CNN) -- Ali Hassan's body is broken, courtesy of a sniper who blew holes in the soldier's left leg and left hand.

The wounds are so fresh that blood seeps through the bandages. He winces as he struggles to try to sit up before giving up and lying back down on the gurney.

Staring up at the stained hospital ceiling, Hassan recounts the fierce firefight Wednesday on the streets of Ramadi that landed him here.

Across the room, a border guard wounded in the battle for the al Qaim border crossing writhes in pain as doctors examine his legs, which are being held by metal rods rather than bone. In the corner, an Iraqi special forces soldier is wrapped in bandages from gunshot wounds he received in a firefight outside of Samarra.

These are just a few of the dozens of the war's wounded that CNN saw Thursday being treated at a hospital in the heart of the Iraqi capital where soldiers, police and border guards are packed four, five and six, in some cases, to a room.

Their stories paint a fuller picture of frontline battles detailed at near daily news briefings conducted by Iraq's military spokesman, Lt. Gen. Qassim Atta, who cites the military's "success" in battling the Islamic State of Iraq and Syria (ISIS) and their Sunni militant allies.

He offers up a laundry list of information, from the number of air strikes carried out to the number of ISIS fighters killed.

But Atta has offered no details about how many of the country's security forces have been killed or wounded. The ministries of defense and interior have also declined a CNN request for the number of casualties.

But the anecdotal evidence, in the form of personal accounts from the wounded and the families of the dead, paint a picture of an Iraqi military that is still very much fighting to hold ground in some areas against ISIS.

Hassan, 28, joined the military three years ago as a way to provide for his family, who live south of Baghdad in the city of Hilla.

Three months ago, he was deployed to Ramadi as part of the government's effort to hold the provincial capital after nearby Falluja was overrun by ISIS fighters, a bellwether of what was to come for Iraq.

Observers predicted the city would fall to ISIS after the extremists swept across the Syrian border last month in a lightning offensive that saw them seize large swaths of northern and western Iraq.

But the city has held. Or at least a part of it.

"We ran out of ammunition, and we called back to the base and they said to come back," he said.

As they started to withdraw on Wednesday, snipers opened fire. When it was over, he and five of his comrades were wounded and two were dead.

"They were still shooting but someone drove a Humvee to us, and he carried us out," Hassan said.

Within hours, he was transported to the hospital in Baghdad, where doctors have told him he will be released and sent home in a week. Maybe less, he says.

"They told me they need the room," Hassan said.

'My friends, they carried me'

On the other side of the room, Waad Kareem's mother tends to him, bringing him food and water.

He is Ashwak Aboud's only son, and she is worried about his prognosis. The X-rays that hang in a plastic shopping bag off the bed tells the tale: A shattered tibia and fibula in his right leg. A portion of the bone is missing, lost perhaps when ISIS fighters shot him as he was running.

Kareem, 29, of al-Kut, was at al Qaim when ISIS fighters swept across, pushing the Iraqi military and the border guards from their posts after they ran out of ammunition and supplies.

Rather than surrender to ISIS, he and 10 of his fellow border patrol officers ran six kilometers to a police station. But when they arrived, he says, there was nobody there.

With what little weapons and ammunition they had left, they barricaded themselves in the building and fought back. One by one, his comrades were shot and killed.

With eight men dead, it was clear they couldn't hold out until help arrived, he said. That's when he and two others decided to make a run for it at night.

Kareem said he bolted from the building, only making it a short distance before he was gunned down. He never saw who shot him.

Laying in the hospital bed, Kareem covers his eyes with his forearm, not wanting anyone to see the tears he can no longer hold back.

"My friends, they carried me," he said.

Evacuated from front line

Ali Ahmed, 29, lies in the hospital bed next to Kareem, and listens to the story. He tells him in Arabic, "It will be OK."

Ahmed, an army lieutenant, knows it won't really be OK for the men in the room. If they are lucky, they will walk again. Not perfectly, but enough to live a life.

"This is what happens when you fight," he said.

Ahmed was hit by shrapnel during a mortar barrage in Tikrit this week that left the femur in his left leg broken in several places.

When asked about government reports that Iraqi troops were successfully retaking Saddam Hussein's hometown, 160 kilometers north of Baghdad, he shook his head.

At one point, he said he and his troops appeared to be surrounded by ISIS fighters.

"No food, no water," he said. They had to drink water from streams. Ammunition was also running low, he said.

Then the shelling started.

Ahmed said he was evacuated from the front line by the army.

In his hospital bed, he looks down at the long thin screws that have been twisted into his leg to hold the pieces of bone together.

At least, he says, he's alive and he will one day go home. Some of his comrades weren't so lucky.

Iraq's orphans left to ask: 'Why do these people kill other people?'

@highlight

Iraqi army soldiers, border guards, tell stories from the front line

@highlight

ISIS fighters are taking over large swaths of northern, western Iraq

@highlight

Civilians are also caught in the crossfire