Washington (CNN) -- A federal appeals court on Monday affirmed the conviction and life sentence for convicted terrorist and 9/11 co-conspirator Zacarias Moussaoui.

Moussaoui had agreed to plead guilty in 2005 to six criminal conspiracy charges arising from the al Qaeda terror plot to use commercial aircraft to strike key U.S. targets on September 11, 2001, in the worst domestic terror attack in American history.

A three-judge panel of the U.S. Court of Appeals for the 4th Circuit concluded Moussaoui's trial was fair, despite the defendant representing himself against the advice of the trial judge and his own lawyers. The judges said a life sentence imposed by the jury was appropriate.

"Moussaoui, having pled guilty, has waived all nonjurisdictional errors leading up to his conviction except those affecting the adequacy of his pleas," the panel said.

Moussaoui has been held by the government since August 2001, and was the first person charged in the United States in connection with the 9/11 attacks. He was indicted in December 2001, accused of being part of a broader terror conspiracy in the months leading up to 9/11. Several other accused top al Qaeda officials -- including alleged 9/11 mastermind Khalid Sheikh Mohammed -- are awaiting transfer into federal custody and future prosecution in civilian courts, the same as Moussaoui.

Government sources have told CNN that three top al Qaeda detainees have told their interrogators that Moussaoui was not meant for the 9/11 plot, but for a future terror operation. Moussaoui had said as much in open court, admitting allegiance to al Qaeda leader Osama bin Laden, but denying he was to have been part of the 9/11 hijacking of planes. Prosecutors had questioned the validity of some of his claims.

The 41-year-old faced the death penalty, but was instead given life in prison, and serves his sentence at the so-called "Supermax" correctional facility in Colorado.

His trial was delayed for many months over whether the French citizen of Moroccan descent had the right to introduce testimony from the three top al Qaeda leaders who he said may have evidence that could clear him. The court agreed but said no direct access was allowed, only written summaries of the interrogations. That evidence was the key basis of Moussaoui's current appeal.

"We find it significant that Moussaoui never sought to rescind the admissions he had just made" at his March 2005 guilty plea, wrote the judges, "nor to withdraw his guilty plea during the nearly three-year long period that elapsed between his [initial] appeal and the conclusion of the sentencing proceeding."

Moussaoui tried to use bin Laden's own words to help his case. The Saudi leader -- reportedly in hiding in Pakistan or Afghanistan -- said in an audio message, "I was responsible for entrusting the 19 brothers -- Allah have mercy upon them --- with those raids ... and I did not assign brother Zacarias to be with them on that mission." Those 19 Muslim men were the al-Qaeda members aboard the planes that crashed one 9/11.

At the same time, the defendant also claimed he was supposed to fly a fifth plane into the White House, and that Richard Reid, the so-called "shoe bomber" was supposed to be on his hijacking team. Only four planes were involved in the 9/11 attacks.

But after his May 2006 sentencing, Moussaoui claimed he lied on the stand. His erratic behavior at trial, including his frequent outbursts and threats and his insistence of representing himself for a time, led to calls for a mistrial by his legal team.

In his last public appearance at his sentencing, Moussaoui waved the "V" victory sign, and attacked the United States. "We will come back another day," Moussaoui told the court. "As long as you don't hear, America, you will feel. ... God curse America. God bless Osama bin Laden. You will never get him."

Moussaoui now has the option of asking the full appeals court to hear his case or of going directly to the Supreme Court. The justices had earlier refused to stop his trial from going ahead.

The case is Moussaoui v. U.S. (06-4494)..

@highlight

Convicted terrorist and 9/11 co-conspirator remains in maximum security prison

@highlight

He was first person charged in the U.S. in connection with 9/11 attacks

@highlight

In appeal, he said he should have been allowed to give evidence from al Qaeda leaders