United Nations (CNN) -- Palestinian President Mahoud Abbas put forth a historic U.N. membership bid for an independent state of Palestine on Friday; a move Israel says is premature without direct talks that address its longstanding security concerns.

The formal application -- viewed as a largely symbolic gesture because an American veto is all but assured should the request come to a vote in the Security Council -- drew applause in the assembly when the Palestinian leader raised the document at the podium during his speech at the 66th annual session of the General Assembly.

The time has come for a "Palestinian Spring" to join the Arab Spring in reshaping the Middle East, he said. "My people desire to exercise their right to enjoy a normal life like the rest of humanity."

But Israeli Prime Minister Benjamin Netanyahu, later taking his turn to address the General Assembly, said Palestinians are looking for a "state without peace," ignoring security concerns important to Israel.

He said Palestinians are not armed only with their "hopes and dreams," as Abbas said in his speech. To that he added "10,000 missiles, and Grad rockets supplied by Iran, not to mention the river of lethal weapons flowing into Gaza."

"Palestinians should first make peace with Israel, and then get their state," he declared, adding that peace must arrive through a two-state solution that recognizes Israel as a Jewish state.

If that occurs, Israel "will be the first" to recognize Palestinian statehood, the prime minister said.

Representatives from the United Nations, the United States, Russia and the European Union -- a group commonly referred to as the Quartet for the Middle East -- discussed the request later Friday, and issued a statement saying the bid is now before the U.N. Security Council.

The group called for a "preparatory meeting," to take place within one month and intended to outline how peace negotiations between Israeli and Palestinian leaders might take place. Each side would then be tasked with producing a comprehensive proposal on territory and security issues within three months, and "to have made substantial progress with six months," the statement said.

The timetable for an agreement is not to exceed the end of 2012, countering any anticipation of immediate change in the region.

The Security Council is expected to meet Monday to further discuss the issue.

Abbas' speech, meanwhile, provoked cheers and chants from flag-waving Palestinians who watched the address on a big-screen television in a square in Ramallah, the West Bank.

Moments after handing over the formal letter seeking full United Nations membership, Abbas said Israel continues to stymie peace and flout international law, and he called on United Nations to act urgently.

"We aspire for and seek a greater and more effective role for the United Nations in working to achieve a just and comprehensive peace in our region that ensures the inalienable, legitimate national rights of the Palestinian people," said the Palestinian leader.

His speech was closely watched across the Middle East. The hundreds who gathered in Ramallah greeted the news that he had formally filed the request with cheers, song and dance.

Demonstrations took place Friday in New York and in cities across the Middle East as demonstrators waved Palestinian flags and chanted slogans in a show of solidarity.

U.S. Embassies across the region warned citizens to avoid the expected demonstrations, saying they could turn violent with little warning.

An increased police presence was visible in Jerusalem, where the military had stockpiled riot-control gear against the possibility of greater violence.

Ahead of the speech, Palestinian youths lobbed rocks and bottles at Israeli security forces at a West Bank security checkpoint leading to Jerusalem, a fairly routine Friday occurrence. There were no injuries, but rock-throwing between Israeli citizens and Palestinians in Qusra led to three injuries, one of them fatal, according to the Israel Defense Forces.

No immediate action is expected on Abbas' request that Palestine become a member state of the international body, and such a U.N. declaration is almost certainly doomed to failure because of the United States' veto power in the Security Council.

"Peace will not come through statements and resolutions at the U.N.," President Barack Obama said in a speech to delegates at the General Assembly earlier this week. "If it were that easy, it would have been accomplished by now."

Obama and Abbas met Wednesday as part of behind-the-scenes wrangling that has accompanied the controversial request. The American president said he supports Palestinian statehood, but reiterated a long-standing U.S. position that Israel must be part of the discussions.

Israel has described the bid as counterproductive, and has called for an immediate resumption of talks to begin in New York and to be continued in Ramallah and Jerusalem.

Negotiations broke down last year.

And while a U.S. veto would block the bid for full U.N. membership, the General Assembly could still vote to upgrade the status of Palestinians, who currently hold the status of non-voting observer "entity."

The body could change that status to permanent observer "state," identical to the Vatican's standing at the United Nations.

Despite a breathtaking year of change that has seen popular revolutions mark political upheaval in Tunisia, Egypt, Libya and other nations, talk of Palestinian statehood dominated the General Assembly's session this week.

"The membership effort sends a strong message by Abbas to Palestinians that he is working to advance the Palestinians' cause," said Steven Cook, a senior fellow for Middle Eastern studies at the Council on Foreign Relations

"Right now, he's thinking about his domestic political situation in order to maintain his position," Cook said. "So he's not eaten alive."

Hamas, the dominant of two Palestinian political groups, has maintained that neither a U.N. application nor direct negotiations with Israel would provide the Palestinian people "with what they're looking for."

"Abbas' emotional speech succeeded in moving people's feelings but his description of Palestinian suffering is different from reality," said Hamas spokesman Sami Abu Zuhri.

Hamas controls Gaza while Abbas' Fatah organization holds the West Bank.

CNN's Kevin Flower and Fionnuala Sweeney contributed to this report.

@highlight

It is time for a "Palestinian Spring," President Abbas tells the United Nations

@highlight

Palestinians want "state without peace," Israeli Prime Minister Netanyahu argues

@highlight

The Quartet issues a timetable for an agreement not to exceed the end of 2012

@highlight

Hamas spokesman says Abbas' solution is not what Palestinians are looking for