(CNN)Dropping red meat, and sticking to a plant-based diet that incorporates fish may be the key to preventing colorectal (colon and rectum) cancers, according to a seven-year study published Monday. Pescetarians, as they are commonly referred, had a 43% lower chance of getting the cancer compared to people with omnivorous diets.

Why focus on colorectal cancer? It is the third most diagnosed cancer, and the third leading cause of cancer-related death in the US in 2014, according to American Cancer Society statistics. The disease is particularly dangerous because it is usually asymptomatic in its early stages, making it more difficult to detect when it's less deadly. Only 59% of those recommended for screenings receive procedures that are in line with the American Cancer Society's standards.

The study, which followed nearly 78,000 people and was published in the Journal of American Medical Association, adds to the growing body of evidence touting the health benefits of a plant-based diet. Another study, reviewing data from 39 separate studies showing that a plant based diet leads to an average drop in blood pressure similar to 30-60 minutes of exercise per day.

Yet another study from last year found an average weight loss of nearly 7.5 pounds for vegetarians.

While evidence shows the health benefits of reducing red meat consumption, the recent study highlights the differences between even a fully vegetarian diet and a pescetarian diet. Within the sample group there was a 27% drop in the risk of contracting colorectal cancer if you switch from fully vegetarian to eating fish. The authors of the study suggest that omega-3 fatty acids may be the key to such a low risk of cancer in the pescetarian group.

Nutritionist Lisa Drayer agrees. "In addition to other dietary factors, fish may provide added protection from its high content omega-3 fatty acids. This is consistent with previous research that has found omega-3s have anti-cancer activity and that they may be helpful in the prevention and treatment of colorectal cancer."

Some questions can be raised though, from observing the recent study's participants Seventh Day Adventists, a group that typically avoids alcohol and tobacco.

But despite the caveat, Drayer is optimistic. "While the study is observational and cannot prove a cause/effect relationship, it is exciting to think that in addition to regular screenings, a diet rich in fish and fiber-rich foods may play an important role in reducing the risk of colorectal cancer."

@highlight

A new study shows a 43% lower risk of contracting colorectal cancer with a pesco-vegetarian diet

@highlight

Colorectal cancers are the third most diagnosed cancers in the U.S.

@highlight

Plant-based diets may also contribute to greater weight loss and lower blood pressure