(CNN) -- The Danish exception to the history of the Holocaust sheds new light on the relation between the Third Reich and the countries it occupied. It is of particular interest to compare the Danish, Norwegian and Dutch experiences, because the three countries shared many similarities before the war and because the Nazi leadership saw them through the same prism. Despite this, the fate of the Jews in the three countries was very different.

The armed resistance of Norway and the Netherlands led the Nazis to take control not only of their territories but of their entire societies. High-ranking German officials were sent to oversee the administration of Norway and the Netherlands, and local Nazis were installed in powerful positions throughout their civil administration. In sharp contrast, elected Danish politicians remained in control until the end of August 1943 and no Danish Nazis were allowed to be part of the Danish administration.

This made it possible for the Danish authorities to reject the rationale for any measure to be taken against the Danish Jews. Indeed, the Danish government insisted that no Jewish problem existed in Denmark and that therefore no solution was called for.

This attitude provoked a surprising reaction on the part of the Nazi leadership which not only hesitated and postponed the measures that were put in place elsewhere, but also softened the blow when finally, on October 1, 1943, the raid against the Danish Jews was executed. The Germans anticipated the popular Danish reaction in defense of their countrymen and sought to downplay the raid in order not to stir up too much trouble in the occupied country.

The Danish opposition to the action caused the Nazis to hesitate and at the same time stimulated a consideration in Berlin of whether the action against the Danish Jews was worth the price? The continuation of "Model-Protectorate Denmark" with provisions of foodstuffs to Germany proved to be more important to the Nazi leaders than deporting and killing the Danish Jews.

It is hard to conclude that something similar could have been achieved elsewhere under different conditions. But it is clear that the resistance of the Danes towards discrimination and persecution of their Jewish countrymen made it possible for the Danish Jews to escape.

This unique story begs the question whether the same would be true today? Would Danes -- or for that matter any other people -- in a comparable situation rise up and act spontaneously to rescue their countrymen, even at the risk of their own safety?

The question goes to the heart of one of the most intense discussions of modern democracies: who are "we" and who belongs to our society? What does it take to be British -- or Danish, or for that matter German? And who, living in Britain or in Denmark, are not seen as part of the national "us"? These questions find no easy answers. And yet, the history of the escape of the Danish Jews shows to us the critical importance of the answers.

We have no reason to believe that Danes or other Europeans would not today act on their own initiative to help their countrymen at peril. But it may be less obvious who would in that case be considered countrymen. Whom do we see as part of society and thus under the protection of the communality? And whom do we see as strangers living among us?

In the case of Denmark in the 1940s, the inclusion not only related to the well-established Jewish families who had been part of Danish society for centuries. It also included the more recently arrived "Russian Jews" who were first generation immigrants, and, perhaps more surprisingly, the not insignificant number of stateless Jews, mostly German refugees on the run from Nazi persecution. This group did not belong to Danish society in any trivial sense and they did not speak Danish. Most of them had been in the country only shortly, and many had no, if any, personal relation to Denmark.

Yet, they were rescued, because most Danes at the time saw the Nazi assault against them as a violation of the sense of justice on which their nation was built. Therefore, coming to their rescue was considered a national duty, an act of patriotism. The rationale was neither abstract nor sophisticated. It was a widely shared sense that an injustice was being committed and that letting it pass without attempting to stop it would eventually corrupt the entire society.

This sense is what society is about, today just as much as at the time of the escape of the Danish Jews.

The opinions expressed in this commentary are solely those of Bo Lidegaard.

@highlight

The Danes resisted persecution of their Jewish countrymen, writes Bo Lidegaard

@highlight

He asks: Would anyone rescue their countrymen today, even at the risk of their own safety?

@highlight

Lidegaard says it begs the question: Who are "we" and who belongs to our society?

@highlight

The escape of the Danish Jews shows to us the importance of the answers, he writes