(CNN) -- He has sculpted a new career, much to the relief of his body.

Where once it was concussions and broken bones Philip Blacker had to contend with, now the former British jockey works with clay molds and bronze casts.

To the casual racegoer, the 64-year-old sculptor's work will already be well known -- his trademark life-size models of celebrated racehorses are dotted around racecourses, stables and the homes of wealthy horse owners across England and the world.Â 

"Racing was my first love," he says of a 13-year-old riding career, which included 340 winners and in which he came close to winning the prestigious Grand National.

Now he is consumed by a love of art. His latest exhibition is a series of bronze friezes, which also feature a number of horses, though with a more somber theme in bearing witness to World War I's 100th anniversary.

Entitled "Farewell, Leicester Square" the friezes capture the horrors of that conflict in graphic detail.

Before discovering a gift for sculpture, Blacker initially struggled to adjust to life out of the saddle, missing the adrenalin fix the sport had given him.

"You name it, I tried it -- all sorts of dangerous things," recalls Blacker, "jumping out of an airplane, riding motorcycles very fast, that sort of thing.

"It was about five years of trying to seek a substitute but it wore off."

So the former art student, who realized an aptitude for sculpting during the latter part of his jockey career, began to pursue the discipline more seriously after finally hanging up his silks.

"The sculpture is exciting in a similar way -- it's like itching for a ride, the way you want to get into a studio if a piece of work is going well," he explains.

"When you're into a work it's mesmerizing. It's your total focus -- that's the same for a four-minute horse race to sculpture being a slow-motion version."

Blacker's first big work was a life-sized version of three-time National winner Red Rum in 1988 which still takes pride of place at Aintree Racecourse.

He has also sculpted Desert Orchid, the famous gray steeplechaser, for Kempton Park Racecourse, as well as former Kentucky Derby winner Northern Dancer for Woodbine in Canada.

Red Rum was a horse which in some ways defines Blacker's two lives.

In 1973, Blacker finished fourth on Spanish Steps as Red Rum won the National for the first time, while four years later he rode Happy Ranger to seventh in 1977 as the heralded bay gelding sealed a third victory over the Aintree fences.

Red Rum became something of a sporting celebrity in the British psyche, not falling in 100 races, and his third win is regarded as one of the greatest moments in British sporting history.

An event often referred to as the "the ultimate test of a horse's courage" and the richest jump race in Europe with a prize fund of Â£1 million ($1.6 million) -- the Grand National is tinged with frustration for Blacker.

He believes he could and should have won the race in 1982 on board favorite Royal Mail.

But the day before, against the advice of his trainer, he went to ride at Ludlow, only to fall at the last fence of the final race of the day.

It ended with him being taken to hospital with a broken shoulder and, in his absence the next day, Royal Mail fell at Becher's Brook.

"That horse needed a rider that knew him and on that day he didn't, so I really saw that as my one big chance to win the race," says Blacker, who placed in the top four on three occasions at Aintree.

"But stupidly I threw it away. It's one of the biggest regrets of my life."

The National is a race he loved, one he rode well and one where he embraced the potential perils, falling to the turf for four of his nine rides in the race.

"I had too much fun," says Blacker as he looks back on his career.

"When I look at a jockey like Tony McCoy -- notorious for his relentless pursuit for riding perfection -- perhaps I wasn't as dedicated as I might have been. There were missed opportunities, I could have done better."

Instead with Red Rum and his other equine creations, Blacker has become the McCoy of equine sculpture, successfully allowing his initial passion to still live on through his art work.

Each one is created initially from a 1/16th-size model made of wire with clay molded around it before ironing out any issues.

That then becomes a life-size model, with about three-quarters of a ton of clay used before the foundry comes in to take molds and the cast before the final creation is set in bronze.

Blacker's latest show is perhaps a nod to his father, Cecil Blacker, a former general in the British Army, who also passed on his equine passion as a show jumper and steeplechaser to his son.

His son, however, was unaware of his father's military exploits until reading his 1993 autobiography.

Blacker Sr. was the recipient of the Military Cross, one of only 50,000 ever awarded, in his case for his role in the three-day Operation Goodwood against Nazi forces in Normandy in 1944.

He was later General Officer Commanding-in-Chief in Northern Ireland just before the start of "The Troubles" -- bloody conflict between Irish republicans and the British government that began in the late 1960s until the Good Friday Agreement in 1998.

In 1974, Blacker's father's home was badly damaged by an IRA bomb.

"I read about that but honestly I can't remember anything about it at the time," admits his son. "It's bad but I was so busy trying to ride winners that I don't think I paid too much interest.

"He kept that sort of thing quiet. Of course, I realized he might be a target as a high-ranking officer but, really, that incident passed me by."

Blacker's military friezes are made in bronze with a patina (or thin layer of chemical on top) which is blow-torched, thereby causing a reaction that changes the color of the metal, producing haunting images.

Further inspiration was derived by an earlier commission from former jockey and now journalist Brough Scott to depict Warrior, a famous military horse.

Scott had once tried to persuade Blacker to give up riding after yet another crash, and move into art full-time.

"He didn't listen, carried on and finished third in the 1981 Grand National," recalls Scott. "In fact, that year the top three jockeys I'd advised all of them to pack it in. What do I know, hey?"

Scott argues his good friend was perhaps initially overshadowed by Sir Cecil, who was knighted in 1969.

"It was difficult as his father was this amazing overachiever -- he had a picture in the Royal Academy, an article in the Spectator and rode a winner at Sandown all in the same week," Scott says.

"So initially I think Philip went the other way, a bit of an underachiever. But actually he's rather extraordinary -- he became a thoroughly good jockey and then the sculpting. He kept that to himself initially and his latest exhibition is wonderful, really quite daring.

"I remember his son getting into music so he decided to take up the saxophone and taught himself. Now he's very accomplished."

Blacker's artistic pathway has not been without its troubles -- his studio has twice suffered from nearby fires.

In the first, his work was untouched, but in the second molds which had taken weeks to create make were ruined.

Recently relocated to Wiltshire in the southwest of England, such fires are hopefully a thing of the past but when most are ready for retirement, Blacker, having gone from Grand National to grand designs, has no plans to call it quits.

"I'm a workaholic so I can't," he says, driven by making his next piece of art better than the last.

Casting his mind three decades back, retirement from riding was something a relief, the pressure of having to make racing weight of 64 kilograms no longer a requirement, nor having to contend with a litany of injuries: four broken wrists, a fractured femur and all manner of concussions.

Becher's Brook -- that famous Grand National fence -- is no longer the driving force, more Flanders Fields.

"Farewell, Leicester Square" is on show at London's Thompson Gallery from November 6-15.

@highlight

Philip Blacker rode horses for over a decade, now he sculpts them in life-size models

@highlight

He came close to winning the Grand National in his 13-year riding career

@highlight

Now 64, his latest exhibition of friezes remembers events of World War One

@highlight

It is part-inspired by his military father, whose home was once blown up by the IRA