Editor's note: Deepak Chopra is the co-founder of the Chopra Foundation and author of "Spiritual Solutions: Answers to Life's Greatest Challenges", reveals how to find our inner strength.

(Oprah.com) -- In an ideal world, the title of this article would be "5 Ways to Feel More Powerful." But as things stand, many people feel powerless, and the social trends that drain personal power only grow stronger.

Whether you struggle due to the recession, a controlling spouse, or the anonymity of routine work, it's crucial to find a way to limit that feeling in your day-to-day life.

Before talking about power, let's clarify what power isn't. It isn't a force that you use like a weapon to get your own way. It isn't a suppression of what you don't like about yourself to achieve a perfect ideal that doesn't exist in the first place.

It isn't money, status, possessions, or any other material surrogate. There are countless people sitting in the lap of luxury who feel even more powerless than the average person does.

This is so because the issues of power are all "in here," where you relate to yourself. Now we can address the five things that help conquer that feeling of powerlessness.

Oprah.com: The 4-step plan to get your life on track

1. Stop giving away your power.

Becoming powerless doesn't happen in a single dramatic stroke, like the barbarian hordes breaking down your door and burning your house. It's a process, and for most people, the process is so gradual that they don't notice it.

They are more than happy, in fact, to give away their power by degrees. Why? Because being powerless seems like an easy way to be popular, accepted, and protected.

Thus you are giving away your power when you please others in order to fit in. Or when you follow the opinions of the crowd. Or when you decide that others matter more than you do. Or when you let someone who seems to have more power take charge of you.

It can often seem right -- or proper -- o sit modestly in the background, holding accepted opinions, living for your children, or letting a controlling spouse run roughshod over you in order to keep the peace.

In small and large ways, however, these kinds of decisions reduce your sense of self-worth, and without self-worth, you cannot rid yourself of your powerlessness.

2. Examine why it's "good" to be a victim.

Once you start chipping away at your self-worth, it's a short step to becoming a victim. I define being a victim as engaging in "selfless pain." In other words, by telling yourself that you don't really count, you can make the suffering you endure into a kind of virtue, as all martyrs do.

It's "good" when you serve a higher spiritual purpose -- or so some religion suggest but what if there is no higher purpose?

Most victims feel good about worrying all the time, but worry makes you far more vulnerable to bad things in general, since worry is so all-consuming that the mind isn't free and alert enough to tell real threats from imaginary ones. Worry feels like a protection -- when it is exactly the opposite.

Victims find lots of other "good" reasons for their plight. They are forgiving of an abusive spouse, because forgiveness is considered spiritual. They enable an addict, because tolerance and acceptance of others is equally spiritual.

But if you stand back, you'll see that victims in such situations are deliberately bringing suffering upon themselves, which not only confirms their powerlessness, it encourages it to grow and grow. The victim is always being acted upon.

There are enough abusers, addicts, rage-aholics, control freaks, and petty tyrants out there to drain the power from anyone who volunteers to play the role of victim.

Having given away too much of themselves, the first step for victims is to realize that their role is voluntary. They are not trapped by fate, destiny, or the will of God. Their role is a personal choice, and they can chose differently. Unleash the Magnificent, Unstoppable Energy Inside You

Oprah.com: How to unleash the magnificent, unstoppable energy inside you

3. Develop your core self.

Human beings are the only creatures who do not mature automatically. A baby chick has no choice but to turn into a chicken. But the world is full of people stuck in childhood and adolescence, no matter how old they happen to be.

For us, to mature is a decision: Adulthood is an achievement, one that requires -- and results in -- personal power.

This can takes decades, but it starts with a vision of the "core self." This is the part of you that connects to reality, placing you at the center of experiences that you personally create. To have a core self is to be the author of your own story; it is the exact opposite of being a victim, who must live a life authored by others.

Oprah.com: 4 steps to a more meaningful life

4. Align yourself with the flow of evolution, or personal growth.

Once you establish your core self as a goal, your path will unfold and you will evolve. This evolution is wobbly at first; everyone has at least some elements of ignorance and immaturity. But'Â 'thanks to free will, you can help guide your own evolution.

The simple fact is that we all desire more and better things for ourselves. If those more and better things are good for our growth, then we are guiding our own positive and powerful evolution. In India they make a distinction between dharma and adharma.

Dharma includes whatever naturally upholds life: happiness, truth, duty, virtue, wonder, worship, reverence, appreciation, nonviolence, love, self-respect.

On the other hand, adharma consists of choices that do not support life naturally: anger, violence, fear, control, dogmatism, skepticism, unvirtuous acts, prejudice, addiction, intolerance, and unconsciousness in general.

For our purposes, dharma is the ultimate power. It easily supports you, a single individual. What is asked of you is that you honestly look at your everyday life and the choices you are making. Ask yourself how to increase the dharmic choices and decrease the adharmic ones.

5. Trust in a power that transcends everyday reality.

Nothing described so far will come true without a higher reality. For the moment, let's leave aside religion and any reference to God.

Fortunately, to have even a speck of consciousness is to be connected to the finite consciousness that supports life, evolution, creativity, and intelligence. None of these things are accidental or a privilege handed out to the lucky few.

To use a metaphor, imagine that you are caught in a net. All nets have holes, so find one, and jump through it. I've known wives of abusive husbands who found a hole through, say, learning to paint.

For them, it was an escape route, and as they made art, their thinking changed from "I am trapped and can do nothing" to "I must be worth more than I imagined, because look at this beautiful thing I created." Escape routes exist along the qualities hidden in consciousness. They include:

Creativity. Go beyond by discovery and exploration. This leads to insight. Your inner vision clears. You start to see glimmers of light through the fog of your situation. Something more beautiful starts to attract you, and you want to go toward it.

Intelligence. Let your mind lead the way. You start having newer, more exciting thoughts than the old habitual ones you've been following. Beliefs are challenged. New points of view attract you, so you move toward them. You'll want to expand your mind in place of living behind defenses and boundaries.

Love and compassion. Discover that you can forgive yourself and others. Fantasies of hurt and revenge are replaced with emotional softening.

You see that there is untapped love around you, so you move toward it. The fact that you desire to love and be loved starts to motivate you, without excuses about being unworthy.

Quantum leaps. Notice -- and learn -- when you have an epiphany, a moment of dramatic awakening. These are the great "aha" experiences that peel away an entire layer of reality. We say that the heavens open, but really it's a new level of consciousness, one that brings more light.

Devotion. Understand that life is full of awe and wonder. From this you see a reason to revere your own existence. You have been placed in a world where you can be devoted to something, and your worship gives you a sense of worth.

Oprah.com: How to embrace the present moment

These escape routes all lead back to the person you really are, and that person know that what really counts extends far beyond the individual: the glory of creation, the beauty of nature, the heart qualities of love and compassion, the mental power to discover new things, and those unexpected epiphanies that bring the presence of God -- these universal aspects are your true source of power. They are you, and you are all of them.

Oprah.com: The one thing you can do to honor your inner voice

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Once you start chipping away at your self-worth, it's a short step to becoming a victim

@highlight

To mature is a decision and adulthood is an achievement that requires personal power

@highlight

Unexpected epiphanies that bring the presence of God can be your true source of power