London (CNN) -- Woody Allen famously said in "Annie Hall" that the only cultural advantage to Los Angeles was that you can turn right on a red light, but in truth the "City of Angels" is bursting with culture.

World-class museums including the Getty Center, the Los Angeles County Museum of Art and the Museum of Contemporary Art are must-see destinations for art-lovers, whose touring exhibitions easily rival those in London and New York.

The LA Opera, directed by world-renowned tenor Placido Domingo, art fair Art Los Angeles Contemporary and LA Fashion Week are all helping cement the city's identity as one of the US's major cultural hubs -- and that's before mentioning its number one industry, Hollywood.

Though difficult to navigate on foot, the city is a wonder of small communities, intriguing local landmarks and remnants of Hollywood's golden age.

CNN World's Treasures selects some of the best spots to experience the cultural side of Los Angeles, from galleries to historic landmarks.

SEE: Commercial galleries have sprung up all over the city in the last decade, boasting impressive exhibitions of local and international contemporary art. Artists such as Ed Ruscha, John Baldessari, Chris Burden and the late Dennis Hopper have put the city firmly on the map but it was established as an important hub in the 1960s, when the Ferus Gallery famously showed Andy Warhol's Campbell's Soup Cans.

Today, galleries are concentrated on La Cienega, Wilshire and Washington Boulevards and spaces to visit include Blum and Poe, credited with bringing the work of Japanese artist Takashi Murakami to the US, and David Kordansky. Also on any art-lover's itinerary is Gagosian Gallery in Beverly Hills -- in January the gallery is showing work by UK artist Damien Hirst.

Meanwhile, take a tour of the city's major museums; head to the Museum of Contemporary Art and enjoy its current exhibition of work by photographer and fashion designer Hedi Slimane.

Or take your time and wander through Chris Burden's installation "Urban Light" at the Los Angeles County Museum, and peruse the permanent collections at the Getty Center and the Hammer Museum at UCLA. Currently the Getty and Hammer are staging exhibitions celebrating the city's artistic innovations since World War II, among a number of other institutions.

VISIT: If you are feeling foot-sore from your travels around the city's art institutions, rent a car and drive to the Watts Towers, a weird and wonderful labor of love built by Italian immigrant Simon Rodia between the 1920s the 1950s.

These strange spiral towers, made of scrap, steel and cement and decorated with bits of bottle and seashells, have been an inspiration to artists ever since they were built. The site is now managed by the Watts Towers Art Center, which also stages an annual jazz festival.

Los Angeles's other architectural highlights include Pierre Koenig's Case Study House No. 22, which overlooks the city; LA-based starchitect Frank Gehry's Walt Disney Concert Hall in downtown LA; Anderton Court Shops, a small shopping mall near Rodeo Drive designed by Frank Lloyd Wright; and the Eames House in the Pacific Palisades neighborhood.

TOUR: No trip to LA would be complete without a tour of Hollywood's key hot-spots: Grauman's Chinese Theater, the Hollywood Walk of Fame and Beverly Hills. Alternatively, take a spin around famous movie locations such as Mulholland Drive, Sunset Boulevard and Chinatown on your own tour.

Los Angeles also has a rich literary history, and the city features as a sometimes glittering, often shady, backdrop to classic noir fictions by Raymond Chandler and John Fante. Even F. Scott Fitzgerald penned his own eulogy to the city in the unfinished "The Last Tycoon," which he wrote while working as a script-writer there in the 1930s.

For those looking for something a little more highbrow than the usual Hollywood tour, look no further than Esotouric's literary tours of the city, which cover the neighborhoods and landmarks featured in the novels of Chandler, Fante and Charles Bukowski, allowing you to walk in the footsteps of Philip Marlowe or Arturo Bandini.

STAY: A perennial favorite among celebrities and visitors to the city is the Chateau Marmont, which featured as the real set for Sofia Coppola's recent film "Somewhere." Modeled on a castle in France's Loire Valley, the Chateau Marmont has for years been a hideaway for celebrities behaving badly and a haven for Europhiles, and its popularity continues to grow. Even if you're not staying, you can sip a languid cocktail in the beautifully-designed Bar Marmont.

@highlight

Though often disparaged, LA is bursting with culture, from galleries to museums to historic landmarks

@highlight

The city's museums and galleries are world-class, boasting contemporary, modern and classical art

@highlight

Literary tours of the city are becoming popular, allowing visitors to walk in the footsteps of famous noir fiction characters

@highlight

No trip to LA is complete without a visit to the legendary Chateau and Bar Marmont