(CNN) -- At dinner tables throughout the United States, there are tough conversations about the exploding cost of college, the rough job market, the pain of debt.

For parents and students, it adds up to the same question: Is college worth it?

But American University economics Professor Robert Lerman is asking something different: If college isn't worth it, what else is out there?

Lerman, an Urban Institute fellow, has studied youth unemployment for decades, and thinks the United States ought to try an updated version of an old technique for education and employment: apprenticeships.

They're not the same as an after-school fast food job or a summer internship at dad's office, he said. Apprenticeships require skill development in a workplace over a number of years. The education, which might be supplemented by classroom training, leads to a credential -- maybe a title, certification or diploma -- that proves mastery of a skill. During that time, apprentices are paid, and employers are getting another worker.

"In many countries, apprenticeship training and mastery is thought of as a big advantage in innovation -- you have people seeing things, but have skills to understand them, make adjustments and achieve high quality," Lerman said.

It's been a long time since apprenticeship dominated in the United States. Despite the Obama administration's focus on community colleges, which often house workplace-learning programs, apprenticeship programs draw few government resources, and reach relatively few fields, mostly construction and manufacturing.

In a paper published last year, Lerman said about 468,000 people were in 27,000 apprenticeship programs registered with the U.S. Department of Labor in 2008. That was about .3% of the workforce at the time.

Up to 1 million more were in unregistered programs, the report said.

But in Switzerland, Austria and Germany,  50% to 70% of young people are trained through apprentice programs, according to "Training Tomorrow's Workforce."

Lerman suggests the United States follow the example of countries that developed apprenticeships in fields including health care, information technology, finance, advanced manufacturing and maritime occupations.

But that means getting through to politicians, educators, students and parents first. A Pew Research Center study published in May said 94% of parents who responded expected their kids to go to college.

The Pew study "Is College Worth It?" pointed out that the median gap in yearly earnings between those with only a high school diploma and those who have a college degree is nearly $20,000,  according Census Bureau data from 2010.

But students doing poorly in high school aren't likely to thrive in a college classroom, Lerman said, at least not right away.

More options that don't require a traditional college education might help lead people to higher-paying jobs, he said.

"The fact is that no matter how quickly we move on expanding apprenticeship, college and academics are still going to have a big draw, and that's fine," he said.

"But I think what we want to see is that diversification of routes to rewarding careers."

Former auto worker: 'Bypassing' college a mistake

Here's what Lerman had to say about changing the way we think about paths for students after high school.

CNN: What is apprenticeship, and how is it different than an after-school job or a summer internship?

Lerman: It is far more in-depth than any internship and far more structured than a standard job. It involves in-depth learning on the job, as well as related instruction in classroom work. The employer has obligation to train the individual; employers are getting production out of the apprentice. The apprentice is also being paid, and usually, almost always, there is an upward trajectory of pay over a two- to four-year period.

Alain Ducasse's Weapon Against Poverty: Cooking Classes

CNN: How did apprenticeships play a larger role in our past in the United States, and why did it fade away?

Lerman: I don't think we ever had the scale of apprenticeship training that existed in other countries. We have become so academic-based in our thinking that we don't take seriously the workplace learning component and occupational component.

The whole field of vocational education is a very contested one. Some people see vocational education as something to divert people away from higher goals of education. We went through a period when school-based vocational education, people argued, was used to discourage minority groups from going to college.

CNN: How could we implement programs that would avoid tracking certain classes, races or ethnicities into non-college programs?

Lerman: I'm personally not worried. If you look at the college graduation rate of African American males, it's well under 20%. Let's say we can double that, which is not easy to do -- the other people (who don't graduate) should not be doomed to bad careers, nor should people be pushed only one way. Sameness is not equality.

I see entering apprenticeship as entirely voluntarily. You can have career-focused education and training that provides education at very high levels with outlets for people to move back into a purely academic programs if they so choose.

Some of the very good programs, it's harder to get into an apprenticeship than to get into elite colleges. We need more good options. (With paid apprenticeships,) there's incentive. That reward would come much faster than trying to stay in school for 16, 18 years and then maybe getting a good job.

I am a professor of economics and I do not discourage people from taking higher education courses, but there are so many opportunities to do that over time. I met, for example, in Germany, a sales person in a steel mill. Before he went to college, he went through a three-year apprenticeship at the steel mill in sales management. When we went to college, college was a lot easier. He had all that background. He was probably more mature then. He could recognize which things were going to be helpful to him.

Study: For grads of color, it's prison or unemployment

CNN: Is part of the issue the word apprentice? It's tied to certain professions -- manufacturing, construction -- even if it describes work-based learning in fields like medicine and teaching.

Lerman: It doesn't have as good a connotation as in other countries. The current administration is using "career pathways." The problem is that "career pathways" is a vague term. It isn't clear you're doing something in a serious and concerted way.

An apprentice who completes a program, they have genuine expertise. That gives people a sense that, 'If I mastered this field, I can continue learning. I can learn other things as well.' To me, one of the great advantages is the sense of confidence it can give.

Ideally, we should try to make more and more fields have that high quality of productivity, but also a sense of pride. People in the welding field should have that same sense. Laser welding, the design of welding, all of that can be very complicated, technical, advanced, productive and rewarding.

Maybe we should have a contest. What name would capture the full notion, and perhaps be considered snazzier than apprenticeship?

Community colleges step in to fill 'skills gap'

CNN: Is there an opening for apprenticeship programs now that hasn't existed in the recent past?

Lerman: College costs are rising dramatically, not only for individual families, but for governments. We're seeing increasing concern that many people are not doing well at high school levels. There is starting to be an openness to these kinds of initiatives, but you cannot understate the purely academic bias that is existing in policymakers and a strong education lobby.

A public initiative has to recognize it's a very different model than supporting slots in community college or training program. What apprenticeship investments require is marketing and technical assistance to get employers to adopt apprenticeship programs. That's where government investment needs to be.

I'm not trying to knock college, especially for the broader learning you can get if you devote yourself to it ... but we have to create a wider range of options for people.

@highlight

As college costs rise and job hunts get tougher, some question: Why go to college?

@highlight

Economics professor says United States should develop more apprenticeships

@highlight

Apprenticeships teach people a skill -- and pay them -- as they work toward certification

@highlight

Lerman says apprenticeships have been valuable in other countries