Austin, Texas (CNN) -- The past month has been the worst for the United States in Afghanistan since the war began after the attacks of September 11, 2001.

There have been more difficult periods of combat against the Taliban, al Qaeda and other insurgents. There have been more fragmented and confused moments in allied strategy. There has, however, never been a time when American soldiers acted with such obvious and offensive disrespect for Afghan citizens.

The past month has witnessed a string of incidents, including the alleged killing of 16 civilians by a U.S. soldier and the burning of Qurans, the holiest touchstone of the Islamic faith, at a NATO air base. The United States has crossed a self-defeating threshold in Afghanistan where our soldiers are seen as attacking the very people and culture they are deployed to protect. We are destroying villages in order to save them.

We have witnessed this dynamic before. In early 1968, it became apparent that American soldiers in South Vietnam were fighting a stubborn communist enemy without the support they expected from South Vietnamese citizens. To the contrary, residents of South Vietnam frequently gave assistance to the insurgents killing Americans.

Frustrated and desperate, particularly after the Tet Offensive in January 1968, American soldiers took the war to the population with devastating consequences. Counterinsurgency warfare meant burning rural villages, bombing crowded areas and killing innocent civilians. The My Lai massacre of March 16, 1968, was the most notorious example, but it was not unique. After failing to catch insurgents who fled the village, angry American soldiers killed more than 300 women, children and elderly residents in cold blood. The United States was massacring the same South Vietnamese it was fighting to save.

We do not know what motivated the American soldier who is accused of going house-to-house, murdering Afghan families, on Sunday.

Based on the patterns of the past month, the question arises: Was he acting in ways that echo My Lai?

The U.S. military might be the strongest fighting force in the world, but it is still a collection of emotional and fragile human beings who react to the circumstances, pressures and incentives around them.

As in Southeast Asia more than 40 years ago, the American soldiers in Afghanistan are fighting a war against an elusive enemy amidst a population that is increasingly resistant to American demands for assistance. Afghan citizens know that the United States is planning to leave soon, and they sense that the Americans they meet care more about an "exit strategy" than the welfare of their society. Afghan intransigence furthers the frustration and resentment among American soldiers, fueling violent behavior directed at innocent civilians.

This self-defeating cycle reflects specific policies. President Barack Obama has acknowledged the corrupt Afghan leadership of Hamid Karzai, but he is doing nothing serious about it.

The U.S. government has told its more than 80,000 troops in Afghanistan that they must help create a stable and secure Afghan nation, despite rampant corruption, in less than a year. Young American soldiers are under enormous pressure, in hostile circumstances, and they are increasingly isolated from support networks within the United States.

For all the talk of "supporting the troops," the Afghanistan war receives little serious attention in American public debate. Obama rarely mentions the war, and his Republican challengers say little about it either. The American soldiers in Afghanistan are under orders to do the impossible at light speed, and they are ignored by their fellow citizens. We have re-created the conditions of extreme stress, isolation and victimization that were evident in Vietnam. We have turned a frustrating war into a breeding ground for American atrocities.

This is what happens when our national leaders try to fight a war and exit a war at the same time. We cannot do both. Our soldiers cannot build a functioning nation when they are told that we are not doing nation-building. They cannot defeat an enemy when we refuse to engage fully. They cannot work peacefully with local citizens when they are told that local citizens are the problem.

The choice is not to use more firepower or withdraw. The real choice is whether the United States is committed sufficiently to Afghanistan and willing to invest in supporting long-term efforts that will give our soldiers and local citizens a reason to believe that things will get better.

If the United States is unwilling to make these commitments, then it should admit it and reduce the demands on its soldiers. Either way, Americans must create a realistic basis for their activities in Afghanistan and end the fiction of a smooth transfer of authority from our overburdened soldiers to Karzai's corrupt administrators.

Realism will not please many Americans, but it will at least help to reduce the cycle of atrocities in Afghanistan. The time has come to escape the worst dynamics of Vietnam and re-learn the limits of American power.

The opinions expressed in this commentary are solely those of Jeremi Suri.

@highlight

A killing spree in Afghanistan follows Quran-burning incident

@highlight

Jeremi Suri says the U.S. has had its worst month in the long Afghan war

@highlight

He says it's reminiscent of Vietnam War, when soldiers turned against population

@highlight

Suri: U.S. leaders are failing to set and pursue achievable objectives