New Braunfels, Texas (CNN) -- Judy Young stoops down to point out her favorite feature of the sidewalk: a thick, bronze ring attached to the curb, about the size of a bracelet, weathered and rusted.

The sidewalks of downtown New Braunfels, Texas, are lined with them at inconsistent intervals. They are remnants of the days when European immigrants farmed the lush countryside known as the Texas Hill Country, she says.

Farmers of predominantly German heritage rode into town and tied their horses to the rings while they conducted business in stores like Henne Hardware, which still stands, and claims to be "Texas' oldest hardware store in continuous operation" since 1857.

Why there's no messing with Texas

The rough, weathered rings are the real deal, products of German ingenuity, says Young, a native of New Braunfels who exudes the requisite boosterism you'd expect from the Chamber of Commerce Convention and Visitors Bureau director, but with a genuine sense of pride.

"When the Germans built stuff, they built it to last," Young said, laughing.

Many residents of this waypoint between San Antonio and Austin grew up speaking German in their homes and remember when the hometown paper, the Herald-Zeitung, was written entirely in German. Some are fifth generation who can trace their roots back to 1845, when the first settlers arrived after Prince Carl of Solms-Braunfels, Germany, founded the town on the Comal River under a German charter.

KXAN: Comal River overflowing -- with people

Germans were originally lured to the Republic of Texas when it offered public land to Americans and Europeans to pay off war debt and weaken political ties with Mexico. This offer, combined with political strife in their home country, enticed a group of German noblemen to form an immigration company, and German immigrants began arriving in 1844.

But times have changed, and now some residents say New Braunfels, sister city to Braunfels, Germany, isn't "German" enough. Sure, it has a German-American society, a shooting club, polka dances and Naegelin's Bakery, Texas' "oldest continuously operating bakery" since 1868, which serves fresh pfeffernüsse and streussel. The town also has Wurstfest, an annual festival that features German food and music.

But as the town grows, 56.4% from 2000 to 2010, it wants more visible evidence to let those from outside the area know what New Braunfels is about: a sign that says "Wilkommen," street signs in German, building facades adorned with fachwerk, or timberframe.

What's behind the rise of Texas?

"We would like to see the town look a little more German. This town wouldn't be here if it weren't started by the Germans. It's a historical fact," said Diane Moltz, who grew up on a farm 15 minutes outside New Braunfels in a German-speaking home.

She cited tasteful examples such as Leavenworth, Washington, and Frankenmuth, Michigan, known as Michigan's "little Bavaria," and less tasteful examples, like Helen, Georgia ("Helen's a little over the top," she said).

"San Antonio is predominantly Hispanic, it's their heritage, and you can see it in the streets, the buildings. It's celebrated there. We feel like we could play on our heritage."

Guenter Dirks, the owner of the biggest German restaurant in town, Freisenhaus, has been asking the chamber for several years about playing up the town's German roots.

"People come here looking for a German town and they're disappointed. People come in here and ask where can I buy lederhosen and I don't know what to tell them. There's nowhere," said Dirks, a tall, imposing businessman who moved to Texas with his wife, Cornelia, and two sons in 2004 from Freisen, Germany.

He opened Freisenhaus in 2005. The restaurant serves traditional dishes as well as others like Texas schnitzel, made with spicy jalapeño.

Americanizing an ancient faith in Texas

Young said the chamber is responding to feedback such as Dirks' and is working on a larger promotional campaign to play up New Braunfels' German heritage. She acknowledges the impetus comes from a desire to draw businesses and tourists, but it's also just a part of growing and sustaining the community, she said.

"We've always had a brochure and used our German heritage as marketing tools, but we've discovered our German heritage is not in your face like people expect it to be," she said. "Our heritage is the combination of 1,500 years of German society and our frontier-immigrant roots married together. Where is it? We're walking it and living it. But we need to show it off more."

Case in point: Schlitterbahn, the flagship water park that has sprouted three satellite locations since it opened in 1966. Occupying more than 65 acres on the eastern banks of the Comal River -- and growing -- the business is second-generation family owned and operated.

With ride names such as Blastenhoff, Surfenburg and Tubenbach, and a replica of the guard tower in Braunfels looming over the park, visible from blocks away, park spokesman Jeffrey Siebert says kitsch is part of Schlitterbahn's charm, but says it's also part of paying homage to New Braunfels' German roots.

Otherwise, authentic evidence of New Braunfels' German roots is subtly tucked into curbs, stamped into building facades and embedded in its civic fabric. The hometown newspaper lists community events in the "Stammtisch" section, which loosely translates to "table reserved for regulars."

The best BBQ in Texas

New Braunfels also boasts several organizations dedicated to preserving its German heritage, including the New Braunfels Schuetzen Verein, a shooting club that traces its roots back to 1849, and the German-American Society of New Braunfels, which says it has more than 700 members. The group, a co-sponsor of the Edelweiss Kinder Chor, or children's choir, organizes annual events like Maskenball (costume ball) and Weihnachtsfest (Christmas Party) as well as less formal events like games of ninepin bowling and skat, a German card game.

Helgard Suhr-Hollis, a co-founder of the society who moved to New Braunfels from Germany in 1962, said it grew out of a desire to bring together the disparate singing societies and social clubs under the banner of German pride.

"Germans are a very proud people. They're known to be hard-working, self-reliant, don't take handouts and they believe strongly in education," she said.

Since helping start the society in 1978, Suhr-Hollis' has continued to contribute to German social life in New Braunfels. She is a member of the walking club and a docent at several museums and sites dedicated to the town's German heritage. One of them, the Lindheimer Home, is one of the oldest structures in town and the place where "father of Texas botany" Ferdinand Lindheimer lived and died in 1879.

The Lindheimer Home is within walking distance of the Comal River, which feeds into the larger Guadalupe River, providing sources of leisure in the summertime. Families walk down the streets lugging inner tubes to the nearest drop-in point, with Landa Park among the most popular.

During the day, families park on the banks of the river under shady oak trees while children wade in the water or ride a train that meanders through the park, or visit the Comal Spring.

As Young walked through the park barefoot, picking up trash and spouting off facts about its origins, she waved at the conductor of the train, an elderly man named Harvey Soechting, who she said was following in his father's footsteps.

Young revealed that she is not German: "Dutch-Irish." But she said she was grateful for what the Germans had done here.

"You don't really start thinking about it until you have children. But it's like my second-grade teacher Mrs. Naegelin (of the Naegelin Bakery) told us: It's our responsibility to preserve and enhance our community so future generations won't have to leave. We have to tell our own story and build up our own community, or people from the outside with lots of money will come in and do it for us."

@highlight

Residents say New Braunfels, Texas, sister city to Braunfels, Germany, isn't "German" enough

@highlight

As the town grows, it wants visitors to know what New Braunfels is about

@highlight

New Braunfels boasts several organizations dedicated to preserving its German heritage