Seoul, South Korea (CNN) -- North Korea's decision to launch a second long-range rocket this year, in the face of international condemnation, could be partly due to internal instability, a senior South Korean government official said Friday.

"This action is driven primarily by domestic demand," the official said, declining to be identified because of the sensitivity of the matter.

Read more: What does North Korea's planned rocket launch mean?

North Korea has said it will launch the rocket between Monday and December 22 in a fresh attempt to put a satellite in orbit. But other countries, including the United States, say the move is a cover for testing ballistic missile technology, which the United Nations has forbidden the North from doing.

Analysts have cited a number of possible reasons for Pyongyang's decision to carry out an unprecedented second launch this year, after a failed effort in April, including significant anniversaries related to the reclusive state's ruling dynasty.

But the South Korean official on Friday suggested that political and pragmatic concerns might be greater motivations for the nuclear-armed North Korean regime.

Read more: Kim Jong Un tightens his grip

The North's young leader, Kim Jong Un, has used unusual expressions and words, such as "rebellion," in recent statements, the South Korean government official said.

"He refers to the possibility of uprisings or impure elements of those who are not content with the status of the country," the official said.

Read more: North Korea moves closer to rocket launch, group says

Kim has been sending North Korean police to a foreign country for training in dealing with riots, according to the official, and has increased his personal physical protection.

He is also said to have ordered law enforcement agencies to root out those who are not happy with recent military and cabinet changes that he has imposed, according to the official.

"There is a large scale witch hunt going on," he said, declining to disclose the sources of his information.

There has been little sign of division in articles published by the North's state-run Korean Central News Agency. One item Friday referred to the leader as "the dear respected Kim Jong Un."

Pyongyang has said the planned rocket launch would be "true to the behests" of Kim Jong Il, the late North Korean leader and father of Kim Jong Un.

The elder Kim died on December 17 last year, so the first anniversary of his death falls within the launch window that North Korea has announced.

Read more: Kim warns troops to prepare for 'sacred war'

Experts also speculate that Pyongyang wants this launch to happen before the end of 2012, the year that marks the centenary of the birth of Kim Il Sung, the founder of North Korea and grandfather of the current leader.

A presidential election on December 19 in the country's neighbor and rival, South Korea, also takes place inside the launch window. What's more, Seoul had planned its own rocket launch aimed at putting a satellite in orbit late last month before postponing it minutes before takeoff.

Pyongyang insists that this is a "peaceful scientific and technological satellite launch," but even China, a key ally, has given a cool reception to the prospect.

Read more: What Kim's 'mystery woman' says about North Korea

"In view of the situation on the Korea Peninsula and restrictions of relevant U.N. Security Council resolutions, China hopes the DPRK can proceed from the overall situation of peace and stability on the peninsula and act prudently," Hong Lei, a spokesman for the Chinese Foreign Ministry, said at a news briefing this week, according to Xinhua, the Chinese state news agency.

DPRK is an abbreviation of North Korea's official name, the Democratic People's Republic of Korea.

The South Korean government has declined to say what exactly its response might be if the North Korean rocket launch goes ahead.

"We will send a message that North Korea will have to heed," the senior government official said cryptically on Friday. "Something that will deter any future provocations."

Japan, for its part, has said it will shoot the rocket down if it threatens any part of its territory.

South Korean media this week cited unidentified officials as saying that the North had completed installing the three-stage rocket on its launch pad at the Sohae Space Center on the west coast of the country.

But an analysis published Thursday by the U.S. academic website 38 North questions that claim.

Run by the School of Advanced International Studies at John Hopkins University, 38 North says, "We believe these reports are inaccurate based on satellite imagery and lessons from past North Korean rocket launches."

The process may have been delayed by a light snowfall, the website's analysis says, but North Korea could still have the rocket ready in time for the start of the launch window.

This is the first time North Korea has attempted a rocket launch in winter, and experts say the timing of preparations and the launch itself will depend heavily on weather conditions.

"Pyongyang's announcement of a twelve-day launch window, over twice as long as the five-day window for the April 2012 test, may have been based on careful consideration of possible delays or technical problems due to winter weather," 38 North says.

Previous launch attempts by the North in 2006 and 2009 also failed to achieve their stated goal of putting a satellite in orbit and provoked international condemnation.

CNN's Jethro Mullen in Hong Kong and Alex Zolbert in Tokyo contributed to this report.

@highlight

North Korea says it will launch a rocket as early as next week

@highlight

It says it's aimed at putting a satellite in orbit, but others say it's a missile test

@highlight

A South Korean government official says internal pressures are driving the plan

@highlight

The official cites recent statements from Kim Jong Un evoking the idea of uprisings