(CNN)Roseanne Barr revealed earlier this week that she is going blind. In an interview with The Daily Beast, the 62-year-old comic talked about her struggle with macular degeneration and glaucoma — two eye diseases that get progressively worse over time and can steal vision.

Barr's doctors haven't provided a timeline, but her symptoms are worsening: "My vision is closing in now," she said. "I just try and enjoy vision as much as possible. Y'know, living it up."

Related: 9 worst eye care mistakes you're making

Macular degeneration is a breakdown of the part of the retina that allows us to see fine details in the center of vision; while glaucoma damages the nerve that connects the retina to the brain, and is often caused by fluid build-up and pressure in the eyes. (Barr said in the interview that she helps relieve the pressure by using marijuana, which is known to temporarily lower pressure inside the eye.)

"It's somewhat unusual that Roseanne Bar has both, but not unheard of," explains ophthalmologist Steven A. Shanbom, MD, of Shanbom Eye Specialists in Berkley, Mich. Though there are some controllable risk factors, certain people are genetically predisposed to these diseases, so Barr may simply be prone to both. "Certainly it's sad. The combination of the two is terrible. Macular degeneration takes away her central vision, and glaucoma is taking away her peripheral vision," Dr. Shanbom adds. (He is not treating Roseanne Barr, and does not know the specifics of her case.)

The risk for both diseases goes up for everyone after age 60, with some people, especially African Americans, at higher risk in their 40s. That's why the American Academy of Opthalmology recommends getting a baseline eye exam when you turn the big 4-0, even if you have perfect vision. In the early stages, you can have either condition, but have no symptoms at all. Things like a family history or high blood pressure, or issues within the eye (like having a thinner cornea, for example) might lead your MD to prescribe drops that can reduce your chances of developing glaucoma by about half.

Related: 10 natural ways to lower blood pressure

There is no cure for either disease. But like those eyedrops, there are treatments that may delay the progression of early-stage glaucoma (from other drugs to surgery), and therapies that might halt further vision loss in advanced cases of macular degeneration (including an implantable telescope). The future looks brighter however: An animal study published this month suggests that an injection of stem cells into the eye might slow or even reverse the effects of early-stage macular degeneration.

There are also simple things you can start doing right now to ward off these diseases. Here, five ways to protect your peepers.

Slip on your shades—even when it's cloudy

Sun exposure can up the risk for glaucoma and macular degeneration, as well as cataracts (clouding of the lenses). Make sure your sunglasses offer 99% to 100% UV protection. Sporting a pair that doesn't filter UV light is more dangerous than wearing no shades at all, because the dark lenses cause your pupils to dilate and allow in more harmful rays.

Schedule in a regular walk

Studies indicate that aerobic exercise can reduce the eye pressure that leads to glaucoma, and may improve blood flow to the retina and optic nerve. According to the Glaucoma Research Foundation, all you need to do is raise your pulse 20% to 25% (which could mean a brisk walk) for 20 minutes, a minimum of four times a week.

Related: 9 tweaks that make walking workouts more effective

Eat your greens

Spinach, kale, and other leafy greens are packed with lutein and zeaxanthin—antioxidants that lower your risk of developing macular degeneration (and cataracts too), research shows. Another good source: egg yolks.

Snack on almonds, citrus, and berries

Almonds are loaded with vitamin E (a handful provides about half your daily dose), which slows macular degeneration; while citrus fruit and berries are filled with vitamin C, which cuts your odds of developing the disease.

Avoid cigarette smoke

While smoking is bad news for many parts of your body, you may not have considered eyes to be one of them. However, smoking doubles your risk of macular degeneration. Avoiding cigs can not only protect your lungs and heart, it can protect your peepers too.

@highlight

Barr has macular degeneration and glaucoma, eye diseases that get progressively worse and can steal vision

@highlight

The risk for both diseases goes up for everyone after age 60

@highlight

Sun exposure can up the risk for glaucoma and macular degeneration