(CNN) -- Oil companies could soon be using an innovative new technique involving nanotechnology and magnets to help clean up offshore oil spills.

Oil spills from container ships or offshore platforms are a frequent hazard to marine and coastal ecosystems and an expensive one to clean up. BP expects the Gulf of Mexico oil spill in 2010 -- the worst environmental disaster in U.S. history -- to cost it $40 billion.

However, researchers from the Massachusetts Institute of Technology (MIT) say they have found a method of recovering oil after a spill using magnets, potentially saving companies like BP money in clean up bills.

On it's own, oil is not magnetic, but MIT researchers say that when mixed with water-repellent nanoparticles that contain iron, the oil can be magnetically separated from the water. The nanoparticles can later be removed to enable the re-use of the oil.

"I had known about other scientists using magnetic fluids to separate oil but it had never worked out practically and that was something I felt I could do something about," says co-researcher Markus Zahn.

The recovery process would be conducted out at sea after the oil spill, explains Zahn. Seawater polluted with oil would be pumped onto a boat treatment facility. Once onboard, the magnetic nanoparticles would be added and attach themselves to the oil.

See also: A robot that detects oil spills

The liquid would then be filtered with the magnets to separate the oil and water, with the water returned to the sea and the oil carried back to shore to an oil refinery.

"I think in the world we are in, there are always going to be spillages which affect the wildlife and livelihoods of people and this can help tackle that," says Zahn.

Since the 2010 Gulf of Mexico oil spill, there has been a rise in interest from oil companies and government departments in funding new techniques for reducing the environmental impact and cost of future oil spills.

Until now the two main methods have been using chemical dispersants, which break up the oil, and skimming, a technique whereby the oil is pulled off the surface of the water.

Although there are drawbacks to both -- chemical dispersants can have negative impacts on marine life and skimming can be hampered by bad weather -- magnetic techniques may still find it difficult to gain acceptance.

Zahn admits that one oil company has already turned down the opportunity of funding the research but is confident that other companies will support the project.

The use of tiny nanoparticles is seen by some as controversial. As well as being complex and difficult to use on a large-scale, there are concerns they could damage marine life, if accidentally released.

See also: Robotic sailboats built to clean up oil spills

While their impact on the environment is still largely unknown, scientists such as David Andrews from the U.S.-based Environmental Working Group (EWG), say their use should be limited.

Others suggest the magnetic technique would be better suited to small-scale use and that existing alternatives such as skimming are still better suited for tackling large-scale offshore oil spills.

"On a small-scale it (the magnetic technique) may be an excellent system but I don't think it will work at sea in such a challenging environment," says Dr Susan Shaw, founder of the Marine Environmental Research Institute.

"I think ultimately, it may be a better way of recovering oil once it is brought ashore rather than out at sea."

For Shaw, a newly developed skimmer from an Illinois company Team Elastic offers a better method for cleaning up oil spills. It can recover about 4,700 gallons per minute, so assuming the skimmer could be deployed 24 hours a day, it would take 30 days to pick up the entire 200 million gallons of oil spilled during the Gulf of Mexico disaster.

"In my opinion, the new skimmers are the most hopeful and best method for cleaning up an oil spill and protecting health and the environment. They should be part of the safety equipment required by permit for every offshore drilling rig," says Shaw.

@highlight

MIT researchers develop new technique for recovering oil using magnets

@highlight

Could save oil companies money and reduce costs of clean up

@highlight

Some experts question whether technique can work in sea conditions

@highlight

Skimming technique may be better suited to offshore spills