(CNN) -- Even if you're a real nowhere man living under the sea in an octopus's garden, you probably already know that 50 years ago (February 9, 1964, to be exact) the Beatles kicked off Beatlemania in the United States with their first appearance on "The Ed Sullivan Show."

The Fab Four's subsequent globetrotting blazed a trail that, half a century later, remains worth following.

Particularly if you can avoid an overload of gratuitous Beatles song titles along the way.

Here are some of the world's best places to relive the original magical mystery tour.

1. Liverpool, England

The city where it all started has traded heavily on the Beatles as part of efforts to transform itself from a declining industrial seaport into a tourism and cultural destination.

Mercifully it works.

Obvious attractions include the well-executed Beatles Story (Britannia Vaults, Kings Dock Street, +44 151 709 1963); the reconstructed Cavern Club (10 Mathew St., +44 151 236 9091); and tours that hit childhood homes and lyricized locations such as Penny Lane.

These are balanced by non-Beatles attractions.

The city has impressive Anglican and Catholic cathedrals, the iconic ferry across the River Mersey, the Tate and Walker art galleries and the wonderful (and free) waterfront Museum of Liverpool.

The latter of these pays homage to the city's maritime heritage and a musical legacy that goes far beyond John, Paul, George and Ringo.

2. Hamburg, Germany

Lured by the prospect of regular paychecks, the embryonic Beatles packed their guitar cases for Hamburg in 1960.

Here they refined their act and lineup during several seasons of relentless gigging in front of indifferent crowds in grimy nightclubs.

Fans can take tours or simply explore Reeperbahn, a seedy-in-places district of brothels and nightspots where the band played several venues during their time here.

The Kaiserkeller (36 Grosse Freiheit, +49 40 317 778) is among the most famous.

Modern Hamburg is a vibrant source of new, mainly electronic, music and nightlife.

Like Liverpool, it has a distinctive church, the baroque St. Michaelis (Englische Planke 1, +49 40 376 780) and a museum exploring the city's maritime past (Peter Tamm Sen. Stiftung Kaispeicher B Koreastrasse 1, +49 40 30 092 300).

3. Rishikesh, India

By 1966 the Beatles were experimenting -- musically and pharmaceutically.

Their altered outlook took them to Rishikesh, in northeast India's Himalayan foothills, to attend the ashram of Maharishi Mahesh Yogi, an Indian guru who developed and taught transcendental meditation.

These days the ashram, which once overlooked the Ganges, is closed and is slowly being reclaimed by vegetation.

But Rishikesh, an important Hindu center, remains open for business -- billing itself as India's leading destination for yoga and adventure sports, although probably not at the same time.

Proximity to Delhi makes it a good escape from the Indian capital for some whitewater rafting or a stay at one of its many yoga ashrams (among them Parmath Niketen, +91 135 243 4301).

Not a precisely Beatles experience, but in the world of transcendental meditation, close is sometimes all you get.

4. London

The Beatles lived and worked at various venues in the English capital (yes, there are tours), but few locations have as much of a connection with the band as Abbey Road Studios (3 Abbey Road, near St. John's Wood tube station).

The Fab Four recorded several albums here, including 1969's "Abbey Road," which features a hirsute Lennon, McCartney, Harrison and Starr striding over the nearby pedestrian crossing.

There's no public access to the studios, which still host top music acts.

But that hasn't stopped thousands of visitors scrawling their names on the building's boundary wall or halting traffic to recreate the famous crossing image.

As a bonus, McCartney still lives nearby, and sightings aren't unknown.

5. Amsterdam

Newlyweds John Lennon and Yoko Ono began their 1969 honeymoon with a highly publicized "bed-in" at the Amsterdam Hilton (Appollolaan 138, +31 710 6000), where they invited the press into their room to promote "bed peace" and "hair peace."

The room is now known as the "John and Yoko suite" and can be reserved by guests.

The couple wound up in the Dutch capital after their own mini-tour of Europe.

They'd tried to marry on a ferry across the English Channel (P&O run a regular service, but still no weddings) before succeeding in Gibraltar -- a fact the British territory continues to celebrate thanks to the number of international weddings it now hosts.

6. Obertauren, Austria

After Amsterdam, John and Yoko zipped down to Vienna for another peace-based press conference, this time in the city's luxury Sacher hotel (Philharmonikerstrasse 4, +43 1 514 560) -- until then famous only for giving the world a preposterously rich chocolate cake.

This wasn't Austria's first brush with the Beatles.

In 1965, the band decamped to the charming central Austrian ski resort of Obertauern to film snow scenes for their movie "Help!"

The band stayed at the Hotel Eidelweiss, the modern incarnation (RÃ¶merstrasse 75, +43 6456 7245) of which avoids any mention of the Beatles on its website, although it does depict them in what appears to be the men's toilets.

7. New York

Lennon had wanted to take his bed-in to New York, but was prevented from setting foot in the United States at the time due to a previous conviction for cannabis possession.

He and the Beatles, however, paid several other significant visits to the city.

First there was the historic February 9, 1964, television appearance at the now-named Ed Sullivan Theater (1697 Broadway, +1 212 975 4755).

More history was made several days later when The Beatles became the first rock band ever to play Carnegie Hall (881 7th Ave., +1 212 247 7800).

The band returned to play New York the following August, but that trip was eclipsed a year later when they performed at Shea Stadium in Flushing Meadows.

This is believed to be rock and pop music's first-ever stadium gig.

Shea was torn down in 2008 to provide parking space for the New York Mets' new Citi Field (123-01 Roosevelt Ave., +1 718 507 6387), but there are plenty other non-Beatles attractions nearby, particularly the space age relics of two World Fairs (Grand Central Parkway, +1 718 760 6565).

John Lennon, of course, later lived and was killed in New York outside his residence at the Dakota Apartments (corner of 72nd Street and Central Park West in Manhattan).

Along with the Dakota, the adjacent Strawberry Fields (near Central Park West between 71st and 74th Streets) is a 2.5-acre area of Central Park that pays homage to Lennon.

8. The Bahamas

Another double-hit destination for Lennon, who flew here with Yoko on the next stage of his bed tour, but swiftly left after checking into the Sheraton hotel in Freeport (now unlisted), reportedly declaring: "We can't do a bloody bed-in here. Let's go to Canada."

More successful was Lennon's 1965 visit to the islands with the other Beatles, again to film scenes for "Help!"

The band stayed at the Balmoral Club, a hotel on Nassau's Cable Beach now renamed the Sandals Royal Bahamian (West Bay Street, Nassau, +1 242 327 6400).

They filmed scenes on Paradise Island, now home to the Atlantis resort (+1 888-877 7525), and Rose Island, an uninhabited private island popular for day trips and wedding parties.

9. Montreal

And so, at last, to John and Yoko's final bed-in venue: the Queen Elizabeth hotel in Montreal (900 Rene Levesque Blvd. W., +1 866 540 4483).

Here the couple commandeered four rooms and invited friends including LSD fan Timothy Leary and Beat poet Allen Ginsberg to join them recording "Give Peace a Chance."

According to the hotel's website, Lennon has since been followed to the Queen Elizabeth by other sometime peaceniks, including Nelson Mandela, U.S. president Jimmy Carter, Soviet leader Mikhail Gorbachev and the Dalai Lama.

10. Chelyabinsk, Russia

OK, the Beatles never actually visited this tank-producing Russian city east of the Ural Mountains, but that didn't stop the citizens of Chelyabinsk taking the Fab Four to their hearts.

Even though few in the Soviet Union were able to buy or listen to Beatles songs at the height of the Cold War, many drew inspiration from a band that was later credited with hastening the demise of communist rule -- even if their classic "Back In the U.S.S.R." was more about girls than politics.

Post-Soviet Chelyabinsk has repaid the favor by changing the name of a street from Lenin to Lennon.

Lately, however, Chelyabinsk is obsessed with a new star -- or falling star, in the shape of the huge meteorite which smashed into the region last year.

Reports say the city hopes thousands of tourists will be attracted by this asteroid from -- sorry, it can't be helped -- "Across the Universe."

Barry Neild is a freelance journalist based in London.

@highlight

From India to the Bahamas, Beatles pilgrimages remain popular

@highlight

At the Amsterdam Hilton you can stay in John and Yoko's "bed-in" room

@highlight

Chelyabinsk, Russia, changed the name of a street from Lenin to Lennon

@highlight

Strawberry Fields in New York's Central Park is a poignant spot for Beatles fans