Leland Yee needed cash.

First, the ambitious California state senator had to fund his 2011 race for mayor of San Francisco. When he came in fifth, he was stuck with $70,000 in campaign debt that he had to retire before he could mount his next run, for secretary of state -- a costly statewide venture.

And that's how prosecutors say Yee ended up sitting across from an undercover federal agent in a coffee shop in early March, brokering what he was told was a $2 million arms deal that would include the purchase of shoulder-fired missiles from Islamic rebels in the Philippines.

"Do I think we can make some money? I think we can make some money," Yee told the agent in a conversation recounted in a 137-page arrest affidavit. "Do I think we can get the goods? I think we can get the goods."

The veteran Democrat, an advocate for gun control and campaign finance reform in Sacramento, is now one of about two dozen people charged in a sprawling racketeering case brought by the U.S. attorney's office in San Francisco. His co-defendants include a former San Francisco school board president and a previously-convicted Chinatown mobster dubbed "Shrimp Boy."

He's accused of putting his public office up for sale, and promising to push donors' agendas in Sacramento and in his district in exchange for contributions. The allegations have stunned his constituents in San Francisco and its suburbs and cast a shadow over his state Senate colleagues, who have suspended Yee and two other Democrats who have run afoul of the law in recent months.

Yee has been free on $500,000 bond since his arrest. Though neither he nor his lawyer have commented to CNN on the allegations, the senator pleaded not guilty in a court appearance Tuesday morning. And he got a sort of backhanded defense from longtime California powerbroker Willie Brown.

"I don't think any of the allegations are anyplace close to any reality," Brown told CNN -- but he said that's because Yee lacked the clout to fulfill any of the pledges he made.

"There's no way anyone who is seriously trying to influence government by way of money would do it with Leland. Period. He couldn't deliver anything," said Brown, San Francisco's former mayor and onetime speaker of the State Assembly.

'Careful and cautious'

The 65-year-old Yee came to the feds' attention during a five-year probe of the Chee Kung Tong, a Chinatown social club that agents describe as the hub of a coast-to-coast criminal enterprise. The original focus of the probe was the club's "dragonhead," or leader, Raymond "Shrimp Boy" Chow -- a man the affidavit puts at the head of a racketeering ring that had its hands in money laundering, drug dealing, gunrunning, murder-for-hire plots and trafficking in stolen liquor and contraband cigarettes.

Chow's lawyer, Tony Serra, proclaimed his client's innocence to reporters outside the courtroom Tuesday.

Chow had pleaded guilty to racketeering in 2000, got a lighter sentence for cooperating with the government and still wears an ankle monitoring bracelet, court documents say. In this case, he fell victim to "agent provocateurs" who tried to lure him into a crime, Serra, said after Tuesday's hearing.

"It's a case where ultimately the government created the crime, the government financed the crime and the government ensnared my client, tantamount to entrapment," Serra said.

But according to the court documents, Chow had taken two undercover FBI agents into his confidence. He introduced one, who was posing as a Mafia member from the East Coast, to Keith Jackson, a San Francisco political consultant and former school board president. Jackson started hitting up the agent for contributions for Yee, according to the charges.

The agent refused at first. But then he introduced another undercover agent to meet with Yee, who offered to "perform certain official acts" in exchange for contributions to pay off his mayoral campaign debt, the affidavit recounts.

Over the course of the next three years, prosecutors say Yee raked in about $50,000 from undercover agents, with Jackson acting as an intermediary. In exchange, according to the charges, Yee lobbied officials in suburban San Mateo County on behalf of a fake software company represented by one of the federal agents; promised to lobby colleagues on behalf of a medical marijuana bill that would have benefited the supposed interest of another donor; and for $6,800, secured a state Senate proclamation honoring the Chee Kung Tong.

Though Yee periodically said he wasn't doing anything for his own benefit and raised concerns about crossing the line into unlawful "pay-to-play" tactics, he "never walked away from any quid pro quo requests," according to the affidavit.

And eventually, the agents' relationships with Yee led to the coffeehouse last month, where prosecutors say he introduced the supposed East Coast mobster to a man he said could provide guns and rockets. It had taken more than three months of cajoling and another $6,000 to get to this point, according to the arrest affidavit.

The document recounts how Jackson, who served with Yee on the city school board in the 1990s, promised Yee's associate could supply "cargo containers full of weapons" from Philippine insurgents. In taking the money, Jackson told the agent that Yee "fully understood" the money was for being introduced to arms dealer: "We just talked about that today," the affidavit quotes Jackson as saying.

Jackson is accused not only of being Yee's bagman but of taking part in other Chee Kung Tong schemes, including a murder-for-hire plot. But in court papers seeking to continue his release on bail, his attorneys argue that the crimes he's accused of committing "were all driven by government agents."

"The government, despite having apparently targeted Mr. Jackson since 2011, has not charged Mr. Jackson with one dangerous offense that was not inspired by a government agent," attorney James Brosnahan wrote. "In short, the government agents created the purported danger that the government now seeks to use to incarcerate Mr. Jackson."

Yee suspected something was up in the weeks before his arrest. In February, he said he believed one of his fellow senators "was wearing a 'wire' for the FBI.'"

"Senator Yee attributed his long career in public office to being careful and cautious," the arrest affidavit recounts.

His partner in that conversation? An FBI agent.

A 'sense of entitlement'

Yee has been in public office since 1988, when he won a seat on the school board. He moved on from there to the city's Board of Supervisors, then the Assembly and finally, in 2006, to the Senate. The son of immigrants who had brought him from China at age 3, he grew up to attend the University of California at Berkeley and earn a Ph.D. in child psychology from the University of Hawaii.

But despite his longevity, Lee was a "loner," Brown said -- and that limited his effectiveness as a legislator.

"That's why it's such a shock to me," said Brown, who once endorsed and later fired the aspiring politico. From a "practical, intellectual standpoint," he said, "You don't bribe or you don't launder money or you don't do things with people who can't deliver on public policy."

The allegations have rattled many in the city, particularly its ethnic Chinese community, said David Lee, the executive director of the Chinese-American Voters Education Committee.

"It's really out of the line of imagination for somebody who is in public service to be trading arms for campaign donations," Lee said. But he said the charges against Yee highlight what Lee called the "arms race" that campaign finance has become in California, where it can cost millions to run for even a low-level office.

"It also demonstrates the sense of entitlement that many of our elected officials feel they have to hold power," he said. Yee "wanted at all costs to hold onto power, and I think voters are tired of it."

Doreen Silk, a constituent and Yee supporter, said the news of his arrest "surprised all of us."

"I mean, he's living in my neighborhood," she said. "We all backed him. It's so surprising." Silk said she thought his actions were "an isolated instance" -- one that may prompt a second look at some other local politicians, "but I don't think it's an epidemic."

Yee is the third Democrat in the state Senate to face criminal charges in the past year. Rod Wright was found guilty of perjury and fraudulent voting in January after a jury concluded he was living outside his Los Angeles-area district when elected in 2008. Another Southern California senator, Ronald Calderon, was charged with taking bribes from undercover FBI agents in February.

Lee called himself a "lifelong Democrat." But in the wake of those scandals, he said, Californians "are watching the Democratic Party in this state and what is going to be done." He urged Yee to resign and allow his constituents to have an untainted voice in the state Senate.

"What purpose does it serve to stay in that position while all this is going on?" Lee asked.

@highlight

California state Sen. Leland Yee pleads not guilty to corruption, arms trafficking

@highlight

He's been accused of brokering an arms deal in exchange for campaign donations

@highlight

The charges are part of a sprawling Bay Area racketeering case

@highlight

His arrest has roiled state politics and stunned constituents