(CNN) -- Monday is International Transgender Day of Visibility, and the day I have chosen to "come out" as transgender.

We are all assigned a gender at birth. Sometimes that assignment doesn't match our inner truth, and there needs to be a new place -- a place for self-identification.

I was not born a boy, I was assigned boy at birth. Understanding the difference between the two is crucial to our culture and society moving forward in in the way we treat -- and talk about -- transgender individuals.

One of my earliest memories is from 5 years old. I used to drape T-shirts on my head, and would delight in feeling the fabric on my back. My mom asked me, "why do you always wear a T-shirt on your head?" I responded, "It's not a T-shirt, Mom -- this is my hair."

Growing up the Philippines, I was involved in transgender beauty pageants from the age of 15. In Asian cultures, the fluidity of gender has been part of life for thousands of years, evidenced by the Buddhist Goddess of compassion, GuanYin and the Hindu hijra Goddess, Bahuchara Mata, who is sacred to men who want to be cured of impotence, and to women wanting to become pregnant.

Yet despite this nuanced understanding, and despite the pageant culture I grew up in, in many countries, fluidity is celebrated but not politically recognized.

A personal turning point came in 2005, a year before I became a U.S. citizen, when I was traveling through Tokyo. Back then, I still had my Philippines passport and my former male gender marker, but I presented as a woman. I was taken into the immigration office at the airport and questioned for hours about my identity. I have friends in the Philippines -- where there is no law that allows them to change their name and marker -- that have these experiences every time they travel. It's dehumanizing.

When I first moved to the United States to work as a model, and I finally had the opportunity to change my name and gender marker, I felt as though my outside self finally matched my inner truth. I really felt like I'd made it but, over time, I realized that there's a lot of work that needs to be done and that I was only just beginning.

Today I am launching Gender Proud, which envisions a world where transgender individuals are able to self-identify with the fewest possible barriers.

In most of the Western world, conceptions of gender remain very rigid, but that exists alongside progressive legal systems that afford transgender individuals some limited rights.

There are varying differences of understanding between Eastern and Western cultures, and I hope Gender Proud can create a new understanding. We are partnering with All Out to identify countries where legislation is at a "tipping point," and we plan to funnel resources to on-the-ground activists and organizations working to create change.

There's a long history of people within the community who stood up and fought for justice. I was inspired by the trailblazers, such as Marsha P. Johnson and Sylvia Rivera and by organizations, including the Association of Transgender in the Philippines, Transgender Europe, Global Action for Trans Equality, among others.

I believe that a more mature and in-depth contemplation of the subject of transgender will be the bridge that leads humanity to a deeper understanding of gender as a whole. This deeper understanding begins with the realization that we live in a culture that assigned us gender at birth and that the appropriate roles and expectations of our gender are defined by our society and our culture.

In today's globally connected and ever-diversifying world, culture is now more fluid and more flexible than ever -- and so too should be our understanding and perception of gender.

To learn more, please visit www.genderproud.com

@highlight

Model Geena Rocero: I was not born a boy, I was assigned "boy" at birth

@highlight

She says coming to the U.S. enabled her to change her name, gender marker

@highlight

Rocero launching movement to change perceptions about transgender people

@highlight

Rocero: In the West, gender perceived rigidly, laws provide some protections