(CNN) -- I first saw the headline early Tuesday on Real Clear Politics, a political news site where I generally start my morning. It's not where I expect to see a story on breast cancer.

Then I checked my e-mail messages -- they all seemed to be about Angelina Jolie's op-ed. Students in my undergraduate class wanted to discuss it in our next session. Colleagues expressed concern and wondered what the right response was. People I don't even know sent e-mails.

One, from a research fellow at the International Agency for Research on Cancer, nicely summed up the general concern: "I fear that this disclosure will motivate other women to undergo preventive mastectomy, even though they do not need it."

Wow. Maybe I should read it.

I did. I found it to be a moving story and understood her choice. What I couldn't understand initially was the concern expressed by others.

As the day wore on, the story dominated the news. I didn't fully appreciate how much Ms. Jolie is admired and respected and had neglected to consider just how powerful a celebrity personal anecdote could be.

If American women saw themselves in Angelina Jolie -- then that would be a problem. Because the logical next question is: Should I get a preventive mastectomy?

Then I realized something was missing in her piece; something that should have been printed in big black letters:

NOTE: This story is not relevant to more than 99% of American women.

Why? Because more than 99% of women do not have the BRCA1 mutation -- or the BRCA2 mutation, for that matter.

Let's be clear, the BRCA1 mutation is a bad thing. Although I might quibble with the exact numbers in the piece, the big picture is this: the mutation increases the risk of developing breast cancer about five fold and increases the risk of ovarian cancer more than 10 fold.

It is a powerful risk factor for these cancers -- almost as powerful as cigarette smoking is for lung cancer.

When people are at very high risk for something bad to happen, preventive interventions are more likely to be a good deal; that is, the benefits are likely to exceed the harms. I'm not saying that prophylactic mastectomy is the right choice for a woman with BRCA1, simply that it is a reasonable one.

When people are at average risk, the deal changes. The opportunity for benefit is less, simply because the bad event is less likely to happen. But the harms of preventive intervention remain roughly the same.

It is a fundamental precept of medicine -- one I hammer home with undergraduates (future patients) and medical students (future doctors): Patients with severe abnormalities stand to gain more from intervention than patients with mild ones. Patients with mild abnormalities are more likely to experience net harm from intervention, simply because they have less opportunity to benefit.

The vast majority of women don't have the BRCA1 mutation. They are at average risk for breast cancer. They are not Angelina Jolie. They should not have a preventive mastectomy.

A few weeks ago, in a New York Times Magazine piece, Peggy Orenstein related her first instinct when facing breast cancer recurrence: take the other breast too. Her oncologist responded with a simple question: "Would an average woman cut off her breasts?"

I hope not.

But there is a second question for women raised by Ms. Jolie's piece: Should I be tested for BRCA1?

She seems to believe the answer is yes, pointing to the half-million women who die from breast cancer worldwide each year. But she neglects to point out that 90% of these deaths have nothing to do with the BRCA1 mutation. That's because most women don't have the mutation and because most breast cancer is sporadic.

Opinion: Jolie's choice: Risks and benefits

The few women who are likely to have the mutation are also likely to know they may have it based on the oldest genetic test of all: a strong family history of cancer.

Population-wide screening raises complex issues. We would want to know more about how often the test is wrong, particularly how often the test is falsely positive. That's important because women falsely diagnosed as a mutation carrier might undergo prophylactic mastectomy unnecessarily. Then there are the psychological effects, not only for the patient but also for her siblings and offspring.

We'd also need to know more about what a BRCA1 mutation means in the absence of family history. Ms. Jolie's mother died of ovarian cancer at age 56. I'm no geneticist, but I can guess that puts her at higher risk -- both for having the mutation and for developing a bad cancer.

And we'd certainly want an answer to the question: Must the test cost so much?

There's no one right choice for a woman in Angelina Jolie's position, but she may well have made the right choice for her. Luckily it is a choice most women don't have to face.

The opinions expressed in this commentary are solely those of H. Gilbert Welch.

@highlight

Professor of medicine Gil Welch surprised by huge reaction to Angelina Jolie's op-ed

@highlight

Welch fears women might wonder if they, too, should have preventive mastectomies

@highlight

Welch: But 99% of women do not carry the BRCA1 mutation that raises the risk of breast cancer

@highlight

He says women should look at family history before getting tested for the mutation