Las Vegas (CNN) -- After six days, 3,250 booths and 20,000 new products, a few interesting trends bubbled up at last week's Consumer Electronics Show.

There were plenty of generic 5-inch smartphones, cheap tablets and ginormous televisions, as well as prototypes of fun, futuristic technology like the 20-inch 4K tablet from Panasonic or the self-driving car from Audi.

We also spotted plenty of odd gear, like the manicure machine that can print photos on your nails and the mind-controlled helicopter.

And we learned a few things about where consumer tech is going in 2013. Here are six trends that caught our eye.

Transportation for people who hate walking

Shiny, futuristic smart cars were on display from big companies such as Audi, Toyota and Ford. They showed off self-driving car prototypes and in-car displays for reading maps, playing music and even checking social networks.

But some of the more inventive transportation tech was smaller and geekier. There was the ZBoard, a motorized skateboard that senses your weight to propel you in the right direction, going up to 15 miles per hour. The eFlow E3 Nitro Electric bike will set lazy bikers back $4,000.

People wearing electric roller skates and strange two-wheeled boots zipped around the show floor at low speeds. The Solowheel electric unicycle actually looked like a lot of fun, but at $1,795, you might be better off catching a few cabs.

Overhyped pricey TVs

Televisions are the biggest product category at the Consumer Electronics Show, with major companies such as Samsung, Sharp, Sony and Panasonic using the occasion to launch their latest and greatest screens. The big hardware feature pushed at last week's show was the Ultra High-Definition 4K screen, which offers a crisper picture than traditional HD displays.

While the technology is closer to being available to consumers, it's still mostly just hype. The prices are sky-high for 4K TVs, and you'll notice the difference only if you're sitting close to the set or if you spring for a giant television measuring 60 inches or larger. Even if you can afford a 4K TV, there's not much in the way of content for the medium yet.

Crowdfunded gadgets

The crowd-funding and conference worlds merged nicely at this year's CES. Companies that got their start on Kickstarter or Indiegogo, like the people who made the Pebble smart watch, managed to parlay that early momentum into higher visibility at the show.

Crowdfunding sites also are proving to be more than just great ways to raise money; they're places where people with offbeat inventions can test the waters to see whether there's a market for their product.

And then there were the startups with protoypes that announced plans to raise money on crowdfunding sites in the coming months. One CES darling was the HAPIfork, a "smart" fork that tallies how many bites you take in order to help fast eaters slow down. The product has received a lot of press, both adoring and mocking, which should help it rake in money when it debuts on Kickstarter this spring.

Help for senior citizens

The elderly tend to get overlooked in the tech world, but this year's CES featured a surprising number of products aimed at the grandparent set. Connected smart-home devices make it possible to monitor family members from far away, which can be comforting to primary caregivers dealing with aging parents.

New sensors can text family members or a doctor if something is amiss in the senior's daily routine, such as not getting out of bed or skipping medication. If you're concerned about an elderly relative's safety, you can use smartphone apps to remotely control security systems, thermostats and even kitchen electronics.

For people in poor health, sensors and gadgets will monitor vital signs and send alerts if someone needs assistance right away.

In case of emergency

Whether inspired by Hurricane Sandy or "The Walking Dead," a number of intriguing gadgets promised to help users handle emergencies. The Luci inflatable lantern, for example, is both solar-powered and waterproof.

Also popular were mobile-charging devices that offer backup power on the go for smartphones and tablets. These battery packs can be pricey, though. The solar-powered Yeti 150 generator has enough juice to power a smartphone for 15 hours, but it will cost you $400.

The junk

CES is huge, spanning 1.92 million square feet. For every interesting gadget or prototype, there were dozens of small booths hawking digital detritus.

Though Apple doesn't have an official presence at CES, the iPhone accessory was a popular item on the show floor, There was a neverending supply of cheap cases, covers, Bluetooth keyboards, power packs and charging stations for iPhone and iPads.

Speakers and headphones were as omnipresent as flu germs. Some big companies introduced cool audio products, but the big trend continued to be celebrity-endorsed headphones. Beats by Dre has done so well that every earbud now clamors for some famous support, even from the likes of MotÃ¶rhead frontman Lemmy Kilmister or, um, "The Jersey Shore's" Snooki.

Finally, there were the massagers. There wasn't anything terribly innovative or new in the massage field, but the booths demoing massage tech were always packed with stressed-out or weary attendees who needed a little back rub after wandering the show floor all day. The latest trend in this field? Little robot massagers that wander around on your back. We'll find out soon enough whether they catch on in the real world.

@highlight

20,000 new products were showcased at the Consumer Electronics Show

@highlight

Helpful technology for seniors and emergencies was big on the show floor

@highlight

Many companies planned Kickstarter funding campaigns for their products

@highlight

The massive show wrapped up Friday in Las Vegas