(CNN) -- Artist Lucian Freud, known for his thick application of paints in painstakingly created, highly stylized portraits, has died at the age of 88, his publicist said Thursday. He died Wednesday night of an unspecified illness at his home in London.

"My family and I mourn Lucian Freud not only as one of the great painters of the twentieth century but also as a very dear friend," said his longtime dealer William R. Acquavella in a written statement. "As the foremost figurative artist of his generation he imbued both portraiture and landscape with profound insight, drama and energy. In company he was exciting, humble, warm and witty. He lived to paint and painted until the day he died, far removed from the noise of the art world."

In 2008, one of Freud's works -- the 1995 painting "Benefits Supervisor Sleeping" -- fetched $33.6 million during bidding at Christie's auction house in New York, setting a then-record for a work by a living artist.

The painting depicts Sue Tilley, a manager of a government-run job center in London, lying naked on her side on a worn-out couch with nothing to hide her folds of flesh.

The son of architect Ernst Freud and the grandson of psychoanalysis founder Sigmund Freud, Lucian was born in 1922 in Berlin. Eleven years later, as Nazism was rising, he and his family fled to London. There, he and his two brothers enrolled in English schools.

He served as a merchant seaman in the Atlantic in 1941.

He studied for a brief time at the Central School of Art in London and at Cedric Morris' East Anglian School of Painting and Drawing in Dedham, according to a biography posted by the Tate Modern in London, where he had an exhibition.

But he received little formal training in art, according to a statement from his publicist, Bettina Prentice.

Freud had his first solo exhibition at the Lefevre Gallery in 1944.

In his 20s, he was using delicately, thinly applied oils in his paintings of people, animals, and plants, which were shown in unusual juxtapositions. His subjects were precise, crisp and cleanly contoured.

But in the mid-1950s, he replaced his sable brushes for brushes made of coarse hog hair and used looser strokes to more freely depict his subjects.

It was during that decade that he concentrated on the portrait, which became the focus of his work. In 1966, he painted his first nude.

"I paint people," he said. "Not because of what they are like, not exactly in spite of what they are like, but how they happen to be."

By the 1980s, Freud was applying thick layers of paint to convey a tactile sense of reality.

"I want paint to work as flesh," he told his biographer, Lawrence Gowing, in 1982. "As far as I am concerned the paint is the person. I want it to work for me as flesh does."

Throughout his life, he remained committed to realism.

Though he painted commissioned portraits for the likes of Lord Rothschild and the queen of England, most of his subjects were his lovers, relatives and friends -- including artists Francis Bacon and David Hockney. They were typically painted in daily sessions that lasted six hours and stretched over weeks, months or years.

"The picture, in order to move us, must never merely remind us of life, but must acquire a life of its own, precisely in order to reflect life," Freud said in a program broadcast by the BBC.

Freud's work has been exhibited at the Centre Georges Pompidou in Paris, the Museum of Modern Art in New York, the Irish Museum of Modern Art in Dublin, the Museo Correr in Venice, the Metropolitan Museum of Art in New York, the Tate Britain, the Scottish National Gallery of Art, the Stadtisches Kunstmuseum Spendhaus Reutlingen in Germany, the Museum für Moderne Kunst Frankfurt, Whitechapel Art Gallery in London, the Museum of Contemporary Art in Los Angeles, the Art Gallery of New South Wales in Sydney, the Museo Nacional Centro de Arte Reina Sofia in Madrid, the Fundacio La Caixa in Barcelona, the Hirschhorn Museum and Sculpture Garden in Washington, and the Setagaya Art Museum in Tokyo.

His marriage to Kitty Garman in 1948 ended in divorce, as did his second marriage, to Lady Caroline Blackwood. "He is survived by many children from his first marriage and from a series of romantic relationships," his publicist said.

CNN's Antonia Mortensen contributed to this report

@highlight

"I paint people ... how they happen to be," Freud said

@highlight

Freud, the grandson of Sigmund, dies at his home in London

@highlight

"He lived to paint," says longtime dealer William R. Acquavella

@highlight

In 2008 set record for most expensive painting auctioned by a living artist