Washington (CNN) -- Bill Clinton, while on the campaign trail in 1992, attacked the George H.W. Bush administration for collaborating with "the butchers of Beijing." If he won the White House, Clinton promised, he would put human rights first when dealing with the People's Republic of China.

But six months after assuming the Oval Office, Clinton tossed those promises out the window, and dealing with China returned to "business as usual," according to William Galston, a former Clinton policy adviser.

Clinton isn't alone. Candidates, once elected, usually struggle to live up to their rhetoric on foreign policy. The reason is simple, according to a cadre of international affairs experts: The view from inside the Oval Office is much different from the view from outside.

"It is very difficult for presidential candidates to know even a fraction of the facts and the texture of diplomatic relations between the United States and other countries," said Galston. "Once you get inside the White House, the world looks very different."

With foreign policy about to take center stage on Monday during the last presidential debate of the 2012 cycle, experts say Republican challenger Mitt Romney should be cautious about over-promising.

But some say he already has.

In Romney's October 8 foreign policy address, the Republican candidate promised to increase sanctions on Iran, help arm Syrian rebels who "share our values," and close the "daylight" between Israel and the United States.

Robert Pastor, a professor of international relations at American University and a former national security adviser to President Jimmy Carter, said Romney joins a long line of candidates who promise too much.

"He will have to wake up if he were elected," Pastor said. "It would be irresponsible for him to implement" some of those promises, and "I suspect his new secretary of state would tell him that."

If Romney wants proof of the pitfalls of foreign policy promises, all he has to do is look across the table at Monday's debate at the man he is trying to unseat.

During the 2008 campaign, then-candidate Barack Obama advocated for regional conferences with Syria and Iran, said his administration would enter diplomatic talks with governments that his predecessor, President George W. Bush, would not, and pledged to eliminate North Korea's nuclear weapons program.

Syria has fallen into a long civil war, Iran continues to be a provocateur in the Middle East, and North Korea is still developing its nuclear program.

Possibly Obama's biggest broken promise is the one to close the prison at Guantanamo Bay, Cuba. "I have said repeatedly that I intend to close Guantanamo, and I will follow through on that," Obama told CBS News' Steve Kroft in 2008.

Guantanamo remains open, even though Obama signed an executive order to have it closed two days after he took office in 2009. The issue has largely been put on the back burner in light of issues on the economy.

Governing on foreign policy is more difficult than talking tough on it, Galston said, because it hinges on the instability of the globe and can change in the blink of an eye.

"I think this is the reality of political campaigns," Galston said. "You can say things (on the campaign trail) in good faith, based on consulting with experts -- and it is rarely the case that candidates say things about foreign policy that they know not to be the case. The issue is once you get inside the White House, the world looks very different."

Pastor, the former Carter adviser, says these unmet foreign policy promises can be broken up into three distinct groups.

There are the promises that are sincere but difficult -- or impossible -- to meet because they require action from other governments.

"Secondly, there are promises that are sincere but cannot be implemented because the political opposition makes it impossible," Pastor said.

Lastly, according to Pastor, are promises that are made because they are political expedient but prove irresponsible once the ramifications are understood.

Presidential history is littered with promises that fall into these categories.

During the 2000 campaign, then-Texas Gov. George W. Bush promised to move the U.S. Embassy in Israel to Jerusalem, a promise that many of his predecessors had also made. The embassy, however, to this day remains in Tel Aviv.

Upon assuming office in 1981, Ronald Reagan promised to get tough and stop the Sandinistas, a left-wing Nicaraguan political party that swept across Central America. The Sandinistas were still around when Reagan left office in 1989 and to this day continue to hold political power in Nicaragua.

In 1960, then-Sen. John F. Kennedy used soaring foreign policy rhetoric to help catapult him to the White House at the young age of 43. According to the State Department's Office of the Historian, Kennedy failed to live up to his rhetoric on international affairs.

"The execution of Kennedy's foreign policy did not quite live up to the stirring rhetoric of his inaugural speech. ... In fact, his foreign policy was marred by a string of failures," reads the State Department website.

In April of 1961, Kennedy had only been in office for a short three months when he called for a meeting with Dwight D. Eisenhower, his predecessor in the office. The Bay of Pigs invasion, a carryover from the Eisenhower administration, had been a massive failure that month and an early blunder by the Kennedy presidency -- even though many attributed the failure to Eisenhower.

The Kennedy-Eisenhower relationship had been frosty, at best, after the young senator defeated the former general's vice president, Richard Nixon, in the 1960 campaign. Even though Eisenhower had long viewed Kennedy as naive -- he referred to Kennedy as "Little Boy Blue" -- the two put their chilly relationship aside and the sitting president invited the former general to Camp David to review the mistakes in Cuba.

According to Eisenhower's notes from the meeting and a number of media reports, the conversation between the new and former president previewed the pitfalls of foreign policy campaign promises:

Kennedy: "No one knows how tough this job is until he's been in it a few months."

Eisenhower: "Mr. President. If you will forgive me, I think I mentioned that to you three months ago."

@highlight

Candidates often struggle in office to live up to foreign policy promises

@highlight

Romney has promised to help arm Syrian rebels, talked tough on Iran

@highlight

Much of Obama's foreign policy agenda from 2008 campaign hasn't been realized

@highlight

Presidential history is littered with unmet promises from the trail, experts say