(CNN) -- Over the past week, speculation emerged that former Secretary of State Hillary Clinton might not be the only prominent Democrat running for the nomination for president in 2016. Her "inevitable" path to the nomination is once again being questioned.

In The New Republic, Noam Scheiber launched the debate with an article titled, "Hillary's Nightmare? A Democratic Party That Realizes Its Soul Lies With Elizabeth Warren."

Scheiber focuses on the possibility of the Massachusetts senator running on a campaign centering on the issues of economic inequality, restoring the middle class and regulating Wall Street.

"What we need is a system," Warren has said, "that puts an end to the boom and bust cycle. A system that recognizes we don't grow this country from the financial sector; we grow this country from the middle class." Comparing such a contest to the race between Barack Obama and Clinton in the 2008 primaries, the article suggests that Warren could re-energize liberal Democrats who feel disillusioned by the past five years.

Watching this unfold, some commentators have predicted that a civil war might be brewing between the progressive and moderate wings of the party.

David Frum, the insightful commentator and CNN contributor who has been a prominent critic of what tea party Republicans have done to his GOP, warned that "where Democrats have scored successes since 2010, those successes have been owed less to Occupy-style militancy, and much more to the seeming unquenchable determination of Republicans to render themselves unelectable."

Competition within the party doesn't have to be a negative; Democrats could turn this to an advantage that helps candidates who enter the race to focus and refine their message about the economy in a way that would make for a powerful campaign theme.

It would be a mistake for Democrats to think that the entry of Warren, or a candidate similar to Warren, into the race would somehow create problems or even a "left-center" divide.

The notion that dealing with economic inequality represents the "progressive" wing of the party as opposed to the mainstream is an extremely flawed way for Democrats to think of their party. Painting Warren's concerns as being to the left ignores how tackling these kinds of economic challenges have been at the heart of the Democratic Party for almost a century. Mainstream Democrats have usually done best when they have kept their eye on these questions and put forth policies that address the problem of middle class security.

During the 1930s, President Franklin Roosevelt made this the centerpiece of his New Deal. Most of his policies centered on providing economic support, such as creating old age pensions, protecting unions and providing unemployment compensation as well as creating public jobs to help Americans make it through the crisis of the Great Depression and to serve as a foundation for their future.

The policies revolved around a vision of "moral capitalism," according to the historian Lizabeth Cohen. His programs proved to have widespread appeal and provided the foundation for a durable coalition of industrial workers, farmers, progressive activists and African-Americans that would last for decades.

During the 1960s, President Lyndon Johnson continued along these lines by tackling the problem of economic inequality through programs that aimed to bolster the strength and size of the middle class. The war on poverty sought to help the poor become self-sufficient and enter the marketplace.

Medicare guaranteed that middle-class families could count on health insurance when they retired and wouldn't be overwhelmed by medical costs of their parents. Federal education assistance offered affordable loans to Americans who wanted to attend college and money for local schools to ensure that all children received an adequate education. Food stamps provided food security for struggling families. Civil rights laws gave African-Americans access to public space, employment opportunities and voting rights that were central to full citizenship.

While Republicans rebounded as controversy over Vietnam and the war on poverty grew, the programs in fact survived and remained quite popular. Republicans have either learned to live with them and, in some cases, have expanded them.

Democrats in Congress were often able to succeed in the Age of Reagan by fighting back against Republicans who try to dismantle the welfare state.

Starting in 1982, Democrats regained their footing in the House of Representatives during the midterm elections based on campaigns about economic fairness. When congressional Republicans conducted a full-scale assault on Medicare and other programs in 1995, President Bill Clinton stood his ground and rebounded to a landslide r-election victory the following year.

Indeed, Clinton, usually tagged as a hard-core centrist, devoted considerable energy to the cause of middle-class America. In his 1992 campaign, he hammered away at President George H.W. Bush for his inability to deal with the recession and failure to sympathize with the economic concerns of average Americans.

While Clinton couldn't persuade Congress to pass his health care reform that aimed to broaden access and lower costs in the insurance system, he did find support for smaller measures, such as the State Children's Health Insurance Program, that have proved to be popular.

Despite the characterization of Hillary Clinton as a market-based centrist, she has frequently addressed these themes throughout her career, including while in the Senate, and in 2008 made it clear that she would be a president who fought for the middle class.

While Clinton, as her critics have said, has ties to the financial community and is not in any way an opponent of big business or big finance, she has also been a strong defender of the social safety net and programs that help the middle class grow.

In 1978, Massachusetts Sen. Ted Kennedy warned his party about veering too far to the center under President Jimmy Carter.

In words that Democrats should heed, Kennedy said: "We are heirs to a great tradition in American public life. Our party took up the cause of jobs for the unemployed in the Great Depression. Our party took up the cause of civil rights for black and brown Americans, and the cause of equal rights for women in America and the people of the District of Columbia." Although Kennedy did not win the nomination in 1980 (for many reasons outside of his policies), his speech offers an important message for Democrats thinking about 2016.

It would be a mistake for Democrats to break off into opposing camps, with some tackling these so-called "leftward" issues and others sticking to the "center." A better bet, based on the record, would be to put these questions front and center in the primaries and see which candidate offers the best and most aggressive response to the challenges that have faced middle-class Americans in recent decades.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Pundits speculate Sen. Elizabeth Warren could oppose Hillary Clinton for 2016 run

@highlight

Julian Zelizer: Predictions of left-vs.-center war among Democrats are misplaced

@highlight

He says a progressive message is crucial to the heart of the Democratic Party

@highlight

Hillary Clinton has strong ties to business but also believes in social safety net, he says