Curiosity, humanity's most powerful rover  to land on Mars, has made a startling discovery: Conditions that could have supported life once existed there.

"We have found a habitable environment that is so benign, and supportive of life, that probably if this water was around and you had been on the planet, you would have been able to drink it," John Grotzinger, Curiosity project scientist at the California Institute of Technology in Pasadena, said in a Tuesday news conference.

This discovery is based on the chemical analysis of powder that the rover recovered by drilling a hole in a rock. This was the first time a robot sent from Earth had drilled on another planet.

The powder from the drilling turned out to have a wealth of chemicals in it, including sulfur, nitrogen, hydrogen, oxygen, phosphorus and carbon. These are ingredients for life, scientists said.

"What do we mean by habitability? The key thing here is an environment that a microbe could have lived in and maybe even prospered in," Grotzinger said.

Powder from the drill was a gray-green color, meaning it was not highly oxidized, said David Blake, principal investigator for Curiosity's Chemistry and Mineralogy investigation at NASA's Ames Research Center. That means if there were organic material present there, it could have been preserved.

Mars rover drills, sees planet's true colors

The sample had between 20% to 30% of a type of clay called smectite, which forms in the presence of water, Blake said.

In Yellowknife Bay, the area where the rover is located, it appears "slightly salty liquid water" was once there, said Michael Meyer, lead scientist for the Mars Exploration Program at NASA Headquarters in Washington.

These observations contrast sharply with the findings of Mars rover Opportunity, which landed on a different part of Mars in 2004 and is still chugging along. A rock that Opportunity found called Wopmay appeared to be made of hematite with iron-bearing sulfates, indicative of acidic water. That would not have been a habitable environment.

The rock that Curiosity found, on the other hand, has calcium sulfate and seems to have been in water with a neutral pH.

"This rock quite frankly looks like a typical thing that we would get on Earth," Grotzinger said.

What we've done on Mars, and what's next

Here's something else exciting: Grotzinger also described what he termed "batteries." Some of the minerals found have various charges and oxidation states. Modern microbiology has determined that tiny organisms can derive energy by feeding on rocks.

Life on Mars could have taken the form of a microorganism that used the minerals as an energy source. He compares this to a battery-powered light, in which you hook up the wires and electrons flow to make a light bulb turn on.

Scientists don't have any other examples of extraterrestrial environments with this distinction of having been able to support life.

"This is probably the only definitely habitable environment that we've described and recorded," said Paul Mahaffy, principal investigator for Curiosity's Sample Analysis at Mars investigation at NASA's Goddard Space Flight Center.

With the habitability issue out of the way, Curiosity has yet to explore the question of organic molecules, which could indicate life but could also come from other sources.

Grotzinger identified several challenges with this. For example, although the findings concerning water are exciting, the presence of water may mean that organic molecules indicative of life were not well-preserved, Grotzinger said.

A lot of organic compounds also are degraded in the presence of heat, he said. Mars appears to have cooled with time, so radiation may be the problem instead.

"Our trick is to find a place where all ... of those things went right, and that could take the entire length of this mission, but we're going to give it our best," he said. But organic molecules could be manufactured on Mars from nonlife sources, or they could come from meteorites and comets.

Mars rover spots shiny objects

It's also important to note that Curiosity is not a life-detection mission.

"If there was microbial metabolism going on, we wouldn't have the ability to measure that," Grotzinger said.

And if there were microbial fossils in the rock,  the rover would not be able to resolve individual fossil microbes even with the many cameras on board Curiosity, including the high-powered MAHLI, Grotzinger said.

Curiosity won't make its second drill hole until May. Scientists are excited about that because the first sample could have been tainted by material analyzed at a different site on Mars.

The 2-ton rover landed on Mars on August 6 in a series of acrobatic maneuvers dubbed the "seven minutes of terror." The mission comes with a price tag of $2.5 billion.

Scientists have now confirmed that each of the many intricate instruments on board the rover are working. "The rover is now fully commissioned for science," Meyer said. He added, "The keys to rover have been turned over to science team - Woohoo!"

Curiosity landed in Gale Crater, which hosts a mound called Mount Sharp. The bedrock in the crater where the rover drilled appears to be located in an ancient network of stream channels, which came down from the crater's rim, NASA said.

Curiosity still has plans to travel to Mount Sharp, where it will slowly climb a mountain analyzing the sedimentary rock  to explore its geological history.

"The question is: How many of these different kinds of 'batteries' can we find at Gale Crater? I think that really becomes our mission along with the search for organic compounds," Grotzinger said.

More space and science news from CNN Light Years

@highlight

Chemical analysis of powder from Mars rock suggests area was habitable

@highlight

This is the first environment apart from Earth to be declared habitable at some point in time

@highlight

The 2-ton rover landed on Mars on August 6