(CNN) -- Travel back in time with me to 1988: Guns N' Roses was blasting onto the music scene, Dustin Hoffman turned in an award-winning performance in Rain Man, and Nike coined the now-famous tag line, "Just Do It." But the year also brought a cultural touchstone with much deeper significance: the first World AIDS Day.

The importance of such a day -- to be held annually on December 1st -- could not be understated, particularly at a time when the disease was still widely misunderstood, and a diagnosis often meant a death sentence.

Twenty-five years on, it is difficult to imagine a world without World AIDS Day (or without AIDS, for that matter).

But in the quarter century since the first World AIDS Day, much has changedâ€”so much so, in fact, that leaders have begun to call for "the beginning of the end of AIDS," a global tipping point when the number of people newly infected with HIV is surpassed by the number of people newly offered treatment.

A new study released by The ONE Campaign this week demonstrates just how far we've come, and suggests that if current rates of progress continue, the world will reach "the beginning of the end of AIDS" as early as 2015.

Reaching this milestone would have been unimaginable just a few years ago, and is testament to the immense global effort and impressive new science that has emerged, particularly in the last decade.

That acceleration has also been fueled by the simple fact that AIDS treatment now works better, and costs far less. In 1988, the only drug available to treat HIV/AIDS was AZT; it was not hugely effective, and it cost as much as a car. Today, for the price of an iPhone -- less than a dollar a day -- combination antiretroviral treatment allows HIV-positive individuals to not only stay alive, but live long and productive lives.

The progress we've made also means that the language we use to describe the AIDS pandemic needs a refresh. In particular, ONE's report stresses that it's time to retire the phrase "AIDS in Africa." Of course, this doesn't mean the disease has disappeared from the continent, but it does mean that African countries have made widely divergent progress, and that a one-size-fits-all approach no longer makes sense.

In fact, 16 African countries have already achieved the beginning of the end of AIDS. Countries like Ghana, Zambia, and Malawi are leading the way, deftly combining their own domestic health financing and planning with donor aid to achieve real impact. Political leadership has also been important in elevating HIV/AIDS as a priority issue on the national agenda, supported (and sometimes pushed) by dynamic civil society organizations on the ground.

It's important that we celebrate all of this progress, and honor those who have worked so hard to make it happen. But the work is far from over, and in many ways, the AIDS fight today is struggling precisely because of its own success. Because it is no longer perceived as an emergency, but rather a chronic and manageable disease, the fight has lost some of its political momentum and funding has not grown to match the global need.

UNAIDS estimates that the funding needed to fight AIDS is still at least $3-5 billion short each year. With a few exceptions, donor funding for AIDS has stalled. Compounding this problem, only six African governments are meeting their commitments to spend 15% of their national budgets on health. These trends must be reversed -- and quickly -- in order to accelerate progress.

Insufficient money is not the only thing holding back the global AIDS response. Although treatment programs have grown massively -- they now reach nearly 10 million people around the world -- too many people are still being left behind.

In the coming years, the world must do a better job at adapting treatment and prevention programs to reach those most at-risk, including LGBT populations, drug users, and sex workers. Doing so will, in some cases, require a sea-change in how these populations are treated.

On a political level, leaders can do more to ensure that the HIV/AIDS responses in their countries are more equitable and free of stigma, as the first lady of Zambia, Christine Kaseba-Saba, recently did in a statement rejecting homophobia.

Equally important, donors must make sure that their resources are appropriately targeting these at-risk groups and tailored to match the unique nature of local and national epidemics.

Each World AIDS Day forces the world into a moment of reflection and accountability. On this 25th anniversary, we have much progress to celebrate, but we cannot allow complacency to set in before we're even halfway home.

As we close in on a global tipping point and look to defeat AIDS within our lifetimes, we must pick up the pace. We have the tools to defeat the epidemic, but we need reinvigorated political will and new resources from the public and private sectors.

The message this year should be: Let's work harder, together, to make the beginning of the end of AIDS a reality. Or, to borrow from Nike's 1988 ad: "Just do it."

The opinions in this commentary are solely those of Erin Hohlfelder.

@highlight

25 years on from the first World AIDS Day, much progress has been made in fight against AIDS

@highlight

Erin Hohlfelder says 16 African countries have passed the "beginning of end of AIDS" tipping point

@highlight

"Treatment now works better, and costs less, allowing people with AIDS to live long, productive lives"

@highlight

But Hohlfelder says we must not allow complacency to set in; there is still much to be done