London, England (CNN) -- The United Kingdom votes on a new government May 6 through a political system that dates back centuries.   When does an election happen?

The UK has no written constitution. Instead the country's electoral system is based on a series of parliamentary acts dating back to the 17th century, when men wore the sort of tights and wigs still donned on ceremonial occasions by some officials of the Houses of Parliament.

A general election is when voters nationwide choose lawmakers who will sit in the House of Commons, the lower chamber which initiates and approves legislation.

An election must take place, by law, at least every five years. That said, governments can call an election at any time during their term. They could also be forced into an election if they lose a majority of lawmakers in the Commons.

Who calls an election?

The starting gun in a general election is traditionally fired when the prime minister travels to Buckingham Palace to ask the queen, the UK's head of state, to dissolve parliament by royal proclamation.

An election must then take place within weeks. Since 1979, elections have been held between April and June. It is customary for an election to be held on a Thursday.

The vote is conducted through the "first past the post" system whereby the candidate in each constituency with the most votes wins the seat.

If the queen is the head of state, then how come the UK a democracy?

Although the UK is a monarchy, the powers of the reigning head of state have gradually dwindled since King Charles I was beheaded in 1649 following the English Civil War between Royalists and Parliamentarians.

Today, the monarch's role is largely ceremonial and mostly restricted to state functions and appearing on stamps and banknotes. But the monarch still retains formal powers and opens parliament each year.

How does parliament function?

The job of parliament is to make laws, scrutinize the actions of the government and debate issues of the day. The Commons -- which has green benches -- currently consists of 650 directly elected lawmakers known as Members of Parliament or MPs who each represent a geographical constituency.

The upper house, the Lords -- which has red benches -- is mostly appointed by the government with members serving for life. Its main duty is to vote on legislation passed by the Commons and, when necessary, to send it back for further debate.

In certain circumstances the government can force through legislation passed by the Commons but rejected by the Lords.

How is an election decided?

Voters do not elect the prime minister, or head of government, directly. Rather, they vote to elect a candidate representing a particular party to serve as their local MP. The leader of the party which wins the most seats is then asked by the Queen to form a government. The leader of the second largest party in the Commons becomes the "Leader of Her Majesty's Opposition."  MPs are elected by a plurality, rather than a majority, of votes. This means that a party can win a majority of seats in the Commons without achieving an overall majority in the overall popular vote. In fact, because there are three main parties in the UK it is extremely rare for a party to win an outright majority.

The last prime minister elected by an outright majority was Stanley Baldwin, the Conservative Party leader, in 1931. In 2005, Tony Blair's Labour Party won just 35 percent of the vote but still controlled a 66-seat majority in the House of Commons.  So who can I vote for?

For most of the past century, British politics has been dominated by two parties, the left-wing Labour Party and the right-wing Conservative Party. That said, the boundaries between left and right have been blurred as each has strived to occupy the strategically important center ground.  A third party, the centrist Liberal Democrats, usually picks up around 20 percent of votes but wins far fewer seats because it is squeezed between the two main parties. Parties from Scotland, Wales and Northern Ireland also send small numbers of lawmakers to Westminster.  Full guide to UK political parties  What happens if a party doesn't win a majority of seats?  If no party wins an overall majority -- a "hung parliament" --- then the leader of the party which takes the most seats will usually be invited by the monarch to form a government. But its powers will be limited because it cannot control a majority of votes in the Commons. The party will usually call another election within months in a fresh attempt to secure a majority.  What would a hung parliament mean in 2010?

The last time this happened was in 1974, when an election in February resulted in a hung parliament. A second election followed in October of the same year. Many opinion pollsters and observers believe that the 2010 general election will result in a hung parliament.

@highlight

A general election must take place in the UK at least every five years

@highlight

The power of the monarchy has gradually dwindled since the 17th century

@highlight

Power in the UK parliament rests with the lower house, known as the Commons

@highlight

The last parliament where no party had a majority was in 1974 -- analysts predict it will happen in 2010