(CNN) -- "The Blind Side" could have been filmed anywhere, says Tim Bourne, an independent producer who worked on the film. But there's a reason producers brought the project to Georgia: money.

"There's nothing in [the movie] that couldn't have been shot in any midrange urban setting. The reason, and the sole reason, it was shot in Georgia was the tax incentives," he said.

Georgia boasts one of the highest tax credits in the United States: a 20 percent base tax credit, with an additional 10 percent if a Georgia logo appears somewhere in the project. The Oscar-nominated "Blind Side" is one of many films that's taken advantage of the incentives to shoot in the Empire State of the South, incentives that also include a diverse set of locations, state-of-the-art facilities and large production crews.

Recently, another production, "Hall Pass," written by Peter and Bobby Farrelly ("There's Something About Mary"), started filming in the Atlanta area.

The film, starring Owen Wilson and Jenna Fischer, is about a woman who gives her husband permission to have an affair. It called for a New England location -- standard for the brothers, who are from Rhode Island -- but tax incentives led the production crew south, producers said.

Georgia is far from the only state offering filmmakers opportunities to leave Hollywood. Indeed, it's one of 44 states offering incentives in hopes of attracting projects that will help their economies, according to the Tax Foundation.

"No one is trying to compete with L.A. from a technical standpoint," Bourne said. "They're certainly competing from a financial standpoint, though. The name of the game is all about tax incentives. It's the sad truth.

"Films are made in a particular place strictly because of financial rebates," he continued. "If, tomorrow, Louisiana or ... any state with a crew base, rather, came up with a better incentive program, that's where the work would be -- overnight."

Incentives differ from state to state. In most cases, filmmakers are able to apply for a tax credit or rebate as long as they meet the state's minimum standards for expenditures and utilize local crews, some of whom don't belong to unions. However, Bill Thompson, deputy commissioner at the Georgia Film, Music and Digital Entertainment Office, said bigger production companies usually prefer to work with union workers.

Louisiana, one of the first states to develop an incentive program eight years ago, has found exposure in front of the camera with films such as "Ray" and "The Curious Case of Benjamin Button."

"Green Lantern," set for release in 2011, is one of many projects whose makers opted to film in Louisiana after the state increased its film production tax credit to 30 percent in 2009, said Chris Stelly, director of the Louisiana Office of Film and TV.

But Louisiana doesn't just attract projects because of the state's high tax credit, he said.

"No matter how big your incentive is, if someone doesn't have a good experience, they're not going to be back," he said.

Warner Bros. Entertainment is what Stelly calls a repeat customer.

Michael Walbrecht, vice president of Studio & Production Affairs at Warner Bros., said the company brings a lot of projects to Louisiana. It's the third most popular place the company films, behind Los Angeles and New York.

"So far, we've had great experiences in the [Southeast]," Walbrecht said.

There's no denying the tremendous impact the film industry has had on each state.

Hotels, rental cars, restaurants, equipment rentals, local crews, props, wardrobes and local extras are just some of the ways the industry gives back to the area it films in.

According to the Web site for Georgia's Film, Music & Digital Entertainment Office, TV networks, Hollywood studios, production companies and independent producers invested more than $521 million in Georgia in fiscal year 2008-09; the state estimates the economic impact of this investment at $929 million.

Louisiana has experienced economic success, as well. Its Economic Development department's Web site says the incentives have generated thousands of jobs and more than $2 billion since the program began in 2002.

"With some of the bigger movies, [there are] hundreds of extras on set," Thompson said. "Those people all get paid something per day. This is especially a big deal in small towns that have never had a film [shoot] there. To spend a few million dollars in a rural area [makes a big difference]."

Even California, the home of the business, has gotten into the act. The state recently introduced a 20 percent tax credit, though its incentives aren't as broad as in other states. For example, TV shows to air on basic cable qualify for the credit, whereas shows on broadcast networks do not.

Walbrecht said the amount of larger movies and TV shows filming in smaller states will continue to rise, which is one reason California was prompted to create incentives. "They realized their iconic industry was moving elsewhere," he said.

Meanwhile, away from Hollywood, the competition is getting stiffer.

North Carolina became a major player in the filmmaking business thanks to such productions as the TV show "Dawson's Creek," which filmed in the coastal city of Wilmington and helped create a thriving film industry there. So when "The Last Song" -- set in Wilmington -- began filming in seaside Savannah, Georgia, hard feelings were inevitable.

"You can't dwell on what you lost; you have to keep going and move forward," said Aaron Syrett, director of the North Carolina Film Office. "It happens all the time, to every state."

Legislation to raise the 15 percent tax credit was proposed before "The Last Song" chose not to film in North Carolina. The state's new refund, 25 percent, went into effect January 1.

"We're not trying to [have] the highest refund. We're trying to be the smartest," Syrett said.

In other words, offer a hefty tax rebate -- and roll camera.

@highlight

Forty-four states offer tax credits to filmmakers in hopes of attracting projects

@highlight

Georgia boasts one of highest tax returns in United States, up to 30 percent

@highlight

Louisiana was one of first states to develop incentive program eight years ago