(CNN) -- As North Koreans face an uncertain future without Kim Jong Il, the world's attention now turns to his youngest son, Kim Jong Un, whom the ruling Workers' Party has dubbed the "great successor."

"Kim Jong Un's leadership provides a sure guarantee for creditably carrying to completion the revolutionary cause ... through generations," the party said.

But the younger Kim remains a mystery. Even his age is uncertain to most of the outside world; Kim Jong Un is believed to be in his late 20s.

The first formal mention of his name in official state communications came just over a year ago, in October 2010, when he was promoted to the rank of four-star general just before a rare meeting of the country's ruling party.

Kim Jong Un is said to have a fondness for James Bond and basketball star Michael Jordan.

He is believed to have studied in Switzerland and is thought to have English, German and possibly French language skills.

Joao Micaelo, who went to school in Switzerland, believes Kim Jong Un was one of his classmates between 1998 and 2001.

"He was a normal guy like me," interested in sports, movies and computers, Micaelo said last year. "He was competitive at sports. He didn't like to lose, like any of us."

Micaelo said his classmate played basketball and had basketball games on his PlayStation.

"The whole world for him was just basketball all the time," Micaelo said.

Micaelo said he shared a desk with the North Korean. One day, Micaelo said, the young man, who went by the name Pak Un told his friend, "I am the son of the leader of North Korea."

Micaelo said he doesn't know what to expect from Kim as a leader.

"I can just say what I know: Un, when he was 16, he was a good guy," Micaelo said. "So, I don't think he would do something bad. But I don't know what he's been like in the last nine years."

At one point, Kim Jong Il's eldest son, Kim Jung Nam, was considered the top candidate to succeed his father before he fell out of favor after he got caught trying to sneak a trip to Tokyo Disneyland using a forged passport.

In an interview with Japan's TV Asahi last year, the oldest son said he opposed the "hereditary succession for three generations." However, he added, "I would like my younger brother to do his best for the people of North Korea and their true wealth."

A CNN analysis of more than 50 U.S. diplomatic cables published by WikiLeaks suggest that Kim Jung Il was always closest to his youngest son. One from 2009 cites the memoirs of the elder Kim's former Japanese chef, Kenji Fujimoto, who said the leader "adored Kim Jong-un for resembling himself, both in image and in personality." Another analyst described Kim Jong-un as "a bold and big-hearted person."

According to another cable from June 2009, Kim Jong Un emerged as the front-runner to succeed his father that year when he began working as acting chairman of the National Defense Commission "to support his ailing father" according to a cable from June that year. South Korean observers noted at the time that "'Young master' is a nickname that the Great General has begun using for his third son."

But Kim Jong Un is simply "not ready" to rule, said Victor Cha, senior adviser at the Center for Strategic and International Studies and an expert on North Korea.

"This is the most opaque regime that is a nuclear weapons state, and now they have a leadership vacuum in which a kid is basically trying to run the country," Cha said. "So it's not a good situation at all."

His father began grooming him for the job only three years ago after suffering a stroke. In contrast, Kim Jong Il himself was groomed over a period of 14 years before taking the reins from his father, Kim Il Sung, in 1994.

Though Kim Jong Un can boast an array of titles, it's unclear whether he actually has any decision-making authority.

"I think it's premature to conclude that Kim Jong Un will make all the shots," said Han Park, director of the Center for the Study of Global Issues at the University of Georgia.

"Kim Jong Un is not going to be expected, nor is he qualified, to make tough decisions. But the party system is there, and the decision-making mechanism that has been established by Kim Jong Il will continue. And therefore the succession process -- even in intermediate terms -- should be smooth," Park said.

It is likely that Kim Jong Un's uncle, Jang Song Thaek, will rule behind the scenes as Kim Jong Un trains on the job, the global intelligence firm Stratfor said.

Kim Jong Il delayed choosing a successor from among his sons to avoid allowing anyone to build up their own support base independent of their father, Stratfor said in its analysis.

In recent months, Kim Jong Un was tied to the disastrous effort to revalue the North Korean currency, RAND's Bruce Bennett, an Asia analyst who has worked with the U.S. Department of Defense, as well as South Korean and Japanese militaries.

That effort led to protests -- unusual for the closed country -- and food shortages as people took to bartering in absence of available currency.

So now, the world waits to see where the young man may steer his country -- and how North Korea will interact on the global stage in years to come.

"No one has any idea of what comes next," Cha said. "We are in unknown territory."

CNN's Jill Dougherty, Adam Levine, Larry Shaughnessy, Elise Labott and Dana Ford contributed to this report.

@highlight

NEW: Kim Jong Il always favored his youngest son, according to 2009 WikiLeaks cables

@highlight

NEW: He was acting National Defense Commission chair, according to another cable

@highlight

He started his military career as a four-star general

@highlight

North Korea expert: It's premature to conclude Kim Jong Un will "make all the shots"