(CNET) -- Just because the Internet has broken down geographic barriers, don't assume that Google doesn't care about geography.

With Google's new Latitude software, cell phone users can share their locations with others.

The company plans to launch software called Latitude on Wednesday that lets mobile phone users share their location with close contacts. Google hopes it will help people find each other while out and about and to keep track of loved ones.

"What Google Latitude does is allow you to share that location with friends and family members, and likewise be able to see friends and family members' locations," said Steve Lee, product manager for Google Latitude. For example, a girlfriend could use it to see if her boyfriend has arrived at a restaurant and, if not, how far away he is.

To protect privacy, Google specifically requires people to sign up for the service. People can share their precise location, the city they're in, or nothing at all.

"What we found in testing is that the most common scenario is a symmetrical arrangement, where both people are sharing with each other," Lee said.

The software spotlights Google's fixation with mapping and location technology. Location is an important part of navigating the real world, and Google clearly sees its geographic services as a way to establish a more personal connection with customers who today use Google chiefly for the virtual realm of the Internet.

And of course money is involved, too: Google hopes its mapping technology will lead to location-based advertising revenue.

Google's power is firmly lodged in search and search advertising, but the company is trying to expand to broader online services, too. That includes online documents and various aspects of social networking, which are much more personal services and ones that put Google into more direct competition with rivals such as Microsoft, Facebook, and Yahoo. Like using Google profiles to contact information with select contacts, using Google Latitude tells Google who's who in your social graph.

How it works

Latitude is part of Google Maps for Mobile, the company's mapping software for mobile phones, but also can be used through a gadget loaded onto its iGoogle customized home page. It'll work in 27 countries at launch, Google said.

Initially, it will work on most color-screen BlackBerry phones, most phones with Windows Mobile 5.0 or later, and most Symbian-based devices such as Nokia smartphones. An update to the Google Android operating system now being distributed to the T-Mobile G1 phone also enables it, and iPhone and iPod Touch users will get the option "very soon," Lee said.

Latitude uses Google's technology to judge a user's location not just by GPS satellite, but also by proximity to mobile phone towers and wireless networks.

That's a much more automated approach than the manual "check-in" process used by Dodgeball, a service that Google decided in January to shut down.

Other competitors exist, though. BrightKite and Loopt offer mechanisms for people to find each other by mobile phone, for example. Then there's MobiFriends, Tripit, and Dopplr.

And Google's clearest competitor, Yahoo, offers some competition with Fire Eagle. That service doesn't provide location information, but it does provide a mechanism to centralize people's geographic privacy choices, in effect taking care of some of the social graph management when it comes to location information.

To use the service, you need a Google account to record who has permission to see your location. For choosing who gets to see your location, you can use contacts stored with Gmail or Picasa, Google said.

The white lie

With the service, you can hide from specific people or disappear altogether. And you can manually set a specific location if, for example, your phone can't show it with sufficient precision or if you wish to tell someone a white lie about whether you really aren't going to go to the candy store.

Google envisions two broad classes of people with whom you might want to share location information. First is a small, close-knit circle of friends and family with whom you're willing to share your exact spot. Second is a larger group with whom you're happy to share city-level detail, convenient for finding out when somebody's in town but not much more.

When somebody is close, the software lets you contact the person various ways--by calling or sending an e-mail or text message, for example. It also lets you hide from that specific person.

Privacy is of course a significant concern when it comes to sharing this sort of information. If you want to use Latitude, you must specifically enable the service.

Meeting your pals at a bar is an obvious example of the software's possibilities, but there are softer cases I see as useful, too.

Lee pointed to a case where a friend's girlfriend, though far away in Seattle, will "virtually place herself next to him." That sounds a little sappy for my tastes, but I can still relate. My wife is on the other side of the country right now, and it would be heart-warming to see just where. iReport.com: Share your thoughts on Google Latitude

There are a lot of occasions where technology is better for maintaining relationships than it is for establishing them, and this looks like one to me.

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

New Google software, Latitude, lets cell phone users share their location with others

@highlight

Google hopes it will help people find each other and keep track of loved ones

@highlight

To protect privacy, Google specifically requires people to sign up for the service

@highlight

People can share their precise location, the city they're in, or nothing at all