(CNN) -- The time was always going to come when society would need to face the pointy end of the voluntary euthanasia debate: Those hard cases that would challenge most people's support for the issue, the cases and circumstances which constitute never-before trodden ground.

While in most Western countries polls repeatedly show strong community support for a terminally ill person's right to obtain medical assistance to die, the results would likely be quite different if the person involved was not an adult, was not of sound mind or was not, in the strictest sense, terminally ill.

As Belgium decides whether to extend the right to euthanasia to those who have Alzheimer's and to children, the sharp end of the debate is staring us all in the face, regardless of where we live.

The euthanasia argument is about to escalate to heights unknown: We will all be challenged about how to have a good debate, a rational debate as members of the human race, and in being challenged, we must guard against the moral panic that this issue will inevitably throw up.

The issues on the table are too important for hysterical indignation and fundamental religious dogma. We are all grown-ups. The debate we are set to have -- some two decades after the world's first right to die law was passed in Australia's Northern Territory -- should be grown-up too, even if some of the stakeholders we are about to discuss are not.

Historically, children and people with Alzheimer's are two segments of the community that have been viewed as having little or no agency, something that is referred to as 'capacity' in legal terms. Generally speaking, neither group has been held to be competent to make decisions that would be in their best interests. Yet this is what the Belgians are now planning.

The opposite view: Euthanasia - we can live without it...

For many in the ageing population, there are few fears which top that of getting dementia. Anyone who has watched a loved family member sink into the abyss of confusion and disorientation will know the utter terror that can accompany the process, as the person in question tries to juxtapose moments of clarity with the awfulness of knowing one's grip on reality -- and with it one's dignity and sense of self -- is slipping.

In New Zealand earlier this year, the Labor Member of Parliament Maryan Street paved the way with her private members bill which, if passed, would allow New Zealanders to include an assisted suicide in their Living Will.

For those who may find themselves with Alzheimer's in future, this inclusion would be a valuable pre-planning tool: "If I do get dementia, at least the children will know what I want. I can now rest assured that my wishes not to live "like that" will be respected."

Within the membership of Exit International, this is a common sentiment. So too is the wish not to waste government money keeping the demented elderly alive in the nation's care homes if that is not how, when they could communicate, they said they wanted to spend their last days.

On the topic of children, the debate is a little easier. Some children do develop terminal illnesses and do die well before their time. It is not impossible for such young people to have a well-developed sense of their own mortality.

While the Belgians will likely structure legislative developments in this area with stringent safeguards, it is the practice of forcing terminally-ill children to battle on in spite of an appalling prognosis, trying to make it to 18, that is driving the agenda.

For both groups, the Belgians are bravely tackling difficulties emerging in their existing legislation, current laws that are quite obviously inadequate, even cruel, in certain circumstances.

Unless modern medicine has a cure for Alzheimer's and any number of the terminal illnesses that confront children, the current situation is that they will keep suffering.

If suffering cannot be relieved, the question then becomes: what should the State do? Should we all be forced to live on regardless of the quality of life that confronts us? Or, should legislation be extended to ensure dignity and choice for all?

At Exit International our motto is "a peaceful death is everybody's right." Somehow the tagline "a peaceful death is everybody's right unless you are a child or a teenager or have dementia, in which case tough luck!" doesn't have the same appeal or the same logic.

The Belgians are to be applauded for their progressive thinking and acting -- in the cold light of day, the morality of their intentions is not that challenging when the alternatives are considered.

As a son to my aged mother and as a grandfather to my son's three boys, I welcome the type of society that the Belgians are proposing. Of course, I hope no one I love will ever need to use such laws. But I draw great comfort from knowing they are there all the same.

The opposite view: Euthanasia - we can live without it...

Interactive: Euthanasia and the right to die around the world

The opinions expressed in this commentary are solely those of Dr. Philip Nitschke.

@highlight

Belgian MPs may allow terminally ill children and those with dementia access to euthanasia

@highlight

Pro-euthanasia advocate Dr. Philip Nitschke says debate must avoid moral panic, dogma

@highlight

Nitschke: If a patient's suffering cannot be relieved, what should the State do?

@highlight

"I hope no one I love will ever need to use such laws, but draw comfort from them"