(CNN) -- Former Gov. Jeb Bush recently argued in an op-ed that Hispanic voters will represent the margin of victory in the 15 swing states that will decide who will win the race for the White House. Is his political intuition right? And if it is, how do both parties significantly increase their chances of winning the Hispanic vote?

Determining what qualifies as a swing state is not an exact science, but the best estimate nine months out is as follows: Arizona, Colorado, Florida, Indiana, Iowa, Michigan, Missouri, Nevada, New Hampshire, New Mexico, North Carolina, Ohio, Pennsylvania, Virginia and Wisconsin.

The key for political parties is registering Hispanics to vote. According to the U.S. Census, 84% of Hispanic registered voters reported voting in 2008. In North Carolina, not generally considered a "Hispanic state," from 2000 to 2010 the Hispanic population grew 111%. Between January 2008 and November 4, 2008, Hispanic voter registration in North Carolina grew by 62%, from 42,000 to 68,000. Obama won the state by only 14,177 votes. Since then, Hispanic voter registration in North Carolina has nearly doubled to 130,615.

According to the U.S. Census, in 2010 there were 492,330 Latinos of voting age in North Carolina, representing a clear opportunity for both parties. In a tight race, Hispanic voters could be the margin of victory in 12 of the 15 swing states. (For more state by state data, click here)

Three important points about Hispanic swing voters:

-- Hispanics lean Democratic, but it's not a base Democratic vote. Hispanics cast their ballots on issues and in favor of the candidates rather than for the party, much like 40% of the population, which is now considered independent.

-- Campaigns need to communicate to Hispanics in both English and Spanish. A strategic move behind President Obama winning 67% of Hispanic vote was his campaign's outspending McCain in the Spanish language media by five to one.

-- Hispanic adults are more engaged in the social Web than non-Hispanics, over-indexing as creators, critics, collectors, joiners in and spectators of social networks.

In addressing the concerns of this demographic, no candidate can ignore the issue of immigration reform, particularly when it comes to young, first-time voters. Each month 50,000 Hispanics in the United States turn 18. These young voters power Latino social networks, connecting on Facebook and tweeting voters across the country. Imagine the response when the hardworking mom or dad of these young voters is called a "criminal" by a candidate.

A recent Pew survey found that Latinos, by 91%, support legislation known as the Dream Act that would give legal status to illegal immigrants who earn college degrees or serve in the military for two years. Imagine the waves across social media when the Dream Act is not aggressively pursued or summarily dismissed.

And immigration -- and its power to alienate or attract voters -- is the key for both parties, not just Republicans. Yet, so far for both parties, immigration has been kryptonite.

President Obama broke his promise to introduce an immigration reform bill during his first year in office. He deported 1.2 million Latinos, including 46,000 parents of American citizens. His draconian policies left thousands of frightened children languishing in foster care, which brought an onslaught of negative Spanish-language media. Heading into the presidential campaign, President Obama's approval rating among Latinos has plunged 36 points since April 2009 -- from 85% to 49%, according to a recent Pew survey.

Obama's potential opponent, Republican front-runner Mitt Romney, wants to make life so unbearable for Hispanics working here illegally that they will "self-deport." Passing apartheid-like laws to pressure Hispanic undocumented workers to leave the country is central to Romney's platform. Witness the laws passed in Alabama, Arizona and South Carolina, whose chief architect, Kansas Secretary of State Kris Kobach, happily endorsed Romney, advises the campaign and acts as a surrogate.

To win over Hispanic voters, both President Obama and the GOP nominee need to smother the kryptonite that the issue of immigration has become with a lead blanket of comprehensive immigration reform, supported by strong majorities of Hispanic swing voters and a majority of independents and the general public. Only then can the conversation between Hispanic voters and the candidate really begin.

In the 2008 election there was a 30% swing of Hispanic votes away from the Republican Party's share of the vote in 2004. This swing vote was enough to elect Barack Obama to the White House and turn six states — Colorado, Florida, Indiana, New Mexico, Nevada and Virginia — from red to blue. Any candidate or campaign that ignores Hispanic swing voters does it at their peril.

For a Spanish-language version of this article, click here / Lea este artículo en español

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Charles Garcia.

@highlight

Jeb Bush said Hispanic voters will represent margin of victory in 15 swing states

@highlight

Charles Garcia says the growth of the Hispanic population is making it a crucial voting bloc

@highlight

Candidates from both parties must rethink their stances on immigration, he says