(CNN) -- "Our inventions are wont to be pretty toys, which distract our attention from serious things. They are but improved means to an unimproved end." - Henry David Thoreau

The March on Washington in 1963 was a day for great speeches. Of course, no one knew that the day would also include one of the most famous speeches of the 20th century, Martin Luther King's "I Have a Dream" oration (actually titled, "Normalcy No More").

In fact, King's adviser and draft speechwriter, Clarence B. Jones, says that with everyone consumed by march logistics, the speech was not their highest priority, and hours before the event while King was considering a theme for his speech he didn't know exactly what he would say. Ah, the triumph of procrastination.

It was a different time, a time when politicians like JFK and preachers like MLK made efforts to craft big ideas in beautiful language. It was the age of thriving newspapers and bookstores. Back then, audiences listened expectantly for the art of rhetoric. They demanded that speakers respect them enough to put real effort and poetry into their publicly spoken words. And, they listened without the pressure and distraction of multitasking on mobile devices. They listened patiently, even while sweating profusely in the August heat.

What about today, in the age of social media? Would Martin Luther King, Jr. be an active social media communicator? And, a more important question: How well would Martin Luther King, Jr.'s gift for rhetoric translate over social networks?

Opinion: 50 years later, civil rights struggle is far from over

The answer to both questions is positive.

As a public theologian he had an encyclopedic knowledge of political writings and literature. He had an amazing ability to educate, inspire and mobilize people through language and speech. He would have recognized that social media is the public square of the 21st century. A keen communicator could not afford to be silent in this space.

According to King's advisers, Clarence B. Jones and Andrew Young, Martin would have utilized Twitter and other social media. Jones says, "He would be up all hours of the night telling me and Stanley Levison his thoughts and we would have learned to send tweets."

It's worth noting that during the mid-1950s, King (most likely assisted by a staff member) responded to readers' letters in his "Advice for Living" column in Ebony Magazine. He did this in order to communicate with a more diverse audience through popular media. He discontinued the responses after his life became too busy and his doctor recommended a slower pace following his 1958 stabbing.

As a man who both loved people and loved to talk, he would have a large social media footprint.

As for the second question, could King be King via Twitter? The real taste test is found in the actual language he used to educate and inspire. And, surprisingly, much of it fits within the most constraining of social media platforms, the 140 character limit of Twitter.

Here's a sample:

"Injustice anywhere is a threat to justice everywhere. We are caught in an inescapable network of mutuality." 108 characters.

"Truth, crushed to earth, shall rise again." (quoting the poet William Cullen Bryant) 42 characters.

"We shall overcome because the arc of the moral universe is long but it bends towards justice."  (paraphrasing abolitionist Unitarian minister Theodore Parker) 93 characters.

"Let justice roll down like waters and righteousness as a mighty stream." (from the biblical prophet Amos). 71 characters.

"I believe that unarmed truth and unconditional love will have the final word in reality." 88 characters.

"This is why right, temporarily defeated, is stronger than evil triumphant." 74 characters.

"Our loyalties must transcend our race, our tribe, our class, and our nation; and this means we must develop a world perspective." 128 characters.

And, "From every mountainside, let freedom ring. And when this happens, when we allow freedom to ring, when we let it ring from every village and every hamlet, from every state and every city, we will be able to speed up that day when all of God's children, black men and white men, Jews and Gentiles, Protestants and Catholics, will be able to join hands and sing in the words of the old Negro spiritual, 'Free at last! Free at last! Thank God Almighty, we are free at last!'" Oops, 470 characters. OK, he'd have to split that one into a quartet of tweets.

King's instincts for youth culture were strong and, if alive today, he would be a prominent commentator with a vast social network of followers and friends. This would be an easy way to engage in meaningful dialogue with millennials and Gen X, particularly important since researchers report that younger people do not attend traditional houses of worship at near the rate of their parents. In fact, we now call them "nones" referring to the fastest growing response to the question of one's religious preference. Probably, they would never hear his sermons from the pulpit, but they would read his tweets and Facebook posts and see his Instagram pics.

For Dr. King, everybody in and nobody out

Seeking to engage youth, he taught a course at Morehouse College to a small group of college students that included former NAACP chairman Julian Bond, he spoke to countless university audiences, and he was famously photographed playing pool on Chicago's west side with "the boys in the hood" -- not to mention the touching photos of him with his own lovely children.

King was determined to remain relevant to a dynamic freedom movement that rode on the backs of students despite the fact that, ultimately, he was bound by conscience to criticize the most militant expressions of that youth culture, largely dominated by Malcolm X, Stokely Carmichael of "black power" fame, anti-war hippies, and Huey P. Newton, co-founder and icon of the Black Panther Party. His inner moral compass compelled him to criticize ideologies that encouraged further racial separatism and/or violence.

Google executive chairman Eric Schmidt and Jared Cohen say in a new book, "The New Digital Age," that the Internet is "the largest experiment involving anarchy in history" creating a brave new capacity for free expression and free movement of information. We have seen evidence most recently in Egypt where the Arab Spring was driven by social media but later also led to troubling disruptions to a young, fragile democracy.

King was no fan of anarchy. He was irrevocably committed to nonviolent civil disobedience, and would have taken pains to influence the marketplace of ideas toward greater order, fairness, interdependence and civility.

Our new global connectivity requires an encompassing moral vision of how humans can and should live together. Dr. King understood this and would be an active voice expressing the big ideas of freedom and justice for all, through mellifluous phrases and cadences that would appeal even to hip hop ears.

The opinions expressed in this commentary are solely those of Robert Franklin.

@highlight

Robert Franklin: Martin Luther King was an especially skilled communicator

@highlight

Franklin says King would have used social media tools to share his message

@highlight

King reached out, not only through sermons and speeches, but also the media

@highlight

Franklin: King's message would still have broad appeal today