London (CNN) -- Afghan President Hamid Karzai has been setting out his vision for the country in a speech to the loya jirga, or national assembly.

Karzai called the four-day assembly to sound out tribal elders on a long-term pact with the U.S. military. He has already been critical of NATO, calling on limits to the remit of foreign troops. "We want our sovereignty from today," he told the meeting.

CNN correspondents say the assembly is considered by many as an important step towards any possible peace deal with elements of the insurgency, and a test of Karzai's strength as a cohesive leader.

But the meeting has also drawn criticism. The UK's Daily Telegraph questions its purpose and reports unnamed diplomats and Afghan politicians describing it as a piece of political theater that exists to rubber stamp decisions made by the president's inner circle.

And in a recent interview with The Washington Examiner, former presidential candidate Abdullah Abdullah accused Karzai of "manipulating the system for his benefit."

The Taliban has threatened to attack anyone who attends, and has published on a website what it claimed was government security plans for the meeting. The Afghan Interior Ministry has dismissed them as fake.

Gareth Price examines some key questions for CNN about the assembly and whether it still has a role.

What is the loya jirga?

According to the 2004 Afghan constitution, loya jirgas (or grand assemblies) are held to take decisions relating to Afghanistan's independence, sovereignty, territorial integrity and the "supreme interests of the country," to amend the constitution or to prosecute the president. The current loya jirga is intended to discuss a proposed longer-term military relationship with the United States as well as ways to push forward reconciliation with the Taliban.

The constitution also states that loya jirgas consist of members of the national assembly and the chairpersons of the provincial and district councils. However, tribal elders, religious leaders and representatives of civil society, also attend. In turn, a number of parliamentarians are boycotting the meeting.

How did it originate?

Jirgas originated as a means of resolving differences between different Pashtun tribes (or clans). Traditionally, Pashtun tribal elders and religious leaders held jirgas to meet to discuss problems, appoint new leaders and so forth. From the late 19th century representatives of Afghanistan's other ethnic groups -- such as Tajiks, Hazaras and Uzbeks -- were invited and the process became more formalized.

Some commentators have questioned its function. Why are they so critical?

The fundamental criticism of the loya jirga is that it sidelines the democratic institutions such as the parliament set up in recent years. The 250 members of Afghanistan's lower house are marginalized by the 1,800 non-elected attendees of the meeting. This raises questions over the depth of democracy within the country. At the same time, a number of parliamentarians fear that President Hamid Karzai is planning to use the meeting to push through constitutional changes that would allow him to remain in power once his current term ends. At present the president is only allowed to serve two terms. Karzai has denied these claims.

Why has the Taliban chosen to target the loya jirga?

One of the main subjects for discussion at the loya jirga is whether to allow the U.S. to maintain a longer-term military presence in Afghanistan. Many Afghans believe that without a U.S. presence, their country will be vulnerable to interference by its neighbors, as well as to the Taliban. The Taliban is attempting to position itself as a force resisting occupation, so aside from simply demonstrating its military reach, the loya jirga may make a decision which undermines their primary demand which is for foreign forces to leave.

At the same time, the other element of the loya jirga is to push forward reconciliation with the Taliban. There is widespread public support within Afghanistan for the reconciliation process but an absence of strategy over how to push the process forward, particularly in the aftermath of the assassination of the head of the High Peace Council, Burhanuddin Rabbani, in September. However, amongst non-Pashtuns in particular, there is greater wariness of any moves that would allow the Taliban to return to power. Many of those most opposed have boycotted the meeting.

Who gains from this meeting?

The U.S. will be pleased if the meeting backs the idea of military-bases. If the meeting provides a political strategy to deal with the Taliban, then it would be deemed a success. On the other hand, if the meeting fails to deliver then Karzai's position will be weakened. Having chosen to sideline the democratic institutions, he needs to demonstrate that he does have a wider support base among traditional power structures.

Do tribal and ethnic affiliations still have a bearing?

Tribal and ethnic affiliations remain strong in Afghan society, and particularly in rural areas. With a multitude of languages spoken in Afghanistan, most Afghans first identify with others who speak the same language. However, tribal, familial and geographic identities are also important. Many Afghans place their "clan" identity before their "ethnic" identity. Such localized loyalties appear to have intensified as society broke down during the Soviet occupation and in the subsequent civil war.

So is there a future for this loya jirga system of government?

While notions of tribal identity remain strong, there will be a constant temptation to sideline elected institutions. At the same time, the "democratic" institutions also have an over-representation of "traditional" tribal leaders. Political power stems from gaining votes: tribal leaders frequently decide which way their group will vote in the hope of gaining access to patronage in the future.

At the same time, political parties are also sidelined in the current political system, reinforcing a system in which access to power and resources stems from family links rather than political differences. Both factors suggest that the power of tribal elites, and hence of jirgas, is going to remain a factor in Afghan politics for a while.

In time, if Afghanistan was to undergo a sustained period of economic development and urbanization it would seem reasonable to assume that traditional power structures would be replaced by newer democratic institutions, based on merit or political ideology rather than birthright. However, for the foreseeable future, that seems a long way off.

The opinions expressed in this commentary are solely those of Gareth Price.

@highlight

Jirgas originated as a way of resolving differences between different Pashtun tribes

@highlight

Gareth Price says a criticism of the loya jirga is that it sidelines democratic institutions

@highlight

Price adds that Karzai needs to demonstrate that he has wider support among traditional power structures

@highlight

He says the power of tribal elites is going to remain a factor in Afghan politics for a while