(CNN) -- U.S. President Barack Obama had stern words for his Russian counterpart Vladimir Putin over Russia's actions in Ukraine, following a meeting Thursday of G7 leaders in Brussels, Belgium, at which Russia was excluded.

Putin "has a chance to get back into a lane of international law," Obama said.

But for this to happen, he said, Putin must take steps over the coming weeks that include recognizing Ukraine's new President-elect Petro Poroshenko, stopping the flow of weapons over the border into Ukraine and ceasing Russian support for pro-Russia separatists in Ukraine.

"We cannot simply allow drift," Obama said, speaking alongside British Prime Minister David Cameron following bilateral talks.

"The mere fact that some of the Russian soldiers have moved back from the border and that Russia is now destabilizing Ukraine through surrogates, rather than overtly and explicitly, does not mean that we can afford three months, or four months, or six months, of continued violence and conflict in eastern Ukraine."

If Russia does not de-escalate the situation, the G7 leaders are united and ready to impose further painful economic sanctions, Obama said, with consequences for the Russian people.

"Today, in contrast to a growing global economy, a sluggish Russian economy is even weaker because of the choices made by Russia's leadership," he said.

Putin was excluded from what was originally planned as a G8 summit in Sochi, Russia, as part of measures to sanction Moscow over its annexation of Ukraine's Crimea region.

It's the first time in some 20 years that Russia has not been part of the meeting of world economic powers, Obama said, adding that the step is warranted because Moscow's actions have violated international law and gone against the group's principles.

Energy security

Putin may not have been at the table, but the summit's message was clearly directed at Russia.

In a joint statement issued late Wednesday, the G7 leaders pledged their support for the Ukrainian people and government "in the face of unacceptable interference in Ukraine's sovereign affairs by the Russian Federation."

They also warned Moscow that they are ready to intensify targeted economic sanctions and impose new costs on Russia "should events so require."

"Russia's illegal annexation of Crimea, and actions to de-stabilize eastern Ukraine are unacceptable and must stop," the statement said. "We urge the Russian Federation to recognize the results of the election, complete the withdrawal of its military forces on the border with Ukraine, stop the flow of weapons and militants across the border and to exercise its influence among armed separatists to lay down their weapons and renounce violence."

The G7 leaders also talked about energy security, amid concern over Europe's reliance on Russian natural gas and Moscow's capacity to hold nations hostage to political maneuvering.

Obama will next head to Paris, where he will dine with French President Francois Hollande. Putin also will be hosted by the French President on Thursday -- but at a separate dinner.

Obama and Putin are among a number of leaders invited to take part in ceremonies in France to mark the 70th anniversary of the D-Day landings, which helped change the course of World War II.

They are likely to cross paths while both are in France, Obama said, but no formal talks have been announced. If they should speak, Obama added, he will give Putin the same message on Ukraine that he has given him in phone calls over past weeks and in his public statements.

There may be one touchy subject at Obama's dinner with Hollande.

In his remarks after the G7 meeting, Obama said he had "expressed concerns about continuing significant defense deals with Russia at a time when they've violated basic international law," a reference to a $1.6 billion French deal to sell warships to Moscow.

"President Hollande understands my position," Obama said, adding that he in turn recognizes that this is a big deal for France and that it's important for jobs.

Nonetheless, Obama said, "I think it would've been preferable to press the pause button. President Hollande so far has not done so."

Putin: I won't avoid anyone

Although Putin was not invited to the G7 meeting -- which brings together the United States, Canada, the United Kingdom, Germany, France, Italy and Japan -- he will have talks on Ukraine with some G7 leaders while they are all in France.

Besides Hollande, they include German Chancellor Angela Merkel and Cameron.

The D-Day events, which include a spectacular fireworks show Thursday evening along the Normandy coastline and continue into the weekend, may also bring Putin and Ukraine's President-elect Petro Poroshenko face to face.

Asked in an interview with French television station TF1 if he would speak with Ukraine's new leader, Putin said he will not "evade" Poroshenko or anyone else.

"There will be other guests, and I'm not going to avoid any of them. I will talk with all of them," he said, according to the Kremlin's translation.

Poroshenko also did not exclude the possibility, speaking at a news conference Wednesday in Warsaw.

"As things stand now, a meeting between me and Putin is not envisaged, but I do not rule out that it could take place in one format or another. So let's talk about it when there are grounds for it," he said.

Hollande said that both were invited, although Poroshenko is due to arrive only on Saturday.

Putin: No Russian intervention in Ukraine

Questioned in the same TF1 interview about Russia's intentions in Ukraine, Putin denied it had sought to annex or destabilize its neighbor.

"We never did that," he said. "The Ukrainian government must now sit down and talk with their own people instead of using weapons, tanks, planes and helicopters. They must start the negotiating process."

Kiev and the West have said the separatists in Ukraine are coordinated and supplied by Russia. Asked if it was true that Russia had intervened directly, Putin was again vehement in his denial.

"There are no armed forces, no Russian 'instructors' in southeastern Ukraine. And there never were any," he said.

Putin reiterated his position that Russia respects the Ukrainian people's vote and that Moscow will work with the authorities in Kiev. He also said Russia recognizes Ukraine's sovereignty, while acknowledging that any move by Kiev to join NATO "worries us."

This concern was a factor in Russia's annexation of Crimea, Putin told the French broadcaster, following the ouster of President Viktor Yanukovych in what Moscow regards as an illegal coup.

Whether Putin and Poroshenko meet personally, Russia will give the new Ukrainian president some official recognition when its ambassador to Ukraine attends Poroshenko's inauguration Saturday.

Russian Foreign Ministry spokesman Alexander Lukashevich said Thursday, according to state-run RIA Novosti, that Ambassador Mikhail Zurabov will also resume his duties in Kiev.

"He is returning to Kiev in order to continue executing his functions," Lukashevich said.

Obama vows to stand with Ukraine as he meets President-elect in Poland

Opinion: Putin's empire building is not a new Cold War

Russia and Ukraine bicker in U.N. meeting

CNN's Laura Smith-Spark wrote and reported in London. CNN's Nic Robertson, Greg Botelho, Jim Acosta, Victoria Eastwood, Anna Maja Rappard and Jason Hanna contributed to this report, as did Tim Lister in Donetsk.

@highlight

NEW: State media: Russia's ambassador will attend Poroshenko's inauguration

@highlight

Obama says Putin has a chance to "get back into a lane of international law"

@highlight

G7 leaders warn Russia they are ready to impose more sanctions over Ukraine

@highlight

Russia's Putin and Ukraine's new President-elect do not rule out meeting in France