(CNN) -- Welcome back to work, Congress. Hope you enjoyed your fourth full week off this year. Now find a way to work together to help get America back to work.

Experts all say not to expect any constructive action from Congress until after the election. There is a reason that cynicism passes for wisdom in Washington. But with economic clouds from overseas depressing our own recovery, there is an obligation to act now. And, in fact, there is a handful of bipartisan bills that could help get the U.S. economy moving again if they were enacted.

These are not Democrat or Republican ideas -- they are simply good ideas. And unlike bipartisan pork barrel bills, they cost taxpayers comparatively little to enact.

Let's take a look at three proposals with bipartisan support that could pass this summer if given a chance.

Public-Private Infrastructure Bank

The bipartisan BUILD Act is a no-brainer that has been stalled for no good reason.

It would create a public-private bank to seed investment in America's aging infrastructure, improving our resilience and competitiveness over the long term while spurring the economy in the near term.

"In a time of budgetary crisis, the American Infrastructure Bank pays for projects with private money now sitting on the sidelines," attests Michael Likosky, director of NYU's Center on Law & Public Finance. "Every country uses private capital to build projects except for the United States. We are an island."

"We are poised for a new era of prosperity if we could gain consensus on the fact that our infrastructure needs to be rebuilt," agrees John Hofmeister, the former CEO of Shell Oil. "It was designed for a time in the past when our country had a different population."

Voters look beyond monthly jobs numbers

President Obama has backed this bipartisan infrastructure bank bill as more feasible than a version his administration pushed earlier. "President Obama is the biggest proponent of public-private partnerships to hold office to date," argues Likosky. "The Infrastructure Bank is a rare case of a popular bipartisan idea, born in the Beltway, that has been adopted by governors and mayors." It is trickle-down policy-making. It's also smart policy-making that business and labor, Republicans and Democrats, should all be able to agree on.

The Start-Up 2.0 Act

Forty percent of Fortune 500 companies were started by immigrants to the United States, and more than 40 million jobs were created by new businesses in the past three decades. But bureaucratic restrictions are limiting the number of skilled immigrants who can come to the U.S., and too often we end up educating foreign students and then kicking them out of our country for them to innovate elsewhere.

The Start-Up 2.0 bill -- co-sponsored by Republican Sens. Marco Rubio and Jerry Moran as well as Democratic Sens. Mark Warner and Chris Coons -- would allow Ph.D. or master's graduates in science, technology, engineering and math to receive green cards to work in the U.S., while also lifting the per-country cap on skilled worker visas.

Obama to call for some Bush tax cut extensions

In addition, it would create new tax incentives for investments in start-up companies and reduce taxes for businesses in the start-up phase. It's precisely the kind of smart incentive that is key to expanding the American dream, while keeping the United States a magnet for the best and the brightest from around the world.

Small Business Assistance

The Small Business Jobs and Tax Relief Act of 2012 -- backed by Senate Majority Leader Harry Reid and pushed by Sen. Chuck Schumer, both Democrats -- is expected to be brought up for a vote this month.

It deserves bipartisan support because it builds squarely on a traditionally Republican idea: Use tax incentives to spur job creation, investment and expansion. Specifically, the bill would offer a 10% tax credit for any new hiring or raises this year as well as allow the complete write-off of new capital investments like machinery or equipment consistent with expansion.

Analysis: Where are the jobs bills?

Much like the forgotten American middle class, small businesses are the backbone of America, and they receive far less government attention than big business, despite the fact that they actually employ more people. There is a competing House bill which would double the tax credit -- and therefore, the cost -- of the bill, but which would also apply to hedge funds and the like. The differences can be bridged, the common ground defined and then built upon. But the focus should be on helping the people on Main Street rather than on Wall Street right now -- objectively, they need the help more.

These are all relatively modest measures. (We centrists always try to balance idealism with realism.) Unfortunately, the larger opportunities for broad tax reform or a grand bargain on long-term deficits and debt are unlikely to come until after the election -- and there's no rational reason to expect that the hyperpartisan politics will end then. But that is no reason not to take action on specific targeted bills with bipartisan support right now.

The enemies of action include lobbyists who want to keep special treatment for their respective industries embedded in the current tax code, or unions that oppose immigration reform for high-skilled foreign workers. Big ideas with bipartisan support like lowering the corporate tax rate can't get traction for these reasons.

Most poisonously, there are extreme partisans in both parties who want to stop progress before the election for fear that the other party might get some credit. Republicans don't want Obama to get visible wins on the economy. And some Democrats are concerned that passing bipartisan bills now will make it harder for the president to run against an obstructionist Republican House of Representatives. "The American people are held hostage to the selfish political interests of partisans on both sides," says Hofmeister, the former Shell chief executive.

There is an old joke among congressmen that every bill is a jobs bill, because it is your job on the line. These three bipartisan bills present a win-win on the jobs front -- an opportunity to do well by doing good. Every member of Congress should feel urgency to prove that they can in fact work together on the economy, or face the anti-incumbent wrath of all voters.

The political courage that is needed comes from looking out for the national interest instead of being driven by special interests. Governing is not a zero-sum game and just as a rising tide lifts all boats, a growing economy is good for everyone. After all, we Americans are all ultimately in the same boat.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Congress returns to Washington, has an opportunity to help boost economy

@highlight

He says three bills with bipartisan support could have a strong impact

@highlight

Avlon says Congress should pass bills to fix infrastructure, help start-up companies

@highlight

He says a small business bill would provide tax incentives for companies to grow