(CNN) -- The killings we've seen at a Connecticut elementary school, and more recently at the Boston Marathon, are fortunately rare events.

Mass killings have remained at a stable level for the past two decades. But they are just the tip of a chilling violence iceberg that has titanic financial and social costs to society.

More such occurrences are always around the corner. So why, despite our best social efforts, have we systematically failed to melt that malevolent iceberg?

In my book "The Anatomy of Violence," I argue that the answer goes well beyond gun control and is hidden away below most people's radar screen. The true culprit is bad biology.

Bad brains result in bad behavior.

A new body of knowledge is documenting beyond reasonable doubt that we need to put the brain on trial as a prime suspect. You've heard of neuroeconomics, and likely neurolaw. Now it's time for "neurocriminology" -- the application of neuroscience tools to dissect violence all the way down to its root causes.

Nearly 200 twin and adoption studies have shown that a full half of aggression, crime and violence can be chalked up to genetic influences. Once genes are invoked, biological influences inevitably hold sway. Genes translate to altered brain functioning that in turn transforms behavior. More than 100 brain imaging studies have now documented structural and functional brain impairments in aggressive adolescents and violent adult offenders.

Brain dysfunction is just as much a cause of crime as bad neighborhoods and poverty. Yet it has been ignored because while it's easy to see bad neighborhoods, it's harder to peer inside a person's head. By ignoring these biological influences, we are turning our backs on finding an antidote and instead face more future violence.

The seeds of sin are sown early in life -- and not just by genes. Toxic early environments also worsen brain functioning.

Mothers who smoke or drink during pregnancy double or triple the odds of their babies becoming violent offenders decades later, even after accounting for other social influences. Birth complications also predispose to adult violence, especially when combined with negative home environments.

Born bad? Not exactly. But early biological predispositions beyond the individual's control propelling them on a flight path to violence? Absolutely.

We aren't exactly what we eat, but not eating enough can make for malevolence. Poor nutrition during pregnancy almost triples the rate of antisocial personality disorder in adulthood. Children with poor nutrition at age 3 are more aggressive and antisocial in the teenage years after controlling for a host of social adversity factors. All of these early influences impair brain structure and function, and they contribute to the brain impairments we find in criminals and psychopaths in later life.

Kids' brains may hold clues to future criminals

Is biology destiny? No, it's not. We can change these biological menaces that threaten to create the violent offender.

We know from dozens of randomized controlled trials that medications ranging from stimulants to antipsychotics to mood stabilizers are surprisingly effective in reducing aggression in children and adolescents. There's no question that medications that reduce testosterone in adult sex offenders also diminish sexual drive and also incidents of sex offenses.

Biological interventions need not be draconian, and it's never too early to stop the rot.

Providing nurse visitations to poor mothers where advice is given on reducing smoking and alcohol use cuts juvenile delinquency in half 15 years later. Early environmental enrichments that include better nutrition, more exercise and cognitive stimulation from ages 3 to 5 both improves brain functioning at age 11 and also reduces crime at age 23 by 35%. We can prevent violence by enhancing early brain development and reducing exposure to toxins.

While it's never too early to stop the rot, it's never too late, either.

Two randomized controlled trials in England and the Netherlands have shown that supplementing the diets of young prisoners with omega-3 reduced serious offending by 35%. Omega-3 is a long-chain fatty acid critical for brain structure and function. It's not a final solution, but isn't it worth further consideration?

We all too often wait until it's too late. We prefer to avoid awkward scientific findings on the biology of violence that question our concepts of free will and punishment and harken back to the bad old days of eugenics and brain lobectomies.

These are the two edges of the sword that have killed off advances in violence prevention in the past decades. In my book, I argue that we should instead grasp the neuroethical nettles that threaten to choke the growth of the new field neurocriminology, recognize that there is more to crime than bad environments, and attack the brain basis to violence.

If we were to promote a minimal biological baseline for the healthy brain development of every child in society to reduce the likelihood of future violence of the type we saw at Sandy Hook Elementary School, is that really eugenics? Not it's not.

Better brains can make for better behavior for some, and a better future for all.

More on the criminal brain: Nature vs. nurture

Tune in to CNN's show "SGMD" this weekend to see the fascinating conversation between Dr. Sanjay Gupta and Adrian Raine about the biological roots of violence at 4:30 p.m. ET Saturday and 7:30 a.m. ET Sunday.

@highlight

Adrian Raine says biology is not destiny; medications can reduce aggression

@highlight

Brain dysfunction causes crime as bad neighborhoods and poverty, he says

@highlight

Better nutrition, more exercise and cognitive stimulation for kids also helps, Raine says