Washington (CNN) -- A free speech dispute over a California law banning sale of violent video games to children will go to the Supreme Court for review.

The justices Monday accepted the state's appeal and will decide whether the law is too restrictive in denying access by minors to often-graphic material. Video-game makers say the ban goes too far. They say the existing nationwide, industry-imposed, voluntary ratings system is an adequate screen for parents to judge the appropriateness of computer games.

The state says it has a legal obligation to protect children when the industry has failed to do so.

At issue is how far constitutional protections of free speech and expression, as well as due process, can be applied to youngsters. Critics of the law say the government would in effect be engaged in the censorship business, using "community standards" to evaluate artistic and commercial content.

Oral arguments will be held in the fall.

A federal appeals court in San Francisco, California, tossed out the law before it took effect, after Gov. Arnold Schwarzenegger signed it in 2005. He applauded the high court's decision to intervene. "We have a responsibility to our kids and our communities to protect against the effects of games that depict ultraviolent actions, just as we already do with movies," the governor said.

The legislation was designed to strengthen the current rating system, and would have placed an outright ban on the sale or rental to those under 18 of games deemed excessively violent. As defined by California, such interactive games are those in which the player is given the choice of "killing, maiming, dismembering or sexually assaulting an image of a human being" in offensive ways.

Retailers could be fined up to $1,000 for any violation.

The gaming industry sued in federal court and won an injunction halting enforcement of the law until the courts sort out the constitutional questions.

In a written statement, Michael Gallagher, president of the Entertainment Software Association, said he is hopeful his industry will prevail and "the court will reject California's invitation to break from these settled principles by treating depictions of violence, especially those in creative works, as unprotected by the First Amendment."

The motion picture industry has its own self-monitoring ratings system, imposed decades ago after complaints that some films were too explicit for general audiences in what was seen and heard. The gaming industry says its ratings system roughly follows the same self-imposed guidelines, and ratings are clearly labeled on the packaging.

The state argued it was responding to parents' complaints that too much violent material -- including gruesome battles to the death between on-screen competitors and adversaries -- was being viewed and played by minors. Officials claimed the current ratings system is not adequate in filtering out the controversial content, and that underage teens have been able to buy "M-rated" games designed only for mature, or adult, players.

Lawmakers also said there is a "causal connection" between access to such games and psychological or other harm to children. In their petition to the high court, state lawyers cited studies showing children who repeatedly watch on-screen games can become more aggressive, antisocial, and less able to distinguish the consequences of violence in real life.

Similar efforts in other states to restrict gaming content have been rejected by various courts.

The Supreme Court in recent years has thwarted repeated congressional attempts to protect children from pornography, saying legislation went too far in limiting adult access to explicit, but lawful, sexual content on the internet.

And the justices last week threw out a federal law limiting the sale of graphic videos of animal cruelty.

The court has also said in a variety of contexts that minors enjoy a variety of free-expression rights.

The case is Schwarzenegger v. Entertainment Merchants (08-1448).

@highlight

Supreme Court to rule on California law banning sales of some video games to minors

@highlight

Game makers say  their voluntary ratings system is all that's needed to guide parents

@highlight

State says it must protect children because industry hasn't

@highlight

Law bans sales to kids of games where player can kill, maim, rape other characters