Istanbul, Turkey (CNN) -- After battling for nearly two days with tear gas, water cannons and pepper spray, Turkish police retreated from Istanbul's central Taksim Square on Saturday afternoon, allowing tens of thousands of demonstrators to pour into the space.

A peaceful sit-in on Friday against government plans to demolish a park was met with a police crackdown, igniting the biggest anti-government riots this city has seen in a decade.

Prime Minister Recep Tayyip Erdogan demanded an end to the violent protests, which have also spread to the capital city of Ankara and the port city of Izmir.

"The police were there yesterday, they are there today, and they will be there tomorrow. Taksim Square cannot be allowed to be a place where marginal groups can freely roam," he said in a televised speech.

The clashes in Istanbul subsided Saturday afternoon, when police allowed protesters to flow into the square. The protesters pelted police vehicles with stones as they withdrew from the area.

At least 79 people, including 26 members of the Turkish security forces, were injured in the clashes across the country, Interior Minister Muammer Guler told Turkey's semi-official Anadolu news agency on Saturday.

Among the injured were 14 in Istanbul, including one who suffered brain trauma, the Istanbul governor's office said.

Turkish authorities have detained 939 people in connection with the protests, Guler told Anadolu.

In the Ankara, police fired rubber bullets and tear gas at protesters, with some chanting "Tayyip resign," as they marched on the neighborhood of Kizilay, demonstrators told CNN.

"Police are everywhere, and helicopters are monitoring our movements," one protester said.

"Whenever police see us march, they come and gas us. ...We were gassed, we disbursed and then gathered again."

Erdogan conceded in his speech on Saturday that Turkish security forces had made excessive use of tear gas against demonstrators.

"There have been errors in the actions of the security forces, especially with regard to use of pepper gas. Right now that is being investigated, researched," he said.

"There is an error there, sure. When it is used excessively we are against it as well. And in fact there was such excess."

Earlier Saturday crowds gathered across central Istanbul and chanted "government resign" and "shoulder to shoulder against fascism" as phalanxes of helmeted riot police responded with volleys of tear gas canisters.

Lost amid the explosion of anti-government anger in the streets of Istanbul and elsewhere was the original source of the protests.

Earlier this week, several dozen activists tried to stage a sit-in in Gezi Park, the last bit of green space left in Taksim Square.

The demonstrators were protesting government plans to level the park and replace it with a reconstruction of a replica Ottoman-era military barracks and a shopping mall.

The protests have since devolved into a demonstration against Erdogan, the most powerful, popular and polarizing leader Turkey has seen in generations.

This major transport hub and commercial district has become the main battleground between angry protesters who hurled stones and bottles at riot police.

In some Istanbul neighborhoods, residents banged pots and pans in protest on the street during the prime minister's speech.

Erdogan's chief adviser, Ibrahim Kalin, said police have been ordered to be judicious in how they confront the demonstrators.

Addressing the original complaint, Kalin said that Istanbul's mayor said he is considering a number of projects at the park, and not necessarily a shopping mall. But the scope of the protests show there is a bigger issue about freedom of speech versus accusations of authoritative government.

"People are entitled to disagreement with the government, they can exercise their democratic rights, but they can do so within the context of a democratic society," Kalin said.

International human rights groups Amnesty International and Greenpeace have denounced what they describe as excessive use of police force against peaceful protesters.

Turkey has enjoyed an unprecedented decade of economic growth, since Erdogan's Justice and Development Party first swept to power after winning elections in 2002 on a campaign to institute pro-democratic reforms.

In recent years, the Turkish government has come under fire from media watchdog groups for its prolonged detention of more journalists than any other country in the world. Turkish security forces have also made such frequent use of tear gas against opposition protesters that some critics have started referring to the prime minister as "Chemical Tayyip."

But the protests this week appear to be "much more than the government and authorities expected," Erdogan Yildirim, a sociology professor at Middle East Technical University in Ankara, told CNN.

He said it was unclear whether the protest movement will sustain its momentum, but it has caught the government's attention.

"The reason for massive protest in Turkey is in fact trivial. (A construction in a park.) But this shows the cumulative reaction to Erdogan," wrote Mustafa Akyol, a Turkish newspaper columnist and outspoken champion of "liberal Islam."

"Erdogan needs to see that the country needs more 'participatory democracy.' People want to influence decisions in public matters ... it is ultimately none other than Erdogan who cultivated this anger and who needs to calm it down.

"Erdogan probably did not know thousands of people who voted for him were among those raising their voices as well," columnist Sule Kulu wrote Saturday in the English-language newspaper Today's Zaman.

"If he does not return to his pro-democracy stance, this would prepare his fall in Turkish politics. Ä°stanbul, his place of birth in politics, can bring him his political death."

CNN's Talia Kayali, Amir Ahmed and Chelsea J. Carter contributed to this report.

@highlight

Turkish authorities have arrested 939 people across Turkey, an official says

@highlight

At least 79 injured in clashes across the country, the interior minister says

@highlight

A police crackdown to protesters stirs riots in Istanbul

@highlight

Protesters were met with tear gas and water cannon