San Diego (CNN) -- Being native-born means never having to think about citizenship. Those concerns are for immigrants, either those who are in the U.S. illegally and want a chance to get legal status or those who already have legal status and would like to upgrade to full citizenship and all the perks that come with it, including voting.

The deeper your roots go, the less likely you are to think about citizenship. Both my parents, three of my four grandparents and half my great-grandparents were all born in the United States. So I've hardly given it a thought.

Until now. I have written about immigration for nearly a quarter-century. I want an end to the deportation frenzy caused by the Obama administration and a chance for the roughly 11 million illegal immigrants to have a shot at legal status. Solutions to these pressing problems pivot on citizenship and what it should cost. More than border security, temporary workers, employer sanctions or reforms to the process for admitting legal immigrants, citizenship has emerged as the linchpin of immigration reform.

Key Republican: Undocumented immigrants 'not clamoring' for citizenship

If you pulled together 100 undocumented immigrants and asked them how they feel about citizenship, you'd probably get 100 different answers. Some value the chance to become citizens, while others couldn't care less and would settle for a driver's license and the right to travel freely across borders.

Those diverse opinions make it difficult for reformers to know what they should demand in negotiations, what they should hold out for and what they should be willing to ditch if necessary for a deal.

On Tuesday, some House Republicans signaled that they might be amenable to a middle-ground option in which millions of illegal immigrants get legal residency but not the path to citizenship that Democrats are pushing. And the signals were flashing all over town.

They flashed at a hearing of the House Judiciary Committee, its first on immigration this session, in which Idaho Republican Rep. Raul Labrador told Democrats that -- if they put aside politics and forgo a pathway to citizenship -- they would find "good will here in the House of Representatives for us to come together, actually pass a pragmatic solution to the current problem that we have, and solve and modernize the immigration system for years to come."

Legal immigrants: What about us?

Another signal: House Majority Leader Eric Cantor delivered a speech at the American Enterprise Institute, a conservative think tank, in which he endorsed comprehensive immigration overhaul, minus citizenship, as the "right thing to do." Cantor even changed his tune on the idea of offering a pathway to legal status and citizenship to illegal immigrant students who were brought here as children. He was against it before he was in favor of it.

And House Speaker John Boehner also signaled a cooperative spirit. In talking to reporters before the hearing, he refused to back an earned pathway to citizenship, calling it "a very difficult part" of legislation, but encouraged bipartisan solutions.

Immigration Q&A: Amnesty or path to citizenship?

A middle-of-the-road solution is the way to go. Getting Republicans -- and, frankly, conservative and pro-labor Democrats -- to support an earned pathway to citizenship would be a heavy lift. But it would be a shame to leave this historic moment empty-handed.

For Republicans, the politics of this is lose-lose. They'll encounter the wrath of voters either way. But they should hold the line and either push back against an earned pathway to citizenship or, as a last resort, do everything they can to make sure that any pathway is not a cake walk. Why not? Because U.S. citizenship has tremendous value, and we shouldn't give it away on the cheap.

U.S.-born citizens don't need an earned pathway to citizenship. We get it without effort or sacrifice. I managed to be born -- 45 years ago -- at a hospital in Fresno, California. And the rest was easy.

Immigrants in America: The second-generation story

Warren Buffet uses the phrase "the lottery of the womb" to describe the concept of inherited wealth. But it applies to citizenship as well.

Citizenship is priceless. It's about a lot more than voting. It's about becoming a stitch in the American fabric and about joining the American community. It's about knowing U.S. history and being wise enough to learn from it.

It's about knowing English, even as we strive to acquire new languages. It's about surrendering your allegiance to another country or another flag, and -- as President Kennedy said -- asking not what your country can do for you but what you can do for your country.

What's in Senate immigration plan?

It's about accepting that with rights come responsibilities. It's about being proud to be part of a narrative that includes the likes of Thomas Jefferson and Thomas Edison, Martin Luther King and Thurgood Marshall, Robert Kennedy and Robert Frost, Cesar Chavez and Sonia Sotomayor. Most of all, it's about recognizing and accepting that the greatness of this country makes us all look tiny by comparison.

That's a lot to think about. So let's give the undocumented legal status as soon as possible so they can't be deported by an administration that has shown a knack for apprehensions and removals.

And yet let's also make the path to citizenship long enough so those who travel it have time to process it all and difficult enough so that, if they eventually get citizenship, they'll treasure it.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Citizenship for illegal immigrants is most difficult issue in reform

@highlight

GOP leaning toward legal status, he says, but not the proposed path to citizenship

@highlight

Navarrette: Undocumented should have legal status ASAP to avoid more deportations

@highlight

Citizenship should be difficult to obtain, Navarrette says