(CNN) -- In the midst of the contentious debate over the Common Core State Standards, many critics have lost perspective on its purpose.

Why did so many governors, educators and policymakers across both parties join together to create the standards in the first place? A brief look at Common Core's history would help explain its significance and counter some of the criticisms.

In 1983, then Secretary of Education Terrel Bell commissioned the seminal report, "A Nation at Risk," which highlighted American students' falling SAT scores and awakened the nation to its educational malaise. Among many of the report's recommendations, which eventually became a platform for modern education reforms, were calls for "more rigorous and measurable standards." American students were victims of low expectations and inconsistent learning goals.

But despite the report's warnings and billions of dollars more spent on education, not much has changed. Thanks to benchmarked national and international exams, like the National Assessment of Educational Progress (NAEP) or Trends in International Mathematics and Science Study (TIMSS), we know that American students continue to fall short. (There's one sliver of good news: For a number of reasons there have been dramatic improvements in some individual states like Massachusetts.)

These exams highlighted how the performance of American students differed widely between states and districts. Some states had high internationally competitive standards; others were far too low. In fact, some states were dumbing down standards and exams in order to hide the poor performance of their students.

For example, New York State rated 87% of its fourth graders proficient in math, according to its own state testing in 2009. That would be astounding -- if true. But NAEP results calculated that only 40% of the state's fourth graders were proficient or better in math.

Educational performance in many districts and states resembled Lake Wobegon -- the fictional place in Garrison Keillor's "A Prairie Home Companion" where "all the women are strong, all the men are good looking, and all the children are above average." But reality is different.

Local control has always been an essential right of education in America, but there was a growing problem: When different states with different standards and different tests proliferated, we ended up with unreliable measures of how our children are really doing.

A wide and disparate variety of education standards promotes chaos and deception. Realizing this, in 2009, a collaborative involving the National Governors Association and Council of Chief State School Officers began to discuss the need for common standards and accountability. The end goal is that an "A" in math in New Jersey should be equivalent to an "A" in math in Louisiana, or in California, and so on.

So began the coordinated effort from governors, educators and legislators to compose benchmarked standards that would be the same across state lines. The product became the Common Core State Standards. Its genesis was local and its purpose was to lift education performance through state, not federal, collaboration. This was the original intent of the Common Core. It is a worthy and necessary idea.

Unfortunately, outside forces have interfered with or distorted the idea, obscuring its real merits. Federal intrusions such as the Race to the Top grants have not been helpful. Common Core isn't without its problems, but some of have been exaggerated and some have been made up out of thin air. We can't lose sight of the original intent. Should Common Core fail, the movement -- decades in the making -- toward rigorous, common standards would be dealt a serious blow.

While various questions about Common Core and its implementation persist, such as how to handle data privacy or concerns that some of the standards may not be rigorous enough, individual states have the right and ability to craft their own supplemental solutions. For example, this year Ohio passed HB 487 to protect the confidentiality of student data and Florida altered its Common Core standards to include more advanced calculus standards.

Some of the criticisms leveled against Common Core stem from mistakes made in local implementations -- not from a uniform federal mandate. It is ironic that the very thing which many of Common Core's critics value the most -- local control -- has often resulted in curricula, subject matter, readings, and exercises in local classrooms that are objectionable, substandard, or politically tendentious.

If Common Core fails, education reform will regress and American students' flat or falling test results in learning will continue. It must be noted that many of Common Core's critics still lack a persuasive alternative or any alternative at all.

@highlight

William Bennett: Critics of Common Core have lost perspective of its purpose

@highlight

Bennett: The problem is how to address American students' flat or falling test scores

@highlight

He says lack of common standards means inconsistent and unreliable learning results

@highlight

Bennett: Some of its problems stem from local implementations, not federal mandate