Washington (CNN) -- The Supreme Court has gone to the dogs, and at least one justice found the results to be laughable.

The HBO television news satire "Last Week Tonight" found a clever way to illustrate the court's public sessions, which are closed to cameras. Audio of the oral arguments-- where the justices debate the issues with opposing counsel-- is recorded and made available to the public.

The solution-- pair each of the nine robed justices-- as well as the lawyers and court staff-- with a dog (or a duck in one case), with fake paws. It's an exercise in democracy that has to be watched for the full effect.

The work of the court is very important, but the current courtroom setup without cameras is "boring" to the general public, making media coverage "unwatchable," said the show's host John Oliver. But with animals sitting on a mock bench over actual audio of the nine justices, "the video makes it irresistible."

The featured case was from earlier this month, over whether a Muslim prisoner had a First Amendment right to keep his beard for religious reasons, in the face of strict security policies by corrections officers.

"I thought it was hilarious," Justice Ruth Bader Ginsburg said of the dog video at a Washington event earlier this week. "And I imagine my colleagues who have seen it would share that view."

Ginsburg was portrayed as a Chihuahua, complete with glasses.

For the record the other members of the court and their canine counterparts: Chief Justice John Roberts (German shorthaired pointer); and Justices Antonin Scalia (bulldog); Anthony Kennedy (boxer); Clarence Thomas (Rottweiler); Stephen Breyer (beagle); Samuel Alito (Portuguese water dog); Sonia Sotomayor (Boston terrier); and Elena Kagan (bull terrier).

The playfully mocking tone of the skit raises a more serious concern. There have been calls for years to allow cameras in the court, for public benefit. A television ad released in February urged the justices to do just that, saying, "It's time for a more open judiciary."

The biggest concerns raised by the justices are that having cameras will upset the personal dynamic between them that make oral arguments so unique and useful to their later deliberations and opinion-writing.

Most of them-- past and present-- have been opposed to cameras, while denying they operate in "secret." Scalia and the now-retired David Souter have been particularly outspoken. Souter told a congressional panel in 1996 that cameras in the high court would come "over my dead body."

Scalia has said he worried the media would only air tiny snippets of video from a detailed case being argued, thereby giving a distorted impression of what the court does.

"It's news entertainment, and whatever, and they (the media) want 'man bites dog' stories," he has said. "They don't want people to watch what the Supreme Court does over the course of a whole hour argument."

For the record, no man bit any of the dogs in the making of the new video, but one animal was seen drinking sloppily from a glass.

On the bench, the justices wear plain black robes and are referred to by their official title. Off the bench, however, the court's oldest member might prefer a t-shirt and her fresh moniker: Notorious R.B.G.

A hip fan page tribute to the pioneering jurist on the microblogging site Tumblr-- "Ruth Bader Ginsburg in all her glory"-- includes a way to show your admiration-- buy a t-shirt featuring the diminutive Brooklyn native. Ginsburg certainly has.

She told NPR's Nina Totenberg at a New York event earlier this month that she gives them away to friends.

"I think a law clerk told me about this Tumblr and also explained to me what Notorious RBG was a parody on. And now my grandchildren love it and I try to keep abreast of the latest that's on the Tumblr," she said. "I have quite a large supply" of the shirts.

Ginsburg has previously applauded Shana Knizhnik, a law student at New York University, who created the site and the nickname-- a play on the late rapper Biggie Smalls, who was also known as Notorious B.I.G.

It's not the only Ginsburg-palooza floating around popular culture. After her recent sharp dissents in cases involving affirmative action and voting rights gained national attention,activists began placing homemade stickers around the nation's capital, labeled "Can't Spell Truth Without Ruth."

There's even a tribute song on YouTube.

The 81-year-old justice has seen a recent surge in popularity, and-- rare for a sitting justice-- has given a number of media interviews in the past year. She has publicly, but politely, resisted calls from many on the left to step down from the bench now, to give President Obama another chance to enhance his legacy with a justice who might serve for decades.

Justice Scalia, her best friend on the court, has also attracted his share of fan-boy support, with various tribute forums, including http://ninomania.blogspot.com/.

@highlight

John Oliver's "Last Week Tonight" used dogs to illustrate the court's public sessions, which are closed to cameras

@highlight

Dogs were robed to represent each justice on the court while audio from the hearing played in the background

@highlight

Justice Ruth Ginsberg called the video "hilarious"

@highlight

Gingsberg is also a fan of a Tumblr page that sells "Notorious RBG" shirts