As Beijing touts a high-profile crackdown on corruption, experts say it should look south to Hong Kong as an example of a Chinese territory that has succeeded in cutting out the rot.

Four decades ago, Hong Kong was one of the most corrupt cities in the world, according to anti-corruption organization Transparency International.

"I would compare Hong Kong [in the 1970s] to Argentina today," said Ran Liao, the group's senior program coordinator.

Transparency International has only been publishing its Corruption Perceptions Index since 1995 but, had data on Hong Kong been available at the time, Liao said it would have rated at a similar levels not only to Argentina, but Gabon and Tanzania.

According to its latest Corruption Perceptions Index, all three countries score a lowly 35 out of 100, on a sliding scale from 0 ("highly corrupt") to 100 ("very clean.")

Hong Kong, meanwhile, earns 77 out of 100, placing it at number 14 of 176 countries; meaning it's perceived as slightly more corrupt than Germany (13) but less corrupt than the United Kingdom (17) and the United States (19).

How did Hong Kong clean up its act?

Change came to the former British colony following mass street protests after Peter Godber, the then police superintendent, fled the territory while being investigated for alleged corruption.

The outcry led to the formation of the Independent Commission Against Corruption, a government body with wide investigative powers. But the changes weren't only aimed at officials.

"They adopted a three-pronged approach, that means punishment, education and prevention," Liao said.

The education starts at local kindergartens, where characters created by ICAC present children with ethical dilemmas and stories where the honest one always wins.

"We don't teach them about the laws but we teach them about the values," said Monica Yu, executive director of the Hong Kong Ethics Development Centre, an ICAC division.

Hong Kongers 'will never tolerate corruption'

Two generations after adopting this approach against skirting the rules, Yu says there's evidence of a major cultural shift in the attitude of the local Chinese population.

"We measure the tolerance level of the people to corruption, from a scale of zero to 10. Zero means total intolerance and 10 means total tolerance. For the last decade or so, the average was 0.8, 0.7 or so," Yu said.

And this drew Yu to the following conclusion: "Nowadays in Hong Kong, people will never tolerate corruption."

She says the lack of tolerance for rule-breaking reinforces ethical behavior, both in private and public spheres, as violators are named and shamed by their peers.

"Very often people would come forward to ICAC to report corruption, whenever they suspected there was a case. That's a big difference compared with before the ICAC was set up," Yu said.

Liao agreed.

"Before the ICAC there was nobody to think about such a comprehensive way to fight against corruption," he said. When jail is the only remedy for corruption it shows there's another problem: there's no real fight against it.

"Punishment means you have committed the misconduct," Liao said. "Prevention is very important, [the ICAC] talks to different sectors, for example, the banking and the construction sectors."

The ICAC publishes guidelines for business and tries to identify operations with high potential risks. The institution also organizes events to talk about these issues and push the prevention agenda in the business and government sectors.

In that process, employees are told how and to whom to report suspected wrongdoing.

How corrupt is China?

The distaste for corruption in Hong Kong contrasts with the situation in China, which ranks just below Sri Lanka in the Corruption Perception Index -- sharing 80th place with Serbia and Trinidad and Tobago in the ranking of 176 countries.

Its low placing is unlikely to change anytime soon, Liao said.

"In China now, most of the corrupt officials would compete to see whoever received more bribes."

The traditional giving of cash-filled red envelopes during festivals and special occasions has expanded to encompass paying officials for favors, a practice denounced recently by mainland Chinese state media.

Nor will China's recent well publicized conviction of former high-flying politician Bo Xilai on corruption charges change day-to-day realities, said Liao, because stamping out corruption is not simply a legal issue.

"Even today, many of the country's top leaders think fighting corruption means putting people in jail," Liao said.

"People in Hong Kong would take it as shameful to receive bribes," said Liao. China needs "a society-wide change in values," he added.

@highlight

40 years ago, corruption was rife in Hong Kong, experts say

@highlight

Now it's considered one of the least corrupt territories in the world

@highlight

China, however, rates poorly on the index by Transparency International

@highlight

It's in 80th place on the Corruption Perceptions Index, near Serbia and Trinidad and Tobago