Seattle (CNN) -- Carved out of the wilderness of the Pacific Northwest, Seattle started as an outpost for frontiersmen trying to strike it rich in the Gold Rush.

Generations later, industries such as Boeing, Microsoft, Amazon and Starbucks rose up, transforming this frontier town into a cutting edge city and tourist destination. But even in the midst of a modern metropolis you don't have to go far to find incredible natural beauty.

Where can you get the best view of the city?

Skip the Space Needle and its $18 ticket price and head to the viewpoint at Kerry Park, where you can enjoy the city's spectacular scenery free of charge. The park has great views of the needle, the spinning globe on top of the old Seattle Post-Intelligencer newspaper building and ferries busily bringing people across the water to and from downtown.

On clear evenings, photographers line up to get a shot of the sun falling on Mount Rainier. It's stunning.

Which restaurant would you take your loved one to for an anniversary or other special occasion?

Seattle has so much delicious food and so many terrific restaurants that there is no excuse for having a bad meal. My wife, Alex, and I always end up coming back to a tiny place we love called How to Cook a Wolf.

The menu is eclectic with simple but fresh pasta dishes and small seafood plates that are meant to be shared. You get the feeling the cooks are serving what they feel like making. We keep coming back and are consistently blown away.

What is your favorite neighborhood?

A popular T-shirt I often see around Ballard describes the neighborhood as "a sleepy drinking village with a condo problem." While Ballard may have turned trendy, its blue-collar roots haven't altogether disappeared. You can still find salty fishermen occupying well-worn barstools along Ballard Avenue.

At night, many of those same bars are filled with people soaking up the neighborhood's terrific music scene. Ballard's Sunday market is people-watching central as stands are set up to offer freshly caught salmon, pizza from a wood-burning oven on wheels and even advice, from one guy ready to peddle his.

How do tourists stick out, and what's the best way to blend in?

According to locals, only tourists use umbrellas. During Seattle's wet and gray winter, it is somewhat surreal to see people out and about jogging and riding their bikes. But as new arrivals quickly find out, if you wait for nice weather, you can wait here for a long time.

What's the biggest misconception about your city?

Seattle's bad weather is so notorious people believe it pours here nonstop. In reality, Seattle rain is more of a constant drizzle. That combined with the painfully short winter days can sometimes be tough to take.

I have friends who buy sunlamps and take vitamin D to get through the winters. But the winters are soon forgotten when summer rolls around. A long summer day in Seattle with the backdrop of white mountaintops against the deep blue of the Puget Sound is one of the most beautiful sights in the world.

Where do you go to relax?

Just 15 minutes or so from downtown Seattle is Discovery Park, a 534-acre protected oasis of natural beauty. A well-worn path takes you through fern-covered trees to the water, where you might see bald eagles or even whales. That a place so natural and green is able to exist within a city is truly amazing. Don't miss it.

For a weekend trip, there's no better outing than a visit to the Olympic Peninsula. A short ferry ride will take you over to the peninsula, where snow-capped mountains rise from the Pacific Ocean. There are still plenty of wild places to explore there, including the Hoh Rain Forest, where the thick tree cover can fool you into thinking you've wandered into Jurassic Park.

One summer, my wife and I camped on the Olympic Peninsula's Rialto Beach. Just as the sun was setting, a fat seal swam out of the ocean right in front of us and looked as if he was about to come over and dry himself off at our camp fire.

What's the biggest tourist trap? Is there a tourist trap that's actually worth seeing?

Seattle is rightly famous for its Pike Place Market. In the summer when the cruise boats to Alaska are in full swing, it seems like the market is filled to the point of exploding with camera-toting, fanny pack-wearing out-of-towners. But the 103-year-old market survives not just from the tourists but also because legions of Seattle residents keep coming back for the amazingly fresh seafood and produce.

My favorite stop is Pure Food Fish Market, celebrating its 100th year in the market. They may not throw your fish when you buy it, but with scallops the size of your fist, whole salmon and giant lobsters for sale, you'll hardly be complaining.

Where was your most memorable meal?

Just a seaplane or ferry ride away from Seattle are the San Juan Islands, which the U.S. and Canada almost went to war over 150 years ago. The first time I went there, I remember going kayaking and seeing killer whales hunting for salmon just off shore. At one point they swam so near to us, we grabbed onto floating kelp beds to keep out of their way.

That night, still buzzed from the excitement of the seeing these amazing creatures up close, we went to Duck Soup Inn in Friday Harbor. The restaurant is tucked back in the woods. The food -- much of it picked or caught on the island -- is delicious. There were smoked oysters and huge panko-crusted calamari. The meal and the entire day were unforgettable.

Are there local specialty dishes or drinks that visitors must try?

I tell any one who comes to visit me in Seattle that the one thing they have to try is the wild salmon that is readily available here. Friends who say they don't care for the fishy flavor of salmon do not recognize the taste of the fresh fish you eat in Seattle.

You can find plenty of salmon on the menu in the city's fine restaurants, but for me there is no way to better prepare it than on my backyard grill with a little salt and pepper.

What is a good local souvenir?

In Seattle, good coffee is abundant. You don't have to go far to get a cup of it either. In fact, at the drive-through espresso booths, you don't even need to get out of your car!

But then there are the specialty coffee places where the staff is into coffee in a way that borders on scary: holding coffee tastings, traveling around the world looking for the next java flavor and roasting their beans in store.

Victrola Coffee Roasters is one of those places  working to elevate coffee-making into an art form. Bring a bag of local coffee back home with you to extend your visit to Seattle just a little longer.

@highlight

Big industries transformed Seattle into a cutting-edge city and tourist destination

@highlight

The view from Kerry Park is better and cheaper than the Space Needle

@highlight

Seattle's infamous rain is really more of a constant drizzle

@highlight

Pike Place Market offers amazingly fresh seafood and produce