(CNN) -- There are more than 2,500 people serving life sentences without the possibility of parole for crimes they committed when they were juveniles. Some were as young as 13 when they were sent to prison.

In 2010, the U.S. Supreme Court ruled that life without parole for juveniles convicted of crimes other than homicide violated the Constitution's prohibition against cruel and unusual punishment, a ruling that extended the court's logic in its 2005 decision to abolish the juvenile death penalty. In both of these cases, the court held that because adolescents are not as responsible for their actions as adults, they should not be punished as harshly, even for the same crimes.

The court relied in part on the research my colleagues and I conducted for the MacArthur Foundation Research Network on Adolescent Development and Juvenile Justice showing that adolescents are less mature than adults in ways that make them more impulsive, more short-sighted and more susceptible to peer influence, all factors that make them less culpable.

On Tuesday, the court will hear appeals of two cases that ask whether life without parole is an appropriate sentence for juveniles convicted of homicide. Both cases involve people who were 14 at the time of their offense, but their crimes were very different. Kuntrell Jackson was part of a group of boys who shot a store clerk during a robbery of a video store in Arkansas; although Jackson did not do the shooting, he was found guilty of "felony murder," because he was part of the group that committed a felony during which someone was killed.

The other plaintiff, Evan Miller, carried out a brutal murder of a neighbor in Alabama whom he and another teenager robbed, beating the victim to death and later returning to the crime scene and setting the victim's trailer on fire to cover up the crime.

The contrast between the crimes, as well as the youthfulness of the juveniles in question, creates many possible alternatives for the justices to contemplate. The court could extend the logic of its previous decisions and ban life without parole for juveniles unequivocally, on the grounds that even the most heinous crime doesn't magically turn a 14-year-old into an adult.

On the other hand, the court could decide that "death is different" and rule that life in prison is an appropriate punishment for someone who has committed murder, regardless of his age. In between these two extremes are numerous middle grounds.

They include banning life without parole for juveniles convicted of felony murder but not other types of murder; banning life without parole for youths 14 and younger, but leaving undecided the constitutionality of this sentence for older teens; permitting life without parole for juveniles as an option but prohibiting it as a mandatory sentence, as it now is in about two-thirds of states that permit it; and various combinations of these alternatives.

Opinion: Why are millions of Americans locked up?

The argument in favor of life without parole for people convicted of murder is that the sentence is necessary to deter crime, protect public safety and remove from society those who are thought to be incorrigible.

It is hard to see how this logic applies to Kuntrell Jackson, who had no history of violent crime, who was serving as a lookout during the robbery, and who did not personally murder anyone. A 14-year-old boy in the presence of his peers will often do foolish and dangerous things, and the sort of behavior Jackson exhibited is far more likely to be indicative of transient adolescent immaturity than deep-seated depravity.

It is harder to generate sympathy for Evan Miller, given the heinousness of his crime, but there are ways to punish him and protect the public without precluding the possibility of his rehabilitation.

There is no scientific evidence that sentencing juveniles to long prison sentences deters other adolescents from committing crimes, because the same immaturity that leads teenagers to do impulsive and reckless things makes them unlikely to think far enough ahead to be deterred by the prospect of a serious punishment.

More importantly, we are simply not good enough at predicting the behavior of a 14-year-old, even one who has committed a grisly, violent offense, to say with any certainty that he is beyond redemption.

Rather than commit now to spending millions of dollars keeping Miller locked up for life, a parole board can evaluate Miller after he has matured into adulthood and decide whether and when it is appropriate to return him to the community.

Ending life without parole for all juvenile offenders is the sensible thing to do.

The opinions expressed in this commentary are solely those of Laurence Steinberg.

@highlight

Laurence Steinberg: More than 2,500 serving life without parole for crimes done while juveniles

@highlight

He says high court considering whether this is appropriate in homicide convictions

@highlight

He says there are better options than life sentences; immature minds may be rehabilitated

@highlight

Steinberg: Ending life without parole for all juvenile offenders is sensible