(CNN) -- There are dueling narratives in the death of Michael Brown: one says he was holding his hands up in surrender as officer Darren Wilson shot him, and the other says Brown was the aggressor, and Wilson shot as Brown was rushing toward him.

Investigators will certainly use high-tech tools to try to get to the truth, but they'll also use a tool as old as the ancient Greeks: the autopsy.

Three autopsies have been done on Brown's body: one by St. Louis County; one privately commissioned by the family and one performed Monday by medical examiners from the U.S. military.

Detailed findings in the private autopsy -- but not from the other two -- have been released. Based on the circumstances of the case, here are three areas the pathologists likely gave close scrutiny.

1. Signs of struggle

A friend of Wilson's called into a St. Louis radio show to say that Brown "bum rushed" Wilson and punched him in the face. CNN confirmed that account matches the one Wilson told authorities.

But lawyers for the Brown family say the autopsy they commissioned showed no signs of struggle.

To look for signs of struggle, pathologists pay special attention to the hands, forearms, feet and shins, looking for signs of abrasions, cuts and bruises.

A bruise on the knuckles might indicate the deceased threw a punch, but a bruise would only show up if the punch was pretty hard, according to Dr. Pat Ross, a forensic pathologist in Newberry, South Carolina.

And it would be hard to tell whether the bruise was from a fight with Wilson or from something else.

"You really can't date a bruise exactly," Ross said. "It may have happened two hours ago or five days ago."

Pathologists also look for another person's DNA under the fingernails to help determine whether the deceased person would have scratched the other person during a struggle.

2. The bullet wound at the top of Brown's head

The family-commissioned autopsy showed Brown was shot at the top of his head.

"That bullet went in there and came out near the eye area," family lawyer Daryl Parks said at a press conference. "It supports what the witnesses said about him trying to surrender to the officer. His head was in a downward position."

Ross said it's possible Brown was surrendering, but he might have been bent over for other reasons, too: he might have been crouching to dodge bullets or he might have been slumped over because he was weak from his wounds, or he might have been making an attempt to rush at Wilson with his head down.

Brown was shot at least six times, all to the front of his body, according to the preliminary results of this autopsy. Four bullets went into his right arm, and he was shot twice in the head.

3. Gunshot residue

Wilson's friend who called into the radio show said that during the fight inside the officer's car, both men grabbed for the officer's gun and it went off.

Dr. Michael Baden, the forensic pathologist hired by the Brown family, said there was no gunshot residue on Brown's skin surface, so at the time the gun went off it was at least a foot or two away.

But he added that his team hadn't had the opportunity to examine Brown's clothing, which might have filtered out any gunshot residue.

'An autopsy is a snapshot'

One crucial question an autopsy alone can't answer is whether someone was standing still when he was shot or was moving toward the shooter -- and if he was moving at what speed.

"An autopsy is a snapshot," said Dr. Eric Mitchell, a forensic pathologist in Kansas City, Kansas. "And like a snapshot of a ball in midair, you can't tell if it's going up or coming down, or how fast it's going up or down."

To answer that question, more details from the investigation are needed.

"It's uncommon for an autopsy to give you all your answers," Mitchell added -- even though crime shows on TV often make it look like autopsies answer all questions with illuminating "aha" moments.

"My mother-in law-loves those shows, so I've been forced to watch them, but that's just hokum," he said.

CNN's John Bonifield and Matthew Stucker contributed to this story.

@highlight

Three autopsies have been conducted in Michael Brown's death

@highlight

Pathologists looking at signs of struggle, wounds and gunpowder

@highlight

Autopsies can provide valuable information to investigators

@highlight

But it's uncommon for them to provide all the answers, expert says