(CNN) -- As this election season unfolds, we are watching an age-old dream in politics go horribly smash. It isn't good for politics, and it sure isn't good for the country.

President Franklin Roosevelt helped to fire up the dream during his second term in office. Coming off a massive landslide in 1936, he believed that it would be far better for governing if the Democrats became the liberal party and Republicans the conservative one. In the 1938 congressional elections, he barnstormed across the South trying to purge the Democratic Party of several incumbent conservatives. His efforts backfired -- the incumbents won and were sore at FDR -- but the dream became a staple of politics.

In 1950, for example, in one of the landmark studies in political science -- one still read today by undergraduate majors -- some of the best minds of the day argued strongly that the nation would benefit from more ideologically "coherent" parties: that things would be better if Democrats stood firmly for a liberal ideology and Republicans for a conservative one.

That way, people would have clear choices, they would know what they were voting for, and they could count on their party delivering if it were in power. "Shoo out those racially suspect Sunbelt conservatives from Democratic ranks and those lily-livered Northeastern liberals from the GOP. And maybe some of those moderates, too." So the thinking went.

Well, in recent years, we have seen the dream come true. And guess what? It is producing a mess. As each of the parties has moved toward ideological purity, our politics have become ever more polarized, our governing ever more paralyzed. Extremists increasingly run the show.

This campaign season is pointing toward a rough road ahead after the November elections. Yes, it is true that in selecting a presidential candidate, both parties have chosen men who on the surface seem moderate centrists. But each of the candidates has decided that in order to win, he must first stir up his ideological base.

Would Mitt Romney have endorsed the Paul Ryan budget, a hard line against immigration and a condemnation of Planned Parenthood if he were not trying to prove that he's a "severe conservative"? Meanwhile, Barack Obama has moved left, pushing taxes on the rich, piling up trillion-dollar deficits and bashing the same Republicans he would have to work with in a second term.

One can see these trends in harsher relief amid campaigns for the Senate and House. Olympia Snowe, a moderate and much-beloved GOP senator from Maine facing her first primary challenge, is retiring because of a lack of bipartisanship and mechanisms to find "common ground."

Sens. Richard Lugar and Orrin Hatch -- both stalwarts of the GOP who have committed apostasy by trying to work across party lines -- face primaries this season that imperil their survival: A poll Thursday morning found Lugar down 5 points to a tea party-backed challenger in Indiana, and Hatch failed to secure a 60% supermajority at his party's convention in Utah, sending his race to a primary. Only two years ago in Utah, another stalwart Republican who had worked with Democrats, Bob Bennett, was deposed by an ideologically purer primary challenger.

In the House, meanwhile, the once-robust cadre of "Blue Dog Democrats" -- moderate to conservative members of the liberal party -- has been winnowed out, with two more members (Reps. Jason Altmire and Tim Holden of Pennsylvania) defeated in primaries this past Tuesday by opponents from their left flanks.

As of 2010, there were as many as 54 Blue Dogs, but the midterms knocked their caucus down to 26. With retirements and primaries, that number will probably be well below 20 by next January -- an effect that further turns Democrats into the party of the left.

Some activists -- conservative Grover Norquist among them -- argue that over time, this purification will be good for the U.S. But so far, the task of governing has gotten much tougher, and what little trust is left among the parties is evaporating. As the parties become more ideological, it's easier to demonize the other side and harder to rationalize working with it -- both to your colleagues and your constituents. Woe to be you in your next primary if you have consorted with the enemy.

Under heavy pressures for party conformity, legislation by nature becomes a more partisan undertaking. Hard to believe it now, but big programs like Medicare and Medicaid in the 1960s, or tax and Social Security reform in the 1980s, passed with broad bipartisan support.

Our latest legislative achievements, on the other hand (think health care, the stimulus or Wall Street reform), have been almost entirely driven by one party. More often than not, gridlock and obstruction soon follow. As scholar Bill Galston has wisely noted, it becomes "a zero-sum mentality: if they win, we lose."

As Galston and others have theorized, all this sniping saps the public's trust in the government, but it does something equally insidious, too: It saps trust between the parties, completing the vicious cycle and making compromise even tougher.

So it's crucial to bolster the men and women of courage in politics: the ones who can act as ambassadors between these increasingly dug-in parties and who can kindle that small flame of trust that has almost gone out. Sens. Lamar Alexander (R-Tennessee) and Mark Warner (D-Virginia) and a handful of others, for example, have launched laudable work on this count in the Senate, pulling together small, quiet dinners with legislators from both sides of the aisle who are strong in principles but equally strong in their commitment to moving the ball forward for the country.

Getting by on the little victories can help restore health to the process, too. The Congress coming together on patent reform at the end of 2011, the JOBS Act in early April and (potentially) on extending low interest rates on student loans in coming days may seem like small potatoes, but these compromises can be confidence builders. Like water over a stone, they can slowly but steadily wear away some of the mistrust and acrimony.

Franklin Roosevelt was right on many big things, but on this one, he was dead wrong.

The opinions expressed in this commentary are solely those of the authors.

@highlight

From FDR in the 1930s on, some have argued that parties should be polarized

@highlight

We're seeing consequences of Dems as liberal party, GOP as conservative one, authors say

@highlight

They say this has led to gridlock and the loss of talented leaders who can work with other party

@highlight

Gergen, Zuckerman: Obama, Romney have been firing up ideological base of their parties