Bekaa Valley, Lebanon (CNN) -- Tucked between snow-topped mountains, Lebanon's Bekaa Valley is home to dozens of ramshackle camps housing Syrian refugees who have little to protect them against the cold.

It was the image of children with no shoes in the bitter winter and mud that Hala Habib Qiblawi, a designer and mother of three, couldn't get out of her mind over the past year.

"It was the first thing ... the only thing that stayed in my head," she says.

This year, she decided to do something about it.

She was in the process of organizing her campaign, procuring winter boots for children, when Lebanon was hit by one of its coldest spells and harshest storms in memory.

That's when Qiblawi realized she wasn't the only one who felt compelled to do something.

"Everybody was so angry, angry at the government, angry at the silence," she says. "Everybody was thinking of the refugees. And seeing that anger -- and I myself worried and angry -- I launched it."

She started a Facebook campaign, "Rain Boots for Syrian refugee children," with a target of 2,000 pairs of boots. The response stunned her. She achieved her goal within the first 24 hours, ending up with thousands more pairs.

And the boots keep coming.

"It's like really seeing, realizing that there is still humanity on earth, especially in this part of the world," Qiblawi says.

Helping to organize the distribution is Sawa for Syria, a nongovernmental organization started over coffee with friends by Rouba Mhaissen, a 25-year-old Lebanese Syrian.

A Ph.D. candidate living in London, Mhaissen came back to Lebanon two years ago for a visit and just couldn't leave.

"The number of refugees has reached a ceiling of 2 million in Lebanon with a complete chaos in NGOs, a complete lack of institutional coordination. So grass-roots organizations like us and many other initiatives are taking the lead to try and do something, but still the need is very very high."

Sawa for Syria now has some 2,000 members, all volunteers, and helps manage and distribute aid to camps across the Bekaa Valley.

Among those waiting for their boots on this day is a group of friends that clamors around us.

Amina, 9, shows off how she can write her name in English. The other girls chatter about wanting to go back home to Syria.

But Suzanne, a 5-year-old with large brown eyes, stays silent as she slips her hand into mine, clutching it tightly.

The older boys tell us her father is dead, killed by a sniper in Homs as he was riding a minibus. One of her brothers is missing in Syria, presumed detained by regime forces; another is still recovering from injuries after an artillery strike.

We wade through the sticky mud to her family tent. She and her sisters show us where they shoved cardboard into the makeshift ceiling to absorb the rainwater.

Outour, Suzanne's 13-year-old sister, hasn't been able to register in school. Over the summer she and one of her brothers worked in the fields. Without a father, it's the children's burden to help make ends meet.

As we chat their mother arrives, her face etched with pain, eyes weary.

"My eldest, her husband died recently too. They had three kids," she says, her heart so broken she seems numb to it all. As for so many other Syrians, hardship and pain are the norm.

In another world, Outour says, she would have continued her education -- she wants to be a journalist. One of her younger sisters wants to be a dentist, and Suzanne says she wants to be a doctor. But these children know the harsh reality of life too well.

At least while they are getting fitted for their boots and showing us what they ended up with, there are those brief smiles and giggles.

"Sometimes you feel like no matter what you do, you are just doing 1% of the need," Mhaissen says. "But at the same time when you see a child smiling, a mother happy that her son got something, those moments do count."

As Qiblawi says one of her friends put it: "It's like giving them a Cinderella moment. It's true -- seeing the happiness on the children's faces, with dignity, they were all so proud and dignified."

@highlight

Syrian children in refugee camps in Lebanon lack basics to get through harsh winters

@highlight

Hala Habib Qiblawi organized a Facebook campaign to get rain boots for children

@highlight

Within 24 hours she had thousands of pairs of boots, and more keep arriving

@highlight

"There is still humanity on earth, especially in this part of the world," Qiblawi says