(CNN) -- The death toll from a cholera outbreak in Haiti has risen to more than 150 confirmed deaths, according to health officials with the U.S. Centers for Disease Control and the U.S. Agency for International Development.

At a joint news conference held Friday, Dr. Rob Quick and Dr. Carleene Dei discussed the outbreak and efforts to work out a containment strategy.

The CDC will send an 11-member team to Haiti over the next few days to find out which antibiotics will be most effective in treating the cholera outbreak.

US AID will provide supplies needed to set up treatment centers. The group has already prepositioned 300,000 oral re-hydration kits and are distributing water purification kits in affected areas.

Officials also confirmed that all the reported cases are in the Artibonite and Central Plateau regions, north of Port-au-Prince. They said they're working to contain the outbreak there and prevent its spread to the densely populated capital.

Chaos reigned acrooss the Artibonite and Central Plateau regions Friday, as hospitals overflowed with people rushing to get help from the fast-moving cholera outbreak.

Eric Lotz, Haiti's national director for the nonprofit Operation Blessing, described a "horrific" scene outside St. Nicolas hospital, the main medical facility in the city of St. Marc, as patients and their family members fought to get care.

"There was bedlam outside the gate," said Lotz. "Inside (the hospital), every square inch is covered with people."

Some people waited 24 hours or more to get help outside the hospital, many of them on stretchers, said Terry Snow, Haiti director for the nonprofit Youth With a Mission.

Snow said he tried to take one man with cholera to various clinics, only to end up at St. Nicolas hospital and be told that it was full. The man died soon thereafter in the back of his truck, he said.

"It's very chaotic," Snow said of the scene in St. Marc and more rural agricultural areas nearby. "People are trying to figure out what to do. People are lost."

Sandrellie Seraphin, who works for Partners in Health and the Clinton Foundation, visited the hospital Wednesday.

"It's terrible," she told CNN by phone, describing the crowds of people trying to get help. "There's a great fear among the people" about the disease.

1,526 people have been sickened in the outbreak, said Imogen Wall, the U.N. humanitarian spokeswoman in Haiti.

This comes after recent heavy rains caused the banks of the Artibonite River to overflow and flood the area. Dammed in 1956 to create Lac de Peligre, the Artibonite River is Haiti's dominant drainage system, according to the U.S. Library of Congress.

Snow said that "constant miscommunication and confusion" have hindered aid efforts, though he expressed hope things may improve Friday as more help comes in.

On Friday, Haitian Prime Minister Jean-Max Bellerive called the cholera outbreak "unprecedented" and said authorities were working with the Centers for Disease Control and Prevention to understand what happened.

"We have to determine ... where (the cholera) came from," he said.

Cholera is caused by a bacterial infection of the intestine and, in severe cases, is characterized by diarrhea, vomiting and leg cramps, according to the U.S.-based Centers for Disease Control and Prevention. In such cases, rapid loss of body fluids can lead to dehydration and shock. "Without treatment, death can occur within hours," the agency says.

A person can get cholera by drinking water or eating food contaminated with the bacteria. During epidemics, the source of the contamination is often the feces of an infected person, and infections can spread rapidly in areas where there is poor sewage treatment and a lack of clean drinking water, according to the CDC.

"If the environmental conditions are not right, anybody who ingests that food or water can get ill," said Dr. William Schaffner, a professor of preventive medicine at Vanderbilt University in Nashville, Tennessee. "This is the disease that can cause more severe dehydration than any other."

All the reported cases in the Lower Artibonite involve severe diarrhea and vomiting, Wall said.

Ian Rawson, director of Hopital Albert Schweitzer Haiti near Verrettes, said patients began showing cholera-like symptoms Saturday. The pace picked up significantly Tuesday and beyond, though he said the situation was under control Friday at his 80-bed facility about 16 miles east of Saint Marc.

"So far, we've been able to manage it," Rawson said, noting that new patients were now coming in via pick-up trucks about every 10 minutes.

Temperatures in the mid-90s exacerbated the dual concerns about dehydration and people contracting cholera by drinking tainted water. People lined roadsides in and around villages with buckets, according to Lotz, hoping that passerby might have clean water.

He said that his organization on Thursday helped install one water filtration unit, capable of providing 10,000 gallons of clean drinking water, and planned to install another two Friday. But some parts of the impoverished nation remained out of reach, he said. One village had been totally cut off by floodwater.

Operation Blessing was among many nonprofit organizations, nations and international bodies in the region offering help. In a State Department briefing Friday, spokesman P.J. Crowley said members of several U.S. agencies were "on the ground" to facilitate and provide clean water and ensure sound sanitization. U.N. staff, too, have sent tents and rehydration supplies to the region, Wall said.

Haiti is still trying to bounce back from a catastrophic 7.0-magnitude earthquake on January 12 that destroyed much of the capital city. The U.N. mission in Haiti credited access to clean water and free medical facilities for preventing feared outbreaks of cholera and tuberculosis.

But Snow said he has noticed a rise in new illnesses -- from skin infections to flu-like viruses -- in the region since tens of thousands of people moved to the area after the earthquake and the opening of a new canal off the Artibonite River.

Whatever the cause, Lotz said the scene this week at hospitals in and around St. Marc eerily resembled what happened in Port-au-Prince after the colossal quake.

"It's the same scene, without the wounds, just the same numbers of people inundating the hospital," said Lotz, who was in the Haitian capital last January.

CNN's Azadeh Ansari and Alanne Orjoux contributed to this report.

@highlight

NEW: Death toll has risen to more than 150 in cholera outbreak

@highlight

NEW: CDC, US AID coordinating relief teams and supplied to combat outbreak

@highlight

NEW: Outbreaks confined to region north of Port-au-Prince

@highlight

Scene at one hospital: "There was bedlam outside the gate"