You've heard of crowdfunding -- raising funds through donations on the internet -- well, get ready for "like" funding.

An enterprising new startup in Hong Kong has devised a way of harnessing Facebook "likes" as a way of getting valuable donations to worthy causes and, at the same time, boosting the corporate social responsibility profile of the companies that provide the cash.

Called Likefunding.me, the small team in Hong Kong's Science Park district -- the city's answer to Silicon Valley -- works to bring good stories and brands together.

Co-founder Kelly Yim -- a former actuary with a major bank -- left her job to devise a system that would benefit charities, creative projects and social enterprise projects.

"We want to rally supporters to share interesting stories on creative projects that carry a sponsor's logo. Through this sharing we can generate a measurable media exposure for corporate sponsors," Yim said, adding that sponsors get their corporate logo embedded with the story which appears whenever the project is 'liked' or shared.

"We know creative projects have the capacity to go viral -- just look at the potato salad project. We want to devise a system that allows people with these kind of projects to monetize their media exposure," she added.

With corporations donating a purse of a maximum of between $1,500 and $2,000, internet users can choose from a menu of projects to "like." Each "like" will typically give the project around $HK2 and each "like" will carry the backer's brand logo.

"What we do is match-make creative projects with corporates," explained Yim. "We have a database of different projects currently from Hong Kong and then we have contact with the corporate sponsors.

"After we match-make them based on their corporate social responsibility objectives, we provide a web link for the creative projects, which is for their supporters to share the story with a different Facebook circle."

Using a simple embeddable button on the project, all supporters have to do is click the button to make a mini-donation.

The business model for Likefunding is similar to crowdfunding models where the company takes 10% of the successful funds raised.

For a company that only filed its invention patent five months ago and had a beta-launch in August, it already has more than a few successes under its belt.

One in particular was a Hong Kong school principal who quit his job to start a charity organization to provide free tutorials to underprivileged children.

"In a matter of just six hours, he generated 5,000 'likes' and 8,000 shares," Yim said. "The result was quite impressive because the media exposure that project created was probably worth more than the exposure he got through Hong Kong's mainstream press."

Other projects include work with abandoned animals and medical projects in China.

"The ultimate objective is to make it like an advertising platform -- corporates can come to us, find the projects they want and at the same time their investment can be supporting interesting initiatives," she said.

Good stories, she says, have the capacity to go viral and can be worth more to corporations than the equivalent in advertising.

While there is a cap on the corporate donation so that a compelling and viral story does not sink its benefactor with Facebook "likes," Yim said that a donation of around $2,000 can make a big difference to a small charity.

As for Likefunding, the company is looking to break even after next year.

Yim said that while many startups founder within a year, she has high hopes for the group she helped to set up. More than anything, she said, a startup needs money and it needs publicity when it starts out.

She believes the Likefunding model has the capacity to deliver both. Meanwhile, its most difficult task at the moment is educating a skeptical industry.

Digital media specialist Napoleon Biggs said the model was, as yet, largely untested.

"I'm really not sure if people are prepared to have sponsors ride their posts in exchange for funding a project. I guess if it's a cause that you believe in, why not," he said.

For Yim, however, the whole thrust of Likefunding is getting corporates to put their money where their Facebook "likes" are.

"It takes a lot of perseverance to get corporations to invest in this type of creative project -- it'll at least take a year to educate them," Yim said, adding that the group have now set their sites on China as its next frontier and is already investigating a tie-up with the mainland digital giant Sina Weibo.

Read this: The 10 hottest startups rights now

Read this: The apps taking China by storm

More from Virtual Think Tank

@highlight

Likefunding uses Facebook likes to fund charitable and creative projects

@highlight

Corporations pledge a fund of money that friends can draw from when they 'like' a project

@highlight

Corporations get their logo on the project and gain valuable publicity