The deafening roar of state-of-the-art warplanes being catapulted into the air from its huge flight deck signaled that the USS George Washington was back in combat mode after its recent detour to the Philippines to take part in the aid effort in the wake of Super Typhoon Haiyan.

Barely a week on and the 90,000-ton Nimitz-class aircraft carrier is now patrolling waters off the island of Okinawa as part a huge naval exercise -- AnnualEx 2013 -- involving dozens of warships, submarines and aircraft from the U.S. Navy's 7th fleet and the Japan Maritime Self-Defense Force (JMSDF).

The aim? To provide a stern test of their ability to effectively and mutually respond to the defense of Japan or to a regional crisis or contingency situation in the Indo-Asia-Pacific region, according to the U.S. Navy.

But this year's war games have taken on an added dimension given the high-pressure atmosphere in the region at present -- they take place in the shadow of a controversial new Air Defense Identification Zone announced by the Chinese last weekend.

This zone, which incorporates among other areas an East China Sea island chain at the center of an acrimonious tug of war between Tokyo and Beijing, requires that all military aircraft in the area must report their flight plans to China, maintain two-way radio and clearly mark their nationalities on the aircraft. China has warned it will take "defensive measures" if their orders are ignored.

'Steady as you go'

The commander of the U.S. 7th fleet, Vice Admiral Robert L. Thomas, appeared relaxed about the situation while addressing a group of reporters aboard the USS George Washington. He said while China's air defense zone did not appear to be "well thought out" given the overlap with both Japanese and South Korean territorial claims, he did not think U.S. military activity in the region would be negatively affected.

"We are going to continue with our operations in international airspace as we always have," he said. "It's about international norms, standards, rules and laws. When anybody makes an extreme claim it is really an imperative that the international community can continue to operate in accordance with international law and not be distracted.

"So for us it's 'steady as you go.' Our operations in the East China Sea will continue as they always have."

'Profoundly dangerous'

Japan, which administers the largely uninhabited island chain -- known as Diaoyu by China and Senkaku by the Japanese -- has described China's move as "a profoundly dangerous act that may cause unintended consequences in the area," while U.S. Secretary of State John Kerry said "this unilateral action constitutes an attempt to change the status quo in the East China Sea. Escalatory action will only increase tensions in the region and create risks of an incident."

China has rebuffed any criticism by stating that its action is not directed at any one in particular, and that other countries -- including Japan -- have established similar control zones in the past.

In recent months, both sides have been involved in a dangerous game of "cat and mouse," prompting fears that any miscalculation could set the two Asian powers on a collision course -- with the United States likely to be dragged into such a conflict to defend its Japanese ally. Tokyo says it has twice scrambled fighter jets this month after Chinese aircraft appeared on course to enter its airspace. For its part, China lodged a complaint after it said a Japanese warship recently entered waters where the People's Liberation Army (PLA) Navy was holding live-fire drills, noting "the provocative move may have led to unexpected emergencies."

Meanwhile, China's first aircraft carrier, the "Liaoning," set sail this week from its home port of Qingdao in eastern China. According to the PLA Navy's website, it will head for the South China Sea to "conduct scientific experiments and military training." This course would take it through the East China Sea accompanied by four other warships.

Restraint

Yet with so many potential flashpoints in the region, Thomas is optimistic that conflict will be avoided. He pointed to the professionalism shown by the armed forces on all sides in the region as the basis for this confidence.

"The South Koreans have shown great restraint with regard to North Korea and those severe provocations, while the Japanese Self Defense Force has also been very measured," he said. Significantly, he pointed to China's development of a "world class" navy, with a level of professionalism that matches its improving infrastructure.

"The more confident they become in their own capabilities, then this will actually 'depressurize' the situation," he said. He added that the People's Liberation Army Navy was no longer an unpredictable, conscription-based force training only at certain times of the year.

He said the PLA Navy was now showing signs of being able to operate far beyond its own waters, carrying out missions -- such as anti-piracy patrols -- that could make it a useful and responsible global operator.

Humanitarian challenge

With F-18 fighters taking off and landing almost every few minutes, it was easy to forget the role the carrier played in the Leyte Gulf more than a week ago. Many of its fighter jets were flown back to Japan to make room for more helicopters able to ferry in supplies to remote areas of the Philippines in the wake of Super Typhoon Haiyan.

"The ship became a 'lily pad' for relief operations," said the carrier's commander, Rear Admiral Mark Montgomery. "This is something we'll train more for," he added, citing the need for a modern navy to be able to adapt to an increasingly diverse range of challenges and missions within its theater of operations.

"It was humbling to be able to take part in the extraordinary humanitarian effort in the Philippines."

Yet the sight of dozens of warships in tight formation in high seas off Japan was another reminder of how serious the U.S. and Japan are taking the threat to regional security -- undeniably their biggest challenge.

@highlight

USS George Washington in huge naval exercise -- AnnualEx 2013 -- off Okinawa

@highlight

CNN reporter aboard carrier as dozens of warships, subs and aircraft take part

@highlight

This year's games held against backdrop of tension after China imposes new air zone

@highlight

China announced a new Air Defense Identification Zone, angering U.S. and Japan