(CNN) -- Seeking to stem what it calls media "misinformation," Florida State University has broken what it calls its "deliberate silence" about the way it has dealt with sexual assault allegations that were raised against star football player Jameis Winston nearly two years ago -- allegations that he denies.

In an open letter sent Friday "to members of the Florida State University community" and the media, the university said it decided to share a time line of the case and the university's responses.

The reason for providing more detail, the letter stated, was "the continual drumbeat of misinformation about the University's actions (that) causes harm to our students, faculty, alumni, supporters and the FSU community as a whole."

The letter does not mention Winston by name, nor does it specify which facts of the case have been misrepresented in news reports. Previously, the university would not comment on the investigation, citing state and federal student privacy laws.

FSU is conducting a Title IX investigation concerning an allegation that Winston, sexually assaulted a woman in a Tallahassee bar in December 2012. The accuser reported the alleged assault to campus police that night, and a month later accused Winston of the alleged rape.

Police said the woman "broke off contact" with investigators in February 2013 and didn't want to go forward with the case. However, the Title IX investigation is required by law even if criminal charges were not filed.

Winston could be charged by his university for a code-of-conduct violation for sexual misconduct, depending upon the results of the school's investigation.

Meanwhile, Winston, aside from a one-game suspension earlier this season for yelling a sexually explicit remark near the school's student union, continues to play for the Seminoles, who are undefeated and ranked No. 1 in the polls. Winston won the Heisman Trophy, the award for college football's most outstanding player, while guiding the Seminoles to the national championship last season.

FSU shares details of Winston case

Among the main points in FSU's time line:

-- The university said the FSU athletics department learned of the allegation against Winston in January 2013. Winston came forward to the department after a Tallahassee police detective contacted him about the allegations.

-- The athletics department heard accounts from Winston and two other players who were present during the alleged encounter, and all three players said the event was consensual, the university said.

-- The university says the athletics department did not initially file a report with the school's Title IX administrator because police filed no charges, and because of the players' accounts, in which they said no sexual assault had taken place.

-- The university says it took several steps to protect the woman's identity and privacy.

-- A Title IX investigation was eventually opened after media inquiries were made into the incident, and local law enforcement had referred the case to the state attorney's office.

"The University takes sexual assault very seriously," the letter states. "The University is also cooperating fully with the U.S. Dept. of Education investigation into this matter. Indeed, it was the University that informed the DOE nearly six months ago about the Athletics Department knowledge of the case."

John Clune, an attorney for the accuser, said in a email to CNN that the "obvious news in this statement is that senior athletic department officials met with Winston and his lawyer one month after" the alleged incident, "then decided to hide it from the Title IX office."

Clune said the university's "PR team is trying to do a little preventative damage control" in anticipation of more negative media reports.

"What else can the school do wrong in this mess?" Clune said. " The whole country is moving toward improving the response to campus rape while Florida State still backpedals the other way."

FSU not alone in troubles

FSU is one of several universities under federal review for their handling of sexual violence and harassment complaints.

Roughly 150 miles away in Gainesville, University of Florida quarterback Treon Harris was briefly suspended after being accused of sexually assaulting a female student early Sunday morning in a campus residence hall.

The student who accused Treon Harris of sexual battery has withdrawn her criminal complaint, the school said. That means she is not pursuing criminal charges against him now, though she may in the future.

"We have been notified that the university and legal process is complete," head coach Will Muschamp said in a statement. "Treon has been reinstated to the team, but he will not play Saturday. This has been a learning experience for everyone involved. Treon has been honest with me throughout the process and is looking forward to rejoining his teammates."

Harris' attorney, Huntley Johnson, said his client is not guilty of a crime, according to multiple news reports.

The University of Kentucky has indefinitely suspended freshman defensive end Lloyd Tubman after he was charged with rape. The school's athletic department announced the suspension Tuesday.

Tubman pleaded not guilty Wednesday and was released on a $10,000 bond, according to The Courier-Journal newspaper in Louisville. He is due back in court later this month.

"Obviously, I'm very concerned about the allegations and all parties involved," Kentucky head football coach Mark Stoops said Tuesday. "We're working extremely hard to develop quality young men on and off the field. We will continue to cooperate with the local and campus authorities while the process takes its course."

Winston accuser did not press charges

According to police documents in the Winston case, the accuser said the athlete raped her in December 2012 after she had been drinking with friends at a bar in Tallahassee. She said an unknown man gave her a shot glass of liquid before they left the bar.

The accuser also said she did not remember much of what happened next but that she remembered being in a ground-floor apartment, where a man took off her clothes and had sex with her despite her objections, according to police documents.

The accuser reported the alleged assault to campus police that night. A month later, in January 2013, she accused Winston of the alleged rape.

Tallahassee's interim police chief at the time, Tom Coe, said the woman "broke off contact" with investigators in February 2013 and didn't want to go forward with the case. The woman's family said a detective warned her attorney that Tallahassee is a "big football town" and that life could be miserable if she pursued the case.

Tim Jansen, an attorney for Winston, said his client had consensual sex with the woman.

After Winston won the Heisman Trophy, the Seminoles went on to win the BCS National Championship against Auburn in January. Winston spent this spring playing for the Florida State baseball team, until April when he made headlines again for allegedly shoplifting crab legs from a supermarket in Tallahassee. According to police, Winston said he forgot to pay. Winston was suspended from the baseball team for four days.

As part of a civil citation for alleged shoplifting -- an alternative to criminal prosecution for first-time, nonviolent offenses in Leon County -- Winston was not arrested but was ordered to serve at least 20 hours of community service, authorities said.

Florida State initially announced Winston would be suspended for the first half of the game against Clemson after the sexual remark. However, Athletics Director Stan Wilcox increased the punishment the day before the game after hearing eyewitness accounts that differed from Winston's initial version, a source close to the situation told CNN's Rachel Nichols.

@highlight

FSU issues an open letter detailing its investigation of the case

@highlight

The school says it's trying to clear up "continual" misinformation

@highlight

Winston is accused of sexually assaulting a woman in December 2012

@highlight

He denies the allegation and has not been charged