(CNN) -- As the Russian hockey team imploded, Kiev exploded.

Protests against Ukrainian President Viktor Yanukovych's administration had turned deadly, and Ukrainian athletes at the Olympics in Sochi, Russia, wanted to wear black armbands to commemorate the dead. Initial reports indicated the International Olympic Committee declined the request.

Later, when a few Ukrainian athletes indicated they were leaving Sochi in solidarity with the protesters, IOC spokesman Mark Adams told reporters the decision against the armbands had been mutual, and the Ukrainians instead opted to observe a moment of silence in the Olympic Village: "They weren't forbidden to wear armbands. ... They discussed what should be done, and they reached the conclusion there were other ways of marking this moment."

The muddled situation is par for the course when it comes to politics and the Olympics, where the positions of the Olympic committee are often contradictory. Already in Sochi, the IOC told skiers they could not wear helmet stickers honoring the late Canadian halfpipe skier Sarah Burke, and Norway could not wear black armbands to memorialize an athlete's brother who had trained with the team. To support such decisions, the IOC trots out Rule 50 of the Olympic Charter: "No kind of demonstration or political, religious or racial propaganda is permitted."

And in 2012, the IOC denied the Israeli delegation's request for a moment of silence in the opening ceremony to commemorate the 40th anniversary of the massacre in Munich, substituting instead a private ceremony -- but it had allowed a tribute in the ceremony to the victims of the London bombing attacks in 2005. And at the last Winter Games in Vancouver, the Georgian delegation was allowed to wear black armbands in the opening ceremony to honor luger Nodar Kumaritashvili, who had died that day in a training run.

Despite the IOC's nagging insistence it is apolitical, the Olympics have been fraught with politics since their inception. Avery Brundage, the only American ever to head the IOC, opposed a U.S. boycott of the Berlin Olympics in 1936 because "the Olympic Games belong to the athletes and not to the politicians." But as the entry to competition is based on national identity, the Olympics are inherently political.

The Cold War magnified their political potential, providing a battlefield for the superpower struggle between communism and democracy to take place over medals, such as the controversial basketball final in Munich in 1972 in which the Soviets were given no less than three chances to make the game-winning basket over the United States, and the "Miracle on Ice" in 1980 when the United States defeated the Soviet Union in hockey.

Sochi was ripe with politics in the months leading up to the Olympics, with controversies regarding the environment, corrupt budgets and stray dogs. Political oppression stood front and center, particularly in the imprisonment of members the women's punk band Pussy Riot and the anti-gay legislation that had made Russia a dangerous place for many. Some called for a boycott of these Olympics, while others agreed that it would be for the athletes to take a stand once there.

With the Ukrainian situation, Sochi has become even more political, but not for the reasons anticipated. While transgender Italian activist Vladimir Luxuria has been detained in Olympic Park for her flags and rainbow attire, the athletes have mostly kept quiet. Early on, pictures of Alexey Sobolev's snowboard, adorned with the likeness of Pussy Riot, gave Bob Costas something political to talk about, while ski jumper Daniela Iraschko-Stolz, the first "out" athlete to win a medal in Sochi, expressed her disapproval of Russia's anti-gay laws. This past week, snowboarder Michael Lambert also chimed in, deeming Russia a problematic host because it "has people suffer, shuts people up." He speculated that perhaps only Scandinavia had the potential for a "perfect" Games.

Above all, through the scandals, conflicts and corruption, the IOC sees itself as a peacemaker. But there are inconsistencies. In 1968, it pressured the U.S. Olympic Committee to take action against sprinters Tommie Smith and John Carlos after the duo raised black gloved fists during the victory ceremony of the men's 200-meter race to protest racial oppression. Four years later in Munich, the IOC did not wait for the U.S. Olympic Committee to take action, banning U.S. sprinters Wayne Collett and Vince Matthews for their "disrespectful" behavior on the podium.

In Athens in 2004, the IOC failed to censure world champion Iranian judoka Arash Miresmaeili, who carried his country's flag in the Parade of Nations and then withdrew from competition after drawing an Israeli opponent. Yet it banned South Africa in its apartheid era and Afghanistan when the Taliban took power, pressured Saudi Arabia to field female athletes and has long recognized teams from Puerto Rico and East Timor and Palestinian territories as independent national delegations.

In Sochi, IOC President Thomas Bach urged the Ukrainians to demonstrate how "sport can build bridges and help to bring people from different backgrounds together in peace." IOC member Sergey Bubka, the great pole vaulter who represented both the Soviet Union and his native Ukraine in competition, echoed Bach's sentiments on Twitter, urging his compatriots to remember the Olympic truce and lay down their weapons. Canada's Globe and Mail agreed, running the headline, "Shadow cast over Sochi as Ukraine violence shatters Olympic truce."

What is confounding is the impression that until the most recent outbreak of violence in Ukraine, the Olympic truce was intact in these Games. The ancient Greeks invested in the Olympics as a diplomatic tool, as the spirit of ekecheiria stipulated laying down arms for athletic competition; they used sport to interrupt the progression of war. With the relatively recent creation of the Olympic Truce Centre, the IOC says it wants "to encourage searching for peaceful and diplomatic solutions to the conflicts around the world."

Black armbands do not seem to fit within the IOC's definition of peaceful and diplomatic. And perhaps they will become unnecessary if the continuing violence can finally be quelled.

But that does not mean we are left with sports without politics.

The opinions expressed in this commentary are solely those of Amy Bass.

@highlight

Amy Bass: IOC mulled letting Ukraine athletes wear black armbands

@highlight

IOC said politics not allowed at Olympics, but Bass says history shows otherwise

@highlight

She says Olympics inherently political and IOC has taken contradictory stands many times

@highlight

Bass: Yes, Olympic truce is central to Games, but it doesn't mean politics have no place