(CNN) -- "I love to suffer," says extreme surf photographer Chris Burkard.

That much is clearly evident from his incredible portfolio (see photo gallery below left), built up from shooting surfers as they ride waves in some of the most extreme places on the planet.

The California-based photographer hikes glaciers, dons wetsuits and routinely gets slammed by his subjects (unintentionally) as he tries to get as close as possible to the action.

His latest project is documented in a stunning video collaboration with SmugMug Films, part of a behind-the-scenes series highlighting photographers at work.

Risking his life for the perfect wave

Shot over a two-week period in Norway, the film, called "Arctic Swell - Surfing the ends of the earth," shows Burkard and his surfing companions battling blizzards as they catch freezing Arctic swells.

"You feel like you're really paying the price but the greatest rewards come," says Burkard.

We asked the photographer why he chases storms and swells and where he loves to shoot most.

CNN: How long have you been chasing extreme wave shots?

Burkard: I started chasing waves with my surfing and bodyboarding friends as a teenager because I found a certain thrill in being a part of the ocean's energy.

I feel that places with extreme waves make for the best stories, which is why I'll continue to chase not just extreme waves but also extreme landscapes in the remote corners of the world.

CNN: Do you surf yourself?

Burkard: I surfed a bit growing up but it was always more about the ocean for me than about the sport of surfing.

The ocean was really my inspiration in the beginning of my photography career and continues to motivate me every day.

I try to get in the water daily because it seems to have the ability to constantly rejuvenate and inspire me in all aspects of life.

Living near the beach has also provided me the ability to be constantly near great waves and surfers.

Central California is an amazing coastline and no matter where I travel, coming home to this stretch of coast gets me excited.

CNN: Tell us about shooting this video.

Burkard: We traveled to Norway in the spring, when the weather is constantly in flux. Storms shift in out of nowhere and sunny skies can quickly become blizzards.

We spent the entire two weeks of the trip in the Lofoten Islands staying in a cabin not far from the beach. When we weren't surfing we were warming ourselves up in hot springs and near bonfires.

CNN: What kind of media/audiences have the biggest appetite for your kind of work?

Burkard: My portfolio is saturated with tons of surf imagery but I aim to make it appeal to bigger audiences.

It's not just for the surfers out there but also the travelers and nature enthusiasts and really anyone who dreams of visiting these places.

CNN: Do you have a particularly memorable anecdote from the trip?

Burkard: The Arctic and Norway always lend themselves to a ridiculous amount of freezing.

When we first arrived on the beach the waves were hardly visible because of the storm -- as we opened our doors the chill of the wind, hail and snow spread up our bodies and it felt like our core temperature dropped 20 degrees in a matter of seconds.

I'd told the guys mid-flight that they had to be ready for any type of weather when we landed, but honestly did not expect this strong of a storm to be sweeping through.

The session only lasted about 40 minutes as the guys could barely drop into waves with the snow and hail blowing against their faces. They said it was impossible to even open their eyes on some of the waves and were essentially surfing blind.

CNN: What are three of your favorite places to photograph?

Burkard: Central California. It's been my home for 28 years. I've lived in nearly every city and traveled to as much of the beautiful surroundings that this section of the coastline offers. There's so much variety in this region from camping above the clouds in Big Sur to exploring other worldly dunes near Pismo Beach.

I've been to Iceland 13 times and will continue to go back for its unparalleled rawness from the beaches to the mountains. Iceland delivers with hot springs, ice lakes and some of my favorite beaches like Vik and Hofn.

The Pacific Northwest offers a diverse landscape with waterfalls, forests, mountains, lakes and a rugged coastline.

Oregon summers are close to perfect with temperatures in the mid-80s and sunny skies. Oregon claims they have their own seven wonders with Mt Hood, Columbia River Gorge, the Wallowas, Painted Hills, Crater Lake, the Coast and Smith Rock.

I've been to five of them and they are totally worth it.

I recommend a road trip.

CNN: What's your next big project?

Burkard: I'm balancing my work between editorial and commercial projects and looking to line a few trips up for the fall.

I'm organizing a few road trips with my sponsors as well as potentially a trip back to the Arctic.

I'm also working on a children's book with The Dream Press.

CNN: Ever had any mishaps?

Burkard: Much of the actual accidents with my surf photography have happened in the water.

One of my most memorable experiences was when I went to Kamchatka, Russia. My passport had the wrong date on it and we argued about it for three hours and then the Russia customs security threw me in a jail cell.

I was in Vladivostok, a port city on the Sea of Japan. It's like the Wild West out there.

I spent 24 hours in a dirty holding cell -- it was basically a really gnarly hotel room with a guard at door. Then I got deported to Korea.

When I went back in 2012, it was sort of a redemption but I was scared and a little nervous it would happen again.

CNN: How do you get those in-the-water surfing shots?

Burkard: It's a challenge to nail that perfect capture of a breaking wave or an action shot. One of the biggest challenges is probably just swimming in the water and often swimming in some precarious situations while trying to get as close as you can to the surfers.

There have been many times I have taken water housings to the face or collided with the athlete. Though it's dangerous it's just part of the job.

The ability to capture those shots happens through good positioning and being a nimble swimmer.

Water shots are tough to get because you're literally dealing in inches.

CNN: How often do you travel?

Burkard: I travel about six to eight months out of the year and it's the foundation for a lot of my work. I've spent the better part the last 10 years chasing down cold surf in the Arctic and other remote parts of the globe.

I operate under the impression that travel should leave marks on you.

My style of traveling for surfing in particular is a different approach than most people are used to.

I'm drawn to places that are a bit more rugged and I love treating surf trips similar to some might treat travel to the mountains, preparing for every situation and making the extra effort to explore a foreign land.

CNN: What kind of photographer do you call yourself?

Burkard: I originally thought of myself as a landscape photographer or a surf photographer but I hate to categorize myself in just one category.

I find my work definitely incorporates a lot of those elements of adventure, travel and extreme sports.

@highlight

Extreme surf photographer Chris Burkard chases Arctic swells for work

@highlight

Latest project documented in stunning SmugMug video showing extreme conditions

@highlight

Favorite places to shoot include Iceland and Central California