Only a few people would feel at ease to send Hillary Clinton cartoon clippings. Diane Blair was one of them.

Throughout much of Bill Clinton's eight years in the White House, Blair -- a political science professor and longtime Clinton friend -- exchanged political and humor cartoons with the first lady. Nothing, it seemed, was too small or inconsequential to send back and forth.

In May 1996, Hillary Clinton clipped a "Mixed Media" cartoon and sent it to Blair and her husband, Jim, with a note that read, "It is rare that I can send you a comic strip you and Jim haven't seen -- but this one is too good not to share."

It showed a cow lying on a psychologist's chair with a thought bubble reading, "I'm not a mad cow. ... I just have issues ..." -- a reference to the mad cow scare at the time and the criticism of Hillary Clinton's role in her husband's failed health care reform effort in his first term.

Romney: Hillary Clinton won't be judged by her husband's legacy

In the reliably loyal and closely protective Clinton inner circle, Blair was a power center for most of the former first lady's life. She counseled Clinton -- her friend since 1972 -- during the failed push for health care reform and was there for her through her husband's affair with White House intern Monica Lewinsky.

She had the first lady's ear on everything from Supreme Court nominees to relations with Capitol Hill. During all of these exchanges, Blair took copious notes and kept a sporadic diary of her interactions with the Clinton White House. Those documents, which were donated to the University of Arkansas after Blair's death in 2000, give an unguarded and detailed view into Clinton's life.

(CNN reached out to Clinton's office for comment about the documents, but a spokesman did not respond.)

Inside Politics: Eleanor Roosevelt's advice for Hillary Clinton

The comfort of old friends

The documents also show Blair's relationship with Clinton was one of trust, love and the comfort of old friends.

Blair was born in Washington in 1938 and raised in the District until she went to Cornell University for a political science degree. She came back to Washington after graduation and worked as a legislative secretary and speechwriter for Sen. Stuart Symington of Missouri.

Aside from a love of politics, both Clinton and Blair were Arkansas transplants, moving to the state because of the men they married.

Clinton on critics: 'Don't get dragged down'

In 1963, Blair married Hugh Kincaid, a member of the Arkansas Legislature, and the couple settled in Fayetteville, where Blair taught political science at the University of Arkansas.

Skip Rutherford, a close friend of both women, called Blair a "very welcoming person." Rutherford, who is mentioned throughout Blair's documents, is now dean of the University of Arkansas Clinton School of Public Service in Little Rock.

"When you were around her, you knew the conversation was going to be exhilarating," he said.

In "Living History," Clinton's 2003 memoir, the former first lady described Blair as the "closest friend" she had during those early years in northwest Arkansas.

"We played tennis and traded favorite books," Clinton wrote. "Diane regularly met for lunch in the Student Union" to "share stories and gossip."

The fact that Blair and Clinton had arrived in Fayetteville by fate led her to call it "Fate-ville" in notes to Clinton.

The Clintons and Blairs shared many of their most important moments together. After Diane and her first husband divorced, she married James Blair, a lawyer at Tysons Food, in 1979. Then-Gov. Bill Clinton performed their marriage and Hillary was the "best person," as Clinton described in her book.

Jim and Diane Blair stayed at the White House on the Clintons' first night there in 1993. And when the Democratic Party renominated Clinton in 1996, Blair was in the skybox with Hillary Clinton's family and closest friends.

An unguarded look into the Clintons

Blair's documents give an unguarded look into the lives of Hillary and Bill Clinton, from Bill Clinton's days as Arkansas governor and rising Democratic star to the couple's time in the White House, warts and all.

Blair wrote in her diary that Hillary Clinton called Monica Lewinsky, the White House intern who nearly brought down her husband's presidency, a "narcissistic loony toon." Hillary Clinton defended her husband's adultery by saying it was caused, partly, because "the ugly forces started making up hateful things about them, pounding on them."

Blair also noted a 1994 conversation in which the first lady asked her for advice on "how best to preserve her general memories of the administration and of health care in particular." When asked why she wanted to keep the documents, Clinton replied, "Revenge."

Confidante's diary: Hillary wanted to preserve records for 'revenge'

During all of these times, Blair used her background as a historian and a researcher to document her interactions with Clinton. She kept fastidious notes, and her journal entries were incredibly detailed. Her boxes of documents are chock-full of White House letterhead, invites to Washington parties and internal campaign memos.

Blair worked on both of Bill Clinton's presidential campaigns, and throughout much of it, the historian would document the ups and downs in polls, the stories that critiqued him and the positive moments the campaign experienced.

After the 1992 race, Blair received permission to interview most of the campaign staff for a possible book, and now historians at the University of Arkansas are cataloging the interviews for an oral history collection.

An inside view of a presidential campaign

"What you really do get is this inside view of a political campaign," said Andrew Dowdle, the political science professor overseeing the oral history project. "It is one of those really interesting situations where you have somebody that is an academic who is obviously thinking about the historical record about what is happening and at the same time is Hillary Clinton's best friend."

Blair papers offer insight into Hillary Clinton

In a sign of the times, Blair clipped magazine and newspaper stories about the Clintons. In the 16 boxes of documents housed at the University of Arkansas, dozens of folders were filled with newspaper clippings from Bill Clinton's time as governor and president. A Time magazine cover story was folded among those from Arkansas newspapers.

These clippings also regularly made their way to the White House, where Blair's letters were expedited to go right to the Clintons and not to the White House correspondence office.

After news of what Blair's notes revealed emerged last week, some columnists questioned her motivation for allowing the notes to be released.

"One might at least wonder whether Blair told Hillary she was taking notes that she would release posthumously," The Washington Post's Kathleen Parker wrote. "That's certainly one form of life insurance. But wouldn't it have been more close-friendish to wait until all parties concerned were enjoying the hereafter before publishing notes that could damage the living?"

Friends in Arkansas close to both Clinton and Blair reject that notion, with one saying there was nothing "sinister or Machiavellian about the notes that everyone are interested in."

"I don't buy it. Knowing them both, I don't buy it," said Rutherford, the dean at the Clinton School of Public Service. "I think her motive was history and political science."

He added, "These are just two ordinary human beings, both brilliant, both smart, but who are above all personal buddies."

Hillary Clinton was a supporter of making the Blair records public in 2010.

Blair's "contributions will grow and live on, enlarging our understanding of history, politics and culture," Clinton said then.

"I hope also that some young scholar will come along and write the story of Diane," she said. "We miss her still but this, along with so many of her contributions to us, lives on."

In May 2000, Blair was diagnosed with lung cancer. That year, the University of Arkansas awarded her an honorary doctor of laws degree, and she spoke at the commencement.

Blair died a little more than a month after learning of her illness. She left behind her husband and two children.

"The tragic part in all this is that she got sick and she died, and the process was left unfulfilled," Rutherford said. "It is tragedy for history, for Arkansas, and it is a personal tragedy for her friends."

@highlight

Longtime friend kept fastidious records of all things Clinton

@highlight

Diane Blair's papers give insight into Bill Clinton's campaigns, Hillary Clinton's thinking

@highlight

Hillary Clinton considered Blair, who died in 2000, one of her closest friends