(CNN) -- Would you stay in a country whose neighbor was hurling threats warning of an imminent "moment of explosion"?

It's a question many expats, business travelers and tourists currently in South Korea are pondering, as tensions simmer in the region.

While South Korea remains one of the world's most ethnically homogenous nations, approximately 2% of the population comes from foreign shores -- many of them students or English teachers. (Some South Korean media reports estimate as many as 22,000 teachers of English as a second language are in the country.)

Recent events have left many unnerved, but also pragmatic, and looking to their South Korean colleagues and friends for advice.

U.S. teacher Vincent E. Van Wattum, originally from Connecticut, has worked in Gyeongju, South Korea, at a boys' high school for the past two years. Despite global unease over spiraling tensions on the peninsula, he says he and his colleagues remain largely unmoved by recent events.

"Reactions are non-existent at the moment," he said. "My co-teachers and I have never discussed it and it never comes up among Koreans in general conversation."

Timeline: North Korea's threats and bluster

However, he acknowledges that a moment of nervousness did lead him to take some precautions.

"I was (slightly) scared the other day when I thought I heard air raid sirens going off on my way home from school," he said.

"Just in case, I packed a light bag, ready with my passport, some cash and a change of clothes ready to go if I need to get out of Dodge."

South Korea has had almost 60 years to prepare for any future conflict with its belligerent neighbor, and the country is quick in times of tension to roll out precautionary measures. South Koreans' unflappability in the face of such an existential threat has impressed many foreigners, and encouraged some at least to feel safer.

Floridian Tay-Marie Astudillo, who also teaches English in South Korea, recently noticed that subway stations in Seoul had been outfitted with emergency equipment display cases, including instructions on how to wear a gas mask.

"It's the norm," she says. "I've noticed the increase for about three weeks now, since rhetoric had really been starting to heat up from North Korea. I think it's good the city is preparing just in case."

North Korea: Our global fear and fascination

U.S. student Issis Danielle Gonzalez says her mother back in Rio Grande City, Texas, asked her to pack a bag and be ready to leave should anything happen. Friends of hers on the U.S. Army base in the Yongsan district of Seoul, where thousands of U.S. troops are stationed, also told her it was best to be prepared in the event of conflict.

It's a bizarre contrast, Gonzalez explained. "In South Korea life is going on as if nothing is happening, but from the updates from my mom the worry creeps in," she said.

"I just hope my wonderful journey in South Korea thus far doesn't end in disaster. "

The North's fiery rhetoric has sparked jitters in the U.S, with a recent CNN/ORC International poll of Americans revealing that 41% of those surveyed saw North Korea as an immediate threat to the U.S., an all-time high.

Californian Christina Danel, who is currently teaching English in Incheon, South Korea, has found that the stoicism of her South Korean friends and colleagues about the current situation on the Korean Peninsula is not shared by her American family and friends.

"They (my family) want me to leave because they fear, since Incheon is very near to Seoul, there is the possibility of a bombing occurring," she says. "All the foreigners I know are somewhat worried and are considering leaving the country early."

South Korea 'views Kim Jong Un as man-child'

Were the worst to happen, she says, she plans to get to the airport as soon as possible.

"Considering that North Korea has made failed flight attempts before, I feel that if they were to send a missile toward Seoul their calculations would be off and I may be in harm's way if that happens," she says.

The pleas of her family were echoed by relatives of U.S. tourist Eugene Benoit, currently traveling in South Korea visiting friends.

He, too, has been struck by the calm atmosphere, but his family members are unnerved.

"My wife and daughters and my mother are all saying: 'Come home early, it is too dangerous there!'" he says. "But I say there is nothing to worry about and I am sincere about that."

Why tensions have erupted so suddenly -- and why now -- is a question many in the international community are struggling to answer. For Canadian teacher Leigh MacArthur, who has lived in South Korea for almost a decade, all fingers point to the North's inexperienced new leader, Kim Jong Un.

"I feel that he is having to prove himself to his military -- some of whom I'm guessing served under his grandfather -- that he is in fact in charge and still has his grandfather's and father's ideologies at heart," he says.

In Samcheok, in the east of South Korea, where MacArthur now lives, he says people are still very much carrying on with their lives, with no panic buying of essentials and people still focused on their day-to-day business.

He, for one, is determined to follow their example -- for now.

"I made a choice years ago that I would not live in fear or worry about the situations that may or may not happen in regards to North Korea," he said.

"I haven't thought of leaving the country, not yet."

Interactive: North Korea's missile capabilities

@highlight

Expats look to South Korean colleagues and friends for advice

@highlight

Many have families back home concerned for their safety as North Korean threats continue

@highlight

Some say they have packed bags and are prepared in case the worst happens

@highlight

Some are struck by the way South Koreans calmly go about their business