Washington (CNN) -- The "nuclear option" would be the changing of Senate rules to enable judicial and executive nominees to be confirmed with just 51 votes instead of 60.

Apparently you need 60 votes to do just about anything in the Senate but change the rules. That only takes 51 votes.

Nuclear? That sounds harsh for something as simple as a rule change.

Senators view themselves as being part of the "world's greatest deliberative body." It's a debatable point, but in order to protect the minority party and make sure nobody does anything without a full debate, Senate rules require that 60 of 100 senators agree to votes to move toward confirming a nominee or passing legislation. In the fancy language they speak on Capitol Hill, moving toward a vote is called "invoking cloture."

Senate moving toward 'going nuclear'

Actually confirming the nominee or passing the legislation takes only 50 votes, but because of the procedural rules, it pretty much takes 60 to invoke cloture and get anything done these days. By requiring only 51 votes, the entire character of the chamber would change. Instead of being forced to get buy-in from the minority party (Republicans right now), the majority party (Democrats right now) would be able to confirm anybody for whom they could get a simple majority.

Click here for a good academic paper from George Kroger at the University of Miami on "The Rise of the 60-Vote Senate"

The idea is that it would "blow up" the Senate. We're speaking figuratively, of course.

The symbolism of "going nuclear" also portends a sort of mutually assured destruction in the future, to borrow another Cold War term. Democrats won't always control the Senate. And when Republicans are in charge, you can bet they'll return the favor.

Man who coined the term 'nuclear option' regrets ever pursuing it

Wow. That does sound serious. Is this constitutional?

Sure is. The Constitution doesn't say anything about Senate rules. It puts that power in the hands of senators and congressmen.

"Each House may determine the Rules of its Proceedings," according to Article 1, Section 5.

Senators are tasked with signing off on nominees in Article II, Section 2. But it doesn't say how exactly, which has led to a centuries-long debate on the matter.

Here's what the Constitution says about the president's power to appoint: "He shall have Power... with the Advice and Consent of the Senate, shall appoint Ambassadors, other public Ministers and Consuls, Judges of the Supreme Court, and all other Officers of the United States, whose Appointments are not herein otherwise provided for, and which shall be established by Law: but the Congress may by Law vest the Appointment of such inferior Officers, as they think proper, in the President alone, in the Courts of Law, or in the Heads of Departments."

OK. Fine. There's nothing in the Constitution. But Senate rules are pretty clear on the 60-vote threshold.

Yes, they are. Read the chapter on cloture.

But they've changed over time. Until 1949, for instance, according to the Congressional Research Service, senators couldn't even move to limit debate (invoke cloture) on nominations. According to the Senate website, Henry Clay was the first senator to threaten going nuclear, back in 1841, on legislation. Up until 1975, it actually took 67 votes to overcome a filibuster. The most famous examples came during the Civil Rights era when Southerners from both parties blocked equal rights legislation. It took 60 days of filibustering to find the votes for the 1964 Civil Rights Act.

What role does filibustering play in all this?

Everybody seems to have a different definition of what a filibuster is. In pop culture, filibustering brings to mind Jimmy Stewart in "Mr. Smith Goes to Washington," speaking for hours to block legislation with which he disagrees. Anymore the filibuster is an implied thing. When everybody realizes that if there aren't 60 votes to limit debate, senators don't generally spend much time debating at all. They just move on. Even when a senator mounts a long, all-night speech, the outcome is usually pre-ordained. Take Sen. Ted Cruz, the Texas Republican who spoke all night just before the recent government shutdown. Even before Cruz started speaking, senators had reached agreement to vote on a government funding bill the next day. His speech was not a filibuster; it was preaching to his political choir.

Why is all this coming to a head now?

This is where it gets even more complicated. Republicans have been blocking nominees to the D.C. Court of Appeals not because they dislike all the nominees, but because they don't want more Democrats than Republicans on that court. Currently, there are equal numbers of Democratic and Republican appointed judges on the court, which is considered second only to the Supreme Court in importance. In fact, Republicans want to shrink the number of judges on the court and expand the number of judges in other courts.

But this is a fight that extends way beyond the current spat over the D.C Circuit Court. The number of filibusters has exploded in recent years, and so has the number of votes trying to end them. Between 1949 and 2012, cloture was invoked 122 times. The vast majority of those occurred in the past decade.

Democrats, who employed the tactic of filibustering to some effect during the George W. Bush administration, now say they're fed up with Republicans employing it against President Barack Obama. Read a really detailed look at the history of filibusters and cloture filings from the Congressional Research Service.

Republicans block nominees to D.C. court

@highlight

Senate rules require 60 votes to move toward confirming a nominee or passing legislation

@highlight

Up until 1975, it took 67 votes to overcome a filibuster

@highlight

Sen. Ted Cruz's floor speech before the government shutdown wasn't a filibuster

@highlight

Current fight is over D.C. court, but impact extends well beyond that