(CNN) -- As a first-grade teacher, Julie Miller is exposed to a horrifying number of germs on a daily basis.

"I've been thrown up on; they sneeze and cough on me. And lost teeth are a real big thing for first-graders," said Miller, who teaches at Spring Hills Elementary in the suburbs of Chicago.

"They're so cute and unaware, though. They'll have boogers hanging out of their nose and will be talking to you and not think anything of it. Some teachers flip out, but I tell my students, 'Go get a Kleenex and wash your hands.' When they sneeze, I teach them to do it into their elbows. They learn eventually."

On average, elementary school children get eight to 12 colds or cases of the flu each school year, according to the CDC. For the older kids, it is about half that. Teachers and parents commonly refer to it as the Back-to-School Plague.

But there are simple ways to keep your kids healthy.

Miller, who is getting her son Justin ready to go to kindergarten, isn't worried.

"I've taught my kids healthy habits; I'm sure they'll be fine," Miller said. She makes sure they get plenty of sleep, exercise regularly and eat healthy food. She's taught her children to wash their hands often, and she's hooked antibacterial gels on their backpacks for when they can't.

"I'm not a germaphobe like some of my colleagues who have put antibacterial lotion all over the place: their cars, their classrooms," Miller said. "I do feel like some germs are OK."

Danger zones

Germ candy stores: that's what Dr. Harley Rotbart, a professor of pediatrics at the University of Colorado and author of the book "Germ Proof Your Kids," calls schools.

"It is stunning how many times kids touch their faces and then touch other kids," Rotbart said. "This is a very touchy-feely demographic, and that's how we share germs. ... And the little ones don't have the same exposure to germs that we do, so until their immune systems get built up, they get sick."

Schools are full of "hot zones" for germs, Rotbart says. "Most people think that's the bathroom, but it really isn't. Those get regularly cleaned."

If he had to rank the germiest places in school, No. 1 would be the drinking fountain. It's germier than the toilet seat, he says, but "doesn't get disinfected as much." Plus, it's the perfect spot for kids to ingest these microorganisms as they put their mouths on the stream of water -- or right on the fountain itself.

Rotbart suggests teaching students to run the water a little first and then drink. Or better yet, children should bring their own water bottles to school and not share them with anyone.

Cafeteria trays are another germ hot zone. "Those don't get wiped down nearly as well," he said, recommending that kids bring the tray to their table and then use hand sanitizer before they pick up their food.

"There is a real delicate balance though; we don't want to make kids paranoid," Rotbart said. "We need to be prudent. Germs for people who are healthy really aren't a big deal."

Staying healthy

Rotbart tells parents to make sure their children get enough rest. School-age children should get get 10 to 11 hours of sleep every night, according to the CDC. Sleep deprivation lowers the immune system's ability to fight off infection.

Exercise, Rotbart says, is another effective way to keep kids healthy. He suggests a daily dose of 40 minutes of running-around time, even in the winter. If it's cold, children need to keep their jackets zipped and hats on their heads.

"Your mother was right: Studies have shown that people who do bundle up against the cold are less likely to catch colds later on in the year," Rotbart said.

Your child's diet also plays an important role in warding off illness. Foods rich in vitamin C (PDF) don't keep colds away altogether, but they can shorten the length of a cold. And make sure little Johnny or Julie gets a flu shot early in the season.

In order to stop germs from ever entering the body, hand-washing is key. Every year, Miller invites a nurse to teach her first graders the proper techniques.

"I've got a bathroom with a poster about hand-washing right in my classroom, and if I don't hear them wash their hands -- even if I'm in the middle of a lesson and the principal is doing my evaluation -- I stop what I'm doing and say, 'Wash your hands,' " Miller said. "It's that important."

Judy Harrison, a foods and nutrition professor at the University of Georgia, says studies she's conducted show that most kids don't know how to wash their hands properly (only 28% knew the right method). Properly washed hands cut down on gastrointestinal problems, as well as the cold and flu. Harrison designed the "Wash Your Paws, Georgia!" (PDF) hand-washing initiative.

"I teach them to sing 'happy birthday' to yourself twice to make sure they wash for at least 20 seconds," Harrison said. She also teaches them to clean between their fingers and around their fingernails and to use a clean paper towel or a hot air dryer to dry off.

A lot of people think hand sanitizer is better, she says, but really, washing with soap and water is the most effective way to eliminate germs.

"My kids are obsessed with hand sanitizer," said Amy Falcone, a seventh-grade science teacher who teaches at Wood Dale Junior High in the suburbs of Chicago. "It's a part of the school supply list we send home for kids to bring, along with Kleenex. I'd prefer they wash their hands, but I know it will do in a pinch."

Falcone used to think the "school plague" was more of an elementary school thing, but with increasing pressure to get good grades, some older students do come to school sick. And that gets others sick.

"I've never been a sickly person, but I did catch strep throat about three years ago," Falcone said. "I've never had it in my entire life, but I had it. Got rid of it. Got it again."

Falcone's been teaching for more than 20 years. She's noticed that some of the newer teachers are getting sick more often.

"When you are new, you are killing yourself to impress, and some young teachers really do forget to take care of themselves," Falcone said.

She advises new teachers to make sure they keep up with their own healthy habits. "Eat healthy, get sleep, do whatever you do to reduce stress."

Falcone coaches her school's Girls on the Run program. It helps her and her students decompress, as well as stay in shape. "That's especially important for me as a teacher. I can't really miss school," she said. "I've got kids lined up at my door every morning. I need to be there for them. Staying healthy is totally doable."

@highlight

CDC: Elementary kids get eight to 12 colds or cases of the flu every school year

@highlight

The "germiest" place may be the drinking fountain, expert say

@highlight

Hand-washing, sleep, regular exercise and a healthy diet are key to preventing illness