(CNN) -- For Paul Martin, fascinating history is a loud discovery in a quiet library.

The stories sneak up on him while he's on other quests, such as the time Martin was trying to find the first American awarded a military medal and found Hercules Mulligan, a forgotten spy who saved George Washington's life twice.

Martin has collected the stories of 30 Americans left out of the history textbooks in his new book, "Secret Heroes: Everyday Americans Who Shaped Our World."

Some other characters Martin brings to life include Henry Beachell, whose invention of "miracle rice" fed and supported Asia, Cynthia Ann Parker's steadfast endurance of 24 years of Native American captivity and Jonathan Letterman, whose medical organization on the battlefield revolutionized the treatment of wounded soldiers and saved countless lives during the Civil War.

"These characters were relatively unknown, but what they did has had ripples that continue to affect us," Martin said. "Hercules Mulligan saved the life of the father of our country. Think of what would have happened if he hadn't been a tailor in New York City.

"Everyday Americans have had a huge impact on our history -- it isn't always presidents and generals who set the course for the country."

The characters called to him from the pages of history books, whispered from brief mentions of TV shows and clambered from the pages of historical society records, all begging to share their stories with someone who would listen.

"Secret Heroes" is the latest offering in a continuous genre of books that aim to remind us of our forgotten past and changes how we understand it.

Martin has lived through history and has been captivated by it. He worked as a journalist during the Vietnam War, chronicling Vietnam's struggle to reconnect itself. Then he worked for the National Geographic Society for 30 years, the last 10 as executive editor for National Geographic Traveler.

Throughout the years, a single running theme has connected his experiences: lifting the underdog. Unearthing forgotten stories from the country's founding is a way to remind us what everyday people are capable of accomplishing.

But why do people care today?

Kenneth C. Davis, author of the famed "Don't Know Much About ..." series and "America's Hidden History," says that history isn't a dead thing of the past but an actively created and revised thing that affects our decisions every day.

"In school, we focus on the 'important people' and Founding Fathers, but what that 'great man version' of history does is really leave out an awful lot of people who have tremendous impact," Davis said.

When Davis was in high school history class in 1968, women, African-Americans and Native Americans were noticeably absent from the textbook. Revisionism is a dirty word to some, but Davis said it's an important aspect of history.

Teachers and textbook writers still struggle today to include ethnic heritage, but some school districts aim to keep the same version of history we've always been taught, case being Tuscon's suspension of Mexican-American studies.

"We need to revise history because we learn things all of the time about the stories and people who were left out," he said.

This is especially the case in elementary school history classes, he said. Myths about George Washington chopping down a cherry tree are taught in the place of truth, so history starts on a shaky foundation of fiction, Davis said. Learning truth in the place of fiction later in high school makes history harder to grasp.

"People want to paint a picture of the past that is filled with pride and patriotism, especially for children, and that is a valuable thing," he said. "It gives us a sense of national identity and character, but it creates a very false history that is sanitized of the stories that don't fit in neatly with the real history."

Retired American history teacher Jane Serkedakis watched textbooks change dramatically during her 33-year career. She doesn't believe that children are necessarily taught "wrong" information at a young age, she said, but there's an unbalanced emphasis on certain aspects of American history.

"It would be difficult to deal with third-graders and American history's real nuances of slavery," she said. "It is in high school where we examine Thomas Jefferson as a paradox -- he owned slaves but was a complete champion of democracy. They aren't taught wrong, it's just that they can't go into all of that detail at such a young age."

The emphasis on military history consumes the curriculum for high school history classes. The emphasis turned off students who wanted to learn more than dates and battles; people, places and facts, not dates, make history come to life, Serkedakis said.

In her Advanced Placement U.S. history class for 11th-graders, Serkedakis included a "visitors" assignment for each era, where students played the part of important figures in American history and brought them to life in the classroom. Books such as "Secret Heroes" can be a resource for teachers to use in this way, she said.

It is this approach to teaching history that Rick Beyer, author of "The Greatest Stories Never Told" and "The Ghost Army of World War II," finds most beneficial to students. Realizing that names and figures of the past were living, breathing human beings makes them as relatable as finding your grandfather's address in the newly released the 1940 census documents, he said.

John Quincy Adams, son of second President John Adams, is a prime example, Beyer said. Fact tells us that Adams walked out of the White House and went skinny-dipping in the Potomac River each day.

"It doesn't change your understanding of American history, but suddenly that guy seems less like an old black-and-white photograph, and a little more like a person," Beyer said. "If you restrict yourself to the Wikipedia version of history, you lose all of the color, delight and excitement of the adventure that is the lives of each one of these people."

Because history is everything that ever happened, from every war to every love affair, the untold stories that turn expectations upside down are the ones worth exploring, Beyer said. And because what we care about at 26 or 36 differs greatly from the portrait of our interest at 16, discovering history for the first time a decade or two after high school can make those stories even more important.

That is what Davis, Beyer and Martin aim to remind us with their books, bursting with the people and places lost to time and rekindled in lifelike detail. Every good story is one worth retelling, and our own history is full of them, many filled with the undeniable spirit and tenacity of the patriotic principles we learn from myths.

"There really are two large categories of heroes," Martin said of his book's title. "Most of us think of someone as a hero who risks his or her life when there is some immediate danger -- a soldier rescuing a fellow on the battlefield.

"But the other type of hero is one who simply perseveres, who overcomes overwhelming odds, even if it might take an entire lifetime."

@highlight

Authors: Everyday Americans have influenced history as much as presidents, generals

@highlight

Reviving forgotten history allows people to connect with their pasts

@highlight

Author Kenneth C. Davis believes history must be constantly revised