(CNN) -- Ahead of the biggest game of his life, Mahamat "Iggy" Ignegui has mastered the diplomatic language, if not his nerves.

"I am completely focused on the first match. We have to do it, we cannot lose," the Sudanese midfielder tells CNN before boarding a plane from Chad's Ndjamena airport that will continue his remarkable journey to the World Cup.

This showpiece event will not feature Cristiano Ronaldo, Lionel Messi, or any of the other household football names that will light up Brazil this summer.

Instead, teams such as South Ossetia, Iraqi Kurdistan and Tamil Sri Lanka will do battle for the Nelson Mandela trophy in Sweden. This is a tournament for the stateless, the marginalized and unrecognized by FIFA -- the ConIFA World Cup.

No team has traveled further or struggled harder to make it to Ostersund than Darfur United. The squad is entirely made up of refugees from the conflict that claimed over 200,000 lives, now living in the neglected camps of East Chad.

Eleven years on from the conflict, foreign aid and interest has dried up, with rations cut in half and the UN Refugee Agency (UNHCR) reporting over 50% prevalence of chronic malnutrition in the camps.

"Life in the camps is better than Sudan now," says Ignegui, recalling that in his village even the sheep were killed and every house was destroyed.

"But they destroy youth. We need to improve our skills and go to university. But there are no good schools or hospitals, nothing to do. We need to get out."

Football is providing that release.

The camps had always played the game, with cloth balls in the scorching heat, but with the support of U.S.-based humanitarian group i-ACT, a new team was formed in 2012.

Thousands of hopefuls from 12 camps participated in tryouts, many traveling for days at their own expense. This was whittled down to a squad of 16 players, who traveled to Iraq for the 2012 Viva World Cup just months after forming, and played their first match in a 15-0 defeat to Northern Cyprus, before Moubarak Haggar Dougom scored their first goal in a 5-1 loss to Western Sahara.

Ignegui admits that team-building was a challenge at first.

"We were from five different tribes, all with their own language, so nobody understood each other and everybody was fighting," the 25-year-old says.

"But after 10 days of training together we changed our behavior to respect each other, and became like brothers."

That spirit gave rise to their name. While the children of the camps wear the shirts of Real Madrid and Barcelona, Darfur United borrowed its badge from Manchester.

Two years on, the team has benefited from regular training under professional coach Mark Hodson. Participation has grown, with 900 girls and boys playing at the new Soccer Academy in Djabal Camp, and several more are planned, while a women's team will be launched next year.

But despite such development, the team's attendance in Ostersund was always in the balance.

"Everything came down to the wire," says Katie-Jay Scott Stauring, i-ACT's director of operations and community involvement.

"We had a 72-hour fundraising drive to raise $1,850 per player and coach. We made it in time with six minutes to the deadline to pay for the team's airline tickets."

The stress did not stop there, with delays for visas again threatening their participation, as well as diplomatic complications between embassies, before the team was finally allowed to travel.

That Darfur United's players will be lining up in Sweden is a reflection of the international goodwill and support behind them. From the volunteer coaches and assistants, to donations received from football fans around the world.

NBA basketball star Tracy McGrady contributed the team's kits, and a printing house supplied the logos free of charge, while Turkish Airlines bent its rules for travel requirements.

The team will have a difficult assignment in Sunday's opening match against tournament favorite Padania, of the Po' Valley region in northern Italy. While the area was associated with the far-right Lega Nord party, the team now promotes an inclusive message, represented by star player Enock Barwuah -- brother of Italy international Mario Balotelli, who will line up at Brazil 2014.

"It's the first time I play for Padania and I said yes straight away," says Barwuah.

"I was born here, and lived here, so I feel a connection. It's a great experience to play with teams from around the world."

Barwuah admits he knows little about his first opponents, but is keen to learn more.

There are two main purposes to the tournament, says ConIFA president and former referee Per Anders Blind.

"We work to support ethnicities and isolated regions, and also to educate the world about them, to know they exist and who they are. To show their culture, heritage and traditions."

This is the largest tournament to date for stateless peoples -- replacing the poorly organized Viva events -- with a record 12 teams, and Blind sees limitless potential.

"There are 5,500 ethnicities and regions that cannot play. FIFA have 209 members and we can easily double that," he says.

"ConIFA is only 10 months old and members say we have accomplished more than Viva did in 10 years. Sponsors realize we are opening up a whole new market. There are 40 million Kurdish people without a state, for example."

The knockout rounds are expected to sell out in the admittedly modest 6,000-capacity stadiums, and there is evidence of growing public interest in the outposts of football, away from the traditional powerhouses of the game.

The story of American Samoa, the world's worst international team, has generated a hit book and film.

"There are so many teams who fall outside the FIFA framework and it's very valuable to give them recognition," says Paul Watson, an English football journalist who managed Pacific Island Pohnpei, and now Mongolia.

"The ConIFA competition will give a lot of people a chance to express their identity through football and that's a very valuable thing."

For Ignegui, it is priceless.

"Football has bought joy to a group that has not had good news in a long time. People in our camps are so proud and happy with this team when they see us representing them in the tournament," he says.

"It has made a lot of difference to our lives. After 11 years in our small tents, something like this seemed impossible, just a dream."

Although Darfur United's players are desperate to bring the trophy home, perhaps their most important battle has already been won.

@highlight

ConIFA World Cup is a soccer tournament for stateless teams not recognized by FIFA

@highlight

This year's event will be played in Sweden, from May 31-June 8 with a record 12 teams

@highlight

Darfur United squad is made up of players from refugee camps from Sudan conflict

@highlight

Trip to Ostersund was funded with the help of a U.S. humanitarian group