(CNN) -- Judges at the International Criminal Court ruled Wednesday that Sudanese President Omar al-Bashir may be charged with genocide for his role in a five-year campaign of violence in western Sudan's Darfur region.

Al-Bashir, who remains in office, has already been charged with war crimes and crimes against humanity. Prosecutor Luis Moreno-Ocampo had the genocide charge on his original arrest warrant for al-Bashir, but the pre-trial judges left off the charge when they approved the warrant last March.

Moreno-Ocampo appealed in July, saying that the judges' standard for adding the genocide charge was too high. The appellate court agreed with Moreno-Ocampo and ruled in his favor Wednesday.

The appeals judges said the pre-trial chamber had applied an "erroneous standard of proof" to the genocide charge.

The judges said they were not ruling on whether al-Bashir should be charged with genocide -- only whether the charge could be added to the arrest warrant. They said it will be up to the pre-trial chamber to determine whether to add the charge to the warrant, which could take several weeks.

The International Criminal Court at The Hague, Netherlands, is a permanent, treaty-based tribunal dealing with the most serious crimes against humanity.

It is an independent court that is not part of the United Nations. It is funded primarily by nations, but also receives contributions from governments, corporations and individuals.

Even if genocide is added to the arrest warrant, Moreno-Ocampo still faces a challenge in proving the charges at trial, said Mark Ellis, the executive director of the International Bar Association.

"Genocide is a much more complicated legal position to meet (than war crimes and crimes against humanity), because you have to show in proving genocide that there was a specific intent to destroy, in whole or in part, a group based on -- in this case -- ethnicity or race," Ellis told CNN in July. "Obviously, the prosecutor believes he would be able to prove this intent and so he wants the opportunity to prove that in trial."

The warrant for al-Bashir was the first ever issued by the ICC for a sitting head of state. It currently includes five counts of crimes against humanity, including murder, extermination, forcible transfer, torture and rape. It also includes two charges of war crimes for intentionally directing attacks against civilians and for pillaging.

Al-Bashir has traveled to several countries since the warrant was issued, even though any country that is party to the ICC has an obligation to hand him over to The Hague, the court says.

He openly attended the African Union conference in Ethiopia, which ended this week. Ethiopia is not party to the ICC.

Al-Bashir is the front-runner in an election scheduled to take place in April, and a genocide charge is unlikely to harm his prospects.

A genocide charge could further isolate Sudan, but it could also mobilize African nations around Sudan. Leaders from several African countries have said the ICC has been unfair to Africa, and they have threatened to pull out of the court.

The United Nations estimates that 300,000 people have been killed in the conflict in Darfur, and 2.5 million have been forced from their homes. Sudan denies that the death toll is that high.

The violence in Darfur erupted in 2003 after rebels began an uprising against the Sudanese government. To counter the rebels, Sudanese authorities armed and cooperated with Arab militias that went from village to village in Darfur, killing, torturing and raping residents, according to the United Nations, Western governments and human rights organizations.

The militias targeted civilian members of tribes from which the rebels drew strength.

CNN's David McKenzie contributed to this report.

@highlight

ICC judges rule Sudanese President Omar al-Bashir can be charged with genocide

@highlight

Charges would relate to his role in a five-year campaign of violence in Darfur

@highlight

Bashir already facing charges of war crimes and crimes against humanity