(CNN) -- In the sight of Rio de Janeiro's Christ the Redeemer, the man who would be king awaits his destiny.

Diminutive and unassuming, Lionel Messi's faith in his ability has never been in question -- but a God-like shadow has always haunted him.

If Diego Maradona is a deity to Argentines, then Messi is a prophet.

"He was our water in the desert," national coach Alejandro Sabella said of Messi after his side's World Cup quarterfinal victory over Belgium.

Messi may not be Moses -- the ability to turn a rock into a pool of water is a stretch too far even for the Barcelona star -- but his football powers frequently attract supernatural praise.

After his two goals against Nigeria, opposition coach Stephen Keshi declared that Messi was of a different planet -- specifically Jupiter, although he didn't explain why.

Messi's achievements are well documented -- 381 goals in 466 matches for Barcelona, three European Champions League titles and six Spanish La Liga triumphs only tell half the story.

Four times he has been named world player of the year, while his face is posted on billboards across the world, with sponsors clamoring for his signature.

And yet, back where it all began, he does not receive the same affection as he does in the streets of Catalunya.

"The name of Maradona will always be a heavy burden on Messi's shoulders," says Cristina Perez, one of Argentina's leading sports journalists.

Maradona only ever won a Spanish Cup with Barcelona, before guiding Napoli to two Italian league titles, but it was on the international stage where he truly left his mark -- most notably leading Argentina to World Cup glory in 1986.

"Maradona's achievements as a footballer were absolutely stunning," Perez told CNN. "He used his gifts and guts to beat them all one by one before winning the World Cup in a glorious performance."

As much as his skill at Mexico '86, Maradona's use of his hand to deflect the ball past England goalkeeper Peter Shilton in Argentina's 2-1 quarterfinal victory is still debated to this day.

Was he a cheat or was this a professional doing anything to create an advantage for his team?

A bit of both, according to Maradona. "A little bit by the Hand of God, another bit by the head of Maradona," is how he described his goal afterwards.

"That is why people forgive him for almost everything and still celebrate even the 'Hand of God' goal as an emblem of cunning and hunger of triumph," says Perez.

Maradona's performances at that tournament still astound to this very day.

The way he ran through the bewildered England defense in Mexico City to score his second goal, just minutes after his first controversial effort, led to it being labeled one of the greatest in football history.

In the semifinal Maradona scored twice against Belgium in a 2-0 win, beating four Belgian defenders to score his second goal.

In the final, he set up Jorge Burruchaga to score the winning goal as Argentina claimed a 3-2 victory over West Germany.

His performances secured hero status in Argentina and allowed him build up a huge amount of goodwill which would be sorely tested later when he was banned for drugs at the 1994 World Cup.

Maradona, was a man of the people, a boy who had grown up playing football on the streets of Buenos Aires, fighting each and every day to make his way in the world.

He had something about him that people could relate to -- something Messi, for all of his qualities, did not possess.

"Leo doesn't have the charisma or the eccentric side which helped build Maradona's gifts as a player," says Perez.

"He had a provocative and flamboyant personality -- he's still known as God.

"But nobody can live on the past and the future depends on Messi's talents, otherwise there will be nothing more but nostalgia."

Messi and Maradona could scarcely be more opposite in character and lifestyle.

In the lead-up to the triumphant World Cup triumph in 1986, Maradona was in a daze.

A public row over an illegitimate child with his mistress threatened to ruin the nation's hopes, while throughout his career he was linked with the Camorra -- the Neopolitan mafia -- and, having suffered defeat in the 1990 World Cup final against Germany, was then banned for drug taking at the 1994 tournament in the U.S.

But in 1986 he single-handedly carried an Argentine nation, still recovering from the impact of the Falklands War, onwards to victory. It was the pinnacle of his international career which spanned 91 games and 34 goals.

Messi is more of a private and retiring type -- while he is not shy in coming forward with the ball at his feet, he does not command the same attention within Argentina that Maradona enjoyed.

Much of that has to do with Messi's upbringing. While Maradona grew up and made his name in Argentina, Messi moved to Barcelona at the age of 13.

He is quite open about the decision to uproot from his hometown of Rosario in Santa Fe and move halfway across the world.

"When I was 11 years old they discovered that I had a growth hormone deficiency and I had to start a treatment to help me to grow. Every night I had to stick a needle into my legs, night after night after night, every day of the week, and this over a period of three years," he said in the book "Messi," by Guillem Balague.

"I was so small, they said that when I went onto the pitch, or when I went to school, I was always the smallest of all. It was like this until I finished the treatment and I then started to grow properly."

And grow he did -- not just in height but in stature too.

Messi was the focal point of Pep Guardiola's Barcelona revolution and the emergence of tiki-taka football which dominated Spanish and European football.

Yet as his stock at Barcelona rose with each passing game, those back in Argentina remained skeptical.

The accusation was that Messi was not one of them. This was a player who had abandoned his homeland before he had managed to form any kind of Argentine identity -- he was Catalan.

"There are still some people -- too many people in my opinion, because there shouldn't be any at all -- who aren't totally convinced by him," Argentine football expert Sam Kelly told CNN.

"But the vociferousness of his celebrations, the quality of his performances since Sabella took charge in particular, and his undoubted centrality to the team, has now won over all but the most tiresome drunken critics.

"He doesn't have the same 'everyman' feel as Maradona, and it's difficult to imagine him ever shooting his mouth off as much, but bearing in mind he's only just turned 27 I think he will one day be considered on the same level as Maradona the player -- but the warmth of feeling for the person might never quite match up to Maradona."

Four years ago, when Messi and Maradona combined their powers at the 2010 World Cup -- it proved disastrous.

Messi failed to sparkle, Maradona cut a figure of fun on the touchline as coach and Argentina was thrashed 4-0 in the quarterfinal by a rampant Germany.

Perhaps now it is time for revenge, for on Sunday, Messi will captain Argentina in the World Cup final -- his 93rd appearance for the Albiceleste -- against Germany.

He has managed 42 goals in that time, four of which have come in this tournament.

Now more than ever, Argentina needs Messi -- it needs the ability to escape the problems which threaten to plague the country, notably a $100 billion default, with the economy shrinking by 11% and unemployment sky-rocketing.

Argentine officials will meet with a mediator in New York on Friday to end a long-running dispute with investors who turned down restructuring terms on the nation's debt after 2002.

President Cristina Fernandez de Kirchner has not missed the opportunity to take advantage of the World Cup, with the government running nationalistic adverts on state-run television during the games.

If the tactic is to distract the public then it has worked to some extent -- and Messi has played his part.

Those celebrating the prospect of a first World Cup final in 24 years allowed their worries to disappear at least temporarily as they celebrated the nation's Independence Day with extra fervor.

But if Argentina fails to reach a deal by July 30, it will fall into its second sovereign debt in 12 years.

For the moment, though, monetary difficulties are put to one side as the nation fixates on the chance to become world champion for the first time in 28 years.

"I don't remember such feeling of contentment since I was a child and the return of democracy after the dictatorship in 1983 and then again when we won 1986 World Cup," added Perez.

"In a time of economic crises and scandals of corruption in the government, this moment provides a huge relief in the middle of adversity.

"So reaching the final game gives us real happiness and makes the country proud."

Germany represents an almighty challenge for Messi and his team.

This side, which obliterated host nation Brazil 7-1 in Tuesday's semifinal, believes this is the moment its potential is finally fulfilled.

But for Argentina, this opportunity is one it cannot afford to pass up after waiting for so long.

"Brasil, Decime Qué Se Siente" — translated to "Brazil, Tell Me How It Feels" -- is the song that has been sung throughout the tournament by Argentine fans confident of their team's success.

Those words have become more venomous since Brazil's abject exit, and those who had dreamed of a home victory could be about to witness the host country's worst nightmare -- an Argentine World Cup-winning party on the Copacabana.

That is the dream that 40 million Argentines will pray for their footballing prophet to deliver.

@highlight

Argentina faces Germany in Sunday's World Cup final

@highlight

Lionel Messi will captain Argentina

@highlight

Two teams met in final of 1986 and 1990 tournaments

@highlight

Argentina has won the World Cup twice in 1978 and 1986