(Health.com) -- Attention deficit hyperactivity disorder (ADHD) appears to be on the rise in the United States, and in the search for explanations researchers have begun to scrutinize fetal exposure to a wide range of toxins, including lead, tobacco, pesticides, and chemicals such as PCBs.

Mercury, a metal that affects the nervous system, is among the latest suspects to be investigated. And in a new study, researchers report that children who are exposed to higher levels of mercury in the womb are more likely to exhibit attention problems, hyperactivity, and other ADHD symptoms when they're 8 years old.

The study included roughly 600 mothers and children from New Bedford, Massachusetts. The researchers measured prenatal mercury exposure by analyzing samples of the mothers' hair shortly after birth, and found that a child's risk of ADHD symptoms increased by 40% to 70% past a certain exposure threshold (1 microgram per gram).

The association was seen primarily in boys, which wasn't unexpected, since previous research has shown that boys seem to respond differently than girls to chemicals that disrupt the endocrine system.

Health.com: What causes ADHD? 12 myths and facts

"This study and one other recent study--which both implicate prenatal mercury exposure [in] the development of ADHD--suggest that the impact of mercury is much greater than previously recognized," says Dr. Bruce P. Lanphear, M.D., a professor of children's environmental health at Simon Fraser University, in Vancouver, British Columbia, and the author of an editorial accompanying the new study.

The other recent study, which was conducted in Inuit children in QuÃ©bec and published earlier this fall, produced similar results: Children who were exposed to higher prenatal levels of mercury (as measured by samples of umbilical-cord blood) were more likely to exhibit ADHD symptoms between the ages of 8 and 14.

The new study, which appears in the Archives of Pediatrics & Adolescent Medicine, looks only at ADHD symptoms, rather than official diagnoses. And it shows only an association, not a cause-and-effect relationship.

That said, it would be difficult to design a mercury-exposure study more rigorous than this one, since for ethical reasons pregnant womencould not be selectively exposed to high levels of mercury, which is known to be toxic to the developing fetus, says Dr. Elza Vasconcellos, M.D., a pediatric neurologist at Miami Children's Hospital.

Health.com: Food additives that may affect ADHD

Aside from on-the-job exposure (which is common in mining and certain types of manufacturing), people are most likely to be exposed to mercury by eating fish that have ingested the metal in contaminated waters. This is why the U.S. Food and Drug Administration recommends that pregnant women eat no more than two six-ounce servings of low-mercury fish per week.

In the study, however, fish consumption was not independently related to ADHD symptoms. In fact, when the authors conducted a second analysis among the same group of mothers and children, they found that the offspring of mothers who reported eating more than two servings of fish per week while pregnant actually had a 60% lower risk of ADHD symptoms.

How to reconcile these seemingly contradictory findings? One possibility is that the nutritional benefits of fish may offset the harmful effects of mercury, the authors suggest. Fish is a good source of omega-3 fatty acids, healthy fats that are essential to brain development, Vasconcellos says.

Health.com: Quiz: Do you have adult ADHD?

"It's possible to eat fish low in mercury and high in nutritional value, and it's possible to eat fish high in mercury and low in nutritional value," says Dr. Susan Korrick, M.D., the senior author of the study and an assistant professor of medicine at Brigham & Women's Hospital, in Boston. "What really matters is the kind of fish you're eating."

But Korrick and her coauthors had no information on what type of fish these women ate. And even if they did, there's no reliable way to estimate which fish are high in mercury and which aren't. As a general rule, a fish's mercury content depends on the size of the fish (larger fish tend to contain more mercury), where it was caught, and how far along it is in its lifespan.

Smaller, oily fishes such as salmon, herring, mackerel, and sardines tend to be low in mercury and yet high in omega-3s. Shark, swordfish, and fresh tuna, on the other hand, are more likely to contain high levels of mercury and a relatively modest amount of omega-3s, though there are exceptions to all of these rules.

The potential link between mercury and ADHD will need to be explored further in future studies. In the meantime, Lanphear says, avoiding mercury-laden fish is only a short-term precaution. A more permanent solution to the contamination problem, he says, will require societies to reduce mercury emissions across the board.

More ADHD news from CNN Health

@highlight

ADHD symptoms were noted when the children were 8 years old

@highlight

This research shows associations, not cause-and-effect

@highlight

Fish consumption is not independently related to ADHD symptoms

@highlight

Shark, swordfish and tuna are more likely to contain high levels of mercury