London (CNN) -- For a moment, the nervous chatter, rustling costumes and jovial jostling came to a standstill.

Silence fell over the 36,000 competitors who just minutes earlier had been impatiently rearranging themselves for the start of the London Marathon.

For 30 aching seconds the spring sunshine beat down on their bowed heads, a sea of black ribbons pinned to their chests, as they remembered those who never got a chance to cross the finish line.

It was a deeply tender and haunting image, and unlike anything ever seen in the 32-year-history of the race.

Then again, this wasn't just another London Marathon.

Six days after Boston's Marathon was rocked by the bombing which killed three people and injured more than 180, the English capital hosted its own premier race.

READ MORE: Tight security at London Marathon

London is the first international marathon to follow Boston, and the attack which sent thousands of people scrambling in terror down smoldering streets and past upturned stands. It loomed large in the minds of competitors observing the silence ahead of the starting gun.

"Marathon-running is a global sport. It unites runners and supporters on every continent in pursuit of a common challenge and in the spirit of friendship and fellowship," event commentator, Geoff Wightman, announced over loudspeakers before the half-minute silence.

"This week the world marathon family was shocked and saddened by the events at the Boston Marathon. In a few moments a whistle will sound and we will join together in silence to remember our friends and colleagues for whom a day of joy turned into a day of sadness."

WATCH: Boston wheelchair racer in London

Among the runners, there was a humbling sense of how easily the Boston victims could have been themselves. There was also a determination to complete the race -- as much for their own gratification as for those who couldn't.

For every competitor who crossed the finish line, organizers will donate $3 to The One Fund Boston, set up to raise money for victims of the blasts.

Along with the usual whacky costumes -- a man dressed in an Abraham Lincoln hat and beard earned respect both for his bravery and lunacy -- were reminders of Boston's tragedy.

Almost everyone wore black solidarity ribbons, with many also donning customized t-shirts bearing the name "Boston."

Northern Irishman Barry McCann was one such runner. The 27-year-old from Belfast was working with his asset management company in Boston last week when the attack rocked the city.

"It was pretty much carnage, the whole place was in lockdown," he told CNN.

"Everyone has been so generous sponsoring us. It totally makes you more determined to show them [the bombers] that terrorism doesn't work."

Dressed in a stars and stripes t-shirt, 62-year-old Bill Higgins, from Fullerton, California, fought back tears as he talked about the impact of the Boston bombings on the international racing community.

This was Higgins' 84th marathon and he said he had been inundated with people offering to sponsor his race.

"I've run Boston three times and the attack really hit home," he told CNN. "People keep emailing me saying 'Never back down,' and 'No fear.'"

American Greg Takacs, 36, ran in the Boston Marathon last week and was proudly wearing his Boston race shirt adorned with black ribbons in respect to the victims. Describing the 30-second silence at the start of the race, he told CNN: "It was so silent and very moving. It gave me goosebumps.

"For that many people to be that quiet -- It was incredible. Wow."

Friends John O'Flynn and John Gately, from Cork in Ireland, have family in Boston and were not planning on competing in London. But then last week's bombing changed their minds.

"The bombings made me disappointed in humanity," Gately told CNN. "I do a lot of marathons and there is a huge solidarity here today."

Similarly, British runner Kristen Harrison, 24, wore a t-shirt with the slogan "For Boston," as she prepared to compete in her fifth marathon.

"I wanted to support them," she told CNN. "The running community is quite strong and I think we were all in shock after what happened.

"When you start hitting that wall, I think it will help to think of them."

WATCH: Suspects' uncle tells of familial break

Crowds were out in force as the marathon wound its way past some of London's most iconic landmarks such as Tower Bridge, St Paul's Cathedral and Westminster, before finishing near Buckingham Palace.

"The best way for us to react is to push ahead with the marathon, to get people on the streets and to celebrate it as we always do in London -- and to send a very clear message that we won't be cowed by this sort of behavior," Sport Minister Hugh Robertson had earlier told the BBC.

There was also a strong police presence with 40% more officers on duty in the wake of Monday's bombings. As an extra security measure, litter bins were also removed from the 42-kilometer route.

This is the city which nine months earlier hosted the Olympic Games without incident, and politicians say it provided the ideal training ground for hosting international sporting events.

At the heart of the competition were ordinary people slogging it out in one of the most grueling races of its kind in the world -- and all for charity.

As British journalist Marina Hyde wrote this week: "The Boston bombers served only to remind the world that marathons are something in which we all have a stake."

The message, on this sundrenched Sunday, was loud and clear: "We are in it together."

The first woman to cross the finish line was the winner of the Boston Marathon women's wheelchair race, U.S. athlete Tatyana McFadden, who repeated her feat at the London Marathon.

The winner of the men's wheelchair race was Australia's Kurt Fearnley, and the winning runner in the men's elite race was Tsegaye Kebede of Ethiopia.

The first-placed runner in the elite women's event was Priscah Jeptoo of Kenya. Fellow countrywoman Edna Kiplagat came in second.

Lauren Said-Moorhouse contributed to this report.

@highlight

Security tight at London Marathon, first international race after Boston bombing

@highlight

35,000 competitors observe 30-second silence in honor of victims

@highlight

Runners wear black solidarity ribbons to mark Boston attack

@highlight

For every person to finish race, organizers will donate $3 to Boston charity