When Scott Warner swallowed a palm full of pills and washed them down with vodka, all he could think about was the way his son looked back at him and smiled before boarding a plane to Iraq.

Heath Warner was 19, an Army private, when a bomb killed him in al Anbar Province on November 22, 2006.

"From the moment those men in uniforms were at our door, each day, the pain kept getting worse," recalled Scott Warner. "I was crawling up a wall. People out in the real world would tell me,  'Why aren't you over this? He's been gone for years. Why aren't you better by now?'

"All I wanted to do was end my life. I know I'm not alone. I've talked to other parents, other family members. We are hurting and someone must do something."

If you need help, contact the Veterans Crisis Line 1-800-273-8255, press 1

Though the military tracks suicides among service members, suicides among their family members -- spouses, siblings and parents -- go uncounted. But CNN learned Wednesday that the Pentagon's Defense Suicide Prevention Office has sent a report to Congress detailing for the first time a proposal for tracking those deaths.

The report came partly in response to cries for help from groups like the National Military Family Association, whose members know firsthand about the suicides and have struggled to call attention to the problem.

Read the full report (PDF)

In interviews with CNN, military family members who have attempted or considered suicide say the cumulative trauma of 12 years of war -- America's longest battles -- and unprecedented multiple deployments of their loved ones have left them wrung out and desperate. Some have attempted suicide while struggling to care for injured service members. Others, like Scott Warner, have been pushed to the edge by the loss of their loved one at war.

Warner has slowly emerged from the darkness that enveloped him before his suicide attempt in 2010. When he heard about the Defense Department's report, he was hopeful.

"If they do this, it would validate that families are traumatized," Warner said. "This is a lonely journey that parents, siblings, spouses are walking. I know; I've talked to them. I don't care how long it takes, we all want this."

The report, obtained by CNN Wednesday, says the Defense Department does not currently have the ability to investigate, monitor or receive notification of military family member deaths and details how that might be done and what it would cost.

It would take 18 to 24 months for the Pentagon to analyze data it could buy from the Centers for Disease Control and Prevention's National Center for Health Statistics, which tracks deaths in the general U.S. population, the report says. That data -- names and locations of deaths -- could then be compared against data the Defense Department has on family members enrolled in an ID card program. The card allows them access to health benefits and other services, like shopping at on-base commissaries.

The cost of the effort, the report says: $681,600 the first year and $502,200 each additional year.

The report concedes there are limitations to the plan. Some family members, for instance, opt out of enrolling in the ID program. Service members' parents typically would not be in the ID program. If a relative not in the program committed suicide, it's possible they would not be counted.

Veteran confronts rape, suicide: 'I am angry that others are going through this'

Spokespersons for the House and Senate armed services committees told CNN on Wednesday that lawmakers are still reading the 20-page report.

"$600,000 is very little money to spend on something this important," said Kristina Kaufmann, a longtime military wife who since 2006 has written editorials in national newspapers and spoken before Congress about the need to track military family member suicides. "A couple years ago, I had people telling me I was being histrionic.  They'd say a bunch of military spouses weren't killing themselves. But we have the anecdotes. What we don't have -- and I'm glad we're going to try to get -- is the actual data."

Kaufmann personally knew military wives who committed suicide. She was friends with Faye Vick. In 2006, the Fort Bragg mother placed her baby and 2-year old in the backseat of her car and asphyxiated them all.

Websites become tool for stopping veteran suicides

Monique Lingenfelter was the wife of a sergeant assigned to a special operations unit at Bragg. In 2009, she barricaded herself in her home and shot herself.

Another military spouse, Karen Ruedisueli, told CNN that the organization she works for, the National Military Family Association, a nonprofit that serves a quarter-million military relatives, has heard an increasing number of stories about family members killing themselves. Late last year, the group formally implored Congress to ask the Defense Department to find a way to measure the deaths.

"We have a large network of volunteers across the country who come to us with these accounts and we have no way to track them," Ruedisueli said. "We're encouraged that DOD has come up with some kind of methodology."

The spouse of the highest-ranking military officer in the country tried to call attention to the problem four years ago. Deborah Mullen, wife of Adm. Mike Mullen, then the chairman of the Joint Chiefs of Staff, took the stage at a Defense Department conference to say she'd tried to get information about suicides among relatives. She met with leaders to see if they tracked family member suicides. Army leaders told her there were nine military family member suicides in 2009.

Study: Mental illness, not combat, causes soldier suicides

Mullen said she asked Army officials if they knew how many family members had attempted suicide.

"I was stunned when I was told that there were too many to track," she told the crowd. "If that number is that large just in the Army, we really don't have an idea of the scope of the problem."

"It's our responsibility," she implored. "These are our family members. We have got to find a way to track them."

An annual survey by Blue Star Families, the largest military family advocacy group, found suicide among relatives to be a serious concern. Out of 5,100 military family members surveyed in 2012, 9% of military spouses reported that they had considered suicide. Of those, nearly a quarter said they had not sought help.

But even if they had, it's unclear if they would have been heard.

View: Stop saying 'committed suicide'

The Defense Suicide Prevention Office report noted that branches of the military do not share standardized procedures in tracking suicide. The Army is the only service that attempts to track its military family members who commit suicide, the report says.

"I think we understand the bureaucracy," Scott Warner said. "I know this will be difficult. It's government. But what else can we believe other than that they will try?"

Sharing experiences can help

@highlight

Defense Suicide Prevention Office sends a report to Congress

@highlight

It details a proposal for tracking suicides among military family members

@highlight

DOD could buy data from the CDC, combine it with information already kept, according to report

@highlight

Military father who attempted suicide: Tracking "would validate that families are traumatized"