(CNN) -- As Egyptians prepare for their milestone presidential election this week, thousands of activist youths who spearheaded the revolution -- the very ones who made the election possible -- will not be casting a vote. Instead, they are in prison, facing military trials.

On May 4, more than 350 protesters, including 16 women and 10 children, were arrested near Defense Ministry in the Abbaseya neighborhood of Cairo, adding to the approximately 12,000 political prisoners detained since the Revolution.

The Abbaseya protesters fortunate enough to be released from detention have revealed horrific stories of torture and abuse at the hands of military officers. Interrogators hurled abusive insults at them and said sarcastically that any future president would be working under the orders of the ruling military council, better known as the Supreme Council of the Armed Forces.

Their accounts dash any illusions that the lead-up to the election, complete with formal televised debates and countless informal discussions on the streets, represents a new era of freedom in Egypt.

On multiple occasions since March 2011, the military police have tortured and abused protesters, according to a recent report from Human Rights Watch. Despite repeated promises to investigate, Egypt's ruling military council has shown little action and no one has been held accountable.

The girls who were imprisoned for protesting on May 4 heard screams of their fellow protesters being beaten and tortured in cells above them. One girl who has made public statements after being released was too shaken to bring herself to describe what happened to her and other girls.

Of the 15 boys released in early May -- because they had student identification cards -- one of them, 24-year-old Halim Hanish, summoned the courage to recount his ordeal: "They beat us with long sticks on our backs and legs for hours; some went unconscious and were never given any medical care and disappeared later. I was threatened with sexual assault with a foreign object ..."

The ostensible reason behind the release of the 15 students was the timing of their final exams. But the young men were far too traumatized by what they suffered to take their exams. Some have remained silent, fearing the retribution of speaking out.

In a society where men value macho pride and unmarried women value virginity, it is courageous for young men and women who have been abused to go public about the torture and sexual violence that occur regularly to those who are held in detention. Moreover, some of the parents are also not afraid to speak out.

The father of Ahmed Taha, a 17-year-old student who was arrested on allegations of violence, spoke out about his son's detention and rape by an officer in the High Court building on October 28. Ahmed was attending the funeral of fellow protester, Essam Ata, when he got detained. Despite being under age and having endured such brutality, Ahmed remains in detention and has been denied access to medical attention or legal council.

The ruling military council's widespread use of detention and trial appears unprecedented, even when measured against the time of Hosni Mubarak. The addition of abuse and torture all adds up to a zero-sum strategy of squashing dissent and consolidating power.

By trapping civilian protesters inside the military system, the ruling military council completes the cycle of intimidation against Egyptian citizens.

According to Tamer Baza, a lawyer for protesters, detainees do not file formal complaints about the beatings and tortures to the judges (all of whom are military judges) for fear of further detention as retribution.
The halcyon days of the revolution when Egyptian activists proclaimed "the army and the people are one hand" are but a distant memory as the ruling military council drives an unprecedented wedge between the military and civilians, particularly the revolutionary youth.

One doctor, who was arrested after she had treated protesters, overheard military officers inciting soldiers against the protesters: "I could hear the officers saying to the soldiers, 'These are the people who killed hundreds of soldiers.' So now Egyptian soldiers are made to feel that civilians are there to attack them, that we are the enemy, and they congratulate themselves for arresting us."

How is it possible that the United States granted a human rights waiver to the ruling military council government that has instituted these brutal practices?

With the misguided calculation that the ruling military council can ensure "stability," the U.S. government has sacrificed its own credibility as a defender of human rights. As more human rights violations come to light, the U.S. government should change its policy and hold the government accountable, rescind the waiver and condition military aid.

When Egyptians go to the polls on Wednesday for the first genuine election in their lifetimes -- a great milestone -- the voices of the "magnificent youth" who "woke Egyptians from the dead" and have fought to keep the ideals of the revolution alive should not be forgotten as they continue to be locked up in prison.

Let's hope that one of the first acts of the new Egyptian president will be to uphold justice by releasing all the innocent political prisoners who are under detention.

The opinions expressed in this commentary are solely those of Cynthia Schneider and Khaled Abol Naga.

@highlight

On the eve of Egypt's presidential elections, protesters clashed with the military

@highlight

Cynthia Schneider and Khaled Abol Naga: Military abuses those arrested and detained

@highlight

They say ruling military council's widespread use of detention and trials has no precedent

@highlight

Egypt's new president should uphold justice and release innocent detainees, they say