WASHINGTON (CNN) -- Sonia Sotomayor strongly asserted her adherence to the law while dodging questions about her personal beliefs on the third day of her Supreme Court confirmation hearing before the Senate Judiciary Committee.

Sonia Sotomayor answers questions from senators on Wednesday, the third day of her confirmation hearings.

Asked repeatedly Wednesday by Republicans about her controversial statement that a "wise Latina" could reach a better decision than a white man, Sotomayor called it a poorly expressed but valid point about the value of differing perspectives in applying the law.

Senators from both parties pressed her on her personal views on issues such as abortion, gun control and executive powers. But Sotomayor consistently answered she needed to know the specifics of a particular case, such as applicable state statutes and other facts.

Sensing frustration over her responses, the federal appellate judge offered an explanation about how judges approach the law.

"What we do is different than the conversations citizens have about what they want the law to do," Sotomayor said Sen. Tom Coburn, R-Oklahoma, who sought her views on the legality of some kinds of abortions and whether there was a fundamental right to possess firearms and self-defense.

Judges look at the facts of a case and apply the law based on those facts, she said.

"It's not that we make a broad policy choice and say this is what we want," Sotomayor continued.  Watch Face Off: Should Sotomayor be confirmed? »

Her performance rankled Pennsylvania Sen. Arlen Specter, the former Republican committee chairman who changed parties last April. Specter repeatedly cut off Sotomayor's responses Wednesday, saying she was not answering his questions.

Later, in praising Sotomayor's record as a judge, Specter said: "I'm not commenting about your answers, but your record is exemplary."

"You'll be judged on your record more than your answers," he said.

If approved by the committee and confirmed by the full Senate, the 55-year-old Sotomayor would be the first Hispanic Supreme Court justice, the third female justice and the 111th person to sit on the nation's highest court.  Watch Sotomayor being questioned »

Her dispassionate answers on a range of issues displayed a command of legal concepts that impressed even her harshest interrogators.

Sen. John Cornyn, R-Texas, appeared to rule out a filibuster attempt against the nomination by his minority party, telling Sotomayor that "you will get that up-or-down vote on the Senate floor."  Watch Cornyn quiz Sotomayor on abortion »

Democrats predicted she would be confirmed with support from members of both parties.

Cornyn and other Republicans raised the "wise Latina" statement for a second straight day, asking whether it meant she had a gender, ethnic or racial bias.

Sotomayor said the remark she made in several speeches was never intended to mean that one gender, ethnic or racial group was better than another.

"It is clear from the attention that my words have gotten and the manner in which it has been understood by some people that my words failed," Sotomayor said. "They didn't work." iReport.com: Share your thoughts on the Sotomayor hearings

However, she defended the point she was trying to make, and said other Supreme Court justices including Sandra Day O'Connor and Samuel Alito had expressed similar thoughts.

"The message that the entire speech attempted to deliver, however, remains the message that I think Justice O'Connor meant, the message that higher nominees, including Justice Alito, meant when he said that he considers his Italian ancestry when deciding discrimination cases," said Sotomayor.  See how Sotomayor compares with justices on the court »

O'Connor, the first woman Supreme Court justice, had said she believed a wise female judge and a wise male judge could reach the same conclusion.

"I don't think Justice O'Connor meant that personal experiences compel results in any way," Sotomayor said. "I think life experiences generally, whether it's that I'm a Latina or was a state prosecutor or have been a commercial litigator or been a trial judge and an appellate judge, that the mixture of all of those things, the amalgam of them help me to listen and understand."

She repeated her statement from Tuesday that poor wording caused misunderstanding of what she meant to say, explaining that judges "rely on the law to command the results in the case."

"So when one talks about life experiences, and even in the context of my speech, my message was different than I understand my words have been understood by some," Sotomayor continued.

Cornyn pressed Sotomayor if she stood by her words from Tuesday's testimony that her "wise Latina" statement was a failed rhetorical flourish using "words that don't make sense and that they're a bad idea?"

"I stand by the words. It fell flat," Sotomayor responded. "And I understand that some people have understood them in a way that I never intended. And I would hope that, in the text of the speech, that they would be understood."

In one of Wednesday's few sharp exchanges, Sotomayor rejected Alabama Sen. Jeff Session's contention that she had pre-judged the issue of gun control.  Learn more about Sotomayor's past rulings »

Sessions, the ranking Republican on the Judiciary Committee, asked whether she would recuse herself from gun control cases because she ruled in the past that the right to bear arms under the Second Amendment does not apply to state gun control laws.

"I have not made up my mind. I didn't say that I didn't believe it was fundamental," Sotomayor shot back.

She explained that the word "fundamental" in legal terms refers to whether a federal statute applies to the states. The ruling cited by Sessions referred to a prior case that made the determination, Sotomayor said, so she was following the precedent.

Sotomayor previously said she recognizes an individual right to bear arms as recently identified by the Supreme Court in the ruling District of Columbia v. Heller.

Also Wednesday, Sotomayor told how an episode of the television show "Perry Mason" influenced her to become a prosecutor.

She cited an episode in which Perry Mason, after winning yet another case, consoles beleaguered prosecutor Hamilton Burger by noting it must be hard to expend such effort only to have charges dismissed.

"No, my job as a prosecutor is to do justice, and justice is served when a guilty man is convicted and an innocent man is not," she quoted the prosecutor as saying.

"That TV character said something that motivated my choices in life," Sotomayor said.

@highlight

NEW: Sotomayor asserts adherence to law, dodges questions about personal views

@highlight

GOP senator calls Sonia Sotomayor's answers "muddled, confusing"

@highlight

Supreme Court nominee says "wise Latina" remark didn't mean one group is better

@highlight

Sotomayor questioned by senators on third day of confirmation hearings