(CNN) -- Naloxone. It's the name of a potentially lifesaving drug designed to reverse opioid prescription drug and heroin overdoses.

In one case last month, a pair of New York City police officers put it to the test and saw it work.

"We used the naloxone, we injected it into his nose, shortly ... after about 20 to 30 seconds, he ... started breathing and his eyes opened," NYPD officer Kevin Kouroupos told CNN.

Heroin-related deaths increased 84% from 2010 to 2012 in New York City and involved 52% of all overdose deaths in 2012, according to the city's Department of Health and Mental Hygiene.

The problem is particularly bad on Staten Island, where the death rate from overdoses is almost three times higher than the rest of New York City, according to the agency.

"I do think that every police officer should have it," Kouroupos said.

As part of a pilot program launched in December, a group of NYPD officers on Staten Island is armed with naloxone nasal spray and trained to use it at the sign of an overdose.

"The pilot was selected for Staten Island where the mortality rate from overdose is 7.4 per 100,000 compared to 2.4 per 100,000 citywide," New York City's Department of Health and Mental Hygiene said in a news release Thursday.

Long Island sees exploding heroin use

This marks a greater push across the nation to get naloxone in the hands of first-line responders, emergency medical technicians and other overdose witnesses. That effort has gotten a lot more attention since the death of actor Philip Seymour Hoffman, who overdosed on heroin on February 2.

As of 2010, naloxone was distributed in 15 states and the District of Columbia. Notable cities and states that use it include Baltimore and Chicago, and New Mexico, Massachusetts, Michigan, California and New York, according to the Centers for Disease Control and Prevention.

Naloxone distribution programs train potential overdose witnesses to correctly recognize an overdose and administer the drug, enabling bystanders to save more lives.

"You need to have somebody else there to actually give the medication," Dr. Sanjay Gupta, CNN chief medical correspondent, said on "Erin Burnett OutFront" on Tuesday. "The kit is a couple vial syringes, and it comes with instructions."

The Department of Health recommends administering naloxone directly to an individual overdosing after calling 911 and checking for breathing. The overdose antidote can be administered via needle or as a nasal spray.

"The goal is get these in the hands of people who might potentially benefit from them," Gupta said.

From 1996 to 2010, more than 53,000 people were trained in naloxone administration and overdose response, and more than 10,000 lives have been saved because of overdose reversals, as reported by the CDC in 2012.

Naloxone is funded by city and state health departments, which then distribute the antidote through hospitals and community-based programs at no cost, according to the CDC. Community-based programs include San Francisco's Drug Overdose Prevention and Education Project and Massachusetts' Overdose Education and Naloxone Distribution.

Initiatives to expand the availability of naloxone are under way as the uptick in heroin use reverberates nationally.

Since 2012, the Food and Drug Administration has publicly discussed making naloxone for over-the-counter use in hopes of reducing overdose fatalities.

On Tuesday, a new bill was introduced in the New York State Legislature to allow health care professionals to prescribe naloxone to a person at risk of experiencing an overdose, or to a family member, friend or other overdose witness.

What is naloxone, and how does it work?

When someone takes heroin, the drug locks on to receptors in the brain, slows the body down and disrupts breathing, Gupta said.

Naloxone can rapidly free up those receptors and restore consciousness and normal breathing, essentially bringing the overdose victim back to life.

More on just how heroin can turn you into a corpse

First approved by the FDA in 1971, naloxone has been used safely and effectively for more than 40 years in ambulances and emergency rooms across the country, according to the Drug Policy Alliance.

Every day in the United States, 105 people die as a result of drug overdoses involving heroin or pharmaceutical opioids, according to the CDC.

With more than 30,000 deaths annually, accidental overdose has overtaken car accidents as our country's leading cause of accidental death for people 25 to 64, as reported by the CDC.

In Portsmouth, New Hampshire, a town of just 22,000 residents, three overdoses were reported in just 24 hours earlier this month. One of the overdoses resulted in a death, said Capt. Mike Schwartz of the Portsmouth Police Department.

In January, at least 22 people in western Pennsylvania died after using heroin that had been mixed with fentanyl, a powerful narcotic used to treat cancer patients' pain, CNN's Rosa Flores reported. The drug cocktails were being sold under harmless-sounding names, such as "Theraflu" and "Bud Ice."

At the start of the New Year, Gov. Peter Shumlin of Vermont devoted his 2014 State of the State address to the state's heroin problem, calling on law enforcement, medical personnel and Vermont families "to take action before the quality of life that we cherish so much is compromised."

South Beach-Tottenville on Staten Island was among the five New York City neighborhoods with the highest rate of heroin poisoning deaths from 2011 to 2012, according to a Health Department report from September 2013.

"The problem is so mainstream. This is Main Street. This is Staten Island here. It knows no boundaries," Luke Nasta told CNN. He's the executive director of the Camelot residential rehabilitation program on Staten Island, which also sponsors rehab programs throughout New York's five boroughs.

So how did the problem rise to epidemic proportions?

These days, heroin is a cheaper alternative to opioids, according to the NYC Department of Health.

The nationwide crackdown on prescription pill abuse has made those drugs harder and more expensive to get. As a result, heroin has become a common substitute for prescription pills.

Nasta suggests this is the reason why heroin use has skyrocketed on Staten Island.

"It's worse because the prescription opioid pill problem was worse -- so that morphs into heroin addiction," Nasta told CNN. "In 2012, doctors and law enforcement tightened up on doctor shopping and the availability of prescription drugs -- people moved to heroin. As early as 2012, we saw a reduction in overdose deaths for prescription opioids, but the heroin overdose rate went up dramatically."

Nasta says every five days, someone on Staten Island dies from an unintentional heroin overdose. One in 10 overdoses results in death, he says.

"As they tighten up on the prescription drugs, the heroin marketers put out a product that is potent and inexpensive," Nasta said. "The person who is accustomed to getting opiate pills from friends, in a single-family house, are now strapping and putting in a hypodermic needle. Their whole world changes."

And the typical user group is not one you'd expect, he says.

"You have a high school tennis player, with a seriously hurt elbow or ankle -- and there you go, here's 90 heroin tablets, good luck."

Nasta says friends and family members of addicts should all have naloxone and be prepared to use it.

"It's not going to address the problem, but it will save some lives."

Are users thinking about naloxone?

It's difficult to determine whether users have considered naloxone as a fail-safe for continued drug abuse.

But one addict in recovery says he never thought about the possibility of overdosing while using.

"I mean, I knew about the naloxone, but I just didn't think overdose would happen to me -- so I wasn't really too worried about it when I was using."

For a third time now, Nick, who asked not to share his last name, is in rehab for a heroin addiction that has ruled his life.

He never stopped to think it could actually end his life.

"I didn't think about overdosing. I wanted to get high, you know, any means to get it or do it," the 22-year-old told CNN as he reflected in the common room at the Camelot residential rehab facility.

Nick began using at 15.

"I was using marijuana at first and then over time became curious about other things, and I started using prescription painkillers. I was using those for about two years, and then I had switched over to heroin because the pills were getting harder to find and very expensive -- and heroin was half the price and did the same job." he explained.

Nick says he'll fight to stay clean when he leaves rehab in the next three months.

"I have a lot of goals that I set for myself that I would love to accomplish, and I want to see myself very successful when I get older."

If he can, he'd like to go to college. He says he wishes more addicts had his opportunity to recover.

Hoffman case: Are heroin death probes created equal?

@highlight

There's a proven antidote that can save lives during a heroin overdose: naloxone

@highlight

New York City has been hit hard by heroin use, and officers say naloxone has saved lives

@highlight

Food and Drug Administration has discussed making naloxone for over-the-counter use

@highlight

There's a greater push to get naloxone in the hands of first-line responders nationwide