Washington (CNN) -- Boston bombing suspect Tamerlan Tsarnaev was not on a terrorism watch list or a "no-fly" list when he traveled to Russia last year, a federal law enforcement official told CNN on Tuesday.

The source, who spoke on condition of not being identified, noted the FBI found no suspicions of terrorist ties when it interviewed Tsarnaev and his family members and friends in 2011 after Russia asked U.S. authorities for information on the immigrant from the Caucasus region.

Because the United States "never deemed him a threat," Tsarnaev "was not on a terror watch list or any 'no-fly' list," according to the official.

The information added to questions over the FBI's handling of Tsarnaev, 26, the older of two brothers accused of setting off two bombs that killed three people and injured more than 260 others near the finish line of last week's Boston Marathon.

Area near Boston bomb scene reopens to residents, business owners

Tsarnaev and his brother, Dzhokhar, also allegedly killed a university policeman on Thursday, three days after the bombings, to set off an unprecedented Boston-area manhunt.

Tamerlan died after a shootout with police on Thursday night, and Dzhokhar was captured on Friday.

Some members of Congress have questioned how someone the FBI questioned two years earlier because Russia was concerned about his shift toward Islamic extremism could have avoided closer scrutiny since then.

After being briefed Tuesday by FBI Deputy Director Sean Joyce, the leaders of the Senate Intelligence Committee said they don't believe the FBI "dropped the ball" in its handling of Tsarnaev.

Heat is on FBI over handling of bombing suspect

However, both Democratic Sen. Dianne Feinstein of California, who chairs the panel, and its top Republican, Sen. Saxby Chambliss of Georgia, said potential problems revealed by the Tsarnaev case needed to be addressed.

Chambliss cited an apparent lack of information-sharing between the federal law enforcement and intelligence agencies, a problem he said was believed to have been remedied in the aftermath of the 9/11 terrorist attacks almost 12 years ago.

"We're going to continue to look at whether or not all of the information was adequately shared," he told reporters.

Separately, FBI Director Robert Mueller, Homeland Security Secretary Janet Napolitano and Matt Olsen, director of the National Counterterrorism Center, briefed House members on the Boston bombings, said Republican Rep. Peter King of New York.

None of the legislators who spoke to reporters after the briefings provided details of the ongoing investigation, saying it was too soon to draw conclusions.

"Who knows what will be found tomorrow?" Feinstein said.

A focus of the briefings was Tamerlan Tsarnaev's six-month trip to Russia in 2012 that family members said included visits to Chechnya and Dagestan, regions known for radical Islamic insurgency.

What was Tamerlan Tsarnaev doing in Russia?

At a hearing earlier on Tuesday before the Senate Judiciary Committee, some GOP panel members challenged Napolitano about reported discrepancies in the Tsarnaev case.

Republican Sen. Chuck Grassley of Iowa cited reports that U.S. authorities were unaware Tsarnaev had left the country for Russia in January 2012 even though his name was misspelled on his airline ticket by Russian carrier Aeroflot, which would normally trigger increased scrutiny.

Napolitano responded that Tsarnaev's departure did "ping" in the homeland security screening system, but she noted that because the FBI's investigation in 2011 found no suspicious activity, there was no reason to follow up.

"There was a missed match there" involving the incorrect spelling of Tsarnaev's name, Napolitano said, adding that "even with the misspelling, in our current system there are redundancies and so the system did ping when he was leaving the United States."

The federal law enforcement official told CNN that such a hit in the system doesn't prompt automatic action. In Tsarnaev's case, the Russian government knew he would be traveling to Russia and had family there, so there was nothing to follow up, the official said.

Timeline: A look at Tamerlan's past

CNN law enforcement analyst Tom Fuentes, a former FBI official, offered a similar explanation Tuesday.

"By the time he comes back, the FBI case is closed and, again, no additional information comes back from the Russians to keep an eye on him or that he's on his way back to your country," Fuentes said. "Once the FBI case is closed, there is no further monitoring by the FBI of his activity or whether he's going to these Jihadi Web sites or becoming increasingly radicalized."

However, Republican Sen. Lindsey Graham of South Carolina told CNN on Tuesday that the episode showed that the Department of Homeland Security never notified the FBI that Tsarnaev had left the country.

"It was clear to me that the homeland security shop had information about the travel to Russia, the FBI did not, and they're not talking to each other and they're going back to the pre-9/11 problems here," Graham said.

He also questioned why the FBI investigation of Tsarnaev in 2011 failed to bring his name up as someone to check out in the immediate aftermath of the Boston bombings.

Tsarnaev and his brother were only identified three days later when authorities released photos and video footage of them at the scene of the blasts.

"I just find it really unnerving that we could have had him in FBI custody in 2011 and did a whole profile of him, and after the attack that his name not surface, that we didn't check the database or the database had him missing," Graham said.

Tsarnaev was an immigrant from the volatile Caucasus region of southwest Russia who had legal residence in the United States and sought last year to become fully naturalized, like his brother Dzhokhar, 19.

Bombing suspect's wife 'very distraught'

However, the Department of Homeland Security rejected the citizenship request due to the FBI questioning before the Russia trip.

An FBI statement Friday said a foreign government -- later identified by legislators as Russia -- asked for information on Tsarnaev "based on information that he was a follower of radical Islam and a strong believer, and that he had changed drastically since 2010 as he prepared to leave the United States for travel to the country's region to join unspecified underground groups."

In response, the FBI said, it "checked U.S. government databases and other information to look for such things as derogatory telephone communications, possible use of online sites associated with the promotion of radical activity, associations with other persons of interest, travel history and plans, and education history."

"The FBI also interviewed Tamerlan Tsarnaev and family members," said the FBI statement. "The FBI did not find any terrorism activity, domestic or foreign, and those results were provided to the foreign government in the summer of 2011."

In addition, the FBI "requested but did not receive more specific or additional information from the foreign government," its statement said.

The lengthy travel to Russia by Tsarnaev, who's ethnically Chechen but came to the United States from Kyrgyzstan, caused some legislators and analysts to speculate he may have received training during the trip.

Dead Boston bomb suspect posted video of jihadist, analysis shows

Fuentes detailed how the FBI employs what amounts to "triage" to deal with what he said were tens of thousands of similar inquiries a year that require some level of bureau investigation.

"If you are getting this from a hot place like Afghanistan or the tribal area of Pakistan or places where we have had specific training camps and people deployed on purpose to come and attack us, then that is the highest priority," he said. "And even there, many of the people that go back and forth are visiting family. I mean, they are not always going back to be trained to be terrorists or always going back for refresher courses on terrorism."

Regarding Russia, Fuentes noted the ongoing conflict with Chechen separatists that may have caused Moscow's request for information on Tsarnaev.

5 key questions in Boston bombing probe

"That's been an ongoing fight, but it's been localized," he said, adding that he couldn't recall a case in which a Chechen trained at home came to attack the United States.

However, Fuentes noted that al Qaeda had sent people to the Caucasus region for training that included bomb building.

Lohr: What we know about Chechnya

Now U.S. investigators need to find out if the Tsarnaevs "had connections, were they deployed by a bigger group, and are there other terrorists in the United States," Fuentes said.

"Are there other explosive devices hidden somewhere or booby traps created, a cache of weapons?" he wondered. "That'll be the task."

de Waal: Suspects' culture of migration and machismo

CNN's Jim Acosta, Ted Barrett and Ashley Killough contributed to this report.

@highlight

NEW: Senators say no indication yet that the FBI "dropped the ball"

@highlight

NEW: Republican senators cite failure of federal agencies to share information

@highlight

Legislators question the FBI handling of bombing suspect Tamerlan Tsarnaev

@highlight

The FBI investigated Tsarnaev two years before the Boston Marathon bombing