(CNN) -- It's been an astonishing year for deception and technology. A famous author in Britain, RJ Ellory, became even more famous when he was discovered reviewing his own work, positively of course, with fake identities online. Prominent journalists were found to have plagiarized the work of others

Fake online reviews were discovered for everything from hotels to Kindle covers to doctors.

And I haven't even mentioned the presidential election.

Technology is affecting almost all aspects of human life, and deception, one of humankind's most fascinating behaviors, is no exception. Technology is making possible some interesting new forms of deception, like the butler lie, the sock puppet, and the Chinese water army.

Butler lies are those little deceptions that we tell one another to avoid social interaction. Examples include the ubiquitous "on my way" when in fact we are not on our way, or "sorry, I just got your text" when actually we just didn't want to respond right away. Another butler lie is the lost reception explanation ("I'm in a tunnel!"). Butler lies help us manage our social attention in an always-on communication world. They allow us to use the technology as a sort of social buffer to avoid interaction when we're technically always available, while at the same time giving plausible excuses to maintain social relationships we care about.

TED.com: Our buggy moral code

Sock puppets are individuals who provide reviews or commentary about their own work, usually highly positive, of course. The Internet allows for this kind of identity deception because people can chose any identity they want. But it can come with a cost when false identities are exposed. In response to the unmasking of Ellory, many authors publicly shamed him and pledged to never engage in sock puppetry.

Reviewing one's own work with a false identity isn't exactly new. Walt Whitman was infamous for doing that well before the Internet was invented. But the use of identity deception at scale, with thousands of people doing so in concert, is new. This is the Chinese Water Army phenomenon. The term refers to the large number of Chinese online writers that are paid a small amount of money to write opinions and reviews. In North America this is also commonly referred to as Astroturfing, in which an organization mimics a grass-roots movement by paying people to "spontaneously" support their position.

It would be easy to assume that technology is growing our lying habits. But this isn't quite right. Let's consider the most important interactions, those with our friends, loved ones, and colleagues.

Does technology make us more or less likely to lie to one another? Surprisingly, a lot of research suggests that Internet technology can actually make us more honest. In several of our studies, for example, people lied less in e-mail than face to face. The place where people lie the most? The telephone.

TED.com: Why we make bad decisions

We've also looked at social network sites and the claims people make. On LinkedIn, where people post resumÃ© information, we found that people lie less about their past responsibilities and skills than in a traditional paper-based resume. Other work shows that Facebook profiles reflect people's actual personality, rather than some idealized version.

Even in online dating, often mocked as a hotbed for lies, we found that yes, people lie, but usually not by that much. Men lie a little about their height, income and education, and women lie a little about their weight and physical appearance. This isn't really that different from meeting someone in a bar, when you think about it.

Why might technology make us more honest with each other? One reason is that people view themselves as honest and lying violates that self-concept. This is especially true when talking to people with whom we have a relationship, like our friends and family, or want to have a relationship, like future employers and dates. Being perceived as deceptive can seriously harm reputations and relationships, regardless of the medium.

But perhaps the most important reason is that we are in an incredibly fluid era of human social evolution. Consider that humans started talking to each other about 50,000 to 100,000 years ago, and over that time around a trillion humans have lived. The written word, however, only emerged about 5,000 years ago, and until World War II over half the world's population couldn't read or write. So, for most of those trillion humans, every word they ever said just disappeared. Gone. Now the average North American records more words in texts and e-mails in a day than most humans did throughout history.

This obviously has important implications for deception. Because of our social evolution we're not wired to automatically remember that our e-mails and texts and blogs and Facebook chats leave a semi-permanent record. Just ask any politician caught in a scandal in the last decade.

TED.com: The brain in love

On the plus side, these records give researchers a chance to study all sorts of social behavior that were mostly invisible before. We can use computers to analyze the language in these records and find word patterns that reveal deception, like whether a hotel review was written by someone who actually stayed at the hotel or not (take a look at the end of the TED talk to see if you can tell which hotel review is fake).

We're in a crucial change state between the era of ephemeral talk and the era of the digital trace, where everything we do and say creates our own personal record. Deception, whether we want it or not, will no doubt evolve with us as we adapt to this new world of communication. The future of lying, like the future of humanity, is wide open.

The opinions expressed in this commentary are solely those of Jeffrey Hancock.

@highlight

In 2012, deception seemed rampant in the news, says Jeffrey Hancock

@highlight

He says technology enables or abets some new forms of deception

@highlight

Still, studies find that people lie less frequently on LinkedIn and Facebook, he says

@highlight

Hancock: People want to be perceived as truthful, especially among friends