(CNN) -- Most artists have to wait years -- or perhaps an eternity -- to earn serious money from their work. Aidan Reed, on the other hand, earned more than $83,000 in a few weeks, and he's only 5.

Aidan's art is of monsters -- green ones, black ones, scary ones, silly ones. The people who buy his drawings aren't necessarily art lovers or monster lovers. They just want to help Aidan, whose leukemia was diagnosed three months ago, and whose parents nearly had to sell their house because of the financial difficulties of dealing with cancer.

When Aidan's family started selling his drawings online in early October, his parents thought they'd sell a few each week. They never imagined it could more than make up for the income they were losing because Aidan's father, Wiley Reed, had to take unpaid time off  to be with Aidan during treatments.

"We were in the hospital with Aidan, and my husband and I were talking about selling the house, which I didn't want to do. I was really upset," said his mother, Katie Reed. "While we were there, we found out we'd sold over 2,000 drawings. I just fell down crying. It was so awesome. I knew we'd finally be OK."

"He's a great artist, but I never thought he'd be famous at 5," adds Reed, who lives in Clearwater, Kansas, and gave birth to Aidan's little brother, Amry, just 12 days after Aidan's cancer diagnosis.

An aunt's love

The idea for selling Aidan's artwork came from his father's sister, Mandi Ostein, who lives in Peoria, Illinois, and was trying to think of a way to help from afar. She had to look no further than her newborn son's nursery for answers. A few months before he got sick, Aidan had sent her some of his drawings to decorate his cousin's room.

"I'd sold items I've made on etsy.com -- purses, bags, clothes -- and I thought we could sell Aidan's drawings there, too," she says. Ostein opened up a shop,Aidan's Monsters, on the popular website.

"When I first mentioned it to my brother, he thought it was crazy," she adds. "But I thought we could sell 60 by Thanksgiving."

Instead, she sold nearly 7,000 by Thanksgiving for $12 a piece. She says sales really took off when a friend of hers convinced a website called regretsy.com, which usually pokes fun of the products on etsy.com, to promote sales of Aidan's drawings.

Now selling Aidan's art has become a full-time job, in addition to taking care of her baby.

"I print, package, ship and answer e-mails from home," she says. "Upstairs is the printing department, downstairs is the shipping department, and wherever I am is the PR department."

Ostein says she knows why Aidan's drawings are selling so phenomenally well.

"People really want to help," Ostein says. "They say Aidan's story really touches them."

Aidan's story

Aidan was a healthy 5-year-old until late this past summer when he started having fevers that wouldn't go away, no matter how many medicines his pediatrician prescribed. Then on the weekend of September 10, he developed a terrible cough, and his parents noticed bruises on his body.

"Usually Aidan tells us if he's hurt himself or run into something, but he couldn't explain these bruises at all," Reed says.

The Reeds took Aidan to the pediatrician's office that Monday, and blood tests confirmed the worst: Aidan had leukemia. He started treatment the next day at Wesley Medical Center in Wichita, Kansas, receiving several rounds of chemotherapy.

Wiley Reed works for Cessna training factory workers, and his insurance is good. While the family is responsible for a $250 co-payment when Aidan goes to the hospital, most of the rest of his care is covered.

What set them back financially is that Wiley has had to take unpaid time off work. His wife stays at home with Aidan and his baby brother, so the family had to go without any income.

"We were buying cheaper groceries and cutting way back on clothes, and we're not big shoppers to begin with," Katie Reed says. "The money from the drawings really relieved us.

When insurance isn't enough

Reed says she never imagined how expensive an illness could be even when you do have good insurance.

"If I were to see this story, I would think to myself, 'These people have insurance. What are they talking about?' " Reed says.

In addition to her husband's lost wages, the family has had other expenses, such as buying food at the hospital instead of cooking at home.

The Reeds' situation isn't unusual, says Jeanie Barnett, director of communications for CancerCare, an organization that helps people affected by cancer.

"Cancer is an incredibly expensive disease," Barnett says. "And no one budgets to have cancer."

There are lost wages, which the Reeds faced, as well as transportation costs to and from the hospital. Plus, even good insurance doesn't cover all the costs.

"You can get socked at the pharmacy for $900 a month, or even $3,000 a month, and that's with insurance," Barnett says.

Families have become clever about how to raise money, she adds. For example, parents of one child with cancer held a "pie-a-thon," cooking pies for 48 hours straight and selling them.

For help facing the financial burdens of cancer, contact CancerCare or the Cancer Financial Assistance Coalition.

And a previous Empowered Patient column also offered advice:After cancer diagnosis, what comes next?

Barnett urges patients and their families who are having fundraisers to beware of the taxman: If you raise a lot of money, you could get pushed into a higher income bracket and face higher taxes. To learn more about smart fundraising, see page 3 of this guide from the National Marrow Donor Program.

Aidan's future

The Reeds are right now trying to figure out now how much of their income from the drawings is taxable. Some of it they've used to pay their mortgage and other expenses, but some has also been used for art supplies for Aidan.

Ostein says sales are still going strong even though she's told customers that for the time being the family is fine. Money from future sales will be put away for later.

Wiley Reed is back at work but takes unpaid time off when Aidan has a doctor's appointment.

"He gets a spinal tap every three weeks, and those are not good to go through," Katie Reed says. "I can't emotionally handle it. I always have to leave the room, so Wiley's the one who stays strong for him and holds his hand."

She says the response to Aidan's drawings has helped her emotionally, not just financially.

"I love reading the happy stories people leave on Aidan's blog about how they've been through this, and it does get better," she says. "It's really helped me stay positive through all this because I was really depressed seeing my child have to go through all this not knowing whether he'd make it or not."

As for Aidan, he keeps drawing, sometimes for hours a day, even when he's in the hospital.

He recently started to draw jesters ("he loves the hats and the bells," his mother says), and he's asked Santa for a four-faced clown mask he saw online for Christmas.

Still, monsters are his main theme.

"I don't think he realizes it, but monsters have become iconic for him," she says. "I think he likes them because he's fighting a monster inside himself."

@highlight

Aidan Reed, 5, who draws monsters, received a leukemia diagnosis  three months ago

@highlight

Aidan's aunt,  Mandi Osteinsold, sold nearly 7,000 drawings by Thanksgiving for $12 apiece

@highlight

In addition to lost wages, the family has had other unexpected expenses