BLOWING ROCK, North Carolina (CNN)  -- Behind the bar at a local restaurant, Doc Hendley leans in to hear his customer over the band. "You like the pinot? Cool," he says.

Bartender Doc Hendley has tapped his regular customers to help provide funds for clean water around the world.

It's a seemingly average interaction, but Hendley is not your average bartender. As he pours wine in the United States, he's also helping to save thousands of lives on the other side of the world -- and he's tapped into his regulars to help.

"[They] sit on the same stool, drink the same drink, pay the same tab every day. I felt like they really did want to be a part of something," Hendley says. "They just were waiting for somebody to bring that something to them."

That something is Wine to Water, Hendley's organization that provides clean water to people in developing countries through funds raised at wine tasting events.

Since 2004, Hendley has traveled to Sudan, Ethiopia, Uganda and Cambodia, working with local communities to build clean water wells and sanitation systems. Vote now for the CNN Hero of the Year

The 30-year-old first learned about the world's water crisis when he took a break from college, and his job as a bar-keep, to travel the world; he hoped it would ground his education and provide some direction. It did.

"I began seeing the figures [of] people that don't have access to clean water -- and it absolutely floored me," he recalls.

At least one in six people worldwide lack access to adequate amounts of safe water for drinking and hygiene, according to the UN. This contributes to diarrhea, the leading cause of illness and death, and translates to 1.5 million preventable deaths each year.

After returning to school, Hendley realized that just by using his ability to bartend and create relationships with people, he might be able to help the problem. At the bars where he worked, he solicited evenings to host wine tastings and provide information about the global crisis. By graduation, Hendley's "Wine to Water" events had yielded enough funding to implement water projects in the developing world.

He approached a local contact, Kenny Isaacs of Samaritan's Purse, with the intention of handing over the funds for their international charitable water projects. Instead, Hendley found himself in Sudan in the spring of 2004, training to oversee water projects and developing and installing water systems in zones deemed too dangerous for United Nations aide workers -- all in the midst of civil war.

"[I was] seeing these people living in conflicts, bullets whizzing by their ears -- yet their biggest concern was the huge loss of life because of the unclean water," he recalls. "That's when water changed from being my passion to the burden of my life."  Watch Hendley describe how the experience in Darfur affected him »

After a year of service in Darfur, Hendley returned to the States and continued his fundraising events while focusing on ways his group could improve upon other water project models.

"Throughout the desert there were bore holes [for wells] all over the place, they just weren't working," says Hendley. "Organizations would put a brand new, $15,000 bore hole in a village that already had one; [they] didn't stop to think that maybe that one is broken or just needs some parts."

Wine to Water is dedicated to achieving sustainability through education and empowerment of local community members, training them to install, maintain and repair their own water systems.  Watch Hendley help a Cambodia community build a well for its school »

Hendley has found this approach reduces overhead costs, leaving more for investment in water initiatives and local economies. Because his operation is small, Hendley says he's less deterred by the instability of areas in dire need and is able to access pockets of the world that larger organizations may have to avoid.

To date, Hendley's group has worked in five developing countries, including India, bringing safe drinking water to more than 25,000 individuals in refugee camps, orphanages, schools, hospitals and a leper colony, as well as directly into hundreds of homes through the installation of bio-sand filters.  Watch how Hendley is changing lives around the world »

In the face of the overwhelming global crisis, Hendley says his work may be a drop in the bucket, but to him it's nothing short of a miracle.

"You can be a bartender in Raleigh, North Carolina; you can be just a regular anybody. And you really, really can change the world," he says. "You can touch thousands of lives. I'm walking truth of that."

Want to get involved? Check out Wine to Water and see how to help.

@highlight

Bartender raises funds and awareness for clean drinking water projects

@highlight

Doc Hendley helps communities build clean water wells and sanitation systems

@highlight

He has travelled to Sudan, Ethiopia, Uganda and Cambodia

@highlight

Vote now for the CNN Hero of the Year at CNN.com/Heroes