The offensive against Islamist militants in northern Mali gained further ground Monday as French and Malian forces reportedly took control of the airport in the ancient city of Timbuktu.

The Islamists, who have controlled northern Mali for months, were reported to be fleeing Timbuktu, Mali's traditional cultural center, to the city of Kidal, more than 500 kilometers (300 miles) to the northeast.

Timbuktu is a UNESCO World Heritage site of huge historical significance, but in recent times its carefully preserved heritage has come under severe threat amid ongoing conflict.

In mid-January, following France's intervention to halt the advance of Islamist fighters in the West African country, UNESCO issued calls for the protection of the fabled city, urging armed forces to safeguard the nation's historic and religious landmarks.

See also: 'Why Africa backs French in Mali'

"I ask all armed forces to make every effort to protect the cultural heritage of the country, which has already been severely damaged," said Irina Bokova, the U.N. agency's director-general.

To the distant Western traveler, Timbuktu has for centuries conjured images of mystery and wonder, a remote Shangri-La whose tantalizing riches and intellectual wealth lured the brave and adventurous.

The city partly owes its near-mythical status to its forbidding location; sitting on the southern edge of the Sahara, Timbuktu became synonymous in the West with the farthest place someone can travel.

Founded by nomads around the 12th century, the desert city's golden era came during the medieval years when it became a flourishing commercial town in the lucrative trans-Saharan gold and salt trade, as well as a major educational and spiritual center.

Although Timbuktu's wealth has declined sharply since then, its rich cultural legacy has stood the test of time. The city boasts an impressive array of ancient monuments and priceless artefacts, including its striking earthen mosques -- made from mud and wood -- and a vast trove of scholarly manuscripts held in public and private collections.

Historically, Timbuktu has been a major hub for the diffusion of Islam in West Africa. Scholars from around the Islamic world traveled to the oasis city to study at the prestigious University of Sankore, which had some 25,000 students and 180 Koranic schools in its heyday.

Mali was often hailed as one of the most successful democracies in West Africa until a coup toppled the president last year, leading al Qaeda-linked Islamists to capitalize on the chaos and establish themselves in the northern part of the country.

In these areas, they applied a strict interpretation of Sharia law by banning music, smoking, drinking and watching sports on TV.

See also: Broken limbs, torn lives in northern Mali

Amid international outrage, they also repeatedly targeted Timbuktu's ancient burial sites. Islamist militants regard such shrines as idolatrous and thus prohibited by their religion.

Last June, UNESCO placed the iconic city on its list of endangered world heritage sites after the Islamist militants controlling the area destroyed many of its treasured tombs and shrines.

In October 2012, Timbuktu residents told CNN that Islamist fighters had attacked more mausoleums. "After the attack, the Islamists told the people that worshiping saints is not right, according to their form of Islam, and the destruction was necessary," said Ibrahim Ag Mohamed, a local guide.

See also: 'Timbuktu tomb attack is an attack on our humanity'

Earlier this month Bokova sent a letter to French and Malian authorities calling on them to respect the Hague Convention of 1954 for the Protection of Cultural Property that prohibits "exposing (cultural) property to destruction or damage," and calls for "refraining from any act of hostility, directed against such property."

She added: "Mali's cultural heritage is a jewel whose protection is important for the whole of humanity. This is our common heritage, nothing can justify damaging it. It carries the identity and values of a people.

"The destruction of World Heritage sites in Mali in 2012, especially the mausoleums in Timbuktu, sparked a wave of indignation across the world, helping to raise awareness of the critical situation facing the Malian people. The current military intervention must protect people and secure the cultural heritage of Mali."

In an opinion piece written for CNN in July, Bokova said the destruction of Timbuktu's ancient shrines added a moral and cultural crisis to a desperate humanitarian situation.

"The International Criminal Court calls this a war crime. We call it an attack against humanity. This is an attempt to isolate and exclude, to sever the ties that bind peoples together," she added.

@highlight

French forces are fighting the remaining Islamists in Timbuktu, Mali

@highlight

Timbuktu is a UNESCO World Heritage site of huge cultural significance

@highlight

Islamists have repeatedly targeted Timbuktu's ancient burial sites

@highlight

UNESCO has called for the protection of the ancient city of Timbuktu