(CNN)Here's a pop quiz: What's better for America's status in the world?

A) Being a global leader in innovation, job creation, education, social mobility, literacy and child health.

B) Being a global leader in imprisoning the highest number of human beings -- its own citizens.

It's an obvious answer. But the unfortunate reality is that the United States leads the world in incarceration, not education.

Our country has shown time and again a nearly unlimited capacity to reinvent itself and move closer to the ideals on which our society was founded.

Yet we have emerged as the global leader in a race that no nation would want to even be a contender in. While our country is home to only 5% of the world's total population, we are home to 25% of the world's prison population. And nearly three fourths of this population is comprised of nonviolent offenders.

At the same time, we are losing the increasingly important race to educate our citizens.

Where the United States was once ranked first in high school graduation rates, we now rank 23rd in high school completion among 30 of the world's most developed nations.

Where we were once the driving force of the global economy, we now rank fifth in the World Economic Forum's global competitiveness index. Key metrics in this index include the quality of a nation's primary, secondary and higher education systems.

Instead of empowering the next generation of American artists, scientists, engineers, inventors and entrepreneurs, our country has chosen to devote a massive amount of resources, time and energy to locking people up. By imprisoning individuals, we also burden families, condemn generations to cycles of poverty and breed economic inequality.

In the 1980s and 1990s, Congress chose to adopt laws that drastically changed the way our country handled nonviolent drug crimes. Since then, the American prison population has increased by nearly 800% over the past 30 years. Over 2.7 million American children have a parent who is incarcerated, and 10 million American children at one time in their lives had a parent in prison.

Americans of color are disproportionately burdened by the failures of our justice system. There are more black men in prison or under state or federal supervision today than there were enslaved in 1850. And while African Americans make up only 13.6% of the total U.S. population, they make up a whopping 40.2% of the U.S. prison population.

The sad reality is that in today's America, prisoners are never truly free from the burdens of our criminal justice system.

A report from the Center for Economic and Policy Research concluded that once released from prison, an ex-offender's prospects for obtaining employment statistically decreased. The report estimated that, in 2008, ex-offender employment losses cost our economy the equivalent of 1.5 to 1.7 million workers, or $57 billion to $65 billion annually. It's therefore no surprise that American prisons have become revolving doors, with two out of every three former offenders rearrested within three years of their release.

The millions of wives, sisters, husbands, daughters, sons, friends and the people they love who have been incarcerated are burdened disproportionately by an outdated, archaic and overly punitive system. These millions of Americans have the ability to advance our country, our economy and our global competitiveness. They just need to be given the opportunity.

American taxpayers aren't free from the burdens of our criminal justice system either.

In addition to the billions lost in jobs and productivity, Americans spend over a quarter of a trillion dollars each year to keep millions of nonviolent, low-level offenders imprisoned. The price tag is truly staggering.

It costs on average $29,000 a year to house one inmate at the federal level. In contrast, our country spends a little over $11,000 dollars a year per elementary school student.  Imagine the good we could do if we could re-appropriate those tens of billions of dollars in taxpayer money and economic losses away from imprisonment and toward investment in our children's future.

We must start to deconstruct the perverse order of our priorities and build a more just society by making needed changes at the federal level. We must examine the way our criminal justice system works -- or rather, doesn't -- and take the necessary actions to change it.

Fortunately, there is already a road map for successfully addressing these problems. We know reforms will work because they already are in states across the country. In both blue states such as New Jersey and Connecticut and red states such as Texas and Georgia, state and local officials have developed and instituted sweeping reforms that have reduced their prison populations and crime rates.

They are succeeding by focusing their efforts on areas where the criminal justice system most needs reform. We should follow their example on the federal level.

First, we should pass legislation that promotes "front end" reform, such as ending mandatory minimum sentencing for nonviolent drug crimes.

Secondly, we should pass legislation that enacts "behind the wall" reforms, such as eradicating the cruel practice of juvenile solitary confinement.

And thirdly, we should enact "back end" reforms with legislation that assists in sealing criminal records and removing barriers to employment for nonviolent formerly incarcerated people.

As we reform our criminal justice system at the national level, we will alter the cycles of poverty and recidivism that plague too many American communities and start to develop virtuous cycles of excellence.

Instead of putting resources toward juvenile detention centers, we can put resources toward afterschool programs that have proved to help keep kids out of the juvenile justice system and in school.

Instead of losing valuable contributors to our economy because of their status as ex-offenders, we can develop apprenticeship and training programs that improve worker skills and jump start our economy.

Instead of asking American taxpayers to pay for warehousing people who commit nonviolent, low-level, crimes, we can make sure that students of all ages have access to math, science and technology schooling that will help them excel in the workforce and as productive members of society.

Let's devote our resources to empowering our citizens, not imprisoning them.

Let's choose to raise our expectations as a country, and let's meet them.

@highlight

Cory Booker: The unfortunate reality is that the United States leads the world in incarceration, not education

@highlight

At the same time, we are losing the increasingly important race to educate our citizens