(AOL Autos) -- Tough times call for tough measures. Nowhere is this truer than in Detroit's auto industry. News of General Motors -- once America's largest commercial enterprise -- possibly going out of business or eliminating divisions sends shudders through Wall Street and cities where GM employees work.

But what about current owners of GM vehicles? What does this news mean to them?

To find out, AOL Autos pushed aside the crisis mentality of the moment to take a clear-headed look at the situation. Our editorial team closely follows the business side of General Motors and is aware that GM will take definitive action regarding four vehicle divisions: Pontiac, HUMMER, Saab, and Saturn.

Pontiac

For Pontiac fans, the good news is that Pontiac will not go the way of Desoto, Oakland, Merkur, Edsel, and Plymouth. Sources at GM officially state that Pontiac is secure, thanks to the reorganization started a decade ago that combined most Pontiac dealerships with Buick and GMC Truck outlets.

This consolidation enables Pontiac to remain a brand that will mostly focus on sporty offerings. The narrow product range is made possible because Buick specializes in mainstream sedans, while GMC covers SUVs, crossovers and trucks, giving Buick/Pontiac/GMC dealers a full-line portfolio.

While we hope for a new Pontiac Firebird to be revealed now that the Chevrolet Camaro is about to go on sale, the reality is different at Pontiac. Their next new vehicle will be the tiny, fuel-efficient G3, a re-badged Chevy Aveo that is itself an Americanized version of a Dewoo built in Korea. So while Pontiac's future is not in question, whether it will stay true to its performance heritage is.

HUMMER

Launched during the time in America when drivers clamored for the biggest and baddest vehicles on the planet, GM figured that the HUMMER craze would last forever. Especially unfortunate for business owners who invested millions in stylish, stand-alone HUMMER dealerships in expensive locations, the craze crashed quickly.

According to John McDonald from GM Communications, the fate of HUMMER is uncertain. Come March 31, GM will decide whether to sell HUMMER or phase the brand out. The Detroit rumor mill is curiously still regarding potential HUMMER suitors. The global nature of the economic downturn seems to have squashed overtures from Indian, Chinese, and Russian buyers.

Regardless of which path GM takes, owners of existing HUMMERs can rest assured that their vehicles will continue to be covered under warranty, and that parts will remain available through other GM brand dealerships for years.

General Motors has experience shedding divisions and shut down the Oldsmobile brand in 2001. Plenty of Oldsmobiles are still on the road today, and continue to receive service through GM dealers and the independent aftermarket industry. Likewise, when Ford bid auf wiedersehen to their German Merkur brand or when Chrysler furled the sails on Plymouth, owners of these vehicles weren't suddenly cast adrift. Service and parts remain available for these brands today. Given this historical fact, HUMMER owners have little to fear.

Saab

General Motors acquired Saab when American car companies thought that snapping up prestigious European brands would be good for business. Chrysler bought Lamborghini. Ford snapped up Jaguar, Land Rover, Volvo, and Aston Martin. GM satisfied itself with Saab.

Unfortunately, these decisions proved financially disastrous for the Americans. None of the European brands became usefully profitable, and the majority continued to hemorrhage cubic dollars right through the time when every nameplate but Volvo and Saab was sold with terrific losses.

In 1990, when GM initially invested in Saab, the thinking was that GM could help improve Saab's quality and overall refinement, while the Swedish brand would add some luster to GM's generally dull product portfolio. The plan worked to an extent, but the sales of the improved Saabs never grew large enough to create a positive dollar return for GM.

Now, because of GM's lack of cash, the corporation can't continue to support the Saab franchise. At the moment, Saab is reorganizing to become a separate, independent business entity. The concept is something like a management buy out, and the Swedish government may provide some of the funding to finance Saab's breakaway from General Motors.

Regardless of how the company engineers its independence, Saab is likely to continue to maintain a presence in the U.S. This should assuage fears of GM-era Saab owners that their warranties will be invalidated and that parts will suddenly become unavailable. It is standard industry practice for customer service issues to be fully addressed during corporate transitions because keeping current owners happy is the easiest way to ensure future purchases.

In the worst-case scenario where Saab reorganizes and exits the U.S. market, experience indicates that an independent service and parts network will quickly surface to meet the needs of abandoned Saab owners. For instance, if one knows where to look, parts for Rovers, Peugeots, Alfa Romeos, and Fiats can be acquired in America with little difficulty.

Saturn

In the beginning, Saturn was supposed to be a different kind of car sold by a different kind of car company. For a few years in the early 1990s, Saturn fulfilled this promise. Unfortunately, Saturn's parent (GM) proceeded to neglect its offspring's new-product portfolio and Saturn cars became uncompetitive. The brand floundered. Resuscitation came recently as the vehicles in Saturn showrooms went from outdated to outstanding seemingly overnight.

Even though Saturn's product line is once again healthy, GM and Saturn will change their relationship in several years. General Motor's plan for Saturn is different from its other troubled nameplates. Saturn, and its strong, high-quality dealer network, is slated to become a sales distribution channel that is separate from General Motors.

GM's John McDonald explains, "Right now, Saturn sells re-engineered versions of vehicles produced by GM divisions worldwide. The Saturn Vue and Astra are from GM's German Opel division. The Saturn Outlook and Sky are produced domestically by GM." Specifically, the Vue and Astra are versions of the Opel Antera and Opel Astra. The Outlook is a version of GM's full-size crossover family that includes the GMC Acadia, Buick Enclave, and Chevrolet Traverse, while the Sky is a rebodied Pontiac Solstice.

In other words, Saturn doesn't now produce anything. They sell what others produce for them.

McDonald continues, "Saturn will continue to distribute vehicles, but the new Saturn organization will have the autonomy to source their new models from any manufacturer. GM will continue to provide products to Saturn through their expected life cycle that runs through the 2011 model year. What comes after that is an unknown right now." In follow-up questions, McDonald hinted that Saturn could procure vehicles from non-GM affiliates in China or India if those manufacturers offered vehicles that fit Saturn's needs.

Should GM owners be worried?

According to most automotive industry watchers and professional economists, it's highly unlikely that the government will allow General Motors to disappear. According to GM's McDonald, regardless of which path GM takes toward survival, none would remove GM's commitment to provide warranty coverage and service for their owners, regardless of brand.

Owners of Pontiacs, HUMMERs, Saabs, and Saturns can relax.

The best deals

AOL Auto's contributor Gary Hoffman recently completed a story on the best March deals. We asked Gary if he had any strategies for finding the absolute best deals regarding these four GM brands.

"Create your own personal auction. If you are going after one of these brands, use the same approach that you would use in good times, except your results will be better. Arm yourself with the invoice pricing, the features you want, and start out by visiting at least three or four dealerships. Get one good offer, and take it to three or four more and see if anyone can beat it. If you aren't satisfied, head out to three or four more."

Gary adds, "Don't be afraid to call your early dealerships back with your best deal and ask them if you can beat it. You will soon find the rock-bottom price for your vehicle."

A keen observer of the industry, Gary says, "The phenomenally good deals available right now cut across all brands, not just those that are at risk of disappearing. I don't think GM has found the perfect incentives formula for moving iron off dealership lots in this environment."

Gary hints that better deals could come, but more lucrative incentives are unlikely because of substantial internal roadblocks for GM to offer negative-percentage rates or rebates equaling 25-percent of the price of the vehicle.

Dealers borrow money to finance their stock of vehicles, and the cost related to these vehicles is referred to as "floor plan."

"When a customer makes a purchase during times like these, the purchase may actually save the dealer money," says Gary. "If you don't buy the vehicle, that dealer has the lot, the dealer will continue losing money on that vehicle every day it sits. You're actually solving a problem for the dealer by purchasing a vehicle."

What the future holds for Detroit

Most manufacturers interviewed by AOL expect demand to pick up late this summer. GM's McDonald says, "We believe that an annual sales volume of about 12.5 million vehicles just accounts for vehicle replacements, and the market sales rate is well below that today. Adding to this unrealized demand, about two million vehicles are scrapped every year, and the pool of U.S. licensed drivers grows by another two million."

McDonald and his counterparts at Volvo and Toyota/Lexus believe that because of the credit crunch, most would-be new-car buyers have postponed purchases for at least six months. The compounding of these individual decisions is causing a dramatic increase in pent-up demand for new vehicles.

As credit eases and Americans are able to finance major purchases such as new cars and trucks, GM anticipates a huge upside. General Motors now produces more high-quality vehicles at competitive prices than ever before, so the company is poised for a comeback...even if it is without HUMMER or Saab.

@highlight

With GM facing economic troubles, some car owners may be worried

@highlight

HUMMERS will continue under warranty, parts available at other dealers

@highlight

Saab is reorganizing to become a separate, independent business entity

@highlight

Sources at GM officially state that Pontiac is secure