London (CNN) -- A hearing into whether a Muslim cleric who has been described as "more radical than Osama bin Laden" can avoid deportation from Britain to stand trial in Jordan began Wednesday in London.

Britain has been trying to deport Abu Qatada for years, but his legal appeals have kept him in the United Kingdom. He is accused of funding terrorist groups and is said to have inspired one of the 9/11 hijackers.

Profile: Abu Qatada: the preacher at the eye of the storm

In January, the European Court of Human Rights blocked Britain from sending him to Jordan because of fears that evidence obtained by torture could be used against him at the trial planned by the Middle Eastern country.

Britain then launched a round of negotiations with Jordan in order to deal with the court's concerns and arrested Abu Qatada again on April 17.

The following month, the European Court rejected an appeal by his lawyers to avoid deportation.

The decision set the stage for the latest hearing in front of the Special Immigration Appeals Commission, which will hear three witnesses in person. The hearing is expected to last several days.

The high court judge who manages the commission is likely to give his ruling a few weeks after the appeal concludes, a court official said.

A significant portion of the hearing will be closed to the media and sometimes also to Abu Qatada's defense team, because matters of national security are to be discussed.

Who is Abu Qatada?

Also known as Omar Othman, Abu Qatada is a militant Palestinian preacher who has been held in high-security British jails for more than six years.

Read more: UK wins round in Qatada deportation battle

Videos of his preaching were found in a German apartment used by some of those involved in the 9/11 attacks on the United States, including ringleader Mohammed Atta.

Counter-terrorism sources said Abu Qatada was a big influence on Abu Musab al-Zarqawi, the Jordanian who would emerge as al Qaeda's leader in Iraq.

What is he accused of?

The British government says Abu Qatada raised money for terrorist groups, including organizations linked to former al Qaeda leader Osama bin Laden, and has publicly supported the violent activities of those groups.

Abu Qatada has denied the allegations against him.

Why is he wanted in Jordan?

In 2000, Jordan convicted him in absentia for a plot to bomb tourists in the country to celebrate the new millennium. He was also convicted for his role in two terrorist attacks in the country in 1998.

Read more: Al Qaeda says it'll free captive if UK releases Abu Qatada

Jordan has said it will quash that conviction and retry him.

Why is he fighting deportation?

Abu Qatada has said deportation would put him at risk of torture and lengthy pretrial detention.

Lawyers presenting his appeal question whether the evidence against him in the two cases he faces in Jordan is sound, or whether it has come from someone who was tortured and is therefore tainted. They also question whether Abu Qatada can expect a fair trial in Jordan.

When did he arrive in the United Kingdom?

Using a forged United Arab Emirates passport, Abu Qatada arrived in the United Kingdom in 1993 and sought asylum for himself, his wife and their three children, according to court documents. He said Jordanian authorities had tortured him.

The British government recognized him as a refugee and allowed him to stay in the country until 1998.

Abu Qatada applied to stay indefinitely, but while his application was pending, a Jordanian court convicted him in absentia of the terrorism charges.

What does he preach?

As a preacher in London mosques, Abu Qatada gained a militant following.

In 1999, he allegedly sought to justify the killing of Jews, including children, and attacking Americans.

In 2001, three days after the 9/11 attacks in the United States, Abu Qatada preached that the attacks were part of a global struggle between Christianity and Islam, and were a response to America's unjust policies.

In another sermon, he sought to justify the killing by a Muslim of a "nonbeliever" for the sake of Islam.

Writing in The New Yorker in 2006, Lawrence Wright quotes a Saudi journalist who had met Abu Qatada in the early 1990s. Jamal Khashoggi said "Abu Qatada had struck him as far more radical than Osama bin Laden ... influenced by Salafism, the puritanical, fundamentalist strain of Islam."

Has he been convicted of a crime in Britain?

He was first detained in the United Kingdom in 2002 under sweeping anti-terror legislation enacted after 9/11 -- along with dozens of other Islamist militants. He was released briefly in 2005 after the repeal of the law. Later that year, British authorities ordered his renewed detention under the Prevention of Terrorism Act.

No evidence has been produced in a British court to suggest he was involved with specific al Qaeda conspiracies. As one popular tweet puts it: "Abu Qatada has not even been convicted of a parking offense in Britain."

Why not?

Two reasons. Authorities say they are unwilling to produce evidence in open court that might prove some operational or direct link to terrorism for fear of compromising intelligence sources.

Second, it is notoriously difficult to prove a crime has been committed by the use of words that influence others' actions.

Who is the other cleric recently extradited from Britain?

Radical Muslim cleric Abu Hamza al-Masri, just extradited from Britain to the United States, pleaded not guilty Tuesday to 11 counts of terrorism. His hearing in a U.S. court came after he lost a lengthy legal battle to avoid extradition to the United States from London.

Al-Masri has called the 9/11 attacks on the World Trade Center "a towering day in history" and described bin Laden as "a good guy and a hero."

The charges against al-Masri include conspiracy in connection with a 1998 kidnapping of 16 Westerners in Yemen, and conspiring with others to establish an Islamic jihad training camp in rural Oregon in 1999. If convicted, al-Masri could be sentenced to life in prison.

CNN's Jonathan Wald, Tim Lister, Richard Roth and Olivia Smith contributed to this report.

@highlight

Abu Qatada was convicted in absentia of terror-related charges in Jordan

@highlight

British official says Jordan will quash that conviction and retry him

@highlight

Abu Qatada is also accused of funding terrorist groups and inspiring a 9/11 hijacker

@highlight

He has said deportation would put him at risk of torture and lengthy pretrial detention