(CNN) -- Prediction: 2013 will be a year of serious global crisis. That crisis is predictable, and in fact has already begun. It will inescapably confront the next president of the United States. Yet this emerging crisis got not a mention at the Republican National Convention in Tampa. We'll see if the Democrats do better.

The crisis originates in this summer's extreme weather. Almost 80% of the continental United States experienced drought conditions. Russia and Australia experienced drought as well.

The drought has ruined key crops. The corn harvest is expected to drop to the lowest level since 1995. In just July, prices for corn and wheat jumped about 25% each, prices for soybeans about 17%.

These higher grain prices will flow through to higher food prices. For consumers in developed countries, higher food prices are a burden -- but in almost all cases, a manageable burden.

Americans spend only about 10% of their after-tax incomes on food of all kinds, including restaurant meals and prepackaged foods. Surveys for Gallup find that the typical American family is spending one-third less on food today, adjusting for inflation, than in 1969.

But step outside the developed world, and the price of food suddenly becomes the single most important fact of human economic life. In poor countries, people typically spend half their incomes on food -- and by "food," they mean first and foremost bread.

When grain prices spiked in 2007-2008, bread riots shook 30 countries across the developing world, from Haiti to Bangladesh, according to the Financial Times.
Â 
A drought in Russia in 2010 forced suspension of Russian grain exports that year and set in motion the so-called Arab spring.

Since the days of Gamal Abdel Nasser, the Egyptian government has provided subsidized bread to the population. A disk of round flat bread costs about a penny. In the later 2000s, however, the Mubarak government found it could not keep pace with surging grain costs.

As Egypt's population doubled from 20 million in 1950 to 40 million in 1980 and now more than 80 million, Egypt has gained first place as the world's largest wheat importer. The price rises of 2007-2010 exceeded the Mubarak government's resources. Cheap bread vanished from the stores. Discontent gathered. In the August 18 issue of the British magazine The Spectator, John R. Bradley, an Arabic-speaking journalist long resident in Egypt, described what happened next:

Â 
"The conversations of tiny groups of Cairo's English-speaking elites, and their Western drinking companions, were a world apart from talk among the Egyptian masses. ... The main hope of those who poured into Tahrir Square was shared by the revolutionaries in Tunisia: that sudden and radical change would miraculously mean affordable food."

And if food prices surge again? China is especially vulnerable to food cost inflation. In just one month, July 2011, the cost of living jumped 6.5%. Inflation happily subsided over the course of 2012. Springtime hopes for a bumper U.S. grain crop in 2012 enabled the Chinese central bank to ease credit in the earlier part of the summer. Now the Chinese authorities will face some tough choices over what to do next.

The Arab Spring of 2011 is sometimes compared to the revolutions of 1848. That's apter than people realize: the "hungry '40s" were years of bad harvests across Europe. Hungry people are angry people, and angry people bring governments down.

Will 2013 bring us social turmoil in Brazil, strikes in China or revolution in Pakistan? The answer can probably be read in the price indexes of the commodities exchanges -- and it is anything but reassuring.Â 

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: The drought in the U.S., Russia and Australia is driving up food prices

@highlight

He says sharp rises in prices have long been tied to unrest among the world's poor

@highlight

High prices have been cited as a cause of last year's upheaval in Egypt and Tunisia, he says

@highlight

Frum: The winner of November election in U.S. will have to deal with the consequences