Istanbul (CNN) -- An organization that monitors freedom of the press is harshly critical of the government of Turkish Prime Minister Recep Tayyip Erdogan in a new report, accusing it of waging "one of the world's biggest crackdowns on press freedoms in history."

The New York-based Committee to Protect Journalists concludes 76 Turkish journalists are in prison, "at least 61 in direct relation to their work."

"Turkey's imprisonments surpass the next most-repressive nations, including Iran, Eritrea, and China," the watchdog group adds in the report published Monday.

Read more: Turkey arrests journalists in alleged terror plot

The Turkish government has routinely defended its record by arguing that journalists have not been imprisoned for crimes related to their writing and reporting.

"Of all the people imprisoned in our country, the great majority of those who are tried to be linked with journalist identity are the ones who are deprived of their liberty on the grounds of serious offences such as membership of an armed terrorist organization, kidnapping, possession of (an) unregistered firearm and (a) hazardous substance, bombing and murder," wrote Justice Ministry Sadullah Ergin, in a July 10 letter that was published in an appendix to the committee's report.

Read more: Turkish journalists detained in Syria released

But this is not the first time international journalist-freedoms organizations have criticized Turkey. The Paris-based group Reporters Without Borders ranked Turkey 148 out of 179 countries -- below Russia and the Democratic Republic of Congo -- on its press freedoms index for 2011-2012.

According to the Committee to Protect Journalists, 70% of the journalists imprisoned in Turkey are ethnic Kurds "charged with aiding terrorism by covering the views and activities of the banned Kurdistan Workers Party, or PKK."

The PKK has been waging a guerrilla war against the Turkish state since the early 1980s. More than 30,000 people, most of them ethnic Kurds, have been killed in the conflict. In recent months, PKK-related violence has spiked to levels unseen in Turkey in more than a decade. According to Turkish justice ministry statistics cited by a recent International Crisis Group report on the Kurdish conflict, more than 7,000 people have been detained recently on suspicion of having ties to a "terrorist organization."

Read more: Turkish journalists missing in Syria finally phone home

In a February 2012 letter written from prison published in the committee's report, Hamdiye Ciftci of the pro-Kurdish Dicle News Agency claimed she was arrested for publishing images of police allegedly breaking the arm of a 14-year-old Kurdish boy participating in an anti-government protest.

"If you don't work for the system covering orderly pieces of news, they try to bend you to their will with pressure and intimidation. And if this does not work, you will end up in prison," Ciftci wrote.

She was eventually released last April, after spending nearly two years in prison awaiting trial. According to the committee, at least 20 other media workers associated with Dicle News Agency are still in prison and "jailed in direct connection to their work."

The watchdog group also specifically singled out Erdogan, accusing the tough-talking prime minister of creating a climate of self-censorship in Turkey after nearly a decade in power.

"Erdogan has publicly deprecated journalists, urged media outlets to discipline or fire critical staff members, and filed numerous high-profile defamation lawsuits," the report says.

Read more: Turkey remembers murdered journalist

The report highlights the case of TV anchorwoman Nuray Mert.

"My TV program was abruptly taken off the air after Prime Minister Recep Tayyip Erdogan targeted me in his election campaign speech in the city of Konya in May 2011," Mert wrote, in a letter printed by the committee.

She credited Erdogan's Justice and Development Party with removing "the hegemony of the military," which has overthrown at least four governments in the past 50 years. But she also accused Erdogan's government of generating "authoritarian policies in milder forms and under different brands."

Those sentiments were echoed by journalist Ahmet Sik. An early supporter of legal investigations into an alleged terrorist network of ultranationalists with the aim of militarily overthrowing Erdogan's government, Sik is currently being tried for writing a book allegedly at the behest of the same organization. His book, an expose of the infiltration of the police department by adherents of a particular brand of Islam, was banned and police raided newspaper offices to collect copies of it.

Sik was released last March after being detained for more than a year, but the court case against him is ongoing and the journalists he was arrested alongside of are still in jail.

In a phone interview with CNN on Monday, Sik said his arrest was meant "to send the message: If we can arrest even these people, then we can definitely come after you."

Erdogan defended his record in a CNN interview broadcast last month. He was asked by Christiane Amanpour, who is also a member of the Committee to Protect Journalists' board of directors, whether it is off limits in Turkey to criticize the prime minister.

"For the last 10 years, I have been fighting against criticism in very harsh terms," Erdogan responded, speaking through an interpreter. "I've been very patient, but I was not patient from time to time, and I had to actually file a lawsuit against those critics. But after a while, I withdrew my applications and I gave up on my rights, let's say. But insult is one thing; criticism is another thing. I will never put up with insult. But I will always say yes and put up with criticism."

Last July, Erdogan's government passed an amendment that reduced penalties some journalists face for their work.

"This new legal feature would effectively serve as an amnesty for press-related offenses and would affect a significant number of cases concerning journalists in Turkey," wrote Namik Tan, Turkey's ambassador to the United States, in a letter to the Committee to Protect Journalists.

But the amendment did nothing to change Turkey's much-criticized anti-terrorism law, which has been invoked repeatedly to prosecute critics of the government.

"The big mental block in Turkey, unfortunately, is the extraordinary breadth of the terrorist definition: It goes far beyond what anyone in the European Union would say is terrorism," said Hugh Pope, senior Turkey analyst with the international Crisis Group, a non-profit conflict mediation organization.

"It is very out of date and prosecutors are using it, apparently, with a free pass from the ruling party, who could change the law if they wanted."

Sik, the investigative reporter facing charges of participating in a plot to overthrow the government, believes that press freedom in Turkey is not possible until the anti-terror statutes are thrown out completely and the criminal code is brought fully in line with that of the European Union.

For now, Sik said, "journalists have two options: either go to jail or overlook injustices in the interest of self-preservation."

@highlight

The Committee to Protect Journalists blasts Turkey's prime minister

@highlight

"Turkey's imprisonments (of journalists) surpass the next most-repressive nations, it says

@highlight

A government minister says those being held committed serious crimes

@highlight

The committee says 70% of the journalists imprisoned in Turkey are ethnic Kurds