(CNN) -- Last year on December 1 -- World AIDS Day -- President Barack Obama said that creating an "AIDS-free generation" around the world was finally within our grasp.

This World AIDS Day, let's help him achieve that goal. And let's start in the United States.

While the AIDS research and activist communities continue to celebrate some major breakthroughs during the past few years, we continue to struggle with an epidemic in the United States that grows unabated. Each year, 50,000 Americans become newly infected with HIV -- the virus that causes AIDS -- and more than 1.1 million people are living with the virus.

And while everyone is at risk and should know their status, data tell us that communities of color -- particularly black women and young, black gay, bisexual and other men who have sex with men -- are disproportionately affected by the virus. If we're going to create an AIDS-free generation here at home, we need to start investing in resources that will curb the epidemic among these populations.

Hillary Clinton unveils 'blueprint' to combat AIDS

According to a Fenway Institute study released at this year's International AIDS Conference, nearly 6% of black men under the age of 30 who have sex with men are newly infected with HIV every year in six cities across the United States. That's three times the rate among white men who have sex with men. Perhaps most alarming, a Black AIDS Institute study claims that 60% of black men who have sex with men will have HIV by age 40.

Among black women, the Centers for Disease Control and Prevention estimates that nearly 1 in 32 black women will become infected with HIV in their lifetime. And despite representing 14% of the female U.S. population, black women make up 66% of all new HIV infections among women, according to the HIV Prevention Trials Network.

When statistics are this shocking, we must take action.

In his World AIDS Day address last year, Obama said, "When new infections among young, black, gay men increase by nearly 50% in three years, we need to do more to show them that their lives matter. When Latinos are dying sooner than other groups; when black women feel forgotten even though they account for most of the new cases among women, we need to do more."

So: What can we do to make people feel like they matter, and feel like we haven't forgotten them?

One thing we can all do right now is go get tested -- and encourage our friends and neighbors to get tested, too. Knowing your status is the first step to curbing the epidemic. Go to hivtest.cdc.gov to find out where to get tested in your neighborhood. If you test negative, learn how to stay that way. If you test positive, learn your treatment options and take control of your health.

Second, we must fight the disease -- not the people who have it. We need an open dialogue among families, schools, and churches about the risks of HIV, and we need to recognize the role stigma plays in pushing the epidemic underground and unchecked. Stigma against people living with this disease, or who are particularly vulnerable to it, has no place in our evidence-based quest to stop the spread of AIDS. We must hate this disease; we must never hate our fellow human beings.

Third, we must educate everyone -- particularly black women and young black men -- about their vulnerability to the virus. Everyone has a right to feel empowered to take control of their sexual lives and the health of themselves and their families.

Half of young people with HIV don't know it

Finally, we need to realize that AIDS will remain with us as long as we keep our guard down. The dialogue we start this week needs to take place every day, not just World AIDS Day. Talk to your kids about the importance of safe sex and abstinence. Talk to your partners about the importance of monogamy.

Thirty years into the AIDS epidemic, we can finally see, in the distance, an end. We finally possess the ability to change this region's, and the world's, future. Will you join us in helping us create a truly AIDS-free generation by first creating one here at home?

The opinions expressed in this commentary are solely those of Janet Jackson and Mathilde Krim.

@highlight

We continue to struggle with an unabated HIV epidemic in the United States

@highlight

Communities of color are disproportionately affected by the virus

@highlight

We must fight the disease -- not the people who have it, say amfAR representatives