(CNN) -- I started to see influenza-like illnesses starting roughly around mid-December, and within a week knew that 2013 was going to be a bad year. In my 12 years of practice in Chicago, this flu season definitely ranks as one of the worst I've seen. However, I also see no reason to be alarmed that we have a public health threat. What we are dealing with is a well-known virus. This outbreak is worse than average due to, more than anything, poor timing.

There are three main factors to consider in evaluating the intense flu activity across the country.

One is the virus itself. Both the medical community and the general public alike worry someday we will encounter a "superbug." We fear a virus that is extremely potent at causing disease, replicating, resisting our treatment and killing the host. Though the predominant strain this year may be slightly more potent than average based on the number of cases we are seeing, there is no indication that this virus is markedly different from what we've seen in other years.

Opinion: Next time, get vaccinated earlier

The percentage of influenza-related deaths is not higher than in previous outbreaks. The CDC also has found no viral strains this season that are resistant to neuraminidase inhibitors, the drugs that we use to treat patients once they develop the flu. So, we need not worry too much about the virus.

The second factor to consider is the effectiveness of the flu shot. This year's flu vaccine is well matched to the strains of flu that have been circulating. According to the CDC, more than 90% of the identified viral types are covered by the current vaccine. In other words, we cannot blame an ineffective vaccine for the bad outbreak.

Finally, we need to look at environmental factors. The unusually warm weather this winter should not be contributing to the severity of the outbreak. Why? Because last year, it was also unusually warm, and at the time we hypothesized the weather was partly responsible for a milder than normal flu season. Clearly, warm weather can't both enhance and suppress the spread of influenza. Instead, we must focus on what's different from previous years.

Unlike last year, when the flu showed up late, this flu season came early. Most importantly, the peak incidence of illness happened to coincide almost exactly with the onset of the holiday season, which is critical to take into account.

If someone were trying to develop a way to disseminate an illness, he would first devise a way to weaken the population's immune system, and then bring people together to spread the disease. In essence, that is what the holiday season does.

Opinion: America flunks its health exam

Because of holiday preparations and parties, people tolerate less sleep. Stress around the holidays generally goes up. Combine those with poor eating habits and overindulgences that are typical in festive times, and the immune system gets weakened.

Once a person contracts the flu virus, he or she is contagious approximately 12 to 24 hours before the peak onset of symptoms, and is often contagious up to 24 hours after resolution of fever. During this very social time of year, many of these sick people are either tolerating their symptoms to join big groups of friends or family, or coming together honestly unaware that they are contagious. As a result, we have the perfect storm for the spread of influenza.

In sum, our flu season this year is simply a product of poor timing.

Health: Your top flu questions answered

The peak onset of the flu just happened to coincide with a period when we have weakened our immune system and congregated in large gatherings to, among other things, disseminate disease. There is no supervirus. The flu strains have been well anticipated and carry no resistance to our treatment. We have no reason to panic.

I recommend that everyone de-stress from the holiday stresses, wash their hands, eat healthy, exercise and get plenty of sleep. Stay home if you are sick. And in good time, this too shall pass.

The opinions expressed in this commentary are solely those of David Zich.

@highlight

David Zich: This flu season definitely ranks as one of the worst I've seen

@highlight

Zich: This outbreak is worse than average due to, more than anything, poor timing

@highlight

He says the holiday period was the perfect storm for the spread of influenza

@highlight

Zich: The peak onset of the flu coincided with a time when our immunity was down