Seven years ago, Dawn Larkin-Wallace, a mom of three, took up running to lose that 10 to 20 pounds of baby weight that just wouldn't go away.

She figured once she dropped the weight, she'd be off the treadmill.

What she could have never imagined is that she'd become a marathon runner who inspired her three children to start running, too.

"We're just a running family," said Larkin-Wallace of Baldwin, New York, who is part of the running club Black Girls RUN!, a national group encouraging African-American women to make health and fitness a priority.

First, Larkin-Wallace signed up 15-year-old daughter Kayla, a high school sophomore, for a race after realizing that the amount of running she did during her soccer games was the equivalent of a 5K.

With the "positive peer pressure ... and the competitive spirit" that exists in the Wallace household, she said with a laugh, "of course, her brother and sister decided that that's something they wanted to do, too."

Kimberly, 11, and Kevin Jr., 9, ran their first 5K's this year.

Larkin-Wallace said her goal is for "healthy living to become a lifestyle and not just a fad" among her kids, who also play a range of sports from basketball to soccer to lacrosse.

What she's also very mindful of is encouraging her children, especially her girls, to feel good about their bodies. A recent study found that two in three 13-year-olds worry about gaining weight.

Helping her girls feel good about their bodies

"It's always on my mind, and I have African-American daughters. ... I have to help them understand that because their body type is different than others doesn't make one better or more right than the other," she said during a conversation with her family in their home.

"As long as we're healthy and taking care of ourselves ... the way we are made is the way we are made and we should accept ourselves."

That isn't always easy, she added, especially when she goes clothes shopping with her girls.

"Total meltdown in the dressing room trying on jeans and I'm like, 'Well, Kayla, everything is not cut for everybody so you just have to find what works for you,'" said Larkin-Wallace.

"It's something I live with. It's something my mom lives with. She's going to have to live with it. It's just the way it is. (You) just have to find what manufacturer or designer works for you and live a healthy lifestyle and love yourself."

But what makes that harder than when Larkin-Wallace was growing up is that today's teenagers are inundated with messages in the media "telling them that they either need to be superskinny or they need to have this unrealistic ... video-girl body," said Ashley Hicks, who co-founded Black Girls RUN! in 2009. The organization, with 70 groups across the country, has approximately 60,000 members.

And it's not just girls who are experiencing body image problems. Boys are also flooded with images of what a manly man is supposed to look like, which can be just as harmful as the media's depiction of girls.

Hicks said the best way to counteract those messages is by "showcasing that not everyone who runs or is fit is a size 2 or a size 4. They're going to be size 8s and 10s and 12s and 14s."

"A lot of people are going to have curves and there's nothing wrong with that."

"Do I look fat?"

Up against the media, some parents might feel helpless when it comes to helping their teens develop a positive body image, but there's a lot that parents can do, said Anne Wennerstrand, a psychotherapist in private practice in Katonah, New York, who works with teens and parents to treat and prevent eating and body image problems.

How we talk about our own bodies directly affects how our children might feel about theirs, she said.

"Are we asking 'Do I look fat?' or are we making excessive comments about appearance even in casual conversation?" said Wennerstrand, who is also on the faculty of The Women's Therapy Centre Institute.

"If parents can raise their own awareness of how much they're commenting about appearance, how critical do they feel of their own bodies, that's really where it starts."

Dr. Larissa Hirsch, medical editor for KidsHealth.org, added, "It's just hard for a teenager to grow up in a household where someone is constantly saying 'I look fat in this' and not internalize some of that."

The best advice for parents, Hirsch said, is to focus less on appearance and more on health, internal qualities and "things that your body can do, rather than how your body appears."

"Compliment them on things that have nothing to do with appearance: how well they shared with their brother, how nicely they stood up for their friend, how generous they were, things of that nature, trying to be supportive and positive and showing the importance of things that have less to do with appearance and more to do with the type of person you are," said Hirsch.

Starting healthy early

Parents can also help their kids by showing them, even when they're little, how to be healthy. That means a lifestyle that includes physical activity, but also eating right, and not making the mistake of missing meals and eating too much fast food and too many desserts.

"Seeing what the parents eat, that makes a big impact," Hirsch said. "Keep your kitchen stocked with healthy options. It's hard when you go to the kitchen to get something to eat and the things that you see are all of these snack foods that are filled with fat and salt and calories."

Helping children develop healthy habits early, even as young as elementary school or in the tween years, can set them on a healthy lifestyle path into their teens and beyond, said Toni Carey, the other co-founder of Black Girls RUN!

In her early years and all through middle school, Carey said she was the "chubby kid in class," and that it wasn't until her adult years that she really started to take care of herself.

"I look back on that time and think, 'Wow, what if I started running in middle school or high school or just creating healthy habits, it wouldn't be so difficult now,'" Carey said.

"So that's why, we know that the moms are the key to making things happen in the household. If mom is being healthy and eating right, then everybody else will, too."

That's definitely the case in the Wallace household, where the children are following mom's lead in the kitchen and on the running track, and seem very comfortable with how they look.

"When you exercise and you feel good, it's like I don't need to look like a Victoria's Secret model," said 15-year-old Kayla. "I just need to feel healthy about myself."

Follow Kelly Wallace on Twitter and like CNN Living on Facebook.

@highlight

New York mom says she's always mindful of her teens' body image

@highlight

Two in three 13-year-olds worry about gaining weight, according to study

@highlight

Girls are bombarded with "superskinny" images, a women's advocate says

@highlight

The best advice to parents, per psychotherapists: Never say "Do I look fat?"