(CNN) -- Aquatic "dead zones" are a tragic illustration of human beings' negative impact on the world's oceans. They are areas so overloaded with pollutants that they have difficulty sustaining any life.

The flow of fertilizers, sewage and industrial pollutants into rivers and seas has overloaded some coastal marine areas with nutrient waste such as nitrogen and phosphorus. This stimulates excessive growth of plants and algae, which use up oxygen dissolved in the water and kill off other marine life that depend on it.

Globally, their numbers are increasing, with more than 530 aquatic dead zones around the world, encompassing more than 95,000 square miles, according to the World Resources Institute (WRI). Some scientists believe climate change may also be making the situation worse.

But help may be at hand thanks to the development of a number of technological solutions that aim to bring the dead zones back to life.

Scientists in Sweden are testing an idea to pump oxygen into the Baltic Sea -- which separates Scandinavia from mainland Europe and is the world's largest man-made dead zone -- in an attempt to revive its dying ecosystem.

The Baltic region has suffered badly over the past 60 years from a rising flow of human and industrial waste. What's more, because the Baltic Sea is largely enclosed, such harmful pollutants take longer to be washed out than in open waters.

"As with all marine issues you do not see what is down there and sea bottoms are mostly neglected because in general people think there is no life," said Inger Naslund, from environmental group WWF Sweden. "The effects of human behavior is many times reflected at the sea bottom and should be discussed with a louder voice."

Attempts to reduce the waste being dumped into the Baltic have so far failed to stop the growth of the dead zone, now equivalent to around one and half times the size of Denmark.

The lack of progress has led a number of Baltic countries to consider technological interventions, or so-called "geoengineering" ideas (large-scale solutions to environmental problems), such as pumping oxygen into the water, and using chemicals to bind pollutants in sediments, in a bid to save the Baltic.

The Swedish government is funding research into the feasibility of using a wind-turbine driven oxygen pump in the Baltic, following studies carried out last year by the University of Gothenburg, which looked at the effect of pumping oxygen-rich surface water to the bottom of two Swedish fjords.

"Today everyone is focused on reducing nutrient inputs to the sea in order to reduce eutrophication (the effect of excessive nutrients) in the Baltic, but by helping nature itself to deal with the phosphorus that is discharged we can create a turbo effect in the battle against eutrophication," said Anders Stigebrandt, of the University of Gothenburg's Department of Earth Sciences.

See also: Floating turbine buoys offshore wind potential

If implemented, the Baltic Deepwater Oxygenation (Box) project would require around 100 pumping stations built around the Baltic Sea to transport oxygen deep underwater to counteract the declining amounts of oxygen and prevent the growth of the dead zone.

However, not everyone is convinced by the geoengineering ideas. Professor Daniel Conley from Lund University in Sweden, says they are "dangerous quick-fixes," which could have a number of "unforeseen" consequences and allow countries to ignore their obligations for reducing the waste they dump in the Baltic.

"It could completely change the ecology of the Sea," he said, adding that the oxygen-pumping plan could interfere with the reproductive successes of some fish species and cause the release of old contaminants buried underground. Conversely, it could also raise water temperatures and stimulate higher algae growth.

Scientists in Sweden are also testing the use of a chloride, used in treating drinking water, to try to bind phosphorus pollutants in sediments. But writing in science journal Nature, Conley was also skeptical of the idea of using chemicals to bind pollutants.

Conley says it is not yet known how long the pollutants can remain buried within sediments or whether it would even be legal to add large quantities of chemicals to the Baltic Sea.

Environmental groups within the Baltic region support the research into geoengineering projects but are doubtful it can be scaled up.

"Maybe these geoengineering ideas can work in a small inlet or lake but it would cost far too much to be a solution for the whole of the Baltic Sea," said Naslund.

See also: Australia to create marine parks

Baltic environmental group the Estonian Fund for Nature (ELF) says it does not rule out supporting geoengineering ideas like the oxygen-pumping plan but would wait to see a proper ecosystem report of any potential risks.

Conley says any geoengineering idea was likely to cost millions, and in the case of oxygen-pumping, would have to continue for several decades.

Such a large amount of time and money, he believes, would be better directed at reducing land-based sources of nutrients rather than at expensive and potentially harmful schemes to engineer a solution.

"The Baltic Sea Action Plan (BSAP), signed by all the nations surrounding the Baltic, sets targets for reducing nutrient waste levels. Sweden is now saying it wants to use geoengineering to help meet its targets. It's a politically quick solution to a very difficult problem," said Conley.

"These (oxygen pumping) plans are not solving the problem unless you reduce the nutrient waste being dumped in the Sea in the first place."

@highlight

"Dead zones" lack enough oxygen to support marine life

@highlight

They are caused by agricultural waste and sewage flowing into sea

@highlight

Sweden trialling plan to pump oxygen into Baltic Sea -- world's largest dead zone

@highlight

Critics say it's a distraction from the need to reduce pollution