San Diego, California (CNN) -- It's time to deal with another scandal involving the Secret Service — one that leads directly into the White House.

There have been several black eyes in recent years for what was once considered one of the nation's most celebrated law enforcement agencies. The organization responsible for protecting the safety of the President and the rest of the first family has done a poor job of protecting its own reputation.

Besides having to shore up lapses in White House security and recovering from the resignation of its former director, Julia Pierson, the Secret Service now has to contend with more fallout from a story that seemed to be over and done with.

When it comes to protecting itself, the Secret Service could take lessons from the White House. There, a cadre of aides, lawyers and spokespeople have become awfully skilled at covering up mistakes, missteps and misbehavior.

And yet, the truth has a nasty habit of surfacing eventually. Such as whether a 2½-year-old scandal that Americans were assured was limited to Secret Service personnel might also have included someone affiliated with the White House.

It was on April 14, 2012 — during the last presidential election — that the news broke that Secret Service agents had brought prostitutes back to their hotel rooms in Cartagena, Colombia. The agents were in South America to prepare for a visit by President Obama, who was attending a summit on economic development in Latin America.

If the idea was to encourage infusion of U.S. dollars into the local economy, we can assume that federal agents paying young women for sex was not what organizers had in mind. You would think that one of the top law enforcement agencies in the world would be better at policing the behavior of its own personnel.

In the end, nearly two dozen Secret Service agents and members of the military were punished or fired.

But Obama administration officials — including White House Press Secretary Jay Carney — tried to contain the damage by insisting that no one from the White House was involved.

Last week, in an astonishingly detailed front page story in the Washington Post, we learned that may not have been true.

According to the Post, government documents and interviews reveal that senior White House aides — including Kathryn Ruemmler, who was then serving as White House counsel — were given information by the Secret Service at the time suggesting that the scandal extended to a member of the advance team who was in Cartagena at the behest of the White House.

Jonathan Dach, then a 25-year-old law student at Yale University, was a volunteer with the White House travel office who helped coordinate drivers on the trip. He was paid a per diem, not a salary, and reimbursed for expenses. Still, according to the story, travel volunteers are often reminded that their conduct reflects on the President and first lady.

The allegation was that Dach's conduct in Colombia left something to be desired. Despite the young man's insistence, through his attorney, that he didn't engage the services of a prostitute or invite anyone to his hotel room, the information that the Secret Service shared with the White House at the time suggested that Dach had registered a prostitute as an overnight guest.

That's a serious allegation that should have been thoroughly investigated. But was it? The Secret Service shared its findings twice in the weeks after the scandal with top White House officials, including Ruemmler. Each time, the White House counsel and other White House aides conducted an interview with Dach and concluded that he had done nothing wrong.

Those who support the Secret Service agents insist the White House should have dug deeper.

In the end, nothing happened to Dach, whose father, it turns out, is a prominent and generous donor to the Democratic Party.

At least try to look surprised. If the different outcomes seem unfair, you're not alone. Many in the Secret Service feel the same way, which probably explains how the story got out. There are reports of widespread dissension within the ranks of the agency over the Cartagena scandal.

It gets worse. Let's not forget the politics. Remember, this was all happening during a presidential election year.

David Nieland, the lead investigator for the Department of Homeland Security who was tasked to look into all this, told Senate staffers that he was told to delay the final report of the investigation "until after the 2012 election." Nieland also said that, during the investigation itself, his superiors told him "to withhold and alter certain information in the report of the investigation because it was potentially embarrassing to the administration." White House spokesman Eric Schultz insisted, "Of course there was no White House interference with an IG (inspector general) investigation."

The picture seems to be coming into focus. What happened in Colombia showed bad judgment by Secret Service agents. If the allegations against Dach are true — and we can't be sure -- then his judgment was just as poor. And yet, despite the hijinks in Cartagena, it seems what happened next in Washington, on the part of White House officials, was the real dereliction of duty. Once again, the cover-up may have been worse than the crime.

An unnamed administration official disputed that there was a cover-up, telling CNN the White House did thoroughly review the matter and found that Dach didn't engage in inappropriate conduct.

Meanwhile, the Post said Ruemmler — who now practices law in the private sector — refused to talk about the case. It's no wonder why. She is being considered to replace Eric Holder as attorney general, and she probably didn't want to foul up her chances. That sort of thing could happen just by having your name linked to a scandal this unseemly.

Too late. Ruemmler has already done that given the ham-handed way she dealt with the allegations against Dach. Her name should be taken off the short list to replace Holder. It's one thing to end your tenure as attorney general under a cloud, as sometimes happens. And it's another to begin it that way.

Finally, 2½ years after his fateful trip to Cartagena, Jonathan Dach is still part of the administration. He works as a policy adviser at the State Department in you can't make this up, folks — the Office on Global Women's Issues. Even if you believe Dach did nothing wrong, the optics are bad.

Now that's what I call a scandal.

@highlight

Ruben Navarrette: It's time to deal with another scandal involving the Secret Service

@highlight

Navarrette: New details emerge about agents, personnel getting prostitutes in 2012

@highlight

He says the White House appears to have known about it and turned a blind eye

@highlight

Navarrette: White House officials need to come clean about what they knew