Anti-Chinese protests in Vietnam have turned violent with demonstrators setting on fire a number of factories in a southern Vietnamese industrial park.

Properties in the Vietnam-Singapore Industrial Parks (VSIP) I & II in Binh Duong were targeted Tuesday by thousands of protesters demonstrating over China's deployment of an oil rig into waters that both countries claim as sovereign territory.

Reports suggest the demonstrators targeted factories owned by Chinese firms, although CNN received a report that the arson was indiscriminate, with Korean-, Taiwanese- and Japanese-owned properties also torched by the angry mob.

Speaking to CNN, the CEO of a foreign-owned factory, who asked not to be named, relayed information from his employees that "600" protestors entered the company's factory building in the park and caused minor damage but did not set it alight.

He said that neither local police nor the government were responding to the violence, reportedly claiming that there was nothing they can do to control the situation.

A Taiwan-based employee of Asama Bicycles, whose factory was damaged in the riot, told CNN that "all personnel have been evacuated from the factory and we can only learn the situation after the protesters leave the area."

The Singaporean Ministry of Foreign Affairs released a statement Wednesday, saying that the government had been informed that "a number of foreign companies have been broken into and set on fire."

"Singapore views this issue very seriously given our close economic cooperation with Vietnam," the statement read, requesting that "the Vietnamese government to act immediately to restore law and order in the two (parks) before the security situation worsens and investor confidence is undermined."

Vietnamese protesters target Chinese embassy

'China's inherent territory'

The destruction of property comes after a Chinese Ministry of Foreign Affairs (MoFA) spokesperson called on the Vietnamese government to protect Chinese interests in the country.

"The Xisha (Paracel) Islands are China's inherent territory," MoFA spokesperson Hua Chunying said at a briefing Monday. "The Chinese company's normal operations fall within China's sovereignty. China ... has required the Vietnamese side to take all necessary measures to protect the safety and lawful rights of Chinese citizens and institutions in Vietnam."

The escalating protests come after hundreds of protestors took to the streets in Vietnam over the weekend as the territorial dispute exacerbated relations between the neighboring communist states.

Vietnamese officials say Chinese military and civilian ships have been harassing their vessels near the Paracel Islands -- which are controlled by Beijing but claimed by Hanoi -- since the previous Sunday, even accusing the Chinese of repeatedly ramming into them and shooting water cannon.

A rally, which drew around a thousand protesters in Hanoi Sunday, focused local ire on the Chinese embassy, while smaller protests in Danang and Ho Chi Minh City echoed the anti-Chinese sentiment emanating from the political capital.

While public protests are rare in Vietnam, where the one-party system is wary of public gatherings, there have been several anti-Chinese protests in recent years.

That this weekend's actions went ahead unobstructed by police is seen as a sign that the government tacitly approves of the protests.

'Provocative' decision

The U.S. Department of State released a statement last week, calling China's decision to send the oil rig, accompanied by a flotilla of government vessels, "provocative," and an act that "raises tensions."

"This unilateral action appears to be part of a broader pattern of Chinese behavior to advance its claims over disputed territory in a manner that undermines peace and stability in the region," the statement said. The language was echoed by U.S. Secretary of State John Kerry in a telephone call this week between the diplomat and his Chinese counterpart.

It also raised concerns about the conduct of the Chinese vessels in the area, calling some actions by Chinese ships "dangerous."

Exclusion zone

Relations between China and Vietnam soured on Friday, when a Chinese platform began drilling for oil near the Paracel Islands. The oil rig, Haiyang Shiyou 981, is owned by state gas and oil company CNOOC.

The Maritime Safety Administration of China (MSAC) declared a three-mile exclusion zone around the rig, while military vessels have been deployed to patrol the area.

"At present, the number of escorting ships of China has reached 60, including military ships," Tran Duy Hai, Vice Chair of Vietnam's National Boundary Commission, said in a statement Wednesday.

"These vessels have intentionally hit and collided with Vietnamese law enforcement ships, including those of the Maritime Police and Fisheries Control, causing damage in human and property." (sic)

China maintains that its current drilling activities are legitimate and blames the Vietnamese for provoking the conflict.

"The drilling activities of this rig are within China's territorial waters. The harassment by the Vietnamese side is in violation of China's sovereign rights," said Hua Chunying, spokesperson of China's Ministry of Foreign Affairs. She did not confirm the boat collisions.

According to CNOOC, a third of China's oil and gas resources are under the South China Sea, most of which it claims as its own, refuting rival claims from Vietnam, the Philippines, Taiwan, Malaysia, and Brunei.

@highlight

Factories in industrial park burned down by anti-Chinese protesters

@highlight

China has called on Vietnam to protect Chinese interests in the country

@highlight

Vietnamese have been protesting against perceived territorial incursions by China

@highlight

Vietnam says Chinese ships have made violent attacks on Vietnamese vessels