(CNN) -- From a wing of the National Gallery in Trafalgar Square, London, to the provincial capitol building in Toulouse, France to a spa resort in Japan, Denise Scott Brown's architecture has changed landscapes across the globe.

In a partnership spanning more than 40 years, Scott Brown and her husband and partner Robert Venturi both designed iconic buildings and changed attitudes with their theories and books.

Their efforts earned a Pritzker Prize -- considered the greatest accolade in architecture -- for Venturi in 1991.

But, although the couple had always worked in partnership, Scott Brown's name was not included in the prize.

Now, 22 years on, a group of young women architects is leading a campaign to retroactively include Scott-Brown on the prize.

Their petition has been signed by more than 11,000 people at time of writing, including no fewer than nine Pritzker Prize laureates: Rem Koolhaas (2000), Wang Shu (2012), Zaha Hadid (2004), Richard Meier (1984), Rafael Moneo (1996), Renzo Piano (1998), Jacques Herzog and Pierre de Meuron (2001) and Venturi himself.

Venturi, now retired from architecture, wrote: "Denise Scott Brown is my inspiring and equal partner."

The campaign was inspired by a video message Scott Brown recorded for the Architects' Journal's "Women in Architecture" lunch in London in March in which she raised the idea of an inclusion ceremony to recognize her in the prize.

The message was picked up by Harvard graduate architecture students Arielle Assouline-Lichten, 29 and her colleague Caroline James, 30, who had just revived the school's Women in Design group.

Watch: The woman behind London's Olympic Aquatic Centre

The architect

At the age of 81, Denise Scott Brown is still busy and in demand at architecture events, giving lectures and writing. She has just returned from Mexico where she spoke to 3,000 people at the release of the Spanish edition of her latest book, "Having Words."

Her lifetime's work includes not only several iconic buildings, but influential theories of architecture, books and teaching.

Her seminal book "Learning from Las Vegas," written with Venturi and Steven Izenour and published in 1972, has been in print ever since and is still a standard text for architecture students. It argues that architects should take greater account of the tastes of ordinary people and move away from large, self-aggrandizing buildings.

Scott Brown told CNN that, as a woman, she had felt excluded by the elite of architecture throughout her career.

READ MORE: The woman reshaping the world's skylines

"In the 70s and 80s we thought we were suffering alone, by the 90s I was still having a great deal of trouble and when I said anything it made powerful men very angry."

"By the 90s, we had to tell them we were not going to suffer in silence.

"I watched the advent of women in my field. Early on, if I went to a conference there would be one woman and one black in a hall with 500 white men."

She added: "I think what happened to me could still happen, some of the inequities remain."

She said the Pritzker Prize was based on the fallacy that great architecture was the work of a "single lone male genius" at the expense of collaborative work.

"It wasn't just an oversight. They made a conscious decision not to include me," she said.

The campaigners

Harvard graduate student Arielle Assouline-Lichten was reading architecture blogs in her living room when she came across Scott Brown's video message to the Architects' Journal and responses to it.

"I felt there needed to be a support network to help make it a reality because I believe she deserved equal recognition," she said.

She contacted her colleague Caroline James who had just revived the Harvard Graduate School of Design's Women in Design group and the pair immediately began working on a change.org petition in March.

Now, the Change.org campaign has generated over 11,000 signatures, nine of which are Pritzker winners.

Both young women were impressed by Scott Brown as a pioneer female architect and through "Learning from Las Vegas", which they had read during their studies.

"She is a legend," said James, adding that her omission from the prize had been "institutionalized sexism".

"Our agenda is about recognizing equal creative participation in the field of architecture," said James.

"Our interest is not in disrespecting the Pritzker Prize, but drawing attention to joint enterprise. It's about raising awareness and creating a culture of intent to include not exclude people."

Assouline-Lichten added: "I would like to see the profession become more egalitarian. It's important for this generation to speak out and ensure that there is some sort of responsibility by institutions to foster an environment that reflects what we want the profession to be."

READ MORE: Woman conquers world's tallest peaks

The prize

The Pritzker Prize, the world's most prestigious in architecture, is a $100,000 award, made every year since 1979 to an architect who has contributed most.

In its 35-year history, only two women have won the prize, the first was Zaha Hadid in 2004.

The award is chosen each year by panel of independent jurors.

Martha Thorne, executive director of the Pritzker Prize, told CNN by email: "Those jurors change over the years so this presents us with an unusual situation.

"I will refer this important matter to the current jury at their next meeting."

The jury will next meet on May 29 at the ceremony in Boston, Massachusetts, for the 2013 laureate Toyo Ito.

@highlight

Architect Denise Scott Brown worked with her husband Robert Venturi for more than 40 years

@highlight

Venturi was awarded the Pritzker Prize in 1991, but Scott Brown was excluded

@highlight

22 years on, a petition to recognize Scott Brown has more than 11,000 signatures