Princeton, New Jersey (CNN) -- Late last week, the campaigns of President Obama and Mitt Romney released Web videos highlighting the mistakes their rivals have made on the campaign trail.

Obama's statement that "the private sector is doing fine" was the highlight for a Romney video, while one of the president's videos featured a remark by the former Massachusetts governor that the nation does not need more firefighters, teachers or police officers. We can expect the gaffe wars to continue, since they are a staple of presidential campaigns.

Even though such statements are far from a fair indication of a candidate's record or stance on the issues, and often they are accurate statements taken out of context, they can be devastating to a campaign.

Some off-kilter comments are too slight to sink a candidacy, but when they play into preconceptions of a candidate, the remarks -- and even sometimes a gesture or sound -- can be potent.

Obama's recent statement about the private sector plays perfectly into Republican arguments on multiple levels. Although Obama was referring to data showing that if not for cutbacks in government jobs, the recovery would be far more robust, the statement has been used to argue that the White House is out of touch with average Americans.

It also tends to confirm the notion that Obama doesn't really know much about the private sector, Republicans say, in contrast to Romney. Finally, the statement can be used to support the criticism that Obama inhabits a world of celebrity, living in a bubble and unaware of the negative sentiment about his policies.

Of course, Obama's opponent, though a disciplined campaigner, has used a number of poorly chosen words that have contributed to his image as a tone-deaf beneficiary of privilege, such as making a $10,000 wager during a debate or saying at the Daytona 500 that he has "some great friends who are NASCAR owners." His statement about public workers suggests that he doesn't care about the kinds of basic services many Americans depend on, Democrats contend.

Both men join a long history of politicians who have been criticized for a wrongly chosen phrase or gesture. A quick look at history shows what can happen:

1. Barry Goldwater, "Merely another weapon" (1964): President Lyndon B. Johnson used these words, one in a series of controversial statements that the senator made about how tactical nuclear weapons could be used in certain situations, to buttress the Democratic argument that Sen. Goldwater was hell-bent on nuclear war. This was the basis for the famous commercial where viewers saw a little girl picking the petals of a flower, with a mushroom cloud appearing in her eye.

2. George Romney, "Just had the greatest brainwashing that anybody can get when you go over to Vietnam" (1967): Michigan Gov. Romney, Mitt's father, then seen as one the most promising Republicans in the party because of his ability to compete for moderate voters, said this upon returning from the war's front lines. He was becoming more critical of the war and the lack of accurate information about it from the Johnson administration. But Romney's comment was used by critics to question his mental stability.

3. Hubert Humphrey, "Happy Days Are Here Again" (1968): A song played throughout Vice President Humphrey's campaign. The juxtaposition of the song and the scenes of anti-war protests and social turmoil, including at the Democratic Convention in Chicago while the police clashed with protesters outside as the candidate spoke, served as evidence that he was out of touch with how volatile the country had become in the tumult of the 1960s.

4. Gerald Ford, "There is no Soviet domination of Eastern Europe" (1976): When President Ford said these words during a televised debate with Democrat Jimmy Carter, in an effort to counteract right-wing criticism about his policy of dÃ©tente with the Soviet Union, Democrats pounced on the statement to claim that the president was not competent on foreign policy.

5. John Kerry, "I actually did vote for the $87 billion before I voted against it" (2004): The statement was prime fodder for GOP commercials to demonstrate Sen. Kerry's flip-flopping and the inability of the Democratic Party to take a tough stand on foreign policy.

6. John McCain, "The fundamentals of our economy are strong" (2008): The statement was used by Democrats to attack Republican economic policies, connecting McCain to the unpopular President George W. Bush.

7. Michael Dukakis, "No, I don't, Bernard, and I think you know that I've opposed the death penalty during all of my life" (1988): When Democrat Michael Dukakis said this in response to CNN anchor Bernard Shaw's question about whether the Massachusetts governor would support the death penalty if his wife were killed, Dukakis' cold response suggested that he was detached and Democrats were unwilling to take a tough stand on crime.

8. Howard Dean screams (2004): After coming in third in Iowa, Dean's exuberant scream in front of reporters was used by his opponents to argue that the Vermont governor was less stable than he appeared to be.

9. George H.W. Bush checks his watch (1992): When asked by a citizen about how the recession had affected him, the president appeared to be distracted, even checking his watch, which played directly into Democratic criticism that he did not take domestic policy seriously.

10. Al Gore sighs (2000): Vice President Gore's multiple sighs during a debate with George W. Bush played into impressions that Gore was arrogant and aloof.

Though this list is far from exhaustive, the history should provide a powerful reminder to Obama and Romney that a few words can come back to haunt a campaign.

It is virtually impossible for candidates to explain away these kinds of mistakes. The more they discuss them, the longer the story plays out. The most successful response has been by candidates who aggressively shift attention to new issues and help redirect the news cycle.

Obama has made several moves that could change the conversation, including his announcement Friday of a policy against deportation of many young illegal immigrants. In coming months, we'll find out whether those moves are working.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Obama, Romney campaigns release videos focusing on rivals' flubs

@highlight

Julian Zelizer says these remarks are often taken out of context

@highlight

He says a few ill-chosen phrases, or even a gesture, can help sink a candidacy

@highlight

Zelizer: There's a long history of presidential losers who said the wrong thing