Los Angeles (CNN) -- Federal officials are investigating whether this week's Pacific storms caused a pilot to crash his small plane into a mountain in a southern California state park, authorities said Friday. It is the second death that might be related to the storms.

Christopher Julius Petrikas, 65, a former commercial airline pilot from Riverside, California, slammed his twin-engine Aero Commander plane into a 3,300-foot mountain summit in Lake Perris State Recreation Area on Monday, authorities said.

That park is just 11 miles from the city where Petrikas lived. He was the small plane's sole occupant.

On Friday, Federal Aviation Administration spokesman Ian Gregor said his agency and the National Transportation Safety Board will examine if the weather was a factor in the fatal crash.

"Yes, weather will be among the factors NTSB and FAA examine," Gregor said in an e-mail response to CNN.

The state park's superintendent, John Rowe, said visibility on the mountain was poor around the time of the crash.

"The weather was not favorable at that time of the morning," Rowe told CNN on Friday. "Visibility was between 100 yards and sometimes, at the top of the mountain, it would be 10 to 15 yards when my partners and I were searching up there. We couldn't even see the sheriff's helicopter."

The other life that might have been taken by the storms was that of Angela Marie Wright, 39, of Menifee, California, who also died in Riverside County when her car was swept off a road and into Canyon Lake on Wednesday, according to the coroner's office.

"Weather might have been a factor, but we can't determine that until we complete the investigation," Riverside County Sheriff's Deputy Melissa Nieburger said Friday. "We're investigating that as a traffic collision."

Overall on Friday, rain-soaked residents of California were enjoying a reprieve from the storms that inundated the state for most of the previous week. Another round of wet weather was expected to hit the West Coast over the holiday weekend.

During Friday's break in the storm fronts, authorities were able to provide a detailed account of the dramatic search for the downed pilot.

Rains so deluged the chaparral, grasslands, and hiking and equestrian trails on the mountain that Rowe's four-wheel drive vehicle became stranded and a park ranger's all-terrain vehicle toppled over, Rowe said.

So his crews searched on foot in the rain for about 1.5 miles until they discovered the wreck and dead pilot, he said.

"That's how messy it was. The trails were running like small rivers so it made recovery efforts very, very difficult," Rowe said.

The plane was found near a World War II crash site where a training plane from nearby March Air Reserve Base also hit the mountain and killed its crew, Rowe said.

Petrikas, the small plane's pilot, began his 75-mile flight from Palm Springs to Chino around 9 a.m. Monday, but when he didn't land on time, authorities launched a search for him, Rowe said.

The pilot was found after the Riverside County sheriff's office pinged his cell phone and investigators were able to track down his location, Rowe said.

The eight-hour recovery mission left some search members with near hypothermia because of prolonged exposure to rain that fell at a rate of a half-inch or an inch an hour, Rowe said.

Sixteen low-security state inmates, who are often used for brush clearing in wildfires, were deployed in the search, and they had to carry Petrikas' body for three miles from the soaked mountaintop, Rowe said.

Rangers' stranded vehicles were left abandoned for four days because the heavy rain and mud made it impossible for them to be moved, Rowe said.

The wrecked plane, which remains on the park summit, could be retrieved by next week, he said.

Friday marked Southern California's second day of sunshine after five days of storms. At Malibu's renowned Surfrider Beach, surfers dressed as Santa Claus, Mrs. Claus and Frosty the Snowman were riding mild waves during a lull in the weather Thursday, said Malibu resident Julie Ellerton, who videotaped the spectacle for a CNN iReport.

But many residents of the region and three nearby Southwest states spent the time recovering from the damage wrought by torrential rains.

California Lt. Gov. Abel Maldonado late Thursday afternoon proclaimed a state of emergency for Kings, Los Angeles and Santa Barbara counties, to expedite government assistance and aid to the region. Two days earlier, a similar order was issued -- by Gov. Arnold Schwarzenegger -- for Kern, Orange, Riverside, San Bernardino, San Luis Obispo and Tulare counties. Maldonado is serving as acting governor while Schwarzenegger is out of the state.

The series of Pacific fronts pounded southern California hardest, but the storms also strafed western Arizona, southern Nevada and southwestern Utah, which all were under flood watches and warnings that stretched until early Friday morning. Mudslides remain a threat because of the soggy ground.

Conditions cleared in much of those areas Thursday, but the damage left by days of seemingly nonstop rain remained. That meant the chore of the day was cleaning up mud and flood damage to many homes and businesses.

They may not have long to dry out: The National Weather Service forecasts that another storm system could dump light to moderate rainfall on much of southern California on Christmas Day and Sunday.

Rainfall accumulation measurements at airports in Los Angeles, Long Beach, Camarillo, Santa Barbara and Santa Maria for the month -- ranging from 6 to 8.9 inches -- made this December the wettest ever in each of those locales, even with more than a week still to go.

In one stark image, the field and sprawling parking lot of Qualcomm Stadium in San Diego was under water early Thursday, as crews worked desperately to pump out water. They succeeded, as the Naval Academy and San Diego State University faced off in college football's Poinsettia Bowl.

The Mojave River was one of many at dangerously high levels, reaching 16.6 feet -- 0.6 feet above flood stage -- at 11 a.m. Thursday.

The heavy rains also produced potential health hazards for swimmers and surfers on particular parts of Los Angeles' beaches, and Los Angeles County officials warned recreational users to be careful when next to drains or waterways because they carry bacteria and trash from streets and mountainsides.

"Fortunately, discharging storm drains, creeks, and rivers only comprises a small portion of the beach, and therefore, anybody who wants to go to the beach will be able to enjoy their outing," said Jonathan E. Fielding, the county's public health director and health officer.

Throughout the Southwest, water roared through desert washes and urban waterways alike, and the ferocious strength of the rapids often damaged bridges or suburban concrete creek beds -- and dumped mud everywhere.

The series of storms is known as the "Pineapple Express" because of its origin near the Hawaiian Islands. The upside to the severe weather, according to experts, is the relief the heavy rainfall has brought to a region devastated by drought and fires.

The storms also brought heavy snow to mountain areas in California and other states. The National Weather Service issued hazardous weather outlooks for northern Nevada, Utah, Wyoming and most of Colorado. An avalanche warning was in effect for parts of Colorado.

And locally heavy snow was forecast for much of the country's midsection, with the weather agency issuing advisories from Kansas east to Ohio.

CNN's Jessica Jordan, Kara Devlin, Chuck Conder, Daphne Sashin, Christina Zdanowicz and Rachel Rodriguez contributed to this report.

@highlight

NEW: FAA is investigating whether this week's torrential rains caused a small plane crash

@highlight

NEW: Searcher recounts the drama of carrying the pilot's body off the mountain

@highlight

Authorities are also investigating whether a woman's death is storm-related

@highlight

Residents of parts of the Southwest fear mudslides and flood surges