(CNN) -- Fifty years ago Uganda was the "Pearl of Africa," a newly independent republic with a thriving economy, a functioning democracy and splendid national parks.

It was the place to take a safari holiday -- floating down the crocodile-flanked Nile, fishing on Lake Victoria, wandering among the elephant herds of Queen Elizabeth National Park or listening to the roar of mighty Murchison Falls.

With films like "African Queen" shot on location there, Uganda was also a Hollywood darling.

Then all hell broke loose.

Four decades of violence, political turmoil and economic collapse that started with the bloodthirsty reign of Idi Amin (the self-proclaimed President for Life, Conqueror of the British Empire and Last King of Scotland) and ended with the religious psychopath Joseph Kony and his Lord's Resistance Army.

And it wasn't just the people who suffered: Uganda's animal populations declined precipitously during the troubles as the various ragtag guerrilla groups feasted on wild game.

Yet Uganda is bouncing back.

Having banished the last of the warlords and kick started its economy, the country is drawing tourists again, a rising star in the safari world.

It's a trickle at present -- the high-end travelers and backpackers who are always the early adopters -- and there are very real concerns about the country's recently imposed anti-gay laws, which threaten life imprisonment for "violators."

But safari operators say they're already gearing up for more visitors in years to come.

According to the tourist board, almost 1.2 million tourists came to Uganda last year [2013], an increase of 50% over five years.

"Uganda sadly underwent much turmoil and upheaval from the 1970s onwards," says Roni Madhvani, director of the Madhvani Group, which includes Premier Safaris and several of the nation's top wildlife lodges.

Expelled from the country as a child during Idi Amin's purge of Asian-Ugandans, Madhvani and his family had to rebuild their business from the ground up when they returned in the 1980s.

"We have had peace and stability for over a decade and the country has indeed emerged from this past void in terms of tourism to become an interesting and discerning destination.

"The offering compared to the neighboring countries is unique, individual and nebulous -- and that in itself is perhaps part of the explanation of the recent increasing interest."

Incredible variety

What Uganda lacks in volume (it's about the same size as Oregon or Cambodia) it more than makes up with variety, an incredible array of landscapes that range from the snowcapped Mountains of the Moon and the Bwindi Impenetrable Forest to the semi-desert northeast and water-spangled lake district.

With more than 1.6 million people, Kampala is one of the fastest growing cities on the continent.

Nearby Entebbe, set on a peninsula stretching into Lake Victoria, is about as laid back as it gets in Africa.

Despite 40 years as a food source for rebel groups, Uganda's wildlife has made a miraculous recovery.

Queen Elizabeth National Park nurtures healthy populations of elephant, lion, hippo and other large mammals, and is a major stop on the migratory bird route up the Great Rift Valley.

Home to 13 different primate species, Kibale National Park is one of the best places in Africa to see chimpanzees in the wild.

Murchison Falls National Park is flush with hippo, crocodile and other animals that live in or near the water.

The holy grail of Uganda wildlife watching is Bwindi Forest, where roughly half of the world's mountain gorillas reside.

Living up to its "impenetrable" tag, the forest can only be accessed on foot, often up and over steep mountain ranges.

"Bwindi's gorilla population is around 400 and growing," says Dr Gladys Kalema-Zikusoka, founder of Conservation Through Public Health, which promotes the coexistence of gorillas, humans and other wildlife in Africa.

"This is thanks to increased protection, the elimination of almost all poaching and the fact that we have been able to show local communities how saving the gorillas is beneficial to local health and the local economy."

Get intimate with gorillas

Premier Safaris and other outfitters have pioneered a number of "up close and personal" animal encounters during which visitors can tag along on scientific field trips or accompany experts into the bush.

Dr Gladys, for instance, leads a four-day "intimate gorilla experience" that includes finding gorilla nests, collecting their dung and then analyzing that dung in a field laboratory.

In Queen Elizabeth National Park, tourists can spend the day tracking lions with a researcher from the Uganda Carnivore Program, learning how telemetry works and venturing off road into parts of the park vehicles are normally verboten.

Urban Uganda has its own attractions.

Entebbe is renowned for its popular weekend beach clubs, like a little slice of the Caribbean on the shores of Lake Victoria.

Kampala's sights range from the recently rebuilt royal tombs to a humungous mosque built by Libyan strongman Moammer Gadhafi and the ghoulish torture chamber of Idi Amin on the grounds of Lubiri Palace.

The capital is also known for its vibrant nightlife, which runs a gamut from down and dirty dance clubs to sophisticated jazz venues.

Uganda has also become an adventure sports hub.

Several outfitters offer whitewater rafting and kayaking trips down the Nile, past snoozing crocodiles and snorting hippos.

Nile High Bungee in Jinja offers an adrenalin-packed plunge (44 meters) into the world's longest river.

You can also board surf down rapids, whoosh down rivers on jetboats and organize sports fishing trips to catch the river monster of central Africa -- Nile perch that can grow up to 200 kilograms.

Investment opportunities

Investment in Uganda has soared in recent years.

Last year, the country rose into the ranks of the top 10 African nations for foreign direct investment.

South Africa is one of the largest sources of new investment. Britain, France and China are other leading investors, and through its recent purchase of Protea Hotels, the US-based Marriott Corp now has prime hotel properties in Kampala and Entebbe.

Travel infrastructure has also improved markedly.

As late as 2006, there were no international airlines serving Entebbe Airport, the nation's aviation gateway. Now the lakeside terminal hosts 17 international carriers, including direct flights from Amsterdam on KLM, London on British Airways and Dubai on Emirates Air.

Passenger traffic through Entebbe is increasing at an average of more than 10% per annum.

Uganda isn't quite back to being the "Pearl of Africa" but it's definitely headed in the right direction.

"Uganda lost a whole generation of tourism talent and workers during the civil wars," says Stephen Asiimwe, who took over a CEO of Tourism Uganda earlier this year [2014].

"That mayhem cost us everything in terms of human capital. But we are a resilient people. We have suffered and we are now back on our feet."

Asiimwe feels the public and private sectors need to join forces in developing skilled workers in the tourism sector.

And he says that Uganda needs to think outside the box when it comes to creating new experiences and attractions.

Among his ideas are island resorts and sailing regattas on Lake Victoria, encouraging domestic tourism so that Ugandans discover their own country, and promoting Kampala with its myriad music clubs as the nightlife capital of East Africa.

There are also socio-political challenges to overcome.

Foremost is a series of laws banning homosexual behavior. Rubber stamped by the Ugandan Parliament last December, the latest regulation calls for severe punishment (including life in prison) for violators.

Virgin boss Richard Branson is among those who have called for a travel boycott of Uganda in the wake of the new legislation.

And in June [2014], the U.S. government announced limited sanctions against Uganda because of the law.

The jury is still out on whether or not the anti-homosexuality laws are actively impacting LGBT rights in Uganda. "It certainly hasn't affected me," says a Kampala businessman who lives with his gay partner.

"And I don't think it's had much impact on the gay community as a whole."

He still admits to anxiety about how the laws might be applied in future. "But for now, that's been my experience in Uganda."

Joe Yogerst is a freelance travel, business and entertainment writer based out of California. He traveled through Africa in 2013.

@highlight

After four decades of violence and political turmoil, Uganda is drawing tourists again

@highlight

Queen Elizabeth National Park nurtures healthy populations of elephant, lion, hippo and other large mammals

@highlight

Travel infrastructure and investment in Uganda have improved