Washington (CNN) -- A BP official says a gusher of oil pouring from its damaged Gulf of Mexico well could be shut off as early as next week.

BP Managing Director Bo Dudley said Thursday night the company will pump fluids into the well this weekend in the beginning of a process that -- if successful -- could lead to the leak finally being closed off in a matter of days.

"If that option doesn't work, we've got a second and a third option we'll do after that," Dudley said on CNN's Larry King on Thursday. "We're hopeful that next week we'll be able to shut it off."

Earlier in the day, BP acknowledged that the underwater gusher is bigger than estimated to date, as new video showed a cloud of crude billowing around its undersea siphon.

Company spokesman Mark Proegler said Thursday that the siphon is now drawing about 5,000 barrels (210,000 gallons) per day up to a ship on the surface of the Gulf -- as much as government and company officials had estimated the spill was pouring into the Gulf every day for a month. Proegler declined to estimate how much more oil was escaping.

BP America Chairman Lamar McKay said Wednesday that the figure used by the oil spill response team had a degree of "uncertainty" built into it. But figures by independent researchers have run up to many times higher: Steve Wereley, a professor of mechanical engineering at Purdue University, told CNN's "American Morning" that the spill could be as big as 20,000 to 100,000 barrels a day.

And members of Congress released video from the company that showed much more oil pouring out of the damaged well than the siphon was capturing. Rep. Ed Markey, who leads a House subcommittee investigating the disaster, told reporters, "I think now we are beginning to understand that we cannot trust BP."

"People do not trust the experts any longer," said Markey, D-Massachusetts. "BP has lost all credibility. Now the decisions will have to be made by others, because it is clear that they have been hiding the actual consequences of this spill."

Meanwhile, the Coast Guard announced the creation of a federal Flow Rate Technical Group to assess the actual flow rate from the well. Coast Guard Capt. Ron LaBrec said that Adm. Thad Allen would oversee the team, which will include members from the Coast Guard, the Minerals Management Service, the National Oceanic and Atmospheric Administration, the Department of Energy, the U.S. Geological Society and others from the science community and academia.

The peer-reviewed team, which has already begun its work, is to determine the flow rate from the beginning of the incident to the present, LaBrec said.

The Obama administration announced Thursday that it has ordered BP to release all data related to the massive spill, including environmental sampling analyses, internal investigation reports and details of the cleanup effort. In a letter to BP Group CEO Tony Hayward, Homeland Security Secretary Janet Napolitano and Environmental Protection Agency Administrator Lisa Jackson told BP to post that information on a website and update it daily.

"The public and the United States government are entitled to nothing less than complete transparency in this matter," they concluded.

The spill began with an April 20 explosion and fire that sank the drill rig Deepwater Horizon two days later. Eleven workers were lost with the rig, which was owned by drilling contractor Transocean and hired by BP.

The resulting slick now threatens the coastal marshes of southeastern Louisiana, where brown, syrupy oil made it past protective booms and into the wetlands near the mouth of the Mississippi River on Wednesday.

Over the weekend, BP inserted a piece of pipe into the larger of the two leak points and began drawing oil from the undersea gusher, located about a mile underwater, up to a ship on the surface. It also has been laying booms out along barrier islands and spraying hundreds of thousands of gallons of chemical dispersants on the surface and near the sources of the leak.

But that element of the response came under new fire as well on Thursday, as the EPA ordered BP to find a less toxic chemical to use to break up the oil.

The EPA gave the company a day to pick a new substance and three days to start using it instead of the current dispersant, known as Corexit 9500. The chemical has been rated more toxic and less effective than many others on the list of 18 EPA-approved dispersants, according to testimony at a congressional hearing Wednesday.

"Because of its use in unprecedented volumes and because much is unknown about the underwater use of dispersants, EPA wants to ensure BP is using the least toxic product authorized for use," the agency said in a statement announcing the order. "We reserve the right to discontinue the use of this dispersant method if any negative impacts on the environment outweigh the benefits."

Corexit 9500 includes petroleum distillates, propylene glycol and a proprietary organic sulfonic salt, and prolonged contact with it can cause eye or skin irritation, according to the manufacturer's material data safety sheet. The document warns that "repeated or prolonged exposure may irritate the respiratory tract."

But BP says Corexit is biodegradable, has been approved by the EPA and the Coast Guard and is "readily available in the quantities required" by a response plan approved by the government before the spill.

iReport: Track the spill; Share stories

"It has been very effective in causing the oil to form into small, isolated droplets that remain suspended until they're either eaten by naturally occurring microbes, evaporate, are picked up or dissolve," the company said. But it added, "At the same time, we are conducting ongoing assessment of alternative or supplemental dispersant products."

Meanwhile, BP is readying a new attempt to plug the leak for Sunday by injecting a large amount of heavy "mud" -- a fluid used as a lubricant and counterweight in drilling operations -- into the well bore. If that succeeds, the well will be cemented shut, officials have said.

"Everything is being done to make sure that happens," Interior Secretary Ken Salazar, whose department oversees offshore oil drilling, told CNN's "American Morning" Thursday. "We have the best scientists in the world who are overseeing what is going on. So, we are hopeful that it will happen soon."

Salazar said BP, which leased the rig from Transocean, has tried many techniques to stop the leaking and the government will do all in its power to hold them accountable.

"They're putting a lot of hope on that Sunday," he said. "We'll see if it happens."

Salazar announced Wednesday that he was dividing the Interior Department's Minerals Management Service, which regulates oil exploration, into three divisions. The agency has come under fire since long before the spill, and Salzar said it would be reorganized to separate what he called the conflicting duties of regulating oil companies and collecting royalties from them.

"We inherited here what was a legacy of an agency that essentially was rubber-stamping whatever it was that the oil and gas industry wanted," Salazar said. "We have been on a reform agenda from Day One."

CNN's Ed Lavandera, Marylynn Ryan and Aaron Cooper contributed to this report.

@highlight

NEW: Well could be shut off next week, BP official says

@highlight

NEW: Coast Guard announces flow rate assessment group

@highlight

EPA orders BP to find less toxic chemical to use to break up oil

@highlight

Oil seeping into Louisiana wetlands