(CNN) -- Federal health authorities recommended Monday that doctors suspend using Rotarix, one of two vaccines licensed in the United States against rotavirus, saying the vaccine is contaminated with material from a pig virus.

"There is no evidence at this time that this material poses a safety risk," Food and Drug Administration Commissioner Dr. Margaret Hamburg told reporters in a conference call.

Rotarix, made by GlaxoSmithKline, was approved by the FDA in 2008. The contaminant material is DNA from porcine circovirus 1, a virus from pigs that is not known to cause disease in humans or animals, Hamburg said.

About 1 million children in the United States and about 30 million worldwide have gotten Rotarix vaccine, she said.

Rotavirus disease kills more than 500,000 infants around the world each year, primarily in low- and middle-income countries, she said. Before rotavirus vaccine became available, the disease was blamed for more than 50,000 hospitalizations and several dozen deaths per year in the United States, she said.

The FDA learned about the contamination after an academic research team using a novel technique to look for viruses in a range of vaccines found the material in GlaxoSmithKline's product and told the company, Hamburg said. The drug maker confirmed its presence in both the cell bank and the seed from which the vaccine is derived, suggesting its presence from the early stages of vaccine development, she said. The FDA then confirmed the drug maker's findings.

GlaxoSmithKline emphasized Monday that the pig virus is not known to cause illness in humans, saying "it is found in everyday meat products and is frequently eaten with no resulting disease or illness."

"No safety issue has been identified by external agencies or GSK," Thomas Breuer, the drug maker's chief medical officer, said in a written statement. "GSK is committed to patient safety and to the highest manufacturing standards for all our vaccines and medicines. We are already working closely and discussing this finding with regulatory agencies around the world."

Another vaccine, RotaTeq, is made by Merck and was approved in 2006. There is no evidence that the Merck product is affected, Hamburg said. Both vaccines are given by mouth to infants to prevent rotavirus disease, which is marked by severe diarrhea and dehydration.

Asked whether Merck would be able to meet the nation's demand, Merck spokeswoman Pam Eisele said, "Obviously, we will work with the ... FDA to evaluate supply needs."

In the next four to six weeks, the drug agency will convene an advisory committee to make recommendations and seek input on the use of new techniques for identifying viruses in vaccine, Hamburg said.

"We're not pulling it from the market, we're just suspending its use during this period while we're collecting more information," she said. "It should not be in this vaccine product and we want to understand how it got there. It's not an easy call and we spent many long hours debating the pros and cons but, because we have an alternative product and because the background rates of this disease are not so severe in this country, we felt that the judicious thing to do was to take a pause, to really ask the critical questions about what this material was doing in the vaccine, how it got there."

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health, said "a substantial amount" of the DNA was found in the vaccine. But, he stressed, "there is no evidence that it causes any disease. ... There is no evidence that it ever does anything."

The research group that discovered the contamination has asked not to be identified pending its paper's publication in a scientific journal, Hamburg said.

Anyone who has already received a dose of Rotarix should switch to the Merck product for the next two doses, Hamburg said. Preliminary testing of the Merck product has found no evidence of the porcine circovirus 1 DNA, she said. Doctors should be able to tell parents which of the two products their children received, she said.

Hamburg stressed that the suspension applies only to the United States. Public health officials in countries where the incidence of rotavirus is more severe may decide that the benefits of continuing to use the vaccine outweigh any concerns raised by the contamination, she said. "Such a decision would be very understandable," she added.

A similar virus, porcine circovirus 2, also does not cause disease in humans, but it does cause disease in its pig host, Hamburg said.

@highlight

Doctors have been advised to suspend use of Rotarix rotavirus vaccine

@highlight

Another vaccine, RotaTeq, is still OK to use, officials say

@highlight

GlaxoSmithKline, maker of Rotarix, says the contamination is not harmful