Washington (CNN) -- Fears that Haitian earthquake survivors would engage in a massive and deadly ocean migration to South Florida have thus far been unfounded, according to federal and local government officials, who say they continue to plan for such an exodus only as a precaution.

The U.S. Coast Guard said it has witnessed only normal maritime traffic around Haiti, and it has not intercepted any Haitians attempting illegal crossings into U.S. waters. Nor does it see people preparing for voyages .

Florida officials have asked for federal government funding to shelter 10,000 refugees, but said that was done only as a precaution.

Meanwhile, the U.S. Air Force continues daily flights of its EC-130J Commando Solo aircraft -- a radio station in the sky -- which is broadcasting warnings to would-be migrants, as well as information about where people can find food and aid.

List of missing, found people in Haiti

The plane is broadcasting a recorded message from Raymond Joseph, Haiti's ambassador to the United States, saying: "Listen, don't rush on boats to leave the country. Because I'll be honest with you: If you think you will reach the U.S. and all the doors will be wide open to you, that's not at all the case. And they will intercept you right on the water and send you back home where you came from."

State Department deputy spokesman Gordon Duguid said the message is "part of the U.S. effort to help keep Haitians safe."

"We don't want people to endanger their lives by taking risk to try to get to the U.S. at this time," he said.

The U.S. military will be distributing special radios to Haitians this week in an effort to get messages and news spread as far as possible.

Some 50,000 portable solar-powered and windup radios will be distributed by the U.S. military joint task force that is deploying troops in Haiti's capital, Port-au-Prince, and other severely stricken parts of the country.

Government officials say past migrations from Cuba and Haiti were the result of large geopolitical events, circumstances that differ significantly from those in Haiti now. Further, there is a large U.S. government presence in Haiti and offshore -- factors that will make any migration easier for the government to detect.

"At this point, we are not expecting a massive influx of Haitian individuals," said Mike Stone, spokesman for the Florida Emergency Operations Center. Immediately after the January 12 quake, the state "dusted off" a preparedness plan known as Operation Vigilant Sentry "just in case," he said.

The plan has been in place since 2003.

David Halstead, director of Florida's Division of Emergency Management, said the state's request for "safe housing" for 10,000 Haitian survivors was based on the plan. That is the maximum number Florida officials believe the state could support in any mass migration, and only for a limited period, he said. It is based on the expectation that people would first be housed at Guantanamo Bay Naval Base in Cuba and federal immigration detention centers.

"I think right now, with everyone watching Haiti ... for any boat or ship to be able to get out of there illegally would be a miracle upon itself," Halstead said Tuesday.

The U.S. Coast Guard said it has seen "nothing out of the ordinary" off Haiti's coast in recent days. Ferry vessels have been crowded, "but they're not going anyplace we wouldn't expect them to," Lt. Cmdr. Christopher O'Neil said.

Haitians have migrated to the United States by boat in relatively small numbers for at least the past 30 years, with several notable spikes. An estimated 25,000 Haitians were among the mass migration of more than 150,000 asylum seekers, primarily Cubans, during the Mariel boatlift in 1980. In the early 1990s, tens of thousands of Haitians migrated to the United States after the coup d'etat deposing President Jean-Bertrand Aristide.

CNN Pentagon Producer Mike Mount contributed to this report.

@highlight

U.S. Coast Guard: Maritime traffic around Haiti normal

@highlight

Coast Guard says it hasn't intercepted Haitians trying illegal crossings into U.S. waters

@highlight

Florida has asked for federal funding to shelter 10,000 as a precaution

@highlight

U.S. Air Force plane broadcasts message: Don't try to reach U.S. on boats