Washington (CNN) -- Solicitor General Elena Kagan was easily confirmed Thursday as the next associate justice of the U.S. Supreme Court, completing the 50-year-old native New Yorker's climb to the peak of the American legal profession.

The 63-37 vote was mostly along party lines. Five GOP senators backed Kagan, and only one Democrat -- Sen. Ben Nelson of Nebraska -- opposed her. Republican leaders offered spirited floor opposition to the nominee, but were unable to muster a prolonged delay or filibuster of the vote.

Kagan is set to begin a lifetime position as the nation's 112th justice. She will be sworn into office Saturday afternoon, taking the traditional constitutional and judicial oaths. The newest justice will then be able to assume her court duties immediately.

Her brisk confirmation was a political victory for President Barack Obama -- who placed Justice Sonia Sotomayor on the high court last year -- and for Senate Democrats.

Obama after the vote predicted Kagan will be an "outstanding Supreme Court justice," and thanked senators for giving his nominee a fair and timely hearing.

"They got a sense of her formidable intelligence, her rich understanding of our Constitution, her commitment to the rule of law, and her excellent and occasionally irreverent sense of humor," said the president. "And they have come to understand why, throughout her career, she has earned the respect and admiration of folks from across the political spectrum, an achievement reflected in today's bipartisan vote."

Kagan was the administration's solicitor general when Obama nominated her on May 10 to replace retired Justice John Paul Stevens. She will become the current court's youngest member and third woman.

White House and Justice Department sources said Kagan watched the confirmation vote on television at the Justice Department, with colleagues in the solicitor general's office.

During the final day of floor debate, Republicans continued to raise deep concerns over what they contended was Kagan's lack of judicial experience, her views on gun rights, and her past work inside the Clinton White House.

They said that she will become a judicial "activist" intent on twisting the law to fit her personal political agenda.

"Throughout Ms. Kagan's career she has put her politics above the law," said Alabama Sen. Jeff Sessions, the top Republican on the Senate Judiciary Committee and leader of opposition to Kagan.

"The American people will not easily forgive this Senate if we confirm Ms. Kagan to the Supreme Court. They will not easily forgive the Senate if we further expose our Constitution to revision and rewrite by judicial fiat."

Among other things, Republicans have repeatedly slammed Kagan's handling of military recruiters seeking access to the Harvard Law School campus earlier this decade, when Kagan served as dean. Kagan has said she staunchly opposes the military's "don't ask, don't tell" ban on gays and lesbians serving openly in the military.

One last-minute "no" vote came from Massachusetts Sen. Scott Brown, the chamber's newest Republican.

"I believe nominees to the Supreme Court should have previously served on the bench," said Brown, generally considered to be a key moderate.

"Lacking that, I look for many years of practical courtroom experience to compensate for the absence of prior judicial experience. In Elena Kagan's case, she is missing both.

"The best umpires," he said, referencing to a popular line from Chief Justice John Roberts' confirmation hearings, "must not only call balls and strikes, but also have spent enough time on the playing field to know the strike zone."

Brown, who replaced the late Democratic Sen. Ted Kennedy in February, had earlier effusively praised Kagan, and personally introduced her at the start of her confirmation hearings in June.

Kagan lived in Massachusetts for several years before becoming solicitor general.

Democrats argued that Kagan possesses the intelligence and professional background necessary to be a force on the high court. They said they hope she will help counter what many on the left contend are excessively conservative court rulings that defy the will of Congress while hurting individual workers and voters.

When confirmed, "average Americans will be a step closer to once again having their voices heard in the highest court in the land," said Sen. Chuck Schumer, D-New York.

"Elena Kagan is a role model for so many women entering the legal profession today," said Sen. Barbara Boxer, D-California.

"Her intellect, other broad range of legal experience, her sense of fairness (and) her profound respect for the law make her well-qualified to serve as an associate justice of the court."

Conservative opposition to Kagan failed to resonate this election year, a stark contrast to the heated Supreme Court confirmation battles of Roberts and Samuel Alito in 2005. Television and radio ads from advocacy groups were few, and serious grassroots outrage never materialized.

Administration officials painted Kagan as a moderate liberal, and many legal analysts seemed to agree she was a politically safe pick for Obama.

"The president probably got exactly what he wanted, and that's not someone who makes either the far right or the far left terribly happy. She seems to be a centrist, pragmatic progressive -- someone who's on the left but not the extreme left," said Thomas Goldstein, a top Washington lawyer and founder of the Web site scotusblog.com.

"She's a nominee without much of a track record, and therefore not much to attack. And the air really went entirely out of the balloon when trying to draw attention to her, maybe paint her as a liberal, or create her as an issue for the upcoming elections in November."

Kagan was born in Manhattan in 1960, one of three children of a lawyer father and schoolteacher mother. She graduated from Harvard Law School and served in a prestigious Supreme Court clerkship with the late Justice Thurgood Marshall.

While never a judge herself, Kagan's resume is diverse: work on Michael Dukakis' 1988 presidential campaign; a lawyer in private practice for two years; stints as a law professor and later, dean; four years as a legal and policy adviser in the Clinton White House; and most recently as solicitor general in the Obama Justice Department.

She supervised every federal appeal presented to the high court during her tenure at the Justice Department, and personally argued six cases before the same justices she will now count as colleagues.

Kagan will join a closely divided court that often splits in favor of a shaky 5-4 conservative majority. Despite no judicial record to draw clues on the kind of justice she would become, White House officials had quietly assured allies Kagan would be a "reliable" liberal vote similar to Stevens, the well-respected unofficial leader of the left-leaning bloc on the court.

She is, therefore, not expected to tilt the current ideological balance on the high court.

Among the cases she will confront in her first term beginning in October will be disputes over protests at military funerals, state bans on violent video games, and the death penalty. High-profile appeals that may reach the court in the next couple of years include Arizona's sweeping immigration reform law and California's ban on same-sex marriage.

CNN's Alan Silverleib contributed to this report

@highlight

Elena Kagan is confirmed as the 112th Supreme Court justice

@highlight

Five Senate Republicans backed Kagan; one Democrat opposed her

@highlight

Republicans have called Kagan a political activist with little judicial experience

@highlight

Democrats have praised Kagan's intellect and said she may help balance the court