LONDON, England (CNN) -- Accompanied by body-armor vested London police officers, Lambeth Senior Trading Standards Officer Ray Bouch walks into a beauty and cosmetics shop on Brixton's Electric Avenue.

Confiscated skincare products seized for containing hydroquinone -- banned in the UK.

Bouch works for the London borough's Public Protection Unit -- tasked with keeping everything from faulty condoms to illicit vodka off the streets.

Today, he's in search of contraband cosmetics: illegal skin bleaching creams British authorities say can be harmful to consumers. Within minutes, he's found almost a dozen bars of soap listing a banned bleaching agent on the box.

"Illegal bleaching creams and soaps are a major problem," Bouch says. "And once we eradicate it from Brixton, it will go to another borough where there's a big Asian or Black population."

Skin bleaching -- using chemical or natural products to lighten skin color -- is common practice in the Americas, Africa, across Asia, and increasingly, in Europe.

Psychologists say consumer demand can be traced to perceptions that lighter skinned or white people are more successful, intelligent and sexually desirable.

And as the UK's Asian, African and African-Caribbean communities grow, so too -- cosmetics industry experts say -- does ethnic spending power for products promoted to lighten skin tone.

But some of these creams, soaps and solutions contain hydroquinone, an ingredient that is banned in cosmetic products sold in the United Kingdom.

The United States Food and Drug Administration says based on experiments done on animals, it "cannot rule out" hydroquinone's potential cancer risk in humans.

Use of the ingredient in over-the-counter cosmetics is restricted, but still legal, in the U.S., South Africa and other countries. And some of these products are making their way to store shelves across the UK.

The police officers say they are stationed to keep the peace, as Bouch asks the store manager why the banned products are for sale.

She says the bleaching soaps were an oversight: "The soaps are just something that's come on our shelves without us realizing. To sell this would be stupidity," she says.

But Bouch believes some shops are continuing to sell illegal skin creams despite the risk of fines because demand for the products is so high. "The only thing I can say is that it is demand-led. Shop owners are making a great profit from it," Bouch says.

Cosmetics industry analysts say cosmetics companies are realizing there's money to be made here. They argue minority communities are an underserved market with a long tradition of buying bleaching products -- legal or otherwise.

"Ethnic consumers in the UK account for around one in 10 people," says Alexandra Richmond, Senior Health and Beauty Analyst with Mintel Research.

"We've noticed the number of launches of not just skin creams, but soaps and deodorants that contain whitening and bleaching agents."

Dr. Dele Olajide, a leading psychologist at King's College London, blames consumer demand on the media centering on fair skinned blacks like American pop singer Beyonce and British actress Thandie Newton.

"The image that the media presents about black people is that we are inferior, we are not as good as everybody else. But those who are successful and going places are those who are light-skinned people. So one might say that the desire to be like white people underpins people's wanting to be fairer-skinned," Olajide says.

Recently in the U.S., an African American D.J. was roundly criticized for offering light-skinned women free admission into a Detroit nightclub.

So-called "colorism" isn't limited to blacks: A commercial seen on Indian satellite channels and on YouTube stars Bollywood superstar Shahrukh Khan promoting a skin cream called "Fair & Handsome."

The commercial shows a remarkably glum dark-skinned Indian man who, after using the skin lightening cream, turns many shades whiter. He now walks with confidence -- and with a lovely lady running to his side.

Dermatologists say bleaching creams with hydroquinone are safe to reduce the appearance of age spots or smaller blemishes -- if used as directed. Read what dermatologists in America say in defense of hydroquinone.

But other skin specialists say abusing products, for example by rubbing the product on the entire face, neck or body can be dangerous over time.

"There is no safe way to bleach your skin beyond your natural color," says Sujata Jolly, a research scientist.

"Initially, [the bleaching cream] will appear to lighten the skin," she says. "The reaction between the sun and chemicals triggers an oxidation reaction, which then starts turning the skin darker ... and as the skin gets darker, one uses more cream more vigorously.

"By doing that you start to break the skin, and then the chemicals will then penetrate into the bloodstream and reach your liver and kidneys. And that's where it could cause more damage," she says. E-mail to a friend

@highlight

Illegal skin bleaching products a "major problem" among ethnic groups in UK

@highlight

Skin bleaching common practice in Americas, Africa, Asia and now Europe

@highlight

Psychologists blame "colorism" on media's focus on fair-skinned blacks

@highlight

Dermatologists say abusing products can be dangerous over time