(CNN) -- In a field largely still in its infancy, scientists are making headway toward using stem cells to treat heart ailments.

The FDA regulates which adult stem cell techniques are allowed to go into clinical trials.

The major focus of stem cell research in cardiology is promoting regeneration of the heart or preventing scar formation, said Jeffrey Karp, who runs a stem cell biology lab at Harvard University.

One study reporting successful results in humans involves harvesting patients' own stem cells, purifying them, and injecting them directly into the heart muscle. The stem cells have a surface marker called CD34, which means they are capable of growing new blood vessels.

The study, sponsored by Baxter Inc., is the largest adult stem cell study for  heart disease in the U.S., said Dr. Douglas Losordo, cardiologist at Northwestern Memorial Hospital in Chicago, Illinois, who is leading the trial. The researchers will present their one-year findings from Phase II of the trial in September, Losordo said.

"It's important to point out that this is a use of a patient's own body's repair capabilities," Losordo said.

If everything goes well, it's conceivable this treatment could be widely available in a little over four years, he said. The target patient population, consisting of end-stage cardiac patients who have tried all other available therapies, is about 300,000 to 900,000 people, he said.

So far, researchers have not found side effects from this method, Losordo said. However, because it is an invasive surgical procedure in which stem cells are delivered through a catheter, there is a risk of perforation of about 1 percent, he said. There is also a small risk of blood clotting from the drug, GCSF, which mobilizes stem cells.

Injecting stem cells into the heart muscle carries the risk of arrhythmia, said Techung Lee, associate professor of biochemistry at the State University New York at Buffalo. But Losordo said this risk is theoretical in his trial, and is believed to be very low with CD34 cells in general.

Lee and colleagues are working on a less-invasive technique. In a study in mice, they injected stem cells from bone marrow into skeletal muscles of limbs. They found that the stem cells produced growth factors that traveled to the heart, in addition to stimulating the muscle itself to make growth factors that also improved cardiac function.

The challenge for translating this method to humans would be that, while each mouse needed only a few million stem cells, each human patient would need close to a billion stem cells for the therapy -- which would be far too expensive and logistically difficult.

"This is a problem that's been experienced by everyone in the field," Lee said. He estimates that his method could be available clinically in five years, after researchers find ways to reduce the required number of cells by a factor of 10 or even 100.

Another therapeutic possibility is giving a patient an IV of stem cells, which would come from a stem cell bank or a company. The challenge is that the cells may not have the right homing receptors to land in the heart, Karp said.

Karp's group is working on an approach to chemically modify the surface of cells to enhance their targeting to specific sites. Results from animal models have shown promising results for targeting sites of inflammation, he said.

"Essentially we know the ZIP code of vessels within a certain tissue, we can program the address on the surface of the cell," he said.

Lee's and Karp's teams use adult mesenchymal stem cells, which may develop into connective tissue, lymphatic tissue, and blood vessels. These stem cells are largely interchangeable between patients and don't require matching, as organ transplants do. However, as more becomes known about the relatively new field of stem cell therapy, a more specific matching system may be required, said Dr. Joon Lee, cardiologist at the University of Pittsburgh Medical Center.

Some stem cell therapies for the heart are being tested in human clinical trials. Osiris Therapeutics Inc. is enrolling patients in a phase II trial for Prochymal, which contains mesenchymal stem cells. The company intends to use this drug, which gets injected into the vein, to repair heart damage in patients who have just experienced their first heart attack.

More than 90 percent of research on using stem cells to repair the human heart involves adult stem cells, Lee said.

That means the controversy about using stem cells derived from human embryos is largely absent from this line of research. For developing treatments that involve transplanting stem cells from adults, there is no ethical concern about the use of embryos, Lee said.

Embryonic stem cells are advantageous in research because they can be grown more easily than adult stem cells in a culture, and are pluripotent, meaning they can develop into any of the various cell types of the body, according to the National Institutes of Health. But it is not yet known whether tissues derived from embryonic stem cells would cause transplant rejection, whereas this does not seem to be a problem with adult stem cells.

The U.S. Food and Drug Administration regulates which adult stem cell techniques are allowed to go into clinical trials and sets the requirements for more routine use. Whether the FDA will become more or less lenient in these respects is unclear, Lee said.

It's not unfathomable that within the next two to five years, some FDA-approved stem cell treatments will be available for cardiovascular disease, Lee said.

Karp has a longer view -- five to 10 years before stem cell treatments become widely available for heart problems, he said.

The biology of stem cell treatments for the heart is not well understood, said Dr. Ronald Crystal, chief of the Division of Pulmonary and Critical Care Medicine at New York-Presbyterian Hospital/Weill Cornell Medical Center.

One of the challenges is that once a stem cell gets put into a person's body, no one can get it out, Crystal said. This is the opposite of other kinds of medications -- for instance, a person may get sick from taking too many aspirin, but eventually the drug leaves the system. Not so with stem cells, he said.

Crystal expressed general caution about the future of stem cell research, which is still experimental, for heart patients.

"This is a good idea, but patients and families should not expect immediate results," he said.

@highlight

Most stem cell research targeted at the heart uses adult stem cells

@highlight

The FDA regulates adult stem cell techniques that are allowed to go into clinical trials

@highlight

Unlike organ transplants, adult stem cells generally can be given to any patient

@highlight

Therapies be available in a little over four years, although some say five to 10