Washington (CNN) -- As Democrats in Congress celebrate a historic number of women elected to their ranks, the White House's top ranks reflect a very different picture -- one that is largely male.

CNN has learned President Barack Obama is expected to nominate White House chief of staff Jack Lew as treasury secretary.

The likely contenders to replace Lew -- including Ron Klain, who once served as Vice President Joe Biden's chief of staff, and Denis McDonough, a deputy national security adviser -- are all men.

Then there's the president's recent choice for defense secretary: former Sen. Chuck Hagel. The preferred choice to replace Hillary Clinton as secretary of state is another man: Massachusetts Sen. John Kerry.

The trend troubles those who study the role of women in government.

"What you're hearing is that as new openings come up, there are missed opportunities to bring women in at that level," said Debbie Walsh, director of Rutgers University's Center for American Women and Politics, which tracks women in elective office.

"It is concerning at a time when you have a gender gap that put (Obama) over the top, and that gap was a diverse gender gap," Walsh said.

Susan Rice, the U.S. ambassador to the United Nations, was believed to be the front-runner for Clinton's job but withdrew her name from consideration. She took heavy criticism from Republicans over her public statements about the deadly attack on the American diplomatic mission in Benghazi, Libya, in September.

Obama's Cabinet: Who's in, who's out?

Others candidates, such as Michele Flournoy, who served as undersecretary of defense, and Lael Brainard, an undersecretary at the Treasury Department, were bypassed in favor of Hagel and Lew, respectively.

Moreover, there are more men than women among names being considered for other Cabinet positions in Obama's second term.

The White House stresses a commitment to diversity and points to a number of women named to big jobs led by Clinton, Labor Secretary Hilda Solis, Homeland Security Secretary Janet Napolitano and Health Secretary Kathleen Sebelius.

Solis on Wednesday resigned from her position and is expected to leave the department around Obama's inauguration later this month.

But the administration is looking for a woman to fill the commerce secretary position, two sources familiar with the nomination told CNN. Rebecca Blank is acting commerce secretary but is not expected to be the permanent choice.

How women ruled the 2012 election and where the GOP went wrong

The administration also says that more than half of the White House staff is made up of women, many in key senior leadership roles.

Contenders for Lew's job, the most powerful staff position in the administration, are both men.

Obama's two Supreme Court appointments so far have been women, and White House spokesman Jay Carney said the president speaks with a number of diverse candidates for various positions and selects who he thinks is the right person for the job.

"It's not uniform, it's a broad sentiment and he believes the country is served by a process that does seek out the diverse talent in this country for different positions," Carney said this week.

Labor Secretary Hilda Solis resigns

Obama has a stronger record so far in this area than his immediate predecessor, Bush.

Roughly 36% of Obama's Cabinet are women compared to 19% for Bush in his first term, according to the Women and Politics center at Rutgers.

While Obama's record on diversity is also better than the much-discussed 20% female representation in the Senate, he would have to appoint more women to match Bill Clinton's record. Women represented 41% of his Cabinet in his second term.

But diversity is more than numbers. It is also about ensuring that female candidates are being considered for a variety of positions, said Jennifer Lawless, director of Women & Politics Institute at American University.

"Nobody believes there's any overt discrimination," Lawless said pointing at women who occupy top posts in the Obama administration.

"Defense and Treasury: Those are male-dominated issues and frontiers, and those are the areas where woman still have to shore up their credentials and prove themselves more," Lawless said.

"We've reached a point in time where the Cabinets have become increasingly diverse. The next challenge is to make sure we're not pigeonholing women into those positions," she said.

@highlight

Obama's second term Cabinet picks include Jack Lew, Chuck Hagel and John Kerry

@highlight

Some worry the trend will derail the president's previous track record of diversity

@highlight

Defense and treasury Cabinet spots still a glass ceiling for women