(CNN) -- Zimbabwe's capital of Harare was quiet Saturday night after polls began closing for elections that will decide the future of longtime President Robert Mugabe.

Zimbabwean President Robert Mugabe campaigns in the capital of Harare last week.

Results were not expected until Sunday.

The main opposition party, Movement for Democratic Change, alleged widespread irregularities and promised to release its own election results, defying a government order.

Critics of the government have predicted that the elections will be rigged or marred by fraud, though the government has promised that they will be "free and fair."

At a news conference in Harare, Movement for Democratic Change Secretary-General Tenda Biti said that some of the party's agents have been chased away from polling stations.

The party also said the Zimbabwe Electoral Commission claimed to have lost the accreditation for agents at 19 stations and refused to let them in.

Biti said there was a "massive" deployment of soldiers and police at most stations. Journalists inside the country reported a heavy presence of the army and police but disagreed with Biti's description of it as "massive."

Police said they were investigating the bombing of a house in Harare belonging to a parliamentarian candidate from Mugabe's ruling Zanu-PF party.

The bombing happened early Saturday, and it was not immediately clear whether it was connected to the elections, police said. No one was inside the home at the time.

The Zimbabwean government has denied CNN and other international news organizations permission to enter the country to report on the elections. Read about reporting on the elections.

The elections are posing one of the toughest challenges to Mugabe's 28-year rule. Two candidates, both from different factions of the opposition party, stand a good chance of unseating him.

One opposition contender is Movement for Democratic Change founder Morgan Tsvangirai, who fought hotly contested challenges against the president in 2000, 2002 and 2005.

The other is Mugabe's former finance minister, Simba Makoni. He was a member of the Zanu-PF party until he announced his bid to unseat Mugabe and the party kicked him out.

Voter turnout was high after the polls opened at 7 a.m. (1 a.m. ET), journalists reported, but it tapered off throughout the day.

Shortly before polls closed at 7 p.m. (1 p.m. ET), "there was a rush of people to put in their last-minute votes" in some places, media rights activist Reyhana Masters said.

Biti also said police were assisting many voters in casting ballots. The opposition has spoken out against "assistance" in the voting booth, calling it an intimidation tactic, but Mugabe passed a presidential decree this week that said police could help those voters who are elderly or infirm.  Watch Zimbabweans worry their vote won't count »

The government has warned the opposition not to release its own election results, saying that doing so is the role of the electoral commission and could spark violence of the kind seen in Kenya after elections there late last year.

Some Zimbabweans reported irregularities in Saturday's voting.

Eddie Matsangaise of the Zimbabwe Exile Forum said he had heard that the names of long-dead white colonialist leaders were on voter lists, but voters who thought they were registered were turned away.

Iden Wetherell, editor of the newspaper Zimbabwe Independent, said the opposition had found large numbers of voters registered at one address where there isn't a building.

Voter confusion was also a problem. The elections are not just for president but also for parliamentary, senate and local council seats, meaning voters have to cast a number of ballots in a limited amount of time.

Limited voter education means many registered voters were not told which ward to go to and may turn up at the wrong polling stations.  Watch claims of dead voters still on the rolls »

The absence of international media and independent observers has heightened critics' concerns. The United States this week warned of a possible unfair election, and New York-based Human Rights Watch warned this month that the elections were likely to be "deeply flawed."

Human Rights Watch said in a report that Zimbabwe's electoral commission is partisan toward Zanu-PF and lacks both expertise and resources to run the elections properly.

An MDC official said this week that leaked correspondence from the electoral commission showed it had asked for 3.3 million more ballots than there are registered voters, including 250,000 extra postal ballots for soldiers and police.

Tenda Biti, the opposition's secretary-general, said it was an indication of fraud.

A hero of the country's civil war against the white Rhodesian government, Mugabe became the country's first black prime minister in 1980. But nearly three decades later, he has consolidated his rule over all aspects of Zimbabwean life, and the country does not appear better for it.

His country was once revered for offering its citizens some of the best education and health care in Africa, but now, schooling is a luxury and Zimbabwe has one of the lowest life expectancies in the world.

Zimbabwe was once known as the breadbasket of southern Africa, but now it is difficult to get even basic food supplies. Inflation has skyrocketed to more than 100,000 percent while food production and agricultural exports have dropped drastically.  Watch reasons for meltdown of Zimbabwe's economy »

Part of the economic freefall is traced to Mugabe's land redistribution policies, including his controversial seizure of commercially white-owned farms in 2000. Mugabe gave the land to black Zimbabweans who he said were cheated under colonialist rule, and white farmers who resisted were jailed.

In 2005, Mugabe launched Operation Clean Out the Trash, in which he razed slum areas across the country.

Mugabe denies mismanagement and blames his country's woes on the West, saying that sanctions have harmed the economy. E-mail to a friend

CNN's Robyn Curnow in Beitbridge, South Africa, contributed to this report.

@highlight

Zimbabwe's main opposition alleges widespread irregularities in election

@highlight

Opposition party says it will release its own election results Sunday

@highlight

President Mugabe faces two challengers who have good chance of winning

@highlight

Inflation is rampant in Zimbabwe, once called the breadbasket of southern Africa