(CNN) -- If you walk past the Barford family garage in Northampton, England on a Sunday afternoon, there's every chance you'll see a 10-meter-long wing sticking out into the driveway, and a dad and his two kids building a peculiar transparent airplane.

"We've got pictures of it being built, where my son... he was probably seven or eight when he's holding the first part that we made," says David Barford, 44. "And then he's 16 and taller than me when he's holding the last parts."

"So all through their life, if they want to know where dad was, dad was probably in the garage, building his plane."

A peculiar obsession

Barford is part of a small group possessed by a peculiar obsession.

The plane he's assembling at home has no engine -- none apart from the pilot's cycling power, driving an oversized propeller.

Enthusiasts like Barford -- he mentions John McIntyre in nearby Cambridgeshire and Peer Franck in Germany, and there are a scattering of others across the globe -- dream of flying as the first aeronautical test pilots once did: human-powered. "Pure," as Barford describes it.

He recalls being a seven-year-old, himself, and trying to recreate the man-powered star of the Oscar winning documentary Flight of the Gossamer Condor -- American Dr. Paul B. MacCready's machine which took flight in the Mojave Desert in 1976. In model form, at least.

The ungainly machine was the beginning of his fascination:

"To look at it, it's not elegant. To look at it, it's not beautiful at all. It flies backwards, the elevator is at the front of the wing...," he describes.

Paper airplane -- made real

At a glance, Barford's homemade creation is barely more substantial than the kitchen-cupboard replicas of his youth.

Despite its 22-meter wingspan -- proportional to a small Boeing that you might travel on holiday in, he notes -- his BetterFly weighs little more than 40kg. That's about half Barford's bodyweight.

Barford draws on the experience of his day job -- as an engineer on Mercedes-Benz's Formula One engines -- to cut milligrams off weight by drilling out screws and forging hollow carbon tubes for the plane's skeleton.

Beyond that, though, everything is store bought. The handcrafted amateurishness of it all is part of the appeal.

Barford was never interested in shiny new jets, mass produced from precision laser cut parts by teams of professionals -- "That wasn't flying as I wanted to experience flying."

Barford's design, for all the fine attention to detail, is all about making it up yourself, he says. And he is not embarrassed to admit that some fundamental details -- like whereabouts the all important center of gravity is -- "had just been wet finger guessed with a cup of tea in my hand."

Just Right

Preparing to attempt the first flight, Barford gave his plane a "50-50" chance of coming home in a black bin bag. Everything had to be designed "on a knife edge" -- being just robust enough to hold together, while remaining light enough to leave the ground.

Toward the end of construction, he realized the main spar stretching across the back of the wing was coming in heavier than expected. He knew what he'd have to do:

"It put me on the best diet I have ever had! So I lost 8 kilograms in weight to match the plane!"

He booked a week off work, hoping to return as anything other than the "laughing stock" he assumed he'd be if his decade long quest failed.

Just days before the flight, the Barford family gazed out the window as buckets of rain fell.

"My wife's birthday is May 23rd, so I promised to avoid flying on her birthday. But as the weather happens to have it, the Monday and Tuesday were blowy and windy and wet, and the forecast on her birthday was beautiful.

"So we dropped a few hints...," he smiles.

The original dream of flight

Standing on the runway, that evening, as night fell, he gave himself a moment to admire his creation -- "It was light, it was elegant, it was complete. It was finished." -- before takeoff.

"Pedaling and pedaling away, you can just...it is really beautiful."

"All of a sudden you get to a certain speed and you just rise up. Really smoothly -- no dramatic effort involved."

"You keep going, and it all goes quiet, and you are lifted up -- but you are lifted from your hips and your back so you are just cuddled up into the air," he enthuses.

The first flight was around 50 meters -- "not just a hop," he says. "Proper flying."

"It's quite odd to be in a plane that you are pedaling: you are flying, but you can look down and see people, and you can look into the distance and there are birds flying along beside you."

"The day after our flight... I drove to work and saw a buzzard just hovering. And I thought: 'Yeah -- you and me, mate. I can join you."

@highlight

David Barford is part of a small group of amateurs obsessed with man-powered aircraft

@highlight

His BetterFly is 22-meters wide and can take flight under Barford's pedal-power

@highlight

It is the hand-made aspect that most appeals to him