(CNN) -- French ministers grappled Wednesday with the issue of same-sex marriage and adoption rights as the Cabinet approved a draft bill in the face of fierce resistance from the Roman Catholic Church and social conservatives.

Extending the right to marry and adopt to same-sex couples was one of President Francois Hollande's electoral pledges in campaigning this year.

The bill is expected to go before the National Assembly and Senate in January, and is likely to be voted on in February or March. If passed, it would mark the biggest step forward for French gay rights advocates in more than a decade.

Read more: U.S. voters approve same-sex marriage for the first time

The office of Dominique Bertinotti, minister for family affairs in Hollande's Socialist government, confirmed the bill had been presented to and approved by ministers Wednesday morning.

An opinion poll released Wednesday by polling group Ifop and Le Monde newspaper found 65% of those surveyed support equal marriage rights for same-sex couples -- a clear majority of the population.

However, opinion on the question of adoption rights for same-sex couples is split almost down the middle, with 52% in favor, according to the Ifop-Le Monde survey conducted October 29-31.

Cardinal Andre Vingt-Trois, the archbishop of Paris, voiced his opposition to the proposed legislation at a meeting of French bishops in Lourdes over the weekend.

Opening up marriage to same-sex couples "would be a transformation of marriage that would affect everyone," he said.

At the same time, failing to recognize gender difference within marriage and the family would be a "deceit" that would rock the foundations of society and lead to discrimination between children, he said.

Other religious groups in France, including Muslims, Jews and Buddhists, have also expressed their concern over the draft bill, and more than 100 lawmakers are against the legislation, according to CNN affiliate BFM-TV. Hundreds of mayors around the country have also voiced their opposition to the bill.

However, it has won wide backing from gay rights advocates.

Read more: Malawi suspends anti-gay laws

The French gay, lesbian and transgender rights group Inter-LGBT said the law, if passed, "would be a major advance for our country in terms of equality of rights."

Lawmakers have a "unique opportunity" to put an end to outdated discrimination, the group said in an online statement. "The law must allow all couples to unite themselves as they wish and must protect all families, without discrimination on the grounds of sexual orientation or gender identity," it said.

The group has called for supporters to rally in front of the National Assembly in Paris on Wednesday evening.

Prime Minister Jean-Marc Ayrault has said the proposed changes are a matter of justice and equality that reflect the evolving nature of society.

Other divisive questions such as whether same-sex couples should have the right to free reproductive assistance, and the rights of same-sex couples who aren't married to adopt will be tackled in a "complementary law" on the family, he said, allowing further debate on the issue.

A law legalizing civil unions was introduced in 1999 in France under a previous Socialist government.

Known in France as the PACS (pacte civil de solidarite), the civil union agreement can be entered into by gay or straight couples and confers many but not all of the rights of marriage.

In elections in the United States on Tuesday, the states of Maine and Maryland became the first to approve same-sex marriage through a popular vote in referendums on the question.

Thirty-eight U.S. states have passed bans on marriages between people of the same gender, mostly by amending their constitutions to define marriage as the union between a man and a woman. In those states where same-sex couples had previously won the right to marry, it was because of action by legislators or judges.

CNN's Dheepthi Namasivayam contributed to this report.

@highlight

The proposed bill would give same-sex couples new marriage and adoption rights

@highlight

French President Francois Hollande pledged new legislation while campaigning

@highlight

A survey suggests 65% of people back same-sex marriage, but opinion is split on adoption

@highlight

Cardinal Andre Vingt-Trois says the Catholic Church in France is opposed to the law