WASHINGTON (CNN) -- U.S. Supreme Court nominee Sonia Sotomayor said Monday that her hotly disputed judicial philosophy is, in fact, quite simple: Remain faithful to the law.

Judge Sonia Sotomayor speaks Monday to the Senate panel considering her nomination to the Supreme Court.

"In the past month, many senators have asked me about my judicial philosophy," Sotomayor told members of the Senate Judiciary Committee during her opening statement at her confirmation hearings.

"It is simple: fidelity to the law. The task of a judge is not to make law, it is to apply the law. And it is clear, I believe, that my record ... reflects my rigorous commitment to interpreting the Constitution according to its terms, interpreting statutes according to their terms and Congress's intent and hewing faithfully to precedents established by the Supreme Court and by my Circuit Court. In each case I have heard, I have applied the law to the facts at hand."

Sotomayor said the "process of judging is enhanced when the arguments and concerns of the parties to the litigation are understood and acknowledged."

That, she noted, "is why I generally structure my opinions by setting out what the law requires and then explaining why a contrary position, sympathetic or not, is accepted or rejected. That is how I seek to strengthen both the rule of law and faith in the impartiality of our judicial system."  Watch Sotomayor talk about her judicial philosophy »

Sotomayor argued that her "personal and professional experiences help [her] listen and understand, with the law always commanding the result in every case."  Watch Sotomayor's remarks to the Senators »

Some of Sotomayor's critics have argued that she has allowed her rulings to be swayed by factors such as ethnicity and race.

Sotomayor, a federal appellate judge, would be the first Hispanic justice on the Supreme Court if her nomination is approved by the Judiciary Committee and the full Senate. She would be the 111th person to sit on the nation's highest court, and the third woman justice.  Watch Sotomayor take the oath »

Sotomayor, her foot in a cast from breaking her ankle a week after President Obama nominated her in May, sat impassively as senators detailed a deep divide between majority Democrats and minority Republicans on whether she is the best choice to fill the vacancy left by Justice David Souter's retirement.

In an emotional moment in the beginning of her remarks, Sotomayor singled out her mother, who attended the hearing.

"I am here today because of her aspirations and sacrifices," she said. "Mom, I love that we are sharing this together."  Watch Sotomayor credit her mother »

The first Supreme Court confirmation hearing of the Obama presidency began Monday with leading Democrats and Republicans signaling a fierce ideological debate over Sotomayor's qualifications to sit on the high court. It attracted a packed gallery and was disrupted three times by protesters shouting anti-abortion sentiments.

Democrats praised Sotomayor's extensive experience as a judge, which they called the most by any Supreme Court nominee in a century. They insisted her record showed she has been a modest jurist who consistently applied the rule of law.

"Judge Sotomayor's journey to this hearing room is a truly American story," committee Chairman Patrick Leahy, D-Vermont, said after gaveling the first session to order. "Let no one demean this extraordinary woman."

Leahy also ripped conservative "ideological pressure groups" for "distorting" Sotomayor's record and opposing a woman who "will be a justice for all Americans."  He noted she was first nominated to the federal bench by a Republican president, George H.W. Bush.   Watch Leahy praise Sotomayor »

However, Sen. Jeff Sessions of Alabama, the committee's ranking Republican, said Sotomayor represents the kind of activist judge that threatens the traditional foundation of the U.S. legal system.

Sessions, a former attorney general in his home state, challenged the attribute of empathy cited by President Obama in nominating Sotomayor.

"Call it empathy, call it prejudice, call it sympathy -- whatever it is, it is not law," Sessions said. iReport.com: Share your thoughts on the Sotomayor hearings

In particular, Sessions quoted Sotomayor from past speeches in which she said a wise Latina woman should be able to reach a better ruling than a white man, saying it showed an inherent bias.

"I want to be clear: I will not vote for and no senator should vote for an individual nominated by any president who is not fully committed to fairness and impartiality toward every person who appears before them," Sessions said.  Watch Sessions call Sotomayor nomination "critical" »

Other Republicans conceded that Sotomayor was likely to win confirmation because Democrats hold a majority in both the Judiciary Committee and the full Senate, but questioned whether her judicial philosophy was for activism or applying the rule of law.

"Unless you have a complete meltdown, you're going to get confirmed," Sen. Lindsey Graham, R-South Carolina, said.

He described Sotomayor as "someone of good character," but he questioned her "wise Latina" comment as a possible indication of bias based on gender or race.  Watch Graham tell Sotomayor Republicans are "unnerved" by her speeches »

"If I said anything remotely like that, my career would have been over," Graham said, adding that "it just bothers me when somebody wearing a robe takes the robe off and says their experience makes them better than someone else."

Democrats called such concern unjustified, saying Sotomayor's record showed she was fair in applying the law as written.  Read about some of Sotomayor's key rulings »

"I'm not sure how many of this panel can sit here today and seriously suggest that she comes to the bench with a personal agenda," said Sen. Charles Schumer of New York, noting her history showed no pattern of favoritism or bias for anyone.

Other Democrats complained that Chief Justice John Roberts, nominated by Republican President George W. Bush in 2005, has been a conservative activist on the Supreme Court.  Find out how Sotomayor compares to current justices »

Sen. Sheldon Whitehouse, D-Rhode Island, quoted CNN legal analyst Jeffrey Toobin's statement that "in every major case since he became the nation's 17th chief justice, Roberts has sided with the prosecution over the defendant, the state over the condemned, the executive branch over the legislative and the corporate defendant over the individual plaintiff."

"And is it a coincidence that this pattern, to continue Toobin's quote, has served the interests and reflected the values of the contemporary Republican Party?" Whitehouse said. "Some coincidence."

Three brief outbursts occurred as different Democratic senators gave opening statements. In one, an unidentified man shouted: "What about the unborn, senator? Abortion is murder. Stop the genocide of unborn Latinos." Another, later in the session, repeatedly shouted: "Abortion is murder."

While the nation's newest senator, Al Franken of Minnesota, made his inaugural committee statement, a woman and man shouted "you're wrong" at his reference to a woman's reproductive health and rights.

The woman, Norma McCorvey, is better known as "Jane Roe" from the Supreme Court case Roe v. Wade. McCorvey, once a supporter of abortion rights, was the lead plaintiff in the 1973 ruling establishing a constitutional right to abortion.

In all three cases, Leahy immediately ordered the protesters removed from the hearing room.  Watch protester disrupt hearing »

If history is a guide, Sotomayor appears certain to get Senate approval with mostly Democratic support. When she won Senate confirmation for the federal appellate court in 1998, there were 29 "no" votes, all cast by Republicans.

CNN's William Mears and Peter Hamby contributed to this story

@highlight

NEW: Judge's role "not to make law, it is to apply the law," Sotomayor tells panel

@highlight

Democrats praise Sonia Sotomayor's experience and dedication to rule of law

@highlight

Republicans say she's the kind of activist judge that threatens legal traditions

@highlight

Sotomayor's journey "a truly American story," committee chairman says