(CNN) -- For the past week, the political fireworks surrounding the landmark decision by the Supreme Court to uphold the Affordable Care Act rivaled the excitement of Independence Day pyrotechnics.

President Obama is facing heavy criticism from Republicans that he has raised taxes on working- and middle-class Americans because the court upheld the individual mandate based on Congress' power to tax. The president and the Democrats are arguing that the mandate is not a tax but rather a penalty, since those who do not buy health insurance are paying a penalty in the form of a tax.

Meanwhile, on Monday a top adviser to Mitt Romney raised consternation among Republicans by saying that the individual mandate is not a tax, countering the prevailing conservative view.

Soon after, Romney himself made his much anticipated statement on the issue on TV, saying that since the Supreme Court has declared that the individual mandate is a tax, then it must be a tax.

Tax? Not a tax? What's going on?

The fact of the matter is this: As for who wins the White House, there is probably very little at stake for either Romney or President Obama in the debate over the tax status of the individual mandate.

However the mandate is enforced -- as a tax or as a penalty -- it is a rounding error in the total tax increases in the Affordable Care Act.

The Congressional Budget Office estimates the individual mandate will raise $17 billion in revenue for the Treasury between 2015, when the first taxes or penalties would be collected under the provision, and 2019.

Aside from the individual mandate, the health care law includes numerous tax increases, for a total of more than $400 billion between 2010 and 2019, according to estimates by the Joint Committee on Taxation.

About half that amount, $210 billion over 10 years, comes from the increase in the Medicare payroll tax and a new Medicare tax on interest, rent and other investment income for individuals who earn more than $200,000 or families that earn $250,000 annually.

But other changes that raise Americans' tax bills include the reduction in the maximum annual contribution -- now capped at $2,500 -- to Health FSAs (your employer might call it your "cafeteria plan" to help pay for medical expenses). There is also an increase in the percent of your income that you must spend on medical expenses before those expenses are tax deductible, up to 10% from 7.5%. These two provisions taken together will raise taxes by about $28 billion over the law's first decade.

By 2019, the year when all the health care law's tax increases will be in effect, the taxes raised by the Affordable Care Act are estimated to be 0.49% of GDP. That is the 10th largest tax increase since 1950. In 2019, it will be the largest tax increase in the 26 years since Bill Clinton's 1993 tax increases.

Whether the $17 billion from the individual mandate is a tax is hardly necessary for the Republicans to argue that President Obama raised taxes. Nor does the mandate being a penalty clear the president's record on taxes.

The Obama administration and Democrats point out that the Congressional Budget Office has estimated the health care law will reduce total annual budget deficits between now and 2021. There is considerable controversy over the estimate of the effect of the health care law on deficits, but that aside, it will raise taxes -- and a lot of them.

Some Republicans insist that campaigning against the president on the individual mandate as a tax is still important. Because while most of the taxes are levied on employers, corporations and high-earners (including small businesses), the individual mandate is a direct tax on low- and middle-income Americans. If the mandate is a tax, they argue, the president has broken his pledge not to raise taxes on working- and middle-class Americans.

But, in the court of public opinion, conservatives have already won on the issue of the individual mandate.

Time and time again, when polled over the last two years, a majority of Americans have opposed the national requirement to buy health insurance. Looking at self-identified independent voters, those swing voters who decide elections, a March 2012 Kaiser Family Foundation survey found that only 32% supported a mandate with a "penalty" for noncompliance.

While the charge that "you raised taxes on hard-working Americans" is a good go-to move in American politics, it might not be possible for Republicans to gain more political advantage off the individual mandate than they already have.

So what will matter to voters on Election Day? How about principled arguments about what "good government" looks like and the proper balance between personal economic security and individual liberty? And what about a clear, concrete vision for returning prosperity to working- and middle-class America?

Those can be winning issues. For one of the candidates and for all Americans.

The opinions expressed in this commentary are solely those of Tammy Frisby.

@highlight

Tammy Frisby: Republicans, Democrats argue if the individual mandate is a tax or penalty

@highlight

Frisby: Debate over the tax status has little effect on who wins the White House

@highlight

She says the health care law includes tax increases much higher than the mandate

@highlight

Frisby: Conservatives have already won on the mandate issue, as indicated by polls