Washington (CNN) -- For one week in August, the Republican Party will have a guaranteed place on prime time TV and, it hopes, voters' undivided attention.

For many watching, the Republican National Convention will provide the first glimpse of a political fight that has been brewing for more than a year, presenting the GOP with a new opportunity to argue that it's best prepared to take over after November's election.

"The convention is about unifying the party behind the presumptive nominee," said Matt Burns, communications director for the 2008 GOP convention and currently a managing director with global communications firm Burson-Marsteller. "Speaking slots are often a way to heal old wounds after bruising primaries."

Burns also pointed to a speaker's prominence -- or their status as a "rising star" -- as another factor in determining who to put on the convention stage.

The decisions on who will front the party, then, are loaded with opportunity -- but also the chance for pitfalls.

"The speakers have been chosen because they make the best possible case to elect Mitt Romney and to show the American people the various positions and diversity of the Republican Party," GOP strategist Ron Bonjean said. "They're the ones that have served in the trenches in the primaries and have supported Mitt Romney."

"The ones who are left out are the ones who took shots at him," Bonjean said. "Either challenged or took shots at him, and they may not make the best case for his presidency, or they might try to overshadow him."

Not every convention speech puts the party's best foot forward. Pat Buchanan's "Culture War" speech at the 1992 GOP convention was met with consternation from moderates, who regarded the address -- which included opposition to gay rights and women in combat -- as unnecessarily polarizing. Bill Clinton's speech introducing 1988 Democratic nominee Michael Dukakis was so long that people actually cheered when it was over.

The convention -- set to begin August 27 in Tampa, Florida -- has already put together a roster of speakers that features both the party's establishment and its up-and-comers. Sen. John McCain, who accepted the party's nomination at the 2008 convention, will deliver remarks, as will former Florida Gov. Jeb Bush. Former Secretary of State Condoleezza Rice is another well-known Republican who will have a turn at the podium.

Other establishment picks, however, will sit this year out. George W. Bush said he was taking "time off the political stage," and his father, George H.W. Bush, won't attend for health reasons. Former Vice President Dick Cheney, who received a heart transplant earlier this year, will also not appear onstage in Tampa.

Newt Gingrich, the former House speaker and one-time 2012 GOP presidential candidate, will hold daily policy workshops for delegates in Tampa rather than occupy a prime-time speaking spot. Former Pennsylvania Sen. Rick Santorum will speak in Tampa, but other Republicans who challenged Romney for this year's GOP nomination -- including Rep. Michele Bachmann and former Godfather's Pizza chief Herman Cain -- have not been announced as convention speakers.

Donald Trump, the celebrity businessman and Romney supporter whose commitment to the "birther" movement that challenges Obama's place of birth leaves many Republicans queasy, said through a spokesman last week he would have a "memorable" role at the convention, but that it wouldn't include a prime time address.

Sarah Palin, who delivered a warmly received convention address at the 2008 event, won't speak in Tampa either, saying, "Everything I said at the 2008 convention about then-candidate Obama still stands today."

Julian Zelizer, a CNN contributor and professor of history and public affairs at Princeton University, wrote in a CNN Opinion piece last week that the conventions "create a forum to showcase the talent of the future on a national stage."

They also give parties the opportunity to control what that future might look like.

On Tuesday, the Tampa lineup was updated to include New Jersey Gov. Chris Christie in the keynote slot, a high-profile role meant to rally the party behind the nominee. Then-Illinois state Sen. Barack Obama delivered the keynote address at the 2004 Democratic National Convention, launching him onto the national political stage and into the White House four years later.

"The keynote speaker is someone that millions of Americans are going to watch, and they have to make the best possible case for Mitt Romney to be president," Bonjean said. "That speaker is extremely important. The campaign is relying on Chris Christie to carry their message to the world who will be watching."

Christie told USA Today he was on the fourth draft of a speech that would include "some very direct and hard truths" about the state of the country -- a glimpse of a straight-talk speech that Republicans have come to expect from the straight-talking Christie. Many Republicans encouraged Christie to run for president and he was seen by many as the best bet for the No. 2 spot on Romney's ticket.

"Speakers who are known for an ability to energize the base receive more prominent roles," Burns said. "Chris Christie is a good example."

Christie's famous swagger excites many Republicans, who like seeing the anger they feel toward bigger government and out-of-control debt reflected in their elected representatives. But his relatively moderate social views, which line up with the state he represents, turn off some in the GOP party base.

Another chance to craft the party's image comes in the person chosen to introduce the nominee. This year that honor goes to Florida Sen. Marco Rubio, who will draw cheers from delegates aligned with the tea party, which helped vault Rubio past a mainstream Republican rival in 2010's Florida GOP primary and into the U.S. Senate.

To put that into context, Clinton, a Democratic elder statesman, will put Obama's name into nomination at the Democratic National Convention the next week.

Putting Rubio, as well as Texas U.S. Senate candidate Ted Cruz and New Mexico Gov. Susana Martinez (also tea party favorites), in prime-time speaking roles at the convention also signals the GOP's push to bring in Latino voters, who overwhelmingly went for Obama in 2008 and polls show going the same way this time around.

Martinez and Rice, along with South Carolina Gov. Nikki Haley and Oklahoma Gov. Mary Fallin, will also use their convention roles to try to close the gender gap that polls show persists between Obama and Romney.

Ultimately, Burns said, putting together a lineup is about finding people who represent -- and can rally -- the base.

"Fundamentally, convention speaking lineups are meant to represent a cross-section of the party's faithful -- and I expect the 2012 Republican and Democratic conventions to be no exception," Burns said.

CNN's Mark Preston and Paul Steinhauser contributed to this report

@highlight

Convention speakers a chance for party to showcase its best in prime time

@highlight

New Jersey Gov. Chris Christie will give high-profile GOP keynote address

@highlight

Florida Sen. Marco Rubio gets coveted opportunity to nominate Romney

@highlight

Convention speeches can backfire -- just ask Pat Buchanan or Bill Clinton