NEW ORLEANS, Louisiana (CNN) -- Hurricane Gustav didn't pack the wallop of Katrina three years earlier, officials said Monday, but they urged almost 2 million evacuees to stay away from the Gulf Coast for another day.

A man walks past a storefront that collapsed as Hurricane Gustav passed through Lafayette, Louisiana, on Monday.

"Tomorrow is not a day to start coming back to the city of New Orleans," Mayor Ray Nagin said Monday night.

"Power lines are down all over the city; there's a significant number of homes and businesses that are without power," Nagin said.

Still, he said, Gustav didn't do the damage feared a few days ago, a possible repeat of 2005's Hurricane Katrina.

"I'd probably call Gustav, instead of the mother of all storms, maybe the mother-in-law or the ugly sister of all storms," Nagin said.

Across Louisiana, more than 800,000 people were without electricity, and some may not see it restored for two weeks or more, Gov. Bobby Jindal said.

At a news conference with Jindal, Homeland Security Secretary Michael Chertoff urged Gulf Coast residents who evacuated to stay away until damage could be assessed.

But even those who fled faced hardships. About 2,700 people who took up short-term residence Monday in the Louisiana State University Agriculture Center in Alexandria were told that the buildings generator power was not reaching the plumbing system, meaning no showers and no flushing toilets, said John Barnett, head of the facilities.

"It's really crowded, and everybody's just trying to do their best," said Kesha Harlow, who was there with her daughter, 8, and her son, 2 months. "We're just waiting for the storm to blow over."

Gustav roared from the Gulf of Mexico into southern Louisiana on Monday as a Category 2 hurricane with sustained winds of 110 mph, bringing fierce winds and heavy rains from the Alabama-Florida border west into Texas.

In Baton Rouge, Louisiana, two people were killed when a tree fell on the house where they were staying after they had come from farther south to escape the storm, officials said. A man was killed in a similar incident in north Lafayette, Louisiana, officials said.

Four hospice patients died while waiting for air ambulances to evacuate them from southern Louisiana, according to Richard Zuschlag, chairman and CEO of Acadian Ambulance.

Gustav was blamed for more than 60 deaths in the Caribbean, including 51 in southwestern Haiti.

At 10 p.m. CT, Gustav was a tropical storm with sustained winds of 60 mph, the National Hurricane Center said.

In New Orleans, Gustav drove sheets of water over the protective levees around the Industrial Canal early Monday afternoon, but the walls appeared to hold up under the onslaught as the winds faded.

Up to 6 feet of water spilled into an industrial park in the Upper 9th Ward late Monday morning, pouring through small gaps in the concrete flood walls before receding in the afternoon.  Watch water spill over the levee »

But as the storm eased, inspectors from the Army Corps of Engineers and parish levee boards went out to check on the earthen walls and have found nothing to raise alarm, said Col. Craig Gunter, a Corps of Engineers spokesman. iReport.com: See one reader's footage of the levee

"The levees all held up," Nagin said. "I was hoping that this would happen, that we would be able to stand before America and before everyone and say we had some success with the levee system."

With the water level in Lake Pontchartrain north of the city rising, the Army Corps of Engineers closed flood gates on the 17th Street Canal and the London Avenue Canal, two areas that caused some of the more severe flooding during Katrina.

Official feared late Monday afternoon that a private levee south of New Orleans was in danger of failing, but water levels receded, and sandbagging efforts appeared to have paid off.

"We have stopped the bleeding, and I am very encouraged by what we are seeing," Plaquemines Parish President Billy Nungesser said of the levee in Braithwaite.

Gustav made landfall Monday morning near the coastal town of Cocodrie, Louisiana, about 80 miles southwest of New Orleans. iReport: Watch winds rip New Orleans rooftop

The storm's eastern bands, which generally pack the most powerful winds, also hammered Mississippi as Gustav moved to the west of New Orleans.

In Biloxi, Mississippi, iReporter Kevin Wise, who lives two blocks from the beach, said Gustav had pushed the Gulf waters into a highway about 100 yards from the normal shoreline.

"On the beach, it was blowing hard enough that you had to squat down to take a picture; it could pretty much throw you around," he said. Wise said he and his wife ignored mandatory evacuation orders for his area.

Almost 2 million residents evacuated the Louisiana coast, but some in New Orleans opted to brave the storm.

"It really didn't look as vicious as, obviously, Katrina did," Jack Bosma said.  Watch gales batter home, reporter »

He said the wind scattered his back gate across his yard, but his power was on, and neighbors had been congregating on his porch.

"It's really, quite honestly, basically, just like a bad storm. It doesn't seem that drastic at all," he said. iReport.com: Did you stay? Share your story

Property damage from Gustav could total $8 billion, just 25 percent of Sunday's estimate, according to a federally supported computer projection issued Monday morning.   See damage map »

Meanwhile, forecasters said late Monday that Hurricane Hanna was nearly stationary in the Bahamas. At 11 p.m. ET, Hanna had maximum sustained winds of 80 mph, making it a Category 1 storm.

Hanna could make landfall Friday near the Georgia/South Carolina border, possibly as a Category 2 storm with winds of 100 mph.

And in the far eastern Atlantic, Tropical Storm Ike formed Monday with maximum sustained winds of 50 mph, the National Hurricane Center said. It was headed toward the Bahamas

CNN's Kathleen Koch, Jeanne Meserve, Mike Ahlers, Morgan Neill, Matt Sloane, Susan Roesgen, Chris Lawrence and Ali Velshi contributed to this report.

@highlight

NEW: Gustav downgraded to tropical storm

@highlight

NEW: About 2 million evacuees urged to stay away while damaged assessed

@highlight

800,000 lose electricity, may take weeks to restore, Louisiana governor says

@highlight

Watch breaking hurricane news live on CNN.com