Tokyo (CNN) -- They sleep anywhere they can find open space -- in conference rooms, corridors, even stairwells. They have one blanket, no pillows and a leaded mat intended to keep radiation at bay.

They eat only two meals each day -- a carefully rationed breakfast of 30 crackers and vegetable juice and for dinner, a ready-to-eat meal or something out of a can.They clean themselves with wet wipes, since the supply of fresh water is short.

These are the grueling living conditions for the workers inside Japan's crippled Fukushima Daiichi nuclear power plant. They've been hailed as heroes risking their lives by braving high levels of radiation as they work to avert a nuclear meltdown.

But until now, the outside world has known little about the workers' routine.

Tuesday, safety inspector Kazuma Yokota, who spent five days at the plant last week, spoke with CNN about the plight of the 400 workers staying in a building within 1 kilometer (.6 of a mile) of Reactor No. 1. Japanese officials ordered mandatory evacuations for everyone else within 20 (12.4 miles) kilometers of the plant.

The workers look tired, Yokota said. They are furiously connecting electrical cables, repairing instrument panels and pumping radioactive water out.

They work with the burden of their own personal tragedies always weighing heavily.

"My parents were washed away by the tsunami, and I still don't know where they are," one worker wrote in an e-mail that was verified as authentic by a spokesman for the Tokyo Electric Power Co., which runs the Fukushima plant.

"Crying is useless," said another e-mail. "If we're in hell now, all we can do is crawl up towards heaven."

But they are doing it all with the kind of determination required in a task with such high stakes. There's no room for plummeting morale and the workers are not showing any signs of spirits flagging, Yokota said.

However upbeat the workers are, there's no denying the conditions are beyond difficult.

"On the ground at the nuclear power plant, the workers are working under very dangerous and very hard conditions, and I feel a great deal of respect for them," Chief Cabinet Secretary Yukio Edano told reporters Tuesday.

The workers spend three days on site and go off for one. They start their work day at 8 a.m. and go for 12 long hours.

Gary Was, a nuclear engineering expert at the University of Michigan, told CNN Tuesday that contaminated seawater brings potential danger "and they need to take all precautions."

Particulates that land on the skin or are ingested "can be a constant source of radiation into the future," Was said. "You need to be very careful not to ingest any of that."

Was said officials need to remove and store contaminated water.

Last week, three men who were laying electrical cable in the turbine building of the No. 3 reactor stepped in tainted water, exposing themselves to high levels of radiation. Tokyo Electric apologized and said their exposure might have been avoided with better communication.

Radiation alarms went off while the three men were working, but they continued with their mission for 40 to 50 minutes after assuming it was a false alarm. They were hospitalized after it was determined they had been exposed to 173 to 181 millisieverts of radiation -- two of them with direct exposure on their skin. They were later released.

By comparison, a person in an industrialized country is naturally exposed to 3 millisieverts per year, though Japan's Health Ministry has said that those working directly to avert the nuclear crisis could be exposed to as much as 250 millisieverts before they must leave the site.

The incident also prompted further criticism of Tokyo Electric and how well it is safeguarding the workers.

Yokota said the power company hoped to improve living conditions for the workers by moving them to another facility. Edano said officials also hope to find replacements in order to relieve the workers at the plant.

Until then, they will continue as the faceless heroes in Japan's tragedy, the nation's only hope of thwarting further disaster.

@highlight

The Fukushima Daiichi workers are sleeping on mats

@highlight

They eat two meals a day of prepared food and crackers

@highlight

They are exposed to high levels of radiation

@highlight

An inspector divulges details of their lives, says they are still upbeat