(CNN) -- Hillary Clinton's leadership as secretary of state regarding the Nigerian terrorist group Boko Haram could become at least as serious an issue as her decisions surrounding the attack on the U.S. consulate in Benghazi.

Much of the attention Thursday was on the announcement that the House will create a select committee to investigate Benghazi, but the same day, Daily Beast reporter Josh Rogin revealed details about her time as secretary of state that raise significant questions about her broader record on issues of terrorism.

Rogin reported that from 2011 through early 2013, the Clinton State Department repeatedly rejected efforts to designate Boko Haram as a terrorist organization. In recent weeks, the group has exploded onto the world stage by kidnapping more than 250 girls at a Nigerian boarding school.

It is so clearly and vividly a terrorist organization that it seems indefensible that the State Department would have refused to designate it as such. A thorough investigation of the decision process that protected Boko Haram from 2011 until late 2013 could be devastating.

Now that Boko Haram has attracted worldwide attention for its vicious assault on young girls, political leaders, including the former secretary of state, are rushing to issue emotionally powerful but practically meaningless statements.

Hillary Clinton tweeted: "Access to education is a basic right & an unconscionable reason to target innocent girls. We must stand up to terrorism. #BringBackOurGirls"

Clinton's tweet contrasts vividly with her failure to stand up to terrorism in 2011 by calling Boko Haram what it was.

The requests to designate Boko Haram as a terrorist organization were serious and came from very responsible authorities.

As Josh Rogin reported:

"What Clinton didn't mention was that her own State Department refused to place Boko Haram on the list of foreign terrorist organizations in 2011, after the group bombed the UN headquarters in Abuja. The refusal came despite the urging of the Justice Department, the FBI, the CIA, and over a dozen Senators and Congressmen.

"'The one thing she could have done, the one tool she had at her disposal, she didn't use. And nobody can say she wasn't urged to do it. It's gross hypocrisy,' said a former senior U.S. official who was involved in the debate. 'The FBI, the CIA, and the Justice Department really wanted Boko Haram designated, they wanted the authorities that would provide to go after them, and they voiced that repeatedly to elected officials.'

"In May 2012, then-Justice Department official Lisa Monaco (now at the White House) wrote to the State Department to urge Clinton to designate Boko Haram as a terrorist organization. The following month, Gen. Carter Ham, the chief of U.S. Africa Command, said that Boko Haram provided a 'safe haven' for al-Qaeda in the Islamic Maghreb and was likely sharing explosives and funds with the group. And yet, Hillary Clinton's State Department still declined to place Boko Haram on its official terrorist roster."

The protection of Boko Haram from designation as a terrorist organization is even more unbelievable when you read the description of the group's activities in the American Foreign Policy Council's World Almanac of Islamism.

Consider the following highlights:

-- Boko Haram means "Western education is sinful."

-- The initial Boko Haram organization grew to an estimated 280,000 followers. In 2009 there was a huge fight with the Nigerian Army and over 1,000 followers and the founder were killed.

-- A revitalized Boko Haram launched an attack on Bauchi prison on September 7, 2010.

-- Since then they have carried out over 600 attacks, killing more than 3,800 people.

-- Boko Haram's orientation can be discerned in its support for Taliban-like, extremist Sharia law and its designation of its original encampment in northern Nigeria as "Afghanistan."

-- The Nigerian terrorists have allied with al-Qaeda in the Islamic Maghreb and a number of transnational terrorist groups.

-- On Christmas Day in 2011, Boko Haram staged church bombings.

-- Boko Haram has deep ties with extremists in Saudi Arabia. Supposedly dozens have been trained in Afghanistan.

Given these facts, it is amazing that Clinton's State Department refused to designate Boko Haram as a terrorist organization, since clearly it was engaged in terrorist activities. Why would the department she led not call a terrorist group a terrorist group when it was in her power to do so, and, as Rogin reports, the FBI, CIA, Justice Department, and many members of both the House and Senate were urging her to do just that?

Rogin reports that some U.S. officials, and possibly the Nigerian government, opposed the listing because, among other reasons, they thought it might give the group more publicity. But this is a fairly weak rationale. For one thing, Boko Haram seems to have managed the publicity part on its own. And despite designating three individuals associated with Boko Haram as terrorists in June 2012, by refusing to list the organization, the State Department was denying the FBI, CIA, and Justice Department the tools they were seeking to use against the group as a whole and anyone linked to it.

It is a potentially devastating addition to a record as secretary of state that included a number of decisions favoring the Muslim Brotherhood in Egypt (after abandoning a longtime U.S. ally there), as well as appeasing a virulently anti-American regime in Iran -- moves that have not turned out so well, to say the least.

Now the Boko Haram decision raises a whole new set of questions.

How could the Clinton State Department reject naming Boko Haram as a terrorist group?

Who was involved in blocking Boko Haram's terrorist designation?

Are any of the so-called experts who were totally wrong still at the State Department?

Did Clinton have anything to do with refusing to designate Boko Haram?

If not, was she even aware of the controversy? Shouldn't she certainly have been aware, considering the number of federal agencies and members of Congress that were asking her to designate the organization?

These questions about Clinton's record are potentially even more serious than the questions about Benghazi. As Congressman Patrick Meehan, who chairs the House Homeland Security Subcommittee on Counterterrorism and Intelligence, told Rogin, by failing to designate Boko Haram as a terrorist organization in 2011, "We lost two years of increased scrutiny. The kind of support that is taking place now would have been in place two years ago."

In light of the recent events in Nigeria, former Secretary Clinton and other key State Department officials owe the American people some answers about their decisions.

@highlight

Newt Gingrich: Hillary Clinton could be questioned on Boko Haram as on Benghazi

@highlight

He says State Dept. under her leadership rejected requests to designate group as terrorists

@highlight

Justice Dept., FBI, CIA, and military officials asked for terrorism designation, Daily Beast reported

@highlight

Gingrich: Was Hillary Clinton aware of the requests? If not, should she have known?