Paris (CNN) -- French voters are always good for a surprise, and the French presidential election will not be over before the run-off election on May 6. But the winner -- likely to be either Nicolas Sarkozy or Francois Hollande -- will need to immediately turn their attention to economic issues. The eurozone's problems will be top priority.

The center of power in the eurozone has clearly moved to Germany, but France has always been the pivotal country in the European project, from the Treaty of Rome in 1957, to the Maastricht treaty in 1992, and the launch of the euro in 1998. So it may well be France, not Germany, which holds the key to the future of the euro. If France stays the course and commits to sufficient fiscal rigor and pro-competitive policies, then the euro has a good chance of survival, in whatever bruised form.

Nonetheless, "Europe" has been conspicuously absent from the French election campaign. This paradox is best understood by considering that a majority of French voters are attached to the euro as well as to strict national sovereignty in fiscal matters. In the long run, they are unlikely to keep both. For the European sovereign debt crisis over the last 24 months has taught one stark lesson: The eurozone is not really viable without a fiscal union of some sort. But fiscal integration is not popular in Europe, and not in France. Not least because a fiscal union will only be feasible politically with a commitment to economic convergence.

France faces other economic problems besides the euro wobbles: A loss of competitiveness, with unit labor costs that increased almost 20% relative to Germany since 2000, a rising current-account deficit of 2.1%, a public sector among the largest in the OECD as a share of GDP, a debt-to-GDP ratio of close to 90% and a public sector deficit projected at 4.8% this year that will be hard to bring down amid sluggish growth of 0.5% or less, and unemployment of 10% and rising.

To outside observers, the election campaign may have looked surreal in its near-complete omission of the economic storm clouds. But French voters are not stupid; many anticipate a change of gear after the parliamentary election in June (even the surge of the hard left may well be attributed to such anticipation).

Whatever the outcome of the election, much will depend on the financial markets in the coming year. Since neither of the two leading candidates has sought a mandate for structural economic or fiscal reform, the push for reform is likely to come from the outside, for example if sovereign bond markets become tumultuous again. "Le spread" as it is known in France, the difference between French and German government bond yields, has recently widened again.

In France, serious reform is likely to get under way only when it looks inevitable, just as it did in Italy in the fall of 2011. Expect at some point a fight of high drama and brinkmanship between Paris and the European Central Bank, the arguably most powerful and independent central bank the world has ever known. No prize for predicting the winner: Reform may not be popular, but sovereign default is inconceivable in France, a country that did not have one in 200 years.

Austerity will come at a high price in terms of economic growth for France and for Europe. But under current market conditions, conventional fiscal stimulus is not really feasible -- a euro exit would not change that. The only alternative would be a forced reduction in the debt of over-exposed sovereigns and/or banks (whose leverage risks are really intertwined), or an uptick in inflation.

The two episodes of forced debt reduction in Europe since the start of the financial crisis, namely Icelandic banks and the Greek government, went actually rather well. As an economist, I advocate more of it. Ireland made a mistake by bailing out all its bank liabilities, and Spain for example should not repeat that error. Still, this road is unlikely to be tried unless decision makers feel they have no choice.

If Hollande wins the election, financial markets may well express doubts over several of the Socialists' campaign proposals. Among them, the corporate tax with increases and the proposed total elimination of the deductibility of interest expenses, the income tax with its proposed 75% top marginal rate, and the undoing of parts of the pension reform. Eventually, economic pragmatism should prevail in French government policies. Hollande's campaigning as a man of reason should help.

A strong reaction of financial markets in the months after the election could force his hand; he and his entourage may well have factored it in already, and might even secretly welcome it. After all, Hollande would be the first French president who holds a degree from a business school.

The opinions expressed in this commentary are solely those of Ulrich Hege.

@highlight

The winner of France's election will have to quickly tend to economic issues

@highlight

France, one of the eurozone's biggest economies, may hold key to the currency's future

@highlight

But talk of the economic storm clouds have been absent in the election campaign

@highlight

Neither leading candidate has sought mandate for structural economic reform