Bangkok, Thailand (CNN) -- Violence flared overnight in Bangkok amid anti-government demonstrations intended to drive Thailand's Prime Minister out of office.

Tens of thousands of protesters have disrupted traffic at major intersections and marched on government offices in Thailand's large and hectic capital city this week.

The protests, dubbed "Bangkok shutdown," had begun Monday without serious incident. But on Tuesday night, two people were shot and wounded, an explosive device was thrown at an opposition leader's house, buses were set alight and police officers were attacked, according to authorities.

The protesters say they want Thailand's political system overhauled instead of new elections scheduled for next month. They're demanding that Prime Minister Yingluck Shinawatra's government be replaced with an unelected "people's council."

Their numbers dropped from a peak of as many as 170,000 on Monday evening to about 60,000 on Tuesday evening, said Lt. Gen. Paradon Pattanathabut, Thailand's security chief. He said roughly 10,000 demonstrators had stayed out on the streets overnight as others returned to their homes in the Bangkok area.

Protest leaders disagree with the government's estimates of their numbers. They say they had more than one million people on the streets on Tuesday night.

Intersections occupied

Since Monday, groups of demonstrators have occupied seven main intersections in Bangkok and marched on several government buildings, including the labor, commerce and foreign ministries.

The protests have caused some disruption in central Bangkok, but large areas of the sprawling capital city so far remain unaffected. Authorities have deployed about 20,000 security personnel to keep watch throughout the city.

The rallies are orchestrated by the People's Democratic Reform Committee (PDRC) protest group, led by Suthep Thaugsuban, a former deputy prime minister for the opposition Democrat Party.

The government has offered talks with protesters and other concerned parties to discuss a way out of the impasse and the possibility of postponing the election. But Suthep's group has rejected the offer.

Unrest overnight

With Thailand still scarred by deadly civil unrest in 2010, police and demonstrators have both pledged not to resort to violence. But amid the tense atmosphere in parts of Bangkok, pockets of unrest sparked on Tuesday night.

An explosive device was thrown at the house of opposition leader Abhisit Vejjajiva, Paradon said. Abhisit, the leader of the Democrat Party, was not in the house at the time and nobody was wounded by the blast, Paradon said.

The case is under investigation and it is not certain at this point whether the attack was politically motivated, he said.

Abhisit, a former prime minister, has denied being a member of the PDRC but has appeared on stage and among the crowds at some of their demonstrations.

At Pathumwan, one of the major occupied intersections, two protesters were shot and wounded by unidentified attackers, Paradon said. One of the protesters suffered serious, but not life-threatening, injuries, he said. The other had minor injuries.

In the Lumpini Park area, protesters' guards attacked four police officers who were gathering intelligence, police said. One of the officers remains in the hospital after the assault.

At Nang Lerk intersection, where scores of people have been protesting for months, two buses were set on fire, Paradon said.

Dispute over elections

Rights groups, the United Nations and the United States have called on Thai authorities and anti-government protesters to respect human rights and avoid violence during the mass demonstrations.

Since demonstrations against Yingluck's government began in November, eight people have died and 470 have been wounded, authorities said.

In a bid to cool tensions, Yingluck dissolved the nation's parliament last month and called for new elections to be held on February 2.

But the move has done little to appease protesters. They have called on the Prime Minister to step down from her caretaker position and be replaced by an unelected "people's council," which would see through electoral and political reforms.

The national Election Commission has urged the government to postpone elections amid the continuing unrest. Yingluck offered to meet with protest leaders and election commission officials Wednesday to discuss whether to delay the vote, her office said.

But Akanat Prompan, a PDRC spokesman, said Yingluck's offer of talks wasn't an answer to the problems.

The protesters want to see changes to Thailand's political system enacted before elections take place, he said, and the demonstrations will continue until they achieve that goal.

Travel warnings

Dozens of countries have issued travel advisories amid fears the tensions could erupt into violence.

The U.S. Embassy in Bangkok has urged U.S. citizens to avoid large gatherings in the city and to ensure they have a stock of cash and essential items in case the situation deteriorates.

"While protests have been generally peaceful over the last two months, some have resulted in injury and death," its online warning said. "Even demonstrations that are meant to be peaceful can turn confrontational, and can escalate into violence without warning."

The protest group has said that it will allow ambulances to pass along the roads it blocks, and that it will not block access to airports and public transportation.

The U.S. government supports "a democratic process to resolve the ongoing political tensions in Thailand," Marie Harf, a State Department spokeswoman, said Monday.

"We also continue to urge all sides to refrain from violence, exercise restraint and respect the rule of law," she said at a regular news briefing. "And we do, I would note, applaud the restraint shown thus far by government authorities in this regard."

Ambitious goal

Protest leaders have said they want to rid Thailand of the influence of former Prime Minister Thaksin Shinawatra, the older brother of Yingluck.

That's an ambitious goal in a country where every election since 2001 has been won by parties affiliated with Thaksin, a billionaire who built his political success on populist policies that appealed to Thailand's rural heartland.

Thaksin was ousted in a military coup in 2006 and has spent most of the time since then in exile overseas. If he returns, he risks a two-year prison sentence on a corruption conviction, which he says was politically motivated.

The recent protests in Bangkok were prompted by a botched attempt by Yingluck's government to pass an amnesty bill that would have opened the door for her brother's return.

That move added fuel for critics who accuse her of being nothing more than her brother's puppet, an allegation she has repeatedly denied.

Opposition to Thaksin and Yingluck is strongest among the urban elites and middle class, particularly in Bangkok.

Thaksin's traditional support comes from the populous rural areas of north and northeast Thailand.

His supporters, known as "red shirts," support the holding of elections on February 2.

Kocha Olarn and Saima Mohsin reported from Bangkok, and Jethro Mullen reported and wrote from Hong Kong.

@highlight

NEW: Authorities report several violent incidents overnight, including shootings

@highlight

Tens of thousands of protesters have gathered in central Bangkok

@highlight

They have occupied major intersections in the Thai capital and marched on ministries

@highlight

The protesters are demanding that Prime Minister Yingluck Shinawatra step down