Saira Murillo is just one of 11 million undocumented immigrants in the country who was specifically excluded from signing up for the Affordable Care Act, but it wasn't until recently that she found a way around the system.

"I didn't realize that as a DACA recipient, I would also be eligible to receive health insurance. It was thanks to a professor who told me and other undocumented students about our eligibility for Medi-Cal," Murillo told CNN en Español.

Deferred status, or DACA, refers to the Deferred Action for Childhood Arrivals program enacted in 2012. It grants some undocumented youths temporary work authorization and a two-year reprieve from deportation.

"States like California and New York have realized that because of their higher undocumented immigrant population, it makes more sense to offer preventative care regardless of legal status," said Alvaro Huerta, staff attorney for the National Immigration Law Center.

In the meantime, California, Washington state, Massachusetts, Minnesota, New York and Washington, D.C., offer health insurance to low-income individuals granted deferred status.

It's creative workaround of the ACA restrictions because the states are not using federal funds for the programs.

"Normally, someone with deferred action status would be considered lawfully present for all purposes on a federal level, which would mean that those DACA grantees would've been included in the ACA except that was changed about two months after the DACA program was announced," Huerta said.

The administration still has time to reverse the rule because it haven't released a finalized rule, Huerta added.

'Deferred status' still means no federal health insurance

No access to those federal tax credits

Being DACA grantees also means that in addition to being given a valid Social Security number and the chance to get a driver's license, they are also given a work permit, on which they pay state and federal taxes. But because of the rule change, they aren't eligible for federal tax credits that help make private insurance affordable in the insurance marketplaces.

Even though they're a part of the workforce, the DACA program was not intended to provide federal financial assistance for health care.

"Instead, DACA is designed to ensure that governmental resources for the removal of individuals are focused on high priority cases, including those involving a danger to national security or a risk to public safety," an administration official from the U.S. Department of Health and Human Services told CNN.

The justification to not include DACA grantees is still unclear to Huerta, especially since the Obama administration fought to keep them from being deported.

"This particular undocumented youth population calls America home, is ready and willing to work hard, but what happens if they get sick? Their options are limited and expensive," Huerta said.

As it stands, the existing welfare reform law requires immigrants to have legal status and wait five years before they can qualify for federal income-based benefits such as Medicaid or the Children's Health Insurance Program.

That's why U.S. Rep. Michelle Lujan Grisham introduced a bill that would make legal immigrants and DACA grantees immediately eligible for health insurance.

"Although they pay taxes, more than 600,000 legal permanent residents are restricted from receiving federal health care benefits," the New Mexico Democrat said in a news release.

"This lack of access leads to more visits to emergency rooms, where immigrants are forced to pay as much as $1,200 to treat common ailments like the flu and upper respiratory infections."

Critics: Health care access would increase illegal immigration

Critics such as Media Director Ira Mehlman of the The Federation for American Immigration Reform argue that providing health care services would encourage more illegal immigration.

"County hospitals are overwhelmed with uninsured people, and they've been forced to come up with more money to accommodate these people -- largely because they've encouraged them to come in," Mehlman said in an interview with the Los Angeles Times.

Right now, the only other ways DACA grantees can receive health insurance is from their employer, being a spouse's dependent, going to a community clinic or purchasing it on their own outside the exchange, paying the entire premium.

Huerta hopes the National Immigration Law Center's recommendation to allow DACA to take part in Obamacare will be taken into consideration.

"It makes financial and practical sense to include DACA grantees in the ACA," Huerta said. "It would increase the pool that's eligible for exchanges by adding generally young, healthy immigrants, and that would decrease health insurance costs for all of us."

If done, it could help as many as 1.7 million immigrant youths eligible for DACA status that aren't fortunate enough to live in states such as New York or California.

New York City to issue ID cards to undocumented residents

Many people are unaware of their eligibility for the California Medicaid welfare program and, according to a study by the UC Berkeley Labor Center, 125,000 more immigrant youths in California with deferred action status are eligible for the program.

And an estimated 1 million undocumented Californians remain uninsured since the ACA went into effect this year and, according to a UCLA study, "71% of uninsured immigrant youth have an existing need to access a doctor or specialist about their own health; however, 53% stated that they haven't seen a doctor for more than a year."

Murillo said she felt constant pressure to stay healthy before she found out about her Medi-Cal eligibility.

"Lack of health coverage has been a big problem for me. Whenever I got sick, my mom would have to make me home remedies to help me get better," Murillo said.

While home remedies might provide some relief, it's still considered Band-Aid care, which means people are more likely to turn to the most expensive option -- the emergency room.

The UCLA study also found that 74% of California's immigrant youths report they've received services from public safety-net programs, such as emergency Medi-Cal, public hospitals and community or county health clinics.

@highlight

Administration official: DACA was never intended to provide federal assistance

@highlight

Rep. Michelle Lujan Grisham introduced bill to give legal immigrants health insurance

@highlight

Some say services for undocumented immigrants would encourage illegal immigration

@highlight

"Lack of health coverage has been a big problem for me. I've relied on home remedies"