New York (CNN) -- President Obama's decision to follow through on plans to reduce the American troop level in Iraq to 50,000 and shift away from combat missions is a sign that he believes America's energy and resources can better be used elsewhere, says analyst Fareed Zakaria.

Obama said Tuesday the U.S. is on track with the troop withdrawal and mission change to take effect at the end of this month. The president is proceeding while Iraq's key political forces remain deadlocked over the makeup of the government.

"I think he views it as fundamentally a place where we have to reduce our profile, reduce our impact," Zakaria said, "because ultimately this was an act of hubris that needs to be reined in."

In Zakaria's view, the efforts the U.S. has put into overturning the Saddam Hussein regime and stabilizing Iraq have not been worth the cost. "In the long run, if Iraq does stabilize and becomes a workable, even a flawed democracy, then I do think that perhaps that judgment will change in the long view of history. But right now, if one were being honest, one would have to say it wasn't worth it."

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Wednesday. Here is an edited transcript:

CNN: President Obama says that he's fulfilling a promise by drawing down forces from Iraq to 50,000 by the end of this month. What's the significance of that?

Fareed Zakaria: I think the greater significance than the troop numbers is that he said that American forces next month will stop doing combat missions. That is really a crucial change -- it's the culmination of a process, it's not abrupt -- but it really means the US military is out of the business of war fighting, of street fighting, the business of tackling militias and basically exists as a training force to help the Iraqi military to stabilize the Iraqi government.

That gets the American military more into the role it has played in places like South Korea and Okinawa, than in the intense war-fighting, counter insurgency mold it's been in in Iraq. I do think it's an important turning point.

CNN: What's the state of the Iraqi regime now?

Zakaria: Iraq remains very troubled. You cannot pretend otherwise. The simplest indication of this is 2 to 2.5 million people fled Iraq in the years after the invasion, mostly in 2004, 2005, 2006, and from all accounts there is just a trickle of people returning.

Most of the people who left were middle class, most were Sunni -- the managerial administrative elite of the country. The fact that they haven't returned tells you that they still don't see much of a future for themselves in Iraq and until the Iraqi government is able to be genuinely pluralistic and genuinely open, genuinely a broad coalition, I think you will have the problems of instability.

It's caused by, on the one hand, Sunni extremist organizations that see the government as Shiite tyranny and, on the other hand, Shiite militias that try to combat those Sunni extremists. That's where we remain -- it's all at a much lower level, but the fundamental problem hasn't gone away.

The fundamental political problem has never been solved; there has never been a genuine national reconciliation with a government that is trying to open itself to all segments of Iraqi society. The dysfunction that you see, the paralysis, is just the symptom. The deeper problem is the political divide.

CNN: In light of that conflict, why is Obama proceeding with the withdrawal?

Zakaria: Obama believes this is a war we should never have gotten involved in, that it has been a waste of American resources -- most importantly American lives but also treasure -- and that his job is to minimize the exposure of the United States to this and reduce our commitments so that he can focus America's energy and efforts in other places. And he's been very disciplined about this, very unsentimental about it.

When you say is it still unstable, I think the answer is yes, but I don't think Obama is waiting for this place to become like Italy or France, a developed democracy, before he reduces the commitment to a significantly smaller number.

CNN: Which way could this go -- toward further healing or the possibility of renewed civil war?

Zakaria: Renewed civil war seems highly unlikely. An adviser to General Petraeus once put it this way -- he said Iraq will stabilize once the Sunnis realize that they have lost, and the Shias realize they have won.

And I think that fundamentally has happened. The Sunnis realize they can't overturn this government militarily. Of course there are some insurgent groups and some militia activity but basically it's sporadic and represents a small element of the population. The rest of them are dissatisfied, but they're not going to take up arms. And I think the Shias realize they have more to gain by staying in the system, which they dominate, than by trying to overturn it.

So I don't see civil war, but I think Iraq is going to remain very unsatisfying to outside observers. It does not seem on trajectory to become a happy liberal democracy...

I think the United States should have been playing a much stronger role in pushing the Iraqi government to accommodate all segments of society and create a genuine national coalition. Under the Bush administration, we focused all our attention on the military elements of the problem until very late when General Petraeus came in. Even then the civilian side has not pushed hard to create these compromises and coalitions. And under the Obama administration, there has been a very weak ambassador who has also had a kind of hands-off role.

American influence is diminishing but it's still considerable, and it's surprising to me that we didn't use it to try to create a more stable governing coalition...

CNN: Stepping back, at this point what is the likely verdict of history on the US involvement in Iraq?

Zakaria: So far at this point it's very difficult to make the case that the benefits have overridden the costs. As I said, you have 2.5 million Iraqis who fled, thousands, maybe tens of thousands who were killed, thousands of Americans who were killed, enormous expenditure, and there's not much to show for it.

It is absolutely true that Saddam Hussein's rule was an evil regime, significantly more evil than your run of the mill dictatorship, this was more like a totalitarian regime, but it's been replaced by a very dysfunctional polity. And to the average Iraqi, it's been a really, really difficult, unstable seven years, which has been plagued by violence, the collapse of their living standards, constant interruptions in their normal daily life from things like power outages.

CNN: Are there lessons here for what the U.S. is doing in Afghanistan?

Zakaria: I think the main lesson I would say is to be modest about what you can achieve and work hard on the political compromises, because those are the key.

You can achieve a certain level of stability by using the military, but the underlying problem doesn't go away. And in the Afghan case, the issue is: Can you find a way to get the Pashtuns reconciled to the Karzai government without alienating the other ethnic groups in Afghanistan?

We tend not to think in those terms in the United States. We tend to think of good guys and bad guys, but the truth is that the ethnic divisions are real and lasting, and they just have to be accommodated. There has to be a way to share power.

@highlight

President Obama says withdrawal of U.S. troops from Iraq is on track

@highlight

Obama's view is that the war was not worth the loss of lives, money, says Fareed Zakaria

@highlight

Zakaria says costs outweighed the benefits of ousting Saddam Hussein

@highlight

He says Iraq hasn't yet had a genuine national reconciliation between key parties