MANCHESTER, New Hampshire (CNN) -- If you listen to inventor Dean Kamen, the biggest health problem facing the world today is not AIDS, obesity or malnutrition. It's a shortage of water.

Dean Kamen hopes to tackle the world's fresh water shortage with the Slingshot, a water purifying device.

Water is the most abundant resource on the planet, yet less than one percent of the Earth's freshwater supply is readily available to drink, according to the World Health Organization. Lack of accessible or clean drinking water, exacerbated by drought, is crippling communities in many developing countries.

"In your lifetime, my lifetime, we will see water be a really scarce, valuable commodity," Kamen says.

Those are scary words from the man whose creations include the Segway personal motorized scooter and the Luke (as in Skywalker) prosthetic arm. But the forward-thinking inventor and his team at DEKA Research in Manchester, New Hampshire, aren't sitting around waiting for the world's wells to dry up.

They've been working on an invention they say can tap into 97 percent of the world's undrinkable water.

It's called the Slingshot, and it's a portable, low energy machine that is designed to purify water in remote villages where there's not a Wal-Mart in sight. The device takes its name from a well-known story.

"We believe the world needs a slingshot to take care of its Goliath of a problem in water," Kamen says. "So we decided to build a small machine and give it to the little Davids."

Perhaps you've heard about the Slingshot, which Kamen has been working on for more than 10 years. Over that time it has turned dirty river water, ocean water and even raw sewage into pure drinking water. Kamen says it can turn anything that looks wet, or has water in it, into the "stuff of life."

The magic behind the Slingshot is a "vapor compression distiller" that stands between what looks like two empty fish tanks connected by a couple of hoses. One tank contains the contaminated liquid, the other is for the newly clean water.  Watch Kamen demonstrate the Slingshot »

The Slingshot boils, distills and vaporizes the polluted source, in turn delivering nothing but clean water to the other side. And it does it all on less electricity than it takes to run a hair dryer.

In summer 2006, Kamen delivered two Slingshots to the small community of Lerida in Honduras. They were used for a month and Kamen says everything ran as planned.

"The machine worked very well down there, taking virtually any water that the people from that village brought to us," he says. "All the water that we got from the machine was absolutely pure water."

But there's a problem. Kamen says each Slingshot costs his company several hundred thousand dollars to build. He's looking to partner with companies and organizations to distribute Slingshots around the world, but says a little more engineering work needs to be done in order to lower the production costs.

Kamen says the company would like to get the price down to about $2,000 per machine.

"The biggest challenge right now between this being a dream and a reality is getting committed people that really care about the state of the world's health to get involved," Kamen says.

The world's population is quickly approaching 7 billion, making access to clean water that much more important. According to the World Health Organization and UNICEF, more than 3.5 million people die every year from water-related diseases and almost 900 million don't have access to a safe water supply.

Kamen says people in developing regions of the world need the Slingshot as soon as possible. He also thinks the problem with polluted water will spread beyond small villages.

He says one Slingshot machine can supply about 250 gallons of water a day, which is enough for 100 people. That's a lot of Davids.

"It is literally like turning lead into gold," he says. "But I believe it's more important, because you can't drink lead or gold."

@highlight

Segway inventor Dean Kamen wants to tackle the world's fresh water shortage

@highlight

Kamen has designed a portable water purifying device called a Slingshot

@highlight

The machine is designed to purify water in remote villages of developing nations

@highlight

But assembly costs remain too high for the machine to be mass produced