(CNN) -- At an auction at a gallery in New York recently, a piece of artwork sold for a higher price than had been anticipated by the auctioneers: $4,080.

It wasn't a very big piece of art -- just 8-by-10 inches. Technically, it wasn't even art. It was a glossy black-and-white photograph. It had a slight imperfection: there were staple holes in the upper left-hand corner.

Someone had written all over the front of the photograph. The person who had scrawled on it was, in fact, the subject of the photograph. He had written:

"To Patricia Keating, with very best wishes, John Kennedy"

That is what made the photo so valuable to someone: Kennedy had held it in his hands, had run his pen over it. The owners of Swann Galleries, where the signed photo was auctioned, believe that Kennedy had autographed the picture in 1956, when he was a United States senator. The picture itself wasn't worth much; but his signature, personalized to Patricia Keating. ...

"As far as we know, she wasn't anyone famous," Rebecca Weiss, a Swann Galleries employee, told me on the day after the auction. "There's no particular significance to her name."

Then why would someone pay more than $4,000 for the photo?

Weiss told me that the identities of the buyers and sellers at Swann auctions are kept confidential, so she could not disclose who had consigned the photo for sale, or who had purchased it. But she said there is a pretty safe rule of thumb about the sale of autographs of renowned men and women:

"What people are buying is the mystique. They are taking home the autograph knowing that this person once actually touched this item, this person once actually left this imprint, this signature."

She clearly knows what she is talking about; just this weekend, it was announced that another auctioneer had sold what is purported to be perhaps the last autograph Kennedy ever signed: a copy of the Dallas Morning News that he reportedly signed for a woman upon his arrival in that city on November 22, 1963. A man in California purchased it for $39,000.

In our digital age, in which images and data are transferred from person to person with the tap of a key, it would seem to be an anachronism: the idea of placing enormous monetary value on pieces of paper upon which prominent individuals once wrote their names. But that personal touch seems to have remained precious; Weiss said that many, if not most, purchasers of autographed items display them as if they were rare paintings: framed and mounted in places of honor.

She didn't have to convince me. I have only two pieces of art hanging in my home, and neither would qualify as art in the conventional sense. But I wouldn't trade them for Picassos or Van Goghs.

The first is an original theater lobby poster for the greatest movie about newspapers ever made: 1952's "Deadline -- U.S.A.", starring Humphrey Bogart.

The other piece of art is an autograph -- actually, an entire (if brief) handwritten letter.

It is a thank-you note.

A thank-you note written to a laundry.

At the top of the piece of paper, embossed in the italics/script font style of 1950s suburban-housewife stationery, are the words:

"From the home of ... Elvis Presley"

And beneath it, in blue ballpoint pen:

"I should like to commend your Laundry for doing a fantastic job on my clothes, you show esceptional care. Sincerely E.P."

That's just how, while living in a house on Audubon Drive in Memphis, Tennessee, in the years before he moved to Graceland, he wrote it. "Laundry" capitalized in the middle of the sentence; a comma instead of a period after "clothes"; "esceptional" instead of "exceptional."

I can't imagine a more wonderful or telling artifact from Presley's life. Who writes thank-you notes to their laundries? The young Elvis, that's who. There's such an essential sweetness to it -- to the very fact of the letter, to the formality of his introduction ("I should like to commend..."), to the adjective he chose ("a fantastic job on my clothes"). I purchased the letter from a gallery two decades ago (for a price that made me bite the inside of my mouth), and I would rather own it than the Mona Lisa.

I was about to say that I would never part with it, but in fact I once did, for several months. An exhibit called "American Originals: Treasures from the National Archives" was touring the country, and was scheduled to make a long stop at the Peggy Notebaert Nature Museum of the Chicago Academy of Sciences. Included in the exhibit were the original Louisiana Purchase Treaty, Thomas Edison's 1879 patent application for the electric lamp and the instrument of surrender of the German High Command during World War II.

I thought Elvis belonged there, and persuaded the curators of the museum to accept his thank-you letter on loan. The National Archives said they would not object, so long as Elvis' note was not in the same room with the more austere documents.

It worked out fine; I thought Elvis would like it that way. He always was proud to be an outsider. In the hallway adjacent to the entrance to the main exhibit -- visitors saw it right as they walked in -- was Elvis' handwritten letter, in a display case, with a plaque that read:

"This note, written by Elvis Presley when he was on the verge of becoming a star, provides an example of how seemingly trivial documents can increase in value and cultural significance as a result of historic events. It also shows that despite his growing fame in the early 1950s, Presley cared about the feelings of others."

Brings a tear to your eye, doesn't it? I can fully understand why someone in New York the other day would purchase the photograph that John Kennedy once signed for Patricia Keating, whoever she may have been. You don't have to be Patricia Keating to comprehend the value of that picture, just as you don't have to be Elvis' laundry to comprehend the value of that thank-you note.

Great art, like great beauty, is where you find it.

It is, as they say, in the eye -- or the laundry bag -- of the beholder.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Photo signed by JFK recently sold for $4,080, Greene notes

@highlight

In the digital age, the idea of valuing names on paper seems odd, he says

@highlight

But autographs allow an admirer to make a connection to a hero, he says

@highlight

That makes some autographs more precious than fine art, he says