Watch or record "Black in America: The New Promised Land -- Silicon Valley" when it airs on CNN on Sunday, November 13 at 8:00 p.m. ET/PT and re-airs Nov. 13 at 11:00p.m. ET/PT. By recording the documentary, you agree that you will use the program for educational viewing purposes for a one-year period only. No other rights of any kind or nature whatsoever are granted, including, without limitation, any rights to sell, publish, distribute, post online or distribute in any other medium or forum, or use for any commercial or promotional purpose.

Documentary Description While much of the country struggles to emerge from a recession, California's Silicon Valley is booming, and technology companies like Facebook, Skype, and Apple are seeing their valuations soar.  CNN anchor and special correspondent Soledad O'Brien reports that the ownership of this digital boom is mostly young, white, and male.  For her fourth Black in America documentary, O'Brien asks why, according to industry analyst CB Insights, less than one percent of all venture capital money went to digital startups with African-American founders in 2010. She follows the progress of eight strangers after they were selected to live together for nine weeks in a unique, technology-focused "accelerator" developed to help African-American digital entrepreneurs secure funding to establish their businesses. Black in America: The New Promised Land -- Silicon Valley airs November 13th at 8pm ET/PT and re-airs Nov. 13 at 11:00p.m. ET/PT

Recommended grades: 9-12

Subject Areas: Social Studies, African American Studies, Business

Before-Viewing Discussion Questions: Use these questions to promote discussion before viewing the program.

1. What is an "entrepreneur"?  Do you know any entrepreneurs?  If so, what kinds of businesses do they own and what do you think they needed to get started?

2. What skills, abilities and experiences do you think might be necessary for someone to be a successful entrepreneur?

3. Do you think that running an Internet technology company requires a different skill set than running other kinds of companies? If so, why? If not, why not?

Post-Viewing Discussion Questions: Use these questions to facilitate discussion and critical thinking after watching "The New Promised Land."

What is the NewME Accelerator Program? How would you describe the companies that are supported by this program? What does founder Angela Benton say needs to happen for this program to be successful?

Where does Benton say you should live if you are going to work in technology? Why do you think that this region has become the center for the U.S. technology industry? What resources do you think a region might need to have in order to support technology companies?

According to the documentary, what percentage of "dot com" companies founded by first-time entrepreneurs fail? What factors do you think might contribute to the success or failure of an Internet-based company? Explain.

What is Google's Dragon's Den?  How would you describe the pitches the NewME entrepreneurs gave at this event? What feedback did the NewME participants receive there? How do you think that this feedback might relate to the establishment and operation of a business?

Why do you think that business investor Ron Conway says it might be harder for African-American entrepreneurs to be recruited by Silicon Valley investors? What do you think these investors should do, if anything, to encourage investment in minority-owned startup companies?

Who is Mitch Kapor?  According to the video, why does he care about the black entrepreneurs who come to Silicon Valley to be successful?

How does Silicon Valley blogger Michael Arrington respond when CNN's Soledad O'Brien asks, "Why do you think there are so few African American tech entrepreneurs here [in Silicon Valley]?" Why does he believe that they may have an advantage?

What is meant by the term "meritocracy"? What statements are made in the documentary that support or refute the idea that success in Silicon Valley is based on merit?

According to NewME mentor Vivek Wadhwa what challenges might minority entrepreneurs face in trying to establish technology companies? What techniques did Wadhwa use to raise money for his business ventures? What is your reaction to these techniques? Do you think the NewME entrepreneurs should use these same techniques? Why or why not?

Why do the NewME participants start working as a team? What do you think might be the pros and cons of working together in this environment versus working individually? Explain.

What is "Demo Day"? What does Benton say entrepreneurs will need to do after their pitches to secure funding? Which entrepreneur(s) do you think might find investors after this event, if any?  Why do you think that they will be successful in securing capital?

Media Literacy Questions

What is the purpose of a trailer? What elements would you include in a trailer about this documentary? Why?

Learning Activity -- Making a pitch

Point out to your students that the NewME entrepreneurs made a brief speech, called a pitch, to potential investors. Ask students: What was the purpose of the pitches seen in the video? What were some of the services provided by the NewME entrepreneurs' Internet-based businesses? Divide the class into groups, and challenge each group to develop its own idea for an Internet-based business. Then, direct students to research the Internet for strategies on delivering an effective pitch, sometimes known as an "elevator speech." After groups have completed their research, direct them to prepare, and then deliver, two-minute pitches based on their business idea. After each speech, have the class give constructive feedback regarding the pitches and state some reasons why class members would or would not consider funding this business proposal if they were investors.  After the presentations, ask students:  What factors might determine whether or not a pitch is successful? What kinds of things do you think that potential investors want to hear in any pitch from an entrepreneur?

Curriculum Connections

Social Studies

National Curriculum Standards for Social Studies: The Themes of Social Studies

2 TIME, CONTINUITY, AND CHANGE

Social studies programs should include experiences that provide for the study of the ways human beings view themselves in and over time.

3. PEOPLE, PLACES, AND ENVIRONMENTS

Social studies programs should include experiences that provide for the study of people, places, and environments.

5. INDIVIDUALS, GROUPS, AND INSTITUTIONS

Social studies programs should include experiences that provide for the study of interactions among individuals, groups, and institutions.

The National Curriculum Standards for the Social Studies are produced by the National Council for the Social Studies.

@highlight

"The New Promised Land" follows the progress of eight strangers living together in a unique, technology-focused "accelerator" developed to help African-American digital entrepreneurs secure funding to establish their businesses

@highlight

Parents and educators can use this guide to initiate discussion with students about the documentary