Dhaka, Bangladesh (CNN) -- On any given Monday, Motijheel -- the commercial center of Dhaka -- is a bustling, chaotic mess of rickshaws and cars jockeying for space in overcrowded streets with an equally determined mass of pushing, shoving pedestrians.

This Monday was different.

Motijheel resembled a battleground, desolate and destroyed.

A day earlier, it was.

Throughout the day and late into the night Sunday, police and paramilitary troops battled with Islamists who laid siege to the area. Half a million of them, by many accounts.

It ended when security forces, 10,000-strong, moved into the area early Monday morning to disperse the protesters.

Exactly how many died in the confrontation might never be known.

The national news agency, Bangladesh Sangbad Sangstha (BSS), put the count at 14 dead and more than and more than 75 wounded.

Among them were three police officers, a paramilitary trooper and a 12-year-old boy.

Police in various cities reported a total of 18 deaths as violence spread.

Human rights activists say the final count will be much higher -- one that the government may be loath to share.

Photographs that appeared on online blogs and websites show bodies lying on stairwells or cowered in building corners -- bullet wounds to the head or back, or a pool of blood beside them.

To avoid a repeat of Sunday's violence, police declared no rallies and gatherings can take place all day Monday in Dhaka. And they escorted the Islamist group's leader out of Dhaka.

So protesters focused their efforts elsewhere.

In Narayanganj, a city near the capital, Islamists torched vehicles and fought pitched battles with police.

In the port city of Chittagong, they clashed with police -- with fatalities reported but not confirmed.

How it began

The Islamists are members of the ultra-conservative Hefazat-e-Islami (Protectors of Islam).

They gathered Sunday in numbers that boggled the mind.

Photos taken from balconies and rooftops showed a sea of bodies dressed in white panjabis and kufis -- both traditional Muslim attire in Bangladesh -- cramming the streets of Motijheel to the hilt.

They demanded that the government enact laws that put to death anyone who blasphemed Islam.

They called for mandatory Islamic education for all in this secular Muslim nation.

They wanted a ban on statues, and the words "absolute trust and faith in the Almighty Allah" reinstated in the constitution.

They declared that men and women should not be allowed to mix freely in this country of 150 million.

And they vowed they would not leave until their demands -- 13 in all -- were met.

The ensuing confrontation was violent. And bloody.

Country's direction at stake

What is happening in Bangladesh is a push and pull between two forces to determine the future direction of the country.

In February, thousands and thousands of youths held a month-long sit-in in another part of the capital, Shahbag, demanding the death penalty for those who took part in war crimes during Bangladesh's bloody battle for independence from Pakistan.

Many of those accused of war crimes now hold prominent position in Islamist parties.

Are you affected by the protests in Bangladesh? Send us your thoughts and experiences but stay safe.

The rallies, led by youths and fueled by social media, also tried to achieve something else: a ban on extreme fundamentalist parties.

But Bangladesh is also the fourth most populous Muslim country in the world.

And the radical elements of the religion were not going to sit by idly as those rallies grew.

The Islamists let their presence known with larger and larger rallies and strikes, first in cities outside Dhaka and then in the capital city.

Each time they came out, police officers with batons followed.

Clashes ensued. Properties were destroyed. Lives were lost.

The Islamists' tactic has been to turn the criticism on its head: By criticizing them, they seemed to say, you criticize Islam.

They called the Shahbag participants "anti-Islamic atheists" who deserve death for defaming the religion but who are protected by the government.

And so, when the Hefazat-e-Islami protesters gathered Sunday, that was one of their main demands: put to death these "atheists."

Battles for hours

Clashes broke out when Hefazat activists tried to break a police cordon.

The street battles went on for hours, with police firing rubber bullets and tear gas and the Islamists hurling crude explosives and chunks of brick.

Syed Ashraful Islam, secretary-general of the ruling Awami League and a government minister, said demonstrators set fire to the Communist Party of Bangladesh office and ransacked several other business establishments in central Dhaka.

Shahriar Shahid, the managing editor of BSS, said the service had to suspend operations for the day after Hefazat activists set a fire at the entrance of its office.

Blame to go around

The government, rights groups say, shares blame not just for its crackdown but also for muffling the free speech of the Islamists.

On Monday, authorities shut down the offices of pro-Islamist Diganta Television and Islami TV stations after they aired footage of the clashes.

"They came in early in the morning and ordered us closed," staffer Tanvir Hussain told CNN.

Information Minister Hasanul Haq Inu told reporters the stations "provoked violence (by) spreading hatred and rumors."

Last month, the government shut down another opposition newspaper.

"This is what I and many others feared when the Shahbag movement started," said Razab Chowdhury, a Bangladeshi expatriate in Fremont, California. "Does it matter that Hefazat is misguided? Does it matter that their vision of Islam is as twisted as the Taliban's?

"Before, I didn't know about these guys; they were a fringe group that pranced about in Chittagong. Now security has stabilized situation, but I fear it is pushing the country closer to a civil war."

Reminders everywhere

Monday morning, the reminders of the weekend violence were everywhere.

Smoke smoldered from rubbish heaps. Fires burned inside ransacked stores. Bricks and rocks littered the streets.

Shopkeepers held up pages from copies of Quran burned in shop fires and wailed, "Those who did this are not Muslims."

Bulldozers pushed the debris to the side.

Bangladesh is still reeling from the aftermath of a catastrophic building collapse last month where the death toll continues to mount: more than 650 by Monday.

And now this.

But Bangladeshis are resilient people.

By Monday afternoon, the rickshaws and the cars were back on the streets in Motijheel. So were the street peddlers and the pedestrians.

The cars blared their horns, the rickshaws squeezed into every available space. The pedestrians flung profanities.

Life, it appeared, was slowly returning to normal.

CNN's Saeed Ahmed reported and wrote this story from Atlanta with information provided by journalists Morshed Ali Khan, Farid Ahmed and Sajjad Hussein in Dhaka, Bangladesh.

@highlight

National news agency BSS puts the count at 14 dead

@highlight

Among them are three police officers, a paramilitary trooper and a 12-year-old boy

@highlight

Police declare no rallies can take place all day Monday in Dhaka

@highlight

In Narayanganj, a city near the capital, Islamists torch vehicles and fight police