(CNN) -- Early next month, Casey Rocheteau will pack up the belongings of her Brooklyn flat, say goodbye to friends and set-off for her new home in Detroit, Michigan.

The "Motor City" was once regarded as the engine room of the U.S. economy but it has fallen upon hard times in recent decades -- or so the popular narrative goes.

Now, a new venture which combines housing and the literary arts is hoping to paint the modern story of the Detroit in a more positive light.

Rocheteau is the first person to receive a home completely for free as part of the Detroit Write A House program.

The non-profit project is buying up and renovating foreclosed homes using crowd-sourced funds in the city's Banglatown district. It then gives them to promising literary prospects in the fields of fiction, non-fiction, screen writing, poetry and journalism among others.

All Rocheteau has to do on her end of the deal is to pay fees for insurance and taxes, take part in local literary readings and promise to live in the house for at least two years.

The-29-year-old originally from Cape Cod was selected by judges from a host of other applicants for the house on the strength of her poetry that "breaks through" and addresses "some of the more frightening" aspects of racism.

While delighted, she says she is still pinching herself to make sure she's not dreaming and has actually won a new home.

"I saw this come up and I was a little bit skeptical as it seemed a bit too crazy that they were giving away free houses," Rocheteau told CNN.

"(But) I love the house and I'm very excited to actually get there and start living there.

Laying the foundations

Write A House is the brainchild of Toby Barlow, a writer and creative director at advertising agency Team Detroit, and Sarah Cox, a writer and journalist originally from New York, who have been collaborating on the idea since 2012.

The pair hope not only to improve Detroit's neighborhoods by filling out boarded up properties but to change outside perceptions of life in the city as well.

"As a freelance writer I've found it to be a great place as there is so much space to cover things. You're not living in a city like New York that has so many journalists in every area," Cox said.

A problem that has arisen due to the comparative lack of storytellers in Detroit, Cox believes, is that negative stereotypes about life in the city have been allowed to flourish.

Rocheteau concurs and points out that Detroit has become a metaphor for American industrial decline -- which she describes as wholly unfair.

While Detroit has certainly suffered its fair share of hardship, including filing for bankruptcy in 2013, both Rocheteau and Cox say countering the simplistic narrative of a city in ruins is important in providing perspective.

"In Detroit there are so many stories that need to be told. It doesn't matter whether you end up telling them through poetry or fiction ... there's a lot of inspiring people here," Cox said.

Moving on up

Tackling the many misconceptions surrounding Detroit and focusing on growing as a writer is for the months and years ahead, however.

For now, Rocheteau is preparing to move in to her new home on November 1 and is excited to explore her new community.

She said she was intrigued by the eclectic cultural mix of the neighborhood's Bangladeshi and Polish immigrant communities when she visited in September as well as the visual art installations that dot the landscape.

The house itself is compact, with one bedroom and one bathroom, and was in a state of disrepair when bought at auction for just $1,000 earlier this year.

It has since been renovated by local companies employing young apprentices from across Detroit thanks to a $30,000 donation from Team Detroit and $33,000 raised on the crowdfunding site Indiegogo.

Write A House's initial success and the positive coverage it has received has also helped attract more donations and sponsors to buy up other houses in the coming months.

"We're planning to do three houses next year," Cox said. "We already own one and are talking about picking up two more."

She added that since the original crowdfunding campaign "we have attracted grants ... and we've actually received $100,000 from the Knight Foundation (an organization that seeks to promote journalism and the arts)."

"Crowdfunding was a great way to make it public and get attention by getting little donations. But the housing renovations are expensive and I believe we'll be getting a mix of different grants and funding in the future."

@highlight

Detroit project purchases and renovates foreclosed homes before giving them away to aspiring literary talents

@highlight

First house purchased for $1,000 before being renovated and has been given to poet Casey Rocheteau

@highlight

The aim of the project is to fill in empty homes and boost Detroit's burgeoning literary scene