(CNN)The leaves that go into a cup of Ceylon tea play a surprisingly complex role in the history of Sri Lanka.

It started with a single camellia sinesis plant brought from China in 1824 by the British, who had colonized the island then known as Ceylon in 1801.

The plant was to be displayed in the Royal Botanical Gardens outside Kandy in the country's lush interior -- but it has since grown into a $1.5 billion export business for the teardrop shaped island nation off India's southern tip.

Alongside the agricultural production of tea, which accounts for 2.5% of the country's $60 billion GDP, tea tourism is also emerging as a popular experience for travelers.

In 1867 Scottish coffee planter James Taylor, the man who would be recognized as the pioneer of Sri Lanka's tea industry, planted 19 acres of tea near Kandy at an altitude of around 500 meters.

In the 1860s, however, Sri Lanka was the world's largest coffee producer and few paid attention to Taylor.

Two years later came the first seeds of change when Hemileia vastatrix, or coffee rust, was detected on the island.

Within 10 years, this lethal fungus led to financial ruin for the island's British coffee planters. Roughly 1,700 left for England while the remaining 400 or so switched to growing tea.

Sir Arthur Conan Doyle famously commented that "the tea fields of Ceylon are as true a monument to courage as is the lion at Waterloo."

Tea industry starts

The East India Company brought Tamil women from Southern India to work as tea pluckers, ushering in the next chapter of human suffering on these lush green acres.

By 1890, the year Thomas Lipton arrived to purchase tea estates, 23,000 tons of tea were exported to London's tea auctions. Ceylon had become an island synonymous with tea.

Ceylon won independence from British rule in 1948 but the tea industry remained a colonial domain.

When government pressure led to the selection of six Ceylonese men as the first indigenous tea tasters in 1950, one of them, Merrill J. Fernando, remembers being told by British colleagues, "You all eat too much curry, it ruins the taste buds!"

Even as the island nation became the world's largest tea exporter in 1965, the industry itself was still dominated by the British, who exported the tea as raw material and branded it overseas.

Fernando began dreaming of packaging and marketing 100% pure Ceylon tea, dispensing with middlemen and keeping more profits for his country, which officially became known as Sri Lanka in 1972.

Two destructive rounds of land reform in the 1970s delayed those dreams and nearly wiped out Sri Lanka's tea industry, but in 1988 Fernando founded Dilmah Tea. Today, Dilmah is Sri Lanka's most recognized international brand.

World famous

According to the World Tea Council, in 2012 Sri Lanka exported 340 million kilograms of tea, the third highest by volume behind Kenya and China, though number two when measured in value terms, thanks to the premium revolution begun by Dilmah's founder.

When asked about the future of Sri Lankan tea given increased competition from younger, more productive fields in Kenya and the global coffee craze, Fernando's son, Dilmah executive Malik Fernando, points to his competition.

"We need Teaeli and others to continue introducing sophisticated products that identify Ceylon tea as the finest grown to the next generations," he says.

For his part, Teaeli founder Dushyantha De Silva saw a market niche five years ago. "Ceylon tea had not changed much since my grandparent's time," explains the 22 year-old Colombo native.

"When our 26-year civil war ended in 2009, we all knew a tourist boom would come. I felt the market had room to welcome creative new tastes, especially for overseas visitors who want to leave with a souvenir of Sri Lanka's tea culture."

Sri Lanka's top 7 tea experiences

Dilmah Private Tea Tastings

Sip-and-spit sessions, akin to wine tasting, can be arranged at Dilmah's headquarters outside Colombo where anyone can learn to distinguish the island's full-bodied Maskeliya low-grown teas from golden hued high-grown harvests like the Ran Watte single origin variety grown at 1,829 meters.

Dilmah Private Tea Tastings; 111 Negumbo Road, Peliyagoda; +94 11 482 2000; by appointment, from $75 including lunch

Euphorium Tea Salon

Japanese-Sri Lankan owner Midori Peiris offers tea appreciation classes and serves bespoke blends like her black-tea based Chloe mixed with dried flower petals, as well as clever tea-based cocktails, Japanese-inspired lunch dishes and pastries.

Euphorium Tea Salon, 3-14 Kynsey Road, Colombo; +94 11 523 0523; Tues-Sat 10 a.m.-6 p.m.; prices from $2 for a 50g leaf tea packet

Ceylon Tea Trails

Some 1,300 meters above sea level among the fertile tea fields of the south central Bogawantalawa Valley, visitors can find four sprawling planters' bungalows built between 1890 and 1939.

They operate as a five-star tea resort with period antiques, Swiss trained butlers and a planter-in-residence -- Andrew Taylor, a descendent of Sri Lanka's tea pioneer, who leads guests through surrounding tea estates.

High tea's served with premium Dilmah sips like Craighead Estate Ceylon Silver Tips and Rilhena Estate Gently Cinnamon Smoked Ceylon Pekoe.

Ceylon Tea Trails; +94 11 230 3888; rates from $405

Kahanda Kanda

Five of the nine individually decorated suites face the surrounding tea plantation at this photogenic inn perched along the hills outside Galle on Sri Lanka's southern coast.

Guests can roam among the low country tea bushes and meet the resident pluckers but the intense flavor of the black tea produced here means most is exported to Russia and Iraq.

Kahanda Kanda, Angulugaha; +94 91 228 6717; rates from $365

Handunugoda Tea Estate

A further 10 kilometers south along the coastal Galle Road, resident planter Malinga Herman Gunaratne escorts visitors around his working tea estate where rare white tea leaves, grown only near sea level, were traditionally cut by virgins with golden scissors.

Handunugoda Tea Estate, Tittiagalla, Ahangama; +94 77 329 0999; daily 8 a.m.-6 p.m.

Sri Lanka in Style's Hosted Tea Journey

"To understand this ancient medicine called tea" noted tea explorer and author Jeff Fuchs will lead an inaugural series of journeys this July among the cultures and landscapes that shaped Sri Lanka's tea story.

Along with daily tastings, guests will meet some of the Tamil women pluckers who still believe animist spirits thrive among these verdant bushes.

Sri Lanka in Style's Hosted Tea Journey; seven-, nine- and 15-day tours; from $3,874 per person

Teaeli

Though he's already placed his teas at Colombo's most popular tourist destinations including Ministry of Crab and Barefoot, the founder of this recently launched upstart makes house (and hotel) calls to introduce the innovative range, which includes Almond Truffle with real white chocolate bits and an Earl Grey concocted with cornflower, bergamot and blood orange.

Teaeli, +94 77 753 6907; prices from $5 per tin

@highlight

Sri Lanka became known for tea when Thomas Lipton started exporting the product to London in 1890

@highlight

The island now generates $1.5 billion every year from its tea export industry

@highlight

Travelers can experience private tastings in Dilmah and live on a tea plantation