(CNN)Early Intervention changes lives. Respite care keeps families together. Both save states money over time. Alas, both -- along with a huge swathe of other vital services -- are under attack by the administration of Bruce Rauner, the new Republican governor of Illinois.

This is happening for two reasons. First, Rauner has a problem. He promised to lower taxes despite a $6.2 billion structural budget deficit. Unwilling to think about new revenue, all he can do is cut programs.

Second, Rauner's cuts are taking place against the backdrop of a bigger attack on disability. Too many right-wing politicians and pundits see disability as a wedge issue with which they can divide interest groups, pit people who need help against each other and rip apart the core social safety net. Meanwhile, they reassure their base, which is filled with individuals who also need help from the state, that only they really deserve benefits.

Like Rauner, other governors are cutting services in the name of austerity. Kansas, under Sam Brownback, has pushed disabled people off Medicaid, making services less effective and efficient.  Scott Walker, in Wisconsin, has proposed cutting long-term care services in such a way as to limit individual choice of caregivers and service providers, empowering the healthcare industry and not disabled Americans.

Florida has gutted benefits to severely disabled individuals in workers' compensation cases and eliminated countless positions in the Department of Health. And that's all just at the state level. Nationally, the new Congress began the year with a sustained attack on Social Security Disability Insurance, which some analysts see as a way to threaten the whole foundation of Social Security.

Last December, House Republicans insisted that the ABLE act, a bill intended to help people with disabilities and their caregivers save money, only be offered to those who were disabled before the age of 26, a limitation aimed at excluding people who become disabled through work, disease, accident or age.

Now Bruce Rauner is adding to this troubling pattern. The Rauner budget slashes state spending by over $4 billion, much of the savings gleaned by eliminating or reducing eligibility for programs based in the Department of Human Services (DHS). Each cut will come with costs to families and individuals who need the state's help most. Moreover, many of the cut programs actually save the state money over time.

Take, for example, Early Intervention, which provides services to children with developmental delays from birth to age 3 at little cost to the parents (there are means-tested co-pays).  At their best, these therapies not only help children with disabilities learn new skills, but also teach parents to better understand their children. Right now, a child who is at least 30% delayed in any category -- for example being at least 30% less able to use speech than a typical child of their age -- is eligible for services.

Now, as explained to me by a spokesperson for DHS, the program has to save $23 million (they did not explain how this number was picked). The plan is to take every child who is 30-49% delayed (about 10,000 children), re-test them, and remove eligibility from thousands of those deemed the least deserving until the arbitrary dollar amount is reached. Over the long term, this is not only bad for children, but is bad for Illinois' budget.

The program is extremely economically efficient. For each dollar spent on programs like Early Intervention, according to studies by people such as the Nobel Laureate James Heckman and the Rand Corporation, the state saves at least $7 in future services. Those savings are, in fact, most likely to be realized most dramatically with precisely the children that DHS is trying to exclude. Children with only mild delays can, with Early Intervention, avoid requiring the more expensive special education services in school when they are older. Everyone wins.

Despite this Gregory Bassi, acting secretary of DHS, is undeterred. At a recent state Senate budget hearing, which I attended, Bassi kept saying that the program was too expensive and seemed unable to address the long-term costs of short-term savings. He even, in a revealing moment, said that his own nephew ought to get booted from the program because the nephew's parents make too much money (a spokesperson clarified that Bassi actually has two nephews in the program, both of whom have benefited from the therapy).

Respite programs, which the Rauner budget eliminates entirely, provide qualified assistance to people who care for people with disabilities.  Sometimes, such a program just enables the caregiver to do errands or have some private time, essential to maintaining one's ability to function in a challenging home environment. The programs also provide emergency backup should the caregiver have a medical problem or some other issue. Like Early Intervention, the program is cost efficient.  Without respite, families are more likely to disintegrate. In such cases, the person with a disability is likely to end up in a state-run facility. This is both vastly more expensive and, most importantly, generally bad for the institutionalized individual.

In fact, the Rauner budget is packed with what Illinois Senate Appropriations Committee chair Heather Steans, a Democrat, called, "penny wise, pound foolish" proposals.  Throughout, the governor and his administration have found ways to re-write definitions of disability in order to save money. They will likely end up paying more as a result of increased use of emergency rooms, rates of incarceration and homelessness.

Violent encounters between police and people with disabilities will only become more common.  People who now receive aid that allows them to live more independently will end up institutionalized or in nursing homes. Not only that, but many of these programs bring in matching funds from the federal government or other sources, and the state is surrendering those dollars as well.

So why make these cuts, given their likely long-term costs? It may be that the Rauner administration just doesn't care about long-term fiscal health so long as next year's budget looks good. But I see the Rauner attacks on disability-related services as just the latest example of lawmakers trying to re-define disability in a way that saves them money.

Questions about the fundamental necessity of disability benefits infuse right-wing speech on the issue. Thom Tillis, the new senator from North Carolina, was filmed in 2011 calling Republicans to "divide and conquer" by separating the sympathetic disabled -- people with conditions like Down syndrome and cerebral palsy --  from the unsympathetic (people he implies are just lazy). That's a rhetoric I see at play regularly, though most lawmakers are too smart to say it out loud. Recently, for example, Sen. Rand Paul of Kentucky falsely claimed that 50% of all individuals on disability were "gaming the system." Fraud is, in fact, somewhere around 1%.  While defending Paul's claim, a Fox News host told a woman that her bipolar  disorder was "something made up."

I don't hear that type of explicit hateful language from the Rauner administration. Everyone I've talked to is saying that they want to help the most vulnerable. They just have a big budget deficit, so they have no choice but to make these draconian cuts. But there are always choices. Rauner is just following the right-wing playbook. Rule out making up the shortfall by increasing taxes and thus raising revenue. Play different groups of needy against each other. Tell the public that only some people really deserve help.

Divide and conquer.

@highlight

David Perry: Governors are making the wrong choice by aiming to cut disability programs and benefits

@highlight

He says new Illinois governor is among those making short-sighted decisions