Washington (CNN) -- Jeffrey Chafin calls his daughter, Eris, "my sparkle." He says "she's everything for me, she's phenomenal, she's my life."

Lynne Hales Chafin says the 5-year-old is "quite happy" living life with her as the custodial parent.

What the estranged couple has to say about each other is not so cordial. Their custody fight is many ways a typical "he-said, she-said" dispute, but because it has been waged across international borders, the U.S. Supreme Court is now involved.

The case of Chafin v. Chafin will be heard by the justices on Wednesday and an eventual ruling could establish an important precedent on the discretion of American courts to decide where children caught in parental fights should stay.

In the middle is Eris, the girl who lives in Scotland with her mother. Her dad is an Army sergeant based at Ft. Stewart, Georgia.

A federal court said under international treaty, Eris should remain overseas since it was her "habitual residence." That court also said the custody issue was moot since the girl was already overseas.

Jeff Chafin eventually asked the justices to intervene on his behalf.

"I don't believe that (the current legal fight) is in the best interest of the child as it's going to go on for years and years to come," Lynne Chafin told CNN.

Jeff Chafin wants to revive his claim of Eris' custody, arguing the child's normal place of residence is the United States.

"I told my little girl I would do everything I could to get her," he told CNN National Correspondent Joe Johns, "to make sure she's safe."

He last visited his daughter overseas in July.

The couple met in 2006 in Germany, where Jeff was stationed. Eris was born there the following year.

It was while the father was deployed to Afghanistan for 15 months that the personal and legal troubles escalated.

Lynne claims it was agreed she would stay with the child in Scotland as the de facto "habitual residence" while Jeff served in combat.

U.S. courts later established that residency to conclude the child belonged with her mother.

"This is the heart of this treaty. The whole treaty turns on these two words -- 'habitual residence.' What is the ordinary, regular home of this little girl?" said Stephen Cullen, Lynne Chafin's attorney. "It has to be Scotland because the last time they ever agreed on anything was their agreement that Scotland was the child's home."

Upon Jeff's return from Afghanistan to Germany, the couple separated, then made various attempts at reconciliation. He was transferred to Huntsville, Alabama, and Lynne soon followed with Eris. But the domestic situation did not improve and the custody fights eventually played out there.

Jeff Chafin and his supporters say the child was happy in the United States, "fully engaged and immersed in her American community."

More importantly from a legal perspective, his lawyers argue his wife was fully committed to staying in the United States as a resident.

But the relationship deteriorated and divorce proceedings began. Lynne Chafin said she wanted to leave with their daughter.

That's when she said her husband called the police.

"I was removed from the house. I was taken to jail," she said.

When police checked her status on a tourist visa, "an immigration officer came out to see me. And he advised me that because my green card was still in the process, that I was actually there illegally and I would be deported."

It was after Lynne Chafin was sent out of the country without her daughter that she filed a "Petition for Return of Child to Scotland" under the 1980 Hague Convention's Civil Aspects of International Child Abduction. It grants parents in general a "right of custody" and a separate "right of access," ensuring the laws of one country are respected in the others.

More than 80 nations are a party to the treaty, including the United States and the United Kingdom.

Lynne Chafin did not see Eris for 10 months while the custody case played in a federal court in Alabama. She was allowed to return to the United States on a special visa just long enough to have a federal judge rule in her favor, allowing her to take Eris back to Scotland where they remain.

"I would like the Supreme Court to say that my case is moot," she said from her home. "If they don't, if they rule in my husband's favor and he is allowed to appeal then this is going to go on for years which is ludicrous. None of us will be able to move on with our lives, we're stuck in this constant state of appeals, appeals, appeals."

But Jeff Chafin and his lawyers say the federal courts are at odds over what judges can and cannot do over the "habitual residence" question. They say in this case the full appeals process was not allowed to continue, denying the father his due process rights.

"The phrase miscarriage of justice comes to mind," said Michael Manely, the father's attorney. "The other side's position is once a child leaves the boundaries of the United States, it's over. There is nothing you can do about it. And that has terrifying consequences."

Justice Sonia Sotomayor has unusual experience with this issue. As a federal judge on the 2nd U.S. Circuit Court of Appeals, she dissented from a decision that she said too narrowly interpreted the impact of a custody order.

She wrote in 2000 that the Hague Convention must have power to enforce a custody order that "by its very nature limits each parent's unilateral decision-making power, including his or her power to relocate to another country with the child."

In an unrelated 2010 high court case, Justice Sotomayor succinctly summarized the delicate balancing courts around the world must maintain.

"The purpose of the convention is, which court will decide the life of that child," she said. "And to avoid, as I understood the convention structure, this flight from court to court and this long, drawn-out process from country to country over who's going to make that choice."

Both sides agree clarity on the issue is needed, if not for them, then for other parents in similar situations.

"Ultimately what's at the heart of the treaty is the welfare of the child," said Cullen. "And it's not good for a child to be like a ping pong ball going backwards and forwards between different countries. And that's why the treaty solves a problem."

As for the Chafins -- still technically married but apparently never again to be husband and wife -- both share a measure of regret over their broken union and a child caught in the middle, as well as anxiety over what the high court will do.

"I believe that if my daughter's returned to the U.S., I will never see her again," said Lynne Chafin, who said this fight is about Eris' future and well-being.

Jeff Chafin is equally determined. "I'm going as far as I can. Until I humanly, possibly cannot go any further, I will not stop fighting for my daughter."

The case is Chafin v. Chafin (11-1347). A ruling is expected by the spring.

CNN's Joe Johns and Ted Metzger contributed to this report.

@highlight

Dispute involves father in Georgia and mother and girl in Scotland

@highlight

Case tests bounds of international treaty over custody rights

@highlight

An eventual ruling could establish an important precedent