(CNN) -- The financial world was thrown into a tailspin this week as credit ratings agency Standard & Poor's first downgraded Greece's debt rating to junk status, and also lowered the ratings of Portugal and Spain.

Behind the headlines stand the firms that make the calls on the market, which begs a closer look at these powerful players in the global economy.

Who are the credit ratings agencies?

The "big three" are Standard's & Poor's, Moody's Investor Services and Fitch Ratings. All originated in the United States, although Fitch has dual headquarters in New York and London.

What do they do?

They are designed to provide independent analysis of the credit worthiness -- the ability to pay off loans or investments -- of companies, countries and financial products. They rate them on a sliding scale ranging from AAA to D. In the case of government bonds, anything that slips to BB+, as was the case with Greece this week, is considered a "highly speculative" investment: Or "junk bonds" in the parlance of the markets.

Why do they wield such power?

Investors across the world look to credit ratings agencies to judge where to place their bets in the market. For governments, the ratings agencies have a lot of power over the popularity of bonds: cash given to governments like Greece by investors that, over time, will pay a return on the original investment -- unless the government defaults. The downgrade of Greece signaled Standard & Poor's belief that Greece has a higher likelihood to default on investments. It caused investors to lose their appetite to invest in bonds from Greece, which imperils the nation's ability to pay down its deficit -- which now stands more than 13 percent higher than the total economic output of the country.

What Greece's debt rating downgrade means

The decisions of credit rating agencies also have a ripple effect through the market: In the wake of the Greece downgrade, investors across the globe started rethinking investment in other governments' bonds and began selling off more risky investments.

How are they paid?

Historically, they were created to give investors an unbiased assessment of investments and investors paid for access to the ratings. In the 1970s, however, credit rating agencies started charging the issuers of new investments fees for ratings. In 1975, U.S. legislators -- fearing a proliferation of unscrupulous ratings agencies -- designated Standard & Poor's, Moody's and Fitch as the only ratings organizations banks and brokers could use to evaluate the credit worthiness of their products.

What are the complaints against the firms?

Critics complain the agencies have lost their ability to independently judge the risk on certain investments -- especially in light of AAA ratings given to mortgage-backed securities that imploded when defaults on U.S. home loans shot up, triggering the financial crisis. Lawmakers in the United States, the European Union and other countries around the world are now reviewing regulations on the credit ratings agencies. Credit ratings agencies, too, have revamped their procedures and have argued their ratings are merely opinions -- it's up to the markets to decide.

@highlight

Greece's debt rating lowered to junk status, Portugal and Spain also drops

@highlight

Decision by Standard & Poor's sparks an investor sell-off

@highlight

Critics say the eurozone economies aren't acting fast enough to avert crisis