Editor's Note: Basak Otus is a writer for the Yale Daily News, the leading news source for Yale University. This article was brought to CNN.com by UWIRE, the leading provider of student-generated content. UWIRE aims to identify and promote the brightest young content creators and deliver their work to a larger audience via professional media partners such as CNN.com. Visit UWIRE.com to learn more.

After the December 2001 fall of the Taliban, Bin Laden and his cohorts fled his Kandahar compound.

(UWIRE) -- English majors getting tired of Shakespeare and Wordsworth will soon be able to turn to Yale's libraries for a poet of different kind altogether: Osama bin Laden.

Yale is in the midst of processing, preserving and archiving 1,500 audio tapes recorded in bin Laden's Afghanistan headquarters from 1988 through 2000 -- a collection that includes recordings of everything from celebrations after militant actions to religious sermons to, yes, bin Laden's poetry.

The university has already digitized 335 of the tapes and will have the rest of the project completed in a few years, Yale spokesman Tom Conroy said. Once the archiving is finished, the entire collection will be available to researchers and students.

"The library's duty is to ensure the long-term preservation and access to these and other materials for decades and centuries to come, and for future generations of scholars," Conroy said.

The tapes took a roundabout route to New Haven, Connecticut.

In December 2001 Bin Laden and his cohorts fled his Kandahar compound, leaving behind hundreds of audiotapes of gatherings, speeches and sermons that would be unearthed by CNN in the ensuing weeks.

The network turned over the tapes to the Federal Bureau of Investigation, which decided to release the tapes after concluding that the recordings did not contain any sensitive intelligence.

David Edwards, director of the Williams College Afghan Media Center, obtained the tapes with the intention of preserving and cataloging them. Edwards, a professor of anthropology and sociology, alerted his colleague Flagg Miller, an assistant professor of religious studies at the University of California at Davis, of the tapes' availability for research purposes.

But Edwards subsequently determined that the tapes, having been tossed around and kept in a damp and dusty environment, were in fragile condition and required treatment. He said he thought they would be accessible to a wider range of people at a large research university -- particularly one with a strong interest in Middle East collections, such as Yale.

In 2005, he offered the audiotapes to the Yale Library Manuscripts and Archives, and later that year they made the trek from Williamstown, Massachusetts. to New Haven, Connecticut.

William Massa, head of collection development for Yale libraries, said that while the original audiotapes are being kept in a Yale library shelving facility in nearby Hamden, Connecticut, researchers, including those without a Yale ID, are welcome to use Yale's digital archive to access the tapes that have already been restored and processed.

"Anybody who registers to use Yale's resources can have access to the digital recordings," he said.

Conroy said researchers can listen to the digital files in the original Arabic on a secure laptop in the Manuscripts and Archives reading room.

For now, Miller is the sole researcher studying the tapes. Miller, who has access to the original tapes but also uses copies, said the tapes are helping him to investigate the role that language ideology and poetry play in contemporary Muslim reform in the Middle East.

Miller, who over the past three years has been translating and transcribing the tapes, said his research will be compiled into a book that will seek to explain the development of Bin Laden's militant movement with respect to the role of language in Islam and Muslim culture.

"The collection represents the most important database on Bin Laden's intellectual formation that is available to the public," Miller wrote in an e-mail.

Miller said Western scholarship and the media have focused specifically on Bin Laden's public statements surrounding September 11 and on rare occasions have revisited earlier statements that he made about the West.

The cassettes in the collection, in contrast, offer recordings from as far back as the late 1980s in which Bin Laden can be heard opining on issues such as fighting the Soviet Union, which invaded Afghanistan in 1978. The cassettes include "moving personal narratives of martyrdom" from members of a group that in time would develop a more rational public persona, Miller said.

The New York Times has reported that one of the tapes includes a recording of notorious Egyptian-born cleric Abu Hamza al-Masri preaching to jihad recruits by comparing frying eggs to holy war.

Despite the tapes' high-profile content and recent coverage in major news outlets such as the New York Times and the Los Angeles Times, many Yale history and political science professors interviewed for this article, including those who specialize in the Middle East, said they were unaware of the recordings' residence in Yale's libraries.

"This is the first time I have heard of them," political science professor Andrew March said.

More than 200 speakers are featured in the audiotape collection, with 20 audiotapes featuring Bin Laden's voice.

@highlight

Yale University archiving 1,500 audio tapes recorded by Osama bin Laden

@highlight

Collection includes recordings of everything from celebrations to bin Laden's poetry

@highlight

When done, the entire collection will be available to researchers and students

@highlight

Cassettes found in bin Laden's Afghanistan headquarters in 2001