(CNN) -- China's economy is booming and Sheikh Mohammed Bin Rashid Al Maktoum's visit there this week highlights the U.A.E.'s ambitions to join in on this growth. CNN's John Defterios (JD) sits down with Shaukat Aziz (SA), former Prime Minister to Pakistan to talk about the emerging relationship.

Former Pakistani Prime Minister Shaukat Aziz

Aziz is an expert in global banking who worked in the Middle East for a number of years as an official for Citigroup. He was an influential player in the process of creating a free trade agreement between Pakistan and China, after visiting the country in 2005.

Shaukat Aziz talks about the growing ties between China and the Middle East, and gives us inside knowledge on doing business in China.

(SA): I think the two economies are complementary. China is a global economy which is growing rapidly. It has one of the highest growth rates in the world, and it is expanding its footprint all over the world. Dubai and the U.A.E. is clearly a hub for South Asia, the Middle East, and the whole region.

They are a trading center, they are a financial center, and they don't compete directly with China, in fact both economies will compliment each other. I think the U.A.E. Prime Minister's trip will help to further reinforce this and get the two countries closer together, in trade, in financial flows, in linking capital markets and many other initiatives.

(JD): Trade has been growing 30 to 40 percent over the last four years. But can it move beyond hard Chinese goods going into the Gulf?

(SA): Of course it can. I think the nature of Dubai is such that it has now become the clearing house for goods from all over the world. And buyers go to Dubai and look for the best product at the best price. So, if China, being a large country, can bring its products to Dubai, it will help both countries. May I also say that I see China evolving as an exporter of capital, not just goods because China is running huge surpluses. Their reserves are at an all time high. So they are looking for investments too, and you see now a trend in Chinese companies to buy companies overseas. A trend in Chinese companies to invest overseas because they want, once they go global, they want production facilities all over the world. So the design and the research and development will be done in China, the components will come from China, but the manufacturing could move across the world. This trend is already started and I think this will all go well for both countries.

(JD): Lets take it a step further. Do you see Chinese investment funds or Sovereign Funds and U.A.E. sovereign funds going out together to acquire companies in the near future?

(SA): Sure, there have been situations where both have participated in different companies.

(JD): But separately.

(SA): Separately, but I think they could join too. But the real issue on sovereign funds is being represented in certain quarters as if this is something which is unhelpful to the global economy. In my view, in an era of globalization we must open up our markets for investments and let anybody come along in line with the rules of that country. May I say that the sovereignty of any country is a very robust concept. And if a foreign sovereign fund or investor comes along and buys a bank in a particular country, the countries sovereignty is never jeopardized. But, if you have good regulators and good policies, because even in a deregulated environment, regulation is necessary. Deregulation does not mean abdication by the government, so if your regulatory regime is sound, you don't have to worry. Sovereign funds have demonstrated that they have helped promote economic activity, help save certain companies, banks as a case in point. And it's a win-win for both sides. So I think this question of their role is over stated.

(JD): Saudi Arabia's King Abdullah went to visit China when he came into power in early 2006. Is itinevitable that U.S.-European Allies in the Gulf turn to the East now and look for new partnerships in an East-East equation?

(SA): This is the fastest growing economy in the world. It is absorbing foreign investment, it is exporting investment. It is the largest producer of goods and services now, in terms of growth rate. So Saudi Arabia, naturally, the largest economy in the Middle East by a long margin, needs to link up a country like China. I think it is not geo-politics which is driving it. It is economic necessity. It is tapping into growth. Saudi companies are investing in China. I know that in the energy sector Aramco has gone in for joint ventures and maybe SABIC too, and that is to me a very positive development. Because it is showing that capital looks for opportunities and if there is return China is not far enough. E-mail to a friend

@highlight

Shaukat Aziz, former Pakistani Prime Minister talks with John Defterios

@highlight

Aziz sees compatibility between Middle Eastern and Chinese economies

@highlight

Chinese surpluses may allow exporting of capital for overseas manufacturing

@highlight

Aziz believes regulated foreign investment does not put sovereignty at risk