(CNN) -- Two weeks ago, South Sudan was best known as the youngest African country, created with much international fanfare in 2011. Today, it is possibly the next Rwanda.

A flash-fire conflict threatening to escalate into full-blown civil war combines trademark elements of African tragedy -- resource wealth coveted by global powers, in this case oil, and longstanding political and ethnic divisions.

Here's a quick primer to get you up to speed on the escalating situation:

1) First things first. Tell me about South Sudan.

South Sudan is a landlocked country of more than 11 million people in central Africa, bordering Sudan, Ethiopia, Kenya, Uganda, Democratic Republic of Congo and the Central African Republic.

It gained independence from Sudan on July 9, 2011, making it the world's newest nation after decades of ethnic and political conflict between the Sudanese government in Khartoum and opposition elements in the South.

Two years later, South Sudan remains one of Africa's most impoverished countries despite containing the majority of known Sudanese oil reserves.

2) Who is fighting whom?

The South Sudanese government and military, dominated by the Dinka ethnic group of President Salva Kiir, is fighting rebels allied with former Vice President Riek Machar of the Nuer ethnic group.

At stake for now is control of oil-rich regions responsible for more than 95% of the country's economy, and perhaps leadership of the country.

Mass killings and other violence in the past two weeks have caused tens of thousands of people to seek shelter under protection from U.N. forces in Juba, the capital, and some other cities.

More U.N. peacekeepers from Africa and perhaps elsewhere may be coming soon, and 150 U.S. Marines are on standby in Djibouti to assist if needed in evacuating American government and aid workers from the country.

3) Is this something new?

Yes and no. While the sudden escalation of the conflict in recent days caught many by surprise, the causes were familiar.

South Sudan's independence two years ago followed decades of rebellion by various ethnic and political groups against the Khartoum government in Sudan.

Kiir and Machar were longtime rivals who had an uneasy relationship atop the government, with Machar making clear his presidential ambitions.

The valued oil resources and history of ethnic divisions amounted to a recipe for political mayhem, noted Jon Temin, an Africa specialist at the United States Institute of Peace.

"It didn't start about oil," Temin told CNN on Tuesday, adding that the political rivalry at the top was "no secret to anybody."

4) What triggered the recent violence?

Kiir fired his Cabinet, including Machar, in July in a shuffle considered "not uncommon" for such a fledgling African nation, Temin said. While the move caused concern, a relatively calm aftermath bolstered hopes of continued stability.

However, that unraveled in mid-December with gunfire between security forces loyal to Kiir and Machar. It remains unclear who fired the first shot, according to Temin.

Kiir accused forces backing Machar of launching a coup attempt, and retribution attacks erupted with top allies of Machar detained. Machar has denied any coup attempt occurred.

"It has been surprising in how quickly it spread," Temin said.

5) Where do things stand?

The situation is both dire and uncertain.

Consider this grim report Tuesday from Ravina Shamdasani of the U.N. High Commissioner for Refugees, who said an official saw more than 30 bodies in two mass graves and that the global body was trying to verify the existence of others.

"It is very difficult, and there are reports that some bodies may have already been burned," Shamdasani added.

The United Nations said fighting had spread to five of South Sudan's 10 states, and that it had credible reports civilians were being attacked and killed based on their ethnicity.

Meanwhile, U.N. officials struggled to make accommodations for some 45,000 people crowding its compounds seeking shelter from the violence. Nearly as many people were seeking shelter elsewhere.

The U.N. Security Council voted unanimously on Tuesday to increase the 6,800-strong U.N. force in South Sudan by another 5,500 troops to try to ensure the safety of the displaced, a role that peacekeepers failed to fulfill in the Rwanda genocide of 1994 that killed 800,000 people.

"Even with additional capabilities, we will not be able to protect every civilian in need in South Sudan," U.N. Secretary General Ban Ki-moon warned after the vote, adding that "there is no military solution to this conflict."

On Monday, Ban said in a message to the people of South Sudan that "the U.N. stood with you on your road to independence," and that "we will stay with you now."

6) Where does the United States stand?

The United States was one of the strongest supporters of South Sudan's independence for a few reasons.

A democratic South Sudan could be a regional hedge against the Khartoum regime, which the United States lists as a sponsor of terrorism, and President Omar al-Bashir, who has been indicted on charges of war crimes, crimes against humanity and genocide.

In addition, the possibility exists of future U.S. involvement in South Sudan's oil industry. U.S. oil companies have no role now in South Sudan due to sanctions against Sudan, which still plays a major role in overall oil production.

Secretary of State John Kerry has urged Kiir and Machar to enter peace talks, but there was no clear signal that the fighting would ease. Kerry also dispatched his special envoy to Sudan and South Sudan, Donald Booth, to the country.

In a statement Monday, the U.S. military's Africa Command said it was positioning 150 Marines in Djibouti in East Africa to be able to respond should conditions in South Sudan deteriorate even more.

CNN Pentagon Correspondent Barbara Starr reported Tuesday that 50 of the Marines then proceeded to Entebbe, Uganda, to be even closer to South Sudan if needed.

The decision grew out of last year's experience in Benghazi, Libya, when no U.S. forces were close enough to respond quickly to the attack that killed U.S. Ambassador Christopher Stevens and three other Americans.

According to a senior administration official, 380 Americans and about another 300 third-country nationals have been evacuated.

"Based on registration, there are American citizens in other towns and areas throughout South Sudan," the official said. "We are trying to track down how many may still be there."

CNN's Mike Pearson, Khushbu Shah, Jennifer Rizzo, Marie-Louise Gumuchian, Barbara Starr and Antonia Mortensen and journalist Mading Ngor in Juba, South Sudan, contributed to this report.

@highlight

The world's newest country descends into violence and chaos

@highlight

The United Nations scrambles to ease the carnage and protect civilians

@highlight

150 Marines are positioned in Djibouti to help evacuate Americans

@highlight

The United States urges opposing leaders to talk instead of fight