(Financial Times) -- Eurozone finance ministers are eyeing a plan that would rapidly cut Greece's debt mountain in the early part of the next decade in an attempt to secure International Monetary Fund approval for an extended bailout for Athens.

Policy makers gathering in Brussels on Tuesday are inching towards a provisional deal to pay Greece up to €44bn of long-overdue aid. The deal would involve a political fix to reset Athens' long-term debt target to after 2020.

While the details are still under negotiation, the shape of the potential deal involves Greece missing its target of maximum debt of 120 per cent of gross domestic product by 2020 -- a benchmark of "debt sustainability" the IMF regards as sacrosanct.

But additional debt relief measures would ensure that by 2022 Greece's debt would fall to less than 110 per cent of GDP.

This compromise aims to reconcile the public spat between eurozone ministers -- who want the 120 per cent target pushed back to 2022 so that official creditors need not suffer losses on any Greek debt -- and the IMF, which is refusing to release bailout loans unless Athens is servicing manageable debts by 2020. The IMF can only disburse funds to countries deemed solvent.

The IMF has urged European official creditors -- the eurozone rescue funds and the European Central Bank -- to take losses in one form or another on their officials loans or bond holdings to help reduce Greek debt.

Heading into the meeting, the IMF remained sceptical that a comprehensive agreement was easily achievable, with the eurozone countries still privately at odds with each other about how to fill Greece's financing gap.

As the meeting started, the fund was holding to its target of reducing Greece's debt-to-GDP ratio to 120 per cent by 2020 -- the goal which sparked a public disagreement last week between Christine Lagarde, the IMF's managing director, and eurogroup president Jean-Claude Juncker.

Fund officials have pointed to statements by the Netherlands and other mainly northern European countries making their support for any financing package conditional on the IMF's approval.

Mujtaba Rahman, a former European Commission official now at the Eurasia Group risk consultancy, said: "The IMF needs to push hard on debt sustainability for its own institutional credibility. They've finally understood that the Europeans want them in the mix for political blame sharing as much as for their actual policy prescriptions."

Greece's debt burden has ballooned since the last bailout deal in March because the country's recession has been deeper than expected and because privatisation plans have failed to get off the ground. Greek debt is now expected to peak at 190 per cent by 2014.

Furthermore, an agreement last week to extend Greece's bailout by two years, giving Athens more time to hit austerity targets, requires an additional €15bn in financing that will further add to the country's debt pile.

The sharper trajectory of reducing Greece's ballooning debt levels would come through a combination of cutting interest rates on existing bilateral loans, extending the debt maturities, launching a debt buyback scheme and the ECB forgoing any profits on its holdings of Greek debt.

However, many analysts -- and some ECB policy makers -- are sceptical about whether these measures even in combination would be sufficient to hit 120 per cent in 10 years without more generous debt forgiveness.

Most officials are optimistic that a tentative agreement will be reached on Tuesday to disburse the loans under an extended bailout programme, which would be formally approved after consultation with national parliaments, according to officials involved. The question is whether the IMF will agree to pay its slice of the loans to Greece.

The most difficult element is likely to be bridging the divide with the IMF, which is insisting on firm pledges to ensure Greece is on a path to solvency.

Mr Juncker said: "There are good chances that we will come to a conclusive mutual solution."

But others were more cautious. Jutta Urpilainen, the Finnish finance minister, warned that the situation was "very much open" and might not be concluded.

Athens is seeking a payment of €44bn, comprising €31.5bn of overdue loans and tranches of credit earmarked to it to the end of the year.

© The Financial Times Limited 2012

@highlight

Eurozone eyeing a plan that would rapidly cut Greece's debt mountain early next decade

@highlight

The deal would involve a political fix to reset Athens' long-term debt target to after 2020

@highlight

Deal involves Greece missing its maximum debt target of 120% of GDP by 2020

@highlight

The IMF regards that benchmark of "debt sustainability" as sacrosanct