(CNN) -- Banking giant Citigroup has announced it is cutting a further 50,000 staff as the economic crisis worsens.

Citigroup is rumored to be looking to cut staff in investment banking and wealth management divisions.

It followed Japan's announcement Monday that the world's second largest economy had slipped into recession.

The latest job cuts by Citigroup are yet another example of how the New York-based bank is desperately trying to cut costs in the wake of the credit crisis. Over the past four quarters, it has trimmed its payroll by 23,000 workers.

In an investor presentation on its Web site, the company said it would reduce its staff levels to approximately 300,000 employees. As of the end of September, the New York City-based bank had about 352,000 workers.

It was not clear from the presentation what parts of the company the cuts would come from, but there was speculation last week that Citigroup was looking to lay off people in its investment banking and wealth management divisions.

Citigroup, the second largest U.S. bank by assets behind JPMorgan Chase, has been one of the hardest hit financial institutions during the credit crisis.

Over the last four quarters, the company has lost more than $20 billion, due in large part to its ill-timed bets on the U.S. housing market.

Its stock, which is down 68 percent so far this year, has lost about a third of its value in the last two weeks alone amid broader investor nervousness about the economy and the U.S. banking sector. Citigroup stock edged lower in pre-market trading Monday.

There has also been speculation that big changes could come at the top of the organization. Last week, the The Wall Street Journal reported that the company was considering replacing chairman Win Bischoff. Citigroup's board sent a memo to all employees calling the report "irresponsible and completely inaccurate" however.

The grim economic news continued to pile up Monday. Japan reported that its economy shrank by 0.1 percent in the third quarter; its second consecutive quarter of negative growth following a 0.9 percent drop in the second quarter.

Japan's gross domestic product has fallen by 0.4 percent this year and the country joins a growing list of major economies in recession.

On Friday, European Union officials said eurozone of 16 countries using the common currency was in recession. Germany -- Europe's single largest national economy -- is also in recession. Most economists expect the UK and the U.S. to join the list in the coming months.

"It's no surprise if you've been watching the numbers here," said CNN's Tokyo Correspondent Kyung Lah. "But it crosses an important psychological barrier. This news is going to have an effect on the man on the street."  Watch Kyung Lah discuss the reasons why Japan is in recesssion »

The Japanese economy has been badly hurt in recent weeks by the rising value of the yen, which investors have seen as a currency safe haven during recent economic turmoil that has wiped billions of dollars off the value of stocks.

But that has had significant negative consequences on the export-dependent Japanese economy, driving up the price of Japanese electrical goods and cars overseas, driving down corporate profits and pitching the country into recession for the first time since 1991.

Last month shares in Sony plunged when the electrical giant said it expected net profits to plunge 59 percent on deteriorating sales of gadgets and flat-screen TVs. Car manufacturers Honda, Nissan and Toyota have also suffered steep declines in sales and profits.

In a further blow to the Japanese car industry, ailing U.S. auto giant General Motors announced Monday it was selling its 3 percent stake in Suzuki to raise $230 million in cash. Along with Ford and Chrysler, GM is seeking a $25 billion bailout from the U.S. government as the U.S. auto industry battles for survival amid the worst sales slump in more than 25 years.

Japan's stock market has been one of the most badly hit by the downturn with more than 40 percent wiped off the value of the benchmark Nikkei. Monday's announcement had little apparent impact on trading with Tokyo stocks closing up 0.7 percent at 8,522.58.

Elsewhere in Asia markets were mixed with Hong Kong's Hang Seng down slightly, Australian and Indian stocks tumbling and China's Shanghai Composite up 2.2 percent.

In Europe, London, Frankfurt and Paris were all down between 2 and 3.3 percent. The Dow Jone, Nasdaq and S&P markets in the U.S. were also down between 2 and 3 percent, according to early tallies.

Japanese Prime Minister Taro Aso was among the leaders of the world's 20 largest economies who met in Washington over the weekend, unveiling a set of sweeping plans aimed at tackling the ever-expanding economic crisis.

The G-20 members at the historic two-day meeting managed to find some common ground on the causes of the crisis and areas that need to be fixed after talks which U.S. President George W. Bush said had been "an important first step."

The plans include interest rate cuts by central banks around the globe or potential economic stimulus packages, and boosting developing countries struggling under the weight of the crisis.  Watch Richard Quest discuss the G-20 agreement »

"We must lay the foundation for reform to help ensure that a global crisis, such as this one, does not happen again," the leaders said in a joint statement.

But critics said the statement had papered over major disagreements. The European bloc, representing Germany, France, the UK and the EU, is understood to be in favor of greater government regulation of financial and banking industries.

CNN's Junko Ogura and Kyung Lah contributed to this report.

@highlight

Citigroup announces it is cutting a further 50,000 staff as economic crisis worsens

@highlight

Japan, the world's second largest economy, now in recession

@highlight

Japanese economy has been hurt by rising value of yen, falling exports

@highlight

Tokyo Nikkei up Monday; Asian markets mixed, Europe markets down