(CNN) -- U.S. authorities have issued a warning to U.S. citizens in Myanmar amid unrest between Buddhists and Muslims that has left at least 40 people dead in the past week.

The violence that began last week in the city of Meiktila, in the central Mandalay region, has spread to other towns and fueled fears in the commercial capital, Yangon, that prompted stores to close in a popular shopping district Monday.

The U.S. Embassy has responded to the violence and unease by warning U.S. citizens to avoid the Mingalar Market and Yuzana Plaza part of Yangon, the same area where the stores were shuttered Monday.

"A fight broke out in that area today as a result of ongoing tensions, resulting in a heavy police presence," the embassy said in a statement Monday. It said, though, that there were "no known specific threats against U.S. citizens."

Authorities clearing up the wreckage from last week's riots in Meiktila have found eight bodies among the debris, increasing the number of dead from the previous total of 32, the New Light of Myanmar, a state-run newspaper, reported in its Tuesday edition.

During the clashes in Meiktila, which were reportedly set off by a dispute between a Muslim gold shop owner and two Buddhist sellers, rioters set fire to houses, schools and mosques, prompting thousands of residents to flee their homes.

A state of emergency

The government declared a state of emergency in the city Friday, allowing the military to help reinstate order. But as the situation there appeared to calm, authorities reported arson attacks by groups of Buddhists in other towns in the region over the weekend.

The unrest highlights the fragility of ethnic relations in Myanmar as it emerges from decades of military repression. Authorities have released thousands of political prisoners and pursued peace talks with rebel groups in the past two years.

President Thein Sein, who has overseen the country's initial moves toward democracy, vowed Monday "to take action against those who led the violence and got involved in it and to expose those who flamed the conflict under the pretext of religion," the New Light of Myanmar reported.

Thousands displaced

The U.N. humanitarian agency said Monday that the Myanmar government estimates that more than 12,000 people have been displaced by the unrest.

"They're barricaded in schools and in a monastery," said Ashok Nigam, the U.N. resident coordinator in Myanmar. "They're currently receiving humanitarian assistance provided by the government."

A Buddhist monk was reported to be among those killed when the violence initially erupted in Meiktila last week. But Win Htein, an opposition lawmaker for the area, has said that he believes the majority of the victims were Muslims.

"Most of the Muslims' houses were destroyed and burnt down," he said Tuesday. "Very few are left."

Police confiscated weapons such as swords and machetes from groups of Buddhists -- some of them monks -- who were roaming the streets last week, officials said.

Win Htein said Tuesday that the situation was improving in Meiktila, but that he was concerned that some young Buddhists were "organizing their own security" despite government warnings not to carry weapons.

Meanwhile, unsubstantiated rumors of unrest in other parts of the country such as Yangon are spreading via text messages and social media, stoking fears among residents.

In one example, Si Thu, a Buddhist employee of the United Nations who lives in a mainly Muslim neighborhood of Yangon, said Tuesday he was moving his family to stay at a relative's home elsewhere in the city.

"I can't think of any political or religious aspects now," he said. "I only know about how to protect my family."

The New Light of Myanmar suggested that such rumors are being "circulated by those with ill will who want to harm peace and stability."

Concerns after previous unrest

The clashes in Meiktila and elsewhere have drawn expressions of concern from U.N. and U.S. officials.

The sudden boiling over of tensions between Buddhists and Muslims in central Myanmar follows sectarian troubles that killed scores of people in the west of the country last year.

Those clashes, in Rakhine state, took place between the Buddhist majority and the Rohingya, a stateless ethnic Muslim group.

Most of the victims in that unrest were Rohingya. Tens of thousands more were left living in makeshift camps, and many of them have since joined those who attempt each year to flee to Thailand and Malaysia in flimsy boats.

CNN's Kocha Olarn and Elizabeth Joseph contributed to this report. Journalist Pho Wai Lin also contributed.

@highlight

NEW: U.S. authorities warn citizens to avoid an area of Yangon amid tensions

@highlight

Authorities in Meiktila find more bodies among the debris from riots last week

@highlight

Thousands of displaced people are living "barricaded in schools," the U.N. says

@highlight

President Thein Sein vows to take action against those responsible