LONDON, England (CNN)  -- They left home with hope in their hearts, thousands of fans true to the Liverpool anthem, dreaming of reaching another Wembley FA Cup Final.

The disaster at Hillsborough football stadium in 1989 resulted in the deaths of 96 football supporters.

But what began as a day out in the spring sunshine 20 years ago ended as the darkest hour in the history of British football.

I had settled into Row B Seat 2 of the press box in the south stand at Hillsborough, home to Sheffield Wednesday and neutral venue for the game. From there I would have had an uninterrupted view of the semifinal showdown between Liverpool and Brian Clough's Nottingham Forest.

Clough, one of the legends of the British game, had been denied an FA Cup Final with Forest a year earlier, when his side lost to Liverpool at the same stage of the competition and at the same venue.

The atmosphere in the ground for the 1989 semifinal exploded as the teams emerged onto the pitch. But none of us was prepared for what was to follow.

The match action lasted less than six minutes. I can't remember a single kick. What I do recall quite vividly are the scenes of distress, desperation and death at the Liverpool end that destroyed so many families and shocked the world.

Looking to my left and behind Liverpool keeper Bruce Grobbelaar's goal, I was drawn to a huge mushroom-like effect among the crowd in the central standing enclosures around kick-off time.  See Liverpool players and fans paying tribute to victims of Hillsborough disaster »

The match had not long started when the first signs of a major problem surfaced. Fans began frantically attempting to climb over the perimeter fence to escape the crush at the Leppings Lane end of the ground.

I didn't know it at the time, but the swell was the exit point of a tunnel that ran under the stand. Through it hundreds of Liverpool fans had attempted to make their way without realizing the two caged pens it led to were already overcrowded.

Many had the life squeezed out of them in that tunnel. Others were trampled or crushed to death on the terraces. The lucky ones clambered to safety, many collapsing on the pitch.

Some fans were hoisted up into the stand above by fellow supporters, but the main escape route was over the high perimeter fence and later through a small gate that was forced open as police -- who initially thought they were dealing with a pitch invasion -- recognized the true scale of the problem.

Advertising boards were used as makeshift stretchers and some of those being carried away had their heads covered by coats. The Sheffield Wednesday gymnasium became a mortuary.

The Liverpool end of the pitch resembled a casualty station with frantic efforts being made to treat the injured and save lives while others wandered aimlessly around the pitch in a daze.

I will always remember the bid to revive one young fan in front of the main stand. Those efforts seemed to go on forever before finally hundreds of spectators let out a huge cheer as the lad at last showed some sign of life. I still wonder to this day whether or not he made it.

Meanwhile I had an open phoneline to a copytaker at The Press Association and described those shocking events unfolding in front of me, including news of the first fatalities.

For the second time in four years I had gone to cover a football match and ended up filing a disaster report.

In 1985 I had been in Brussels with Liverpool to cover their European Cup final against Juventus, when 39 fans, mainly Italian, were killed at the Heysel stadium as a wall collapsed after trouble on the terraces. That match eventually went ahead after a delay of 85 minutes.

Within hours of returning from Belgium, I was among a small group of football writers summoned to No. 10 Downing Street for a meeting with British Prime Minister Margaret Thatcher.

Mrs Thatcher planned draconian measures to combat what became known as the English disease, but it was the appalling events at Sheffield that finally became the catalyst for change.

The Hillsborough tragedy was played out in full view of 53,000 spectators and TV cameras.

People who came to watch a football match went home haunted by scenes of carnage and chaos that will stay with them for the rest of their lives.

Later, in an area beneath the empty south stand, FA chief executive Graham Kelly faced media at an impromptu press conference and expressed his shock, sadness and sorrow. Understandably, he didn't have all the answers as questions were fired his way.

What led to the disaster is well documented. Lord Justice Taylor, a High Court judge commissioned by the government to produce a report, concluded that police operational errors were largely to blame for allowing the gates to be opened to relieve congestion outside the ground. Many questioned why the kickoff to the game had not been delayed.

English football was quick to react with perimeter fences pulled, followed by the phased-in arrival of all-seater stadia.

In the aftermath grieving fans turned Liverpool's Kop stand and the Anfield pitch into a shrine draped with thousands of scarves, flags and flowers. A permanent memorial to the victims was later erected adjacent to the Shankly Gates -- named after the club's most famous manager -- and which bear the title of the Reds' anthem: You'll Never Walk Alone.

The oldest victim at Hillsborough was 67, the youngest 10-year-old Jon-Paul Gilhooley, a cousin of current Liverpool captain and England international Steven Gerrard.

Gerrard was six weeks away from his ninth birthday at the time of tragedy. There is nothing Liverpool would want more than to mark the 20th anniversary season with at least one gleaming trophy.

They did it in 1989, beating Forest when the semifinal was later replayed, then going on to defeat city rivals Everton after extra time at Wembley. On that occasion they returned home with hope in their hearts.

@highlight

96 Liverpool fans died as a result of the Hillsborough disaster on April 15, 1989

@highlight

Fans were crushed against stadium fencing during an FA Cup semifinal

@highlight

Liverpool fans say there are still unanswered questions regarding the disaster

@highlight

Current Liverpool captain Steven Gerrard lost a family member in the tragedy