(CNN) -- When Bryan Clay was growing up, it seemed very unlikely he would one day assume the mantle of "the greatest athlete in the world."

The reigning Olympic decathlon champion spent his troubled teenage years in Hawaii "getting into fights" and it was only the intervention of his mother which set him on the path to eventual golden glory.

If he earns a place in the U.S. team for London 2012, the 32-year-old will hope to become the first man to win medals in the grueling 10-event discipline at three successive Olympics, having claimed silver in Athens in 2004.

Assuming he comes through the trials, which start on Friday, Clay will be one of the favorites for gold in the British capital in August.

His Beijing triumph followed in the footsteps of other American decathlon greats, the first being the legendary Jim Thorpe, who won gold at Stockholm in 1912.

Thorpe was presented with his medal by King Gustav V of Sweden, who announced he was the "greatest athlete in the world" -- a tag which has stuck for all subsequent winners of track and field's toughest test, which is competed over two days.

More recently, Bruce Jenner's 1976 triumph in Montreal gained him massive exposure in the U.S. while Dan O'Brien took the title on home soil in 1996 in Atlanta to great acclaim.

Jenner once famously said: "The decathlon is a big, high brick wall which nobody is able to climb. Nobody ever beats the decathlon."

He cashed in on his success, building up a business fortune, and has most recently has been seen in the reality TV series "Keeping up with the Kardashians" -- he is the stepfather of the four children.

By contrast, devout Christian Clay leads a quiet family life, largely away from the media spotlight, dedicating himself to training at the university in California where he also spent his college years.

"I have my faith that's first, my family that's second and my track comes third," he told CNN's Human to Hero Series.

Troubled early years

It was not always so. "I wasn't a good kid growing up. I was getting into fights. I was a very misguided youth," Clay said.

Born in Texas to a Japanese mother and an African American father, he spent much of his childhood and teenage years in Hawaii.

His parents later divorced but his mother remained a strong influence on his life, steering him away from team sports where his early lack of discipline would have seen him rebel against authority.

"My mum gave me the option of doing track and field or swimming. I chose track," he recounted.

Clay's recent book "Redemption" puts the spotlight on his early years and is subtitled: "A Rebellious Spirit, a Praying Mother, and the Unlikely Path to Olympic Gold."

It tells of the fights, dabbling in drugs and moments of desperate, pre-suicidal depression, but he came through it with sport and faith his salvation.

Having been put on the correct path, Clay earned a place at Azusa Pacific University, an Evangelical Christian college near Los Angeles.

It was there his all-round talents were spotted by his current coach Mike Barnett, who directed him towards the decathlon.

"If I'm being honest, when I was growing up I said I wanted to go to the Olympics," Clay said. "I remember I signed my yearbook with the Olympic rings and wrote '2004.'

"I think deep down inside I knew it was a dream, a pretty far-fetched dream, I didn't know if it was actually going to happen."

Brutal training regime

Clay's early ambitions have clearly been met, but not without an incredible amount of hard work and dedication.

Six days per week, he practices at Azusa for up to seven hours each day.

He rises at 6 a.m. and is in the weights room an hour later before heading to the track to work on the various disciplines -- a mixture of running, jumping and throwing -- which make up his event.

With such an immense training load he is constantly striving to find enough time to maintain his calorie intake.

"It's just making sure we get enough of everything we need -- enough protein, enough carbohydrates, enough calories. It really comes down to eating as much as you can, and eating when you can."

Clay likes to train early so he can spend the afternoon on outside commitments and in the evening be with his family -- wife Sarah and their three children.

Olympic goals

Having married in 2004, Sarah has seen Clay reach the heights in his chosen sport, starting with silver medal in Athens behind world record-holder Roman Sebrle of the Czech Republic. The tables were turned at the 2005 world championships in Helsinki, Finland as Clay relegated Sebrle to the silver.

Injuries meant Clay was unable to defend his world crown in Osaka in 2007, but the following year he dominated the Olympics in Beijing, winning by more than 200 points.

Clay admitted to CNN that he has to be careful not to push himself too hard in training -- "I have to be really disciplined" -- because further hamstring and knee injures denied him the chance to compete at either the 2009 or 2011 world championships.

But in 2010 he won the world indoor heptathlon title in Doha and the decathlon at the prestigious Hypo-Meeting in Austria, showing he can still cut it at the highest level.

For Clay, the Olympics are the pinnacle of his sport and inspire him to even greater feats.

"The entire world stops, no matter what's going on," he said.

"All that matters is that we get together and celebrate in the Olympic spirit, and to me that's inspiring. It's about inspiring our youth, inspiring the people of the world to be better, to be the best they can be.

"This is the one time the entire world gets together to do that."

But he knows that he cannot afford to make any big mistakes over the two days of competition.

"We're trying to be consistent because consistency is what makes a good score," Clay said.

"It comes down to the person who makes the least amount of mistakes, and that's something that has to do with the mental side of things."

Sporting philosophy

Underlying Clay's gentle demeanor is a ferocious competitive spirit which has stood him in good stead at previous Olympics.

"The decathlon is such an amazing test of your mental strength and how far you can push yourself and your physical strength and endurance," he said.

"I love putting myself to the test like that. I enjoy it, I feed off that trying to figure out how far I can go.

"I also like competition. I'm a competitive person by nature and I enjoy saying 'I'm better than you' at whatever it is we're doing."

Clay shares that in common with the great British decathlete Daley Thompson, who won successive golds in Moscow and Los Angeles and narrowly missed out on a third medal when fourth in Seoul in 1988.

Clay will look to match Thompson's double gold heroics in London, and is relishing besting an athlete he much admires by getting on the podium for the third straight time.

"I can go up to him and say I've got one up on him," he said.

@highlight

Bryan Clay looking to win successive Olympic decathlon titles in London

@highlight

Clay took gold in Beijing and also won the 2005 world championships

@highlight

The 32-year-old American is a devout Christian and family man

@highlight

Clay led a troubled life as a teenager in Hawaii