Fifty years ago, smoking was linked to cancer in the first surgeon general's report on tobacco.

On Friday, Dr. Boris Lushniak, the acting surgeon general, issued the 32nd report on tobacco, saying "enough is enough." His goal: eliminating the use of cigarettes and tobacco.

In 1964, when Dr. Luther Terry released the first surgeon general's report, the public learned smoking causes lung cancer. At the time, 42% of American adults smoked, Lushniak says.

Since then, "Tobacco has killed more than 20 million people prematurely," says Dr. Thomas Frieden, director of the Centers for Disease Control and Prevention, in the forward to the new report.

The number of smokers has dropped to 18% in 2012, according to the latest estimates published Thursday by the CDC.　

But "that still translates into 45 million people, including 3 million kids," Lushniak says. "One out of three cancers is caused by tobacco (and other smoking products)."　

Even though the number of smokers has gone down, the figures of those dying from disease linked to tobacco products are up.

While 440,000 people died from smoking-related causes in 2008, that number has risen to 480,000 people dying each year, according to the report.

And even though the latest data suggests 87% of lung cancer deaths are caused by smoking and secondhand smoke, more smokers age 35 and older die from heart disease than lung cancer.

Another alarming milestone, according to the report, is that women have caught up to men and for the first time are just as likely as men to die from smoking-related diseases.

What's new

Thirteen cancers are now linked to smoking and secondhand smoke. Liver and colorectal cancer are added in this report. So far, there's not enough evidence to say smoking causes breast cancer. Smoking does not cause prostate cancer, according to existing evidence, according to the report.

Another finding: "Exposure to secondhand smoke is a cause of stroke," according to the report. People who don't smoke themselves but are exposed to secondhand smoke have a 20% to 30% increased risk for a stroke.

We know it can kill us: Why people still smoke

For the first time, the report found that smoking can cause diabetes, erectile dysfunction, rheumatoid arthritis, macular degeneration, ectopic pregnancies and impaired immune function. Smokers have a 30% to 40% increased risk of developing Type 2 diabetes compared with nonsmokers.

And women who smoke early in their pregnancies put their unborn at risk of having cleft palates or cleft lips, according to the report.

Some 5.6 million children living today will die early because of smoking if things don't change, the report warns. That's one in 13 children, Lushniak says.

Lushniak appears passionate about wanting to make smoking a thing of the past.

The tools to do so already exist, he says, including making tobacco products more expensive. High-impact anti-smoking media campaigns, such as one the CDC conducted last year, as well as full access to smoking cessation programs may help.

Smoke-free laws are needed across the United States, Lushniak says. "It's embarrassing in this country only half our population is covered by those laws."

He says he believes using the Food and Drug Administration's authority to regulate tobacco products effectively and funding comprehensive statewide tobacco control programs at CDC-recommended levels will also help reduce smoking.

"But the current rate of progress in tobacco control is not fast enough. More needs to be done," according to the report.

The CDC recommends spending $12 per person from taxes and tobacco settlement money to reduce smoking rates, Lushniak says. "Right now, only just over a buck-fifty is spent per person."

His message to current smokers: "Tell them it's never too late to stop. It's best to quit smoking completely. Talk to your doctor, call 1-800-QUIT-NOW."

He also recommends supporting those who want to quit. "It's good for their health, your family's health and the nation's health."

Goal of a tobacco-free generation

Lushniak says he has a new formula to create a smoke-free generation. It can't just be a federal government attack on tobacco, he says; the battle needs to be fought on the local level, too, with nongovernmental agencies, academia, faith-based organizations, health care professionals and businesses.

Lushniak has his work cut out for him. He has to devise a plan to prevent teens from wanting to smoke -- most adult smokers begin smoking as teenagers, according to the Mayo Clinic. The new report backs that up, stating that 87% of smokers had their first puff on a cigarette under the age of 18.

And now kids have a new enticement: e-cigarettes. Last year, a CDC report found the percentage of middle and high school students trying electronic cigarettes doubled from 3.3% to 6.8%.

While the safety of e-cigarettes is still being hashed out, some health officials fear these electronic devices may be a gateway to tobacco cigarettes and other tobacco products.

Young people today don't write letters anymore because they prefer to text, Lushniak says. He wants the younger generation to think of smoking like writing a letter -- that it's no longer in vogue.

As surgeon general, Lushniak oversees more than 6,500 public health professionals making up the U.S. Public Health Service Commissioned Corps. It's the first uniformed service to go entirely smoke free, he says; the others include the Navy, Marines, Air Force, Coast Guard and the National Oceanic and Atmospheric Administration.

"It is my sincere hope that 50 years from now we won't need another (surgeon general's) report on smoking and health, because tobacco-related disease and death will be a thing of the past," Lushniak writes in the report.

@highlight

The new surgeon general's report links 13 cancers to smoking

@highlight

Exposure to secondhand smoke causes stroke, the new report says

@highlight

Some 5.6 million children today will die prematurely if things don't change, report says

@highlight

Acting Surgeon General Boris Lushniak says he wants a smoke-free generation