(CNN) -- Patience, it is said, is a virtue. If that's the case, then the scientists involved in the European Space Agency's Rosetta mission have been very virtuous indeed.

After all, the men and women involved in the project have waited most of their scientific careers -- through years of planning and construction, not to mention the 10-year journey of the Rosetta spacecraft -- to see the Philae lander land on Comet 67P Churyumov Gerasimenko. And now they can enjoy the fruits of this amazing adventure, which has landed (albeit a little bumpily) and has been returning data.

Rosetta was an enormously ambitious and technically risky project. However, overall, it has been a great success so far, with a number of "firsts" for ESA that have not been achieved by any other space agency -- it has chased a comet across the solar system, rendezvoused and then achieved orbit.

Landing a probe on the surface like this has been a huge challenge: working in a low gravity environment with poor knowledge of the nature of the comet surface. It was unclear even if it would it be a solid body or a loose collection of material.

And there are plenty more challenges ahead. For a start, although data has been collected from the orbiter since August, and the first images are now being received from the lander, it will take many more months and possibly years for Rosetta to realize its full scientific legacy.

However, even as the initial excitement over the technical success fades, we will gradually begin to understand the building blocks of the solar system.

It is this reality that really speaks to the value of such a project.

Comets are pristine material largely unchanged since the planetary system was formed. It is thought that they may be the origin of most of the water found on Earth, and could even have brought complex organic molecules -- the potential raw material for the emergence of life -- to its surface. Just as the Rosetta Stone was the key to unlocking the secrets of Egyptian writing, so the Rosetta space mission will answer some of the fundamental questions about our origins.

This potential is being unlocked not by a single-nation space agency, but one that is a collaboration of 20 countries, including European Union, non-EU and several former Soviet Union countries. Yet while it has just celebrated its 50th birthday, the ESA has often operated in the shadow of NASA.

For example, the media frequently talk about NASA's Hubble Space Telescope, with little or no acknowledgment of the partnership with ESA. (From a European perspective, it has therefore been particularly welcome to hear the generous acknowledgment of the Rosetta achievements by NASA leaders).

All this means that while ESA has had significant successes in the past, the extent of the Rosetta's success represents a timely "coming of age." And, in a world that often seems to be mired in conflict, Rosetta is not just a technical and scientific success, but also a political one.

Space research is one of the best examples of peaceful international cooperation and of the ability of humans to do marvelous things when they work together towards a common goal. I am not the only one to have worked on several successful space projects during my career, and to have made many friends around the world as a consequence, often in countries that would have once been regarded as political rivals (or even some that still are).

China, a major space power in its own right, is a great example of this -- the ESA and China are currently planning a first joint space science mission as the basis for future collaborations.

And this might be the biggest lesson that we can learn from Rosetta -- that as future plans for space research and exploration missions inevitably become more ambitious (and more expensive), the need for agencies to work closely together will increase.

If they are smart and forward thinking, then politicians and governments will do what they can to enable this, because if they are successful, we might finally realize the goal of so many of us in the field of achieving truly global cooperation in space, cooperation that will benefit all of humanity.

@highlight

Rosetta space mission a huge success: Martin Barstow

@highlight

Project was enormously ambitious and technically risky: Barstow

@highlight

Mission shows benefit of agencies collaborating, he says