The United States is preparing to announce a decision "in the coming days" on assistance to Egypt, the White House said Tuesday, and U.S. officials told CNN military aid will be cut, though not all of it.

The announcement comes in the wake of the July coup against President Mohamed Morsy and the turmoil that has followed as recently as this week, one U.S. official said Tuesday.

However, some military aid could continue, including funds to uphold Egypt's obligations under its peace treaty with Israel, and money for counterterrorism and security in Sinai, where extremists have been able to set up base, according to a senior U.S. official. The United States will also maintain nonmilitary funding that helps democracy promotion, the official said.

In an initial report about the announcement, CNN did not specify that these portions of the aid would continue.

Mohamed Morsy gets trial date as Egypt turmoil continues

The Obama administration withheld some military aid to Egypt in August. Another U.S. official, speaking on condition of anonymity, said the move to suspend assistance -- more than $1 billion is given each year -- has been prompted by an "accumulation of events," including recent violence against protesters, dozens of whom were killed over the weekend.

The United States has not yet notified the Egyptians of the decision to cut off military aid, a senior official said. The announcement is not expected to be made on Wednesday and has already been pushed back a few times, the official said.

In a statement late Tuesday, National Security Council spokeswoman Caitlin Hayden said an announcement is coming soon but denied the United States is "halting all military assistance."

"We will announce the future of our assistance relationship with Egypt in the coming days, but as the president made clear at UNGA, that assistance relationship will continue," Hayden said in a statement.

Any decision to cut aid would not preclude resuming the aid should Egypt make what the United States believes are positives steps towards restoring democracy, officials said.

Death toll rises as violence rages

U.S. national security advisers recommended to the president last month that aid should be cut, U.S. officials told CNN in September. The recommendation, officials said, was made in a "principals meeting" of the president's national security team, including National Security Adviser Susan Rice, Secretary of State John Kerry and Defense Secretary Chuck Hagel. The meeting was the culmination of months of debate within the administration about how to respond to the July 3 ouster of Morsy, Egypt's first democratically elected leader.

In addition to the suspension of some military aid earlier this year, there has also been a severe slowdown in military shipments from the United States to Egypt, including F-16s.

The Obama administration has not labeled Morsy's removal from office a coup. Such a designation would require a cut in all but humanitarian aid. In the past, the White House has said it was in U.S. national security interests to keep the aid intact.

But after U.S. calls to the Egyptian military for restraint over the last few months were met with a heavy-handed crackdown on Morsy supporters, Obama canceled a joint military exercise and announced a new review of U.S. aid to Egypt.

Last month, U.S. officials said Obama's national security team had recommended a cut in aid that included all foreign military financing to the Egyptian military, except funding toward security in the Sinai Peninsula and along the Egyptian border with Gaza.

"This has been coming for quite a while, actually, and President Obama signaled that the United States was slowing down aid to Egypt in his address at the United Nations just a couple of weeks ago," said Robin Wright, an Arab affairs analyst at the Woodrow Wilson International Center for Scholars. "The United States has become increasingly disillusioned with the way that the military leadership has cracked down on its own people. Over 1,000 died in the early weeks after the military coup, and in the past week, you've seen dozens more killed in confrontations."

CNN senior international correspondent Ben Wedeman said in the short-term, the U.S. decision could have a positive impact on the Egyptian government.

"Immediately, probably, the Egyptian government is going to find it's going to gain somewhat in terms of local public opinion," Wedeman said. "Egyptians I've already been in touch with about this decision or announcement from the United States that it's going to cut aid seem to react positively. There seems to be a lot of frustration with the United States, given its role in Egypt over the last 2½ years since the revolution."

But don't expect to see Egypt's military hurting financially, Wedeman said.

"For the Egyptian government, a cutoff in U.S. aid is symbolically significant, but in terms of the actual amount of money they're getting, it will not make a big difference," he said.

Wedeman said that's because Gulf states have been pouring billions of dollars into Egypt since Morsy's ouster. A move to cut off aid would likely anger those Gulf allies who have urged the United States to support the military and warned against stopping assistance.

After weeks of relative calm, violent clashes in Egypt

@highlight

Spokesperson denies the U.S. is halting all military assistance

@highlight

U.S. official: Recent violence against protesters is among the reasons

@highlight

Suspension of military aid prompted by "accumulation of events," official says

@highlight

Another official says the United States has not yet notified Egypt of the decision