(CNN) -- This year marks the 70th anniversary of "Casablanca," and although we are a long way from 1942, watching the film's romantic leads, Humphrey Bogart and Ingrid Bergman, sacrifice their wartime love still touches us.

The backstory on "Casablanca" is a good one, offering complex lessons in patriotism even today.

Few films have benefited as much from the real-world geopolitics surrounding them as "Casablanca," which opened on Thanksgiving 1942, when the nation was well into World War II, at New York's Hollywood Theater. Just 18 days earlier in Operation Torch, the Allies had invaded North Africa with a force of 65,000; among the cities they quickly captured was Casablanca.

A film that had finished production on August 3 suddenly became inseparable from actual events, as Jack Warner, whose studio produced "Casablanca," acknowledged in a November 10 memo, observing that the "entire industry envies us with picture having title 'Casablanca' ready to release, and feel we should take advantage of this great scoop."

(Editor's note: Warner Bros., like CNN, is a subsidiary of Time Warner).

"Casablanca" was helped even further by the politics surrounding Operation Torch, which at its outset involved getting French Vichy forces in North Africa to accept a ceasefire through a deal with Adm. Jean-Francois Darlan, who had collaborated with the Nazis after the defeat of the French army in 1940. The intrigue of "Casablanca" thus had its real-life counterpart in intrigue Americans had read about in their papers.

"Casablanca" reminded Americans of how completely their thinking had changed in the months since Pearl Harbor. Prewar America had much to apologize for in its international affairs. In 1939 the United States government failed to aid the Jewish passengers on the German ocean liner St. Louis when they were denied entry into Cuba and forced to return to Europe, and two years later the country was still not anxious to face facts about the wars raging in Europe and Asia.

In August 1941 the House of Representatives only reluctantly voted to renew the peacetime draft, passing it by a single vote, 203-202.

Humphrey Bogart's Rick Blaine is the embodiment of an America that has finally grasped the threat of fascism. On the surface, Rick is little more than the owner of a cafÃ© in French Morocco, who insists, "I'm the only cause I'm interested in." But as his personal history emerges, Rick turns out to be anything but the cynic he pretends to be.

Before arriving in Casablanca, Rick fought on the Loyalist side in the Spanish Civil War and ran guns for Ethiopia in its fight against Mussolini. At his cafÃ© he has made a point of hiring European refugees. He has a Dutch pastry chef, a German refugee headwaiter, and a bartender from the Soviet Union. When a young Bulgarian woman asks for his help in getting her and her husband to America, Rick comes to their rescue by allowing them to win the money they need for papers at his gambling table.

The turning point in "Casablanca" occurs when Rick's former lover, Ilsa Lund, played by Ingrid Bergman, shows up at his cafÃ© with the Czech resistance leader, Victor Laszlo (Paul Henreid), her husband. Rick faces a dilemma. He still loves Ilsa, who acknowledges that she also loves him, but if he wants to help Laszlo escape from the Nazis, he cannot resume his relationship with Ilsa, who is Laszlo's main support.

Rick's solution to his dilemma comes when he tells Ilsa that she should stay with Laszlo, then supplies the two of them with stolen letters of transit that will get them safely to Lisbon.

Rick's refusal to put his own needs before those of Laszlo -- and by extension the war effort -- reflects his priorities and his patriotism, but what makes Rick's sacrifice so powerful is that it is unaccompanied by chest pounding or sentimentality.

"I'm no good at being noble," he tells Ilsa, "but it doesn't take much to see that the problems of three little people don't amount to a hill of beans in this crazy world."

To help Ilsa and Laszlo escape, Rick must shoot the ranking German officer in Casablanca and reach an arrangement with the corrupt French chief of police. Neither decision bothers Rick, who at the end of "Casablanca" heads off to a free French garrison with the police chief while telling him, "Louis, I think this is the beginning of a beautiful friendship."

The remark is filled with irony and humor, but remains serious. It reflects Rick's refusal to let the ambiguity of his choices get in the way of his waging war to the best of his ability.

Today, "Casablanca" speaks to audiences very differently from how it did in 1942 or even when it was part of the Bogart revival that began in the late 1950s at the Brattle Theater in Cambridge. "Casablanca's" call to arms and Bogart's cool no longer resonate as they once did. But what does resonate in our post-9/11 world is Rick's complexity. Rick is a loner who won't let his idealism get the better of his pragmatism. He will not give in to the Germans, who are the real power in Casablanca, but he refuses to do anything that needlessly exposes him to arrest. He walks a moral tightrope with understated brilliance.

These days it is easy to imagine Rick applauding America's decision to aid Libya's rebels, worrying about our ongoing war in Afghanistan, and wondering what we might do to get other countries to help us stop the bloodshed in Syria.

Given Rick's choice of friends, it is clear that he would not be overly fastidious about choosing allies -- if he believed their cooperation could save lives.

The opinions expressed in this commentary are solely those of Nicolaus Mills.

@highlight

Nicolaus Mills: "Casablanca" turns 70; film had backstory, resonance that mirrored reality

@highlight

He says Operation Torch had just resulted in Allies' capture of Casablanca; gave film currency

@highlight

He says Bogart character had version of patriotism that was heroic, accepted ambiguity

@highlight

Mills: Bogart's cool may no longer resonate, but Rick's complexity does