(CNN) -- For many Americans, this summer has been miserably hot.

Heat advisories and warnings have been issued from coast to coast, with high temperatures often reaching into the triple digits, and July went into the record books as the hottest month ever for the continental United States.

But in certain parts of the world, this is the norm -- or maybe even on the cool side.

Try Kuwait City, for instance. In July, its average high temperature is 116 degrees Fahrenheit.

Or Timbuktu in Mali, where the highs average 108 in May and was once recorded at 130. 130! That ranks fifth on the all-time list.

The highest temperature ever recorded on the planet was in 1922, when a thermometer in El Azizia, Libya, hit 136. Some dispute that mark, saying it was improperly measured. If that's true, the record would be the 134, reached nine years earlier in Death Valley, California.

But the world's hottest place might not be any of these, according to a team of scientists from the University of Montana. It says the highest temperatures on Earth are found in areas that don't even have weather stations.

"The Earth's hot deserts -- such as the Sahara, the Gobi, the Sonoran and the Lut -- are climatically harsh and so remote that access for routine measurements and maintenance of a weather station is impractical," said David Mildrexler, lead author of a recent study that used NASA satellites to detect the Earth's hottest surface temperatures.

The satellites detect the infrared energy emitted by land. And over a seven-year period, from 2003 to 2009, they found Iran's Lut Desert to be the hottest place on Earth.

The Lut Desert had the highest recorded surface temperature in five of the seven years, topping out at 159 degrees in 2005. Other notable annual highs came from Queensland, Australia (156 degrees in 2003) and China's Turpan Basin (152 degrees in 2008).

Why to expect more weather disasters

It's important to stress that surface temperatures are naturally higher than the air temperatures measured by weather stations. Air temperatures have to be measured by thermometers placed off the ground and shielded from sunlight, according to global meteorological standards.

But the study shows that today's modern records might not necessarily be the most accurate.

"Most of the places that call themselves the hottest on Earth are not even serious contenders," co-author Steve Running said.

The world's highest recorded air temperatures
1. El Azizia, Libya (136 degrees Fahrenheit)
2. Death Valley, California (134)
3. Ghadames, Libya (131)
3. Kebili, Tunisia (131)
5. Timbuktu, Mali (130)
5. Araouane, Mali (130)
7. Tirat Tsvi, Israel (129)
8. Ahwaz, Iran (128)
8. Agha Jari, Iran (128)
10. Wadi Halfa, Sudan (127)

Highest recorded air temperature (by continent)
Africa: El Azizia, Libya (136)
North America: Death Valley, California (134)
Asia: Tirat Tsvi, Israel (129)
Australia: Cloncurry, Queensland (128*)
Europe: Seville, Spain (122)
South America: Rivadavia, Argentina (120)
Antarctica: Vanda Station, Scott Coast (59)

Sources: NOAA, World Meteorological Organization

* This temperature was measured using the techniques available at the time of recording, which are different to the standard techniques currently used in Australia. The most likely Australian record using standard equipment is an observation of 123 degrees, recorded at Oodnadatta, South Australia.

Extreme weather: Get ready for more, scientists say

Weather: London Olympics' biggest threat?

What's your weather story? Share it with CNN iReport

Photos: Extreme heat in the U.S.

@highlight

Scorching temperatures in the U.S. are common for many other countries

@highlight

The world's highest air temperature was recorded in El Azizia, Libya, in 1922

@highlight

But weather stations aren't in some of the world's hottest spots, scientists say