Kiev, Ukraine (CNN) -- In the face of deadly violence gripping the east of his country, Ukraine's Prime Minister had a defiant message for his fellow countrymen and women Saturday on the eve of national elections: We are going to the polls.

Voters will be choosing a president to lead their country, Arseniy Yatsenyuk said, "for whose freedom, prosperity, European future, the Ukrainians are paying the highest price -- the price of their own lives."

This means, he said, in a statement posted on the interim government's website that "the choice we make on Sunday and the responsibility of each of us is even higher."

The presidential election is being held amid ongoing separatist violence in eastern Ukraine, centered in the Donetsk and Luhansk regions.

Voters will choose a successor for ousted pro-Moscow President Viktor Yanukovych in a country riven by Russia's takeover of Ukraine's Crimea peninsula and aggression blamed on pro-Russian factions.

Increasingly bloody clashes this week have raised the question of whether pro-Russian forces are trying to disrupt the election -- a move that the United States and its European allies say could trigger tougher sanctions on Moscow.

The pro-Russia militants who control a swath of Donetsk and Luhansk have held a referendum on independence and refuse to accept the legitimacy of the government or the presidential election.

But Yatsenyuk insisted that Ukrainians would have their say Sunday at the polls.

"Tomorrow we will prove to the whole world, and first of all to ourselves, that it is not possible to intimidate us, that we are going to decide ourselves how to rebuild our home and how to work in it," he said.

"But we have fought for these elections. We are defending our land, restoring our military, rebuilding the destroyed industry, destroying the schemes that had been washing billions out of the country; we are learning to control the power and laying the ground for further development," he said.

Ukraine's 'Chocolate King' aims for top job

Election interference investigated

The Prosecutor General's office said Saturday it was investigating 83 cases of alleged interference in the election process in the Luhansk and Donetsk regions.

Police chief Volodymyr Grynyuk of the Interior Ministry said district and local election commissions in 12 regions nationwide were under protection as of Saturday, according to the Cabinet press office.

Of the 34 district election commissions set up in Donetsk and Luhansk, half are out of action because buildings have been seized by separatists and equipment destroyed, it said. But ballot papers have still been delivered to those regions.

The self-declared mayor of rebel stronghold Slovyansk, Vyacheslav Ponomaryov, has said that anyone who tries to vote in the presidential election will be arrested.

And according to protesters speaking Saturday outside the headquarters of the self-declared "Donetsk People's Republic," as well as the body's Twitter account, Donetsk and Luhansk have united to form a new separatist republic called "Novorossiya."

The government in Kiev, which launched an "anti-terrorist operation" against the separatists, has so far been unable to dislodge them from the towns and cities they hold.

But Yatsenyuk suggested their days in charge were numbered.

"I would like to assure our compatriots in Donetsk and Luhansk regions, who will be prevented from coming to the polling stations by the war waged against Ukraine: The criminals don't have much time left to terrorize your land," he said.

Overall, 600 crimes have been registered in relation to separatist activity, threats to the country's integrity, terrorism and financing terrorist activities, the Prosecutor General's office said. More than 100 people have been detained.

Russian recognition

Russia's President Vladimir Putin on Friday told an economic forum in St. Petersburg that he would respect the will of Ukraine's voters in Sunday's election.

But he reiterated Russia's assertion that according to Ukraine's Constitution, the ousted Yanukovych remains the nation's legitimate president and questioned whether the election should be held now, given the violence in eastern Ukraine.

The front-runner in the presidential contest is billionaire businessman and politician Petro Poroshenko.

Speaking Saturday, Putin again addressed the issue of Russia's natural gas supply to Europe, much of which flows through Ukraine. Moscow has said Kiev owes Russian energy giant Gazprom $3.5 billion for natural gas and warned that any disruption to supplies will be Ukraine's fault.

"We are seriously concerned by the statements of some of the Ukrainian radicals and their direct threats to interfere with the transit of the Russian gas to Europe and we hope that common sense will prevail and that won't happen," Putin said.

Deputy Foreign Minister Alexei Meshkov said Friday that Russia would decide whether or not to recognize the Ukraine vote only after it takes place, according to state media.

U.S. President Barack Obama and German Chancellor Angela Merkel recently said that disruption of the Ukraine vote by Russia would bring further sanctions targeting specific sectors of the Russian economy.

So far, U.S. and European sanctions have targeted individuals and some banks and other entities

Kiev and Western powers have accused Russia of coordinating and supporting the unrest. Russia denies direct involvement with or influence on the separatist groups.

Valentyn Nalyvaychenko, the head of Ukraine's security service, said Friday that no military operations were planned for the election, but alternative secure voting places would be arranged for some people in the Donetsk and Luhansk regions because of the separatist threat.

On Friday, Ponomaryov, in Slovyansk, showed a CNN crew missile launchers known as man-portable air defense systems that he said were obtained on the black market in the 1990s and now could be used on Ukrainian military aircraft in the event of civil war.

Luhansk, Donetsk clashes

As tensions simmer ahead of the vote, at least 32 people were killed and 44 injured in clashes Thursday between the Ukrainian military and pro-Russian separatists in the Luhansk region, according to the country's anti-terror office spokesman, Vladislav Seleznev.

Thirty pro-Russian separatists and two Ukrainian soldiers were among the dead, while the injured included 37 separatists and seven Ukrainian soldiers, Seleznev said Friday. Ukraine's defense ministry said 20 separatists died, with more than 30 wounded.

The reports could not be independently confirmed, and some previous casualty claims by Ukrainian sources have proven unreliable.

On Friday, pro-Ukrainian militias heading to shut down a pro-Russian checkpoint in Donetsk region came under attack, according to a regional Ukrainian authority and the chief of staff of one of the groups, called Right Sector.

The Donetsk regional authority said one person died and nine were wounded, while the Right Sector official said four pro-Ukrainian fighters were trapped and may have been killed or captured.

There were no further details on the affiliations of the casualties, and the reports also could not be independently confirmed.

Ukraine's Security Service said Saturday that border guards this week had detained an alleged Russian national who told them he was a sniper under orders to join militia groups and target Ukrainian soldiers.

CNN's Nick Paton Walsh reported from Slovyansk and journalist Victoria Butenko from Kiev, while Laura Smith-Spark wrote and reported from London. CNN's Tom Cohen contributed to this report.

@highlight

Prosecutor General's office probes suspected election interference in eastern Ukraine

@highlight

Prime Minister Arseniy Yatsenyuk says Ukrainians will show they cannot be intimidated

@highlight

"We are defending our land," says Yatsenyuk of Sunday's presidential vote

@highlight

The election is taking place despite the separatist unrest gripping eastern Ukraine