Across the U.S., many families know firsthand how high maternity care costs are. As noted in The Times recently, giving birth in the U.S. is more expensive than any other country in the world. Total costs average $18,329 for a vaginal delivery and $27,866 for a C-section, with the bulk of the bill going to insurers. However, families with insurance still have to pay about $3400 out of pocket.

What's ironic is we can't even claim that the extra expense pays off in healthier mothers and babies. According to a study by the Institute of Medicine, the U.S. ranks at or near the bottom on virtually all maternity care outcomes.

So who's to blame for these high costs?

Partly, mothers themselves. Americans are obsessed with the notions that "newer is better" and "more technology is always a plus." When it comes to medical technology, the U.S. public becomes Oliver Twist, continually asking, "Please, sir, I want some more."

I was part of a team that recently conducted a pair of national surveys of mothers. Among the many questions, we asked if mothers agreed with the statement, "Newer maternity tests and treatments are generally improvements over older ones." An overwhelming majority of mothers (74%) agreed while only 10% disagreed.

Likewise, when given the statement, "Maternity tests and treatments that work the best usually cost more than those that don't work as well," mothers were twice as likely to agree than disagree. Mothers were also far more likely to agree that women get too few tests during pregnancy rather than too many.

"Newer equals improvement" and "More is better than less" have long been effective marketing themes in American culture. But the problem is that in the case of medical technology, the results don't consistently bear that out.

While other countries have set up elaborate systems to assess new medical interventions for their cost effectiveness compared to existing practices before approving them, until recently that has not been a priority in U.S. medical care. The result is that public infatuation with newer technologies merges smoothly with the medical industry's desire to profit from providing more services.

A prime example of this problem is the failure to take advantage of midwife-led birthing centers. These have been found in the U.S. and overseas to be a safe and cost effective alternative to universal reliance on large hospitals. Freestanding birthing centers (as opposed to hospitals which refer to their maternity ward as a "birthing center") are usually directed by midwives and are affiliated with hospitals that serve as a referral site for transfers. The cost savings stem from less reliance on expensive medications and technologies, a shorter stay (mothers typically return home within 24 hours) and lower personnel costs.

While the numbers of birthing centers have increased in the last decade, less than 1 in 300 U.S. births occur in a center. How come?

Consider who loses money if birthing centers become popular: Large hospitals, pharmaceutical companies, obstetricians and anesthesiologists -- all powerful groups who believe deeply that the use of their products and services is not only a source of income, but the safest option for mothers and babies.

The result is that an array of regulatory (restrictive state licensing laws) and financial barriers (denial of insurance coverage) combined with informal constraints (hospital refusal to provide backup) limit their use.

Freestanding birthing centers aren't for everyone. They are meant to serve women with lower risk pregnancies and there's about a 1 in 8 chance a woman would need to be transferred to a hospital during labor. Nonetheless, it is of concern that so many women who are interested in it are denied an option that can provide a safe and far less expensive experience for mothers and babies.

Medical technology has done wonders for our lives, especially in select, high-risk cases. But rising maternity care costs reflects the downside of our societal obsession with newer, bigger and shinier technology.

The U.S. needs to seriously rethink how we approach maternity care. The first question that needs to be addressed is: Do more tests and reliance on the biggest, most expensive hospital settings actually improve the health of mothers and babies? When they do, great. But when they don't, we need to overcome the financial, institutional and cultural barriers to use reasonable options like birthing centers.

@highlight

Eugene Declercq: U.S. maternity care costs are the highest in the world

@highlight

Declercq: Partly, the problem is that Americans are obsessed with newer technologies

@highlight

He says more tests, reliance on big hospitals do not improve health of mothers and babies

@highlight

Declercq: Look to midwife-led birthing centers as a safe and cost effective alternative