(CNN) -- Fifty years ago, we stood at a moral crossroads as a nation.

The day was June 11, 1963. That morning, then-Gov. George Wallace attempted to block integration of the University of Alabama with his futile "stand at the schoolhouse door." Hours later, civil rights leader Medgar Evers would be gunned down in the driveway of his home by a white supremacist. In between, my uncle, President John F. Kennedy, took to the airwaves in a historic televised address on civil rights -- one that would forever change the way our nation perceived the struggle for racial equality.

"We are confronted primarily with a moral issue," President Kennedy said that night, hours before Evers was killed. "It is as old as the Scriptures and is as clear as the American Constitution. The heart of the question is whether all Americans are to be afforded equal rights and equal opportunities." You can listen to his speech here.

It was a seminal moment in our history. President Kennedy defined for the nation the struggle for equality not just as a constitutional or legal issue, but as a moral one as well.

Five decades later, we're again at a crossroads as a country. As we mark the 50th anniversary of President Kennedy's famous speech, the question he asked the American people that evening from the Oval Office remains strikingly relevant -- shouldn't all Americans be afforded equal rights and equal opportunities?

Sadly, when it comes to the treatment of people with mental illness, addiction and brain injury, equality remains unattained.

In America in 2013, thousands of our fellow citizens are still marginalized. They are still discriminated against. They face stigma every day. Today, too many Americans are told that they're less entitled to health care than those who have diseases like diabetes or cancer or asthma, just because the origin of their illness is in their brain. Without equality, or parity, insurers can refuse to cover mental illnesses at the same level as other physical illnesses, making it harder for people to get well and often further isolating them in their struggle. Together, we must change that.

Eliminating the stigma of mental illness -- and finally achieving parity for its treatment -- is the next chapter in America's civil rights movement.

When I represented Rhode Island in Congress, I fought for the rights of people with mental illness, and was proud to sponsor -- along with my father, Sen. Ted Kennedy -- the Mental Health Parity and Addiction Equity Act to provide access to mental health treatment for tens of millions of Americans who previously were denied care. Signed into law by President Bush in 2008, this landmark legislation requires health insurers that offer coverage for mental illness and substance use disorders to provide those benefits in a no more restrictive way than all other medical and surgical procedures covered by the plan. This was a proud moment for me, but those with mental illnesses are still waiting for some pieces of this law to be implemented.

For those with mental illness, this October marks another landmark 50th anniversary -- President Kennedy's signing into law of the historic Community Mental Health Act. This legislation, and the words he used to describe it, laid the foundation for contemporary mental health policy.

These historic dates are important to remember, but as we look back, we are reminded not just of inspiration and achievement, but also where we have fallen short. Because while President Kennedy set us on the right course, the words he used to describe the insufficient attention and resources devoted to mental health in 1963 could still be said today: "This situation has been tolerated far too long. It has troubled our national conscience -- but only as a problem unpleasant to mention, easy to postpone, and despairing of solution."

He then said, "The time has come for a bold new approach."

This October, as we mark this important occasion, I am proud to launch the inaugural "The Kennedy Forum," an annual event that will serve as a vehicle to honor President Kennedy's efforts, celebrate the progress made in the past half-century, and rededicate the entire mental health community to further progress. We have to eradicate the stigma of mental illness once and for all, and treat mental illness equal to other physical illnesses, so that all Americans can lead dignified lives and share in the benefits of our society.

We are confronted with a moral issue but also a historic opportunity. We have the chance to take action and live up to the principle upon which America was founded: that all people are afforded equal rights and equal opportunities.

The opinions expressed in this commentary are solely those of Patrick J. Kennedy.

@highlight

50 years ago, President Kennedy defined civil rights and equality as a moral issue

@highlight

Patrick Kennedy: It's also a moral issue that people with mental illness are treated equally

@highlight

Those with mental illness, brain injuries face stigma and inadequate health care, he says

@highlight

Kennedy: JFK championed helping the mentally ill, it's time to re-dedicate our efforts