(CNN) -- Fred Wiseman has been at the forefront of the American documentary scene ever since his bombshell of a first film in 1967.

"Titicut Follies" may sound like a burlesque extravaganza, but in fact the film was a deeply disturbing expose of life inside a correctional institution for the criminally insane.

Since then, Wiseman has built up an extraordinary body of work. It includes nearly 40 feature films, many of them more than three hours long, largely preoccupied with examining the apparatus of social institutions: hospitals, high schools, parks and zoos. All of them are framed according to Wiseman's own rigorous observational style, which involves sustained scrutiny, no voice-over and no interviews. He's into process, not personality. With a Wiseman film, it's up to the viewer to supply the commentary.

That's easier when the subject concerns alleged inadequate welfare programs or dysfunctional government institutions. In his last few films, the septuagenarian director has turned his gaze on less overtly political matters: the esteemed Ballet de l'Opera company in "La Danse" (2009); an Austin, Texas, training facility in "Boxing Gym" (2010); and now, a Parisian cabaret, in "Crazy Horse."

In this loose-limbed documentary, Wiseman is more like an impressionist painter -- Degas is the obvious example -- than a social activist or a reporter. He's looking at the human body, at model physical specimens and at perceptions of beauty. "Crazy Horse" can be viewed as a series of nude studies built around the contrast between the dancers' casual nakedness backstage and the highly fetishistic, filtered nudity on stage. Surprisingly (and disappointingly), Wiseman foregrounds the latter; we scarcely learn the dancers' names and rarely hear them speak.

You might expect marked differences between a distinguished ballet company and a glorified strip club, but Wiseman seems to see them in much in the same light (not literally; the chromatic effects at the club are designed to dazzle, and they do). The Crazy Horse, or "Le Crazy" for short, aspires to art with almost comical sincerity. This is Paris, after all, and intellectuals are a prime target audience.

Like "La Danse," the new film dedicates most of its running time to rehearsal and performance, interspersed with sometimes tense exchanges behind the scenes involving the creative personnel (in this case, primarily director/choreographer Philippe Decoufle) and management (managing director Andree Deissenberg). The "artistes" always want more time, and the shareholders are invariably fixated on the bottom line. Which is understandable at the Crazy Horse, where dancing cheek to cheek means something very different from what Irving Berlin had in mind. (Or did he?)

At various points, the people who work there describe it as the best chic nude club in the world, and the classiest. A better description might be the kitschiest.

In one routine, Decoufle's dancers enact a "Barbarella" number as if it were "Solaris." In another, they parade around in Beefeater bearskin hats and not much else. (If the club had a uniform, it would be a thong -- though high heels and fishnets also feature strongly.) The music is mostly a cheesy mix of classic bump-and-grind and '70s Italian sex comedy. Once or twice, the choreography does break the mold -- to push into the exploratory eroticism of modern interpretative dance -- but at heart, the sensuality celebrated here is as safe and conventional as a Playboy bunny.

Does Wiseman disagree? Of course he never says so, but the film is laced with enough subtly suggestive ironies to prick all that oh-so-French pomposity and pretension, without ever undermining the discipline and commitment of dancers and choreographers.

"Be pretty, classy, relaxed -- and calm -- and push your buttocks out," recommends a stage manager to a group of new girls before their audition. "American Idol" this ain't.

Wiseman may be the one documentarian on Earth uninterested in revealing who makes the cut. Still, it's clear this is excellent advice; maybe all you need to know to get by in Le Crazy. Brightly photographed in high definition, the movie is an eyeful all right, but at 134 minutes, it's also a rather lengthy tease.

@highlight

In this loose-limbed documentary, Fred Wiseman is more like an impressionist painter

@highlight

"Crazy Horse" can be viewed as a series of nude studies

@highlight

The film dedicates most of its running time to rehearsal and performance