(CNN) -- How do you like your sport? Blood, sweat, tears and a nailbiting finish, no doubt. But what about death?

If it were highly likely at least one competitor would die during a race, would you still watch it on TV? Or place a bet on the outcome?

And how different would your answer be if the athletes were not humans, but horses, asks animal welfare activists.

Those uncomfortable questions are unlikely to deter the 600 million people in 140 countries tuning in on Saturday to watch the hardest -- and most spectacular -- horse race of its kind in the world; Britain's Grand National.

Each year, around 40 thoroughbreds leap over 30 fences in a thrilling 10-minute dash, with more than $300 million bet on the race in the UK alone.

Part of the Grand National's huge appeal is the difficult and unpredictable 7.24 kilometer course. But with that difficult and unpredictable course comes a cost -- in the last 50 years of the race, 36 horses have died before crossing the finish line.

For animal rights campaigners, the competition is viewed as a cruel death trap. For organizers, and indeed the 70,000 punters attending each year, it's the country's biggest, brightest sporting event.

"If you totally nullify the risk of the course, then you also nullify any element of challenge -- and the Grand National is the ultimate challenge," David Williams, spokesman at betting agency Ladbrokes, told CNN.

"Each of us has to look into our own souls and ask ourselves if that risk is a price we're willing to pay, and that's not an easy answer."

Rich betting tradition

From schools, to offices, and local pubs across the country, the Grand National sweepstake -- in which everyone is allocated a horse to bet on -- is an annual fixture.

"It is the biggest betting event of the entire year. It's a very British tradition," Williams said.

"Children are brought up with it. I remember watching it with my grandparents and betting with matchsticks."

Launched in 1839, the historic race holds a special place in the public's imagination, transcending the sports pages with its dramatic Aintree course and flamboyant Liverpool crowd.

And despite two horses fracturing their legs and later being euthanized at last year's race -- including the favorite, Synchronized -- enthusiasm for the competition doesn't appear to be waning.

"The bottom line is, it hasn't had a significant impact at all," Williams said. "The betting public don't appear to be particularly put off by the issue of horse welfare."

Death trap?

Thoroughbreds usually die by falling on one of the fences, breaking a limb, and later being put down. Some also die from injuries during the race or heart attacks.

"Other jump races have uniform fences with a standard height of 4 foot 6 inches (1.4 meters)," Dene Stansall, horse racing consultant at Animal Aid, told CNN.

"But at the Grand National each fence is a different height, style or slant. The ground might be lower or higher on the take-off or landing side and all these things throw the horse's center of gravity."

He said punters remained largely apathetic about horse deaths, continuing to bet in droves.

"A lot of people are very blase about it, they don't have any emotional interest other than monetary gain and the thrill of the race," he added.

"What you don't see on TV is the horse with a broken back or a bullet in its head. It's horrific to see an animal so desperate to keep up with the pack, struggling to get up on three legs with that one snapped leg just swinging round and round."

Or ultimate challenge?

Aintree bosses have made safety improvements to the course in recent years, including moving the starting gate 100 yards away from the noisy crowd, and padding the fences with softer materials.

"We're working very hard to reduce injuries, but unfortunately you can never totally reduce risk," the race course's managing director, John Baker, told CNN.

"Horse deaths are part-and-parcel of life in general. A horse can get injured just as easily exercising in a field."

Qatar's six-star luxury hotel...for horses

Baker stressed how well cared-for the thoroughbreds were by dedicated teams of trainers, stablehands and jockeys.

Similarly, jockey Katie Walsh, who finished third on Seabass last year, told London's Radio Times this week that the horses were looked-after "better than some children".

Asked if he thought the public had been put off by nine horse deaths in the last 10 years, Baker pointed to the huge numbers still watching the race every year.

"Eleven million people watched it on the BBC last year -- more than the football, which is supposed to be our national sport," he said. "It suggests that the Grand National remains extremely popular and there's no sign of that decreasing."

@highlight

Britain's most popular sporting event, The Grand National, will be run on Saturday

@highlight

Forty horses jump over 30 fences in world's toughest steeplechase race

@highlight

Thirty-six horses have died in last 50 years in "cruel sport" say animal rights activists

@highlight

Organizers say it is the greatest challenge for jumps horses, continuing to attract punters