Tal Kalakh, Syria (CNN) -- In the western town of Tal Kalakh, rebel fighters stand their ground as government forces loom just yards away. But here, bullets aren't flying.

That's because the two sides have agreed to something remarkable -- a cease-fire. While fragile, the agreement could be a blueprint for peace across more parts of the country, which has seen incessant bloodshed for 23 months.

If the local cease-fire continues to hold, it would defy failures at the national and international levels to implement a meaningful halt in violence.

"We are for peace. We don't want war. We are 100% committed to peace," said a rebel leader who goes by the name Al Abrash. "But if they want a war, we are ready for that. We didn't agree to the cease-fire out of weakness. We did it to protect the women and children."

Tal Kalakh, near Syria's border with Lebanon was one of the first cities to rebel against the regime of President Bashar al-Assad. It has seen heavy fighting since the uprising began.

Many civilians were forced to flee as government and rebel fighters battled in the streets. Houses, pockmarked with signs of artillery fire, bear witness to the fierce clashes that raged here.

The walls of buildings in the city center are still covered in revolutionary graffiti; "God is great! Freedom," one read and "down with the thug," reads another.

Syrian opposition: Turkish border blast was an assassination attempt

But now Tal Kalakh has become a model project of sorts.

The cease-fire is a first step of a private "reconciliation initiative" led by a sheikh and a member of Syria's parliament.

"Before the agreement we reached, there were intense battles here. Many civilians, militants and soldiers were killed, a lot of blood was spilled. After the agreement there have been some individual violations like a soldier opening fire... but those have been dealt with straight away," Sheikh Habib al-Fandi said. "Compared to the past this is a state of peace and security."

But many people in Tal Kalakh say make no mistake -- this town is still under siege.

While the opposition Free Syrian Army controls Tal Kalakh, the town is surrounded by regime troops.

Residents, surprised to see an international TV crew escorted by officials into their city, swarmed around the CNN team in the main square. More than a dozen people complained about harassment by government-backed militias known as "Shabeeha."

One man with his three young children said he could not leave the city out of fear government forces would detain him.

Another man said his two sons were among more than 400 Tal Kalakh residents detained since the uprising.

Residents and fighters said they have had to create a makeshift graveyard close to the city center because regime troops have prevented them from reaching the main cemetery.

Al-Abrash and some of his fighters gathered for prayers at the small garden where they recently buried their dead. He says three rebels have been killed since the cease-fire began.

But signs of normalcy have sprouted amid the country's prolonged civil war. Some shops have reopened and the town center has come back to life.

The governor of Homs, where Tal Kalakh is located, described the city as once being "extremely dangerous and volatile," but now he says he is able to visit and even meet with the militants.

He says Tal Kalakh is an experiment.

"If the media and military support of terrorism is stopped ... I am convinced Homs will go back to what it was like within four months," Governor Ahmad Munir Mohammad said.

While rebel and government forces keep their positions around town, an unusual meeting takes place between a parliamentarian and rebels.

The parliamentarian, Eyad Sulaiman, is an Alawite -- the same sect of Islam that President Bashar al-Assad belongs to. But he's accepted by the mostly Sunni members of the Free Syrian Army.

The men agree on almost everything: They don't want a sectarian rift in Syria, they don't want foreign jihadist fighters entering the country, and they say government thugs must be stopped from harassing the population here.

Sulaiman says the local cease-fire in Tal Kalakh might work elsewhere.

"We have already tried to apply this concept in areas of Damascus ... so this can be applied anywhere in Syria, as long as there is no interference by other countries," the parliamentarian said.

Still, both sides acknowledge, the fighting could reignite anytime.

Abu Udey a rebel commander who accuses regime troops of continued provocations, said: "We don't kill people as a hobby ... the security forces in the area don't want a truce."

And there's one fundamental mission the rebels will not back down from.

"Our goal is to bring down the regime," Al Abbrash said. "It's impossible to change that -- impossible to back down from that goal."

Abu Udey says the men in his city were forced to arm themselves after peaceful demonstrations were met by violence from regime forces.

"If we achieve what we want -- [to] bring down the regime through peaceful means -- we are ready to lay down our arms for peace," Abu Udey said.

Syrian artist's vision of love amid devastation of war goes viral

CNN's Holly Yan contributed to this report.

@highlight

The cease-fire was brokered with the help of a sheikh and a member of parliament

@highlight

"Compared to the past, this is a state of peace and security," the sheikh says

@highlight

The parliamentarian says the cease-fire in Tal Kalakh could spread across the country

@highlight

But a rebel stands firm in his stance: "Our goal is to bring down the regime"