Istanbul (CNN) -- A leader of Turkey's ruling party held out the possibility of a vote on what to do with the Istanbul park where planned razing triggered two weeks of anti-government protests but said demonstrators must leave the park.

"The Turkish government will not accept Gezi Park protests to be continued forever," Huseyin Celik, deputy chairman of Prime Minister Recep Tayyip Erdogan's AK Party, said after meetings with a delegation of "popular artists" involved with the demonstrations. His comments were carried by the semi-official Anadolou News Agency.

Celik said the government could hold a referendum on the redevelopment of the park, the last green space in central Istanbul -- but he urged the demonstrators to "walk out."

At least one protester immediately rejected the idea of a vote.

"We do not think that a referendum is the right way to go because we think that this park should remain as a park because it's our right, and rights should not be asked in a referendum," said Imre Azem.

The meetings took place a day after riot police used massive amounts of tear gas, water cannons and stun guns to break up protests in Istanbul's Taksim Square. Police also shot tear gas canisters into nearby Gezi Park, violating a promise not to do so.

Leaders of the protests skipped Wednesday's talks. One of them, Eyup Muhcu, said those attending the meeting are friendly with Erdogan's government. Meanwhile, thousands of lawyers marched out of their offices in several cities to rally against the arrests of attorneys in the protests.

With no sign of negotiations on the horizon, Turkey, a NATO ally with a democratically elected government, could see fighting grip more of the country. And harsh actions against protesters could strain Erdogan's strategic friendships with much of the West -- relationships that are particularly critical in light of the civil war ravaging Turkey's neighbor, Syria.

"The real challenge for the government of Turkey, as now the international focus is on this crisis: How do they get the people behind me to agree to go home?" CNN's Nick Paton Walsh reported Wednesday from outside Gezi Park, seat of the demonstrations. "That requires compromise, conciliation."

On Wednesday morning, Paton Walsh saw someone being taken out of the park on a stretcher. But things were calm in the area, with morning rain having washed away some of the debris from events the night before.

Traffic in the major square was nearly back to normal. While police were in position, they looked relaxed, CNN's Arwa Damon reported. Police worked to dismantle barricades that demonstrators in the square have used as they've battled police in recent days.

In Ankara, street skirmishes broke out between protesters and police, who fired tear gas.

Reporters released

The Canadian Broadcasting Corporation reported Wednesday that two of its reporters detained by police were released.

Sasa Petricic and Derek Stoffel were held all day after being picked up earlier on Wednesday, CBC said.

Earlier, the network said it had been in contact with them, and they said they were "OK." Canadian Foreign Affairs Minister John Baird has expressed concern to Turkey's ambassador, the CBC reported.

Turks living in Macedonia, Kosovo, Bulgaria and Albania who support Erdogan plan rallies of their own Friday, Anadolu reported.

Opinion: Past and future collide in Turkey clashes

But the anti-Erdogan protests show no sign of abating.

What began in late May as a demonstration focused on the environment -- opposition to a plan to build a mall in Gezi Park -- has evolved into a crusade against Erdogan that's spread around the country.

Attorneys in Istanbul, Ankara and other cities gathered in front of government buildings for rallies, CNN Turk reported.

Some called on Istanbul's chief prosecutor to resign.

Government officials, however, insisted that while peaceful protests are allowed, those who use violence were being detained.

"If these people have objections to the government's project for Gezi Park and Taksim Square, they are welcome and we can listen to their ideas. Such issues can be settled through dialogue and within the framework of the law, not resorting to violence," President Abdullah Gul told reporters.

Erdogan's government has no problem with ecologists who started protests to save Gezi Park from bulldozers but takes action against Marxist extremists, who have lobbed rocks and Molotov cocktails at police, said Ibrahim Kalin, the prime minister's chief adviser, referring to the latter as "troublemakers."

"Anywhere in the world, they will not be considered peaceful protesters," Kalin told CNN's Christiane Amanpour on Tuesday. He said some were associated with a group that carried out an attack on the U.S. Embassy in Ankara in February.

The police reaction has been no different from that of security forces' methods against similar groups at Occupy Wall Street protests in the United States, he insisted.

"The police obviously have the mandate to establish public order," Kalin said, just like they do in Spain, Sweden and Britain.

Letters from Turkey, with pride

International criticism

Experts and human rights groups say Erdogan's government lags when it comes to human rights and freedom of expression by opponents.

"Prosecutors and courts continued to use terrorism laws to prosecute and prolong incarceration of thousands of Kurdish political activists, human rights defenders, students, journalists and trade unionists," Human Rights Watch wrote in a 2013 report on Turkey.

Turkish journalists are afraid to write anything critical of the government, and media companies are slapped with huge tax fines for covering uncomfortable topics.

According to the Committee to Protect Journalists, Turkish authorities have targeted journalists with detention for covering the protests.

Erdogan's dilemma is in how he handles those who did not elect him, said CNN's Fareed Zakaria. "He has come to believe that he speaks for all of Turkey."

Why Taksim Square matters to Turks

Those who are against him are handled in "too authoritarian" a manner, Zakaria said Tuesday on Piers Morgan Live.

The prime minister has said he will not back down.

"They say the prime minister is harsh," Erdogan said Tuesday, referring to his detractors. "I'm sorry," he told a gathering of his own party. "The prime minister is not going to change."

Erdogan is tightening his grip on power, adding authority to the office of the presidency, which he hopes to hold in coming years.

Former U.S. intelligence chief John Negroponte said he believes the protests could have something to do with Erdogan's ambitions.

There may be "forces joining in here, whose aim it is to prevent him from achieving his ambition of becoming the next president of the country," he told Morgan.

What's driving unrest and protests in Turkey?

CNN's Ivan Watson, Nick Paton Walsh, Gul Tuysuz and Arwa Damon reported from Istanbul; Josh Levs, Ben Brumfield and Greg Botelho reported from Atlanta.

@highlight

NEW: CBC reports two of its journalists have been released

@highlight

"Such issues can be settled through dialogue," Turkey's president says

@highlight

Ruling party official floats referendum on park's future

@highlight

Pro-Erdogan rallies are scheduled in four countries, a news agency reports