Washington (CNN) -- In the enclaves of Richmond, Virginia, the political and ideological dividing line is a highway.

On one side of Interstate 195 is Windsor Farms, a wealthy community designed to look like an English village. It is home to a historic country club and its residents are 75% Republican, according to an analysis by the Cook Political Report.

On the other side of the highway is Carytown, a community that prides itself on its urban chic shops and restaurants. It held a craft beer festival this past weekend and its residents are 75% Democrat.

"Clearly one side of the city of Richmond is very old money and conservative and on the other side of the street, it's a very progressive college community," said David Wasserman, U.S. House editor for the Cook Political Report. "This is a fairly recent development. We've never seen this type of polarization on a neighborhood level to such a degree and it's only increasing."

The growth in the number of Americans who sort themselves into communities like Windsor Farms or Carytown, consistently express either liberal or conservative views and the disappearing overlap between those two groups illustrates why the country â€” and the Congress -- is so divided, according to a new study by the Pew Research Center.

"Voters are plenty to blame for the current predicament they complain about," Wasserman said. "People want to live next to others who share their political and cultural values. It makes it easier for politicians to gerrymander because voters are already presorted."

And that type of redistricting means a more hyper-partisan class of voters is more likely to send like-minded, hyper-partisan lawmakers to Washington to represent them, political analysts said.

It's your fault: How our 'tribes' help create gridlock in Congress

The Pew report found that increasingly, the most politically active and engaged Americans are opting to live in "ideological silos," communities peopled with like-minded individuals who passionately hold on to partisan views and eschew those whose opinions differ.

Among the report's findings:

Why does this matter?

Because, as the report points out, over the past 20 years, "partisan animosity has increased substantially" â€” more than doubling, in fact. The most politically engaged Americans are most likely to see only the rightness of their own positions and view the opposing sides ideas as "so misguided that they threaten the nation's well-being."

Meanwhile, the majority of Americans, those who hold more centrist views, are content to sit on the sidelines, staying out of the political fray, the Pew report found.

This is a recipe for legislative gridlock, political demographers and analysts said.

Lynne Cheney: Partisanship is a Madisonian principle

Think of it as a ripple effect, Bill Bishop, co-author of "The Big Sort: Why the Clustering of Like-Minded America is Tearing Us Apart," told CNN last year.

"Like-minded groups, over time, become more extreme in how they're like-minded," he said.

This means in order to be considered a "good Democrat" or "good Republican" citizens, and the lawmakers who represent them, are pressured to think and vote only in a certain, partisan way, political demographers and analysts have found.

And woe the person who votes against the group-think.

Take for example, Republican House Majority Leader Eric Cantor, whose 7th Congressional District includes Windsor Farms. His opponent, Dave Brat, a political newcomer and economics professor was able to use Cantor's openness to considering a path to citizenship for the children of illegal immigrants as an example of how the veteran lawmaker was out of touch with his conservative base.

Cantor lost the Republican primary on Tuesday by double digits.

Down but not done: Cantor's loss not end for immigration reform

Cantor had been "taking conservative position after conservative position after conservative position, but almost 100% wasn't enough for these folks," CNN political analyst John Avlon said.

@highlight

Politically engaged Americans are increasingly partisan, according to a new Pew poll

@highlight

Hyper-partisanship at the local level eventually leads to hyper-partisanship in Congress, experts say

@highlight

Those who trend more moderate are also less likely to be politically-engaged, the Pew poll found

@highlight

All of these factors have create gridlock on the Congressional level, experts say