Edinburgh, Scotland (CNN) -- UK Prime Minister David Cameron is campaigning in Scotland Wednesday in a last-minute bid to persuade voters to stick with the United Kingdom ahead of an independence referendum in eight days.

Also north of the border are Deputy Prime Minister Nick Clegg of the Liberal Democrats, partners with Cameron's Conservatives in the coalition government, and opposition Labour Party leader Ed Miliband.

The trip comes as the latest opinion polls indicated that the pro-independence and pro-union campaigns are neck-and-neck.

If Scotland's voters choose independence on September 18, it will mean the breakup of a 307-year-old union between England, Wales and Scotland as Great Britain.

Cameron and Miliband canceled their usual weekly clash at Prime Minister's Questions in Parliament to make the trip. They are campaigning separately as they seek to win over the undecided voters who will be key to the outcome of the landmark vote.

The Prime Minister appealed to the emotions in a speech to an audience in Edinburgh, saying, "I care hugely about this extraordinary country, this United Kingdom, that we have built together."

He would be heartbroken, he said, "if this family of nations was torn apart."

'Last gasp piece of desperation'

Opinion polls suggest the pro-independence "yes" campaign, led by Scottish First Minister Alex Salmond of the governing Scottish National Party, has the momentum as the vote nears.

Speaking to supporters Wednesday, Salmond said the politicians' visit from London was "counterproductive" for the "no" campaign and would be seen by Scotland as "a last gasp piece of desperation from the Westminster establishment."

He added, "I mean they're not popular in England, never mind popular in Scotland."

The latest poll of polls on Scottish independence shows the "no" camp hanging on to a narrow lead over the "yes" camp, but the gap continues to close. The poll of polls, by ScotCen, an independent research center, shows "no" at 52% and "yes" at 48%.

Almost anyone living in Scotland age 16 or over on the day of the referendum will be able to vote. But voters in the rest of the United Kingdom -- England, Wales and Northern Ireland -- do not get a say on what could be a historic change. That includes Scots who live outside Scotland's borders.

'We desperately want you to stay'

Cameron also used emotive language in an opinion piece published in the Daily Mail newspaper Wednesday in which he recalled the United Kingdom's historic achievements -- and promised that more are to come if it sticks together.

"Let no one in Scotland be in any doubt: we desperately want you to stay; we do not want this family of nations to be ripped apart," he wrote.

"Across England, Northern Ireland and Wales, our fear over what we stand to lose is matched only by our passion for what can be achieved if we stay together."

The three parties have all promised that Scotland, which already has devolved government, would be granted increased powers, for example over taxation and social welfare programs, if it votes to stay in the United Kingdom.

"There is a lot that divides us -- but there's one thing on which we agree passionately: the United Kingdom is better together," the three party leaders said in a joint statement Tuesday.

"We want to be listening and talking to voters about the huge choices they face. Our message to the Scottish people will be simple: 'We want you to stay.' "

Former PM warns of damage

A YouGov poll carried out Monday suggests that people in England and Wales are opposed to Scottish independence by a substantial majority, with 60% opposed to 19% in favor.

Former Conservative Prime Minister John Major, writing Wednesday in the Times of London, warned that if Scotland votes for independence, it and all the United Kingdom would suffer as a result.

"The UK would be weaker in every international body and, most damagingly, within the European Union," he wrote. "Our chance of reforming the EU would be diminished, and the risk of our exit from it enhanced."

Cameron has promised to hold a referendum on UK membership of the European Union by the end of 2017 if he remains Prime Minister after the general election next year.

Campaigners for Scottish independence have said they want to remain part of the European Union. EU leaders have indicated that an independent Scotland would have to apply to join like any other nation.

Will the oil last?

The independence issue has polarized Scotland, with much argument over the potential economic costs or benefits, particularly with regard to the North Sea oil and gas found in Scottish waters.

The Scottish government says it would manage the energy reserves better than the UK government, benefiting the Scottish people. But some experts have warned against over-reliance on a finite resource.

Energy giant BP came out Wednesday against Scottish independence and voiced caution over North Sea prospects it described as "smaller and more challenging to develop" than before.

"Our business invests for decades into the future. It is important our plans are based on a realistic view of the North Sea's future potential and the challenges the industry faces in continuing to operate here," it said.

"As a major investor in Scotland -- now and into the future -- BP believes that the future prospects for the North Sea are best served by maintaining the existing capacity and integrity of the United Kingdom."

Queen 'is above politics'

Buckingham Palace has made clear that Queen Elizabeth II will not take a position on the Scottish referendum amid UK media reports that lawmakers are urging her to intervene on behalf of the union.

"The Sovereign's constitutional impartiality is an established principle of our democracy and one which the Queen has demonstrated throughout her reign," a palace statement said.

"As such, the Queen is above politics, and those in political office have a duty to ensure that this remains the case.

"Any suggestion that the Queen should wish to influence the outcome of the current referendum campaign is categorically wrong. This is a matter for the people of Scotland."

The queen would remain head of state of an independent Scotland.

CNN's Nic Robertson reported from Edinburgh and Laura Smith-Spark wrote and reported in London. CNN's Max Foster, Alexander Felton and Carol Jordan contributed to this report.

@highlight

NEW: PM Cameron says he would be heartbroken by split as he campaigns in Edinburgh

@highlight

Cameron: "Let no one in Scotland be in any doubt: we desperately want you to stay"

@highlight

Energy giant BP urges Scotland to stay in the United Kingdom

@highlight

Palace: The Queen "is above politics" and doesn't want to influence outcome of vote