(CNN) -- As you drink a pint of Guinness or eat your corned beef and cabbage at the local Irish pub on St. Patrick's Day, consider the far-flung corners of Ireland where inspiration flourishes.

"The Irish landscape isn't always straightforward; its many layers of stone walls and hedgerows and its constantly changing light mean that it unfolds slowly as you walk, cycle or drive by," says Etain O'Carroll, co-author of Lonely Planet's 2012 Ireland guidebook.

"Our mercurial weather also gives it an ethereal quality," says O'Carroll. "The dappled light and scurrying clouds, mists and rain showers mean you often catch no more than a tantalizing glimpse of a view. You've got to be patient and let the landscape reveal itself in its own time, and when it does you feel like you might be the only one to have ever seen it in quite the same way."

CNN asked a handful of Irish poets, novelists and playwrights about the spots that inspire them in their mother country. Here are a few of our writers' favorite places.

Ancient ruins amid a magnificent landscape

Although she was born and raised in County Monaghan, Mary O'Donnell's poetry and prose is inspired by the rough and wild landscape of the Burren, a region in County Clare where Ireland's ancient people managed to survive for centuries. O'Donnell is also fascinated by megalithic tombs, which is why she wrote a poem about Burren's Poulnabrone Dolmen, one of Ireland's most famous ancient monuments. Built more than 5000 years ago, the Neolithic/Bronze Age tomb housed remains and burial items such as pottery, jewelry and an ax.

"The world of nature is vitally important to me, and in the Burren in County Clare one finds a wild majesty and magnificent landscape that is still unspoiled, despite the many visitors the area attracts," says O'Donnell, author of "Storm over Belfast," "The Ark Builders " and "The Place of Miracles." "I am (also) enormously interested in megalithic tombs so this dolmen at Poulnabrone really grabbed me. The fact that my then 15-year-old daughter couldn't give a hoot about it made the visit all the more interesting, in a way. It set me thinking about how there are times in our lives when we need prescribed culture and there are times when we absolutely don't."

For the visitor: There are many ancient ruins to explore in the Burren through guided walks and tours.

Returning to a literary hometown

Although he now lives in England, poet John McAuliffe often returns to his childhood home in Listowel to visit family and to recharge his writing. On the surface a typical North Kerry market town, Listowel has a literary tradition inspired by the playwright John B. Keane and fiction writer Bryan MacMahon. Keane ran a pub where writer Michael Hartnett and other writers and townspeople would gather, now operated by his widow and son.

To a young boy, Keane and MacMahon both seemed of the town and outside it. "They were after something penetrating, subtle and comprehending when they wrote, unsentimentally, about the town's hinterland of farming villages and about the positive impact of modernity on old hierarchies: wised-up insiders with a natural sympathy for the outsider," says McAuliffe, co-director of the Centre for New Writing at the University of Manchester, editor of "The Manchester Review" and author of "Of All Places."

For the visitor: "When I'm at home I walk Market Street, past John B's (pub) and into the redesigned town square where the terrific converted church, St. John's, hosts theater and music every week," says McAuliffe. "I walk past the Listowel Arms Hotel -- where Charles Stuart Parnell made his last public address -- under Listowel Castle, whose ruin is now attached to an interactive museum, which documents and celebrates the work of John B. (Keane), (Bryan) MacMahon and other writers from the area."

A historic horse fair

Dublin-born and bred writer Nessa O'Mahony has always been inspired by Western Ireland, where her mother's family comes from. Her mother shared stories about her life growing up in Ballinasloe, in East Galway, with nine brothers and sisters. Those stories have crept into O'Mahoney's work.

"It seemed a form of rural Eden very distant to my own upbringing in a concrete and pebble-dash Dublin suburb in the 1960s," says O'Mahony, whose books include a novel, "In Sight of Home," " and two books of poetry, Bar Talk" and "Trapping a Ghost." "She had such freedom, and such fun and 'divilment,' as people used to say. We've returned to Ballinasloe frequently, though these days it's usually for a family funeral. But I'm still absorbed by how alive she [my mother] comes there, and how incredibly detailed her memories of a very happy past are. And I'm still inspired by her to write poems."

For the visitor: The Ballinasloe Horse Fair and Festival in October, one of the oldest in Europe, dates back at least to the 1700s and attracts thousands of visitors, traders and Irish Travellers (members of Ireland's nomadic community). Elsewhere in East Galway, William Butler Yeats spent time in the 1920s at Thoor Ballyle, a 16th century Norman tower that served as a summer home and inspiration for his poem "The Tower."

An inspiration to Jane Austen

Novelist and playwright Belinda McKeon grew up on a farm in County Longford, a region that barely merits a mention in some of Ireland's tour books. Yet amidst the ordinary midland landscape dotted with nondescript schools, restaurants and gas stations is a literary tourist's dream.

In Edgeworthstown, the local nursing home seemed like nothing special. But for a time, it had been the house of celebrated novelist Maria Edgeworth (1767-1849). It's where she lived almost all her life, where she wrote "Castle Rackrent," received Sir Walter Scott and William Wordsworth as visitors, wrote criticisms of the absentee landlord system and where Jane Austen sent Edgeworth a first edition of her novel "Emma." Thomas LeFroy, believed to be the inspiration for Austen's Mr. Darcy character in "Pride & Prejudice," lived in nearby Carriglas Manor.

Growing up in Longford, with its ordinary life on top of extraordinary history, "made me look sideways at everything," says McKeon, whose debut novel, "Solace," was published last year. "That's the way people look at things where I'm from: sideways. Never believing the first version of anything. Always wondering, always doubting, always looking forward to dissecting it afterwards."

For the visitor: Longford is known for Edgeworth, Carriglas, its fishing and the Corlea Trackway, a bog road that was built in 148 B.C.

Inspiration at the ocean's edge

Born and raised in the town that inspired William Butler Yeats, short story writer Elaine Garvey heads to Sligo and the beach north of town to think and inspire her writing. "There's one in North Sligo called Streedagh that's usually almost empty and you can walk on the strand almost every day, no matter if the tide is in or out," says Garvey, whose work has appeared in the The Dublin Review and a collection called "ScÃ©alta."

"I take my shoes off, leave them at the rocks and walk with my feet at the edge of the water -- unless it's snowing. I get my feet into the sand and have the sound and smell of the Atlantic all around me. It will always, always feel like home. If you walk the full length of the beach and back, you have clean feet and a very clear head by the end."

For the visitor: Sligo Town celebrates Yeats with the Yeats Memorial Building and the Yeats International Festival starting in late July with three weeks of poetry, music and other events.

If you go:

In celebration of St Patrick's Day, Lonely Planet is giving away its Dublin city guide app from 12:01 a.m. PT on March 15 until 11:59 p.m. PT on March 17 (regularly priced at $5.99). Users must first download the free Lonely Planet Travel Guides app onto their device, open the app and scroll down to select "Dublin Travel Guide."

@highlight

County Clare's rough and wild landscape inspires Mary O'Donnell

@highlight

John McAuliffe returns to his childhood home in Listowel to recharge his writing

@highlight

Elaine Garvey heads to Sligo and the beach north of town to think and inspire her writing