New Orleans, Louisiana (CNN) -- A dual-pronged effort to stop the oil gushing from BP's runaway well in the Gulf of Mexico shows promise for this weekend, the head of the government's response team said Friday.

But things are likely to get worse before they improve.

Late Friday, Retired Coast Guard Adm. Thad Allen said in a statement that he and Energy Secretary Steven Chu had approved BP's plan to install an oil-recovery vessel, the Helix Producer, at the same time that a new cap is placed over the well, "which will require temporary suspension of the current top-hat containment system."

During the seven to 10 days that it will take to switch the caps, the 15,000 barrels of oil that the Discoverer Enterprise ship has been collecting daily are expected to flow unimpeded into the water, he said.

Allen said he approved the plan in order to take advantage of favorable weather predicted for coming days and because, once the switch is complete, the resulting capacity to contain oil "will be far greater than the capabilities we have achieved using current systems."

BP spokesman Mark Proegler called it the "capping stack," which he described as a larger, better-fitting seal than the one currently covering the well.

The latter cap "can be removed quite quickly" and BP will start replacing it with the "sealing cap" on Saturday, he said.

If successful, the operation could halt the gushing that started April 20 after an explosion that killed 11 people on the Deepwater Horizon in the Gulf. But any such fix would be temporary, he said. The permanent solution would still be completion of a relief well, he added.

Scientists have estimated 35,000 to 60,000 barrels of oil are spewing daily from BP's breached Macondo well. They have been basing their estimates on high-resolution video and data from acoustic devices used to measure density.

But Allen said that, once the long-term containment cap is in place, scientists will for the first time have the empirical data they need to determine the true flow rate.

"I would think once the capping device is on, we would get the most accurate flow rate to date," he said.

Switching the containment cap could increase the amount of oil collected each day to 60,000 to 80,000 barrels, Allen said. Under a new alignment, four vessels would participate in oil recovery, one more than the three currently involved.

In a separate advance, federal responders expressed optimism Friday about a new aerial weapon in their arsenal. A 178-foot U.S. Navy blimp, the MZ-3A, was flown from New Orleans to Mobile, Alabama, to be used to survey the disaster area as soon as Saturday, depending on the weather.

Officials said they hope surveys from the blimp will help them cut the time needed to get skimmers to the scene of oil slicks.

"Having something at a low altitude that can stay on scene a very long time is extremely valuable," Allen said. "We are anxious to see how it works."

The first relief well BP is drilling in the Gulf of Mexico could intercept the leaking Macondo well in seven to 10 days, Allen said Thursday.

But the time it will take to seal the well will depend on "where the oil is coming up through, where they can intercept, where they can put the mud in, where they can put the cement plug," he said.

Also Friday, the president's Oil Spill Commission said it is hiring Richard A. Sears, a deepwater drilling expert with 30 years of experience in the oil and gas industry and academia, to serve as its science adviser.

The commission, comprising seven members appointed by President Barack Obama, will hold public meetings Monday and Tuesday in New Orleans. It is charged with determining the causes of the Deepwater Horizon disaster and recommending changes in policies and law to prevent any such future calamities.

Commission spokesman Pete Nelson said the commission is also hiring Jay Hakes as its research director. Hakes, an alumnus of the Carter administration, served as director of the Jimmy Carter Presidential Library and Museum and headed the Energy Information Administration at the U.S. Department of Energy during the 1990s.

CNN's Sanjay Gupta, Vivian Kuo and Aaron Cooper contributed to this report

@highlight

NEW: Allen and Chu approve BP plan to switch caps

@highlight

NEW: switch will take 7 to 10 days during which oil will flow unimpeded

@highlight

Oil spill commission hires 2 new experts

@highlight

Work on replacing the cap is to begin Saturday