European officials reacted with fury Sunday to a report that the U.S. National Security Agency spied on EU offices.

The European Union warned that if the report is accurate, it will have tremendous repercussions.

"I am deeply worried and shocked about the allegations," European Parliament President Martin Schulz said in a statement. "If the allegations prove to be true, it would be an extremely serious matter which will have a severe impact on EU-US relations. On behalf of the European Parliament, I demand full clarification and require further information speedily from the U.S. authorities with regard to these allegations."

German Justice Minister Sabine Leutheusser-Schnarrenberger "said if the accusations were true, it was reminiscent of the Cold War," ministry spokesman Anders Mertzlufft said, adding that the minister "has asked for an immediate explanation from the United States."

French Foreign Minister Laurent Fabius called for a swift explanation from American authorities.

"These acts, if they are confirmed, would be absolutely unacceptable," he said in a statement.

The outrage from European officials over the weekend was the latest fallout since Edward Snowden, a former National Security Agency computer contractor, started spilling details of U.S. surveillance programs to reporters earlier this month.

Citing information from secret documents obtained by Snowden, the German news magazine Der Spiegel reported Sunday that several U.S. spying operations targeted European Union leaders.

Der Spiegel said it had "in part seen" documents from Snowden that describe how the National Security Agency bugged EU officials' Washington and New York offices and conducted an "electronic eavesdropping operation" that tapped into a EU building in Brussels, Belgium.

The magazine's report also says that NSA spying has targeted telephone and Internet connection data in Germany more than any other European nation. An average of up to 20 million phone connections and 10 million Internet data connections are surveyed daily, Der Spiegel said, noting that the intensity of surveillance puts the U.S. ally on par with China, Iraq and Saudi Arabia.

Another report Sunday claimed that surveillance extended beyond European offices.

The Guardian newspaper reported that one NSA document leaked by Snowden describes 38 embassies and missions as "targets" and details surveillance methods that include planting bugs in communications equipment and collecting transmissions with specialized antennae.

Targets included France, Italy, Greece, Japan, Mexico, South Korea, India and Turkey, according to The Guardian.

CNN has not independently confirmed the allegations in the reports from Der Spiegel and the Guardian.

U.S. officials did not immediately respond to the Guardian's report. The Office of the Director of National Intelligence declined to comment Sunday on specific allegations published in Der Spiegel.

"The United States government will respond appropriately to the European Union through our diplomatic channels, and through the EU/U.S. experts' dialogue on intelligence that the U.S. proposed several weeks ago," the office said in a statement. "We will also discuss these issues bilaterally with EU member states. While we are not going to comment publicly on specific alleged intelligence activities, as a matter of policy, we have made clear that the United States gathers foreign intelligence of the type gathered by all nations."

Ben Rhodes, White House deputy national security adviser for strategic communications, said he had not seen the report and "would not comment on unauthorized disclosures of intelligence programs. The intelligence community would be the most appropriate to do that."

Rhodes added that "those are some of our closest intelligence partners, so it's worth noting that the Europeans work very closely with us.  We have very close intelligence relationships with them."

Father proposes deal for Snowden's voluntary return

U.S. asks Ecuador to reject any asylum request from Snowden

Michael Hayden, a former director of the NSA and CIA, told "Face the Nation" on CBS on Sunday morning that he didn't know whether the report was true.

"I've been out of government for about five years, so I really don't know, and even if I did, I wouldn't confirm or deny it," he said. "But I think I can confirm a few things for you here this morning. Number one, the United States does conduct espionage. Number two, our Fourth Amendment, which protects Americans' privacy, is not an international treaty. And number three, any European who wants to go out and rend their garments with regard to international espionage should look first and find out what their governments are doing."

European Union spokeswoman Marlene Holzner, in a e-mail to CNN, said, "We have immediately been in contact with the U.S. authorities in Washington D.C. and in Brussels and have confronted them with the press reports. They have told us they are checking on the accuracy of the information released yesterday and will come back to us."

In Brussels, Der Spiegel says, the agency targeted the Justus Lipsius Building, which houses the European Council and the EU Council of Ministers, the union's main decision-making and legislative body.

And in Washington, the magazine report claims, the NSA installed bugs in the European Union's building and infiltrated its computer network.

Der Spiegel's report comes as negotiations for a trans-Atlantic trade agreement between the United States and the European Union are set to start next month in Washington.

Obama: Pay no attention to that man we can't capture

Snowden has revealed himself as the source of documents outlining a massive effort by the NSA to track cell phone calls and monitor the e-mail and Internet traffic of virtually all Americans.

Critics slam him as a traitor. Supporters hail him as a hero.

Now Snowden, who faces espionage charges in the United States, is in Russia and seeking asylum from Ecuador.

U.S. Vice President Joe Biden asked Ecuador "to please reject" the request for asylum, according to Ecuadorian President Rafael Correa.

"That's not acceptable," WikiLeaks founder Julian Assange told ABC's "This Week" on Sunday.

Assange, whose organization facilitates the release of classified documents and is assisting Snowden's asylum bid, said he couldn't reveal details about the former NSA contractor's specific location or the status of his case. He criticized U.S. officials for pressuring Ecuador on the matter.

"Asylum is a right that we all have. It's an international right. The United States has been founded largely on accepting political refugees from other countries and has prospered by it. Mr. Snowden has that right," said Assange. "Ideally, he should be able to return to the United States. Unfortunately, that's not the world that we live in and hopefully another country will give him the justice that he deserves."

Former Cuban leader Fidel Castro weighed in on Sunday. In a letter to Nicaraguan President Daniel Ortega published in Cuban state media, Castro praised Ecuador's president for standing up to U.S. threats over Snowden.

On Saturday night, Correa said the ball was in Russia's court.

"We didn't ask to be in this situation. Mr. Snowden has been in touch with Mr. Assange, who recommended he ask for asylum in Ecuador. In order to process this request, he needs to be in Ecuadorian territory," Correa said in an interview with Ecuador's Oromar TV on Saturday night. "At this point, the solution for Snowden's final destination is in the hands of the Russian authorities."

Russian President Vladimir Putin has said it's up to Snowden to figure out his next step.

"The sooner he selects his final destination point, the better both for us and for himself," Putin said.

A top Russian lawmaker said Sunday that Russia must not hand Snowden over to the United States.

"It's not a matter of Snowden's usefulness to Russia, it's a matter of principle," Alexei Pushkov -- who heads the international affairs committee at the Duma, the lower house of parliament -- said on Twitter.

"He is a political refugee and handing him over is morally unacceptable," he said.

The man behind the NSA leaks

Why we're all stuck in the digital transit zone with Snowden

@highlight

The Guardian reports that U.S. surveillance targeted 38 embassies and missions

@highlight

Der Spiegel reports that the U.S. bugged EU offices and infiltrated a computer network

@highlight

If true, it would "have a severe impact on EU-US relations," a European official says

@highlight

A U.S. intelligence office says it will respond "through diplomatic channels"