Washington (CNN) -- When presumptive Republican presidential nominee Mitt Romney appears before Latino small-business owners in Washington on Wednesday, he'll address a group whose explosive birth rates foreshadow a seismic political shift in GOP strongholds in the Deep South and Southwest.

"The Republicans' problem is their voters are white, aging and dying off," said David Bositis, a senior research associate at the Joint Center for Political and Economic Studies, who studies minority political engagement.

"There will come a time when they suffer catastrophic losses with the realization of the population changes."

Over the next several generations, the wave of minority voters -- who, according to U.S. Census figures released this week, now represent more than half of the nation's population born in the past year -- will become more of a power base in places like Alabama, Mississippi and Georgia. That hold will extend across the Southwest all the way to California, experts say.

Opinion: Sorry Rush Limbaugh, minorities not looking for 'payback'

The coming political revolution could result in a massive changing of the guard on nearly every level of government, potential cultural clashes, and the type of political alliances that are now considered rare.

Offspring of immigrant farm workers

In Georgia, those rumblings are already being felt.

It is a state that depends heavily on immigrant labor to pick peaches and peanuts and work in poultry plants. So when Georgia -- like its Southern sister states of Alabama, Louisiana, Mississippi, Tennessee and South Carolina -- passed a tough anti-immigration bill that also penalizes businesses, Hispanic groups and farmers alike pushed back.

"This election cycle Latinos in Georgia are upset about (the law)," said Jerry Gonzalez, executive director of GALEO, a nonprofit and nonpartisan group geared toward Georgia's growing Latino population. "That's going to spur more galvanization than we've ever seen before."

According to the Pew Hispanic Center, Southeastern states such as Alabama, Arkansas, Kentucky, Mississippi, North Carolina, South Carolina and Tennessee boast some of the greatest percentage increases in Latino population growth. They are also states where the percentage of Hispanics roughly doubled.

And, according to Pew, the Latino population boom helped Arizona, Florida, Georgia, Nevada, South Carolina, Texas, Utah and Washington net additional congressional seats.

Though Georgia's Latino population has mushroomed over the past ten years, according to Pew, roughly 23% of that group is eligible to vote, compared to roughly 76.2% of whites and just over 69% of African-Americans.

Still, activists like Gonzalez are hopeful that lawmakers will see the trends and recognize "Latinos merit a seat at the table as well."

So far, Republican efforts to offer Latinos a place at the table have fallen short.

The nation's Hispanics tend to vote Democratic, and overwhelmingly supported Barack Obama and Joe Biden in 2008.

Romney in particular has stumbled with this critical voting bloc, after his comments suggesting that making the economic landscape tough for illegal immigrants will force them to "self deport."

Trying to convince a growing population

Even Republican Hispanic lawmakers, such as Sen. Marco Rubio, R-Florida, have urged the GOP to soften its language when discussing immigration and such proposals as the House-passed version of the Violence Against Women Act, which killed expanded coverage for illegal immigrants and Native Americans who are victims of domestic abuse, and the failed DREAM Act, which would have given U.S. residency to immigrant kids with high school diplomas.

The GOP is trying to clean up its image with Hispanic voters, with an eye toward the demographic's looming political clout.

Romney is slated to speak at the Latino Coalition's Annual Economic Summit in Washington on Wednesday. Last week, his campaign released "Dia Uno," a Spanish-language version of an ad underscoring Romney's mission for the first day he assumes the presidency.

If Republicans continue to struggle to appeal to Latino voters, Spanish-language ads may not stave off a change that experts like Bositis see coming in the not too distant future, when states such as Georgia go purple and eventually blue.

"There'll be a tipping point where you've got the Republicans in charge, but you'll get to the point when the population becomes minority," Bositis said. "When that happens the statewide offices will fall. Republican governors will fall. Things will change."

This announcement on birth rates "should be a wake-up call to everyone running for political office from this day forward," said Lionel Sosa, a veteran Latino GOP strategist who has helped advise candidates since 1980. "Latinos should no longer be considered minorities. In many crucial electoral states, this 'former minority' is fast becoming the deciding vote. The candidate who reaches out most effectively will win their support."

"Token efforts, such as tamale parties, will no longer work. Winning will require more than outreach. It will require inclusion," Sosa said. "Latinos, African-Americans and people of other races must be represented in the important decision-making strategies of any given campaign, whether it be for a Democrat or Republican."

@highlight

Births of nonwhites have now overtaken births of whites, according to the U.S. Census

@highlight

Republicans face uphill battle in persuading Latinos to vote for their candidates

@highlight

Shift is most pronounced in the South and Southwest