(CNN) -- Google is a company focused on problem solving. It has untold amounts of computing power at its disposal working away to try and solve big problems.

But one issue requires a more analog approach: upping the number of female computer engineers.

During his keynote address at the Google I/O developers conference this month, co-founder Larry Page said that Google had been focused on recruiting more women "forever" to ensure that the company didn't end up all male.

"The only answer is, we have to start early and make sure we get more women and girls excited in technology," said Page. "There's no question we will double the rate of progress."

The company has a number of year-round initiatives aimed at hiring and educating more women programmers, including scholarships and events. The annual developers' conference offers a rare public, visual example of the industry's gender gap and the company's progress.

In the past, women attendees and speakers have been underrepresented in the conference halls and on its stages. Since the conference started in 2008, Google has been working to shift the numbers. According to Google Vice President Megan Smith, the percentage of women at this year's Google I/O was in the teens, up from a single-digit slice at last year's conference.

Google has worked to shine a spotlight on the accomplshed women working in technology now, as well as the women who have done important work in the field throughout history. The Women Techmakers Fireside Chat featured some of Google's high-ranking women, and the event was quickly filled to capacity with a mix of men and women.

"Its been a priority from the beginning ... the visibly of technical women is something we really want to work on," said Smith, who works at Google[x], Google's semi-secretive experimental wing that works on futuristic projects and prototypes.

First Google made a concerted effort to find talented women in the field from around the world to invite to the conference.

"We felt like there were incredible technical women who should be at I/O, who for whatever reason weren't there," said Smith. "We did a lot of work to just make sure that we were increasing the presence of women leaders ... on the stage and in demos."

They also organized a social event for all the women attendees and offered on-site day care for all parents attending the conference. Kids were also welcome on the floor, and one dad wrote in to say it had been a great father-daughter event.

Another continuing part of Google's approach is community building for women already in the field so that they feel less isolated. The company held a Women Techmakers social for female I/O attendees before the conference. Women were invited to meet their peers, enjoy some wine and food from the Google kitchen, and then break off into teams up to create unique projects using littleBits and arts and crafts supplies.

Developer Rony Rozen was at the event and came all the way from Israel to attend the conference after Google invited her. Rozen is the founder of poccaDot, an iOS and Android app development company in Tel Aviv. She started the company after serving as a programmer with the Israeli Air Force, and she is a mentor for mobile development at Google's Israel campus.

"I think Google can (and should) expand their efforts to be more visible to the general public and not just to the people who are already in the industry," said Rozen. "Incorporate more women into their commercials, make sure to advertise women tech-makers events throughout the year and eventually also expand the relevant age groups to focus on younger girls."

Smith is influenced by the success of the Harvey Mudd school in southern California, headed up by president Maria Klawe. Its computer science department is now 44% women, thanks to efforts by the school to figure out why more women weren't joining in the first place.

What it found was partially a PR problem. Some women didn't think the field sounded interesting due to a lack of understanding of what the work entailed. They also didn't think they'd be good at it.

"Young women are very interested in having an impact on the world," said Smith. "We haven't connected the dots for them" that coding can have a direct impact on issues that are important to them.

It's not just a matter of reaching out to young people. Women are getting into computer science later in life as returning professionals. And going back to college isn't the only way to learn programming, according to Smith. Anyone can take classes on sites like Khan Academy, Codecademy and Coursera.

Female programmers are also spreading the word on their own. Rozen is doing her part by teaching her young nieces how to program.

"We as a society need to make sure that more young boys and girls are exposed to this kind of education as early in possible in life, and I think that Google plays a major role in our achieving that goal."

@highlight

Google is encouraging more women to enter male-dominated tech fields

@highlight

The company invited more women to its annual developers conference this year

@highlight

Day care and scholarships are also being used to attract women engineers