Washington (CNN) -- Two influential U.S. senators introduced a resolution Tuesday expressing support for limited American involvement in the NATO-led military campaign in Libya -- part of an effort to counter rising pressure in the House of Representatives to withdraw backing for the mission.

Meanwhile, House Speaker John Boehner proposed two resolutions on the Libya mission that could come up for votes on Thursday. One would be the same as the Senate resolution introduced Tuesday, and the other would limit U.S. involvement in the mission to a noncombat role while allowing many of the same functions being performed now by U.S. forces to continue.

The House proposal seeking a noncombat role reflects frustration in Congress over what Boehner and others call President Barack Obama's failure to get necessary congressional authorization under the War Powers Resolution for engaging U.S. forces in the Libya military campaign.

"If the Commander-in-Chief believes that intervention in Libya is important for our national security, he has a responsibility to make a case for it -- clearly and publicly -- and seek authorization," Boehner said in a statement announcing the two proposed House resolutions. "In the three months since military action in Libya began, none of this has occurred. The American people deserve to have their voice heard in this debate, and Congress has a responsibility to hold the White House accountable."

The Senate resolution, introduced by Massachusetts Democrat John Kerry and Arizona Republican John McCain, authorizes the commitment of U.S. forces for one year while stressing the lack of support for any use of American ground troops.

"I believe the president did the right thing by intervening to stop a looming humanitarian disaster," McCain said.  "I believe we will find a strong, bipartisan majority that is in favor of authorizing our current military operations in Libya and seeing this mission through to success."

Kerry added, "By supporting this resolution, we tell Arabs young and old that the United States is willing to make tough decisions and spend our tax dollars to help ensure your freedom."

The allied military effort, which already has formal U.N. support, was launched to protect Libyan civilians from violence stemming from a crackdown launched by the North African country's longtime ruler, Moammar Gadhafi. Western leaders have made clear, however, that they believe the mission cannot be successfully completed without Gadhafi's ouster.

The Obama administration has already promised not to use U.S. ground troops, but bipartisan congressional opposition to the military campaign has been mounting. An unusual coalition has formed between traditionally anti-war Democrats and conservative Republicans worried about the cost of the conflict and skeptical of its national security importance.

One of the House resolutions under consideration will be the same as the McCain-Kerry proposal that supports the current limited U.S. role in the mission, Boehner, R-Ohio, said in a statement. A House GOP leadership source said the measure is expected to be defeated.

The second House resolution would remove U.S. forces from hostilities in Libya, except for those engaged in nonhostile actions including search and rescue; aerial refueling; operational planning; intelligence, surveillance and reconnaissance; and noncombat missions. While the resolution would be nonbinding, its approval by the House would signal strong opposition to Obama's decision to commit U.S. forces without seeking authorization from Congress.

A House leadership aide said the second resolution is aimed at U.S. military drones and any other combat role by U.S. forces in Libya, and is likely to pass in the Republican-controlled chamber.

House Republicans will meet Wednesday to further discuss the issue, and GOP leaders were not ruling out possible changes or additions to the resolutions.

Critics contend the 1973 War Powers Resolution gives the president 60 days to get congressional approval for sending U.S. forces to war, followed by a 30-day extension to end hostilities. The combined 90-day period ended Sunday.

Support for the war has also been shaken by evidence presented by Gadhafi's government of several noncombatant deaths caused by recent NATO airstrikes.  NATO officials admitted over the weekend that aircraft from countries in the alliance had mistakenly struck vehicles aligned with the Libyan opposition.

The White House argues the president didn't need congressional authorization because U.S. forces are playing only a supporting role in Libya and haven't engaged in what the law defines as hostilities. Obama, however, personally overruled contrary legal opinions put forward by both the Pentagon and the Justice Department's Office of Legal Counsel, according to a Saturday report in The New York Times.

In the Senate, Majority Leader Harry Reid, D-Nevada, and Minority Leader Mitch McConnell, R-Kentucky, have resisted holding a vote on the war because of divisions within their respective caucuses.

Reid said Tuesday that there is bipartisan support for the McCain-Kerry resolution in the Senate Foreign Relations Committee, but that he was still in discussion with the two sponsors on when to bring the measure from the panel to the Senate floor.

He indicated it could be brought to the floor as early as this week.

McConnell, meanwhile, told reporters that "we all anticipate that there will be some kind of Libya debate in the Senate in the near future."

McCain has expressed anger that the White House didn't push for an earlier congressional vote on the war. The senator, who ran against Obama in 2008, contends a resolution of support would have passed easily when NATO first intervened.

"The administration's disregard for the elected representatives of the American people on this matter has been troubling and counterproductive," McCain said Tuesday. "The unfortunate result of this failure of leadership is plain to see in the full-scale revolt ... that is occurring in the House of Representatives."

The House is also planning to take up the 2012 defense spending bill later this week, and liberal Rep. Dennis Kucinich, D-Ohio, intends to propose an amendment cutting off funding for the mission. However, that amendment is likely to only come up next month after the House returns from its Fourth of July recess.

To prevent a similar resolution from Kucinich from passing earlier, Boehner pushed through a resolution giving the president two weeks to send Congress information justifying the U.S. strategy in Libya.

Obama responded with a 32-page report arguing in part that he has not violated the War Powers Resolution.

Even if the Republican-controlled House passes measures intended to limit funding for the Libya mission, it is unlikely the Senate would do the same.

"The president's done a lousy job of communicating and managing our involvement in Libya, but I will be no part of an effort to defund Libya or to try to cut off our efforts to bring Gadhafi down," conservative Sen. Lindsey Graham, R-South Carolina, told NBC's "Meet the Press" on Sunday.

Obama "needs to step up his game with Libya, but Congress should sort of shut up and not empower Gadhafi," Graham argued.

In March, the Senate unanimously passed a nonbinding resolution supporting the no-fly zone over Libya. Some Republicans, however, have now expressed opposition to that effort, citing growing concerns about its cost.

In its report on the mission, the administration said the cost of military and humanitarian operations through June 3 was about $800 million. It estimated the total cost through September 30 would be $1.1 billion.

Questions about the war's financial and other costs have also been raised in the United Kingdom, which has played a leading role in the NATO effort.

British Prime Minister David Cameron insists that Britain's military involvement in the North African country can continue "as long as we need."

CNN's Dana Bash, Deirdre Walsh, Dan Lothian, Alan Silverleib and Tom Cohen contributed to this report.

@highlight

NEW: The House may consider a resolution limiting U.S. role to noncombat activities

@highlight

Sens. Kerry and McCain introduce a resolution offering support for the Libya mission

@highlight

Critics say the White House hasn't complied with the War Powers Resolution

@highlight

Pressure is mounting in the House to cut U.S. support for the NATO-led mission