Hong Kong (CNN) -- Apple's share price has fallen more than 25% since its record high set three months ago -- no less than five analysts have lowered their price targets for the U.S. technology giant in the past few days.

To make matters worse for Apple, Android smartphones continue to reign supreme in global market share: for every one such device running on Apple's iOS, about seven smartphones running Android's operating system are computing away.

Is Apple losing its bite? In the short-term, investors and analysts seem to think so. But in the medium-term, they believe milestones exist that can put the shine back on Apple's share price and image.

Apples do fall

On September 19, Apple's share price closed at a historic high of $702.10, exactly one week after the debut of the iPhone 5. But as the freshness of the device's latest iteration wore off, so did the bullishness for Apple's stock. On December 17, it fell below the psychological $500-mark, to slide below $497 in pre-market trading. The company's share price quickly climbed above that threshold that day but still sits at lows not seen since mid-February.

The dive in Apple's share price has also been attributed to a cut in orders from its parts suppliers. One fear is that Apple may have produced too many iPhone 5s in the current quarter and it may now need to scale back manufacturing in 2013. Analysts from UBS, Citibank, Mizuho, Canaccord and Pacific Crest all cut their price targets on Apple leading to a further drop in the Cupertino-based company's share price.

Another fear is that the iPhone 5 has not been selling as well as previous versions; however that has now been debunked. A record 19 million iPhone 5 units are estimated to have been sold in the U.S. in the fourth quarter of 2012, according to a survey by Morgan Stanley, which would represent a 33% year-on-year increase. Apple also sold more than two million iPhone 5 units in China when it debuted this past weekend.

"Customer response to iPhone 5 in China has been incredible, setting a new record with the best first weekend sales ever in China," said Tim Cook, Apple's CEO, in a press release.

"The Company remains on track to launch in 100 countries by the end of the year. In our view, this is a positive," said RBC's Amit Daryanani.

Comparing Apples To Androids

But for all the hope and the hype that surrounds Apple, Android smartphones reign supreme in terms of market share by operating system.

Investment research firm Morningstar says Apple has much work to do in 2013. "Although Apple has a robust product pipeline and ample opportunity to gain share in its various end markets, short product life cycles and intense competition will prevent the firm from resting on its laurels," it wrote in a statement.

Globally, less than two in ten smartphones that shipped in the third quarter of 2012 sported Apple's iOS operating software. But in that same period, Google's Android platform ran 75% of smartphones around the world. This also represented a 91.5% increase over the same quarter in 2011, according to International Data Corporation.

Apple's iOS claimed just under a 15% market share in the same period.

Apple's next crop

Despite the recent release of the iPhone 5, analysts are already looking ahead to Apple's potential product releases for 2013 to pull the company's share price up.

"For Apple we believe the sell-off is nearing a bottom but we acknowledge the fears around margins, maps, emerging markets, competition and execution. The company clearly needs to ease these concerns in the near future," said Barclays' Ben Reitzes. "It may take another round of new products and innovations to regain investor confidence and help drive another run."

One analyst from Jefferies predicts an iPhone 5S may ship in the summer of 2013 and that iPhone 6 prototypes already exist.

Speculation is also growing that Apple may debut an Apple television set, a so-called iTV, by the fall of 2013. In a recent Morgan Stanley survey, 47% of 1,568 respondents said they were "somewhat interested" or "extremely interested" in buying an Apple-branded TV set which could translate into 56 million units being sold in the U.S. alone.

The report added a potential iTV rollout represents a new $13 billion opportunity for the world's most valuable company.

@highlight

Apple's share price has fallen 25% since record high of $702.10 set three months ago

@highlight

UBS, Citibank & Mizuho analysts all cut share price targets for Apple in past few days

@highlight

Morgan Stanley: Record 19 million iPhone 5's forecast to have been sold in Q4 2012

@highlight

iPhone 5S, 6 & rumored "iTV' may pull up Apple's share price in 2013, say analysts