Washington (CNN) -- When Republican Sen. Olympia Snowe of Maine rocked the political world with her announcement that she would not seek a fourth term in the Senate, she was forthright in expressing her frustration with "an atmosphere of polarization" in politics.

But for all her transparency, it was one of Snowe's Senate colleagues who perhaps best summed up her motivation for deciding to end her decades-long tenure on Capitol Hill.

"I think she lost hope," Sen. Lindsey Graham, R-South Carolina, told CNN.

Graham, who like Snowe had participated in bipartisan efforts to find compromise on hot-button issues, added, "You know, all of us need to believe there is a light at the end of the tunnel. If you lose that belief, why do you spend seven years of your life -- which in her case would have been her commitment -- to do something that there seems no hope."

Citing partisanship, Snowe makes surprising exit

Snowe is the latest in a string of centrist senators to announce that they will not seek re-election in the fall.

Late last year, Sen. Ben Nelson, a conservative Democrat from Nebraska, announced that he would not seek re-election in 2012. In a statement announcing his decision, Nelson called for "those who will follow in my footsteps to look for common ground and to work together in bipartisan ways to do what's best for the country, not just one political party."

At the beginning of 2011, Sen. Joe Lieberman, an independent from Connecticut who caucuses with Senate Democrats but agrees with Senate Republicans on many issues of foreign policy and national security, announced he would not run again in 2012.

"I have not always fit comfortably into conventional political boxes," Lieberman said at the time, "Democrat, Republican, liberal or conservative. Because I've always thought my first responsibility is not to serve a political party but to serve my constituents, my state, and my country."

Nelson and Lieberman are joined by Sens. Jim Webb, a centrist Democrat from Virginia focused on military and foreign affairs; Kent Conrad, a North Dakota Democrat who said a re-election campaign would distract him from focusing on trying to solve the nation's serious challenges; and Jeff Bingaman, a New Mexico Democrat.

Retiring senators: Time is ripe for bipartisanship

While Snowe's departure is indicative of growing partisanship in the Senate, it will also be an unexpected obstacle to conservatives' ambition of regaining a Republican majority in the Senate.

Democrats hold a 53-47 majority in the Senate but are defending 23 of the 33 seats up for grabs in November, including those of two independents who caucus with the Democrats.

"It's a significant blow to Republican prospects in picking up the Senate," Stuart Rothenberg, editor and publisher of the Rothenberg Political Report, said. "They're going to now have to defend a very difficult seat."

In the wake of Snowe's announcement, both Rothenberg and the Cook Political Report, both of which are nonpartisan, changed their ratings of the outlook for her Senate seat in the general election from "likely Republican" to a toss-up.

Snowe explains reasons for leaving

Rothenberg said that he thought "probably most people would agree" with Snowe's comments about the climate in the Senate.

Congress' upper chamber is starting "to look more and more like the House," observed Rothenberg, where Republicans and Democrats have recently found themselves in the past year on opposite sides of an ideological gulf. "[The Senate's] not there yet," Rothenberg said, "but it starts to look more like the House where you have people increasingly on both ends of the spectrum and relatively few people in the middle. And the people on each partisan side are more hesitant to compromise."

"The center has been under siege in our Congress," CNN contributor John Avlon said. "This is not normal and it's not healthy for our democracy," Avlon also said about the heightened level of partisanship in Congress currently.

Avlon: Snowe's departure symptom of partisan illness

Avlon added, "We've had divided government before and we've been able to accomplish great things in our history . . . but because hyper-partisanship has hijacked our politics with this divided government [right now] we've got dysfunctional government."

What Avlon sees as dysfunction that impedes achieving bipartisan consensus, others -- especially conservatives and tea party movement activists -- see as a necessary and principled commitment to core ideological values. Indeed, backed by support from the tea party movement, a cadre of close to 90 freshman Republican House members arrived in Washington in 2011 committed to imposing fiscal discipline and either rolling back or stopping many of Democrats' key policy priorities.

"You're calling them centrists and moderates," Amy Kremer, chairman of the Tea Party Express, said of Snowe and others on Capitol Hill. "But they're not centrists and moderates in the things that matter to us, and that's fiscal responsibility."

"They are extreme on the spending," Kremer added, "and because of their reaching across the aisle and continuing to compromise we are now [close to] $16 trillion in debt. That's extreme. And we cannot support people like that."

Although observers like Rothenberg believe Snowe would have survived a primary challenge and won re-election, a year ago the Tea Party Express included Snowe on its 2012 target list.

"She's definitely one that has voted to spend more and grow government and she's definitely not a small-government, rein-in-the-spending senator," Kremer said of her organization's decision to target Snowe for ouster.

Asked about the paradoxical situation created by Snowe's decision, with the GOP now facing a new obstacle in retaking the Senate, Kremer made no apologies for the tea party movement's push for more commitment to conservative fiscal principles.

"Regardless of whether President Obama is re-elected or not, we need to take back the Senate," Kremer said.

"We have changed the narrative," added Kremer, "Never before have Democrats even been talking about cutting spending. So we have to take that gavel out of [Senate Majority Leader] Harry Reid's hand."

Kremer said Republican Sens. Jim DeMint of South Carolina, Rand Paul of Kentucky and Mike Lee of Utah are examples of the kind of fiscal conservatives that the tea party movement would like to see more of in the Senate after this fall's election.

Despite partisan pressures for firmer ideological commitments from conservatives and the tea party movement on the right, and increasingly from liberals and the Occupy Wall Street movement on the left, some centrists remain in the Senate.

"I am concerned when people like Evan Bayh, Olympia Snowe and Ben Nelson leave the Senate," said Sen. Mark Warner, D-Virginia. "I hope and pray it doesn't mean the end of sensible people in the Senate who wan to get things done."

Warner was a member of the so-called "Gang of Six," a bipartisan group of senators who tried prior to the creation of the debt "Super Committee" this summer to arrive at a deficit-reduction deal that would have shaved roughly $4 trillion off the federal deficit. Although the "Gang of Six" did not succeed in crafting a plan that garnered enough support for passage in the Senate, Warner was quick to point out that the bipartisan effort did get 45 senators to sign on to its broad, bipartisan deficit reduction plan.

And far from giving up on bipartisanship, Warner said that he and Sen. Lamar Alexander, R-Tennessee, have been hosting a series of bipartisan dinners for their fellow senators. Four have been held so far, Warner said, with about 20 senators attending each gathering so that a majority of the Senate has already participated in the events.

Republican shake-ups in Senate leadership

"It does worry me if you allow voices on the ends of the political extreme to dominate the debate," Warner said, "That's not where the American people are. They want us to get things done."

Pointing to Congress' historically low approval rating, Warner said he thinks its "both good policy and good politics" to try to figure out ways to get things done in Congress.

Warner said he was "disappointed" to hear that Snowe would not seek re-election.

"She's a great senator," the Democrat said of his Republican colleague, "She didn't view every issue through a partisan prism."

On the same day that Warner praised his soon-to-be former colleague, Snowe held a news conference in her native Maine to explain her surprise decision.

Snowe told a gathering of family, friends, staff, and reporters that she did not see the partisan atmosphere in Congress changing.

"To the contrary, what I like to call the sensible center has now virtually disappeared in Washington," Snowe said.

CNN's Ted Barrett, Dana Bash, Paul Steinhauser, Rebecca Stewart, Alexander Mooney, Shannon Travis and Mark Preston contributed to this report.

@highlight

Sen. Olympia Snowe, R-Maine, surprised political world with her decision not to run again.

@highlight

"I think she lost hope," a fellow Senate Republican said.

@highlight

Snowe is the latest in a string of Senate centrists to announce retirement.

@highlight

Despite departures, some centrists remain including Sen. Mark Warner, D-Virginia.