(CNN) -- It has been dubbed Russia's Las Vegas. A place where Vladimir Putin's government rolled the dice in a grand project to help the world rethink the way it does business.

More than $50 billion has been spent in reshaping Sochi for the Winter Olympics, in the process bringing traffic gridlock, a decline in tourism and environmental destruction.

If it's been tough for the locals, it has arguably been just as hard for the ex-pats who came to the Black Sea resort looking for a new life and are left wondering just what the legacy of this month's Games holds for them.

One British businessman, who came to Russia in 1996, believes a huge opportunity has been missed by the authorities.

"What the Russians don't understand is the price of what they have. The natural resources here, the forests, the rivers -- there's so much untouched nature here it's just incredible," says James Larkin.

"You can walk in the mountains for several days and you won't see any houses, any roads, there's no way to get there except for walking. There's not really many places in the world left for that. That is a huge tourist attraction in itself."

Larkin started a "banya" spa retreat in the Krasnaya Polyana mountain region above the coastal city, but has spent the last year working in Moscow due to the chaos brought about by Sochi's reconstruction.

"The last few years it's been pretty bad, they've been digging up the roads, lots of traffic jams. The locals, who are tourists who'd come from Sochi, they've stopped coming completely.

"The prices have shot up ... economically it's made the whole thing very difficult."

For American businessman Bruce Talley, however, the influx of the thousands of people needed to turn Sochi into an Olympic venue has been a massive boon.

Talley, who worked in investment banking before spotting opportunities for property investment in Russia, has found a niche helping Olympic officials, broadcasters and sponsors to navigate Russian bureaucracy.

"It's amazing. I lived in California for a long time and I watched the growth and development there, and of course southern California is a much bigger area ... In a concentrated region like this, I've never witnessed anything like the changes here," he told CNN.

"There have been a lot of people who have relocated here working for various bodies. We've done relocation for some of those companies, helping them find apartments all the way up to providing services, financial management and contracts."

In between these two perspectives lies Bastien Simonneau, who with his chef father runs a French seafood restaurant overlooking the harbor, a bakery and a catering business.

"I think after the Olympics it will be good because we will have good hotels, roads, a nice airport -- it will be very quick for people to come from Moscow to enjoy the snow," the 31-year-old told CNN.

"Right now, of course, you don't get tourists."

That was late last year, when Sochi's workforce was still battling towards its deadline of being ready for the February 7 opening ceremony.

Since then, security has been stepped up even further after several terrorist alerts, resulting in a clampdown on traffic into the city.

Sochi, which has a subtropical climate, has traditionally been the hub of the "Russian Riviera" -- a narrow 2 km belt of coast that stretches 145 km.

It's a popular summer retreat for Russians, but there is some doubt as to how many foreign tourists will make the long trip for the Olympics despite the much-improved air and rail links.

"Before we were thinking yes, but right now we don't know," Simonneau says.

"The authorities, their priority is terrorists, to control everybody, so I don't know if we are going to have a lot of foreigners. You need to have documents for everything. We have a lot of questions about how it will work, but they don't answer us."

But there is no doubting the tourism potential of the massively-revamped Krasnaya Polyana mountain cluster, which Simonneau recalls had just one ski lift ("I think they bought it secondhand from Yugoslavia") at the time of his first visit several months after Sochi was awarded the Games back in 2007.

"I really enjoyed the quality of snow but it took 40-45 minutes to get to the top of the mountain," he says. "They only had one road. There was nothing in Krasnaya, a small village and nothing much, only Russian tourists."

Now there are three high-end resorts, much to the delight of Russia's ski-loving president Vladimir Putin, who has taken a hands-on approach in ensuring his grand project goes to plan.

However, locals in Akshtyr village outside Sochi have complained about the effects all the building has had on their environment.

Alexander Koropov told CNN a train line built 20 yards from his fruit farm has left the produce rotting on the vine due to pollution at the construction sites.

"Every 10 minutes, he says, the high-speed train whizzes past his house, and it drives him crazy," reports CNN's Ivan Watson, who says other residents told him the government had failed to fulfill promises to provide centralized plumbing and heating.

"Alexander says this was a beautiful place before the Olympics. You can't imagine how many trees were destroyed here to build this."

Sochi's organizers, however, say they have undertaken extensive replanting programs to replace hundreds of thousands of trees in affected areas in the city and surrounding regions. Areas for endangered plant and animal species have been created, according to the Sochi 2014 Environmental Strategy .

The Mzymta river basin is also being restored, with millions of fish released into the waters, and Sochi's aim is a "Zero Waste" Games that have "minimal impact on the climate" in terms of greenhouse gas emissions, said the official policy statement.

Larkin, though, despairs at the impact of development on what was previously a relatively unspoiled mountain region.

"Most of the Russians, especially the politicians, don't get it. For a bad copy of what you've got in Switzerland, made in a couple of years, you're not going to impress people," he says.

President Putin's plan to enhance Russia's reputation as a major international player may have sacrificed some of the sprawling country's natural beauty but, some say, it is revitalizing a region that had fallen into neglect following the Soviet era.

"The Olympic torch is going to burn where I used to live," says Rima Seferyan, one of thousands of Sochi residents who had to relocate. "I'm very happy with my new house."

Bruce Talley -- the American fixer -- is excited about the business opportunities that lie ahead for the city, which will host Russia's first Formula One race in October and will provide one of the venues for soccer's 2018 World Cup.

"Sochi is kind of being reborn," says the 54-year-old, who publishes what he says is the only English-language information source in the city.

"They will be having lots of events for a long time here.

"We had the economic forum going on, one of the few largest business forums in Russia -- there's one in St. Petersburg and one in Sochi each year. Tens of thousands of people come here to make contacts."

Russia, as Bastien Simonneau also acknowledges, is not an easy place to do business. Through his ventures, the restaurant owner says they have been helped by its people's love of French culture.

"The biggest challenge is to find someone you trust. The second thing is to find and train the staff," he says, adding that most of his workers come from other parts of the country.

Spa owner Larkin says it might be even harder now for foreigners to set up business in Sochi.

"It's a question of the initial cost of it -- the price of land and construction materials has gone through the roof, it's more expensive than in Moscow," says the 58-year-old.

"The second problem is finding people. They have made all the foreigners move out, mainly people from countries like Tajikistan who've been doing work there.

"They've had to leave so it's more expensive to find people who can sink piles or lay bricks or things like that. Then you have all the other problems of getting your suppliers."

Despite the difficulties the Olympics have brought him, Larkin hopes international visitors will come to Sochi and experience life in Russia -- though they may have to escape the confines of the Olympic area to do so.

"I'm English but Russia is my home, I'm very fond of this country and the people here. They've got a lot of good things to offer," he says.

"The people are nice -- they're a bit harsh at first, a bit hostile but, inside, most of the Russians have a very warm heart and are quick to make friends with you.

"I've had situations where you've had a small car crash with somebody, they're shouting, swearing and getting angry -- after about 10 minutes they're inviting you home for dinner."

@highlight

Russia's first Winter Olympics has brought both opportunities and disruption

@highlight

Spa owner says extensive construction work has made his business "very difficult"

@highlight

An American has found a niche facilitating needs of officials, sponsors and broadcasters

@highlight

French father-and-son restaurant team waiting until after Olympics to see benefits