The on-pitch collapse of an English Premier League soccer player at the weekend raises questions about how such highly-trained athletes can be struck down in such a manner.

Professional sports players are generally in prime physical condition, especially with today's advanced physiological, nutritional and medical knowledge.

However, Fabrice Muamba is the latest in a growing list of athletes around the world who have suffered heart problems -- seemingly out of nowhere.

So why does it happen, and can it be prevented?

"What is important to realize is that playing sport vigorously can unmask an undiagnosed, underlying condition," says Dr. Hilary Jones, a medical expert from England.

"So when we see someone have a subarachnoid haemorrhage, a sudden stroke on the field of play, we're shocked by it. If someone has a cardiac arrest, we're very shocked by it. These events aren't common, especially amongst athletes, but they aren't rare either."

Jones says, in the UK, 12 young people under the age of 35 die each week from undiagnosed cardiac conditions -- but only one in 45,000 sportsmen will suffer such a death.

But aren't there tests that can stop this happening?

Yes, but they differ from country to country, says U.S.-based cardiologist Dr. Chandan Devireddy.

"Testing is very controversial in the medical community as far as what type of testing, when to screen, how to screen," says Devireddy, who works at Emory University Hospital in Atlanta, Georgia.

The Premier League, for example, says all players aged 16-18 at its member clubs "must go through a cardiological examination/screening" and then have follow-ups "as early in their careers as possible and again if the annual medical screen shows any results that warrant a further examination."

That should have covered the 23-year-old Muamba, who came to England from the Democratic Republic of Congo in 1999 at the age of 11 and began his career at top-flight club Arsenal before joining Bolton in 2008 from Birmingham.

"They have described a cardiovascular exam, but that's not really described in detail -- does that mean physical exam plus an EKG (electrocardiogram)?" asks Devireddy.

"This varies from country to country depending on what the recommendations are. The U.S. is not actually advocating EKGs, but that's very controversial internationally. There are some bodies that have had very close monitoring of this on a population basis, such as Italy where they said EKGs make a huge difference in detecting this in a population."

So what is wrong with Muamba?

The exact diagnosis has yet to be released, but experts seem to agree it is most likely hypertrophic cardiomyopathy -- a condition where the heart muscle thickens, causing a stoppage of blood flow.

"It is one of the most common genetic cardiac conditions in the human population," says Devireddy.

"A lot of times these types of conditions can be passed on from generation to generation. Whether Mr. Muamba knew his family history from this standpoint, we don't know."

Jones says this condition is slightly more common in black athletes than white ones.

"There is also the possibility of a cardiac arrhythmia, where the rhythm of the heart is broken and a cardiac arrest occurs," he says. "A third reason could be the congenital abnormality of the structure of the coronary arteries, again, which he would be born with -- and which might not have been diagnosed."

Does heart testing guarantee that these conditions will be discovered?

"With EKG screening, sometimes this isn't caught," Devireddy says. "With the hypertrophic cardio myopathy we're discussing, about 70% of the time the first incidence of that being diagnosed is with a sudden cardiac death episode."

Jones says that sports players should have both EKGs (which interpret electrical activity) and ECHO cardiagrams -- which use ultrasound techniques to create images of the heart.

"There was a screening program that was very effective in Italy, for example, where all their young professional sports people were being screened," he says.

"They were detecting quite large numbers of abnormality and indeed they were able to reduce their mortality rate by 90%.

"There are people here in this country and elsewhere in Europe and the rest of the world looking at more effective screening procedures to try to diagnose those conditions which are previously undiagnosed."

Will Muamba, who is in critical condition in intensive care, be able to survive?

"The fact that care providers were there and got to him immediately -- the word was that defibrillators were available, which is crucial at sporting events and arenas -- I think that if he makes it that will be a crucial aspect in his recovery," says Devireddy.

Muamba collapsed just before halftime in a match at Tottenham, and medics rushed onto the pitch to try to revive him. His heart did not start working again until he reached the hospital.

"The critical thing with someone who has had a cardiac arrest is to try to establish circulation as soon as possible, so the quicker that happens, the better," Jones says.

"And clearly, in the case where there is no heartbeat re-established, normally, for two hours, the outlook is not good. It's all about getting enough oxygen to the brain, getting oxygen to the kidneys. And the longer that break in circulation happens, the worse the outlook.

"But he's in hospital, he's in intensive care, he's been there for two days and there have been no further reports. So whilst he has been given every chance of life, I'm afraid the outlook is not good."

Could the same thing happen to me?

"It's completely counter-intuitive to look at a 23-year-old, very fit, highly talented sportsman like Fabrice Muamba having a cardiac arrest on the pitch with no prior warning, and it makes everyone think, 'Could this happen to me?' " explains Jones.

"He would have had some underlying condition. He was fit in every other respect, and sport does make us fit, but it doesn't rule out any underlying subtle conditions which are difficult to diagnose without screening tests. Anybody playing a sport at a high level should be screened."

Devireddy agrees that sports stars should be able to cope with the physical rigors of their profession.

"For athletes at this level, these gentlemen train to compete day in, day out," he says.

"Of course, if they're pushing themselves beyond the human limits in terms of how well hydrated they are and how their electrolyte balances are, you can predispose even the most competitive athlete to abnormal heart rhythms and straining the heart muscle, but from experience in previous history and previous cases, this likely has some underlying cause to it."

@highlight

Soccer player's tragic collapse sparks debate about heart problems in sporting arena

@highlight

English doctor says that top-level competition can unmask underlying health conditions

@highlight

Cardiologist in U.S. says that screening cannot always discover these problems

@highlight

They both call for more heart testing for top sports players