Washington (CNN) -- When Republican Rep. Paul Ryan and Democratic Sen. Patty Murray held a news conference -- together -- to announce that they reached a deal on the federal budget, the ideological opposites received immediate praise for their cooperation.

And they reached their agreement that would avert a potential government shutdown in January just two days before the Congressionally imposed deadline for doing so.

The proposal that was heading for final congressional approval in the Senate on Wednesday is being held up for all to see as a rare illustration of bipartisanship in a deeply divided Washington that could lead to greater Congressional comity.

It's "an important step in helping to heal some of the wounds here in Congress," Murray said when she announced the agreement with Ryan.

No-drama budget vote: How can this be?

While she suggested the act of working together has the potential to influence the mood in Congress to be more agreeable, the deal removes a significant obstacle that has led to legislative gridlock so far this decade. For the next two years, Congress has a binding restriction on the amount of money it can spend.

The deal split the difference between the amount that Republicans and Democrats wanted to spend -- $1.012 trillion for 2014 and $1.014 trillion for 2015.

"This means we can fund the operations of government through regular, annual appropriations bills, instead of through last-minute, stop-gap bills that put the government on autopilot," said Sen. Barbara Mikulski, who sits at the head of the Appropriations Committee.

A big deal

That's a big deal. It's the first time that a budget agreement has passed a divided House and the Senate since 1986, according to Senate Majority Leader Harry Reid.

"Gridlock has got to end and it is ending," Reid told reporters. "It's really a step forward."

But will it end gridlock?

"No," Congressional scholar Thomas Mann of the Brookings Institution said.

"I don't expect it to have any lasting consequences," Mann said.

The budget agreement only solves part of the problem. While it sets spending levels, it doesn't actually allocate the money and doesn't specify how the money can be spent.

That battle will begin immediately.

Appropriations Committee members must agree before January 15 -- the deadline set by Congress in October for a new spending plan to be in place -- on how to divvy up the money.

For instance, Republicans will want more money for the military. Democrats will want more money for Head Start programs.

"We may not even be through with this," Mann said.

And that's not the only issue of contention to be worked out in January alone.

Extended unemployment insurance benefits are set to expire December 28, which will leave 1.3 million people without benefits and hit another 800,000 in the coming weeks.

Despite the looming deadline, the issue was shelved in order to reach a budget deal.

Reid vowed to address the issue immediately upon the Senate's return in January. Republicans, however, are not keen on the extending the already expanded program.

Again?

Before the budget deal even becomes law, signs of serious strife are already emerging around the debt ceiling, the nation's borrowing limit, which is expected to be tapped in February.

Since 2010, the debt limit has sparked partisan fights and near-government shutdowns as Republicans want an increase in the debt ceiling tied to spending cuts.

"I can't imagine the Republicans want another fight on debt ceiling," Reid told reporters Tuesday.

But they are. And the foundation is being laid for a major battle in the new year.

"We don't want nothing out of this debt limit," Ryan said Sunday on Fox News.

Over in the Senate, the sentiment is similar. A top Republican indicated that he expects his caucus to push for concessions related to reducing government spending.

"Every time the President asks us to raise the debt ceiling is a good time to try to achieve something important for the country," Senate Minority Leader Mitch McConnell said Tuesday.

An election year

Further complicating this so-called season of bipartisanship is that 2014 is an election year, historically a time when less gets accomplished in Congress as lawmakers become even more risk averse and spend even more time fund-raising and campaigning.

Lawmakers up for re-election are reluctant to take risky votes. And a decent indicator of how Congress deals with next year's prickly battles is that all seven Republican Senators facing primary challengers in 2014 were opponents of the budget deal.

And in the House, where all members are up for reelection, primary challengers are also common, forcing lawmakers to appeal to party activists often by shunning compromise.

And that is unlikely to subside.

Even though House Speaker John Boehner surprisingly criticized conservative groups publicly last week, no one on Capitol Hill expects the Ohio Republican to become the champion of bipartisanship.

To be determined

A host of issues still need to be worked out, including the Farm Bill, which affects the price consumers pay for groceries, payments to doctors who see Medicare patients, and immigration.

And even the budget deal were to be reworked post-passage. Some lawmakers, including South Carolina Republican Sen. Lindsey Graham, vow to reverse a provision that reduces retirement benefits for military families.

Mann said the budget deal is a singular instance of cooperation because it played into both parties best interests. Both parties avoided being labeled obstructionists and extremists.

"This isn't about good feelings among members but strategic behavior by two parties," Mann said.

Bipartisanship is, ultimately, a partisan play.

Military retirees 'screwed' in budget deal

CNN's Gregory Wallace and Deirdre Walsh contributed to this report

@highlight

Bipartisan budget deal first to pass divided Congress since 1986

@highlight

It could pave the way for future bipartisanship

@highlight

But contentious issues and an election year could hamper progress