(Mashable) -- In peeking ahead to predict what 2012 holds for Google, it's informative to look back at the eventful year it had. While one can't help but see the big product introductions -- a social network, a mobile-payment system, a music store -- it's the deletions that are much more interesting.

Google got rid of a host of unwieldy and barely used products and features in 2011. While Google regularly does "spring cleaning" to trim its vast portfolio, the projects scrapped this year were many, and most were originally intended to be major focuses of the company.

Just look at this partial list of the services killed or folded into larger projects: Buzz. Knol. Checkout. PowerMeter. Health. Wave. Even the company's well-meaning initiative to save the world from coal-fired power plants got tossed.

The mass culling is indicative of the style of Google's new CEO, Larry Page. Of course, Page was Google's first CEO, too, stepping aside for a decade to let Eric Schmidt run the show while Page and fellow company co-founder Sergey Brin could craft the company's web services.

Google experimented a lot during that decade, and now that Page is back in the driver's seat, he appears to have gotten that out of his system.

Page is leading Google with unprecedented focus. From the major moves the company has made in the nine short months since Page got the top job, it's clearer than ever which technologies Google is really serious about. After all, the ones it's more lukewarm toward have probably gotten the ax.

Being serious isn't the same as success, of course, but it's an essential first step. Google may be aggressively plowing ahead in the areas of social networking, mobile payments and mobile devices, but so are many other heavy hitters. There are sure to be some collisions in 2012. Let's take a look at some key ones.

Google+ comes into its own

Probably the most head-turning Google product launch in 2011 was the debut of Google+. Google's very own social network borrows elements from Twitter and Facebook, but is its own animal. The launch saw virtually instant adoption by pretty much anyone and everyone who considered themselves tech- or media-savvy. And that's been its greatest weakness.

Google+ has had favorable growth and many positive reviews, but it's still relatively unknown among "real" people. And those that do know it have the distinct impression that it's the social network for hard-core nerds. That's something Google has to change if it wants people to use its service instead of competitors, and going mainstream has to be a primary goal in the new year.

It can do so by leveraging its differentiators (like the useful multiple-person videoconferencing Hangouts), but most of all it has to find its voice -- its one-sentence description that doesn't have the words "like Facebook" in it.

This task is largely up to its users, since they're the ones using the service, deciding which features they like and how they use it. They're already starting to, with many Plusers treating the site like a centralized, supercharged blogging service.

Even as Google+ grows, though, it's doubtful that it'll ever be able to rise as high as Facebook, which is expected to hit a cool billion users this year. But as long as the service starts to become known as "the place where you..." something, maybe Barney Stinson, the digital-savvy womanizer on "How I Met Your Mother" will be regularly referencing it by the end of 2012.

Android puts its house in order

The most sticking criticism of Android is its fragmentation problem -- that there are so many devices running it, often with completely different specs, that it's impossible to know with any certainty whether or not your device will ever get any updates that Google releases.

That may not have hurt the platform's market share, but it's no doubt given a good chunk of potential customers pause.

Google's acquisition of Motorola is a big step toward, if not putting this fragmentation business to rest, at least turning the tide a little. You can bet the farm that every Motorola device released under the new Google regime will have a clear upgrade path. Although Google's other partners are wary of potential favoritism to Motorola, this actually works in Google's favor, too, since now they'll be strongly motivated to get in line with Google's plans, lest customers opt for the perceived reliability of the Moto/Google name.

At the same time, the recent Android malware scares have given the platform a black eye. While Google has been very effective at addressing viruses and trojans in various evildoing apps as they've appeared, it needs to deploy a more proactive strategy to attack the issue head-on. Could an acquisition of, say, mobile-security company Lookout be next? It couldn't hurt.

Ceding tablet territory while building content

It's something of a embarrassment to Google that the most popular Android tablet ever launched is the Amazon Kindle Fire, which doesn't even run Google's tablet-optimized operating system.

Amazon, by creating highly customized software that runs on top of Android and points users to the company's digital services, essentially carved out its own platform by hijacking Google's. Since Android is an open system, there's not much Google can do about it.

At this point, it doesn't really want to just yet. Tablets so far are essentially media-consumption devices -- good for watching TV and movies, reading books and playing games. As colossal as the company is in many areas (see below), right now Google is far from a big player in offering actual content. Google Books and Google TV are anemic services, if not outright flops. Google Music, though promising, is brand new and has no mind share.

So it makes sense that consumers reacted to "proper" Android tablets with disdain. After all, Google never opened up version 3.0 "Honeycomb," so anyone with actual content to offer (i.e. Amazon and Barnes & Noble) had no interest in using it. The devices on offer were virtually identical overpriced touchscreens whose only noteworthy commonality was that they weren't iPads.

Even though Google's just gotten into the hardware business by purchasing Motorola, I can't see it focusing much on tablets just yet.

Sure, the successors to the Xoom are on their way, and they'll even move into the hands of a few customers, but Google must first focus on bumping up the quality and reputation of its content offerings before any "Xoom Nexus" has a shot at gobbling up market share from Apple and Amazon. Original videos on YouTube is great first step -- there will be many more in 2012.

GDrive cements domination of the cloud

This is kind of a no-brainer, but Google will continue its blot-out-the-sun dominance in its primary services: search, email and cloud services in general.

Bing, the only credible challenger to Google's search business, is rising, but very slowly, and that's with Microsoft shoveling mountains of money into the service. And even though Yahoo and Hotmail now offer much better services than they did a couple of years ago, Gmail still has the (deserved) reputation of being the best and coolest of the lot.

Google's been the cloud business for a long time, of course, but when it finally unveils its expected Dropbox competitor, nicknamed GDrive, it's hard to see it not becoming an instant hit.

Google is already synonymous with storing stuff online, and with Google+ it's showed it can deftly merge disparate services to create a new and seamless experience. Standing against Google's huge storage capabilities and cloud expertise could be too much for any other player in the space.

Overall: Going with what works

Larry Page appears to have instilled Google with a new sense of focus, quickly striking while the iron's hot on promising products like Google+ and Android, putting stagnant ones like Buzz out of their misery, and nurturing potential late-starters like Google Wallet.

Some games, after all, are long, and we won't know for a while whether the company's bets on technologies such as mobile payments or solar panels will ever pay off. As soon as Page sees a winner, though, he clearly knows how to put the overwhelming force of the entire Google empire behind it.

Before 2012 is out, he'll no doubt have done it several times.

See the original article on Mashable.com

© 2013 MASHABLE.com. All rights reserved.

@highlight

Google+ going mainstream has to be a primary goal in the new year

@highlight

The most sticking criticism of Android is its fragmentation problem

@highlight

Google will continue dominance in its primary services: search, email and cloud

@highlight

Company should first focus on bumping up the quality and reputation of its content