(Time.com) -- With Tuesday's unveiling of the iPad Mini and a fourth-generation full-sized iPad, this has been a major week for the iPad. On Friday, Windows 8 went on sale — making it an even bigger week for Windows PCs.

But this newsiest of tech news weeks also turns out to be a reasonably significant one for the Mac. Much of Apple's Tuesday event was devoted to new models, including a substantial overhaul of the 13″ MacBook Pro with a Retina display, two absurdly thin new iMacs and an updated Mac Mini.

The profusion of new models was good news for Mac fans who have been known to fret that the Mac is being neglected as the iPhone and iPad become ever more important to Apple's bottom line and future.

As usual, Apple teed off its announcements with happy recent stats. I was aware that the Mac has outpaced the rest of the PC industry in sales growth for years, but I didn't know that the MacBook is the best-selling notebook line in the U.S., and the iMac is the best-selling desktop. Those achievements are more evidence that Apple's Mac strategy — build premium machines, sell them profitably and don't obsess over market share — doesn't mean that it can't end up with impressive market share anyhow.

After the Tuesday presentation, I sat down with Apple Senior VP of Worldwide Marketing Phil Schiller, who did the presenting of new models on Tuesday, and chatted with him about today's Macs, and how they got that way.

I began by asking him about the streamlining of Mac hardware that's been going on for years now. Apple has put its computers into unibody cases, sealed in the batteries, removed the optical drives, dumped hard disks when possible and either shrunk or eliminated many once-standard connectors. Rather than adding new features with abandon, as tech companies usually do, it's whittled the Mac down to its elegant essence.

Many of these changes have been controversial, at least briefly, at least among some observers. But they don't seem to have hurt Mac sales. What was the overarching strategy, I asked?

"This is what Apple has always been about, and the Mac has been about, from the first Mac and first iMac," Schiller said. "It's always been about making the best Mac we know how. Among the many benefits are making it easy to use and affordable, with great features. This high level of integration is part of delivering on that."

Schiller pointed out some of the downsides of the technologies it's removed or downplayed: rotating hard disks, for instance, use more power and are more likely to have reliability issues than solid-state storage.

"These old technologies are holding us back," he said. "They're anchors on where we want to go."

"We find the things that have outlived their useful purpose. Our competitors are afraid to remove them. We try to find better solutions — our customers have given us a lot of trust."

Apple began removing DVD burners from portable computers, where weight and thinness are paramount — at least to Apple — years ago. But the new iMacs are the first ones without optical drives. I asked Schiller if that was a more difficult decision.

"It actually comes from similar thinking as with the portables," Schiller said. "In general, it's a good idea to remove these rotating medias from our computers and other devices. They have inherent issues — they're mechanical and sometimes break, they use power and are large. We can create products that are smaller, lighter and consume less power."

Schiller pointed out that one major application for optical drives, software distribution, has gone largely digital. As for video, he said that "Blu-ray has come with issues unrelated to the actual quality of the movie that make [it] a complex and not-great technology...So for a whole plethora of reasons, it makes a lot of sense to get rid of optical discs in desktops and notebooks."

His preferred Blu-ray alternative? iTunes, of course, which lets you buy a movie and then watch it on all your Apple devices.

Once upon a time, people assumed that Macs' lack of Blu-ray was a delay, not a permanent decision to fast-forward past it. I told Schiller that I imagined folks don't ask about it much these days. "Correct," he said.

I noted that for years, pundits thought Apple would, or at least should, start making much cheaper Macs. I said that drumbeat seems to have come and gone, and asked Schiller if everyone finally understood that Apple was content with its strategy of sticking with the high end of the market.

"Our approach at Apple has always been to make products we're proud to own and use ourselves," he told me. "...We wouldn't make something cheap or low quality. When the economy is difficult, people care a great deal about the things they spend their money on. Customers have come to understand that Apple's products aren't priced high — they're priced on the value of what we build into them."

"There's something that happened in the industry...that made that topic meaningless. There were these products being created called netbooks. People said they were the future. We rejected them because we thought they were poor. Even if the market was going there, we weren't going to chase everybody downhill."

Netbooks eventually turned out to be a fad. And of course, Apple was working on a lower-cost computing device. "The iPad became our answer to the $500 computer. Time has proved us right on that point. And now 100 million people agree that the iPad is a great computer."

Oh yeah: I wouldn't be an inquiring reporter if I hadn't asked Schiller for his take on Windows 8 and Microsoft's strategy of building one operating system for both conventional PCs and tablets. He politely declined comment: "Primarily, we think about what we're doing, not what others do." At least I tried.

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Apple's Phil Schiller talks about new enhancements to the Mac computer line

@highlight

Rather than adding new features, Apple has whittled the Mac down to its essence

@highlight

Schiller: "Old technologies are holding us back. They're anchors on where we want to go"