It may be politically quixotic, but Sen. Dianne Feinstein proceeded undeterred Wednesday in seeking an updated version of the assault weapons ban she sponsored in 1994 that expired a decade later.

At an emotional committee hearing, Feinstein brought together families who lost loved ones to gun violence, police officials and others to call for banning military-style weapons from civilian use.

"It is hard for me to be here today to talk about my deceased son but I have to," sobbed Neil Heslin, whose son, Jesse, was one of 20 first-graders shot to death in December in a Connecticut school. "I am his voice. I am not here for the sympathy or a pat on the back. There's many people that stayed in the town of Newtown. I am here to speak up for my son."

Despite later testimony from witnesses who cited statistics in challenging the effectiveness of tougher gun laws, Feinstein and other supporters said they couldn't understand how anyone could argue that the general public has a constitutional right to weapons designed purely to kill as fast and brutally as possible.

"This is not a class. This is not a case study. People die. That's what happens," said Philadelphia Mayor Michael Nutter in arguing that police officers in his city get outgunned by criminals.

"No one has ever been able to explain why a civilian should have a military-style assault weapon for anything," he added to applause in the hearing room.

Fierce opposition by the influential National Rifle Association and conservative legislators, including some Democrats, makes it virtually impossible for the kind of ban proposed by Feinstein to win congressional approval.

Instead, the legislative focus has shifted to expanding and strengthening background checks for gun purchases, as well as toughening laws against gun trafficking and so-called straw purchases.

At the conclusion of Wednesday's Judiciary Committee hearing, Feinstein acknowledged the challenge, saying: "It's an uphill climb."

Clearly hoping the emotional scenes of Heslin and other victims of gun violence would generate public pressure on Congress to act, she said victory could be possible "with a little bit of help from the people of America."

President Barack Obama has proposed a package that includes a ban on semi-automatic firearms that mimic military assault rifles, as well as limiting ammunition magazines to 10 rounds and requiring background checks on all gun sales to close a loophole for private transactions.

Feinstein is pushing the weapons ban component of legislation the Judiciary Committee will consider in coming weeks. She led the battle for the 1994 assault weapons ban, which ended in 2004 when Congress failed to renew it.

Photos of the Newtown victims filled a poster behind Feinstein as she opened Wednesday's hearing by saying a renewed push for an assault weapons ban was necessary "because the massacre in Newtown was sadly not an anomaly."

Citing seven mass shootings in 2012 that included notorious incidents in Aurora, Colorado, and the Connecticut attack, Feinstein said "we cannot allow the carnage I have described to continue."

Her proposal would ban the manufacture or sale of hundreds of semi-automatic weapons modeled after military assault rifles, as well as ammunition magazines that can hold more than 10 rounds.

Anticipating arguments by the NRA and other opponents, Feinstein made clear the proposal only applied to future sales, saying anyone who legally owns one of the weapons targeted could keep it.

In addition, the legislation specifically excludes more than 2,000 kinds of shotguns and other firearms designed and used for hunting and sporting purposes, she noted.

A video clip she played showed how legal semi-automatic rifles can be easily modified to fire like fully automatic weapons that are banned under current law.

Republican opponents of Feinstein's proposal argued that the 1994 ban proved ineffective, citing studies that determined the law had no direct effect in reducing gun violence.

In one of several clashes between legislators and witnesses, conservative Sen. Lindsey Graham of South Carolina challenged Milwaukee Police Chief Edward Flynn over a lack of prosecutions of people who failed to pass background gun checks.

When Graham said the low number of prosecutions showed current laws weren't being enforced, Flynn angrily responded that police officers have to prioritize resources and go after armed criminals instead of "chasing paper," such as failed background checks.

"We don't chase paper. We chase people who have guns illegally," Flynn said, talking over Graham's efforts to stop him.

Another witness, U.S. Attorney John Walsh of Colorado, later responded to a similar argument from conservative Sen. John Cornyn of Texas by saying that "we go for the worst of the worst."

"The worst of the worst is a bad guy actually using a gun," Walsh said, adding that the 1.5 million gun sales rejected by a failed background check was "a record of success" regardless of how many prosecutions ensued.

Feinstein and other supporters also noted that limits on ammunition magazines would require attackers in mass shootings to reload more frequently, providing more time to stop them.

However, witnesses opposed to limits on weapons contended Feinstein's proposal would be open to legal challenge, and would give criminals who acquire weapons illegally an advantage over law-abiding gun owners.

Former Rep. Sandy Adams, R-Florida, said it was not the time for "feel-good legislation so you can say you did something."

"Taking guns from law-abiding citizens while leaving them defenseless against violent criminals, who by their very definition do not abide by the law, is not the answer and it is definitely not the right thing to do," she said in her opening statement.

The reference to "feel-good legislation" drew a rebuke from Sen. Dick Durbin, D-Illinois, who told Adams that he was sorry she used the phrase.

"I don't feel good about being here today," Durbin said. "Mr. Heslin does not feel good about being here today."

Feinstein noted that the 1994 ban was challenged repeatedly in federal courts on multiple grounds, including Second Amendment protections, and survived each time.

In his opening statement, Republican Sen. Chuck Grassley of Iowa conceded that some gun legislation would emerge in the aftermath of the Newtown killings. In particular, he said, new laws would target gun trafficking and straw purchases -- in which a legal buyer purchases firearms for others who are ineligible.

The Judiciary Committee chairman, Sen. Patrick Leahy of Vermont, was adamant Sunday that expanded background checks would not include provisions to register gun owners. But he said that responsible Americans looking to purchase firearms shouldn't fear robust checks.

To Lanae Erickson Hatalsky of Third Way, an independent policy group, what she called "political reality" means that Congress will focus more on keeping weapons out of the wrong hands instead of a new weapons ban.

That strategy reflects "an understanding of gun crime in the country," she told CNN earlier this month.

The NRA and other opponents contend that any limit on private gun ownership violates the constitutional right to bear arms. Even partial steps in that direction, such as prohibiting specific models, are considered a path to potential confiscation or other future elimination of Second Amendment rights, they argue.

In recent decades, the NRA has led lobbying efforts that shifted the discussion away from stronger gun controls -- such as an outright ban on handguns and a national registration of gun ownership pushed by top Democrats in the 1980s and 90s -- to the incremental measures under consideration now.

Erickson Hatalsky, the director of social policy and politics at Third Way, noted examples of the NRA's influence in the last significant gun legislation -- the Brady Bill of 1993 that required background checks on guns purchased from licensed dealers, followed by the limited assault weapons ban a year later.

While the Brady Bill led to the background check system in use today, the NRA made sure it didn't apply to private sales, such as those at gun shows, she said.

NRA President David Keene has said he expected few substantive changes in law because the emotional reaction to the Newtown shooting would eventually give way to common sense regarding gun rights and the wishes of American gun owners.

His organization keeps a scorecard for each Washington legislator on gun issues, and spends millions on campaign contributions to favored candidates.

In Congress, some influential Democrats join virtually all Republicans in opposing, or at least questioning, a renewed ban on semi-automatic weapons like the Bushmaster AR-15-style rifle used in the Newtown shootings.

Senate Majority Leader Harry Reid, who gets high marks from the NRA for his opposition to past gun control efforts, has indicated support for expanding background checks but refuses to endorse a new weapons ban.

According to Reid, a bill from the Judiciary Committee was unlikely to include an updated weapons ban, but he would allow a vote on the provision during floor debate.

Such a vote would amount to Feinstein's last stand on the issue.

@highlight

Sobbing father of Newtown victim says that "I am his voice"

@highlight

Sen. Feinstein continues her push for a ban on some semi-automatic weapons

@highlight

The NRA opposes any kind of weapons ban

@highlight

The legislative focus is on gun trafficking, straw purchases and background checks