(CNN) -- The mere rumor of a downgrade by the major ratings agencies is enough to send world markets into a tailspin, wiping billions off the values of global stocks.

So what do ratings agencies do, and why are they so important?

Who are the credit ratings agencies?

The "Big Three" are Standard's & Poor's, Moody's Investor Services and Fitch Ratings. All originated in the United States, although Fitch has dual headquarters in New York and London.

What do they do?

Before you can get a credit card, banks run a credit check on you. Similarly, the ratings agencies run credit checks on companies, countries and financial products.

Countries are rated on a sliding scale: Germany for example, has a top rating (AAA) which allows it to borrow cash at cheap interest rates. The lower the rating grade, however, the higher interest payments a nation must pay to attract investors to buy its bonds. Anything that slips to junk status -- as Ireland, Portugal and Greek government bonds are rated -- is considered a "highly speculative" investment. Furthermore, the pool of eligible investors is reduced -- many institutional investors, such as government pension funds, are forbidden to invest in junk-rated bonds.

Why do they wield such power?

Investors across the world look to credit rating agencies to judge where to place their bets in the market. For governments, the ratings agencies have a lot of power over the popularity of bonds: cash given to governments by investors that, over time, will pay a return on the original investment -- unless the government defaults.

What does a debt rating downgrade mean?

The decisions of the "Big Three" catalyze market moves in often unpredictable ways, creating a strong ripple effect. In the wake of the Greece downgrade last year, for example, investors across the globe started rethinking investment in other governments' bonds and began selling off more risky investments -- throwing the EU into crisis and depressing the value of the euro.

When the U.S. was downgraded from a top rating to a step below best investment grade last August, the market reaction was fierce. At the start of August, the Dow was trading at 12,000; by August 10, days after the downgrade, the Dow dipped below 10,800. There was a similar psychological ripple through the markets after Moody's downgrades of Ireland and Portugal.

How are ratings agencies paid?

Historically, they were created to give investors an unbiased assessment of investments and investors paid for access to the ratings. In the 1970s, however, credit rating agencies started charging the issuers of new investments fees for ratings. In 1975, U.S. legislators -- fearing a proliferation of unscrupulous ratings agencies -- designated Standard & Poor's, Moody's and Fitch as the only ratings organizations banks and brokers could use to evaluate the credit worthiness of their products.

What are the complaints against the firms?

Critics complain the agencies have lost their ability to independently judge the risk on certain investments. Credit ratings agencies had a starring role in the financial crisis, after the firms blessed mortgage-backed securities with AAA ratings -- the safest rating possible -- and fed the global mania for these risky investments.

Critics also note that the agencies are paid by the very entities they rate, raising questions about their trustworthiness.

There are moves afoot in Europe to have more stringent regulation on credit ratings agencies. And the agencies were dealt a blow in a U.S. court last month when a U.S. District Judge James Browning in Albuquerque, New Mexico, rejected "free speech" as an argument in a case against the Big Three credit ratings agencies brought by investors who lost investment in mortgage-backed securities. The ratings agencies often invoke First Amendment right regarding questions about their ratings -- they are simply stating an opinion. It's up to the markets to decide for themselves what to do with that information.

@highlight

Ratings agency S&P warned in December that 15 eurozone nations may face possible downgrade

@highlight

The "Big Three" credit ratings agencies catalyzed market reaction during the financial crisis

@highlight

Critics complain the agencies wield too much unchecked power in world markets