Los Angeles, California (CNN) -- "Have you been to Koreatown yet?" my friend asked eagerly over the phone. It was my third week as a resident of Los Angeles, and I could no longer claim the pure shock of moving to a city so sprawling, so overwhelming, as the reason I had yet to explore its most interesting neighborhoods.

But I had to answer "no." In a city as vast as Los Angeles, Koreatown seemed especially impenetrable, a huge warren of restaurants, markets, strip malls and residences. As much as I knew that it held a treasure trove of food, culture and nightlife, I was intimidated to even get started.

Now, almost a year later, Koreatown is one of my favorite things about living in Los Angeles. It's like having an entire other city within a city, a gloriously foreign one at that. There are places in Koreatown where you look around and swear you are in Asia. And yet, it's also 100% Los Angeles: a strange, sprawling melting pot full of hidden delights.

Here are eight things to know about Koreatown, things that I hope will help make discovering this neighborhood a little less daunting.

15 things to do around Los Angeles

It's big

Koreatown is west of downtown and south of Hollywood and is considered part of the Mid-Wilshire district. Its borders are somewhat amorphous and have shifted over time, but the neighborhood's generally accepted area is around 3 square miles and has one of the densest populations in Los Angeles.

In the 1920s and '30s it was very much a swinging spot for Hollywood celebrities, and was the location of the Ambassador Hotel, which hosted the Academy Awards in the '30s and '40s (and was also the site of the Robert F. Kennedy assassination). Though the Ambassador was torn down in 2005, you can still see some remnants of that old glamor in other buildings scattered among the newer strip malls and construction.

The ever-changing flavor of L.A.'s Koreatown

The neighborhood has seen turmoil

Heavy Korean settlement in the area cemented the neighborhood as Koreatown in the 1970s, when many South Koreans immigrated to California. In 1992 Koreatown bore the brunt of much of the violence and looting that happened during the L.A. riots, and many Koreans fled to the suburbs after the riots. But renewed development in the early 2000s, plus a new subway line with stations in the neighborhood, led to a revitalization of the area.

Most of the residents are Latino

This is a tri-lingual neighborhood: Wherever you go, you will hear Korean, Spanish and English, and often times a mashup of all three. This blend of cultures has led to some of L.A.'s most recognized food, such as Roy Choi's Kogi tacos, the original Korean taco truck. Choi, who is Korean but grew up surrounded by L.A.'s Latino influences, channels a completely authentic experience of America's melting pot.

While L.A. has the nation's largest Korean population and Koreans make up the largest nationality in the neighborhood (22%, according to demographic analysis) most of the residents of Koreatown are Latino: 58%. But you can also find Bangladeshi, Brazilian, Vietnamese, Pakistani and all manner of South American residents, businesses and eateries in the area.

Koreatown never sleeps

Twenty-four-hour restaurants are just the beginning. Koreatown is home to more nightlife than many other entire cities can claim, from dive bars to high-end cocktail speakeasies, from karaoke clubs to establishments that must be a business of some sort, on the second level of a strip mall with a sign in Korean and people coming and going at 4 a.m. There's a lot of mystery here, but also a lot on full display.

A few spots to get you started: In the dive bar category there's Hangover bar (3377 Wilshire Blvd.) with all you can drink beer and soju for $21.99. Lock & Key (239 S. Vermont Ave.) is a new speakeasy where you have to try different doorknobs from the foyer to get in. Inside, it's all Korea meets 1920s Hollywood glam. The tucked-away spot is fronted by Stall 239, a walk-up restaurant serving international snacks late.

Koreatown is said to have the highest concentration of restaurants and nightclubs in Southern California. My Koreatown nightlife of choice? Karaoke. Most karaoke clubs here have private rooms, so you and your friends can sing your hearts out without having to deal with a bunch of drunk strangers' off-key wailings. Try Palm Tree L.A. (3240 Wilshire Blvd., Suite 401), a swank club with private rooms and songs in Korean, Japanese and English.

If strangers' off-key wailings is what you're in the mood for, you can hit up Brass Monkey (3440 Wilshire Blvd.), a more American karaoke dive bar that's good for sloppy fun.

There is a LOT of good food here

Koreatown is home to some of the country's best Korean barbecue (check out Park's and Genwa for high quality meat as well as fantastic banchan, or small side dishes served with rice), but there's so, so much more to explore.

Soup, porridge, raw fish salads, stews -- every Korean specialty you can imagine exists in this neighborhood. It's hard to even begin to list favorites -- every Angeleno has a Koreatown hole in the wall they want to rave to you about. The fun is in getting out there and finding your own personal must-try dish.

Korean food isn't all that's on the menu

Koreatown is home to more than just Korean -- for instance, Guelaguetza, one of the city's best Mexican restaurants, lives in the heart of Koreatown. Expect amazing moles, live music on weekends, a ton of families sharing huge platters of grilled meats, and fun fruity tropical mezcal cocktails.

Beer Belly, a newer craft beer bar, finds its home in an odd building behind one of Koreatown's strip malls and serves killer bar food along with one of the best beer selections in the city. And the rest of the neighborhood's diverse population means tremendous eateries are tucked throughout.

For more on the neighborhood's food, check out some of Anthony Bourdain's recent culinary stops in the gallery above and tune in for "Parts Unknown" on Sunday at 9 p.m. ET.

$15 spa day? Yes, please

Korean spas are a lovely and affordable way to pamper yourself, and Koreatown has a whole slew of options. Natura Spa offers an all day pass for $15, which gains you access to the saunas, steam rooms, hot tubs and cold pool, with extra options like body scrubs available. Wi Spa is open 24 hours and has a kid's area as well as a mud spa. Korean spas generally have Korean cafes within, and many of those serve really great food, making them perfect all-day immersions.

Stinky, spicy souvenirs abound

There are some amazing kimchi purveyors in Koreatown, stores that sell jars of fermented cabbage and other delicious banchan. Seek out artisan producers like the folks at Kaesung Market (1010 S. St. Andrews Place) where owners have been making kimchi for 35 years.

Besha Rodell moved to L.A. in May 2012 to become the lead restaurant critic for L.A. Weekly. She has previously lived in (and written about) Atlanta, North Carolina, New York and Melbourne, Australia. You can read her weekly reviews of L.A. restaurants and daily musings on the food world at laweekly.com/restaurants.

@highlight

L.A.'s Koreatown is home to one of the city's densest populations

@highlight

Looking around, it feels like Asia, but the area is also 100% L.A.

@highlight

The neighborhood is home to Asians, Central Americans, South Americans and more

@highlight

Koreans are the largest group, but the neighborhood is majority Latino