(CNN) -- Sports venues in the United States have come full circle, going from embodying the history of a city, its teams and fans to multipurpose cookie-cutter structures and back to sport-specific complexes designed with a retro look and feel.

There are movements afoot to save some of these unused and often-forgotten places. Some are successful, some fail and some are yet to be decided.

Here are some of the most endangered well-known sports sites in the United States and a couple that were sacrificed in the name of progress, selected by CNN.com in conversation with the National Trust for Historic Preservation.

Miami Marine Stadium

The Miami Marine Stadium was built on the tip of Key Biscayne during the early 1960s to help boost Miami tourism and is the only venue in the United States designed for watching boat races.

Over time, it became a multipurpose spectator facility, also hosting concerts and sunrise Easter morning services.

Its floating barge stage was the setting for Sammy Davis Jr.'s hug of Richard Nixon during the 1972 Republican National Convention.

Though closed for 20 years and facing demolition for development, Miami Commissioners voted this summer to give the nonprofit group Friends of the Miami Marine Stadium control of the property while it creates a plan to renovate and reopen the facility.

The canopied structure has more than 6,500 seats, and the man-made basin that serves as the "track" for boat races is longer than the National Mall in Washington, according to the stadium's modernist-influenced architect, Hilario Candela.

Astrodome, Houston

The Astrodome was tagged the "eighth wonder of the world" when it opened in 1965. It was the first multipurpose, domed sports facility and its name also became synonymous with artificial turf.

The former home of the Houston Astros and Houston Oilers altered the course of sports venues in the United States: many professional sports cities -- Philadelphia, Pittsburgh, Cincinnati, San Francisco, Minneapolis, San Francisco, Oakland and Seattle -- built similar multipurpose stadiums -- some covered and some open-air -- for both football and baseball.

The future of the Astrodome has been up in the air since 2009. The Oilers left Texas for Tennessee in the late 1990s and the Astros played their last game at the dome in 1999.

Harris County voters will vote this November on a bond initiative to renovate the dilapidated structure, which once hosted Muhammad Ali, Evel Knievel and the 1992 Republican Party Convention, into a modernized civic center.

Nation's most endangered historic places

Joe Frazier's Gym, Philadelphia

The building that houses Joe Frazier's Gym has stood in North Philadelphia since 1895, according to the National Park Service.

Born in South Carolina, Frazier made his way to New York City and, despite being diagnosed with cataracts, became a boxer, won a gold medal in Tokyo in 1964 and settled in Philadelphia.

In 1968 he turned the three-story structure into his personal gym, living upstairs and training downstairs.

"Smokin' Joe," who defended the heavyweight championship in 1971 by becoming to the first person to beat Muhammad Ali as a professional, also won an Olympic gold medal in boxing in 1964. Frazier sold the building in 2008 and died of liver cancer in 2011.

The structure was on the brink of oblivion until this year, when it was added to the National Register of Historic Places.

Hinchliffe Stadium, Paterson, New Jersey

Hinchliffe Stadium opened in 1932 in Paterson, New Jersey, and was home to the New York Black Yankees, the New York Cubans and the Newark Eagles of the Negro League.

Larry Doby, the man who broke the color barrier in the American League, played there during high school before joining the Newark Eagles.

Several other professional baseball teams played in the 10,000-seat venue, which also hosted football, boxing, auto racing, track and field meets, international soccer and concerts.

The facility has been vacant since 1997 when a lack of upkeep forced local schools to stop using it. Also referred to as City Stadium, it was named a National Historic Landmark this year.

New Jersey representatives have introduced legislation to have it included as part of Paterson Great Falls National Historic Park.

Tiger Stadium, Detroit

The decision to vacate Tiger Stadium in Detroit was controversial from the start -- and despite making the list of National Register of Historic Places in 1989, multiple efforts failed to save it.

Tiger Stadium opened on the same day in 1912 as Fenway Park in Boston, and professional baseball was first played on the site in 1896.

The Tigers moved to Comerica Park after the end of the 1999 season, but demolition didn't begin until 2008, taking more than a year to complete.

The baseball diamond is still there, maintained for the last three years by group of volunteer weekend warriors named the Navin Field Grounds Crew, after one of the stadium's previous monikers.

The Kingdome, Seattle

The Kingdome opened in 1976 and was home to the Seattle Seahawks, Seattle Mariners, Seattle Supersonics and Seattle Sounders.

In 1994, the building started crumbling, when ceiling tiles fell from the roof, forcing the Seahawks to play several games at the University of Washington. The Mariners moved to Safeco Field in July of 1999. The facility was demolished in 2000 and the Seahawks returned to the University of Washington for two years before moving into to CenturyLink Field in 2002.

The venue was considered hideous by many and the movement to save the Kingdome was primarily financially based, as taxpayers still owed $125 million when it was demolished in 2000.

Still, notable athletes played there, such as former U.S. Rep. Steve Largent, a Hall of Fame receiver for the Seahawks, and Randy Johnson, Ken Griffey Jr. and Alex Rodriguez, who all starred for the Mariners.

@highlight

Miami Marine Stadium is the only venue in the U.S. built to watch boat racing

@highlight

The building that housed Joe Frazier's Gym dates back to the late 19th century

@highlight

The opening of the Astrodome forever changed U.S. sports venues

@highlight

Tiger Stadium is gone, but volunteers still maintain the baseball diamond