Washington (CNN) -- The Supreme Court, perhaps for the final time, has rejected a multistate appeal over efforts to keep the invasive Asian carp from reaching the Great Lakes ecosystem.

The justices turned aside another request for intervention Monday, the latest chapter in a nearly century-old dispute between six Midwest states and the Canadian province of Ontario.

At issue is a direct challenge to Illinois' complex water diversion and sewage disposal network, which some predict will inadvertently allow the non-native fish to enter Lake Michigan. Some environmentalists and lawmakers fear an economic and ecological disaster if the creatures breach man-made barriers. And there are concerns that the fish may have already slipped past locks and entered the massive freshwater bodies of water.

The fish can grow up to 4 feet in length and 100 pounds in weight, reproduce rapidly and can gobble up to 40 percent of their body weight daily, quickly out-competing less aggressive native fish populations.

The high court has refused to intervene in the case twice in recent months. Some activists say Michigan could file another appeal in federal court, but it could take months to resolve.

The justices were asked to grant a preliminary injunction, which would have forced Illinois to immediately close down much of its Chicago-area shipping locks and dams, and would have prompted rapid construction of a fish-proof barrier.

The voracious Asian carp have migrated up the Mississippi River to the Chicago suburbs. State officials, businesses, and environmentalists fear that it is only a step away from triggering a swift economic disaster across the Great Lakes, saying that once in Lake Michigan they would spread quickly to Lake Erie, Lake Huron, Lake Ontario and Lake Superior.

"What could be at stake is the multibillion-dollar fishing industry -- commercial, sports fishing, and recreational fishing industries -- in the Great Lakes," said Chris McCloud of the Illinois Department of Natural Resources, noting that the lakes constitute "the largest freshwater body on Earth, and we have to protect it at all costs."

DNA from the carp was found in December closer to Lake Michigan than ever before -- at a Wilmette, Illinois, pumping station along the lake shore -- raising fresh concerns that the fish has breached an electric barrier placed along a maze of canals and locks in Illinois.

In a signal of the urgency, Michigan, Wisconsin and New York have repeatedly but unsuccessfully asked the high court to order those locks closed immediately.

Among those being sued are Chicago's local water reclamation agency and the U.S. Army Corps of Engineers, which helped build and maintain the canal system. Illinois officials say other states and the federal courts do not have the legal authority to order the closing of any federally approved water management projects. There are fears that shutting down the locks would lead to massive flooding and cripple the area's commercial shipping industry.

The term "Asian carp" is actually an umbrella name for at least four large varieties of fish considered nuisance invasive species: the grass, black, silver and bighead carp. Related to common goldfish, the bigger types are prolific jumpers, easily spooked out of the water by passing watercraft, and numerous boaters have been injured by inadvertent flying fish collisions.

Biologists have been tracking their northern migration ever since they were imported in the 1960s, traced to an Arkansas fish farmer. Several of the fish escaped during a flood in the 1990s and quickly expanded their range.

Their possible presence just miles from the lakes prompted the latest lawsuit over the so-called Chicago Diversion, a project started in the late 1800s to prevent the city's sewage from contaminating Lake Michigan. The project involved reversing the flow of the Chicago River, connecting it and two other nearby rivers with the Mississippi River basin.

That created a connection between the Great Lakes and the Mississippi, helping fuel an economic boom in the nation's third largest metropolitan area.

In 1922, Wisconsin sued Illinois to stop the growing water diversion, since other states relied on the drinking water. All other lake states except Indiana joined suit, and the Supreme Court eventually agreed with them, ordering mitigating effects over Illinois' diversion. Now several of those states are asking the justices to reopen the old cases.

Such interstate disputes over boundaries and shared natural resources are one of the few instances where appeals can go directly to the Supreme Court, instead of first being heard in lower courts.

The Obama administration is supporting Illinois. In a filing with the high court last fall, Solicitor General Elena Kagan argued that although allowing the carp to enter the Great Lakes would produce "grave and irreparable harm," it was only "speculative" that the harm would occur "imminently."

She suggested that Michigan and other states were more interested in relitigating disputes over removal of water from the lakes than seeking to stop fish from entering the lakes.

The other states and Canada want the Illinois water diversion projects be declared a "public nuisance" because of the carp emergency. Of more immediate concern, they want Illinois and federal officials to modify their fish-control facilities -- including electric fences -- to ensure that the fish stay away from the lakes.

Electric barriers were set up in 2002 in the Chicago Sanitary and Ship Canal, about 33 miles from Lake Michigan. They became fully operational last year, but Army engineers acknowledge that the barrier is not 100 percent effective. It is designed not to kill carp but to discourage them from going further.

"We can control what the fish feels, basically," said Col. Vincent Quarles, commander of the Chicago District of the Army Corps of Engineers. "What they feel is a jolt or a tingle. It's an electric current in the canal being created by our barriers." Another underwater barrier is set for completion this year.

The cases are Wisconsin, Michigan, New York v. Illinois and Metropolitan Sanitary District of Greater Chicago (1, Orig.; 2, Orig.; 3 Orig.).

@highlight

Justices won't get involved in dispute between six states, Ontario

@highlight

Some say Illinois water system will allow huge fish into Lake Michigan

@highlight

Multibillion-dollar fishing industry could be at stake, official says

@highlight

High court has repeatedly been asked to close locks and dams