(CNN) -- President Barack Obama on Monday reiterated his call for a comprehensive package of steps against gun violence as the focus on possible Senate legislation appeared to narrow to expanded background checks and limited ammunition magazines, rather than a ban on semi-automatic rifles that mimic assault weapons.

Obama took part in a discussion with Minneapolis officials before telling police officers and others that an increase in gun violence nationwide, including the Connecticut school massacre in December, made it vital to address the issue now.

"No law or set of laws can keep our children completely safe," Obama said in calling for "basic, commonsense steps to reduce gun violence."

He added, "if there's one life we can save, we've got an obligation to try."

Obama emphasized his support for banning semi-automatic rifles modeled after military weapons as part of an updated version of an earlier weapons ban that expired in 2004.

Opponents led by the influential National Rifle Association, oppose any ban on weapons, and Senate Majority Leader Harry Reid has indicated that such a provision faced an uphill struggle.

Reid told ABC on Sunday that he backed expanding background checks to private gun sales at shows and other steps, but he refused to endorse a ban on what are called assault-style rifles modeled after military weapons.

Obama shooting image gets blasted on the Web

A popular version is the AR-15 semi-automatic rifle that can be purchased with magazines holding 30 rounds. A similar weapon was used in the Connecticut school shooting that killed 20 first graders and revived a national focus on tougher gun control measures.

While Obama and some top Democrats, including Sen. Dianne Feinstein of California, seek a ban on many semi-automatic rifles, the NRA and politicians from both major parties oppose such a move as an infringement on constitutional rights.

In his remarks Monday, Obama rejected that argument, urging supporters to tell opponents of renewed weapons ban that "there's no legislation to eliminate all guns; there's no legislation being proposed to subvert the Second Amendment."

Obama's trip to Minneapolis was intended to raise attention to steps taken in the city, including a recent regional gun summit hosted by Mayor R.T. Rybak and Milwaukee Mayor Tom Barrett.

Both cities have experienced mass shootings in recent months, and Obama met with two Minneapolis-area law enforcement officials last week when he discussed the issue with local police and sheriffs department members at the White House.

The NRA and its leading supporters in Congress argue that steps proposed by Obama won't work and would fail to address the problem.

For example, they say criminals skirt background checks, so expanding the system would miss the main target of the legislation. They also contend that the semi-automatic rifles targeted by Feinstein in a proposal introduced last week are used in a fraction of the nation's gun violence.

Gun debate: Where is the middle ground?

Obama and other supporters of stronger gun control measures say all possible efforts must be made to address what they call a chronic and growing problem of gun violence, particularly involving vulnerable targets such as students.

Reid of Nevada is the top Senate Democrat, who sets the chamber's legislative schedule. He said Sunday that he wants the Judiciary Committee to produce a bill that could be debated by the full Senate and would be open to proposed amendments by any senator.

However, Reid signaled that the committee version would lack the ban on assault-style weapons.

"If Dianne Feinstein, by the time it's through the Judiciary Committee, if she doesn't have her assault weapons, at least let her have an opportunity to offer this amendment" on the Senate floor, Reid told ABC.

Reid, who noted he owned guns and was a former law officer, said he opposed the Clinton-era assault weapons ban that expired midway through the Bush administration.

He called for expanding background checks and steps to halt federal gun trafficking while saying the Senate should "take a look at" unspecified limits on ammunition magazines.

Asked about backing he has received from the NRA, Reid said that "just because they resist it doesn't mean we can't do things."

Other steps under consideration include better monitoring of people with mental illness to prevent them from obtaining guns.

Democrats have said the background check measure would stand the best chance of garnering bipartisan support, including from some pro-gun Democrats. Even if passed by the Senate, a gun bill would face tougher scrutiny in the Republican-led House.

Obama said Monday that lawmakers in Congress from both parties were working together on plans that would expand background checks to all gun purchases and criminalize "straw purchases" in which legal gun owners buy weapons for people prohibited from doing so.

The faces of America's gun debate

Guns sold through private sales currently avoid background checks -- the so-called gun show loophole.

Democratic Sen. Chuck Schumer of New York said last week that he was in talks with colleagues -- including several who are ranked highly by the NRA -- on possible legislation to expand background checks on private gun sales.

Sources close to both Schumer and Republican Sen. Tom Coburn of Oklahoma told CNN the two were in serious discussions about co-sponsoring a bill to strengthen background checks. Schumer sits on the Judiciary Committee, while Coburn is a former member.

However, NRA chief executive Wayne LaPierre told the panel that the current background check system doesn't work, so expanding it would only create an unmanageable government bureaucracy instead of reducing gun crime.

During the Super Bowl on Sunday night, a group called Mayors Against Illegal Guns broadcast an ad showing the NRA's LaPierre, in 1999, endorsing the expanded background checks his group now opposes.

Supporters of gun control argue that the constitutional right to bear arms can be limited, for example, by the existing ban on private citizens possessing grenade launchers and other military weaponry.

However, Denver University law professor David Kopel said last week that the Supreme Court made clear that gun control could not include weapons used commonly by law-abiding citizens, such as the top-selling AR-15 that Feinstein's legislation would ban.

CNN's Kevin Liptak contributed to this report

@highlight

NEW: Obama says no law can stop all gun violence, but the nation must try

@highlight

NEW: Obama continues to call for reviving a ban on some weapons

@highlight

A Senate leader questions if a weapons ban will be part of a legislative package

@highlight

The focus on gun control is revived after the Connecticut school massacre