(CNN) -- Despite persistent and understandable questions about the cost of college in America today, the value of a college education is clear. But that value is not spread as equitably as it should be across the nation.

College graduates earn considerably more over the course of their careers than do people with just a high school education, and they are much less likely to be unemployed.

A study by the New York Federal Reserve found the rate of return on a college degree to be approximately 15% and, contrary to popular wisdom, it wasn't just the science and engineering majors who benefited. Graduates in the liberal arts also saw their degrees pay off.

The benefits of a college diploma also go well beyond direct financial returns. College graduates have lower divorce rates, enjoy healthier lives, have higher rates of health insurance, and much lower rates of incarceration. They also have offspring who are more successful in school.

But the United States is falling behind other developed countries when it comes to educating its citizens, and there is a widening gap between the number of college graduates coming from low-income families versus high-income families.

In a knowledge-based economy, highly trained workers are key to global competitiveness. At current rates, by 2018 the U.S. will be 3 million college graduates short of what we need to fill expected jobs. By 2025, the shortage will be 16 million.

The problem is particularly acute among African-Americans, Latinos, Native Americans and low-income Americans of all races and ethnicities.

Students from high-income households are 10 times more likely to attain a college degree than are low-income students.

The White House will shine a welcome spotlight on this issue Thursday with its second summit of university presidents and other higher education leaders. We are proud to be representing the University Innovation Alliance (UIA) at this gathering; alliance members are coming to town with plans that are already being put into action to address this troubling disparity in higher education attainment.

Raising the degree attainment rate for all Americans, especially those from minority and low-income backgrounds, is vital to our nation's economic future. Universities -- especially public universities -- have a responsibility to find new ways to increase graduation rates for minorities and low-income Americans, so we can improve social mobility, narrow income gaps and produce the graduates required to grow the United States economy.

That is why 11 public research universities, including our institutions, Arizona State University and Georgia State University, came together to announce the UIA in the fall. By collaborating instead of competing, we are committed to addressing this problem at scale and sharing strategies that proven to increase college graduation rates.

The UIA's first large-scale initiative focuses on predictive analytics, which involves technology designed to mine student data for early signs that a student may be struggling and then reaching out to that student with additional support tailored to his or her specific needs. A great example of the power of this approach comes from Georgia State, where the monitoring of student performance coupled with proactive advising strategies increased semester-to-semester retention rates by 5% and reduced the time needed to earn degree by almost a half-semester.

This means 1,200 more students are staying in school every year, and the class of 2014 saved $10 million in tuition and fees compared with graduates a year earlier. And because now students are graduating more quickly, Georgia taxpayers will save about $5 million in support costs for public education.

If these same innovations were scaled across the 11 UIA institutions over the next five years, we could educate tens of thousands more students while saving almost $1.5 billion in educational costs to students and taxpayers. That is the kind of transformation higher education needs.

At Arizona State, the introduction of technology-enhanced advising services has produced dramatic results: The four-year graduation rate at ASU increased by nearly 20 percentage points between 2002 and 2010, with the most dramatic increase occurring after the introduction of a system called eAdvisor, which allows students to plot their progress toward a degree in real time.

Arizona State, like Georgia State, has made investments to boost graduation rates, such as the hiring of hundreds of tutors, the creation of focused learning communities on campus, the introduction of adaptive learning platforms that modify the presentation of educational materials according to a student's performance on tests, quizzes and other exercises (this is especially effective in math classes) and a "retention dashboard" that signals to administrators when a student needs additional support. Arizona State's six-year graduation rate stands at 62.5%, and the goal is to achieve a 75% rate by 2020.

But these efforts are not about specific innovations at particular institutions. They are about creating opportunities for students and building a stronger society. UIA members are working together to develop and share solutions that will improve the entire higher education sector, because we believe every individual deserves an opportunity to receive a high-quality and affordable education.

We know what going it alone can accomplish. It's time to discover what working together can do. We believe when universities collaborate, students win.

@highlight

Two university presidents say studies show college is worth what it costs

@highlight

Michael Crow, Mark Becker: Benefits aren't spread equally through society

@highlight

White House is holding summit higher education leaders today

@highlight

11 U.S. universities in alliance are putting ideas to work, they say