(CNN) -- The California State Senate is expected to vote Tuesday on a bill that would ban the use of plastic bags by retailers in the state, including grocery stores, convenience stores and drugstores.  This year's Senate session ends Tuesday, so it's the last opportunity for the Senate to pass the bill.

The California Assembly passed the legislation in June. Gov. Arnold Schwarzenegger has said he would sign the measure into law, the Los Angeles Times reported.

Environmental groups such as the Sierra Club have encouraged Californians to contact their state senators to push for the measure.  The group Heal the Bay produced what it calls a "mockumentary," narrated by actor Jeremy Irons, called "The Majestic Plastic Bag" that charts the life of a plastic bag. The video is on YouTube.

But the measure has its opponents, too.

The American Chemistry Council criticized California Assemblywoman Julia Brownley, D-Santa Monica, who proposed the bill.

"Assemblywoman Brownley's inflammatory comments are obviously intended to distract public attention from the substance and dire consequences of Assembly Bill 1998," the group said.  "Her proposed legislation to ban plastic grocery bags in California ... is bad for the economy and bad for the environment:  It will eliminate several hundred California manufacturing jobs and dismantle existing plastic bag recycling programs."

According to its website, the chemistry council represents companies that "make the products that make modern life possible, while working to protect the environment, public health, and the security of our nation."  In this case, that includes plastic bags.

"We had to work hard to win passage for the bill in the Assembly and I anticipate an equally hard battle in the Senate," Brownley told CNN in June. "Nasty habits, like our reliance on plastic and paper bags, are hard to break."

Brownley has been fighting to reduce plastic bag waste for three years, calling single-use bags "an unnecessary scourge that blows like urban tumbleweeds into every corner of the earth."

Her bill has gained support from the California Grocers Association, which decided to back the bill after Brownley agreed to subject all stores that sell groceries to the ban.

"Our hope is the consumer is driven towards reusable bags", says Dave Hanley, vice president of the grocers association. "We have a huge responsibility to educate consumers."

However, Hanley told CNN he's acutely aware of the speed bumps the legislation might encounter along the road to passage.

For instance, he said, the bill requires grocery stores to sell reusable bags for at least 5 cents if customers don't bring their own. "With the economy, there's always the concern when legislation has fees," Hanley said.

Californians appear to be split on the issue.

While some people told HLN recently they could go either way, others said a ban would be beneficial.  "I'm one of those people who's really good at picking up cloth bags, and really bad at remembering to bring them to the store," one woman told HLN.  "It could be just the kick I need to make sure I use recycled bags."

Another wondered whether it really mattered.  "It's not just plastic bags.  I mean, everything else I get that comes in a container is in plastic," one man told HLN.  "Just eliminating plastic bags, as far as I'm concerned, you are not really making that big an impact."

So just how much plastic and paper bag waste do we produce a year?

According to U.S. Environmental Protection Agency spokeswoman Catherine Milbourn, 3.96 million tons of plastic bags, sacks and wraps were generated in 2008 in the United States alone. That's more than three times the 1.17 million tons of waste generated by paper bags and sacks that same year.

And of that, what's being recycled?

A combined total of 830,000 tons of plastic and paper bags was recycled in 2008, while a combined total of 4.3 million tons was discarded, according to the EPA -- the equivalent, speaking in terms of weight, of nearly 24 jumbo jets.

San Francisco already has a ban on plastic bag use, and it's not the only city where such a law has been discussed. Austin, Texas; Seattle, Washington; Dallas, Texas; and Portland, Oregon, just to name a few, have all considered the environmental impact of plastic bag distribution.

And then there's the global initiative currently underway. Several cities in China, Africa, Australia, India and Ireland have all imposed bans or surcharges on plastic bags.

Prior to China's ban, an estimated 3 billion plastic bags were used on a daily basis, creating more than 3 million tons of garbage each year, according to the website World Watch Institute, an independent research organization which has programs that focus on areas such as the climate, energy, food and agriculture.

CNN's Adam Blank contributed to this report.

@highlight

California state senators are expected to vote on plastic bag ban Tuesday

@highlight

Bill passed state Assembly in June

@highlight

Groups supporting and opposing the measure are speaking out