(CNN) -- A nurse who was quarantined at a hospital in New Jersey after returning from West Africa was released Monday, her attorney said.

Kaci Hickox, who told CNN the quarantine was violating her rights, was discharged after testing negative for Ebola.

Also on Monday, a 5-year-old boy who recently visited West Africa and had a fever tested negative for the virus in New York, according to health officials.

The boy, who was running a temperature,was with his mother at New York's Bellevue Hospital Center, said Dr. Ram Raju, president of the New York City Health and Hospitals Corp., which oversees Bellevue.

Nurse to return to Maine

Hickox was put in isolation Friday after returning to New Jersey from a month in Sierra Leone.

Her quarantine, part of a days-old policy the governors of New York and New Jersey instituted for all health care workers who've had contact with Ebola patients in West Africa, has been criticized widely by health care experts.

On Sunday, she spoke by phone with CNN's Candy Crowley and Elizabeth Cohen.

"This is an extreme that is really unacceptable, and I feel like my basic human rights have been violated," Hickox said. She said she was flummoxed as to how New Jersey Gov. Chris Christie, who has no medical training, could describe her as "obviously ill."

Hickox will return to Maine, and arrangements for her travel are still being worked out, her attorney, Stephen Hyman, told CNN.

Hyman said there's a "legal basis" to challenge the quarantine policies in New Jersey and in New York, but the nurse isn't sure she wants to do so.

Each state has a different quarantine law, said Steven Gravely, an attorney who helped rewrite Virginia's quarantine law so the state could more easily respond to outbreaks.

The U.S. Constitution gives states authority over how to approach health matters, though the federal government has control over what happens concerning public health in airports and shipping ports, Gravely said.

Mandatory quarantines -- now what?

CDC issues new guidelines

On Monday, the U.S. Centers for Disease Control and Prevention released updated guidance for people who might have been exposed to the Ebola virus.

"The new guidelines increase the level of protection by outlining different levels of exposure and outlining different public health actions that can be taken for each of those levels of exposure," CDC Director Dr. Tom Frieden told reporters.

Someone who had direct contact of infected body fluids, for instance, would be classified as high risk. Someone would be considered low risk if she traveled on an airplane with a person showing symptoms of Ebola.

Frieden has long argued against travel restrictions, saying they could hurt the global health community's effort to tamp down the West Africa outbreak.

"We're far from out of the woods. In each of the three heavily affected countries in West Africa, we're seeing definite signs of progress, but still be a long hard fight," he said.

What states are doing

The director of the CDC said that active 21-day monitoring began Monday in the six states where about 70% of air travelers enter the United States from Liberia, Guinea and Sierra Leone, hard-hit countries in West Africa. Those states are New York, Pennsylvania, Maryland, Virginia, New Jersey and Georgia.

The three-week period marks the maximum incubation time for Ebola.

State and local officials will maintain daily contact with all travelers from the three affected countries for the entire 21 days after the last possible date of exposure to Ebola virus, Frieden said.

Authorities will require travelers to report their temperatures and the presence or absence of Ebola symptoms aside from a fever, he explained, and they will be required to coordinate with public health officials if they intend to travel and to make arrangements to have their temperatures monitored during travel in a manner acceptable to state and local health officials.

Read Frieden's full remarks

New York, New Jersey and Illinois say anyone returning from having direct contact with Ebola patients in West Africa will have to be quarantined for 21 days.

Maryland officials will monitor the health of all travelers returning from Liberia, Sierra Leone and Guinea, Gov. Martin O'Malley's office said. The effort will build on state and local health departments' outreach and monitoring, according to a statement that explains more about the process. Illinois Gov. Pat Quinn's office said the quarantine would be a "home quarantine."

"This protective measure is too important to be voluntary," Quinn said.

On Friday, Cuomo and Christie announced a mandatory quarantine for people who had been in West Africa and had contact there with people infected with Ebola. Christie said such returning health care workers who are New Jersey residents could be quarantinefd in their homes as long as they did not have symptoms consistent with Ebola.

Christie said Monday that he was glad that Hickox had been released from quarantine.

"The reason she was put in the hospital in the first place was because she was running a high fever and was symptomatic. If you live in New Jersey, you're quarantined in your home. That's always been the policy. If you live outside the state, and you're symptomatic, we're not letting you go onto public transportation. It makes no common sense. The minute she was no longer symptomatic, she was released."

Virginia is implementing an "active monitoring program" for all returning passengers from Guinea, Liberia and Sierra Leone, "with a special emphasis on returning health care workers," Virginia governor's spokesman Brian Coy has said.

Should health care workers be quarantined?

Could quarantines backfire?

Arguments against the quarantines are that they could deter health care workers from traveling to West Africa to fight Ebola and could greatly hurt their livelihoods.

"I'm concerned of the disincentive for the health care workers" to travel to West Africa, said Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health.

"If I lose three weeks on my return and don't get to do the work I'm supposed to do ... means this wouldn't be workable for me," said Dr. John Carlson, a pediatric immunologist at Tulane University.

An expert who has studied Ebola for more than a decade, Purdue University's David Sanders, told CNN on Monday that he feels the policy on mandatory quarantines in New York and New Jersey are "largely political" rather than medical fact and that leaders are acting based on the desire to calm a panicked public rather than to do what's most beneficial.

Doctors Without Borders was even more direct.

"Forced quarantine of asymptomatic health workers returning from fighting the Ebola outbreak in West Africa is not grounded on scientific evidence and could undermine efforts to curb the epidemic at its source," the group said.

Samantha Power, U.S. ambassador to the United Nations, is traveling in Ebola-affected nations in West Africa.

"Ambassador Power and the traveling party were obviously aware of the discussions of potential quarantines by state and local officials prior to departure and will, of course, be prepared to abide by requirements upon return.

"That said, they are also in close contact with the CDC, with medical experts and are taking absolutely every precaution to stay safe and to avoid contracting the disease, a risk that pales in comparison to the risk we take if the international community does not take further action," said Jen Psaki, spokeswoman for the State Department.

Doctor with Ebola at Bellevue

Bellevue Hospital Center is also where Ebola-positive New York doctor Craig Spencer, 33, is in isolation. He is in serious but stable condition Monday, according to Raju.

Spencer arrived home in the United States on October 17 after spending time in Guinea.

Because he'd had contact with Ebola patients, Spencer took pains to limit his interaction with others, but he did go places and spend time with friends.

Spencer's fiancee, Morgan Dixon, had been under quarantine at Bellevue, but doctors said she did not have the virus and has no symptoms, said Jean Weinberg, the city Health Department spokeswoman.

"We learned a lot from Dallas," Raju said, referring to all that went wrong in Texas when a Liberian national arrived from West Africa with Ebola and two nurses treating him contracted the virus.

According to a hospital worker with direct knowledge of the situation, there were not enough nurses on staff at Bellevue to handle both ICU and Ebola patients, so patients in the adult and pediatric ICU were transferred to NYU Langone Medical Center for further treatment.

Pediatric patients were transferred Monday, while the adult patients were transferred over the weekend.

They needed the nurses, not the space, the worker said.

Elsewhere, a potential Ebola patient was transferred to the University of Maryland Medical Center in Baltimore.

"They are appropriately isolated and receiving further assessment and care," the hospital tweeted on Monday.

How the Ebola virus spreads

Ebola and the U.S. military

On Sunday, the Pentagon would not say whether it's willing to still send an active-duty military Ebola response team to states ordering mandatory quarantine for Ebola health care workers.

The 30-person team finishes training Monday and will then be ready for deployment on 72 hours' notice. Defense Secretary Chuck Hagel would have to approve any deployment.

On Monday, CNN learned from military officials that Army Maj. Gen. Darryl A. Williams, who's commander of U.S. Army Africa, and about 10 other personnel are now in "controlled monitoring" in Italy after landing there following a West Africa trip over the weekend.

Italian authorities met Williams' plane "in full CDC gear," an official said, referring to the type of protective equipment health care workers wear when dealing with Ebola.

There is no indication that any team members have the virus.

They will be monitored for 21 days at a separate location at a U.S. military installation in Vicenza, Italy, according to military officials. It's not yet clear if family members can visit them.

"The Army Chief of Staff has directed a 21-day controlled monitoring period for all redeploying soldiers returning from Operation United Assistance. He has done this out of caution to ensure soldiers, family members and their surrounding communities including host nations are confident that we are taking all steps necessary to protect their health," the Army said in a statement.

CNN's Ralph Ellis, Elizabeth Cohen, Joshua Berlinger, Joe Sutton, Daniel Burke, Greg Botelho, Dr. Sanjay Gupta, Poppy Harlow, Haimy Assefa, Kristina Sgueglia, David Shortell, Barbara Starr, Ben Tinker and Josh Levs contributed to this report.

@highlight

A potential Ebola patient is transferred to the University of Maryland Medical Center

@highlight

CDC releases new guidelines for health care workers and others

@highlight

A 5-year-old boy in New York tests negative for Ebola, health officials say

@highlight

Kaci Hickox is released from New Jersey hospital after testing negative for Ebola