(CNN) -- When the blind Chinese dissident Chen Guangcheng staged his astonishing escape from house arrest, he sought American protection at the U.S. Embassy in Beijing. Six days later, when Chen left the embassy for a local hospital, it looked as if U.S. officials had found a solution that, as the State Department put it, "reflected his choices and our values."

One official at the U.S. Embassy said Chen was so grateful for America's help that he told Secretary of State Hillary Clinton on the phone, "I would like to kiss you."

But the picture is starting to change, with signs emerging that the Obama administration failed to effectively protect Chen.

Did the United States betray the Chinese human rights lawyer?

The United States said a deal with China would set Chen free and allow him to relocate within the country along with his family and attend a university. But Chen has told CNN that the U.S. government let him down. The United States insists the activist left the diplomatic compound willingly and wanted to remain in China. However, Chen said he fears for his life, his wife's safety and wants to leave the country. More troubling, he claims that U.S. officials, instead of extending their protection, pressured him to leave the safety of the embassy.

If this is true, it is a dark mark of shame for the United States. Until now, President Obama had a mixed record on human rights. This was an important test for an administration that has favored pragmatism over emotionally satisfying displays.

Chen's unexpected request for shelter at the U.S. Embassy created a terrible dilemma for Washington. Months ago, Clinton had already spoken on his behalf, as human rights groups characterized his detention as wholly illegal.

But Chen's escape to the U.S. Embassy came at the worst possible moment, with Clinton about to visit Beijing for high level meetings on other crucial issues.

America's relationship with China is complicated, to put it mildly. The United States needs Beijing's cooperation on Iran and North Korea. China is one of America's top trading partners and its top creditor.

The Chinese government does not take well to lectures on human rights, saying that they are a hypocritical construct of the West and are used for political purposes. Even if the issue has merit, Beijing says, it would be an internal matter; none of America's business.

Chen, who has been blind since childhood, is a self-taught lawyer. He became a fierce advocate for the poor and disabled and gained attention when he exposed abuses of China's one-child policy, uncovering the brutality of lower level officials who carried out forced abortions and sterilizations on thousands of poor Chinese women. Initially, Beijing heard his case and even arrested some of the offenders. But Chen said Beijing's actions amounted to very little. As his international profile rose and he redoubled his commitment to empower the people before the government, Chinese authorities turned against him.

In 2006, the Chinese government sent Chen to prison on charges that he disrupted traffic and damaged property, charges that he denies. After he left prison four years later, he and his family were placed under harsh house arrest. Human rights groups say they endured daily beatings and a near-starvation diet.

On April 29, under cover of darkness, Chen climbed the wall that had been built around his house. His blindness meant the dark gave him an advantage over the scores of security personnel that kept watch over him. He had led his captors to believe he was ill, and they lowered their guard even more.

Once over the wall, a network of activists helped him, with one of them, He Peirong, driving him 300 miles to the U.S. Embassy in Beijing. She is now under arrest.

When President Obama was asked about Chen, he said he was aware of the situation but refused to address it, saying only, "Every time we meet with China the issue of human rights comes up."

Obama disappointed human rights activists early in his administration when, for example, he resisted coming out strongly in support of pro-democracy activists in Iran, claiming it would not be helpful to "meddle" when hundreds of thousands took to the streets. He was criticized for canceling a meeting with the Dalai Lama, and after he finally met him, for having him leave through a back door to lower the profile of the meeting, in order to sooth China. His continuing support for some dictatorships and tepid, inconsistent positions on the Arab uprisings have also spurred criticism.

At the same time, his pragmatic diplomacy appears to have borne fruit, most notably in Myanmar. And human rights activists say he has come a long way since his earlier stumbles.

The Chen case, however, could become iconic. If the Obama administration cannot explain what went wrong, it will have opened itself to criticism from human rights advocates and from Republican rivals, that he badly fumbled.

The Chinese government has demanded an apology from Washington for helping Chen and for interfering in Chinese domestic affairs. But the Obama administration, which claimed it had stayed true to American values in the Chen case, needs to prove that it has the moral strength to stand up for one courageous individual who sought help.

This is not just about Chen. It is about universal principles of human rights, really, and about America's willingness to defend them on the global stage. The whole world is watching.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Blind Chinese dissident Chen Guangcheng escaped from house arrest

@highlight

Frida Ghitis: He sought help from U.S. embassy, but now it seems he is being abandoned

@highlight

She says deal the U.S. and China made over Chen appears to go counter to his wish

@highlight

Ghitis: Obama needs to stand up for Chen and the universal value of human rights