LONDON, England (CNN) -- Baz Luhrmann is the type of director for whom the word innovative was invented.

Luhrmann and his costume designer wife Catherine Martin, who is a long time collaborator.

With a filmography comprising of just three full-length feature films, (and one currently in post-production) Luhrmann has produced a stunning and highly visual body of work that is loved and loathed in equal measures.

His films have a tendency to suck the viewer up into a swirling vortex of lush imagery and a lavish production style, often with a frenetic pace that one critic described as being like "a madman on Benzedrine".

But there is a method to Luhrmann's madness.

The trio of films, "Strictly Ballroom," an adaptation of William Shakespeare's "Romeo and Juliet" and "Moulin Rouge!" all form part of a specific filmmaking technique described by Luhrmann as "The Red Curtain" cinema.

Luhrmann incorporates traditional theatrical conventions into his films and morphs them to create visual treats in stories set in heightened otherworlds. Simple devices like song and dance are then used to drive the action.

He always surrounds himself with the same creative team for all of his projects. His wife, production and costume designer Catherine Martin, who is known as CM, is intrinsic to his striking visual style.

In his directorial debut "Strictly Ballroom," Luhrmann injected dazzling colors and energetic dance moves into the stuffy world of ballroom dancing and was credited with making the genre hip again.

Luhrmann himself was a ballroom dancer from the age of six, and the film reflects his affection for and intimate knowledge of that world.

An intensely personal director who always draws on his own experiences, Luhrmann told CNN's The Screening Room: "Art and life cannot be separated, they feed each other and creative decisions are based on what will make life rich and what will enrich the story telling. What I make comes from a personal level."

It paid off for "Strictly Ballroom," which became a global hit, winning eight Australian Film Institute Awards, three BAFTAs, and the Cannes Film Festival's Prix de Jeunesse in 1992.

In 1996, Luhrmann worked his magic again in "William Shakespeare's Romeo + Juliet," an MTV-style version of the classic love story set in latter-day Miami Beach, complete with warring gangs wielding automatic weapons.

But it was in "Moulin Rouge!" that the Red Curtain's opulent and extravagant theatrical style would explode in, spectacular, some would say violent, fashion. Starring Nicole Kidman and Ewan McGregor, it explored a young writer's foray into the bohemian underworld of Montmartre, Paris.

Following the film's box-office success Luhrmann landed a highly lucrative Chanel contract, making a Red Curtain-inspired 2004 film for Chanel No. 5, starring Nicole Kidman. At $36m, it is reputedly one of the most expensive adverts of all time.

The maverick movie-maker began his film career as an actor, training at the prestigious National Institute of Dramatic Arts in Sydney, but it wasn't long before he was employing his flamboyant and creative talent behind the scenes.

What seems to drive Luhrmann is his huge passion and appetite for all art forms.

He is a veritable Jack-of-all trades: a writer-director who has produced theatre and opera pieces, worked as a guest editor for Australian Vogue and in 1999, Luhrmann scored a surprise-hit single with "Everybody's Free (to Wear Sunscreen)."

Following his Red Curtain trilogy, Luhrmann planned to move onto epic storytelling. He started work on a retelling of Alexander the Great, set to star Leonardo DiCaprio.

But the film was set aside when Oliver Stone's version was released -- and flopped -- in 2004.

""My next great passion after musicals is the epic-- telling a recognizable universal story using a vast canvas of a far away place and historical events," he tells CNN.

"I embarked on that in my exploration of doing Alexander the Great. At one stage, I was collaborating with DreamWorks and Steven Spielberg.

"We were looking at sets around the world and studios were built in Northern Africa and Thailand. It got a long way down the road but for various reasons, not just because of the competing project, we walked away from it," he explains.

"For where we were in our life particularly because we were embarking on a very personal part of our story to have children, it wasn't right.

"It's all about the timing and what is right for your life in that moment in time. We walked away from that and I never regret that for a second."

After a seven-year hiatus, during which he and CM have had two "magical, incredible children," Luhrmann has finally made his epic film, simply titled "Australia," with a budget of $130m, making it the expensive movie ever made in the country.

"Australia" is a love letter to his home country. In it Nicole Kidman plays an English aristocrat who travels to 1930s Australia to sell a cattle ranch. A grueling journey across country with a rough drover (Hugh Jackman) ends with the pair witnessing the Japanese bombardment of Darwin at the start of the Second World War.

"It's been a long time since we've had those huge banquet like motion pictures, when I was a kid, if a big epic was coming it was a big event and the whole family went," Luhrmann says.

"It's big drama, comedy, landscape -- a huge banquet and I would like to invite the audience to this cinematic table."

Luhrmann is unsure if the departure from his normal style is a good career move but is adamant "it's a good life move." "We found our inner spirit enlivened again," he says.

Luhrmann, (unlike CM), has been thus far overlooked for an Oscar award, but "Australia," a big, bold movie with a vast emotional landscape is just the sort of film the Academy loves.

Come 2009, it seems they will no longer be able to ignore Luhrmann's considerable -- and -- inimitable talents.

What do you think of Luhrmann's cinematic style? Do you love it or loathe it? Tell us your views in our Sound Off box below.

@highlight

Baz Luhrmann's early cinema style is known as "The Red Curtain"

@highlight

A striking and highly visual and theatrical style exemplified in "Moulin Rouge!"

@highlight

His new epic film "Australia" is a departure from this cinema style