Khartoum, Sudan (CNN) -- A group of international cyclists gathered around in the restaurant of Khartoum's old Accropole Hotel and listened attentively to an orientation by the tour's chief coordinator.

He listed what they would need to pack for the daily ride, which included water, snacks, energy bars, patch kits, pumps, cash, cell phones and cameras.

"And you'll need butt cream," Randy Pielsticker, 36, added jokingly, referring to small containers of protective balm designed for cyclists. Considering the average 12 hours daily ride and the 12,000-kilometer length of the tour, he was right.

Last week a group of cyclists took to the road on the Tour d'Afrique expedition starting from Khartoum, Sudan, where the White Nile and the Blue Nile meet. The four-month road trip will take them through nine countries until they reach Cape Town, South Africa, on the continent's southern-most tip.

The idea for the expedition came to a former development worker, Henry Gold, who had worked in places like Ethiopia and Sudan. Gold wanted to find a way to provide cheap, sustainable transportation solutions to local populations on the continent, and attract attention by organizing a continental bike race.

"I wanted to start producing bikes for Africa that would help kickstart development -- sort of like China and India with their bikes," he said.

The bike production project did not take off, but the idea of a Cairo to Cape Town bike race did, and in 2003, the first Tour d'Afrique race took place, setting a Guinness World Record for the fastest human-powered crossing of Africa.

It is run by a Toronto-based company of the same name, which now sponsors seven global treks, with Tour d'Afrique representing its flagship race.

"This one tends to be the biggest draw," said Pielsticker. "There is a mystery and magic to it."

For the past 11 years, the Tour d'Afrique expedition began from Cairo. This year, however, matters were different, because of current events. "There's an international travel advisory against traveling to Egypt right now," explained Pielsticker. Ironically, perhaps, the tour started this year from Khartoum.

It may be better known for its involvement in conflict in regions like Darfur, but Pielsticker described the north of Sudan as "one of the safest places in the world."

"People here are really nice and hospitable," he added.

The change in plans made organizers add new routes and destinations to this year's tour to maintain the tour's length, including routes passing by the pyramids of Meroe in Sudan and the rock churches of Lalibela, in Ethiopia, a favorite for many.

"Ethiopia is a classic," said Sharita Van der Merwe, 29, a seasoned tour guide. "The history and the culture are amazing."

In addition to ancient sites in Sudan and Ethiopia, the tour's highlights include crossing the equator in Kenya, passing Mount Kilimanjaro and the Serengeti in Tanzania, Lake Malawi, Victoria Falls, the dunes of the Namib desert and on to Table Mountain in Cape Town.

But the trek, of course, is no easy ride. There are tremendous obstacles to overcome, including navigational challenges, mechanical problems with the bikes, harsh weather conditions, difficult terrain, possible water shortages, the risk of diseases like malaria, and even predatory animals.

And then there's the challenge of having strangers get along for four months.

"It's a social experiment," said Van der Merwe, giggling.

But the greatest challenge, Pielsticker maintains, is a universal one.

"The biggest hazard for cyclists is the same everywhere in the world: the automobile," insists Pielsticker.

Cyclists of all walks of life, ages and nationalities have joined the tour in the past. This year, they come from 13 different countries, with the youngest being 20 and the oldest 73.

Alessandro Mauri, 22, just graduated from college, and wanted "time off and to take an adventure."

On his first tour, Mauri, whose father is Italian and mother is South African, sees the tour as an opportunity to reconnect with the continent. "I've always loved Africa," he said.

Mauri is looking forward to some of the tour's challenges, including the sandstorms of northern Sudan. "I would like to experience a haboob," he said with a smile.

The tour often brings back alumni and most notable of them is Sandra McMillan. McMillan, 73, a retired real estate agent and a mother of five from Canada, joined the first Cairo to Cape tour in 2003. It was personal tragedy that brought her to Africa.

"My 18 year old daughter was killed in an accident in 2001," she said. "She had a burning desire to go to Africa."

In 2002, McMillan saw an advertisement for Tour d'Afrique. "I said to myself, I want to do this.

"And there was a category for the leisurely fit," she added with a laugh.

McMillan acknowledged that many thought she would not make it to the end. "There was even a bet that I would be the first to go," she said. But she completed the tour, and is now back on her fourth tour, 11 years later.

While the tour may provide an opportunity for some to take an adventure in Africa, the group's founders are keen on giving back to local communities by donating bikes to individuals or organizations in the continent, supporting projects that promote bicycle awareness and raising funds for cyclists' favorite charities.

The Tour d'Afrique Foundation, the company's development arm, has teamed up with many African groups, such as the South Africa-based Happy Africa Foundation, to distribute donated bicycles to students and health workers in several countries.

In Zambia, for example, Christabel Mushe, a 19-year-old female student used to walk four miles a day to school and arrive tired, which impacted her concentration in class, and even sometimes missed school.

"But when I received the bike, all of this was over," she said. "Both of my performance and attendance improved."

Roy Kagna, 60, is a health caregiver in Zambia. "I have been able to visit 10 to 15 patients on a daily basis, more than I used to when I had no bike," he said.

But perhaps most importantly, the tour has provided its participants with a deeper insight into Africa.

"I learned that there is such commonality among humanity regardless of color," said McMillan.

"The tour is not life changing, it is life affirming," she added. "It teaches you what your strengths and weakness are."

@highlight

The Tour d'Afrique is a four-month, 12,000 km cycle race across the length of Africa

@highlight

Race starts in Khartoum, passes Mount Kilimanjaro and the Serengeti, ends in Cape Town

@highlight

Oldest competitor is a 73-year-old Canadian woman

@highlight

Organizers help local communities by donating bikes