Houston (CNN) -- Alexander Reyes' boyhood dream of a military career ended when he was hit by an improvised explosive device during a patrol a few years ago in Baghdad.

"Laying in that hospital bed ... sometimes I felt I'd rather (have) died," Reyes said. "My life came to a complete halt."

Reyes sustained severe blast injuries that led to his medical discharge and put him on medical disability. Like many soldiers wounded in Iraq and Afghanistan, he found the transition to civilian life difficult.

But he and a handful of other injured veterans have gotten help from what may seem an unlikely source: a custom homebuilder in Houston, Texas.

Dan Wallrath presented Reyes and his wife with an unexpected gift: a home built especially for them, mortgage-free.

"Thank you. That's all I can say," Elizabeth Reyes said, sobbing and clutching her stunned husband's arm when Wallrath surprised them with the house.

For Wallrath, a 2010 CNN Hero, giving wounded veterans a place to call home is his way of saying thanks. Since 2005, his organization has built 44 houses through a national campaign called Operation Finally Home.

Wallrath spent 30 years making upscale clients' dream houses a reality. But he found a new mission in 2005 when he met with Steve Schulz about a very different type of project.

Schulz's 20-year old son, a U.S. Marine, had been seriously injured in Iraq. Schulz desperately needed to remodel his house to accommodate his son's wheelchair.

"I had no idea how I was going to pay for it," Schulz said. "I just knew that I had to get it done."

As a favor to a friend, Wallrath went to advise Schulz on remodeling his house. It was a meeting that changed Wallrath's life.

He remembers Schulz showing him photos of his son Steven.

"He was a big, strapping Marine," Wallrath said. But the pictures he saw of Steven taken after his injury told a different story.

"He was ... half his size. It was so sad," he said. "It dawned on me that people are facing this all over the U.S."

Wallrath mobilized an army of carpenters, plumbers and suppliers who took on the remodeling job for free. They widened doorways, built a ramp to the back door and made the bathroom more accessible.

"Anything that needed to be done, Dan said, 'We'll take care of it,' " Schulz recalled. "It was just a huge, huge relief."

When the work on Schulz's home was complete, Wallrath realized he was just getting started.

"It really broke my heart to think (about) these young men and women," he said. He decided the best way he could help wounded veterans was by doing what he knew best: building them homes.

"It was like someone hit me upside the head with a 2x4. ... I just felt like this is what God wants me to do."

Wallrath took his idea to his local trade group, the Bay Area Builders Association, and convinced members to start a homebuilding program for wounded veterans.

With donations from suppliers and contractors, Wallrath said, the group can build a $250,000 house for about $75,000. Each house is customized -- and often fully furnished -- to meet the needs of each family, and they are mortgage-free. The group also covers taxes and insurance for one year.

Wounded veterans or their spouses often have to find a new career or go back to school, making it hard to make ends meet, Wallrath said.

"If you can alleviate a financial burden off these young kids where they can concentrate on rebuilding their lives, you can really make a difference," he said.

Lt. Erasmo Valles is one such story. As a Marine, he was injured by an IED in Iraq in 2004 and ultimately had one of his legs amputated. Returning to civilian life was hard, and his family rapidly burned through its savings.

"We'd saved money for rainy days, but ... it was raining," Valles said.

Receiving a home from Wallrath in November 2008 turned their fortunes around. Valles started studying for his doctorate in public safety; his wife earned her master's degree and became a special education teacher.

"It saved us," he said. "We're moving on and moving forward. ... For someone to think about me and my family ... to build a home -- wow. That's a hero."

Wallrath is determined to help as many families as he can. His group has enlisted builders and builders' associations in 17 states to join his crusade. The group has 42 homes under construction, with the goal of building 50-60 more next year.

Considering the industry was hard-hit by the recession, Wallrath says he's been heartened by the response.

Now retired, Wallrath dedicates most of his time to this effort without pay. He says it's the least he can do to repay some of the more than 50,000 troops who've been wounded in Afghanistan and Iraq.

"These kids ... they're doing it for me and you," he said. "So we're the ones that need to step up and do something."

Want to get involved? Check out the Operation Finally Home website and see how to help.

@highlight

Dan Wallrath's organization builds free homes for wounded war veterans

@highlight

Wallrath, a 2010 CNN Hero, started it after meeting the father of a wounded Marine

@highlight

Wallrath's team remodeled the Marine's house to make it more accessible

@highlight

A special documentary, "Operation Finally Home," airs December 8 and 15 on CNN