(CNN) -- Ash from an Indonesian volcano has led to the cancellation of a number of flights in the region since Friday, with travelers heading to and from the country now advised to check with airlines to confirm the status of their flights before traveling.

Mount Sangeang is a small, uninhabited volcanic island in Indonesia's Lesser Sunda Islands. It's considered one of the most active in the area by scientists.

Friday's volcanic activity shot thick plumes of ash and sulfur dioxide more than 20 kilometers into the sky, which then drifted as far as northern Australia.

Some airlines decided to ground flights in and out of Bali's Ngurah Rai International Airport on Monday morning, due to worries that the ash cloud was approaching.

However, the most recent reports say the ash is dispersing.

On Saturday, all flights to and from Australia's Darwin Airport were canceled because of the hazardous ash cloud but have since resumed.

"Virgin Australia continues to monitor Volcano Sangeang in close consultation with the Volcanic Ash Advisory Center," said the airline in a statement on Monday.

"There may be some changes to scheduling of Denpasar services today.

"Virgin Australia will endeavor to contact all guests with affected affected bookings. We also recommend customers continue to check the flight status page on our website."

Denpasar services to and from Darwin resumed on June 1, said Virgin.

On Monday morning, low-cost carrier Jetstar canceled two flights out of Singapore and Perth that were due to stop in Denpasar, following nine other international and domestic cancellations over the weekend.

Qantas was also forced to ground fights over the weekend due to the ash, but has since resumed operations as normal.

According to the Smithsonian's Global Volcanism Program, intermittent historical eruptions have been recorded at Sangeang since 1512, most of them during in the 20th century.

The last confirmed eruption of Mount Sangeang was in 1997.

Why airlines can't fly through ash

The International Civil Aviation Organization set up the International Airways Volcanic Watch Operations Group in response to a number of serious aviation encounters with volcanic ash in the 1980s.

Composed of experts from nine global Volcanic Ash Advisory Centers, the organization alerts the aviation industry of the location and movement of clouds of volcanic ash.

For instance, Indonesia's volcanic eruptions are monitored by the Darwin Volcanic Ash Advisory Center.

"Volcanic ash in the air is composed of fine pulverized rock and accompanied by a number of gases, which are then converted into droplets of sulfuric acid and other substances," says the center.

"It is potentially deadly to aircraft and their passengers. The most critical effect is caused by ash melting in the hot section of the engine, and then fusing into a glass-like coating on components further back in the engine, causing loss of thrust and possible 'flame out' (engine failure).

"In addition there is an abrasion of engine parts, the airframe and parts protruding from the aircraft, and possible clogging of the fuel and cooling systems."

The Darwin center cites an incident in June 1982, when a British Airways 747 suffered severe damage and had all four engines flame out upon encountering ash from Mount Galunggung in Indonesia, descending to 12,000 feet before being able to restart some engines and make an emergency landing in Jakarta.

"Three weeks later the same thing happened to a Singapore Airlines 747, which this time lost two engines and also made an emergency landing," the center said.

"Quite apart from the safety consideration, volcanic ash has caused very expensive damage to aircraft; most estimates cite costs to aviation of over $250 million since 1982."

The world's Volcanic Ash Advisory Centers use satellite information, ground reports from volcanology agencies, pilot reports, meteorological knowledge and numerical models to track and forecast ash movements.

Volcanic island eats another off Japan

Descending into a volcano's magma chamber

@highlight

Indonesia's Mount Sangeang volcano erupted Friday, sending clouds of ash and smoke into the sky

@highlight

Volcanic ash drifted as far as Australia, forcing Darwin International Airport to cancel fights over weekend

@highlight

The ash is dangerous for a number of reasons, says the Darwin Volcanic Ash Advisory Center