(CNN) -- Ask teens the object of social media, and they'll all tell you the same thing: to get "likes." Whether on Facebook, Twitter, Instagram or Tumblr, young users understand the coin of this realm, and are more than happy to do what is necessary to accumulate it. But is the currency value neutral, or does it come with an agenda of its own?

Living for likes makes a teen's social career a whole lot easier, in some respects. Now there's a number letting kids know how popular they are, how well a photo is resonating with their friends, or whether their video stands a chance of vaulting them into the professional world of singing, skateboarding or twerking.

What they may not understand, however, is that this game of likes is not taking place on a level playing field. It was constructed by companies whose multibillion-dollar stock valuations are depending on little more than generating traffic -- more likes, follows and favorites -- and then selling the data that can be gleaned from it.

In a sense, major parts of our economy (or at least the inflated valuations on the NASDAQ exchange) are now depending on the social media activity of kids. I'm not sure that's a pressure worth putting on them.

On the surface, it all looks pretty empowering. For the MTV generation, changing the channel via remote control was about as interactive as mainstream media got -- and that only brought a kid from one corporate media conglomerate's commercial programming to another's.

Clearly, the social media universe, with its countless Facebook pages, YouTube channels, Twitter feeds and Instagram photos, offers a whole lot more choice. Instead of watching a TV channel, today's teens get to watch each other. That in itself amounts to power, freedom and agency, right?

Maybe. For while all these clicks and keystrokes and photos and videos may be free, they come with a price. Kids aren't paying with money, but with their attention and their hours of meticulous profile tweaking. They're paying with their likes, their favorites, and their follows. And they get paid back with a new path to popularity or even fame.

Sometimes, the exchange is explicit. Brands from soft drinks to automobiles ask kids to like an ad or promotion, all for the chance to be liked back or re-tweeted by the brand to its millions of followers. The teen gets more of those coveted likes. The companies get a real-time portrait of their potential customers and influencers, as well as all their friends.

And this isn't just some virtual game. Likes really do matter out here in the real world, too. New musicians and new writers alike must demonstrate that they have social media followings in order to find distribution and sponsors.

A new kind of talent agency, The Audience, has arisen to help young up-and-comers cultivate a social media presence, and then sell that network of followers to the appropriate advertisers.

It's actually a science. Thanks to the immense data pools created by social media users, a firm like The Audience can find the overlaps between fans of a certain pop star and those who have interacted with particular brands. That little venn diagram is marketer's gold. And, to be fair, The Audience is helping young musicians build careers in a landscape where there are no record labels left willing to develop talent -- and no one buying music, anymore, anyway. By pairing talent with sponsors, The Audience creates a new revenue stream for artists, or at least the ones with the most viewed selfies.

But it does create an oddly circular culture: Kids develop social media audiences in order to become "stars," which really just means having enough social media followers to sell out to a brand for sponsorship. Perhaps more amazingly, none of them seem to mind. When I asked kids what they thought about "selling out" for my PBS documentary on social media, none of them could even tell me what "selling out" meant. They thought it had something to do with there not being any tickets left for a concert.

The language barrier aside, young social media users today draw no distinction between art and commerce, culture and advertising. While kids engaged with social media have the ability to express themselves and their values to pretty much the rest of the developed world, they seem unaware of the extent to which these platforms shape the values they choose to express.

As I learned from a 13-year-old skateboarder who calls himself Baby Scumbag, you get fewer likes for making videos of board tricks than you do for getting gorgeous girls to pose for you in the near nude, or just doing crazy antics in the street. He's a massive success on YouTube, where his videos often generate more than a million views.

Another teenager, a girl from near San Diego, started making videos of herself singing, but is quickly learning that shots of her in her bedroom, or full body, or in a bathing suit, get her more attention. Her videos no longer include her vocals.

That's the part I don't think most teens grasp. Nor do most adults have enough of a handle on this whole social media universe to fully articulate our misgivings. We know something is amiss, but saying it out loud feels so, well, out of touch.

The reality here, however, is that it's our young social media users who are out of touch -- or at least painfully oblivious to the way the tools and platforms they're using in turn use them. They grew up with this stuff in their lives, and they accept these tools at face value, as features of the natural landscape. Not so. They were made by companies whose interests go far beyond helping kids express themselves and make friends. Our kids are not the customers here; they are both the product and the unwitting labor.

Our social media platforms are embedded with values that shape our perspectives and our behaviors. If we live in the social media landscape without an awareness of what it really wants from us, no one is really being empowered at all.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: Teenagers aim to get as many likes as possible

@highlight

Likes have real value for teens but even more value for giant companies that profit, he says

@highlight

Rushkoff: Getting liked on social media can be a route to getting your talents recognized

@highlight

But he says behavior designed to gain more likes may not always be beneficial