(CNN) -- For nearly 15 years, Dolores Prida was the Latina answer to "Dear Abby."

The Cuban-born writer penned columns -- as she once put it -- with "Latin-style tongue-in-cheek advice for the lovelorn, the forlorn and the just torn."

Prida died in New York on Sunday, leaving behind a loyal following of readers. She was 69.

Many knew her popular "Dolores Dice" column in Latina magazine. But Prida was also an opinion columnist who tackled tougher topics such as gun control and teen pregnancy in New York newspapers and a playwright who won international recognition for her work.

The night before she died, she was at a party in New York with Supreme Court Justice Sonia Sotomayor and others celebrating the 20th anniversary of a close-knit network of Latina journalists, lawyers and other professionals.

Opinion: Latina 'Dear Abby' brought wit, wisdom, light

Prida had no training in writing advice when she took over Latina magazine's column in 1998. But her "wit, humor, tender poet's heart and commitment to empowering young women" made her a perfect fit for the job, said Sandra Guzman, then the magazine's editor in chief.

"She delved in with passion and gusto," Guzman said. And her wry humor quickly made the column a hit.

The questions poured in -- hundreds every month, according to the magazine. Should I tell my ex-husband not to bring his new wife to our daughter's quinceanera? Should my undocumented immigrant husband and I hold off on buying a house? Why can't Latinos be a strong community rather than lashing out at people from different parts of Latin America?

Readers regularly said "Dolores Dice was the first feature they turned to," Damarys Ocana Perez, Latina's executive editor, said in a tribute to Prida posted on the magazine's website.

"She said what had to be said, and said it with humor most of the time," said Maite Junco, a longtime friend of Prida. "She always had a light touch. She always believed that you're going to get people with humor more than anything."

Prida was known for her witty responses telling young Latinas to focus on themselves, not boyfriends or looks. Her answers to their questions -- written in English with a bit of Spanish sprinkled in -- made readers laugh, but also pushed them to think.

To a woman wondering whether her skinny figure was making her boyfriend lose interest: "Before you dive into those lardy tamales again, make sure his lack of attention is actually related to your slimmed-down curvas."

To a 17-year-old whose older boyfriend wanted her to stop wearing makeup, plucking her eyebrows and going out with friends: "Your boyfriend may not want to be seen as robbing the cradle, but it sounds like he wants to rob you of your youth. Why would you want to stay home in a muumuu, sporting pale lips, blushless cheeks and hairy, Frida Kahlo eyebrows while your amigas are out having a ball looking fabulosas?"

To the reader who asked about whether she and her undocumented immigrant husband should buy a home: "Stop fretting. Maybe you should wait a while to buy your casita. Instead, put your energy into prodding Congress to come up with humane legislation to solve the undocumented workers crisis."

Prida once said she enjoyed working with young Latinas at the magazine.

"Younger Latinas today are more self-assured. They have opportunities we didn't have 30 years ago," Prida said in an interview with New York's Repertorio Espanol theater company. "With the boom of Latino popular culture we're experiencing, they feel it's 'cool' to be a Latina -- and they rejoice in it. As an older Latina, it makes me proud that in my lifetime I can see a magazine of such quality for and by Latinas."

Hiring Prida "was one of the best decisions of my tenure at the magazine," Guzman said. "Dolores touched, healed and inspired many hearts."

Exploring 'how we see ourselves'

But she didn't save all her advice for lovelorn readers. Friends said she was also quick to recommend books and movies, to mentor younger writers and to offer constructive critiques.

"She would take the time to work with people," Junco said, "to share what she had learned and what she knew with all types of writers."

Prida was a teenager when she immigrated to the United States from Cuba with her family in 1961. She began working in the theater in the 1970s and won widespread recognition for her work, including an honorary doctorate from Mount Holyoke College.

She wrote more than a dozen plays and musicals, including the critically acclaimed "Beautiful Senoritas." They stood out, in the eyes of reviewers, for their sensitive portrayal of the immigrant experience and the humor of balancing two cultures and two languages.

Throughout her career, she pushed for more cultural exchanges with Cuba -- a position that was so unpopular with some that there were bomb threats when one of her plays was set to be performed in Miami in 1986.

Being a woman and being bicultural are threads that run through many of her plays, according to Repertorio Espanol's guide to her work.

"My intention as a writer is to explore, in many different ways, our being here," Prida told the theatrical company. "Being from a different culture. Trying to fit in or not fit in. How other people see us, how we see ourselves."

'An important voice'

The night before her death, Prida excitedly talked about future projects with Sotomayor and other friends at the party.

"As always, she was filled with life and plans for the engaging work she was involved in," Sotomayor said in a statement after learning of Prida's death Sunday. "Dolores was a visionary. As a writer she inspired us to think deeply about our culture."

In 2009, Prida printed T-shirts emblazoned with the words "Wise Latina" -- a phrase Sotomayor had used that drew sharp criticism from some lawmakers during her confirmation hearings. For Prida, the description was a point of pride. She gave the T-shirts to Latina leaders and wrote a column about Sotomayor's success.

"We thank her for the term 'Wise Latina.' It is going to stay around for a long while," Prida wrote in the New York Daily News. "For the first time, Latinas who, for close to a century, have been stereotyped as temperamental hot tamales or inarticulate maids and cooks, have a label they want to hold onto."

New York's El Diario newspaper, which ran a regular opinion column by Prida, called her "an important voice for the Hispanic community in the Big Apple."

"She was ahead of her time in the sense that she's been making the case for Latinos in the U.S. for a long time. Now it's sort of in the news, but 20 years ago Dolores was already writing about Latinos," said Junco, who for years edited columns Prida wrote for the New York Daily News. "She always made the case that we, the Latinos, were an important part of America today, and that was only going to grow."

Her death was unexpected, and the cause was unclear, Junco said. Prida left Saturday night's party because she didn't feel well, then called her sister, telling her she had chest pain.

According to Junco, as paramedics took her to the hospital, Prida described the night's festivities.

"I was at a party," she told them. "I was dancing of joy."

People we've lost in 2013: The lives they lived

CNN's Rose Arce contributed to this report.

@highlight

Dolores Prida, who penned a popular advice column in Latina magazine, died Sunday

@highlight

Prida was also a playwright and an opinion columnist

@highlight

Friend: "She said what had to be said and said it with humor most of the time"

@highlight

Supreme Court Justice Sonia Sotomayor calls her a "visionary" who "inspired us to think deeply"