(CNN) -- As the 1961 Lincoln Continental convertible rolled down Elm Street in Dealey Plaza, three shots rang out in Dallas, their echoes lodging in the memories of America's youth for years to come.

Derek L. Farthing was in third grade in Jersey City, New Jersey, when the school's janitor came to tell his teacher, Ms. Melvin, the horrific news.

"Her hands rose to cover her face and to still her ... shocked voice from raising our concerns," he told CNN iReport. "After composing herself, she turned to us and stated, 'The President, President Kennedy, was shot and killed in Dallas, Texas.'"

Farthing was released from school early and went home to tune in to the black-and-white CBS broadcast of Walter Cronkite, who famously removed his glasses as he confirmed JFK's death.

Amid cloudy conspiracy theories swirling around the assassination of John Fitzgerald Kennedy on November 22, 1963, many baby boomers have a moment of clarity from that day; they remember where they were when Camelot fell.

One JFK conspiracy theory that could be true

Flashbulb memories, as they're called by memory experts, are vivid remembrances of significant events; a mental snapshot of the who, what, when and where -- and the emotional fallout.

These memories, according to neuroscience writer and professor W.R. Klemm, can be particularly reinforced by the images associated with them.

Kennedy was the first TV-ready president. His charismatic good looks were a deciding factor in an early debate victory over Richard Nixon, and he went on to use television to deliver unprecedented live press conferences to the American people.

Clinical psychologist Ditta Oliker, who blogs about childhood memories on Psychology Today, said for many, the Kennedys were America's couple upon a hill -- wealthy, well-connected and glamorous. Their newfound vulnerability made the country feel vulnerable.

JFK's assassination: a look at the facts

"Before that dreadful day, we worried about whether we could dye our peau de soie shoes the exact same color as our party dresses, and whether we could get a nice bouffant," Marcia Wendorf told CNN iReport; she was 13 at the time.

Children who previously hadn't a care in the world now knew death firsthand.

Kathi Cordsen, who was 11 then, told iReport: "More fear came over me when Jack Ruby shot Lee Harvey Oswald, because what came into my head was this was going to keep going and going until finally they kill every man -- including my dad. I was so emotional and very afraid."

CNN iReporter Gail Powell was just 8 years old when America's 35th president was assassinated on that sunny November day.

5 things you might not know about JFK's assassination

"What upset me the most was seeing my mother so upset about what happened to Kennedy," Powell told CNN. "I was young, but I understood enough that something terrible had happened and that many people were very sad."

Klemm said memory is reinforced by dramatic circumstances, "and this was certainly an emotionally charged circumstance."

For many children of the '60s, the assassination was also the first national event played out on television, its scenes repeatedly flashing onscreen over several days. Even on this day 50 years later, the images remain instantly recognizable. Klemm said this repeating retrieval of a memory only strengthens it in the brain.

These types of memories are similar to what later generations would experience after images were played on TV news of the second airplane crashing into the World Trade Center or of Columbine High School students running out of the building with their hands in the air. For some, it's even O.J. Simpson's white Ford Bronco leading a slow-speed chase on Interstate 405.

Oliker said a powerful reaction from a parent or another adult also makes a huge difference in how children encode a memory.

Then-5-year-old Natalie Montanaro remembers having to go to bed early on that day in 1963, amid the hushed whispers of her parents in the next room.

"Ask not what your country can do for you; ask what you can do for your country." The iReporter remembers those words replayed over and over. She would later join the Peace Corps, which Kennedy established in 1961, to commit to that promise.

For many children, the events of November 22 signaled their loss of innocence most of all.

"Back in that era, prior to JFK's death, I think we lived in an idealized world, where it seemed that all things were possible, that nothing was foreclosed, and certainly that a presidential assassination was not even possible," Paula Matuskey, who was 15, told CNN's iReport. "It was an exciting time, in other words, and a pretty happy time."

Farthing echoed her sentiment: "I believe that the death of President Kennedy gave more awareness that there was more to just where I lived. I became more aware of the nation and the world."

Where were you when you learned of John F. Kennedy's assassination? Please share your experience in the comments below.

CNN's Daphne Sashin contributed to this report.

@highlight

Many children of the '60s can recall exactly where they were on November 22, 1963

@highlight

Experts call JFK's assassination a "flashbulb memory," which sticks in the collective mind

@highlight

Because of TV, American families felt they knew JFK and were devastated at his loss