(CNN) -- A decade ago, over 1 million people in Zambia were living with HIV.

Only 143 of them were receiving treatment. The average cost of that treatment was more than $10,000 per year. Being infected with HIV in Zambia was akin to a death sentence.

When I visited Zambia in 2012, the picture had changed. Eighty percent of Zambians living with HIV now had access to treatment. I met Florence Daka, a mother of four, who received anti-retroviral treatment five years ago to prevent her from passing the virus to her baby while she was pregnant. Florence now takes medicine that allows her to work full time and care for her children. It costs about 50 cents per day.

View full gallery: Zambia, then and now

On World AIDS Day, December 1, we have an opportunity to make Florence's story a reality for more families by supporting an organization that is helping developing countries respond to three of the world's biggest health challenges -- the Global Fund to Fight AIDS, Tuberculosis and Malaria.

Since it was founded in 2002, the Global Fund has been a leader in the world's successful response to HIV/AIDS, TB and malaria. All told, its efforts have saved nearly 9 million lives.

Opinion: Wrong time to reverse course on HIV/AIDS

The Global Fund also plays a key role in helping developing countries change the course of these three epidemics.

For example, when people have early access to HIV testing and treatment, they not only save their own lives but they dramatically reduce their chances of infecting others. Moreover, a simple preventive procedure like voluntary medical male circumcision lowers a man's chance of acquiring HIV -- and potentially transmitting it to his partner -- by about 60%. Overall, effective prevention and treatment programs have helped reduce new HIV infections by a third since 2001.

That last number is crucial, because preventing new HIV infections is absolutely essential to ending AIDS. Developing a vaccine to prevent HIV remains critical, and scientific researchers are achieving exciting breakthroughs. In the meantime, we need to develop new technologies that women can use to protect themselves. Condoms are a great way to prevent the spread of HIV, but they require the cooperation of both partners.

Interactive: World AIDS Day

Even if a vaccine or a revolutionary new prevention method were discovered tomorrow, our work wouldn't be over -- because they won't end AIDS if they don't reach people at risk. That is what the Global Fund has been so successful at doing for the past decade: delivering the best tools available to the people who need them most.

The Global Fund doesn't just provide money for pills and other health products. It channels its resources into training new generations of doctors, nurses, and health care workers. It helps developing countries build stronger health systems. This approach guarantees that the money donors invest in the Global Fund has a long-term impact on overall health and quality of life in dozens of countries.

Put simply: The Global Fund isn't just one of the kindest things people have ever done for each other -- it's also one of the smartest investments the world has ever made.

On Monday and Tuesday, leaders from around the world will meet in Washington for the Global Fund's fourth pledge conference, called the Global Fund Replenishment, to raise the necessary funding for the next three years.

'No longer a death sentence'

The gathering is a reminder that the Global Fund was founded by the world to address an urgent need. We still need the entire world's support to continue the incredible progress we've made.

This World AIDS Day, we need governments, private donors, NGOs, activists and leaders to reaffirm their commitment to an organization that has helped change the course of three epidemics.

The opinions expressed in this commentary are solely those of Bill Gates.

@highlight

Bill Gates: Within a decade, we have seen huge progress in the fight against AIDS

@highlight

Gates: On World AIDS Day, let's reaffirm our commitment to ending this epidemic

@highlight

He says we should support the Global Fund, which has helped save nearly 9 million lives

@highlight

Gates: Global Fund Replenishment will aim to raise funding for next three years