Washington (CNN) -- A spokeswoman for James Clapper said the embattled director of national intelligence stands by remarks he made Thursday "about the current military situation in Libya" that prompted a leading Republican senator to call for his resignation. The Obama administration also said Clapper still has its "full faith and confidence."

Sen. Lindsey Graham, R-South Carolina, a member of the Senate Armed Services Committee, issued a statement criticizing Clapper's testimony, made during a committee hearing earlier in the day, that Moammar Gadhafi's regime would "prevail" over rebels seeking to oust the 68-year-old dictator from power in Libya.

"His comments will make the situation more difficult for those opposing Gadhafi," said Graham, adding they undercut U.S. efforts and should not have been made in a public forum.

Graham cited two previous occasions in which Clapper made misstatements, and said his comments on the Libya situation "should be the final straw."

Jamie Smith, director of public affairs for the Office of the Director of National Intelligence, said that Clapper's testimony "provided a snapshot of the relative strengths and weaknesses of the regime and the opposition. As he stated in his testimony, the situation in Libya is very fluid."

"Many factors will come into play over time including the pressure being brought to bear by the international community as well as the Libyan people's clear desire for change," Smith said. "As this dynamic situation evolves, the Intelligence Community will continue to provide its best assessment of the current situation as well as identify opportunities that project into the future."

Clapper's comment on Libya was not the only one that got him in trouble with some members of the armed services committee. In an exchange with Democratic Sens. Carl Levin of Michigan and Joe Manchin of West Virginia over what nation posed the greatest threat to the United States, the director focused his responses on the chief nuclear rivals, China and Russia, rather than on the regimes in North Korea and Iran, which are openly belligerent.

Clapper went on to clarify his answer, to which Levin gave lukewarm acceptance, but later Thursday, Senate Intelligence Chairman Dianne Feinstein, D-California, called the director's response on the threat issue "a problem" and, when asked by CNN, pointedly declined to say she had confidence in him.

"On the question on the two nations with the greatest intent to harm ours, I do not believe they're China and Russia," said Feinstein, who was not at the hearing. "I don't understand why that was put out there. So, that's a problem."

Asked whether Clapper has problems communicating, Feinstein responded, "I don't know what it is and I'm not going to speculate, but clearly there's a problem ... I would like the opportunity to look more deeply into it, OK?"

Other senators, including John McCain, R-Arizona, and Joseph Lieberman, a Connecticut independent who caucuses with Democrats, expressed support for Clapper. McCain said the director was "doing a very fine job."

White House press secretary Jay Carney defended Clapper and said his words were misinterpreted.

"If you look closely at the transcript of what Director Clapper said, he was answering a question with regard to military capacity," Carney said. "Obviously, Russia and China are two of the three largest nuclear powers in the world, therefore they have dangerous weapons and they have the capacity, but he made clear that we do not view Russia and China as a threat."

And in a follow-up answer regarding Clapper's Libya statement, Carney said Graham's response "was based on a real misinterpretation of what Director Clapper said today."

Asked if the president still had confidence in Clapper, Carney said, "Yes, full faith and confidence."

In a conference-call phone briefing Thursday night, National Security Adviser Tom Donilon said he believed Clapper "was presenting a kind of a flat-out resources analysis" of the situation in Libya.

"He went through the kind of equipment and resources that the regime has." Donilon said. "And I think if you look at it, he said from a standpoint of attrition, if you do an attrition analysis, you get to his conclusion."

In the same conference call, Deputy National Security Adviser Ben Rhodes addressed the issue of specific adversary nations, saying the issue is "a matter of capability (in the case of China and Russia) versus intent" to be a U.S. adversary "that leads you to focus on nations such as North Korea, organizations such as al Qaeda, who again are a great focus of what we do here every day."

That seemed to be the thrust of Clapper's protracted exchange on Thursday after Manchin asked Clapper what nations he thought posed the greatest threat to the United States.

Clapper said Russia and China posed a mortal threat, citing their nuclear arsenals and military capabilities. But he added that he didn't think either nation had the intent to strike the United States.

That clearly was not the answer Levin expected..

"You didn't mention Iran or North Korea, which would have been the first two countries I would have thought of in response to that question," the committee chairman. "I was really kind of taken aback almost by your answer."

Clapper explained that he interpreted the question to be what countries pose a "mortal threat" to the United States.

"Iran and North Korea are, you know of great concern. I don't know at this point in time they pose a direct mortal threat to the continental United States," he said.

Levin pressed Clapper on whether Russia and China were a direct mortal threat to the United States, and Clapper reiterated that they both had the capability, but it was unlikely they had the intent.

Levin then flipped the question: "By that measure we represent the direct mortal threat to both of them, right?"

Clapper seemed to avoid a direct answer but eventually answered yes.

Manchin stepped in to to see if he could clarify Clapper's position by asking which nation has the intent to be the greatest adversary.

Clapper answered, "Probably China," which once again set Levin off.

"I'm just as surprised by that answer as I was by your first answer," Levin said.

Clapper tried to explain that he was "loath" to pick one country and restated that both China and Russia have the capability, but he didn't think either had the intent.

Levin suggested Clapper needs to be more careful with his words.

"When the Director of National Intelligence talks about what are the greatest threats, unless he starts with capabilities, and uses that, and doesn't just answer 'China and Russia' the way he did -- I was concerned by the answer."

After the hearing, Levin issued a statement saying, "I was taken aback by Director Clapper's statement about China and Russia and, frankly, I was surprised by how long it took him to correct the impression that he created. He did finally correct it, however, and I am glad that he did, and I am satisfied with his correction."

This isn't the first time Clapper has had to explain comments he has made.

He was called on the carpet last month for referring to the Muslim Brotherhood in Egypt as a secular organization at another Congressional hearing.

And during an interview with ABC News in December 2010, Clapper appeared unaware of a terrorist plot that had been interrupted in Britain earlier in the day.

In both cases, the Office of the Director of National Intelligence put out statements on Clapper's behalf. In the instance of the ABC News interview, the office said the director had not been briefed on the UK terror plot.

@highlight

NEW: Spokeswoman says Clapper is standing by his comments on Libya

@highlight

NEW: National security adviser: Clapper was giving a "flat-out resources analysis"

@highlight

In testimony, he said Libyan regime would "prevail" over rebels, prompting criticism

@highlight

His statement that China, Russia pose greatest threat to U.S. irks Sen. Carl Levin