(CNN) -- There are many luxurious amenities a business traveler enjoys while sleeping on the road: fluffy beds, room service, decked-out fitness centers and concierges.

These amenities make traveling more comfortable. But when it comes down to it, take it from Dorothy: There's no place like home.

Some business travelers say they prefer staying in furnished vacation rentals, corporate housing and inns versus hotels, particularly for lengthier stays.

That's not just because alternative accommodations usually come with more space, free Wi-Fi, free laundry facilities and free parking, but doing so helps battle the lonesome blues while offering homey and off-the-beaten-path experiences.

"Living in hotels can be very depressing," says Mark Mule, a traveling pit orchestra musician who is usually on the road for weeks or months at a time. "Corporate and vacation rentals are homes. This is good for your head."

Hotel occupancy rates have slowly declined in recent years. Nationally, hotels enjoyed 63% average occupancy in 2005, according to Smith Travel Research. By the end of 2010, that figure had fallen to 57.6% (but it's up from its five-year low in 2009 of 54.6%). That's partly because of increased supply and less demand since then. As the economy recovers, travelers seek value.

In a September 2010 survey by vacation rental booking site HomeAway.com, 10% of travelers say they have stayed in a vacation rental for a business trip, and 42% say they would consider a vacation rental while traveling for business.

But booking a hotel still has its benefits. Survey results by market research group PhoCusWright show that hotels are, by far, the first-choice venue for corporate meetings and events, so staying in them is extremely convenient for attendees.

Hotels providing newer, better club lounges

There's usually a fully equipped business center, maybe a pool and wait service. Members of hotel loyalty programs enjoy perks like free nights, free room upgrades, access to VIP lounges and preferential treatment.

Sites like HomeAway.com, VacationRentals.com, VRBO.com, CorporateHousing.com, Wyndham Vacation Rentals (which rents the Breckenridge, Colorado, property in the photo above) and Craigslist.com have been around awhile for individuals to book short-term rentals, but new Web ventures such as AirBnB.com and Roomorama.com are making it possible for travelers to obtain cheaper rates for nightly lodging.

Adventurous entrepreneurs can rent a room, but full, vacant properties are also available. AirBnB, which started in 2007, booked half of its 2 million bookings in the last six months, but it doesn't keep statistics on how many of those are business-related.

The convenience of paying one price for furniture, housewares, amenities and utilities is attractive to business travelers, says Amanda Cook, director of membership and marketing for the Corporate Housing Providers Association.

"Corporate housing is ... specific to [clients'] unique needs and reduces stress for the user, which in turn makes them more productive at their jobs," Cook says.

Saving money and hatred for nickel-and-diming are many travelers' motivations for booking alternative lodging, particularly at inns, 91% of which have free Wi-Fi and full breakfast, says Marti Mayne of the bed-and-breakfast industry's Better Way to Stay campaign. Many B&Bs also offer meal and activity packages, wine and cheese receptions, and 24/7 guest snack pantries.

Other travelers seek more control over their routines.

"I almost exclusively stay in places I find through services such as AirBnB," says grant writer and frequent business traveler Ron Flavin. "The reason I do this is to stay fit. Staying in an apartment with a kitchen makes it easy for me to prepare healthy meals."

Chris Brisson, an entrepreneur and co-founder of Automizeit.com, has used vacation rental websites AirBnB.com and VRBO.com to find private, local experiences for small, off-site company meetings. One of his recent snags? A three-story beachfront mansion in Costa Rica for $225 per night.

When traveling overseas for the long term, travel security expert Clinton Emerson suggests checking with the destination's U.S. Embassy, which performs security and safety checks on vetted rental properties. This helps prevent what happened to Comunicano CEO Andy Abramson, who once reserved a corporate apartment online that did not turn out as promised.

"The matter got resolved, but not without a loss of time and effort to get the kind of apartment we had reserved," he says. "Given the corporate apartment rentals are usually represented by multiple agencies, the key is to work with one that's reputable and to find a company where the level of consistency is there."

While more options are available for business travelers willing to be diligent, staying in a reputable hotel may be better when staying for the first time in a city, says Faruq Hunter, an executive vice president with GeniusCo who travels seven months out of the year. There's a better chance it will be close to the action and meet a traveler's comfort and safety standards, he adds.

"Remember the purpose of your trip," Hunter says.

Those who don't mind getting personal could consider staying with clients and colleagues, as public relations executive Elyse Bender-Segall does.

"I have established great relationships with all of my clients and enjoy getting to know them on a personal level when I am in their towns," she says. "To me, it feels more like home rather than to wake up alone in an unfamiliar hotel in a random city."

But travelers who really miss home may opt to skip overnights altogether.

"My schedule gets so tight sometimes that I choose not to spend a night in a hotel," says Ismail Humet, co-founder of MyFreebeez.com.

"Instead, I take a red-eye flight back and get some sleep on the plane. Oftentimes, a last-minute upgrade to first class will cost less than a room plus meal expenses. First class is comfortable enough for me. It's more important to get back home and spend time with my family."

@highlight

Some business travelers prefer furnished vacation rentals over hotels

@highlight

"Corporate and vacation rentals are homes. This is good for your head," one traveler says

@highlight

Alternative accommodations usually come with more space, free Wi-Fi, free laundry facilities