London (CNN) -- Dan Brown's "The Da Vinci Code" encouraged amateur "symbologists" everywhere to scan their favorite paintings for secret codes -- but the practice has been going on for centuries.

From the inscrutable prehistoric cave drawings inside the Chauvet Caves in Southern France to the abstract paintings of Jackson Pollock, artists have kept the intentions and significance of their work close to their chests.

Famously opaque paintings include Bronzino's 1545 work "An Allegory with Venus and Cupid," which contains allegorical figures even scholars aren't able to decipher.

Still, historians often discover hidden images, symbols and texts in works of art.

CNN World's Treasures selects examples of such discoveries -- some reputable, others outlandish.

'Twentieth Scene of the Life of St. Francis,' Giotto di Bondone

The latest example is the discovery of a profile of the devil, secreted in this fresco by thirteenth-century Italian artist Giotto di Bondone at the Basilica of Saint Francis in Assisi.

Italian art historian Chiara Frugoni discovered the hook-nosed, smirking devil hidden in the swirls of a cloud.

She believes it refers to the Medieval belief that devils would appear in the clouds to arrest the soul's ascent into heaven.

'Mona Lisa,' Leonardo da Vinci

Leonardo da Vinci's painting of an enigmatic smiling woman has been a source of intrigue for years.

In 2010 the president of Italy's National Committee for Cultural Heritage, Silvano Vinceti, was convinced he had discovered letters and numbers embedded in the eyes of the portrait, which he found after digitally magnifying it.

Initially, Vinceti's discovery of the letters L and V was taken as proof of the well-worn theory that the "Mona Lisa" is in fact a portrait of da Vinci himself.

Vinceti then arrived at the conclusion that it was a painting of one of da Vinci's male associates, though other art historians have been quick to debunk the idea.

'Battle of Marciano,' Giorgio Vasari

This fresco in the Hall of Five Hundred in Florence's Palazzo Vecchio is believed to hold the key to a long-lost work by Leonardo da Vinci.

Art diagnostic expert Maurizio Seracini is convinced that da Vinci's fresco "The Battle of Anghiari" lies behind "The Battle of Marciano."

Writer and painter Vasari, a great admirer of da Vinci's, wrote about him beginning work on the fresco but abandoning it part of the way through due to technical problems.

On a tiny painted green flag in Vasari's fresco are the words "Cerca, trova" -- in English, "seek and you shall find."

Seracini is hoping to use forensic techniques to get behind Vasari's fresco and see whether "The Battle of Anghiari" really does lie behind it.

'Sistine Chapel,' Michelangelo

Michelangelo's sublime Sistine Chapel at the Vatican in Rome received a thorough restoration and cleaning towards the end of the twentieth century, revealing this Renaissance masterwork in all its colorful, complex glory.

But according to Roy Doliner, co-author of the book "The Sistine Secrets: Michelangelo's Forbidden Messages in the Heart of the Vatican," the restoration also revealed some seditious and previously unnoticed communications.

One discovery was of a painting of a young Jewish man, Amminadab, wearing the sign of persecution prevalent at the time in Italy on his clothing, and apparently making a rude hand-gesture directly over where the Pope's throne would have been.

Another discovery was of two Jews in the inner circle of the elect in the towering "Last Judgement" -- "total blasphemy for the 1500s," according to Doliner.

It is his belief that Michelangelo was secretly preaching ideas of acceptance during a time of religious intolerance.

'The Last Supper,' Leonardo da Vinci

One of the more outlandish theories about this work (which featured as the central clue in the plot of "The Da Vinci Code") is that the undulating composition of the disciples' hands and the bread rolls on the table correspond to musical notes on a stave.

Strung together, the tune supposedly resembles a requiem -- a song for the dead.

Leonardo was a talented musician in addition to his other great talents; perhaps a musical painting isn't entirely out of the question?

'The Supper at Emmaus,' Caravaggio

Caravaggio's 1601 painting "The Supper at Emmaus" may not have a hidden message that we know of but it does contains subtle symbols hinting at the identity of the mysterious, beardless man at the table.

An important clue is the shadow of a fishtail coming off the bowl of fruit magically hovering at the edge of the table, a just-visible sign that the man at the table is Christ, the fisher of men.

Another is the way all lines, like those in "The Last Supper," point to the beardless man at the head of the table -- Christ, in disguise.

@highlight

Symbols and hidden messages often discovered in historical paintings -- some credible, others less so

@highlight

Face of the devil recently discovered in a Giotto fresco in a church in Italy

@highlight

Art historians believe they have found messages in works by Leonardo da Vinci and Michelangelo

@highlight

Forensic art historian hunting lost Leonardo work based on "clue" in Vasari fresco, among others