(CareerBuilder.com) -- Leadership is one of those nebulous terms -- you hear it all the time but it has various definitions. The traits that make up a good leader can vary depending on the organization, team, manager and work environment.

Leadership can also vary in style -- are you someone who dictates the group and doesn't listen to anyone else's opinion? Or do you lead with a more bureaucratic or democratic style?

"Every leader has a particular style of leadership that is innate. However, the behaviors, attitudes or methods of delivery that are effective for one staff member may in fact be counterproductive for another," says Michael Burke, account supervisor, MSR Communications, a public relations firm.

"Great leaders are aware of their own style and make the effort to learn how their style actually comes across to their team. They learn to flex their leadership style to individual team members so that they communicate and behave in ways that motivate and inspire."

Here is what five leadership professionals consider to be traits that make up a good leader:

Rachael Fisher-Layne, vice president of media relations, JCPR, a public relations agency

1. Honesty. Always do the honest thing. It makes employees feel like they know where they stand with you at all times.

2. Focus. Know where you're going and have a strong stated mission to lead people on. If you're not sure, how can your people be sure? You have to have strong focus and stay the course.

3. Passion. Whatever it is, you must have passion for what you're doing. Live, breathe, eat and sleep your mission.

4. Respect. Not playing favorites with people and treating all people -- no matter what station in life, what class or what rank in the org chart -- the same.

5. Excellent persuasion abilities. People have to believe in you and your credibility. Image is everything and the belief people have in you, your product, your mission, your facts or your reputation are key to being a great leader. You have to persuade people of this -- it doesn't just happen.

Darcy Eikenberg, a leadership and workplace coach, Red Cape Revolution

1. Confidence. If you don't believe in yourself, no one will. I hear leaders worrying that if they show too much confidence, others will think them arrogant. The reality is people want to know what you know for sure -- and what you don't. Having the confidence to say "I don't know" is a powerful skill.

2. Clarity. The only way you can get confidence is by becoming really, really clear about who you are and what is most important to you. New leaders fail when they try to become all things to all people, or try to do too much out of their area of excellence. Clarity helps you say "yes" to the right things -- and "no" to others.

3. Care. The strongest, most effective leaders I've met care not just about the business, but about the people in it and the people impacted by it. Plus, they show they care through their words and actions, even proving how they care for themselves and their family by taking unplugged vacations and continuing their own professional development. Care shouldn't be a four-letter word in our workplace today -- and the best leaders know it.

Tom Armour, co-founder, High Return Selection, a recruitment firm

1. Integrity. They are people who are respected and worth listening to. I find in general due to all of the economic difficulties, employees prioritize and seek leaders and organizations that are honest and meet their commitments.

2. Compassion. Too many leaders these days manage with the balance sheet, often times at the expense of their employees and long-term customer relationships. Talented people want to work for leaders and organizations that truly care about their employees and the communities in which they operate.

3. Shared vision and actions. People produce real business gains and smart people need to understand what is needed and be part of the solution.

4. Engagement. Great business leaders are able to get all members of their teams engaged. They do this by offering them challenge, seeking their ideas and contributions and providing them with recognition for their contributions.

5. Celebration. In today's work environment, people are working very long hours and they need to take some time to celebrate their successes in order to recharge their batteries. Those leaders who fail to do this create burnout environment overtime.

Mike Sprouse, CMO, Epic Media Group, and author of "The Greatness Gap"

1. Humility. True leaders have confidence but realize the point at which it becomes hubris.

2. Empowering. True leaders make their associates feel emboldened and powerful, not diminished and powerless.

3. Collaborative. True leaders solicit input and feedback from those around them so that everyone feels part of the process.

4. Communicative. True leaders share their vision or strategy often with those around them.

5. Fearlessness. True leaders are not afraid to take risks or make mistakes. True leaders make mistakes born from risk.

Nancy Clark, author of "18 Holes for Leadership"

1. Genuine. You need to be clear on what your values are and must be consistent in applying them. As part of that, you need to have the courage to hold true to them. You must not lose sight of reality. Lost values may be one of the biggest causes of downfalls.

2. Self-awareness. You need to be clear on what your strengths are and what complementary strengths you need from others. This includes understanding others and learning how best to utilize their strengths. Many unsophisticated leaders think everyone should be like them; that too can cause their downfall. They surround themselves with people like them. "Group think" can blindside them and cause failure.

3. Leverage team strengths. Part of awareness is don't expect people to change. If you think you can change someone, think again. This doesn't mean you can't help them grow and develop. But don't expect to change anyone (even yourself) behaviorally. We are who we are. Your job as a leader is to understand each person's strengths and place them in positions where they can flourish and grow. If you are good at that, you have a huge part of the equation for success.

4. Leadership transitions. Going from individual contributor to supervisor is only the first of many transitions along the leadership pipeline. You need to understand the business model, how it applies to your current position, what you need to do to provide the greatest value, and how to leverage your strengths at this level. This requires building competencies and focusing on the right things. No one ever tells you that there are many levels and many adjustments you need to make along the way.

5. Supportive. You need to foster a positive environment that allows your team to flourish. Also by aligning the reward and recognition systems that best match your teams profile and deliver results.

&copy CareerBuilder.com 2011. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

Traits five leadership professionals consider to make a good leader

@highlight

Confidence is key, says a workplace coach. "If you don't believe in yourself, no one will."

@highlight

Leaders are fearless, says author Mike Sprouse. "True leaders are not afraid to take risks or make mistakes."