(CNN) -- What if browsing the internet felt like playing an arcade game?

That's the idea behind a new website called OneTrueFan, which awards points -- and potentially real prizes -- to people just for trolling around online.

The site, which opened to the public late Wednesday and launched at a conference hosted by the blog TechCrunch earlier this week, intends to apply the idea of "check-ins" to online media consumption.

Smartphone apps like Foursquare and Gowalla popularized the idea of check-ins, which broadly refers to the act of telling people you're at a certain location or that you're doing a certain thing at that moment. It's a concept that's gone mainstream only recently. Facebook, with its 500 million members, picked up on the idea when it launched its "Places" feature in August.

Foursquare and others let users "check in" to bars, restaurants and parks. Other apps like GetGlue let people check in while they're watching movies or reading books.

Now those same mechanics are coming to the internet at large.

After users install a Firefox plug-in for OneTrueFan, the site automatically checks you in each time you visit a new website.

If it's your first time on the site, you get 10 points; if you've been there before, you get 1 point for each new page you visit within a certain domain. Those who share a link  -- on Twitter, Facebook or Delicious, the bookmarking site -- are awarded with five points. People whose links actually drive traffic back to that website get one point for each click. The scores reset every two weeks.

But who cares, right? What do these points actually mean?

Eric Marcoullier, who co-founded OneTrueFan with business partner Todd Sampson, says the points create a sense of competition and community among users and could also result in real prizes.

Those who visit a certain site most often are given "One True Fan" status, similar to the "mayor" status people achieve on Foursquare if they frequent a certain venue more often than anyone.

People who have installed the OneTrueFan plug-in automatically see who is winning the race to be the biggest fan of that page. The also see the faces of other internet heads who happen to be look at the page at that time.

Marcoullier says this creates an ambient feeling of community -- much the way shopping in a crowded store makes a person feel part of a group.

"When you think about it, browsing the Web is an inherently sterile, isolated experience, but there are people at the same sites you go to," he said. "And it's not like you're going to sit there and talk to them while you're browsing."

Instead, he added, it's nice just to know they're there.

The site awards digital "patches" to people who complete certain challenges. For instance, if a person visits 1,000 different internet domains, he or she is awarded the "browser" patch. Sharing 100 links gets you the "broadcast" patch, and visiting five social networking sites in one day gets you the "socialite" patch.

All of this feeds into the competitive spirit of the site, Marcoullier said.

OneTrueFan does not let users contact each other through the site, but the service links in with peoples' Twitter and Facebook accounts, so users could get in touch that way if they wanted, he said. And as for the sites you'd rather the world not see that you visited? Users can undo check-ins on a particular site and their entire check-in history there will be deleted from OneTrueFan's servers permanently, Marcoullier said.

The site does not save its users' entire browsing histories, he said. It only lists links that users have shared publicly on Facebook, Twitter and Delicious -- as well as whether a person gained or lost "One True Fan" status on a website.

As for the real rewards, some stores give freebies or discounts to people who become mayors of locations on Foursquare. In much the same way, Web companies will be able to offer prizes to the people who achieve "One True Fan" status on their sites, Marcoullier said. For example, a tech-focused website might offer the top user a free iPod or a chance to preview an invitation-only site, he said.

Marcoullier believes his plug-in makes the Web more social and fun. It's part of the coming "gamification" of our lives.

OneTrueFan only had 700 "alpha" users as of Wednesday, before it launched to the public, he said. Those users had to request invitations to get an "alpha preview" of the new website.

It's not the only new site trying to push the idea of website-based check-ins. Badgeville, which was a finalist in a contest for innovative startup companies at the TechCrunch Disrupt event this week, aims to work with media companies to develop loyal website users using similar techniques.

"The Badgeville Platform offers turnkey widgets & an API that allow media sites, publishers, brands, marketers, and community managers to leverage game-based techniques to create highly engaging web experiences," the site says in an introductory blog post. "Users are rewarded with real-time achievements and reputation that help publishers achieve specific pre-defined and measurable business goals."

Philly.com and TechCrunch are among Badgeville's current customers, according to a press release about the company.

BigDoor Media is another company trying to sell game-like features to websites.

It's unclear, however, how users will react to these new services.

In a post on the blog ReadWriteWeb, Ethan Stillman says that the new sites that are adding "game mechanics" to websites are doing a better job than their predecessors, but that adding games to Web browsing can go terribly wrong.

"Bad game mechanics are worse than no game mechanic because of that one jarring moment when your user realizes just how crappy the game mechanic is," he writes. "And it's at that moment when you have absolutely no control over where their mind wanders off to. They are flying free and you're just a speck on the radar."

He adds: "This is going to get nutty, and awesome, very quickly."

@highlight

The idea of the "check in" is coming to the internet

@highlight

The term once referred to the idea of telling friends where you are

@highlight

Now it applies to sharing the websites you're visiting

@highlight

OneTrueFan, Badgeville and BigDoor Media are among those competing