Philadelphia (CNN) -- The National Football League attempted on Tuesday to dismiss more than 200 cases brought by nearly 4,200 retired players who said they were not warned of the dangers of head trauma.

U.S. District Court Judge Anita Brody delayed a ruling on the request. "I will rule when I sort this out for myself," she said before adjourning the packed courtroom.

The class-action lawsuit could determine the league's role in caring for players with football-related neurodegenerative diseases.

The players accuse the NFL of "deliberately and fraudulently" concealing the dangers of head trauma, and are seeking damages, treatment and medical monitoring for neurological injuries they sustained during their careers.

The suit alleges the league didn't do enough to warn players that they risked permanent brain damage if they played too soon after a concussion and that it hid evidence about the risks for decades.

Brody listened intently and asked a series of questions of both camps' high-profile representation during the hearing.

Former NFL player wants brain studied

Paul Clement, former U.S. solicitor general during the George W. Bush administration, represented the NFL. David Frederick, who has argued a number of Supreme Court cases, spoke for the retired player plaintiffs.

High profile attorney Ted Wells, who's represented former Dick Cheney adviser I. Lewis "Scooter" Libby, among others, was observing Tuesday's arguments. Wells is one of the lead trial attorneys who will be representing the NFL should this case go to trial.

The collective bargaining agreements players signed with their respective teams also apply to the NFL, Clement argued, adding that players receive benefits.

"This is an unusual industry," Clement said, adding that unlike most corporations, the union, clubs and league "are worried about players."

"This is a case about workplace safety," he added.

In contrast, Frederick argued passionately that the NFL does not have immunity in all cases, especially those players who played while collectively bargaining agreements were in limbo from 1987 to 1993.

Moreover, the NFL actively concealed the risks associated with repetitive impacts to the head, he said.

The league didn't do anything about the injuries because they "didn't cause bleeding or broken bones," he said. "The NFL had held itself out to be the guarantor of safety. ... When the NFL began to glorify and monetize violence on the field, its breached its duty of due care."

A tale of two former NFL players and their brains

Last April, Alex Karras, the former Detroit Lions standout who starred in the 1980s sitcom "Webster," joined hundreds of former NFL players suing the league over concussion-related injuries.

Karras, who also played the horse-punching Mongo in the 1974 movie "Blazing Saddles," served as lead plaintiff for what was then the 12th concussion-related complaint filed against the NFL by the Locks Law Firm in Philadelphia.

Since then, the suits have been consolidated. He died in October following a battle with dementia, kidney disease, heart disease and stomach cancer.

The suits claim that plaintiffs suffer from neurological problems after sustaining traumatic impacts to the head.

Karras, for instance, "sustained repetitive traumatic impacts to his head and/or concussions on multiple occasions" during his NFL career, and "suffers from various neurological conditions and symptoms related to the multiple head traumas," according to the suit, filed before his death.

Last year, Karras' wife and "Webster" co-star Susan Clark said his dementia "prevents him from doing everyday activities, such as driving, cooking, sports fishing, reading books and going to big events or traveling."

"His constant complaint is dizziness -- the result of multiple concussions," she said in a statement. "What Alex wants is for the game of football to be made safer and allow players and their families to enjoy a healthier, happier retirement."

Critics say players traded the risk of injury for gridiron glory, while the NFL asserts there's a shared risk in playing football.

Former running back Dorsey Levens said Tuesday he knows a thing or two about "having my bell rung."

"We didn't know better. It's plain and simple," said Levens, who played for Green Bay and Philadelphia. "We knew there'd be some aches and pains, some joints and some ligaments, that may be damaged, and we signed up for that, fine. ... Not being able to remember, I didn't sign up for that."

NFL spokesman Greg Aiello told CNN at the time the suits were filed that, "any allegation that the NFL intentionally sought to mislead players has no merit."

"It stands in contrast to the league's actions to better protect players and advance the science and medical understanding of the management and treatment of concussions," Aiello wrote in an e-mail. "The NFL has long made player safety a priority and continues to do so."

NFL Players Association, Harvard planning $100 million player study

But, said players' attorney Gene Locks at the time, "(the NFL) had knowledge they didn't share with the players and didn't add the knowledge to the playing rules to protect players from head injuries. What we want is for the league to stand up and be counted, and examine everyone and provide medical benefits to everyone."

In recent years, the NFL has attempted to strengthen rules that govern player conduct on the field, adding sideline medical staff -- unaffiliated with the teams -- in an effort to more independently evaluate injured players.

In 2005, the league banned the practice of tackling a player by grabbing his shoulder pads, a move commonly referred to as a "horse-collar" tackle, after concluding it commonly resulted in injury.

It also recently strengthened a 1979 rule that prohibits players from using their helmets to butt, or "spear" players during a tackle -- a rule that critics had often complained lacked official enforcement.

Players such as Pittsburgh Steelers linebacker James Harrison have since faced hefty and repeated fines for helmet-first tackles.

Others have called for added protections, however, following a series of high-profile incidents involving former players' health.

In May 2011, scientists announced that an autopsy of the brain of former Chicago Bears safety David Duerson, 50, who died from a self-inflicted gunshot wound, showed evidence of "moderately advanced" chronic traumatic encephalopathy, or CTE.

NFL linebacker Junior Seau -- who also took his own life last May -- suffered from a neurodegenerative brain disease that can develop from concussions known as chronic traumatic encephalopathy or CTE.

CTE is a degenerative, dementia-like brain disease linked to repeated brain trauma. The disease has been found in the brains of 33 of 34 former NFL players, including Duerson, studied at the Boston University School of Medicine Center for the Study of Traumatic Encephalopathy as of last May. Their cases share a common thread -- repeated concussions, sub-concussive blows to the head, or both.

Scan may detect signs of NFL players' brain disease

A brain with CTE is riddled with dense clumps of a protein called tau. Under a microscope, tau appears as brown tangles that look similar to dementia. But the cases of CTE have shown this progressive, dementia-like array in players well in advance of a typical dementia diagnosis, which typically occurs when people are in their 70s or 80s.

Several NFL players, including LaMar Campbell and Thomas Jones, have said they want to donate their brains for research upon their deaths.

So does Kevin Turner, a former fullback for Philadelphia and New England. Turner suffers from ALS, or amyotrophic lateral sclerosis, also known as Lou Gehrig's disease. Turner believes the ALS results from blows to the head he received while in the NFL. He also wants to donate his spinal cord after he dies.

Judge Brody did not indicate how long it would take for a final decision on whether or not the suit goes to trial.

But Turner said he and others can't wait too long for a ruling.

CNN's Sunny Hostin, Rachel Wells, Ashley Hayes, Jason Hanna, David Ariosto, Michael Martinez and Thom Patterson contributed to this report.

@highlight

More than 4,000 former players say they weren't warned of head trauma dangers

@highlight

A judge has delayed ruling on the NFL's request

@highlight

The players want damages, treatment and medical monitoring

@highlight

Researchers are making strides in the study of the brain disease CTE