Afghans will go to the polls on Saturday to elect their second president since the overthrow of the Taliban in the winter of 2001.

You might be wondering: Why bother? After all, doom and gloom are supposedly the order of the day in Afghanistan. A Pew/USA Today poll in January found that slightly more than half of Americans believe the United States has mostly failed to achieve its goals in Afghanistan.

A month earlier, a CNN poll found that the Afghan War might well be the most unpopular war in American history. An overwhelming 82% of Americans are now opposed to the war. (At the start of 2014, the United States had 38,000 troops in Afghanistan.)

Dire predictions of a civil war breaking out after the withdrawal of U.S. and other NATO combat troops from Afghanistan at the end of 2014 have been a staple in the American media for years, including in quite sensible publications such as the New Yorker.

But a surprisingly under-reported set of developments has been taking place over the past several weeks in Afghanistan ahead of Saturday's presidential election. It shows that Afghans are not preparing for another civil war and instead a large majority of Afghans are planning to participate in the first democratic transition of power in Afghan history, while the presidential candidates are engaged in the kind of campaigning and deal-making that would gladden the heart of Bill Clinton.

Despite the entirely predictable efforts of the Taliban to disrupt the run up to the election, there is still likely to be a big turn out on Election Day.  A suicide bomber wearing a military uniform, for instance, killed six police officers on Wednesday inside the Interior Ministry, which is both well protected and in the heart of downtown Kabul.

Even with the Taliban violence, recent polling by the Free and Fair Election Foundation of Afghanistan found that 75% of Afghans said they wanted to vote. That is essentially the same finding of a separate poll taken almost a year ago that found that 76% of Afghans planned to vote.

Even allowing for some drop-off on Election Day, most Afghan experts I have talked to believe the turnout will likely be in the 60% to 70% range. Turnout in the previous presidential election in 2009 was only around 30%.

By contrast, the last time a U.S. presidential election had a 60% turnout was in 1968, and the last time it was above 70% was in 1900.

The high voter turnout estimates are based on the great excitement the Afghan elections have engendered. There have been substantive televised debates between the leading candidates, an astonishing development when you recall that under the Taliban it was only 13 years ago that television was banned entirely.

Indeed, under the Taliban there was no media to speak of beyond Radio Shariat, which dispensed grim Taliban propaganda. Afghanistan's now-vibrant media -- today there 75 television channels and 175 radio stations, as well as hundreds of print publications -- is giving the presidential campaign wall-to-wall coverage.

Meanwhile, the presidential candidates are addressing vast rallies across the country.

There has also has been real Chicago-style political horse-trading during the campaign. Candidates with little public support, such as Qayum Karzai, President Hamid Karzai's brother (and in another life, a restaurateur in Baltimore), recently ended his presidential bid and threw his support to another candidate, a former foreign minister, Zalmai Rassoul.

Despite much fretting that President Karzai would publicly endorse one of the eight candidates still in the running, he hasn't done so and his supposedly preferred candidate, Rassoul, came in a distant third in a poll released over the weekend.

Most impressively, the two campaigns that are consistently leading in the several polls taken during the past weeks have crossed ethnic lines to form their tickets. Top presidential contender Ashraf Ghani, who earned his Ph.D. at Columbia, is from the Pashtun ethnic group and he is running with Abdul Rashid Dostum as his No. 2, a leader of the Uzbek ethnic group.

The other front-runner is Dr. Abdullah Abdullah who is identified with the Tajik ethnic group (despite the fact that his parents are Tajik and Pashtun). Abdullah is partnered with Mohammad Mohaqeq, a leader of the Hazara ethnic group, and he also has a Pashtun on the ticket, Mohammad Khan, who is affiliated with Hezb-i-Islami, a splinter group of the Taliban.

Importantly, neither of the front-runners is an old school warlord. Indeed, they are both impressive technocrats.  Abdullah is an eye doctor by training who became Afghanistan's most capable foreign minister under President Karzai.  Ghani was the country's most able finance minister, also under President Karzai. Both these candidates can credibly promise sorely needed good governance in Afghanistan should they assume the presidency.

Of course, there are caveats to all this. The 2009 presidential election was marred by massive fraud. Could this happen again? This is much less likely for several reasons: There is considerably more local media attention about this issue than was the case five years ago; there have been several nationwide polls in the run-up to this election that establish quite firmly that Ghani and Abdullah are the front-runners, so fraudulently fixing some other candidate to take the lead would be hard to accomplish, and all the major candidates will have their representatives at the thousands of polling stations across the country, according to a senior Afghan official.

Could Taliban violence keep voters away on Election Day? Maybe in some places, but U.S., NATO and Afghan forces have long planned for this day, so expect to see a comprehensive security plan in place. According to the senior Afghan official, Afghanistan's borders with neighboring Pakistan will be sealed to the extent possible on polling day so as to prevent any Taliban insurgents or suicide bombers crossing over from Pakistan into Afghanistan. The official says Kabul International Airport will also be closed.

A wild card that could upset the election process would be violence against one of the well-guarded leading contenders. Abdullah's motorcade was attacked by unknown assailants in February. He escaped unhurt.

Afghan election law requires the winning presidential candidate to obtain more than 50% of the votes to win. Given that there are eight candidates still in the field, such an outcome seems unlikely. That means the two top candidates from Saturday's voting will go to a runoff election. According to the senior Afghan official, the runoff will likely take place on June 20.

All the major candidates have said they will sign the Bilateral Security Agreement, or BSA, with the United States that would allow American troops to be based in Afghanistan in an advisory capacity for many years after the withdrawal of U.S. combat troops at the end of 2014.

Karzai has famously refused to sign the agreement. Most Afghans want the BSA, because they see even a relatively small presence of U.S. soldiers and other NATO allies as a guarantor of the country's stability.

As one senior Afghan official put it to me when discussing the hoped-for long-term presence of U.S. troops, "We can either be Somalia or we can be South Korea." It's obvious that most Afghans prefer the latter outcome. Under a U.S. security umbrella, over the past several decades South Korea went from being one of the poorest countries in the world to one of the richest.

Though Karzai has been criticized by President Obama and members of Congress for not signing the BSA, in fact he has actually done the long-term relationship between Afghanistan and the United States a distinct favor, because the BSA will now be signed by the winner of the presidential election, a politician who will have a substantial mandate from the Afghan people, rather than by Karzai, who is at this point the lamest of ducks.

What of the Taliban? Well, they regard elections as against Islam, so they will write themselves out of this historic event and will only be seen by most Afghans as spoilers who will try to interrupt the election.

And in a significant turn of events, the Pakistani military is preparing a large-scale military operation along the Afghan-Pakistan border into the Pakistani tribal area of North Waziristan, which has long been a sanctuary for the most virulent branch of the Taliban, the Haqqani Network. According to two U.S. officials who closely follow Pakistan, the Pakistani military is geared up for this operation in a manner that is unprecedented, and it is only the civilian political leadership that is dithering about whether to pull the trigger.

The United States made a fundamental error when it conceived that real peace in Afghanistan, which has been wracked by three decades of war, centered on doing some kind of deal with the Taliban. As a result, well-intentioned U.S. officials put a great deal of diplomatic effort into trying to negotiate some kind of peace deal with the Taliban. Absolutely nothing has come of this multiyear effort, which was always a pipe dream, as I predicted in this space three years ago.

The negotiations with the Taliban were known in Washington circles as "the reconciliation process." In fact, the real reconciliation process is what you will see in Afghanistan on Saturday: Huge turnout by voters across the country voting across ethnic lines for seasoned politicians who have partnered with leaders of other ethnic groups.

This isn't the predicted civil war; it's more like a civics love fest. If only we could try to import some of this spirit into the U.S. Congress.

@highlight

Americans are dubious about the Afghanistan war, questioning what it achieved

@highlight

Peter Bergen says attention should be paid to the robust election campaign

@highlight

Candidates seeking to succeed Hamid Karzai are debating, voters are listening, he says

@highlight

Bergen: Despite Taliban, Afghanistan could see its first democratic transfer of power