(CNN) -- It's the sixth of October, 2005, a crisp Indian summer day in Manhattan, and we're sitting in the dining room of our Upper East Side apartment.

Outside the window, against the cobalt blue sky, looms the Church of the Heavenly Rest, where Andrew and I were married, where my brother, tall and handsome in his morning suit, walked me up the aisle and, in my father's stead, gave me away.

Now, almost forty years later, he's come alone for a single night, bringing with him a whiff of unease, even alarm. First it was his wife's last-minute cancellation, and now it's the formality with which he's summoned us to the table...like one of those scenes from Law & Order, when the detectives have to tell the family a loved one is dead.

Named John Cheves Haskell Jr., after our father, he's always been known in the family as Chevey (pronounced "Chivvy" as in "chin"). In addition to being the only immediate family we have (Andrew and I had no children, and Andrew's brother died in a sky-diving accident when he was twenty-eight), Chevey is the one we turn to for help in so many waysâ€”all those areas in which we are inept. From the humbly domestic (What temperature should the refrigerator be? Chevey travels with a special thermometer) to the technological to the arcane ways of money and finance (he's a financial adviser by profession and a rationalist by avocation), my brother is a fixer of problems and a fount of common sense, generous with his time as if there were no end to it. In recent years, the only time I can remember being vexed with him was in this very dining room. Andrew and I were giving a party that required removing a leaf of the chrome and glass table. As Chevey and Eleanor were up visiting, he offered to help remove the panel, but the heavy glass, detached from its chrome frame, dropped and shattered. If Andrew had perpetrated this domestic calamity, it would have been exasperating but unsurprising. At the hands of my hyper-competent brother, it was almost comically out of character. And now he is about to shatter normalcy in our dining room again, in a way that I would have said was out of character if I knew what character was and if character had anything to do with it.

I'm terrified it's some fatal illness, possibly ALS (Lou Gehrig's disease), the degenerative neurological disorder from which our father died. Without our ever talking about it, that possibility has been a constant in our lives. Sensing this, he immediately disposes of it: he's not dying and he doesn't have an illness in the ordinary sense.

"I have what's known as gender dysphoria," he says. "For most of my life, I've felt I should have been born female. And now I'm going to become one."

Stunned silence. Disbelief. How can this be? Chevey, my brother! Andrew's brother-in-law! He's so utterly normal. There's no sudden memory, no flash, no "Of course." He was (and is) a manly guyâ€”no trace of effeminacy or kid in a tutuâ€”who, if not captain of the football team or a hell-raising, beer-swilling male chauvinist, was always plenty virile, and there were two wives who'd have so attested.

When did he know?

"Since way back, early childhood," he tells me, "I had confusing urges, feminine longings, but even in puberty I simply had no concept for what I was experiencing."

"You mean, as the expression has it, a female trapped in a male body?"

"Nothing as clear as that, but just confused feelings, a desire to dress and feel like a girl, not very strong at first."

A desire, it seems, for which neither he nor society had words. His marriages were good, even sexually, but part of everyday was increasingly spent in something like agony, imagining himself a woman.

I'm suddenly struck by two odd memories. In the later years of his second marriage, he became anorexic. Eleanor and I kept asking, even nagging, him about it, but he insisted he was doing it to keep his cholesterol down, with his internist's approval.

"I was trying to change my body shape," he now admits.

The other image seems even more telling. For as long as I can remember, he would pick at the skin at his fingertips, almost like an animal gnawing its own flesh, till his fingers became raw.

"I was trying to get out of my skin," he says. And now, in effect, he will.

I think about Eleanor. She has to be devastated. They've had what to all appearances is a wonderful marriage, worked and travelled and built a life together that is about to splinter at the seams. They're separating, he tells me, and eventually he will move to a mountain condo the two of them bought some years ago.

When I ask how she's dealing with it, Chevey's calm voice wavers. "She's having a hard time. I think she's struggling less with the idea of me being transsexual than with losing the marriage. A year and a half before we got married, I told her I had had this problem but I thought I had it under control."

"Why now, at this late date?"

"Because," he explains, "the urge gets stronger, not weaker. You just don't want to go to your grave in what you believe is the wrong body."

I ask him if he ever thought of doing it earlier, if it was the reason he and Beth, his first wife, got divorced. He separated from Beth in 1976. We were all mystified, so joined at the hip were the two. They'd been together since puberty, had dated other people but always come back together.

"Yes, I took hormones," he says. "I was going to change." He bought a charming Tudor house in Richmond's West End and had it rezoned so that it could serve as a financial management consultancy below and residence above.

And then he realized he couldn't do it. Pete, his son with Beth, was still alive, Mother was alive, the doctors he went to presented a confusing picture; there was no Internet, no information, no guidance.

"I didn't anticipate the intensity of the drive. Nobody can imagine it. To the point that not having the sex change is no longer an option. From the outside it looks like a selfish act, but from the inside not at all. I had a 'happy' life before, and I'm destroying it all. It's nothing to do with happiness. I had happiness in all those normal senses.

"It's like..." He pauses. "Well, imagine you're a paraplegic, and they tell you they can give you movement in your legs, but you'll have to use a cane. Of course you'd jump at the opportunity. I'll go further," he continues. "I'd rather die in surgery trying to become a woman than live the rest of my life fighting it. The only way I wouldn't go through with the surgery is if there were a 100 percent chance of death."

Spoken in his calm, determined voice, rational to the end, this is so chilling it takes my breath away.

@highlight

Molly Haskell's brother John revealed he was transgender at age 59

@highlight

Haskell recounts her brother's transformation in her book "My Brother, My Sister"

@highlight

Ellen Hampton, formerly John "Chevey" Haskell, now lives openly as a woman