(CNN) -- Here's an uncomfortable truth confronting Chinese President Xi Jinping: It's 2014, but the pro-democracy, pro-rights sentiments that manifested across China as demonstrations in 1989 are still alive and well.

For 25 years, the Chinese government has tried to expunge the June 4, 1989, Tiananmen massacre from history to deny people inside the country any knowledge of the event. And as the second largest economy in the world, Olympic host, and U.N. Security Council member, Beijing has also maintained to the outside world that June 4 is "much ado about nothing" and a "strictly internal affair."

Beijing's strategy of suppression has proved successful in some quarters. Many in China have generally focused on getting ahead economically while staying away from politics. But in other quarters, the strategy has produced the opposite outcome, fueling domestic demands for accountability and ongoing attention to China's abysmal human rights record.

"Harmonious society," "social stability," "stability maintenance" -- these are the watchwords of the current Chinese government. But imposed stability is oxymoronic.

Not a week goes by without hundreds of protests over land or housing issues in rural areas, and environmental or infrastructure projects in major urban areas.

China's security forces and judiciary systems are using increasingly heavy-handed tactics to track and suppress all manners of peaceful expressions in ethnic minority regions. Uyghur Muslims are prohibited from wearing beards. Prosecutions are set up against those who know Tibetans who self-immolated.

Despite a proliferation of laws, there are few avenues for public feedback, let alone redress or debate without fear of reprisal for ordinary citizens. The combination of repression and denial of justice are clearly breeding more, not less, discontent in China.

Every year in the weeks leading up to June 4, critics of the Chinese government anticipate higher-than-usual scrutiny, ranging from arbitrary impositions of house arrest to people being taken to police stations to "have tea."

This year's crackdown started early and ferociously. In early May, roughly a dozen people gathered in a Beijing apartment to discuss Tiananmen. They sent a photograph of the group and a brief summary of the discussion to friends and contacts. Within a few days, five of them, well-known human rights lawyer Pu Zhiqiang, academics Xu Youyu and Hao Jian, blogger Liu Di, and dissident Hu Shigen had all been criminally detained on charges of causing a disturbance.

Previous gatherings like this had merited the attention of the police, but had not resulted in actual charges. So spooked are Chinese authorities that Ding Zilin, the founder of the Tiananmen Mothers, a group formed to press for accountability for family members' deaths in 1989, has been told she may not return to Beijing in early June. This will be the first year she must observe the anniversary of her son's death from afar.

China's central and local governments occasionally make concessions, seemingly designed to placate popular frustrations. The widely loathed arbitrary detention system known as "re-education through labor," in which people could be incarcerated by police for up to three years with no trial, was abolished in late 2013. Some of the most controversial chemical and industrial facilities have been shut down or construction put on hold.

But many of these are half measures, or only temporary fixes.

In response to the political status quo, a law-based, rights-oriented consciousness has emerged in China, and advocates known as the weiquan have started a "rights defense" movement.

These activists, who endure police monitoring, detention, arrest, enforced disappearance and torture, monitor and document human rights cases across the country. Some of their most prominent members were involved in the 1989 protests, and they say that Tiananmen and its legacy informs their current efforts. Four of these lawyers were detained and tortured in Heilongjiang province in March 2014, yet have continued to try to represent politically unpopular cases.

Similarly, the New Citizens Movement is an informal group that has advocated the promotion of civic rights and participation, including the public disclosure of officials' assets to curb corruption, or protecting the rights of children of migrant workers. At least five of its members, including prominent lawyer Xu Zhiyong, have been sentenced this year on charges of "gathering crowds to disturb public order." These activists, too, know the price they are likely to pay for their efforts, yet they carry on, believing that transforming society into a democracy that respects the rule of law requires citizen participation.

The Internet and social media have replaced the hand-lettered placards at Tiananmen, but the messages are similar: accountability for abusive officials, transparency from the state, justice for all.

Independent Chinese organizations try to engage directly with United Nations organizations. But these kinds of actions often provoke extraordinary wrath of the government. One activist, Cao Shunli, was imprisoned in 2013 for her efforts to participate in a review of China's record at the United Nations Human Rights Council. She died in detention in February 2014 after being denied adequate medical treatment.

A truly confident leadership in Beijing would recognize these demands for what they are: efforts to improve life for ordinary people across the country. And while such groups are prevented from gathering at Tiananmen, they increasingly find one another and try to push for change via social media and legal channels. They show no sign of scaling back their demands for human rights. So, will the Chinese government meet them halfway at least?

@highlight

June 4 marks the 25th anniversary of the Tiananmen Square massacre

@highlight

Sophie Richardson: When will China's leaders stop whitewashing the event?

@highlight

She says Beijing's tactics of suppression and crackdown breed discontent

@highlight

Richardson: Brave Chinese activists are still trying to defend human rights