(CNN) -- What personal information does your mobile phone reveal about you? Do you care?

Many Americans do, according to new research from the Pew Internet and American Life Project that sheds some light on mobile-privacy concerns.

According to Pew's report, 54% of cell phone users in the U.S. have decided not to install an app once they discovered how much of their personal information it would access. (The amount of sensitive info an app can access typically is indicated by the "permissions" the app requests, listed on its information page.)

Also, nearly one-third of mobile app users report uninstalling an app from their phone because they learned it was collecting personal information they didn't wish to share. People from the lowest-income households (earning $30,000 or less per year) and men across all demographics were most likely to report taking this step.

But many mobile-privacy concerns stem not from the apps you download, but from what can happen with a device that can divulge so much sensitive information once it's out of your hands -- especially when it's in someone else's hands.

Most cell phone users are somewhat aware of mobile privacy and many take at least some basic measures to protect it.

According to Pew:

• 41% of cell phone owners back up at least the photos, contacts, and other files from their phone.

• 32% have cleared their phone's Web browsing or search history.

• 30% of all cell phone owners (and 60% of smartphone owners) say they back up the entire contents of their phone (apps, data, files, etc.)

• 19% (especially younger phone owners) have turned off their phone's location-tracking feature due to concerns that companies or other people might access that information.

Of course, regardless of whether you turn off location tracking on your phone, your wireless carrier knows (and keeps a record of) where your phone is at all times it's connected to the cell network. Carriers can surrender this information to law enforcement, and it's unclear what else they may be doing with this data.

But typically, most people don't think clearly or consistently about mobile privacy. That's why, at the mobile technology workshops I often run, one of my favorite exercises is this: I simply tell participants to take out their cell phone, look at it, and consider how much important and sensitive information is on that device, how much they depend on it.

Then I say: Hand over your cell phone to the person sitting next to you.

I let them sit there a bit, watching them grow visibly anxious. About 30 seconds later I ask them them how they feel. "Nervous" is a common response. So are "exposed," "weird" and "scared."

"OK, hand back those phones," I say. "Now you see -- these aren't just gadgets, they're part of your life. They're part of you."

According to Pew, nearly a third of cell owners have lost their phones or had them stolen. Owners of smartphones and more basic phones are equally likely to say their phone has been lost or stolen, the survey says.

When your phone is lost or stolen, it can help if you don't totally lose access to everything you had on the device. About 60% of smartphone owners told Pew that they back up the contents of their phone.

Still, having a phone go missing doesn't necessarily make cell phone users more cautious. Pew noted: "Cell owners who have actually experienced a lost or stolen phone are no more likely than average to back up the contents of their phone."

Routinely protecting your phone with a passcode or pattern is an easy way to prevent unauthorized access to your phone. Many mobile security services also offer location tracking for lost phones, and give you the option of remotely locking or wiping data from a lost or stolen phone.

Cell phone snooping is also a concern. Pew reports that 12% of all U.S. cell phone owners "have had another person access the contents of their phone in a way that made them feel their privacy was invaded." Smartphone owners and younger owners (age 18-24) of any kind of cell phone are twice as likely to have had this experience.

Of people who told Pew that someone accessed the contents of their phone without their permission, nearly 60% are "much more likely than average to conduct regular backups," compared to just 39% of those whose phones have not been snooped. At least, not as far as they know.

Pew's results came from a nationwide survey of 2,254 adults conducted in March and April.

The opinions expressed in this column are solely those of Amy Gahran.

@highlight

New research from Pew sheds light on mobile-privacy concerns

@highlight

54% of phone users didn't install an app once they learned what personal info it would access

@highlight

19% have turned off their phone's location-tracking feature due to privacy concerns