In the dining room's soft amber glow, dozens of patrons peruse the menu at Rock Creek restaurant in Bethesda, Maryland. From a health standpoint, making a smart choice is easy.

Watch your portion size and inquire about the nutritional content of your meal when you eat out.

Whether it's the slow-cooked salmon with sesame seeds, warm bok choy salad, and miso mustard dressing or the jumbo lump crab cakes with celeriac-apple slaw and lemon-caper aioli, each meal contains 600 or fewer calories -- nearly half the amount found in a typical restaurant entree.

"We offer what you're supposed to eat -- proper portions, great flavor-and we use fresh, local ingredients as much as possible," says co-owner Tom Williams, who, with partner Judith Hammerschmidt, opened Rock Creek two years ago. The pair worked with Cynthia Payne Moore, R.D., a Baltimore, Maryland-based dietitian, to obtain nutritional analyses for every item on the menu, and they adjust recipes to avoid unnecessary fat and determine portion sizes.   "We put the nutritional information in the back of the menu-people who want to look at it do, and those who don't, don't," Hammerschmidt says.   The concept and execution have proved so successful that earlier this year, the pair opened another Rock Creek in Washington, D.C.

Enjoying restaurant food like Rock Creek's -- tasty, good for you, and with a reasonable amount of calories -- was once a difficult order to fill. No longer.   "The idea that eating healthy doesn't mean feeling deprived is something restaurants see as a vehicle for change, as a way to differentiate their offerings from their competitors," says Master Chef Mark Erickson, vice president for continuing education at the Culinary Institute of America.   While some restaurants make it clear they offer more healthful fare -- by using symbols, calorie counts, and the like -- others practice what Erickson calls "stealth health," making some healthful changes on the menu without fanfare. "When restaurants make their menus more healthful, consumers benefit," Erickson says. And, in fact, eating well when dining out is a growing trend.

Healthfulness on the menu

Part of what's driving these positive changes is consumer demand. Nearly three out of four adults say they are trying to make healthier choices when eating out than they did just two years ago, according to the National Restaurant Association.   "It's hard to refute that health is related to diet," Erickson says. "And restaurants are making up more and more of the daily diet -- the average American eats one out of three meals away from home." Increasingly, savvy consumers expect restaurants to have a conscious approach to food preparation similar to the one they use in their own kitchens -- using fruits and vegetables creatively or cooking with less saturated fat or salt. CookingLight.com: Secrets to eating out

Legislative changes are also having an effect. The New York City-initiated ban on trans fats has become far-reaching; at least eight other major metropolitan areas have legislated similar bans, as have restaurants, hotels, theme parks, cruise lines, and many other businesses.   Meanwhile, New York City recently took another stand on upgrading restaurant menus. In a move affecting mostly fast-food restaurants, the city's board of health recently asked food service establishments with standardized preparation methods that already have nutrition analyses to post calorie information on menus so customers can see it when deciding what to order.

Many restaurants purposefully take their offerings to a more healthful level. Since he took over the kitchen at the highly regarded Gramercy Tavern in New York City last October, Executive Chef Michael Anthony has created lighter dishes, many of which feature vegetables rather than meat as the plate's centerpiece. "The goal is to leave consumers feeling invigorated, not lethargic because they've overindulged," Anthony says.

Like Rock Creek, some restaurants are building their business around a more healthful model. Seasons 52, which has five locations in Florida and two in Atlanta, Georgia, takes a lighter approach to dining by featuring fresh foods that rotate with the seasons and dishes that contain a maximum of 475 calories.   The chefs do this by taking out fat, lowering sugar and salt when possible, and relying instead on flavorful accents such as balsamic vinegar, lemon juice, garlic, and fruits. "We call it 'palate distraction,'" explains Clifford Pleau, director of culinary development. "If you can give the mouth something else to focus on, it says, 'Wow! I haven't tasted something that interesting before,' instead of 'Wow! Something's missing.'" CookingLight.com: An expert take on healthful dining-out trends

Tap into the trend

"While restaurants are becoming more health-conscious, it's only going to keep happening if people ask for it," says Katherine Tallmadge, R.D., a Washington, D.C.-based spokesperson for the American Dietetic Association. Here's how to support the trend while ordering sensibly:

• Do a little homework. "If you decide ahead of time what you want to order, it will eliminate temptation while you are at the restaurant," Tallmadge says. Many national chains post nutrition analyses on their Web sites, so you can find out how much fat, cholesterol, sodium, protein, carbohydrates, fiber, and calories a potential meal contains. Healthydiningfinder.com, a Web site operated by the National Restaurant Association, can help you pinpoint nutritious fare at nearly 30,000 restaurants across the country -- enter your ZIP code or your city, and you can search for restaurants by cuisine or price range.

• Watch portion size. Prodigious entrees remain common in many restaurants, despite other changes for the better. Because patrons tend to place a premium on value -- they want to feel as if they're getting their money's worth -- piled-high plates aren't likely to become a relic of the past anytime soon.   "You can negotiate such situations by having part of your meal boxed to take home, downsizing your order by selecting an appetizer and side salad instead of an entree, or splitting the entree with someone," says Dawn Jackson Blatner, R.D., a Chicago, Illinois-based ADA spokesperson. CookingLight.com: How to practice portion control

• Sample small plates. Tapas-sized servings -- i.e. small plates -- will continue to be in fashion in coming years, according to Restaurant Startup Consultants, Inc., which counsels new food service businesses. Small plates allow you to sample a variety of dishes without consuming too many calories. In addition to high-end restaurants, the trend is also appearing in some national chains. In March, TGI Friday's unveiled a new Right Portion, Right Price menu, offering smaller portions of certain entrees that contain 500 calories or less and 10 grams of fat or less per serving. CookingLight.com: Tapas at home

• Choose seasonal ingredients. A less-is-more approach governs the preparation of fresh, seasonal ingredients: They're often minimally dressed or sauced, allowing fresh flavors to play the starring role. Look for items like spinach and roasted beet salad or roasted butternut squash on fall menus.   "If you have a high-quality meat, fish, or vegetable that has a great deal of flavor, you don't need to eat a lot of it to feel satisfied," says Hugo Matheson, chef-owner of the Kitchen Café, who practices this principle at his Boulder, Colorado, restaurant. CookingLight.com: Ultimate summer cookbook

• Select healthful sides. These days, healthful sides, ranging from steamed broccoli to grilled asparagus to sautéed spinach with garlic, have more space on restaurant menus. "The idea that you can have an indulgent entree but improve your sides is something I enjoy because it's a small change," Blatner says. "If you make small steps to improve what you eat, you'll be healthier for it."

• Look for balance. Chefs and restaurateurs are reexamining the fundamentals of their offerings. At Seasons 52, for example, each entree plate is made up of one-third protein and two-thirds fruits, vegetables, and starches. Others are practicing what the Culinary Institute refers to as "the protein flip."   "Finer dining establishments are flipping the traditional plating concept. Vegetables and carbohydrates are the main component, and protein is secondary," Erickson says.

• Ask questions. When ordering, inquire about the meal's composition or preparation. "Go to restaurants where the people serving the food know what the ingredients are," Pleau says. For example, Rock Creek uses phyllo instead of traditional lard-laced dough in its piecrusts; but unless you ask them, you won't know that you can enjoy a slice of their pie and avoid unnecessary saturated fat and calories.

• Enjoy yourself. While we're all eating out more often these days, consider a restaurant meal to be a treat. Savor the flavors, and select dishes you can't or wouldn't make in your own kitchen. "Look at the meal as a source of pleasure," Anthony says. "The key is to relish the experience -- within moderation."

For more tips on making healthy taste great, try Cooking Light - CLICK HERE

Copyright 2009 Cooking Light magazine. All rights reserved.

@highlight

More and more high-end restaurants are offering low-calorie, healthy menus

@highlight

The New York City-initiated ban on trans fats has become far-reaching

@highlight

Many national chains post nutrition analyses of menus on their Web sites

@highlight

You can often order a healthful side like broccoli or spinach