(CNN) -- The thought came to Don Walker during that most quintessential of American outings -- a baseball game.

Caught in a crush of people on his way into Atlanta's Turner Field, he couldn't help but think about what had just happened in Boston -- sports fans crowded into a small space, a bomb tucked into a backpack, and then death.

Not that it stopped the Morgantown, West Virginia, man from enjoying his Atlanta vacation.

"You just watch things more closely," he said.

Americans are doing a lot of that these days, especially after Monday's attack on the Boston Marathon, where three people died and more than 180 were wounded when a pair of bombs exploded near the finish line:

â€¢ A palpable sense of fear and confusion played out in the nation's capital, at a Senate office in Michigan and on television screens across the country as authorities scrambled to deal with a spate of suspicious package reports. The first floor of Washington's Hart Senate Office Building was evacuated at one point. Among the concerns were letters that initial tests suggested contained ricin, eerily echoing fears raised by letters containing anthrax mailed to lawmakers after the 9/11 attacks.

Capitol HIll Police Chief Terry Gainer acknowledged "a bit of anxiety" in a letter to senators.

"The bottom line of this multifaceted event was a positive one," Gainer wrote. "The packages were not dangerous; they contained nothing hazardous; and the person of interest was, while interesting, not particularly harmful although terribly disruptive. He was admonished but released."

Gainer added, "This is the price of an open campus.

The suspect in the ricin case, Paul Kevin Curtis, was arrested at his home in Corinth, Mississippi, on Wednesday. He has been charged with making threats against the president and sending threatening letters, the Justice Department said Thursday.

Terrorists make us lose sight of the real dangers

â€¢ In Oklahoma City, an unattended rental truck set off momentary panic Wednesday before police sounded the all-clear. The incident happened nearly 18 years ago to the day after Timothy McVeigh set off a devastating bomb outside a government building there, killing 168 people.

â€¢ And then there's New York, where nervous residents of that normally steely city made nearly four times as many suspicious package calls the day after the Boston bombings than they did in a typical day the year before, New York police Commissioner Raymond Kelly said Tuesday.

Vigilance is what authorities call it.

"Always looking for a way out" is what Linda Simmons of Douglasville, Georgia, calls it.

But it's not just Boston that's put her in that mindset. It's the September 11 terror attacks. The bloodbath last year at an Aurora, Colorado, movie theater. The Newtown, Connecticut, school shootings.

"All of it, everything that's happened," she said.

The reaction is understandable, said Michelle Majewski, a professor at Marian University in Fond du Lac, Wisconsin.

The kind of mayhem unleashed Monday in Boston reminds us, she says, of things about which we'd rather not think.

"That we're all vulnerable," she said.

That vulnerability is something police recognize all too well.

Law enforcement stepped up security across the country in response to the Boston bombings. Hundreds of National Guard troops remained on duty in Boston on Wednesday, backing up police.

As did many other cities, perennial terror target New York ramped up its security measures and will keep them in place, Mayor Michael Bloomberg said Monday, "until we learn more about what actually happened in Boston."

In London, authorities vowed to take another look at precautions for the big marathon scheduled there this weekend.

But security experts will tell you it's just not possible to prevent every bomb, every gunshot, every tragedy -- especially not when it comes to large outdoor events, such as road races.

The impact of heightened security on travelers

"It's extremely challenging because it's not a secure environment," said police Cmdr. Noah Johnson of Tempe, Arizona, where an annual charity run in honor of slain Army Ranger Pat Tillman is scheduled for Saturday.

"We can't put fences around it; we can't put an officer every 2 feet," he said. "So we rely on every set of eyes out there."

So, as it often does in a free society, it comes down to us, to that word, to vigilance.

"Remain vigilant. You have to," said Mike Brooks, a law enforcement analyst for In Session and HLN and a former detective in the intelligence division for the Washington Metropolitan Police Department.

But security experts worry that down the road, many Americans may weary of maintaining such a high level of cautiousness.

"We as a country tend to lull ourselves into a false sense of security over the passage of time," said Andy Lamprey, vice president of the security firm Andrews International and a former Los Angeles Police Department senior SWAT supervisor.

The interest in the Boston terrorism case "will last for a few days and perhaps a week, and then it will become a distant memory for most people," he said.

It happened after the September 11 attacks. A month after them, nearly six in 10 Americans were worried that they or someone they loved would become a victim of a terrorist attack, according to a Gallup Poll at the time.

By 2011, the number had fallen to a little over one in three -- nearly what it was at its lowest point before the 2001 attacks.

"It's the old story about crying wolf and eventually people turn a blind eye and a deaf ear to it. They get weary of hearing it," Lamprey said. "It's very difficult to remain at that heightened state of awareness. You can't do it all the time."

In Oshkosh, Wisconsin, runners will head out this weekend for a half-marathon. Sure, race director Gloria West told CNN affiliate WBAY-TV, they'll think about security just that much more. Boston will be on their minds.

But they won't be deterred, she told the station.

"We want to send a message," she said. "We can't all go home and stay in our houses."

CNN's Miguel Marquez contributed to this report.

@highlight

NEW: Police chief acknowledges "a bit of anxiety" on Capitol Hill

@highlight

Americans are looking over their shoulders after recent U.S. violence

@highlight

But the violence won't stop many from going out and living

@highlight

Events such as Monday's bombings remind us that "we're all vulnerable," professor says