(CNN) -- Hurricane Sandy wiped away my house. In one fell swoop I lost nearly everything that was meaningful to me. In the aftermath of the storm, one year later many people in my neighborhood and I are still in limbo.

Here's what happened: My music group The Planotones and I were set to play on a ship cruise, with 3,000 passengers aboard celebrating the music of the 1950s and '60s. We were going to board in Puerto Rico on October 31. Before we left, the organizers called and urged us to leave a few days early to meet the boat in Puerto Rico, concerned about a storm that was heading up the East Coast. They wanted to make sure we avoided any problems that would prevent us from getting there on time.

They were putting us up in a hotel on the island while we waited for the boat. I packed my bag, my Planotones hat, put food in the garage for my feral cat, called a cab and locked the back door, a familiar ritual for many years.

My house on the beach in Rockaway, New York, was built in 1916, 22 years before the first of two bridges were built to connect the Rockaway Peninsula to Brooklyn on one end and Queens on the other. The house had survived many storms since 1916 and in the 40 years I lived in it.

I felt so connected to my home -- it was my friend, my oasis and my place of healing after hard days on the road. After storms, there never was much damage, not much to fix and never any water damage in the basement, which contained, among many memorable items, my music studio.

CNN iReport: Photographer revisits Sandy's path

In this studio were thousands of 45-rpm singles, hundreds of albums, microphones, amplifiers, a drum kit, my upright piano (from the Brill Building) 24 track tapes from "Saturday Night Live," "Eddie and the Cruisers" and "Animal House," demos, tapes and a vintage guitar collection collected over 50 years of playing music.

In my hotel room, the Weather Channel was tracking Hurricane Sandy. It was pretty alarming, so I called a friend who lived on the next block in Rockaway. He was in the front of his house and told me that the water was rushing up the street from the ocean. He saw books and records from my house floating by. I lay awake most of the night, thinking of the worst ... but never really believing it could be true.

I reached his cell phone early the next morning and he was walking up the block toward my house on the beach. There was silence. I said, "Kris, are you there? What's up?" No response. Again I repeated, "What's up?" Silence. "Are you there?" Finally he said, "It's gone, it's gone ... your house, your house -- it's gone."

When the cruise ended, four days later, my friend Dave picked me up at the airport. He had saved my car by moving it out of my garage to higher ground. The trip back from the airport was a journey into a world of disbelief. The bridges to Rockaway were closed and in the small towns we drove through along the peninsula, the devastation was mind-boggling -- sand and debris everywhere, trees uprooted, houses destroyed, entire blocks burnt to the ground.

When we finally reached my street, I saw something I will never forget: I didn't have a house anymore. No home, just a pile of rubble -- no driveway, no landscaping, no foundation. It looked like it had been bombed.

At that moment reality ceased to exist. The mundane facts of everyday life hit me. Most immediately, where would I sleep? Where are my clothes? My bed? My socks, my eyeglasses, family treasures, boyhood photographs -- the pictures my grandchildren would never see of their great-grandfather and great-grandmother?

Major decisions had to be made, and with much difficulty, I tried to gather my thoughts. I had to find a place to stay. Thank God my car was safe so I could get around. For three months I lived in a hotel room in Staten Island -- dealing with FEMA, having seemingly constant, endless conversations with many different people. Finally, FEMA reimbursed me for the hotel room.

The only clothes I had were in my suitcase, so I had to buy all the clothing essential for living in winter, and additional suits for my show. Because so many businesses were wiped out, dealing with work and life details became all-day fiascoes. At least I had the money to pay for all this -- people who didn't have were in deep trouble.

Living in the hotel room became a strain, and I felt very hopeless. It became important to return to my roots, to the place I was connected to deeply for 40 years. But searching for and finding a rental property in Rockaway was almost impossible; most of the houses were in bad disrepair and many had significant mold problems.

Luckily, I finally found one that was mold free but empty, so I rented beds, TVs, kitchen supplies, sofas, chairs -- the works -- to turn this rental into a home.

Today, I'm still living in the rental house, trying to tie up all the loose ends left in the aftermath of the devastating storm -- problems like what to do with the remains of my old property and dealing with insurance companies and all the red tape that comes with that.

A busy work schedule helps in returning to sense of normalcy. And one night, fans surprised me with a presentation of many old recordings and memorabilia. I was so grateful.

Many of us in Rockaway are still waiting to see what the new flood and homeowner's insurance rates and building codes will be, biding our time before making any future plans.

But my spirit is intact and life must go on. It's funny how in life obstacles are put in front of us -- but they are there for a reason. We learn to climb over them, no matter how difficult, to eventually get to the other side.

The opinions expressed in this commentary are solely those of Kenny Vance.

@highlight

Kenny Vance was on tour when Sandy struck; came home to a leveled house

@highlight

Vance lived in 1916 Rockaway Beach house for 40 years and cherished it

@highlight

His studio, lifetime memorabilia lost; friend saw his records, books floating into the ocean

@highlight

Vance is still living in a rented house, trying to deal with red tape and insurance