(CNN) -- Visitors be warned: Security around the White House about to intensify.

In the wake of last week's unprecedented security breach, the Secret Service is planning to increase surveillance around 1600 Pennsylvania Avenue. Secret Service Director Julia Pierson has ordered a full review of Friday's incident.

Omar Gonzalez, an Iraq war veteran, is accused of carrying a small knife, scaling the White House fence, sprinting roughly 70 yards across the North Lawn and making it pass the North Portico doors, which were not locked. Investigators said they later found more than 800 rounds of ammunition, plus two hatchets and a machete, in his car.

Here's a look at four possible measures the Secret Service could implement to increase the security around what's supposed to be the most fortified residence in the country:

1. Increase the number of agents patrolling the grounds

The uniformed division of the Secret Service -- the part of the agency responsible for patrolling the premises -- is immediately visible walking past the White House.

They're on the lawn, they're on the roof, and most notably, they're carrying some very intimidating rifles. White House security was increased immediately after Friday's breach, but permanently adding more guards on the lawn and around the entrances would help prevent jumpers and make it easier to catch anyone who successfully jumps in the future.

A federal law enforcement official tells CNN's Jim Acosta that this is a step the service plans to take, with officers patrolling the area in greater numbers and "looking for individuals who do not look like tourists."

2. Expand the barrier around the entrance

Creating an additional no-go zone around the fence separating the public from the White House grounds is another possible option for the Secret Service.

Despite the fence and the armed guards, the White House North Lawn is relatively accessible to the public. Pedestrians can walk right up to the wrought-iron gate, and partial closures of the North Lawn -- because someone on the public side of the gate threw a bag or dropped something on the White House side of the gate -- are common. Earlier this year, a toddler even managed to squeeze through the gate.

The approachability of the White House is of course a major draw for visitors, and the optics of an additional perimeter could be problematic.

"The White House is still the people's house, and we are long passed the days when anybody could walk up and get in, but the fact that anybody could walk so close to it -- I think makes an important and powerful statement in a democracy," said Jeffrey Engel, director of the Center for Presidential History at Southern Methodist University, told CNN.

"Keeping the White House within public reach, if you will, sends an important political message," said Engel, who specializes in presidential security.

3. Set up metal detectors around the premises

This would be the most complicated and likely controversial security measure to implement.

Metal detectors are set up inside the gates that visitors must pass through to continue to the White House, but nothing is on the outside of the gates.

In addition to the optical problems, setting up this measure would bring about a lot of logistical questions: Where exactly would they be? Which law enforcement agency would be responsible for staffing them? Which agency would pay for them?

This step is also the most unlikely; law enforcement officials tell CNN that they won't be going up on Pennsylvania Avenue's pedestrian area.

4. Always lock the doors

All of the details of Friday's breach are surprising, but perhaps the most shocking of all was that the North Portico doors -- a large main entrance to the White House -- were not locked.

"They should lock the door," Ronald Kessler, author of "The First Family Detail" and outspoken critic of the Secret Service, said. "It's just common sense."

The North Portico entrances are frequently used, and that's why they are not always locked, but the doors were not in use on Friday at the time of the intrusion.

Josh Earnest, White House press secretary, told reporters on Monday that going forward, those doors will be locked when not being used.

Tough time for the Secret Service

Friday's breach is just the latest embarrassing incident for the U.S. Secret Service.

The agency has not had a great run of it in recent years -- from the prostitution scandal in Colombia in 2012, to the incident in the Netherlands earlier this year in which three agents were sent home for drinking.

The attention on the Secret Service is counter to the entire purpose of the organization, Engel notes.

"They would love to be secret. If you never see them, then they are doing their job," Engel said. "If we are never talking about them, then they are doing their job the way that they want. The last thing that they want is for people to be discussing them."

President Barack Obama reiterated his support for the agency that protects him on Monday. "The Secret Service does a great job. I am grateful for the sacrifices they make for me and my family," he told reporters.

CNN's Jim Acosta contributed reporting

@highlight

Secret Service under criticism after an armed man was able to enter North Portico doors

@highlight

New security measures are being considered in wake of the breach

@highlight

One measure could be increasing the number of agents patrolling the grounds

@highlight

Another one would be the installation of more security cameras outside the gates