(CNN) -- Doing for our oceans what Google Street View has done on land, a team of marine scientists is building up an extraordinary picture of the world's coral reefs.

Armed with the latest camera technology, the Catlin Seaview Survey is taking marine science into uncharted waters in a bid to transform our understanding of one of the planet's most diverse, but endangered eco-systems.

The team has been mapping Australia's Great Barrier Reef since last September using deep water robots and a revolutionary camera called the Seaview SVII.

"I think the SVII is a game changer," says lead scientist, Ove Hoegh-Guldberg.

"It's automating high-definition images at a scale which has not been done before."

As well as taking 360-degree images every three seconds, the camera also records the exact location and direction of a photo using GPS, enabling scientists to accurately gauge the health of a reefs over time.

"So far we are only halfway through Catlin Seaview Survey expeditions, but we've collected almost a hundred kilometers of transects," Hoegh-Guldberg added.

"You just can't do that normally. You'd be taking a hundred years to do this with normal divers out there with normal cameras. So, getting that technology right has been incredibly important."

More than 50,000 photos in total will be taken during expeditions to 20 separate reefs with each image stitched together using special software. A picture of reef life is already emerging with many locations available to view on Google Earth.

Watch: Pulse of the oceans

Heogh-Guldberg was one of the first marine biologists to link coral damage to climate change. And while he and others have been monitoring the effects of climate change on reefs for decades, they've never been able to do it on such a large scale.

"We don't have that global baseline for how reefs are doing across the planet. Coral reefs exist in over 50 countries and they stretch across much of the tropics and subtropics. There's 375,000 kilometers of reef around the world," says Hoegh-Guldberg.

When the three-year project is completed, reef data will have been boosted considerably, he says.

Monitoring some of the world's remotest reefs will enable scientists to more accurately answer when, where, and most importantly why coral reefs around the world are declining.

"One of the parts of the project is to create essentially a databank called 'The Global Reef Record,'" says Hoegh-Guldberg.

Huge amounts of digital video and physical measurements are being fed into a high-speed storage system, he says, and will be available to scientists all over the world.

"One of the legacies of the Catlin Seaview Survey is to create essentially that baseline information that everyone has the rights to use and then develop this complex picture of how the world is changing," he says.

"This is the sort of science we need to do right now to get a real picture of the risk and vulnerability to things like global change to coral reefs."

@highlight

CNN Special Correspondent joins Catlin Seaview Survey as they photograph Great Barrier Reef

@highlight

Divers using special 360-degree cameras with GPS providing detailed record of reef health

@highlight

Task would take normal divers "hundreds of years" says lead scientist Ove Hoegh-Guldberg

@highlight

Heogh-Guldberg one of the first marine biologists to link coral damage to climate change