(CNN) -- Dubai sent investors reeling Thursday after asking creditors to freeze the debt repayments of one of its biggest holding companies, Dubai World.

The announcement came after the market close on the eve of the Eid holiday and Thanksgiving in the U.S., leaving traders' hands tied over their exposure to investments in the Emirate.

Shares dropped in London and Europe as bankers struggled to gauge the implications of the debt freeze without additional guidance from Wall Street.

With very little information being distributed from Dubai, the market has been left to question the motives of ruler Sheikh Mohammed Bin Rashid Al Maktoum and the financial future of Dubai World and its huge portfolio.

So what happened?

Late Wednesday, the government of Dubai issued a statement saying it had authorised the Dubai Financial Support Fund to "spearhead the restructure of Dubai World with immediate effect."

The first step, it said, was to ask all providers of financing to Dubai World and Nakheel to "standstill" its debt repayments until at least May 30, 2010.

It added, to the market's surprise, that the proceeds of a $5 billion bond issue raised hours earlier wouldn't be used to bail the company out.

Odd timing wasn't it?

Dubai's decision to release its statement just before the Eid holiday in the Middle East, and on the eve of Thanksgiving in the U.S., provoked consternation.

"Dubai have certainly picked their moment to finally own up to a need to restructure their debt. I would imagine the news has ruined a few Thanksgiving dinners today," David Morrsion, a strategist at GFT told the Financial Times.

Read CNN's John Defterios' take on the Dubai debt fears

How did the markets react?

Banking stocks led equity markets lower in London and Europe as traders moved to distance themselves from a potential debt hole in the Middle East.

Technical problems in London halted trade for some time, providing further frustration for traders with exposure to Dubai World's lenders.

What is Dubai World & Nakheel?

Described on its Web site as "Dubai's flag bearer in global investments," Dubai World is a holding company with stakes in everything from ports to real estate and transport.

It includes the world's largest privately held real estate company Nakheel, which is the mastermind behind such architectural feats as the man-made residential islands, "The Palm Islands" and "The World."

Dubai World also invests in global markets through its investment arm Istithmar World, which boasts a "global footprint" in finance, capital, leisure, aviation and other business ventures.

How severe is the debt?

Dubai World is said to account for some $59 billion of Dubai's $80 billion debt burden. Nakheel had been due to pay a $3.5 billion convertible loan which expires on December 14. More debts were due to be repaid next year.

"This is not just a couple of billion story," Turker Hamzaoglu, EMEA economist at the Bank of America Merrill Lynch Global Research told CNN.

"For instance, Dubai has to service $10 billion including the Nakheel debt in December and $15 billion U.S. dollars by the end of 2010," he added.

How much damage has the announcement done?

That's incalculable at this stage. Markets in the Middle East and the U.S. don't open until next week so the full impact won't be known until then.

It also depends on Dubai's next move. The surprise announcement has shaken confidence in the Emirate as a place to do business.

"The key here is the communication of this strategy. I guess everybody is on the same page regarding the need for consolidation in Dubai and for the region. But the only market-positive implication would be if this comes with a clearly open and a predictable way," Hamzaoglu said.

"The problem is, here we have a lack of transparency and all these policy reactions are either coming at the last minute, or for example, the recent one just before the long holiday."

"I think this is going to shake some investor confidence which may not be reversed as quickly as people expect. So they have to be careful," he added.

Who will bail them out?

Abu Dhabi has been a lucrative source of funding for its neighbor. The $5 billion bond issue was take up by UAE banks.

The question now is whether it will continue to give its backing to its debt-laden neighbour. It may have the money to do so, but does it have the will?

What comes next?

Ideally, the market wants guidance as to Dubai's debt strategy. It has said that the Dubai World debt freeze is the first stage of a restructuring plan. Investors want to know what comes next.

Right now, the region is seen as a risky bet for nervous investors. Hamzaoglu says there are other options for those who want to back similar markets.

"From an investor perspective, if you want to still play for the global backdrop of oil prices, etc. there are some other markets, say Brazil or Russia, that investors can be interested in, rather than taking this high risk for the region," he said.

@highlight

Dubai stuns global investors by calling for a debt "standstill" on Dubai World and Nakheel debts

@highlight

Market reactions restrained by public holidays in the Middle East and the U.S.

@highlight

Nakheel is Dubai World's real estate arm, owns "The Palm Islands," and "The World"

@highlight

Dubai World said to account for $59 billion of Dubia's $80 billion debt