Richmond, Virginia (CNN) -- A historical society in Virginia, where slavery began in the American colonies in 1619, has discovered the identities of 3,200 slaves from unpublished private documents, providing new information for today's descendants in a first-of-its-kind online database, society officials say.

Many of the slaves had been forgotten to the world until the Virginia Historical Society received a $100,000 grant to pore over some of its 8 million unpublished manuscripts -- letters, diaries, ledgers, books and farm documents from Virginians dating to the 1600s -- and began discovering the long-lost identities of the slaves, said society president and CEO Paul Levengood.

The private, nonprofit historical society, the fourth-oldest in the nation, is assembling a growing roster of slaves' names and other information, such as the slaves' occupations, locations and plantation owners' names, said Levengood.

The free, public website also provides a high-resolution copy of the antique documents that identify the slave.

The database, which went online last September with 1,500 names, sets itself apart from the few other existing slave databases -- which limit themselves to specific plantations or to ship manifests that list the captives by their native African names, society officials said.

The "Unknown No Longer: A Database of Virginia Slave Names" website is the first online resource listing slaves' names across all of slaveholding Virginia, the nation's oldest state which had the largest enslaved population, numbering a half million people, at the outbreak of the Civil War in 1861, society officials said.

"Most slaves were by their owners' design and eventually by law forbidden to learn how to read and write, so they didn't leave us material that so many figures in the past did," Levengood said. "That's when you have to be creative."

So using a $100,000 corporate grant from Dominion, one of the nation's largest producers and transporters of energy, society researchers began examining some of its 8 million manuscripts that Virginia residents have been giving to the historical society since its founding in 1831.

Those Virginia families found the old, handwritten papers in attics, basements or desk drawers, Levengood said. The society stores the documents in an archive spanning thousands of square feet, he said.

The antique papers turned out to mention slaves.

"Often they appeared in the records of the owners who owned slaves as human property, which to us sounds so obscene and alien," said Levengood, who's also a historian. "But these people were writing down their inventory as if you would for insurance purposes. That's the kind of things that owners did with slaves. This was the most valuable property they owned, and they wanted to make sure it was recorded.

"Often there was a human connection, and they grew up with these people, and they recorded their birth dates and deaths. It's an incredibly complicated and tragic institution that we're just beginning to understand the dimensions of," Levengood said.

Documents citing slaves go back to the 1690s: "That's when slavery starts to grow fast in Virginia and other English colonies," Levengood said.

"Sometimes it's a real detective work. You have to read between the lines: Oh, they mention Amy in a letter, and then you have to read another letter in the collection to realize that Amy is a slave and not a family member," Levengood said.

The society Saturday held the first of four community workshops on how to use the online database at the organization's headquarters in Richmond, Virginia. While the online website is intuitive on how to use, the workshops are being held for users who need more guidance, Levengood said.

Some 80 people came to Saturday's workshop, including Gale Carter, a high school history teacher who flew in from East Chicago, Indiana for the event.

Carter said the original documents digitized on the site will help her uncover more of her own family's history in Virginia, as well as help her students learn about the era.

"I'm going to use this not only personally, but professionally," she said. "This is terrific. It's a model and I hope the rest of the states catch up real quickly."

Amateur genealogist Crasty Johnson of Richmond said she hopes the sites will help her trace her roots back to the 1800s.

"I need to know my history," she said, adding the site may help her prove or disprove many of the things she's heard about her family's past. "I wanted to really know. I wanted to be able to see and connect the dots."

When the United States banned the importation of slaves after 1807, Virginia became the largest provider in the nation's internal slave trade, Levengood said. Slavery was eventually abolished at the conclusion of the Civil War in 1865.

That means many American families with slave ancestors could have roots in Virginia, Levengood said.

"Slavery in Virginia is not just a Virginia story. It reaches across all of the slave South," Levengood said. "So you may not know you have Virginia ancestors, but you could."

The database features a public message board, filled with notes posted by users searching for ancestors who may have been slaves. The advanced search fields include the slave's first name or last name; gender; occupation; owner's last name; date range; and record type.

One user named "Treebranch02" wrote last September: "Well, I think I found the slave owner that owned my great, great, great grandfather but that is as far as I got. Nothing on my great grandfather and great grandmother who lived in Manquin, VA. This was good for me, however. Got me excited. Wonderful site."

Elsewhere in the database is a stark description of the sale of slaves and goods in a February 11, 1858, typed letter from slaveholder William Daniel Cabell of "Benvenue" in Nelson County, Virginia, to his wife, Elizabeth Nicholas Cabell.

"The corn we sold yesterday brought 3.15$ per barrel. We sold all the negros 43 in number at astonishingly large prices -- the whole amounting to $32016. Nearly every one of the negros were satisfied as they were bought by people in the country mostly, going ahead of the prices given by the traders," Cabell wrote his wife.

The letter continued: "Jane and three children brought $2795. and Mimy and three children $2505. My father gave $25. to Mr. Agee and then allowed Mr. Turner to take Mimy as he owned her husband. Old Mr. S. Turner bought Jane and children. Jane's husband exclaimed just as she was knocked out to his master "Glory to God on high, peace and good will to men on earth" and it seemed to pop from his very soul. Betsy brought $1400. and was bought for Miss Perking of Buckingham."

Robert Payne, who attended Saturday's workshop, said he's been researching his family for the past 15 years, but finding information about his ancestors wasn't easy. He's hoping his 12 grandchildren can benefit from his work.

"Researching black folk is difficult, so anytime you can find a new resource it's always good to investigate," he said. "It's a database for the ones that are coming up. They'll be able to take it and grow from that."

CNN's Athena Jones reported from Richmond, Virginia and Michael Martinez contributed from Los Angeles.

@highlight

The Virginia Historical Society finds 3,200 slaves named in private documents

@highlight

The unpublished documents are from Virginians' attics, basements and desk drawers

@highlight

"We sold all the negros 43 in number at astonishingly large prices," an 1858 letter says

@highlight

One user of the society's free database of slaves finds the owner of his great-great-great-grandfather