Morganza, Louisiana (CNN) -- The U.S. Army Corps of Engineers opened the first of potentially several bays of the Morganza spillway on Saturday afternoon, a move intended to spare some areas from severe flooding while redirecting water into others.

"We think there is a successful operation going on right now," Col. Ed Fleming, the Corps' New Orleans District Commander, told CNN an hour after the first floodgate was opened.

Fleming explained that the difficult decision to open the spillway, and similar ones made in recent weeks, is being done to address a historic excess of water in the Mississippi River system, including its tributaries.

On Saturday afternoon, the river was cresting near Helena, Arkansas, at 56.4 feet -- 12.4 feet above the flood stage, the level at which the river may begin flowing over its banks -- the National Weather Service noted on its website. That crest, or high point of water, was moving slowly and steadily southward.

The move in Morganza, about 115 miles northwest of New Orleans, will lower anticipated cresting levels -- as well as lessen the potential for severe flooding caused by things like overtopped levees and cracks in flood-control structures -- along the rising Mississippi River and divert water from Baton Rouge and New Orleans. But it will flood parts of low-lying south-central Louisiana.

Fleming said that one or two other additional bays of the flood-control structure would likely be opened Sunday, and more gates could be opened later depending on water levels. The Corps could choose to let out as much as 600,000 cubic feet of water per second, with Saturday's opening leading to the release of 10,000 cubic feet per second.

"As the river needs it, we'll open it," said Fleming, referring to the spillway's bays.

By 2:30 p.m. Saturday, all those "within the first 24 hours" -- meaning, those who should see flooding caused directly by the spillway's opening -- had evacuated, Fleming said.

The opening came after several days of warning, as residents in the flood zone prepared to move to save their lives, even if their homes were washed away. Louisiana Gov. Bobby Jindal predicted this week the high water resulting from the Morganza spillway opening could impact 3,900 people and 2,600 structures.

"Right now, a lot of people are real nervous about it. It's sad," said Larry Doiron, a resident of Stephenville, a town that could face flooding because of the spillway's opening. "We need to have protection so that they don't flood us."

He said his subdivision would likely be fine, as it was built at a relatively high elevation, but that his neighbors were building additional levees and putting out sandbags.

Seven Louisiana parishes -- Pointe Coupee, St. Landry, St. Martin, Iberia, Iberville, St. Mary and Terrebonne -- will likely be affected by the first opening of the spillway since 1973, according to the Corps.

Fleming said Saturday that the spillway will likely be open for weeks, and it will be at least until that long that those who have evacuated can safely return. That's because that, even after the river crests at a certain point, it will take considerable time -- in some cases, weeks -- before it falls back below the flood stage.

Morgan City, which sits on the banks of the Atchafalaya River, is among those communities expected to see rising water. The Corps has joined with state and local authorities to build-up safeguards in that community of about 11,600 people, according to the U.S. Census Bureau.

"Really, we're just waiting," said Evie Bertaut, who has lived in Morgan City for 50 years.

Officials believe that the levees will protect the city from flooding, but some are taking preliminary precautions, she said. At Sacred Heart Church, where Bertaut works, people spent the day Friday moving important documents such a baptismal, marriage and financial records to the second floor.

"Most people are getting their photographs together, things that you can't replace in case you have to go," she said.

The river's slow pace has given emergency responders more time to prepare, forecasters said. But while the slow-moving water gives residents extra time to get ready, it also means that land could remain under water for some time.

Louisiana state authorities have been working with federal and local counterparts to combat flooding -- or, in some cases, prepare for it -- in 19 of its 64 parishes.

That includes bringing in 700 National Guardsmen, as well as state police officers and prison inmates to lay down sandbags, direct traffic and otherwise deal with the crisis, the state's office of homeland security and emergency preparedness said in a release Saturday. They have brought in and laid out thousands of linear feet of HESCO flood-control material, as well as rought in hundreds of yards of reclaimed asphalt, sand and other substances aimed to keep floodwaters at bay.

The National Weather Service said that as of noontime Saturday, the river was at 16.8 feet in New Orleans, just a fraction below flood stage. It is expected to crest May 23 at about 19.5 feet. The New Orleans levees are built to withstand 20 feet, according to the weather service.

Still, the effects there could be felt soon: The U.S. Coast Guard said floodwaters could close the Mississippi River to ships at the New Orleans port as early as Monday morning.

To help New Orleans, the Army Corps of Engineers said Friday that it will open 52 more bays at the Bonnet Carre Spillway just north of the city, diverting water into Lake Pontchartrain. That will mean a total of 264 bays will be open in the 350-bay spillway.

In Vicksburg, Mississippi, the river is expected to crest at 57.5 feet May 19. This would be significantly above the flood stage at Vicksburg of 43 feet.

Homes that were built between the levee and the Mississippi River were the first affected.

"We estimate that every home built on the river side of the levee from Memphis all the way to the Louisiana line is flooded," said Mike Womack, executive director of the Mississippi Emergency Management Agency.

Residents near Vicksburg counted on a levee for protection. In addition to the mainline levee along the river, starting near Vicksburg and extending northeast for more than 20 miles, a so-called backwater levee offers shelter.

The backwater levee is designed to keep water from backing into the Yazoo River delta and is designed lower than the mainline levee so that water can flow over it. That level is expected to be reached Monday, said Charlie Tindall, attorney for the Board of Mississippi Levee Commissioners.

The backwater levee was being "armored" by a heavy plastic coating to prevent it from washing out, he said.

"There's a chance it might not make it through an over-topping event," said Mississippi Levee Board Chief Engineer Peter Nimod about the backwater levee. "There is a risk. We don't think it will break, but we want people to be prepared."

"It's hard to plan for a multi-100-year event," he said.

Nonetheless, 1.4 million acres in Mississippi, including 602,000 acres where crops are growing, could flood, said Rickey Grey of the state's Department of Agriculture.

Across the South and lower Midwest, floodwaters have covered about 3 million acres of farmland, eroding for many farmers what could have been a profitable year for corn, wheat, rice and cotton, officials said.

CNN's Ed Lavandera, Mariano Castillo, Mia Aquino and Erica Henry contributed to this report.

@highlight

NEW: A Corps official says: "We think there is a successful operation going on"

@highlight

NEW: 19 of Louisiana's 64 parishes are expected to see flooding, a state agency says

@highlight

One of potentially several bays of the Morganza spillway opens Saturday

@highlight

It will flood the Atchafalaya River Basin, but lessen damage down the Mississippi