DURHAM, North Carolina (CNN) -- An operation to remove a malignant tumor from Sen. Edward Kennedy's brain was successful, and the Democrat should suffer no permanent damage from the procedure, his surgeon reported Monday.

Sen. Edward Kennedy, right, leaves a Boston hospital with his son Patrick on May 21.

The patient himself expressed satisfaction.

"I feel like a million bucks," Kennedy said after the surgery, according to a family spokesperson. "I think I'll do that again tomorrow."

Kennedy's doctor's statement focused on the 3½-hour operation, which was performed at Duke University Medical Center in Durham, North Carolina. "I am pleased to report that Sen. Kennedy's surgery was successful and accomplished our goals," Dr. Allan Friedman said in a written statement issued after the procedure.

"Sen. Kennedy was awake during the resection, and should therefore experience no permanent neurological effects from the surgery."

Friedman called the resection "just the first step" in Kennedy's treatment plan, which is to include radiation and chemotherapy, to be carried out at Massachusetts General Hospital in Boston. Paging Dr. Gupta Blog: Mapping Ted Kennedy's brain

The 76-year-old Massachusetts senator, patriarch of one of the leading families of American politics, said in a written statement earlier that he expected to remain in the hospital for about a week after surgery. He is also expected to undergo radiation and chemotherapy.

During such surgery, doctors locate the areas of the brain responsible for key attributes such as movement and speech, and map them to ensure they avoid cutting in those areas. They then attempt to resect as much of the tumor as they believe they can safely remove.  Watch Dr. Sanjay Gupta explain possible treatment »

During such operations -- which Friedman and the Duke hospital are known for -- surgeons typically ask a patient to identify objects in pictures or make a certain movement, such as squeezing a hand to make sure areas of the brain involving speech and movement are not being impaired.

Kennedy, a senator since 1962, suffered a seizure May 17 while walking his dogs at his home in Hyannisport, Massachusetts.

Three days later, Kennedy's doctors at Massachusetts General said preliminary results from a brain biopsy showed a tumor in the left parietal lobe was responsible for the seizure.

Friedman is chief of the division of neurosurgery and co-director of Duke's Neuro-Oncology Program, according to the hospital's Web site. He is responsible for more than 90 percent of all tumor removals and biopsies conducted at Duke, the Web site says.

A tumor in the left parietal lobe could affect the senator's ability to speak and understand speech as well as the strength on the right side of his body, said CNN Chief Medical Correspondent Dr. Sanjay Gupta. Hear iReporter describes what gave him strength through brain cancer battle

Gupta said such tumors don't usually metastasize or spread to other parts of the body.

"What they do do -- and I think that's a concern to people -- is that they grow, and sometimes they invade other normal parts of the brain. That is the big concern here," he said.

Malignant glioma is the most common primary brain tumor, accounting for more than half of the 18,000 primary malignant brain tumors diagnosed each year in the United States, according to the National Cancer Institute.  An expert explains potential complications »

Kennedy is the brother of President John F. Kennedy, who was assassinated in Dallas in 1963, and New York Sen. Robert Kennedy, who was assassinated while seeking the White House in 1968. Though his own attempt to seek the presidency failed, Edward Kennedy has built a reputation as one of the most effective lawmakers in the Senate.

Kennedy's Monday statement focused on the current presidential race as well his surgery. "After completing treatment, I look forward to returning to the United States Senate and to doing everything I can to help elect Barack Obama as our next president," he said.

Obama, the front-runner for the Democratic presidential nomination, described Kennedy as a "giant" of the Senate when the tumor was diagnosed.

"I think you can argue that I would not be sitting here as a presidential candidate had it not been for some of the battles that Ted Kennedy has fought," Obama said.

"He is somebody who battled for voting rights and civil rights when I was a child. I stand on his shoulders."

Obama's rival, Sen. Hillary Clinton, said Kennedy's courage and resolve made him one of the greatest legislators in Senate history.

"He's a fighter. There isn't anybody like him who gets up and goes out and does battle on behalf of all of us every single day," Clinton said. "I know he's a fighter when it comes to the challenges he's facing right now."

Sen. John McCain, the presumed GOP presidential nominee, also offered his thoughts and prayers for Kennedy's family.

"I have described Ted Kennedy as the last lion in the Senate. And I have held that view because he remains the single most effective member of the Senate," McCain said.

President Bush said in a statement he would keep the senator in his prayers.

"Laura and I are concerned to learn of our friend Sen. Kennedy's diagnosis. Ted Kennedy is a man of tremendous courage, remarkable strength and powerful spirit. Our thoughts are with Sen. Kennedy and his family during this difficult period," he said.

Kennedy had surgery in October to clear his carotid artery in hopes of preventing a stroke. Until the seizure, the powerful Democrat appeared in fine health. He suffers chronic back pain from injuries suffered in a 1964 plane crash.

CNN Chief Medical Correspondent Dr. Sanjay Gupta and correspondent Dan Lothian contributed to this report.

@highlight

NEW: Kennedy should not have any "permanent neurological effects" from surgery

@highlight

NEW: "I feel like a million bucks," senator reportedly says after surgery

@highlight

Chemotherapy and radiation will follow surgery in North Carolina, statement says

@highlight

Kennedy expected to stay at Duke hospital for about a week