Washington (CNN) -- The Supreme Court appeared ready to give government regulators the continuing authority to regulate profanity and sexual content on broadcast television after a lively hour of arguments Tuesday.

The justices and lawyers all stayed polite, not actually using any obscene words, preferring the legally acceptable "f-bomb" or "s-word" to describe the controversial content at issue in the high-stakes free speech dispute.

The court will decide whether the Federal Communications Commission may constitutionally enforce its policies on "fleeting expletives" and scenes of nudity on television programs, both live and scripted. The agency had imposed hefty fines on broadcasters.

In many televised instances, "one cannot tell what is indecent and what isn't" said Justice Ruth Bader Ginsburg. "It's the appearance of arbitrariness about how the FCC is defining indecency in concrete situations," she added.

But with so many programming choices on broadcast, cable and satellite TV, "All the government is asking for is a few (broadcast) channels where you can say -- they are not going to hear the s-word, the f-word. They are not going to see nudity," Chief Justice John Roberts said.

The court's ruling, which will come in a few months, could establish important First Amendment guidelines over explicit content on the airwaves.

The Justice Department had filed an appeal, and helpfully provided the justices with a DVD of a 2003 episode of the now-canceled "NYPD Blue" on ABC in which a naked woman was shown. The content of that program is central to the ongoing legal dispute. Lawyer Seth Waxman representing ABC said the FCC's tough action against the network was "a shot out of the blue."

A federal appeals court last year for a second time struck down the government policies, concluding they were vague and inconsistently applied. Pending fines against the broadcasters were dismissed. ABC, CBS, NBC and Fox are all parties in the case.

Controversial words and images have been aired in scripted and unscripted instances on all the major over-the-air networks in the past eight years, dating back to when the FCC began considering a stronger, no-tolerance policy.

The policy became known as the Golden Globes Rule, for singer Bono's 2003 acceptance speech at the live awards show on NBC, where he uttered the phrase "really, really, f---ing brilliant."

The commission specifically cited celebrities Cher and Nicole Richie for potty-mouth language in the 2002 and 2003 Billboard Music Awards, which aired live on Fox. Richie, in an apparent scripted moment said, "Have you ever tried to get cow s--t out of a Prada purse? It's not so f---ing simple."

Justice Stephen Breyer dryly noted the language from the two women "seems to be naturally part of their vocabulary." That drew laughter in the courtroom.

The CBS complaint involved dirty language on "The Early Show," a news and interview program.

The high court two years ago ruled in favor of the FCC on the issue of "fleeting expletives," concluding federal regulators have the authority to clamp down on broadcast TV networks airing isolated cases of profanity.

The court, however, refused at the time to decide whether the commission's policy violates the First Amendment guarantee of free speech, ruling only on the agency's enforcement power. The justices ordered the free-speech aspect to be reviewed again by a New York-based federal appeals court, which subsequently ruled in favor of the broadcasters.

The Justice Department, in its new appeal, lumped both the expletives and nudity cases together, saying the court should decide the free speech questions as one.

Explicit language is heard with greater, albeit varying, frequency on cable television, the Internet, and satellite radio, which do not use public airwaves. But the federal government is charged with responding to viewer complaints of "indecent" language and images on broadcast television and radio, which is subject to greater regulation.

That is especially relevant during daytime and early evening hours, when larger numbers of families and younger viewers may be watching.

The commission formally reversed its policy in March 2004 to declare even a single use of an expletive could be illegal. In addition, a voluntary rating system is used by all television networks to warn viewers when material that might be offensive will be aired.

Much of the oral argument Tuesday centered around the ABC television stations fined $27,500 each for airing the "NYPD Blue" episode featuring a woman with her breasts and buttocks exposed.

"The episode is called 'Nude Awakening.' It's about the sexual awakening of a child," Breyer said. "The whole thing was titillating," suggesting the FCC in this case could step in and declare it indecent.

But Justice Elena Kagan echoed the sentiments of the networks. "There is some amount of uncertainty, and ABC finds itself in that area of uncertainty," she said. "Because it turns out that nudity -- sometimes it's allowed as to some body parts and sometimes it's not allowed -- and the commission hadn't really said anything about it for 50 years," until the clampdown a decade ago.

The networks complain the FCC allowed profanity in such movies as "Saving Private Ryan," and full-frontal nudity in "Schindler's List" when they aired on broadcast TV, but fined stations for other allegedly "indecent" material.

"Context matters," said Chief Justice Roberts, skeptical about what he was hearing from the networks. "People understand that, including children. When they hear a bad word when someone hits their thumb with a hammer, they understand that's different than having an adult stand in normal conversations and use the words. And it seems to me that your position is saying that the government cannot regulate with an understanding of what takes place in the real world."

Another source of contention is whether broadcast radio and the TV networks -- ABC, CBS, Fox, NBC, and the CW -- should receive treatment differing from their satellite and cable cousins, in a content way. Most broadcast stations are part of the basic cable packages people buy, and just 10% of the population receives its TV only through the airwaves. But the government countered that 69 million television sets are not connected to cable or satellite, and that broadcasting is the medium of choice for children.

"What do you call it, you surf through all the (cable) channels. And it's not apparent to many people which are broadcast and which are not," Justice Anthony Kennedy said to Solicitor General Donald Verrilli, who argued for the FCC. "But you're saying that there's still a value, an importance, in having a higher standard or different standard for broadcast media on the television. Why is that, when there are so many other options?"

Justice Antonin Scalia: "Sign me up as supporting Justice Kennedy's notion that this has a symbolic value, just as we require a certain modicum of dress for the people that attend this court. ... If these are public airwaves, the government is entitled to insist upon a certain modicum of decency."

But Ginsburg interjected: "The expletives are in common parlance today. I think that the children are not going to be shocked by them the way they might have been a generation ago."

Kagan suggested the broadcast regulatory model has been around since the 1920s. "It seems to work and it seems to be a good thing that there is some safe haven, even if the old technological bases for that safe haven don't exist anymore."

Justice Samuel Alito went further, saying the whole broadcast debate may be moot in a few years. "Broadcast TV is living on borrowed time. It is not going to be long before it goes the way of vinyl records and eight-track tapes," he told the network lawyers. "I'm sure your clients will continue to make billions of dollars on their programs which are transmitted by cable and by satellite and by Internet. But to the extent they are making money from people who are using rabbit ears (antennas), that is disappearing."

Verrilli warned that without the current regulations, viewers would see only more profanity and nudity. "The risk of the race to the bottom is real, and I think history is showing it."

There were flashes of humor throughout. When Waxman noted viewer complaints after a recent Summer Olympics, showing a female statue -- "very much like some of the statues that are here in this courtroom, that had bare breasts and buttocks" -- several justices began looking about in search of the artwork.

"Right over here, Justice Scalia," said Waxman, pointing to a carved frieze atop the courtroom showing legal figures, including a bare-breasted symbol of justice. Everyone enjoyed that moment of levity.

The Supreme Court first ventured into the broadcast speech debate in 1978, when it ruled as indecent a monologue by comedian George Carlin on society's taboo surrounding "seven dirty words." The bit had received some radio airplay. The justices said "context" should be applied when deciding whether words or images are "indecent."

The major broadcast television networks say their scripted shows no longer air nudity, racy images or expletives, even after 10 p.m., when some potentially vulgar words are permitted.

Time Warner -- the parent company of CNN -- filed a supporting amicus brief in the high court dispute two years ago. The company is part owner of the CW broadcast network and operates several cable networks.

The case is Federal Communications Commission v. Fox Television Stations Inc. (10-1293).

@highlight

NEW: Justice Scalia: "The government is entitled to insist upon a ... modicum of decency"

@highlight

The court looks at whether the FCC can limit expletives and nudity on broadcast TV

@highlight

Sometimes it's hard to tell "what is indecent and what isn't," Justice Ginsburg says

@highlight

The FCC just wants a few channels free of such material, Chief Justice Roberts says