Obamacare has survived a Supreme Court appeal, a government shutdown and ongoing challenges by opposing politicians. With few exceptions, every American must have health insurance by March 31 or pay a penalty fee.

That's right: The marketplaces that are central to the Affordable Care Act -- also known as Obamacare -- launched on October 1, despite the shutdown showdown and the much-anticipated premiere of "The Walking Dead." The government has since reopened, and Obamacare is still the law.

For most people, Obamacare won't make a direct impact. People who have health insurance through their employer, or through Medicare or Medicaid, can continue to get it that way.

Obamacare coverage gap: The poor caught in between

But the more than 48 million Americans without health insurance have to enroll in one of the insurance marketplaces by December 15 in order to have their coverage start on January 1.

The historic rollout has been overshadowed by technical issues and pessimistic predictions about how many people are really clamoring to sign up. Here are five things that have happened since the launch of Obamacare:

1. Sign up on Healthcare.gov hasn't been easy

The launch of Obamacare was disappointing for many people who actually wanted to use the government website to enroll in health insurance.

Technical problems with the federal website, HealthCare.gov, made signing up online difficult for some users. The high volume of traffic to the insurance exchange portal contributed to these problems.

"I am the first to acknowledge that the website that was supposed to do this all in a seamless way has had way more glitches than I think are acceptable," President Obama told KCCI, a CNN affiliate in Des Moines, Iowa.

A senior administration official told CNN that techs are working around the clock to get the site working better. But there also has been some confusion over user passwords. When CNN called the government help line, we were told passwords established in the first week of October were no longer valid and new passwords were needed to access the site; the Department of Health and Human Services told us that information was inaccurate.

CNN's Elizabeth Cohen tried to enroll in Obamacare as an experiment. It took more than a week for her to create a login and password. When that finally worked, error messages plagued her efforts when she tried to log in. Almost two weeks went by before she succeeded in logging in and proceeding with an application.

An insurance industry source told CNNMoney's Tami Luhby that insurers are receiving faulty information about new customers, including duplicate forms, and missing and garbled information. They are in discussion with regulators and the administration to address these issues.

Next week, congressional oversight hearings will begin, where politicians will ask questions about why the rollout had so many problems.

2. State sites seemed to fare better

While 36 states are using Healthcare.gov as the gateway to sign up new insurance customers, 14 states and the District of Columbia are running their own sign-up sites.

While HealthCare.gov has stumbled, many of these individual states are doing better. The Department of Health and Human Services says it won't release enrollment figures before November, but CNN has gotten a window on enrollment by canvassing the states running their own sign-up sites. As of Friday afternoon, at least 257,000 people had signed up for new insurance plans.

More than half of those -- 134,000 -- are in New York state.

Operations are also running relatively smoothly in Washington state and Kentucky, which each reported more than 45,000 new sign-ups.

CNN reached its sign-up figures by combining what states report as "enrolled," and what they're calling "almost enrolled." The latter group has completed the process but has not yet made an initial payment. Also note: The numbers don't include those who have sought assistance or enrolled over the phone or via paper application, and not all the states responded to data requests.

Not every state has had smooth sailing. Hawaii's marketplace didn't fully open until October 15, two weeks late. In California, the Los Angeles Times has reported repeated problems with the part of the website where people can check whether their doctors are part of a network.

3. Overall enrollment numbers are unclear

Department of Health and Human Services spokeswoman Joanne Peters said the administration has not set monthly enrollment targets. But this week the Associated Press reported it had obtained an internal September 5 memo that said Health and Human Services expected about 500,000 people to enroll in new plans this month.

At the current pace, enrollment would nearly reach that figure in the 14 states and District of Columbia alone.

Still, it's unclear how many people have actually obtained health insurance since October 1.

CNN has created a map with the latest numbers for individual states that are releasing enrollment information.

4. The cost of care has become more clear

Before the insurance exchanges went live, it was unclear how much health care was going to cost consumers in each state.

The Manhattan Institute has released an online map showing insurance premiums before and after Obamacare based on age and sex. The law's impact varies widely state to state. In Oregon, for example, rates for 40-year-old men have increased 24%. In Ohio, they have dropped 22%.

The White House says that once tax credits are factored in, about 6 in 10 individuals will be able to find insurance for less than $100 a month.

"In some states, insurance markets were already regulated to not allow insurers to discriminate against the sick. In those states, premiums will fall, like in New York, where premiums will fall by as much as 50%," said MIT economist Jonathan Gruber, who helped design the law. "In other states insurers were freely allowed to discriminate against the sick. In those states, by ending the discrimination, we're going to raise premiums in states like Wisconsin, or some of the Southern states."

Overall, Gruber said, rates are going up for the young and healthy, and down for older people and people who are sick.

Is Obamacare cheap or pricey? The verdicts are in

When you do choose a plan, you should be aware of what doctor choices you have under your coverage.

To reduce premiums and other costs, many insurers have chosen to limit the selection of doctors in certain exchange plans. Large academic medical centers, which are often more expensive, are excluded from such plans.

"The sticker price will be lower if the number of options are lower," Joe Mondy, a spokesman with Cigna, which is participating in five state exchanges, told CNNMoney. "The issue is how many options can you do without?"

5. The shutdown came and went -- without changing much

The government shutdown had no effect on users trying to sign up for Obamacare because money designated for the launch was approved in a previous session of Congress and didn't have to be approved again.

Yet it was partly because of the Affordable Care Act that the shutdown continued so long in the first place.

Republicans attacked the law on several fronts, demanding first that the government defund Obamacare, and then that it be delayed for a year. But when the government reopened, the GOP came away with just a small concession related to Obamacare: two additional reports from the Department of Health and Human Services.

Republicans had wanted tighter income verification procedures for health insurance applicants. What they'll get is a report detailing the income checks the insurance exchanges will use, and a second report that reviews how effective the verification procedures are.

The Republican party is still calling for an investigation into the HealthCare.gov website's problems.

Opinion: Goodbye to the strategy Republicans knew was a fantasy

@highlight

Obamacare was largely unaffected by the government shutdown

@highlight

You have to enroll by December 15 in order to start your coverage on January 1

@highlight

HealthCare.gov has been having a lot of technical issues

@highlight

State sites' success varied but seemingly did better than the federal site