Las Vegas (CNN) -- Some people think wearable gadgets look cool. Perhaps they rock their Google Glass while out at happy hour, or flash the latest crowd-funded smart watch at the office.

While the devices are undoubtedly conversation starters, and the look may be coveted in some circles, for the most part wearable technology has a fashion problem. At the International Consumer Electronics Show in Las Vegas this week, wearable devices are everywhere, and some are finally trying to break out of the gadget world and into the fashion world.

Wearables is a broad and fast-growing category that, as the name implies, includes any small piece of technology that can be worn. Research firm ABI estimates the wearables market will hit $6 billion by 2018.

Here at CES there are "smart" glasses, watches, bracelets, brooches, visors, necklaces and even bras. Straps secure small sensors against arms, chest, head or legs. There are even wearables for dogs, cats and children. The tasks wearables accomplish are as varied as the body parts they adorn.

The technology inside these devices is moving ahead while the design side stagnates. Sensors are getting smaller, cheaper and more advanced. It's possible that the technology will become so advanced that trackers could bypass the design problem altogether by shrinking down electronic elements enough that they can be invisibly embedded in regular clothing, hats, shoes and belts.

But not every company sees that on the horizon.

"We don't think the trackers we see today are going to go away in favor of a sensor-laden shirt or bra," said Woody Scal, the chief revenue officer at fitness tracker company Fitbit.

Fitness trackers embrace the fun

The most popular wearables are fitness trackers, which use sensors to detect movement, heart rate, body temperature, breathing, sleep patterns, location and speed. In the fitness area at CES, low-profile and colorful bracelets inspired by the Nike FuelBand and Fitbit Flex and Force are the most common. There are the Garmin Vivofit and Jaybird Reign trackers, and the LG Lifeband Touch and Razer Nabu, which add in notifications from smartphones.

The new Sony Core, a small stick that will fit in wrist-wear like the Sony SmartBand, acts as a fitness tracker but also branches out into life logging. It will be able to track mundane daily activities, weather, what movies you watch and what music you listen to, and notable events. It can also receive notifications from a paired smartphone, will likely cost around $135, and pops in and out of various brightly colored wrist bands.

The traditional wearable look is passable for fitness gear, which is expected to be bold and sporty. Unfortunately the esthetic doesn't always translate into everyday wear. Most adults have moved beyond rocking brightly colored plastic baubles. They want sleekly designed accessories and brand names.

Early stabs at jewelry

Some companies have smartly started to outsource the design process to people who know about fashion. Intel announced that it was teaming up with hipster design label Opening Ceremony on a bracelet that will be sold at Barneys, though specific design and pricing details are still unknown.

Chip-maker CSR worked with jeweler Cellini to create a surprisingly nice Bluetooth pendant that has a single, customizable light for receiving notifications. On the odd side, the necklace can also be programmed to release perfume throughout the day.

Fitbit announced it was dabbling in jewelry and partnering with Tory Burch on a Fitbit necklace and a bracelet. The products are still in the design stage, but drawings show decent gold jewelry that would look good even if it didn't contain a tracker.

Not every company is getting outside help. Ezio makes gaudy $129 necklaces that pair with a smartphone and have stones that light up when someone calls or texts.

"The whole idea here is that people -- not everyone, but lots of people, we believe -- want their fitness trackers to be even more fashionable," said Fitbit's Scal. "In the male-focused technology industry, we didn't think people were paying enough attention to women, to be honest."

Everyone's making a smart watch

Appealing to women is an issue with one of the most hyped wearable categories: smart watches.

Gadgets calling themselves smart watches range from regular watch faces with light-up notifications to full featured Android phones worn on the wrist. The most appealing are designed to look like everyday analog watches, while others look like touch screens with a strap tossed on. When well done, a watch with a face big enough to accommodate smart features can pass as a nice men's accessory, but the majority are still far too bulky and awkward for women.

The focus on the watch form factor has been oddly intense, with rumors of an Apple smart watch swirling for the past year and major companies like Samsung pushing out glitchy, undercooked technology like the Galaxy Gear.

At CES, Intel, Qualcomm and indie darling Pebble all announced new smart watches, and there was a dedicated area for the wrist wear. The Burg ($149 to $399) takes a SIM card and can make calls. The $130 Cogito Pop looks like a classic watch but adds notifications from a paired smartphone. Qualcomm's $349 Toq is similar to the Pebble but with a full color screen and fewer apps. The new Pebble Steel is a proper stainless steel smart watch for $250.

The most egregiously oversized smart watch on the CES floor is the Neptune Pine, a 2.4-inch touchscreen rectangle running Android Jelly Bean that will cost between $335 and $395 when released in March. Technically, it has all the features of a fully functioning Android phone, but the cramped screen means it works better as a secondary screen for viewing notifications, paired with a regular Android smartphone stashed in your bag or large pocket.

One of the more clever smart watches at CES is the Filip, a simple and sturdy phone and location tracker for kids five to 11 years old. Parents can program in five phone numbers and the child can make and receive calls from those contacts, and receive but not send texts. An accompanying iOS or Android app can be used to pinpoint the kid's location on a map. The $199 device will be sold through AT&T stores and service will cost just $10 a month without a contract.

On your face but out of the way

For the most part, wearables offer a limited selection of the features already available on smartphones. The idea is to save people from the distracting task of pulling out a phone, looking at it, tapping on it and returning it safely to a pocket. At the Cogito booth, Andres Muguira said a smart watch would help wearers filter incoming notifications so they would "get to spend more time with loved ones."

That's the idea behind wearable glasses, either the most or least distracting wearable depending on your point of view. There were a number of Google Glass-like products at CES. GlassUp shows e-mails, texts, tweets and other messages on a display directly in front of the eye. The GlassUp design currently resembles safety glasses, but a mockup of the final version could almost pass for a regular pair of black thick-framed specs.

Epson's Moverio BT-100 glasses look like the disposable sunglasses you get after a trip to the eye doctor. The industrial Vuzix glasses don't even attempt to pass as normal glasses, looking more like a futuristic monocle, but that could change if the company decides to make a commercial product.

The best outcome for smart glasses, and all other wearable tech, is blending in by looking like products people already want to wear.

They could follow Google's lead. The company was reportedly talking to hip glasses company Warby Parker about possible design partnerships for future versions of Google Glass.

@highlight

Smart watches, fitness trackers and jewelry that flashes notifications are plentiful at CES

@highlight

The fast-growing wearables market is just starting to focus on more fashionable designs

@highlight

Some companies are teaming up with fashion designers like Tory Burch