WASHINGTON (CNN) -- An English-language immersion class failed Miriam Flores, her mother contended.

A divided Supreme Court dismissed on Thursday a 17-year-old suit filed on behalf of English-deficient students.

After two years of instruction in her native Spanish, Miriam entered the Nogales, Arizona schools' English Language Learner program as a third-grader. However, she continued to lag behind her classmates and was cited as a disruptive influence in the classroom because she often had to ask a fellow student for help.

The girl's mother, also named Miram Flores, and other minority parents claimed school officials in Nogales, a border town about 70 miles south of Tucson, did not provide enough money to get English-deficient students up to speed in writing and reading comprehension.

In 2000, a federal judge agreed, concluding Arizona violated the Equal Educational Opportunities Act, and ordering the state to rework its plan and increase funding. The English Language Learner (ELL) program was then placed under federal oversight.

On Thursday, a divided Supreme Court dismissed the 17-year-old lawsuit, but ordered a federal judge to review whether Nogales officials are "providing equal opportunities" to mainly Spanish-speaking students in the community.

Arizona maintained the federal court injunction delayed its plans to fix the system. It maintained it has provided enough resources to improve its ELL program, allowing it to end federal oversight.

"Injunctions of this sort bind state and local officials to the policy preferences of their predecessors," wrote Justice Samuel Alito for the majority.

Some legislators claim a 2006 state law essentially eliminated long-standing funding inequities. But parents say officials continue to drag their feet when it comes to complying with an appropriate classroom model for non-English-speaking students.

Arizona says it increased more than twofold the amount of money it spends per non-English-speaking pupil, and that it has complied with the No Child Left Behind Act, the sweeping public classroom accountability act passed in 2002 that ties federal education funding to improvements in measurable student achievement.

The current dispute has pitted the GOP-led state legislature and the school superintendent against the Democratic governor and attorney general, along with civil rights and teacher groups.

Alito said a federal law guaranteeing equal opportunity in public schools "is a vitally important one, and our decision will not in any way undermine efforts to achieve that goal." He added that if state officials ultimately prevail in their reform efforts, "it will be because they have shown that the Nogales School District is doing exactly what this statute requires -- taking appropriate action to teach English to students who grew up speaking another language."

Alito was backed by Chief Justice John Roberts and Justices Antonin Scalia, Anthony Kennedy and Clarence Thomas.

But in a lengthy dissent -- parts of which were read from the bench -- Justice Stephen Breyer said the ruling was "misguided," calling it "a mistaken effort to drive a wedge between review of funding plan changes and review of changes that would bring the state into compliance with federal law." He was backed by Justices John Paul Stevens, Ruth Bader Ginsburg and David Souter.

The divided court seemed poised to issue a narrow ruling, fact-specific to the ELL plan in Nogales. But groups on both sides of the issue asked the high court for broader guidance on settling state-federal conflicts involving institutional reform mandates, especially those involving disadvantaged groups.

Such political turf battles often end up in the courts, and can lead to decades of federal oversight, such as the fight over school desegregation beginning in the 1950s. Against that backdrop is the continuing fight over immigration and the responsibility of states to fund the education of illegal immigrants and their children.

Miriam Flores is now an adult and a student at the University of Arizona.

The cases are Horne v. Flores (08-289) and Speaker of the Arizona House of Representatives v. Flores (08-294).

@highlight

Supreme Court dismisses case that claimed schools failed English-deficient kids

@highlight

The 17-year-old case began in Nogales, Arizona, a border town

@highlight

A federal judge agreed and ordered increased funding and federal oversight

@highlight

Both sides seek help from high court in resolving political turf wars over reforms