Washington (CNN) -- John Keith rattles each pill bottle and raps it down on the table, 15 in all. "That's what they had me on right there, every day," the former sailor says of the prescriptions he received from Veterans Affairs doctors.

Keith, who lives in California, says his case is an example of how government doctors over-prescribe for active-duty and retired military, with often disastrous results.

On the other side of the country, the Ohio family of Chris Bachus, a decorated Marine who died in his sleep from an accidental drug overdose, also says military doctors are writing too many prescriptions.

"How could a team of doctors, allegedly working together, prescribe all those things together?" Jerry Bachus asks of the doctors who treated his brother with dozens of separate medications.

And the military itself is struggling with demands of its personnel returning from multiple warzone deployments and seeking treatment for a variety of injuries and mental issues.

Navy veteran Keith blames multiple tours in the Persian Gulf, on board the USS Kitty Hawk, for a variety of ailments including post-traumatic stress disorder and traumatic brain injury.

But he blames government doctors for loading him up on pills.

"After I was taking the 10 pills and it wasn't working, I went back to the VA, and they prescribed me five more pills on top of everything else," Keith said.

Then came blackouts, and once he tossed furniture out of a friend's apartment.

"I'd thrown it off the balcony, and I had no recollection whatsoever," Keith explained.

"I called a VA doctor and told her what happened. She said, 'Oh, it's too strong. Just cut the pills in half and take half.' I did that, and the next thing I know, I was being arrested by the Dallas police," Keith said.

In Ohio, Bachus' brother questions why the successful Marine gunnery sergeant had his own oversupply of legally prescribed medicines when he died.

"They were all legitimately prescribed drugs from physicians who had sat right in front of him and evaluated his condition, and whatever he had an issue of, they would either increase the dosage or the potency of the individual pill," Jerry Bachus said at his home outside Columbus.

He shows off the Iraqi battle flag that Chris brought back from one of Saddam Hussein's palaces after he fought his way through Baghdad. He thumbs through photos, including one of the two brothers visiting Washington. And he tells about how his brother was usually the happiest guy around.

"He laughed and smiled a lot. He had a great time. He lived life to its fullest. He lived life the way people wished they did," Bachus says.

But after multiple deployments to Iraq and Afghanistan and 17 years in the Corps, Chris was just a shadow.

"He was passive. He was ghostly," Jerry Bachus said, describing how he failed to convince his brother that he wasn't really fit to serve. But Bachus shipped out again to Iraq in 2007, coming back early with stress complaints and suspicions of a traumatic brain injury from a roadside bomb.

The cover letter on the official military autopsy for Chris Bachus strongly recommends that family members not read it alone, but with a family friend or minister.

It spells out the 27 prescriptions found near the body in March 2008, at Camp Geiger in North Carolina. The death was ruled accidental, blamed on "multi-drug toxicity."

The list of 27 prescription bottles found at the scene of death takes up most of a page of the autopsy, from topiramate to oxycodone to lorazepam.

Jerry Bachus admits that the military faces enormous demands, countless requests to ease both the physical and mental pain.

"You're gonna give me whatever I need to make me feel better, and you're gonna make me go away ... because there's 1,000 people standing in line behind me that just came off the bus with me," he said.

The armed services have recognized the problem as a reflection of what also is playing out in civilian life as well.

"I think in some cases yes, certainly, I think there is over-reliance," said Brig. Gen. Richard Thomas, the Army's assistant surgeon general. "But I think ... it reflects how we are in society; we do have a tendency to rely on prescription meds."

Thomas says the Army has implemented rules to limit the number of people who can prescribe medications for an individual patient, as well as new scrutiny of cases in which multiple prescriptions have been written. New prescriptions may carry a time limit, with no refills without a new examination.

"We have some new policies that are out to address poly-pharmacy, multiple medications, to make sure we are prescribing these things in a safe and responsible manner to protect the patient," Thomas said. "Ultimately, because we don't want to leave the responsibility for figuring it out in the hands of the patient."

And the military is exploring new treatments, without drugs.

"Whether it be acupuncture or biofeedback or yoga therapy, there is a host of other things we can provide to patients to take care of them right, other than narcotics," Thomas said. "Narcotics may still have a role, but it doesn't have as big a role, and there are alternatives, and that's the key."

Meanwhile, Jerry Bachus keeps asking why doctors, commanders and even fellow Marines didn't raise the alarm.

"Just to say we gave this trooper a bag of pills, that doesn't wash," he said. "It just isn't good enough. It just isn't good enough."

CNN Pentagon Correspondent Chris Lawrence contributed to this report.

@highlight

One Navy veteran says he took 15 medications a day

@highlight

Marine died in his sleep; autopsy lists 27 medications

@highlight

General says Army has new rules on prescriptions