(CNN) -- Palm oil plantations have a pretty bad reputation among eco warriors.

Often the rows of oil palms replace primary rainforest, after it's been mercilessly cleared by logging companies, sometimes illegally. But now the growing pressure from consumers and environmental groups has started to result in changes on the plantations.

The owners are not ripping up the multi-million dollar farms, but some are at least making a nod towards a more sustainable way of growing palm oil.

The Roundtable on Sustainable Palm Oil(RSPO) is a recent initiative to give the industry a better reputation, and brings together representatives from the entire supply chain of palm oil, from the producers and the banks that finance them, to the retailers, and even the consumers.

To become certified, plantations must adopt a raft of one hundred greener measurers, including set aside areas along rivers where jungle can regenerate. Some plantation managers are taking it further though, planting endangered trees, enriching these buffer zones with species that are fast disappearing elsewhere in Southeast Asia.

The planting will never replace the tens of thousands of hectares of lost jungle, but it is a significant departure from past attitudes.

Geoffrey Cooper is one of the last European planters left in the Malaysian palm oil industry. He talks like an evangelical environmentalist, which belies his background as a plantation manager for more than a quarter of a century, in both Asia and Africa.

He grew up in Malaysia after his parents arrived from Scotland in the mid 1950s when his father took up a plantation engineer's job, and is passionate about his work. But what inspires him even more is the chance, as he sees it, to leave a legacy of environmental creation.

Cooper manages a 10,000 hectare estate, formerly a sugar plantation, know as "United International Enterprises" for United Plantations (UP), about three hours north of the capital, Kuala Lumpur.

UP is Danish-controlled and in 2008 was the first plantation company in the world to become certified by the RSPO.

Cooper thinks despite the terrible reputation the industry has earned, it is possible to take some small steps to start making palm oil more sustainable.

"We've got to start somewhere, we can turn the clock back there's no doubt about it. And we as a group are committed to do that and so are some other big plantation players in the country," says Cooper.

"We'll be looking at getting 300 to 500 diverse tree species and I expect we will plant something like 20,000 trees in our gene bank area, from the current 7,500 already planted since the past two and a half years."

He's consulted a local "tree guru" James Kingham on most of the plantings. Kingham is also a former planter, but now runs a rare tree nursery comprising 3 million seedlings of rare and endangered trees.

"I am one of the guilty ones, the very guilty ones, where we have felled thousands of acres when I was with a big company in Johor [to make way for palm oil trees]," says Kingham.

"So I wanted to start something different, something for the future. Back then no one was talking about climate change, it really started as a hobby."

But now his hobby could be vital to stop some of these trees becoming extinct. Kingham is also being courted by the biggest publicly listed plantation conglomerate in the world, Sime Darby. Kingham says this giant company, with more than half a million hectares of plantations, is buying 200,000 seedlings from him each year.

RSPO criteria mean plantations have to have 2 to 4 percent of their acreage set aside; Sime Darby is stocking some of these areas with rare trees.

It may take more than 50 years for the seedlings to reach their maximum height, with some growing to more than 75 meters. Specimens like the Shorea Macrantha are critically-endangered; there are perhaps just a few hundred left in the wild. Paradoxically, now they are flourishing in an otherwise ecologically barren setting.

In terms of processing the palm fruit, measures are being taken towards being a little greener. Each palm tree produces 12 to 14 bunches of bright red fruit per year, each containing 3000 to 5000 fruits each the size of a walnut. Approximately 5 liters of palm oil is derived from 20 kilos of fruit.

On Cooper's estate of 1.4 million palm oil trees a biogas plant was installed in 2008, which ferments the waste into methane gas that is used to power all the machinery via the mill's electrical generators.

The palm oil industry still has a very long way to go to become green, but Cooper admits consumer pressure is having a positive effect on plantation companies by making them improve their attitude towards conservation and sustainable practices.

"We as planters are very well placed to do something constructive. Let's face it we need a bit of pressure, we need a bit of direction and we¹re well placed to do something about it now," he says.

@highlight

Plantations in Malaysia are taking steps to make palm oil less destructive

@highlight

Planting of rare tree spieces on plantations is one method

@highlight

New criteria means plantations have to 2 to 4 percent of land for native trees

@highlight

Geoffrey Cooper, plantation manager, says planters are in good place to be constructive