London (CNN) -- Seven promising young British athletes lit the Olympic cauldron early Saturday, capping the Games' festive opening ceremony in east London.

The torch, which arrived on a boat driven by football star David Beckham down the River Thames, had been carried into the stadium by five-time Olympic gold medalist Steve Redgrave.

The retired rower then passed it to the young athletes, who lit part of the outer rim of the torch, setting off a domino effect as fire spread to 205 small metal "petals," symbolizing the nations taking part. The small petals eventually rose on long stems and converged to become a cauldron pointing up to the sky above the stadium.

A short time earlier, Queen Elizabeth II formally pronounced the Olympics open for business, saying, "I declare open the Games of London, celebrating the 30th Olympiad of the modern era."

Organizers had said they expected a billion people worldwide to watch the opening ceremony -- which was created by Danny Boyle, best known for directing the Oscar-winning film "Slumdog Millionaire" -- on television.

Explaining the ceremony: From Shakespeare to the Sex Pistols

Tens of thousands more congregated in "fan zones" around the British capital to watch the festivities on big screens, their enthusiasm hardly diminished by overcast sky and sporadic showers.

The event opened with a scene dubbed "Green and Pleasant," after a line from poet William Blake. It featured an idyllic view of a British countryside. Rolling hills, fields and rivers -- complete with picnicking families, sports being played on a village green and farmyard animals -- made up the elaborate set.

Hundreds of volunteers dressed in period costumes walked, danced and otherwise performed as music played. The set soon transformed into one recalling the noisy, grimy transformation of the Industrial Revolution, including large smokestacks emerging from below.

After a short film featuring Daniel Craig, the latest actor to play cinematic British spy James Bond, and none other than Queen Elizabeth II herself, the next performance paid tribute to Britain's National Health Service and children's literature.

J.K. Rowling, author of the best-selling Harry Potter books, kicked off the scene -- which featured, among others, the evil Voldemort from her series and magical nanny Mary Poppins.

Next came a performance of the iconic song from "Chariots of Fire," a tale about two British Olympians from 1924 that was lightened up by slapstick comedian Mr. Bean, played by Rowan Atkinson. Then came a showcase for pop songs from the Beatles to the Rolling Stones to Frankie Goes to Hollywood to David Bowie, which was followed by a short live performance by rapper Dizzee Rascal.

There was also a special shout-out to Tim Berners-Lee, a London native who is credited with inventing the World Wide Web. His words, "This is for everyone" at one point lit up a part of the stands for all to see.

Just over one hour in, the Olympic athletes finally made their way into the stadium led, per tradition, by the Greek delegation.

The mastermind behind the opening ceremony

That was followed by another performance featuring bicyclists with glowing butterfly wings going around the stadium, one of whom soared into the air.

Several dignitaries escorted the Olympic flag as it entered the stadium, among them U.N. Secretary-General Ban Ki-moon and legendary American boxer Muhammad Ali.

Sebastian Coe, chairman of the London Games organizing committee and a four-time Olympic medalist, then promised, "London 2012 will inspire a generation."

"In the next two weeks, we will show all that has made London one of the greatest cities in the world," Coe said. "Let us determine, all of us, all over the world, that London 2012 will see the very best of us."

International Olympic Committee chief Jacques Rogge noted the history being made with these Games -- the first competition in which every delegation had female athletes and the first time any city has hosted the Olympics three times.

"In a sense, the Olympic Games are coming home tonight," he said.

Excitement has been brewing in and around London for years, and it's been especially palpable in recent days.

Katie Lawrence, a resident of the U.S. state of Georgia who holds dual U.S.-British citizenship, told CNN that she was hugely excited to be in London to watch the sporting extravaganza.

"I love the Olympic Games, I always have, always will. I'm always torn as to which team to root for, but I have no shame in rooting for both USA and GB," said Lawrence, who saw some of the 1996 Games in Atlanta as a child. "I cannot wait to be immersed in all of the excitement and bustle that the Games bring."

CNN iReporter Kevin Dunscombe said he was "very proud" of London as the host city.

"I really felt the buzz of the Olympics when I walked through Trafalgar Square on my way home last night," he said Friday. "The atmosphere was really electric and this is before the Games have actually begun!"

Are you there? Send us your images and videos of the Olympics

British newspaper headlines heralded Friday as the start of something truly special. "Get the party started," read the Telegraph, while the Times of London hailed "The world in one city."

The Guardian struck a more reflective note as London prepared to host the Games, saying, "Time to find out who we are."

Records already broken and ticket-holders warned

Some 10,500 athletes are set to take part in the Games, the British government said.

Some of them competed in advance of Friday night's formal kickoff, including members of multiple men's and women's football squads.

All 128 competing archers also took part in a preliminary round at Lord's Cricket Ground in London to determine seedings for team and individual competitions.

Three South Korean archers took the top three seeds in the men's individual round, with the winner, Im Dong-hyun -- who is legally classified as blind -- setting a world record in the process, according to the official website for the Games.

Hundreds of people hoping to attend that event, however, were turned away after apparently being sold fake tickets and because of confusion about whether the event was open to the public, UK media reported.

Read more on the gritty East End -- the London area hosting the Olympics

The London organizing committee said tickets had been neither advertised nor sold.

"We think we have made it very clear that this is not a free event, like the road races or marathon, which have been advertised as free events," the committee said in a statement.

"This is a ranking round and there is no spectator access at all. We are dealing with this at the venue, along with some people who have turned up with fake tickets purchased from a fraudulent website."

People are urged to "be extremely cautious and vigilant when attempting to buy tickets and only purchase from an official source," the statement says.

Video: British etiquette for London Games

U.S. politics becomes part of the story in London

Dozens of dignitaries from around the world attended Friday night's opening ceremony. They included U.S. first lady Michelle Obama, who met with members of Team USA at a breakfast Friday morning at the U.S. Olympic training facility.

But it was her husband's presidential challenger this fall, Mitt Romney, who was making headlines.

Read more: London prepares for an Olympics to remember

News reports picked up on the verbal to-and-fro between British Prime Minister David Cameron and the Republican U.S. presidential candidate, who appeared to question London's readiness while on a trip to England and then appeared to backtrack.

"You know it's hard to know just how well it will turn out," Romney said in an interview with NBC News on Wednesday evening. "There are a few things that were disconcerting. The stories about the private security firm not having enough people, the supposed strike of the immigration and customs officials -- that obviously is not something which is encouraging."

A day later, in what sounded like a jab at Romney's own stewardship of the 2002 Olympics in Salt Lake City, Cameron appeared to draw a contrast between staging the Games in London versus Utah.

Read more: Four billion reasons to watch the Olympics

"We are holding an Olympic Games in one of the busiest, most active, bustling cities anywhere in the world. Of course it's easier if you hold an Olympic Games in the middle of nowhere," he said.

After meeting with Cameron, Romney praised then British preparations for the Games. He then sidestepped a question as to whether he intended to criticize the 2012 Olympic organizers in his initial comments, saying he expected the Games to be "highly successful."

Video: Olympic long-term impact on London

CNN's Laura Smith-Spark, Stephanie Halasz, Ed Payne and Jim Acosta contributed to this report.

@highlight

"I declare open the Games of London," the queen says

@highlight

Ex-Olympian Steve Redgrave passes the flame to seven young British athletes

@highlight

The IOC chair notes all delegations have female athletes for the first time

@highlight

The opening ceremony features odes to British history, literature and music