Editor's note: Roya Hakakian is the author of "Journey from the Land of No: A Girlhood Caught in Revolutionary Iran." Her web site is http://www.royahakakian.com/live/.

Roya Hakakian says she lived through an earlier moment when Iranians thought freedom was at hand.

(CNN) -- Since last Saturday, the images of Neda Agha Soltan, the young woman who died on the streets of Tehran, keep playing before my eyes.

When I don't look at the clip on my computer, it runs on its own in my mind's eye.

What has me so riveted is not entirely empathy, the intuitive human response the images are bound to stir in everyone. There is also something less noble at work in me, an obsession with seeing my own face upon hers. Each time I see her die, I die along with her.

I, too, was born and raised in Iran. My coming-of-age years coincided with the Iranian revolution of 1979. I, too, was on the streets, watching and rooting for the demonstrators. Nothing seemed more natural, more compelling than being on the streets, calling for freedom, breathing the intoxicating, the dangerously euphoric Tehran air.

I was 12 in 1978, yet I was as undaunted as any adult. Nothing, least of all my pleading parents, could keep me away from the rooftops at 9 p.m. Amid the night's dark, where the crowds were as indiscernible as ghosts, the shouts of "Allah-o-akbar" rose from every rooftop like smoke rising from an invisible bonfire. We were all victims of the flames and the very arsonists at once. We were burning in the fire of our own making.

Thirty years hence that fire still burns in Iran, because moments before her death, Neda Agha Soltan cried: "I'm on fire!" I am entranced by her because she and I are the only two possibilities of the dictatorial narrative: Death or escape.

She died. I escaped. I live. And because I live I cannot escape her death -- the memory of her large eyes languidly drifting to one side, then freezing upon the abyss. Survival of this kind brings its own eternal damnation: A bifurcated existence lived in the here and now, but perpetually haunted by there and then.

Making peace with the past would have been easier, if only the essence of that past had not been in doubt, if its dignity were intact. But in my first American ride in my first American taxi cab, I learned the staggering counter-narrative that I would hear again and again, dominating the western perceptions of Iran, when the driver asked: "So, where are you from?"

"I come from Iran," I said, in broken English.

"Eeran," he asked with uncertainty. "Eeeran?" Then passing his fingertips across his throat like a knife, he said, "Eeran ... Khomeini?"

In that, 2,500 years of civilization was reduced to one vile name and the invocation of a throat being slit. It did not take long for me to learn that between the Iran that I knew and the Iran that Americans knew was a discrepancy as vast as the waters that separated us.

I soon learned that the images of a fist-throwing mob of angry men and darkly veiled women burning the Uncle Sam effigies were the only images that most Americans had of Iran. Those images had little in common with the Iran I knew -- greater in numbers and in the grip of the same fist-throwing crowds.

With Neda's death, the Iran I know finally has a face. The sequence of her death is the sequence of our nation's struggle in the past 30 years: The democratic future that 1979 was to deliver collapsing, then trails of blood -- that of so many executed or assassinated -- streaming across its bright promise. The film of Neda's death is the abbreviated history of contemporary Iran.

If history is a contest among competing narratives and icons, let the image of a young woman lying on the ground endure as that of Iran today. Let it loom so large to wipe away the memory of the thugs marching American hostages out of the U.S. Embassy in Tehran. Let the scarf that loosens and falls off her head to expose her dark hair be emblazoned in our memories as the metaphor for the plight of Iran's women.

As if her death were not tragic enough, the authorities have banned all mosques throughout Tehran from holding prayer services for Neda. Silence in the face of such inhumanity is a sin as great as the one a war could spur. This Friday evening throughout Iran, people will be lighting candles in memory of Neda and others who have died in the past few days.

Here in the United States, I hope you join me and thousands of my compatriots in a memorial campaign for Neda by asking your religious and spiritual leaders to include a prayer for Neda and other fallen Iranians of the recent days in this week's services.

For 30 years, Iran's regime has appropriated God. Let us reclaim God from those who deny a family the right to properly mourn the death of their child through our prayers and help bring peace to a tormented nation.

The opinions expressed in this commentary are solely those of Roya Hakakian.

@highlight

Roya Hakakian: I was a girl in Iran during the revolution of 1979

@highlight

She says she saw the hopes of democracy and freedom quashed

@highlight

Hakakian: Join me in praying for Neda and other fallen Iranians