(CNN) -- When high schoolers tour the world's largest nuclear research facility from their desks, or teachers have a chance to see the classroom through students' eyes, that's the power of Google Glass.

But even as Google's much buzzed-about wearable computer makes its way into the hands of technophiles, law enforcement and firefighters, it might be a while before it comes to a school near you.

Slowly, Google Glass is starting to turn up in schools. A handful of educators are beta testers in Google's Glass Explorer Program.

They're capturing videos and images of classroom activities through a small camera built into Glass' frame, and sharing them online. They use Glass to teach lessons from their perspective to share with others, or for their own reference. They're propping the glasses on students, and using the footage and images from young people to understand what they see and how they learn.

Even with limited applications and functionality in these early versions of Google Glass, some teachers and technology enthusiasts see huge potential.

"The possibilities are endless as more applications are developed for the device and as Glass gets into the hands of more teachers and students," said Kathy Schrock, a former librarian and technology consultant who serves on the board of International Society for Technology in Education.

"Having a single pair of Google Glass in the classroom reminds me of the days of the one-computer classroom. Everyone had to wait for a turn to use the device," Schrock, a Google Certified Teacher, said in an e-mail. "I think once we see a K-12 school pilot with a classroom set of Glass, there will be many more practical and creative uses showcased."

The virtual field trip is often touted as a use for Glass, and there are apps in development expected to display information about locations the Glass wearer sees.

Google sent online educator Andrew Vanden Heuvel to Switzerland in 2013 so he could lead students on a virtual tour of the Large Hadron Collider at the European Organization for Nuclear Research known as CERN. Through a Google+ hangout, students from South Christian High School in Michigan watched Vanden Heuvel walk through the world's largest and most powerful particle accelerator, taking their questions and pointing out features.

Even more common, educators broadcast from inside the classroom, leading science labs, group discussions or even performing surgery for remote audiences. They show it in real time through Google+ hangouts and as videos shared later through YouTube, personal blogs and other forms of social media.

After his field trip, Vanden Heuvel continued using Glass by making a series of instructional science and math videos called STEMBites. When a New Jersey high school student had to miss school for medical reasons, chemistry teacher Marc Seigel asked the student's friend to wear Glass during science labs and broadcast them to her in a Google+ hangout. An online group for Glass Explorers in Education lets users share similar stories and pose questions to the group of 612 members.

But Google Glass in every classroom could be a long way off. There's a long list of reasons why the most intriguing device in tech just isn't ready for school: Glass is expected to be more widely available toward the end of 2014, but the $1,500 price tag is a significant barrier for schools and teachers. So far, there's no educational discount, teachers said, and Google hasn't announced plans to partner with educational institutions. Its short battery life needs to be resolved before broader implementation is possible, teachers said, and Glass is mired in privacy concerns, especially when children are involved.

"To me, the greatest value of Glass so far isn't what it's able to do, but the conversation being had nationally about how we interact with technology and how we want it to be part of society," said Vanden Heuvel, who teaches online math and science classes.

Vanden Heuvel views Glass as another tool in his arsenal, but it's "not necessarily the best for every situation," he said.

"I think the $1,500 would be better spent on three Chromebooks," he said.

Still, early adopters in education are looking for ways to make it work. Margaret Powers, lower school technology coordinator at the Episcopal Academy in Newtown Square, Pennsylvania, has been documenting her experiences using Glass in class on on her blog, 365 Days of Glass. She saw potential in Glass as a tool to capture moments of discovery and learning through her students' eyes, in line with the Reggio Emilia philosophy she embraces as an educator.

Since April 2013, she's used Glass to document the day's activities and post video highlights online. Glass gives her the benefit of doing it hands-free, so she can maintain eye contact and interact with students while gathering information, she said.

Periodically, she puts together video clips around specific topics, like teaching students about coding, as presentations for parents. She lets students use the device to document their experience making Native crafts or playing in the snow to share with partner classrooms around the country.

Among its greatest benefits so far? Powers said she can finally see the classroom through the eyes of her students, who range from pre-K to second grade. It shows which details catch their attention, and sometimes reveals simple problems, like when Powers realized she was posting some information too high for her young students to see.

"It has been really interesting to try it because their perspective is so unique and different from ours, which is why I think (Glass) has a lot of potential with these age ranges," she said. "To get just a few moments to see how they learn to do a math problem, or to get a sense of their vantage point is so great for teachers."

How would you feel about your child using Google Glass at school? Share your thoughts in the comments, on Twitter @CNNschools or on CNN Living's Facebook page!

@highlight

A handful of teachers have started using Google Glass in their classrooms

@highlight

It's used for virtual field trips, to document lab work and reveal students' perspectives

@highlight

The cost, battery life and privacy concerns might keep it out of schools, teachers said