(CNET) -- Coming from a company known more for its plasma HDTVs, the Panasonic TC-32LX85 is a pleasant surprise in the 32-inch LCD category.

Attractively designed and well appointed with generous connectivity, it is also a good performer overall, although by no means perfect. I was particularly impressed with the set's color accuracy, which is something I really don't expect from entry-level displays.

Compared with the competition, the LC-32LX85 represents a compelling value in small LCD screens when you consider its performance characteristics.

Design

Basic in its design, but simultaneously elegant-looking, the TC-35LX85 has a glossy black finish, with a 3-inch-wide bezel surrounding the screen on all sides. It is a small and unobtrusive television that will fit into just about any decor nicely. Side panel AV inputs are neatly tucked away behind the right side of the screen.

The remote control is identical to Panasonic's current plasma line of HDTVs, with an excellent ergonomic design. It is on the large side, but slender enough to fit in the hand comfortably. Unfortunately, the remote is not backlit. The internal menu graphical user interface is also quite simple and intuitive to use and navigate.

Features

The Panasonic TC-32LCX85's offers a fairly comprehensive feature package for an entry-level 32-inch LCD TV. Its native resolution is 1366x768, or around 720p, whereas many higher-end models have a 1080p native resolution.

At this screen size, however, the benefits of 1080p resolution are nearly impossible to discern with moving video, whether standard- or high-definition. If you plan on regularly using your 32-inch LCD TV as a computer monitor, however, you might want to consider a 1080p model.

Picture adjustment options are OK, but not as extensive as found on the Samsung LN32A450 or LG32LG30 for example. Preset picture modes include Cinema, Game, Custom, Vivid, and Standard. Custom can be adjusted independently per input while the others can be tweaked as well and apply to every input.

Selectable color temperatures include Warm, Normal, and Cool. The Backlight feature may be the most important in terms of optimizing the panel's picture, as it helps it achieve reasonably deep black levels when lowered from its factory setting.

Some dubious picture-adjusting features include Color Management and AI Picture, both of which should be shut off for optimum performance. AI is an auto-contrast feature that raises and lowers the light output of the panel depending on ambient room lighting. This ultimately makes black and white level a moving target, and both of these parameters really should remain constant.

In the Advanced menu there are two varieties of noise reduction, called Video NR and MPEG NR, and for high-quality sources both should be turned-off. Black Level should be set to Light for full shadow detail, although intuitively I would think Dark would be correct. (Panasonic always had Lighter and Darker settings that were intuitively correct at 7.5 and 0 IRE respectively in their DVD players. Strangely, for their TVs, it is backward.)

Connection options are generous enough on the Panasonic, although unlike most other small-screen flat-panel sets it lacks a VGA-style PC input. The rear panel does have two HDMI inputs, one component video input, one AV input with a choice of either composite or S-Video, and one RF input.

One set of analog audio outputs, and one digital optical audio output for routing sound to an external AV receiver are also on tap. Side panel inputs include one HDMI, and one set of AV inputs with composite video only, and an SD Card slot on the right side of the panel for viewing your digital photos. We'd like to see a headphone jack on the side as well, but no dice.

Performance

The Panasonic LC-32LX85 is one of the better performers at its size in the entry-level, 720p-resolution LCD category. Color accuracy and black level performance are its main strengths, while color decoding and standard-definition processing are not.

I didn't have to make too many adjustments during the user menu calibration to get the little TV looking its best. Since there are no custom color temperature controls in the user menu, I simply chose the best picture mode (Custom) and color temperature preset (Warm) and then tweaked the remainder of the basic picture controls.

Afterward I was pleasantly surprised at the accuracy of the grayscale; you can click here to access my full picture settings. For my comparison I looked at the Panasonic alongside the Sony KDL-32M4000, the Westinghouse VK-40F580D and the Vizio VP322, two LCDs and a 32-inch plasma respectively.

Black level: Blacks are reasonably good for an inexpensive LCD flat-panel TV, and deeper than either the Sony or the Vizio, although not quite as deep as the Westinghouse. The Panasonic also delivers the blacker-than-black video signals that many more expensive displays cannot, which helps lead to improved shadow detail.

Chapter two of "X-Men: The Last Stand" showed off the LC-32LX85's compelling blacks very nicely. This high-contrast scene takes place at night, with bright explosions going off to provide a good look at an HDTV's shadow detail capability. There was plenty of fine detail in the background dark areas of the picture. The black areas of the picture were deep, rich, and inky, and the scene was relatively free of low-level noise.

Color accuracy: As you can see from the Geek Box, grayscale tracking in the Warm color temperature preset was impressive, and the primary colors of red, green, and blue also measured reasonably close to the HDTV standard, which is unusual even in some expensive flat-panel displays.

Color decoding does push red a bit though, so we had to desaturate the color somewhat and remove some of the picture's punch. Colors still appeared vibrant, however, and skin tones looked quite natural. Chapter four of the awesome transfer of "I, Robot" proved an excellent scene to show off the Panasonic's contrast ratio--good blacks and whites creating a snappy picture--as well as its accurate color reproduction.

Video processing: Unlike most modern HDTVs the LC-32LX85 doesn't accept 1080p sources, so my evaluation had to be with all HD sources set to 1080i. The set lacks an aspect ratio that provides for zero overscan, which would be a bigger issue if it were a 1080p resolution panel, but really isn't a big deal the panel has only a 720p resolution. The video processing does roll off the high-frequency video somewhat, a common flaw with many flat-panel sets on the market today.

Uniformity: White-field uniformity was reasonably good on this panel, and that is saying something for an LCD. As you may know LCD display technologies, whether flat panel or projection, suffer from poor white-field uniformity. As a result you may see red and blue splotches in scenes that are primarily white like the ice in a hockey game or a movie like "Ice Age." This Panasonic, while not perfect, was better than most in this performance test.

Standard-definition: The Panasonic is a mediocre performer with standard-def material. It didn't resolve every line of horizontal resolution according to the charts on the HQV disc, and as a result some images appeared a bit softer than normal.

It did a below-average job of smoothing out jaggies on rotating diagonal lines, and there were a good number of such artifacts in a waving American flag. The set's noise reduction, on the other hand, was very good at cleaning up moving motes in low-quality images of skies and sunsets, and the set engaged 2:3 pull-down detection quickly and effectively.

PC: Absent a VGA-style PC input I attempted to test the Panasonic's capability to handle digital signals from a PC via its HDMI jack. The best resolution the video card allowed was 1,280x768, which is short of the set's native resolution, and there was enough overscan that important areas of the screen, including the Windows taskbar, were obscured. People who want a PC display should probably choose another set.

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

As a 32-inch LCD TV, the Panasonic TC-32LX85 is a good overall performer

@highlight

It's one of the better models at its size in the entry-level, 720p-resolution  category

@highlight

Model delivers surprisingly impressive HD picture quality for a small-screen LCD

@highlight

But standard-def images look softer than normal