Washington (CNN) -- President Barack Obama warned Tuesday of "difficult days ahead" for Egypt and said the transition following President Hosni Mubarak's earlier announcement that he won't run for re-election in September must begin immediately.

In a brief statement to reporters at the White House, Obama pledged continuing U.S. support for both a longtime ally and the aspirations of protesting Egyptians, whose eight days of growing demonstrations led to Mubarak's dramatic announcement on state television.

"We've borne witness to the beginning of a new chapter in the history of a great country and a long-time partner of the United States," Obama said of the Mubarak statement less than three hours earlier.

Noting that he and Mubarak had just spoken by phone, Obama said Mubarak "recognizes that the status quo is not sustainable and a change must take place." Repeating earlier calls for an orderly transition in Egypt from Mubarak's nearly three decades of repressive rule to a fully representative democracy, Obama said the transition "must be meaningful, it must be peaceful and it must begin now."

"Furthermore, the process must include a broad spectrum of Egyptian voices and opposition parties," Obama said. "It should lead to elections that are free and fair. And it should result in a government that's not only grounded in democratic principles but is also responsive to the aspirations of the Egyptian people."

Earlier, sources told CNN that a U.S. envoy sent by Obama urged Mubarak to announce he won't run for re-election later this year, a major shift in foreign policy regarding the main Arab ally of the United States and a vital partner in the Middle East peace process because of its 1978 treaty with Israel.

According to the sources, who spoke on condition of not being identified by name, former U.S. Ambassador to Egypt Frank Wisner conveyed the message to Mubarak in Egypt. It was unclear if the meeting was Monday or Tuesday.

Until now, the street demonstrations in Egypt demanding Mubarak's ouster had drawn a measured U.S. response that advocated step-by-step reforms for pro-democracy changes while maintaining stability.

This week, though, calls increased for the Obama administration to push for Mubarak to step aside immediately or announce he would not be a candidate in the next presidential election scheduled for September.

One of Egypt's leading opposition figures, Mohamed ElBaradei, warned Monday that the United States needed to "let go" of its longtime ally.

"You shouldn't be behind the curve, and you need to start building confidence with the people and not with the people who are smothering the people," ElBaradei, the former head of the International Atomic Energy Agency, told CNN's "Anderson Cooper 360."

The unrest in Egypt presented Obama with a complex issue that lacked easy answers.

Egypt -- the main Arab ally of the United States -- is inexorably linked to neighboring Israel -- the main U.S. ally in the Middle East -- by a peace treaty that guarantees more than $1 billion a year in U.S. military aid to Mubarak's government.

Egypt also provides vital logistical and intelligence assistance to the United States, which has urged Mubarak for years to implement democratic reforms but always put the strategic benefits first.

Daniel Kurtzer, the U.S. ambassador to Egypt from 1997 to 2001, said the administration wants to both support "an exceedingly strong ally" and promote democratic reform and more openness in "a closed authoritarian society."

"The United States is trying to find comfortable ground in which we can argue for both without abandoning an ally and without abandoning our principles," Kurtzer told CNN on Monday.

Egypt's turmoil follows years of social, political and economic grievances that fueled the street protests that began last week and have since escalated. After ruling with an iron fist for three decades, Mubarak had given no indication of giving up power before his statement Tuesday night.

However, ElBaradei and other opposition figures immediately condemned Mubarak's announcement as insufficient, saying the president needed to step aside immediately for a caretaker government of national unity to lead Egypt until new presidential and parliamentary elections can be held.

Obama's statement avoided addressing the opposition demands, instead promising the demonstrators -- particularly young Egyptians looking to the United States for support and leadership -- that America supported their aspirations.

"We hear your voices," Obama said. "I have an unyielding belief that you will determine your own destiny and seize the promise of a better future for your children and your grandchildren. And I say that as someone who is committed to a partnership between the United States and Egypt.

"There will be difficult days ahead," Obama continued. "Many questions about Egypt's future remain unanswered, but I am confident that the people of Egypt will find those answers."

In the past week, demonstrators in Egypt have questioned why Obama, who championed human rights and democracy in a 2009 speech in Cairo, wasn't condemning Mubarak and applying pressure to help bring the changes they seek.

ElBaradei, who returned to his native Egypt last week as an opposition figure last week, said Egyptians need to see that the United States is supporting their aspirations.

"People need to see that you not only talk the talk, but walk the walk, and people need to understand and believe that you really, seriously take democracy, rule of law, freedoms seriously," ElBaradei said Sunday. Asking "a dictator" to implement democratic reforms "is an oxymoron, frankly."

On Monday, White House Press Secretary Robert Gibbs said Egypt's government should engage in "meaningful negotiations with a broad section of civil society, including opposition groups," and hold "free and fair elections" in September.

The transition called for by the United States "means change, and what we've advocated from the very beginning is that the way Egypt looks and operates must change," Gibbs told reporters.

At the same time, he said it is not the place of the United States to support or oppose the possible ouster of Mubarak.

Some U.S. politicians disagreed. One of the U.S. Senate's most influential foreign policy voices, Democrat John Kerry of Massachusetts, called Tuesday for Mubarak to step down, reflecting the rapidly changing consensus among top Washington policymakers.

Kerry, the chairman of the Senate Foreign Relations Committee and the 2004 Democratic presidential nominee, also said Mubarak's son, Gamal, should not take the reins of power in Cairo.

The U.S. government needs to start paying closer attention to the "genuine political, legal and economic needs" of people in the Middle East, as opposed to consistently supporting friendly governments regardless of their domestic politics, Kerry said in an op-ed commentary published by the New York Times.

"For three decades, the United States pursued a Mubarak policy," he wrote. "Now we must look beyond the Mubarak era and devise an Egyptian policy."

To Marina Ottaway, director of the Middle East program at the Carnegie Endowment for International Peace, the unrest in Egypt showed that the U.S. policy of backing Mubarak despite his poor record on political and human rights has failed to bring desired stability.

Instead of what she labeled "subtle" language such as endorsing an orderly transition, the United States should call for a government of national unity to take over until fully democratic elections for both the presidency and the parliament, Ottaway told CNN on Monday.

CNN's John King, Elise Labott and Tom Cohen contributed to this story

@highlight

NEW: President Obama spoke to Egypt's president on Tuesday

@highlight

NEW: Obama warns of difficult days ahead for Egypt and pledges continued partnership

@highlight

Mubarak announces he won't run for re-election

@highlight

An envoy for Obama urged Mubarak to drop his re-election plans