A series of errors by pilots and a failure to react effectively to technical problems led to the crash of Air France Flight 447, France's Bureau of Investigation and Analysis said Thursday in its final report on the disaster.

The Brazil-to-France flight plunged into the Atlantic Ocean on June 1, 2009, killing all 228 people on board.

The report details how the pilots failed to respond effectively to problems with the plane's speed sensors or to correct its trajectory when things first started to go wrong.

When ice crystals blocked the plane's pitot tubes, which are part of a system used to determine air speed, the autopilot disconnected and the pilots did not know how to react to what was happening, the report said.

"The occurrence of the failure in the context of flight in cruise completely surprised the crew of flight AF 447," the report said.

The crew responded by over-handling the aircraft, which destabilized its flight path and caused further confusing readings, the report said.

"In the first minute after the autopilot disconnection, the failure of the attempt to understand the situation and the disruption of crew cooperation had a multiplying effect, inducing total loss of cognitive control of the situation."

The Airbus A330 went into a sustained stall, signaled by a warning message and strong buffeting of the aircraft, the report said.

"Despite these persistent symptoms, the crew never understood they were in a stall situation and therefore never undertook any recovery maneuvers."

The pilots responded to the situation by pointing the nose upward, rather than downward, to recover.

The report makes 25 new safety recommendations, on top of a number made in an initial report last year.

Some of the recommendations have already been implemented, but it could take years for others fully to come into effect, chief investigator Alain Bouillard told reporters as he introduced the report.

Opinion: Why do planes still crash?

The international aeronautic community will likely focus on the crew's loss of awareness of what was going on, Bouillard said.

The use of automatic systems on planes has improved safety overall, he explained, but "when it comes down to it, safety will always be based on the capacity of the pilots and the signals which they are given, which they have to understand and react to."

It was an "exceptional" inquiry because of the scale of the disaster, the number of countries involved and the difficulty of locating the plane's data recorders, he said. The intense media coverage of the crash added to the pressure, Bouillard said.

It's a crash that never should have happened, said CNN's aviation specialist Richard Quest. The industry will be studying the human factors of the crew on the plane for many years to come.

The Bureau of Investigation and Analysis said its report does not examine the issue of responsibility for the crash, which is the subject of a separate judicial inquiry.

History's deadliest plane crashes

The icing-up of the pitot tubes was "a phenomenon that was known but misunderstood by the aviation community at the time of the accident," the report pointed out.

Pilots should be trained on how to handle this event and a high-altitude stall with better technical instruction and flight simulator programs, the report said.

Airplane ergonomics should also be improved, it said, "to provide guidance to crews to help them recognize and manage unusual situations."

International communications systems should also be reviewed to ensure swifter response and recovery efforts after accidents at sea, the report said.

It took four searches over the course of nearly two years to locate the bulk of Flight 447's wreckage and the majority of the bodies in a mountain range deep under the ocean.

The aircraft's voice recorder and flight data recorder were recovered from the ocean floor in May 2011 after an extensive search using miniature submersible vehicles.

The Bureau of Investigation and Analysis said the data indicated that Flight 447 crashed because the aircraft's speed sensors gave invalid readings.

Who's really flying the plane?

Last year's report from the bureau said the airplane climbed to 38,000 feet when "the stall warning was triggered and the airplane stalled." It then descended, crashing into the Atlantic. The descent lasted three minutes and 30 seconds, and the engines remained operational, the report said.

Studies of the debris and bodies found soon after the crash led the French agency to conclude the plane hit the water belly first, essentially intact. Oxygen masks were not deployed, indicating that the cabin did not depressurize, the bureau said in a 2009 report.

Flight 447 was passing through an area prone to volatile and dangerous weather known as the Inter-tropical Convergence Zone when it went down. The zone is a belt of low pressure that wraps around the planet. Clouds and storms form along it because it is literally where the winds of the world's hemispheres meet.

Pilot: 'Damn it, we're going to crash'

A previous report  from the French agency also raised questions about the training of the pilots on the flight.

The recorders revealed the pilots had failed to discuss repeated stall warnings and "had received no high altitude training" to deal with the situation, the bureau said.

They failed to regain control of the aircraft, and no announcement was made to the passengers, of 32 different nationalities, before it plummeted from the sky.

How did you react to the report? Sound off on CNN iReport.

@highlight

Investigators make 25 new safety recommendations in their final report

@highlight

The pilots' failure to react effectively to technical problems led to the crash, the report says

@highlight

Air France Flight 447 crashed in 2009 en route from Brazil to France

@highlight

The flight recorder was recovered last year from the bottom of the Atlantic Ocean