(CNN)Among the casualties of conflict in Crimea, the travails of a Scottish whiskey distiller have barely registered.

"The sanctions are having an effect now," says Jimmy Robertson, who leads Angus Dundee in Russia, until recently one of the single-malt specialist's best markets.

"Customers are having to negotiate with banks, some of which have been targeted...Everyone is watching the ruble on a daily basis to decide when to place orders."

"The Russians are coming to us asking if we can help at this difficult time, asking if we can reduce prices or extend credit. We are trying to be as flexible as we can," he said.

Pressure to retreat

Angus Dundee's commitment to Russia is in stark contrast to that of many western businesses in the wake of crisis in Ukraine, and the resurrection of Cold War-era tensions.

The imposition of sanctions by the U.S. and the EU, which includes a ban on transactions with many individuals and companies, and Russian counter-sanctions hitting foreign imports, have placed great strain on international businesses caught in the crossfire.

Giants in fields from energy to banking and car manufacturing such as Exxon, JP Morgan and BMW are reducing their presence, while major deals such as BASF's partnership with Gazprom have been put on ice. Their flight has been spurred by falling oil prices that have wiped half the value from the ruble inside a year.

Companies fear the consequences of non-compliance with the western sanction regime, which is both complex and ever-changing, placing greater risk on trading with the sanctioned country.

"It is an extra layer of care that companies must take," says Trevor Barton, head of the Russo-British Chamber of Commerce (RBCC). "They have to employ risk analysts to study legislation -- and there is a lot of it from the EU, U.S., and Russia -- and check that operations are not in breach."

Taking advantage

But Barton and the RBCC are keen to emphasize that the Cold War has not returned, that business between Russia and the West remains possible at this time, even advantageous.

"Before this, Russia was the UK's fastest growing export market, due to the size of the market and the desire of a growing middle class with rising disposable incomes to buy Western goods," he said.

"We work with the UK government and the Russian Embassy to ensure people are aware of the possibilities...Sanctions have impacted certain sectors but not all; consumer goods, services, legal advice, construction -- much of what is needed for World Cup 2018 could come from Britain."

Barton sees the current tension as temporary, partly due to the value of Russia as an export market while the Eurozone remains stagnant. Such a thaw would reward companies that have withstood the pressure and remained, he predicts, as loyalty is highly prized in Russian business culture.

The Washington think tank "USA Engage" has a more ambitious vision: to challenge the concept of trade sanctions that it believes hurt American businesses more than foreign political leaders.

"The U.S. has been the most aggressive country for sanctioning. Since Clinton it has been almost the only tool of diplomacy with an offending country," says CEO Richard Sewaya. "The consequences fall on U.S. companies, in terms of cost of compliance, lost sales, and an altered strategic environment."

USA Engage and the coalition of businesses it represents is lobbying policymakers to make sanctions hit individuals rather than companies, and in turn their U.S. trading partners. It extends this principle even to avowedly hostile regimes, such as Venezuela and Iran, on the basis that relations between businesses would not endorse political leaders. Sewaya claims there is increasing sympathy among officials for a paradigm shift.

Opportunities in Iran

Iran, subject to the harshest international sanctions that have seen British banks fined billions of dollars, could also offer lucrative opportunities for foreign investors.

"Iran potentially offers a large and underpenetrated market for foreign business," says Toby Iles, of the Economist intelligence Unit. "If sanctions are lifted under a long-term deal, Iran could become a strategic priority for many businesses."

The opportunities are rich and diverse in an economy worth around $500 billion, Iles believes: "Early interest is coming from automotive companies, suppliers of aircraft and industrial parts, and general retail and consumer goods as well as healthcare and pharmaceutical firms, with many companies drawing up business plans for how they can distribute their goods into the market."

"Peugeot and Renault have led car-manufacturers, given their past experience co-operating with the Iranian producers, Khodro and Saipa, and would like to take Iran's annual vehicle production back from around 740,000 in the 2013/14 Iranian year to the peak of 1.6 million reached in 2011."

Ahead of the anticipated thaw, companies are already finding opportunities to position themselves in the new market, despite the continuing sensitivity over nuclear talks.

Seeking trade with a perceived adversary may be a high wire act, but in due course there are likely to be rewards for those who hold their nerve.

@highlight

Western companies are fleeing Russia - but could reap rewards from holding their ground

@highlight

Reduced competition in a lucrative market could offset the risks

@highlight

Iran could soon become a "strategic priority for business"