Beirut, Lebanon (CNN) -- Syria needs lots of things right now. One of them is George Clooney.

Let me explain. As the Geneva II talks this week made clear, there is no end in sight for the bloody three-year war in Syria. In the meantime, more than 100,000 people have been killed, the country is destroyed, and millions of Syrians have fled their homes, half of them children.

This is the defining war and humanitarian crisis of this decade, which was underscored by my visit to Syrian refugees here this week.

And yet there is no outcry from the broader rich-country public to end the suffering there.

To the extent that the media cover Syria, it is a diplomatic and political story. My media contacts say they need a "fresh angle" on the humanitarian aspect of Syria in order to get it covered.

My friends on Capitol Hill say they're hearing nothing about Syria from their constituents, after a surge of opposition to the idea of punitive airstrikes this summer.

My fellow fundraisers share my frustration that we can't get much traction with donors around Syria.

Contrast that to a major natural disaster like the recent typhoon in the Philippines.

When a catastrophic, photogenic act of God kills thousands of people and makes millions more homeless in an instant, news crews get mobilized, benefit concerts get arranged, the public gets generous, and the needs on the ground get met.

But what if the killer is a complex, drawn-out, difficult-to-cover war with no clear good guys and bad guys, as it is in Syria? Well, those people need George Clooney.

Here's one example of why: Mercy Corps, the global humanitarian organization I work for, raised more charitable dollars for the Philippines in three days -- about $1.5 million -- than we have raised for Syria in almost three years.

Tragic as the typhoon was, the Philippines is on a road to rehabilitation. Syria, on the other hand, is slowly bleeding to death.

'Courage and magnetism'

We need a telethon. We need vigils. We need letters to members of Congress. Of course that kind of activism alone isn't going to end the war and get Syrians everything they need, but it is a great place to start.

That's where someone like George Clooney comes in.

Clooney is a rare public figure with the credibility, courage, and magnetism to take an urgent, complicated issue and make it matter to Americans.

To be clear, I am suggesting that Syria needs George Clooney more figuratively than literally. The authentic involvement of cultural icons helps form a movement, and that makes Syria more than some distant quagmire.

Some shared sense of urgency and ownership is critical to breaking the horrific stasis of the situation in and around Syria, a situation that is perpetuated in part by the rich-world public generally sitting Syria out.

Sometimes when I have this conversation with someone, they'll ask why people should get engaged on issues overseas when there are so many problems at home in the United States. It's an important point, but keep in mind that of all the charitable donations Americans made in 2012, only 6% went to international causes.

Aid workers are often dismissive of entertainers who get involved in their causes, and there are plenty of cases of unhelpful dabbling.

But look at George Clooney and Don Cheadle on Darfur. Angelina Jolie on refugees. Ben Affleck on Congo. Bono on just about everything.

These celebrities, when working in partnership with policymakers, companies, philanthropists, and aid groups on the ground, can become the hugely powerful advocates that desperate people need.

Like the people I met this week at the Ouzaii Collective Center in southern Lebanon. These 153 families fled Syria with little and are living packed together in an unfinished office building.

Cinder blocks. Exposed rebar. Dodgy wiring. Limited water and sanitation. No glass in the windows. No school, no privacy, and no end in sight.

They are totally dependent on the generosity of others, and yet neither charitable nor government funds are sufficient to meet their needs right now.

Right now, the people of Syria need powerful friends to speak up, and George Clooney - so often the hero, on-screen and off - could call together the voices of support that these people so deserve.

The views expressed in this commentary are solely those of Jeremy Barnicle.

@highlight

There is no-end in sight for Syria's bloody war, writes Mercy Corps' Jeremy Barnicle

@highlight

And yet there is no outcry from richer countries to end suffering there, he says

@highlight

Mercy Corps raised more for Typhoon Haiyan victims in three days than Syria in three years

@highlight

Barnicle says celebrities like Clooney can be powerful advocates for people in need