Talks with Iran over its nuclear program resume Thursday. Make no mistake: The deal the Obama administration is pursuing with Iran over its nuclear program is a good deal. It will leave Iran with neither a nuclear weapon nor an undetectable breakout capability. And by ensuring that the deal also is a win for Iran, Tehran won't have incentives to cheat and violate the agreement.

Based on conversations with diplomats on both sides of the table, I believe it is a durable deal that enhances America's security and nonproliferation goals while making Iran much less hostile and U.S. allies in the region much more safe.

And make no mistake about the flip side: The alternative to this deal -- the continuation of the sanctions path -- will see Iran continue to inch toward a nuclear weapons option while the U.S. and Iran gravitate toward a disastrous military confrontation.

It's either a deal or another war in the Middle East. Those are the stakes.

It is true that Iran is eager to get a deal. President Hassan Rouhani will likely lose the popular support he enjoys unless he can find a fix to Iran's economic troubles. The best way of achieving that goal is to reduce Iran's tensions with the U.S. and get sanctions lifted by showing flexibility on the nuclear issue.

But it is also true that Washington needs a deal.

Iran's nuclear program has steadily advanced over the years. As the West has escalated sanctions to gain leverage, the Iranians have escalated their nuclear program for the same reason.

In 2005, the Iranians offered to cap their enrichment program at 3,000 centrifuges.  The West nixed that offer. By the time the George W. Bush administration left office, the Iranians had around 7,221 centrifuges. Today, they have more than 19,000 centrifuges. Their stockpile of low enriched uranium has reached more than 10,000 kilograms. It was around 1,000 kilograms when Barack Obama took office.

The end result is that the Iranians have added a lot of new facts on the ground, making a complete roll back a near impossibility. The nuclear deal that could have been secured years ago is likely more attractive than any deal Washington can strike a year from now.

In addition, Washington's current negotiation cards may soon expire.

The sanctions regime and the international consensus to isolate Tehran might quickly disintegrate if talks fail and the blame falls on Washington (read Congress). In fact, the Iranians are counting on this.

The more forthcoming, flexible and reasonable they come across on the nuclear issue in their current charm offensive and the more the U.S. Congress puts its hawkishness and dysfunctionality on public display, the easier they can shift the blame for the impasse onto the United States and the more successful they will be in peeling countries off from the sanctions regime.

This is exactly how Obama succeeded in securing this unlikely sanctions program in the first place: His extended hand of friendship in 2009 and Tehran's inability to unclench its fist shifted the blame squarely to the rulers of Iran. As a result, sanctions that the Bush administration did not even dare to dream of became reality only 18 months into Obama's presidency.

The Iranians have now set the stage to return the favor if Congress fails to be serious about a deal.

Those in Congress worried that even the offer of modest sanctions relief in the talks will cause the collapse of the current sanctions infrastructure must consider how quickly sanctions can fall apart if there isn't a deal. In the former case, Washington will extract valuable concessions from Iran in return for the lifting of sanctions. In the latter case, Washington will lose the sanctions without getting anything from the Iranians.

And the moment the sanctions regime begins to fall apart while Tehran continues to expand its nuclear program, the calls for military action will rise once more.

That would be the cost of Congress overplaying its hand.

No wonder U.S. lead negotiator Wendy Sherman told CNN after the last round of talks that "we have to do everything we can to reach a diplomatic solution." She continued: "There are other options, but a diplomatic solution is the best option, and we all have to do everything we can as quickly as we can to see if in fact we can achieve just that."

The American people sent an unmistakable message to Congress against war with Syria. On Iran, the American public needs to make its voice heard on Capitol Hill once more in order to avoid a war that would be far more devastating than Syria, Iraq and Afghanistan combined.

Fortunately, diplomacy is not only the best available option, the deal Obama is pursuing is also a very good option.

Join us Facebook/CNNOpinion.

@highlight

Trita Parsi: Talks with Iran restarting and a good compromise is possible

@highlight

Deal helps U.S. security and nonproliferation goals and makes Iran less hostile, Parsi says

@highlight

Parsi: Past has been a cycle of increasing sanctions met with escalating nuclear program

@highlight

He says it's a deal or war, one that would be worse than Syria, Iraq, Afghanistan combined