WASHINGTON (CNN) -- Federal agents found much of the information produced by the Bush administration's top-secret warrantless surveillance program vague and difficult to use, a sweeping review of the program found.

Former President Bush claims his administration's surveillance program helped to ward off terrorist attacks.

Then-President George Bush and other top administration officials have said the program was a critical tool in preventing terrorist attacks. However, a report Friday by the inspectors general of the CIA, the Justice Department, the Pentagon and other agencies found that some FBI and CIA agents were frustrated by the secrecy surrounding the program.

Former CIA chiefs Michael Hayden and Porter Goss told investigators the wiretaps filled a gap in U.S. intelligence. One senior official quoted in the report called the wiretaps, dubbed the "President's Surveillance Program" by the report, "a key resource," while the FBI considered it "one tool of many" in their efforts to head off terrorist plots, the report states.

"Even though most PSP leads were determined not to have any connection to terrorism, many of the FBI witnesses believed the mere possibility of the leads producing useful information made investigating the leads worthwhile," the report states.

The program was hugely controversial when Bush acknowledged its existence in 2005. Critics said the program violated the Foreign Intelligence Surveillance Act, a 1978 law passed to rein in the wiretapping abuses of the Watergate era.

Bush's approval allowed the National Security Agency to intercept communications between people in the United States and overseas who were suspected of having ties to terrorists without getting a court order. He and other officials said the program "prevented attacks and saved lives," as Vice President Dick Cheney put it in a May speech critical of their successors in the Obama administration.

But Friday's report found that the intelligence gathered was only a small part of counterterrorism work, and most intelligence officials interviewed for the report had trouble "citing specific instances where PSP reporting had directly contributed to counterterrorism successes."

In addition, the CIA "did not implement procedures to assess the usefulness of the product of the PSP, and did not routinely document whether particular PSP reporting had contributed to successful counterterrorism operations," the report states.

At another point, it noted that some FBI agents "criticized the PSP-derived information they received for providing insufficient details, and the agents who managed counterterrorism programs at the FBI field offices the DOJ IG visited said the FBI's process for disseminating PSP-derived information failed to adequately prioritize the information for investigation.

Meanwhile, CIA officers were unable to make "full use" of the data because too few people had been briefed on the closely held program.

"According to one CIA manager, the tight control over access to the PSP prevented some officers who could have made effective use of the program reporting from being read in," the report states.

The report also confirmed that the PSP was not limited to the electronic intercepts, referring repeatedly to "other intelligence activities" that remain classified.

The report concluded the program was built on a "factually flawed" legal analysis inappropriately provided by a single Justice Department official, John Yoo, in 2001. Yoo did not immediately respond to a CNN request for comment, and he was not interviewed for the report.

A 2004 review by the Justice Department triggered a dramatic confrontation in 2004 between White House and Justice officials who concluded the program would not pass legal muster. Former Deputy Attorney General James Comey, who took part in that face-off, told investigators that the program's original authorization "involved ignoring an act of Congress, and doing so without full congressional notification."

That line drew the ire of House Speaker Nancy Pelosi, who issued a statement Friday declaring that "no president should be able to operate outside the law."

"The House Judiciary and Intelligence Committees will closely examine the findings and recommendations of the classified and unclassified reports, and will conduct appropriate oversight of electronic surveillance activities," the California Democrat said.

Sen. Russ Feingold, a Wisconsin Democrat who sits on the Senate Intelligence Committee, said the report "highlights just how outrageous and damaging the illegal warrantless wiretapping program really was."

"This report leaves no doubt that the warrantless wiretapping program was blatantly illegal and an unconstitutional assertion of executive power," Feingold said. "I once again call on the Obama administration and its Justice Department to withdraw the flawed legal memoranda that justified the program and that remain in effect today."

@highlight

Audit: Info from Bush's surveillance program found to be vague

@highlight

Program allowed for top-secret, warrantless wiretaps

@highlight

Bush, other former administration officials have touted program's success

@highlight

Review concluded program was built on "factually flawed" legal analysis