President Barack Obama tried to shame the nation and Congress into action against gun violence Thursday, saying it is time to pass new laws after the tears and grief of tragedies like the Newtown massacre in December that killed 20 first-graders.

"We need everybody to remember how we felt 100 days ago and make sure that what we said at that time wasn't just a bunch of platitudes, that we meant it," Obama said at a White House event on a national day of action by supporters of tougher gun laws.

His voice both somber and angry, Obama told the audience, which included family members of Newtown victims, that "we've cried enough" and it is time now for Americans to pressure their elected leaders to pass a package of laws proposed by Senate Democrats.

The proposals, all recommended by the president in the aftermath of the killings at an elementary school in Connecticut, include expanded background checks, tougher laws against gun trafficking and straw purchases, and improving safety at schools.

Fierce opposition led by the influential National Rifle Association and conservative politicians has made passage of the measures uncertain.

In addition, polls conducted over the past few weeks suggest that more than three months after the Newtown killings, public backing for major new gun laws has dropped.

Obama noted the political challenge as well as the poll numbers.

"There are some powerful voices on the other side who are interested in running out the clock, or changing the subject," the president said, adding that "their assumption is that people will just forget about it."

If that happens, Obama said, then "shame on us if we've forgotten."

In trying to rally further public outcry, he declared that "nothing is more powerful than millions of voices calling for change."

Along with the White House event, the national day of action included rallies and other gatherings in cities across the country by supporters of new gun legislation.

"There are 80 million moms in this country," said Shannon Watts, founder of Moms Demand Action for Gun Sense in America, after the White House event. "This is a non-partisan issue. It doesn't matter if you're a Republican or if you're a Democrat.  We need to come together under one umbrella and say 'enough.'"

In addition, a group called Mayors Against Illegal Guns launched a $12 million ad campaign targeting members of Congress in 10 states to act on the legislation backed by Obama and approved by the Senate Judiciary Committee on mostly partisan lines.

Another proposal passed by the committee -- a ban on semiautomatic firearms that are modeled after military assault rifles -- already appears doomed.

Senate Majority Leader Harry Reid dropped the ban -- proposed by Sen. Dianne Feinstein, D-California -- from the package going to the Senate floor because it lacked enough support to overcome a GOP filibuster. Reid said it can still be offered as an amendment to force a vote, as sought by Obama and Feinstein.

Newtown families featured in first political ad

Even if gun legislation passes the Democratic-led Senate, it has less chance of winning approval in the Republican-controlled House.

Obama rejected arguments by opponents of the legislation that the measures would strip Americans of their constitutional right to bear arms.

"What we're proposing is not radical. It's not taking away anyone's guns rights," the president said in warning legislators against getting "squishy because time has passed and maybe it's not on the news every day."

Instead, he said, it's time to demonstrate that the American character includes being "willing to follow through on what we say is important."

Obama and others pushing for tougher gun laws say the December attack by a lone gunman that killed 20 first-graders and six educators at Sandy Hook Elementary School in Newtown, Connecticut, showed the need for national action against gun violence.

They note the killer, 20-year-old Adam Lanza, used a semiautomatic rifle with 30-round capacity magazines, both of which  would be banned under Feinstein's proposal.

Opponents of tougher gun laws, led by the NRA, argue most gun violence involves pistols in urban areas, rather than the semiautomatic firearms targeted by Feinstein. Better enforcement of existing laws and posting armed security guards in schools would be more effective remedies, according to the NRA.

Watts, however told reporters her group of American moms rejects the NRA prescription for the country.

"We are not going to put our kids in schools with shields and send them to school in bulletproof backpacks and let the good guys shoot it out with the bad guys over our kids' heads," Watts said.

Police released new documents Thursday related to the Newtown shootings that say police found more than 1,600 rounds of ammunition in the home where Lanza killed his mother with one of her own guns, shooting her in the forehead as she lay in bed.

Lanza then went to the elementary school, shooting his way inside and opening fire on classrooms with a semiautomatic rifle before killing himself to end the rampage, which lasted less than five minutes, the documents showed.

Documents reveal new details about Sandy Hook shootings, but no motive

"This is exactly why we need to ban high-capacity magazines and why we need to tighten our assault weapons ban," Connecticut Gov. Dannel Malloy said Thursday. "I don't know what more we can need to know before we take decisive action to prevent gun violence."

After the Newtown shootings, some states -- including New York -- passed tougher gun laws.

While the fervor for stronger legislation was high in the immediate aftermath of the shootings, a CBS News survey released this week indicates a 10-point decrease in support of stricter gun laws, from 57% immediately after the Newtown shootings to 47% now.

That poll was in line with a CNN/ORC International survey released last week that indicated a 9-point drop in the percentage of Americans who favor major restrictions on guns or an outright ban on gun ownership, from 52% following the shootings to 43%.

Other polls have shown changes in the same downward direction.

"Opinion on gun control was fairly steady over the past few years, but seemed to spike after the Connecticut shootings," CNN Polling Director Keating Holland said. "The big question is whether support for major new gun laws has simply dropped back down to that previous level or whether the slide will continue even further."

Opinion: Did we learn nothing from Newtown?

He noted that the biggest drop came among two specific demographics -- older Americans and people who live in rural areas.

"In the immediate aftermath of the shootings in Connecticut, the number of rural Americans who supported major gun restrictions rose to 49% but now that support has dropped 22 points," Holland said. "Support for stricter gun laws dropped 16 points among Americans over 50 years old in that same time."

However, Obama noted that polls also show strong support across the spectrum, including among gun owners, for expanding background checks to prevent firearms from ending up in the hands of the mentally ill and criminals.

The CBS poll showed that 90% of respondents agreed, and the president noted that support, asking Thursday "how often do 90% of Americans agree on anything?"

He urged people to find out where their congressional representatives stand on the gun legislation, adding that if a legislator isn't "part of the 90%, ask why not."

Polls suggest Congress might have waited too long on gun control

@highlight

Shannon Watts, head of an American mothers' group, says the issue is non-partisan

@highlight

President Obama urges people to pressure elected leaders to pass new gun laws

@highlight

The Senate will take up a package of proposals, but passage is uncertain

@highlight

Polls show support for new gun laws is on the wane