(CNN) -- For as long as eight hours, the small girl hid, unnoticed, in a car with the bodies of two British women and a man shot dead in foothills of the Alps in eastern France.

Probably paralyzed by fear, the 4-year-old remained among the corpses as investigators waited for crime scene technicians to arrive so the car could be opened.

She is now under police protection, as is an older girl, thought to be 7 or 8 years old, who was found injured near the car. She suffered a fractured skull and an apparent bullet wound to the shoulder.

Prosecutor Eric Maillaud told reporters Thursday that investigators failed to notice the younger girl because she didn't move for hours as they waited for the forensic experts.

She was hidden under baggage and the legs of one of the dead women in the car's back seat. A thermal imaging camera failed to pick up her presence, Maillaud said.

The child was "probably terrorized, completely concealed, completely immobile amid the corpses," he said.

Authorities have not identified the three Britons found dead on Wednesday in the car near Lake Annecy, a popular tourist spot in the Haute-Savoie area of eastern France. A fourth victim, a French cyclist found shot in the head near the car, has been named as Sylvain Mollier.

British Prime Minister David Cameron said he and French President Francois Hollande discussed the "terrible killings of ... the British family" during a meeting Thursday in London. He promised British authorities will cooperate "very closely with the French authorities" to "help those poor children" and "get to the bottom of what happened in this clearly very tragic and awful case."

"Both a French and a British family have been impacted by this terrible event, and we will do our utmost to identify the perpetrators," added Hollande in a joint press conference after the two leaders' meeting.

Maillaud, the French prosecutor, has called the shootings an act of "extreme savagery" but has declined to speculate on a motive.

"The scene is dramatic, it's unusual -- it goes well beyond TV fiction," he said.

Multiple bullet casings had surrounded the BMW when authorities came upon it, with bullet holes peppering its windows but none in the body of the car, according to the prosecutor.

The driver and an older woman found dead in the car had been shot in the head, Maillaud said, "and it was obvious that (whoever) did this wanted to kill." Autopsies are scheduled Friday and should reveal how the other passenger, a younger woman, died.

The car was registered to a man with an Iraqi passport who was a naturalized British citizen and had lived in Britain since at least 2002, he said. The passport was used when the visitors checked in to the campsite where they were staying, Maillaud said, but police can't yet confirm whether it belonged to the man who was found dead in the car.

The man named in the passport was born in 1962, the French prosecutor said. A Swedish passport found by investigators may belong to the older woman, he added. The victims are believed to be British nationals but may have held dual citizenship.

Swedish Foreign Ministry spokeswoman Catarina Axelsson described "the French information about the Swedish national (as) reliable," adding that authorities there were awaiting a "final confirmation of the identity."

DNA tests are being carried out to formally identify the victims.

French and British news reports have identified one victim as Saad al-Hilli, an Iraqi-born engineer who lived in Claygate in Surrey, south of London, with his wife and two daughters.

While CNN couldn't independently confirm the identities of the victims, Surrey Police have said they are helping police in Annecy with their investigation into the killings, though they haven't given further details.

Officers from Surrey Police were stationed Thursday outside the house identified by neighbors as that of Saad al-Hilli.

Neighbor Jack Saltman, whose home backs onto the family's garden, said al-Hill and his wife had come from Iraq "many years" ago and both spoke "perfect English."

"They were a delightful family," Saltman said.

The neighbor said al-Hilli's wife, Iqbal, was a dentist and that the two daughters were "absolutely beautiful." He had been asked to keep an eye on the house while his neighbors were away in France, Saltman said.

An accountant for Saad al-Hilli, Julian Stedman, said the engineer had at least one business registered locally.

Maillaud said the two children, who are British, are being kept under police protection in case of possible threats to their safety.

"You can imagine in an inquiry all possible scenarios can be investigated, including that someone wanted to get rid of additional witnesses," he said.

The 4-year-old has only been able to tell police that she heard noise and screams and was afraid, he said.

The older girl, who has head injuries, was hit "extremely violently," he said. She has been placed in a medically induced coma and will have to undergo additional surgery, Maillaud said.

The British ambassador to France, Peter Ricketts, told reporters in Annecy, "I think it's our joint conviction that we have got to do everything possible to find the perpetrators of this terrible crime."

Asked about police's failure to find the 4-year-old girl sooner, he said French authorities were doing a professional job.

Maillaud recounted how the gruesome scene was discovered just before 4 p.m. Wednesday by another British man, a cyclist who was a Royal Air Force veteran with a holiday home in the area.

The British man, who had been passed a short while earlier by the French cyclist found dead at the scene, discovered the BMW, its engine still running, in a parking lot in a forest used by people going on short walks. It is not regarded as a dangerous area or a common site of drug deals, according to the prosecutor.

The injured girl was approaching the car and was about to pass out in front of the man, Maillaud said. He placed her in a safe position on the ground and called emergency services.

The man then discovered the cyclist who had passed him earlier, dead on the ground in a corner of the parking lot.

After walking round the car, the British man broke the driver's side window and saw three people inside it, all also dead.

Are you there? Share your story

The girl who was wounded in the shooting was taken to a hospital in Grenoble. There was only one child car seat in the vehicle, which led officials to believe she was the only child present, Maillaud said.

Authorities were alerted to the likely presence of a second child several hours later when they spoke to people at the campsite where the victims had been staying, Maillaud said.

When they searched the car again, by then late at night, they found the 4-year-old girl under the younger woman's legs.

After being checked over for injuries, she was taken to a children's psychiatric unit, where a nurse remained with her overnight, he said.

The girl, who was not physically harmed, will be questioned only with British consular officials present, Maillaud said.

"Her life is not in danger, but she has experienced something awful," he said.

Mollier, the French cyclist, had lived in the region for 20 years and was on paternity leave, BFM-TV reported.

Maillaud said the man's wife had gone to the police when he failed to return as expected from his bike ride. He was then identified as the slain cyclist.

The British Foreign Office said it was looking into the shooting.

"We are aware of this tragic incident near Lake Annecy. We are working with the French authorities to confirm that British nationals were involved," a Foreign Office spokesman said. "Thoughts are with the friends and family. There are currently consular officials on the ground and providing consular assistance."

More from CNN Justice:

Turkish woman awaits trial after beheading her alleged rapist

What happened to 'Baby Gabriel'? Trial may provide answers

Drew Peterson guilty of murder in ex-wife's death

CNN's Dan Rivers, Alexander Felton and Stephanie Halasz contributed to this report.

@highlight

NEW: Britain's prime minister laments the "terrible killings of ... the British family"

@highlight

Three of the four adults killed, one a cyclist, were shot in the head, a prosecutor says

@highlight

A girl suffered fractures to her skull and was shot in the shoulder, he adds

@highlight

A younger girl was found alive and unharmed in the car where three adults were killed