Havana, Cuba (CNN) -- Marina Ochoa keeps a handful of photos of her little brother in a faded yellow envelope.

She has a black-and-white snapshot of him as a baby and some color portraits of him as a successful banker in Miami, Florida.

And then there's one of him as a 7-year-old, about to be airlifted out of Cuba. That was the last time she ever saw him.

"I went to the airport to see him off," the Cuban filmmaker said at her Havana home.

Her brother Frank was one of 14,000 Cuban children quietly sent to the United States between 1960 and 1962, at the start of Fidel Castro's revolution.

Their parents were terrified the new government would strip them of parental authority and ship their kids off to work camps in what was then the Soviet Union, or send them into the countryside on literacy campaigns.

Those fears deepened when the state nationalized industries, confiscated private property and closed religious and private schools.

"Our parents thought they would soon join my brother or that this government wouldn't last," Ochoa said. "My father thought, 'Americans won't put up with this radical revolution.' "

Her parents wanted to send Ochoa, then 11, but she refused to go.

The clandestine program came to be known as Operation Peter Pan. It was backed by Washington and coordinated by the Catholic Church, which helped Cuban children get U.S. visas and once in America, find a family or go to foster homes or orphanages.

But things didn't play out as expected. To begin with, a CIA-backed invasion failed to topple Castro.

With the subsequent Cuban missile crisis, relations between Havana and Washington broke off completely, making travel and even communication almost impossible.

Many parents couldn't get U.S. visas, and others couldn't get permission to leave Cuba.

Latin pop star Willy Chirino and former U.S. Sen. Mel Martinez of Florida are perhaps the best-known of the "Peter Pan" kids.

The operation inspires mixed feelings. Many Cuban exiles argue that the airlift saved children who might have died trying to escape on rafts or grown up under a repressive regime.

Others say the clandestine program put many kids at unnecessary risk, with a few suffering abuse in foster homes and orphanages.

Silvia Wilhelm was airlifted out when she was just 14. She didn't come back to Cuba for more than 30 years but now visits frequently and promotes cultural and religious exchanges.

"I will always respect my parents' decision, because they made it at a juncture in time that was when their whole world was falling apart," she said.

Her parents managed to get coveted U.S. visas a year later and moved to Florida.

"I think at the end of the day we were pawns between political powers, two countries."

But it took years for other families to be reunited, and 20 percent of the children never saw their parents again.

Ochoa's brother Frank drifted from home to home, and his family eventually gave up trying to join him.

"He felt so alone that he wrote to my mother, filling pages with the same sentence: Come Mommy. Come Mommy," she said.

In 1993, Frank died. He was only in his 30s.

"When the bureaucratic hurdles started to ease, it was too late. My brother was already sick. My mother had already died without ever seeing him again," she said.

Ochoa started work on a documentary about the exodus a year later.

Politics still divide the countries, but many families touched by Operation Peter Pan have started to reach out to people and places they thought they had lost. Last year, President Obama lifted restrictions on allowing Cuban-Americans to visit relatives in Cuba and made it easier for them to send money to relatives.

@highlight

14,000 Cuban children sent to U.S. at start of Castro's revolution

@highlight

Mixed feelings remain about Operation Peter Pan

@highlight

Some families were never reunited

@highlight

Others have started to reach out again as restrictions are lifted