Tripoli, Libya (CNN) -- At least four explosions rocked the Libyan rebel-held town of Zintan on Sunday, as the foreign policy chief of the European Union arrived in the war-torn nation and a former U.S. congresswoman criticized American policy on Libyan state television.

Rebels in Zintan, in western Libya, said they believe the explosions were from Grad rockets. It was not immediately clear whether any damage or casualties resulted.

Meanwhile, Catherine Ashton, foreign policy chief for the European Union, arrived Sunday in the Libyan rebel stronghold of Benghazi, according to military sources in the opposition's National Transitional Council. Officials earlier said the European Union would open an office in Benghazi on Sunday.

"It will be an honor to meet the people who have been fighting for democracy and a better future for Libya," Ashton said in a statement released by the council. "I plan to meet key people from the National Transitional Council, civil society groups and our international partners, and will report back to EU foreign ministers on Monday.

"Opening an EU office is an important signal of our unfaltering support for the Libyan people," Ashton said. "It is the EU putting words into action."

Ashton told reporters she has met with council leaders, members of the media, young people and representatives from women's groups and human rights organizations.

"I come with three messages," she said. "The first is to echo again that (longtime Libyan leader Moammar) Gadhafi must leave, and we must have a future for Libya that belongs to the people of Libya and moves forward as they wish."

Secondly, by opening an EU office in Benghazi, "I bring the commitment of the EU 27 member-states and all of the institutions in support of the people of Benghazi and the people of Libya, for us to support you in the future that you wish to see for your country," she said. "And thirdly, to say that we don't just come for today, but that we're here for the long term -- that what the EU can offer is support as you build the country of the future, your institutions, your economy, your political life. We will be here to support you every step of the way."

NATO warplanes have been pounding military targets since March after the U.N. Security Council approved a resolution to protect civilians by any means necessary as Gadhafi's forces try to quash a nearly three-month revolt against Gadhafi's nearly 42 years of rule.

Asked whether the office's opening means the EU will encourage member-states to recognize the National Transitional Council as Libya's new government, Ashton told CNN's Sara Sidner the subject did not come up during talks, and that it remains up to individual member-states to recognize the new government or not.

Protecting civilians, she told reporters, is "fundamental. Too many people have died already."

"It will be very important," she told CNN, "to safeguard what all this is about, which is human rights and fundamental freedoms." Members of women's groups, she said, are anxious that women be fully represented in the process of building a new government.

Rebels on the front lines near Libya's border with Tunisia, where a narrow finger of land controlled by rebels has become a vital supply route for the opposition, talked with CNN's Nic Robertson on Saturday. The area is under continued shelling by Gadhafi's forces, who are trying to close the route.

"Today is going hard," said one rebel fighter. He said he has lost his brother and others in the fighting, adding that he doesn't worry about himself as being martyred is honorable. He showed his gun, held together by pieces of tape.

Late Saturday, former U.S. Rep. Cynthia McKinney decried U.S. policy on Libyan state television, saying the "last thing we need to do is spend money on death, destruction and war."

State television is fiercely loyal to Gadhafi, and McKinney's interview was spliced with footage of what appeared to be pro-Gadhafi rallies.

"I think that it's very important that people understand what is happening here," McKinney said in the interview. "And it's important that people all over the world see the truth. And that is why I am here ... to understand the truth."

She said she was invited to Libya by the "nongovernmental organization for fact-finding," adding that she intends to bring more people to the country soon so that "they too can understand."

Gadhafi's government has repeatedly urged the international community to send fact-finding teams to Libya to report what's happening on the ground.

At one point during the interview, state TV cut to what it said were live airstrikes, hitting Gadhafi's compound.

"Is that a bomb?" McKinney asked.

"I want to say categorically and very clearly that these policies of war ... are not what the people of the United States stand for and it's not what African-Americans stand for," she told state TV.

The former Georgia representative also slammed the economic policies of U.S. President Barack Obama and said the government of the United States no longer represents the interests of the American people.

"Under the economic policies of the Obama administration, those who have the least are losing the most. And those who have the most are getting even more," she said. "The situation in the United States is becoming more dire for average ordinary Americans and the last thing we need to do is to spend money on death, destruction and war."

Separately, McKinney appeared on state-run Press TV this week in Iran. She was reported to be in Tehran attending the International Conference on Global Alliance Against Terrorism for a Just Peace.

CNN's Amir Ahmed contributed to this report.

@highlight

NEW: EU's Catherine Ashton says Gadhafi must leave and pledges support for Libyans

@highlight

NEW: "We must have a future for Libya," she says

@highlight

The western Libyan town of Zintan is rocked by explosions

@highlight

A former congresswoman rips U.S. policy on Libyan state TV