(CNN) -- We all know this election is going to be about the economy. President Barack Obama knows it, Mitt Romney knows it and so do the media -- even though at times pundits pretend it's about much smaller and sillier topics.

The difference, as the president told the country last week, is that he is the only candidate in the race who truly understands that it's about a very specific part of our economy: the middle class.

Obama's plan is to grow the economy from the middle out, using common-sense measures that help small businesses, invest in clean-energy technology and train a new generation of skilled workers. Romney's plan is to return to the same failed, trickle-down policies -- but made worse by the tea party politics of slash-and-burn against government -- that threaten hardworking middle-class families.

Those are two very different visions. Where do they come from? Both candidates have looked at the same history but derive very different lessons.

Obama studied how the middle class was built -- sending students and veterans to school, developing a strong manufacturing base and making sure our laboratories of innovation are built on American soil and grit. That foundation created a great American middle class that became the envy of the world. In the Clinton-Gore years, private-sector businesses created 23 million new jobs. The president is determined to rebuild the foundation that led to such historic success.

Romney, on the other hand, has fixated on the failed ideas of the last decade. He endorsed eliminating the rules that protect our workers and keep corporations from gambling away our money.

He was all for giving the wealthy a permanent break on taxes -- and wants to increase the nation's debt by having us pay for more tax havens for the rich. Romney wants to return to policies that funneled wealth upward and pushed the middle class down -- and almost out.

Like the Obama campaign says about Romney's broken promises in Massachusetts: It didn't work then, and it won't work now.

You don't have to take my word for it. Independent economists have said Romney's warmed-over ideas would pull us back toward recession at the very time we need to keep pushing toward a full recovery.

Obama's correct reading of history is why he's made the decisions he has in his first term -- even when they were politically unpopular.

When the auto industry started to collapse and factories began shutting their doors, Obama knew that, as a country, we needed to rescue it. Now American car companies and American manufacturers are surging, opening new factories and hiring new workers. Romney has been forthright: He would have let the companies go into bankruptcy in a process experts said would have shuttered the factories and led the workers to lose their jobs.

Obama also found a housing market in which thousands of Americans were going into foreclosure. He fought to keep people in their homes despite being obstructed at every turn by Republicans in Congress who tried to make it impossible for struggling homeowners to refinance or renegotiate their mortgages. Romney, of course, has no plan to help underwater homeowners.

We've got a long way to go, but the president's policies have stopped the bleeding of jobs. Since June 2009, when the stimulus took effect, the private sector has been adding jobs -- and if not for Republican obstruction of recovery efforts, there would have been a dramatically greater increase in employment. And despite all his talk of business expertise, Romney ranked 47th out of 50 in job creation when he was governor of Massachusetts.

This is a choice between two courses of action, but it is also a choice between two different visions. Obama was buoyed up on a groundswell of small donors, young and old, rich and poor -- people who wished to see a country restored and an economy rebuilt.

Romney was chosen by the same class of the Republican elite who met in the early days of January 2009 and vowed to block Obama at every turn. While the president promised to make his top priority the success of the middle class, Republicans declared the president's failure their No. 1 objective.

Read Bobby Jindal's view: Obama's message of divide and blame

Obama has kept faith with the middle class and kept his focus on moving forward. He has pushed for a just budget and a fair tax code to relieve our deficit. He will encourage companies to bring their jobs and profits back to our shores, hire new workers, invest in research and technology, rebuild our roads and bridges, and invest in promising new sources of energy.

His vision is based on action, while Romney's is based on inaction: "Let Detroit go bankrupt," let foreclosures "hit the bottom," and wait, wait, wait for wealth to trickle down -- which it has never done and will never do for the middle class.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: President Barack Obama truly understands how to build up the middle class

@highlight

Brazile: Obama favors education, manufacturing, innovations to build middle class

@highlight

Brazile: Mitt Romney wants tax breaks for the rich as middle class waits for trickling down

@highlight

Brazile: Romney says let "Detroit go bankrupt," let foreclosures "hit bottom"