(CNN) -- Wisconsin state Sen. Glenn Grothman, who supports Gov. Scott Walker's repeal of a law that protected workers from pay discrimination, recently said, "You could argue that money is more important for men. I think a guy in their first job, maybe because they expect to be a breadwinner someday, may be a little more money-conscious."

As a graduating student surrounded by classmates about to assume their first jobs, I assure the senator that none of my female classmates is thinking, "Salary isn't that important to me. I don't plan to work hard and don't need to be paid fairly, because I won't be a breadwinner. A man will come along to take care of that for me."

Instead, many young women about to enter the workforce are focused on paying off their student loan debt. Those who are also mothers are worried about how to financially provide for, and simultaneously care for, their young children. The single moms among us face even larger challenges. And we are worried about our sisters who don't have college degrees and so don't have the same earning power.

What female students might not remember is that the men with whom we stand shoulder-to-shoulder at graduation don't face the same financial challenges. Many young women of my generation believe they live in a post-feminist world, without unfair sex discrimination -- a world in which career paths are designed with fathers and mothers in mind. Unfortunately, that world doesn't exist quite yet.

A significant gender pay gap still persists. That's why we cannot be passive as we acknowledge Equal Pay Day, which marks the day when a woman's earnings catch up to what her male peers earned in the previous year. To millennials, it's startling to see that women still earn just 77 cents to the dollar of what men earn. Women of color are hit especially hard: African-American and Hispanic women earn 70% and 61%, respectively, of what white men earn. Without any male income in their household, single women and lesbians may feel the pay gap effect all the more. This wage gap costs working women and their families more than $10,000 annually and jeopardizes women's retirement security.

This gap isn't just about women making different choices in their careers. Even after accounting for occupation, hours worked, education, age, race, ethnicity, marital status, number of children and more, a difference of 5% still persists in the earnings of male and female college graduates one year after graduation. After 10 years in the workplace, that gap more than doubles to 12%.

Today we are fortunate to have critical laws like the Lilly Ledbetter Fair Pay Restoration Act, which overturned a 2007 Supreme Court decision that made it harder for women -- and all employees -- to pursue federal claims of pay discrimination. Although this important law restored fairness for workers who want to use federal law to challenge cases of discriminatory pay, it only addresses one piece of the larger puzzle. More needs to be done.

Paycheck discrimination is not the only obstacle preventing women from having the same economic opportunities as men. As our country continues to focus on our economic recovery, leveling the financial playing field for women must be a priority. According to recent predictions, within a generation, more families will be supported by women than men. If these primary breadwinners earn lower incomes, it won't just affect their families, but also consumer spending and our larger financial growth.

For starters, we need to further close the pay gap by fulfilling the promise of equal pay for work of equal value. Entire employment sectors shouldn't be paid less because they're considered "women's work." Because so much of "women's work" is paid at minimum wage, one way to begin to address this is to pass the Rebuild America Act, which would gradually raise the federal minimum wage and index the tipped minimum wage to keep pace with inflation.

Women and families also need paid sick days and paid leave. The United States remains the only country in the developed world that does not mandate paid sick leave, despite the cost benefits to businesses, workers and our larger economy. According to the National Partnership for Women and Families, employers lose hundreds of billions of dollars in productivity when sick workers stay on the job, while workers who are forced to stay home without pay because of illness lose critical income. These costs of unpaid leave take a disproportionate toll on women, who are more likely to have care-giving responsibilities and be unable to take time off to care for family members when they fall ill.

Our generation can change this. We know what the problems are and we know what the solutions are, but we have to demand that our elected officials and business leaders take action. At the federal and state level, we have to fight efforts to repeal equal pay laws. We have to support increases in the minimum wage. And we have to demand that the United States join our global competitors in giving workers paid leave. All these issues affect our individual financial health and the strength of our collective economy.

On this Equal Pay Day, I hope all young women -- and men -- join this fight and prove that none of this is about "money being more important for men" or for women. It's about the kind of country we want to live in, work in and pursue our dreams in.

The opinions expressed in this commentary are solely those of Sandra Fluke.

@highlight

Sandra Fluke: Women care about wages as much as men do; they want to be paid fairly

@highlight

On Equal Pay Day, women still make 77 cents for every dollar that men make, she says

@highlight

Fluke: More families will be supported by women than men, making issue more crucial

@highlight

Fluke pushes equal pay for equal work, higher minimum wage, guaranteed sick days