(CNN) -- Nine of the 10 countries with the world's highest rates of child marriage are in Africa: Niger, Chad and Central African Republic, Guinea, Mozambique, Mali, Burkina Faso and South Sudan, and Malawi.

My country, Tanzania, did not make the list. But in traditional Maasai communities like mine, marrying off girls is very common.

I was married at 13 to a man in his 70s.

It happened during Christmas break. My father told my school that I had died. Even if he hadn't, I would have been forced to leave when I got pregnant because that was the law at the time.

I gave birth to my first child within a year. I had no professional prenatal care and no trained medical assistance during delivery. I had to depend on my husband and his other wives for guidance. It was a very painful experience. Every time I became pregnant after that I felt sick and scared. Because of all these difficult births I have a hard time controlling my bladder and it can be painful to urinate.

Today, I am a mother of five at 29 years old.

International Women's Day: Whose words inspire you?

In communities like mine, age is not understood as a number. Our traditional values dictate girls are meant for marriage, and when the men decide we are biologically ready, we are married.

Marriage is sometimes a way of forming and cementing relationships. But it is also a way of earning money.

My family received a bride price from my husband and then he took me away to become one of his wives. He beat me regularly, and so I fled back to my village. But my father and brother told me the price had been paid, this was no longer my home, I had to return.

It wasn't until six years ago that I was able to take charge of my own destiny.

I ran away to the city of Arusha and met Rebecca, a volunteer with the Young Women's Christian Association (YWCA). Through counseling, workshops and friendship, I gained more confidence in my own voice and learned to support myself.

When I returned to my village, I found an ally: one of our community leaders, named Abraham. In his own extended family girls were running away from forced marriages. He felt obliged to support them by giving them shelter and food. Quietly, he was encouraging them to go to school hoping it would be a way to get girls out of their situation.

When he learned about how I was able to find support from YWCA he was inspired. Knowing there would be places for girls to go outside their communities helped convince him they would be OK if they left their marriages.

But I love my family and my community, and I didn't want leaving to be the answer. So I set up a YWCA in my village and slowly, change is happening.

Some men and boys are not happy with what I'm doing. I have to be around others all the time to protect myself from harassment. I don't know if my own father would approve if he were still alive.

But many are recognizing that this is the way forward -- that girls have value beyond marriage. That we can earn money and contribute more to our communities when we stay in school.

Read also: School 'pays dowry' to save girls from marriage

My brother used to think I was wrong to leave my husband. But seeing how well I am doing selling traditional Maasai jewelry and clothing he is starting to respect my choice. He no longer beats me, but he still won't let me have access to any of my father's farms. Thankfully, I have supporters in my community who help give me other options to grow food for my children. I believe my relationship with my brother will get better with time. I am still working on it.

My mother is so proud. She used to fear my disobedience to my husband would reflect poorly on her and she would be cast out of the community. But now she sees I am welcome and respected and she is so happy to have me back in her life.

When attitudes begin to shift from within communities this way, then people start to have hope. And politicians gain more courage to act. Without support from community leaders, parliamentarians fear passing laws will cost them votes and they will lose power to make any difference at all.

Likewise, passing laws provides no guarantee girls will be protected unless they have community support: 158 countries have set the legal age for marriage at 18 years but the laws are simply ignored by communities where marrying children and adolescent girls is common practice.

In the fight against child marriage, the biggest battle is finding those who are ready for change and giving them the courage to speak to others.

Those of us who believe in the power of girls, who have seen what they can do when they have options, we need to tell everyone we can. We need to teach girls that it's OK to say no to marrying before they are ready, and that there are places they can go if they have to run away.

We need to talk to families about different ways their girls can contribute to their livelihoods, so that marriage is not seen as the only option.

We need to show community leaders examples of girls who have stayed in school, learned skills, and have helped develop their local economies.

We need to convince politicians that they should pass laws to protect and empower girls, and that the people will support them if they do.

And we need to share our success stories with the world. Because people need to know we are fighting for change and they can join us in their own countries and communities.

Change is possible when we believe in each other. I am living proof.

The opinions expressed in this commentary are solely those of Mereso Kilusu.

@highlight

Mereso Kilusu was a child bride. Now she campaigns against child marriage

@highlight

Changing attitudes in traditional communities is key, says Kilusu

@highlight

'We need to talk to families about how girls can contribute to their livelihoods,' she says

@highlight

Report: Nine of the 10 countries with the world's highest rates of child marriage are in Africa