Defying warnings from the international community, North Korea launched a long-range rocket on Friday, but it broke apart before escaping the earth's atmosphere and fell into the sea, officials said.

"It flew about a minute, and it flew into the ocean," said Noriyuki Shikata, a spokesman for Japanese Prime Minister Yoshihiko Noda.

He added that Japanese authorities "have not identified any negative impacts, so far," though he said the international ramifications could be significant. "This is something that we think is a regrettable development," he said.

Joseph Cirincione, president of the global security foundation The Ploughshares Fund, told CNN that the launch's apparent failure "shows the weakness of the North Korea missile program" and suggests that the threat from North Korea has been "exaggerated."

"It's a humiliation," he told CNN. "I wouldn't want to be a North Korean rocket scientist today."

In an unusual admission of failure, the North Korean state media announced that the rocket had not managed to put an observation satellite into orbit, which Pyongyang had insisted was the purpose of the launch.

In the past, North Korea has insisted that failed launches have been successful.

"Scientists, technicians and experts are now looking into the cause of the failure," the official Korean Central News Agency said in a report, which was also read out in a news broadcast on state-run television.

The United States, South Korea and other countries see the launch as a cover for a ballistic missile test.

"Our government strongly criticizes their action," said South Korean Minister of Foreign Affairs Kim Sung Hwan. "They have ignored the starvation of their people and spent money on missiles. It is very unfortunate."

NHK Television of Japan, citing an official with the Japanese Defense Ministry, said the rocket broke into four pieces before falling.

The North American Aerospace Defense Command and U.S. Northern Command officials tracked the missile, which they identified as a North Korean Taepo Dong-2 missile.

"Initial indications are that the first stage of the missile fell into the sea 165 km west of Seoul, South Korea," they said in a news release. "The remaining stages were assessed to have failed and no debris fell on land.  At no time were the missile or the resultant debris a threat."

The incident demonstrates an "unblemished track record of failure," said a U.S. official, who credited international sanctions for preventing Pyongyang from obtaining needed materials.

British Foreign Secretary William Hague said in a statement that Pyongyang "can expect a strong response from the international community if it continues to develop its missile and nuclear capabilities."

South Korea's Yonhap Television News, quoting a South Korean defense ministry official, said debris appeared to have landed 190 to 210 kilometers off Gunsan's west coast, near the Yellow Sea.

The U.N. Security Council will meet Friday on the launch, two U.N. diplomats and a U.S. official told CNN. The meeting had previously been scheduled, U.S. officials said.

At the United Nations, diplomats had warned that Pyongyang would face further isolation if it went ahead.

The U.S. official said that, despite the launch's failure, "it will not change our response."

The White House press secretary, in a statement, said the failed launch "threatens regional security, violates international law and contravenes its own recent commitments."

The statement added, "North Korea is only further isolating itself by engaging in provocative acts, and is wasting its money on weapons and propaganda displays while the North Korean people go hungry."

"This was supposed to be associated with (Kim Jong Un's) ascension to power. So for this thing to fail ... is incredibly embarrassing," said Victor Cha, former director of Asian affairs for the U.S. National Security Council and now a Georgetown University professor.

Japan's Chief Cabinet Secretary Osamu Fujimura said the rocket remained in the air for slightly more than a minute and did not affect Japanese territory.

After the failure, the Japanese government held a security meeting.

The launch occurred at 7:39 a.m. Friday, NORAD said.

Immediately afterward, the South Korean military dispatched helicopters and ships in an attempt to find debris related to the rocket launch, according to YTN.

When is a missile not a missile?

International leaders had urged North Korea to cancel the launch, but Pyongyang refused to back down, insisting the operation is for peaceful purposes.

In Washington, White House spokesman Jay Carney had said the launch would be a "significant and clear demonstration of bad faith" on the part of the North, making it impossible for the United States to follow through on the food-aid deal.

South Korea described the planned move as a "grave provocation" and said it would respond with "appropriate countermeasures." Meanwhile, the Philippines and South Korea ordered commercial planes and fishing boats to stay clear of the rocket's proposed path.

"This launch will give credence to the view that North Korean leaders see improved relations with the outside world as a threat to the existence of their system," U.S. Secretary of State Hillary Clinton said this week. "And recent history strongly suggests that additional provocations may follow."

A recent report from South Korean intelligence officials said that North Korea is planning a new nuclear test in the area where it staged previous atomic blasts.

The South Korean intelligence report noted that the two previous rocket launches that Pyongyang said were intended to put satellites into orbit were followed a few weeks or months later by nuclear tests.

Rocket launch may provide intelligence windfall

The last time Pyongyang carried out what it described as a satellite launch, in April 2009, the U.N. Security Council condemned the action and demanded that it not be repeated.

That rocket traveled 2,300 miles before its third stage fell into the Pacific Ocean.

And in 2006, a missile failed after about 40 seconds into flight.

Vitaly Churkin, Russia's U.N. ambassador, told reporters outside the Security Council chambers that members don't have "clear agreement" about what steps to take if the launch goes ahead. "But one thing I can tell you: We have unanimity of understanding that if it were to happen, that would be a clear violation of two Security Council resolutions."

And Susan Rice, U.S. ambassador to the U.N., warned, "Every time they go down a path such as this, their isolation intensifies, the needs of their people increase and they become more and more out of the bounds of the international community. That will be the case if they do so."

Meanwhile, Chinese Ambassador Li Baodong said countries need "to do everything possible to defuse tension rather than inflame the situation there." China is North Korea's leading ally.

The launch came amid North Korean preparations to mark the 100th anniversary of the birth of Kim Il Sung, the founder of North Korea who ruled the Communist state for more than four decades. His birthday on April 15, known as the "Day of the Sun," is a key public holiday.

On Wednesday, North Korea's ruling Workers' Party held a special conference that helped firm up the position of Kim's grandson, Kim Jong Un, the secretive state's new leader.

Korean television showed a somber Kim standing beneath two towering statues of his grandfather and his late father, Kim Jong Il, while receiving applause from party functionaries and the military. Kim Jong Il was given the title of "eternal general secretary" of the Workers' Party, while Kim Jong Un was named the party's first secretary.

The title appears to be a newly created position that sets the stage for a virtual coronation of Kim Jong Un, says North Korea watcher Jonathan Pollack of the Washington-based Brookings Institution.

"Creating this new position is sort of like retiring a jersey number for a famous baseball player," Pollack said. "It shows a deference to his father and to the old guard, while still cementing his control on power."

North Korea announced other titles for Kim Jong Un, including making him a member of the Political Bureau of the Central Committee and chairman of the Central Military Commission.

Kim Jong Un was already being described as the supreme leader of the party, state and army. But it is unclear how directly the young Kim, thought to be in his late 20s, is involved in policy decisions.

The leadership transition bears similarities to the previous transfer of power from one generation of the Kim family to another.

"Kim Jong Il is now venerated at the same level as his father, buried in the same tomb, and they are making statues of them riding together on horseback," Pollack said.

"But Kim Jong Un never got the on-the-job training his father did, so he may have this title to allow some mentoring or sharing power and decisions with his elders."

@highlight

North Korean state media say the launch failed to put satellite in orbit

@highlight

Short-lived flight never escaped the atmosphere, officials say

@highlight

U.N. Security Council will meet Friday on the matter

@highlight

Despite the launch's failure, "it will not change our response," a U.S. official says