Washington (CNN) -- In the emotional aftermath of the Trayvon Martin killing last year, Attorney General Eric Holder signaled the unlikelihood of filing federal hate crimes charges against admitted shooter George Zimmerman.

"For a federal hate crime, we have to prove the highest standard in the law," Holder said in April 2012, 45 days after Zimmerman shot the African American teenager in what was depicted by civil rights groups as a racially motivated killing.

In words that now sound prescient, Holder described to reporters that day how "something that was reckless, that was negligent does not meet that standard."

"We have to show that there was specific intent to do the crime with requisite state of mind," he said.

Zimmerman's acquittal of state murder and manslaughter charges on Saturday showed the Florida jury rejected that he intended to kill Martin for any reason, including the racial motivation necessary for federal charges that he violated Martin's civil rights.

The Department of Justice opened an investigation into the Zimmerman case last year, and a statement from the agency on Sunday said it was ongoing and will now include evidence and testimony from the Florida trial.

In a speech in Washington on Monday, Holder said the Justice Department would "continue to act in a manner that is consistent with the facts and the law" in examining what he called "the tragic, unnecessary shooting death of Trayvon Martin."

"Independent of the legal determination that will be made, I believe that this tragedy provides yet another opportunity for our nation to speak honestly about the complicated and emotionally charged issues that this case has raised," Holder said. "We must not - as we have too often in the past - let this opportunity pass."

Separately, the White House said President Barack Obama would play no role in deciding whether federal charges are filed.

"Cases are brought on the merits and the merits are evaluated by the professionals at the Department of Justice," White House spokesman Jay Carney told reporters.

The president on Sunday called Martin's killing a tragedy for America, but said in a written statement that the jury had spoken. He acknowledged the case had "elicited strong passions," but urged "calm reflection."

Still, political pressure for a federal case is mounting.

Demonstrators around the country are calling for Zimmerman to be punished, and hundreds of thousands of people have signed online petitions by the National Association for the Advancement of Colored People (NAACP) that call for federal charges.

However, legal experts make the same point Holder did last year in saying the law limits the federal government's options.

Watch Holder's speech

Because Zimmerman is a private citizen, he can only be charged with a hate crime in terms of civil rights violations under federal law, said David Weinstein, a former federal prosecutor in Florida who now is in private practice.

To successfully prosecute Zimmerman, the Department of Justice would have to show that Zimmerman "caused the death of Trayvon Martin solely motivated by/because of his race or color," Weinstein told CNN in an e-mail, adding: "This element was absent from the state trial and quite frankly doesn't exist."

Five Reasons for acquittal

CNN Legal analyst Paul Callan agreed Monday that federal prosecutors are "in sort of a tough spot." The hate crimes statue is generally applied to cases involving police officers or other government agents, Callan said, adding that using it in a case involving a lone private citizen is "very, very rare and I think in this case, it's going to be very hard to prove."

A federal hate crimes violation in a killing carries a maximum penalty of life in prison. Even if the federal charges were identical to the state charges, it would not be double jeopardy for Zimmerman because the federal government is a separate and sovereign entity.

Those seeking federal charges say the killing was racially motivated, arguing that Zimmerman, a neighborhood watch volunteer, targeted Martin for special scrutiny because the teenager was an African-American. Regardless of how the shooting occurred, they say, the fight occurred because of Martin's race.

"The most fundamental of civil rights â€” the right to life â€” was violated the night George Zimmerman stalked and then took the life of Trayvon Martin," says the petition on the NAACP website.

Petition to White House

Rep. Marcia Fudge, the Ohio Democrat who chairs the Congressional Black Caucus, said racial profiling like what Zimmerman did to Martin "continues to make communities of innocent individuals fear a justice system designed to protect them."

"Men and women wonder if merely walking or driving justifies being followed, stopped, or questioned," Fudge said in a statement Monday. "This practice and the presumption of guilt so often associated with people of color must come to an end."

A crush of petitioners crashed the NAACP website during the night, causing the group to set up a parallel petition drive on the liberal MoveOn.org website, said Derek Turner of the NAACP. A separate petition effort on the White House website generated nearly 15,000 supporters.

Such political pressure evokes memories of the Rodney King case in 1991, when videotape of white Los Angeles police officers clubbing an African-American man after a car chase prompted race-tinged national furor.

When a criminal court failed to convict the officers of police brutality, riots ensued in Los Angeles over alleged racial discrimination.

The Justice Department then filed a civil rights suit against the officers, alleging "deprivations of federal rights under color of law," and two were convicted in 1993. A court sentenced them to 30 months in federal prison.

Weinstein said the Justice Department can't file similar charges against Zimmerman because he is a private citizen instead of a police officer or government official of any kind.

"There are no other relevant sections under which to prosecute him" other than the hate crime statute, which covers "offenses involving actual or perceived race, color, religion, or national origin," Weinstein added.

However, Martin's family can still file a civil wrongful death lawsuit against Zimmerman to seek penalties and damages. Such a legal move carries no criminal penalty or prison time.

Obama won't get involved in decision

CNN's Kevin Liptak, Ben Brumfield and Josh Levs and InSession Trial Editor Jessica Thill contributed to this report.

@highlight

President Obama will have no role in deciding on federal charges

@highlight

Federal hate crimes laws require proof of racial motivation, legal experts say

@highlight

AG Holder has called that a high legal bar; says Monday that facts and law are paramount

@highlight

The jury in the George Zimmerman case rejected state criminal charges