(CNN) -- For those of you dreaming of visiting Mars, readings taken during the Curiosity rover's voyage to the Red Planet offer a new measurement to ponder as you weigh the risks.

Mars-bound pioneers will be exposed to radiation levels that could effectively retire astronauts under NASA's current standards, scientists reported Thursday. The radiation astronauts would face on a round trip would be comparable to getting an abdominal CT scan "about once every five days," said Cary Zeitlin, principal scientist for the NASA-led Martian Radiation Environment Experiment.

The findings were published Thursday in the journal Science, based on data from a device called the Radiation Assessment Detector that took readings during Curiosity's trip to Mars. The spacecraft was similar to one that would carry humans, and scientists were interested in measuring galactic cosmic rays and solar energetic particles on the trip.

"It is clear that the exposure from the cruise phases alone is a large fraction of (and in some cases greater than) currently accepted astronaut career limits," they wrote.

Zeitlin and his colleagues found voyagers could be exposed to between 554 and 770 millisieverts of ionizing radiation during the trip, depending on the level of solar activity. By comparison, the typical American receives about 6.2 millisieverts a year from natural and man-made sources, including medical diagnostic procedures.

"The radiation environment in deep space is several hundred times what it is on Earth, and that's even inside a shielded spacecraft," Zeitlin said.

NASA standards limit the amount of radiation exposure for astronauts to levels that would produce no more than a 3% increase in lifetime of fatal cancers -- a level that varies with age and gender. The dose estimate was based on a one-way trip time of 180 days. That's about the fastest that current rocket engines can propel a spacecraft, and it's far shorter than the 253 days Curiosity took to get to Mars in 2012.

501 days in space with your spouse: Could you handle it?

Most of the exposure estimated in Thursday's paper would come from galactic cosmic rays. They're composed of high-energy, highly penetrating particles, and astronauts would be exposed to them chronically.

Shielding that would completely block those rays would be "meters thick" and too heavy to be used aboard a spacecraft, said Eddie Semones, a radiation health expert at NASA's Johnson Space Flight Center.

Chris Moore, NASA's deputy director for advanced exploration systems, said the space agency is working on engines aimed at cutting the trip time by the 2030s, when it hopes to send humans to Mars. But it will take "many years" before those systems are ready, he said.

In the meantime, Moore said engineers could try to limit travelers' exposures by designing a spacecraft in such a way that it provides more protection.

"Ideally, we'd like to arrange the configuration of the habitat to provide radiation protection by surrounding the crew with water, which contains a lot of hydrogen," he told reporters Thursday afternoon. "That's the most effective shielding that we know of."

A one-way ticket to Mars

Astronauts would also be bombarded with solar energetic particles, which get accelerated close to the sun as a result of solar flares and coronal mass ejections that shoot portions of the sun into space. Moore said NASA is already developing personalized shelters that would protect astronauts from a solar storm and hopes to test them "in the next few years."

Another possibility would be to figure out how to generate a magnetic field around the spacecraft that mimics the one that protects Earth from the worst cosmic radiation.

"It would require a lot of power for electromagnets, but it does have promise, so we're donig some really advanced studies on that."

A question of physics, a question of biology

The problem has two sides: physics and biology, Zeitlin told CNN. On the physics side, the radiation is in line with expectations.

"As it stands, what we measured is pretty much in line with predictions that people have made based on various models that they put together based on what the deep space radiation environment would be," he said.

Solar energetic particle events only contributed about 5% to the overall measured dose equivalent during the laboratory's cruise to Mars. But these events are highly variable in terms of frequency and intensity, the study said, and the current cycle seems to be producing a weak solar maximum.

"The SEP contribution could conceivably be many times larger in a different time frame," the report said.

And the figures out Thursday only cover the trip to and from the Red Planet. Anyone who spends time on Mars could be exposed to more radiation, depending on how long they stay and what the shielding conditions are like.

The health question

Moon missions exposed astronauts to a similar rate of radiation accumulation, but the trip was far shorter. The Apollo 11 moon mission, for instance, launched on July 16, 1969, landing the first humans on the moon before returning to Earth on July 24, 1969.

According to a 2010 NASA report on space radiation cancer risk projections [PDF], the average American male who is 35 can safely spend between 140 and 186 days in deep space, assuming heavy shielding, and stay below that 3% increase in cancer risk; a 35-year-old female could spend between 88 and 120 days.

For those who have never smoked, however, it's estimated that a 35-year-old man could spend between 180 and 239 days in deep space, and a 35-year-old female could spend between 130 and 173 days. The number of safe days in space increases as men and women age.

Zeitlin said his team just makes measurements; they don't decide what radiation dose is acceptable.

When can we go?

Interest in going to Mars has been mounting. The private company Mars One has started its recruitment process for a one-way trip for four people to land in 2023. The company received 78,000 applications as of early May.

Even sooner, the Inspiration Mars Foundation wants to send two people -- a man and a woman -- on a 501-day roundtrip journey to Mars and back in 2018, without ever actually touching down. The organization was founded by Dennis Tito, the millionaire who became the first space tourist in 2001, and Moore said NASA would share the data from Curiosity with the group.

Buzz Aldrin, the second man to land on the moon, wrote on CNN.com that the United States "should commit itself, within two decades, to commencing American permanence on the planet Mars."

Buzz Aldrin: Get to Mars within 20 years

In the meantime, the 2-ton rover Curiosity -- a $2.5 billion mission -- has been using its sophisticated tool kit to uncover evidence that Mars was once habitable. Thanks to the rover's efforts, scientists have determined that, yes, conditions that could have supported life once existed there.

More space and science news from CNN Light Years

CNN's Matt Smith contributed to this report.

@highlight

NEW: Faster engines, better shielding under study, NASA official says

@highlight

A Mars trip would be like getting abdominal CT scan every five days, study finds

@highlight

Radiation clocked on Curiosity's trip to Mars approaches NASA's career limit for astronauts