(CNN) -- Every day, the federal government's partial shutdown brings more tragic and disheartening news to America's veterans, troops and their families.

This week, the Department of Defense announced it would be unable to pay the $100,000 death gratuity benefit to support families of the fallen -- news that is insulting to those who serve and their families.

For a government that readily claims to support America's troops and veterans by spending billions on service members and veterans, legislators failed to notice that this particular lack of funding, a mere fraction of the Defense Department's budget, would be cut off, causing needless pain to grieving families.

The news drew quick condemnation from pundits, the military and veterans community, and members of Congress. Politicians from both parties, displaying a sense of urgency yet to be seen on the notion of ending the shutdown, rushed to condemn the decision and quickly called for the benefits to be reinstated. Fortunately, the military charity Fisher House Foundation has stepped up and will cover these benefits for the Pentagon until the problem is solved.

The strong words and overwhelming bipartisan support on death benefits and veterans funding issues makes veterans wonder why Congress can muster such sharp and decisive action on a limited basis, especially when it involves veterans and the military community?

Veterans and military families are left to wonder if the pledges of support are genuine, or do they just conveniently provide a symbolic fallback issue for legislators when governing in Washington gets tough?

As part of shutdown politics, members continually retreat to the veterans community, to the point that they start tripping over each other to be first in front of the camera. This behavior was on display last week as well when members of Congress attempted to gain the upper hand in the public relations battle over the closure of the World War II Memorial.

For "the greatest generation," the World War II Memorial is more than pillars and a fountain; it is a shrine to the more than 400,000 Americans who gave their lives in lands far away from the United States for ideals that we still fight for every day in this country. It is a solemn place of remembrance for men and women who endured hardship, tragedy and suffering on levels that many of us simply cannot fathom.

Once the government shutdown began, the site was supposed to be off-limits to everyone, including World War II veterans. But on the day the government shut down, 92 World War II veterans visiting from Mississippi made headlines by breaking through the barricades and paying homage to their fallen comrades. Suddenly, a war that ended more than 65 years ago became current a few hours into a government shutdown.

The image of World War II veterans breaking through yellow tape and metal barricades went viral, and members of Congress from both parties quickly attached themselves to the fight.

This shutdown has generated a style of bandwagon politics in the last week that is getting stale. Rather than focus on solving the problems that resulted in the shutdown, politicians are conveniently highlighting veterans and military families without doing the one job that will really help: Ending the shutdown.

The threat for veterans and military families is all too real. A denial of some services and lingering doubt about the future will only add more financial and emotional anguish to a community that's already endured war for more than a dozen years.

On social media via #Shutdownstories and calls to Iraq and Afghanistan Veterans of America case managers, we hear from veterans in the Veterans Affairs backlog who will have to spend more time waiting for a claims decision than they spent in combat zones.

Veterans who make up 27% of the federal workforce are now furloughed. National Guard drills are being rescheduled or canceled in many states, affecting troop readiness and pay. On base, services that military families count on are now closed. Veterans who rely on disability and GI Bill benefits are facing the very real possibility of not getting their benefits next month, as Veterans Affairs Secretary Eric Shinseki testified Wednesday.

Photo-ops, shouting matches and gimmicks will not help veterans and military families who are hurting during the shutdown. These political events provide no long-term benefits for the military community and get us nowhere closer to ending a shutdown that is inflicting real pain on the men and women who fought for our country.

The political games and posturing need to end. Make no mistake that veterans and military families appreciate compliments and expressions of support and gratitude -- but what we need most right now are solutions.

The opinions expressed in this commentary are solely those of Nick McCormick.

@highlight

Nick McCormick: Death benefits were cut off to families of the fallen

@highlight

He says a temporary fix doesn't fully undo impact of the partial government shutdown

@highlight

Members of Congress rush to denounce cuts in veterans' services to score PR points

@highlight

McCormick: What we need is action to end shutdown, not political posturing