(CNN) -- Just steps away from the courthouse where a jury decided George Zimmerman's fate, demonstrators vowed that their fight wasn't over.

"Nationwide protest to demand justice," they chanted after the jury's not guilty verdict in Sanford, Florida, cleared Zimmerman in the shooting death of Trayvon Martin.

It wasn't long before some appeared to be heeding their call.

Protesters rallied in Los Angeles, San Francisco, Chicago, Denver, Baltimore, Detroit, New York and other cities.

"I came here today to stand in solidarity with Trayvon Martin's family, and everyone else searching for justice for him, and wanting to bring Zimmerman to justice," said Kellie Knight. She spoke at a protest at Union Square in New York City.

Catch up on the Zimmerman saga in one story

"If it can happen to her son, it can happen to anybody's son or daughter," she said.

Later, a crowd converged on Times Square, chanting: "This is what democracy looks like."

The verdict in the closely watched trial echoed far beyond the central Florida city's borders in a case that drew national attention and has been racially charged from the start.

"Only white life is protected in America," one protester in Washington shouted early Sunday. A crowd lined up outside the White House and sang "Amazing Grace."

Others chanted "No justice, no peace" and "Trayvon was murdered" as they marched, freelance photographer Michael Kandel told CNN's iReport.

The atmosphere was tense as demonstrators demanded that the government investigate further, Kandel said.

"They believe that this is a civil rights issue that must become the topic of a national conversation in the coming days," he said. "They did not believe justice had been served and were pleading for it."

In Dallas, protesters waved signs that said, "Justice system is a joke," CNN affiliate WFAA reported.

Some demonstrators in Denver, Baltimore and Detroit wore hooded sweatshirts like the one Martin wore when he was killed.

In Chicago's Daley Plaza, protesters vowed to use technology to push for change.

"It's the 21st century. We've got Twitter. We've got Instagram. We've got Facebook, we've got all these things that our elders did not have," one woman told the crowd. "We have resources."

Verdict doesn't end debate in Martin's death

Pushing for peace

President Barack Obama called Sunday for "calm reflection," acknowledging the Zimmerman case has stirs strong emotions.

"And in the wake of the verdict, I know those passions may be running even higher," he said.

"I now ask every American to respect the call for calm reflection from two parents who lost their young son. And as we do, we should ask ourselves if we're doing all we can to widen the circle of compassion and understanding in our own communities.

"We should ask ourselves if we're doing all we can to stem the tide of gun violence that claims too many lives across this country on a daily basis," Obama said.

Most protests have been peaceful, though there were some reports of property damage at a protest in Oakland, California.

"I think we should, frankly, right now be celebrating the fact that we've seen a generation of young people respond by using our system, raising their voices, but not using their fists," NAACP President Benjamin Jealous told CNN's "State of the Union" on Sunday.

Analysis: The race factor in Zimmerman's trial

The Rev. Jesse Jackson called for protests to continue, and to remain peaceful.

"There will be protests, but they must be carried out with dignity and discipline," he told CNN's "New Day." "Let no act discredit the legacy of Trayvon Martin. In the long run, we will prevail in the struggle for justice. Any act of violence could serve to undermine the innocent blood and moral authority of Trayvon. What will happen if there, in fact, are riots, it gives sympathy to Zimmerman, and discredits Trayvon. Trayvon deserves sympathy. Zimmerman and his school of thought does not."

Zimmerman, his family and their supporters have denied allegations of racism and argued that civil rights groups are being incendiary without facts to back up their claims.

"We have a verdict. I think we should really take a step back, respect that verdict, respect those six women -- an all-women jury, who had to make a really tough call and had to look at this outside all the emotions that were stirred up, and all of the racial innuendo that was stirred up, and just kind of look at the facts," Zimmerman's brother, Robert Zimmerman Jr., told CNN on Sunday morning. "And the facts spoke for themselves."

Some applauded the jury for siding with the neighborhood watch volunteer's claims that he shot the teen in self-defense. Others said prosecutors failed to prove their case beyond a reasonable doubt.

Some said the trial was a referendum on race that confirmed what they knew all along.

"That's our society," Terri Weems said as she headed into church in Washington on Sunday morning. "We expected not to be given justice. We haven't been dealt justice all this time. ... It's very disheartening."

Zimmerman could still be held responsible for Martin's death

Reactions from the pulpit

In churches around the country, the trial was a hot topic on Sunday.

Donna Holmes-Lockett, who was also heading into church in Washington, said she was surprised by the verdict.

Zimmerman should have been punished for the shooting, she said.

"As a mother of black males, I have three sons, it makes me nervous about the reaction of the public toward the situations. I felt like he should have got some kind of, something. He's just walking away free. He did shoot him. It's like it's OK," she said. "I think if it was a black crime on a black person, it would have been a different outcome."

At Ebenezer Baptist Church in Atlanta, the pastor called for all parishioners under 18 years old to step forward in a tribute to Martin.

"The world needs your voice. Don't let anybody tell you that you're a nobody. We love you and we're counting on you," he told them.

Why this verdict?

"Nobody gets nervous seeing you talk bad and look bad. If you really want to strike fear in the hearts of your adversaries, if you really want to be a real threat, make sure God is in your heart (and) knowledge is in your head."

At churches with close ties to the case, Sunday was a time to reflect and pray.

"We're leaning in and depending on you this morning, oh God, for all of our help," a man said from the pulpit at the Allen Chapel AME Church in Sanford, where a town hall meeting was held after the shooting. "We're not depending on the Sanford Police Department. We're not depending on Seminole County Sheriff. We're not depending on the courts of Seminole County, Florida."

Several members of Martin's family attended services at Antioch Missionary Baptist Church in Opa-locka, Florida.

"We're very concerned, very hurt and very disappointed at this point, but we know in the end God will prevail and justice will be served," said Roberta Felton, a cousin.

While the Martin family grieves, Pastor Arthur Jackson III said, the community must prepare to take action.

"I believe this situation has not paralyzed us, has not traumatized us, but is mobilizing us," he said. "It has been a call to rally at the polls, to vote ... to change these unjust laws."

Trayvon's dad: My heart is broken, my faith is not

CNN's Victor Blackwell, Nick Valencia, Jonathan Helman, Jareen Imam, John Zarrella, Jennifer Hauser, Emanuella Grinberg and Alicia Stewart contributed to this report.

@highlight

NEW: Protesters rally in New York, Denver, Baltimore and Detroit

@highlight

NEW: "If it can happen to her son, it can happen to anybody's son or daughter," says one

@highlight

Obama urges "calm reflection," asks Americans to reflect on toll of gun violence

@highlight

Leaders call for protests to remain peaceful, push for change