(CNN) -- Not sure where to go on vacation next year?

To help get you motivated, we've identified 10 destinations that are sure to make headlines in 2015.

Some will host major global events, while others will celebrate anniversaries, unveil new attractions or stand in Mother Nature's spotlight.

The Bahamian Riviera

With four hotels, 200,000 square feet of convention space, a 2,000-seat performing arts center, 18-hole Jack Nicklaus Signature golf course, 30 restaurants and bars, 14 distinct pools and a 100,000-square-foot casino large enough to rival any in Las Vegas or Macau, the $3.5 billion development known as Baha Mar is kind of a big deal.

In fact, the so-called "Bahamian Riviera" is the largest single-phase luxury resort project in the history of the Caribbean and the most substantial currently in development in the Western Hemisphere.

Located along Nassau's famed Cable Beach, Baha Mar is expected to send ripples across the Caribbean when it opens to the public in late spring 2015 with a grand gala produced by music and entertainment legends Jamie King and Emilio Estefan.

The event is meant to herald the arrival of a new Riviera -- one full of 21st-century entertainment located right in Florida's backyard.

Mons, Belgium

Mons, Belgium, has a population of just 93,072 people, but the small city expects 2 million visitors to ply its medieval streets when it hosts more than 1,000 cultural and artistic events in 2015 as the offical European Capital of Culture.

Highlights of the yearlong celebration include an illuminating new Van Gogh exhibit, three multidisciplinary arts festivals, numerous public installations and art-infused parties.

Moreover, Mons will unveil not one, not two, but an astounding five new museums in April, including The Artotheque (art library) and Mons Memorial Museum.

Think of 2015 as a coming out party for this former mining and industrial center that's completely reinventing itself.

Downtown Los Angeles

A decade ago, you'd have struggled to find life on the streets of downtown Los Angeles after the office lights went dim for the night.

But what was once the city's dark center has rapidly transformed into one of its most exciting neighborhoods, with more than 500 shops, restaurants, bars and clubs opening their doors in the past five years alone.

Exciting new hotels like the Ace, stores like Acne Studios and food venues like the revamped Grand Central Market -- in addition to the recently completed $3 billion sports and entertainment complex known as L.A. Live -- have injected downtown with a jolt of energy that's helped lure visitors and residents away from LA's sunny perimeter and into its urban core.

The downtown scene is expected to heat up in 2015 when billionaire art collector Eli Broad's $140 million vanity project, the Broad Museum, opens to the public in the fall.

The honeycomb-encased gallery has been heralded as the crowning jewel of downtown LA's revival, and will house works by some of the most prominent artists of recent decades, including Jeff Koons, Roy Lichtenstein and Cindy Sherman.

Faroe Islands

The Faroe Islands have never really had their moment in the spotlight, but a dance with darkness in 2015 may finally put the remote archipelago between Norway and Iceland on travelers' radars.

This self-governing country within the Danish Realm is one of just two places in the world that will witness a total solar eclipse on March 20, 2015, when the moon passes between the earth and sun, plunging daylight into darkness.

Several travel agencies are already filling up tours and cruises to the storybook isles for this once in a lifetime astronomical event.

Though it'll last just 2 minutes and 47 seconds, Europeans won't see anything like it again until 2026.

Coober Pedy, Australia

Alice Springs and Uluru (Ayer's Rock) have long served as the two pinnacles of Outback Australia's tourism duopoly, but an increasing number of visitors are venturing further south along the Stuart Highway to explore the "underground town" of Coober Pedy, where 80% of the world's opal comes from.

Coober Pedy will celebrate its Centenary in 2015 with a year's worth of events, including an opal festival, gem show, marathon, dances and street parties.

Tourists heading into town for the celebrations will have the opportunity to sleep as the locals do in subterranean dugouts that promise a consistent temperature of 25 C (77 F).

There will, perhaps, be nowhere else on earth in 2015 where you can shop for bargain-basement gems, march in a street parade and retire to your underground hotel room ... all in one day.

Singapore

Singapore has a reputation for being pretty and dull in equal measure.

However, the undeniably attractive isle of Singapore will be anything but boring in 2015 as it celebrates 50 years of independence with fireworks, parades, shows, youth rallies and a new walkway from the Civic District to Marina Bay.

Yet, Singapore's Golden Jubilee isn't the only reason to visit in 2015.

The long-awaited National Gallery will finally open to the public in November and join recently unveiled attractions like River Safari and the massive Singapore Sports Hub in diversifying the city's offerings.

Salta, Argentina

What if you could visit the Grand Canyon and Napa Valley within the course of one afternoon?

That, in essence, is what's on offer in Salta Province, a dusty patch of Andean Argentina where the country bumps up against Bolivia, Chile and Paraguay.

Salta is home to colorful colonial towns, gnarled mountainscapes and the highest altitude wineries in the world.

With a $160 million plan underway to turn this largely domestic destination into the eco-tourism capital of Latin America, this is a cat that's about to be let out of the bag.

If you like your wine with a side of adventure -- and want to take advantage of Argentina's exceedingly favorable "blue dollar" exchange rate -- Salta will be ready and waiting in 2015.

Milan

The World's Fair has left the planet with many icons -- the Eiffel Tower, the Space Needle, the first Ferris wheel -- but the legacy of Expo Milano 2015 will likely be in the ideas it generates, rather than any architectural marvels.

Travelers from around the world are expected to converge on Italy's second-largest city between May and October to ruminate on the future of food within a 1.1 million-square-meter fairgrounds plotted out like a classical Roman metropolis.

The event promises to put participants from more than 140 counties in touch with an estimated 20 million visitors across 60 pavilions, a record number exceeding even the 2010 World's Fair in Shanghai.

Expect exotic food tastings, educational lectures and rich, multi-sensory experiences.

Mekong and Irrawaddy rivers

Small cruise vessels have long been a staple of European rivers, but with river cruising ballooning into the fastest-growing segment of the travel industry (according to industry reports), many boats will find new homes in 2015 along two of Southeast Asia's most important waterways: the Mekong and Irrawaddy rivers.

More than a dozen new ships from a half-dozen companies (including Viking, Haimark and Avalon Waterways) will set sail in 2015 on journeys through Myanmar or across the Vietnam-Cambodia border from Ho Chi Minh City to Siem Reap.

For those who always wanted to see Southeast Asia, but didn't want to deal with the hassle of tuk-tuks and touts, there's never been an easier (or more comfortable) way.

Abu Dhabi

Dubai may have exploded into a theme park of superlatives, but its oil-rich neighbor Abu Dhabi has steered a different course in a multibillion-dollar bid to become the cultural capital of the Middle East.

At the heart of Abu Dhabi's reinvention is the 24,000-square-meter Saadiyat Island Cultural District.

This intellectual playground is set to house the Guggenheim Abu Dhabi in 2017, the Zayed National Museum in 2016 and, if all goes according to plan, the first Louvre Museum outside Paris by the end of next year.

Add to the mix a performing arts center designed by Zaha Hadid, and it's clear that both the skyline and city below are about to get a lot more inspiring.

Mark Johanson is a freelance travel and culture writer based in Santiago, Chile. You can follow his adventures at markjohanson.com.

@highlight

As the European Capital of Culture, Mons, Belgium, will host more than 1,000 cultural and artistic events in 2015

@highlight

The Broad Museum's honeycomb-encased gallery will be the crowning jewel of downtown LA's ongoing revival

@highlight

Singapore will celebrate its Golden Jubilee with parades, fireworks and the unveiling of its National Gallery