Houston, Texas (CNN) -- BP is conducting a long-awaited procedure to permanently seal its crippled well in the Gulf of Mexico.

It's proceeding with a complex operation known as a "static kill," pumping heavy drilling mud down from above to push oil back into the well reservoir.

The effort could take "something in the range of a bunch of  hours to a couple of days," BP Senior Vice President Kent Wells said Tuesday afternoon in a telephone conference. "We're extremely focused at this point in making sure we execute the static kill as best we can."

The operation started about 4 p.m. ET.

BP may pause the procedure from time to time to measure pressure and evaluate how it's working, Wells said.

It's still unclear whether the mud will be followed by cement, according to Wells. Engineers will evaluate that as they proceed.  They may decide to wait until a relief well is completed in an accompanying well-killing effort known as a "bottom kill" -- intended to serve as an insurance policy that the well is sealed. That could happen about a week from now.

The static kill is the biggest development in the long-running saga involving BP's well since a tightly fitting cap was placed on it in mid-July, stopping oil from flowing into the Gulf for the first time in almost three months. It represents the beginning of the end of the worst environmental disaster in U.S. history.

Some reporters were allowed on the Q4000,  the ship that is pumping the mud, as the static kill got under way.

The operation took place under blue skies in clear blue seas -- in sharp contrast to scenes in the Gulf weeks ago, when oil covered vast swaths of water.

"All I can say is that everything looks good. Everything is going the way we want it to," said Bobby Bolton, a BP representative on the ship.

In previous operations, when BP was testing the "integrity" of the well, it wanted to see rising pressure readings, indicating the capped well was holding up. But in the static kill, declining pressure is a good sign, indicating the mud is proceeding down the well without seepage.

That was indeed the case Tuesday, according to Bolton. He said pressure was dropping steadily. In late afternoon, it had dropped from more than 6,900 pounds per square inch to about 4,500 pounds per square inch.

The ship's captain, Keith Shultz, said it also was important to keep the ship very stable during the static kill, and the vessel was being kept within a meter of its position.

BP proceeded with the static kill after conducting a crucial test to determine if oil in the capped well could actually be pushed back down into the reservoir and it was safe to proceed. In the "injectivity" test, a surface ship slowly injected small amounts of mud into the well at several different rates to make sure the mud would reach the reservoir.

Senior Vice President Wells said the test was "textbook. It went exactly as we would have expected."

BP said that all the operations are being carried out with the approval of the federal official overseeing the response to the oil spill, retired Adm. Thad Allen.

The injectivity test had been delayed because of a small hydraulic leak discovered in the capping stack hydraulic control system. But BP and Allen said earlier Tuesday the leak had been fixed by crews overnight.

"The leak involved two valves that are on the kill side of the capping stack and they started to lose pressure. We found that out in time and locked the valve shut. And, had the valves failed for any particular reason, that might have caused hydrocarbons to go into the environment and that's not good," Allen said.

Allen emphasized that relief wells being drilled are the "answer" to plugging the ruptured well.

"I think all of our hopes and aspirations are that this thing will come to an end," Allen said, discussing the entire spill ordeal. "It's been an agonizing period for the people of the Gulf and the United States in general."

Meanwhile, scientists charged with determining the flow from the leaking well said Monday that roughly 4.9 million barrels (205.8 million gallons) of oil have seeped from it.  About 800,000 barrels of that were retrieved by siphoning vessels on the surface over the leak.  Previously, the same group had put the total estimate of oil leaked from the well before it being capped on July 15 at between 3 million and 5.2 million barrels.

According to CNN data, this makes it the worst-ever accidental oil spill in marine waters.

It all started when the Deepwater Horizon rig exploded April 20, killing 11 workers and launching the relentless oil spill. That prompted a wide-ranging response that involved dispersants, burning oil on the surface of the water and gathering it with skimming ships, trying to prevent it from reaching shore with booms and collecting oil debris from beaches across the Gulf with an army of BP workers.

The BP spill surpassed the 1979 Ixtoc 1 blowout in the Bay of Campeche off the coast of Mexico, which resulted in 140 million gallons of oil being spilled.

The worst oil spill of all time was intentional.  During the Gulf War, the Iraqi Army purposely released 240 million gallons of oil into the Persian Gulf.

When the BP well was capped in the Gulf of Mexico in July, scientists said some 53,000 barrels of oil per day were leaking from it, while roughly 62,000 barrels of oil were likely gushing from it each day at the beginning of the incident.

"We knew from the start it was a catastrophic spill," Allen said.

Meanwhile, BP said Wednesday it has started "a series of actions to expedite claim payments to businesses" affected by the spill.

"We heard from many business people who are suffering, so we acted.  These changes are designed to cut through paperwork and expedite payments," said Darryl Willis of the BP claims team.

The company said about 2,600 business claims were processed over the past three days with new guidelines.

"As a result, business claims totaling $9 million were approved Saturday, Sunday and Monday.  These payments will be mailed to businesses this week," BP said in a press release.

CNN's Vivian Kuo contributed to this report.

@highlight

NEW: BP representative aboard Q4000 says static kill proceeding smoothly

@highlight

Senior VP Wells says static kill could take hours or days

@highlight

Move is biggest development since well was capped in mid-July

@highlight

Static kill operation follows "textbook" injectivity test