New York (CNN) -- A pamphlet designed to help heroin users with advice has come under fire, with some now questioning whether the public health brochure can actually be used as a how-to guide on drug use.

While concerns over the 16-page pamphlet have arisen in recent days, the New York City Department of Health and Mental Hygiene created its "Take Charge, Take Care: 10 Tips for Safer Use" brochure in 2007. Its purpose, according to a statement from the department, is "to help people who are injecting drugs reduce the harm associated with this type of drug use until they are able to get into treatment and recover."

According to the Health Department, "accidental overdose is the fourth leading cause of early adult death in New York City, claiming more than 600 lives each year." The agency says about 70,000 pamphlets have been produced at a cost to city taxpayers of slightly more than $32,000.

"The pamphlet provides potentially life saving advice" reads a health department statement.

But critics such as New York City Councilman Peter F. Vallone Jr., chairman of the council's Public Safety Committee, believes the pamphlet is "an indefensible waste of taxpayer money" and is effectively spreading a lie that there is a safe way to inject drugs.

"Heroin use is at epidemic levels in New York, and we should be spending money to address that, not teach first-timers how to use," says Vallone.

Information in the publication takes the form of "ten critical tips for reducing the harm that illicit drug use, and especially injection drug use can cause." Tip topics include "how to prevent overdose," "prepare drugs carefully," "take care of your veins" and "ask for help to stop using."

Within each of the 10 broad tips, the brochure presents several "simple but valuable" related ideas for users about how to lessen potential problems when injecting drugs.

One suggestion reads, "Use with someone else. If you're alone and something goes wrong, no one can help."

Another says, "Use a new syringe, cooker, cotton, tie, and other supplies every time." Plus, "Warm your body (jump up and down) to show your veins." Along with, "Find the vein before you try to inject."

There is also information regarding HIV and hepatitis-C testing, depression and contact information for emergencies and for finding help to quit.

New York City Mayor Michael R. Bloomberg addressed the pamphlet controversy on Monday, explaining how "the health department does have an interest in -- if you're going to do certain things -- to get you to do it as healthily as you possibly can."

Don Des Jarlais, research director for the Chemical Dependency Institute, said the principle behind the pamphlet has always been to emphasize treatment and to reduce the spread of disease like HIV/AIDS. However, if people still engage in risky behavior, the "Take Charge, Take Care" information is meant to mitigate risks associated with intravenous drug use and present guidance for people to partake in the safest manner possible.

But Vallone believes the pamphlet goes "well beyond clean needles" advice, providing anyone who wants to experiment with information about how to prepare drugs and find veins -- information that an already-using addict would find useless.

New York state's top Drug Enforcement Administration official, John P. Gilbride, echoes Vallone, saying the pamphlet is essentially a "how-to guide" for drug use. Gilbride expressed his concern that the pamphlet could send a message that leads individuals to believe they can use heroin in some safe manner.

"Using heroin can never be safe. It's akin to playing Russian roulette with a loaded gun" Gilbride told CNN.

Indeed, "there is no safe way to inject" agreed Des Jarlais, in response to criticism that the pamphlet presents heroin use as harmless. "I think the word 'safely' is wrong," he said, but if people do inject drugs, he hopes large information campaigns can help lessen risks.

"Using hard drugs is just not a smart thing to do," Bloomberg said Monday. "But we have an obligation no matter what the people do in this city to make sure they do it as safe as they can."

Vallone, meanwhile rhetorically asks, "What's next, a kids' guide for playing safely in traffic?"

Vallone said he sent a letter to the city's health commissioner Monday to immediately cease circulation and funding for the pamphlet, and he plans to "hold his feet to the fire during upcoming budget meetings" unless the health department admits its mistake.

The pamphlet is just one component of a larger municipal effort, explained Des Jarlais. Along with the informational brochure, there are also face-to-face community outreach initiatives, expansion of drug abuse treatment facilities and 47 state-authorized syringe exchange program throughout New York City's five boroughs.

Des Jarlais points to an 80 percent reduction of HIV reported among new drug users in New York City as proof that programs such as needle exchanges are working. The health department reports that overdose deaths have declined by 25 percent from 2006 to 2008, representing at least 200 fewer deaths.

"I don't think there is a healthy way [to use heroin[, but there may be less dangerous ways to do certain things," Bloomberg said.

CNN's Cassie Spodak contributed to this report.

@highlight

16-page pamphlet under fire for being a "how-to" guide for drug use

@highlight

New York City Health Department published brochure in 2007

@highlight

Councilman: Money should be spent to curb use, "not teach first-timers how to use"

@highlight

Bloomberg says drug use isn't smart, but city has duty to help make things as safe as possible