(CNN) -- Africa is facing the worst Ebola outbreak in history and it's arrival in America has prompted many people to finally take notice of the deadly disease.

In Africa, especially Guinea, Liberia and Sierra Leone, thousands continue to suffer. More than 5,000 people have died from the virus since March, and the CDC estimates that by the end of January there could be 1.4 million Ebola cases.

Aid organizations are on the ground and in desperate need of assistance to stop this growing epidemic. They are mainly providing health care services, educational programs and delivering medical supplies. Here are some groups fighting this deadly disease and information on how you can make an impact.

AmeriCares has been sending shipments to the region since the outbreak began. They are providing critical antibiotics, medical supplies and safety equipment for health workers including gloves and protective masks.

There are more than 500 Samaritan's Purse staff in Liberia working to decrease the spread of the Ebola virus. The organization is providing administrative and logistical support and continues with Ebola public awareness and education.

Since March, UNICEF and its partners have reached at least 5.5 million people in West Africa. They sent about 550 tons of supplies in the last few weeks, including protective equipment, hygiene items and essential medicines.

Thousands of International Federation of Red Cross and Red Crescent volunteers have been trained and deployed to support the response. They help dispose of dead bodies, trace the path of the disease and provide emotional support to the communities affected by the disease. They plan on training more than 5,600 volunteers to ensure larger geographical areas can be reached.

The main focus of Nothing But Nets is fighting Malaria, the leading cause of death among children in Africa. But since the Ebola outbreak, the threat of Malaria is on the rise. They are sending health workers to communities to provide critical malaria prevention, as well as diagnostic and treatment services.

Doctors without Borders West Africa Ebola response started in March and now has activities in five countries: Guinea, Liberia, Nigeria, Senegal and Sierra Leone. They currently employ 239 international and 2,000 locally hired staff in the region. The organization operates six Ebola management centers providing more than 500 hospital beds in isolation. Since the beginning of the outbreak, they have treated over 1,700 Ebola patients, and 520 have survived. More than 435 tons of supplies have been shipped to the affected countries.

International Medical Corps has established a 70-bed treatment unit in Bong County, Liberia and is also opening a 50-bed treatment unit in Lunsar, Sierra Leone. In addition, teams are delivering critical personal protection equipment and training for local health workers on infection control and patient care.

Save the Children works in Guinea, Sierra Leone and Liberia to help prevent the spread of the virus, by training health workers, teaching tens of thousands of people in communities about how to limit the risks to themselves and their families, distributing protective kits, and providing much needed medical equipment.

World Vision staff in Sierra Leone are organizing major public awareness and prevention campaigns to protect children from the disease through radio, public events and interfaith workshops. World Vision also is delivering massive numbers of medical relief supplies, including 4 million pairs of gloves, to Sierra Leone, to support health workers.

Catholic Relief Services has been responding to the outbreak since earlier this year, and has staff in all the affected countries. They are providing medical supplies and training to healthcare workers and volunteers. They are also working with local leaders to raise awareness about Ebola.

Operation Blessing International is responding to the Ebola outbreak by sending American aid workers, multiple chlorine generators and shipping containers full of hospital linens and protective gear.

The World Food Programme has provided food and assistance to more than 430,000 people affected by the Ebola crisis. Rice, lentils, cooking oil and rations are being distributed, food for hospital patients is cooked by partner organizations, and quarantined populations get the food and take it home to prepare.

ChildFund International helped to open the first Interim Care Center that provides a safe place for children during the 21-day quarantine period after their last contact with someone infected with Ebola. The center is staffed with a nurse, social and mental health workers, and eight Ebola survivors, serving as caregivers and working with children to alleviate the trauma and stigma of losing a family member to Ebola. ChildFund is working with health officials and the government to establish additional Interim Care Centers as the emergency continues.

The UN Foundation Ebola Response Fund provides technical assistance to governments of Ebola-affected countries through field personnel and infection prevention and control experts. They also help deliver much needed supplies such as personal protective equipment and chlorine.

International Rescue Committee staff and community health workers in Liberia and Sierra Leone are working to educate people on how to stop the spread of the virus. They are also bolstering local health systems with medical staff, protective gear and logistical support.

Project Concern International or PCI has been fighting Ebola in Liberia since the outbreak began in March. The group was already in Liberia working with feeding programs and just switched gears to tackle raising public awareness of Ebola, training health care workers and providing medical supplies from bleach to hazmat suits. PCI has helped educate more than 140,000 people on how to prevent Ebola infection.

@highlight

Officials say this is the deadliest Ebola outbreak in history

@highlight

More help is needed to fight the disease in West Africa

@highlight

Aid organizations need funds to help fight Ebola