The Republic of Congo's main north-south road runs right on the edge of Odzala-Kokoua National Park. For now, it remains nothing more than a narrow dirt track and Odzala, the country's largest park, very much remains one of the world's last isolated natural Edens.

But Mathieu Eckel, head of the park's anti-poaching unit, knows that is quickly changing. For the past year, Eckel has been gathering evidence of Chinese involvement in ivory poaching, carving and trafficking right along the very same road. He now suspects that the global trade that ends in the markets of Asia is more entrenched in this remote corner of Central Africa than many could have ever imagined.

"We've had many stories that involve local poachers and Chinese, but to get the Chinese you have to find them with the ivory," he said.

Eckel's focus has been the dozen or so Chinese construction camps that dot the road. For the last five years, the Chinese state-owned China Road and Bridge Corporation (CRBC) has been under contract to turn the road into a paved highway.

But without actually finding the ivory in the hands of Chinese nationals, Eckel has largely been unable to make any arrests and unable to convince authorities to follow any of his leads.

The Yengo checkpoint, manned by Eckel's eco-guards, remains the park's link to the outside world, making it a crucial location to African Parks' anti-poaching efforts.  African Parks, a non-profit group, runs Odzala.

On a morning in which the unit had already tracked down and arrested two suspected poachers, one of the guards entered the gatehouse with even bigger news. "We got ivory, with the Chinese!" he shouted to Eckel. Eckel bolted outside to the vehicle just as the Congolese driver lunged for the guard holding the ivory. "Don't move, don't move!" Eckel shouted, shoving the driver up against the car.

Grabbing the carved ivory ring, he questioned the passengers -- two Chinese nationals. A brief interrogation confirmed what Eckel had already suspected. The car was coming from one of the Chinese construction camps, Moyoy.

A month ago, the African Parks eco-guards had one of their biggest busts to date, detaining two Chinese nationals with two ivory tusks in their possession.  They were based at the same camp, Moyoy. At the time, it was enough for Eckel to get the local prosecutor to go to the camp with him.  They found small pieces of ivory scattered on the ground among the pebbles just outside one of the buildings.

But rather than being allowed to search the premises, the prosecutor ordered the unit to leave.

When asked about the incident, the prosecutor told CNN the search was halted because the translator for the Chinese was away and they couldn't conduct a search without explaining to the Chinese why it was happening.

Eckel is convinced the camp runs an underground ivory carving workshop and that generally speaking, the Chinese workers in the country are funding and fueling the ivory trade.

The Chinese camps that lie along the highway are also located right next to small villages that have always had a history of poaching.  Now, Eckel suspects it's getting worse. "They ask everybody to get them ivory.  So you can imagine a villager and once a day a Chinese asks him -- do you have ivory?  What will he do, this man?  Of course he will become a poacher."

Last year, his unit busted a poacher with three AK-47s who was working on airport construction in the northern city of Ouesso.

"I asked him to call the dealer, and he called him in front of me, and the Chinese man on the phone said that he has a lot of ammunition and a weapon," Eckel said.  It was the first time that he had heard of a Chinese national bringing ammunition to a poacher.

The minister of forest economy and sustainable development, Henri Djombo, said he had not noticed an increase in poaching activity since the influx of Chinese nationals to the country.

But if any are found to be involved in the illegal trade, they will be prosecuted, he said.

"We do not want the Chinese to be a factor in the illegal activities of elephants... but those who stray away, break the law, will be punished."

As for the failure to search the Moyoy camp, he said it must have been a matter of incompetence.

Back at the checkpoint, the carved ivory ring was yet another link to the Moyoy camp, one that Eckel was determined to take advantage of.

In the bag where the ring was found are a computer and a pack of cigarettes.

One of the Chinese, an English-speaking manager, denied it was his, and said he didn't know who owned it.

"Ok, you smoke, your cigarettes are inside this bag and it's not your bag?" Eckel demanded, calling his guards to handcuff the men.

On the drive to jail, the English-speaking boss continued to deny he had any information about the ring or ivory moving through Moyoy camp. When they reached the jail, the Chinese camp manager and others are already waiting.  The English-speaking boss then said it was his employee who was the owner of the illegal ivory.  His worker signed a written confession in French, a language he does not speak.

The United Nations says Asia's insatiable demand for ivory has almost wiped out Africa's elephant population.  According to U.N.  data, the illegal ivory trade has tripled since 1998.

The Project for the Application of Law for Fauna, PALF, a non-governmental wildlife protection organization, works closely with the government but also puts pressure on it to fight corruption and initiate and follow through with arrests. "No network can function without corrupt authorities," explains Naftali Honig, PALFs Republic of Congo coordinator.  "From corrupt authorities in the ports where this stuff is being shipped out of all the way to the people facilitating the trade down in the forest, people turning a blind eye, collecting a little bit of a bribe to let a poacher pass with a gun."

Djombo admits, "there are those who are not working correctly."

The minister said the government has plans to create a joint committee to fight internal corruption. According to the government, there has been an increase in arrests and seizures. "It's because of the increase in activity," the minister said. "Why? Because of the international bosses, they are using all means to access these resources through our people, our criminals.  Yes, now we need stronger forces, stronger powers to try and stop this phenomena."

In the span of one week in November, PALF teamed with Congolese authorities to carry out four operations in the capital Brazzaville, arresting eight people.  Those included a dealer with sculpted ivory and a Chinese national who was attempting to board a flight with ivory jewelry after bribing his way through.

But a 10-hour drive away, in one of the areas from which the ivory could be coming, Eckel still doesn't have enough evidence to make any more arrests.  After their employee signed the confession and was charged with possession of the ivory ring, the Moyoy camp CRBC bosses agreed to allow Eckel's team to search the camp, in an effort to diffuse the growing tensions.

But the next morning, Eckel didn't expect to find anything. His informer had told him where the ivory should be located, but there was a disturbing update. "This informer told me there was a lot of activity at night... maybe they took off all the ivory from the camp this night," Eckel said.

The Chinese managers were cooperative, allowing Eckel and his team full access.  But they are hardly equipped to search the sprawling facility or the forest around it.

"This white powder, what is it?" Eckel asked, holding up a tool he found in a back room.

It's to carve wood, the managers said.

Eckel was hardly convinced.  He's certain that the connection between this remote corner of Africa and the ivory markets of Asia is stronger than ever.

@highlight

Anti-poaching leader is convinced Chinese construction camps are conduits for the ivory trade

@highlight

The Congolese government vows to punish anyone found to be connected to poaching

@highlight

A wildlife protection group works with Congolese authorities to find and shut down poachers