(CNN) -- When kiteboarding was given the Olympic seal of approval earlier this year, the brightest stars in the sport were faced with some life-changing decisions. Would they continue as semi-professionals who sail for fun, or quit their day jobs and focus all their time and energy to qualify for the 2016 Olympics in Rio -- with a good shot at winning gold?

For the current world number one male and female kiteboard racers -- Johnny Heineken and Katja Roose -- the news that the International Sailing Federation (ISAF) had made their sport of choice an Olympic event was met with both celebration and contemplation.

Roose, from the Netherlands, has been kiteboarding -- or kitesurfing as it's also known -- for over ten years.

For her, the decision to try and go pro after the Olympic announcement was easy. She was part of the team that went to Spain to convince ISAF that kiteboarding was a worthy Olympic contender, and she has her heart set on making the Dutch national team in four years time.

"My first goal is to qualify, and then I want to go to the Olympics and win a medal. It would be the most beautiful thing," said the 31-year-old, who became the highest-ranking female kiteboard racer last year, according to the International Kiteboarding Association (IKA).

Since completing university, Roose has been working a full time job for an internet provider in Amsterdam -- training in the evenings and during the weekends. She even started putting in overtime every week to save enough time off to travel to the best and biggest ranking kireboarding tournaments around the world.

But juggling a career and a competitive sport at the toughest international level is not an easy task, which is why Roose has decided to quit her job this month.

"If you want to be able to continue to be number one and win the Olympics, you have to dedicate more time to the sport. I might keep working one day a week to keep developing my career -- but I know this is what I have to do to have a chance to go to Rio, and I don't want to miss that chance," she said.

Watch: Fastest man on the water

Since ISAF announced that the sport would be featured in the 2016 Olympics, Roose has noticed a swell of interest from sponsors -- and quitting her job is all part of the plan to get a good sponsorship deal, enabling her to commit to the sport she loves.

Men's world number one Johnny Heineken has also had sponsors knocking on his door.

The 23-year-old American grew up sailing and windsurfing in San Francisco Bay, and although he is "super excited" about the prospect of competing in the Olympics and will "definitely keep going" to try and qualify for 2016, he is in no rush to resign from his day job just yet.

Heineken works as a mechanical engineer for a company that specializes -- rather fittingly -- in kite-powered wind energy. It just so happens that his boss is also an avid kiteboarder, and allows him time off to go to races when needed.

"The boss is pretty stoked with what I am doing, so I am lucky in that respect," said Heineken.

"I think for now it's nice to be able to go home and not have to think of every race over and over again, to go to the office and keep a little bit of reality," he added.

Both Roose and Heineken believe ISAF's decision will have a big impact on the future of kiteboarding. On the whole, Heineken thinks the changes to the sport will be positive -- but he is adamant that any significant alterations must "be done right."

"There is that saying: 'The quickest way of killing a class is to make it an Olympic class' -- and that's definitely not what we want," he said.

The quest to make the Olympics Games more exhilarating to a younger audience -- while ensuring that new sports are not altered too much -- is a challenge. However, both Heineken and Roose believe kiteboarding has enough of a "cool-factor" to pull in the younger crowds without too much tinkering.

"Kiteboarding has always been cool and it's a fast growing sport," said Roose. "Incorporating expression sports like snowboarding and kiteboarding definitely helps change the image of the Olympics," she said.

Watch: Investing in a winning team

Indeed, the sport was developed in the 1990s and has rocketed in popularity over the last few years. IKA Executive Secretary Markus Schwendtner estimates there are more than 1.5 million participants globally -- with 100,000 new learners joining every year.

According to the IKA, there are currently five categories of kiteboarding: Wave, freestyle, slalom, speed and course racing. Both Roose and Hainekken compete in "course racing", which was the category selected by ISAF as an Olympic sport.

"Course racing" is very similar to sailing's "fleet racing" and during a regatta it is common to have 60 or more kiteboarders cluster around a course at dramatic speeds.

The most important elements of course racing are the ability to generate and control the speed -- often exceeding 50 knots or more -- and tactical understanding, something which both the world number ones learned at a young age while sailing traditional boats.

Watch: A modern race with a classic design

Roose spent "every weekend sailing" with her parents around the Netherlands, while Hainekken raced skiffs for most of his life until he decided to focus solely on kiteboarding during his time at university.

"What I love about kiteboarding is that it is super fun and I still play around a lot when I practice," said Hainekken, who admits he didn't find sailing much fun in the end.

"I think a lot of it has to do with eliminating tons of logistical aspects of sailing. I used to have to have my boat somewhere, have my crew there, have three other boats to train with and wherever your gear was based you had to travel to," he said.

"But now I can just get up in the morning, pick what beach I want to train on, put my gear in the back of the car, and after a few text messages you know you will have an amazing fleet of kiteboarders to go out there and sail with. Making it easy makes it fun," he added.

For Roose, the thrill of kiteboarding is primal: "Because you are using the wind and the water, every second and every day is different -- you have to adjust yourself to nature's elements. You can use these things to do anything you want -- jump high into the air, speed up or just cruise. For me kiteboarding is ultimate freedom."

@highlight

Kiteboarding was selected as an Olympic sport in May and will be part of the 2016 line up in Rio

@highlight

The sport is practiced by ca 1.5 million participants globally -- with 100,000 new learners joining every year

@highlight

There are five categories of kiteboarding: wave, freestyle, slalom, speed and course racing