ISIS beheaded another Westerner, a British aid worker. U.S. Secretary of State John Kerry courted Middle Eastern leaders to join a coalition in the fight against the Islamist militants. And U.S. planes aimed at ISIS fighters near Iraq's capital.

As world leaders struggled Monday to come up with strategies against ISIS just days after a high-profile beheading by the Islamist militants, the U.S. military targeted an ISIS position near Baghdad.

An airstrike southwest of the city appears to be the closest the U.S. airstrikes have come to the Iraqi capital since the start of the campaign against the Islamist militants, a senior U.S. military official told CNN.

A statement from U.S. Central Command described the action as "the first strike taken as part of our expanded efforts beyond protecting our own people and humanitarian missions to hit (ISIS) targets as Iraqi forces go on offense, as outlined in the President's speech last Wednesday."

An ISIS "fighting position" that was firing on Iraqi security forces southwest of Baghdad was destroyed, the statement said.

Meanwhile, more than two dozen nations, the Arab League, the European Union and United Nations met in the French capital, calling ISIS a threat to the international community and agreeing to "ensure that the culprits are brought to justice."

In a statement at the conference's conclusion, the French government said the participants had agreed to take on ISIS "by any means necessary, including appropriate military assistance, in line with the needs expressed by the Iraqi authorities, in accordance with international law and without jeopardizing civilian security."

French President François Hollande, who hosted the conference with his Iraqi counterpart, Fuad Masum, said there was "no time to lose" in international efforts against ISIS.

Meanwhile, the leader of Iraq's Kurdistan region asked for intensified U.S. airstrikes, saying he would welcome foreign fighters and urging Iran and the United States to set aside their differences to fight ISIS.

Latest beheading

ISIS, which calls itself the Islamic State, underlined its barbaric credentials over the weekend -- posting a video showing the beheading of British aid worker David Haines and threatening the life of another hostage from the United Kingdom.

It was the third videotaped killing of a Western hostage released in less than a month.

The latest killing, ISIS said, was "a message to the allies of America" -- a direct challenge to the United States.

President Barack Obama announced last week that the United States would lead "a broad coalition to roll back this terrorist threat" and that U.S. airstrikes against ISIS would expand from Iraq into Syria.

The United States has said nearly 40 nations have agreed to contribute to the fight against ISIS, which has seized control of large areas of northern Iraq and Syria. But it remains unclear exactly which countries are on that list and what roles they'll play.

Britain won't 'shirk our responsibility'

Britain's role in the coalition is in particular focus after the killing of Haines, who was abducted last year near a Syrian refugee camp where he was working.

Haines' death "will not lead Britain to shirk our responsibility" to work with allies to take on ISIS, British Prime Minister David Cameron said Sunday. Instead, he said, "it must strengthen our resolve."

Cameron pledged to work with the United States to support its "direct military action." He also emphasized that "this is not about British troops on the ground."

Killer identified?

Cameron has vowed to "hunt down those responsible" for Haines' killing and "bring them to justice, no matter how long it takes."

The situation is made all the more difficult by the fact that the man who appears in the video beheading Haines -- believed to be the same man previously shown killing American journalists James Foley and Steven Sotloff -- has a London accent.

Cameron knows the identity of the killer, CNN national security analyst Peter Bergen has reported, citing unidentified British officials. But authorities aren't making it public for "operational reasons," Bergen writes in a commentary for CNN.

Cameron knows that the man in the video holds at least two other American citizens as well as other hostages from additional Western countries, and that he is part of a larger group of British hostage-takers working for ISIS, Bergen reports.

"It is a real crisis for Cameron, and it underlines a sobering fact: British citizens have volunteered to go to Syria to fight at 25 times the rate that Americans have done so, when adjusted for population size," he writes.

Building a coalition

Kerry, who attended the Paris conference Monday, closed out a Middle Eastern trip on Saturday, seeking to win support for the U.S.-led anti-ISIS coalition.

In an interview that aired Sunday on CBS' "Face the Nation," Kerry said some nations "are clearly prepared to take action in the air alongside the United States and to do airstrikes, if that's what they're called on to do," but he did not get more specific.

Britain has agreed to help arm Kurdish forces, support the Iraqi government, keep supplying humanitarian help and coordinate with the United Nations to battle ISIS.

France, meanwhile, began reconnaissance flights over Iraq, the French Defense Ministry said. Two Rafale air force planes took off from a base in the United Arab Emirates, it said.

Some nations have also offered to commit ground troops, but "we are not looking for that at this moment anyway," Kerry said in the CBS interview.

Iraqi Kurdistan's President Masoud Barzani -- whose Peshmerga forces have taken a significant role in battling ISIS -- told CNN's Anna Coren on Monday that he has not asked for foreign fighters but would welcome them.

He also called on the United States to step up airstrikes and said Iran should play a role in battling ISIS. But that can only happen, he said, if Iran and the United States "put their differences aside."

Iran has rejected any cooperation with the United States to combat ISIS in Iraq, Supreme Leader Ayatollah Khamenei said on his Twitter account Monday. "I rejected (the) US offer to Iran about ISIS, because US has corrupted its hands in this issue," the statement read.

Khamanei accused the United States of planning to use military action against ISIS to "dominate the region."

Analyst: Obama 'revealed too much'

A leading Iraqi expert on ISIS told CNN that Obama may already have revealed more about U.S. plans than he should have to the militant group's leader, Abu Bakr al-Baghdadi.

"The mistake was announcing too much of the strategy, and this was a free gift to al-Baghdadi to prepare and counter what has been revealed," said Hisham al-Hashimi, who has studied jihadist groups and their evolution in Iraq over the past decade.

He suggested ISIS has already begun to take defensive measures, including moving weapons and ammunition into depots and putting elite fighters among civilian populations to avoid airstrikes.

The anti-ISIS alliance that the United States is putting together risks driving more terrorist organizations to join forces with al-Baghdadi's group in what they perceive as a "crusader" war against Muslims, al-Hashimi said.

'Fighting ideology with ideology'

Influential Middle Eastern countries such as Egypt and Saudi Arabia may be crucial in countering that view.

"Help is needed from Saudi and Egyptian religious scholars in fighting ideology with ideology," al-Hashimi said. "This is key to extracting ISIS from the roots."

Last week, Egypt's grand mufti reportedly condemned ISIS, saying that its actions are not in line with Islam.

A member of the Saudi royal family told CNN on Monday that he didn't think his country would participate in military operations but would be pleased to see ISIS vanquished in response to its heinous violence.

"I think that with each killing that takes place, unfortunately, every time hopefully the world community will be more united in really eradicating this disease that's really infecting the whole Middle Eastern region and inevitably will be contagious to other countries in the world," Prince  Alwaleed bin Talal said.

If Obama sticks to the goal of defeating the Islamist extremists, the move will help restore Saudi Arabia's trust in Washington, which has been shaken over the crisis in Syria, he said.

Al-Hashimi said he is concerned by the exclusion of Iran -- arguably the most influential player in Iraq -- from the coalition.

"They sidelined Iran, and that is a very big mistake because Iran controls the Shiite militias in Iraq and these militias could sabotage military operations when it comes to logistical support or can threaten the safety of American advisers and trainers," he said.

How many more Western captives is ISIS holding?

@highlight

U.S. airstrikes target ISIS militants near Iraqi capital

@highlight

International community will fight ISIS "by any means necessary," communique says

@highlight

The U.S. says nearly 40 nations have agreed to contribute to the fight against the militants

@highlight

Britain's role is in focus after an ISIS video showed the beheading of one of its citizens