(CNN) -- We first thought about starting this piece with the story of Saleha Begum, a survivor of Bangladesh's 1971 war in which, some reports say, as many as 400,000 women were raped. Begum had been tied to a banana tree and repeatedly gang raped and burned with cigarettes for months until she was shot and left for dead in a pile of women. She didn't die, though, and was able to return home, ravaged and five months pregnant. When she got home she was branded a "slut."

We also thought of starting with the story of Ester Abeja, a woman in Uganda who was forcibly held as a "bush wife" by the Lord's Resistance Army. Repeated rape with objects destroyed her insides. Her captors also made her kill her 1-year-old daughter by smashing the baby's head into a tree.

We ran through a dozen other stories of women like Begum and Abeja, and finally realized that it would be too difficult to find the right one -- the tale that would express exactly how and in what ways sexualized violence is being used as a weapon of war to devastate women and tear apart communities around the world, conflict by conflict, from Libya to the Democratic Republic of Congo.

It is because of this complexity that we must understand how sexualized violence is being used. We must understand in order to stop it -- just as, when seeking to defuse a bomb, it is crucial to know its components. Both the World Health Organization and the U.N. Security Council have recognized that there is a lack of research on the nature and extent of sexualized violence in conflict, even as there is increasing demand from U.N. bodies, donors, and others for better analysis to work toward prevention and healing.

All of this is why we have begun a new project at the Women's Media Center that breaks down the specifics of sexualized violence into areas such as its motives and patterns, its fallout, and the gender and cultural attitudes that may have led to it. We're calling our project Women Under Siege, because with four women being raped every five minutes in Congo alone, we can say it is nothing less than that -- an ongoing siege. And it's time we began to put an end to it.

Sexualized violence may be the only form of violence in which the victim is blamed or is even said to have invited it. In war, rape shames women, men, children, entire societies. The stigma imposed on all who are touched by this violence makes this weapon incredibly effective as a means of destroying the enemy.

But it is crucial to remember that it wasn't always like this, nor does it have to be. Sexualized violence isn't a "natural" part of conflict. For the first 90% or more of human history, females and males had roles that were balanced and porous. Our societal positions weren't based on the domination of females by males. Humans and nature, women and men, were linked rather than ranked. The circle, not the hierarchy, was the organizing principle of our thinking.

By analyzing how sexualized violence was used to ethnically cleanse, as it was in Bosnia; to force pregnancies that would literally change the face of the next generation; or, as in Egypt, to stop dissent, we can look to future wars and possibly prevent a reoccurrence.

For generations, we have ignored or been denied knowledge of the mass sexualized violence inflicted on Jewish women in the Holocaust. Women who survived brutal attacks have even been accused of collaborating in order to survive, just as, say, a raped woman in the Congo may never be accepted back into her village or family because she is considered culpable.

Last year, a book called "Sexual Violence Against Jewish Women During the Holocaust" brought to light how the Nazis perpetrated rape and sexual humiliation on a tremendous scale. Yet none of this had been revealed or tried at Nuremburg. If we'd known about this earlier, might it have helped prevent rape camps in the former Yugoslavia? Or rape as a weapon of genocide in the Congo?

Naming sexualized violence as a weapon of war makes it visible -- and once visible, prosecutable. What happened to men in the past was political, but what happened to women was cultural. The political was public and could be changed; the other was private -- even sacred -- and could not or even should not be changed.

Making clear that sexualized violence is political and public breaks down that wall. It acknowledges that sexualized violence does not need to happen. When masculinity is no longer defined by the possession and domination of women, when femininity is no longer about the absence of sexual experience or being owned, then we will have begun.

But first, we have to stop saying sexualized violence is inevitable, or allowing its victims to be blamed. We have to imagine change before we can create it.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Gloria Steinem and Lauren Wolfe.

@highlight

Gloria Steinem, Lauren Wolfe: Rape is used as tool of war to devastate women, communities

@highlight

They say it hasn't been well studied; understanding its roots is important to stopping it

@highlight

New project, Women Under Siege, aims to study causes of sexualized violence

@highlight

Writers: Ensuring this violence is acknowledged as political, public is crucial first step