(CNN) -- My 65-year-old father, Satwant Singh Kaleka, was shot five times, knife in hand, as he wrestled with a domestic terrorist in the Sikh Temple of Wisconsin. The coward fled, leaving my father to pass away in a murmur of meditation.

My father lived the American dream. Starting with only a couple bucks in his pocket, he worked hard and long to make a life for his family and his community, helping to build the Sikh temple where he was attacked.

Since that day, many discussions in our community have come and gone, with little attention from the majority of the national media or government. It seems many hard-earned lessons from this tragedy already have been forgotten. But they bear repeating and remembering.

Injustice anywhere is an injustice everywhere. This attack was predicated on hate. Too many hate groups exist right here in the United States, and terror can take many forms: from school bullies to conservative radio hosts spreading fear and distortions to racists spewing hate. And, of course, to psychotic loners. Violence has become part of American life.

The U.S. has the highest murder rate of affluent democracies. America had an extreme homicide rate of 5.4 per 100,000 people in 2008-2009, compared with a 1.43 rate in England and Wales and a 1.3 rate in Italy. The statistics differ somewhat every year, but the rate is always much higher in the United States than in other affluent nations. Japan has less than a 10th of the U.S. murder rate.

Since 1982, America has seen at least 60 mass murders (defined as at least four people being killed) committed by guns. But violence doesn't manifest only in the psychotic actions of a few. It seems to be part of the fabric of society, prevalent in entertainment and present in the "pre-emptive war" in Iraq, waged on false information and funded by the American public.

The coward -- I will never utter his name -- who so violated sacred ground and killed so many people was a product of a broken system. He spent six years in the armed forces, drank heavily and was a member of a white-power rock band. At some point, we must acknowledge and understand why this happens. In seems our system of education, our culture and our governance are failing somehow.

President Obama, come to Oak Creek

On August 5, the American dream was attacked. Immigrants, whether naturalized -- like my father -- or not, have been treated as a second class for far too long. Mexican-American and Muslim immigrants shoulder the brunt of this sentiment. Yet all people who are not Caucasian and Christian most likely have felt this disregard, including African-Americans, brought to this country against their own free will. Conservatives who are anti-immigration add to the poison by denigrating foreigners more and more often.

It is a sad and backward situation because immigrants are the lifeblood of this country, as John F. Kennedy wrote so eloquently in his book, "A Nation of Immigrants."

"This was the secret of America: a nation of people with the fresh memory of old traditions who dared to explore new frontiers...," Kennedy wrote. "Every ethnic minority, in seeking its own freedom, helped strengthen the fabric of liberty in American life. Similarly, every aspect of the American economy has profited from the contributions of immigrants."

This second-class status was further demonstrated when the national government and media seemed to lose interest in or concern about the shootings and the ensuing dialogue. Maybe it was too much to take in after the massacre in a movie theater in Aurora, Colorado. Maybe this was not tragic enough to get prolonged attention. Maybe politically, this is a powder keg. Whatever the excuse, it is not good enough. Michelle Obama is coming to Oak Creek, but she is not an elected official who is responsible for national policies that are at the core of this problem.

On a Sunday morning when devout Americans were getting ready for a sermon, they were slaughtered by a maniac who should have never been able to own a gun, given his history.

No matter what was happening that week, it should have been top priority on any leader's list to do something to acknowledge and help right this situation. The president should have made phone calls to representatives of the Sikh community. The media should have sent their best and brightest to Wisconsin to dissect the phenomenon of hate murders -- to its credit, CNN did. Civil rights leaders would have done well to evaluate the nuances of the massacre, to shed light on their own causes. In turn, they would have gained an ally in the Sikh community.

If any of these things would have happened, maybe our discussion would turn to how to take action. How does "freedom" apply to hate speech, gun control, or the history of violence in America?

Maybe Democrats and Republicans could unite on the issue of safety in our society. Maybe political leaders would realize that when neighborhoods are safer, the economy benefits as more people and businesses move in. Maybe immigrants would stand side by side to raise a unified voice in the upcoming elections -- seeking legitimate immigration reform.

Maybe it's not too late. Maybe these lessons are not lost. Maybe those who laid down their lives did not do so in vain. I hope this is the case.

The opinions expressed in this commentary are solely those of Amardeep Kaleka.

@highlight

Amardeep Kaleka's father was killed as he tried to stop Sikh temple murderer

@highlight

Media and government did not pay enough attention to what this tragedy means, he says

@highlight

We need to find out why U.S. has highest murder rate of all affluent nations, he says

@highlight

Kaleka: We need action to stop violence against immigrants, racism and hatred