(CNN) -- We don't yet know how heavy a blow Hurricane Isaac will deliver to the Gulf Coast when it hits. But mindful of the devastation that Hurricane Katrina left in its wake, Alabama, Florida, Louisiana, and Mississippi have declared states of emergency and evacuations have begun. Public officials and emergency managers are getting good at getting people out of harm's way.

Unfortunately, where official plans are likely to fall short is in helping evacuees to quickly return to their storm-damaged communities and get back on their feet.

The kind of levee system failure we saw with Katrina in New Orleans in 2005 is not likely to be repeated with this storm, given the $14 billion investment that the Army Corps of Engineers is close to completing. Harder hit will be the people along the Mississippi, Louisiana, and Alabama coastlines and in low-lying inland areas with no levee protection.

But it's making communities safe enough for residents to return to quickly that is so important, because packing up and running away from the weather is so expensive. The average Gulf Coast family fleeing the storm will have to dole out and estimated $250 to $300 a day for food and lodging.

With the economy still foundering, and the unemployment rate for most of the Gulf Coast region still above 8%, plenty of folks have no savings to pay for shelter or even to fill the gas tank for the drive inland. Those who must leave their jobs behind will have smaller paychecks to draw on when the credit card bills arrive at the end of the month. The longer they must stay away, the greater the financial setback they will face.

While the media satellite trucks are likely to leave shortly after Isaac passes, plenty of hardship stories will be left to tell once Gulf Coast evacuees are allowed to return to their homes. Residents will almost certainly face the same kinds of challenges they experienced seven years ago in the aftermath of Hurricane Katrina.

Our elected officials all recognize the high political cost of failing to respond to a disaster as it unfolds, and will do whatever it takes to earn good marks. But despite the painful experiences the Gulf region has endured in the aftermath of recent storms, the path to recovery will still be a rocky one.

Federal, state and local government officials have not resolved many of the bureaucratic and insurance-related issues that slow restoring services, paying out legitimate claims and making repairs. Damage assessments have to be made and questions about liability and coverage have to be resolved for homes and businesses that are destroyed. In public spaces, cash-strapped agencies have to determine who is responsible for clearing debris and cleaning up spills of hazardous materials. To date, too little attention has been paid to streamlining these processes.

When government falls short in meeting the immediate needs of victims, nonprofit and faith-based relief organizations often step in to fill the void. But long before Isaac started churning through the warm waters of the Gulf of Mexico, relief organizations throughout the Gulf Coast were already under severe stress, trying to serve nearly one-fourth of the region's residents who have a chronic need for assistance.

And with charitable giving down below 2007 levels, churches and small community-based organizations have had to cut back on staff and make painful cuts in the social services they provide. What this means is that the ultimate safety net for the neediest populations may be one of the victims of Isaac. These organizations will require early and substantial outside assistance.

The storm will provide yet another vivid display of nature's menacing capacity for destruction and disruption as Republicans gather in Tampa, Florida, and a few days before Democrats descend on Charlotte, North Carolina. Organizers for both national conventions have promised programs that will offer up contrasting views of the role of government. Isaac will provide a reminder that managing messy real world challenges does not lend itself to simple formulas favored by political partisans. When it comes to assuring the safety and well-being of Americans, the truth lies somewhere in the middle.

Responding to and recovering from disasters require individual and local resilience on the one hand, and capable and competent government at all levels -- local, state, and federal -- on the other. Throughout this election season our political parties have been busy highlighting what divides us. But disasters have a way of teaching lessons that should unite us.

When catastrophic events happen, it is the decisions and actions of local officials and everyday people that are key to survival. But when it comes to planning evacuations, maintaining levees, and supporting the speedy recovery of communities leveled by a storm -- government matters.

The opinions expressed in this commentary are solely those of Stephen Flynn and Sean Burke.

@highlight

Writers: Isaac evacuations start; officials have gotten good at getting people out

@highlight

But many evacuees can't afford the $300 a day it takes to live away from home, they say

@highlight

Writers: Officials have not resolved issues that keep people from returning quickly

@highlight

Nonprofits, churches are low on funds; government must do more to help recovery, they say