Energy drinks can pose a real problem for children, according to a new study from the American Heart Association.

Researchers found that 40% of the 5,156 calls to poison centers for "energy drink exposure" involved children under age 6.  In most of the cases, the parents didn't know the children had gotten hold of an energy drink.  Many of the calls reported the children were experiencing serious side effects, such as an abnormal heart rhythm, or they were having a seizure.

The study is being presented at the American Heart Association's Scientific Sessions this week.

Study: Caffeine affects teen boys more

Study author Dr. Steven Lipshultz has handled cases involving children who became sick after consuming energy drinks. While studies about the impact of caffeine on children are limited, Lipshultz, a professor and chairman of pediatrics at Wayne State University, said adolescents can experience serious problems after drinking only 100 mg of caffeine. Younger children would feel effects after drinking even less, he said.

Some energy drinks contain more than 300 mg of caffeine and it can come in a combination of pharmaceutical-grade caffeine and "natural" additives. Earlier studies have shown caffeine combinations may cause more problems for people.

Lipshultz said he believes the number of cases associated with energy drinks and children are higher than what's reported in this study.  That's because parents of children who get sick after consuming too much caffeine do not always call the hot line; they may go straight to the emergency room instead.  The study did not look at those numbers.

"The reported data probably represent the tip of the iceberg," Lipshultz said.

"This is a very concerning finding," said Dr. Laurence Sperling.  Sperling is the medical director of the preventive cardiology clinic at Emory Healthcare in Atlanta. "It further points out that we need to be very responsible about who utilizes energy drinks, because they are potentially harmful to adults, but as this report points out, may be of greater concern to those who are young."

The Food and Drug Administration does not set a standard for what is considered a safe amount of caffeine for children.  The American Academy of Pediatrics prefers children consume no caffeine, although about 73% of children do every day, according to their research.  Children and adolescents are the fastest growing population of caffeine users, studies show.

Can you OD on caffeine?

For healthy adults, the FDA suggests moderate amounts of caffeine are not harmful.  The agency considers a "moderate amount" between 100 to 200 mg (one to two 5-ounce cups of coffee).  Other FDA guidance has cited 400 mg a day, or about four or five cups of coffee, "as an amount not generally associated with dangerous, negative effects."

More than 600 mg a day is considered too much, according to the FDA, although the impact caffeine has on someone varies based on their size, their gender, or how sensitive they are to caffeine.

The study's researchers would like the government to improve the labeling of energy drinks.  Energy drink makers are not required to list the amount of caffeine in a drink, because caffeine is not a nutrient, and the laws currently only require nutrients be listed in the dietary information on food or beverages.

The American Beverage Association recommends that energy drink makers identify the quantity of caffeine from all sources. The association suggests listing this in a part of the label that is separate from the nutrition information.  The association also suggests including the advisory "not (intended/recommended) for children, pregnant or nursing women (and/or persons/those) sensitive to caffeine."  Monster Energy, for instance, added the caffeine content and warning to its labels in 2013.  But because this is not required by law, not all energy drink labels contain such warnings.

In 2010 the FDA banned combination alcohol-and-energy drinks and calls to poison control centers for this particular combination fell sharply.

Caffeine 101

"We should consider appropriate labeling in light of this finding to help protect those who are consciously drinking the energy drinks, but also to protect those who may be drinking them unaware," Sperling said.  "We need to consider these energy drinks and their potential effects on the heart and vasculature and recognize that they are not benign."

@highlight

40% of "energy drink exposure" calls to poison control centers are for children under 6

@highlight

Study authors believe the number is under-counted

@highlight

The FDA does not set a caffeine limit for children