(CNN) -- Amid fierce fighting, Syrian TV on Thursday showed video of President Bashar al-Assad, the first images broadcast of him since a deadly attack on top officials a day earlier.

The development came as rebels fought government forces in Damascus and its suburbs and made significant attacks on strategic border points, officials said.

Half a world away at U.N. headquarters in New York, Russia and China vetoed a new Security Council resolution aimed at halting the violence, prompting fierce criticism from the United States.

The video, showing al-Assad with newly named Defense Minister Gen. Fahd Jassem al-Freij, came amid growing speculation about al-Assad's whereabouts. Some reports suggested he might have left the capital.

There was nothing in the video to indicate immediately when it was taken, but Syrian TV reported that al-Freij had taken his oath in front of al-Assad.

Although al-Assad has not often appeared on television or in public events during the near 17-month crisis gripping his country, it is unusual for a leader not to address a nation in the wake of a major bombing, and as violence rages in the capital.

Wednesday's blast at a government building in Damascus killed three top officials, one of whom also was the president's brother-in-law.

What we need to know about Syria

At least 217 people were killed Thursday, including 40 in Damascus suburbs, 70 in Deir Ezzor and 33 in Idlib, the opposition Local Coordination Committees of Syria (LCC) said. The Damascus suburb of al-Qaboun was under heavy fire Thursday, according to an opposition activist.

Rebel fighters fought Thursday for control of the country's borders with Turkey and Iraq, with success reported in the latter.

Two main crossing points, Albo Kamal and Al-Waleed, and seven additional security posts were in the hands of the rebels, a senior Iraqi Army official in Anbar province told CNN.

Iraqi security forces have increased their military and security presence at the border in Anbar as a precautionary measure, the official said.

The Free Syrian Army and other rebels were no longer in control of a compound they had seized at the Turkish border.

Forces attacked three to four border crossings, according to Col. Malek al-Kurdi, deputy head of the rebel Free Syrian Army.

"There was a battle at the border crossing, Bab al-Hawa, and government forces withdrew from the new gate to an older gate, al-Kurdi said.

Outnumbered rebels eventually were forced to withdraw from both gates, al-Kurdi said.

Videos posted to YouTube from inside a border station at the new gate showed a rebel tearing up a poster of al-Assad, while another rebel smashed portraits of the president and his father, Hafez al-Assad, who led the country until 2000.

Numerous world leaders slammed al-Assad's regime Thursday and condemned Russia and China for vetoing the Security Council resolution.

Russia, China veto sanctions on Syria

Western countries were pushing for a resolution that threatened new sanctions if government forces don't stop attacks against civilians. The resolution also called for renewing the 300-member U.N. observer mission for 45 days after it was suspended because of violence.

Russia and China, which have major trade deals with Syria, have said they want more balanced resolutions that call on all sides to halt the violence. Russia said Thursday's vote should never have taken place.

Russia had "very clearly and consistently explained" that it would not accept a resolution that "would open the path for pressure of sanctions and further to extend military involvement in Syrian domestic affairs," said Vitaly Churkin, Russia's ambassador to the United Nations.

Western diplomats "could have done something, anything, to promote dialogue" rather than "fan the flames of extremists," Churkin said. He described the draft resolution as "biased," saying it threatened sanctions exclusively at the Syrian government.

Susan Rice, U.S. ambassador to the United Nations, told CNN's "The Situation Room" that the United States will push other approaches to the conflict, including through the Friends of Syria Group.

"What Russia and China did today by vetoing a third resolution was really to slam the door, at least in the short term, on any effective action out of the U.N. Security Council," she said.

She called the two countries "isolated outliers" on the issue.

"History will judge them as having stood by a brutal dictator at the expense of his own people and at the expense of the will of the international community and the countries in the region," Rice told CNN.

The fate of the U.N. observer mission was unclear after the vetoes.

Competing drafts, sponsored by the United Kingdom and Pakistan, are expected to be considered by the U.N. Security Council. They highlight the simmering differences among members.

The UK mission said its resolution will be considered Friday morning. That draft measure extends the observer mission in Syria for a final period of 30 days.

Russia, which backs Pakistan's resolution, wants observers to stay in the country and promote dialogue. Western countries are concerned about the safety of observers and want one final deployment.

See the Syria crisis in photos

China's U.N. ambassador, Li Baodong, said his country is "highly concerned" about the violence, but Thursday's draft resolution was "seriously problematic," because it intended to pressure only one side in the conflict. It would not help resolve the issue "but derail the issue from the track of political segment," further aggravating turmoil, he argued.

Syria's U.N. ambassador, Bashar Jaafari, slammed the council for not issuing an official condemnation of Wednesday's bombing, although he noted that Kofi Annan, joint envoy to Syria for the United Nations and the Arab League, condemned it.

The lack of an official condemnation by the council indicates that talk of "supporting a peaceful solution in Syria is but a slogan," Jaafari argued.

He rejected a "misleading picture" of Syria as a tyrannical regime killing its people and said a solution should be found through a "political process that satisfies the Syrian people." All will participate to help "establish democracy" and "free elections," he insisted.

The al-Assad family has ruled Syria for more than 40 years.

Video: Fighting rages around Damascus

Residents trying to flee the Syrian violence have nowhere to go because clashes are raging in most of Damascus province, said Omar al-Dimashki, a spokesman for the Revolution Leadership Council of Damascus.

"It is surrounded by tanks, and anything that moves is currently being shelled, and rockets are falling on the homes," he said.

Sander van Hoorn, a journalist in Damascus with Dutch TV network NOS, a CNN affiliate, said, "One hour it can be quiet and the next hour all hell breaks loose."

A resident of the al-Qaboun neighborhood in Damascus said he fled with his wife and two sons after an explosion shook a house next door.

The man, who CNN is not identifying for security reasons, said his sister and her family joined them in Qamishli, and she described the government assault on al-Qaboun. "There were tanks, helicopters, armored personnel carriers and gunshots fell like rain. We were terrified," he quoted her as saying.

The Free Syrian Army warned them the neighborhood was "going to be a war zone."

Syria, which blames the violence on "armed terrorist groups," said it "repelled" some groups that attempted to enter Syria from Lebanon on Wednesday night.

The regime said Wednesday's bombing was carried out by people "implementing foreign plots."

The Syrian military issued a statement stressing its "resolution to decisively eliminating the criminal and murder gangs and chasing them out of their rotten hideouts wherever they are until clearing the homeland of their evils," state-run news agency SANA said.

Anyone who thinks that targeting leaders will "twist Syria's arms is 'deluded,'" the statement said, according to SANA.

Video: Syria government says it will fight back

The officials killed in the blast were the defense minister; the deputy defense minister, who is the president's brother-in-law; and al-Assad's security adviser and assistant vice president, state TV reported.

The FSA's al-Kurdi said the attack was coordinated by rebel brigades. But some other rebel commanders say it's unclear who was behind the attack.

Since the crisis began in March 2011, the United Nations estimates, more than 10,000 people have been killed in the violence; the opposition Local Coordination Committees of Syria estimates that more than 16,000 have died.

CNN cannot independently confirm reports of violence in the nation because the government restricts access by foreign journalists.

Attack threatens Syrian president's grip on power

CNN's Arwa Damon, Ivan Watson, Mohammed Tawfeeq; Richard Roth, Brian Walker and Salma Abdelaziz contributed to this report.

@highlight

NEW: U.N. Security Council will consider observer mission status Friday

@highlight

Thursday's death toll at 217, opposition group says

@highlight

Rebels control Iraq border crossing points, a senior Iraqi Army official says

@highlight

U.S. ambassador to U.N. says Russia, China are "isolated outliers"