(CNN)Sri Lanka's current president Mahinda Rajapaksa has conceded defeat to rival Maithripala Sirisena in the country's presidential election, bringing an end to a decade of leadership increasingly criticized as corrupt and nepotistic.

Rajapaksa acknowledged the defeat on his official Twitter account Friday, writing: "I value and respect our democratic process and the people's verdict, and look forward to the peaceful transition of power."

Sirisena would be sworn in at 6 p.m. local time in Colombo's Independence Square, Dhanushka Ramanayake, the head of his media unit, said.

The defeat of the once untouchable president, the longest-serving political leader in the region, was the result of a failed electoral gamble.

In November, the 69-year-old called elections two years earlier than required, only to be shocked by the defection of many key political allies, including the man who would unseat him.

The defections apparently wrong-footed Rajapaksa, and the opposition had the better of the campaign, say analysts.

"He didn't expect the candidate to be Sirisena," said Paikiasothy Saravanamuttu, executive director of Sri Lanka's Center for Policy Alternatives.

"I think he probably underestimated the disaffection in the country and the desire for change."

Unexpected departure

Sirisena, 63, served as general-secretary of Rajapaksa's Sri Lanka Freedom Party and health minister in his cabinet, before switching allegiance to a broad opposition alliance that proved to be the former president's most serious political challenge.

The unwieldy coalition includes the center-right United National Party, the hardline Sinhala Buddhist Jathika Hela Urumaya as well as parties representing the substantial Tamil and Muslim minorities.

The alliance could prove fractious as Sirisena pursues his ambitious agenda, said political scientist Dayan Jayatilleka.

"Sirisena not only has this coalition to hold together, he has to do so having promised a fast-track program of drastic political reform," he said.

"One doesn't know how this coalition will handle that."

During a campaign focused on Rajapaksa's perceived nepotism and dynastic urges, Sirisena pledged to weaken the powers of the presidency, crack down on corruption and hold fresh parliamentary election within 100 days.

'Heartland appeal'

A former Maoist, Sirisena was jailed as a young political activist, before being entering mainstream politics and being elected as a parliamentarian in 1989.

The farmer-turned-politician comes from a humble background in the rice-producing North Central Province -- credentials that appealed to Rajapaksa's political base in the Sinhalese heartland, said Jayatilleka.

"He's a Sinhala Buddhist from a peasant background -- you couldn't get more mainstream than that in Sri Lankan politics," he said.

"He's someone that the Sinhalese would trust."

But he also had the overwhelming backing of the country's substantial Tamil and Muslim minorities, who had been alienated by Rajapaksa's perceived failure to advance national reconciliation efforts in the wake of the country's decades-long civil war, and perceived tolerance of hardline Buddhist extremists blamed for stoking anti-Muslim violence.

READ MORE: Fascists in saffron robes? The rise of Bodu Bala Sena

Luster faded

Rajapaksa was elected president in 2005 and returned to office in 2010, a year after government forces routed the Tamil Tigers rebels to end the country's 25-year civil war.

The victory remained his main political asset, contributing to a "rock star appeal," said Jayatilleke.

But in recent years, the luster seemed to have faded for voters, with criticisms that his presidency had become increasingly authoritarian, power-hungry and dynastic.

Three of Rajapaksa's brothers occupied powerful positions: Basil as the Minister of Economic Development, Gotabaya as Defense Secretary and Chamal as the Speaker of Parliament.

Following his 2010 reelection, in which he earned 58% of the vote, an emboldened Rajapaksa amended the constitution to concentrate power in the presidential office and remove term limits, allowing for a tilt at an unprecedented third term.

Many Sri Lankans felt the move excessive, said Saravanamuttu. "They want the force of the executive president trimmed or abolished."

Congratulations flow

World leaders were quick to offer their congratulations to the incoming president.

Indian Prime Minister Narendra Modi tweeted that he had called Sirisena, and congratulated "the people of Sri Lanka on the peaceful & democratic poll process."

U.S. Secretary of State John Kerry congratulated Rajapaksa on accepting the results "in the proud tradition of peaceful and orderly transfers of power," and said he looked forward to working with Sirisena on implementing his platform of building a "Sri Lanka that is peaceful, inclusive, democratic, and prosperous."

Jayatilleke said there was a sense of satisfaction in Sri Lanka that, five years after the end of a decades-long civil war, the country had witnessed a smooth transfer of power.

"That's something that any society can be proud of," he said.

CNN's Sumnima Udas and Iqbal Athas contributed to this story.

@highlight

Sri Lanka's Mahinda Rajapaksa concedes defeat to rival in presidential elections

@highlight

Maithripala Sirisena was minister in Rajapaksa's cabinet before defecting

@highlight

A farmer turned politician, he has support of minorities and has pledged reform