Contractors who helped develop the embattled HealthCare.gov website blame each other and the government, but not themselves, in testimony prepared for Thursday's first congressional hearing on the problems engulfing the online enrollment system.

House Energy and Commerce Committee members will grill officials from CGI Federal, Optum/QSSI, Equifax Workforce Solutions and Serco at the hearing to examine technological problems faced by people trying to buy health insurance under President Barack Obama's signature reforms.

Complaints of inability to log in, lengthy delays, incorrect information relayed to insurance companies and other problems have plagued the website since it opened to much fanfare on October 1.

White House video makes HealthCare.gov issues seem simple

In the first detailed account of what happened, the prepared testimony describes a convoluted system of multiple companies designing parts of the website under oversight of the federal Centers for Medicaid and Medicare Services, a part of the Department of Health and Human Services.

According to the advance statements, the system had been tested as required but still buckled under an unanticipated flood of visitors when it opened.

Cheryl Campbell, senior vice president at CGI Federal, will tell the panel that testing of the site met industry standards and "passed eight required technical reviews prior to going live on October 1," according to her prepared testimony.

Sebelius on the spot in Obamacare website fiasco

"Unfortunately, in systems this complex with so many concurrent users, it is not unusual to discover problems that need to be addressed once the software goes into a live production environment," Campbell's advance testimony says.

"This is true regardless of the level of formal end-to-end performance testing -- no amount of testing within reasonable time limits can adequately replicate a live environment of this nature," she added.

Campbell blames initial problems on the "enterprise identity management" function known as EIDM that serves as the entry portal to the website.

The EIDM tool designed by another contractor, which Campbell's advance testimony doesn't name, "created a bottleneck that prevented the vast majority of users from accessing" Healthcare.gov when it opened, according to Campbell.

Gupta: 5 surprises from Sebelius interview

However, Andrew Slavitt of Optum, which designed the EIDM tool, says in his prepared testimony that an unexpected high volume of people registered at the start and overwhelmed the entry portal and other aspects of the website.

He puts the blame on the government, saying: "It appears that one of the reasons for the high concurrent volume at the registration system was a late decision requiring consumers to register for an account before they could browse for insurance products."

"This may have driven higher simultaneous usage of the registration system that wouldn't have occurred if consumers could 'window shop' anonymously," Slavitt's testimony says, adding that the EIDM tool was able to process the high volumes with low to zero error rates by October 8.

A third contractor, Equifax Workplace Solutions, says its role providing "real time verification of income and employment" information submitted by applicants has worked properly, according to the advance testimony by its corporate counsel, Lynn Spellecy.

Equifax conducted "multiple load and stress tests" that showed it could process up to 120,000 verification requests per hour or more, which it estimated as more than any peak period would demand, Spellecy's testimony says.

Insurers pledge to help solve website problems

Campbell also says in her prepared testimony that improvements to the EIDM tool have allowed more users to proceed to the website's main function of providing a range of choices and information on available subsidies for them to choose health insurance required by law.

"More individuals have enrolled in qualified insurance plans; however, the increased number of transactions ... have caused system performance issues (such as slow response times or data assurance issues) that now need to be addressed through tuning, optimization and application improvements," her testimony says.

The White House and Health and Human Services Secretary Kathleen Sebelius make the same argument, saying the initial problems in accessing the website have eased.

Sebelius: Website problems blindsided President

Sebelius has brought in tech experts from Silicon Valley and elsewhere to work with the contractors on eliminating problems, with acting Office of Management and Budget Director Jeff Zients overseeing the effort.

"The work of constantly improving the website will continue day by day," White House spokesman Jay Carney said Wednesday. "A week from now, it's going to be better than it is today."

The Energy and Commerce Committee isn't the only one probing Obamacare in light of its issues. So, too, is the House Ways and Means Committee and the House Oversight and Government Reform Committee.

The latter sent an eight-page letter Wednesday night to 11 contracting firms involved in putting together HealthCare.gov giving them two days to provide documents, meeting lists and all communications with the Obama administration on the project, committee spokeswoman Caitlin Carroll said.

The fact all three committees are in the same chamber -- which is led by Republicans -- is likely no coincidence. The GOP has and continues to be staunchly opposed to Obamacare, even trying unsuccessfully to make defunding or delaying it requirement before it would fund the government.

The White House has been pushing back against not just Republicans, but some Democrats who have urged an extension of the open enrollment period beyond March 31 and/or a delay in penalties for those who don't sign up for insurance on time because of the website issues.

The Obama administration is moving to clarify confusion on when people need to sign up for health care, and it has plans to issue new guidelines to this point soon.

Still, Health and Human Services spokeswoman Joanne Peters insisted "the individual mandate timing" -- i.e. the requirement for a person to have insurance by March -- "has not changed. ... It was true this morning. It is true tonight."

Pelosi pushes back on extending Obamacare deadline

@highlight

A third House committee is investigating the HealthCare.gov website issues

@highlight

A House committee holds the first hearing on website problems Thursday

@highlight

Developers blame each other and the government, but not themselves

@highlight

A problem with the entry portal clogged up the system when it opened, they say