(CNN) -- Who says we can't strike a balance between energy exploration and wildlife protection? For years, a false either/or argument has stalled progress in Washington on energy development. But now we have a chance to both develop and protect one of our nation's natural treasures.

Lying west of the Arctic National Wildlife Refuge, and roughly the size of Indiana, the nearly 23 million-acre National Petroleum Reserve-Alaska supports a stunning diversity and abundance of wildlife considered globally significant by scientists. The region also contains hundreds of millions of barrels of oil. Given today's polarized politics, is it possible to protect these lands while tapping their resources?

Emphatically yes. For proof, look no farther than the August 13 announcement by U.S. Interior Secretary Ken Salazar of a strategic plan that provides a responsible and equitable approach to managing the reserve.

Opinion: Next global warming worry: Thawing tundra

The new guidelines would make 11.8 million acres -- roughly half the reserve -- available for oil and gas leasing, while protecting important wildlife and waterfowl habitat in the remaining half. As Salazar said, the plan "will provide a road map to help facilitate the transition from leasing and cautious exploration to production and smart development" and "builds on efforts to help companies develop the infrastructure that's needed to bring supplies online."

This plan is great news for the caribou, grizzly bears, wolves and dense populations of peregrine falcons, golden eagles and other nesting raptors that live and breed on these lands. The offshore and coastal areas also provide important habitats for seals, beluga whales and polar bears.

The Teshekpuk Lake area is one of the most important goose molting habitats in the circumpolar Arctic, used by tens of thousands of Pacific brant, white-fronted, snow and Canada geese. Rare yellow-billed loons, spectacled eiders and millions of other migratory birds from the Pacific, Central, Mississippi and Atlantic flyways, and from as far away as South America, journey each year to the wetlands, ponds, lakes, streams and rivers on the reserve's coastal plain. The region has also sustained Alaska Native communities for thousands of years.

The reserve was originally established by President Warren G. Harding in 1923 when the U.S. Navy was converting its fleet from coal to oil, and has been managed by the Bureau of Land Management since 1976.

Opinion: Why we should look to the arctic

Although this spectacular area was set aside as a "petroleum reserve," the secretary of interior was given the legal authority and responsibility to ensure the protection of the environmental, fish and wildlife, and historical or scenic values there. About 1.5 million acres is already leased for oil and gas development. Salazar has publicly committed to pursuing a policy of accelerated development by offering annual lease sales in the reserve, the next in November, while also protecting ecologically important and sensitive areas.

Beyond protecting these irreplaceable lands, this plan demonstrates that energy and environmental policy need not be in conflict. We see this balanced, responsible approach unfolding around the world, from the protection of the vast Canadian Boreal forest to the creation of the Coral Sea marine reserve off the coast of Australia, both of which preserve critical but fragile resources while strengthening standards for sustainable use.

But this way of thinking is not really new. It harkens back to President Theodore Roosevelt's vision for sustainable and achievable conservation to protect the environment while still enjoying the economic benefits of our natural resources.

The proposed National Petroleum Reserve-Alaska plan is an important step in the right direction for all Americans, including Alaska natives, sportsmen and other conservationists who want to balance energy exploration with wildlife protection. But it's not a done deal; a final decision is expected in December. By dropping the old debate, Washington can demonstrate that a new era of compromise over conflict is possible. Instead of either/or, this is a win-win.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Rebecca Rimel, Dale Hall: National Petroleum Reserve has abundant wildlife and oil

@highlight

New plan would open half the Alaska reserve (11.8 million acres) to oil, gas leasing

@highlight

Writers: Wildlife such as caribou, bears, eagles, whales, polar bears would be protected

@highlight

They say the plan balances energy exploration needs and conservation concerns