I have an uncle who has always been a robust and healthy guy. He drank a glass of skim milk every day, bragged about how many pull-ups he was doing and fit into pants he was wearing 20 years before. He didn't take a single medication and retired early.

Given that he had no medical problems and ran his own business, he opted to go several years without health insurance. Eventually, when he turned 65, he picked up Medicare.

What happened next was a little strange. He fell off the wagon. He exercised only sporadically, and paid hardly any attention to what he was eating. One day, I saw him eat an entire bag of potato chips. He bemoaned the fact that he was forced to buy new, bigger pants, and he stopped drinking his milk. For him, becoming newly insured had nearly the opposite effect on him of what we doctors hope to achieve. He'd become unhealthier.

In many ways, my uncle was demonstrating a concept known as the moral hazard. Two economists wrote about this exact scenario  in 2006

They found that many men, at the time they obtained Medicare, started behaving badly. Moral, or morale, hazard is a term largely used by economists to describe the actions of people more willing to take risks because they are insulated from the cost of their actions, in this case because of their recently obtained health insurance.

In the case of these men, when they got Medicare, they took worse care of themselves; they actually exercised less. Among those who didn't visit the doctor after getting insurance, the effect was dramatic: Their overall physical activity dropped by 40%; they were 16% more likely to smoke cigarettes and 32% more likely to drink alcohol.

Even if that seems extreme, it's still worth asking: Does health insurance make us healthier?

The past five years have seen a tumultuous battle over Obamacare, or the Affordable Care Act, culminating in the bitter recriminations this fall over lost policies and the disastrous launch of the HealthCare.gov website. When I interviewed Health and Human Services Secretary Kathleen Sebelius at the end of October, she downplayed the concerns and seemed certain the site would be up and running by the end of November.

The website may be working better now, but to me that's not the most important issue. In my mind, the real suspense comes from whether Obamacare will really make us a healthier America, even if it succeeds in its ambitions to dramatically expand coverage.

A healthier America: That is the goal we should share as Americans, but access alone won't get us anywhere close.

This past spring, the New England Journal of Medicine followed up on an important experiment in Oregon.

The state created a remarkable strategy to do a minimal expansion of Medicaid. It decided to conduct random lottery drawings to allocate the limited spots.

While it was controversial in its implementation, the situation was a goldmine for researchers. It offered something very rare in these types of studies: a unique opportunity for researchers to compare the newly insured to their highly similar counterparts, who remained uninsured. The results were surprising, and mostly disappointing.

The newly insured Medicaid population did go to the doctor more often, used more preventive health services and received more medications. Problem was, in nearly every area, they weren't any healthier. The scientists sat down with more than 12,000 people and compared some of the most important health indicators. They found having insurance did not improve measures of blood pressure, cholesterol or how well diabetics controlled their blood sugar. Furthermore, the 10-year risk of having a heart attack didn't change in those who had Medicaid. It wasn't at all what the proponents of universal access to health insurance hoped they would see.

The results remind me of a column I wrote a few years ago, shortly after my own marriage. It seemed like a good time to explore the question of whether marriage was in fact good for one's health. I spent a fair amount of time researching the topic and one of the experts I interviewed gave me an answer I have never forgotten: Marriage is good for your health (long pause) ... as long as it's a good marriage.

It was a terrific answer, and a metaphor for so many aspects of our lives.

As you might imagine, I had quite a bit of fun with that article on marriage, but it taught an important lesson. There is almost always a second beat to any story. Being married all by itself isn't necessarily good or bad for your health. It was the effort required to make it a good or bad marriage that made up the entire difference.

The same can be said about health insurance. In this case, I don't mean that "good" or "bad" insurance is the critical factor, but that health insurance alone doesn't lead to better health. None of this works unless we all take personal responsibility, and hold ourselves accountable.

To be clear, there will always be some baseline benefit to being insured versus not being insured, even if you account for the moral hazard. A major Institute of Medicine report in 2009 found that uninsured adults are more likely to be diagnosed at an advanced stage of cancer, more likely to die from a heart attack and less likely to recover from a serious injury.

Even in Oregon, the newly insured enjoyed some benefits. For example, they were nearly a third less likely to suffer from depression, perhaps because they had more peace of mind from being insured. And there were significant benefits in nonmedical areas: Whereas more than 5% of the uninsured faced "catastrophic" medical expenses in a year -- defined as greater than 30% of their income -- those catastrophic expenses were virtually eliminated in the group on Medicaid.

But strictly in terms of health, insurance, like marriage, doesn't guarantee good health. After all, I am sure you can think of people right now who have terrific health insurance and terrible health. It seems the benefits pale in comparison to what we can gain with a few simple personal decisions about our health.

A good example comes from a study in the journal Circulation. Researchers estimated that if all Americans exercised 30 minutes a day, we would reduce the number of cardiovascular events -- heart attacks and strokes -- by a third. A third!  Just 30 minutes a day, and suddenly we are starting to get serious about a more healthy America.

You can break up the exercise into 10-minute chunks, according to the Centers for Disease Control and Prevention, and you don't even have to knock yourself out. Just go hard enough that your breathing is slightly labored, enough that it would keep you from singing if you suddenly got the urge.

Problem is that as things stand now, only half of us, at most, exercise that much.

While we are fond of comparing ourselves to France, a place that was ranked as having the best overall health care system in 2000, according to the World Health Organization, there's a huge difference between the United States and France that has little to do with the health care safety net.

We Americans are three times as likely to be obese as the average French person -- and obesity is related to just about every chronic disease imaginable.

I think about this all the time, and here is what I tell my own patients. It is time to stop merely playing defense when it comes to your health, and time to start optimizing yourself.

Yes, of course we are desperate to stamp out disease when it occurs, but we are more desperate for those diseases to never occur in the first place. I say that as a neurosurgeon, someone who is often called in to extinguish the brightest of fires. I also say this, however, as a 44-year-old dad who wants to be around for a long time.

I have been fortunate to have always had health insurance, but a few years ago, I decided to strive for something more. I wanted to optimize myself. I wanted to be the best that I could possibly be, instead of waiting around for the seemingly inevitable diagnosis of heart disease or diabetes. I found that it wasn't that hard. I became diligent about breaking a sweat every day. I made it as important as a meeting with my boss or a dinner date with my wife.

Also, as a student of neuroscience, I know the brain isn't particularly good at distinguishing thirst and hunger; so most people eat when they should drink. As a result we walk around overstuffed and dehydrated. Drinking fluids all day long has cut my calorie consumption by a third.

Studies of the mind-body connection also remind us that it takes about 15-20 minutes for the brain to know the stomach is full. Stop eating when you are 80% full, and you will likely take in the right number of calories. The Japanese call it hara hachi bu. To help, we use smaller plates in our home to trick the brain into believing we are eating more.

We eat meat occasionally, but no longer serve it in our home. I eat seven different colored foods a day, and try to buy locally grown vegetables whenever I can.

These are simple strategies that have made me biologically younger than I was nearly five years ago. At 44, I have the biological age of someone in his mid-30s.

It is true that the American Medical Association supports the aspects of Obamacare that expand insurance coverage, as do many others in the medical community, even if they aren't convinced that it will reliably lead to better health. It appeals to a sense of justice, and a desire to prevent the awful situation of people being turned away when they need help the most.

But, as we follow the story of Obamacare over the coming years, it's important to understand and agree on the true measure of success. As a doctor, I think a healthier America is the rallying cry we can all get behind. We have had a rocky, yet still vitally important start, but the point is that access to health care insurance is not nearly enough.

If we are serious about a more healthy America, the real change starts in each and every one of us, and it's not that hard to do.

@highlight

Sanjay Gupta: Moral hazard causes some to neglect health when they get health insurance

@highlight

He says Obamacare alone won't guarantee good health; personal habits must do that

@highlight

He says research shows 30 minutes of daily exercise cuts heart attack, stroke risk by a third

@highlight

Gupta: It's time to stop playing defense on your health; instead, start optimizing it yourself