(CNN) -- They say a week is a long time in politics. In today's febrile world of finance, it's a lifetime.

Europe's leaders may soon learn that lesson the hard way if they continue to dodge the question on everyone's lips: What to do if Greece is pushed out of the eurozone?

No stranger to unfortunate soubriquets herself, Angela Merkel has repeatedly refused to address the matter of a Greek exit -- or "Grexit," as it has been dubbed.

This week, she cited "political correctness" as her logic for skirting the issue.

Either way, the bosses of some of the eurozone's biggest companies have decided they can't afford the luxury of being caught short.

With a staff of more than 90,000 to consider and operations in more than 80 countries to oversee, Shell CEO Peter Voser has admitted that he must plan for what the markets say is an increasingly plausible outcome to a tragedy well into its third year.

Speaking on CNN's "World Business Today," Voser said that "one obviously has made provisions" at this stage.

"I still see it as a low likelihood scenario, but we have done our work over the last few months to prepare ourselves," he said.

As high as the stakes are for one of the world's biggest oil companies, the stakes for heads of government, like Merkel, are even higher. About 320 million people use the euro daily, and as the German chancellor knows, the integrity of the union is crucial for confidence in its economy -- an economy that just flatlined in the first quarter.

This invites the question: If it's so obvious to business leaders, why do Europe's elected leaders still shy away from the subject?

Charles Proctor, partner at the law firm Edwards Wildman, thinks he knows the answer.

Having spent the past two years pondering the possibility of a eurozone member dropping out, Proctor says the existing legal framework doesn't offer a formal escape route.

The European Union treaty does give Greece the extreme option of backing out of the EU but not out of its monetary system in itself. This means any negotiations would have to be kept quiet.

"One assumes that a certain amount of contingency work has been done," Proctor said, "just that it has been kept secret against the political backdrop that the eurozone must hold together."

Greeks set election date amid possibility of bank panic

That view is echoed by former EU Commissioner and one-time UK Trade Secretary Peter Mandelson.

"I think it would be better to discuss this behind closed doors. Otherwise, it would create yet more uncertainty," he said.

"In theory you might say: 'Its face doesn't fit, it's not performing in the way that others need it to do, its politics are falling apart, its people are miserable ... so why not let it go out?' But the consequences of that would shake Greece for many, many years to come."

Since Greece went to the polls May 6, as many as six rate-setters from the European Central Bank have openly debated the pros and cons of a common currency minus one troublesome member.

The word "Grexit" has made the front page of tabloids and broadsheets in non-eurozone nations like Britain for two straight days. But bookmaker Paddy Power has cut the odds it is offering on Greece being the first out of the eurozone to 1-in-10 from 1-in-8.

Lex van Dam, co-founder of Hampstead Capital, says it's a "really tough call." He says Greece's chances of keeping the euro are 50-50 and hinge less on political goodwill than financial support from the European Central Bank.

"Saving Greece means throwing good money after bad, but not saving Greece means possible huge and fatal capital outflows from the periphery as well," he said.

If that's the case, van Dam said, the losses incurred by the central bank could threaten the very institutions set up to safeguard the euro. Which means keeping Greece inside the eurozone could mean a "no euros zone" for its neighbors further down the line.

So can the tide be turned?

Proctor reckons the dam has burst.

"For many years it used to be taboo, but so many people are talking about it, it's not a possibility that can be ignored anymore," he said.

Either way, lawyers, hedge fund managers and chief executives are discussing the euro area's monetary fate, even if those in charge of its member nations are not.

@highlight

The eurozone's biggest companies make contingency plans for Greece's exit

@highlight

"I still see it as a low likelihood scenario, but we have done our work," Shell's CEO says

@highlight

Europe's elected leaders are saying little, but many suspect behind-the-scenes talks

@highlight

Lex van Dam sees a 50-50 chance of Greece staying in the eurozone