The death rate due to cancer has declined in the United States in recent years, largely due to better prevention and treatment. In fact, 650,000 lives were spared from cancer between 1990 to 2005, according to new statistics from the American Cancer Society.

Experts say prevention and improved treatment has lowered the U.S. cancer death rate.

During the 15-year period, the cancer death rate among men dropped by 19.2 percent, mainly due to decreases in lung, prostate, and colon cancer deaths. In women, the cancer death rate fell by 11.4 percent, largely due to a drop in breast and colorectal cancer deaths.

"This is good news because cancer death rates have continued to decrease since the early 1990s because of prevention and improved treatment for many cancers," said lead author Dr. Ahmedin Jemal, the strategic director of cancer surveillance at the American Cancer Society in Atlanta, Georgia. "We have to be optimistic based on the trends. We are on the right track."

The findings are published in the July/August issue of CA: A Cancer Journal for Clinicians.

Despite the optimism, however, there is still much work to be done to win the war on cancer, experts stress. There will be close to 1.5 million new cancer diagnoses in the U.S. in 2009, and 562,340 people are expected to die of the disease. This means that more than 1,500 people will die of cancer each day in 2009; the most common lethal cancers in men and women are lung, prostate, breast, and colon cancers. Health.com: How to avoid colorectal cancer

A drop in hormone replacement therapy leads to a decline in breast cancer cases

The decrease in deaths from breast cancer accounted for 37 percent of the reduction in the death rate among women during the 15-year period.

"Any life spared from cancer or serious illness is a victory, but success comes in little steps -- one life at a time," said Dr. Marisa Weiss, the president and founder of advocacy group Breastcancer.org and the author of several books, including Taking Care of Your Girls: A Breast Health Guide for Girls, Teens, and In-Betweens.  Weiss is also the director of breast radiation oncology and breast health outreach at Lankenau Hospital in Wynnewood, Pennsylvania.

"It's great news that a large chunk of the decreased death rates in women can be attributed to breast cancer," she said. This is largely due to a decreased use of hormone replacement therapy (HRT), which has been shown to increase a woman's risk of developing breast cancer. HRT fell from grace after a large government-funded study known as the Women's Health Initiative was stopped early because the risks of HRT, including an increased risk of breast cancer, greatly outnumbered the benefits of the therapy. Health.com: What breast cancer really feels like

Another reason for the decline in breast cancer deaths, however, is delayed diagnosis due to the fact that many women are not getting their yearly X-ray or mammogram.

"Fewer women are getting mammography and that's why fewer women are getting diagnosed with breast cancer, so eventually that will come back and bite us in the rear end," Weiss said.

Black women continue to die of breast cancer at a greater rate than their white counterparts, she pointed out.

What's more, the current obesity epidemic may fuel a rise in the rates.

"Fat makes extra hormones, which lead to extra cell activity and extra abnormal cell activity," she said. "Fat is a storing facility for hormonally active pollutants, so if you are overweight, you're more likely to hold on to some chemicals in the environment that enter your body from food and water." Health.com: How to keep your food cravings at bay while you lose weight

And that's not all: "Fat brings on puberty earlier and early puberty is a risk factor for breast cancer," Weiss said.

"These areas of disappointment are areas of opportunity," she added. But greater efforts are needed to encourage healthy eating and exercise to help combat obesity, especially in adolescents, she said. Health.com: Melt pounds with mix-and-match cardio routines

Another encouraging sign is a drop in colorectal cancer deaths due to better and more widespread screening.

"Colorectal cancer screening saves lives because it detects cancer at early stages when treatment is more effective, and it also removes precancerous lesions," said Jemal. The current recommendation for people at average risk of colon cancer is to get regular screening tests starting at age 50.

Not all good news

Death rates from breast and colon cancers are falling, but the death rates from pancreatic (women), liver (men and women), and esophageal cancer (men) are increasing -- largely because of the obesity epidemic. Among men, death rates for the fatal form of skin cancer melanoma are also on the rise.

Although there has been a decrease in lung cancer deaths among men (due to smoking-cessation efforts), the death rates for women with lung cancer are still on the rise. Lung cancer is expected to account for 26 percent of all cancer deaths in women in 2009, according to the new statistics. Health.com: My smoker's cough turned out to be emphysema

"We haven't seen a decrease here yet, but cigarette smoking in women peaked about 20 years later than it did in men," Jemal said. He predicts a decrease in lung cancer deaths in women in the next 5 years.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

American Cancer Society estimates 650,000 lives spared from cancer 1990 to 2005

@highlight

Cancer death rate for men dropped by 19.2 percent, in women, 11.4 percent

@highlight

Drop in breast cancer attributed to decreased use of hormone replacement therapy