(CNN) -- Tales of war leave out half the story much of the time:

Women.

Now that attention is turning to what women endure during war, it is time to ensure they get a say in the peace.

In 1951, Eric Hoffer wrote, "Though ours is a godless age, it is the very opposite of irreligious. The true believer is everywhere on the march, and both by converting and antagonizing he is shaping the world in his own image."

The true believer is everywhere in "In the Land of Blood and Honey." The film forces its audience to consider the cruelty men are capable of visiting upon one another and what nobility and humanity people share while enduring horror beyond the imagination's capacity to digest.

How those instincts exist hand-in-hand, forced into intimacy in the suffocating confines of war's madness, and what little it takes for the true believer to ignite the darkest hollows of men's souls are the subject of "In the Land of Blood and Honey," actress and director Angelina Jolie's film on the Bosnian war. People do not want to know what men have been capable of, because it shows us the horror of which true believers are capable.

But this film refuses to look away. And viewers shouldn't either, because bearing witness matters, and there is much for all of us to remember. Among the most unforgettable points: the cruelty meted out to women simply to send a message of war.

"In the Land of Blood and Honey" focuses on two characters, one a young woman sent to a "rape camp" in Bosnia. Viewers might want to think this did not happen or could not happen, but of course the film's relentlessly painful point is that it did, less than an hour's flight from Vienna. Such violence continues today in the Democratic Republic of Congo and Sri Lanka, as the International Crisis Group recently noted.

And in the PBS series "Women, War & Peace," viewers experienced the painstaking process of bringing Bosnia's perpetrators to justice at the International Criminal Tribunal for Yugoslavia, the first tribunal to define sexual enslavement as a crime against humanity.

Men in fancy conference rooms in government capitals, the United Nations and think tanks around the world rarely focus on the civilians caught in the crossfire, trapped in a hell they had no role in creating. As rape becomes increasingly relied upon as a weapon to humiliate, destabilize and exercise power, women's bodies become the battlefield between two warring sides. Not only do they get no say in war, they must pay its price in excruciating detail. This trend has only become more apparent as the very nature of war has changed from state-on-state to intra-state conflict.

According to the Human Security Report Project, in 1989, governments accounted for 75% of deaths resulting from organized campaigns against unarmed civilians. In 2008, that figure fell below 20%. "Non-state groups, responsible for 25 percent of one-sided-violence fatalities in 1989, perpetrated over 80 percent of the deaths in 2008."

Recently, the United States unveiled its National Action Plan on Women, Peace, and Security (PDF). In the report, Secretary of State Hillary Clinton outlined her plan to "accelerate, institutionalize, and better coordinate" efforts to "advance women's inclusion in peace negotiations, peace-building activities, and conflict prevention; to protect women from sexual and other kinds of violence; and to ensure equal access to relief and recovery assistance, in areas of conflict and insecurity."

The numbers show rather abundant room for improvement:

• According to UN Women, women have accounted for fewer than 8% of all peace negotiators in the past 20 years.

• Women account for fewer than 3% of peace treaty signatories during the same period.

• Of 300 peace agreements UNIFEM analyzed, just 18 mentioned sexual-based violence.

• According to Michelle Bachelet, former president of Chile and now head of UN Women, "in actual budget terms, the U.N. allocates only about 5 percent of its post-conflict funds to addressing women's post-conflict needs."

One of UN Women's goals, she noted, is to boost that figure to 15%.

The Nobel Peace Prize awarded to Liberian President Ellen Sirleaf Johnson, activist Leymah Gbowee and Yemeni activist Tawakkol Karman sent a message that, according to the head of the Nobel committee, "we cannot achieve democracy and lasting peace in the world unless women obtain the same opportunities as men to influence developments at all levels of society."

Now it is up to the world to decide whether its wallet and its political will replace lofty words. Change cannot happen unless women are seen not only as victims of war, but as participants in peace and stability. The numbers show that when they are present they make a difference.

When women have a seat at the table and a share in the power, man-made horrors such as the rape camp so vividly depicted in "In the Land of Blood and Honey" may be less likely to return. Let us hope that the world is at last ready to stop simply pitying women and prepared to start investing in them.

The opinions expressed in this commentary are solely those of Gayle Tzemach Lemmon.

@highlight

Gayle Lemmon: Angelina Jolie's movie about Bosnian war confronts war's cruelty

@highlight

The movie shows how raping women has become a global weapon of war, Lemmon says

@highlight

Lemmon: Horrific cruelty toward women used to humiliate, exercise power over opponents

@highlight

She says women must be part of peace processes and their plight acknowledged