(CNN)The Obama administration has consistently supported measures aimed at reforming mandatory minimum prison sentencing for nonviolent drug offenders. But President Barack Obama's recent decision to commute the prison sentences of only eight federal inmates -- incarcerated for drug crimes -- has left advocates wanting more.

The forgiveness of a crime after a sentence is served or the reduction of a sentence currently being served is one of the few presidential powers widely unchecked by Congress or the courts. Commutations are traditionally issued in the weeks leading up to the holidays.

The eight offenders granted commutations this year (here is the full list from the White House) were all serving lengthy sentences, half of them life sentences, for drug offenses related to crack cocaine and methamphetamine. Although this was the same number of commutations granted in 2013, many expected the number to be much greater given the Justice Department's April announcement of a new prison reform initiative aimed at making it easier for the administration to pardon or reduce sentences of non-violent offenders.

"Well, it's a start, albeit a disappointingly small one," said Julie Stewart of Families Against Mandatory Minimums. "Given the administration's pronouncement that it wants to grant more clemencies, I was surprised they granted the exact same number of commutations as last December."

The initiative launched by the Obama administration and outside advocacy groups earlier this year was touted as a way to "quickly and effectively identify" inmates serving mandatory minimum sentences that have since been characterized as "out-of-date" and inappropriate, according to a statement made by Deputy Attorney General James Cole in May.

Cole said the President's decision to grant clemency to these eight individuals "sustains his commitment to bring fairness to our criminal justice system. While all eight were properly held accountable for their criminal actions, their punishments did not fit their crimes, and sentencing laws and policies have since been updated to ensure more fairness for low-level offenders."

But the Clemency Report, an advocacy group dedicated to making executive clemency work on the federal level, called the number of commutes "disgraceful in an era of mass imprisonment," according to a statement posted to their website.

The advocacy group pointed out that no marijuana, powder cocaine or LSD offenders had their sentences shortened despite the fact that an estimated 2,000 federal inmates qualify for commutation consideration under the administration's new criteria.

This new policy dictates offenders must be low-level, nonviolent and without a significant criminal history. They also must have served at least 10 years of their sentence and have demonstrated good conduct in prison, with no history of violence before or during their incarceration.

One federal inmate who clearly meets the Justice Department criteria for commutation is Timothy Tyler, sentenced to two life sentences without the possibility of parole for conspiracy to possess LSD with the intent to distribute. He has spent more than 20 years in prison but has been clinging to the hope he will someday be free as a result of the Justice Department's initiative and the absence of a violent past.

Timothy's sister, Carrie, who has dedicated her life to tirelessly efforting her brother's release, believes that the lack of commutations this year does not indicate a reluctance on Obama's part to follow through with prison reforms. But it is evidence of the bureaucracy-induced backlog caused by the amount of applications for qualified inmates, she believes.

RELATED: Man hopes new sentencing rules will get him out

Obama has received 15,646 petitions for commutation since 2009 and, with the addition of the eight granted this year, has granted a total of 21. That's more than the number granted by Presidents George W. Bush, Bill Clinton and Ronald Reagan at the same stage in their presidencies.

"One of [the pardoned prisoners] is Tim's friend and he put his petition in two years ago," Carrie Tyler said. "Tim's petition has not been submitted. It will be in the beginning of the year. It has taken them over a year to do his petition."

She is still hopeful her brother's name will be on the list of those released some day in the near future.

"I believe more will come in the future. I think he [the President] will keep his promise," Carrie Tyler.

Stewart, of Families Against Mandatory Minimums, which has been working on Timothy Tyler's release, also remains optimistic.

"I think the new pardon attorney, Deborah Leff, is genuinely interested in finding deserving candidates," she said of the new head of the Office of the Pardon Attorney, long been seen as the "Office of No."

@highlight

President Barack Obama recently commuted the sentences of eight federal drug offenders

@highlight

The Obama administration has consistently supported mandatory minimum sentence reforms

@highlight

Advocates say they are disappointed with the low number of commutations by Obama