ATLANTA, Georgia (CNN)  -- As mental health advocates, policy makers, practitioners, educators and researchers gathered at the Carter Center to discuss the progress in addressing American children's mental health needs, a drama of sorts was reaching its conclusion halfway across the country.

The former first lady kicked off the 24th annual Rosalynn Carter Symposium on Mental Health Policy.

The governor of Nebraska signed a bill Friday to change a controversial safe-haven law by restricting the age at which a child could be dropped off at a hospital without parents being prosecuted.

Since the law took effect in September, 35 children -- all but six of them older than 10 -- have been dropped off at Nebraska hospitals.

The revised law adds a 30-day age limit; it was approved by the legislature at a special session Friday and goes into effect at 12:01 a.m. Saturday.

These two events appear to have little in common, but they are "intimately related," according to Jane Knitzer, one of the pivotal speakers at the 24th annual Rosalynn Carter Symposium on Mental Health Policy in Atlanta, Georgia. "Many of these families are families that have come to the attention of the service systems already, have been struggling since their children were young. They haven't gotten the help they need; they are feeling totally desperate. We have a system that doesn't respond early enough and with appropriate intensity."

Knitzer, director of the National Center for Children in Poverty and a clinical professor of population and family health at Columbia University's Mailman School of Public Health, should know.

Twenty-five years ago, she wrote a report that summarized, state by state, the programs available to children with mental health needs and their families, and the policies that govern them. The portrait was a bleak one, with many states not even able to identify the dollar amount budgeted for children's mental health.

Twenty-five years later, the situation is improved but isn't much better, according to the report's sequel, "Unclaimed Children Revisited: The status of children's mental health policy in the United States," which was unveiled at the symposium.

The landscape is still one of patchwork policy and hodgepodge programs both among states and within individual states, with very few states having a cohesive strategy for addressing the needs, much less the infrastructure and funding to carry that strategy out.

"I am really distressed about how we treat children; this is something I have worked on and been concerned about for years," former first lady Rosalynn Carter told CNN. "We know what to do for them, and we don't do it. When we finally do something with them is when they get in trouble. We neglect children."

Carter has been a mental health advocate since 1970, when her husband, former President Carter, was running for governor of Georgia.

"We have learned so much about children, about the developing brain and treatments that work, and we just don't use them; that is one reason this symposium is so important," Carter said.

"We have children's advocates from across the nation, and if we can just band together and try to do something about it. This is a really, really great time, because we have a new administration in Washington, and hopefully we can form a strong enough advocacy group and get some things changed, if not everything we'd like."

The endeavor is a giant undertaking, and the number of affected children and families is huge. Research shows that approximately one in five children has a diagnosable mental disorder ranging from "mild," such as attention-deficit (hyperactivity) disorder, to the more severe.

More than three-quarters of these children don't get the services they need, and what they do get is based purely on chance: which state they happen to live in.

"For the last 25 years, most of the leadership has come from states as opposed to having a federal system," explains Janis Cooper, co-author of "Unclaimed Children Revisited." "That is kind of our make-up in the United States; on the other hand, there are certain things that are very hard to move without having a federal vision."

Cooper is the director of child health and mental health at the National Center for Children in Poverty and an assistant clinical professor of health policy and management at Columbia University Mailman School of Public Health.

"There are all kinds of consequences of untreated mental illness," Cooper said, from unneeded suffering to suicide to situations like the Columbine High School shootings.

"On the other end of the spectrum, untreated mental illness can cost us a lot of money in our system. If you want to talk in terms of cost effectiveness: We have a lot of kids in juvenile justice facilities, in child welfare facilities, because we are not intervening early enough with them." That is not even counting the cost of lost productivity to society.

"We know in the mental health community that if you give children good health care before and after birth, good nurturing, good mind stimulation, they have a much better chance to grow up to be contributors to the community, well-adjusted young people," Carter said. "And we just don't do it. It is very, very distressing."

There are many barriers to better mental health care for children: a lack of awareness of the issue, a lack of a unified vision from the federal government, no political will to change the situation, a lack of adequate funding and the de-stigmatization of mental illness.

Progress is plodding forward. Carter, Cooper and Knitzer all pointed to the recent passage of the "mental health parity" provision, tacked on to the $700 billion economic bailout bill, which would require health insurance companies to cover mental illness on an equal basis with physical illness.

Another hopeful sign, they say, is the incoming Obama administration and its possible appointment of former Sen. Tom Daschle to be secretary of health and human services.

"My hope for the new administration is that we will be able to enact, to build, a supportive health care framework and a mental health framework that makes sense given our knowledge and given it's the 21st century," Knitzer said. "And to really move forward. I am hoping that there will be support for this as we talk about health care reform."

The situation in Nebraska "is no surprise," Knitzer said.

"We need to see this as an opportunity to say 'this is why we need a stronger mental health system,' not that we should only let people drop off the babies. This is a clarion call to say why it is so important that we build a mental health system that supports children and families. Because these are families that are crying out for help, and we are saying there is nobody there."

@highlight

Experts from across the country gather to discuss mental health needs of children

@highlight

One in five U.S. children has a diagnosable mental disorder

@highlight

75 to 80 percent of affected children do not get the needed mental health services

@highlight

Hope is high that new administration will tackle issue in health care reform