(CNN) -- Years ago, a friend of mine considered getting a mobile phone, but he opted for a car phone instead. He just couldn't imagine needing to call someone when he was walking around.

As humans, we often have a hard time seeing the significance of new technologies. When the telephone came out, the telegraph companies dismissed it as "idiotic." Many of the first television programs consisted of people reading radio scripts. According to popular legend, Thomas Watson of IBM once declared that the worldwide market for computers was "five."

When the web arrived, it was like an entirely new dimension. It allowed us to publish things into "cyberspace," where anyone could see them. We could instantly pull up facts on any topic. Soon e-commerce emerged, allowing us to research products, buy things with one click and track our shipments in real-time. Social networks allowed us to publish profiles and learn about others in ways never before possible. It was a Cambrian explosion of knowledge. To this day, we struggle to remember what life was like without it.

Should we fear mind-reading future tech?

The physical world, by comparison, is pre-internet. Each day we walk past buildings wondering what they are. We wait at busy intersections, hoping that a taxi will eventually come our way. We go to clothing stores blindly hoping to find things we like, and we cross paths with thousands of people, knowing nothing about them. For some reason this does not seem weird to us. It has always been this way.

For the second time in as many decades, a new dimension is opening up. The mobile phones that once seemed so useless are now everywhere. And they are powerful -- with GPS receivers, gyroscopes, accelerometers, and proximity sensors. They can speak to other databases, access the internet, and publish things into the air above our heads. It's a new type of spatial web: one that gives us real-time data about the people, places and things physically around us.

Mapping and local search apps like Yelp have been popular since the early days of the iPhone. More recently, improvements in battery life and location technology have given rise to services like Uber and Lyft, which let you request a ride and track your driver as a moving dot on a map, coming to pick you up. TaskRabbit and Exec do similar things for local errands, and HotelTonight lets you book a last minute hotel nearby with the tap of a button.

This new web is also changing the way we socialize. Imagine if you could see information about the people standing near you. Your phone could notify you when friends were nearby, help you remember people's names, and surface the hidden connections you have with others in the room. Just by looking at someone you could know all about them. This is what we are building at Highlight.

Do our mobiles own us?

New hardware devices like Pebble and Google Glass will be the early browsers of this spatial web, allowing us to see this information without pulling out our phones. Eventually it'll move to contact lens overlays.

With improved battery life and storage technology, we'll be able to capture our entire lives on video (or some equivalent) and recall the past at any time. Imagine being able to go back to the first moment you met your wife or relive a family vacation you took when you were eight years old. The social, legal, and psychological implications are just staggering.

So how do we feel about this shift? It's been fascinating to see how people react to Highlight. At first, the idea of sharing a profile with the people around you is a bit jarring to some. It's not because we are inherently opposed to the idea. It's because we've never even had to consider it. It just hasn't been possible until now. Just like with the Web, we need to figure out how we want to use this technology. What things do we want to share? What should the social norms be? What privacy settings do we want?

The potential of this technology is tremendous. Knowing more about the world around you just makes life better. It makes you more informed and educated. It saves time and reduces inefficiencies. Most importantly, it makes people friendlier. They smile more, talk more, see the hidden connections around them. In another decade, we are going to look back and wonder how we ever got by without this, and how we lived for so long blind to the world around us. I am excited for that day to come.

The opinions expressed in this commentary are solely those of Paul Davison.

@highlight

New tech has always been met with doubt, criticism but in the end, real-world application prevails, says Davison

@highlight

Google Glass and Pebble will be the first to combine the physical world and the web

@highlight

Davison argues this new tech creates more social people who are more informed and educated