(CNN) -- How free are you to say what you think and what you believe? How free are you to hear the views of others, of those who challenge widely held beliefs or dare to criticize the powerful?

Upon the answer to that question lies the essence and the soul of democracy.

That's why today we have more conclusive evidence that democracy is faltering in Russia and why we see alarming signs that the revolution in Egypt may lead not toward, but away from, the democratic path.

It's also why we have reason to feel encouraged about the prospects for change in Myanmar (formerly known as Burma) and why we know that, despite populist claims, democracy in places such as Iran, Venezuela and Ecuador -- the country that offered asylum to WikiLeaks' Julian Assange -- is either dead, dying or suffering a serious illness.

And it's why we know that China has not a shred of democratic rule.

When Russian authorities decided to throw the book at three punk-rock performers from the provocatively named group Pussy Riot, the issue was always democracy or, rather, lack of it.

Prosecutors charged the three -- Maria Alyokhina, Yekaterina Samutsevich and Nadezhda Tolokonnikova -- with hooliganism and religious incitement after they staged their iconoclastic show earlier this year in Moscow. The three burst onto the altar of the city's Cathedral of Christ Our Savior, wearing their trademark face covers and brightly colored balaclavas, and spent 40 seconds chanting their song "Mother of God, Cast Putin Out," which later became part of their YouTube hit "Punk Prayer."

The performance was meant to shock. But, more than anything, it was an act of protest. Like others in Russia, they were taking on the increasingly authoritative rule of President Vladimir Putin. And, in this case, they wanted to draw attention, they said, to the church's growing role in politics.

Normally, the disruptive show would have received a fine, charges of disturbing the peace or disrupting a religious service. But in today's Russia, you cannot take on the president without serious consequences.

The women of Pussy Riot gained notoriety partly for the name of their group and their colorful antics. But their case is only the most highly publicized of a number of terrible abuses of the law against critics of the president.

Alexei Navalny, one of the most popular of Putin's detractors, has been charged with embezzlement on what many people believe are trumped up charges. Kremlin critic Mikhail Khodorkovsky remains in a Siberian prison, where he has been since 2005 after daring to challenge Putin's authority. Countless Russian journalists have died mysterious deaths, as have anti-corruption crusaders, such as Sergei Magnitsky. Opposition leader Garry Kasparov, the former chess champion, has come under physical attack

Attacking the opposition, imprisoning one's critics is one way to tighten one's hold on power. But there is no better way to maintain the perception of democracy than by controlling what the people -- the voters -- are allowed to hear and read and think.

That's why restricting freedom of expression, especially media freedoms, is the favorite sport of authoritarian governments that want to preserve the appearance of democratic legitimacy.

Winning an election could confer democratic legitimacy. But what happens when the opposition doesn't have access to the media? What happens when journalists are not free to criticize the government?

That's when democracy dies, even if it lives in a zombie state, with leaders elected by voters with access only to views in support of the regime or where the president's critics are smeared, ridiculed and maligned, as happens in far too many places.

In Egypt, which has its first elected president, there is evidence of a move to stifle criticism and bring a single point of view to the public.

When the newspaper Al-Dustour ran a list of accusations against the Muslim Brotherhood, from whose ranks President Mohamed Morsy rose, authorities removed every issue from the stands. The paper's editor, Islam Afifi, is one of several journalists charged with insulting the president. Afifi says the Brotherhood wants to "silence any opposition to their policies."

The Upper House, dominated by Islamist legislators, just hand-picked 50 newspaper editors for state-owned publications. Morsy named a Brotherhood activist, Salah Abdel Maksoud, as information minister, adding to fears among many journalists that Islamists will gain control of the media.

In Ecuador, the country whose democratically elected president has embraced WikiLeak's Assange, a self-described champion of freedom of expression, journalists say President Rafael Correa has launched a campaign of fear and intimidation to stifle criticism.

Ecuador's mind-boggling media law prohibits reports and even editorials that "have a bearing, in favor of or against a specific candidate, proposal, option, electoral preference or political thesis."

The Committee to Protect Journalists calls it "coerced pre-emption" and says it adds to a program of smear campaigns and defamation laws aimed at producing self-censorship.

Self-censorship, of course, is the ultimate desired result. When the government doesn't have to imprison or harass its critics anymore because no one dares criticize it, then democracy is only skin deep, no matter how free elections appear.

Then, few dare to criticize the government, and voters are exposed to glowing reviews of their leader's prowess and wisdom. It's easy to win elections that way.

Ecuador is following the model put in place by Venezuela, where President Hugo Chavez imposed the Law on Social Responsibility in Radio and Television, complete with multimillion dollar fines and shutting down of outlets that run afoul of the government.

To keep a patina of democratic freedom, some opposition is allowed to function, but the playing field is sharply tilted.

Those tactics are much more subtle than Iran's, where the government has thrown scores of journalists in prison.

The regime has not only imprisoned and tortured journalists, it has also shut down newspapers, blocked websites and jammed satellite signals. The government now says it plans to stop using the Internet by 2013 because it is "untrustworthy."

Sadly, restrictions on freedom of expression, one of the most fundamental of all human rights, are much more widespread than most people realize. According to Freedom House, a human rights advocacy group, only 14.5% of the world's people live in places with true media freedom.

The encouraging news in all of this is that the efforts of authoritarian regimes to silence their critics highlight the power of words, the power of free expression and the importance even they place on having democratic legitimacy.

That remains a powerful incentive for advocates of democracy to keep up their fight.

If they lose the battle to pry open the flow of ideas, they will lose the struggle for democracy, because even when a president is elected, if the people are not free to criticize him and his policies, then democracy is a mirage -- and so is freedom.

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Russia, Egypt, other "populist" states show faltering democracy in stifled speech

@highlight

She says Pussy Riot sentence and jailing of Putin critics are recent examples

@highlight

She says Ecuador, Venezuela, Egypt use laws, intimidation to "coercively pre-empt" criticism

@highlight

Ghitis: Democracy real only if it allows the powerful flow of ideas; without that, it's a mirage