Rio de Janeiro, Brazil (CNN) -- On any other day, Copacabana Beach has a hypnotic ability to relax its guests. Its crescent-like coast -- where coconut water is coolly sipped, Brazilian sun beats down and hodgepodge hotels stand, juxtaposed against the dramatic peak of the Sugarloaf Mountain and her sisters -- calms the most stressed-out of Cariocas and turns city-workaholics into lackadaisical loungers.

But not on this day; currently there is a very different atmosphere on its golden sands.

Events have conspired for the benevolent beach to now act as a gritty site of torture, where the searing heat is only adding to the discomfort of the thousands gathered. Nearly all to a man are wrapped in yellow and wracked with anxiety. Many hide their faces, unable to bear the sights their eyes witness, struggling to contemplate the repercussions of events that are transpiring.

The Jumbotron screen, that sits before those assembled, beams live pictures of a nation on the precipice. This proud country's heroes, the warriors of the people, have battled with all their hearts only to sit moments from humbling, embarrassing defeat.

But this is not a war with the lives of soldiers on the line, or a natural calamity that has befallen a population. No, Brazil's national football team is in a World Cup penalty shootout with regional rivals Chile and, as a result, 200 million people are on the edge of a nervous breakdown.

Security guards abandon their posts to gather around surveillance vehicles, which have their TVs trained to live football rather than CCTV feeds of trouble hotspots. On the underground metro, each commuter battles to get mobile phone connection so they can update the rest of the carriage with the latest news. The streets are silent bar the overspill of punters straining their necks to view the action through the doorways and windows of fan-filled restaurants.

A 22-year-old man called Neymar steps up to the penalty spot to take his chance and the entire country, including the thousands at the FIFA Fan Fest on Copacabana Beach, holds its breath and prays for salvation ...

-----||||------

There aren't many countries in the world that have a national holiday every time the national teams play, or whose media eclipsed reports of the Apollo 12 moon landing with news of PelÃ©'s 1,000th goal. But Brazil's relationship with the side they lovingly term the 'Selecao' is far from normal.

"When you're born in Brazil your father will hang the shirt of the team you're going to follow on the door of your room. There's a joke we say that sexual orientation, religion ... all of that you can choose but not the team. Football is part of your life even in the hospital when you're born.

"And for many, when you die, your coffin is covered with the flag of the team ... so football is from birth to death," Jamil Chade, European correspondent for Estado de Sao Paulo told CNN.

At a time when the so-called 'spiritual home of football' is playing host to the World Cup, a tournament that has fans dew-eyed the world over regardless, it is maybe understandable why emotions are currently running high.

Ever since British enthusiasts formally introduced the sport in 1892, Brazil has been besotted by football. Some say it's tantamount to a religion but for David Goldblatt, author of "Futebol Nation: The Story of Brazil through Soccer", this clichÃ© misses important details.

Infographic: How women are watching the World Cup

"There isn't a divine being, moral framework or holy book so it's better to think of it as a mixture of national ritual, popular theater and collective soap opera," Goldblatt told CNN.

"[Football has a] church element, in terms of ritual collective gatherings, in a regular place in a regular time. It's a multi-level, multi-character rolling story commenting on the rest of the world. And it's a form of popular theater in the way the dramatic narrative of the matches plays out. So it's not a religion but the rest add ups to quite a lot."

And it was for these reasons the sport has played such a powerful role in shaping the Brazilian national identity after it became independent in 1822.

"When the intelligentsia asked 'what is Brazil?' the pervading idea was that of a white, European nation in the tropics ... which worked for about five people in Rio, but for a country that has a 60% Afro-Brazilian mix it was never really going to be enough," Goldblatt said.

An ideal was needed to bind the nation, one that was representative of the demographic heritage of Brazil and at the same time emblematic of the aspirations of the new state. Football, Goldblatt argues, fitted the bill.

"Firstly, [Brazil] get huge international recognition when they come third in the 1938 World Cup. Secondly, football had appeal beyond the literate population, [it was] a medium that could ... reach the high degree of illiterate across the country. And crucially, from the 1930s it's the first arena in Brazilian public life that was ethnically integrated."

It's a sentiment with which Chade, a Sao Paulo native and resident, agrees: "Football is one of the few elements that unites the sentiment of Brazil. There's very little that unifies someone who lives in the Amazon with someone who lives in Sao Paulo.

"There are few elements that glue the society together. That is why it's such a drama when the 'Selecao' lose, because it's not the football team losing it's your own identity as a Brazilian that is questioned."

Politics and art alike became intertwined with this powerful vehicle for connecting with a diverse and disparate population. Eminent Brazilian sociologist Gilberto Freye saw football as integral to the emerging personality of his home nation. After watching the team fail in its attempt to become world champions in France 1938, he wrote:

"Our style of football seems to contrast to the [acute and angular] Europeans because of a set of characteristics: surprise, craftiness, shrewdness, recklessness and individual expression and spontaneity. Our mulatto (mixed race) football is an expression of our social order."

And before 1950 a key debate in Brazil was whether their social order was enough to be included within the world's "concert of civilized nations." Despite sending troops to the Second World War, Brazil's request for a seat on the U.N. Security Council had been rejected. Then they lost out on the 1950 World Cup to rivals Uruguay, despite being hosts.

"When the loss to Uruguay happened in the 1950 there was a thought that our destiny was to forever be in the margins of the center of the world. The drama was not the loss on the pitch, or the suicides that followed but it was a crisis of national identity," Chade said.

"Nelson Rodrigues [a famous Brazilian playwright, journalist and iconoclast] said that when we won the World Cup in 1958 that: 'After 458 years we have finally stood up.'

"So we're not talking just about football [when it comes to the Selecao], of course it's just eleven against eleven, of course it doesn't change anything in your life, but it is a mirror of a situation -- and in the case of Brazil it reflects our national identity," Chade added.

To this day the national team also mirror many of the key issues in Brazilian society.

"Brazil's booming economy is built on commodity export: iron ore, sugar, soya beans and oil without ever getting the key value of these because they end up being processed further down the value chain ... and it's the same with football," said Goldblatt.

"In the year 2009, 1200 footballers left Brazil to play elsewhere. Only the old, the very young and the not very good stay home ... Now, if you want to see the best Brazilian footballers, you need to watch the [European] Champions League."

"This [current national team], bar two, are all playing overseas. So they're more cosmopolitan and to my eyes they play European football. I'm not sure a Brazilian style exists any more ... but it's an inevitable consequence of globalization," Goldblatt added.

Chade agrees the Brazilian style is all but gone: "Some say Germany are playing like Brazil used to. It's not a process that's happening just with Brazil. I think [globalization] feeds both ways. But if a player leaves Brazil at 18 and plays in another league with another characteristic until 32 how can he play with a Brazilian characteristic."

Not that a change in style seems to have diminished the passion of the support that Brazil enjoy.

-----||||------

"Goooooooll!!!!!" shout a million or more Brazil fans as Neymar slots his penalty into the corner of the goal-net. Anxiety and fear turn to hope and excitement. Tears remain poised for release.

Chile's Gonzalo Jara is next up. He just needs to score from 12 yards to keep his side in the competition.

Thwack!

He shoots ... and hits the post!

A collective shedding of emotion takes place across Brazil's vast land, relief and elation painted on the faces of the faithful, tears rolling forth, fireworks exploding like machine guns.

The 'Selecao' live to fight another day, progress to be one-game closer to winning the World Cup they covet so dearly, and show the planet that Brazil is as vibrant and beautiful as ever.

Tune in Friday, when the fate of the nation will once again be decided.

@highlight

The so-called 'spiritual home of football' is playing host to the World Cup

@highlight

The sport has played a powerful role in shaping the Brazilian national identity

@highlight

The national team mirror many of the key issues in Brazilian society

@highlight

On Friday the fate of the nation once again lands at the feet of its stars