(CNN) -- Rio +20, a major international environmental conference begins in Brazil on Wednesday, billed by its organizers as a "once in a lifetime" opportunity to safeguard our planet for generations to come.

For three days from June 20, scores of world leaders and tens of thousands of people from all over the world will descend on Rio de Janeiro in the hope of reaching consensus on how to achieve this.

Some critics have already dismissed the event as a hugely expensive talking shop that stands little more chance of succeeding than previous environmental summits. Others are more optimistic.

Here we look at some of the key issues surrounding the conference.

What is Rio + 20?
Rio+20 is a summit that takes place from June 20 - 22, organized by the United Nations to tackle environmental issues. Its name signifies it is being held in Rio de Janeiro 20 years after a similar "Earth Summit" in the same city. The biggest U.N. conference in years, it is being billed as a major effort to improve mankind's relationship with the planet.

See also: Five cities fight for climate survival

Who will be there?
The 1992 event was attended by U.S. President George H.W. Bush but President Barack Obama is not expected to show at this year's event, and Secretary of State Hillary Clinton will head the U.S. delegation. British Prime Minister David Cameron, German Chancellor Angela Merkel and the entire European Parliament have also declined to turn up.

Russian President Vladimir Putin and his French counterpart Francois Hollande have confirmed they will be going. U.N. Secretary General Ban Ki-moon will also be there, as will India's Prime Minister Manmohan Singh, with China's Premier Wen Jiabao expected to attend.

Also present will be representatives of so-called "stakeholder" groups deemed crucial for future environmental decision making. These include organizations speaking for children, indigenous peoples, workers, farmers and the business sector. A huge security operation will also be deployed to safeguard the summit. In all an estimated 50,000 representatives from 190 countries are expected, including around 120 heads of state and government.

See also: Teenager gives world leaders her vision for the future

What will they talk about?
The summit will essentially look at how to safeguard global economic growth without destroying the planet in the process. It also aims to ensure that any new environmental policies will transcend international borders. Within these goals, there are key areas of discussion, including food security, water and energy -- and a focus on developing countries.

Drafting an agenda and getting everyone to agree to talk about it is has not been easy, however. Ahead of the summit there have been weeks of haggling between participants. With so many vested interests, organizers have struggled to whittle down hundreds of pages of recommendations and goals into a manageable document.

Why is it important?
The world's environment has continued to suffer since the 1992 summit. The World Wildlife Fund's recent Living Planet report said the ever-swelling global population is still consuming far more than can be replenished.

The report said there was a widening and "potentially catastrophic" gap between the ecological footprints of rich and poor nations. Global consumption of natural resources, carbon emissions and poverty have all continued to increase. Although some contest such claims, scientific research points to a steady rise in world temperature which, if unchecked, is forecast to have catastrophic consequences for the planet.

See also: Extinction threat 'a call to leaders' at Rio summit

What do organizers hope to achieve?

It is hoped that the conference will lay the groundwork for a set of sustainable development goals (SDGs) that can be adopted worldwide.

A text produced by negotiators, but still to be approved by world leaders at Rio, lists processes to establish "action-oriented" SDGs. If adopted the text would also strengthen the U.N. Environment Program and ultimately lead to better protection for the world's oceans.

Will they succeed?

Few expect hard and fast policies to be put in place after three days of discussion and the likelihood is that participants will sign up to a document committing themselves to further action in the future.

What is open to question is how effective that document will be given the struggle to build consensus ahead of the conference. The absence of key players like Obama has cast a shadow, as has the relative failure of the 1997 "Kyoto Protocol" on limiting greenhouse gases, which was set in motion at the 1992 Rio summit.

There are also numerous sticking points. Wealthy and poorer nations are likely to argue over sharing the burden of cutting carbon emissions. There have been concerns over the exclusion of references to basic human rights, such as access to water. Environmental monitoring methods are also expected to spark dissent.

Pessimists say any agreement will be negated by the compromises needed to win universal approval. In a statement released by environmental group WWF on Tuesday, director general Jim Leape criticized revisions to the Rio +20 negotiating text made in recent days, calling it a "colossal failure of leadership and vision from diplomats."

He said the summit is "doomed to ridicule" unless world leaders "get serious about sustainable development." But others, including UK Environment Secretary Caroline Spelman, have commended the commitment to SDGs outlined in the negotiating text.

@highlight

More than 100 world leaders are expected at Rio +20, but President Obama unlikely to show

@highlight

Summit aims to reach a plan on how to sustain economic growth without destroying the planet

@highlight

Difficulty in reaching a consensus among different vested interests could mean watered-down outcome