(CNN) -- "Terrorist funding emanating from Saudi Arabia remains a serious concern." So states a cable prepared for the visit of U.S. Special Envoy Richard Holbrooke to the kingdom earlier this year.

It is one of several that have appeared on the WikiLeaks site to indicate that despite some progress, the flow of cash to extremist groups in Pakistan and Afghanistan from individuals and charities in the Gulf has certainly not been halted.

The cable, written by U.S. Ambassador James B Smith, says that the Saudis are "cooperating more actively than at any previous point to respond to terrorist financing concerns raised by the United States, and to investigate and detain financial facilitators of concern."

It says the Saudi Ministry of Interior had begun to detain individuals involved in funding networks for groups such as Lashkar e-Tayyiba (LeT), an extremist Pakistani group that carried out the Mumbai attacks in 2008, the Taliban, and Hamas.

But it says donors in Saudi Arabia "continue to constitute a source of funding to Sunni extremist groups worldwide, especially during the Hajj and Ramadan." And it adds the kingdom remains "almost completely dependent on the CIA to provide analytic support and direction for its counterterrorism operations."

The U.S. Treasury has led efforts to block sources of terrorist funding, establishing the "Illicit Finance Task Force" and sending specialists to Kabul, Afghanistan, and elsewhere to help follow the money. It also established an office in Riyadh, Saudi Arabia, in 2008. Treasury sources said earlier this year that other Gulf states had been less co-operative than the Saudis; and other cables obtained by WikiLeaks describe hundreds of millions of dollars in cash being flown from Kabul to various destinations in the region.

The Saudi authorities have made some high-profile arrests in the last two years. Ambassador Smith's cable says the Ministry of the Interior timed its announcement in August 2009 regarding the arrest of 44 terrorist supporters "to deter potential donors from giving money to suspected terrorist groups during Ramadan."

However, one leaked cable sent by U.S. Secretary of State Hillary Clinton in December 2009 noted that "it has been an ongoing challenge to persuade Saudi officials to treat terrorist financing emanating from Saudi Arabia as a strategic priority." It adds: "Donors in Saudi Arabia constitute the most significant source of funding to Sunni terrorist groups worldwide" -- running into millions of dollars.

"Riyadh has taken only limited action to disrupt fundraising for the UN 1267-listed Taliban and LeT-groups that are also aligned with al-Qaeda," the cable from Clinton says. It also expresses concern that the Taliban might use the cover of reconciliation talks to raise funds. U.N. Security Council resolution 1267 lists groups and individuals accused of involvement with al Qaeda, the Taliban and other extremist groups.

It is not only Saudi sources of cash for terrorists that have caused concern. The cable sent by Secretary Clinton notes that while Kuwait has clamped down on domestic terror suspects it "has been less inclined to take action against Kuwait-based financiers and facilitators plotting attacks outside of Kuwait."

In particular, the cable says that while the United States had designated the Kuwait-based Revival of Islamic Heritage Society for providing support to al Qaeda and associated groups, the government of Kuwait "has not taken significant action to address or shut down RIHS headquarters or its branches."

Tareq al Essa, the society's chairman, has denied allegations that RIHS has links with terrorist groups.

The leaked cables also express concern that weak regulatory oversight in the United Arab Emirates (a growing financial hub) "makes it vulnerable to abuse by terrorist financiers and facilitation networks."

As for Qatar, the cable from Clinton says it has "adopted a largely passive approach to cooperating with the U.S. against terrorist financing. Qatar's overall level of CT [counter-terrorism] cooperation with the U.S. is considered the worst in the region." The cable asserts that although Qatar's security services have the capability to deal with direct threats and occasionally have put that capability to use, "they have been hesitant to act against known terrorists out of concern for appearing to be aligned with the U.S. and provoking reprisals."

A long section on terrorist financing in Pakistan repeats the frequent charge that "some officials from the Pakistani Inter-Services Intelligence Directorate (ISI) continue to maintain ties with a wide array of extremist organizations, in particular the Taliban, LeT and other extremist organizations." It says a "network of social service institutions readily provides extremist organizations with recruits, funding and infrastructure for planning new attacks."

Among the groups identified are "UN-proscribed NGOs al Rashid Trust and al Akhtar Trust, and all successor organizations that continue to funnel money and provide other forms of support to the Taliban and LeT."

@highlight

U.S. cables published by WikiLeaks assess terrorism funding in the Gulf region

@highlight

"Terrorist funding emanating from Saudi Arabia remains a serious concern"

@highlight

The Saudi government is cooperating with the United States more than ever before

@highlight

But donors in Saudi Arabia "continue to constitute a source of funding" to Sunni extremists