(CNN) -- A mile down in an abandoned gold mine in South Dakota, physicists in a state-of-the-art scientific laboratory are searching for elusive "dark matter" particles, which make up most of the mass in our universe.

So far, no one has ever seen dark matter directly. You can't see it, touch it, smell it, throw a net over it, or tag it in the ways particle physicists deal with ordinary particles. We only know it by its gravitational effects on galaxies.

On Wednesday, team members from LUX -- for Large Underground Xenon experiment -- announced the first results from their operation in the Sanford Underground Research Facility, deep in the former Homestake Mine in Lead, South Dakota -- where for three months they have been taking an 11-minute, 4,850 foot elevator ride down a mine shaft to work in their lab.

Previous dark matter experiments suggested we were very close to the first direct detection. They predicted that with just slightly more sensitive detectors, like those in the LUX experiment, scientists would have definite evidence.

Now LUX has shown those predictions were wrong. Were they correct, more than 1,600 particles should have been seen in the LUX data -- about one particle an hour. No such signals were seen. What the experiment succeeded in doing was ruling out earlier weak detections, showing they were not the real deal.

Weak detections can be real or just a random fluctuation. Taking a photograph of something faint and far away might, in the shortest exposure, suggest a hint of something -- maybe the shape of an alien spaceship or the Loch Ness monster. But in better exposures that collect more light or have sharper resolution, those hints should turn into obvious images -- unless it was just a fluctuation, that is, in which case it would not become clearer no matter how long the exposure.

If you can't see it, how did scientists find evidence of dark matter? One clear sign appeared in astronomical images taken in the 1980s, with photographic plates and new more sensitive detectors, that showed a really odd phenomenon: strange, long arcs of faint blue light behind groups of redder, rounder galaxies. At first, the arcs were dismissed as anomalies. They were like the Bigfoot of the sky: too odd to explain based on current knowledge, but not clear enough to claim a new species.

As detectors improved even more and telescopes got bigger, more arcs were seen, typically behind clusters of galaxies. That meant an arc had to be the stretched image of a background galaxy -- stretched by the gravity of the foreground cluster.

Albert Einstein predicted this phenomenon, called "gravitational lensing." According to his theory, gravity bends light much as the lenses in my glasses bend incoming light rays. An image of a very distant galaxy would be undistorted and true if no other galaxies were along the path between it and the Earth. But when light passes near or through a large mass -- like a cluster of galaxies, which can weigh as much as 1,000 times our Milky Way galaxy -- it bends because of the gravitational force of the cluster. The more massive the cluster, the more the light path curves.

The more the light path bends, the more distorted the image of the distant background galaxy. So, a distant galaxy that just happens to line up behind a nearby, massive cluster of galaxies looks strangely elongated. And most important, the distortion of the image tells astronomers how much the nearby cluster weighs.

But the arcs implied far too much mass for the number of stars we could see. Other mass estimates, based on the motions of galaxies in a cluster and of stars in the outskirts of a galaxy, also suggested the presence of a lot of unseen mass.

This had to be some kind of matter that, unlike ordinary protons and electrons, didn't emit light. In fact, this dark matter, as it was called, didn't appear to follow any of the laws of physics, except gravity.

By now a mountain of data points to the existence of dark matter. We even have data that cannot be explained away by alternate theories of gravity.

So, what is dark matter? One candidate is a class of particles named WIMPs, an acronym standing for "weakly interacting massive particles." Some types of WIMPs have been ruled out by the LUX data.

LUX and similar experiments try to detect the recoil of the nucleus of an atom -- for example, the nucleus of the noble gas xenon -- when it is hit spot-on by a dark matter particle. The dark matter escapes but the atom emits a flash of light that can be detected.

The chances of this happening are exceedingly small -- about 1 in 10 trillion. It's like trying to see someone's nose twitch in a stadium full of crazy football fans. Putting a dark matter experiment deep underground quiets the noise by screening out lots of particles other than dark matter.

That's what brought the National Science Foundation and the Department of Energy to the Homestake gold mine, more than 130 years after gold-feverish dreamers flooded into South Dakota. After the Homestake Mine closed in 2003, several underground rooms were retrofitted as a dedicated science facility.

More than 100 hardworking physicists and engineers on the LUX team made this new measurement experiment possible, including many students and postdoctoral scholars searching for their version of gold. Whatever these young scientists end up doing in the future -- and with the skills they learn, they could do just about anything -- they made an important step toward direct detection of dark matter particles.

Imagine having that on your resume: I searched for dark matter in an abandoned gold mine.

"This is only the beginning for LUX," says one of the experiment leaders, Dan McKinsey, my colleague at Yale. "Now that we understand the instrument and its backgrounds, we will continue to take data, testing for more and more elusive candidates for dark matter."

As LUX and others continue to take data, we wait for a future announcement of, we hope, the first direct detection of dark matter.

The opinions in this commentary are solely those of Meg Urry.

@highlight

Meg Urry: A mile down in an old gold mine, physicists search for "dark matter" particles

@highlight

Urry: Putting the experiment deep underground screens out particles other than dark matter

@highlight

We know dark matter only by gravitational effect, but it is most of the universe's mass

@highlight

Urry: Nobody has seen it, but experiment shows earlier weak detections were not real