(CNN) -- "Sitting in class, second grade, teachers would put me outside the hallway because I had been ticking so loud I was a 'distraction,'" recalled 25-year-old Amber Comfort. "Teachers would walk by me back and forth and say 'you'd better stop that before you get into my class next year.' Things that were just completely obscene, that you would never expect the world to be, and I had to deal with on a daily basis."

From the age of five, Comfort has suffered from Tourette's syndrome, a neurological disorder that causes her to make involuntary movements and loud noises, known as tics.

For almost 20 years, the condition has shaped every moment of her life. "I don't remember any parts of ever being tic free," she said. "There's not a day that's gone by that I don't remember moving or making noise when I couldn't help it."

But she has not let Tourette's dictate how she lives. Comfort graduated from high school with honors and was even accepted to college on full scholarship. But her uncontrollable outbursts have made it hard to continue her education or even hold down a steady job.

There is one thing that comes easy though. Singing. She loves to sing, and when she does, her tics are curiously absent.

"Singing is what gets me through a lot of hard days. When I'm on the computer, when I'm driving, when I write poetry, basically anything with a sense of focus," Comfort explained. "When I have to worry about my tics I do just that -- I worry about my tics."

Deep brain stimulation

There is no cure for Tourette's syndrome. But after years of suffering and unsuccessful therapies, Comfort was selected for experimental surgery by specialists from the University of Florida's Center for Movement Disorders.

The procedure is called deep brain stimulation (DBS), where small electrodes are implanted into the brain to stimulate affected regions in patients with movement disorders such as Parkinson's disease or tremors.

The delivery of electricity is at the root of what makes DBS work. The electrodes are attached to an impulse generator, or pacemaker, implanted under the patient's skin, which provides electrical impulses to the affected region of the brain.

By providing impulses to circuits in the brain associated with a specific motor skill, it's possible to change the connections between neurons and stop the abnormal activity that causes the symptoms.

DBS was first approved for tremors in 1997 and since then more than 100,000 patients have had the procedure. But Comfort's surgery would be the first time the technique had been used for Tourette's.

Tourette's syndrome is characterized by an impulsivity that combines both emotion and motor activity and makes the underlying neurology differ from that of Parkinson's and other conditions previously treated with DBS. "The difference in Tourette is the movement isn't there all the time," explained neurologist Dr. Michael Okun, co-director of the Center for Movement Disorders and author of "Parkinson's Treatment: 10 Secrets to a Happier Life with Parkinson's Disease."

"The patients that have a tic, they get this build up; they call it a premonitory urge. They feel like they need to move and until they move, they don't feel better."

This urge to tic is a daily woe for people like Comfort. "It's like having 15 mosquito bites that you can't itch," she said. "There's no way to ever tell they are coming."

Until now, treatments available for Tourette's have been behavioral therapy and drug medications. These treatments, however, only manage the severity of tics to make them less disruptive and do not prevent them. "Without my medications, I am one of the worst cases the doctors have ever seen in the United States," said Comfort.

Experimental surgery

In September 2014, Comfort had the DBS electrodes implanted in her brain -- a 12-hour process that involved six operations. In addition to the standard electrode leads, she had a new grid-like device implanted on top of her brain -- an experimental procedure intended to gather information from her brain that could not only lessen her tics, but maybe someday stop them.

Not only did Comfort have four holes drilled into her skull, but she was awake throughout the process. "The way sedatives work is by suppressing brain activity, so we get better recordings if we don't use any sedatives," explained Dr. Kelly Foote, also co-director of the Center for Movement Disorders, who performed the surgery.

The team uses music to help relax the patient while the painless, but stressful, procedure is carried out. "We let them pick the music to take the focus off the fact that I am drilling a hole in their head, and cutting their scalp and that sort of thing," said Foote.

Comfort's surgery was a success, but implanting the stimulation and recording devices is just the start of the DBS process. Okun and Foote will now monitor Comfort's brain activity over the next six to 12 months. The grid will provide insight into the underlying cause of her Tourette's syndrome and allow the doctors to regulate the electrical impulses so that they can begin to manage and maybe someday, eliminate her tics.

For Comfort, this is her chance to finally live a normal life.

"If it's a chance to change my life for the better and to make sure I don't have to deal with this anymore, I'm up for it," said Comfort. "I have had this 20 years, and I think I've done my time."

@highlight

Tourette syndrome causes sufferers to make involuntary movements and noises

@highlight

Deep brain stimulation could help with the disorder

@highlight

Small electrodes are implanted into the brain to stimulate affected regions

@highlight

American Tourette's sufferer Amber Comfort has pioneering surgery