North Korea's saber rattling again shook the world Wednesday. Pyongyang vowed to shut down a key military hotline with South Korea.

It was another day of hostile, over-the-top rhetoric from the reclusive, impoverished nation led by Kim Jong Un.

But the recent missile and nuclear tests, and the annulment of the 1953 Korean War armistice are raising questions about the young leader.

Is his behavior erratic or staged? Is he competent enough to run a government?

Pyongyang watchers, reading the news and the tea leaves, say the latest hot air wafting over the Korean Peninsula could reflect an effort to prop up appeal and allegiance for Kim.

Is the warlike rhetoric for the folks on the home front?

Christopher Hill, a career U.S. diplomat, said the "prolonged, rather intense" flurry of tough talk out of Pyongyang shouldn't be ignored, but it could be directed to the citizenry itself.

"I think there's a big element of domestic North Korean politics, if one can understand that concept, where clearly Kim Jong Un is not being well received," Hill told CNN.

"I think they are trying to kind of boost his status to some sort of wartime leader."

Is this about Kim trying to consolidate power?

The UK-based Independent newspaper said Kim is working  "to shore up his position."

"Not only must the new 'supreme leader' see off challengers from within North Korea's perhaps skeptical military; he must also prove to his brutalized, often starving, people that threats from 'foreign imperialists' must take precedence over, say, early promises of improved living conditions.

"What better than to conduct a nuclear test, and then use the resulting slap on the wrist from the international community as an excuse to ready the troops, tear up the non-aggression pact with Seoul and release incendiary propaganda about, for example, Barack Obama perishing in a nuclear onslaught?"

Is Kim mentally stable?

Is Kim insane? David Kang and Victor Cha, writing in Foreign Policy, say "don't bet on it."

They say he's a contrast to his introverted dad, Kim Jong Il. In power for more than a year, Kim is very much an extrovert who loves to appear in public, watch his beloved hoops and deliver speeches.

"Much of his behavior may be political theater aimed at convincing his own people that the young general is comfortably in charge, but it is also a contrast with his father's ruling style," the authors say.

"Kim Jong Il paid no attention to the public aspect of ruling, whereas his son's visibility and embrace of popular culture appears to be aimed at convincing North Koreans that changes may actually occur under him."

Is Kim Jong Un more dangerous than his father?

This month, a senior administration official told CNN that Kim Jong Un was "acting in ways a bit more extreme than his father, who was colder and more calculated."

"I don't recall he ever went this far in terms of the pace and scope of the rhetoric. Threatening to launch nukes directly against the United States and South Korea confirms what a lot of people have been saying, which is we are dealing with someone new," the official added.

Another senior administration official said Kim's youth and education abroad offered promise for many North Korea watchers that he would be more willing to engage with the West.

"Unfortunately, he is following the example of his father and grandfather pretty closely," the official said. "It's hard to be optimistic."

His grandfather, Kim Il Sung, was the founding leader of North Korea.

Where will he go beyond political theater?

Kang and Cha said the question that should be asked about Kim is whether he is turning out to be adventurous or cautious.

A risk-taking leader "may or may not be good for North Korea and its relations with the outside world," they say. Any major changes in foreign policy would bring "enormous hazards." Domestic, economic and social reforms also involve risks, they said.

"If Kim moves beyond the political theater of the past 60 years -- chest-thumping, name-calling, threatening to turn Seoul into a 'sea of fire' -- and actually risks a major military strike against South Korea or even the United States, he is putting his own neck, as well as his country's, on the line," they wrote.

What if Kim plays it safe?

"A cautious Kim, who simply pursues the status quo, would mean that North Korean policy will muddle along, with no real change to the frustrating, dangerous, decades-long game of brinksmanship," they said.

What we don't know about Kim

Fred Kaplan, writing in Slate, said Kim Jong Il was schooled to take the reins of power. Kim Jong Un, however, "is still an unknown quantity."

Kim Jong Un "had no political or military experience before taking putative control of the army, the party, and the nation." The young leader "had little time to learn anything; his behavior is at best hard to read, and at times bewildering."

Kaplan cites an incident last year. President Obama agreed to provide North Koreans with food aid if they suspended missile and nuclear tests. But Kim embarked on a missile test before the food arrived. He touted the act after Obama canceled the food aid and got the U.N. Security Council to condemn the North Korean action.

He compares Kim Jong Un to his father and grandfather.

Kim Jong Il and Kim Il Sung "would make a threat, and wait for the enemy (the United States, South Korea, the U.N., or some combination of the above) to offer a bribe in exchange for their forbearance. They would take the bribe -- and they'd forbear," Kaplan writes.

"But this new Kim took the promise of a bribe -- then went ahead and carried out the threat anyway, even before the payment, in this case desperately needed food, came through. What the hell?"

People now want to know Kim "knows how to play his family's game," Kaplan said.

"It's always been an odious game, but in the old days, when the father and grandfather were around, it would end with peace, at least for a while, if the west played along," he said.

READ MORE: Korean nightmare: Experts ponder potential conflict

READ MORE: North Korea says it is cutting off military communications with the South

READ MORE: What's in a threat? A look at North Korea's escalating rhetoric -- and actions

@highlight

Is the rhetoric meant to boost the North Korean leader's appeal?

@highlight

He thrives on political theater

@highlight

Will he be adventurous or cautious?

@highlight

He's still an "unknown quantity"