Mike Rioux can't go to the grocery store without making a list, even for a single item.

He can't drive without gripping the steering wheel so hard his knuckles turn white. And he can't stand any longer than 30 minutes because of severe back pain.

This is Rioux's life after Afghanistan, where firefights and a roadside bomb blast left him with a traumatic brain injury and post-traumatic stress disorder.

His ears still ring from the explosions. He suffers from vertigo, headaches, insomnia and nightmares. He has terrible anxiety, evident in an interview with CNN -- Rioux could hardly sit still, and his memory loss and inability to concentrate meant questions had to be repeated at times.

"I need to discover who I am again," he said.

As a staff sergeant in the U.S. Army, Rioux most recently was deployed in 2010 to one of the most dangerous spots in Afghanistan. There he survived firefights and blasts and witnessed much carnage in Paktia province, near the volatile Afghan-Pakistan border.

After returning home, Rioux faced a much different battle, one that neither he nor his wife, Maggie, expected.

Confusion is 'monumental'

The Department of Veterans Affairs said it is on track to process 1 million disability claims this year.

With the war in Iraq over and the one in Afghanistan winding down, the VA is sorting through a backlog of more than 860,000 disability claims from American veterans. More than a quarter of those vets -- 228,000 -- have been waiting for a year or more.

Rioux has been trying to get his disability claim fully processed since January 2011, shortly after he returned from Afghanistan.

The litany of delays includes lost paperwork, long wait times for appointments and erroneous lab results. At one point, a doctor prescribed him medication for a bladder infection he didn't have; he'd never given as much as a urine sample.

Because of his debilitating injuries, neither Rioux nor his wife, Maggie, is able to work full time. Rioux said without his wife's care, "I'd be in the fetal position. I'd be curled up in a ball. I couldn't do it."

He can afford it, she can't: Couple's health care dilemma

The Riouxes and their 23-year-old daughter, Alex, are living at his mother's home outside Phoenix. Maggie and Alex share a bedroom, while Mike sleeps on the living room couch every night.

At 51, he said that makes him feel ashamed.

"I feel low," he said. "How can I support my family, let alone ... keep a roof over their head so that my daughter can have her own room? My wife and I can't have a bed to sleep together? We're on couches. We sleep separate. ... That hurts a lot. I miss her."

Part of the problem, the VA said, is that many veterans are returning with severe and complex mental injuries. These veterans file multiple claims, far more than ever before, and sometimes they file incomplete paperwork.

The backlog also increased when hundreds of thousands of vets were finally allowed to file claims for Agent Orange and Gulf War syndrome. Last year, the VA said it paid out nearly $5 billion in compensation.

In August 2011, the VA told Rioux his claim was in review and, four months later, he was told to expect a decision by the end of the year. None came.

Both he and Maggie wrote numerous letters seeking help, including one to first lady Michelle Obama, with a copy sent to Veterans Affairs Secretary Eric Shinseki.

Three months ago, the Riouxes finally heard from the VA about his claim. It rejected coverage for his traumatic brain injury, granting him limited disability coverage that amounts to about $660 a month.

Attempts to get full disability coverage have left the Riouxes often lost in a morass of red tape and confusing policies at dozens of offices in various veterans medical centers.

"That is trademark VA -- that you get answers, and then a different answer from the same building, but a different floor or a different office," Maggie Rioux said. "And the confusion that ensues is monumental."

The Riouxes are not alone. Two-thirds of the 860,000 applicants have been waiting longer than the 125 days that Shinseki set as a goal for processing claims. On average, the VA said veterans wait more than eight months -- 256 days -- before their claim is resolved.

CNN interviewed 16 veterans for this report, all of whom recounted monthslong waits to get a simple evaluation of their disabilities. Many said they had not received prompt help for serious mental health issues. One vet said he called a VA suicide prevention hotline, was told he would be called back, and a return call never came -- a situation the agency said never should have happened.

VA official: Backlog 'unacceptable'

Tommy Sowers, the VA's assistant secretary for public and intergovernmental affairs, said the current backlog "is unacceptable, and we know that." But he added, "This is a problem that has been decades in the making."

"We're transitioning from a paper-based system to an electronic system, and it is a huge amount. It is a huge undertaking and task," he said.

Only a small fraction of the VA's regional offices has computerized their records so far. The vast majority are still tracking veterans on entirely paper files -- a process that's not only slow and inefficient but also requires massive space and numbers of files.

The toll of war now includes more amputees

"We're moving from these mountains and mountains (of paper), sifting through papers, scanning them, digitizing them, creating a secure environment where these claims can be moved through much quicker," Sowers said.

But Paul Rieckhoff, the founder of the Iraq and Afghanistan Veterans of America, said veterans who are fighting for their disability claims are angry and tired of the rhetoric.

"There's a big difference between what they're saying in Washington, D.C., and what you see on the ground," Rieckhoff said.  "The guys on the ground -- they don't care about paperwork, or slow improvements. They care if they got a decision back from the VA."

Mike Grabski is another veteran who knows about the problem. He ultimately got his disability payments, but it took him two years to get his full amount.

"It wasn't just the stress of not having the compensation," he said. "It was the stress of 'Is this going to happen?' or 'When is this going to happen?' or 'How is this going to happen?' or 'What's the next speed bump going to be?' "

Grabski left the Army in 2009 as a staff sergeant after 10 years in the service. He served two combat tours in Afghanistan and one in Iraq with the 173rd Airborne Brigade, earning two Bronze Star medals.

But his service left him with a long list of injuries, including degenerative bone disease in both knees, asthma, hearing loss and a mild traumatic brain injury resulting from exposure to constant explosions and gunfire. Grabski was also diagnosed with post-traumatic stress disorder, which he said has increased his irritability and affects his concentration.

He formally filed for disability in Oakland, California, in July 2010. It wasn't until after he received media attention for his plight that his file was reviewed nearly two years later.

After 21 months, the VA rated him 40% disabled due to knee injury, asthma and hearing loss, awarding him $560 a month in compensation.

Following new appointments to assess his brain injury and PTSD claims, the VA upgraded Grabski's disability rating to 80% in mid-July. His monthly disability payment went up to $1,427.

Critics told CNN that veterans have an expression among them that the VA's policy is "Delay, deny until we die."

Asked about that complaint, the VA's Sowers responded, "What I would say is that there are many veterans out there that love their VA care. Absolutely love it."

A different man

Rioux plans to appeal the VA's ruling against covering his traumatic brain injury as a disability -- a decision that could mean another two years of red tape.

"He's got the injury, but it's zero for that," Maggie Rioux said, referring to the disability coverage.

She said she thinks the VA made its ruling based on outdated medical information from last year.

"We filed a second claim stating that he has new symptoms, worsening symptoms, like vertigo ... the dizziness, the daily headaches, his agitation, his marked personality changes," she said.

Man's best friend helping war veterans heal

A VA doctor has diagnosed that Rioux has a traumatic brain injury. However, some of the symptoms of post-traumatic stress disorder and traumatic brain injuries overlap, Maggie Rioux said, "and we're very well aware of that. But this isn't only PTSD."

She said she wants her husband to get the respect he deserves after he risked his life for his country.

"He could've been killed. Every time I spoke to him on the phone I thought it might be the last time I heard his voice," she said. But she added, "Our relationship has had to take a hit. I'm married to a different man now. I love him. Just as much as I've always loved him. But he's different."

The Riouxes said they are not looking for a handout and want to work.

"We're not a charity case, and we're not looking for sympathy," Maggie Rioux said. "We're angry about the VA. We're angry about so many things, including all of the other soldiers and veterans that are waiting longer than we have."

@highlight

Veteran Mike Rioux waited for more than a year for disability benefits

@highlight

The Department of Veterans Affairs expects 1 million claims this year alone

@highlight

The backlog has meant an average wait of eight months