(CNN) -- U.N. Secretary-General Ban Ki-moon has urged Ukrainian government forces and rebel fighters to respect a fragile ceasefire following the death of a Swiss Red Cross worker in shelling in eastern Ukraine.

The humanitarian worker, identified as Laurent DuPasquier, 38, by the International Committee of the Red Cross, was killed when a shell landed near the ICRC building in the city of Donetsk.

Ban said he was "saddened and disturbed" to learn of the death, which came a day after 10 civilians were killed in the shelling of a Donetsk school, according to the Organization for Security and Cooperation in Europe.

"The Secretary-General is seriously concerned over the dangerous surge in fighting in recent days and mounting civilian casualties," a statement from Ban's office said.

"These recent, tragic incidents underscore the fragility of the current ceasefire and the importance of ensuring a secure environment in south-eastern Ukraine that will allow humanitarian actors to carry out their work and deliver critical assistance to those most in need."

The ceasefire deal was agreed upon September 5 in Minsk, Belarus, following talks between representatives of Ukraine's government, Russia and rebel leaders in eastern Ukraine. A subsequent agreement September 19 in Minsk set out more measures.

Ban called for all sides to stick to their commitments under the deal and to redouble their efforts toward a lasting peace. "A return to full-scale fighting could be catastrophic for Ukraine, the region and beyond," he warned.

Russian Foreign Minister Sergey Lavrov, in a phone call with U.S. Secretary of State John Kerry, also called for the ceasefire to be maintained and for a halt to the shelling in the city of Donetsk, the Foreign Ministry said.

'Deeply shocked by this tragic loss'

Didier Burkhalter, the OSCE chief and Swiss foreign minister, urged all sides to stop fighting immediately and observe the ceasefire -- which the OSCE has been monitoring -- and to implement the measures agreed upon in Minsk.

To put the ceasefire at risk "would be irresponsible and deplorable," his office said.

Civilians in eastern Ukraine urgently need a return to peace and stability, Burkhalter said, and humanitarian agencies in the region need to be able to help them before the onset of winter.

The Red Cross has about 20 staff members in Donetsk, five of them international, the ICRC said.

DuPasquier had been with the organization for five years but had arrived in Ukraine only six weeks before his death.

"We are deeply shocked by this tragic loss," Dominik Stillhart, the ICRC's director of operations, said Thursday. "We understand that there were other civilian casualties in Donetsk today. Indiscriminate shelling of residential areas is unacceptable and violates international humanitarian law."

Finger-pointing

The Russian Foreign Ministry appeared to point the finger at Ukraine's government over DuPasquier's death and called for a thorough investigation.

In a statement Friday, the ministry said it had noticed "a fidgety reaction of the Kiev authorities that were in a hurry to shift from themselves responsibility for the death" of the ICRC staffer.

"Kiev was unwilling to recognize the evident facts -- militias have under their control the district in Donetsk that came under shelling when the fire was opened from the positions held by Ukrainian troops," the statement said.

However, Ukraine's Foreign Ministry accused rebel fighters, which it calls terrorists, of responsibility for the attack, according to national news agency Ukrinform.

"This terrorist attack has no excuse. Bandits and terrorists in an inhuman way dared to take up arms against those who arrived in Donbas with a humanitarian mission -- to help people," a ministry statement reportedly said Thursday. Donbas is a term used to refer to eastern Ukraine.

"This case is in the same plane with terrorists taking OSCE employees hostage and is also directed at intimidating international organizations that help restore peace and calm in Donbas," it said.

Airport battle

Ukraine's National Security and Defense Council said that Donetsk's airport remained at the center of military activity Thursday, with fighting ongoing.

"After two attacks with tanks and Grad missiles, militants stormed the airport four times yesterday. Our troops heroically kept the defense," it said.

The military body said rebel fighters also had directed artillery, mortar and small-arms fire at Ukrainian forces near four towns in the Donetsk region. One Ukrainian soldier was killed and 18 injured in the past day, it said.

Kiev and the West accuse Russia of supporting and arming the rebels as well as sending troops over the border.

Unrest began with protests in the country's capital, Kiev, last year after pro-Moscow President Viktor Yanukovych, favoring closer ties to Russia, dropped plans to sign a political and economic agreement with the European Union.

After months of protests and days of deadly clashes between demonstrators and security personnel in Kiev, parliament ousted Yanukovych in February. Weeks later, Russia annexed the Crimean Peninsula.

In April, violence broke out in two Ukrainian regions that border Russia -- Donetsk and Luhansk -- as separatist leaders declared independence from Kiev. Since mid-April, the conflict between the pro-Russian rebels and the Ukrainian military has cost more than 2,500 lives, according to the United Nations.

CNN's Richard Roth and Aliza Kassim contributed to this report.

@highlight

NEW: Russian foreign minister urges rebels, Kiev to maintain the ceasefire

@highlight

U.N. chief warns warring sides to respect ceasefire after "dangerous surge in fighting"

@highlight

A Red Cross worker from Switzerland was killed in shelling in Donetsk

@highlight

Kiev blames rebels for the shelling, while Moscow points finger at Kiev authorities