(CNN) -- With its past-midnight resolution (at least temporarily) of the fiscal cliff, Washington gave us a clearer picture of what the next two to four years of federal action might look like: Lengthy periods of legislative gridlock, persistent partisan finger-pointing and short bursts of incremental activity that ultimately fail to resolve the major national challenges at hand.

And those challenges are substantial. Our country is still struggling to fully recover from the Great Recession. More than 12 million Americans are still out of work, and 107 million Americans are considered poor or near poor (up from 81 million a decade ago). The United States ranks 16th in the world in infrastructure quality, with one in four bridges in America considered structurally deficient. And our education system is no longer keeping our kids competitive, leaving 15-year-old American students ranked 31st in math and 23rd in science.

But as has happened time and again throughout American history, our greatest innovations come at times of greatest challenge. True to form, inaction from the federal government has sparked the innovation of states, cities and metropolitan areas that are teeming with smart, pragmatic and bipartisan solutions to national economic challenges.

For the second year in a row, we have identified our Top 10 State and Metropolitan Innovations to Watch -- actions undertaken by states and metropolitan areas in 2012 that seem ripe for meaningful impact in 2013 and beyond, as well as for replication by other communities.

Many of these innovations represent grand economy and talent-shaping gestures.

In San Antonio, for example, a ballot initiative to support pre-kindergarten education was passed in November, championed by Mayor Julian Castro and the local business and civic leadership. The referendum provides $31 million a year in new sales tax revenue to expand pre-k programs, with the goal of providing every eligible student in the city a strong start on the path to secondary and post-secondary success.

Other large-scale initiatives include an Infrastructure Trust in Chicago to leverage private investment for the energy retrofit of public buildings, and the accelerated build-out of a state of the art transit system in Los Angeles -- a metropolis long known for its traffic congestion rather than transport alternatives.

Most dangerous U.S. cities

Some innovations embody smaller, structural interventions.

Florida Gov. Rick Scott's new Office of Freight Logistics and Passenger Operations will bring a multimodal approach to solving transportation and logistics challenges that have traditionally been addressed separately and inefficiently. Building on the state's decision to prioritize investments in the Port of Miami -- which alone carries 5% of U.S. trade with Latin America by value -- the office will be instrumental in ensuring the competitiveness of the state's large logistics sector by preparing for changing dynamics in global trade, such as the expansion of the Panama Canal.

Other structural initiatives include an ambitious strategy in Portland, Oregon, to help small business and distinctive clusters of firms access global markets, and a new National Additive Manufacturing Innovation Institute in Youngstown, Ohio, to capitalize on opportunities brought by 3D printing.

All of these innovations share common themes.

They embrace a vision of economic growth that is productive, sustainable, inclusive and globally oriented. They are affirmative in spirit, forward-leaning in action and imaginative in design, reflecting the quintessential optimism that characterizes America. And, perhaps most importantly, they are shaped and advanced by networks of leaders who work across jurisdictional, ideological and, yes, political lines to get stuff done.

But most of all, these innovations in policy and practices show that American-problem solving does not rely exclusively on the work of the federal government.

If we can accomplish such extraordinary things at the state and local level, just imagine what we can accomplish as a nation if Washington gets it act together and even partially embodies this same innovative spirit. Hopefully, it won't take four years.

* * *

Top 10 state and metro innovations to watch

Exports

Metro -- Portland, Oregon: Metropolitan Export Plan. An ambitious strategy to help business and distinctive clusters of firms access global markets.

State -- Florida: Office of Freight Logistics and Passenger Operations. A new department to coordinate and prioritize freight and port strategies and investments.

Low Carbon

Metro -- Chicago: "Retrofit Chicago." Leveraging private investment in a new Infrastructure Trust for the energy retrofit of public buildings.

State -- California: Cap-and-Trade. The launch of a carbon trading system to lower carbon emissions and further demarcate the state as the center of the American clean economy.

Innovation

Metro -- Youngstown, Ohio: National Additive Manufacturing Innovation Institute. A new regional manufacturing initiative to exploit the full opportunities brought by 3D printing.

State -- Massachusetts: Top-USA Massachusetts. A research exchange between Boston-area and Brazilian research institutions.

Opportunity

Metro -- San Antonio: Pre-k Expansion. A commitment to expand pre-k education, to give every student a strong start on the path to secondary and post-secondary success.

State -- Kansas: Career and Technical Education Initiative. State incentives for enrollment in and completion of local technical education and community college classes.

Governance

Metro -- Los Angeles: America Fast Forward. Metro-federal partnership in accelerated build-out of transit expansion.

State -- California, Washington, Oregon: West Coast Infrastructure Exchange. Three-state initiative to coordinate cross-state infrastructure investments.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Washington has been mired in dysfunction for years, authors say

@highlight

They say the good news is local governments are stepping up

@highlight

States and localities are finding innovative solutions to problems, they say

@highlight

Authors: Small government units tackling transit, education, economy