Beirut, Lebanon (CNN) -- In a country as small as a newborn baby is tiny, the birth of Ghadi has been a very big deal for Lebanon.

"Ghadi was born pure, was born a Lebanese citizen," explains his happy mother, Kholoud Sukkarieh, as she holds her nearly 2-month-old baby close. "He was not born a sectarian person."

Sukkarieh calls that accomplishment "a step forward for a better Lebanon" and "the result of a long struggle."

You certainly wouldn't know from glancing at Ghadi's uncluttered birth certificate -- a simple document that belies the complexity of his status.

Sukkarieh points proudly to a line that would normally denote her son's sect. But on this historic, yet flimsy little square of paper, it's been very deliberately left blank.

That may sound easy, but in a country of 18 different faiths spread amongst less than five million people, it was anything but. Lebanon's government relies heavily on a sectarian political balance to maintain a very tentative peace. It's a system that always seems fraught with peril for its population.

Ghadi, whose name in Arabic means "my future", isn't old enough to worry yet. His parents dream of a future where he'll never have to.

Sukkarieh, a Sunni Muslim, and her husband Nidal Darwish, who is Shiite, never wanted a religious wedding ceremony. But civil marriages aren't legal in Lebanon.

Committed as much to each other as they were to their cause, Sukkarieh and Darwish took on political and religious leaders -- fighting a two-year battle from engagement onward in order to become the first couple to be granted a civil marriage license in Lebanon.

Amidst the country's confessional system of governance, one whose politics have become more fractured as its sectarian lines have grown deeper, it looked on many occasions like they might not win out. But despite strong opposition and multiple threats, they persevered.

The law still hasn't been changed but momentum is now growing to change it. Sukkarieh and Darwish's marriage license was approved last April, and they haven't stopped pushing the envelope since. But in Lebanon, where religion can mean the difference between life and death, love and birth aren't always celebrated.

"Somebody talked to me on Facebook," Sukkarieh tells me, "and said 'I will turn your baby into blood because he's an illegal baby' based on his point of view ... saying 'you won't see him growing up -- you will see him killed some day between your hands.'"

It's difficult to imagine how anyone could see Ghadi as a threat, yet sectarian tensions have long existed in this country -- one that experienced a brutal 15-year civil war, and one that is being drawn deeper every day into another civil war in neighboring Syria.

Just last week, two suicide bombs rocked Beirut. Over the summer, dozens were killed in blasts targeting both Sunni and Shiite strongholds throughout the country.

It's no wonder Darwish is so fearful for his family.

"It's very hard because, when Kholoud and I started down this path, we got threats, but it didn't make a difference to us, we were proud of what we were doing and the steps we were taking," he says. "But since Ghadi arrived we've started to feel scared."

The family that wants to change Lebanon may now have to leave it. As they consider relocating, they grow sadder and more worried.

"You end up living a life of fear," says Darwish. "I just constantly want to protect Kholoud and Ghadi," he adds, "hold them close and not let them go."

"We are trying now to apply for immigration somewhere else where we can be protected as human beings and [where we can keep] our human and civil rights," Sukkarieh says.

This is the sad reality of Lebanon: A beautiful baby whose arrival was meant to bring hope may now need to depart a divided country that could use that hope more than ever.

@highlight

Lebanese parents refuse to mark baby's sect on birth certificate

@highlight

Parents have received threats in Lebanon, a country deeply divided on sectarian lines

@highlight

Parents also fought two-year battle to get first civil, non-religious marriage certificate

@highlight

Divisions among sects in Lebanon deepen as Syria's civil war spills into country