(CNN) -- The midterm elections are a week away. Control of the Senate will be decided by a handful of close contests that remain competitive in the final days.

In an era of narrow majorities in the upper chamber, just one or two races can make all the difference in terms of who will be in control. Most experts are predicting that Republicans will gain the Senate, though there are a few outliers, like my colleague at Princeton University, Sam Wang, whose statistical models have been showing that Democrats can still be victorious.

In the coming days, here are six campaigns to watch. In each of these states Republicans are holding their ground by connecting their opponent to President Obama while Democrats strike back by reminding voters of extremism in the GOP.

Four of the states have incumbent Democratic senators who are waging close races for re-election. In the other two, the retirements of senators, one a Democrat and one a Republican, have created an opportunity the two parties are contesting.

North Carolina: This is a Senate race that has been extremely expensive, with the national parties pouring money into advertising based on the view that this one can go either way, and it's close. Incumbent Sen. Kay Hagan is a Democrat who voted for President Obama's health care program and who has faced a tough challenge from Thom Tillis, a businessman who pushed back the tea party candidate in the Republican primary.

Hagan, who had been expected to keep this seat, has made some mistakes along the way, such as skipping a Senate Armed Services Committee meeting to raise campaign funds, something that was a no-no in her home state, where the military is a cherished institution. Superstars from each party have made appearances for the campaign—Hillary Clinton for Hagan and Rand Paul for Tillis—trying to boost their competitive edge.

Outside groups and the National Senatorial Republican Committee are pouring money into Tillis' campaign, smelling the potential for a real upset. President Obama's drive to increase African-American turnout is key for the Democratic strategy. Republicans are continuing to hammer away at Hagan by criticizing her party for how the White House has handled the Ebola epidemic and ISIS.

Politics: How the 'war on women' is changing

Colorado: This is a state that makes Democrats very nervous. A recent poll by a Democratic company reported that this race is a deadlock, a disappointment to Democrats who thought they were safely in the lead.

Their hope was that Sen. Mark Udall would be able to capitalize on the demographic trends—such as the expanding population of Latino-Americans—that have been building a solid base for the party, allowing President Obama to win in both the 2008 and 2012 elections.

But recent polls have shown that Rep. Cory Gardner is doing much better than expected, including with female voters. This in itself has caused Democrats great concern, because Udall has made his opponent's position on women's issues the major focus of his campaign. "Congressman Cory Gardner's history of promoting harsh anti-abortion laws," explained the narrator in one of his ads, "is disturbing."

Alaska: Freshmen Democrat Mark Begich is scrambling to keep his seat. From the start, this has been one that was always going to be tough for Democrats to retain. Begich barely won in 2008 in this Republican state, and he has suffered repeatedly from being connected to President Obama's unpopular presidency.

Begich was also accused of allowing a misleading advertisement that suggested Attorney General Dan Sullivan had responsibility for a mistake that allowed a sex offender to go free and commit another sex assault and killings. Right now, Sullivan is enjoying a growing lead.

Arkansas: Even with the Clinton machine rallying to his side, Democratic Sen. Mark Pryor has been struggling against GOP Rep. Tom Cotton, a veteran and Harvard graduate who has been hammering away at Pryor for his ties to President Obama, a common theme on the campaign trail.

A recent article in The New York Times showed how Democrats face a number of big demographic challenges in what was once a solid Democratic state, like the massive growth of population in the conservative exurbs. One new poll shows that Cotton is ahead by 49% to 41%. Pryor has also made a number of embarrassing mistakes, including being unable to come up with an answer to a question asked of him during a campaign rally about how the White House was handling Ebola. In this state, voter turnout will be absolutely key. Democrats are counting on high levels of spending on ground operations and a surge of African-American voters to bring them to victory.

Georgia: Despite a series of setbacks, such as the leak of a revealing campaign memo, Michelle Nunn has been putting on a strong campaign against businessman David Perdue to capture the seat held by retiring Sen. Saxby Chambliss, a Republican. Democrats are going to need Georgia if they are going to keep control of the Senate.

While this election might result in a runoff in January, Nunn has been doing a good job overcoming the negative sentiment associated with President Obama by hitting hard against her opponent's record in the private sector, using some of the same kinds of attacks that were used against Mitt Romney on issues like outsourcing. Perdue has struck back by saying that the Democrat doesn't really understand "what it takes to create jobs and create economic value," which he says he does through his work with the retailer Dollar General. Of course, Nunn's beloved family name also helps.

Iowa: The right-wing state senator Joni Ernst has rattled the electorate with a controversial campaign that many thought would never work. While the GOP expunged tea party candidates in most of the primaries, Ernst was one of the exceptions.

Bidding to take the seat held by retiring Sen. Tom Harkin, a Democrat, Ernst turned heads with an ad boasting of her experience castrating hogs, saying she would do the same in Washington to cut government spending. "Mother. Soldier, Independent leader," reads the sign on her campaign bus. Democratic Rep. Bruce Braley—who has received the support of Democrats like Michelle Obama—is having trouble stopping Ernst in the polls.

Begala: Candidate's gun remarks should scare us

There are a few other races, such as in Kansas, where the outcome remains uncertain and each party is pouring in as much money and manpower as they can in the final few days to swing states their way. Election night should be interesting, as we'll see if Democrats can somehow defy the historical trend of the party of the White House doing poorly in midterms, or whether Republicans lock up control of Congress and give President Obama two more years of gridlock as he finishes his term.

@highlight

The outcome of six races could determine whether the U.S. remains in Democrats' hands

@highlight

Julian Zelizer: Democrats citing GOP extremism; Republicans cite Obama's performance

@highlight

In four of the states, Democratic incumbents are seeking to win re-election

@highlight

Zelizer: Can White House reverse historical pattern of midterm losses?