(CNN) -- Dramatic satellite images show large deposits of sediment in coastal Louisiana, the receiving end of the massive flooding on the Mississippi River.

The sediment gush has a down and up side in region known for its seafood and delicate wetlands, a federal official said Friday.

The U.S. Geological Survey (USGS) and NASA recently provided the stark imagery of the sediment plumes to the U.S. Army Corps of Engineers and Louisiana to assist them with flood response.

See flooding map from USGS

A map on the USGS website allows users to call up the plumes and see flood data collected by government agencies.

The opening of the Bonnet Carre spillway caused a sediment plume in Lake Pontchartrain above New Orleans. Another plume resulted from the opening of the Morganza Spillway and flooding on the Atchafalaya River. The third is where the Mississippi River meets the Gulf of Mexico.

"We live in historic times," said Phil Turnipseed, director of the USGS's National Wetlands Research Center in Lafayette, Louisiana.

The tan and brown plumes resulted from millions of gallons of sediment-laden freshwater rushing to the Gulf through spillways, river channels and levees.

Wetland seasonal flooding "is essential to the health of coastal wetland ecosystems," according to the USGS. Extreme flooding that has occurred this year has delivered high amounts of sediment and nutrients.

The sediment will hurt the oyster harvest in the brackish waters of Lake Pontchartrain, essentially a bay, Turnipseed told CNN.

"All of this is temporary," he said. "Eventually, Pontchartrain will cleanse itself."

Flooding in the Atchafalaya basin has not been as severe as expected after officials opened the Morganza Spillway, but Turnipseed acknowledged it has affected residents.

Across Louisiana, officials are still coping with the crisis.

The Louisiana Governor's Office of Homeland Security and Emergency Preparedness said Thursday that at least 1,230 structures in 13 parishes have been affected by floodwaters. Friday, it said 1,150 National Guardsman continue to be mobilized for the flooding response.

For the Atchafalaya wetlands, the flooding is a plus because it will create desperately needed land, Turnipseed said.

Gulf Coast hopes for busy Memorial Day

"If the marsh grasses could sing, they would be singing praises," the official said.

The sediment pushing through the mouth of the Mississippi is good for flood control, Turnipseed said, "but it's not a good thing for the ecosystem."

Officials are undergoing the laborious of measuring and analyzing the sediment.

Ecologists lament the sediment reaching the gulf, rather than building wetlands, which protect Louisianans from storm surge and support aquatic life.

Over the past 80 years, the state has lost coastal wetlands equaling the size of Delaware, federal officials say.

"It's a national tragedy," Turnipseed said. "The wetlands are needed."

The problem is not new. Natural processes and human disturbance, including dredging and pollutants, have taken their toll.

Turnipseed on June 2 will present at the state Capitol a map of Louisiana wetland losses and gains from 1932-2010. He hopes the new map will help inform land managers and agencies on marsh restoration.

Federal authorities, meanwhile, are in the process of closing portions of the Morganza Spillway as the swollen Mississippi River recedes. The spillway was opened May 14 to prevent the Mississippi from flooding New Orleans and Baton Rouge.

The Corps of Engineers has closed five of 12 bays, public affairs specialist Ricky Boyett told CNN on Friday afternoon.

The Corps said much as 1.2 million gallons (172,000 cubic feet) per second had been pouring through the spillway, which diverted water through the Atchafalaya basin, but that number was down to 120,000 cubic feet per second later in the week.

The high water has caused some flooding down the Atchafalaya. But the water levels "continue to be lower than anticipated" throughout the basin, Corps spokesman Ken Holder said this week.

The river remained about five feet above flood stage Friday afternoon at Bayou Sorrel and about six feet over flood stage at Morgan City, on the approaches to the Gulf. But it was more than five feet lower at the town of Krotz Springs and about two feet below flood stage at Butte LaRose, about 20 miles south of the spillway.

@highlight

Satellite images show large sediment deposits along Louisiana coast

@highlight

Officials are concerned about the loss of wetlands across the state

@highlight

Mississippi River flooding is having negative and positive impact