Islamabad, Pakistan (CNN) -- A key member of an insurgent network in the Afghan-Pakistani region has been seized recent days, Pakistani military intelligence sources told CNN on Friday.

He is Nasiruddin Haqqani, son of Afghan insurgent leader Jalaluddin Haqqani, whose notorious group, called the Haqqani Network, operates in Afghanistan and Pakistan and is closely tied to the Taliban.

Nasiruddin Haqqani was detained in recent days while driving from Peshawar to the tribal region of North Waziristan, the sources said. The United Nations says he is believed to be based out of Miram Shah in North Waziristan, where the network operates.

The Pakistani military intelligence sources asked not to be named because they are not authorized to speak to the media.

This arrest comes amid concerns among U.S. officials that Pakistan has not been aggressively confronting militants operating in the tribal regions.

The Haqqani Network "has been at the forefront of insurgent activity in Afghanistan, responsible for many high-profile attacks," the United Nations says.

Bill Roggio, managing editor of The Long War Journal, a website that tracks terror-related events and trends, calls the top leadership a "family business."

The United Nations says it consists of Jalaluddin Haqqani's three oldest sons, one of whom is Nasiruddin, who operates as an emissary for the network and spends a lot of time fundraising, the United Nations says.

He apparently speaks Arabic and is a close aide to his father, the United Nations says. His brother, Sirajuddin, is described by the U.S. Treasury Department as the overall leader of the network and the leader of the Miram Shah Regional Military Shura.

The United Nations says the Haqqani Network is believed to have three main sources of funds: Gulf region donations, drug trafficking, and al Qaeda payments.

"In 2004, (Nasiruddin) Haqqani traveled to Saudi Arabia with a Taliban associate to raise funds for the Taliban. He also provided funds in 2004 to militants in Afghanistan for the purpose of disrupting the Afghan presidential election.

"From at least 2005 to 2008, Nasiruddin Haqqani collected funds for the Haqqani Network through various fundraising trips, including during regular travel to the United Arab Emirates in 2007 and through a fundraising trip to another Gulf state in 2008," the United Nations said.

And late last year, Nasiruddin Haqqani "received several hundred thousand dollars from al Qaeda-associated individuals in the Arabian Peninsula" for network activities.

Earlier this year, the U.S. Department of the Treasury cited Nasiruddin Haqqani for supporting acts of terrorism. Sirajuddin Haqqani was designated a supporter of terrorism in 2008.

Many observers say the North Waziristan-based group has backing in the Pakistani military.

"Elements within the Pakistani security establishment continue to view the Haqqani Network as a useful ally and proxy force to represent their interests in Afghanistan. To this end, Haqqani forces have repeatedly targeted Indian infrastructure and construction projects in Afghanistan," the Institute for the Study of War said in a report this year.

"The Pakistani Army has consistently refused to launch a military operation in North Waziristan despite the presence of al Qaeda senior leadership," it said.

A report published earlier this year by the New America Foundation think tank calls the Pakistani agency of North Waziristan "the most important springboard for violence in Afghanistan today, much as it has been for decades."

And it says the Haqqani Network is "the most important militant group" in North Waziristan's Miram Shah, where Jalaluddin Haqqani settled in the mid-1970s after leaving his native Khost province in Afghanistan.

"Jalaluddin quickly became the most important mujahedeen commander in eastern Afghanistan during the 1980s" when Afghan fighters took on the Soviet Union, the report says.

North Waziristan has been a "safe haven" for militants eluding U.S. and Pakistani military actions, it notes.

"Shortly after the fall of the Taliban regime in Afghanistan in late 2001, thousands of Taliban members associated with the regime flooded into North Waziristan," according to the report, titled "The Battle for Pakistan: North Waziristan."

"Many took shelter in (North Waziristan's) treacherous and heavily forested Shawal Valley, which became a refuge for all sorts of foreign militants, including those from al Qaeda. Pakistani government forces subsequently targeted other Pakistani safe havens, including South Waziristan. In 2004, a wave of militants arrived in North Waziristan after being pushed out of South Waziristan's Shakai Valley. More recently, a variety of militants associated with the Mehsud tribe in South Waziristan is believed to have sought safe haven in North Waziristan."

Will the arrest make an impact in the war against the Taliban? Roggio doubts it.

He says the Haqqanis are one of the Pakistani state's premier proxies and puts them on par with Lashkar-e-Tayyiba, the Pakistan-based group that was blamed for a violent siege on Mumbai in November 2008.

He notes that there has been pressure to appease and deflect pressure from the United States and NATO.

"When the heat gets turned up," he said, Pakistan will make a gesture but "not a real sacrifice."

CNN's Aliza Kassim, Joe Sterling and Tim Lister contributed to this report

@highlight

Nasiruddin Haqqani was seized in recent days

@highlight

He was arrested while driving to the tribal region from Peshawar

@highlight

The son is a key fundraiser for the network