(CNN) -- As the powerhouses of the rugby world continue to battle over the Web Ellis trophy in the knockout stages of the World Cup, some of the sport's less-fancied teams are making their way home after a valiant, if unsuccessful, fight in the group stages.

Since the tournament began in 1987, only four nations have walked away as world champions: New Zealand, South Africa, Australia and England.

Canada's Canucks, Georgia's Lelos or the U.S. Eagles were never the bookmakers' favorites to win the Cup and for obvious reasons. These emerging nations do not compete anywhere near as regularly as the elite sides and, along with tactical and experience deficiencies, face a daunting challenge to emerge from the bruising challenge of the pool matches in the world's most prestigious event.

But these teams do have heart and motivation and -- perhaps most of all -- they have the joy and passion of national pride. Whether or not they walk away with wins, it's being there, representing their nations and improving the standard of rugby within their countries, that matters most for them.

"When that flag is waving and the anthem plays before the game, if that doesn't get you going, you need to see a cardiologist," former Eagles player and coach Jack Clark told CNN. "It's just one of those moments where you feel not only a lot of responsibility, but you feel really privileged to have that responsibility."

Lelos making strides

Georgia did not make an appearance in the Rugby World Cup until 2003, but the they became an overnight sensation during that year's tournament with their passionate play, despite not actually winning a match.

The Lelos, named after an indigenous Georgian sport similar to rugby, also qualified for the 2007 finals and nearly caused a sensation by coming within a whisker of beating established nation Ireland. Just 11 days later, they beat Namibia 30-0 to record their first World Cup success.

For a nation that considers rugby to be a minority sport, Georgia are supported by an intensely loyal fan base and host a number of players who regularly compete in France, adding to their level of conditioning.

"The strength of our team is in our physicality," media manager Lasha Khurtsidze told CNN. "We always have very good forwards and our scrum is considered to be in the top five in the world. Our players have a very strong sense of pride and courage. They play like they are on a battlefield protecting their country."

Georgia qualified for this year's tournament after defeating Russia 36-8 and winning the European Nations Cup in 2010.

"We are determined to show the world that we are not underdogs," Khurtsidze added. "We want to prove that we deserve a place among the elite teams. We aim more at playing with dignity rather than winning, however, to win one or two matches is very important because expectations are very high here in Georgia."

In this year's tournament, Georgia narrowly lost to Scotland, England and Argentina, but beat Romania 25-7.

"I think Georgia surpassed expectations in this year's World Cup," Alex Payne, a Sky Sports broadcaster who regularly covers rugby, told CNN.

"I would have expected them to have lost more heavily to Scotland, England and Argentina, given those teams would have been very aware of what Georgia are capable of. Georgia were not taken lightly by any of those teams, and yet still, the margins of victory were more than respectable for a side that doesn't get that much competitive play.

"Georgia have come a long way in a short state of time," Payne added. "If they can add a bit more creativity and flair behind what they've got up front, then they will push forward."

Eye on the Eagles

The U.S. Eagles have participated in each World Cup since 1987 (except 1995, when they did not qualify), but going into this year's Cup, they had only ever won only two matches, both against Japan.

Although they are a national team, the Eagles are not considered part of the professional game. The U.S. players were exposed to rugby in high school or college and many are former American football players.

"These are regular people with normal jobs who have learned to challenge themselves outside the usual lifestyle," Julie McCoy, coach of the USA sevens side, told CNN.

"The majority of those players have come through the high school and college All-American system over the last 10 years. They finally have a pathway. It's not just a bunch of guys saying 'Hey, who wants to go represent the U.S. in the World Cup?' That was the mechanism 10 years ago."

While other countries were holding training camps in July, the Eagles were unable to practice as a team, according to head coach Eddie O'Sullivan. When the players do get together, they have to make up for lost time in addition to preparing for a global tournament.

"It's a pretty meager existence, but we make those sacrifices so we can get our proper training and conditioning in," Eagles center Paul Emerick told CNN. "It's a testament to the guys who are dedicated. Everyone wants to be here and put their time in."

The main core of the current U.S. squad played together in the 2007 tournament, and the players have managed to maintain a tight chemistry. That, combined with the pride they take in representing their country on a world stage, provides Team USA with its greatest strengths.

"The ultimate thing you want to do is represent your country," Eagles lock Scot LaValla told CNN. "That's the dream, the goal, the end result if you're really committed to your sport. One of the things I'm constantly impressed with is the chemistry on the team. Physically you have a team here who is strong as any other team, but our commitment to each other is an asset."

The Eagles fell to Ireland and Italy , and were thrashed 67-5 by Australia. However, they achieved an important goal by defeating Russia 13-6, a result that saw them finish fourth in Pool C, ahead of the Russians.

"I would expect that they wanted to beat Russia by more," Payne said. "The disappointing thing for them will be the hammering at the hands of Australia. That is the kind of gap they will want to close in the future. They will be disappointed not to have made more of a statement at the Cup, but they showed that they've got some really talented players."

Canucks still improving

Canada have appeared in every World Cup since 1987 and have already qualified for the 2015 tournament. in England. Going into this year's tournament, the Canucks were the top qualifying Americas team and have continued to improve in rank throughout the year. But they have only made it past the pool phase once, in 1991, where they were knocked out in the quarterfinals by New Zealand.

Canada entered this years tournament in good stead with victories over the U.S. and maintained that form with a 25-20 success over Tonga.

Defeat against France followed, before a tense 23-23 draw against Japan. Former Canadian international Gareth Rees told CNN: "They've been really honest and hardworking in this tournament despite not everything being perfect. In terms of their attitude and setting up for the next four years, it's been an outstanding World Cup."

Canada were thrashed 79-15 by host nation and tournament favorites New Zealand in their final match and Rees believes if the Canucks want to improve on the international stage, they need to re-evaluate their structure, beginning with a bigger pool of players to choose from.

"The biggest issue is we have is to be playing at a higher intensity," he said. "We need more regular games at a higher level, so when we get to the pool games, the intensity and the mental preparation isn't quite as much of a shock to the system.

"I'd like to see us knocking on the door, like when Tonga upset France. I'd like it if Canada could be that team upsetting other teams -- I think we can get up there to being at the top of the Tier 2 nations."

@highlight

Canada, Georgia and the U.S. are emerging as leading contenders in world rugby

@highlight

Georgia are building on their reputation for being competitive and physical

@highlight

The U.S. Eagles are a tight cohesive outfit that display deep national pride