(CNN) -- Not everyone gets a second chance.

Billy Smith and Christopher Scott know that all too well. They appreciate it all the more because they have been given such a chance.

Smith and Scott are among the men whose stories are featured in the new book "Tested: How Twelve Wrongly Imprisoned Men Held Onto Hope," which is due for release October 12. The subjects served anywhere from 18 months to 26 years behind bars for crimes they did not commit. Ultimately they were freed -- many of them thanks to DNA evidence.

The book is the team effort of a mother and daughter, Dorothy and Peyton Budd. Dorothy Budd is a former child sex crimes prosecutor for the Dallas County District Attorney's Office in Texas. But it was ultimately her role as a deacon in an Episcopal church that led her to this project, she said.

"The role of a deacon is to give voice to the needs of the poor and the oppressed," said Budd. "Prisoners -- people whose voices might otherwise not be heard. When I heard a woman at a Bible study talking about how she thought these men in Dallas who had been exonerated were a powerful voice for justice in the world, I wanted to meet them."

Although Budd had no writing background, her daughter Peyton Budd did, having been selected for the University of Virginia's Young Writers Workshop. With her help, they began interviewing the 12 men who would go on to be featured in "Tested." Although these men all shared something in common, it turned out each had his own way of coping.

"For some of them it was the unconditional love of a family member or girlfriend," said Peyton Budd. "For some it was the power of music or faith in God."

It took Billy Smith time to get to that point, though.

Smith was arrested in 1986 at age 35 and charged with aggravated sexual assault. The girlfriend of the building manager of Smith's Dallas, Texas-area apartment had accused Smith of robbing and raping her. A search of Smith's belongings revealed no clothing matching the description given by the victim. There was no physical evidence tying him to the crime. Both Smith and his sister testified he was home when it occurred.

Still, the eyewitness identification led him to be convicted and sentenced to life in prison.

"There was a time when I fell into deep depression and despair," says Smith, 58, about his nearly 20 years behind bars. "I became so despondent I considered suicide, even though I know I didn't do the crime."

Throughout much of his term, Smith admits to giving way to anger and bitterness. However, he eventually came to an important realization.

"I was tired of being angry, and I knew if I stayed angry I would have nothing to look forward to or hold onto," said Smith. If you hold on to anger, you can't see what's up ahead."

Before Smith actually achieved his freedom, he found spiritual peace through faith. Smith entered prison a practicing Christian, but converted to Islam while serving time.

"I found the discipline that I was looking for," Smith said. Through having discipline I was able to find serenity."

Smith was eventually given access to DNA testing proving he did not rape the victim. He was released in July 2006 and officially exonerated December 13 of that year.

Unlike Smith, Christopher Scott did not have the benefit of science in maintaining his freedom, and DNA evidence played no role in his name being cleared. He was convicted of capital murder in 1997 and sentenced to life in prison.

Scott spent the next 12 years of his life behind bars before being exonerated in 2009 after another man confessed to the crime. Scott insists that like Smith, he refuses to give in to anger when looking back on his experience.

"In the growing process, we can't be angry about it," said Scott, 39. "We have to keep on moving. I was the one out of a million chance that came through. I kept my sanity and fought hard for my freedom. Now I'm free, doing things I thought I'd never do."

"Tested" also addresses what life after incarceration has been like for these 12 men. Some emerged from behind prison walls to find themselves like Rip Van Winkle -- in a world they did not recognize.

"I didn't know anything about cell phones," said Smith. "When I saw people talking on them with headsets I thought they were talking to themselves."

Smith admits he was traumatized when he got of prison and had to learn how to live life as a free man once more.

While happy about his freedom, he was scared and confused as well. Dallas had changed a great deal in nearly 20 years, and most of his friends were either dead, in prison or had moved away.

Once again, he pondered suicide. Normal, mundane situations for most people became a challenge for Smith.

"I would ride the bus, and I would be afraid to have a woman accidentally brush up against me, because I know how easy it is to be caught up in a lie," Smith said.

While faith had saved Smith while in prison, love saved him in freedom.

"I've got a good life now," said Smith. "I met a woman and married her. I'm starting to come alive, and I'm having the kind of life I think was meant for me all along."

Dorothy Budd says her book isn't meant to be an indictment of the U.S. justice system. To the contrary, she calls it a "great" system. However, she adds "Tested" sends a message that mistakes can be made, even in a great system.

"It's easy to say all criminals say they are innocent so they all must be lying," Dorothy Budd said. "These 12 men prove there are people in prison who really are innocent. It begs us as a society to take responsibility for that and look again."

It's a thought echoed by Smith.

"If someone is in prison and they say they are innocent...believe them," Smith said. "Give them the benefit of the doubt. Hear what they have to say and work with the evidence that they have, because someone is telling the truth."

Scott said he believes the path to vindication lies in more than just outside help.

"Life is full of doubters, but you have to make those doubters believe you were innocent," Scott said. "Doing that is just being yourself and fighting for what you believe in""

While "Tested" is designed to highlight the stories of the exonerated men, Peyton Budd insists its message is something all readers can take to heart and learn from.

"It can help anyone through dark times in their lives, Peyton Budd says. "Their stories give you tools on how to deal with issues of despair and really get to a place of hope and forgiveness."

CNNRadio's Ninette Sosa contributed to this report.

@highlight

Book chronicles how the wrongly imprisoned men coped

@highlight

Billy Smith: "When you hold on to anger, you can't see what's up ahead"

@highlight

Christopher Scott spent 12 years behind bars before another man confessed

@highlight

Author says book sends message that mistakes can happen in a great system