(CNN)Scores of people have been killed in worsening violence in the Democratic Republic of the Congo's eastern region, leaving the local population in urgent need of aid, according to the United Nations and Human Rights Watch.

The U.N. High Commissioner for Refugees said Friday it had credible reports that at least 256 people, including children, had been killed in ax and machete attacks since October in the Beni area of North Kivu province.

"Multiple attacks over the last three months have caused widespread fear and displacement. We are appealing for humanitarian access to help people in distress," UNHCR spokesman Adrian Edwards told reporters in Geneva.

On Tuesday, Human Rights Watch also sounded the alarm, saying its interviews with victims and witnesses indicated unidentified rebel fighters had killed at least 184 civilians -- though the actual number is likely significantly higher -- and injured many others in attacks on villages in Beni territory.

About 88,000 people have been forced from their homes in Beni and the surrounding area, with some finding shelter with families while others seek sanctuary in schools or churches, UNHCR said. The violence has also spread northward into Orientale province, the agency said.

Meanwhile, more attacks have been threatened, prompting frightened villagers to flee again toward larger towns and cities, the UNHCR said.

'Constant fear'

"The survivors and the displaced live in a desperate situation and in constant fear. They remain at risk of new attacks and have had no respite for the past three months. They have little protection against violence and have received hardly any assistance," Edwards said.

People need shelter, basic aid items, clean drinking water and access to health services and schools, he said. Aid projects have been suspended because of the violence, of particular concern where disease is already rife.

The UNHCR called on the government to protect civilians and ensure humanitarian organizations safe access to Beni and the surrounding areas.

Human Rights Watch urged government forces and the U.N. peacekeeping force in DR Congo, MONUSCO, to work together to restore stability and to identify those behind the violence.

"Large-scale rebel attacks occurring nearly weekly have terrorized residents of Beni and left them uncertain where to seek safety," said Ida Sawyer, senior Congo researcher at Human Rights Watch.

"UN and Congolese forces need to urgently coordinate their efforts and improve protection of civilians in Beni."

Killings, rights violations

Human Rights Watch cited U.N. and Congolese army officials as saying they believe the recent attacks were carried out by the Allied Democratic Forces, a Ugandan-led Islamist rebel group that has been active in Beni territory since 1996. Beni is located near the border with Uganda.

In mid-October, MONUSCO chief Martin Kobler called for "decisive joint military actions" by the U.N. peacekeeping force and the DR Congo's military to "start as soon as possible in order to relieve the population from the terror imposed by the ADF, once and for all."

"This sequence of violence, killings, assassinations, and human rights violations in Beni territory needs to stop immediately," he said, speaking after a visit to Beni to pay tribute to the victims of previous suspected ADF attacks.

Radio Okapi, a radio network operated in DR Congo by MONUSCO and the Fondation Hirondelle, a Swiss nongovernmental organization, quoted Gen. Jean Baillaud of the MONUSCO force as saying Wednesday that it must do more to protect local people as it combats ADF rebels in the Beni area alongside the DR Congo military.

Baillaud acknowledged that the U.N. force could improve in terms of coordination and the swiftness of its response. He said political efforts, not just military, were also needed to resolve the situation.

The eastern part of DR Congo has been embroiled in violence since 1994, when Hutu forces crossed the border from Rwanda fearing reprisals following the genocide there.

CNN's Nana Karikari-apau contributed to this report.

@highlight

UN refugee agency says it has credible reports of at least 256 deaths since October

@highlight

Human Rights Watch says witnesses tell of rebels killing people in ax and machete attacks

@highlight

UNHCR: About 88,000 people have been displaced in and around Beni, North Kivu province