Washington (CNN) -- "We've seen the movie before," Sen. John McCain said recently on CNN's "New Day."

Oh, how right you are, Senator.

When Bill Murray's clock radio goes off at 6 a.m. and Sonny and Cher's tune "I've got you Babe" plays in the '90s classic "Groundhog Day," perhaps the radio should have been tuned into the latest news from Washington.

The Arizona senator was talking about the government shutdown that is being threatened on October 1.

Congress and the president are again at loggerheads on how to move forward as the government's money runs out at the end of the fiscal year this month and federal agencies are once again warning employees and preparing contingency plans for a closed government.

All this because Republicans are making demands in exchange for government funding and Democrats are saying "no way."

"We are committed to changing the status quo in Washington and restoring our fiscal stability," a tea party-backed House freshman said.

"At a time when the economy is just beginning to grow, where we're just starting to see a pickup in employment, the last thing we need is a disruption that's caused by a government shutdown," President Barack Obama argued.

While the above two statements could have been made today, the lines were drawn more than two years ago -- in the weeks before the first major battle between newly empowered libertarian-oriented Republicans and Democrats that nearly led to a government shutdown.

House GOP: Defund Obama care or shut government down

Again? Seriously?

You aren't dreaming. And you aren't starring in "Groundhog Day II." You have heard this before. A government shutdown is a possibility and the issues haven't changed: the size and cost of government, the debt limit and health care.

Your guide to a government shutdown

Some House Republicans are threatening to prevent mandatory, annual government spending bills from moving forward if the health care law, also known as Obamacare, isn't defunded. It's a tactic that Democrats have flatly rejected and even many in the Republican Party, including House Speaker John Boehner, advise against.

Republican strategist and CNN contributor David Frum also offered words of caution. "[R]epeal-or-bust is much more likely to produce a bust than a repeal," he wrote in an editorial on CNN.com on Monday. "More productive is the challenge of reforming Obamacare so that the nation can live with its costs," he added.

Julian Zelizer, history professor at Princeton, entered the debate with an editorial. He said the Republican Party's strategy to address the budget through "risky" showdowns "hurts its ability to persuade the public that the Republicans are interested in seriously pursuing fiscal restraint, as opposed to using this issue for purely partisan purposes."

That's McCain's point. "Republicans ought to understand if we shut down the government, Congress always gets blamed -- rightly or wrongly -- Congress gets blamed," McCain said Monday.

He's right. According to a recent CNN/ ORC International Poll, 51% of respondents would blame Republicans in Congress if the government closes its doors in October.

Adding to the tension, in mid- to late-October, the debt ceiling is set to be reached. It's a convoluted term that means the United States would have reached its borrowing limit and would be unable to pay bills already incurred -- or default on its loans. Republicans have signaled they want to extract spending cuts in exchange for an increase in the debt limit.

Obama said he "will not negotiate" on the debt ceiling.

"Congress needs to get it done without triggering another crisis, without shutting down our government, or worse, threatening not to pay this country's bill[s]," the president said in an economic speech Monday.

"I think we're facing an extraordinary few weeks of potential turmoil at the least and crisis at the worst," CNN senior political analyst Ron Brownstein said.

That could be the most oft-repeated political statement of the past few years.

Obamacare, spending showdown heats up in House

It goes way back -- to April 2011

Just five months after Republicans won a huge majority in the House of Representatives, seizing control of half of one branch of government from Democrats, the first major fiscal fight came to a head.

"If the government shuts down, it will be the Republicans' responsibility," House Minority Whip Steny Hoyer said then.

"There's no question that a shutdown is coming, whether we do it today or whether we do it in 20 years," then-Republican Rep. Tim Scott of South Carolina said at the time, drawing attention to an increase in government spending.

A last-minute deal -- literally last-minute -- was reached to keep the government open with a short-term spending bill, known as a continuing resolution, until September.

Q&A: The lowdown on the shutdown, or why you should care about the CR

Through the standoff, Republicans won a $38.5 billion reduction in government spending, restricted access to abortions and an extension of the school voucher program in Washington, D.C., and a vote in the Senate to delay the implementation of Obamacare. The deal effectively started the clock until the next crisis.

August 2011: Ditching on debt ...

"Default would cause a financial crisis potentially more severe than the crisis from which we are only now starting to recover," Treasury Secretary Timothy Geithner said in a letter to Congress in 2011, warning lawmakers of the consequences of hitting the debt ceiling.

During that battle, Republicans demanded spending cuts in exchange for an increase in the debt ceiling. Another 11th-hour deal averted default, but the U.S. credit rating was downgraded anyway.

The agreement only temporarily shelved the debt ceiling debate, however. And it set the stage for a much larger fight down the road. While it cut more than $900 billion from the budget over 10 years, it also put into place the framework for forced, across-the-board spending cuts known as the sequester. Congress would have just more than a year to figure out a way to cut an additional $1 trillion from the federal budget over the next decade or the automatic spending cuts on both defense and domestic programs would go into place.

September 2011: Kicking the can ...

Yep, just one month later, another battle over spending nearly led to a government shutdown -- the third such battle of 2011.

Two years ago, White House spokesman Jay Carney said something eerily familiar: "The fever hasn't broken," he told reporters, referring to budget battles in Congress that threatened a government shutdown. This time the September 2011 threats revolved around the amount of disaster relief funding.

While Democrats said Republicans were "holding hostage" aid to Americans hit by natural disasters, House Appropriations Committee Chairman Hal Rogers said Democrats have chosen "to engage in a political stare-down match that will bring us one step closer to a government shutdown."

Mild by comparison to the previous two fights as it ended days before the deadline, Congress reached an agreement that reduced the amount of disaster relief for states.

December 2012: Walking the edge of the fiscal cliff

Crisis, debt limit, tax increases, budget cuts, default: common words written (again) and spoken (again) in Washington this past holiday season.

"Hopefully there is still time for an agreement of some kind that saves the taxpayers from a wholly preventable economic crisis," Senate Republican Leader Mitch McConnell said in the lead-up to that fiscal showdown.

There's that word again. Crisis. Another pending economic crisis.

That fight was dubbed the "fiscal cliff." It was the culmination of ad-hoc agreements from previous government shutdown debates since 2011. Lawmakers worked through New Year's Eve to reach a deal on tax rates, the debt ceiling and government spending levels.

While Congress agreed to raise the debt limit and raise a series of taxes, including on the wealthiest Americans, an agreement on government spending levels was not reached and the forced spending cuts -- the sequester -- went into effect, trimming up to 10% off non-mandatory federal defense and domestic programs.

March 2013: Again?

"The full faith and credit of the United States of America is not a bargaining chip," the president said in January as Washington geared up for another fight over the debt ceiling, spending and Obamacare.

This debate was an extension of the New Year's Eve "fiscal cliff" battle. If Congress didn't reach an agreement, the result: you guessed it, government shutdown. What resulted was a spending bill that kept the government open until September 30 and also kept deep, across-the-board budget cuts in place that cut $85 billion across the board for the remainder of the year - and $1 trillion over 10 years - from military and domestic programs.

And here we are

That leads us to today. A new day but same story: Congress and the president are drawing lines in the sand over the same issues with the same dramatic consequences if they fail to reach an agreement.

"This country has worked too hard for too long to dig out of a crisis just to see their elected representatives here in Washington purposely cause another crisis," Obama said Monday on the fifth anniversary of the financial crisis.

"President Obama, Harry Reid, will scream and holler that the mean, nasty Republicans are threatening to shut down the government," Texas Republican Sen. Ted Cruz said on CNN in August. "And at that point, Republicans have to do something we haven't done in a long time -- stand up and win the argument."

"We're really seeing the same issues that have divided President Obama and the Republican House since January of 2011, coming back yet again, almost in this kind of circular loop that we're stuck in of fiscal crises that we can't get out of," Brownstein said.

Now might be a whole new understanding of Bill Murray when his character, Phil Connors, punches Ned in the face after the umpteenth time of having the same, annoying interaction.

CNN's Joe Johns contributed to this story

@highlight

Talk of a government shutdown is like a scene in the movie "Groundhog Day"

@highlight

If Congress doesn't reach an agreement over government funding, shutdown is October 1

@highlight

2011 had three major debates that nearly shut down the government

@highlight

But the 2011 fiscal battles only tell half the story