(CNN) -- In these days of austerity, thin profit margins, low competitiveness and high unemployment, we often hear of companies braving the economic storm with innovation and ingenuity.

For niche businesses, this can work. Others, however, need to think carefully about a plan of attack.

It's not just a question of turning your attention to international markets in the hope of making up the bleak numbers at home.

Advice from chief executives suggests you need to know your markets, tweak your products and then push your brand.

Fuller, Smith & Turner have been doing just that. And it's led to them exporting around 12 million pints of beer a year.

Founded in 1654, the brewery has seen its fair share of economic difficulties. But this time the crisis is twofold: The economic crisis facing Europe and the impact of beer duty at home.

Despite the deepening crisis in Western Europe, Michael Turner, chairman of Fuller, Smith & Turner, told me the latter crisis was his bigger concern.

The British government introduced a 2% duty on beer and wine back in 2008, but since then it has reportedly increased 42%.

That, Turner tells me, is crippling the industry and sapping demand for its product in the UK. According to Turner: "We pay, in this country, 40% of all the beer duty for the whole of the EU and we have something like twelve times the amount of tax that the Germans do."

That tax burden forced Fuller, Smith & Turner to seek out new sources of income. And so the company turned its attention to exports.

It now exports to 68 countries around the world, roughly the equivalent of twelve million pints per year. The company increased volumes by 200% in the last five years.

Traditional beers such as London Pride and London Black Cab have also benefited from what's been dubbed "the London-effect," that came with hosting the Olympics, celebrating the Jubilee and the royal wedding.

But Fuller, Smith & Turner has also adjusted its product to suit each market. The U.S. has become one of their biggest export markets. Tax in the U.S. is per bottle rather than then by alcohol level, and Fuller, Smith & Turner has successfully tapped the market by selling a wide variety of drinks with different alcohol levels.

It has adapted the aesthetic slightly by selling them in cardboard baskets rather than in plastic packs. Scandinavia and Italy, meanwhile, prefer draft beer, even if that's 8.5% alcohol content.

To keep up with such international demands, the company, which has always been based in London, has had to invest in its facility.

Turner told me the company had spent $9 million extending the already crammed brewery. Robots were brought in to maximize space and allow for the quick loading and unloading of kegs and beer pallets.

A new production line that cleans, sterilizes and fills beer kegs has also been introduced, allowing for greater capacity. Jeff Hack-Davies, the company's packaging operations manager, tells me this line alone has enabled them to produce 60 to 70 thousand kegs per week compared to 3,000 eight years ago.

It's an investment that has enabled them to keep up with international thirst for its beers and in turn beat the gloom in the UK.

If that weren't enough, this London brewery is also overturning the common perception abroad that British beer is warm, weak and undrinkable.

@highlight

Fuller, Smith & Turner demand that has seen volumes increase by 200% in the last five years

@highlight

The company has had success in selling a wide variety of drinks with different alcohol levels.

@highlight

Fuller, Smith & Turner exports to 68 countries around the world, roughly the equivalent of twelve million pints per year