Editor's Note: Two-time Oscar winner Denzel Washington joined the Mt. Vernon Boys & Girls Club in New York at the age of 6 and remained an active member for the next 12 years. The actor credits his early years spent at the club with changing the direction of his life. Since 1994, he has served as a volunteer national spokesman for Boys & Girls Clubs of America, appearing in public service announcements on television and in print. He's also a member of the group's board.

Denzel Washington says America's leaders need to pay attention to the crisis affecting our children.

(CNN) -- With the political season in full swing, much is at stake for America. The economy is in a downward spiral. We have an energy crisis. Our jobless rate is on the rise.

These are the subjects that generate headlines and much debate among the candidates.

But there is an underlying problem that we as a nation have not addressed, a situation that should concern any American with an eye on the future, regardless of party affiliation. It is the crisis affecting our children:

• Nearly 30 percent of this year's freshman class will drop out of high school, according to the National Center for Education Statistics. That number jumps to 40 percent in some urban areas.

• The obesity rate for our kids has gone up by as much as 300 percent since 1980, according to the National Center for Health Statistics, triggering a host of health-related problems, from diabetes to heart disease.

• Young people account for more than 20 percent of violent crimes in the United States, according to statistics cited by Duke University's Center for Child and Family Policy. Violent juvenile crime peaks between 3 and 4 p.m., at the end of the school day.

These facts are grim enough. Factor in persistent patterns of poverty, gang activity, drug abuse and teenage pregnancy, and you have a generation of Americans that will be unprepared -- indeed, unable -- to meet the challenges posed by a complex world.

We expect our leaders to lead. But as citizens, we shouldn't simply sit back and hope that politicians stand up to the test.  We can participate in the political process, advocating for policies that will benefit the health, education and well-being of young Americans, because we must do a better job of preparing our youth to lead.

It is daunting to think about solving such a widespread crisis. But there are youth-serving organizations that can and do play a key role in effecting positive change -- places such as Boys & Girls Clubs, with a long track record of helping young people turn things around, get an education, lead healthy lives and become effective leaders.

I know, because I was one of those kids. Club staff taught me right from wrong and made the lesson stick. They planted the seeds early on that led me to envision myself as a high school graduate, a college graduate and an achiever in whatever field I chose.

Boys & Girls Clubs do this today for millions of kids, offering everything from homework help to career exploration, performing a daily miracle that turns hope into opportunity. Urging children and the adults in their lives to "Be Great," these clubs communicate the idea that there is potential for greatness in every child. This powerful call to action reminds us that we can all play a role in helping youth realize their dreams.

So I ask you to join me in this effort. There are many ways to help:

• Volunteering at a local youth organization. • Leading by example. • Donating to charities that make a difference.

In partnership with government, schools, community leaders and parents, we can create a network and culture in which everyone embraces the importance of a positive future for our youth.

But right now, with Election Day fast approaching, ask your local, state and national candidates what they are doing to help our young people become tomorrow's leaders. Ask them to make children a top priority and tell them that you hold them accountable. If we all become advocates for our children, elected officials might just take action.

We can do better. And if we care about our nation's future, we must do better.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Denzel Washington: In a year of many issues, children are key priority

@highlight

Washington: Voters need to hold politicians accountable for helping young people

@highlight

Education, crime, obesity are all issues relating to youth, Washington says

@highlight

There are many ways to help, including Boys & Girls Clubs, he says