Washington (CNN) -- Thurgood Marshall, Hattie McDaniel, the Tuskegee Airmen and Walter Morris -- all African-Americans who made history breaking the color barrier. But while America's first black Supreme Court justice, the first African-American Oscar winner and the U.S. military's first African-American pilots are well known, you may never have heard of Walter Morris or his role in American history.

The War Department, as the Defense Department used to be called, wanted it that way. In March, a ceremony at the Pentagon sought to undo that.

When Walter Morris first joined the Army just before World War II, he wasn't a "black" or "Negro" or "African-American" soldier -- he was "colored."  And he was treated like all the other "colored" men who wanted to fight for their country.

"We were servants, we were not soldiers," Morris said. "Most of us had an inferiority complex and it was a result of what they had assigned us to do."

In the Deep South in the 1940s, racism was out in the open, including in the Army.

"You could walk down the street in the main post exchange area and in the summer the door would be open and you could look in and see white soldiers and prisoners of war from Germany sitting at the same table drinking, smoking," Morris said. "That in itself gave you this inferiority complex. You are in uniform and you couldn't go in, but the prisoners could go in and have coffee and cigarettes."

But by the time he left the Army, Morris would become the first "colored" man ever to earn the U.S. Army Airborne Parachutist Badge. It's all because he wanted to overcome that "inferiority complex."

Morris was the sergeant for a unit of black soldiers at Fort Benning, Georgia. That's where the Army was training white soldiers to be Airborne parachutists.

So after watching the white soldiers training, he would gather up black soldiers who had finished their jobs as cooks, guards or drivers, and they would duplicate the training the white trainees had just gone through.

"We went to the calisthenics field and we knew the routine because we had watched them. ... We started with the five-foot platform where they jumped into the pit," Morris said.

"The most interesting thing of that was the replica of a C47 plane -- the body of it -- and the students went in there and sat down and they pretended to be paratroopers," Morris said.

While Morris was trying to build his men's self-esteem, the War Department was quietly considering creating an all-black paratrooper unit. Morris soon found himself with a new job as the top noncommissioned officer for the new unit dedicated to training America's first "colored" parachutists, the 555th Parachute Infantry Company, or the Triple Nickle. They decided to spell it differently from "nickel" to make sure people knew they were unique. The unit had plenty of doubters.

"They didn't think colored soldiers had the intestinal fortitude to jump out of a plane in flight," Morris remembered.

But the men proved the doubters wrong. Twenty soldiers started the training and on February 18, 1944, 17 soldiers graduated and earned the Parachutist Badge. As the unit's first sergeant, Morris was the first man of the 555th to be pinned with the coveted "wings."

"That was the happiest day of my life, because now I was a combat paratrooper," Morris said.

But happiness was soon replaced by reality.

D-Day was approaching and the Triple Nickle wanted badly to jump into Europe to fight the Nazis. But the white officers who supported the Triple Nickle couldn't convince the generals in charge in the European theater to put the unit to use.

"The Army had no place for us," Morris recalls. "None of the commanding generals wanted the extra problem of integrating colored soldiers with the white soldiers, so they refused."

But soon the Japanese military created a need for the Triple Nickle's special skills -- and this is why Walter Morris is not as well known as Thurgood Marshall or Hattie McDaniel.

The only military attack to hit the U.S. mainland during World War II involved incendiary balloons. The Japanese released bomb-laden balloons into the winds that carried across the North Pacific towards the U.S. West Coast. The intent was to set fires in cities such as Seattle, Washington, or San Francisco, California.

More often than not the balloons simply started huge forest fires. But the Japanese didn't know what the balloons were accomplishing. The War Department wanted the fires put out and wanted to make sure the news didn't get out.

The U.S. Forest Service needed help putting the fires out. Morris and the members of the Triple Nickle packed up and flew west. Even they didn't know where they were going.

"It was a secret mission called Operation Firefly. We thought we were going overseas to [Gen. Douglas] MacArthur's theater," Morris said. It wasn't until they arrived in Oregon that they learned they'd be fighting the Japanese on the fire line in the Western United States.

With some quick training, the Triple Nickle became the "Smoke Jumpers" -- firefighters who parachuted into rugged mountain terrain with nothing but shovels, axes and basic supplies. Their mission meant they had to get the fire under control or out before they could return to base.

After 1,200 jumps, the fire season and the war were over.

But because Operation Firefly started out as a secret, the Triple Nickle's contribution to protecting the home front and to history was all but lost.

Now the Pentagon wants to change that, honoring the Triple Nickle. Of those first 17 graduates, three are still alive -- Walter Morris, Roger Walden and Clarence Beavers.

They were the guests of honor at a ceremony recently at the Pentagon.

They may not be as well known as other trailblazers in African-American history, but they were every bit the pioneers they trained to be.

@highlight

Walter Morris joined Army just before World War II when segregation still ruled

@highlight

He became head of new African-American unit, the 555th Parachute Infantry Company

@highlight

555th wound up fighting fires in Western U.S. in a mission that was kept secret

@highlight

Pentagon to honor their contributions in Thursday ceremony