Atlanta, Georgia (CNN) -- Taking risks in life with her career, and less so at the buffet table, have served Mireille Guiliano and her readers well.

The longtime Veuve Clicquot champagne house executive has a wisdom about women, French and otherwise, that's made her one others turn to for advice.

The former CEO and best-selling author of "French Women Don't Get Fat" and "French Women for All Seasons" is now toasting her latest book, "Women, Work & the Art of Savoir Faire: Business Sense & Sensibility."

Inspired by the young women who've approached her for guidance, Guiliano, who splits her time between New York and Paris, set out to impart what she's learned through her career.

"We have to help each other and help especially the young generation progress and not make the same mistakes we did," she said. "These very difficult times, with the recession and all of that, are actually a positive for women because it gives us a chance to make a difference and show that we are becoming the majority, and we should be treated as such."

CNN sat down recently with Guiliano to discuss the word that hurts the careers of women most, the lessons her mother taught her and any last-minute tips she has to prevent holiday-food overindulgence. Here are excerpts from that interview:

CNN: What exactly is this art of savoir faire you speak of?

Guiliano: Savoir faire is a complex set, a mix I should say, of competence, experience and knowing somehow instinctively how to make a decision in a given situation. [It's] creating your own luck and your own opportunities and then making the most of them.

CNN: What are the pitfalls you've seen women fall into most often and how do you think they can be avoided?

Guiliano: The word that I found comes back over and over again in women's lives when it pertains to their professions is the word fear. They're afraid to make a move. They're afraid to take a job in another state or another city or another country. They're afraid to go for an interview. They're afraid to take a promotion because they might not be up to the job. It comes from our culture, of course, the low self-esteem and low confidence we have, and we have to change that.

CNN: How did you not fall into that trap?

Guiliano: I used my mother's management principle, which was ironic because my mother didn't go to school and wasn't a businesswoman. But she told me to not be afraid to take risks and to ask myself , "What is the worst thing that can happen?" ... When you have that in mind, it gives you a special strength to go ahead, be bold and take the chances.

CNN: When you talk about what "our culture" has taught women, do you see a difference between American women and French women? And as a Frenchwoman who's lived and worked in New York, what have those differences meant to you?

Guiliano: Being and working in America, it's very important to work hard, work smart and work in a certain way. France and Europe has, with the tradition and culture, it's slow-moving and it's not always good. So you have to find a balance between the two. I know that I could have never accomplished what I have if I had stayed in France.

CNN: Why do you say that?

Guiliano: Because the opportunities were not there. Because it's much more of a man's world. In France, it's still very difficult for women to move ahead and to get into the boardroom or [serve as] CEO and all of that. That has to change.

CNN: But what about the need for more balance in American women's lives?

Guiliano: Balance -- that's what it's about. At the end of the day, each of us is responsible for our own balance. It starts with the physical because when you are healthy physically, of course, you have more energy, you are more bubbly, you are more productive, you're a happier person. And I believe it's contagious. Your spouse will notice it, your colleagues will notice it, and it will have a tremendous positive effect on the way you work, the way you think and the way you do everything.

CNN: Do you have tips on how to achieve this?

Guiliano: Find times to relax, to pursue your hobbies, your moments because this is very important. It's unfortunate that sometimes our companies, our bosses don't understand that we need that time. Actually it makes us better workers. We shouldn't feel guilty going for a walk at lunch, as opposed to eating at our desks.

Each of us has different ways. For you, it might be five minutes, three times a day, of deep breathing. And for me it might be 20 minutes of yoga in the morning. Or for someone else it might be listening to music or going for a walk. Whatever it is, you need that.

CNN: You've also, since your first book, emphasized the importance of eating well. We are in the midst of the most gluttonous season, and though it might be a little late to apply your advice this year around, do you have any last-minute tips for how we can approach holiday parties?

Guiliano: You have to apply a few commonsense tricks. At most of those parties, the food is not that great to start with, so don't go hungry and starving. Have two tablespoons of a yogurt or a sliver of cheese or a few nuts or a hard-boiled egg or an apple before you go, so you're not starving, and then try not to be too close to the food. Or look at all the food and pick two or three things you like and just have small portions, small bites. ... People in America, in the Anglo-Saxon world, tend to say "no bread." You can have a little bit of everything. It's all about moderation and balance.

@highlight

Mireille Guiliano, best-selling author, promotes latest book about work life

@highlight

Women mentoring other women is key to growth, as is finding balance, Guiliano says

@highlight

Letting go of fear allows women to take risks and move ahead, author adds

@highlight

Balance is tied to physical health and sensible eating, a doable holiday challenge