(CNN)What do Walmart, Target, and now the Koch Brothers have in common with the American Civil Liberties Union, ColorOfChange.org, and the Center for American Progress?

All of them are adopting or advocating for hiring practices that open up work opportunities for people with convictions and leverage untapped potential in the labor market. Koch Industries' recent announcement that it will "ban the box" -- i.e., remove from its job applications the check-box that asks about convictions -- is a big step forward in the movement to break down barriers to employment for job-seekers with records.

"Ban the box" doesn't prohibit background checks, it only postpones them until later in the hiring process. It's one item on a menu of fair-chance hiring reforms intended to ensure that job applicants are evaluated on their skills and qualifications first, rather than judged solely on past mistakes. These policies help reduce recidivism by making employment accessible to job-seekers who need a second chance, and they help break down the stigma of an arrest or conviction record.

Two generations of the war on drugs, zero tolerance, and aggressive policing have left 70 million adults  with arrest or conviction records that undermine their ability to be considered for jobs, even as the job market has grown steadily. Millions of people are being left behind, and it's taking a toll on our economy: The reduced economic output of people with records cost our economy $57-$65 billion in 2008 alone.

These criminal justice policies disproportionately impact African-Americans, who are incarcerated at a rate six times that of whites. The Department of Justice's recent investigation of the Ferguson Police Department, for example, shows the extent to which racism is perpetuated through police departments and the court system. That systemic racial disparity is then repeated throughout the economy, and the community is put at a severe disadvantage in the job market long after individuals have served their time. That's one reason the African-American unemployment rate is persistently twice that of whites.

In a job market where employers that didn't previously do background checks now make them a routine part of hiring, qualified job-seekers are being screened out of the applicant pools for more and more jobs. Nearly one in three adults in America has an arrest or conviction history that will show up on a routine background check. Companies like Koch, Walmart, Target, and Bed Bath & Beyond recognize that this is a huge source of untapped talent, and that's why they've already banned the box on their job applications.

These policies are also gaining traction with politicians across the political spectrum. Vermont Gov. Peter Shumlin, Georgia Gov. Nathan Deal, and Virginia Gov. Terry McAuliffe recently signed executive orders removing the conviction question from initial applications for state employment. So far, 16 states and more than 100 cities and counties have adopted fair-chance hiring policies. Six of those states and the District of Columbia, plus 25 cities and counties, have applied their policies to government contractors or private employers as well.

The Obama administration took an important step toward fairer and smarter federal hiring practices last year when it issued an executive order prohibiting contractors from discriminating against LGBT individuals. Banning the box and other common-sense hiring reforms would build on that progress and on the successful work of governors and the corporate sector. The administration should ensure that the federal government does not continue to erect unfair and unnecessary barriers to employment of people with records.

Already, more than 200 organizations and prominent individuals have publicly urged the Obama administration to take these practical steps. If Koch Industries -- a major federal contractor -- can ban the box, there's no reason why other federal contractors cannot.

Now it's time for President Obama to lead the way and embrace fair-chance hiring of people with records.

@highlight

Koch Brothers removing checkbox on criminal records from job applications

@highlight

Authors: Major companies are recognizing that those with criminal pasts can be productive workers