London (CNN) -- With the World Cup in 2014, the Olympics two years later and large discoveries of oil boosting the economy, Brazilians could be excused for looking at the world through rose-tinted glasses.

The world's party country -- home to samba dance and Carnival -- is enjoying an economic cocktail of low unemployment and easy consumer credit, propelling many Brazilians into the country's burgeoning middle class.

But while tens of millions of people have been hauled out of poverty, questions are being raised around the risks of a consumer-driven boom.

In the last decade, effective anti-poverty policies such as "Bolsa Familia" -- translated as Family Bag -- introduced by former President Lula and carried on by incumbent Dilma Rousseff, have helped transform Brazil's workforce and increase the minimum wage.

Read more: Building on 'BRICS': The next emerging economies

"Brazil used to be one of the most unequal countries in the world," Naercio Mezenes Filho, professor of economics at Brazillian business school, Insper, told CNN.

He added: "Unskilled labor is in short supply right now because the youngest have remained in school compared to the past."

Brazil -- with a population of 190 million people scattered across its Atlantic coast -- is famed for its billionaire tycoons like mining magnate Eike Batista or banker Jorge Paulo Lemann, Brazil's richest man.

Read more: Rising Brazil tackles immigration question

And while wealth disparity remains an issue in Latin America's largest economy, Brazil is beginning to see a change in the tide, according to Jens Arnold, head of the Brazil desk at the Organization for Economic Cooperation and Development.

He told CNN that Brazil's population is seeing a new trend as some of the poorest 10% in the country shake off poverty.

Read more: Building on 'BRICS': The next emerging economies

Arnold said: "More people have access to better paying jobs... [and] living standards are coming up, particularly for those who are below the poverty line."

Could the boom bust?

Many Brazilians who once inhabited the gang-ridden shanty towns, known as favelas, now have the disposable income to shop for aspirational products, from cars to DVD players.

And that's not all. Robust and highly-capitalized banks are offering easy lines of credit to Brazilian consumers who find themselves in regular employment.

Read more: Is Brazil ready to take sporting center stage?

Edmund Amann, senior lecturer in social sciences at Manchester University, told CNN that Brazil's economy is experiencing a consumer-borrowing model of growth.

"There's been quite a surge in domestic consumption," he said. "That has centered on consumer durables, not least automobiles," Amann added.

Store cards are the most popular way to shop in Brazil, allowing customers to pay for goods in regular installments rather than meeting the full price up front.

A study by McKinsey & Company in 2012 showed that 40% of consumers said they shop more in stores that extend credit, six times more than the U.S. data from the Central Bank of Brazil in 2009 indicated that use of retail cards increased over 100% from 2004 to 2008.

Read more: Brazil competes with China, India to invest in Africa

Amann said although the increase in household debt is unlikely to cause a bubble, there is a chance investors could be spooked with the crisis in Europe and the U.S. still causing global pain.

But Amann noted Brazil's economy is protected by a buoyant commodity market and said of consumer appetite: "Financial education is important... for many people, this will be their first experience of a formal financial arrangement where they have a bank account and have access to lending."

While Naercio believes inflation risk -- currently at 6.5% in Brazil -- is one of the biggest threats to Brazil, with easy lending from public-sector banks hitting consumers if the economy fails to grow.

However, "I don't think there is any chance we will see what happened in the U.S. and Europe in the property crash," he said.

A bright future

In 2001 Brazil was included in the term BRIC, an acronym coined by then-Goldman Sachs economist Jim O'Neill, to describe the next big emerging markets of Brazil, Russia, India and China.

Brazil -- the world's sixth largest economy -- is beginning to see its mining and commodities sectors bear fruit, particularly oil and iron ore.

And despite Brazil's disappointing economic data for the last two years relative to its high-growth brethren, Arnold believes Brazil has a bright future ahead. He said: "We expect this to come back to potential growth rates and we expect a recovery to be taking place in this year."

Amman told CNN he was "no doomsayer" on the Brazilian economy but added that the country needed to move to a "Chinese model" of investment to kick-start growth.

Amann said: "The biggest single risk the economy faces is a collapse on commodity prices... we probably are approaching the limit of a consumer borrowing based growth model."

@highlight

With the World Cup and Olympics on the way, Brazilians could be excused for wearing rose-tinted glasses

@highlight

The country has seen much of its poor lifted out of poverty and a boom in its middle classes

@highlight

Wealth is increasing and credit becoming easier to obtain

@highlight

The risks of it falling into credit boom and bust are offset by regulated housing market