Washington (CNN) -- President Barack Obama's longtime legal mentor and current administration adviser has admitted privately telling him that Justice Sonia Sotomayor was "not nearly as smart as she seems to think she is."

Constitutional scholar Laurence Tribe's comment was in a letter to Obama in May 2009, when Sotomayor was being considered for the Supreme Court appointment that later came to her.

Tribe "bluntly" suggested Sotomayor would have a "negative impact" on the court because her "reputation as something of a bully" -- on her previous appeals court seat -- "could well make her liberal impulses backfire." As a result, he concluded in his letter, the Bronx native would have little influence to move the court away from its current conservative majority, led by Chief Justice John Roberts.

Tribe also managed to criticize three sitting justices and offer negative comments on top finalists being considered at the time for the high court seat.

The confidential letter was obtained and revealed Thursday by conservative legal activist Ed Whelan, who writes the Bench Memos blog for National Review Online. Tribe then confirmed the contents.

Tribe, who was an influential professor at Harvard Law School, made clear the purpose of his letter -- written on Harvard stationary -- was to promote the candidacy of Elena Kagan, who had been Tribe's boss as dean at the law school.

"I can't think of anyone nearly as strong as Elena Kagan, whose combination of intellectual brilliance and political skill would make her a ten-strike," wrote Tribe, making a bowling reference.

The president ultimately rejected Tribe's advice, choosing Sotomayor three weeks after the letter was written. Sotomayor, the first Hispanic justice, is beginning her second year on the high court after replacing the retired David Souter.

Kagan was nominated in May of this year to take the Supreme Court seat of John Paul Stevens. It is not known what specific influence Tribe had on persuading the White House to choose her. The two are longtime friends, beginning when Kagan was a research assistant for the professor in the mid-1980s. Both left Harvard last year to take jobs in the Obama Justice Department -- Kagan as solicitor general and Tribe as a special adviser. Roberts also has a connection to Tribe; he was a former student of the professor.

Sources close to the selection process have said Tribe was intimately, if indirectly, involved in screening candidates for the 2009 and 2010 high court vacancies. He had been a longtime booster of Kagan, so his comments in the letter are not surprising. What is unusual is the candid, often dismissive remarks he offered for various other candidates, and the fact the 69-year-old academic chose to put it all in writing.

In a statement e-mailed late Thursday, Tribe sought to clarify his earlier critiques. "Reservations I expressed about Justice Sotomayor prior to her appointment were amply refuted by the closer study I was later able to give her record and that have been fully negated by her performance as a justice," Tribe said.

On Chicago-based federal appeals Judge Diane Wood, who administration sources have said came very close to being chosen over Kagan -- Tribe said she was "more powerful intellectually than Sonia Sotomayor or any of the others mentioned as plausible prospects at the moment with the sole exception of Kagan." But he said Wood at age 60 was a decade older than Kagan and lacked a "dynamic personality or the extraordinary diplomatic gifts for inspiring confidence" that he believed Kagan possessed.

The professor said Michigan Gov. Jennifer Granholm would be a "dramatic appointment," despite having no judicial experience and being born in Canada. And Kathleen Sullivan, former dean at Stanford Law School and a private attorney, "might be worth fighting for," he said.

Tribe also found room to praise the retiring Souter, and offered his analysis of the current court, which he said was dominated by Justice Anthony Kennedy, who often is the deciding, "swing" vote in key cases.

Tribe said Kennedy is "formalistic" in his legal thinking, and he tweaked Justice Antonin Scalia's conservative doctrine.

The most blunt criticism was aimed at left-leaning Justice Stephen Breyer, whom Tribe said had a pragmatism that was comparatively "mushy and constrained" in its approach to law and justice.

"I think it's clear that a Justice Kagan would be a much more formidable match for Justice Scalia than Justice Breyer has been," Tribe concluded.

In his new statement, Tribe said he has "long held" Breyer and Kennedy in the "highest regard."

Supreme Court spokeswoman Kathy Arberg said neither Kagan nor Sotomayor had any response to the controversy. The White House on Friday emphasized the qualifications of both jurists and Obama's confidence in their service on the bench.

Whelan suggested in his blog that Tribe may have promoted Kagan's candidacy out of loyalty over a 2004 incident when she was his boss at Harvard Law School. Tribe admitted his 1985 book "God Save This Honorable Court" had lifted large sections verbatim from a similar 1974 work by Henry J. Abraham, without giving proper credit.

After an internal investigation, Kagan reprimanded the professor for "a significant lapse in proper academic practice" but concluded that Tribe's error was unintentional. He kept his job.

Tribe has written other legal books on constitutional issues, and has served as a private appellate attorney on several high-profile cases, including representing Al Gore during the 2000 election dispute.

Tribe concluded his 2009 letter to Obama with effusive praise. "I can hardly contain my enthusiasm at your first hundred days," he told his former student. "I continue to hope that I can before too long come to play a more direct role" in the president's administration.

Shortly thereafter, Tribe was made "senior counselor for access to justice" in the Justice Department, tasked with increasing legal access for the poor. He has called Obama "the best student I ever had."

@highlight

Constitutional scholar Laurence Tribe said Sotomayor could have a "negative impact"

@highlight

He also was critical of three other justices and some being considered for appointment

@highlight

His comments were in a letter to Obama in May 2009