Washington (CNN) -- A man who volunteered as a suicide bomber for a terrorist group intent on blowing up a U.S.-bound plane was working instead as an intelligence agent for Saudi Arabia, The New York Times reported Tuesday, citing American and foreign officials.

The double agent departed Yemen, traveled through the United Arab Emirates and gave the bomb and information about al Qaeda in the Arabian Peninsula to the CIA, Saudi intelligence and other foreign intelligence agencies, the newspaper said.

The bomb, which was intended to pass undetected through airport security, was given to the FBI, which was poring over it, the newspaper said.

The Times, citing officials, said the agent works for Saudi intelligence, which has "cooperated closely" with the CIA for years. The officials, who would not identify the man, said he is safe in Saudi Arabia, the newspaper reported.

Citing a senior American official, the newspaper described the device as sewn into "custom fit" underwear and able to be detonated in two ways. That redundancy may have been an attempt to ensure that an attempt to blow up a jet over Detroit in 2009, which failed because the bomb did not detonate, would not be repeated.

The primary charge in the latest device was high-grade military explosive that the Times, quoting an official, said "undoubtedly would have brought down an aircraft."

A senior administration official told CNN that officials were debating whether to release photographs of the device to law enforcement agencies.

On one side of the argument, Transportation Safety Administration screeners and law enforcement might more easily identify any similar devices made as part of the same plot, the official said.

But officials were reluctant to do so out of concern that the photographs would be leaked to the news media and that the would-be bombers would learn what law enforcement knows -- and might not know -- about the bomb's workings.

The news of the double agent might explain comments made earlier Tuesday by John Brennan, the chief White House counterterrorism adviser, who told ABC's "Good Morning America" that U.S. officials were confident they were in control of the situation leading up to the seizure of the improvised explosive device, or IED.

Brennan said that officials believe redundant security systems would have prevented any attempt at bombing a flight from succeeding, but analysts were studying the device to see whether security procedures should be adjusted.

"We're trying to make sure that we take the measures that we need to prevent any other type of IED, similarly constructed, from getting through security procedures," Brennan said.

The device investigators were studying is more sophisticated than were previous ones and represents a disconcerting advance in al Qaeda bomb-making techniques, officials said Tuesday.

"It is a device similar to the underwear bomber of 2009, but an evolution to that," Homeland Security Secretary Janet Napolitano said.

The device never posed an immediate danger to air travel or the United States, she said.

But lawmakers said more such devices may exist, and House Intelligence Committee Chairman Mike Rogers, R-Michigan, said the release of information about the device could complicate an effort to seal the long-term threat.

"If something bad happens because it was leaked too early, that's a catastrophe and it's also a crime," Rogers told CNN.

News about the device became public on Monday, about two weeks after U.S. intelligence agents thwarted the plot after receiving a tip from Saudi Arabia, a source familiar with the operation said.

Information from the double agent proved key to a CIA drone strike Sunday in Yemen that killed Fahd al Quso, 37, a senior operative of al Qaeda in the Arabian Peninsula. Al-Quso was a suspect in the bombing in 2000 of the USS Cole in Yemen.

The vehicle he was in was hit by a drone strike in the Rafdh district in Shabwa province, U.S. officials said.

Al Qaeda's bomb-makers evolve, adapt

"I was told by the White House they are connected; they're part of the same operation," the source familiar with the operation said.

Al Quso hinted at the existence of another bomb effort in February, when he was asked whether the group had stopped exporting terrorism operations.

"The war didn't end between us and our enemies," he replied. "Wait for what is coming."

Western officials describe AQAP as al Qaeda's most dangerous affiliate.

U.S. Rep. Peter King of New York, chairman of the House Homeland Security Committee, expressed dismay that the news was public.

"It's really, to me, unfortunate that this has gotten out, because this could really interfere with operations overseas," he said. "My understanding is a major investigation is going to be launched because of this."

Officials have provided few specifics about the device. But Rogers said it underscores al Qaeda's continuing efforts to carry out terrorist attacks.

"This is a device that was more sophisticated, had some fail-safes built into it, and it was something that concerns us because it tells us that they brought some very capable people together to build something," he said.

A Department of Homeland Security spokesman said authorities have "no specific, credible information regarding an active terrorist plot against the U.S. at this time."

Though the threat was foiled around the time of the anniversary of the raid that killed Osama bin Laden, a second U.S. counterterrorism official said the two were not related.

President Barack Obama was told last month about the plot, which "underscores the necessity of remaining vigilant against terrorism here and abroad," the White House said.

AQAP has been responsible for two of the most audacious attempts to target the United States in recent years: the attempted Christmas 2009 bombing and a 2010 attempt to load bombs hidden inside printer cartridges onto cargo planes headed for Chicago. In both cases, U.S. authorities believe the bombs were built by Ibrahim al-Asiri. Both devices contained PETN, a white, powdery explosive that conventional "single-beam" X-ray machines are rarely able to detect.

In 2009, al-Asiri outfitted his brother, Abdullah al-Asiri, with a PETN-based underwear bomb in an attempt to kill Prince Mohammed bin Nayef, a top Saudi security official. The device killed his brother instantly but failed to kill its target.

"We are not ready to say the threat stream is over," a U.S. official told CNN. "We believe external plotting continues."

The investigation involves a number of countries and is "ongoing," King, R-New York, said on CNN's "Starting Point."

He said the leadership of al Qaeda was intimately involved in the plot.

Rogers told CNN International's Christiane Amanpour, "I can confirm to you that, in fact, it was an al Qaeda core group that was responsible for the development and procurement and financing and putting together this particular bomb."

As the hunt continues for the mastermind bomber, a U.S. official said the assumption continues to be that al-Asiri is training others in bombmaking.

"They understand that Asiri is going to be killed or captured one day," Mustafa Alani, the director of security and defense studies at the Gulf Research Center, told CNN. Alani had been briefed on AQAP by Saudi counterterrorism officials. "We're talking about a new generation of very skillful bomb builders and very committed people."

U.S. counterterrorism agencies have reached a similar conclusion.

"I think the fear is not just that he'll share his ability within his own circle, but rather more widely, and send it to other al Qaeda-sympathetic individuals or organizations," a senior U.S. counterterrorism official told CNN in March.

Yemen's government has been fighting al Qaeda in the Arabian Peninsula for years with mixed results.

Yemen president vows offensive against al Qaeda

Yemeni authorities appeared miffed by the revelations of the foiled plot, saying that Washington had shared no information with them.

"Yemen has been a key ally to the United States when it comes to fighting terror and cooperates in every way possible," said a senior intelligence official in Yemen who asked not to be named because of the sensitivity of the situation. "It's very sad to know that the United States did not share such critical intelligence information with Yemen.

"The United States cannot win the war on terror alone, and intelligence sharing must be bilateral if it expects complete cooperation from Yemen."

"This was a key victory for us," King said. "It also reminds us, though, that this war is not going to end in Afghanistan. ... Al Qaeda has metastasized and morphed. And they are constantly attempting to find new ways to get at us."

CNN's Barbara Starr, National Security Contributor Fran Townsend, Pam Benson, Elise Labott, Jessica Yellin, Nic Robertson, journalist Hakim al-Masmari contributed to this report.

@highlight

Suicide bomber volunteer was instead working as an intelligence agent, NYT reports

@highlight

Agent has "cooperated closely" with the CIA, officials tell The New York Times

@highlight

The informant also provided information that aided the CIA drone strike last weekend