(CNN) -- In 2011, Brittany Miles considered food to be her enemy.

Having been tormented by schoolmates for being overweight since she was 7, she decided to fight back the only way she knew how.

At the beginning of her senior year of high school, at a size 18, Miles began compulsively dieting and exercising. By the time she started college the following year, she was down to a size 4 and was obsessed with losing weight.

"Our society and my peers told me that I wasn't loveable when I was fat. That when I was fat, I couldn't be anything else," said Miles, now a senior and a biology major at Georgia Tech in Atlanta. "So, I was determined to be the farthest thing from fat possible."

She began what she called a war against calories, and it quickly spiraled out of control. She limited herself to 400 to 600 calories and did 90 minutes of intense cardio daily. Yet at her lightest, Miles never dropped below a size 4.

"Just because my bone structure stopped me from being the size 00 everyone pictures, doesn't mean that I wasn't in an incredibly unsafe and unhealthy place," she said.

Although she was 15 pounds underweight, no one caught onto her habits because they were too busy praising her for her weight loss.

"We constantly push people to lose weight, but sometimes that's not right for everyone," Miles said.

In the United States, some 20 million women and another 10 million men suffer from a clinical eating disorder, such as anorexia or bulimia, according to the National Eating Disorder Association. Many people also struggle with some form of body dissatisfaction or unhealthy eating behaviors that can lead to the development of clinical disorders. Studies suggest half a million teens are suffering from eating disorders, and that their concerns about weight begin as young as 6.

Going to extremes: Eating disorders in America

Miles says she didn't treat her body like she loved it when she began to lose weight.

"I deprived it, punished it and tortured it," Miles said. "I was convinced that a smaller dress size was the key to happiness."

Breaking the cycle

The day after Miles moved into her college dorm, she said hello to a girl down the hall who was moving in with the help of her family.

Her hall mate's sister noticed that Miles was unnaturally thin. A recovering bulimic who was studying to be an eating disorder psychiatrist, the sister had a feeling about Miles and asked the hall mate to keep an eye on her.

After only a few months, the hall mate realized that Miles wasn't in a good place, mentally or physically. Her restrictive diet and obsessive exercise was obvious, so she confronted Miles on the issue, finally allowing her to get it all out.

"The thing about eating disorders is that you realize you have one. You don't need someone to tell you that you're sick," Miles said. "What I needed was someone to understand and to help me understand that weight gain was OK."

The process was slow and difficult. She spent the first six months convincing herself that things such as pizza and chocolate were OK -- that eating them wouldn't be the end of the world. Over time, she began to exercise less, eat more and reshape her attitudes toward food and her body.

"During recovery, you realize that you have to make a choice," Miles said. "You can choose to try and fit some predetermined mold, or you can focus on being the happiest and healthiest, both mentally and physically, version of yourself."

While Miles said starting her recovery was the hardest thing she's done, she also knows it was necessary to get her life back.

She found support in an online community, a judgment-free zone where she could voice her fears. Miles says that the people she communicated with weren't experts but real people who had been where she was and could share their own experiences.

She's gained 60 pounds since she began recovery and has maintained her weight for 15 months now. Currently wearing between a size 10 and 14, she says the most important part is that she's happy and her body seems to "like to be this weight."

"At the end of the day, weight doesn't even really matter in an eating disorder because it's a mental disease," Miles said. "Yes, there's a physical manifestation of this mental illness, but it's not a problem that stems from your physical health."

A complex illness

Many people with eating disorders don't look like they have one, said Claire Mysko of the National Eating Disorder Association. It's important to remember that there's no universal picture of how anorexia or bulimia manifests itself physically, she says, and that a person can be struggling mentally without looking "sick."

"Eating disorders are complex illnesses with complex roots," she said. "There's a strong cultural influence to be thin, and many people are vulnerable to that."

Most people can't overcome an eating disorder on their own and need professional help. On its website, the association offers several options to find help, such as phone support, live chats with counselors and referrals for treatment and support groups.

There's a link between issues such as depression or anxiety and eating disorders, Mysko said. The media and popular culture often push the message that thinness is the solution to any and all problems, she said, and a person suffering from depression can be easily influenced by that.

Mysko oversees Proud2BeMe, a site working in conjunction with her eating association that was formed in 2011 in response to the increasing use of the Internet to promote eating disorders and unrealistic body images.

"There's a proliferation of messages on social media and a steady stream of images that promote weight loss," Mysko said. "But we're also seeing an increase in online communities that have positive messages and offer support to those suffering from eating disorders."

For more fitspiration, subscribe to our Flipboard magazine

Another upside to social media is that users have the ability to curate their own feeds, choosing the people and groups that they want to appear in their news feed. For someone in recovery or struggling with an eating disorder, the ability to "turn off" the negative pictures and messages can be a big step in the right direction, Mysko said.

"There's no straight line to recovery," she said. However, the first step is reaching a place where they want help and seeking that support from friends, family or through a doctor or counselor.

Paying it forward

Miles now hosts a site on Tumblr that encourages people to embrace their bodies and reminds them that eating disorders don't manifest themselves in a certain appearance. She said beginning her own blog was her way of supporting other people in her situation, especially those who recover to be plus-sized.

She no longer sees food as her nemesis and eats what makes her happy, not letting calories control the choices she makes. She's proud that she's experienced foods that she wouldn't have dared to eat during her illness.

"People who don't know me look at me now and see a 'before' photo. Little do they know that I'm an 'after' photo over 14 years in the making."

Now 21 and loving her body, she's no longer the insecure 7-year-old who was bullied at school.

"I believe that body positivity is for everyone. There is no weight limit or fitness test in order to be happy with yourself."

@highlight

Never a size 0, Brittany Miles says her eating disorder went unnoticed for years

@highlight

Her recovery involved both mental and physical changes

@highlight

Now she tells online followers that loving your body is the key to happiness