Simferopol, Crimea (CNN) -- Is Russian President Vladimir Putin an opportunist, grabbing at chances to poke the West in the eye, or a clever strategist with the longer-term goal of restoring a greater Russia? Is he simply riding a tide of Russian patriotic fervor over Crimea? Is he a rational actor aware of the delicate balances within the international system, or as one observer put it, "drunk on power" and oblivious to sanctions?

These are the questions preoccupying western governments and Russia's neighbors, after the swift annexation of Crimea and Russian military maneuvers close to the Ukrainian border.

There were some tantalizing clues in Putin's pugnacious speech to the Duma this week. He described the fall of the Soviet Union as unfortunate -- because it had separated Russians. "The Russian nation became one of the biggest, if not the biggest ethnic group in the world to be divided by borders," he said.

"It was only when Crimea ended up as part of a different country that Russia realized that it was not simply robbed, it was plundered." He went on to say, "if you compress the spring all the way to its limit, it will snap back hard."

Heady, populist rhetoric -- but it has propelled the Russian President to his highest approval rating -- 71% -- in recent years, according to the Russian Public Opinion Research Center.

Putin said Russia had no intention of violating Ukraine's sovereignty (beyond the 5% of its territory it has absorbed this week.) "Do not believe those who want you to fear Russia, shouting that other regions will follow Crimea," he told Ukrainians.

But he then said this: "It should be above all in Ukraine's own interest to ensure that these people's rights and interests are fully protected. This is the guarantee of Ukraine's state stability and territorial integrity."

In other words, if the Kremlin believes Russians are being discriminated against, Ukraine's independence is no longer assured.

Those words will have echoed across parts of the former Soviet Union with large Russian populations: Moldova (10%), Lithuania (6%), Latvia (27%) and Estonia (25%). Will the Russian region of Transnistria in Moldova begin agitating for its own referendum? Will oblasts (regions) of eastern Ukraine demand their own vote?

Transnistria is already beyond the control of the Moldovan government. Just as a statue of Lenin overlooks the main square in the Crimean capital, Simferopol, so another stands outside Transnistria's regional assembly in Tiraspol. In a 2006 referendum more than 95% of voters said they wanted to be reunited with Russia.

The assumption at NATO headquarters is that Putin won't stop at Crimea. Secretary General Anders Fogh Rasmussen described the annexation of Crimea as "21st century revisionism, attempts to turn back the clock, to draw new dividing lines on our map, to monopolize markets, subdue populations."

NATO has already stepped up air policing over the Baltic states -- all members of the Alliance.

Nor does the White House see Crimea as Putin's end-game. In imposing sanctions against figures close to Putin, President Obama stressed Thursday that further Russian incursions would trigger a third round of sanctions targeting key sectors of the Russian economy.

One of Putin's reasons for ignoring the warnings so far is history, as he made clear in front of the Duma. On Kosovo, NATO expansion, Libya and other issues, he said, the West had lied to and deceived Russia. He didn't use the word payback, but he didn't need to.

Gradually, pro-Western governments have taken power around Russia, across the Baltics, now in Ukraine -- feeding the age-old Russian fear of encirlement. Indeed Putin asked the Duma this week: what if Sevastopol in Crimea -- with its glorious place in Russian military history -- had become a NATO base within Ukraine? A line had to be drawn.

But that line has only hastened the signing of Ukraine's association agreement with the European Union. In signing the agreement Friday, the President of the European Council, Herman van Rompuy, pointedly said it was a response to "the popular yearning for a decent life as a nation, for a European way of life." The subtext was that Putin's Russia was on the wrong side of history -- anti-democratic, corrupt, without values.

Putin's clique

Another reason for Putin's embrace of high-octane nationalism, according to some analysts, is that he increasingly relies on a small inner circle, where there are few voices of caution or dissent. There was a sign of this when Russian Foreign Minister Sergei Lavrov met US Secretary of State John Kerry in London recently. U.S. officials were surprised that Lavrov -- despite his enormous experience -- had no mandate to negotiate or even discuss aspects of the crisis. Lavrov announced Friday that the President would personally supervize the reintegration of Crimea.

Alexei Kudrin was known to speak his mind as Finance Minister from 2000-2011. He believes the consequences of sanctions and market anxiety may cost Russia $200 billion this year in capital flight. The ruble has already lost 10% of its value this year and the credit rating agency Fitch's said Friday that "Since U.S. and EU banks and investors may well be reluctant to lend to Russia under the current circumstances, the economy may slow further and the private sector may require official support." Economists now expect the Russian economy to stagnate and perhaps slide into recession.

That hurts people closest to the Russian President, the billionaires who control large chunks of the Russian economy. Major companies like Metalloinvest and state banks like VTB need access to capital markets. Will Putin feel their pain, or must the oligarchs also make patriotic sacrifices?

Another unknown is whether the Kremlin feels the West has the stomach for serious, lasting sanctions. After the Russian incursion into Georgia in 2008, when South Ossetia was essentially annexed, there was brief and mild retribution. The list of individuals sanctioned by the U.S. and European Union this time round may make a greater impact. But the avenues for dialogue - through NATO, the European Union, the G8, the United Nations -- are closing down.

"Business as usual," says NATO chief Rasmussen, "is not an option."

Perhaps the biggest question is whether Putin accepts that Russia in the 21st century must be fully integrated into the international economy -- as a member of the World Trade Organization, with a convertible currency and a rule of law that allows and encourages companies to do business there. Or does he believe Russia is strong enough to stand aloof in the knowledge that the world (and especially Europe) can't do without its oil, gas and minerals? Similarly, does he see the value of international co-operation on Iran's nuclear program or Syria? Russia has no desire to see a nuclear-armed Iran, nor Syria taken over by jihadist militants. But co-operation with the West does not follow.

Despite the fact that his "cashiers" are now sanctioned, and his attempts to prevent Ukraine from drifting westward have backfired, Putin's muscular defiance -- so popular at home and in Crimea -- portrays the West as Russia's natural adversary, not its potential partner.

@highlight

Russian President approval ratings are at highest in recent years

@highlight

Analysts are asking if he is a rational actor, or "drunk on power"

@highlight

Assumption at NATO headquarters is that Putin won't stop at Crimea

@highlight

Russian businesses will suffer as Putin portrays West as adversary not potential partner