(CNN) -- Peter Gathungu walks more than a mile to a shopping center, where he pays a sizable sum to charge his cell phone.

The solar phone is expected to be a great success in Kenya.

That's because electricity is nonexistent in Gathungu's hometown of Njoro, in northwest Kenya. Landlines and other forms of communication are not as efficient, so Gathungu and millions of others in emerging nations rely on mobile phones. Charging the phones can be a headache in towns and villages where electricity is scarce.

Gathungu's troubles may soon be over, though.

Kenya's biggest mobile phone company, Safaricom Ltd., launched the nation's first solar-charged phone this month. The handset comes with a regular electrical charger and a solar panel that charges the phone using the sun's rays, company CEO Michael Joseph told CNN by telephone.

Retailing at about $35, the phones were manufactured by Chinese telecommunications company ZTE Corp. Safaricom plans to make an initial supply of 100,000 phones available.

"People are excited about these phones," Joseph said. "I expect to be sold out in a week."

Eco-friendly phones have been touted by several companies at global trade shows, but most have not been launched yet.

Samsung unveiled a solar-powered phone at the Mobile World Congress in Barcelona, Spain, earlier this year and introduced its first sun-powered phone in India in mid-June. The company expects its Solar Guru model to perform well in India, another country where electrical supply can be erratic.

Unlike many technological innovations, the solar phone is making its big splash in developing nations, where the need is the greatest. After the Solar Guru is in circulation in India, Samsung said, it plans to launch similar phones in other Asian markets, Europe and Latin America.

For the time being, Kenyans are happy to serve as early adopters.

"The power crisis here has been going on for ages," Joseph said, adding that the Safaricom phone's solar panel is small and portable, unlike charging devices some Kenyans now use.

Only about 1.3 million of Kenya's 37 million people are connected to the national electrical grid, said Migwi Theuri, a spokesman for Kenya Power and Lighting Co. The east African nation, which gets most of its energy from hydro-generation, has been undergoing power rationing after a three-year drought.

Despite the limited availability of power, Kenya has one of the most vibrant cell phone markets in Africa, analysts say. An estimated 17 million Kenyans use mobile phones.

Some charge phones on bicycle-run generators, Joseph said. Or like, Gathungu, they pay businesses in major cities to charge their phones, sometimes waiting an entire day.

"There's an enormous need for a device like this," Joseph said of the solar phone, which can charge during talk time, as long as there are rays.

"They will continue to charge on natural light, even on cloudy days," he added.

Gathungu plans to buy one of the new environmentally friendly phones. For him, it's a matter of money and convenience. He earns 4,000 Kenya shillings ($53 dollars) a month as a waiter. Charging his phone for 50 shillings (70 cents) a week adds up. The solar phone would pay for itself, Gathungu said.

Until he buys one, he'll keep making the trek to the shopping center every Sunday afternoon after church. He wouldn't go into further detail about his mobile phone woes, not wanting to waste his battery charge on the call.

@highlight

Solar cell phone launched in Kenya this month, retailing at $35 per handset

@highlight

Country has one of the most vibrant cell phone markets but has energy rationing

@highlight

Safaricom expects its initial supply of 100,000 solar phones to sell out

@highlight

Samsung launched its solar cell phone in India in June