(CNN) -- Pregnant again after two miscarriages, Molly Gray was desperate for answers that could help prevent losing a third baby.

When she heard about a small study to test the blood of pregnant women for chemicals, she signed up. The result was shocking: Gray's blood tested high for mercury, a heavy metal that can cause brain damage to a developing fetus.

A Senate subcommittee Tuesday will examine how chemicals that Americans are exposed to in daily life might be harming the health of children, including those developing in the womb.

Witnesses scheduled to appear at the Senate Subcommittee on Superfund, Toxics and Environmental Health hearing include Environmental Protection Agency Administrator Lisa Jackson and CNN Chief Medical Correspondent Dr. Sanjay Gupta.

Gupta examined the topic in the CNN special "Toxic America" first broadcast in June, which focused on the impact of exposure to chemicals in daily life. The first hour was "Toxic Towns USA," which looked at a once-rural town in Louisiana now surrounded by chemical plants, and the second hour was "Toxic Childhood," which examined chemicals in everyday life and their possible health effects.

Gupta: Chemicals around us -- we must know more

The special exposed stories such as Gray's situation, which she called "scary and disheartening."

"Somehow my son was being exposed to mercury, and that's a weight to carry because I feel like our job as parents is to protect them, to care for them, to nurture them and to keep them out of harm's way," Gray told CNN earlier this year.

Toxic chemicals finding their way into the womb

A growing number of studies are finding hundreds of toxic chemicals in the bodies of mothers, and subsequently, in their babies after birth.

While there is no science that demonstrates a conclusive cause-and-effect relationship between chemicals children are born with and particular health problems, studies are finding associations between elevated levels of chemicals in a baby's body and their development.

Tuesday's hearing, called by Sen. Frank Lautenberg, D-New Jersey, will take place at the University of Medicine and Dentistry in Newark, New Jersey. Lautenberg has called for updating the federal regulations to require manufacturers to show chemicals are safe before introducing them on the market.

Other planned witnesses include Lisa Huguenin, a New Jersey mother of a child with autism and an immune system disorder; Dr. Steven Marcus, executive and medical director of the New Jersey Poison Information and Education System; and Dr. Frederica Perera, director of the Columbia Center for Children's Environmental Health.

Perera's center has been following hundreds of pregnant women over the past 12 years to measure chemicals entering the womb during pregnancy.

The women trudge through New York City for 48 hours wearing special backpacks, each with a long tube that is slung over the shoulder. The tube, resting inches below the pregnant mom's mouth, sucks air into a special filter, giving an approximate measurement of the air that she is breathing.

The backpack is designed to measure ambient toxics spewed by vehicles and pesticides, along with chemicals from common household products.

5 toxic chemicals: Protect yourself

"It surprised me when we analyzed the air samples [from the backpacks] and found 100 percent of them had detectable levels of at least one pesticide and the air pollutants we were interested in," Perera, who also is a professor at the Columbia University Mailman School of Public Health, told CNN earlier this year. "Every single one."

So far, the toxics measured in the backpacks match what scientists are finding in the cord blood of the babies once they are born. Small studies by other groups also are finding common household chemicals in babies.

"We've measured hundreds and hundreds of toxic chemicals in the blood of babies that are still in the womb," said Ken Cook, president of the Environmental Working Group, a non-profit environmental advocacy organization. "Flame retardants, the chemicals in consumer products like personal care products, makeup, shampoos. It's a very long list."

The organization's study found an average of 232 chemicals in the cord blood of 10 babies born in late 2009. They are chemicals found in a wide array of common household products, including shampoos and conditioners, cosmetics, plastics, shower curtains, mattresses, and electronics like computers and cell phones.

Everyday plastic, toxic fears

Perera and her colleagues are following the children in their study from the uterus, through birth, and up to their first several years of life. They recently published a study in the journal Pediatrics demonstrating an association between the chemicals they found in babies' cord blood and later problems on intelligence tests and development.

"Fifteen percent of children [in our study] have at least one developmental problem," Perera said.

The amount of chemicals measured in the cord blood of the babies seems to matter. The higher the concentration, the more the IQ among children seems to dip. The study is also being conducted among pregnant women in Poland and China, and finding similar results.

Gray still struggles with the idea that mercury from her blood may have been passed to her baby.

"There's plastics, there's mercury, there's pesticides," said Gray, who also is a practicing midwife. "The things that we're cleaning our homes with, the things we're building our houses with. I think the sheer volume of the things we have to worry about is a little overwhelming."

Even when her son, Paxton, now more than a year old, was born healthy, Gray and her husband remained vigilant. They steer clear of any products with potentially toxic chemicals.

"Knowing that he got these chemicals from my blood, it's really scary," Gray said, adding: "Paxton and all of our future generations are carrying around this burden that we don't know what it means yet. It's the huge sea of unknown."

CNN Medical News Producer Stephanie Smith contributed to this story.

@highlight

CNN's Dr. Sanjay Gupta will be a witness at Tuesday's hearing

@highlight

The issue was the focus of the CNN special "Toxic America"

@highlight

Sen. Lautenberg of New Jersey is holding the hearing in his home state