(CNN) -- Helene Gayle must be one of the few chief executives who dreams of a world where her job doesn't exist.

In fact, the president of one of the biggest poverty charities on the planet -- CARE USA -- would probably prefer it if there was no need for her organization at all.

Yet on any given day there will be a humanitarian disaster unfolding across the globe -- from violence in Somalia, to flooding in Pakistan, and chemical warfare in Syria. And all of them need CARE.

"We always say at CARE that we would love to see if we can work ourselves out of business," said the 58-year-old.

"If CARE doesn't need to exist as it is 20 years from now, so be it. But I think it's safe to say that there will still be a need for relief in this world -- there will still be an unstable country or a fragile environment."

The business of charity

Since it first began over 60 years ago with American charities sending food packages to World War Two survivors, CARE International -- of which CARE USA is a member -- has become one of the largest aid organizations in the world, with 10,000 staff working in some 80 countries.

Last year the charity helped more than 83 million people across the globe -- and was ranked the seventh best NGO on the planet in 2013.

It's an enormous operation, and one which Gayle -- one of Forbes magazines' "100 most powerful women" -- has led since 2006.

"The more you look into health and health inequalities, you realize that a lot of it is not due to a particular disease -- it's really linked to underlying societal issues such as poverty, inequity, lack of access to safe drinking water and housing," she said.

"And these are all the things we focus on at CARE."

Women of the world

When former pediatrician Gayle joined CARE seven years ago, she became not just the first woman to lead the organization, but the first person of color.

While being an African-American female in a business environment usually dominated by white men hasn't hindered her career, it's still something she's acutely aware of.

"When I walk into a room that is all white and all male, I'm sitting on the outside of that club. That's sometimes an intimidating experience," she said.

"But I think that everywhere that I've gotten is because I've worked hard. I have the experience, I have the credentials -- I continue not to take any of that for granted."

Watch: CEO says 'being fearless fueled my success'

It is perhaps unsurprising that Gayle has now made women's rights a big focus at CARE.

"We know that if you educate a girl, as the saying goes, you educate a nation," said Gayle.

"That girl will get married later, she will have fewer children, she's more likely to earn an income and that income is more likely to be plowed back into the family so that the family benefits."

Sixties spirit

Growing up in Buffalo, New York, Gayle's own social worker mother was a huge influence in her career.

"I grew up at a time in the sixties where there was a lot of social change going on -- the civil rights movement, women's movement, anti apartheid," she said.

"My mother really gave that sense to us of giving back to the community. She'd say 'you've got a good brain, and a big mouth, use it.'"

Gayle didn't disappoint, working for over three decades at the Centers for Disease Control and Prevention, and the Bill and Melinda Gates Foundation, focusing on HIV/AIDS research.

"Just a few years ago less that 1% of people who needed treatment [for HIV] had access to it and now it's up to 55% and growing," she said.

"We are now on the track to absolutely eliminate pediatric HIV infection globally."

Where there is a will

Walk around Gayle's office today it's lined with honorary university degrees and awards from Desmond Tutu and Barack Obama.

She points to a photograph of herself with Nelson Mandela during a trip with the former U.S. secretary of health to South Africa -- an experience she describes as "electric."

But among the high-brow accolades, Gayle remains focused on simple achievements such as education, access to clean drinking water, and shelter.

"We believe that it's possible to eliminate extreme poverty over the next couple of decades. We know what needs to be done and we have the tools," she said, adding: "But do we have the will as a world community to do it?"

@highlight

Helene Gayle, CEO of CARE USA, talks about the business of charity

@highlight

Pediatrician is also first African-American woman to run organization

@highlight

Former director at Bill and Melinda Gates Foundation, specializing in HIV research