(CNN) -- You've heard the saying: "In war, amateurs talk strategy, professionals talk logistics."

The political equivalent: "Amateurs talk ideology -- professionals talk interest groups."

Small but sophisticated interest groups use big political battles to gain special advantages. Health care reform is, of course, the biggest battle of them all, with trillions of dollars at stake.

On Saturday night with the House vote in favor of the health reform bill, the trial lawyers sliced themselves a nice little piece of that bonanza.

It's Section 2531 of the bill -- to be precise Section 2531(4)b -- and it provides as follows:

The new health bill will empower the Secretary of Health and Human Services to make grants to states that reform their medical malpractice systems. There are just two conditions: Those reforms must not "limit attorneys' fees or impose caps on damages."

Which is like saying that we're going to encourage you to develop a personal weight loss plan that includes neither exercise nor changes in diet.

Here's how Section 2531 works. Over the past decade and a half, states have reacted to abusive lawsuits by imposing various restrictions on personal injury awards.

In California, pain and suffering damages cannot exceed $250,000. Attorneys may collect no more than 15 percent of malpractice awards over $600,000.

The impact of these kinds of reforms can be dramatic. After Texas capped pain and suffering damages at $750,000 in 2003, the number of malpractice lawsuits dropped abruptly. Lawsuits in Harris County (Houston and environs) plunged by 50 percent.

Fewer lawsuits meant lower malpractice premiums. Texas' largest malpractice insurance carrier cut costs to doctors by 17 percent. Lower insurance premiums attracted more medical professionals to the state. In the 1990s, Texas ranked low in the nation in the number of doctors per person. In the four years after 2003, the number of doctors in the state jumped by 18 percent.

"It was hard to believe at first, we thought it was a spike," the executive director of the states' medical board told the New York Times.

Texas' experience is dramatic, but consistent, with other reforming states. States with damage caps gain more doctors than uncapped states -- and the difference is greatest in the most underserved counties within capped states. Capped states have 5.5 percent more OB-GYNs per person in their rural counties than do states without caps.

But the money saved by insurers, doctors and their customers is money subtracted from the pockets of trial lawyers -- and those lawyers carry real clout in the Democratic Congress.

The trial lawyers' national PAC, the American Association for Justice, was the second-biggest source of PAC dollars for Democratic candidates in the 2006 election year: almost $2.6 million. That same year, Iowa's trial lawyers elected a former president of their association to Congress. Had the National Enquirer been less inquiring, a former trial lawyer named John Edwards might well be serving as attorney general right now.

Huey Long once summed up the professional politicians' credo:

"Those who support me early will have my close attention when I win office. Those who support me late will have my attention when I win office. And those who oppose me --" and here he'd wink -- "they'll get good government."

We all know what Long meant by "close attention," and his old party apparently still lives by his rules. On Saturday, House Democrats have delivered some very "close attention" to their friends in the trial bar. The question is: who will stand up for good government for the rest of us?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

The House bill passed Saturday night protects the fees of trial lawyers, Frum says

@highlight

He says states that have capped fees have seen increase in doctors

@highlight

When Texas capped fees, lawsuits fell and doctors moved to the state, he says

@highlight

Frum: Trial lawyers are benefiting because they provide campaign funds for Democrats