(CNN) -- It's cold. It's dark. And winter is just beginning. This time of year, the mind starts wandering to barbecues, flip-flops and white-sand beaches.

Instead of waiting for summer to come to you, why not chase it?

An entire hemisphere of summertime adventures awaits you, right now, in the middle of December. Whether you're looking for a tropical beach, quintessential summer road trip or a mountain hike, these astonishingly beautiful Southern Hemisphere destinations won't disappoint.

Solstice celebrations around the world

Western Australia's Coral Coast

A road trip along the coast of this vast, lesser-known province on the Indian Ocean offers striking contrasts: quiet beaches along the Coral Sea, colorful deserts, mountains and vineyards nestled in gentle rolling hills.

Start your journey in Perth, Western Australia's laid-back city of surfers, art festivals and vibrant sunsets. Two hours' drive to the north, you'll arrive in Cervantes, a fishing village of aquamarine waters where you can swim, fish and sunbathe by day and dine on rock lobster, the local specialty, at night.

Visit the Pinnacles Desert in Nambung National Park, featuring limestone formations scattered across golden sand -- an awesome photo opportunity, particularly in the early morning and late evening. See Lake Thetis, a salt lake that's home to rare stromatolites, layered mineral deposits formed by ancient fossils of some of Earth's oldest life forms.

Continue your drive to Ningaloo Reef, a marine life hotspot that lies just offshore from gorgeous white sand beaches. The scuba and snorkeling only gets better as you carry on to Coral Bay, or you can try a glass bottom boat or fishing tour.

Christmas on six grand estates

The next stop is Kalbarri National Park, featuring deep sandstone gorges carved by the Murchison River and magnificent red sea cliffs. Check out Nature's Window, a natural rock arch and an impressive backdrop for photos. Finally, you'll arrive at Shark Bay, the westernmost point of Australia. This UNESCO World Heritage site is rich with marine life, including sea turtles, manta ray and the rare dugong, an ancient marine mammal related to manatees, which you can see on a snorkeling or diving tour.

Ilha Grande, Brazil

One hundred miles southwest of Rio de Janeiro by bus and ferry lies Ilha Grande, a summer paradise that offers not only stunning tropical beaches and extraordinary marine life but endless opportunities to explore a rare, well-protected Atlantic rain forest.

15 stunning reader travel photos

There are no cars on the island and only a recent history of tourism. It used to be home to a notorious prison. Before that, it was a leper colony and quarantine for cholera patients. Before that, it was the domain of slave runners and pirates. But after the prison closed 20 years ago, the island became a huge nature reserve with development restricted to only a few areas.

After spending a couple of days basking on sparkling beaches and floating in turquoise waters, choose from almost endless activities: snorkeling, scuba diving, surfing, paragliding -- or kayaking your way to a secluded beach. And then there's the jungle, where the rush of water and cries of insects, birds and howler monkeys create a wild harmony that beckons you to enter.

Punta del Diablo, Uruguay

In the past decade, this little fishing village of colorful cabaÃ±as (cabins) has become a kind of beach bum boom town, but it still retains a certain authenticity that some other towns along Uruguay's Atlantic coast have lost. Don't come here looking for the fashionable party scene and upscale hotels of Punta del Este, a favorite retreat of Argentines 120 miles to the south of here. The charm of Punta del Diablo is its complete lack of pretension.

A five-hour bus journey (three and a half hours by car) from Montevideo takes you through rolling green hills and palm-studded cow pastures. But the asphalt ends as you enter Punta del Diablo. From here on, it's pine trees, vast sand dunes and crashing waves along local beaches that start in town and extend for miles along a wooded national park called Santa Teresa.

In January and February, the town fills up, predominantly with Uruguayans, Brazilians and Argentines. But in December and March, it's much quieter. Thatched-roof beachside restaurants and bars serve fresh fish and pasta, or order a local specialty from one of the modest food stalls: fish or mussel empanadas, for about $2.50 a piece, washed down with Pilsen, the local beer.

Rent a surf or boogie board or simply wander the dunes and beaches until you find your own private cove. Bicycle rentals are also available for exploring Santa Teresa, where you'll see birds and other wildlife.

Road trip from South Africa to Namibia

Here's another epic driving adventure: a two-week trip from Cape Town to Namibia's Skeleton Coast. It's a journey that will take you through some of the most starkly beautiful, barren landscapes on Earth as well as to parks teeming with life.

The drive starts in South Africa's scenic Western Cape province, winding through hills that plunge dramatically into the wild South Atlantic. You can plan excursions in West Coast National Park, home to seabirds, wildebeests, ostriches, tortoises and Cape mountain zebras. Here you can can kite surf, kayak, water ski, dive, fish and mountain bike.

Carry on up the coast and cross into Namibia to see Fish River Canyon, known as the Grand Canyon of Africa. It's too hot to hike into the canyon during summer, but the views are incredible.

Further north is the Namib-Naukluft National Park, an enormous conservation area in the Namib Desert. A sunrise trek up Sossusvlei, one of the tallest sand dunes in the world, is a must. To beat the intense summer heat, plan to arrive when the gates open at sunrise and hustle to the summit, where the morning light on the red dunes makes for spectacular photographs.

After a stopover in Swakopmund, an odd seaside resort town that's a relic of Namibia's German colonial history, drive to the heart of the Skeleton Coast. Here the desert meets the sea at one of the most desolate places in the world. Shipwrecks litter its beaches, and at first glance there's little evidence of life, though you may spot a rare desert elephant or sea lions. It is hauntingly beautiful, especially when thick mists drift along eerie, barren beaches and through gold and red dunes.

Next, cut inland to Etosha National Park, one of Africa's most incredible wildlife sanctuaries. You'll have the chance to spot lions, zebras, giraffes, rare black rhinos and leopards, as well as flamingos, ostriches and hundreds of other species of birds. On the way back to South Africa, stop at the Orange River, where you can refresh with a canoeing or kayaking trip amid more beautiful rock formations.

Coromandel Peninsula, New Zealand

About two hours' drive from Auckland, a narrow bit of land on the northeast side of New Zealand's North Island offers the chance to hike through native rain forests, go wine tasting and bury yourself in hot mud on an unusual beach. The brilliant blue waters off the Coromandel Peninsula are great for sea kayaking, snorkeling and diving; visit the Cathedral Cove Marine Reserve to see amazing underwater arches and coral reefs teeming with life.

Coromandel is well-known for its walking trails, from a leisurely stroll through the cool forest to more rigorous hikes such as the Pinnacles Trail, which takes you first on an easy path through a river valley and eventually up a steeper trail to the summit where you'll be treated to breathtaking views of both sides of the peninsula.

Your visit to Coromandel won't be complete without a visit to Hot Water Beach. The beach lies above two hot springs, which are only accessible at low tide. People flock to the beach with shovels to dig out their own steaming mud bath before the tide comes in and restores the sandy beach for the next seaside "spa" experience.

@highlight

Why not chase summer all the way to the Southern Hemisphere?

@highlight

Western Australia's Coral Coast offers spectacular scenery

@highlight

Relax on the quiet island of Ilha Grande, Brazil

@highlight

New Zealand's Coromandel Peninsula offers hiking in native rain forests