LONDON, England (CNN) -- When the 10th London Palestine Film Festival opens this week, Londoners will have greater access to films made in the Palestinian territories than many people living in the region.

Palestinian director Annemarie Jacir's first feature film, "Salt of This Sea," premiered at Cannes Film Festival in 2008.

Today, there is only one movie theater operating in the West Bank. Gaza has none.

The "Al Kasaba" theater in Ramallah is the only formal film venue for a population of nearly 2.5 million in the West Bank. Due to travel restrictions it is virtually inaccessible to the one and one half million Palestinians residing in Gaza.

It is estimated that about 80 percent of Palestinian children have never been to a movie theater, according to a report in The Christian Science Monitor.

With this lack of distribution, and hardly any formal funding available, producing a film within the Palestinian territories is a tremendous challenge.

Against the odds, the region's filmmakers completed three feature films and an estimated eight shorts in 2008 -- more than ever before. Local directors are determined to tell their stories and have adapted to cope with the region's difficult circumstances.

Lack of cinematic infrastructure

One of the greatest obstacles filmmakers face is a lack of equipment and crews. According to industry experts, directors in the Palestinian territories have little hope of competing with international news media over the limited resources.

"Crews who can work for international news organizations at very high salaries don't want to work for independent film makers," says director and coordinator of the Shashat's Women's Film Festival, Alia Arasoughly. Are you interested in seeing more films made by Palestinian directors? Tell us below in the SoundOff box below

"They don't want to rent their equipment out for a 10-hour shooting day, when they can rent it out for just two hours and triple the price to an international crew."

As a consequence of this, filmmakers are looking to local residents for production assistance.

Annemarie Jacir's first feature film,"Salt of This Sea," which premiered last year at Cannes Film Festival, tells the story of an American woman who travels to Israel to visit the land where her grandfather lived before Palestinians were ejected in 1948.

The film was shot with a crew consisting largely of novices assembled by the director, including a former ambulance driver, a jeweler and a radio DJ.

"There were always discussions with my producers, who preferred bringing more experienced professional people from Europe in, and I insisted that I'd rather have locals even if they're less experienced," Jacir told CNN.

"We're trying to build something in [the Palestinian territories], and when things got tough, because they believed in what we were doing, they stayed."

During the shoot Jacir's team also received unexpected support from members of the local community, who brought them food and drinks in between takes.

"We even had the entire Palestinian police force blocking traffic; going out of their way to help us," remembers Jacir.

Restricted Mobility

A further complication faced by Jacir and her colleagues is the limitation on movement and access in the Palestinian territories.

Since Israel's occupation of the West Bank and Gaza in 1967, Israeli authorities have imposed varying degrees of restriction on the movement of people in and out of the territories, according to human rights group, Amnesty International.

In 2007, the year in which Jacir shot the majority of her film, Amnesty reported 84 manned checkpoints and 465 unmanned blockades within the West Bank alone.

As a result of these security measures, which the Israelis say are necessary to secure their country from Palestinian attacks, the production of "Salt of This Sea," a movie with over 80 shooting locations was logistically very complex.

In order to shoot the road movie lawfully, Jacir and her crew had to apply for permission to leave Ramallah.

"Every single crew member was rejected. So, just purely getting through the checkpoints and the logistics of keeping a film crew together was an obstacle."

Obtaining shooting permission was equally problematic. Permits for various locations including Jaffa were refused repeatedly -- a hindrance which did not deter Jacir.

"In some cases we just filmed anyway. We put the actors in a real situation and we just did it guerrilla-style. That's how most Palestinian filmmakers are managing to do their work," she told CNN.

A bright future?

While drawbacks such as a lack of funding, a lack of resources, and restrictions of movement would dissuade directors in many other countries, members of the growing film community in the Palestinian territories are forging bonds over the difficulties.

While Arasoughly and Jacir agree that it would be going too far to speak of a "national cinema" at this stage, they look to the future with great optimism.

The novice crew members Jacir recruited to work on "Salt of This Sea" have continued to find work in filmmaking -- a fact Jacir believes indicates an industry is gradually starting to emerge.

"I think there's a wave coming -- a lot of new filmmakers, a lot of people making documentaries and more experimental films, working together," Jacir told CNN.

Arasoughly, whose Shashat festival will enter its fifth year this fall, is equally hopeful.

"The fact that we, under the harshest of conditions in the Arab world, have been able to hold an annual women's film festival, and that hundreds of students come to our screenings means that people want their worlds to be expanded," she said.

"They want wider horizons, and I think for me, this is what makes it possible to go on in the context that we live in."

@highlight

More films were made in the Palestinian territories in 2008 then ever before

@highlight

Filmmakers must overcome problems like travel restrictions and poor distribution

@highlight

Director Annemarie Jacir's film "Salt of This Sea" showed at Cannes in 2008

@highlight

Jacir: "I think there's a wave coming -- a lot of new filmmakers"