(CNN)Just as mimeograph machines and photocopiers were in their day, online activity -- blogs, YouTube channels, even social media platforms like Facebook and Twitter -- have fully emerged as the alternative to traditional mainstream media.

It is not just the low cost of posting online that attracts dissidence, though that in itself is liberating. It is the lack of access to traditional print and broadcast media in authoritarian countries that is really the driving force leading disaffected voices to post online.

It is not unique to Asia, but it might seem more pronounced if you live there. Going online has become the path of least resistance if you want to make yourself heard. But it still brings resistance, some of it legal, some of it deadly. Let's look at the legal angle first.

Amos Yee, the teenage video blogger who was arrested and held pending bail Sunday in Singapore, drew international attention for his anti-Lee Kuan Yew harangue. But jailing critics is not usually the government's first choice in Singapore. It is part of Lee Kuan Yew's legacy that the government's use of the courts to bring libel and defamation cases, usually carrying heavy financial penalties, is the preferred method of silencing discomfiting online voices. His father has reportedly apologized for his son's behavior, but the younger Yee could face up to three years in jail.

Yee is not unique. Another dissident blogger in Singapore, Roy Ngerng, continues to suffer financial and legal pressure, including the loss of his job, because of a blog post that allegedly accused the city-state's Prime Minister, Lee Hsien Loong, of corruption. Ngerng's concern is with the lack of transparency in the management of the Central Provident Fund, the government's compulsory pension program. Yee and Ngerng are two of many. The Committee To Protect Journalists' file on Singapore going back to 2000 has a long string of similar cases, some against politicians, others against citizens simply frustrated with their government.

But it is not just Singapore where Internet activity comes under fire: On Monday in Malaysia, with much less of the international attention heaped on Amos Yee, five editors and executives from The Malaysian Insider were arrested over the site's March 25 report claiming that a senior council of royal rulers and state governors, known as the Conference of Rulers, had rejected a proposal to amend federal law to allow for the introduction of hudud, or punishments meted out under Islamic law. In deeply Muslim Malaysia, questions of Islamic faith are a third-rail issue, as is revealing government decisions before they are announced.

By far the biggest jailer of journalists in the world is China, where a majority of the 44 people behind bars at the end of 2014 were bloggers, most of them Uighur or Tibetan activists who straddle the line between journalism and activism.

But in second place in Asia is Vietnam, where CPJ's most recent prison census showed Vietnam holding 16 reporters behind bars as of December 1. Add one more in late December, Nguyen Dinh Ngoc, a prominent blogger who was arrested for "law-violating" after police searched his home in southern Ho Chi Minh City on December 27, and two more in January, Nguyen Quang Lap and Hong Le Tho, arrested on anti-state charges of "abusing democratic freedoms" and you can see the pattern. Because the print and broadcast media are so totally government controlled, mainstream journalists seldom go to jail any more in Vietnam. Only two investigative print reporters remain behind bars in Vietnam, their cases dating back to 2012 and 2013. Both were accused of accepting bribes for dialing back critical news coverage.

The list could go on, but the reality is that, as CPJ wrote in 2013, across Asia "governments have curtailed Internet freedoms through increasingly restrictive practices, including prohibitive laws, heightened surveillance and censorship, and threats of imprisonment on various national security-related offenses." That is still the policy path being followed by most countries in Asia, and it does not look like it will be changing any time soon.

Jailing journalists is one thing, but watching them being killed and doing little or nothing about it is another. Since 1992, 11% of journalists killed have died for their work online. Because our 1992 start date really precedes the full advent of the Internet, that proportion can be expected to grow.

While most bloggers have not been the targets of murderers, Bangladesh has recently become the exception. On Monday, Washiqur Rahman Babu was the second blogger to be hacked to death in public in Bangladesh in the past five weeks. Blogger Avijit Roy and his wife, Rafida Ahmed Bonna, were attacked by assailants wielding sharp weapons while the couple was visiting Dhaka. Roy, a U.S. citizen of Bangladeshi origin, was killed and his wife was critically injured. Both Rahman and Roy had written critically on Islamic matters.

The blogger death toll gets higher in Bangladesh if you go back a year or two, and religious beliefs are always involved, and the killings almost always carried out with near perfect impunity. In January 2013, blogger Asif Mohiuddin, who wrote critical commentary on religion, Islamist groups, free speech, and human rights, barely survived after he was stabbed by Islamists. In February 2013, blogger Ahmed Rajib Haider, who had written about Islamic fundamentalism and Islamist groups, was hacked to death by members of an Islamist militant group, according to police investigations. Later in 2013, Islamist groups called for the execution of bloggers they said had committed blasphemy. While arrests were made after those murders, there have been no convictions.

The bottom line: Online journalists, operating outside the restraints of mainstream media, have become the most vulnerable targets for governments and independent actors. Where there is the restrictive rule of law, journalists are vulnerable to the anger of officialdom. Where the rule of law is weak, they are vulnerable to the attacks of killers who seldom, if ever, answer to the rule of law.

@highlight

Going online has become the path of least resistance if you want to make yourself heard

@highlight

But where there is the restrictive rule of law, journalists are vulnerable to the anger of officialdom

@highlight

From China to Malaysia, journalists and bloggers have been jailed -- even killed