(CNN) -- Two journalists in Thailand have been released on bail in a controversial defamation case that has raised concerns over press freedom in the country.

Australian journalist and editor of news website Phuketwan, Alan Morison and his Thai colleague Chutima Sidasathian, appeared in court Thursday over a report connecting military personnel to human trafficking.

Phuket's provincial court ruled that the case should proceed and set the first hearing for May 26.

If found guilty, the pair face jail time of up to seven years and a fine of around $3,000 each.

The charges, which were brought by the Thai navy, relate to an article that Phuketwan, a small news website in the province of Phuket, published on its website in July last year.

The report included information from a Reuters investigative piece that alleged some Thai security forces, including navy personnel and police, have been profiting from the smuggling of ethnic Rohingya people fleeing violence in neighboring Myanmar.

Reuters won a Pulitzer Prize for its coverage of the plight of the Rohingya Monday.

The Royal Thai Navy filed criminal defamation and computer crimes charge against the Phuketwan reporters in December, accusing them of knowingly publishing false information and committing slander.

But other Thai news organizations that quoted the Reuters reporting at the center of the case have not been charged, according to Phuketwan.

The navy filed a criminal complaint against Reuters, but the news agency has also not been charged, a Reuters spokesperson said Thursday.

"To our understanding, the complaint is under review by the authorities," she said.

The fact that Phuketwan appears to have been singled out for legal action has raised concerns among press freedom advocates that the lawsuit is an attempt to silence the small news site, which has been covering the Rohingya's movements in Thailand for a number of years.

"We're keen to get back to what we were doing and that was reporting the Rohingya as an issue," Morison told CNN Thursday.

"What's happened is that we've been diverted by this case to writing about ourselves. So we really haven't been able to cover the Rohingya issue the way we were once able to, and that's disappointing, and one of the ramifications of the foolishness of this particular lawsuit."

Morison and Chutima were detained in separate cells at the Phuket provincial court for around five hours Thursday while officials made arrangements for bail.

"We lost our freedom. That is a terrible thing," said Chutima after the pair were released.

A local advocacy group, the Andaman community rights and legal aid center provided the bail of 100,000 baht (around $3,000) for each journalist.

The case against Phuketwan has been condemned by the United Nations and prominent human rights groups, who say that imprisonment is a disproportionate punishment for defamation. Human Rights Watch said the navy should allow authorities to investigate the allegations of trafficking and other mistreatment of Rohingya migrants.

"The trial of these two journalists is unjustified and constitutes a dark stain on Thailand's record for respecting media freedom," Brad Adams, Asia director for Human Rights Watch said in an emailed statement Thursday.

"The Thai Navy should have debated these journalists publicly if they had concerns with the story rather than insisting on their prosecution under the draconian Computer Crimes Act and criminal libel statutes," Adams said.

Morison, 66, who is originally from Melbourne, has been in Phuket for 11 years where he produces Phuketwan and also freelances for international media, including CNN, The Sydney Morning Herald and the South China Morning Post. He worked for CNN as CNN.com Asia Deputy Editor from 2001 to 2002.

Chutima, 33, has worked as a fixer for several international media organizations whose staff have traveled to Phuket and nearby regions to cover the Rohingya issue, including Reuters.

"These two journalists have done more than most to report accurately from Thailand the plight of Rohingyas. They have also rendered invaluable assistance to journalists at Thomson Reuters and other local and foreign media organizations attempting to report this humanitarian crisis," the Foreign Correspondents' Club of Thailand said in a statement.

"The legal action also seriously damages the image of Thailand and claims it may make to supporting freedom of speech and fair comment."

Thailand ranks 130th out of 180 countries in the latest Reporters Without Borders press freedom index. Benjamin IsmaÃ¯l, the head of the organisation's Asia-Pacific desk described the case as "absurd."

"If the navy want to dispute the Reuters special report, which has just won a Pulitzer Prize, it can publicly give its version of events and demand the right of reply," he said.

Phuketwan congratulated Reuters for their recent award but has been disappointed by the company's response to the defamation case.

A Reuters spokesperson said Thursday that Chutima was employed "in a very limited role to help make appointments," and she was not a part of the team who reported and investigated the stories that were awarded the Pulitzer Prize in international reporting.

"We oppose the use of criminal laws to sanction the press -- large or small, local or international -- for publication on matters of public interest, like the Rohingya," the spokesperson said.

The Thai navy has denied any involvement in people smuggling. A navy official, who asked not to be named, told CNN in December that the navy did not intend to obstruct or threaten any media, but they were seeking to protect the organization from false allegations. The navy could not be reached for comment for this story.

Morison is still hopeful that the Thai government will intervene and the case will be dropped before May 26 when he and Chutima are due to appear in court again.

"It all comes down to what constitutes democracy," he said. "The media is a very important part of most democracies, and the military shouldn't be able to sue the media over this kind of issue."

Boatloads of Rohingya fleeing ethnic and religious violence in Myanmar have arrived in Thailand in recent years. Reports of Rohingya ending up in camps where they are held at ransom, beaten, killed or sold as laborers have been documented by NGOs and media organizations.

The Thai government says it is committed to combating human trafficking but denies that the Rohingya are victims of trafficking. It says that they are migrants who consent to being smuggled.

@highlight

Reporters in Thailand formally charged with defamation and granted bail

@highlight

The Thai navy accuses them of 'publishing false information and committing slander'

@highlight

Rights groups fear for media freedom, say the case is an attempt to silence small website

@highlight

The journalists will appear in court again May 26