Washington (CNN) -- Information about how and when the government gathers and uses cell phone location data to track certain criminal suspects should be made available to the public, a federal appeals court ruled Tuesday.

At issue was whether the Justice Department could be forced to release once-sensitive records from past cases, following a lawsuit by the American Civil Liberties Union.

A three-judge panel of the U.S. Court of Appeals for the District of Columbia said the public's interest outweighed any privacy concerns raised by the government over their warrantless wiretapping.

"The disclosure sought by the plaintiffs would inform this ongoing public policy discussion by shedding light on the scope and effectiveness of cell phone tracking as a law enforcement tool," said the judges in their 35-page ruling. "It would, for example, provide information about the kinds of crimes the government uses cell phone tracking data to investigate."

The ACLU had filed a request under the Freedom of Information Act, asking for court docket information on current and past cases of those tracked using mobile location data. The civil liberties group also wanted to know about the government's policies, procedures and practices when using the tracking technology.

The government will now be compelled to release the docket information in cases where there was a conviction or public guilty plea.

For cases that resulted in an acquittal, dismissal or were sealed for national security purposes, the appeals court ordered a lower court to re-examine the issue.

The government had argued it has the authority to obtain the cell phone data from private telecommunication companies without prior judicial determination of probable cause.

The larger constitutional question of whether the Obama administration's warrantless wiretapping policy is proper was not addressed by the appeals court. The current dispute, said the judges, was merely about public access to the information.

Shortly after the 9/11 terror attacks a decade ago, the Bush administration stepped up use of domestic covert electronic surveillance, aimed mainly at suspected terrorist activity. The government has strongly opposed efforts to disclose information about their covert surveillance program in certain classified cases. The Justice Department has raised what is called the "state secrets" defense, which allows courts to block lawsuits against the government on grounds that the litigation could harm national security.

But the judges in the current dispute said the information here "contains little that is personal" and that any privacy invasion would be "marginal."

"The fact that information about these proceedings is readily available to the public reduces further still the incursion on privacy resulting from disclosure," wrote Judge Merrick Garland. "The most that disclosure is likely to lead to is the fact of a single conviction, not a comprehensive scorecard of a person's entire criminal history across multiple jurisdictions."

He noted such information can be readily found on the Internet and through the media.

There was no immediate reaction to the ruling from the ACLU or the administration.

The U.S. Supreme Court in November will hear a separate case dealing with police use of a global positioning system tracking device for tailing criminal suspects in their vehicle, without a warrant.

The case decided Tuesday is ACLU v. U.S. Department of Justice (10-5159).

@highlight

Justice Department will have to release some records, ruling says

@highlight

ACLU had asked about government's practices

@highlight

Whether warrantless wiretapping is legal was not covered

@highlight

Bush White House had stepped up surveillance after 9/11