Where did our country go? Americans are known around the world as a good and compassionate people -- with a soft spot for children.

And, although you wouldn't know it from watching a ghastly detention drama currently playing out in the Southwest, law enforcement and the legal system have built-in safeguards that acknowledge the simple fact that children are different from adults, and thus cannot be treated the same.

The Department of Homeland Security and Immigration and Customs Enforcement seem to have forgotten that. These agencies are currently warehousing hundreds of children from Guatemala, Honduras and El Salvador who have, in recent months, streamed across the Texas-Mexico border.

According to media reports, the group is a mixture of unaccompanied minors sent by their parents, toddlers traveling with their mothers, and children who are alone and trying to reunite with their parents in the United States.

These youngsters are a long way from home and many appear to have gotten this far by jumping aboard passenger trains that run from the Mexico-Guatemala border to the northern cities of Mexico, and then joining up with "coyotes" (smugglers) who brought them across or, in some cases, merely pointed the way.

Once they arrived, they were taken into custody by U.S. immigration officials. According to immigration attorneys who represent some of these children, many are being held in freezing holding cells intended for fewer inhabitants and shorter stays. These aren't jail cells as much as temporary holding rooms nicknamed "hieleras," or ice chests. CNN has reported that the border facilities lack "enough food, beds or sanitary facilities to provide for the children."

These are the lucky ones. Federal immigration officials have loaded hundreds of others on buses and transported them across state lines, only to drop them at bus stations in states like Arizona with nothing more than a notice to appear before an immigration judge -- a scribbled piece of paper representing a feeble attempt at accountability, which most of these people are likely to ignore as they wander off and fade into society.

President Barack Obama called it "an urgent humanitarian situation requiring a unified and coordinated federal response." And Homeland Security Secretary Jeh Johnson said his department other agencies would work together to ensure a "rapid government-wide response in the short-term and to undertake broader, longer-term reforms to address the root cause behind these recent migration trends."

Anyone still think the border is -- as President Barack Obama and other administration officials have repeatedly assured us -- more secure than it ever has been?

It's a mess. U.S. officials don't have the faintest idea of what to do with the influx, even though they had advanced warning that this crisis was coming.

Texas Gov. Rick Perry told radio host Sean Hannity this week that public safety officials in his state had informed the federal government about a surge of unaccompanied minors crossing the border as early as 2012. The Department of Homeland Security appears to have not adequately addressed the problem. And now, with more than 1,000 children coming across the border every day according to government reports, it must.

Why are they coming? They're fleeing countries like those in Central America that are quite literally falling apart, with little or failed infrastructure in the military or law enforcement, and thus unable to fend off encroachment by Mexican drug cartels looking for new outposts from which to operate.

That is the best theory about why the surge is occurring.

The most far-fetched theory comes from restrictionists and nativists who insist that what enticed these children from Central America to cross the U.S.-Mexico border is an expectation that Obama is poised to use his executive power to grant a kind of "amnesty" to millions of undocumented.

If people in Central America believe that, they could be the only folks in this hemisphere who do.

Obama has never been particularly interested in proposing an immigration reform plan to Congress. And he has spent the last few years resisting calls to use executive power to act unilaterally to stop deportations.

House Majority Leader Eric Cantor had taken just about every position one can take on the immigration issue, but recently said he would work with Obama to allow undocumented young people to stay in the United States. Now that has been defeated in the primary election by a conservative in his home district in Virginia, immigration reform is all but dead.

Besides, from all appearances, the border kids aren't immigrants. They're refugees. They're here because they couldn't be anywhere else, and they had no choice but to come. We're supposed to take in people like this, and offer them safe haven.

This country has a right to protect its borders, and to decide who enters and who doesn't. But once our officials apprehend and take custody of a group of people -- let alone a group of children -- they're responsible to do right by them. That isn't happening in the Southwest.

We have standards, and procedures, and hoops to jump through for those who might claim refugee status. We don't just drop human beings at a bus station, and run in the other direction. There are nations that would handle a situation like this in such a cowardly manner. This isn't one of them.

So where did our country go? And how do we get it back?

@highlight

Ruben Navarrette: Detention of children from Central America at border is beneath U.S.

@highlight

He says immigration officials keep them in inhumane conditions or bus them to Arizona

@highlight

Navarrette: Nativists are wrong to say it's part of an Obama amnesty plan

@highlight

He says U.S. has a right to protect its borders, but this is unconscionable