Taipei (CNN) -- It's not every territory in the world that puts an Oscar-winning director's name up in lights on a towering building. But that's just the sort of thing that happens in Taiwan -- and it did on Monday night after Ang Lee picked up his second "Best Director" Oscar, this time for "Life of Pi."

The moment wasn't just celebrated in grand statements, but in small scenes played out in front of televisions across Taiwan when his name was announced.

I was at a TV station in Taipei that was broadcasting live coverage of the Oscars, working with a team of translators that was creating the subtitles for the rebroadcast. When Lee's name was announced the office erupted in applause. Down the hallway, more cheering could be heard.

I couldn't help but think back to the Athens Games in 2004, when Chen Shih-hsin won Taiwan's first ever Olympic gold medal (under the team name "Chinese Taipei"). Even veteran news anchors shed tears when the young taekwondo star defeated her Cuban rival.

It would be reductive to suggest that these displays of patriotism are simply the response of a small country that just doesn't crank out that many Oscar winners or Olympic golds. It also speaks of a place that has been largely marginalized in the international community.

Today, Taiwan has just 23 official diplomatic allies -- mostly other marginalized nations, in Central America and Africa. That's because China still sees Taiwan as part of its territory more than 60 years after the Chinese Nationalists retreated to the island at the end of a Civil War against the Communists. The Nationalists -- or Kuomintang -- are now the ruling party in a democratic Taiwan, which is officially called the Republic of China (ROC) -- not to be confused with the People's Republic of China on the Mainland.

Having lost its seat at the United Nations to the PRC in 1971, the ROC found itself with a diminished voice in the international community. It turned to manufacturing and technology in the 1980s, spurring on what is now referred to as an "economic miracle." Today, with its economy struggling to move past the global economic downturn, Taiwan has added the arts, sports, and even baking to its repertoire.

What's striking about Lee's win is that it's not just people in Taiwan who were quick to claim him as one of their own. In China, the state-run Xinhua news agency referred to him as "Chinese-American." While Taiwanese media latched onto the portion of Lee's acceptance speech when he thanked Taiwan and the central city of Taichung where much of the movie was filmed, Xinhua's main story included Lee's line of thanks to the 3,000 people who worked on the film for "believing this story and sharing this incredible journey with me."

In some ways it feels like "Linsanity" all over again, when Taiwan and China both claimed basketball star Jeremy Lin as their own, leaving the international media struggling to chart the dangerous waters of identity politics to correctly describe him.

VIEW: Photos from the red carpet

A very small voice at the fringe of the discussion wonders why it's important for people to know that Lin's paternal grandmother lives in Taiwan and referred to him as "a real Taiwanese," or that Lee grew up in Tainan and still loves to visit his favorite noodle shop there. Others in Taiwan question why a nation's confidence should be based on its success in the international community.

With China looming to the north, now the world's second biggest economy and wielding an influence that's verging on "superpower" status, the metaphor of Jonah and the whale comes to mind. The Taiwanese electorate is sharply divided on how it feels about the way ties with China have warmed ever since President Ma Ying-jeou first took office in 2008. The benefits are obvious, considering China is Taiwan's largest trade partner, but some worry that it could lead to a loss in autonomy.

INTERACTIVE: Oscars by numbers

The Ma administration has been mindful of the nationalistic rhetoric of the opposition, and although the president was born in Hong Kong, he has referred to himself in the past as "Taiwanese as well as Chinese." Ma was also quick to congratulate Lee following the Oscars, and to urge others to follow in the director's footsteps and "work hard at promoting Taiwan to the world."

Lee is just one name on a growing list of national heroes that both the government and the private sector have celebrated in recent years for putting Taiwan on the map: people like fashion designer Jason Wu, who moved to Canada from Taiwan and has created garments for U.S. First Lady Michelle Obama; master baker Wu Pao-chun, who beat the French patissiers at their own competition -- Les Masters de la Boulangerie in 2010; Yani Tseng, the world's number one female golfer; and even the humble vegetable seller-turned-philanthropist Chen Shu-chu, who was selected by Time Magazine as one of its heroes of 2010.

So what are people saying when they embrace these heroes as Taiwanese? They are saying "Taiwan may be small and diplomatically isolated, but it deserves to have a voice in the international community." While Lee may not speak about politics and no longer creates movies about Taiwan, he does have a voice and people do listen. And that's worth spreading in lights across the world's second-tallest building.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Andrew Ryan.

@highlight

Ang Lee's name beamed on building in Taiwan after Oscar win

@highlight

Lee, born in Taiwan, won award for best director for "Life of Pi"

@highlight

Lee's win created excitement in Taiwan and China, both claimed him as their own

@highlight

Ryan: "In some ways it feels like 'Linsanity' all over again"