In the afterglow of Chris Christie's smashing re-election win last November, a chorus of big-name Republicans heralded the charismatic New Jersey governor as the party's savior in 2016.

Not everyone was so enamored.

Just days after the election, Texas Gov. Rick Perry appeared on national television and poured cold water on Christie's impressive victory.

"He was a successful governor in New Jersey," Perry said on ABC's "This Week." "Now does that transcend to the country? We'll see in later years and months to come. We're all different states. Is a conservative in New Jersey a conservative in the rest of the country?"

The comments made headlines, but were largely seen as just another predictable potshot fired off by one likely presidential contender jockeying for position with another.

But Perry's curt dismissal belied a much deeper resentment toward Christie -- and thrust a long-simmering tension between two of the Republican Party's biggest personalities into public view.

It is a rivalry that continues today and colors many of the political discussions inside the usually drama-free Republican Governors Association, the powerful fundraising committee currently helmed by Christie.

Even with the slow-burning controversies that have engulfed his governorship in New Jersey, Christie, a prolific fundraiser, maintains the support of his fellow governors, barring any further revelations that contradict his story about the George Washington Bridge lane closures.

But should Christie ever be forced to step aside, Perry -- along with his close ally, Louisiana Gov. Bobby Jindal -- represents another power base inside the governors association that could step into the leadership void.

In Perry-world, Christie is seen as pompous and disrespectful, both to his fellow governors and the sense of collegial decorum that has ruled the governors association for years. To Christie and his allies on the committee, Perry is regarded as unserious, past his prime and too conservative for the national stage.

When Christie traveled to Dallas and Fort Worth on Thursday for a series of closed-door meetings with leading governors association donors, Perry was hundreds of miles from the scene.

The Democratic National Committee, which has turned its full artillery on Christie in the wake of the bridge fiasco, highlighted Perry's absence as a sign of Republicans fleeing a scandal-tarnished governor.

'They just don't like each other'

The truth is that Perry likely would have avoided Christie anyway, with or without the subpoena-flecked drama back in Trenton.

"There are factions within the RGA," said an adviser to one Republican governor. "Perry is kind of the leader of one, and Christie is the leader of the other. They just don't like each other."

Like most of the people interviewed for this story -- including aides to both Christie and Perry -- the adviser declined to talk on the record so as not to offend two of the most powerful governors in the country.

Christie and his close-knit team control the purse strings of the governors association, a cash-flush campaign committee that will help fund the party's slate of gubernatorial candidates in 2014. And despite the embarrassment of his failed White House campaign, Perry is angling to run for president again and continues to be a gatekeeper to many GOP donors in Texas, a wealthy state that doubles as an ATM for Republican politicians.

Supporters of the two men who volunteered to discuss their relationship openly were cautious with their words.

"I think there are stylistic differences based on their upbringing and where they come from," said Republican operative Bob Haus, chairman of Perry's 2012 caucus campaign in Iowa. "There is a humility that comes from being from the South. And there is a brashness that comes from being from the Northeast. And that may be very apparent between the two of them."

Most accounts of their sour relationship begin in 2011, during the bruising Republican presidential campaign, in which Christie endorsed Mitt Romney on his way to the GOP nomination.

With backing from some of the GOP's biggest donors, Perry entered the race late that summer to much fanfare, rocketing to the top of national polls and providing Romney with his first serious primary opponent. Perry had resigned his post as chairman of the governors association, but was still counting on support from his fellow Republican governors. But one of them, Christie, was reluctant to give it.

Christie not shy with his thoughts about Perry

Throughout the GOP primary battles, even before his endorsement of Romney, Christie was not shy with his thoughts about Perry. In private sessions with donors, governors and assorted Republican power brokers, Christie asserted that Perry was far from qualified for the White House.

"Christie was unequivocal in saying that the Perry he had gotten to know, while a nice guy, was not suited for the presidency," said one Republican familiar with the conversations. "That was not kept a secret. He was pretty comfortable telling people that. Major donors, other governors and the like. That quickly got back to Perry."

Perry's team chafed at the way Christie handled his endorsement process, in which the GOP candidates were summoned to Drumthwacket, the New Jersey governor's residence, to dine with Christie and his top aides in hopes of winning his support. One veteran of Perry's campaign described the ritual as "imperial." Perry never made the trip. When Christie ultimately endorsed Romney just hours before a debate in New Hampshire, no one bothered to give a simple courtesy call to Perry-world, the former campaign aide said.

After his presidential race concluded, a chastened Perry returned to Austin and began dabbling in governors association business again. According to Christie sympathizers, he discovered that his once-rising star had been eclipsed by a younger set of governors, chief among them the ambitious Christie.

"Perry had gotten used to being everyone's favorite governor," said one GOP strategist who works with the committee. "Everyone loved the guy and he could raise a lot of money. And he took it hard that it didn't translate to presidential support. When he came back on the RGA scene, he showed up, and guess who everybody's favorite governor was? Chris Christie. A new guy with a lot of swagger and fundraising ability. And he was from New Jersey."

"You can only have so many sheriffs in one town," the strategist added.

Beyond the obvious political tensions -- both are headstrong politicians with room-filling personalities and White House ambitions in 2016 -- people close to both governors point to a complicated cultural gulf between the two men when asked about their fraught relationship.

Perry not naturally drawn to Christie

Perry, the socially conservative son of north Texas ranchers who wears his evangelical faith on his sleeve, isn't naturally drawn to Christie, a lawyer raised in the shadow of New York City who wants Republicans to move beyond the conservative orthodoxies that have damaged the party's brand with swing voters.

Christie is friendlier to the bumper crop of Republican governors who were elected in 2010, in particular Wisconsin's Scott Walker and New Mexico's Susana Martinez. Perry, who became governor nearly a decade before Christie, is notoriously close with Jindal, the current vice-chairman of the governors association who is thought to have his own presidential aspirations.

"Those two are like brothers," said the adviser to a Republican governor. "They're always doing stuff together."

In  summer 2012, even before that November's presidential election, Christie began jockeying with Jindal to take over the chairmanship of the governors association in 2014, a prime election year post that would give one of them a coveted launchpad for a potential White House bid.

Perry actively worked to support Jindal. But after an unusually furious bout of behind-the-scenes campaigning, Christie won the prized post, thanks largely to his star power on the fundraising circuit. Jindal agreed to serve as governors association chairman in 2013.

But the Christie-Perry rift was exposed again last November when Christie, the soon-to-be-anointed governors association chairman, moved to install Indiana Gov. Mike Pence on the governors association's executive committee. Word of Christie's maneuvering frustrated Jindal, the outgoing chairman, who had wanted to give the open spot to Perry, in part because of the Texan's fundraising prowess.

"Perry got wind of this, got pissed, and started calling all these governors," said one Republican consultant who witnessed the intense executive committee campaign that soon followed.

Another operative familiar with the incident said: "Why keep a governor who has been the most prolific fundraiser in the history of the governors association and from a huge donor state off the executive committee? It was strictly a power play by Christie."

As Perry supporters tell it, Perry outworked Christie on the phones and whipped up enough support among his fellow governors to force Christie into a compromise: The governors association agreed to add a slot on the executive committee so that both Perry and Pence could serve.

Christie allies have a different take: The governor simply agreed to give both Perry and Pence executive committee posts to avoid an unnecessary flame war inside the organization.

"The whole executive committee thing was very overblown," said a governors association source when asked about the conflict. "Once Christie figured out Perry wanted to be on board, he allowed him to be on board. And all the governors were happy with it."

As for the greater friction between Christie and Perry, the governors association source acknowledged some ill will but said the two Republicans have an amicable relationship.

"There may be some hangover from Christie endorsing Romney, but Christie respects Perry and his work as governor, and was happy to recommend him to join the executive committee," the source said.

@highlight

Rick Perry's dismissal of Chris Christie's big win in November belies a deep resentment

@highlight

In Perry-world, Christie is seen as pompous and disrespectful

@highlight

To Christie, Perry is unserious, past his prime and too conservative for the national stage

@highlight

"You can only have so many sheriffs in one town," one GOP strategist said