(CNN) -- The hospital emergency room is the front door of the health care system.

Most people will only have to visit a handful of times in their lives, but visiting an ER can be both a lifesaving and frightening experience.

However, several myths prevail about what happens in the ER and what you can expect. Here are five that need to be declared DOA.

Myth: The ER is not like TV

Actually, television shows like "ER" and even "Scrubs" do not stray far from the truth.

While it's not like television all the time, the ER can be an exciting and dangerous place, as seen in many episodes.

In fact, emergency nurses are frequently attacked, verbally and physically, by patients.

A 2007 survey of more than 3,000 emergency room nurses found that more than half the nurses surveyed had been spit on, hit, pushed or shoved, scratched or kicked by patients. About a fourth of nurses said they had experienced more than 20 of these types of episodes over three years.

However, I've seen many of these same nurses chase and retrieve confused patients when they wander away.

We handle these incidents with levity while in the trenches, but the truth is that the ER can be a very violent place to work, and there are few reporting mechanisms for these attacks. While drugs, alcohol and mental illness play a role in many incidents, this provides little solace after being assaulted in your workplace.

If and when you come to the hospital, bringing empathy for the nurses and staff goes a long way.

Myth: Patient satisfaction is our No. 1 priority

Everyone is entitled to a courteous visit to the emergency room just as you are entitled to a courteous visit to Burger King. However, if you order a shrimp taco at a burger restaurant, you can't have it, no matter how upsetting this may be or how much you may want it.

We probably won't be able to diagnose a skin rash that's been present for three years, nor can we tell you exactly why your knee hurts if it's not broken. The ER is designed to identify and treat time-sensitive conditions.

As a patient, your only legal entitlement is to a medical screening exam, which essentially is for conditions that need to be remedied quickly in order to save your life.

A 2012 study published in Journal of the American Medical Association showed that higher patient satisfaction scores are associated with higher health care expenditures and higher mortality.

Patients frequently enter into the emergency department expecting antibiotics for the common cold or a CAT scan of the head. They equate patient satisfaction with "customer satisfaction."

While it's very trendy to say so, patients are not exactly customers. Physicians have a fiduciary role to maintain, as most of us know what can kill humans and are ethically and legally bound not to administer it.

In many emergency departments, you may be able to demand more tests, but you should know that receiving them may not always be in your best interest.

Myth: Obamacare will make my ER more crowded

The real answer about how crowded a single ER will become this year is dependent on a lot of regional factors such as the number of primary care providers and the privileges of physician extenders (such as nurse practitioners and physician assistants) in a given state.

I work in one of the busiest emergency departments in the country. We were busy in 2012, 2013, and we will probably be just as busy in 2014. If people think they have an emergency, they come to the ER.

Research has shown that most patients who come to the ER believe they have a life-threatening condition. Also, a study in the Journal of the American Medical Association showed huge overlap in the initial ER complaints of people with "primary care treatable" (could have seen their doctor) conditions and those with truly emergent complaints.

Any med student knows that chest pain from something as simple as acid reflux can be indistinguishable from that of a heart attack. The people who are in the ER with you, Obamacare or not, will likely believe they have an emergent condition.

Myth: I shouldn't let the doctor put me in observation

Actually, observation units are awesome. About a third of U.S. hospitals have them.

These are dedicated patient care areas, typically staffed with emergency physicians, that are designed to rapidly treat or diagnose a handful of conditions like pneumonia, asthma, and chest pain. In hospitals without these units, patients with relatively simple conditions may be spread throughout the hospital.

Patients in observation units generally stay between 16 and 24 hours. These dedicated areas have shown superior outcomes compared to traditional care in terms of length of stay, missed diagnoses and mortality.

Further, as reported in Health Affairs, these units are so efficient that if they were instituted in the other two-thirds of hospitals, they would save our health system billions.

Unfortunately, there have been reports of senior citizens being placed in "observation status" and having received hefty bills from hospitals because of it. There was even a class action lawsuit against the Centers for Medicare and Medicare Services alleging that hospitals use "observation status" to punish seniors by making them responsible for more of their bill. Even though this case was dismissed in 2013, media outlets occasionally show stories of seniors who have large hospital bills related to "observation status," further perpetuating this myth.

The reality is that while the issue remains very complex, the vast majority of Medicare receiving seniors (94%) pay less under "observation status" than if they were admitted under "inpatient status," according to the Department of Health and Human Services' Office of Inspector General.

Myth: The ER is first-come, first-served

We do not go in order of arrival time. We use the tried-and-true triage system where sicker patients are seen first. Trust me when I tell you that you don't want this any other way. If your loved one is shot in the face, you would want them to be seen first.

You cannot and will not be in control of the order of patients seen. No one in the emergency department has made an appointment. The national average length of stay for an ER patient is about five hours. During this stay, we can often obtain testing that would generally take you months to receive.

Americans who are acutely ill actually visit their personal physician a minority of the time. As Emory University physician Dr. Stephen Pitts described in Health Affairs, emergency medicine physicians see 28% of these acute visits, but make up less than 5% of the physician workforce.

I and many other practitioners of emergency medicine chose this specialty because of the "help anyone, anytime, anywhere" aspect of the job.

When you come to the ER, be prepared for some of the best medicine our health care system has to offer. This is not a jail; everyone is free to leave if they are unsatisfied with the wait or availability of services, but rest assured, we will be happy to see you at any time for any complaint.

The opinions expressed are solely those of Dr. Anwar Osborne.

@highlight

Visiting an ER can be both lifesaving and frightening

@highlight

Knowing what to expect and what the ER can and can't do is helpful

@highlight

Observation units can be very helpful

@highlight

The ER is not first-come, first-served