(CNN) -- When Saddam Hussein's elite Republican Guard invaded Kuwait in 1990, they brought back some unusual war booty to Baghdad: tapes of the region's "Sesame Street" show. Troops also took a Muppet camel.

Haneen and Karim are two of the Muppet stars in "Shara'a Simsim," the Palestinian version of "Sesame Street."

The camel, Cookie Monster and the other Sesame friends immediately became permanent POWs in Iraq.

"To this day, they've never been recovered," Sesame Workshop President and CEO Gary Knell said. "That's how much the show is loved there."

That "kidnapping" is just one example of Sesame Street's devoted global following. And Sesame is trying to use that following to foster a culture of understanding worldwide, beginning with children.

In the Palestinian territories, Muppets teach nonviolence on a local version of Sesame Street called "Shara'a Simsim." Sesame Workshop calls this effort "Muppet diplomacy."

"This means using our characters -- characters children love and parents trust -- to bridge some of the world's most intractable divides," Knell said. "Muppets give children, and the parents who watch the show with them, a chance to explore other cultures from the safety of their living room, where no one will criticize them for being curious."

Daoud Kuttab, executive producer of "Shara'a Simsim," knows that the Muppets are highly effective communicators. "Anything the Muppets do, anything they say, any idea they transmit, the children accept."  Watch a clip from the Palestinian version of "Sesame Street" »

An internationally respected Palestinian journalist, Kuttab began working with the show more than a decade ago. After covering the war-torn region for years, he realized that Sesame was a great way to reach Palestinian children who desperately needed an alternative to the harsh lessons they were absorbing.

"I would say 3-, 4-, 5-year olds -- if we don't catch them at that early age, we do risk losing them to all kinds of propaganda, whether it's conservative, religious or fundamentalist," Kuttab said.

Hamas television runs a weekly program for kids, that sometimes preaches violent resistance.

"They have to be willing, prepared for the future. And that's why the Palestinians are showing seriousness," said Ahmed Yousef, a political leader in Hamas, the party in power in Gaza. "To keep our dignity and our independence, we have to sacrifice our life. We are either victorious, or we die for the good cause."

With some funding from the U.S. State Department and guidance from the U.S. producers, Kuttab's team developed the Sesame program into something uniquely Palestinian, complete with live-action segments filmed in the West Bank and Gaza, a set that looks like a typical Palestinian street and Muppets named Haneen and Karim.  Watch Palestinian Americans trying to instill peace in society's youngest members »

"We are interested in teaching tolerance, respect, pride in their own country and their own nation, and also in understanding that there are people who are different, and that's OK," Kuttab said.

Worldwide influence

Sesame's influential roots go back decades. The creators of "Sesame Street" launched the show in the 1960s to fill a gap in American education. Studies had presented compelling evidence that solid early education was vital for a child's later learning; still, public pre-kindergartens were scarce, and early education was rarely available to underprivileged children.

Although it was designed to address an American need, Sesame Street had immediate global appeal. In the 1970s, German producers put their version of the show on air. Today, children in 120 countries watch some version of "Sesame Street."

"When I saw [Sinn Fein leader] Gerry Adams wearing a Cookie Monster watch," Sesame Workshop's Knell said, "I knew we had made it in Northern Ireland."

The program has always found fun and funny ways to teach reading and counting. But interspersed with those ABCs and 123s are lessons in cooperation, tolerance and mutual respect. It wasn't by accident that Sesame was a multiracial street as far back as the 1960s. Its creators wanted children to understand that integration was OK, a message so controversial at the time that "Sesame Street" was banned by some TV stations in the U.S. South.

Those social messages help explain Sesame Street's appeal to television programmers around the globe. Still, what's an important issue in one country may not be in another. That's why Sesame Workshop has helped local producers create customized versions of the show in more than 20 countries.

In South Africa, for instance, a country where one in nine children is an AIDS orphan, "Takalani Street" producers pushed to create a Muppet who is HIV-positive while the South African government was still coming to grips with the country's AIDS epidemic.

"The local producers knew it was important for children to see an AIDS orphan who still has a sunny disposition and lots of friends, even while being very open that she is infected," Knell said. "This had a great impact on destigmatizing people with the disease."

In Tanzania, Muppets teach malaria prevention. In Egypt, Muppets stress the importance of girls' education.

Haneen and Karim

In the Palestinian version, "Shara'a Simsim," direct references to the region's political situation are not included. The Muppets like Haneen and Karim show pride in their own culture but also understanding that there are differences in the world.

And Karim, an upbeat young rooster Muppet, aims to provide a healthy role model for boys.

"Boys are a problem in our society. They see their parents being humiliated. They think they are the men of the house and have to do something about it. But they can't do anything," Kuttab said. "We're trying to tell them, 'your energy is OK, but let's channel it in a different way.' "

Live-action segments introduce children to Palestinians who have channeled their energy into becoming teachers, doctors or business owners -- people, Knell says, "who can act as role models, people who strive to remove themselves from the hardships children see."

Sesame Workshop hopes to expand this type of localized programming into other areas that have witnessed recent conflict, such as Pakistan. Perhaps that means Iraq will get its own show someday and won't have to hold on to someone else's.

@highlight

Children in 120 countries watch some version of "Sesame Street"

@highlight

Sesame is trying to use that following to foster a culture of understanding

@highlight

The Palestinian version is called "Shara'a Simsim"