Jerusalem (CNN) -- A day after the U.S. State Department strongly condemned Israel's plans to build a 1,500-unit settlement in East Jerusalem, Israel announced it would continue a plan to build settlements in other East Jerusalem neighborhoods.

On Wednesday, initial approval for a total of up to 3,000 homes in Jerusalem was granted.

Read more: Calm elusive as rockets rain in Gaza, Israel

Israeli Prime Minister Benjamin Netanyahu told a group of foreign ambassadors from Asia-Pacific countries he met with on Wednesday, while overlooking Jerusalem's Old City: "The walls that you see behind me represent the capital of the Jewish people for 3,000 years. All Israeli governments have built in Jerusalem. We're not going to change that. That's a natural thing."

He went on to say: "Imagine that you had to limit construction in your own capital; it doesn't make sense."

Read more: Israel's Hamas policy threatens permanent war

The significance of building in East Jerusalem is that Palestinians have long hoped to make it their capital in a future Palestinian state that would include the West Bank and Gaza. In 1967, Israel captured and annexed East Jerusalem, an action never recognized internationally and long condemned by Palestinians as an obstacle to a two-state solution to the Arab-Israeli conflict.

On Tuesday, Israel announced that settlement building in Ramat Shlomo would continue, a plan originally announced in 2010. Back then, the announcement, which coincided with a visit by Vice President Joe Biden, angered and embarrassed the United States.

Read more: After Israel-Gaza: Who won, who lost?

At the time, the U.S. had brokered indirect talks between Palestinians and Israel that it hoped would reinvigorate the peace process, but the settlement building announcement prompted the Palestinians to pull out of the talks. There have not been peace talks since.

U.S. State Department spokeswoman Victoria Nuland used the strongest words against Israeli settlements in recent years after Tuesday's announcement to move the settlement plan forward.

"We are deeply disappointed that Israel insists on continuing this pattern of provocative action. These repeated announcements and plans of new construction run counter to the cause of peace. Israel's leaders continually say that they support a path to a two-state solution, yet these actions only put that goal further at risk," she said Tuesday.

Read more: Why Israel might hesitate to start a ground invasion

On Wednesday, Israeli Interior Ministry spokesman Efrat Orbach said of the Ramat Shlomo building plan:

"It is a plan which was passed in the local council (during the visit of U.S. Vice President Joe Biden in March 2010), and two and a half years ago, it was opened to appeals from the public by the regional council. The public's objections were heard this week. As a result of the objections, a number of units were dropped. Now the property developer needs to make the changes to the plan and set out what he is obligated to do according to the plan."

Still, 1,500 new units have been approved.

And a day after Nuland's statement, an Israeli planning committee approved more settlement plans. The latest approval is for the Givat Hamatos and Beit Safafa neighborhoods. If that plan goes to the building stages, they would be the first new settlements built in East Jerusalem since 1997.

Read more: Why U.S., Israel should welcome Palestinian move at U.N.

Palestinian Authority officials are furious and see this as another indication that Israel is not interested in a two-state solution, something Israel denies.

"If there is a financial cliff in Washington or the United States today, there is a political cliff over a two-state solution (here), and I think we are already slipping down the cliff, because the implementation of the massive settlement program that Israel has announced just today and yesterday it is putting an end to the possibility of a two-state solution," Mohammad Shtayyeh, a Palestinian Authority negotiator and minister, told CNN on Wednesday.

Israel's Jerusalem mayor sees things differently. A statement about Israel's plan to build about 2,600 units in the neighborhoods of Givat Hamatos and Beit Safafa from the mayor's office said: "Mayor Nir Barkat strongly condemns any attempt to undermine or derail the development plans, which will benefit the Jewish and Arab residents of Jerusalem alike. Not planning and developing Jerusalem neighborhoods ultimately harms all residents and landowners -- Arabs and Jews alike."

Read more: Gaza conflict leaves a 'cruel paradox' for Palestinians

Netanyahu spokesman Mark Regev told CNN: "The actual construction is of 3,000 housing units, as was decided by the government on November 30, 2012. All these units are in Jerusalem and the settlement blocs that will stay a part of Israel in a future peace agreement. All other announcements regarding construction refer to stages of planning and zoning, a bureaucratic process that takes years to complete. In any case, this process necessitates a separate decision by the government before actual construction can begin."

The United Nations and many countries in the world consider Israeli settlements illegal and an impediment to the peace process.

Netanyahu has been pushing more settlement expansion ever since the Palestinian leadership petitioned the United Nations for nonmember state status, which it received on November 29 after the majority of U.N. member nations approved it. In essence, the approval created a degree of statehood for Palestinians, though the change is largely symbolic.

The recent settlement approvals do not mean building will commence quickly, but they may heighten tensions between Israel and its Western allies, never mind its Palestinian neighbors who are hoping the international community puts more pressure on Israel over the settlement issue.

"Israel does not understand the language of condemnation; it does not need somebody in a press conference to say we're opposed. Israel needs somebody to link its actions to the economic relations with this or that country. It was (former U.S. Secretary of State) James Baker who stood to say that if Israel continues with the settlement program, we are linking it to loan guarantees that are given to the state of Israel," said Shtayyeh, the Palestinian Authority negotiator.

This is all happening just as Israel is set to elect its next leaders on January 22.

CNN's Michael Schwartz contributed to this report.

@highlight

Plans to build a settlement in East Jerusalem's Ramat Shlomo neighborhood drew criticism

@highlight

Israel says it will continue a plan to build settlements in other East Jerusalem neighborhoods

@highlight

Panel OKs about 1,500 Ramat Shlomo units, up to 3,000 in Givat Hamatos and Beit Safafa

@highlight

Israeli PM: Building in Jerusalem is "a natural thing"; Palestinians: Settlements hinder peace