The "Niantic" was a whaling ship used during the Gold Rush of the 1800s and then run aground to be used for storage and as a hotel in a place now known as San Francisco.

As the city grew and changed, the ship was built over and around many times, becoming part of the foundation of the city and now residing, at least in part, in the San Francisco Maritime Museum.

A group at Google has adopted that ship's name, with the goal of crafting apps that encourage users to explore the world around them and, in the process, discover such hidden gems.

The idea, according to John Hanke, vice president of product development for Niantic Labs, was to get people moving, exploring, and having fun during the normally stationary act of playing on their phones.

"The theme of the group was the things around you that just lie beneath the surface, the unseen world," Hanke said. "The information exists on the Internet, but these are probably things you don't notice in the real world. The information, although it is there, is often difficult to get to."

Niantic Labs has been working on two apps -- "Field Trip" and "Ingress."

"Field Trip" links 130 different information sources to your smartphone's GPS, resulting in alerts to interesting things currently around you.

The app, which is available for iOS and Android phones, has been out for about a year, but is now available for use with Google Glass as well.

The advantage of Glass, Hanke said, is that it lets users walk around, hands-free and experience things in a new way.

"The idea (with Google Glass integration) is that the information can get to you in a way that isn't disruptive with what you are doing," he said. "You can still interact with the people around you; you can glance up and see it; you can have it read to you. But you have that awareness of 'This is what that place is, this is what used to be here.' "

During a demonstration in Washington, the app alerted me to nearby restaurants in the Google Glass display. I could choose to ignore them or go deeper into the information without pulling out a phone or bothering the people around me.

In another example, the background and history on an unusual building popped up and could be read to me as I studied the building.

"You're not lost in your phone. You can get (the information) read in your ear. You now know that information and you can do with it whatever you want," Hanke said. "It's kind of like having a smart local (person) walking beside you telling you where everything is."

If "Field Trip" is meant to be a helpful app for a leisurely stroll, "Ingress" offers something else entirely: a competitive, worldwide game for the Android phone where the enemy could be the person next to you on any given street corner.

While encouraging fierce competition, "Ingress" has organically evolved during its beta run into an app that brings people together socially and creates connections between players beyond the game.

Recently, Google has been touring the world for an in-game event called Operation Cassandra. The goal of the game, according to the elaborate, sci-fi inspired story Niantic has crafted for "Ingress," is for groups representing the two warring factions -- the Enlightened and the Resistance -- to create virtual fields that blanket an area and control the people therein.

Virtual hot-spots, called "portals" in the game, appear at the GPS locations of real landmarks like public art, historic buildings, museums, local institutions and churches.

Players must be in the real-world location of these portals to "capture" them for their team.

Hanke said his original plan was to create an MMO (massively multiplayer online) game where people all over the world could play in their own time toward a common goal. But when people started gathering in cities to capture portals, he says, something amazing happened.

"Getting together in the real world, people are going out and playing for an hour -- or sometimes all night -- and then having beers or breakfast together," he said. "People are doing that; I never expected them to when I designed this game."

In "Ingress," there is always competition on a local level, as well as the occasional special event, with a specific, time-sensitive goal, that can draw dozens of players from both factions. Recently, Google has been hopping from city to city for major gatherings, though, drawing player numbers in the hundreds.

Sydney, Australia; New York, Chicago, Boston, Washington, and Cologne and Dusseldorf in Germany, have all been the sites of such events.

Daphne Domingo, one of the main organizers in Washington, said that while she isn't normally a competitive person, the social aspects of the game make it fun.

"You have so many different socio-economical backgrounds in the players and we've all become dearest friends," Domingo said. "You really can't do it alone. You have to work with other people and we've all become good friends, no matter what side you're on."

Lindsey Boyle, a tech researcher for the U.S. Department of State, said the game is addictive, but not so much that she won't invite everyone, even opponents, out for brunch afterward.

"You're meeting strangers and you're sharing a bond when we're playing," Boyle said. "It grows and you start hanging out even when you aren't playing."

The launch video for the game nearly six months ago showed two people eyeing each other warily at a portal, wondering which side the other was on. Hanke said he expected some of that to happen, but what he didn't expect was for those people to actually start talking to each other.

Said Hanke: "On social media, and even in the real world, people started doing that and walking up to other people and saying, 'You're playing 'Ingress,' aren't you?' "

"Then these local clubs began to form and they started sending us pictures of their meet-ups. We started planning these events around that organic phenomenon."

One player described hanging out with other players from both sides as "friend-ponents, not frienemies."

"There is a rivalry, but there is also a camaraderie," said Filemon Palero. "There is a feeling of being together when you are doing something as a team. I found I was going to see exhibits around D.C. just because of 'Ingress.' "

The Android-only game is still in closed beta and by invitation only, but Hanke said his team is handing out invitations as quickly as they get requests. He thinks the game will be ready soon to be opened to players everywhere and hopes the hive mind, collective intelligence of the world will enjoy solving his puzzles.

"People were sending us videos of players trudging through the snow (in Russia) playing 'Ingress,' " he said. "That blew our minds people were doing that."

@highlight

Google lab works on apps that help users discover interesting things

@highlight

Niantic Labs has created travel adviser "Field Trip" and mobile game "Ingress"

@highlight

"Field Trip" uses GPS to point out interesting things you are near

@highlight

Ingress uses public landmarks in a worldwide game between two sides