(CNN) -- President Obama used the State of the Union address to outline an agenda for the coming year and, more importantly, to define what his goals would be should he be re-elected in November.

As Republican presidential candidates engage in a bitter civil war for the nomination to oppose him, Obama has stepped up at this moment to offer a blueprint to strengthen the middle class, diminish inequality and revitalize the economy.

Obama has attempted to turn his source of weakness, the laggard condition of the economy, into his strength by going on the offensive about how to make things better. Whereas Mitt Romney and other Republicans have defined Obama's policies as a form of European socialism, Obama has argued that protecting the middle class is the only way to reclaim American values.

The final State of the Union address for a first-term president is always a mix of policy and politics. Tuesday night, the president brought together a number of themes that have been shaping his speeches since September. The speech blended some of President Jimmy Carter's harsh realism with President Ronald Reagan's endless optimism.

Obama warned of the growing economic divide between the wealthy and the rest of the nation. He spoke about the challenges that middle-class Americans, the backbone of our economy, face every day. Whereas he started his presidency focused on the stability of financial institutions, now he has turned his attention to the stability of American families. He is no longer just talking about economic recovery. The remainder of his time in office, we know now, will be about economic revitalization.

"Think about the America within our reach," the president proclaimed, "A country that leads the world in educating its people. An America that attracts a new generation of high-tech manufacturing and high-paying jobs. A future where we're in control of our own energy, and our security and prosperity aren't so tied to unstable parts of the world. An economy built to last, where hard work pays off, and responsibility is rewarded."

Rather than running away from Washington, President Obama embraced the historical value of government. He said: "During the Great Depression, America built the Hoover Dam and the Golden Gate Bridge. After World War II, we connected our states with a system of highways. Democratic and Republican administrations invested in great projects that benefited everybody, from the workers who built them to the businesses that still use them today."

The speech is certainly a good start to his re-election effort. It comes at a time when Newt Gingrich's attacks on Mitt Romney have ironically fueled a critical discussion that emerged from Occupy Wall Street about the damaging consequences certain kinds of economic behavior can have and about the inequity of the tax system enabling some Americans to enjoy growing riches when so many others are struggling to get by. Tuesday night Obama put himself squarely on the side of the middle class and economic fairness.

But the speech is not a game changer. The truth is that the State of the Union address is not what it used to be. The reality is that fewer Americans are tuned in given the endless menu of cable stations and websites that offer voters something else to see.

Moreover, economic conditions are still poor. Even with some signs of progress, unemployment remains extremely high and household security is fragile. If voters are going to make their decision based on the health of the economy, many might very well decide to move toward the GOP.

Given how difficult it has been for Congress to handle the most routine decision, voters will be skeptical about President Obama's ability to handle the kinds of issues he discussed in his speech.

How can a president and Congress transform the infrastructure of the economy if they can't even pass regular appropriations bills without a high-stakes showdown? A speech about economy and promises of policy are not the same as improved economic conditions.

Finally, in our short-attention-span political culture, speeches this far away from the election only have limited effect. What matters will be what the president is saying, what events are taking place, and how the Republicans are doing in September and October.

Notwithstanding these limits, the speech is a good start in terms of outlining the issues that President Obama needs to emphasize if he is to excite Democrats and attract independents.

Rather than entering in a defensive posture, focusing just on crisis and conflict, President Obama has instead chosen to define the terms of the debate and to offer a positive vision for the future. He has argued that the values of his administration are as American as apple pie. When the Republicans are done squabbling among themselves and select a nominee, they will face the burden of offering a vision of their own rather than simply being the anti-Obama alternative.

Then we will find out whether the Obama presidency, like the economy he discussed Tuesday night, is built to last.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: President Obama's speech outlined a vision for his second term

@highlight

He says the president placed emphasis on the economy and on combating inequity on taxes

@highlight

The speech is not likely to be a game changer, he says

@highlight

Zelizer: Obama's re-election bid will likely be decided by events and his actions next fall