(CNN) -- President Barack Obama said Friday he came to Mexico to break down stereotypes between the United States and its neighbor to the south.

Speaking at the Museum of Anthropology in Mexico City, Obama said that too often the relationship between the United States and Mexico is "trapped in old stereotypes," where Mexicans see America as trying to wall itself off from Mexico and Americans see Mexico through the sensational headlines of violence in the war on drugs.

"I have come to Mexico because it is time to put old mindsets aside," Obama said. "It's time to recognize new realities, including the impressive progress in today's Mexico."

He said it is clear that "a new Mexico is emerging," highlighted by a growing economy, a robust democracy and new generation of youth empowered by technology.

"I see a Mexico that is taking its rightful place in the world," he said.

In a tip of the hat to the overwhelming number of Latinos that helped re-elect Obama in 2012, the president said, "Without the strong support of Latinos, including so many Mexican-Americans, I would not be standing before you today as president of the United States."

Throughout much of Obama's only speech in the country, the president framed two domestic issues in the United States -- guns and immigration -- as issues that affect the daily lives of Mexicans, too.

On immigration, the president appeared confident that immigration reform, an issue Obama says he intends to work closely with the Mexican government on, will be passed.

"I'm optimistic that -- after years of trying -- we are finally going to get it done this year," Obama said after describing his plan as one that strengthens border security, improves legal immigration and "gives millions of undocumented individuals a pathway to earn their citizenship."

And on guns, Obama framed the issue, one the president made a priority after 20 students and six adults were killed at a school shooting in Newtown, Connecticut, as something that would save both American and Mexican lives.

"We also recognize that most of the guns used to commit violence here in Mexico come from the United States," the president said. "I will continue to do everything in my power to pass common sense reforms that keep guns out of the hands of dangerous people, that can save lives here in Mexico and back home in the United States."

In interviews before the speech, however, most students in the crowd did not mention guns or immigration as issues they hoped the president would discuss. Flanked by American and Mexican flags, students from The American School Foundation in Mexico City put the war on drugs, North Korea and education as higher priorities for them than either immigration reform or guns.

"I hope to hear about his education plans in the U.S., because college is expensive and I'm hoping to study there," said Stephanie Vondell, an 18-year-old senior.

Obama did mention education, telling the students that the United States and Mexico need to "do more together in education so our young people have the knowledge and skills to succeed."

The president also announced plans to encourage 100,000 students from the United States to study in Latin America, including Mexico, each year, and for the same number of Latin American students to come to the United States.

Although many of the students live in Mexico City, an area that has witnessed far fewer incidents of drug-related violence than the north, the war on drugs was not far from most students' minds.

"The biggest thing I want to see is how the U.S. and Mexico are willing to tackle the war on drugs," said Julio Meyer, another 18-year-old senior. "In my point of view, it has not been successful."

On Thursday, at a news conference with Mexican President Enrique Pena Nieto, Obama stressed the focus of his trip is the economy, not security and immigration, two issues Obama said often get too much attention when it comes to talking about the U.S.-Mexico relationship.

"We don't want to make this relationship targeted on one single issue," Obama said. "We want to place particular emphasis on the potential in the economic relationship between Mexico and the United States."

But even as Obama and Pena Nieto pushed to shift the tone more toward trade and economics, security issues loomed large over Thursday's meeting.

Pena Nieto said Thursday that his government remains committed to fighting organized crime, but the United States and Mexico must "cooperate on the basis of mutual respect, to be more efficient in our security strategy that we are implementing in Mexico."

Obama stressed that the countries will continue to cooperate closely on security, but he didn't specify how.

"I agreed to continue our close cooperation on security, even as that nature of that close cooperation will evolve," he said.

It's up to the Mexican people, Obama said, "to determine their security structures and how it engages with other nations, including the United States."

High-profile cartel takedowns were a hallmark of former President Felipe Calderon's tenure. Pena Nieto has vowed to take a different approach, focusing more on education problems and social inequality that he says fuel drug violence. The details of his policies are still coming into focus, and analysts say his government has deliberately tried to shift drug violence out of the spotlight.

Before Obama's arrival, a spate of news reports this week on both sides of the border detailed changes in how Mexico cooperates with the United States.

Under the new rules, all U.S. requests for collaboration with Mexican agencies will flow through a single office, Interior Minister Miguel Angel Osorio Chong told Mexico's state-run Notimex news agency.

It is a drastic change from recent years, when U.S. agents enjoyed widespread access to their Mexican counterparts.

Critics have expressed concerns that Pena Nieto's government will turn a blind eye to cartels or negotiate with them -- something he repeatedly denied on the campaign trail last year. On Tuesday -- two days before Obama's arrival -- his government arrested the father-in-law of Joaquin "El Chapo" Guzman, head of Mexico's Sinaloa cartel and one of the country's most-wanted drug lords.

But with the focus on the economy, Pena Nieto said the presidents agreed to create a new high-level group to discuss economic and trade relations between the two nations. The group, which will include Cabinet ministers from both countries and Vice President Joe Biden, will have its first meeting this fall, the Mexican president said.

Imports and exports between the United States and Mexico totaled nearly $500 billion last year, and before Obama's arrival officials on both sides of the border said economic relations would be a focal point during the U.S. president's visit.

Later, he traveled to Costa Rica, where he met with President Laura Chinchilla and other regional leaders.

Obama pledged continued U.S. support to the Central American Regional Security Initiative, saying "with the absence of security," it is very hard to develop economically.

"Problems like narco-trafficking arise when a country is vulnerable because of poverty and institutions not working for people," he said.

"The stronger the economy and institutions for individuals seeking legitimate careers, the less powerful these narco-trafficking operations are going to be."

CNN's Mariano Castillo and Brianna Keilar and CNN en EspaÃ±ol's Juan Carlos Lopez and Mario Gonzalez contributed to this report.

@highlight

NEW: President Obama meets with Costa Rican President Laura Chinchilla, regional leaders

@highlight

"I see a Mexico that is taking its rightful place in the world," Obama says

@highlight

The United States remains committed to reducing the demand for drugs, he says

@highlight

A new high-level group to discuss economic cooperation will convene in the fall