(CNN) -- In death as during his life, former Israeli Prime Minister Ariel Sharon elicits emotional reactions, both laudatory and critical.

His death on Saturday at age 85, after eight years in a coma, resurfaced old wounds, but also praise for his strength in leadership.

In those last years of his life, Sharon was in a state of minimal consciousness with minimal non-verbal communication, a hospital spokesman said.

Sharon, giant of modern Israel, dead at 85

The former leader had many ups and downs during his hospitalization, and on Saturday, "he departed peacefully with his loving family at his side," the spokesman said.

His coffin will be moved Sunday to the Knesset, Israel's parliament, where citizens can come to pay their respects through 6 p.m., the office of current Prime Minister Benjamin Netanyahu announced.

A state memorial ceremony -- to be attended by, among others, U.S. Vice President Joe Biden and former British leader Tony Blair -- will be held at the Knesset starting at 9:30 a.m. Monday. This will be followed by a funeral procession that includes a stop in Latrun for a special meeting of Israel Defense Forces staff and ends with a military funeral at Sharon's ranch, Shikmim.

In remarks on Saturday, Netanyahu remembered his predecessor as a warrior and a political leader.

"The State of Israel bows its head on the passing of former Prime Minister Ariel Sharon," Netanyahu said in a statement. "Ariel Sharon played a central role in the struggle for the security of the State of Israel over all its years."

The same decisions that made him a controversial figure during his lengthy tenure as a military man and politician were back on display in the initial reactions to his death.

These moments include his role as defense minister during the 1982 war in Lebanon. During that conflict, he was held indirectly responsible by an Israeli inquiry in 1983 for the massacre of hundreds of Palestinians at the Sabra and Shatila refugee camps. He was forced to resign.

He also raised ire in the Arab world by encouraging Israelis to build settlements on occupied Palestinian land, but later did an about-face and pushed for the historic withdrawal from settlements in the West Bank and Gaza, which were turned over to Palestinian rule for the first time in nearly four decades.

READ MORE: Sharon's life on the front lines

President Shimon Peres made an address eulogizing his "dear friend Arik Sharon," calling him by his well-known nickname.

"He was an outstanding man and an exceptional commander who moved his people and loved them. And the people loved him," Peres said.

But Hamas, the Palestinian movement that runs Gaza, paints Sharon with a darker legacy.

"We deal with the death of Sharon as an end for the crimes he committed against the Palestinian people," said Israr Almodallal, spokesman for Hamas in Gaza. "The biggest crime was the Sabra and Shatila massacre in Lebanon, and we deal with Sharon as a criminal person.

"We will not forgive Sharon any way or another," he said.

At the Baddawi refugee camp in northern Lebanon, Sharon's death was marked with long bursts of shooting into the air, the Lebanese state-run NNA news agency said.

READ MORE: Five things to know about Sharon

President Barack Obama offered condolences to Sharon and the Israeli people, but his statement did not single out any milestones in the late prime minister's life for praise besides noting that Sharon dedicated his life to Israel.

"We continue to strive for lasting peace and security for the people of Israel, including through our commitment to the goal of two states living side-by-side in peace and security," Obama said.

Secretary of State John Kerry offered a nuanced statement: "During his years in politics, it is no secret that there were times the United States had differences with him. But whether you agreed or disagreed with his positions -- and Arik was always crystal clear about where he stood -- you admired the man who was determined to ensure the security and survival of the Jewish State."

To make Israel stronger, Sharon recognized that peace is necessary, Kerry said.

Vice President Joe Biden will lead the U.S. delegation to Sharon's memorial service, though details of the funeral have not been announced.

Israel's current defense minister, Moshe Ya'alon, in turn, praised Sharon's military career.

"Ariel Sharon was first and foremost an extraordinary military commander that turned the (Israel Defense Forces) into an army that confronts the enemy and quickly prevails," Ya'alon said in a statement. "He displayed his military leadership in the battlefield, both in battles against regular armies and in the fight against terrorism."

Sharon was involved in every Israeli war going back to 1948, and he was remembered as a fierce fighter. He believed strongly that in order for Israel to survive, a strong army was needed.

He had a reputation as a hawk, but he moved in a more moderate direction as prime minister.

The office of U.N. Secretary-General Ban Ki-moon, released a statement focusing on Sharon's shift toward negotiations with the Palestinians.

Sharon "will be remembered for his political courage and determination to carry through with the painful and historic decision to withdraw Israeli settlers and troops from the Gaza Strip. His successor faces the difficult challenge of realizing the aspirations of peace between the Israeli and Palestinian people," the statement said.

French President Francois Hollande offered his condolences, also emphasizing his actions at the end of his career.

"After a long military and political career, he made the choice to turn towards dialogue with the Palestinians," Hollande said in a statement.

The reaction from Russian President Vladimir Putin was less specific and, overall, laudatory for Sharon's contributions to Israel and toward fostering Israeli-Russian relations.

"The President of Russia highly praised Ariel Sharon's personal qualities, his activity to uphold the interests of Israel, noting the respect he enjoyed among his compatriots and internationally," the Kremlin said in a statement.

Critics continued to evoke the 1982 war in Lebanon.

"It's a shame that Sharon has gone to his grave without facing justice for his role in Sabra and Shatilla and other abuses," said Sarah Leah Whitson, Middle East director at Human Rights Watch. "His passing is another grim reminder that years of virtual impunity for rights abuses have done nothing to bring Israeli-Palestinian peace any closer."

Khaled Abu Al Noor, head of the Democratic Front, a Palestinian faction, described Sharon as "a murderer."

"He is responsible for the massacre of many Palestinian children, women and elderly. We call on the international community to try him under international law even after his death."

Sharon's son, Gilad, thanked the people who cared for his father in the hospital and those who prayed for him.

"He was the one who decided when he would go," Gilad said.

CNN's Michael Schwartz and Kareem Khadder in Jerusalem, CNN's Laura Smith-Spark in London, CNN's Samira Said, Joe Sterling, Radina Gigova and Brian Walker in Atlanta, and Journalist Raed Rafei in Beirut contributed to this report

@highlight

NEW: Sharon's coffin will lie in state at the Knesset; his funeral will be Monday

@highlight

Ariel Sharon had been in a coma for eight years

@highlight

He is remembered for his controversial military and political career

@highlight

Israeli officials praise him, while some in the Mideast criticize him