(CNN) -- In the coming years, lifting the ban on women in combat, announced Thursday by Defense Secretary Leon Panetta, might prove particularly challenging in the most iconic of military occupations -- the infantry, among the most physically demanding and tradition-bound branches of the Marines and the Army.

Determining the best path forward to integrate women into this elite group will require hard-nosed honesty, careful management and compelling leadership.

For the 65 years that women have enjoyed a permanent place in the United States military, they have been subject to restrictions. One rationale is the notion embedded in our culture that women should be shielded from great physical risks. Another is a recognition of the physical superiority of the average male over the average female. A third is the fear that unit cohesion, critical to military performance, would suffer with the introduction of women.

These three concerns apply to varying degrees in the infantry. But the last 11 years of war have clearly demonstrated that warfare is no longer waged in a linear fashion, and that the concept of "front line" no longer applies.

Opinion: A more equal military? Bring back draft

Historically, logistics operations were conducted "in the rear," where risks were comparatively low. This has changed: In 2006 in Iraq, for example, one in every five truck convoys was attacked. Although infantry clearly remains one of the most dangerous military occupations, the proliferation of homemade bombs and other low-cost, lethal weaponry and tactics have heightened the risk of almost every occupation. War is more uniformly dangerous.

That said, physical differences between the sexes remains a thorny issue. Determining gender-neutral physical standards for an integrated infantry will be one of the most difficult tasks ahead.

Infantry soldiers and Marines are the primary forces for operations on foot. They not only travel long distances, but also frequently carry loads in excess of 50 pounds. Both the short- and long-term health effects of such demands can be significant.

Single mom fought alongside combat troops in Afghanistan

The Defense Department has consistently pursued solutions to lighten the load, from exoskeletons to unmanned vehicles that would serve as "pack mules," to the elusive quest for higher power, lower weight batteries.

The success of these efforts will benefit both men and women. But until that happens, research into the effects these physical demands have on women is necessary before determining the degree to which they can, and should, be part of the full range of infantry.

Whether men serving in the infantry will accept women as peers is another open question.

Those who oppose women in the infantry argue that they would change group dynamics, disrupt bonding and ultimately harm unit cohesion. In the past, these fears have been brought up regarding the participation of minorities and homosexuals, too. But data show these negative predictions don't come true. Instead, successful integration has happened with strong leadership, and, critically, a process that is broadly perceived to be fair.

Opinion: Women in combat a dangerous experiment

Even if the arguments underpinning the ban on women in combat have weakened, is there sufficient justification for change? The Joint Chiefs apparently believe so, as they have unanimously recommended the ban be lifted.

Each of the services already has been taking steps along these lines. This is in part driven by the evolution of the battlefield. When today's senior leaders were serving time in Iraq and Afghanistan, they realized that the restrictions on women sometimes also restricted their missions.

They implemented work-arounds and sought exceptions to policy. But they came home with firsthand experience of the mismatch between modern warfare and the policies limiting women's role. Women are in combat, and senior military leaders believe that future success demands they must remain available to be so, in even greater numbers.

From the institutional viewpoint, there are also concerns that the traditional limitations fail to make the best use of women in the service. Combat experience weighs heavily in promotion decisions, and restrictions have precluded women from gaining experiences equal to those of male counterparts.

Women are also excluded from many of the occupations disproportionately represented in senior leadership, and that automatically limits the number of women who can advance to the highest levels. At the same time, the pool of Americans eligible for military service is shrinking, and competition for high-quality recruits is intensifying. So it's imperative that the military fully leverage the talent of the men and women it has and that it seeks to attract.

By the numbers: Women in the U.S. military

The arguments in favor of lifting the ban on women in combat outweigh those against it. Despite Defense Secretary Leon Panetta's announcement on Thursday, the military services maintain the prerogative to preclude women from serving in certain positions or occupations.

Infantry, or at least some specialties within that branch, could well be a case in which restrictions are warranted. But military leaders have time to evaluate this proposition, and to set the conditions to make any change stick. The path ahead may not be smooth, but it is necessary.

The opinions expressed in this commentary are solely those of Maren Leed.

@highlight

Maren Leed: Ban on women in combat has hurt operations, women's promotion

@highlight

Leed: Integrating women into the physically demanding infantry presents challenges

@highlight

Women are already in combat; she says, the "front line" and "rear line" no longer exist

@highlight

Leed: Research into women in infantry might show that some limits might be appropriate