(CNN) -- Monday sees the eagerly awaited publication of "Steve Jobs," the authorized biography of the late tech pioneer written by Walter Isaacson.

Remarkably -- through leaks of the book's details in the press and reflections from his friends -- I've learned more about Jobs since his passing than I knew during his life.

What I've learned is that Jobs was guided by a very specific worldview -- a set of values that shaped everything he did. And I've begun to think how we can all live more like Steve: The Tao of Steve, perhaps.

How to be rich

Steve, despite his financial success, was frugal. According to Isaacson, a former chairman of CNN, Steve said of money, "I did not want to live that nutso lavish lifestyle that so many people do when they get rich." As a result, Steve's home wasn't particularly huge and he famously embraced minimalism.

"I saw a lot of other people at Apple, especially after we went public, how it changed them.", Steve said in a recorded interview. "And a lot of people thought that they had to start being rich. I mean, a few people went out and bought Rolls Royces, and they bought homes, and their wives got plastic surgery. I saw these people who were really nice simple people turn into these bizarro people. And I made a promise to myself to myself, I said I'm not gonna let this money ruin my life."

Steve wasn't completely opposed to having expensive things, however: He drove a Mercedes-Benz SL55 AMG.

How to dress

Steve's frugality showed in his simple wardrobe, too: a pair of jeans and a black turtleneck. Jobs embraced this look for its simplicity -- allowing him, perhaps, to focus on more important things. "He also came to like the idea of having a uniform for himself, both because of its daily convenience (the rationale he claimed) and its ability to convey a signature style," Isaacson said of Steve's look. Jobs had enough of the turtlenecks to wear them for his entire life.

His frugality played into Jobs' clothing choices as well. Former Compaq chairman Ben Rosen recalled in his blog this week a meeting he had with Jobs on a bitterly cold day in Manhattan. Rosen noticed Jobs did not have a coat, and the two went to a clothing store to purchase one. Jobs found a coat he liked, but balked at the price. "That much for an overcoat? Too much. Besides, I'll never use it in California," he said. The pair left the store, with Jobs tolerating the freezing cold rather than spending money on a coat he wouldn't wear again.

How to handle authority

Living like Steve involves having a healthy disregard for authority. Jobs' penchant for breaking the rules was best summarized in Apple's 1997 "Think Different" ad campaign: "Here's to the crazy ones. The misfits. The rebels. The troublemakers. The round pegs in the square holes. The ones who see things differently. They're not fond of rules. And they have no respect for the status quo."

Jobs questioned authority his entire life, even choosing to drive without license plates. Isaacson asked Jobs why he didn't have plates, to which Jobs initially replied it was for privacy reasons. When informed that having no license plates would actually attract attention, Jobs replied that he didn't have license plates because he didn't have license plates.

How to die

Jobs' philosophy on death was that it may ultimately be a good thing: "Nature's change agent," he called it.

In a 2005 Stanford commencement speech, Jobs said of death: "Remembering that I'll be dead soon is the most important tool I've ever encountered to help me make the big choices in life. Because almost everything -- all external expectations, all pride, all fear of embarrassment or failure -- these things just fall away in the face of death, leaving only what is truly important. Remembering that you are going to die is the best way I know to avoid the trap of thinking you have something to lose. You are already naked."

And yet Jobs may have altered his views as he faced his own mortality. According to Isaacson, Jobs said he was "50-50" on whether he believed in God.

"Ever since I've had cancer I've been thinking about it more -- and I find myself believing a bit more. I kind of, maybe it's because I want to believe in an afterlife, that when you die, it doesn't just all disappear. The wisdom you've accumulated. Somehow it lives on. But sometimes I think it's just like an on-off switch -- click and you're gone," Jobs said. "And that's why I don't like putting on-off switches on Apple devices."

To live -- and to die -- like Steve Jobs, then, is to live simply, to challenge the norm, to never let success change you. Most of all, it's to live in the knowledge that you're going to die. As Jobs said of mortality: "Your time is limited, so don't waste it living someone else's life."

@highlight

Steve Jobs lived by a set of values that shaped everything he did, Pete Cashmore writes

@highlight

Jobs, despite his financial success, was frugal

@highlight

Jobs questioned authority his entire life, even choosing to drive without license plates

@highlight

He saw death as having positive aspects, referring to it as "nature's change agent"