(CNN) -- Tuesday marks the 150th anniversary of the publication of Charles Darwin's "On the Origin of Species" on November 24, 1859. All 1,250 copies of the initial print run of the book were scooped up by readers eager to see the British naturalist going rogue with his radical new theory of evolution, "By Means of Natural Selection, or the Preservation of Favoured Races in the Struggle for Life," in the book's full title.

How important is this book? Thomas Henry Huxley ("Darwin's bulldog") proclaimed that "On the Origin of Species" was "the most potent instrument for the extension of the realm of knowledge which has come into man's hands since Newton's 'Principia,' " and lamented to himself: "How extremely stupid not to have thought of that."

The Harvard biologist Ernst Mayr, arguably the greatest evolutionary theorist since Darwin, asserted: "It would be difficult to refute the claim that the Darwinian revolution was the greatest of all intellectual revolutions in the history of mankind." The Harvard paleontologist and historian of science Stephen Jay Gould called the theory of evolution one of the half dozen most important ideas in the entire history of Western thought.

Why, then, do so many Americans not accept the theory of evolution? A 2001 Gallup Poll found that 45 percent of Americans agree with the statement "God created human beings pretty much in their present form at one time within the last 10,000 years or so," while 37 percent preferred a blended belief that "Human beings have developed over millions of years from less advanced forms of life, but God guided this process," and a paltry 12 percent accepted the standard scientific theory that "Human beings have developed over millions of years from less advanced forms of life, but God had no part in this process."

These percentages have remained largely unchanged in subsequent surveys, although most scientists would prefer that the questions were asked without reference to God since the science of evolutionary biology stands or falls on its own whether God directed the process or not, or even if there is a God or not.

There are at least six reasons that make people resistant to accepting evolution.

1. The Warfare Model of Science and Religion. The belief that there is a war between science and religion where one is right and the other wrong, and that one must choose one over the other.

2. Belief that evolution is a threat to specific religious tenets. Many people attempt to use science to prove certain religious tenets, but when they do not appear to fit, the science is rejected. For example, the attempt to prove that the Genesis creation story is accurately reflected in the geological fossil record has led many creationists to conclude that the Earth was created within the past 10,000 years, which is in sharp contrast to the geological evidence for a 4.6 billion-year-old Earth.

3. Misunderstanding of evolutionary theory. A significant problem is that most people know so little about the theory. In the 2001 Gallup Poll, for example, a quarter of the people surveyed said they didn't know enough to say whether they accepted evolution or not, and only 34 percent considered themselves to be "very informed" about the theory. Because evolution is so controversial, public school science teachers typically drop the subject entirely rather than face the discomfort aroused among students and parents.

4. The fear that evolution degrades our humanity. After Copernicus toppled the pedestal of our cosmic centrality, Darwin delivered the coup de grâce by revealing us to be "mere" animals, subject to the same natural laws and historical forces as all other animals.

5. The equation of evolution with ethical nihilism. This sentiment was expressed by the neoconservative social commentator Irving Kristol in 1991: "If there is one indisputable fact about the human condition it is that no community can survive if it is persuaded -- or even if it suspects -- that its members are leading meaningless lives in a meaningless universe."

6. The fear that evolutionary theory implies we have a fixed human nature. The first five reasons for the resistance to evolutionary theory come almost exclusively from political conservatives. This last reason originates from liberals who fear that the application of evolutionary theory to human thought and action implies that political policy and economic doctrines will fail because the constitution of humanity is stronger than the constitutions of states.

All of these fears are baseless. If one is a theist, it should not matter when God made the universe -- 10,000 years ago or 10 billion years ago. The difference of six zeros is meaningless to an omniscient and omnipotent being, and the glory of divine creation cries out for praise regardless of when it happened.

Likewise, it should not matter how God created life, whether it was through a miraculous spoken word or through the natural forces of the universe that He created. The grandeur of God's works commands awe regardless of what processes He used.

As for meanings and morals, it is here where our humanity arises from our biology. We evolved as a social primate species with the tendency of being cooperative and altruistic within our own groups, but competitive and bellicose between groups. The purpose of civilization is to help us rise above our hearts of darkness and to accentuate the better angels of our nature.

Believers should embrace science, especially evolutionary theory, for what it has done to reveal the magnificence of the divinity in a depth never dreamed by our ancient ancestors. We have learned a lot in 4,000 years, and that knowledge should never be dreaded or denied. Instead, science should be welcomed by all who cherish human understanding and wisdom.

The opinions expressed in this commentary are solely those of Michael Shermer.

@highlight

Shermer wonders why so many Americans don't accept the theory of evolution

@highlight

He comes up with six reasons why not, including misunderstanding and fear

@highlight

But he says, divine creation cries out for praise regardless of when it happened