(CNN) -- Regardless of whether or not you're religious, you can't help but feel a sense of awe when coming face to face with the grand statues that devout throughout the ages have built in honor of their deities.

And these monuments just keep getting bigger.

The Nepalese government recently unveiled the world's largest trident -- a religious statue depicting Shiva -- at a Hindu temple in Dang.

The trident is made from five different minerals, weighs more than six tons and stands 12 meters (42 feet) tall.

It joins an already impressive roster of Hindu, Buddhist and Christian statues built around the world -- including these 10 greats.

Lord Murugan Statue (Selangor, Malaysia)

This statue, measuring 42 meters (137 feet) in height, is said to be the world's tallest depiction of a Hindu deity.

Fifteen skilled sculptors from India carried out construction on the Lord Murugan Statue, found outside Malaysia's famed Batu Caves.

The statue took three years to complete and the finished product -- made up of 250 tons of steel, 1,550 cubic meters of concrete and 300 liters of gold paint -- was unveiled during the annual Thaipusam festival in 2006.

Incidentally, it's just meters away from what must rank as one of the world's strangest statues -- a five-legged bull.

Batu Caves, Selangor, Malaysia; +60 3 6189 6284

Christ of the Abyss (Key Largo, Florida)

This 2.6 meter (8.6 foot) submerged bronze statue of Jesus Christ in Key Largo, Florida is one of three created by Italian artist Guido Galletti (the others can be found in the waters off Grenada in the Caribbean and in the Mediterranean sea near Italy).

The statue weighs 260 kilograms and is held in place with a 9-ton concrete base.

It was dropped into place in 1965 and its location, just seven meters below the surface of water, means that it's visible to swimmers as well as scuba divers.

It's also a highlight of the local glass-bottom boat tours.

John Pennekamp Coral Reef State Park, Key Largo, Florida; +1 305 451 6300

Tian Tan Buddha (Hong Kong)

This enormous statue -- the world's largest seated outdoor bronze Buddha -- took 12 years to complete.

It's located next to Hong Kong's Po Lin Monastery, regarded as the territory's center of Buddhism.

Tian Tan Buddha stands 34 meters (112 feet) high, weighs 250 tons and can be seen from as far away as Macau.

Beneath the Buddha are three floors that are said to contain the remains of Shakyamuni, the sage on whose teachings Buddhism was founded.

There is also an enormous carved bell that's rung every seven minutes, symbolizing the release of 108 kinds of human vexations.

Po Lin Monastery, Ngong Ping, Lantau island, Hong Kong; +852 2985 5248

Leshan Giant Buddha (Sichuan, China)

This 71-meter (232 feet) stone statue was built during the Tang dynasty and can be found at the confluence of the Minjiang, Dadu and Qingyi rivers.

Construction of the Buddha, which forms part of a UNESCO-listed site, started in 713 AD, though it wasn't finished until 803.

A local Chinese monk called Haitong believed that the presence of a stone Buddha would calm the rivers it overlooked.

Funding ran out and Haitong killed himself in despair, but when a local governor decided to undertake completion of the project, Haitong's wish came true -- though not quite in the way he intended.

During construction, so much rock was removed from the cliff face and deposited in the river below that the water became shallower and easier to navigate.

Leshan Giant Buddha, Mount Emei Scenic Area, Leshan, Sichuan, China; +86 833 230 2296

Laykyun Setkyar (Monywa, Myanmar)

Myanmar's Laykyun Setkyar is one of the largest statues in the world, with a height of 116 meters (380 feet).

Construction of the statue, which depicts the Gautama Buddha, started in 1996 and finished in 2008.

There are 32 stories within the Buddha, 12 of which are dedicated to detailed descriptions of hell.

Khatakan Taung, Monywa, Myanmar

Christ the Redeemer (Rio de Janeiro)

This 30-meter (98 feet) Brazil icon weighs 635 tons and was constructed between 1922 and 1931, although the concept for such a statue was first brought up in the 1850s.

However, in 1889 the country became a republic and, with the separation of church and state, the idea was dismissed.

In 1920 the Catholic Circle of Rio started collecting donations from Brazilian Catholics to fund the construction of the statue, commissioning local engineer Heitor da Silva Costa to design it.

It has lightning rods on the arms, head and hands -- on average, it's hit by lightning 12 times every summer.

Parque Nacional da Tijuca, Rio de Janeiro, Brazil; +21 2491 1700

Cristo de la Concordia (Cochabamba, Bolivia)

The Cristo de la Concordia is the second-largest statue of Jesus in the world and the third largest statue in the southern hemisphere.

At a height of 33 meters (one for every year of Christ's life), it's just a few centimeters higher than the Christ Redeemer statue in Rio de Janeiro.

On Sundays, visitors can climb to the upper section of Cristo de la Concordia for breathtaking views from observation decks located inside the arms.

Av de la Concordia, Cochabamba, Bolivia; +591 4 422 8530

Sendai Daikannon (Sendai, Japan)

This gleaming white statue located in Sendai, Japan, is the sixth tallest statue in the world and depicts a Japanese Bodhisattva, or enlightened being.

At 100-meters high (328 feet), she holds a wishing stone in her right hand and a water jug in the left.

An internal elevator allows visitors to access the higher sections.

Travel tip: The statue faces Sendai station, which is in the center area of the city, so if you ever get lost simply follow the statue's gaze to the center of town.

Sendai Daikannon, Sanezawa, Izumi-ku, Sendai, Miyagi Prefecture, Japan; +81 22 278 1227

Wat Pho's reclining Buddha (Bangkok)

Located just meters from Bangkok's Grand Palace in the Wat Pho temple complex, this reclining Buddha measures 15 meters (49 feet) high and 43 meters (141 feet) long.

The most ornate parts are the feet, which are inlaid with mother-of-pearl panels featuring symbols that represent the Buddha, including flowers, elephants and tigers.

Above the statue is a seven-tiered umbrella representing the state of Thailand and 108 bronze bowls are placed along its length.

Visitors are invited to make a wish as they place a coin in each of the bowls. All donations go towards maintenance of the Wat Pho temple.

Wat Pho, 2 Sanamchai Road, Grand Palace Subdistrict, Pranakorn District, Bangkok, Thailand; +66 2 226 0335

Buddha Dordenma (Thimphu, Bhutan)

When completed, this gold and bronze sculpture will be one of the tallest Buddha statues in the world, with a height of 51 meters (169 feet).

Originally due for completion in 2010, it's now hoped that work will finish next year, by which time, $47 million will have been spent on construction.

China's Aerosun Corporation is covering this cost.

The interior will house 125,000 smaller Buddhas and a meditation hall.

Buddha Dordenma, Kuensel Phodrang, Thimphu, Bhutan; +975 2 328 295

@highlight

Key Largo's Christ of the Abyss statue is submerged seven meters below the water surface

@highlight

The feet of Wat Pho's reclining Buddha are inlaid with ornate mother-of-pearl panels

@highlight

Christ the Redeemer in Rio de Janeiro is hit by lightening 12 times a year on average