(CNN)  -- A year ago, the worst environmental disaster in U.S. history began on April 20 -- which, ironically, also marked Earth Day.

The catastrophe started with a massive explosion on an offshore oil drilling rig that killed 11 workers and sparked a huge fire that eventually sank the rig.

More than 200 million gallons of crude oil gushed into the Gulf of Mexico over the next five months, killing thousands of marine animals and affecting thousands of people in the fishing industry -- already struggling in the economic downturn.

CNN's full coverage of the Gulf oil disaster

The exact toll on the Gulf's ecosystem is still as murky as the ocean waters affected by the disaster.

This year, as Earth Day approaches, tragedy and uncertainty may once again temper the mood of the annual event: Japan is still assessing what could be its worst environmental disaster -- the damage to its Fukushima Daiichi nuclear power plant by the March 11 earthquake and tsunami.

The situation has forced other countries, including the United States, to take a closer look at the safety of nuclear power plants within their borders.

The nuclear issue is still a fierce topic of debate, and environmental experts think it will be an important theme for this year's Earth Day on April 22.

Recent polls suggest that Americans are divided over nuclear energy. More than half of the 1,012 respondents in a recent CNN poll said they opposed building more nuclear plants, while 46% said they favored it.

When asked by CNN if they are OK with nuclear energy as a source of electricity, 57% of the respondents said they approved, while 42% disapproved.

Despite the crisis in Japan, nuclear energy is still a centerpiece of President Obama's clean energy policy. His administration's fiscal year 2012 budget request includes $36 billion in loan guarantee authority to help spur growth in the nuclear industry.

Energy secretary defends U.S. nuclear industry

Nuclear energy produces practically no pollution, and it is more reliable than other clean alternative sources -- like wind and solar energy -- that depend on the weather, according to nuclear power advocate Burton Richter, a Nobel Prize-winning physicist.

While nuclear is his favorite clean energy source, there are other ways to create electricity that Richter believes can help achieve a reduction in greenhouse gases.

Two years ago, Richter and 34 other Nobel laureates wrote a letter to Obama to encourage him to put more money into alternative energy research, including nuclear, wind and solar energy and renewable fuels.

Richter, who also teaches at Stanford University, says the American public needs to pay close attention to how Congress is handling environmental issues. He is worried that too many people in Washington are more concerned about politics than the environment.

"We're not going to see a fee on carbon emissions, we're not going to see cap and trade, we're going to see a fight to see whether the EPA [Environmental Protection Agency] is going to be able to regulate anything," he predicted. "It's not going to be a pretty year."

Richter encouraged everyone to use this year's Earth Day to speak out about the environmental issues that they care about.

"They should be thinking about their grandchildren and the world that those children are going to get left with," he said.  "People need to let their government know, let their representatives know, that they are very concerned about this issue and they are going to hold their representatives accountable for their actions."

Besides being a call to action, Earth Day also continues to be a good opportunity for public education, he said.

On April 22, Richter says he'll probably be speaking on campus about nuclear power, because Stanford students are interested in what happened in Japan and want to be assured that nuclear power is safe.

Michael Vandenbergh, director of the Climate Change Research Network, says he hopes nuclear concerns don't overshadow other pressing environmental issues that Americans should remember as Earth Day approaches.

"We have to continue to discuss climate change, because if we get that problem wrong, many of the other things we talk about in the environmental area won't matter," said Vandenbergh, who also teaches at Vanderbilt University Law School.

Both professors were encouraged to see that their students -- although probably not as politically outspoken as their counterparts when Earth Day began in 1970 -- are anxious to learn as much as they can about being environmentally friendly.

Everyone should realize the importance of doing his or her part to help improve the environment for future generations, Vandenbergh said.

"Sometimes, people focus on the upfront cost rather than on the net benefit," Vandenbergh said, referring to the price of more efficient cars, home weatherization products or new heating and cooling units for our houses.

"Individuals have a much larger role than they realize in both contributing to environmental problems and to the solutions."

@highlight

Earth Day will be held on April 22

@highlight

A year ago, the environmental community was concerned about the Gulf oil spill

@highlight

The issue of nuclear power is top of mind this year after the crisis in Japan

@highlight

Experts say individuals can effect change in themselves, government