Framingham, Massachusetts (CNN) -- If Sarah Sellers' warnings had been taken seriously 10 years ago, 12 people might be alive today.

Sellers, a pharmacist and expert on the sterile compounding of drugs, testified to Congress in 2003 about non-sterile conditions she'd witnessed.

"Professional standards for sterile compounding have not been consistently applied," she told the Senate Committee on Health, Education, Labor, and Pensions. "The absence of federal compounding regulations has created vulnerability in our gold standard system for pharmaceutical regulation."

Nearly 10 years later, there are still no federal sterility guidelines for compounding pharmacies that make and distribute drugs all over the country.

Now, 137 cases and 12 fatalities nationwide are blamed on a rare, noncontagious form of meningitis linked to contaminated steroid injections made by the Massachusetts-based New England Compounding Center.

The latest death to be connected to the outbreak was that of a 70-year-old man who died in Florida in July, prior to the discovery of the contamination.

Tennessee is the hardest-hit state, with 39 infections and six deaths, according to the Centers for Disease Control and Prevention. Three deaths occurred in Michigan and one each in Maryland and Virginia, the CDC said.

Patients contracted the deadly meningitis after being injected in their spines with a preservative-free steroid called methylprednisolone acetate that was contaminated by a fungus. The steroid is used to treat pain and inflammation.

As many as 13,000 people may have received the medicine between May 21 and September 24, the CDC said.

The New England Compounding Center announced Wednesday it has established a recall operations center to manage the removal of all its products from circulation. Last week, the pharmacy voluntarily surrendered its license to operate until the Food and Drug Administration's investigation into the contamination is complete.

Health officials say 75 medical facilities in 23 states received the contaminated steroid injections from NECC.

At least two lawmakers are introducing bills to strengthen the FDA's oversight of compounding pharmacies.

"Unfortunately, compounding pharmacies are a 19th century service operating in a 21st century industry, and we need to update and strengthen the rules that govern these operations so that patients can safely benefit from the unique service they offer," Rep. Edward Markey, D-Massachusetts, said in a statement. "I look forward to working with my colleagues to introduce this legislation and to ensure FDA has the authority it needs to oversee these pharmacies and protect patients."

Meningitis outbreak: Your questions answered

Rep. Rosa DeLauro, D-Connecticut, vowed similar action. "This outbreak and the corresponding recall of products from the New England Compounding Center expose dramatic gaps in our drug safety standards that create an unnecessary risk to the public health," she wrote in a letter to Health and Human Services Secretary Kathleen Sebelius.

While compounding pharmacies were intended to create customized medications for specific patients, some "have evolved into large scale operations that produce sizeable quantities of some drugs," she wrote. "For example, cases in the current outbreak are spread across nine states and more than 17,500 doses of the potentially contaminated drug were shipped to 23 states. At the same time, the FDA lacks clear authority for ensuring the safety of these products and last updated its guidance for (the) industry in 2002."

The FDA has been working on new guidelines since at least 2006, but the effort is "still in progress," FDA spokeswoman Erica Jefferson said.

Currently, the FDA does not have jurisdiction over compounding pharmacies until there is a problem. FDA officials say they have been fighting to change that for more than 20 years.

The compounding pharmacy industry has challenged those efforts, and courts have ruled that individual state health departments are in charge.

"These facilities are inspected upon initial licensure and in response to complaints," said Alec Loftus of the Massachusetts Department of Public Health.

One woman's fight for compounding pharmacy guidelines

Massachusetts requires compound pharmacies to be licensed by the state board, but does not require accreditation. That's a voluntary process that only 162 out of 3,000 compounding facilities have obtained, according to the Pharmacy Compounding Accreditation Board.

"The oversight appears to be quite lax," said CNN's chief medical correspondent Dr. Sanjay Gupta, reporting from Massachusetts about the contaminated drugs. The New England Compounding Center "can distribute thousands of doses of drugs and it doesn't necessarily have to be accredited."

The center's building in Framingham is also home to a garbage compactor and recycling center. CNN observed a medical waste truck making a drop, as well as piles of garbage, boxes, and old mattresses on the back side of the pharmacy compound building. Both companies are owned by the same people.

If the site had been accredited, officials would have examined the facilities and considered whether there are concerns about the site sharing space with a garbage facility, Gupta said.

"Our investigation into NECC and the outbreak with our partners in Massachusetts are ongoing, so I can't comment directly on how this factors in," said Jefferson, the FDA spokeswoman.

There is no law that specifies a minimum proximity between a compounding pharmacy and other establishments.

The Massachusetts Department of Public Health has warned the NECC multiple times since 2002 about unsanitary conditions at its facility.

Statutory and regulatory requirements stipulate that compounding can be done only on receipt of a patient-specific prescription, Dr. Madeleine Biondolillo, director of the department's Bureau of Healthcare Safety and Quality, told reporters Wednesday.

Asked if there had been a violation, she said some organizations may have operated contrary to the licensing regulations, but that is part of the investigation.

Compounding pharmacies were originally created for doctors or pharmacists to make small amounts of custom medications -- for example, adding flavored syrup to a cough medicine, or creating a smaller dose for an individual patient if it's not created commercially.

They've grown into a much larger business. Pharmacy compounding accounts for 37 million prescription drugs in the United States each year.

Some compounders ship thousands of custom drugs all over the country. NECC is licensed to distribute to surgery centers and pain clinics in 50 states.

Nearly 10% of drugs administered in the United States come from compound pharmacies, according to a 2003 Government Accountability Office report.

Meningitis is an inflammation of the protective membranes covering the brain and spinal cord. It is usually caused by an infection, frequently with bacteria or a virus, but it can also be caused by less common pathogens, such as fungi in this case, according to the CDC.

Fungal meningitis is very rare and, unlike viral and bacterial meningitis, is not contagious.

Dr. William Schaffner, chairman of the Department of Preventive Medicine at Vanderbilt University Medical Center, told CNN that fungal infections are not usually mild. He said when a fungus invades small blood vessels, it can cause them to clot or bleed, which can lead to symptoms of small strokes.

In addition to typical meningitis symptoms like headache, fever, nausea and stiffness of the neck, people with fungal meningitis may also experience confusion, dizziness and discomfort from bright lights. Patients might just have one or two of these symptoms, the CDC says.

Health officials say any patients who received an injection at one of the facilities beginning May 21 and who began showing symptoms between one and three weeks after being injected should see their doctor right away.

The earlier a patient gets treatment, the more likely he or she will survive.

Patients are treated with anti-fungal medication, which is given intravenously, so patients have to be admitted to the hospital, the CDC said. Patients may need to be treated for months.

The FDA is urging anyone who has experienced problems following an injection with the NECC product to report it to MedWatch, the FDA's voluntary reporting program, by phone at 1-800-FDA-1088 or online at www.fda.gov/medwatch/report.htm.

CNN's Danielle Dellorto reported from Framingham; CNN's Elizabeth Cohen and William Hudson reported from Atlanta. CNN's Dr. Sanjay Gupta, Josh Levs and Ann Curley contributed to this report.

@highlight

There are no federal sterility guidelines for compounding pharmacies

@highlight

The FDA has no jurisdiction until there is a problem

@highlight

Two lawmakers are introducing legislation to strengthen the FDA's oversight

@highlight

12 people have died in a meningitis outbreak linked to a steroid