(CNN) -- What do Copernicus and a Britney Spears look-a-like have in common? Despite centuries separating the two, both have inspired greatness in Poland.

Maxim named Joanna Crupa, a Polish/American model and actress, 61st in its 2006 Hot 100 list.

Here we look at some of Poland's most famous nationals -- from years gone by to the present day. Many have influenced a world far beyond their country's boundary.

Nicolaus Copernicus (1473-1543)

Copernicus was a mathematician, astronomer, physician, classical scholar, translator, Catholic cleric, jurist, governor, military leader, diplomat and economist. He is primarily known, however, for his theory that earth is not the center of the universe.

His book, "De revolutionibus orbium coelestium" (On the Revolutions of the Celestial Spheres), is often regarded as the starting point of modern astronomy and the defining moment that began the Scientific Revolution.

Copernicus was born in 1473 in Thorn. Thorn was a city in Prussia, an autonomous region in the old Kingdom of Poland.

Frederick Chopin (Fryderyk Chopin) (1810-1849)

Born in the village of Zelazowa Wola in Warsaw, to a Polish mother and French father, he was regarded early on as a child-prodigy piano virtuoso. He is generally considered to be Poland's greatest composer, and ranks as one of music's greatest tone poets.

Always in fragile health, he died in Paris in 1849 from chronic pulmonary tuberculosis. He was only 39.

Mari-Sklodowska (Marie Curie) (1867-1934)

Marie Curie, a Polish physicist and chemist, is arguably the most famous female scientist. She was a pioneer in the field of radioactivity, the only person honored with Nobel Prizes in two different sciences, and the first female professor at the University of Paris. Her French husband Pierre Curie and both her daughter Irène Joliot-Curie and son-in-law Frederic Joliot-Curie were awarded a Nobel prizes.

Marie Curie was born in Warsaw. In 1891 she moved to Paris to further her studies and work on scientific projects. She found the theory of radioactivity and also found two new elements, radium and polonium (the latter being named after her native Poland.)

Karol Wojtyla (Pope John Paul II) (1920-2005)

Karol Józef Wojtyla was born on 18 May, 1920 in the Polish town of Wadowice.

At only 58 years of age, he was the youngest pope elected since Pope Pius IX in 1846. He reigned as the 264th Pope of the Roman Catholic Church from 1978 until his death in 2005.

His reign of over 26 years was the second-longest after Pius IX's 32-year reign. He has been the only Polish pope, and was the first non-Italian pope since the Dutch Adrian VI in the 1520s.

The pope traveled extensively, visiting over 100 countries, more than any other pope and was fluent in numerous languages: Polish, Italian, French, German, English, Spanish, Croatian, Portuguese, Russian and Latin.

He was the victim of several assassination attempts, but later said he forgave the perpetrators. He was chosen twice as person of the year by Time magazine.

Andrzej Wajda (1926 - )

Wajda, born in Suwalki, Poland is an award-winning Polish film Director.

He received an honorary Oscar in 2000.

After the fall of communism in 1989, he was elected as a government senator while he continued his role as artistic director of Warsaw's Teatr Powszechny.

His films often raise social awareness and have dealt with a number of subjects including war, communism and murder (based on the murder of his own father by the Soviets in 1940).

Wajda married four times. He has one daughter and is currently married to actress Krystyna Zachwatowicz.

Roman Raymond Polanski (1933 - )

Polanski is an Academy Award-winning and four-time nominated Polish film director, writer, actor and producer. After beginning his career in Poland, Polanski became a celebrated filmmaker and director of such films as Rosemary's Baby (1968) and Chinatown (1974). Recently Polanski has made acclaimed films such as the Academy Award-winning and Cannes Film Festival Palme d'Or-winning The Pianist (2002), and Oliver Twist (2005).

Polanski has a tragic personal history. He lived in Nazi-occupied Poland during the Second World War and was persecuted for being Jewish. He escaped death by hiding in a farmer's cow shed, while his mother was murdered in the infamous Nazi death camp at Auschwitz.

After surviving the Holocaust and moving to the United States, Polanski married American actress Sharon Tate. In 1969, Tate, who was pregnant at the time, was murdered by serial killer Charles Manson's sect.

In 1978, Polanski pleaded guilty in the United States to "unlawful sexual intercourse" with a 13-year-old girl. The director fled to France before sentencing. He now lives there and has French citizenship. He cannot return to the United States because he is likely to be imprisoned.

Lech Walesa (1943 - )

A former President of Poland and Nobel Peace Prize laureate, Walesa is often credited with changing the Polish political system. He founded the organization "Solidarity," the country's first independent trade union, which was pivotal in bringing about the fall of the communist regime.

He was awarded the Nobel Peace Prize in 1983 for his human rights activism.

In 1989, after the fall of the Soviet Union, he persuaded leaders from formerly communist parties to form the first non-communist coalition government. He was president of Poland from 1990 to 1995.

In 2000, Walesa once again stood for the presidential election, but received very little support and subsequently announced his retirement.

Joanna Krupa (1979 - )

Krupa is a Polish-American model and actress. Born in Warsaw, the daughter of hotelier Steven Krupa, she eventually moved with her family to the United States at the age of five.

Krupa has appeared on various magazine covers including FHM, Personal, Inside Sport, Stuff, Steppin' Out, Teeze and Maxim, in which she was named the Sexiest Swimsuit Model in the World. Maxim named her 61st in its 2006 Hot 100 list. She was also voted German Maxim's Model of the Year 2004-2005.

She posed nude in the July 2005 issue of Playboy and also did a nude photoshoot for animal rights group PETA. The advertisements all have "I would rather go naked than wear fur" as a motto. Krupa has been quoted as saying, "There is nothing sexy about wearing something that is so obviously tied to senseless pain and killing."

Robert Kubica (1984 - )

Born in Krakow, Kubica is the first Polish racing driver to compete in Formula One.

Since 2006 he has driven for the BMW Sauber F1 team, promoted from test driver to race driver during the 2006 season.

In June 2008, he achieved his maiden F1 victory at the Canadian Grand Prix, becoming the 99th F1 racer to win a Grand Prix.

Dorota Rabczewska or "Doda" (1984 - )

Dorota Rabczewska, or Dorota Rabczewska-Majdan, is often nicknamed Doda or Doda Elektroda or "the Polish Britney Spears." She was born in Ciechanow, and is one of the most famous and successful pop singers in Poland.

Doda started her career at the age of 14 and became popular after her participation in a reality TV show "Bar." In 2000, at the age of 16, Rabczewska became the vocalist of the Polish rock band Virgin.

In December 2005 and October 2007, she posed nude for the Polish edition of Playboy Magazine. She also posed for CKM Magazine several times.

Doda received a Superjedynka award on National Festival of Polish Song in Opole in 2006.

In 2007, she left her record company, Virgin, to begin a solo career. Her first solo album was released in 2007 and was certified as gold on the day before its official release. In 2008, her album "Diamond Bitch" went double platinum after 60,000 copies of the album had been sold.

@highlight

Top ten Poles: Marie Curie and her Nobel Prized family

@highlight

Pope John Paul ll: 27 year-reign, visited over 100 countries, spoke ten languages

@highlight

Joanna Crupa: Former "Sexiest Swimsuit Model" in the world