The Obama administration has framed its defense of the controversial bulk collection of all American phone records as necessary to prevent a future 9/11.

During a House Intelligence Committee hearing on June 18, NSA director Gen. Keith Alexander said, "Let me start by saying that I would much rather be here today debating this point than trying to explain how we failed to prevent another 9/11."

This closely mirrors talking points by the National Security Agency about how to defend the program.

In the talking points, NSA officials are encouraged to use "sound bites that resonate," specifically, "I much prefer to be here today explain these programs, than explaining another 9/11 event that we were not able to prevent."

On Friday in New York, Judge William H. Pauley III ruled that NSA's bulk collection of American telephone records is lawful. He cited Alexander's testimony and quoted him saying, "We couldn't connect the dots because we didn't have the dots."

But is it really the case that the U.S. intelligence community didn't have the dots in the lead up to 9/11? Hardly.

In fact, the intelligence community provided repeated strategic warning in the summer of 9/11 that al Qaeda was planning a large-scale attacks on American interests.

Here is a representative sampling of the CIA threat reporting that was distributed to Bush administration officials during the spring and summer of 2001:

-- CIA, "Bin Ladin Planning Multiple Operations," April 20-- CIA, "Bin Ladin Attacks May Be Imminent," June 23-- CIA, "Planning for Bin Ladin Attacks Continues, Despite Delays," July 2-- CIA, "Threat of Impending al Qaeda Attack to Continue Indefinitely," August 3

The failure to respond adequately to these warnings was a policy failure by the Bush administration, not an intelligence failure by the U.S. intelligence community.

A case of missed opportunities

The CIA itself also had its own spectacular failure in the run up to 9/11, which wasn't a failure to collect intelligence, but a failure of information sharing. The CIA had quite a bit of information about two of the hijackers and their presence in the United States before 9/11, which the agency didn't share with other government agencies until it was too late to do anything about it.

The government missed multiple opportunities to catch al Qaeda hijacker Khalid al-Mihdhar when he was living in San Diego for a year and a half in the run up to 9/11, not because it lacked access to all Americans phone records but because it didn't share the information it already possessed about the soon-to-be hijacker within other branches of the government.

The missed opportunities in the al-Mihdhar case are well-documented. The CIA failed to "watch-list" al-Mihdhar and another suspected al Qaeda terrorist, Nawaf al-Hazmi, whom the agency had been tracking since they attended an al Qaeda summit in Malaysia on January 5, 2000.

The failure to put Mihdhar and Hamzi on a watch list meant that immigration and law enforcement authorities were not alerted to their presence when they entered the United States under their real names. Ten days after the meeting in Malaysia, on January 15, 2000, al-Hazmi and al-Mihdhar flew into Los Angeles.

The CIA also did not alert the FBI about the identities of the suspected terrorists so that the bureau could look for them once they were inside the United States.

An investigation by the CIA inspector general -- published in unclassified form in 2007 -- found that this was not the oversight of a couple of agency employees but rather that a large number of CIA officers and analysts had dropped the ball. Some 50 to 60 agency employees read cables about the two al Qaeda suspects without taking any action.

Some of those officers knew that one of the al Qaeda suspects had a visa for the United States, and by March 2001, some knew that the other suspect had flown to Los Angeles.

The soon-to-be hijackers would not have been difficult to find in California if their names had been known to law enforcement. Under their real names, they rented an apartment, got driver's licenses, opened bank accounts, purchased a car and took flight lessons. Al-Mihdhar even listed his name in the local phone directory.

It was only on August 24, 2001, as a result of questions raised by a CIA officer on assignment at the FBI, that the two al Qaeda suspects were watch-listed and their names communicated to the bureau. Even then, the FBI sent out only a "routine" notice requesting an investigation of al-Mihdhar. Nothing substantive came of this request.

A month later, al-Hamzi and al-Mihdhar were two of the hijackers on American Airlines Flight 77 that plunged into the Pentagon, killing 189 people.

The CIA inspector general's report concluded that "informing the FBI and good operational follow-through by CIA and FBI might have resulted in surveillance of both al-Mihdhar and al-Hazmi. Surveillance, in turn, would have had the potential to yield information on flight training, financing, and links to others who were complicit in the 9/11 attacks."

It's about the sharing

These multiple missed opportunities challenge the administration's claims that the NSA's bulk phone data surveillance program could have prevented the 9/11 attacks. The key problem was one of information sharing, not the lack of information.

Obama administration officials who defend the NSA bulk collection of phone records program cite the failure to detect al-Mihdhar's presence in San Diego before 9/11 as a reason to justify the program.

Then-FBI Director Robert Mueller argued before the House Judiciary Committee on June 13 that bulk collection of telephone records might have prevented 9/11.

"Before 9/11, there was an individual by the name of Khalid al-Mihdhar, who came to be one of the principal hijackers. He was being tracked by the intelligence agencies in the Far East. They lost track of him. At the same time, the intelligence agencies had identified an al Qaeda safe house in Yemen.

"They understood that that al Qaeda safe house had a telephone number, but they could not know who was calling into that particular safe house. We came to find out afterwards that the person who had called into that safe house was al-Mihdhar, who was in the United States in San Diego. If we had had this program in place at the time, we would have been able to identify that particular telephone number in San Diego."

As documented above, however, the government missed multiple opportunities to catch al-Mihdhar, and the failure was one of information sharing inside the U.S. intelligence community. Since we can't run history backward, all we can say with certainty is that it is an indisputable fact that the proper sharing of intelligence by the CIA with other agencies about al-Mihdhar may well have derailed the 9/11 plot. And it is merely an untestable hypothesis that if the NSA bulk phone collection program had been in place at the time that it might have helped to find the soon-to-be-hijackers in San Diego.

Indeed, the overall problem for U.S. counterterrorism officials is not that they don't gather enough information from the bulk surveillance of American phone data but that they don't sufficiently understand or widely share the information they already possess that is derived from conventional law enforcement and intelligence techniques.

An unfortunate pattern of cases

What was true of the two 9/11 hijackers living in San Diego was also the unfortunate pattern we have seen in several other significant terrorism cases:

-- Chicago resident David Coleman Headley was central to the planning of the 2008 terrorist attacks in Mumbai that killed 166 people. Yet, following the 9/11 attacks, U.S. authorities received plausible tips regarding Headley's associations with militant groups at least five times from his family members, friends and acquaintances. These multiple tips were never followed up in an effective fashion.

-- Maj. Nidal Hasan, a military psychiatrist, killed 13 people at Fort Hood, Texas, in 2009. Yet intelligence agencies had intercepted multiple e-mails between Hasan and Anwar al-Awlaki, a U.S.-born cleric living in Yemen who was notorious for his ties to militants. The e-mails included a discussion of the permissibility in Islam of killing U.S. soldiers. Counterterrorism investigators didn't follow up on these e-mails, believing they were somehow consistent with Hasan's job as a military psychiatrist.

-- Carlos Bledsoe, a convert to Islam, fatally shot a soldier at a Little Rock, Arkansas, military recruiting office in 2009. Shortly before the attack, Bledsoe had traveled to Yemen. As a result, Bledsoe was under investigation by the FBI yet he was still able to buy the weapons he needed for his deadly attack when he was back in the United States.

-- Nigerian Umar Farouk AbdulMutallab attempted to blow up Northwest Flight 253 over Detroit on Christmas Day 2009 with an "underwear bomb." Luckily, the bomb failed to explode. Yet, a few weeks before the botched attack, AbdulMutallab's father contacted the U.S. Embassy in Nigeria with concerns that his son had become radicalized and might be planning something. This information wasn't further investigated.

AbdulMutallab had been recruited by al Qaeda's branch in Yemen for the mission.

The White House's review of the underwear bomb plot concluded that there was sufficient information known to the U.S. government to determine that AbdulMutallab was likely working for al Qaeda in Yemen and that the group was looking to expand its attacks beyond Yemen. Yet AbdulMutallab was allowed to board a plane bound for the United States without any question.

All of these serious terrorism cases argue not for the gathering of ever vaster troves of information but simply for a better understanding of the information the government has already collected and that are derived from conventional law enforcement and intelligence methods.

@highlight

NSA and defenders say its bulk surveillance could prevent another 9/11

@highlight

Peter Bergen: True story of 9/11 wasn't a failure to have enough intelligence data

@highlight

He says the Bush administration failed to connect the dots, but they were plentiful

@highlight

Bergen: U.S. officials often fail to properly interpret or share the data the government collects