After months of delays, a "Geneva II" conference meant to broker an end to the Syrian civil war has been scheduled to begin on January 22 in Geneva, Switzerland, the United Nations said Monday morning.

"At long last and for the first time, the Syrian government and opposition will meet at the negotiation table rather than the battlefield," U.N. Secretary-General Ban Ki-moon said during a news conference.

He added that the goal of the conference includes "the establishment, based on mutual consent, of a transitional governing body with full executive powers, including over military and security entities."

While he dubbed the U.N.-brokered meeting a "mission of hope" and called on both sides to cease violence and release detainees in preparation for the talks, he did not say which parties will attend -- a subject that helped push back the conference for months.

Lakhdar Brahimi, the U.N. and Arab League special envoy to Syria, echoed Ban's sentiments in a later statement to reporters in Geneva. In regard to the release of detainees, Brahimi specifically mentioned two bishops who were abducted earlier this year, asking, "Why are they still kept?"

Youhanna Ibrahim, the Syriac Orthodox bishop of Aleppo, and Boulos al-Yaziji, the Greek orthodox metropolitan of Aleppo and Iskenderun, were abducted at gunpoint in April while en route to Aleppo, the National Catholic Reporter says.

While Ban declined to answer questions regarding his statement or elaborate on which opposition groups would attend, Brahimi said later that the government and rebels have been asked to name their delegations by the end of the year.

In response to questions, Brahimi said Iran and Saudi Arabia could be "possible participants" at Geneva II. Pressed more specifically on Iran, he said, "I don't think I can comment on that. I think we said several times that the secretary general of the United Nations and the secretary general of the Arab League are in favor of inviting Iran."

He added, "Not all the people who want to come to Geneva will be able to come, but they should know this is not an event. This is a process. And in this process, I'm sure that everybody who wants to participate in rebuilding what I call the new republic of Syria will be able to do so in the course of the process."

The conference would bring representatives from Syria's government and elements of the opposition to negotiate an end to the fighting that has wracked Syria since March 2011.

Yet the opposition is hardly a single group; it consists of numerous factions that often oppose each other. The al Qaeda-linked groups Islamic State in Iraq and Jabhat al-Nusra have made substantial gains in Syria in recent months, especially in the north, tilting the balance away from more moderate factions of the rebel Free Syrian Army.

Syria's brutal war within a war gains momentum

The conference had been held up in part because many branches of the Syrian opposition said they wouldn't attend, or wouldn't participate without preconditions.

Nineteen largely Islamist rebel groups, for example, last month flatly rejected participating. Some groups wanted Syrian President Bashar al-Assad to step down before talks.

"The conflict in Syria has raged for too long. It would be unforgivable not to seize this opportunity to bring an end to the suffering and destruction it has caused," the United Nations said in an online statement Monday morning.

Al Qaeda advancing in Syria, one town at a time

Martin Nesirky, a spokesman for U.N. Secretary-General Ban Ki-moon, declined to say Monday who has guaranteed they will attend. But he said: "Given how long it has taken to get to this point," just the setting of a date "is a good sign."

Geneva II is a successor to Geneva I, a June 2012 meeting in which international parties laid out a peace plan for Syria that calls for a transitional governing body. It left open the question of whether al-Assad must leave power.

The United States and Russia announced in May that they would try to bring the warring parties to a second conference in Geneva to implement the plan. But the second Geneva conference was delayed several times.

In November, the state-run Syrian Arab News Agency reported that Syrian government officials would attend the conference without preconditions and with the goal of stopping violence in the country.

The Syrian conflict began in March 2011 after government forces cracked down on peaceful protesters during the Arab Spring movement. It is now a full-blown civil war. The United Nations estimates that more than 100,000 people have died in the conflict, and another 9 million have been displaced.

International inspectors, meanwhile, are trying to ensure that Syria eliminates its chemical weapons stockpile by the middle of 2014. Syria agreed to do so under international pressure earlier this year.

More than 11,000 Syrian children killed in civil war

Rebels: Syrian airstrikes kill at least 40

@highlight

Envoy says Iran and Saudi Arabia could be "possible participants"

@highlight

Conference had been delayed several times, in part over who would attend

@highlight

Syrian opposition contains numerous factions, some opposed to each other

@highlight

Conference aims to end violence that has raged since March 2011