Sydney, Australia (CNN) -- This week's burst of catastrophic bushfires in Australia continues a run of extreme weather events that, aside from the toll in human suffering, is pushing up the cost of doing business in the Australian agricultural sector.

Australia is one of the world's most efficient food producers, particularly of grain, meat, dairy, fruit, vegetables and wine. It vies with other exporters such as Brazil, Argentina, Canada and New Zealand for a large slice of the $1 trillion a year global market for imported food.

And in a world where contaminated soil, acid rain, poisonous water, disease and pestilence blights much of the food production capacity in the big consuming nations of China and India, Australia's reputation for a clean and relatively unstressed growing environment has given it a marketing edge.

But over the last decade its primary producers have had to run a gauntlet of climatic extremes that is testing both their resolve and their resources. With 20% of Australia classified as desert, farmers have always had to be conscious of how, when and where to use their soil, water, fertilizer and other agricultural inputs.

The new problem for Australian farmers is the business cost of volatility, exemplified by the intensity, duration and extent of these catastrophic weather events. Droughts are longer, fires are fiercer, hailstorms are more damaging and floods cover greater parts of a country that is 50% larger than Europe and is exceeded in size only by Russia, Canada, China, the United States and Brazil.

Photos: Catastrophic fires threaten Australia

Years of drought in the 2000s culminated in the deadly "Black Saturday" bushfires in Victoria state in February 2009 that claimed 173 lives, wiping out whole towns and hundreds of farms in the process.

Those fires were followed by devastating floods across Queensland and New South Wales in 2010-11 that took another 33 lives and affected 2.5 million people, with insurance payouts of $2.5 billion, according to the Insurance Council of Australia, and a total financial impact estimated by the Queensland Reconstruction Authority at more than $5 billion.

Now Australia's focus is on bushfires again, and the impact it might have on export-oriented food production. While sheep and cattle losses have already been extensive, there are other farming sectors at risk, too, such as wine. Australian wine exports are worth about $2 billion a year, according to Wine Australia, with new consumers in China and other parts of Asia driving a trend to lighter, sweeter red and white wines.

In the Hunter Valley 150 km (93 miles) north of Sydney, mid-January is harvest time in what has long been recognized as one of Australia's premium wine growing areas. Every year, the valley's winemakers await the long, hot, dry days of the southern hemisphere summer that increases the sugar content and intensifies the flavor of the grapes.

With the right combination of daytime heat and a smattering of light rain at night to cool the soil, they stand a chance of creating a standout vintage. The 2013 vintage had been shaping as just such a year, until a lingering continental-scale "heat cell" over inland Australia sent temperatures soaring and sparked this week's bushfires in four southern states. Vines that thrive at 30 degrees Celsius (86 degrees Fahrenheit) are stressed and shriveled when the mercury climbs to 40 degrees Celsius (104 degrees Fahrenheit) and beyond.

For the Hunter Valley's winemakers, timing is everything. In the next few days they must decide whether to send in the first waves of grape pickers, or hold off a bit longer in the hope of creating even greater flavors. If they do delay, they run the risk of losing the crop to heat stress, or worse, losing their precious vines to a bushfire.

After several days of 40-plus temperatures this week and a forecast for temperatures in the Hunter Valley to reach 42 degrees Celsius (107.6 degrees Fahrenheit) again on Saturday, plus the possibility of thunderstorms, the winemakers face some tough decisions.

Australia, of course, is not alone in facing a more unpredictable weather regime. Weather forecasters and climatologists around the world point to events that seem to suggest that even if the planet is not getting hotter, it is getting more volatile. Superstorm Sandy in the United States, drought in Africa's Sahel, a bitter cold snap in Europe and floods in China were just some of the severe weather events of 2012.

Longer-term, what the United Nations Food and Agricultural Organization (FAO) calls "slow-onset" climate change is seen as likely to have a heavy impact on food production in developing nations.

According to the FAO, climate change could have potentially disastrous consequences for food security in the period 2050-2100. The FAO estimates that a billion people around the world now lack food security. To meet projected food demand by 2050, when the world's population will have grown from 7 billion now to about 9 billion, it says global agricultural production will need to grow 60% above the level of 2007. That will test the resourcefulness of farmers not just in Australia but in other great "food bowls" across the world, from Brazil to China, India and the United States.

@highlight

Extreme weather pushing up cost of doing business in the Australian agricultural sector

@highlight

Primary food producers have had to run a gauntlet of climatic extremes

@highlight

Australia's $2 billion-a-year wine industry is one area at risk from bushfires

@highlight

But volatile weather events threaten food security well beyond Australia