(CNN) -- While we officially celebrate the 150th anniversary of the publication of Charles Darwin's "On the Origin of Species" on November 24, celebrations of Darwin's legacy have actually been building in intensity for several years. Darwin is not just an important 19th century scientific thinker. Increasingly, he is a cultural icon.

Darwin is the subject of adulation that teeters on the edge of hero worship, expressed in everything from scholarly seminars and lecture series to best-selling new atheist tracts like those by Richard Dawkins and Christopher Hitchens. The atheists claim that Darwin disproved once and for all the argument for intelligent design from nature.

And that of course is why he remains hugely controversial. A Zogby poll commissioned by the Discovery Institute this year found that 52 percent of Americans agree "the development of life was guided by intelligent design." Those who are not scientists may wonder if they have a right to entertain skepticism about Darwinian theory.

Read a leading Darwin proponent's view that evolution leaves no room for intelligent design theory

We are told that a consensus of scientists supporting the theory means that Darwinian evolution is no longer subject to debate. But does it ever happen that a seemingly broad consensus of scientific expertise turns out to be wrong, generated by an ideologically motivated stampeding of opinion?

Of course, that does happen. Many ideologically driven crusades in science -- the earth-centered solar system and eugenics, for example -- survived long after supposed evidence for these ideas evaporated. And precisely the same thing is happening today in the ideologically charged field of evolutionary biology. Indeed, there are strong scientific reasons to doubt the consensus about Darwin's theory and what it allegedly proved.

Contrary to Darwinian orthodoxy, the fossil record actually challenges the idea that all organisms have evolved from a single common ancestor. Why? Fossil studies reveal "a biological big bang" near the beginning of the Cambrian period (520 million years ago) when many major, separate groups of organisms or "phyla" (including most animal body plans) emerged suddenly without clear precursors.

Fossil finds repeatedly have confirmed a pattern of explosive appearance and prolonged stability in living forms, not the gradual "branching-tree" pattern implied by Darwin's common ancestry thesis.

There are also reasons to doubt the creative power of Darwin's mechanism of natural selection. While many scientists accept that natural selection can produce small-scale "micro-evolutionary" variations, many biologists now doubt that natural selection and random mutations can generate the large-scale changes necessary to produce fundamentally new structures and forms of life.

For this reason more than 800 scientists, including professors from institutions such as Massachusetts Institute of Technology, Yale and Rice universities and members of various national (U.S., Russian, Czech, Polish) academies of science have signed a statement questioning the creative power of the selection/mutation mechanism.

Increasingly, there are reasons to doubt the Darwinian idea that living things merely "appear" to be designed. Instead, living systems display telltale signs of actual or "intelligent" design such as the presence of complex circuits, miniature motors and digital information in living cells.

Consider the implications, for example, of one of modern biology's most important discoveries. In 1953 when Watson and Crick elucidated the structure of the DNA molecule, they made a startling discovery. The structure of DNA allows it to store information in the form of a four-character digital code, similar to a computer code.

This discovery highlights a scientific mystery that Darwin never addressed: how did the first life on earth arise? To date no theory of undirected chemical evolution has explained the origin of the information needed to build the first living cell.

Instead, the digital code and information processing systems that run the show in living cells point decisively toward prior intelligent design. Indeed, we know from our repeated experience -- the basis of all scientific reasoning -- that systems possessing these features always arise from an intelligent source -- from minds, not material processes. Darwin's "revolutionary" legacy on display

DNA functions like a software program. We know that software comes from programmers. Information -- whether inscribed in hieroglyphics, written in a book, or encoded in a radio signal -- always arises from a designing intelligence. So the discovery of digital code in DNA provides a strong scientific reason for concluding that the information in DNA also had an intelligent source.

Despite the consensus view that Darwin showed that "design could arise without a designer" there is now compelling scientific evidence of actual intelligent design in even the simplest living cells.

The question of biological origins has long raised profound philosophical questions. Is life the result of purely material processes or did a purposive intelligence play a role? It's not surprising that such a worldview-shaping issue would illicit strong passions and disagreements. All the more reason to let the evidence, rather than a supposed consensus, determine the outcome of what is, in fact, a very legitimate and important debate about the Darwinian legacy.

The opinions expressed in this commentary are solely those of Stephen Meyer.

@highlight

Stephen Meyer says there are scientific reasons to doubt consensus about Darwin's theory

@highlight

Meyer: Fossil record challenges idea that organisms evolved from a single ancestor

@highlight

Meyer: There is compelling scientific evidence of actual intelligent design