(CNN) -- Humanity's curiosity about Mars has led to an exciting event: the dramatic landing of an SUV-sized rover, set for 1:31 a.m. ET Monday.

NASA's $2.6 billion rover, Curiosity, will make its dramatic entrance into Martian territory in a spectacle popularly known as the "seven minutes of terror." This jaw-dropping landing process, involving a sky crane and the world's largest supersonic parachute, allows the spacecraft carrying Curiosity to target the landing area that scientists have meticulously chosen.

The spacecraft is "healthy and right on course," according to the latest update from NASA. Curiosity has been traveling away from Earth since November 26.

The vehicle, which will be controlled from NASA's Jet Propulsion Laboratory, has a full suite of sophisticated tools for exploring Mars. They include 17 cameras, a laser that can survey the composition of rocks from a distance and instruments that can analyze samples from soil or rocks.

Meet a rover driver: His car is on Mars

If all goes according to plan, Curiosity's first stop will be Gale Crater, which may have once contained a lake. After at least a year, the rover will arrive at Mount Sharp, in the center of the crater. The rover will drive up the mountain examining layers of sediment. This process is like looking at a historical record because each layer represents an era of the planet's history, scientists say.

The phenomenon of sedimentary layers is remarkably similar to what is seen on Earth, in California's Death Valley or in Montana's Glacier National Park, says John Grotzinger, chief scientist of the Mars Science Laboratory mission.

Rocks and minerals found on Earth are different than on Mars, but the idea of a mountain made of layers is familiar to scientists. Unlike on Earth, however, Mars has no plate tectonics, so the Martian layers are flat and not disrupted as they would be on Earth. That also means that Mount Sharp was formed in a different way than how mountains are created on Earth -- no one knows how.

Images: Exploring Mars

In these layers, scientists are looking for organic molecules, which are necessary to create life. But even if Curiosity finds them, that's not proof that life existed -- after all, these molecules are found in bus exhaust and meteorites, too, says Steve Squyres, part of the Mars Science Laboratory science team.

If there aren't any organics, that may suggest there's something on the planet destroying these molecules, says James Wray, assistant professor of Earth and atmospheric sciences at the Georgia Institute of Technology and collaborator on the Curiosity science team. But if Curiosity detects them, Wray said, that might help scientists move from asking, "Was Mars ever habitable?" to "Did Mars actually host life?"

"A successful landing will grant a huge breath of relief to the entire Mars science community tonight," Wray said in an e-mail. "And it will certainly keep NASA at the forefront of Mars exploration for at least the next few years."

Liquid water is not something scientists expect to be apparent on Mars because the planet is so cold and dry, Squyres said. If the planet does harbor liquid water today, it would have to be deep below the surface, perhaps peeking out in a few special places, but not likely to be seen by Curiosity, Squyres said.

Rover to search for clues to life on Mars

It's hard to know how long ago liquid water would have been there because there's no mechanism to date the rocks that rovers find on Mars, Squyres said.

Evidence from the spacecraft NASA has sent to Mars so far suggests that the "warm and wet" period on Mars lasted for the first billion years of the planet's history.

"In order to create life, you need both the right environmental conditions -- which includes liquid water -- and you need the building blocks from which life is built, which includes organics," Squyres said. The Mars Science Laboratory is a precursor mission to sharper technology that could do life detection, Grotzinger said.

There aren't specific molecules that scientists are looking for with Curiosity. The attitude is: "Let's go to an interesting place with good tools and find out what's there," Squyres said.

NASA's Jet Propulsion Laboratory was swarming with media this past week as scientists and journalists prepared for signs of the rover's landing. Squyres and a colleague told each other Thursday they were both feeling "full of hope and optimism."

The Jet Propulsion Laboratory's confirmed list of "VIP" guests included celebrities Alex Trebek, Chuck Lorre, Wil Wheaton, Nichelle Nichols, Bill Prady and June Lockhart. But the excitement spread far beyond NASA locations: Parties in honor of the Mars rover landing were scheduled around the world.

About 300 people passed through the Atlanta Science Tavern landing party at Georgia Institute of Technology, organizer Marc Merlin said. The event included several presentations about planetary science, during which several attendees had to sit on the floor or stand in order to fit in the lecture room. The event switched to "party" mode around midnight, giving way to loud chatter about space exploration among science enthusiasts and researchers.

Wray delivered a presentation about the history of Mars exploration. Before Curiosity, humans have landed spacecraft on the equivalent of parking lots -- relatively safe, flat places on Mars, he said. By comparison, "tonight we're landing in the Grand Canyon," he said.

Interest was so great in the event that Merlin stopped promoting it a few days before. The possibility of life elsewhere reaches beyond people interested in science, he said, and Curiosity points towards a potential revolution.

"That's why people are here tonight: They want to be part of history," Merlin said.

What do you think about the Mars mission? Go to iReport

Although a lot of science went into this landing process, superstition on landing night can't hurt.

It's traditional to open up cans of peanuts and pass them around to the team at the Jet Propulsion Laboratory responsible for overseeing the landing of the rover, said David Oh, lead flight director for the mission, earlier this week.

"It's always been a lucky charm for us, and missions have always seemed to work out better when we had the peanuts there," Oh said. "For landing this, I'll take all the great engineering we have, and all the luck you can give us, too."

Sunday also happens to be the 82nd birthday of former NASA astronaut Neil Armstrong. It's hoped the birthday will be auspicious for the landing, NASA's John Grunsfeld said in a news conference.

Curiosity is supposed to last for two years on Mars, but it may operate longer -- after all, Spirit and Opportunity, which arrived on Mars in 2004, were each only supposed to last 90 Martian days. Spirit stopped communicating with NASA in 2010 after getting stuck in sand, and Opportunity is still going.

"You take what Mars gives you," said Squyres, also the lead scientist on the Mars Exploration Rover Mission, which includes Spirit and Opportunity. "If we knew what we were going to find, it wouldn't be this much fun."

@highlight

The dramatic landing of the SUV-sized rover is set for 1:31 a.m. ET Monday

@highlight

This landing process involves a sky crane and the world's largest supersonic parachute

@highlight

Curiosity's first stop slated to be Gale Crater, which may have once contained a lake

@highlight

The vehicle will be controlled from NASA's Jet Propulsion Laboratory