A day after Iran agreed to limit its nuclear program in exchange for lighter economic sanctions, the difference in the moods on the streets of Tehran and Jerusalem couldn't be starker.

"I'm very happy about this agreement," one man told CNN in Tehran. "We hope all the world knows we use this nuclear (power) just for peace, not for war."

With the exception of extreme hard-liners, most Iranians are extremely happy with the deal, especially after many rounds of negotiations that yielded no results.

Iranian newspapers lauded the agreement, with one proclaiming on the front page: "This is Iran, and everyone is happy."

But just across the region in Jerusalem, many residents echoed the sentiments of Israeli Prime Minister Benjamin Netanyahu, who slammed the deal as "a historic mistake."

A political cartoon in one local newspaper depicts Israel's foreign minister as saying, "I'll find us new friends" -- an apparent jab at the United States and other allies that supported the deal.

Israeli team goes to Washington

An Israeli team headed by National Security Adviser Yossi Cohen will leave soon for the United States to discuss the agreement, Netanyahu said Monday. That plan was worked out in a conversation with U.S. President Barack Obama on Sunday night, the Israeli Prime Minister said.

"I would be happy if I could join those voices around the world that are praising the Geneva agreement. It is true that the international pressure which we applied was partly successful and has led to a better result than what was originally planned, but this is still a bad deal. It reduces the pressure on Iran without receiving anything tangible in return, and the Iranians who laughed all the way to the bank are themselves saying that this deal has saved them."

The agreement, Netanyahu said, "must lead to one result: The dismantling of Iran's military nuclear capability. I remind you that only last week, during the talks, the leaders of Iran repeated their commitment to destroy the State of Israel, and I reiterate here today my commitment, as Prime Minister of Israel, to prevent them from achieving the ability to do so."

Tehran has continued its incendiary statements against Israel even in recent weeks. During negotiations in Geneva, Switzerland, Iranian Supreme Leader Ayatollah Ali Khamenei said Israeli officials "cannot be even called humans" and referred to Netanyahu as "the rabid dog of the region."

What the deal means

Iranian officials and the P5+1 countries -- the United States, Britain, China, Russia, France and Germany -- hashed out the plan in Geneva early Sunday morning.

Even though it's only a six-month deal, world leaders hope it'll pave the way to a long-term guarantee that Iran won't produce nuclear weapons. And Iran hopes to recoup some of the billions of dollars it's lost as a result of international sanctions.

World powers will suspend sanctions on various items, including gold and petrochemical exports. That suspension will provide Iran with about $1.5 billion in revenue, according to the White House.

Iran has stumbled from one economic crisis to the next under the sanctions, and unemployment currently runs over 24%.

But not every country is following suit. Canadian Foreign Minister John Baird said his country will maintain its sanctions on Iran.

"People of #Iran deserve freedom & prosperity denied them by regime's nuclear ambitions," Baird tweeted. "Until then, Canadian sanctions remain in full force."

'Most thuggish people'

It's also unclear whether Congress will agree to the deal.  Sen. Lindsey Graham, a prominent Republican on the Appropriations, Armed Services, Budget, and Judiciary committees, called Monday for a new round of sanctions that can be relieved only if Iran dismantles its plutonium reactor.

The end game is to stop enrichment, he said on CNN's "New Day."

"We're dealing with people who are not only untrustworthy, this is a murderous regime that murders their own people, creates chaos and mayhem throughout the whole world, the largest sponsor of terrorism. And we're treating them out of sync with who they are. That's what bothers me so much. This deal doesn't represent the fact we're dealing with the most thuggish people in the whole world."

Since the deal is temporary, it remains unclear what world powers might offer -- and demand of -- Iran in the future.

"It's a little too early to break open champagne bottles and put on the party hats on this one," said Middle East diplomatic expert Aaron David Miller.  "Its success hinges on whether or not it leads to a bigger agreement to "put Iran's nuclear weapons program to rest."

That the diplomats came to any accord at all represents a momentous budge in a nearly 35-year deadlock marked by distrust, suspicion and open animosity between the United States and Iran, which broke off diplomatic relations after Iran's revolution in 1979.

It was the first such agreement in 10 years of attempts to negotiate over Iran's nuclear program.

Success or setback?

In a televised speech, Iranian President Hassan Rouhani sold it as a win for his negotiators.

"We are pleased after 10 years that an agreement on this level has been reached," he said.

He played up the fact that the deal allows Iran to enrich uranium to a level making it usable as nuclear fuel. During the six months of the agreement, he said, major facilities in Iran will continue doing so. But that level, 5% enrichment, is well below the level needed to make weapons.

Fareed Zakaria: What critics are getting wrong about the Iran deal

Obama said the agreement includes "substantial limitations that will help prevent Iran from creating a nuclear weapon."

The President defended the interim deal, saying in San Francisco on Monday that the United States "cannot close the door on diplomacy."

"Tough talk and bluster may be the easy thing to do politically, but it's not the right thing to do for our security," he said.

Some Republican opponents in Washington agreed with Israeli officials, saying the plan will actually help in Iran's alleged quest for a bomb.

"This agreement shows other rogue states that wish to go nuclear that you can obfuscate, cheat, and lie for a decade, and eventually the United States will tire and drop key demands," Sen. Marco Rubio of Florida said.

Netanyahu: obligation to defend

Netanyahu adamantly distrusts Iran and decried the agreement as a "historic mistake" Sunday. Now that sanctions are working, Netanyahu wants to see them tightened, not loosened, until Iran shuts down much of its nuclear capability.

The agreement does not apply to Israel, he said Sunday. If need be, Israel will take matters into its own hands.

"The regime in Iran is dedicated to destroying Israel, and Israel has the right and obligation to defend itself with its own forces against every threat," Netanyahu said.

Israeli President Shimon Peres backed up Netanyahu, but also extended an olive branch.

"I would like to say to the Iranian people: You are not our enemies and we are not yours," he said. "There is a possibility to solve this issue diplomatically," Peres said.

Read the deal (PDF)

@highlight

Obama defends temporary deal, which limits Iran's nuclear program

@highlight

Israel is sending a team to Washington to discuss the deal

@highlight

Sen. Graham threatens more sanctions, calls Iran's leadership "thuggish"

@highlight

Iran retains the right to enrich uranium but not above nuclear fuel level