(CNN) -- A slender and stylish woman with a full dark beard -- yes, a beard -- stands in the middle of the roiling battle between Russia and the West, adding to the fury of a growing confrontation. Who could have imagined it?

I'm talking about the singer Conchita Wurst, alter ego of the Austrian artist Tom Neuwirth. Conchita just won the hugely popular Eurovision contest with overwhelming public support, turning herself into an instant international superstar, a fact that is apparently driving many influential Russians into a foot-stomping rage.

In theory, Eurovision, the venerable 58-year-old European tradition, is all about good feelings and understanding between neighbors in a continent once torn by war. In reality, it is a competition driven by crisscrossing rivalries and subtle political overtones.

This year the competition was something to behold.

More than 100 million viewers across dozens of countries tuned in on Saturday night. When Austria's turn came, the camera slowly zoomed in on the stylish figure in the golden dress standing in the middle of the giant stage. The camera moved in to reveal a thick, well-trimmed beard on the face of a woman with long black hair. Conchita sang "Rise Like a Phoenix," a theme evoking personal rebirth, transformation, and triumph.

We might have been able to hear the gasps of surprise that surely rose across European living rooms. We could not record those. But the competition did register the public reaction, and we know millions cheered, because Conchita won the competition.

And yet, not everyone found the performance all that inspiring.

Russian President Vladimir Putin has in recent years redefined Russia as a rival, an opponent of the West. And among the aspects of "Western culture" that he has used to distinguish Russia from its rivals is its attitude toward equality for gays.

Putin has quite deliberately become the standard-bearer of traditional morality, cracking down mercilessly on Russian liberals, particularly on its gay and lesbian citizens, even foreign visitors, as part of an effort to stoke popular support in a country that, despite having lived through the cutting-edge social experiment of communism, remains deeply conservative.

The ongoing battle over Ukraine, which stands on the edge of civil war, was triggered by a push by Ukraine to strengthen its ties to the European Union, something Putin is loath to accept.

The dispute with Ukraine created tensions at the Eurovision contest. Since the voting includes phone and text, organizers had to decide what to do with the vote from Crimea, the province that Russia seized from Ukraine a few weeks ago. (They counted those votes as Ukrainian.)

But it was Conchita, "the bearded lady," who stuck like a stone inside the Putinists' shoes. Russia, along with people in Belarus and Armenia, filed petitions to remove Conchita from the competition, or at least edit her out of the broadcast.

Wurst didn't just sing. She wowed the viewers. And when the time came to vote, they texted and phoned in with abandon. She won the competition by a wide margin.

Who knows what exactly drove the vote? She sang well. But undoubtedly there were other factors at play. In the press conference after her victory, somebody asked her if she had a message for Putin.

She did.

"We are unstoppable."

That may be. But in Russia, life for people whose sexual orientation is out of the mainstream is rife with danger. A year ago, Putin signed a law banning gay "propaganda," which makes it illegal to even express support for gay rights in any manner. Gay parents worry about losing their children. Many are leaving the country. It's the tip of the iceberg of Putin's repression of the opposition.

Conchita would face harassment in Russia. She uses the pronoun "she" to refer to herself, and her sexual identity can make your head spin: She is the creation of Tom Neuwirth, who uses the pronoun "he" and describes it as having "two hearts beating in my chest." He created Conchita, complete with a fictional birthplace -- the mountains of Colombia -- to deal with the discrimination of his teenage years, when he liked to dress in girls' clothes. Conchita demolishes our conception of femininity and masculinity. She is an individual creation; Neuwirth's creation come to life.

But don't expect Russian politicians to have any understanding. The always outrageous ultranationalist member of parliament, Vladimir Zhirinovsky, declared that Conchita's win marks "the end of Europe. It has turned wild." He helpfully offered that "Fifty years ago, the Soviet Union occupied Austria ... we should have stayed there."

Of course, Zhirinovsky is not the man on whose judgment we should rely for issues of morality. A few weeks ago, he was confronted on live television by a Russian journalist, a pregnant woman, on the subject of Ukraine. He accused her of having "a uterine frenzy" and ordered one of his aides to "rape her violently."

Putin's deputy prime minister, Dmitry Rogozin, used the Conchita victory to take a slap at Ukraine, sarcastically tweeting, "Eurovision showed the eurointegrators their europerspective -- a bearded girl." That was something of a limp slap.

A member of the St. Petersburg legislative assembly officially asked Russia's Eurovision committee to stop participating in the competition, thus to avoid having Russian performers on the same stage as "the clear transvestite and hermaphrodite Conchita Wurst," which would serve as propaganda for "moral decay."

The despicable Zhirinovsky -- whom I had the inerasable experience of meeting in Baghdad, Iraq, many years ago (he was wearing revealing Speedos doing laps in the hotel pool) -- said: "There are no more men or women in Europe. Just it."

He might have thought the quip very clever. In reality, Conchita showed us that there are many kinds of people in Europe -- including in Russia.

And the people who voted for the new Eurovision champion showed they are very consciously throwing their support behind someone who represents openness, inclusiveness, and the possibility of becoming a human being that may not conform to the standards set by others.

With that, European television viewers sent a message to Putin, and to Russia, and to all the people who would like to fight to keep the world from changing. And they put Conchita, in her full-length evening gown, with her bearded face, right in the middle of that battlefield.

@highlight

Conchita Wurst, a "woman" with a full beard, overwhelmingly won Eurovision song contest

@highlight

Frida Ghitis: She became a lightning rod in culture war between the West and Russia

@highlight

Russia, known for anti-gay laws, demanded that Conchita be removed from the contest

@highlight

Ghitis: When asked, Conchita's message to President Putin was "We are unstoppable"