United Nations (CNN) -- The United Nations is trying to put sexual violence on the international policy map, telling political and military leaders that wartime mass rape "is no more inevitable than, or acceptable than, mass murder."

Rape is being used by armed groups to reignite flames of conflict and to terrorize and humiliate communities in Africa, according to Letitia Anderson, women's rights specialist with the U.N.'s Action Against Sexual Violence in Conflict initiative.

The U.N. is monitoring five countries closely because of sexual violence in conflicts. The five are the Democratic Republic of Congo (formerly Zaire), Liberia, the Darfur region in Sudan, Chad and Cote d'Ivoire (formerly Ivory Coast).

But it's not just Africa at which the U.N. is looking; it's cross-regional, Anderson told CNN.

She said armed groups are branding the bodies of women and children with signature patterns, as cattle are branded, in places such as Congo, leaving scars so that their families and community members know they are victims of aggravated sexual violence.

U.N. officials cite not just the mass scale of such crimes, but the horrific nature of the crimes as well.

"Many are child soldiers, and they maybe have to rape their mother or their siblings and then kill them afterwards," said Margot Wallstrom, the U.N. secretary-general's special representative on sexual violence in conflict.

There have been no reparations for survivors in Africa because of the complete collapse of the legal system during conflicts, Anderson said.

Wartime rape "is one of the great peace and security challenges of our time," she said, but added it "has been the least condemned and most silenced war crime."

Wallstrom told reporters recently that in modern war, "rape is not a side effect, but it is actually a new frontline."

U.N. action on that frontline has included a 2008 Security Council unanimous adoption of a resolution acknowledging rape as a tactic of war and an impediment to peace.

With the U.N.'s Action Against Sexual Violence in Conflict initiative, U.N. representatives have tried to put sexual violence in the spotlight.

In May, Wallstrom took the U.N.'s message to the Democratic Republic of Congo where, she said, more than 200,000 women have been raped in the past 12 years of conflict

She visited Liberia in June and learned rape is still the No. 1 reported crime. One government survey in a Liberian county in 2005-2006 found that 92 percent of 1,600 women interviewed reported that they had experienced some form of sexual violence, including rape.

Tackling stereotypes about the crime of rape will help ease the shame many societies attach to rape, and initiating discourse is the first step "to break the silence," she said, repeating a well-known phrase among anti-rape advocates worldwide. Her message is motivated by the women and children she's met, Wallstrom said, adding, "Survivors are their own best advocates."

"The word 'woman' is not synonymous with 'victim' or 'vulnerable,' " Wallstrom added. "The women that I've met in the DRC, in Liberia, are agents of recovery and change."

As the U.N. initiative works to fight against wartime rape and to protect victims of that crime, Wallstrom sees her own U.N. role in a highly personal perspective.

"I'm responsible not only to the secretary-general and Security Council," she said, "but above all, to the survivors of this soul-shattering crime."

@highlight

Wartime rape is "the least condemned and most silenced war crime," U.N. official says

@highlight

U.N. initiative aims to put sexual violence in conflicts on international policy map

@highlight

U.N. is monitoring five countries because of sexual violence in conflicts

@highlight

In Congo, more than 200,000 women have been raped in 12 years of fighting, U.N. says