(CNN) -- As the global community commemorates World AIDS Day on Wednesday, international health organizations report both promising and sobering trends.

While the United Nations says new HIV infections have declined by almost 20 percent worldwide over the past decade, the estimated number of children living with HIV or AIDS in 11 Asian countries has increased by 46 percent between 2001 and 2009, the World Health Organization's South-East Asia office said Wednesday.

"In 2001, an estimated 89,000 children were living with HIV/AIDS," said Vismita Gupta-Smith, public information and advocacy officer for WHO's regional office in New Delhi, India. "In 2009, there are an estimated 130,000 children living with HIV infection," including recent HIV infection, advanced HIV infection and AIDS.

The 11 countries in the region are Bangladesh, Bhutan, North Korea, India, Indonesia, Maldives, Myanmar, Nepal, Sri Lanka, Thailand and Timor-Liste.

But a report by a United Nations program released last month shows some encouraging news, including drops in AIDS-related deaths and new HIV cases.

Data from the 2010 global report by the Joint United Nations Programme on HIV/AIDS (UNAIDS) shows that an estimated 2.6 million people became newly infected with HIV, compared with the estimated 3.1 million people infected in 1999.

Also in 2009, approximately 1.8 million people died from AIDS-related illnesses, compared with the roughly 2.1 million in 2004, according to UNAIDS.

Among young people in 15 of the most severely affected countries, the rate of new HIV infections has fallen by more than 25 percent, led by young people adopting safer sexual practices, according to UNAIDS.

"We are breaking the trajectory of the AIDS epidemic with bold actions and smart choices," said Michel Sidibe, executive director of UNAIDS. "Investments in the AIDS response are paying off, but gains are fragile -- the challenge now is how we can all work to accelerate progress."

But not all the news from the UNAIDS report, which covered 182 countries, was good.

"Even though the number of new HIV infections is decreasing, there are two new HIV infections for every one person starting HIV treatment," UNAIDS said.

Sub-Saharan Africa continues to be the region most affected by the epidemic, with 69 percent of all new HIV infections, according to UNAIDS.

In seven countries, mostly in eastern Europe and central Asia, new HIV infection rates have increased by 25 percent.

UNAIDS said in the Asia-Pacific region, 90 percent of countries have laws that obstruct the rights of people living with HIV.

Despite the lower numbers of new HIV infections and AIDS-related deaths, UNAIDS said the demand for resources is surpassing the supply.

"Donor governments' disbursements for the AIDS response in 2009 stood at $7.6 billion, lower than the $7.7 billion available in 2008," UNAIDS said. "Declines in international investments will affect low-income countries the most -- nearly 90 percent rely on international funding for their AIDS programs."

@highlight

The estimated number of children with HIV/AIDS in 11 Asian countries increases 46 percent

@highlight

The UN says the number of new HIV infections has dropped 20 percent in the past decade

@highlight

But the number of new HIV infections outpaces the number of people starting treatment