Cedar Key, Florida (CNN) -- Two weeks after BP plugged its damaged oil well in the Gulf of Mexico with cement and mud from above, the next step in the process to permanently shut down the apparatus is in limbo as scientists gauge the risks posed by pressure inside the well.

"Our first goal is to do no harm," Thad Allen, the government's point man in the Gulf, said in a teleconference Wednesday.

The procedure the first week of August was called a "static kill." The timeline for the next step -- the "bottom kill" -- is unknown, as scientists try to determine which of two methods would work best to mitigate the pressure issues, Allen said.

Crews could remove the capping stack that sealed the oil in the well on July 15, then replace the well's blowout preventer with a new one stored on the nearby Development Driller II in the Gulf.

The other option would require BP to devise a pressure-relief device for the current capping stack.

Once crews get their marching orders, it will take them about four days to prepare, drill the final 50 feet of a relief well and intercept the main well. Then, the "bottom kill" process of plugging the well from below will begin. Allen said Wednesday cementing will require another several days.

Allen also told reporters that seafood coming from reopened Gulf fishing waters is safe to eat.

"There's no problem with Gulf seafood. It's being tested more than any other seafood out there right now," Allen said.

National Oceanic and Atmospheric Administration chief Jane Lubchenco echoed Allen's comments about Gulf seafood, saying that where water may still be tainted, no fishing is allowed.

"Twenty-two percent of federal waters in the Gulf remain closed because we have not yet determined it's safe" to eat seafood from there, Lubchenco said in the same teleconference.  She added that scientists are continuing to conduct testing in the areas that have reopened.

Wednesday is the last day that BP will accept claims from people and businesses affected by the Gulf oil disaster.  After that, the oil giant will direct people to the Gulf Coast Claims Facility, led by attorney Kenneth Feinberg.

Feinberg is charged with independently administering the $20 billion escrow account established by BP to compensate for damage caused by the Gulf disaster.

At a town hall meeting in Houma, Louisiana, Wednesday morning, one woman accused Feinberg of working for BP, accidentally referring to him as "Mr. BP."

"This facility is going to be much more generous, much more efficient, and much quicker than BP," Feinberg responded. "If anyone here thinks I am not independent and am merely an arm of BP, don't participate. It's a voluntary program."

Feinberg promised that eligible individuals who submit a claim would get a check in 48 hours and eligible business claims would be paid in no more than seven days.

But he acknowledged that he'd have to earn the trust of fishermen and others who say they've received conflicting information about the oil spill response from BP and various government agencies.

"There is only one way that I will earn your trust," Feinberg said Wednesday, "and that is paying the claims."

Others at the town complained that income they've received from BP for helping respond to the spill would be deducted from their payments, pointing out that those who stayed home would be eligible for more money.

"There are very few people that I've met here in the gulf that are in emergency situations, desperate to pay their mortgages and put food on their tables that have not sought other work, other employment," Feinberg told CNN's Wolf Blitzer Wednesday in response to such grievances.

BP, which said Tuesday it has paid $368 million in claims so far, will continue to handle claims by government entities.

On Tuesday, a major environmental watchdog group called for more stringent testing of seafood from the Gulf of Mexico, where the fall shrimping season began this week. The state of Alabama just reopened its coastal waters to fishing and shrimping on Monday.

The National Resources Defense Council released a statement saying it sent letters to the Food and Drug Administration and the National Oceanic and Atmospheric Administration, co-signed by almost two dozen Gulf coast groups. The letters asked the government agencies to:

-- Ensure that there is comprehensive monitoring of seafood contamination.

-- Ensure public disclosure of all seafood monitoring data and methods.

-- Ensure that fishery reopening criteria protect the most vulnerable populations, including children, pregnant women and subsistence fishing communities.

"With the opening of shrimping season and near-daily reopening of fishing areas, seafood safety is a major issue right now," Dr. Gina Solomon, a senior scientist with the National Resources Defense Council, said in the statement. "The government needs to show it is putting strong safety criteria and testing standards in place to ensure that the seafood from the Gulf will be safe to eat in the months and years to come."

The oil spill has hampered the seafood business across the Gulf as federal and state authorities put much of its waters off-limits amid safety concerns. With the once-gushing well capped temporarily for more than a month now, NOAA and the Gulf states have started lifting those restrictions.

Pete Barber, president of the Alabama Seafood Association, told CNN affiliate WALA that although the waters are open and the shrimp have been deemed safe, that doesn't mean seafood buyers want it.

"We've had major distributors call up some of our processors who have been working with them for years, generations, and they've basically said, 'We don't want Gulf product,'" Barber said. "Some of those boats have their hulls full of shrimp and no one that's eagerly looking to buy them."

While some shrimpers are eager to get back out, many are still working for BP, which has hired boats to skim oil off the surface and lay protective booms along the shorelines.

But the need for skimmers appears to be winding down. The state of Louisiana said Tuesday that of 343 operational skimmers, only 40 were sent out Monday in search of oil -- and they came back to shore with 100 cubic yards of debris, but not even one gallon of oil.

Two reports published Tuesday express concern about the lingering effects of oil spilled from the ruptured BP well.

Researchers at the University of South Florida have concluded that oil from the Deepwater Horizon spill may have settled to the bottom of the Gulf of Mexico farther east than previously suspected -- and at levels toxic to marine life.

"The dispersant is moving the oil down out of the surface and into the deeper waters, where it can affect phytoplankton and other marine life," said John Paul, a marine microbiologist at the University of South Florida.

In addition, a team from Georgia Sea Grant and the University of Georgia released a report that estimates that 70 to 79 percent of the oil that gushed from the well "has not been recovered and remains a threat to the ecosystem," the university said in a release.

The Georgia study "strongly contradicts" a 2-week-old government report saying that only 26 percent of the oil spilled from the well remains in the Gulf.

Lubchenco addressed the discrepancy Wednesday, saying the Georgia study was based on different parameters than the federal study and, "We stand by the numbers we released in the oil budget."

"We have said all along there is dispersed oil subsurface -- that oil is out there, " she said. "It is dilute, in parts per million" but "dilute and dispersed does not mean benign."

The NOAA chief said scientists will "continue to do additional monitoring and refine the estimate" as new information comes to light.

The government believes the water is clean enough for at least one form of sea life to abide. Allen, Lubchenco and some biologists reintroduced 23 sea turtles to the Gulf off Cedar Key, Florida, Wednesday morning.

The Kemp's ridley sea turtles had been cleaned and de-oiled at the Audubon Aquarium in New Orleans, and at Gulf World in Panama City, Florida. Then, they were temporarily housed at SeaWorld Orlando, Mote Marine Laboratory, and the Florida Aquarium, NOAA said in a press release Wednesday.

To date, approximately 500 live turtles have been rescued during the Gulf oil spill, and more than 450 stranded or captured turtles have had visible evidence of external oil. Approximately 350 turtles are still in rehabilitation facilities and will be released as they are given clean bills of health, according to NOAA.

The spill began after an April 20 explosion on the offshore drilling platform Deepwater Horizon that killed 11 men. Two days later, the platform sank and oil started gushing into the Gulf.

CNN's Chris Turner contributed to this report

@highlight

NEW: Government's claims administrator to Gulf residents: "I will earn your trust"

@highlight

NOAA head Jane Lubchenco explains difference between statistics on oil still in Gulf

@highlight

The relief well and bottom kill are on hold until pressure risks are evaluated and mitigated

@highlight

Thad Allen and Lubchenco stress Gulf seafood is safe