(CNN) -- "Get yourself together." Mary Williams repeated those three words often to her 28-year-old daughter, who served three years in a Kansas prison for a 1988 armed robbery.

Donnie Belcher, 7, visits her mother, Wanda Taylor, at Lansing Correctional Facility in Kansas in 1991.

Williams never judged her daughter, Wanda Taylor, for the crime or the crack cocaine addiction that fueled it. There was no need to pick at the past. Instead, Williams looked to the future.

The future was her granddaughter, Donnie Belcher, a shy 4-year-old girl with curly hair who cried inconsolably from behind the glass the first time she visited her mother in jail.

The little girl's mother was locked up for three years, leaving her in the care of her grandmother. "It was hard on me," said Belcher, now 25. "I never wanted to leave my mother."

Belcher defied the odds, growing up straight as an arrow despite having a mother in prison. Her childhood was part of a national trend. The incarceration rates for U.S. mothers began to surge in the 1980s, fueled by the crack cocaine epidemic and tougher mandatory sentencing laws, experts said.

A recent study by the U.S. Bureau of Justice Statistics found the number of incarcerated mothers rose 131 percent from 1991 to 2007, while the number of fathers in prison increased 77 percent during the same period.

According to the Sentencing Project, a Washington-based nonprofit, about 1.7 million children have a parent in prison.

"We should be alarmed," said Georgia Lerner, executive director at the Women's Prison Association, a national nonprofit working with incarcerated women.

"Even when children have seen their mothers get arrested, they still want to be with their parents," Lerner said. "They still love their mothers and want to be together."

While some critics argue that criminals make poor parents, experts said there is no doubt that separation from a parent, particularly a mother, affects a child's psychological development.

When a father is imprisoned, the mother typically cares for the children, said Danielle Dallaire, a psychology professor at the College of William and Mary.  But her research shows that when a mother is incarcerated, the father often plays no role in raising the children left behind.

Federal statistics show children are five times more likely to end up in foster care when a mother is sent to prison than when a father is imprisoned. Read the Federal Report

Belcher's grandmother, Williams, stepped in because she didn't want the child in foster care. The girl's father was not in the picture.

For three years, Williams, a single mother herself, drove her granddaughter twice a month to see her mother. They never missed a visit, despite having to travel to several prisons across Kansas.

After passing through the metal detectors and being frisked by security officers, the girl showed off the A's she received from school or told her mother about which boy had cooties. Each visit lasted two hours.

Belcher often asked, "When will you come home?"

"Soon," her mother said. "Soon."  Find out what Taylor and her family learned from her time in prison »

A growing number of prisons are recognizing the need to preserve mother-child relationships. They have staffed nurseries and day care centers to keep families connected.

Bedford Hills Correctional Facility, a maximum security women's prison in New York, is host to an annual summer camp run by volunteers. At camp, children can play basketball and participate in other activities with their incarcerated mothers.

In May, the California Department of Corrections and Rehabilitation is reuniting moms and dads with their children. The "Get on the Bus" program provides 700 children with free rides to the prisons.

The three years without Taylor were financially difficult for Williams, who was approaching retirement age. In her 50s at the time, she worked as a dental assistant to support her granddaughter.

She poured all her time and effort into the quiet little girl. She packed her schedule with Girl Scouts and free summer camps, determined to make sure her granddaughter stayed out of trouble.

"Kids would tease me and say to me, 'Why is your mom so old?' " Belcher recalled.

Belcher was elated on May 29, 1991, when her mother returned to their home in Kansas City, Missouri, after serving three years of an eight-year sentence. Taylor got sober and attained her GED behind bars.

She returned to find her 7-year-old daughter blossoming into her polar opposite. The girl put her head into books and graced the honor roll regularly. She didn't rebel.

"I wanted to be everything my mother wasn't," Belcher said. "I loved my mom, but I couldn't do what she did."

"I did it all," said Taylor, now 48. By 13, she skipped school frequently to attend "hooky parties" where she used drugs and alcohol. By 16, she dropped out of high school. "When you're out there, you're out there."

The years after Taylor's release from prison also were tough on the mother-daughter relationship. As an adolescent, Belcher battled feelings of bitterness toward her mother and feared her mother would relapse.

"I felt angry," Belcher said, and the anger only grew during her high school years. "It wasn't fair to me. Why did I have to have a mother like that?"

Belcher threw herself into academics and excelled. She knew that many children without parents often end up in trouble and behind bars themselves. She didn't want that for herself.

"She had a life where she could have just gave up, but she didn't do that," said Williams, now 71. "She went straight ahead."

By 13, she was writing poetry. By 16, she was a track star at her high school and at the top of her class. She entered DePaul University in 2002 with nearly 50 scholarships.

Belcher is a high school English teacher at Whitney M. Young Magnet High School, a college preparatory school that boasts alums like Michelle Obama. She has a cozy apartment in Chicago, Illinois -- her first home that is all her own. This summer, she will apply for grants to start her own nonprofit to help children of incarcerated parents stay out of trouble.

Belcher said she admires her mother's resilience. She watched her search tirelessly for a job, despite her felony record. She is proud of her mother, who worked her way up to become a successful child care operator for the state of Minnesota after years of working in factories and fast food restaurants.

Today, her mother resides in Minneapolis, Minnesota, and her grandmother still lives in Kansas City, Missouri.

"You can't always control life's circumstances, but you can control how you react to them," Belcher said.

Her mother and grandmother will visit Belcher this weekend to celebrate completion of her master's degree -- and Mother's Day.

@highlight

Donnie Belcher's mother was incarcerated when she was 4

@highlight

Number of incarcerated mothers exploded 131 percent from 1991 to 2007

@highlight

"I wanted to be everything my mother wasn't," Belcher says

@highlight

More prisons are creating programs that preserve mother-child relationships