Allegations of a chemical weapons attack carried out by the Syrian regime last week have heightened tensions internationally. There's been tough talk from Western leaders and a flurry of activity by the United States -- all of which seem to suggest that a military strike against the regime could be in the offing.

But through it all, Syria seems to retain the support of some good friends.

Why do Russia, Iran and China continue to support a regime that's accused of slaughtering tens of thousands of civilians in the 2-year-old civil war?

Here's why.

Who wants what after chemical weapons horror

RUSSIA

Why it cares:

Two main reasons: One has to do with economics; the other with ideology.

a) Economics: Russia is one of Syria's biggest arms suppliers.

Syrian contracts with the Russian defense industry have likely exceeded $4 billion, according to Jeffrey Mankoff, an adjunct fellow with the Center for Strategic and International Studies Russia and Eurasia Program.

He noted the Stockholm International Peace Research Institute estimated the value of Russian arms sales to Syria at $162 million per year in both 2009 and 2010.

Moscow also signed a $550 million deal with Syria for combat training jets.

Russia also leases a naval facility at the Syrian port of Tartus, giving the Russian navy its only direct access to the Mediterranean, Mankoff said.

b) Ideology: Russia's key policy goal is blocking American efforts to shape the region.

Russia doesn't believe revolutions, wars and regime change bring stability and democracy. It often points to the Arab Spring and the U.S.-led war in Iraq as evidence.

Russia also doesn't trust U.S. intentions in the region. It believes humanitarian concerns are often used an excuse for pursuing America's own political and economic interests.

"Russia's backing of (Syrian President Bashar) al-Assad is not only driven by the need to preserve its naval presence in the Mediterranean, secure its energy contracts, or counter the West on 'regime change,'" said Anna Neistat, an associate program director at Human Rights Watch.

"It also stems from (Russian President Vladimir) Putin's existential fear for his own survival and the survival of the repressive system that he and al-Assad represent. In Putin's universe, al-Assad cannot lose because it means that one day he, Putin, might as well."

What it's saying:

Foreign Minister Sergey Lavrov insists there's no proof yet Syria's government is behind the chemical weapons attack. And any plans to strike Syria would challenge provisions of the U.N. charter, the ministry said.

The ministry accused Washington of trying to "create artificial groundless excuses for military intervention."

On Wednesday, Russia walked out of a U.N. Security Council meeting where Britain was expected to pursue a resolution to authorize the use of force against Syria.

"The West handles the Islamic world the way a monkey handles a grenade," Russian Deputy Prime Minister Dmitry Rogozin tweeted.

Why it matters:

Russia is a permanent member of the U.N. Security Council. It has the power to veto Security Council resolutions against the Syrian regime and has done so repeatedly over the past two years. So, if the United States and its allies are relying on a U.N. mandate to greenlight a military strike, they may be waiting a long time.

Chemical weapons in Syria: How did we get here?

IRAN

Why it cares:

Iran and Syria are bound by two factors: religion and strategy.

a) Religion: Iran is the world's most populous Shiite Muslim nation. The Syrian government is dominated by Alawites, a Shiite offshoot, and the rebels are dominated by Sunnis.

That connection has bound them for quite a while. Iran counted on Syria as its only Arab ally during its eight-year war with Iraq. Iraq was Sunni-dominated.

The last thing Iran wants now is a Sunni-dominated Syria -- especially as the rebels' main supporters are Iran's Persian Gulf rivals: Qatar and Saudi Arabia.

b) Strategy: For Iran, Syria is also a strategically key ally. It's Iran's main conduit to the Shiite militia Hezbollah in Lebanon, the proxy through which Iran can threaten Israel with an arsenal of short-range missiles.

In 2009, the top U.S. diplomat in Damascus disclosed that Syria had begun delivery of ballistic missiles to Hezbollah, according to official cables leaked to and published by WikiLeaks.

So, it's in Iran's interest to see al-Assad's regime remain intact.

Western intelligence officials believe the Islamic Republic has provided technical help such as intelligence, communications and advice on crowd control and weapons as protests in Syria morphed into resistance.

A U.N. panel reported in May that Iranian weapons destined for Syria but seized in Turkey included assault rifles, explosives, detonators, machine guns and mortar shells.

Ayham Kamel of Eurasia Group believes the Iranians must be alarmed that the tide is turning against al-Assad.

"Iran probably has excellent information regarding Assad's position. That information would make clear that Iran is increasingly likely to lose its only ally in the region, greatly reducing its strategic reach," he said.

What's it saying:

Iran has cast events in Syria as part of a much broader ideological battle. It's a "war between the front of hegemony and the front of resistance," Supreme Leader Ayatollah Ali Khamenei has said.

Iran's position, as outlined by Foreign Minister Javad Zarif and new President Hassan Rouhani, is that the Syrian government is a victim of international plots.

Iran believes the West and almost all Arab countries are in cahoots in an effort to implement regime change in Syria. Iran says the main objective of this plot is to make the region safer for Israel.

This week, Zarif warned of "graver conditions" in Syria is attacked.

"If any country attacks another when it wants, that is like the Middle Ages," Zarif said Wednesday.

Why it matters:

Many believe Iran is Washington's greatest threat in the region, especially with its nuclear potential. It's unclear how Iran might respond if Syria is attacked. But the rhetoric certainly has been ominous.

"Starting this fire will be like a spark in a large store of gunpowder, with unclear and unspecified outcomes and consequences,"  Khamenei told Iranian Cabinet members this week.

"The U.S. threats and possible intervention in Syria is a disaster for the region and if such an act is done, certainly, the Americans will sustain damage like when they interfered in Iraq and Afghanistan."

What justifies intervening if Syria uses chemical weapons?

CHINA

Why it cares:

China's relationship with Syria is more nuanced.

Some say it wants to maintain its financial ties. It was ranked as Syria's third-largest importer in 2010, according to data from the European Commission.

"Beijing's renewed interest in Damascus -- the traditional terminus node of the ancient Silk Road ... indicates that China sees Syria as an important trading hub," according to a 2010 report from The Jamestown Foundation, a Washington-based research and analysis institute.

But there's a bigger factor at play.

China has said foreign countries shouldn't meddle in Syria's internal affairs -- and perhaps for good reason. China has had its own share of international controversies over its policies with Tibet as well as allegations of human rights violations.

Finally, China doesn't want to reprise what happened with Libya.

It abstained from a U.N. Security Council resolution on that one, clearing the way for a NATO military intervention in Libya.

"It was rather disappointed with the payoff," said Yun Sun of the Brookings Institution, writing in the East-West Center's Asia Pacific Bulletin. "Neither the West nor the NTC (Libyan National Transitional Council) showed much appreciation for China's abstention."

So, he says, China has "formulated a far more sophisticated hedging strategy" when it comes to Syria.

"Rather than siding with either Assad or the opposition and standing aside to 'wait and see,' Beijing is actively betting on both."

What's it saying:

China said it is firmly opposed to the use of chemical weapons and supports the U.N.'s chemical weapons inspectors.

It also said it wants a political solution for Syria -- though some say hopes for such an ending have waned.

"A political solution is always the only realistic means to resolve the Syria issue," Foreign Minister Wang Yi said.

Like Russia, China also walked out of Wednesday's U.N. Security Council meeting where Britain planned to pursue a resolution on Syria.

Why it matters:

China is a permanent member of the U.N. Security Council. And like Russia, China has repeatedly blocked sanctions attempts against the Syrian regime -- leading to a perpetual stalemate at the U.N. body to take any serious action on Syria.

'Red line' debate: Chemical weapons worse than attacks?

@highlight

Russia has sold billions of dollars in arms to Syria

@highlight

Iran is the most populous Shiite Muslim nation; al-Assad is Alawite, a Shiite offshoot

@highlight

China said it still wants to see a political solution in Syria