London (CNN) -- In recent days, rogue Afghan security forces have killed six servicemen from the NATO-led military coalition, pushing the number of such fatalities past 50 in a single year for the first time. The death toll highlights one of the biggest challenges facing the coalition as it nears the end of its role in Afghanistan's war.

These killings, known as "green-on-blue" or "insider attacks," have increased substantially within the past two years, accounting for 14% of coalition casualties in 2012. Though statistically small compared to the numbers of IED-related (roadside bomb) deaths, these attacks have a significant impact on the coalition's mission in Afghanistan.

The two provinces burdened with the bulk of green-on-blue attacks are Helmand and Kandahar. It is no coincidence that these areas are where the Taliban are strongest, and where the country's highest levels of opium poppy cultivation help fund the insurgency.

Green-on-blue attacks began to accelerate in 2011, just after U.S. President Barack Obama announced his plan to pull U.S. forces out of Afghanistan and end combat operations in 2014, transferring security responsibilities to the Afghan forces.

The success of the transition from NATO-led to Afghan-led forces depends on the competence and commitment of the Afghan National Army and Afghan National Police.

But the Taliban, operating from safe havens in Pakistan, say they have stepped up efforts to infiltrate both groups, and regularly claim responsibility for each incident. The spread of green-on-blue attacks has left coalition forces increasingly suspicious of the Afghan forces they are training and fighting alongside.

News: U.S. restricts Afghan operations after 'green-on-blue' killings

Some Afghans in government believe that insider attacks are based on resentment towards coalition forces based on the increasing number of civilian deaths after more than a decade of the Taliban insurgency.

In a step towards the transition, Afghanistan and the U.S. have reached a deal to curb night raids on Afghan homes, giving Kabul a veto over the operations, which are unpopular with local people.

But although cultural and social differences may play a role in the increase in attacks, defections by Afghan security, sometimes motivated by economic reasons, play a far more significant part in the green-on-blue attacks.

The U.S. military has tried to take action to prevent attacks by Afghan forces, appointing monitors to provide security for troops working with Afghans, boosting its counterintelligence infrastructure in Afghanistan, adopting an eight-step vetting process for Afghan recruits and revising the training they receive.

In addition all U.S. and NATO troops were recently ordered to carry loaded weapons at all times. So far, though, none of these strategies appear to be stemming flow of violence, only serving to increase the trust deficit between coalition and Afghan forces

The Taliban have utilized green-on-blue attacks in their propaganda: Last month, Mullah Omar, leader of the Taliban faction known as the Quetta Shura, claimed the Taliban had "cleverly infiltrated in the ranks of the enemy" and encouraged Afghan government officials and security personnel to defect to the Taliban as a matter of religious obligation.

One could argue the Taliban communicate better with the Afghan people than coalition troops, distributing internet videos through websites and mobile phones, which are becoming omnipresent -- more than half of the Afghan population is reported to own a cellphone.

The anti-Islam video which went viral this month created a spark that quickly spread, engulfing the Islamic world in anger, with radical militant groups fanning the flames.

Recent events provide reminders of what happened when the Danish Jyllands-Posten newspaper published controversial cartoons of the Prophet Mohammed in 2005, triggering mass protests across the Islamic world and inspiring several terrorist plots.

But the video may have even greater long-term consequences than the cartoons, especially in the age of new media. Once a video goes viral, it cannot be contained. The item may be taken down from some websites but it will be uploaded on others. It can be edited, altered, re-imagined, and sent instantaneously to fuel tensions and exacerbate problems.

The Taliban may use this video to provoke resentment within the Afghan security forces on the one hand, and increase anti-Western sentiment on the other hand, potentially contributing to further green-on-blue attacks.

The Taliban's aim seems to be to wear out coalition forces before the handover, and to diminish the West's credibility among the local population. They know the coalition's limitations and have been emboldened by the scheduled withdrawal of foreign forces.

News: Quarter of Afghan insider attacks by Taliban, according to general

Coalition forces may be content to contain the Taliban threat to a "manageable level" before they leave, but this adversely affects their efficacy in the eyes of the Afghan populace.

The Taliban have numerous advantages over coalition forces in Afghanistan: They have a wide recruiting base, and thanks to the drug trade they can pay recruits better than the Afghan army or police, giving them greater staying power. The number of volunteers seems to be increasing on a daily basis.

It's worth remembering that the Taliban is not a homogenous group: It has many factions and is a mixture of characters from ideologues, warlords and land owners to criminals, drug dealers and people out of work.

The displaced and disillusioned followers of the Taliban were molded by their country's history of violence, and the coalition's desire for a peaceful but quick resolution has resulted in a cheap, flawed peace initiative.

The Taliban realize the West is under pressure and do not feel any desire or need to seriously negotiate when they can simply bide their time and wait for the withdrawal of troops to stake their claim to control Afghanistan in the future.

The scheduled withdrawal of foreign forces means they do not need to make any commitment to prevent al Qaeda and its affiliates from returning, to halt the opium trade or to improve the rights of women.

What the coalition does not seem to realize is that by firstly advertising their departure date in advance and secondly holding firm to their withdrawal timeline, they have complicated the situation and worsened the damage.

Clearly, the hope of talking to the Taliban has failed. They are far from being contained and instead feel they are in the ascendency.

Despite the enormous security problems that exist -- suicide bombings, IED attacks, and green-on-blue incidents -- abandoning Afghanistan will create lasting consequences.

Not only will the Taliban reassert its authority throughout the south of the country through, fear, repression and discrimination, Afghanistan will again revert to becoming a cesspool for terrorist groups like al Qaeda.

In addition, the cultivation of opium poppies will turn parts of Afghanistan into a narco-state controlled and sanctioned by the Taliban, providing resources to a terrorist infrastructure in Afghanistan and safe havens in neighboring Pakistan to plot and plan attacks across the globe, making the situation potentially more vulnerable than it was before the September 11, 2001, terrorist attacks.

Read more about green-on-blue attacks on CNN's Security Clearance blog

The opinions expressed in this post are solely those of Sajjan Gohel.

@highlight

More than 50 coalition troops have been killed in "insider attacks" in 2012

@highlight

Attacks -- by Afghan police and soldiers -- have damaged trust between the two forces

@highlight

Taliban using green-on-blue attacks as propaganda

@highlight

Gohel: Anti-Islam video may provoke further attacks