Indianapolis (CNN) -- As soon as 36-year Senate veteran Richard Lugar finished his concession speech Tuesday, he walked off the stage, out the back door and into his car.

But he left behind something unusual and -- in the annals of politics -- somewhat extraordinary.

Lugar had his aides distribute a prepared statement that was part detailed defense of his ill-fated and often maligned campaign strategy, and part stark warning to both parties about the divisive state of American politics -- starting with Richard Mourdock, the Republican who beat him.

"His embrace of an unrelenting partisan mindset is irreconcilable with my philosophy of governance and my experience of what brings results for Hoosiers in the Senate. In effect, what he has promised in this campaign is reflexive votes for a rejectionist orthodoxy and rigid opposition to the actions and proposals of the other party," Lugar wrote of Mourdock,

Read Lugar's statement

Mourdock appealed to Republican voters by arguing Lugar's tolerance for compromise should be replaced by stand-your-ground confrontation.

"He has pledged his support to groups whose prime mission is to cleanse the Republican party of those who stray from orthodoxy as they see it," said Lugar of the GOP opponent who beat him.

"This is not conducive to problem solving and governance. And he will find that unless he modifies his approach, he will achieve little as a legislator. Worse, he will help delay solutions that are totally beyond the capacity of partisan majorities to achieve," said Lugar.

Lugar, a senior Republican statesman who briefed President Dwight Eisenhower as a young naval officer, offered a shot across the bow to today's GOP.

He said if Republicans continue to make it difficult for legislators to find compromise, "we will be relegated to minority status. Parties don't succeed for long if they stop appealing to voters who may disagree with them on some issues."

And he didn't stop there.

His stinging words about today's divisive politics were reminiscent of moderate Republican Senator Olympia Snowe's open disgust for what the process has become when she announced she was retiring.

"I don't remember a time when so many topics have become politically unmentionable in one party or the other. Republicans cannot admit to any nuance in policy on climate change. Republican members are now expected to take pledges against any tax increases. For two consecutive presidential nomination cycles, GOP candidates competed with one another to express the most strident anti-immigration view, even at the risk of alienating a huge voting bloc," said Lugar.

The six-term Republican was hammered by Mourdock and outside groups for voting for President Obama's two Supreme Court picks and supporting other parts of the president's agenda from immigration to energy.

Lugar cast some votes and took positions - like defending earmarks - that he knew would be unpopular with the GOP base and could even lead to a primary defeat.

Many Republican strategists -- including close allies and longtime supporters -- were perplexed that he didn't tack right and alter his rhetoric in order to better position himself.

In his unusual departing treatise, Lugar said he believes his votes for Wall Street and auto industry bailouts, and immigration reforms were "the right votes for the country."

"I stand by them without regrets," said Lugar.

"Ideology cannot be a substitute for a determination to think for yourself, for a willingness to study an issue objectively, and for the fortitude to sometimes disagree with your party or even your constituents," he said.

Earlier in the day, Sen. John McCain, R-Arizona, a Lugar supporter who avoided his own Senate primary defeat two years ago with scorched earth strategy against his opponent, told CNN he believes a lesson from a Lugar loss is not to play defense.

McCain was saying out loud what many GOP strategists had said in private: that Lugar allowed opponents to define him and did not adequately prepare a re-election campaign in today's anti-incumbent environment.

Lugar tried to dispel that.

"The truth is that the headwinds in this race were abundantly apparent long before Richard Mourdock announced his candidacy. One does not highlight such headwinds publicly when one is waging a campaign. But I knew that I would face an extremely strong anti-incumbent mood following a recession," said Lugar.

To people who whispered loudly that Lugar simply didn't work hard enough to get back to Indiana and prove he hasn't lost touch, he insisted that "there never was a moment when my campaign took anything for granted."

With so many of Lugar's moderate colleagues in both parties deciding to call it quits this year rather than face bruising re-election campaigns, it has been perplexing why the octogenarian didn't choose to cap off a stellar career by retiring on his own terms.

He had a carefully-crafted answer for that too, saying his goals on domestic and foreign policy "would benefit from my continued service as a Senator."

"These goals were worth the risk of an electoral defeat and the costs of a hard campaign," he said.

In the end, Lugar did this the way he wanted -- the way so many of his former aides and supporters say he has always done things: his way.

Not always politically expedient or strategically smart, but, from his perspective, principled.

@highlight

Lugar delivers a statement that is part defense and part warning

@highlight

Mourdock's stand-your-ground approach is not conducive to problem-solving, Lugar says

@highlight

He says he stands by his votes "without regrets"