Kuwait (CNN) -- A former military bunker in the desert is one of the last places you might expect to find nature bloom.

But above a maze of abandoned foxholes to the north of Kuwait's capital lies a landscape that shimmers green and purple with vegetation, attracting foxes, migratory birds and other wildlife.

The Sabah Al-Ahmad nature reserve occupies land that once served as an important base for Saddam Hussein's army during its invasion of Kuwait from 1990-1.

Iraq's annexation of its southern neighbor, which began in August 1990 and lasted until the liberation the following February, had a devastating impact not only on Kuwait's people, but its ecology, said Dr Samira Omar Asem of the Kuwait Institute for Scientific Research.

One of Kuwait's leading environmental scientists, with three decades experience in resource conservation, Asem has played a major role in restoring Kuwait's war-ravaged ecosystems as head of the United Nations Compensation Commission's environmental remediation program. The body was established in 1991 to process claims and pay compensation damages suffered as a result of the occupation of Kuwait, and processed its final claim in 2005.

The war, said Asem, resulted in "a lot of aggression against the environment" -- most infamously, the destruction of Kuwait's oil fields as part of Hussein's "scorched earth" policy on retreat.

More than 700 wells were destroyed, choking the skies with black smoke in an inferno that raged for eight months before firefighters eventually extinguished the blaze.

But substantial damage was inflicted during the occupation as well. As the Iraqi army swept through the country, it built an elaborate system of fortifications, destroying the fragile desert ecosystem. About 24,000 fortifications were built in the area of the reserve alone, she said.

"I saw these bunkers immediately after liberation," she said. "They had services established under the ground. So you can imagine ... a natural reserve is being converted into a headquarters for military activities. The whole reserve was full of ammunition."

The abandoned, unexploded ordnance, combined with oil from leaks or deliberately flooded trenches, has left a hazardous environment for rehabilitation workers to operate in.

"All this heavy machinery and vehicles caused a lot of soil compaction, changed the landscape, and allowed more sand to move and caused a lot of erosion," she said.

At the Sabah Al-Ahmad nature reserve, environmental remediation has involved planting trees and building ponds to bring back wildlife, resulting in a flourishing desert ecosystem.

"This is a major achievement for the government of Kuwait, to preserve the natural history for the new generations and the existing generations," she said. "It is our contribution for the international community to say that we are serious about protecting our environment."

But the reserve is only a first step. More than one billion barrels were burned and spilled in the oil field destruction at the end of the war, and the country still bears the scars of that legacy.

Outside the reserve, the deserts remain affected, with large lakes of oil -- caused by leaked crude oil mixing with the billions of gallons of seawater used to extinguish the flames -- contaminating the sands across about 100 square kilometers of desert.

The clean-up effort, says Asem, still has a long way to go.

Follow the Inside the Middle East team on Twitter: Reporter: Zain Verjee: @zainverjeecnn, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN, writer Tim Hume: @tim_hume and digital producer Mairi Mackay @mairicnn.

@highlight

Kuwait was ecologically devastated during its annexation by Iraq in 1990-1

@highlight

Environmental scientists have been working to rehabilitate the environment

@highlight

Iraqi troops dug extensive military fortifications in the desert, upsetting the ecosystem

@highlight

On retreat, they destroyed 700 oil wells in a "scorched earth" policy