(CNN) -- Why did he do it?

That's what so many of us are asking after Jaylen Fryberg, a popular freshman, opened fire on classmates during lunch at Marysville-Pilchuck High School north of Seattle on Friday.

The shootings left two girls dead and three other students injured, including two of Fryberg's cousins, one of whom remains in critical condition. Fryberg died after turning the gun on himself.

We typically assume that school shooters fit the narrative of a loner, struggling to fit in, ostracized and bullied by his peers. But by all accounts, Fryberg was well-liked, a member of the football team who planned to try out for wrestling too and who was recently named the school's freshman homecoming prince.

What made him snap?

We don't know and may never know, but as reports come in that Fryberg might have been dealing with a breakup or anger that a girl he liked rebuffed him and was with his cousin, we have to ask ourselves whether we are doing enough to help our boys deal with difficult emotions and express them without resorting to violence.

Fryberg, it seems, was using social media to express some of the pain he appeared to be feeling.

Washington school shooting forgives the gunman -- his cousin

"Tell me what your plan is," he wrote on Twitter at the end of August. "You can't make a bond with anyone like the bond me and you have right now.... Tell me what your going to do."

He went on to say, "Your gonna piss me off... And then some (expletive's) gonna go down and I don't think you'll like it."

Days before the shooting, he wrote, "It breaks me... It actually does... I know it seems like I'm sweating it off... But I'm not.. And I never will be able to."

"It's a cry for help," said Avital Norman Nathman, who wrote a story for The Frisky on the Washington tragedy headlined "School Shootings, Toxic Masculinity and 'Boys Will Be Boys.'"

"This kid was hurting, but do we have a safe space for young men to feel OK talking about their feelings without fear of repercussion, whether that's teasing, even if it's gentle ribbing?" asked Norman Nathman, editor of the motherhood anthology "The Good Mother Myth."

Emotional literacy in boys

Type "emotional literacy for boys" into Google, and "Raising Cain: Protecting the Emotional Life of Boys" is the first item that will pop up. Coincidentally, the book came out just days before the Columbine school shooting.

Co-author Michael Thompson says the "cultural ideal of masculinity," the thinking that men need to be strong and independent, is causing many boys and young men to have trouble bearing difficult emotions.

Masculinity, mental illness and guns: A lethal equation?

"Teenage boys still have the myths," Thompson said. "They still believe in the myths of total strength and independence, and when your girlfriend (drops) you and you are flooded with feelings of loss, shame and abandonment, then you think you can't manage these feelings.

"And that's where the issue of emotional literacy comes in, because emotional literacy means being able to identify your feelings and being able to manage them," said Thompson, a clinical psychologist who works at a boys school in Massachusetts.

"The Mask You Live In," to be released in 2015, is a film about the impact that our "narrow definition" of masculinity is having on boys, men and society in general.

The experts interviewed for the film say "that boys have been socialized in such a way that they're not supposed to experience pain or suffering and that they're expected to be dominant, stoic and in control at all times," said Jennifer Siebel Newsom, the film's writer, producer and director. She also wrote, produced and directed the documentary "Miss Representation," which examined the role of the media in the underrepresentation of women in power.

"If young men do not have an outlet for expressing their feelings and communicating honestly and outwardly with others, they are subject to an incredibly lonely and isolating existence," said Siebel Newsom, who is also the founder and chief executive officer of the non-profit The Representation Project.

The numbers paint a portrait of frustration and despair that can lead to extreme behavior: Eighty-one percent of completed suicides among young people ages 10 to 24 are by boys, according to the Centers for Disease Control and Prevention. Although girls attempt suicide twice as often, Thompson said, they typically leave notes or take pills, whereas boys often "get a gun or hang themselves or they jump off a bridge."

"Why are they doing that?" Thompson asked. "Well, they feel they have to do something that looks strong. 'I'm hurt but I'm still strong. I can leap off a bridge.' They do what in many ways is the final test of masculinity."

What more can we do to help boys?

Siebel Newsom believes a conversation is necessary among parents, guardians, educators and coaches and young men, allowing boys to know that "there is more than one way to 'be a man.' "

SOS for stressed-out teens

"We have to redefine healthy masculinity for our boys to include empathy, emotion, care and compassion," she said. "And we have to model it, challenging unhealthy dominant norms in public culture and daily life."

Thompson said that as we see an increase in fathers' involvement in their sons' lives, people's idea of masculinity will change.

"If your father is diapering you from the get-go and taking care of you and bathing you and feeding you, then you don't think masculinity is just a 'tough thing.' "

He also said we should think about encouraging our boys to take on caretaking positions, just like girls do, in terms of babysitting or helping the elderly.

"Meeting the needs of somebody who's dependent allows you to become more accepting of your own dependency needs," he said.

Do modern dads get enough credit?

Parents need to talk to their boys, but too often they aren't using the right words, said Thompson.

"They're often saying 'Be in touch with your emotions' ... 'Embrace your inner femininity,' and men experience that as they are being told to be more like women, and they reject it, and teenage boys do especially."

Dad: No 'be a man' narrative in home

Jim Higley of Chicago, who has two sons and a daughter, said he has always tried to help his sons understand what they are feeling by "literally saying to them, 'You're feeling frustrated / anxious / nervous / hurt right now, but I promise that feeling will go away.' "

"As a dad, we are obligated to take our sons by the hand and make sure they are as familiar with their emotions as they are with healthy eating habits, the importance of exercise and sexuality," said Higley, an award-winning author, radio host and creator of the site Bobblehead Dad.

Buzz Bishop, father of two boys who are 4 and 7, said the "be a man" narrative is not present in their home.

"There are not stereotypical gender roles in the house," said Bishop, of Calgary, Alberta, who founded a blog called Dad Camp. "I am an active and engaged parent and don't feel the need to berate masculinity into them."

Terry Greenwald, a divorced father of three, says he has spent a lifetime dealing with his own emotions and trying to find ways to deal with them effectively.

When it comes to his younger son, who is 26, he believes he has been dealing with the "being tough" issue since the boy started playing hockey when he was 5.

"They fall or get hit and are told 'be tough' or 'get back out there,' " Greenwald said. "As a parent and a former athlete, I wanted him to find a balance, not let little things stop him but also not to try and keep playing if he really was hurt."

Greenwald said he tried to strike a balance with his son with emotional issues too -- "what to share and what to hold inside" -- and to this day tries to initiate conversations with his son "to open the doors to him expressing his feelings."

Norman Nathman, who has a 7-year-old son, says they play the song "It's Alright to Cry" from the hit '70s album "Free to Be ... You and Me" all the time in their household.

"It's such a simple concept but one that gets lost to boys as they grow up," she said.

She wishes middle and high schools would focus as much on emotional development as many elementary schools do, where the goal is giving boys tools on how to work out feelings, just like they have tools for math and language arts.

"It's just padding up their tool belt so they have more things to go to before it boils over and it turns into any number of these tragedies."

How much do the you think the "be a man" messaging in society is hurting our boys and young men? Tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

Jaylen Fryberg, the Washington school shooter, may have been dealing with a broken heart

@highlight

The tragedy has parents asking whether we're doing enough to help boys with their feelings

@highlight

"Cultural ideal of masculinity" is hurting boys, said the co-author of "Raising Cain"

@highlight

We need to "redefine healthy masculinity" for boys, a documentary filmmaker says