(CNN) -- Running along the banks of the Seine Sunday, I take a lap around the giant hot air balloon in the south of Paris hovering gently over the Parc André Citroen.

Essentially a giant weather balloon, its LEDs sparkled green -- Parisian air quality is just fine, a significant change from just two days before, Friday March 14, when the light flashed ominously red.

Friday's visibility levels were so bad that most Parisians couldn't even see the balloon -- let alone the Eiffel Tower.

Warmer temperatures and scarce winds caused particulate levels to reach record highs, spurring the city into action.

Paris' City Hall launched unprecedented policies aimed at reducing traffic in and around the city.

According to Laure Bencheikh of the RATP, Paris's transit authority, for the first time ever public transportation including the metro, regional trains, trams and buses were all free.

Supplementary trains added 600,000 to 1 million seats across the various lines.

It cost the city around €4 million ($5.6 million) per day.

The measure, Bencheikh said, encouraged those who would normally take their cars to opt for public transport.

The city also waived fees for the popular bike-sharing program, the Vélib, as well as the electric car share, Autolib.

Both services saw 61% and 31% increases respectively during a five day period, according to City Hall.

But do these measures ever actually help to improve air quality long-term?

Varied results to date

There are some precedents.

A 2013 study suggests that Beijing's particulate levels dropped by 20% thanks to its 2008 driving restrictions.

Excessive restrictions during a religious celebration reportedly cut 30,000 tons of carbon emissions in Bali by abstaining from almost all carbon-producing activities.

However, a partial car ban in Mexico City actually increased air pollution according to one study, as drivers bought extra vehicles.

Parisians were warned to avoid strenuous activity as a result of the air, but runners weren't about to ditch the final weeks of marathon training before the Paris Marathon on April 6.

Théo Bayssat organizes group runs through Jogg.in, but Thursday night's event just before the pollution hit its peak on Friday was an ordeal. "We really felt it. It was impossible to breath," Bayssat says.

By Sunday, the air cleared up and I joined dozens of runners huffing along the riverbank.

For the rest of Paris, free transport was the cherry on top of an otherwise perfect Sunday as the air quality improved -- momentarily.

Jessica Walker, an American living in Paris, took advantage of the system, though said the smog was unbearable on Friday as she rode a Vélib.

On Sunday, she took the RER C train to Versailles for some sightseeing at one of the world's most famous chateaux. "I went for the first time in over a year. The free ride facilitates things enormously," she says.

Come Monday, it was a different story.

Pollution flared again, and as Parisians headed to work, a system was implemented to allow only those cars with odd number license plates within Paris, with free parking for even numbered plates.

Certain exceptions were noted on the city's website, including electric and hybrid cars, and vehicles carrying three or more people.

The short-term improvements in air quality are most likely due to changing weather conditions, and not temporary car bans, says Charlotte Songeur, an engineer at Paris's air quality control Airparif.

Nevertheless government intervention is still positive, she says.

"Every solution that can reduce emissions is good for air quality," she says. "For one day, it's a good emergency solution."

Long-term measures required

A study in San Paulo and other cities concluded that certain restrictions can alleviate extreme spikes in pollution, but only long-term measures will actually improve air quality.

Twitter erupted with Parisians complaining about the restrictions as disruptions hit regional trains to the suburbs including the RER C and RER D.

Around 4,000 defiant drivers were stopped on the way into the city at check points like the Place Vendome and Trocadéro by an added force of traffic police and fined €22 ($31).

For those who couldn't drive, RATP maintained its free transport through Monday evening, and the measures ended Tuesday.

The effectiveness of the free transportation will be hard to measure, and may be speculative at best.

At many stations, access doors were simply left open, preventing an official count of those going through turnstiles or scanning passes, Bencheikh said.

With no official figures available, she said that traffic volume on RATP facilities felt normal. Commuters echoed her observations.

The situation has, however, opened the door for the inevitable capitalization by politicians vying for votes in this month's elections.

Socialist candidate Anne Hidalgo called for electric buses to replace diesel ones on RATP lines, as well as implementing an electric scooter-sharing program, dubbed Scootlib.

UMP candidate Nathalie Kosciusko-Morizet used the pollution to criticize Hidalgo's party for a lack of environmental action.

Even Nissan chimed in, using the event to push its 100% electric cars as a response to the driving restrictions with a well-placed Twitter ad.

While some may be capitalizing on an otherwise discouraging few days, this weekend has been a wake-up call for Parisians, making air pollution a concrete issue for the first time.

And Paris is not alone, as parts of southern France are reporting increasingly poor air quality.

Jérôme Giacomoni, cofounder of Aerophile, the agency that designed Paris' weather balloon, said that the weekend's spike in pollution is rare, but everyone is participating in the conversation now.

"Friday was the worst I've ever seen," he said, "but I think people are finally paying attention to air quality."

Bryan Pirolli is a freelance correspondent based in Paris.

@highlight

Paris made public transport free and partially banned cars to contain pollution levels this week

@highlight

Drivers unhappy, though some report improved air quality as a result

@highlight

Biggest changes likely due to weather, long-term measures needed say campaigners