Kiev, Ukraine (CNN) -- A convoy of 280 Russian trucks headed for Ukraine, which Moscow says is carrying relief goods for war-weary civilians, has suddenly changed course, according to a Ukrainian state news agency.

With thousands of Russian troops still posted near the Ukrainian border and Ukraine's military putting increasing pressure on pro-Russian fighters around the city of Donetsk, many in Ukraine and elsewhere fear that the so-called humanitarian mission is actually an attempt to smuggle supplies to pro-Russian rebels.

"Russia keeps inventing new excuses for their policy," Ukraine's deputy foreign minister, Danylo Lubkivsky, said Tuesday in Kiev. "In Georgia, it was defending pro-Russian minorities. In Ukraine's Crimea, preventing NATO invasion."

The International Committee of the Red Cross contacted the aid convoy in the Rostov region, the organization said Thursday via Twitter. The group said it would discuss with Ukrainian officials how the operation will be conducted.

The convoy was seen earlier in the day 25 miles from the Ukrainian border in the Rostov region, according to video shot and distributed by Reuters.

If the trucks cross the border and before they reach the area controlled by separatists, they would have to be examined by Ukrainian border guards, a Ukrainian security official said.

At that point, the convoy would be handed over to Red Cross representatives, the official said.

The office of the Ukrainian counterterrorism operation said Thursday it could not confirm that the convoy has crossed on the Ukrainian side. The Ukrainian border service denied reports that the convoy had crossed from Russia.

"All responsibility for the safety of this convoy lays with Russia because it is controlling armed mercenaries there," Ukrainian national security and defense council spokesman Andeiy Lysenko told reporters in Kiev.

The trucks had been expected to arrive at a checkpoint in Kharkiv on Wednesday but bypassed that route, according to the website Ukrinform. It's not clear what route the convoy will now take.

"In Donbas," Lubkivsky said, referring to the war-torn eastern region of Ukraine that includes the contested cities of Donetsk and Luhansk, "they are trying to use the pretext of humanitarian aid and assistance."

Without offering proof, Ukrainian officials have even accused Russia of repainting military vehicles white to disguise their efforts.

In Kiev, where many loyalties lie with the Ukrainian government, skepticism of Russian President Vladimir Putin's motive was rampant among residents.

"Normal people do not send guns to kill people and food for them to eat in the same cars," said IT specialist Igor Vlasenko. "I think most Ukrainians want him to leave Ukraine alone. We can help ourselves."

And it's not just the Ukrainians raising concerns about a possible Russian Trojan horse.

Red Cross flummoxed

In an interview Monday with Reuters, NATO Secretary General Anders Fogh Rasmussen spoke of a "high probability" that Russia will invade Ukraine.

"We see the Russians developing the narrative and the pretext for such an operation under the guise of a humanitarian operation, and we see a military buildup that could be used to conduct such illegal military operations in Ukraine," he said.

Russia has acknowledged sending the convoy. In a conversation Monday with the President of the European Commission, Putin said his country was working with the International Committee of the Red Cross to deliver aid to civilians suffering as a result of savage fighting there.

Except the Red Cross said at the time that it didn't know what Putin was talking about.

Spokesman Andrew Loersch said the agency doesn't have any agreement with Russia on such a convoy.

And Red Cross European operations chief Laurent Corbaz said Tuesday in Geneva that the agency hasn't gotten much clarity from Moscow about its purported role in the operation, including how the aid would be handed over and security guarantees for Red Cross workers.

"We said that we could be on board but that we needed to have some clarification first regarding modalities, practical steps that have to be implemented prior to a launch of such an operation," he said.

Red Cross officials don't even know what's in the shipment, Corbaz said.

According to the Russian news agency Itar-Tass, the shipment is bound for Luhansk and contains 400 tons of grain, 100 tons of sugar, 62 tons of baby food, 54 tons of medical supplies, sleeping bags and "electrical power units."

At the opening of a Ukraine Cabinet meeting on Wednesday, Prime Minister Arseniy Yatsenyuk said that "Ukraine can receive humanitarian aid exclusively through the Red Cross and within international legal framework."

'False pretense'

But after an incident Saturday in which Ukrainian officials claim to have stopped a purported aid convoy accompanied by Russian troops, Ukraine has vowed to stop any "uncertified" aid convoy from Russia.

In the Saturday incident, Ukraine's Deputy Head of the Presidential Administration Valeriy Chaly told a Ukrainian television channel that the convoy was nothing more than a Russian provocation.

"Under a false pretense of agreement with the International Committee of the Red Cross in Ukraine, a humanitarian convoy of 'peacekeepers' was ready to enter the country, apparently in order to provoke a full-scale conflict," he said.

U.S. officials have warned Russia against using aid as a means of wading deeper into the Ukraine conflict.

At a U.N. Security Council meeting Saturday, U.S. Ambassador Samantha Power said Russia has no business delivering aid in Ukraine when international aid groups are better equipped to do the job.

"Therefore, any further unilateral intervention by Russia into Ukrainian territory -- including one under the guise of providing humanitarian aid -- would be completely unacceptable and deeply alarming," she said. "And it would be viewed as an invasion of Ukraine."

Secretary of State John Kerry made a similar point with his Russian counterpart on Saturday, according to the State Department.

While Western leaders have refused any suggestion that Russian acts could draw NATO nations into war over Ukraine, they do say it would lead to even stricter economic sanctions against Russia than those already imposed by the United States and the European Union.

So far, Russian officials have shrugged off the sanctions.

Rebels on the ropes?

Moscow's decision to send the convoy comes as about 50,000 Ukrainian troops press forward with an offensive to rout rebel fighters from Donetsk.

They have put increasing pressure on the rebel fighters, and Ukrainian officials say they expect to be able to fully recapture the city by Ukraine's Independence Day on August 24.

The ongoing fighting -- sparked last year with a political crisis over whether Ukraine would seek closer ties with Europe or Russia -- has left more than 2,000 people dead and just under 5,000 wounded in eastern Ukraine since mid-April, according to estimates from U.N. officials that they called "conservative." The officials say the death toll has been on the rise in recent days, with reports of at least 41 killed and 143 wounded on Thursday alone.

Hundreds of thousands have been forced to flee their homes and seek shelter either elsewhere in Ukraine or across the border in Russia, the United Nations says.

Russia's Putin issues retaliatory ban on food imports

Opinion: Why Vladimir Putin isn't going to make peace

How rebels in Ukraine built up an arsenal capable of reaching the skies

Michael Pearson reported and wrote from Atlanta; Lindsay Isaac reported from Kiev; CNN's Jason Hanna, Will Ripley and journalist Victoria Butenko contributed to this report.

@highlight

New: Red Cross says it made contact with convoy

@highlight

Ukrainian media say Russian trucks bypassed expected checkpoint

@highlight

Russians say convoy contains aid for war-weary civilians

@highlight

The convoy comes as Ukraine makes strides against pro-Russian rebels