(CNN)It's a sunny April afternoon at the University of Rwanda College of Education in Kigali. Some students huddle in groups conversing in hushed voices; others hurry between buildings carrying books. Exams begin in a week.

On a grassy knoll behind an office block, Jean Claude Nkusi is giving his 24 children a talking to. "Study hard everyone," he says. "If you work hard you can improve your life and make it better."

This isn't your typical family. Nkusi is 23. None of his "children" share his DNA. In fact, the only thing linking them is that they're all genocide survivors -- ethnic Rwandan Tutsis who lost their families in the 1994 violence that killed 800,000 people.

'It's because of history'

Creating "artificial families" to help young genocide survivors cope is the brainchild of an organization called the Association for Student Genocide Survivors (AERG). Originally founded by 12 University of Rwanda students in 1996, they've expanded to 43,397 university and high school students from across the tiny east-central African country today.

AERG initially creates families from members based on the secondary school or university they attend, after which the newly-formed family meet to democratically elect a willing father and mother from among their ranks. Though they don't all live together, they do help each other out financially and attempt to pool their resources.

In the University of Rwanda's College of Education alone there are 21 such families, with hundreds more being set up across the country.

"(We) Rwandans, we used to have big families but during the genocide many people were killed," says Daniel Tuyizere, AERG's second vice coordinator at the University of Rwanda.

"To fight against that, we have to build artificial families so that we can go back to the way we were," he adds. "That's why you can find a father with 25 children -- it's because of that, it's because of history."

AERG National Coordinator Constantine Rukundo explains that the concept stems from a basic necessity.

"You need someone to care about you," she says, adding that the aim is that the families will stay together for life. "When you get married your family will be there; they'll be the first to help you."

Scarred by war

UNICEF estimates that 95,000 children were orphaned as a result of the genocide. Seventy per cent witnessed murders or injuries, while many were victims of violence and rape themselves.

Their problems continued after 1994. By 2001, an estimated 264,000 Rwandan children had lost one or both parents to AIDS, a disease which was partly spread through the use of rape as a tool of war.

Today many of these young people suffer disproportionately from poverty, homelessness, trauma and legal issues, including having had their deceased parents' land taken away from them when they were too young to claim it.

Bringing light back

Rwanda is currently in the middle of 100 days of mourning. The 20th anniversary commemorations have been upsetting for many of the young people who still carry both physical and mental scars from the past.

Kelsey Finnegan, Project Officer at Survivors Fund, says that trauma permeates into many different aspects of their lives: "Many for example have difficulties studying, maintaining relationships, or have issues with drugs and alcohol."

Kevin Mugina, 21, says that being in a family environment helps young people to deal with their emotions. "Some people used to be very angry." He says that together they discuss their feelings and how to control them enough so that they can live peacefully with their neighbors.

Yet, he adds, trauma among his peers is still a huge issue. "We have kids who have been so shocked from genocide that they have a permanent shock -- that is one of our big problems."

But overall, it seems that they are in good hands. Augustin Nsengiyumua, 27, calls up his artificial mother for all sorts of small things. "For example if I don't have a pen, or I don't have soap," he says.

Younger than several of his artificial offspring, Nkusi says that fatherhood is a lot of responsibility but he relishes it. "You have to know every situation that your children are in -- if they're studying without any problem, if they're eating, everyday life. If one of them is sick I have to be the first one to know it."

He has named their family Urumuri.

"Urumuri," Nkusi says, "means to light something up. It's when something was dark, and now it is bright again."

READ THIS: Intimate images capture the new Rwanda

READ THIS: Orphaned siblings create Rwanda's Craigslist

@highlight

Young genocide survivors are coming together to form "artificial families" in Rwanda

@highlight

They help each other financially and offer emotional support

@highlight

20 years after the genocide, many young people still carry scars from the past

@highlight

The country is currently in the middle of 100 days of mourning