New York (CNN) -- Printed on the back of "the Hitchhiker's Guide to the Galaxy" are the words "Don't Panic." And it is just this sentiment that Congress needs to internalize now that we have a decision from the Supreme Court in Citizens United v. Federal Election Commission.

As expected, the court of Chief Justice John Roberts took a decidedly regressive tack on campaign financing limits and granted corporations the same speech rights enjoyed by living, breathing persons.

This is a bad decision.

Gone are the ban on the use of corporate treasury funds in federal elections and the requirement that corporations use political action committees to advocate for a candidate. Corporations can now dip into their deep treasuries to spend on politics.

Corporate money may now be infused into elections in ways we can only begin to imagine.

For Congress, this ruling comes in the runup to important midterm elections in 2010. The rules of the fundraising game have changed radically. With key issues like health care, climate change and regulation of the financial sector in play, the impulse for managers to pull out the corporate checkbook in an attempt to influence Congress will be great.

Not only are we likely to see money pouring into ads supporting key House and Senate committee members to curry favor, we are likely to see it flowing to ads supporting potential challengers as a way of threatening sitting lawmakers with ouster.

But there can be sound policy responses to this change in the legal landscape. The key now is for members of Congress to not panic and take a moment to consider the possible options.

Adding corporate money into politics is like setting a brush fire. If the fire is contained and managed, it won't do much damage to the political culture. If it gets out of control, a whole territory can go up in flames. One possible policy response to Citizens United -- significantly raising federal contribution limits for individuals and parties -- would be like adding fuel to the brush fire, turning it into a conflagration.

Increased corporate money may encourage congressional and presidential races to turn into unprecedented arms races for funds. In the 2008 federal election, individual giving topped corporate PAC funding, but in the wake of the Citizens United decision, this ratio could flip in 2010.

Corporate money could dwarf -- by many multiples -- dollars spent by individuals in every future American election. This would inevitably damage public trust in our system and open the door to the corruption that money can bring to politics.

The Citizens United decision calls for thoughtful firebreaks to keep billions in corporate money from sweeping into our elections, to slow the progress of the corporate money wildfire.

One immediate firebreak would be to change the securities laws to allow shareholders authority and oversight over corporate political spending. After Citizens United, corporate managers are free to spend corporate treasury money on politics without the knowledge or consent of their shareholders.

The new law can be modeled on one from our peers in Britain, who since 2000 have required shareholder authorization for political spending by British companies. The U.K. also requires British companies to report political spending to shareholders in annual reports. Adopting this system in the U.S. would give shareholders a way to check such spending of corporate managers.

Another, and perhaps the best available solution, is public financing for congressional elections. Under the proposed Fair Elections Now Act, sponsored by John Larson, D-Connecticut, in the House and Dick Durbin, D-Illinois, in the Senate, candidates for Congress who qualified after demonstrating some amount of constituent financial support would receive public grants to run a campaign. Candidates would have an alternative to privately funded elections.

So instead of being beholden to large individual donors or large corporate donors, congressional candidates could be un-bought and un-bossed.

Combined, these two approaches won't stop corporate money in politics completely the way the previous ban did; but they would create protections to keep the corporate money brush fire contained rather than turning it into an out-of-control wildfire threatening the integrity of our democratic system.

The opinions expressed in this commentary are solely those of Ciara Torres-Spelliscy

@highlight

Ciara Torres-Spelliscy: Supreme Court ruling loosening campaign finance limits is mistake

@highlight

She says it will start firestorm of corporate spending on elections

@highlight

Congress should change laws to give shareholders oversight of donations, she says

@highlight

Torres-Spelliscy says public financing of elections would help push back at ruling