San Francisco (CNN) -- Asiana Airlines Flight 214 was flying far slower than recommended as it approached San Francisco International Airport just before its crash landing on Saturday, the head of the National Transportation Safety Board said Monday.

The Boeing 777 was traveling at approximately 106 knots (122 mph) upon impact and at about 118 knots (136 mph) 16 seconds before impact at an altitude of about 200 feet; the recommended speed upon approach to the runway threshold is 137 knots (157 mph), Deborah Hersman told reporters.

The onboard systems warned the crew the plane was about to stall four seconds before the crash, she said.

That warning comes in the form of a "stick-shaker," said Arthur Rosenberg, a pilot, engineer and partner with the New York-based law firm Soberman & Rosenberg, which specializes in litigation stemming from plane crashes. "It's basically saying, 'Hey idiot, wake up and do something ... Now!"

That something typically is to lower the nose of the plane and apply power, he said.

The plane was already close to the ground and couldn't be lowered much further. But the crew apparently boosted the power to the engines, which were increasing from 50% capacity three seconds before impact, according to Hersman.

One-and-a-half seconds before impact, the crew called for a "go-around," meaning that they wanted to abort the landing and go around in the air to try to make another landing, she said.

But they didn't make it. "There just wasn't enough room to recover," Rosenberg said.

Investigators have found a path of wreckage that started at the seawall and continued to the main wreckage site hundreds of feet up the runway, Hersman added.

The pavement itself was scarred from contact with the landing gear, the engines and the fuselage, Hersman said.

The tail's lower portion was in the rocks at the seawall and "a significant piece of the tail" was in the water, she said. Additional aircraft parts were visible at low tide. On the path that leads along the pavement away from the seawall were horizontal stabilizers, a vertical stabilizer and an upper portion of the tail cone, she said.

The air-traffic control team found no evidence on voice communications of any distress calls before the accident, she said.

But investigators have found that the pilots had the appropriate charts for the airport and approach in place in the cockpit, she added. The NTSB was working to find out what the four pilots had done during the 72 hours before the crash in an attempt to determine whether fatigue or sickness may have played a role, she said.

A preliminary review of FAA radar data indicates that there was "no abnormally steep descent curve that's been detected" in the landing approach of the jet, she said, reacting to media reports citing a steeper descent.

And a preliminary review of the engines indicates that both engines were producing power when the plane crashed, she said.

Investigators were focusing on the crew and aircraft as they try to learn why the giant jet clipped the end of runway before crashing, she had said earlier in the day.

"We're certainly looking at the crew and how they operated, how they were trained, at their experience," Hersman told CNN's New Day.

"We're also looking at the aircraft. We're looking to see if the crew was using automation or was flying on autopilot, or they were hand-flying the airplane," she said.

Boeing 777s can land automatically, but it was unclear if the plane's computer was handling Saturday's attempted landing or if it was being done by the pilot, who Asiana said was making his first San Francisco landing at the controls of that model of aircraft.

The flight, with 307 people on board, originated in Shanghai, China, and stopped in Seoul, South Korea. It was preparing to land Saturday in San Francisco when the rear of the plane struck the edge of the runway, severing the tail. Most passengers were able to escape before the plane erupted in smoke and flames.

The fatalities, teenagers Ye Mengyuan and Wang Linjia, were among 35 Chinese students headed to California to attend West Valley Christian School's summer church camp, the school said on its website.

Both of the girls had been seated in the rear of the plane, which suffered significant structural damage, Hersman said.

Investigators said they were looking into reports that one of the girls may have been run over by an emergency vehicle. "We are still looking at this issue," she said. "The coroner has not yet determined the cause of death and so we want to make sure we have all the facts before we reach any conclusions."

Chinese netizens mourn Asiana crash victims

Pilot's flight record

Lee Kang-kuk, the pilot who was in the captain's seat of Flight 214, had flown from Seoul to San Francisco several times between 1999 and 2004, the airline said.

But Saturday marked his first time landing a Boeing 777 at San Francisco International Airport and was the ninth time he had flown the model, with 43 hours at the controls, the airline said. He has about 10,000 hours as a pilot, Asiana said.

Hersman, who has discouraged speculation about whether the crew bore responsibility for the crash, downplayed the significance of the pilot's experience in her New Day interview.

"It's not unusual for crew to change aircraft types," she said. And with air crews flying all around the world, it's not unusual for pilots to fly into unfamiliar airports for the first time either.

She said it's important for the two pilots in charge of the aircraft during the "very risky" landing phase to work closely together, and while she said investigators have no evidence of cockpit communications problems, it's something investigators will be looking at.

Mary Schiavo, a former inspector general for the U.S. Department of Transportation, said video and other data related to the crash suggest the crew "lost situational awareness" while approaching the airport.

'Oh, Lord have mercy': Witness captures fatal jet crash

"They're low and slow, and that's a problem," Schiavo said.

All four pilots have been interviewed by NTSB and South Korean investigators, said Choi Jeong-ho, the head of South Korea's Aviation Policy Bureau.

"We cannot reveal what's been said as it is an ongoing investigation," Choi said.

The pilots represented two teams -- a crew and a relief crew, said Hersman.

"I think it really is too early to conclude pilot error, because there is so much that we don't know," she told CNN's Wolf Blitzer.

The cockpit voice recorder -- which has been flown to Washington for analysis -- contains conversations between the pilots that were carried out in a combination of English and Korean, she said.

Hersman said that in most airplane crashes, investigators rarely find a single explanation for what went wrong.

"In most of our investigations, we find that it's not just one thing, it really is a combination of factors that lead to an accident," she said.

While weather has been ruled out as a factor, other factors officials are investigating include whether construction at the airport may have played a role, Hersman said Sunday.

Work to extend a runway safety area required the temporary shutdown of a system designed to help pilots land planes safely, she said.

What we know and don't know

Clues from voice recorder

The pilots apparently tried to speed up seven seconds before the crash, cockpit voice and flight data recorders showed.

A stall warning sounded three seconds later, telling the pilots the plane was about to lose its ability to stay in the air.

Then -- just 1.5 seconds before the plane slammed into the runway -- the crew decided to call off the landing and try to pull up for another try, Hersman said.

It was too late.

Moments before crash, passengers knew they were too low

The frightening crash

With no warning from the cockpit, survivors said, the plane's rear struck the sea wall at the end of the runway. The impact severed the plane's tail and sent the rest of the body spinning on its belly.

Amateur video obtained exclusively by CNN shows the plane crashing and spinning counterclockwise and coming to a stop.

In addition to the two deaths, 182 people were hospitalized with injuries ranging from severe scrapes to paralysis.

"We're lucky there hasn't been a greater loss of life," San Francisco Fire Chief Joanne Hayes-White said.

Some injured passengers remained hospitalized Monday, including six in critical condition at San Francisco General Hospital, said Dr. Margaret Knudson, the hospital's chief of surgery.

About half of those admitted to the hospital had spinal fractures, she said. Others have head trauma.

"Their recovery could be months and months and maybe not even to full recovery," she said.

Many of the injured said they were sitting toward the rear of the aircraft, Knudson said.

But 123 of the 307 people on board walked away uninjured. Benjamin Levy was among them.

"Honestly, I was waiting for the plane to ... start flipping upside down, in which case I think a lot of people would have not made it," Levy said.

"If we flipped, none of us would be here to talk about it," he said.

CNN's Michael Pearson and Tom Watkins reported and wrote from Atlanta; Mike Ahlers reported from San Francisco; CNN's Chelsea J. Carter, Dan Simon, Dana Ford, Thom Patterson and Aaron Cooper contributed to this report.

Watch New Day weekdays at 6am-9am ET. For the latest on New Day click here

@highlight

NEW: "Too early to conclude pilot error," NTSB chief says

@highlight

The agency is also looking to see if the plane's computer was handling landing

@highlight

Saturday marked the pilot's first time landing a Boeing 777 at the San Francisco airport