(CNN) -- On the surface, Montana Senator Max Baucus's proposal to reform the corporate tax code seems politically insane. The powerful chairman of the Senate Finance Committee has proposed tightening up the tax treatment of corporate profits overseas. The Senator, along with legislators in both parties, wants to use this proposal as the basis for broader loophole-closing reforms that also tackle the individual tax code.

Given how difficult it has been to pass any piece of legislation in recent years, it seems impossible that Congress will muster the energy or courage to challenge powerful interest groups that benefit from the status quo and to reform the tax code.

While loophole-closing tax reform might be good policy, it is hard to see how it can be good politics. "This is a big rock to push up the hill," warned Oregon Democrat Ron Wyden.

But in fact there is reason to believe that tax reform might have a chance to pass. The proposal comes at a good time. Congress is stuck in the mud. As an institution, Congress needs a big victory. Polls show that the approval ratings of Congress have reached all-time lows, now having fallen to an abysmal nine percent.

Although members of Congress tend to focus on their own electoral future, the public image of Congress has reached such a low point that the leaders of both parties are seriously concerned.

When public disapproval of the institution is so strong, it creates the environment for a possible "throw the bums" out atmosphere in which all parties are at risk for an anti-incumbent election.

Nothing can boost the image of Congress as an institution like a reform that benefits the public interest over private interests. Although achieving tax reform is extraordinarily difficult, Democrats and Republicans could walk away from a deal looking as if they were finally willing to take on the status quo in Washington and to defy the powerful interest groups who lurk on K Street. This might be enough to bolster public attitudes about the House and Senate going into the next couple of election cycles.

If Congress gores enough oxen, with both parties equally implicated in the reform, members could insulate themselves from the falloutâ€”preventing one party from using this as an issue against the other--and strengthen their standing with the electorate as a result.

Both parties also stand to benefit from tax reform because it remains one of the best ways to raise revenue without raising taxes. One of the reasons that tax reform has always attracted the interest of fiscal conservatives is that cleaning up the tax code of its loopholes quickly raises more revenue.

Most fiscal conservatives understand that serious deficit reduction is only possible through a combination of tax hikes and spending cuts.

Although the United States has maintained a progressive tax code since 1913, few upper income individuals or corporations pay the actual higher rates since loopholes diminish their obligations. Occasionally, such as in 1969 and 1986, Congress has closed loopholes as a way to raise more money to curb the deficit.

Unlike 1986, this time the legislation would not be revenue neutral. The amount of money raised by closing loopholes would be more than the money saved by taxpayers enjoying lower rates, and that money could be used to help shrink the deficit. That could enable the grand bargain over deficit reduction that Democrats and Republicans have been unsuccessfully pursuing for years.

As occurred when Ronald Reagan was president in 1986, tax reform was an issue that both parties had an incentive to support. For unpopular Republicans, tax reform can offer evidence that the party is committed to fiscal responsibility and demonstrate that they are capable of governance.

Passage of the legislation would offer a contrast to the image that the party gained when it used the debt ceiling to try to force President Obama's hand on spending cuts. For Democrats, tax reform can shift the national agenda away from the problems with the roll out of the Affordable Care Act and toward a legislative accomplishment.

Finally, tax reforms can be one of the first tests of the post-filibuster reform Congress. The Senate voted to prevent filibusters on executive and judicial nominations. They did so through a majority vote, establishing for the first time that a majority was sufficient to change the rules.

Many experts predict that this precedent might scare senators from using the filibuster as much as in recent years, fearing that the tool might be eliminated altogether. It is thus possible that tax reform would now only require 51, rather than 60, votes in the Senate.

President Obama could desperately use a victory like tax reform. As the chances for passing immigration reform diminish, and the possibilities of achieving progress on climate change are nil, tax reform might be one of the few areas where progress is possible.

Ronald Reagan scored a big victory in 1986, one that remains a noted part of his record and legacy. Unfortunately, over time new loopholes were created and there is a need for another around of reform. The president should seize the moment, to make sure that his second term is not solely defined by the bitter partisan battles over the budget and health care.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Sen. Max Baucus' proposed to reform taxes isn't as crazy as it sounds

@highlight

He says Congress has reasons to want to reach agreement on tax reform

@highlight

Both parties would gain some credibility with public that feel Congress can't do anything, he says

@highlight

Zelizer: A deal on taxes would help cut deficit, close loopholes