(CNN) -- This week, I had the chance to sit down and speak to Joel Osteen, pastor of Lakewood Church, the largest church in America.

If you don't immediately recognize the name, you will certainly remember his perfectly coiffed thick head of hair, megawatt smile and most of all his optimism, which I would best describe as indefatigable. You feel good just being around a guy like him. I did.

If you watch him closely during the interview, you will often see him look up to the sky when answering a question. While I know many people who have difficulty maintaining eye contact, that wasn't the case for Osteen. Instead, it almost appeared as if he was seeking out some divine inspiration for the answers to the questions I was about to ask him.

We covered a lot of ground.

Despite what you see on television, Osteen does have bad days. He has found that the start of any day will determine what kind of day you are going to have. So, he spends a few moments every morning thinking of all the things for which he is grateful. He also cleanses out the negative thoughts, from "I am not talented, and nothing good is in my future," to "I am a person of destiny, headed for greatness."

He also took time to remind me that "sacrifice" around the holidays will be rewarded. We were talking about the festive nature of the season, but also the particular challenges for people in the sandwich generation -- those taking care of their children and their parents.

"We're not always going to have our loved ones," said Osteen, whose father passed away in 1999. It was powerful stuff, and it made us both just a little misty-eyed. It immediately conjures up images of your own parents and their mortality.

Dr. Gupta: Saving Emma in the storm

Listening to all Joel Osteen has to say, of course you will agree with him, despite the fact he doesn't often take a stance on hot-button issues, instead deferring to God as the ultimate decision-maker.

Surely, these are not new messages, but they do need frequent reminding and refreshing, especially when times are tough.

It was the next topic, however, that I really wanted to explore with Joel: the intersection between faith, science and healing.

He started by telling the story of his own mother, Dodie Osteen, who was diagnosed with terminal cancer back in 1981. She was told "there was no treatment that could be given to her."

It was liver cancer, and she was just 48 years old. Osteen told me, "She prayed, she believed, and she quoted scripture. Thirty-something years later, she's alive."

Osteen is describing a sort of faith healing or at least the power of prayer, and it is an issue that deeply divides the medical community.

According to Gallup polls, 92% of Americans believe in God. And 80% believe in the power of God or prayer to improve the course of their illness.

We know that many people turn to God during times of illness, either in public or private. It is a profoundly human response, but also based on belief in some mechanism that we can't explain.

Critics worry that studying prayer relies on the assumption of supernatural intervention, which will always place it outside the realm of science. At its worst, they say, people may rely solely on prayer instead of proven, effective treatments.

It is not that science hasn't tried to prove and even describe the impact of prayer on healing.

A review of nearly 50 studies involving 125,000 people showed those with low levels of religious involvement had odds of early mortality that were 1.29 times higher than for those with high levels of religious involvement. Religious groups such as Mormons, Seventh-day Adventists and Amish have lower rates of heart disease and cancer.

Dr. Gupta: Better health not about Obamacare, it's about you

There has also been a fair amount of research into the mechanism of psychoneuroendocrinology, the relationship between psychology, endocrinology and neuroscience -- in other words, the interactions between the mind, hormones and brain.

That could account for the results Herbert Benson cites about the positive impact of prayer on heart disease.

Part of the conflict for the medical community is that many of the studies show variable results even within the same groups of people. Critics worry aloud that you simply can't make prayer consistent -- or ever "dose" it like a medicine.

When it comes to the power of prayer, though, proponents and critics do find some common ground. They both cite evidence that when it comes to our health, prayers and faith may have less to do about God than it does with optimism overall.

It's the same optimism that Osteen embodies. It may have more to do with the resulting social network, improved coping skills and health activities promoted by many churches. We are more comfortable explaining the impact on health by remembering that religious people are less likely to engage in smoking and alcohol abuse. They are more likely to inquire about each other's health and remind their loved ones to get checked out.

While writing this, I realized it is quite possible we will never have the answers we want, because the intersection between religion and science can never be fully explored.

That would require trying to "reduce it to basic elements than can be quantified, and that makes for bad science and bad religion," according to Dr. Richard Sloan, author of the book "Blind Faith."

It doesn't mean, however, that we will stop trying. This intersection will capture our imagination as human beings as long as we are around.

I did want to point out one of the more remarkable findings in a study from the American Heart Journal on this topic. It showed people were more likely to suffer complications if they knew someone was praying for them. Go ahead, read that sentence again.

No matter your point of view, how do you explain that?

Nobody knows for sure, but it could be that those people didn't typically have prayer or faith in their daily lives, and only relied on it when things had become particularly bleak or desperate. They may have thought, "I must be close to death," if they were now resorting to prayer.

When I asked Osteen about that, he immediately nodded and agreed with that explanation. But he immediately reminded me, that is the nature of faith -- the belief that it will work -- and the benefits of that optimism flow from it.

It turns out that truly understanding optimism and relying on it to help you during tough times requires practicing it on a daily basis, and that may be the most important message Joel Osteen gives us this holiday season.

@highlight

Many people turn to God during times of illness

@highlight

Science has tried to prove, describe the impact of prayer on healing

@highlight

It's quite possible we'll never have the answers we want