(CNN) -- The family of a Somali-American man who died in Somalia have said they want to know who is responsible for recruiting him to join an al Qaeda-linked Islamist insurgency.

Militia soldiers hold weapons as they train to prepare an attack in Mogadishu earlier this month.

Jamal Bana is the third Somali-American from the city of Minneapolis to head to Somalia and die there. He is one of more than a dozen missing Somali-American men whose families believe have gone back to fight.

"Someone must have put something in his mind," Omar Jamal of Minneapolis' Somali Justice Advocacy Center said at a Sunday news conference with Bana's family.

"He must have been somewhat disillusioned and indoctrinated because he didn't have any clue about Somalia at all. So someone somewhere must be responsible for his disappearance."  Watch as Bana's family seeks answers »

The same day as the family's news conference, Somalia's president -- a former member of the Islamist movement himself -- issued a plea to Somali-Americans not to join the fight in his country.

"I call on the Somali-American community not to send their youth to Somalia to fight alongside al-Shabaab," President Sheik Sharif Ahmed said on Sunday.

"I am saying to those young men from abroad: 'Your families fled your home to America because of insecurity. You should not return here to ferment violence against your people.'"

Al-Shabaab, a group that is on the U.S. government's terror watch list, remains entrenched in the northeast and sections of the south of Somalia's capital, Mogadishu. It has ties to al Qaeda and has recruited foreign fighters to join its battle to overthrow the Somali government.

The U.S. government announced last month that it is providing weapons to Ahmed's government as it tries to quell the insurgency. Fighting has uprooted more than 200,000 people in Mogadishu since early May, according to the United Nations.

Many of the missing Somali-Americans are believed to have left for Somalia when Ethiopian forces were still on the ground. The presence of these foreign forces was an outrage to most Somalis, and became a rallying cry of al-Shabaab. But the Ethiopians have now withdrawn.

Bana, who was one of those who heeded the call to return to fight, was only 1 when his parents left Somalia and eventually brought him to the United States.

The oldest of seven children, Bana was a top student at Washburn High School in Minneapolis, Minnesota. He was studying engineering at two area colleges before he went missing in November.

On Saturday, his family learned of his fate: a photo of his body appeared on a Web site, a casualty of the ongoing conflict in Somalia.

Jamal spoke for the family with one arm around Bana's distraught mother, who quietly wept, covering her face with her headscarf. The father was too upset to attend the news conference, Jamal said. The family is asking the United States government to help them bring his body back home.

In October, Shirwa Ahmed, 27, a Somali-American believed to have been radicalized by al-Shabaab, traveled from Minneapolis to Somalia and blew up himself and 29 others.

The incident -- the first-ever suicide bombing by a naturalized U.S. citizen -- raised red flags throughout the U.S. intelligence community and sparked an investigation by the FBI.

Burhan Hassan, a 17-year-old Somali-American high school student in Minneapolis, went missing eight months ago around the same time as Bana. Last month, his family learned that he was killed in Somalia.

Neither family has any idea why the young males left the United States -- where they came as young boys -- or who is responsible for their deaths. Bana's family believes he was being held against his will.

"Only one time he placed a phone call (in mid-November), he didn't say much," Omar Jamal said. "He spoke as if he was being held hostage. He couldn't be speak freely. They asked him to cut the conversation short.

"The mother was asking him, 'Where are you? Why did you (leave)?' He said, 'I cannot talk to you, I just called to tell you I'm here. I cannot tell you anything. I'll call you some other time. I'm sorry I cannot talk to you.'"

E.K. Wilson, an FBI special agent and spokesman for the Minneapolis field office, could not confirm the exact number of missing Somali-American men or confirm the recent deaths, citing the agency's ongoing investigation. But he said the number of missing men believed to be in Somalia is "in the 10s."

He said the possible recruitment of these men to fight alongside an al Qaeda-linked group is "a significant concern."

"Counterterrorism is our number one priority in the FBI and in this particular field division, and our efforts since 9/11 have been geared in that direction and with the goal of preventing future terrorist attacks," he told CNN in a recent interview. "So it is a significant concern and one that we're giving our highest priority."

Since Shirwa Ahmed's death in October, Wilson said the FBI has further expanded its outreach program to the Somali-American community around the United States.

So far, there is no indication that al-Shabaab is recruiting young men from Somali-American communities outside Minneapolis.

Asha Ali and her husband Ali Yusuf Omar help resettle Somali refugees in the suburbs of Atlanta, Georgia.

They spoke to CNN on Sunday shortly after news surfaced of Jamal Bana's death, and said they are baffled by what is going on in Minneapolis.

"Of course I'm scared," Asha Ali said. "If that happened in Minneapolis, it could happen anywhere."

Asha Ali works for Refugee Family Services and Ali Yusuf works for Georgia Somali Community, Inc. They have five children, a 14-year-old daughter and four sons ages 10, 12, 20 and 22.

"I have seen mothers talking," Asha said, referring to what's going on in Minneapolis. "I open my eyes now more. I watch my kids more closely."

The couple came to the United States in their 20s in 1982, and all five of their children were born in America.

She said there have been no reports of any missing Somali-Americans among the tight-knit community which are centered in the towns of Stone Mountain and Clarkston, near Atlanta.

Asha and Ali Yusuf attend various mosques, or masjids, in the Atlanta area -- which are the centers of the Somali-American community -- and say they all preach tolerance and demand that young people stay out of trouble.

Asha said she cannot figure out what led the young men in Minneapolis to want to return to Somalia.

"What is this 'al-Shabaab'? What does this word mean?" she said. Their fight against fellow Somalis, she said, does not make sense to many members of the expatriate community.

Either way, Somali-Americans want to know why these young men and boys are going to the country that their parents struggled so hard to leave behind to provide a better life for their children.

"It's a question mark who's behind it," Asha Ali said. "I'd love more than you to find out."

CNN's David McKenzie and Tricia Escobedo contributed to this report.

@highlight

Jamal Bana is third Somali-American to head to Somalia and die there

@highlight

Bana's family want to know who recruited him to join Islamist insurgency

@highlight

President Sheik Sharif Ahmed says U.S.-Somalis joining Islamist rebels

@highlight

Many Somalis went to U.S. after 1992 American intervention in Somalia