After months in detention, two Americans who had been held prisoner in North Korea soon will be back in the United States following a rare visit by a top U.S. official to the reclusive nation and a letter from President Barack Obama.

Kenneth Bae and Matthew Todd Miller, the last two Americans detained in North Korea, were due to arrive at Joint Base Lewis-McChord in Washington state about midnight ET (9 p.m. PT).

The pair were released after Director of National Intelligence James Clapper went to Pyongyang as an envoy of President Barack Obama, a senior State Department official told CNN.

Clapper delivered a letter from Obama, addressed to North Korean leader Kim Jong Un, describing Clapper as "his personal envoy" to bring the Americans home, a senior administration official told CNN on Saturday.

The letter was "short and to the point," the official said. Clapper did not meet with Kim.

Clapper had no guarantee he would bring the Americans home, a senior State Department official told CNN.

The North Korean government issued a statement about the release, saying it received an "earnest apology" from Obama for the men's actions. It also said the two were "sincerely repentant of their crimes and (were) behaving themselves while serving their terms."

According to the statement, the first chairman of North Korea's National Defense Commission ordered the release. The title is one of several top positions that Kim holds in the North Koran hierarchy.

China assisted in the monthslong process of arranging the release, the official said.

Clapper's visit came after North Korea contacted the U.S. government unexpectedly and urged the administration to send a Cabinet-level official to North Korea's capital to discuss the detained Americans, according to two sources close to the matter.

A U.S. official told CNN that Washington believes Pyongyang reached out to show it had the clout to get a Cabinet-level official to come and doing so would help solidify Kim's power. The request came about two weeks ago, the official said.

Clapper ended up canceling an event in New York on Wednesday as the trip was being arranged, an Obama administration official said. He went to Pyongyang "prepared to listen" on other issues, but that his sole focus was to bring Bae and Miller home, according to the same official.

In fact, an official in Clapper's office said the talks didn't even touch on North Korea's controversial nuclear program. And other U.S. officials said there was no "quid pro quo" for the men's release.

'We are filled with joy'

Clapper's office said the U.S. government is facilitating the two men's return home. Bae's family is to meet the plane but will not grant media interviews.

Clapper and a U.S. delegation also are on the flight.

Bae's sister, Terri Chung, told CNN that her family spent Saturday morning shedding happy tears and spreading the good news among relatives and friends.

"Words cannot adequately express our relief and gratitude that Kenneth is finally coming home!" the family added later in a full statement. "We have been waiting for and praying for this day for two years. This ordeal has been excruciating for the family, but we are filled with joy right now."

There was no immediate reaction from Miller's family.

Obama expressed appreciation for Clapper's efforts "on what was obviously a challenging mission" and happiness Bae and Miller will soon be home.

"It's a wonderful day for them and their families," the President said.

Another American let go weeks earlier

The Americans' departure from North Korea comes less than a month after North Korea released Jeffrey Fowle, an Ohio man who spent five months in detention. North Korean authorities took Fowle into custody after he left a Bible at a club in the northern part of the country.

Bae had been held since late 2012, and in April 2013 was sentenced to 15 years of hard labor for "hostile acts" against the North Korean government. North Korea claimed that Bae was part of a Christian plot to overthrow the regime.

The Lynwood, Washington, resident operated a China-based company specializing in tours of North Korea, according to family members, who have described him as a devout Christian.

'He's not a spy,' Bae's sister says after conviction

Earlier this year, Bae -- who was transferred to a hospital last year -- told a Swedish diplomat that he was worried about his health.

Miller had been detained since April. According to the state-run Korean Central News Agency, he was convicted in September of committing "acts hostile" to North Korea and sentenced to six years of hard labor. He's been accused of tearing up his tourist visa and seeking asylum upon entry into North Korea.

American Miller convicted, sentenced

In September, all three Americans then detained in North Korea -- Bae, Fowle and Miller -- talked with CNN in Pyongyang for about five minutes apiece.

All said they'd signed statements admitting their guilt, did not complain about their living conditions and asked for U.S. help.

Americans detained in North Korea talk to CNN

The interviews -- which CNN learned about only after being shuttled on a van to a secret location -- were monitored and recorded by North Korean officials.

Talking Saturday, Fowle said that he'd been "upset" when he learned his fellow American detainees weren't going home with him last month.

"Kenneth Bae and Matthew Miller should have been released before I was," Fowle told CNN. "But I'm glad to hear that they're on their way home now."

In a statement, South Korea's Foreign Ministry welcomed the release of the two Americans and urged North Korea to release missionary Kim Jung-wook, who has been detained in the north on spying charges. It also asked North Korea to work with the south on humanitarian issues, such as family reunification.

Ex-diplomat: North Korea may want to thaw U.S. relations

CNN could not independently confirm details of the three Americans' detention or other facts about their cases, in part because of the secrecy that defines much of North Korea's dealings with the world.

That includes the Communist nation's much-maligned quest to develop nuclear weapons, something that has put it at odds with the United States, South Korea and many other countries around the world. North Korea has been subject to stringent international sanctions aimed at curbing its nuclear aspirations.

The State Department official said that Bae and Miller's release is "unrelated" to other U.S. issues involving North Korea.

Who is Kenneth Bae?

The United States welcomes the move, but if North Korea wants a better relationship with the world it needs to "show it is serious and prepared to abide by its commitments, particularly concerning denuclearization," the official said. "And they must take significant steps to improve their human rights record."

Gordon Chang, the author of "Nuclear Showdown: North Korea Takes On the World," opines something must have changed in Pyongyang's philosophy to justify releasing three American detainees in less than a month.

"I think right now there is a charm offensive," Chang told CNN.

Bill Richardson, a former U.S. ambassador to the United Nations who tried to win Bae's release during a 2013 visit to North Korea, echoed that view, saying, "They are sending a message to the United States that 'we're ready to talk.'"

He added that no decision this big would have been made without the approval of Kim, who took over as North Korea's absolute leader following the death of his father, Kim Jong Il, in 2011.

"It appears that it is a good move by the North Koreans to restart the North Korean-American relationship, which has been in a really deep freeze," said Richardson.

Former basketball star Dennis Rodman, who has been criticized for his chumminess with North Korea's leader, said in statement Saturday that his trips to the country influenced Bae's release.

Fast facts on detained Americans

@highlight

Plane carrying men is scheduled to land at Washington base

@highlight

Kenneth Bae family has "been waiting for and praying for this day for two years"

@highlight

Director of National Intelligence James Clapper traveled to Pyongyang

@highlight

North Korea claims it received apology from President Barack Obama