(CNN) -- Pope Benedict XVI ended 2009 much as he began it -- with a major gaffe that angered Jews.

He started the year by welcoming a Holocaust-denying bishop back into the fold, and ended it by putting the controversial World War II-era Pope Pius XII one step closer to sainthood. Both caused uproars.

"It seems that the pope doesn't always know what's going out under his name, or the impact of what's going out under his name, which is very strange to observe because John Paul II was so media-savvy," said Ruth Ellen Gruber, a Jewish journalist and author who has long been based in Rome.

The Pius XII episode "seems to be yet again a case where they didn't estimate what the response would be," Gruber said.

In both cases the pope quickly found himself having to explain and clarify.

He lifted the decades-old excommunication of Bishop Richard Williamson in January, part of an effort to reconcile an ultra-conservative movement with the Vatican. Three other bishops associated with the Society of St. Pius X were un-excommunicated at the same time.

The excommunications were not related to Williamson's Holocaust denial. But it was Williamson who caused outrage, not only among Jews but also among German Catholic bishops and politicians, because the bishop had been filmed denying that the Nazis systematically set out to murder Jews in the Holocaust.

The video was freely available on YouTube -- and by March, the pope was admitting the Vatican should have Googled Williamson before letting him back into the church.

The excommunication's remission caused "a discussion more heated than any we have seen for a long time," Benedict XVI wrote in an open letter to bishops in March.

"I have been told that consulting the information available on the Internet would have made it possible to perceive the problem early on," the pope acknowledged. "I have learned the lesson that in the future in the Holy See we will have to pay greater attention to that source of news."

He made his first visit as pope to Israel in the wake of the controversy -- a visit planned long before the Williamson uproar erupted -- and delivered a clear message: "Every effort must be made to fight anti-Semitism wherever it is found."

But fresh controversy blew up this month when he issued a decree proclaiming the "heroic virtues" of Pope Pius XII.

Pius, who reigned from 1939 to 1958, is perhaps the most controversial pope of modern times, accused by detractors of not speaking out against the Nazi persecution of Jews. (John Cornwell titled his book about Pius XII "Hitler's Pope," just to make his point perfectly clear.)

Israel Meir Lau, a former chief rabbi of Israel and himself a Holocaust survivor, said it would "shame" the Vatican to declare Pius XII a saint.

"Especially not now, when many survivors are still alive. It will hurt them deeply to know that the man who could save [them], could do much more and did not do it," he said. "It is not a good education for generations to come."

Even as the Holocaust was going on, the United States was pushing Pius XII to act.

"At the time of the Holocaust, questions about Pius XII's public silence were raised by Myron Taylor, the U.S. representative to the Vatican, and Taylor's assistant, Harold Tittman, who requested that the Holy See speak out on the issue," the U.S. Holocaust Memorial Museum said Monday.

"The opening of the post-1939 archival material is essential to a proper assessment of Pius XII. Only then will a sound and accurate portrait of his moral leadership during the Holocaust be possible," the museum argued.

Benedict's spokesman, Father Federico Lombardi, called Pius XII an "important pope that we know was guiding the church in very difficult times."

The Vatican has long argued that Pius did more behind the scenes to help Jews than he gets credit for -- but has not produced proof.

It says it will open the Vatican archives from Pius XII's era to scholars, but not for several more years, blaming the delay on the length of time it takes to catalogue and prepare the materials.

But by Wednesday, Lombardi was backpedalling on the wartime pope.

First, he said, Benedict XVI had merely ratified a decision which the Vatican committee that evaluates candidates for sainthood had already made about Pius XII.

Further, the pope's declaration was about Pius XII's "intense relationship with God and continuous search for evangelical perfection ... and not the historical impact of all his operative decisions," Lombardi said in a written statement.

The decree "is in no way to be read as a hostile act towards the Jewish people, and it is to be hoped that it will not be considered as an obstacle on the path of dialogue between Judaism and the Catholic Church," Lombardi said, looking ahead to the pope's planned visit to the main synagogue in Rome in January.

The visit will be the first time a pope goes to the synagogue since John Paul II did in 1986, and is meant to be a major symbol of good relations between the two faith communities.

Benedict is a German -- in fact, he was forced as a young man to join the Hitler Youth -- and an accomplished musician who relaxes by playing piano. So why does he have such a tin ear when it comes to the Holocaust?

Gruber suspects that different factions within the Vatican may be competing for influence.

She noted that both the Williamson and Pius XII controversies blew up "soon before what were expected to be major advances in Catholic-Jewish relations" -- the trip to Israel and the synagogue visit.

The Italian Jewish community, for its part, seems to understand the competing pressures on the pope, she said, citing a cartoon in the Jewish monthly Pagine Ebraiche showing Benedict walking across Rome's Tiber river towards the city's main synagogue -- on a tightrope. He holds a pole for balance, with a flag on one side saying "dialogue" and the other saying "conversion."

"It's a very sympathetic cartoon for the pope, surprisingly sympathetic," said Gruber, the author of "Virtually Jewish: Reinventing Jewish Culture in Europe."

Whatever gaffes may cause problems between the Vatican and the Jewish community, Gruber said, there is little chance of a complete rupture in relations.

"Dialogue with the Jews is now embedded in Vatican doctrine," she said. "It's a loud dialogue. There's shouting. But if you don't have opposing views, it's not dialogue -- it's an echo chamber."

CNN Jerusalem Bureau Chief Kevin Flower contributed to this report.

@highlight

Pope Benedict XVI in trouble for praise of World War II-era Pope Pius XII

@highlight

Pius is accused by critics of failing to speak out against Nazis and Holocaust

@highlight

Vatican says Benedict was just agreeing with panel considering Pius for sainthood

@highlight

Benedict angered Jews in January with support for Holocaust-denying bishop