(CNN) -- Ghassan Hitto once held court as an information technology manager in a safe Texas office. Now he's halfway across the world, in charge of a corner of hell.

Hitto is the new head of the Syrian opposition's interim government.

He'll use his ample and savvy management experience -- honed by his years as an executive in the IT field in Dallas and his activist work for his native Syria and Muslims -- to administer the large swaths of territory seized by rebels from the Bashar al-Assad government during the raging civil war.

People who've worked with Hitto are proud of his achievement and say he'll do well.

Oday Shahin, a Muslim community leader in Dallas, said he thinks Hitto will seize the day during a "historic moment" for war-torn Syria. That's because he's sharp, forthright, passionate, inspiring, well-respected and a "consensus leader."

"He's one of those executives in a board room that impress you. He knows what he's talking about," Shahin said. "He's sacrificing his career. He's sacrificing his family. He's sacrificing his safety."

Hitto's life straddles the Middle East and the United States. He is a dual citizen of the United States and Syria.

Born in Damascus in 1963, Hitto spent much of his school and working life in the United States, first in Indiana and most recently in Texas.

He earned a bachelor's degree in computer science and mathematics from Indiana University-Purdue University Indianapolis and then a master's in business administration from Indiana Wesleyan University.

For more then a decade, he worked as a senior executive at an IT firm in Dallas.

2 years into Syrian uprising, revolutionaries on dreams, cost

A passionate U.S. activist

He's married to Suzanne Hitto and they have four children. One of his sons, Obaida, has worked for the opposition in Syria and was hurt in a bombing there. Ghassan Hitto supports the efforts of his son, who had been intent on going to law school but decided to help families in Syria.

"My son Obaida consulted me at the beginning of the revolution, asking me to allow him to enter Syria to participate in the relief and first-aid work. With the difficulty of this situation, I agreed without hesitation."

"Now he is working with his fellow revolutionaries to transfer facts and to help people in distress and I am proud of him. Of course I wish from the almighty God to bring him safe to me and to return all Syrian youths safely to their families unharmed and victors," Hitto said recently.

During his years in Texas, Hitto was active in community affairs, working as a board member at a Muslim school, Brighter Horizons Academy, and the Islamic Service Foundation, a nonprofit "dedicated to establishing an educational institution conducive to an Islamic environment."

His wife teaches English at the academy and three of his children are graduates. The academy said that Hitto's "management and leadership skills" helped the groups and fostered their successes.

"During his time as a volunteer, we saw him as a practical man with great management experience. He was always open minded and open to debate. He conducted himself with the highest honesty and integrity," the academy said in a statement.

"His talent for bringing people together for the common good will be missed in our community. ... His management and leadership skills benefited our organizations tremendously," the academy said.

As the Arab Spring unfolded two years ago, Hitto threw himself into Syrian activism. He was a founder of the Syrian American Council, the Coalition of Free Syria and the Shaam Relief Foundation.

"Mr. Hitto was a pioneer to raise funds to send direly needed humanitarian aid to Syrians, as well as raise awareness of the events happening in Syria," the Shaam Relief Foundation said in a statement.

When he visited the region, he got involved with the opposition Syrian National Coalition and became the opposition's humanitarian aid commissioner, charged with allocating and distributing relief in the areas seized from the al-Assad government, Shaam Relief said.

Several months ago, he took a leave of absence from his IT work in Texas to focus on working with the National Coalition's Assistance Coordination Unit. That entity is responsible for forging ties with nongovernment organizations and increasing the flow of Syria-bound aid.

At a protest last year in Texas, Walk for the Child of Syria, Hitto's passion against the al-Assad government was on bold display.

He spoke proudly of his son's activities in the Syrian area of Deir Ezzor and passed along Obaida's perspective about the citizens' morale. He described the government's violence against children, and pleaded for help from the dozens who came out to listen.

"The Syrian people," he said, "are proud people. Asking for help is not in our nature. This is something new to us."

But people who are dying of hunger or are injured there need help, he said, and help can come from Dallas through donations.

The humanitarian crisis stoked by the Syrian civil war is so widespread that potential donors might be discouraged from thinking they can make a difference. Hitto takes on that mindset. He hits home the message that local is global and global is local.

"The situation in Syria is a disaster from a humanitarian perspective. Don't get to the point where you convince yourself that your donation and your contribution will not make a difference," he said at a recent Shaam banquet.

"Unless we pull together, all of us as individuals, and as countries, and as organizations, and try to figure out how to solve the problem of relief in Syria -- how to feed people -- then we've got us a disaster of a magnitude that is beyond any one of us to handle. We've got to act, and we've got to act now."

The cost of war

A political outsider takes the reins

Shahin, the Muslim community leader in Dallas, said he believes Hitto is the perfect man for the job in Syria -- a hybrid of outsider and native. He's hopeful that Hitto will "come up with a solution that fits for the majority of people."

"At a time when there's so much baggage in the Middle East, they need an outsider. He's an outsider in the sense of no political loyalties."

Hitto has Kurdish heritage, one of the ethnic minorities in diverse Syria.

The general view about the civil war is that the al-Assad government is dominated by Alawites, and Sunni Arabs represent much of the opposition membership. But there are many more groups in Syria, ethnic and religious, and questions of allegiance or nonallegiance can be complicated and fluid. The choice of Hitto suggests that the opposition is working to be inclusive.

Hitto earned the leadership post in a vote by Syrian National Coalition members on Tuesday. He received 35 out of 48 votes during a meeting in Istanbul, where Syrian opposition groups have been based.

Salman Shaikh, director of the Brookings Doha Center, said in an essay that many Syrians will be suspicious of Hitto and his support from the Syrian Muslim Brotherhood -- a Sunni movement regarded as hard-line by some and brutalized by the ruling Baathist party since al-Assad's father, Hafez, ran Syria.

"Since the announcement, I have heard both Syrian nationalist figures and those from some minority communities -- inside and outside the country -- talk dismissively about the move."

For them, he wrote, Hitto is a "pawn of the Syrian Muslim Brotherhood."

"There is a sense that Hitto's appointment has allowed the Muslim Brotherhood, assisted by key regional actors, to walk in through the front door and assume control of Syria's opposition movement."

Even if such views are "exaggerated," they should be worrisome, Shaikh said.

"The appointment of Syria's first interim Prime Minister should be a watershed moment for all Syrians. That it may not prove to be so, does not bode well for the impending post-Assad transitional period."

On Wednesday, U.S. Rep. Ted Poe, a Texas Republican, asked Robert Ford, the U.S. ambassador to Syria, about Hitto's connection to the Muslim Brotherhood.

Ford told Poe at a House Foreign Affairs Committee hearing that he had met Hitto twice.

"He struck me as more Texan than Muslim Brotherhood," Ford said. "I don't know what his political affiliations are, but I do know that he also has a tolerant vision of Syrian society. He is not a religious extremist, far from it."

Shahin said the al-Assad government will try to associate Hitto with the Brotherhood. But Hitto is merely involved with the Muslim community and is American, with all that means, he said.

Hitto will carry with him American values of liberty, justice and merit that transcend tribal and ethnic identity, Shahin said. He is hoping that Hitto's American citizenship will help forge a close relationship with the United States.

The Brotherhood rhetoric is "the typical thing to say for people that are more secular-leaning. Rather than having political discourse to consolidate differences, many will use the 'Islamist' swear word as a focus to get most Western support," Shahin said.

With Hitto's help, Shahin said, one day Syria will mature and its peoples' identities will be based on values, not tribe.

But it'll be a long haul, he said.

"Imagine being in a country where everyone spied on one another. People are highly suspicious," he said, referring to the al-Assad police apparatus. "There are going to be a lot of taboos he'll have to break."

CNN's Hamdi Alkhshali contributed to this report

@highlight

New head of Syrian opposition's interim government is Syrian-born, U.S.-educated

@highlight

Ghassan Hitto has lived and worked for years in Texas

@highlight

Some Syrians are suspicious of his support from the Muslim Brotherhood

@highlight

"He's one of those executives in a board room that impress you," says a community leader