Hong Kong (CNN) -- Thousands of demonstrators bracing for the possibility of a police crackdown stood their ground in the heart of Hong Kong on Tuesday.

Protesters had masks, protective goggles and plastic raincoats on hand as they camped out on the main thoroughfare leading into the city's central business district.

"They're all ready just in case there is any sort of move by the Hong Kong police," CNN's Andrew Stevens reported.

It's been more than a day since officers fired tear gas and pepper spray at the crowd.

At least 56 people have been injured so far in the largely student-led protests, which flared into violence starting Sunday, a Hong Kong government spokeswoman said.

The head of the Hong Kong government urged protesters to clear roads Tuesday, saying they are impeding any emergency vehicles that may need to pass.

"The main roads are used by fire trucks and ambulances. They now have to take a detour, so we urge the society to think about this," Hong Kong Chief Executive C.Y. Leung told reporters.

Demonstrations began in response to China's decision to allow only Beijing-vetted candidates to stand in the city's 2017 election for the top civil position of chief executive. Protesters say Beijing has gone back on its pledge to allow universal suffrage in Hong Kong, which was promised "a high degree of autonomy" when it was handed back to China by Britain in 1997.

Leung said Tuesday that China will not back down from its position on Hong Kong.

"China will not compromise to the illegal threats of some people," he said. "Based on the basic law, we will be able to have one person, one vote universal suffrage. China's decision is based on and using what the basic law allows them to do."

"I understand this universal suffrage is somewhat different to what the public thinks it would be," he added. "But this is based on the basic law. We still want to remain peaceful, calm and think what the best is for Hong Kong."

But the protesters, rallying against what many see as the growing influence of the Chinese Communist Party on the way Hong Kong is run, are so far refusing to budge.

Both protesters and police have been calling for calm, Stevens said. And at the moment, the situation is peaceful.

Chanting protesters are calling for the resignation of Hong Kong Chief Executive C.Y. Leung.

A large orange banner hanging over them, Stevens reported, says "freedom in the midst of a storm."

Demonstrators say they're not going anywhere. Authorities also don't seem to show any sign of backing down; officials in Hong Kong and China say it's an illegal gathering.

"The next step really at this stage is very difficult to predict," Stevens said.

Leung said the organizer of Occupy Central said demonstrators would be asked to stop the protest if it gets out of control.

"I now urge them to call a stop to this," Leung said. "I respect how the public voice their political opinions, but I would like you to take care of the safety of the public."

Hong Kong protests: In the thick of it

What you need to know

Police action shocks residents

The protests have brought widespread disruption to the heart of one of Asia's biggest financial centers, blocking traffic on multi-lane roads and prompting the suspension of school classes.

On Tuesday, 37 branches or offices of 21 banks were closed, the Hong Kong Information Services Department said. It said ATM services were also disrupted in some areas.

Police say they've arrested 89 people since protests began, accusing them of forcible entry into government premises, disorderly conduct in public, assaulting police officers and obstructing police.

The large-scale demonstrations now taking place grew out of student-led boycotts and protests that began last week.

The demonstrations increased in size over the weekend after gaining the support of Occupy Central with Love and Peace, a protest group that was already planning to lead a campaign of civil disobedience later this week against the Chinese government's decision.

Images of heavy-handed treatment of protesters by police shocked many residents of Hong Kong, where large-scale, peaceful protests are common, but police crackdowns are not.

CNN's Ivan Watson -- who himself was enveloped in a cloud of stinging tear gas Sunday -- said protesters and police appeared unused to the method of crowd control.

"Both sides were appealing for calm, and then the tear gas just exploded in the midst of everybody," he said. "People here have never been hit by tear gas before, and it comes as quite a shock to them -- even the use of pepper spray. ... This is a big shock for a city that is famed for its law and order."

The strong police response appeared to stir thousands more people into joining the demonstrations, swelling the ranks of protesters around the government headquarters and starting new rallies in other key areas of the city, including the densely populated district of Kowloon, which sits on the opposite side of Victoria Harbor from Hong Kong Island.

"They shouldn't have used tear gas," said Brian Lo, 37, who works in human resources and wasn't protesting. "This made people angry."

As the sun rose over Hong Kong on Tuesday, Watson reported that groups of pro-democracy demonstrators were sleeping in the street after occupying the main highway in downtown Hong Kong for the second night in a row.

At the main protest site near the government headquarters, a young woman named Nikki told CNN she has no plans to leave.

"As long as there's one person that's still out here on this highway," she said, "I'm going to be here."

'Umbrella revolution'

Despite the government's announcement that it had pulled riot police back from the protest sites, smaller numbers of officers remained on guard on the sidelines of the main protest area.

Aside from the clashes with police, the protesters have remained overwhelmingly peaceful. People have been picking up trash left at the protest sites, handing out bottles of water and encouraging police officers to put down their weapons and join the demonstrations.

In the face of tear gas and pepper spray, demonstrators have used goggles, homemade masks and umbrellas to protect themselves.

How Hong Kong remains distinct from China

The abundance of umbrellas among the crowds, shielding people from tear gas and the fierce glare of the sun, has prompted many social media users to dub the movement the "umbrella revolution."

Chan Kin-man, a leader of Occupy Central, told CNN's Christiane Amanpour that demanding the chief executive's resignation is a realistic goal that could give Hong Kong a window to restart constitutional reform efforts

"We shouldn't look at the democracy movement as a battle. It is a war," he said. "As long as the spirit of democracy is alive, we are not and we will not be defeated."

'We had to use force'

Fears nonetheless remain about the possibility of a heavier crackdown from authorities. Both the Chinese and Hong Kong governments have said they consider the protests to be unlawful.

Leung has said police have acted with the greatest possible restraint in dealing with the protesters. At least 12 police officers were among the injured, authorities said.

Hong Kong chief executive: Raw emotion 'will get us nowhere'

"We gave them enough of a chance to leave, and this included warnings," Assistant Police Commissioner Cheung Tak-keung said of protesters at a news conference Monday. "But when they failed, we had to use force."

Police fired a total of 87 tear gas canisters on Sunday night, he said.

In an indication authorities don't expect the demonstrations to end soon, the Hong Kong government said it was canceling the city's annual fireworks display on Wednesday, China's National Day, because of the protests.

"Everybody is in completely unknown territory. ... How these things end, we just don't know,' said Roderic White, an associate fellow at London-based Chatham House. "A lot will depend on the attitude of the authorities, and whether at some time there will be room for somebody to talk to somebody."

What will Beijing do?

Some analysts say they see little hope of compromise between the committed protesters and the Chinese Communist Party, which remains notorious for its ruthless suppression of pro-democracy protests in Beijing's Tiananmen Square in 1989.

"I see no way the Chinese government can tolerate what is happening in HK. Greatly fear this will end badly," tweeted Mike Chinoy, a senior fellow at the U.S.-China Institute at the University of Southern California, who covered the Tiananmen crackdown for CNN.

Pro-democracy activist and former legislator Martin Lee told CNN's Watson that China had troops stationed in Hong Kong who could clear the streets if ordered to.

"But Hong Kong people, I think, many of them would not be scared. I certainly would not be scared. And I've said it before and I say it again, if I see a tank from the Chinese troops in Hong Kong, I would get myself a bicycle and stand right in front of it," Lee said.

Chinese authorities appeared to be taking steps to restrict the flow of information into the mainland about what was happening in Hong Kong. State media gave little coverage to the story, and it appeared censors had blocked access to Instagram after images of the protests flooded the photo-sharing app.

Hua Chunying, a spokeswoman for the Chinese Ministry of Foreign Affairs, said Monday that Beijing fully believes in and firmly supports the Hong Kong government's "ability to handle the situation in accordance with the law."

CNN's Jethro Mullen reported and wrote from Hong Kong. CNN's Catherine E. Shoichet wrote from Atlanta. CNN's Esther Pang, Vivian Kam, Anjali Tsui, Simon Harrison, Euan McKirdy, Felicia Wong, Ivan Watson, Andrew Stevens, Chieu Luu, Elizabeth Joseph, David McKenzie, Steven Jiang, Katie Hunt, Steve Almasy and Hala Gorani contributed to this report.

@highlight

NEW: 37 branches or offices of 21 banks are closed Tuesday in Hong Kong

@highlight

56 people injured and 89 people arrested since protests started, officials say

@highlight

Protesters pack streets wearing masks and protective goggles

@highlight

"We had to use force" on protesters, a police official says