(CNN) -- When her baby girl takes an afternoon nap, or on those nights when she just can't sleep, Sarah Andrews, 32, tosses off her identity as a suburban stay-at-home mom and becomes something more exotic: a "virtual deputy" patrolling the U.S.-Mexico border.

A Texas program lets Internet users around the world monitor live video from the Mexico border.

From her house in a suburb of Rochester, New York, Andrews spends at least four hours a day watching a site called BlueServo.net.

There, because of a $2 million grant from the state of Texas, anyone in the world can watch grainy live video scenes of cactuses, desert mountains and the Rio Grande along Texas' portion of the international border.

When Andrews spots something she deems suspicious -- perhaps a fuzzy character moving from right to left across the screen or people wading through the river with what appear to be trash bags atop their heads -- she and the site's 43,000 registered users can send e-mail messages straight to local law enforcement, who then decide whether to act.

"Today, there's a couple vehicles that are parked side by side next to each other," she said by phone, her 7-month-old cooing in the background, "but I can't tell what's going on, you know?"  See sample videos from BlueServo.net »

The video site's supporters see the 15-camera project as a stride forward in U.S. efforts to halt illegal immigration, drug smuggling and border violence. Run by the Texas Border Sheriff's Coalition, an association of 20 sheriffs from border counties, the project seeks to spread responsibility for the border's security across the nation's masses of Internet users.

About 20 million people have clicked on BlueServo.net since it launched November 20, and the Web site has gained national attention at a time when many eyes already were focused on the southern border of the United States.

Lawmakers are raising concerns about drug-related violence spilling into the United States from Mexico. And, bucking an upward trend, there has been an apparent decrease in illegal immigration into the United States because of the struggling economy, according to a report from the Department of Homeland Security.  Look at where the border wall is located »

The Bush administration made a number of attempts to curb illegal immigration from the south. The administration added troops to the area and also built a wall along parts of the U.S.-Mexico border, drawing criticism from environmentalists and immigration advocates.

Now, a virtual community says it's trying to fill gaps in that protection.

Rob Abernethy, a 42-year-old factory worker from Lincolnton, North Carolina, said he spends 30 minutes here and there watching the border out of a sense of civic responsibility.

"It may take the efforts of many to get a small result, but that small result could be rewarding or great in the long run," he said.

But critics say the program tempts extremists to become involved in border security, which they say is a job better left to trained professionals.

Although there have been no reports of vigilante groups using the site to make arrests, Texas state Sen. Eliot Shapleigh, a Democrat from El Paso, said the program is "pandering to these groups to keep them politically engaged on this issue."

The program also has been widely criticized as ineffective in Texas newspaper editorials, as well as by some of the Web site's own users.

Since the site was launched in late November, only four arrests can be attributed to the cameras, said Don Reay, executive director of the sheriffs' coalition, which runs the project with money from Texas Gov. Rick Perry's office.

All of those arrests were related to marijuana trafficking, he said, with about 2,000 pounds of the drug seized.

Those aren't the kind of results planners were looking for when they started the program, but Reay says the program's unseen value is in the fact that it prevents drug-related violence and trafficking.

He said sheriffs along the border have seen decreased crime in recent months, partly because of the camera program, although he said he could not cite statistics to back up that claim.

Perry's office said the cameras prevent crime because they don't "allow the bad guys to op under the cloak of darkness anymore," according to Katherine Cesinger, Perry's spokeswoman.

The cameras spy on stretches of the Texas-Mexico border where the border patrol isn't particularly active or where the border wall hasn't been constructed, Reay said. He declined to list locations of the cameras for security reasons but said most are hidden on existing structures on private properties.

He wants the program to expand "to cover every place where we don't have a fence" and says the primary goal of the camera program is to fight crime, not immigration.

There's no evidence that security cameras would deter people from crossing the border, said Stephen Legomsky, a law professor at Washington University in St. Louis, Missouri, who specializes in immigration.

"If a person wants to come, they'll find a point at which they're willing to cross," he said, adding that studies show that more people are drowning and dying of dehydration in increasingly daring attempts to cross the border as security increases.

Abernethy and Andrews, the two "virtual deputies," said they would like to see greater transparency in the project. Both said they have e-mailed notes of suspicious activity to law enforcement, but neither has heard whether their alerts were of any help.

"It's interesting. You see different things on there, but I just -- I don't know that it's doing any good," said Andrews, the stay-at-home mom. "I wonder if it's a waste of time."

She said she hopes her work as "virtual deputy" will prevent so many drugs from working their way north from Mexico into New York. She also said the site draws her interest because she's nosy about what's going on along Texas' 1,250-mile international border.

Abernethy said he will continue to watch the cameras because he feels like he's part of an altruistic group of volunteers. Friends tease him about watching the site, he said. But he sees it as no worse than any other form of quick entertainment -- and maybe he can be of some help in the process.

"It's no different than watching 'Everybody Loves Raymond' reruns," he said. "It's just something to do."

@highlight

BlueServo.net lets users watch live video from 15 cameras on Texas-Mexico border

@highlight

Texas put $2 million into project to prevent crime and illegal immigration

@highlight

Critics say cameras are ineffective; only four arrests reported since November

@highlight

Site user: "It's no different than watching 'Everybody Loves Raymond' reruns"