Phoenix, Arizona (CNN) -- The legal battle over a tough Arizona immigration law entered its next stage Thursday when Gov. Jan Brewer filed an expedited appeal to the 9th Circuit Court of Appeals.

The appeal asks the court to lift a preliminary injunction granted by a federal judge that blocked the most controversial parts of the law.

The court document suggests a fast-track timetable that would have oral arguments on the appeal on September 13. Before then, Arizona would file a substantive brief to the court and the U.S. Department of Justice would respond. The Justice Department responded to the motion Thursday, opposing the proposed timetable that would force the government to respond in half the typical time allotted.

"America is not going to sit back and allow the ongoing federal failures to continue," Brewer said in a statement. We are a nation of laws and we believe they need to be enforced."

Following Wednesday's injunction, some legal experts expect that the fight between the federal government and Arizona will reach the U.S. Supreme Court.

"We'll win on appeal," said Arizona state Sen. Russell Pearce, who wrote the law, known as SB 1070.

"I got news for the anarchists," he added. "Our laws will be enforced."

But Isabel Garcia, an immigrants' rights activist and a legal defender in Pima County, Arizona, said she is confident that Wednesday's ruling by U.S. District Judge Susan Bolton will prevail under appeal.

"The court will not allow the state of Arizona to criminalize undocumented immigrants," Garcia told CNN.

The judge's ruling "gutted" the Arizona law, Garcia said.

The preliminary injunction issued Wednesday prevents police from questioning people's immigration status if there is reason to believe they are in the country illegally.

Bolton also blocked provisions of the law making it a crime for people to fail to apply for or carry "alien registration papers" or "for an unauthorized alien to solicit, apply for, or perform work," as well as a provision "authorizing the warrantless arrest of a person" if there is reason to believe that person might be subject to deportation.

The parts of the law that took effect Thursday include a ban on so-called "sanctuary cities" -- municipalities with laws or policies that render them relatively safe for undocumented immigrants.

Pearce noted that provision in the judge's ruling.

"It was still a victory for Arizona," he told CNN's "Newsroom AM" program.

The judge also allowed a provision in the law that makes it illegal to hire day laborers if doing so impedes traffic. The parts of the law dealing with sanctions for employers who hire illegal immigrants also withstood the first legal test.

Despite the judge's ruling -- or perhaps because of it -- tensions remained elevated Thursday.

Several demonstrators who oppose the immigration law were arrested Thursday afternoon in downtown Phoenix, where police blocked off several downtown streets and officers in riot gear were deployed throughout the area.

Maricopa County Sheriff Joe Arpaio said there were approximately 200 protesters oustide of a Phoenix jail. At least 15 protesters had been arrested, he said.

Arpaio, a staunch supporter of the immigration law, and his department went ahead on Thursday with a sweep where violators of the law are subsequently investigated to verify their immigration status. The sweeps do not contradict the judge's ruling because there are other laws that allow the transferring of undocumented workers from state jails to federal immigration custody afterwards, he said.

"Nothing is going to deter the sheriff and my office, including rulings by the federal judge. So, business as normal," he said.

From the other side of the 2,000-mile U.S.-Mexican border, the governor of Sonora state noted that the law has produced "much tension" between the two state governments.

"It puts a lot of tension to border states like Sonora," Guillermo Padres Elias told CNN.

CNN senior legal analyst Jeffrey Toobin said the ruling reflects the government's argument that immigration enforcement should be dealt with at the federal level.

"Arizona may have good intentions, they may be trying to make up for where the U.S. government has failed, but what the judge is saying is, this is not the way to do it," he said

"I think this [is] a case very much destined for the Supreme Court," as other states pass similar laws, Toobin said.

Pearce, author of the law, said he foresaw a protracted legal fight from the beginning.

"I wrote it to go to the Supreme Court," he said before the ruling came down. "I'm begging for that fistfight at the Supreme Court. We will win in a 5-4 decision and finally settle this problem."

He added, "My message to the judge, is uphold the Constitution. Uphold states' rights. This is a battle of epic proportions. This is the states versus the central government."

The federal appeals court could take up the case in a matter of days, but the earliest the Supreme Court could look at it would be October, because the high court is in summer recess.

CNN's Arthur Brice, Adam Blank, Phil Gast and Holly Yan contributed to this report.

@highlight

Justice Department opposes fast-track timetable

@highlight

Arizona governor files expedited appeal

@highlight

Opponents of the law say the ruling "gutted" the measure

@highlight

Judge blocks police from questioning people's immigration status