(CNN) -- President Barack Obama knows we live in a two-tiered America. In July, the president, who is himself an example of how anyone can or should be able make it in the Land of the Free, went on the road to make the point over and over again that the nation's widening gap between rich and poor is tearing at the very fabric of society.

"Even though our businesses are creating new jobs and have broken record profits," the president said in prepared remarks delivered in Illinois, "nearly all the income gains of the past 10 years have continued to flow to the top 1%."

"I will seize any opportunity I can find," he told The New York Times later that month, "to work with Congress to strengthen the middle class, improve their prospects, improve their security."

Any opportunity? OK, then. Here's one: How about paying your interns?

As Emily Jane Fox, a former unpaid White House intern herself, reports for CNNMoney, the White House is coming under pressure from groups like the Fair Pay Campaign to pay the college students who work 9-to-6 jobs (at least) for no money.

Fox told me it cost her "a couple thousand dollars" to take a White House internship in 2010.

"Think about it," she said. "You're there for three months. You're relocating to a new city. You have to pay rent. You have to pay transportation costs to and from the White House."

Plus: She had to buy a suit.

Can't afford an internship? Try asking for donations

"You have to be able to afford to be a White House intern."

Maybe intern pay and the health of the middle class, on first glance, seem unrelated. I saw a few tweets saying it's no big thing that the White House doesn't pay interns. "No. It's called 'paying your dues,'" one woman wrote. "Give school credit or something!"

But internships are an important (maybe essential) part of the modern rÃ©sumÃ©. Without one, it's difficult to find some of the most desirable and high-paying jobs. Fox, for example, said her White House internship has come up in pretty much every job interview she's done. And she says it probably got her into graduate school. Potential interns who can't cough up thousands of dollars in living expenses are left out of the mix, or have a much harder time making the situation livable, meaning the best internships and the best jobs are more likely to go to the upper middle class and rich.

It's just one of many ways middle-class and poor Americans are being left behind in the age of income inequality. The system seems rigged to ensure that wealthier Americans have a much better chance at success than their poorer counterparts.

There are always great rags-to-riches examples that defy this trend. Our pop culture eats that stuff up. But statistics paint a more sobering picture: Only 9.5% of kids born into the bottom income quintile in Washington will rise to the top fifth of earners, according to a recent study from Harvard University and the University of California at Berkeley.

The numbers are even worse in cities like Memphis and Atlanta.

With college expenses skyrocketing and internships offering young workers little or no compensation, it's no wonder it's becoming more difficult to climb out of poverty and into the middle class.

"When the rungs on the ladder of opportunity grow farther and farther apart, it undermines the very essence of America."

Yep, that's Obama, again.

The White House isn't alone in offering an unpaid internship program -- and internships are far from being responsible for America's gap between rich and poor.

Opinion: You don't have to be an unpaid intern

(CNN, for those who are wondering, does pay its interns).

But the executive branch could use this opportunity to make a statement about equality of opportunity in America by offering paid internships, as many others do.

Not everybody can be like Google, which, according to the site Glassdoor.com, pays some interns $6,800 per month. But look at the news site ProPublica, which made headlines when it started a Kickstarter page to raise $22,000 to hire an intern to write stories about internships. There are ways to make this work financially. And to be fair.

Meanwhile, the Fair Pay Campaign is right to point out the hypocrisy of the Obama Administration lobbying for a higher minimum wage while paying some of its young workers nothing at all. The president can set an important example on this.

Hard work should be rewarded with fair pay. And the playing field for new workers should be as level as possible. Otherwise, we're just encouraging the rich-poor gap to grow.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

CNNMoney reports interns at the White House are unpaid

@highlight

John Sutter: Unpaid internships contribute America's rich-poor gap

@highlight

He says the White House should set a better example for other employers

@highlight

Sutter: "... we're just encouraging the rich-poor gap to grow"