(CNN) -- British tabloids have led a feeding frenzy of international media coverage that started weeks ahead of Prince William and Catherine, Duchess of Cambridge's Australasian visit, but the New Zealand media have been slower to smell the blood.

Local coverage of the celebrity couple's 10-day visit that starts April 7 has been respectful but largely reactive in its attempts to inspire the same degree of public adulation for British royalty last seen here 31 years ago.

That was in 1983, when 10-month-old Prince William visited New Zealand for the first time with his parents Prince Charles and Princess Diana. The young prince was just a few weeks older then than his son Prince George will be on this visit.

The lacklustre coverage is understandable given the absence of any real angles until the New Zealand leg of the Australasian tour actually begins and the international media scrum starts seriously jostling for saleable scoops.

Other factors include the shrinking sizes of newsrooms and the fact that many of the royal stories run have been "handed to the media on an official plate," as one senior editor put it.

And, regardless of whether New Zealanders these days are royalists or republicans, they also have a strong distaste for the sensationalist diet of royal reporting the British are so used to being fed.

Until this weekend, the biggest royal media story has been the furore following a former British protection officer's comments that the release of maps of public viewing points for the royal tour was effectively "a manual for terrorists."

Newspapers, television and radio have otherwise been rolling out a steady stream of "easy click" soft stories and pretty photos, as much to score rating points as to genuinely slake the perceived thirst here for information about the "it-couple" whose international popularity is at an all-time high.

Some editors quietly bemoan the fact that the "easy words and easy pictures" royal coverage is out of proportion to public interest which would be better served with more coverage of the upcoming budget, national elections and recently plummeting prices for the some of the country's main dairy export products.

How much New Zealanders are really hankering to see the Duke and Duchess of Cambridge and their much adored eight-month-old George can't be accurately gauged until the crowds do, or don't, choke the streets.

Either way, the media is prepared, on paper at least, for the trio who, royal roots aside, have attained pop star status, in particular in the United States.

Official media briefings around the country have been full, and of the 450 media accredited to cover the tour, nearly three quarters are local.

Editors planning nationwide radio, television and newspaper coverage as well as around-the-clock online and social media content are all throwing maximum resources at the tour.

The commitment is, of course, as much about beaming stories and photos of the royals to the rest of the world as it is to satisfying New Zealand audiences.

It is also a priceless opportunity to promote tourism by showcasing images of New Zealand's natural beauty along with those of the beautiful couple and the loveable third-in-line to the British throne.

Fairfax Media, one of the country's two biggest media chains, will have staff at every royal event.

"That's not necessarily because its news. But if something went wrong, you have to be there," said Fairfax's national content editor, Kevin Norquay.

Sources close to officials managing the royal visit say they are optimistically expecting "a bit of hysteria."

During Prince William's first New Zealand visit, the sight of him being set loose to crawl on the lawns of Government House in Auckland with an iconic Kiwi Buzzy Bee toy touched people's hearts.

When I covered that visit, there was still a collective sense of pride among most New Zealanders at welcoming members of "our royal family" whose mother and grandmother was "our Queen."

When William, Kate and George visit this week, New Zealanders who choose to connect with them will do so on various levels, many of them with little regard for any loyalty to royalty.

There is no doubt that an empathetic William endeared himself again to New Zealanders when he made a special trip here in 2011 to meet families of the victims of that year's devastating Christchurch earthquake and of the 2010 Pike River Coal Mine disaster.

Public interest will be high in Kate who is visiting New Zealand for the first time on the couple's first official overseas visit with George.

What could be more feel-good than a pretty, well-dressed "princess" toting her beautiful baby?

A referendum within the next three years will decide whether New Zealanders will change their national flag, which has included Britain's Union Jack for more than 100 years.

Public opposition to changing the flag has grown over the past few years to just over 50% of people polled, with half of those who were polled between the ages of 18 to 39 being opponents.

New Zealand's indigenous people, the Maori, have always had a close connection with the British Royal Family, partly because of a historic and often abrogated treaty signed by Maori in the 19th century with representatives of Queen Victoria.

This year, however, the Maori King has declined to see the Duke and Duchess because he believed their diary allowed too little time for traditional ritual.

The crowds that turn out to catch a glimpse of the royals are likely to include a higher proportion of rubber-neckers, anti-royalists and people who just go ga-ga over good-looking, blue-blooded babies than of true-blue royalists.

READ: Prince George's first royal tour: The kid's a natural

READ: Royal jet-set: Why Prince George is going long-haul

@highlight

The Duke and Duchess of Cambridge and Prince George arrive in New Zealand April 7

@highlight

It will be the first visit Down Under for the 8-month-old Prince and his mother

@highlight

Deborah Telford says NZ media has not embraced the feeding frenzy of UK tabloids

@highlight

She says while interest may be high it doesn't necessarily mean the population is royalist