New York (CNN) -- Thousands of miles from a bloody shooting in southern France, Jewish and municipal leaders voiced concerns and vowed to bolster protections for schools, neighborhoods and synagogues while noting they have no indication any fresh, faraway attacks are imminent.

Three children and one teacher were fatally shot Monday at the Ozar Hatorah school in Toulouse, an incident French President Nicolas Sarkozy called a "national tragedy."

Yet its effects aren't being felt only in France. Jewish leaders, law enforcement officials and others around the world have responded with promises that security will be sound and requests that all be on the lookout for suspect activity.

Sarkozy puts region on high alert

There has been no evidence, however, that there's any active threat beyond southern France -- where the Toulouse incident was the third fatal attack in 10 days to target minorities.

"Just because there's something that happens there, doesn't mean there are more threats here. But we take everything very seriously," said New York Mayor Mike Bloomberg.

In the United States, an official with the Department of Homeland Security said U.S. authorities are monitoring the situation in France along with European authorities, as well as looking at the prospect of attacks targeting Jews domestically.

"Currently, we are aware of no specific threat to locations within the United States whatsoever," said the U.S. official, who asked not to be named. "As always, we encourage the general public to be vigilant and report any suspicious activity to local law enforcement."

Yeshiva University in New York issued a statement saying that "security concerns have increased as a result of the tragic shooting incident in Toulouse, France" -- urging people to "be alert to any suspicious activity or persons."

Farther north in Manhattan at Park East Synagogue, director Benny Rogosnitzky said parents with children at the day school and others going in and out of the synagogue have been asked not to congregate outside.

"It's certainly a concern," Rogosnitzky said, noting that the facility is on high alert as often happens after such attacks.

New York police have increased security coverage at synagogues and "Jewish locations" in the city, Commissioner Ray Kelly said.

Earlier, Deputy Commissioner Paul Browne had added that NYPD's Counterterrorism Bureau will assign critical response vehicles to patrol around about 20 Jewish institutions and neighborhoods.

Kelly, the department's leader, said there was no specific intelligence regarding threats to places where Jewish people might gather. But he said that increasing security at such locales is "prudent," nonetheless.

"We have a significant Jewish population in this city, and ... we know that we're at the top of the terrorist target list. So we're concerned about the so-called 'copy cat syndrome,' where someone might see the events unfolding in Toulouse and take it upon themselves to act out," said Kelly.

Similar security measures are being taken in Washington, where Metropolitan Police Department spokeswoman Gwendolyn Crump said authorities "have directed that additional attention be provided to schools and religious institutions."

There are increased patrols at Jewish schools, synagogues and neighborhoods in San Francisco as well, said police spokesman Albie Esparza.

People around Jewish institutions in New York, at least, said attacks like Monday's in France raise awareness, sympathies and concerns, but it doesn't mean they're expecting it to unfold in their backyard.

"You feel for these people; you would never want that to happen to anybody. But I still feel very safe and very protected," said Abby Morris, a preschool teacher at a school affiliated with New York's Central Synagogue.

Still, some Jewish leaders said that added precautions are needed in light of the Toulouse and similar incidents.

"In light of the incessant anti-Israel and anti-Semitic rhetoric worldwide, we urge that all Jewish institutions review their security procedures in conjunction with local law enforcement," said Dr. Shimon Samuels, director of international relations for the Los Angeles-based Simon Wiesenthal Center.

Abraham Foxman, national director of the Anti-Defamation League, said that the Toulouse attack serves as a "reminder," but it does not represent any big shift in the danger or people's attitudes.

He cited a poll of 1,754 Americans, released by his advocacy group in November, in which 15% of respondents held "deeply anti-Semitic views." If the ratio holds true nationally, that would equate to about 35 million Americans. This is up 3 percentage points from a poll two years earlier. The survey had a margin of error of plus/minus 2.8%.

"Unfortunately, the Jewish community lives in vigilance against terrorism and anti-Semitic attacks 24/7/365 days a year," said Foxman.

He noted that, before Monday, security precautions were common in synagogues and other Jewish institutions because it is a reality that such hatred exists. If anything, he says, the Jewish community needs to be even "more vigilant" in protecting themselves against attacks.

"And it should be vigilant in between acts of terrorism and violence, not just when it happens," he added. "That's part of being Jewish, unfortunately, in our (world)."

CNN's Greg Botelho and Carol Cratty contributed to this report.

@highlight

NEW: The Jewish community needs to be "more vigilant," the ADL chief says

@highlight

4 people are shot dead at a Jewish school in southern France

@highlight

Police in New York, San Francisco and D.C. increase patrols in Jewish areas

@highlight

No official in the U.S. has indicated there's any specific threat targeting Jews