Cairo, Egypt (CNN) -- Supporters of former Egyptian president, Hosni Mubarak, are now publishing a monthly Arab-language newspaper.

It's little more than a year on from the January 25 revolution that, after 30 years, deposed Mubarak amid jubilation and hopes for the future.

Today, the economy is in trouble, protests continue against the ruling Supreme Council of the Armed Forces and Mubarak's ongoing trial -- dubbed the "Trial of the Century" in Egypt -- is causing controversy on all sides.

Those opposed to Mubarak say they are not seeing justice, while the former president's supporters -- who say they represent "the silent majority" -- continue to lobby for Mubarak's release and "dignity."

Newspaper, the "Sun of the Truth," is their latest tool. Its publishers say it is dedicated to the "reawakening of public consciousness." The headline on the front page of the December issue reads: "Charges against 'President' Mubarak are baseless with no evidence."

Mubarak's trial for corruption and the killing of more than 800 protesters began on August 3, 2011 and is ongoing.

Law graduate and journalist Magdi Fouda is Editor-in-Chief of the two-month-old paper. He says he has dedicated his time and money to the project to set the record straight on the revolution.

Egypt one year on: How the revolution has changed our lives

"Most Egyptian media lost its neutrality," he said. "We are a different but true voice that reveals the truth about the January 25 'crisis.'

"(It) has brought nothing but hundreds of kidnappings, more poverty, robberies, incredible loss in tourism and crimes we never imagined."

Economic concerns are high in many Egyptians' minds: Damage to the tourism industry has been estimated at up to $1 billion and the country's net international reserves have fallen by 50%, according to Bloomberg.

Richard Quest: Unrest impact on Egypt's tourism

Fouda says he leads a team of 25 contributing journalists and free copies of the paper are distributed major cities in Egypt outside metro stations, residential compounds, universities and malls.

They are also distributed in Abaseya Square in an upper-class neighborhood of Cairo, the location of major protests supporting the Supreme Council of the Armed Forces ruling Egypt since Mubarak's ouster on February 11. Fouda says the team printed 100,000 copies of the January edition.

Fouda says the glossy 16-page newspaper was licensed in London, England and published in a small local printing press in the free zone in Cairo. The six partners funding the paper, he says, are professional engineers, doctors, and businessmen who have one conviction in mind -- to preserve Egypt and retrieve Mubarak's dignity.

"The former president -- a veteran of four wars and commander of the Egyptian Air Force in the 1973 war with Israel -- cannot be degraded in court like that," said Fouda. "His humiliation is an insult to all the Egyptians he went to war for."

Mubarak's lawyer, Fareed El Deeb, advocates his client's innocence and has capitalized on the former president's honorable military career urging for him to be referred to a military court.

Last week, El Deeb asserted that Mubarak was still technically president since he "gave up" the presidency orally without signing a written document as entailed in the constitution.

A media war erupted and dozens of Egyptian TV stations, classified by their political direction as pro or anti-revolution, analyzed the lawyer's claims according to their political bias.

In this confusing media and political landscape, many Egyptians have reverted to humor as a way of coping.

Numerous jokes circulated on social networks and through text messages in response to El Deeb's claim that Mubarak is still president.

One joke reads: "Mubarak Out of Office Message: (Auto Reply) I will be out of the office starting from 11/02/2011 until 25/01/2012. For urgent issues contact Country Manager, my delegate Marshall Mohamed Hussein Tantawi."

Tantawi is the head of the Supreme Council of the Armed Forces, the ruler of Egypt since February 11 2011.

Many Egyptians see Egypt's current rulers as an extension of Mubarak's old regime.

Economic shortcomings like the Supreme Council of the Armed Forces' failure to ensure a minimum wage to the millions of Egyptians living under the poverty line have left many in the country angry. It's a demand the opposition has had since Mubarak was in power.

Opinion: What do Egypt's generals want?

The majority of the population does not share the views in the "Sun of the Truth," according to Dr. Safwat Al Allam, Professor of Political Media at Cairo University.

"The people publishing this paper distribute it for free knowing that the majority of the population are against their views.

"But their tactical approach may win them some of the poor susceptible people caught in the falling economic blunder Egypt is living today."

Al Allam says the revolution in Egypt is an ongoing process that has not been completed. People are confused and polarized amid the anarchy following the removal of the deeply-rooted system that came with the Mubarak era, he adds.

Allam suspects the owners of the paper have other hidden motives of self-interest that may not sit well with those activists that have risked their life for the sake of real change in Egypt.

Sherif Ahmed, a hard-line protester who participated in the uprising that ousted Mubarak took a glance at the paper before lashing out at the ruling Supreme Council.

"If the Supreme Council of the Armed Forces is really the protector of this revolution and celebrating its anniversary on January 25, proclaiming a national day, then why are they allowing this paper," Ahmed asked.

"Would the Libyans or Tunisians after their heroic revolutions allow such a paper glorifying their toppled dictators such as the deceased Gaddafi or that fugitive Ben Ali?"

@highlight

Supporters of Mubarak publish a newspaper to lobby for his release and "dignity"

@highlight

Editor of the newspaper says the revolution only brought damage to the country

@highlight

Professor Al Allam says the revolution removed Mubarak but left anarchy

@highlight

The polarized political and media landscape is a reflection of the anarchy, he adds