Paris, France (CNN) -- France's lower house of parliament Tuesday overwhelmingly passed a ban on any veils that cover the face -- including the burqa, the full-body covering worn by some Muslim women.

The vote was 335 to 1.

The measure must still go to the French Senate before it becomes law.  The Senate is expected to vote on it in the week of September 20.

Amnesty International immediately condemned the vote.

"A complete ban on the covering of the face would violate the rights to freedom of expression and religion of those women who wear the burqa or the niqab in public as an expression of their identity or beliefs," said John Dalhuisen, Amnesty International's expert on discrimination in Europe.

French people back the ban by a margin of more than four to one, the Pew Global Attitudes Project found in a survey this spring.

Some 82 percent of people polled approved of a ban, while 17 percent disapproved. That was the widest support the Washington-based think tank found in any of the five countries it surveyed.

Clear majorities also backed burqa bans in Germany, Britain and Spain, while two out of three Americans opposed it, the survey found.

The French Council of Ministers approved the measure in May, saying veils that cover the face "cannot be tolerated in any public place." Their approval sent the bill to parliament.

The parliamentary vote is the latest step in France's efforts to ban the burqa, niqab and other Muslim garments that cover a woman's face.

A panel of French lawmakers recommended a ban last year, and lawmakers unanimously passed a non-binding resolution in May calling the full-face veil contrary to the laws of the nation.

"Given the damage it produces on those rules which allow the life in community, ensure the dignity of the person and equality between sexes, this practice, even if it is voluntary, cannot be tolerated in any public place," the French government said when it sent the measure to parliament in May.

The bill envisions a fine of 150 euros ($190) and/or a citizenship course as punishment for wearing a face-covering veil.

Forcing a woman to wear a niqab or a burqa would be punishable by a year in prison or a 15,000-euro ($19,000) fine, the government said, calling it "a new form of enslavement that the republic cannot accept on its soil."

The measure would take effect six months after passage, giving authorities time to try to persuade women who veil themselves voluntarily to stop.

The French Council of State has warned that the ban could be incompatible with international human rights laws and the country's own constitution. The council advises on laws, but the government is not required to follow its recommendations.

If the French bill is approved by the upper house and signed into law, it will be the first national ban in Europe on the burqa, a full-body covering that includes a mesh over the face, and the niqab, a full-face veil that leaves an opening only for the eyes.

The hijab, which tightly covers the hair and neck but not the face, and the chador, which covers the body but not the face, apparently would not be banned by either law.  However, a 2004 law in France bans the wearing or displaying of overt religious symbols in schools -- including the wearing of headscarves by schoolgirls.

The Pew Forum on Religion & Public Life estimates that France has about 3.5 million Muslims, or about 6 percent of the population.

France does not keep its own statistics on religious affiliation of the population, in keeping with its laws requiring the state to be strictly secular.

CNN's Saskya Vandoorne contributed to this report.

@highlight

NEW: Amnesty International condemns the vote, saying the ban violates religious freedom

@highlight

Ban passes the lower house of the French parliament by a huge majority

@highlight

French people overwhelmingly favor a ban, the Pew Global Attitudes Project found this spring

@highlight

The bill still needs Senate approval to become law