Most of us with 401(k) plans watched in horror, as our retirement savings plummeted in the stock market crash of 2008. That year, the average 401(k) balance dropped by a third, forcing older Americans to delay retirement or cut back on spending. Since then, as the market rebounded, some of our savings have recovered in fits and starts.

The crash showed one serious downside to 401(k)s: their complete exposure to the wild swings of the market. But what you may not realize is that even when the stock market is zooming ahead, hidden fees take an unacceptably high share of your investment return.

If your immediate response is, "Oh, I know how much my 401(k) is costing me," then you're one of small numbers of Americans who's in the know.

According to a recent AARP survey, 71% of people with 401(k)s didn't even know they were paying fees for their retirement accounts.

So how much do these fees really cost you?

The answer may shock you. Fees can, on average, reduce your 401(k) balance by up to 30%, regardless of whether you have $1 or $1 million in your retirement account.

You may wonder -- is 30% a big deal? Yes.

Let's look at a hypothetical model of say, an average two-earner household where the combined earnings is between $50,000 and $70,000 a year over the course of 40 years (from ages 25 to 65).

This couple, unlike most Americans, consistently saves between 5% to 9% of their salaries each year and puts that money into a 401(k) account, gradually increasing their yearly contribution over time. And atypically, they never have to withdraw from this account. They invest their 401(k) account equally in a stock mutual fund and a bond mutual fund, each of which charges average market fees.

For such a household, 401(k) fees will cost $155,000 over a lifetime, which leaves the couple with about $350,000 in 401(k) income at retirement. This may sound like a large amount, but if the couple spends this nest egg at the 4% annual rate recommended by financial advisers, they will have a mere $14,000 yearly supplement to their Social Security benefits -- not exactly a king's ransom.

However, $350,000 is by far more than what most Americans save. According to the Federal Reserve's Survey of Consumer Finances, the average household approaching retirement has only $100,000 in total retirement savings among all of their accounts.

What are these fees, then, that are taking such a big bite out of your retirement account? There are four kinds: administrative fees, marketing fees (sometimes called 12-b1 fees), investment management fees and trading costs.

The first three types of fees are shown, as an aggregate total, in each mutual fund's expense ratio, and are generally reported in your 401(k)'s "summary documents" as a percentage of assets.

For example, if you had $50,000 invested in a mutual fund that has an expense ratio of 1%, it means that you pay 1%, or $500, of the total balance you have invested in the fund in fees. This 1% is charged each year regardless of the mutual fund's performance.

However, the expense ratio does not include the last type of fee -- trading costs. Despite this omission, rest assured that you are indeed paying this fee as well. Trading costs are pretty complex, but the best way to understand them is to know simply that they rise the more often a mutual fund buys and sells its assets, i.e., the more it is being "actively managed."

If you knew that 30% of your retirement savings are chipped off, you would probably be outraged. It seems like a steep price to pay for investment management, doesn't it?

But the investment industry disagrees, arguing that such costs are justified because mutual fund expenses are regulated by the competition of the free market, and what consumers are paying is simply the cost of doing business.

The problem with this argument is that it's not true.

Index funds, for example, have often outperformed actively managed mutual funds while charging a small fraction of the fees. But investing more in index funds will not come close to fixing the broken, expensive 401(k) system.

There's no way around it: the mutual fund system we have can't be fixed, and must be replaced. Why?

Because everything about the 401(k) is too individualized: investment management, risk and fees. We need a new type of retirement account that is somewhere between a traditional pension and a 401(k) that combines some of the best features of each.

To minimize the excessive risks of the stock market and keep down investment management costs, we can invest the funds from all the individual retirement accounts as a pool, mirroring the way that the assets of a traditional pension fund are invested. Pooling maximizes returns for all participants by allowing managers to invest in a more diversified portfolio and over a longer investment horizon.

The government should administer these retirement accounts, making sure that everyone can participate and the pools are as large as possible. However, investment management can and should be bid out to private companies  to foster competition.

This is one proposal. It's worth exploring. Far too many Americans are paying unnecessary high fees for precious savings meant for retirement. We can't let that continue.

@highlight

Survey: 70% of people with 401(k)s don't know they paid fees for retirement accounts

@highlight

Robert Hiltonsmith: Fees can, on average, reduce your 401(k) balance by up to 30%

@highlight

He says far too many Americans are paying unnecessary high fees, even when market is up

@highlight

Hiltonsmith: The mutual fund system we have can't be fixed and must be replaced