(CNN) -- Most Americans probably still believe the biggest threat to our national security is terrorism. We're debating increasingly intrusive security measures, and not long ago we heard about a homegrown terrorist in Oregon who wanted to cause a huge explosion at a Christmas tree-lighting ceremony.

Yet Mexican drug cartels are arguably as dangerous and deadly as terrorists, and they were operating far inside our borders well before 9/11.

The decision to go into Afghanistan was an easy one to make; or at least it was in 2001.  Shortly after the 9/11 attacks, America learned all about al Qaeda. We were prepared to do whatever it took, spend whatever it cost, and deploy tens of thousands of our soldiers, sailors, Marines and airmen to effectively and efficiently do the job.

It seems like the job they've been doing is working, to an extent. We haven't experienced a large terrorist attack on U.S. soil since 9/11 and al Qaeda is a shadow of its former self. But do we know for a fact that our presence in Afghanistan is the exact thing that's preventing more terrorist attacks? Maybe, and maybe not.

Most people don't want to take chances, and most people would say that terrorism is still the biggest threat to our national security.

I beg to differ.

Let's switch gears for a minute to the drug war in Mexico, where more than 30,000 people have been killed since President Felipe Calderón came into office and the annual body count goes up every December. Granted, most of the people being tortured, kidnapped or killed have historically been criminals involved in the drug trade. However, that's changing. We're seeing more and more innocent bystanders, including children, being gunned down as collateral damage.

The big concern, of course, is whether the violence is going to spill over into the United States. But there are two real problems with this debate. First, no standardized definition exists as to what constitutes border violence spillover. It really is in the eye of the beholder, which means that if you ask a Texas city mayor and an Arizona rural border county sheriff whether they're seeing it, you're likely going to get two very different answers.

The second problem is that we're too focused on spillover in the border area to realize that Mexican drug cartels have deeply infiltrated every corner of the United States, and they did so well before terrorism and religious extremists entered our national consciousness. According to the U.S. Department of Justice's National Drug Intelligence Center, members of Mexican cartels are operating in more than 270 U.S. cities and thousands of smaller communities.

Those same cartels dominate drug trafficking operations in places like Los Angeles, Phoenix, Houston, Chicago, Detroit, Denver, Atlanta and Newark, New Jersey. Violent gangs across the country act as their proxies and sell Mexican drugs like marijuana, crystal methamphetamine, brown powder and black tar heroin, and Colombian cocaine in our cities and neighborhoods from San Diego to Syracuse, New York.

So why don't we hear more in the media about the activities of Mexican cartels on U.S. soil? Mostly because cartels like to keep a low profile and blend in. Drawing attention to cartel operations in the United States is very bad for business and our law enforcement officers can generally be depended on to do their jobs. A big shootout in a San Diego shopping district or downtown Houston between dozens of heavily armed cartel gunmen and the U.S. Army isn't going to happen any time soon.

But that doesn't mean drug-related violence isn't happening in the United States, and sometimes well away from the border.

In 2009, five mutilated bodies were found outside a drug stash house in a well-to-do northern Alabama county. Dozens of law enforcement officers have been shot at and many severely injured by heavily armed men who work for Mexican cartels defending marijuana crops in states like Oregon, Tennessee and North Carolina.

Closer to the border, last year, gang members from "Los Palillos" were indicted in the kidnapping, torture and murder of nine people in San Diego County. Two of those victims were dissolved in vats of acid after they were killed.

This is the real and current major threat to our national security -- tens of thousands of violent Mexican cartel members who are living and operating under our noses in our cities, communities and public lands.

We've spent more than $365 billion on the war in Afghanistan since 2001, and about 1,400 military members have lost their lives in the process. We've committed only $1.6 billion to the drug war in Mexico -- only a few hundred million of which has actually been spent since 2007 -- and our military isn't allowed to step one foot in-country unless it's for training purposes.

In a time when our national deficit is skyrocketing and the collective belt is tightening, we need to take a good look at our priorities when it comes to national security.

So can our commitments to Afghanistan and Mexico be compared? Maybe, maybe not.

We know the number of innocent Americans who died as a result of terrorist attacks on U.S. soil. But we also have a rough idea of how many Americans die every year as a result of using drugs being peddled by Mexican cartels operating in our country. I can assure you that the number of American drug casualties is much higher.

We also need to take into account the cost of interdicting even a small percentage of those drugs at the border, as well as the environmental toll that domestic marijuana cultivation is taking on our nation's landscape.

Afghanistan and Mexico can't be compared in the ways we're fighting those wars, but they certainly can in the ways our government chooses to assess and protect us from the threats they pose.

The opinions expressed in this commentary are solely those of Sylvia Longmire.

@highlight

Sylvia Longmire: Huge number of Mexican drug cartel members in U.S. since well before 9/11

@highlight

We fight in Afghanistan, she writes, but should fight deadly and dangerous cartels at home

@highlight

Longmire: More Americans die from overdose and drug violence than in terror attacks

@highlight

$365 billion for Afghan war; she says, $1.6 billion for drug war in Mexico with little spent so far