Cairo (CNN) -- Three Al Jazeera journalists were among eight who appeared at a hearing in a Cairo prison court Thursday, accused along with 17 other defendants of spreading "false news" and having links to the Muslim Brotherhood, which Egypt declared a terrorist organization in December.

"Tell her I love her. Big wedding when I get out," Al Jazeera English journalist Mohamed Fahmy told journalists in a message to his fiancee, appearing in high spirits on the first day of his trial, despite a worsening shoulder injury.

Fahmy, a former CNN freelance producer, is accused of being a member of a terrorist group and airing false news about Egypt to give the impression of a civil war. A prosecutor has also charged Al Jazeera English correspondent Peter Greste, producer Baher Mohammed and 17 others. Al Jazeera said nine on the list were on its staff.

The charges were read out Thursday as the case opened, but no evidence was read in open court. The prosecution had been expected to outline the evidence supporting the charges.

The case against the journalists comes amid a crackdown on the Muslim Brotherhood after the ouster of the country's first democratically elected president, Mohamed Morsy. The accused have denied the allegations against them, with the journalists saying they were simply doing their jobs.

On the stand at the police academy in the Tora Prison complex, Fahmy, Greste and Mohammed appeared with five others. "We didn't even know their names until we met them here," Fahmy told reporters asking about their relationship with the other defendants.

They include Anas El Beltagy, son of jailed Muslim Brotherhood leader Mohamed El Beltagy. His mother, Sanaa Abdel Gawad -- standing outside the court wearing a badge with a picture of his sister, who was killed in August -- said their arrest was "a vendetta against his father."

Sohaib Saad, a student defendant claiming no relation to Al Jazeera, told reporters he was receiving "repressive treatment" at the Aqrab (Scorpion) Maximum Security Prison, including a ban on food and visits.

Fahmy and Mohammed were originally in solitary confinement in that prison. In their new prison, the Tora Farm Annex, they share a cell with Greste, allowed one hour of outdoor time a day and no books.

They complained that conditions inside are "psychologically unbearable," but they remained defiant. "If justice happens, we will be free soon," Greste said. Speaking in a metal cage and separated from journalists by rows of wooden benches and a line of police conscripts, his voice was barely audible.

"We need everyone's support," he said.

Fahmy had to repeat his words in a louder voice. "Tell my parents I love them," he said.

Mohammed told journalists to tell his wife to stay away because she's pregnant. Along with other relatives of the defendants and other reporters, she stood outside the prison complex early Thursday morning with their two children. She and Fahmy's family couldn't get inside.

'It's just ridiculous'

In an interview, Andrew Greste told CNN how he had visited his brother Peter in Egypt's notorious Tora prison.

"There was the ability to communicate," he said. "I guess that's the only way we feel we can get through this: is trying not to get too bogged down in the emotions and the conditions that Peter is enduring, because that becomes paralyzing for us."

The family was shocked by what has happened, Andrew Greste said. "I mean, a journalist of Peter's credibility, it's just ridiculous," he said.

He said he had taken food and clothing into prison for his brother, since it was not provided by the state.

Peter Greste, an award-winning journalist, was in Egypt only to cover for a colleague, his brother added.

The Egyptian government has faced a tide of criticism about the case, from professional journalism organizations and human rights groups.

Salil Shetty, secretary general of Amnesty International, last month described the prosecution as a "major setback for media freedom in Egypt."

He added, "The move sends the chilling message that only one narrative is acceptable in Egypt today -- that which is sanctioned by the Egyptian authorities."

Apparent mix-up

The case relies on simmering sentiment against Al Jazeera TV, deemed biased to the Muslim Brotherhood. One lawyer told the court that there is a mix-up in investigations and other case documents between the Jazeera Mubasher Masr, banned by Egypt, and Al Jazeera English.

"Which Jazeera?" the judge asked before taking notes.

"We believe that we have not been distorting Egypt's image at all," said Heather Allan, head of Al Jazeera English newsgathering, before the trial started.

"They said we fabricated footage before they even looked at my camera," Fahmy said.

'It is a matter of breaking the law'

Salah El-Sadek, chairman of Egypt's State Information Service, said the Al Jazeera journalists did not have the proper legal documents to work in Egypt, creating suspicion about their activities -- although their reports aired nightly on TV.

"We have 1,100 correspondents and journalists accredited here, legally representing 200 agencies in this country," he told CNN. "None of them have been exposed to that because none of them have broken the law. So it's not a matter of freedom of speech in this case. It is a matter of breaking the law."

The Al Jazeera network has said its employees were not accredited in the country but argues that is no excuse for imprisoning them.

"Lack of credentials is not a criminal offense. ... Usually you get a slap on the wrist and a walk to the airport," Allan said.

Criticism from journalists

The case has put Egypt in the spotlight, further fueling criticism about freedom of expression and the challenges facing journalists.

"Egyptian authorities in recent months have demonstrated almost zero tolerance for any form of dissent, arresting and prosecuting journalists, demonstrators and academics for peacefully expressing their views," Human Rights Watch said in a prepared statement released Wednesday.

The Committee to protect Journalists listed Egypt as third deadliest country for journalists in 2013. Journalists face deadly police force and violence by mobs on the street.

"Things are getting worse on so many levels," said Lina Attalah, chief editor of Mada Masr, which describes itself as an independent Egyptian news website.

"On a practical level, we are not able to do the job. But also on a formal censorship level, with the prosecutions that are politically motivated as we all know. It just makes us think that we can be targeted from any side and by any means."

The journalists' trial was a reminder of what awaits dissent or different voices, Attalah explained, and it has become an "embarrassment" to the state and the judiciary.

But the chairman of Egypt's State Information Service disagrees about such a crackdown on dissent. "Who said they are punished for criticizing the government? If you watch the private and even the formal or the governmental channels, you will find criticism that has been said about the government and its actions and it was way of running things more than we've ever had in our whole life," El-Sadek said.

For others, the media has been almost unanimous in its support of the current military-led government, which is often blamed for fueling xenophobia and polarization to violent levels.

International support

The trial has also garnered international solidarity with protests in Nairobi, London and other cities in support of Egypt's arrested journalists, not all of whom are included in this trial.

Greste, Fahmy and Mohammed were happy to hear the news of such demonstrations. Fahmy raised his fist in the air in excitement. "Wait until I get out," he shouted. The three have been in detention for more than 50 days.

The procedural hearing was adjourned to March 5, to bring in prosecution witnesses, provide a translator for Greste and allow lawyers to acquire case documents. Evidence will be examined at the March hearing, and lawyers have requested an independent expert to examine the footage the prosecution said was edited to portray a false image.

They praised the work of the Canadian and Australian embassies in Cairo but wanted the governments of these two countries to do more.

'They want to shut us up'

Besides the three detained on December 29, a number of Al Jazeera journalists were charged in absentia. Among them is Briton Sue Turton, who has previously worked for Britain's Sky News, ITN and Channel 4.

Speaking at a protest against her colleagues' detention in London, she said the Egyptian authorities' actions were an attempt to silence reporting of views opposed to theirs.

"Certainly we are one of the only channels in Egypt that's watched widely that gives very much an opposing view to the military-backed government," Turton said.

"The domestic media doesn't, the domestic press and TV doesn't. They want to shut us up, and the best way to do that is to arrest some of our people in the hope that that will stop others from reporting from there."

CNN is among the journalistic organizations that have signed a petition asking for the release of the Al Jazeera journalists, two of whom have worked for CNN.

CNN's Sara Sidner reported in Cairo and Laura Smith-Spark wrote in London. Journalist Sarah Sirgany contributed to this report.

@highlight

Three detained Al Jazeera journalists appear in court as their trial opens in Cairo

@highlight

No evidence is presented in court; the trial is adjourned until March 5

@highlight

Peter Greste, Mohammed Fahmy and Baher Mohammed are among 20 accused

@highlight

Authorities say they have ties to the banned Muslim Brotherhood organization