London, England (CNN) -- One of Britain's most cherished maritime treasures will complete a miraculous rise from the ashes when it reopens to the public later this week.

The Cutty Sark was devastated by fire in May 2007 but a Â£50 million ($81 million) restoration project has seen the historic vessel returned to its previous majestic glory.

The 143-year-old vessel is the world's last surviving tea clipper -- a type of nineteenth century merchant sailing ship renowned for its speed -- and was once considered the epitome of commercial maritime technology.

It will receive the royal seal of approval when the Queen and Prince Phillip preside over its reopening ceremony in Greenwich, London, on Wednesday.

As part of the extensive restoration process the vessel has been raised 11 feet (3.3 meters) above ground, with its lower levels encased in a glass casing symbolic of the sea.

See also: World's oldest warship gets $25 million revamp

This new feature enables visitors to walk underneath the ship, exposing the design and engineering feats that enabled the Cutty Sark to reach what were once record-breaking sailing speeds of 17 and a half knots (20 mph).

"We have raised the ship so she'll be right up there with the best (historic ships)," Richard Doughty, chief executive of the Cutty Sark Trust, told CNN.

"She's a beautiful ship, a name that everybody immediately recognizes," Doughty added. "The fire touched people's hearts (and) you value something when you think you're going to lose it."

Launched from the small town of Dumbarton on the banks of the River Clyde in western Scotland in 1869, the Cutty Sark has a long and colorful history.

The ship carried a wide variety of cargo during its working lifetime -- including the finest teas, wool and gunpowder -- and made frequent journeys between the UK and major trading ports in Asia, Europe, Africa, Australasia and the Americas.

See also: Adventure tourism at the bottom of the sea

Most of the tea clippers to grace the waves during the same period lasted for only a few years and just seven survived into the twentieth century.

By the mid-1920s, the Cutty Sark was the only one still afloat and in 1954 it was transferred to its current dry-dock site in Greenwich.

Here the vessel became a symbolic memorial to Britain's 19th century maritime and colonial dominance, attracting visitors and maritime enthusiasts from all over the world.

It is this rich historic significance that the restoration project hopes to convey. A number of new hi-tech educational features meanwhile have been added to augment the overall theme.

"She was the fastest of her day, the last remaining tea clipper, emblematic of the importance of international trade and Britain's maritime heritage," said Jessica Lewis, curator of the Cutty Sark restoration project.

"We've used a variety of media to tell the story of the ship in different ways -- oral history and reminiscences, new AV (audio visual) and digital interactives. Once up and running the offer will be enhanced with live interpretation and family events," Lewis added.

The Royal Museum Greenwich, which will take over the day-to-day running of the Cutty Sark after the reopening ceremony, hope the attraction will pull in around 300,000 visitors every year.

See also: Voyage to discover historic vessel of Sir Francis Drake

Although the ship doesn't officially reopen for business until Thursday, visitors to the site have been able to view the vessel from afar as the finishing touches are applied.

Those canvassed by CNN were positive in their appraisal of the Cutty Sark's restored aesthetic appearance.

"It's a really impressive sight," said Cathy Sertori who had traveled to London all the way from Australia.

"I'd heard about the restoration project and it's such an important historical ship that we really wanted to come down and see it while we are here," Sertori added.

"There is already loads to see in London but the glass feature is so impressive. It will give people a totally different perspective on the skills and design that went in to creating such a magnificent ship," she said.

@highlight

The Cutty Sark will reopen to the public in London this week

@highlight

$81 million has been spent restoring the historic ship

@highlight

The Queen and Prince Phillip will give the vessel their royal blessing