Some call them a secret brotherhood, others refer to them as a spiritual mystery.

The Mevlevis -- or "Whirling Dervishes" -- themselves acknowledge that their devotion blurs the line between physical and metaphysical worlds.

"To die before actually dying, that is what's important in the world, to kill your ego. That's why we wear white robes, which symbolize what we are wearing when we die. Even our hats look like gravestones," says Celaleddin Loras, a Mevlevi Sheikh, or master of the order.

The ritual practiced by the Order of the Mevlevi -- a sect of Sufism founded in the 13th century -- attracts both tourists and political debate.

Through the practice of "sema," or listening, in a prayer-induced trance, the Dervishes aim to act as a bridge between God and humankind.

The Dervishes turn as one arm reaches to the sky "taking from God" and the other "gives life to the earth," Loras says. "We receive from God and we return that light and gift to humanity," he explains.

Every Sunday, a different Mevlevi order visits Istanbul and worships at the Galata Mevlevihanesi, a Dervish "Tekke" or lodge.

When CNN visits the lodge, it is the turn of the Mevlana Culture and Arts Foundation from Turkey's capital, Ankara.

Two teenage Dervishes are conducting their debut sema ritual in public. The young semazens, aged 14 and 15, wear white felt hats rather than the traditional brown. For them, it's a coming of age moment, the beginning of a long life of spiritual modesty displayed through meditative dance.

"It takes about six months to learn how to whirl. There are some people that can't," the "semazenbasi" -- leader of the sema -- Sahin Naci Sair says. "They really need to feel three things. Music, rhythm, and belief."

In 2005, UNESCO declared the sema ceremony a Masterpiece of the Oral and Intangible Heritage of Humanity.

But in Turkey the Mevlevis still face restrictions. The sema ritual exists in spite of controversial laws banning Sufism altogether.

The Mevlevis' religious association was used as justification to ban the order after the founding of the secular Turkish Republic. In 1925, the founder of the Republic of Turkey, Mustafa Kemal Ataturk, prohibited all Sufi orders, under Law 677 of the constitution on maintaining order.

In the 1950s, the government eased the ban, allowing the sema to be performed in public. But it is commonly assumed this move was to boost the tourism industry rather than a sign of religious tolerance and private worship by the order remains officially banned.

The tourism industry is the main source of income for the Dervishes, with members of the public giving donations to watch them worship.

Each December, there is a huge festival in Konya, where Celaladin Rumi founded the order in the 13th century. At the "Seb-i-Arus," curious observers can watch Mevlevi associations performing the religious ceremony together. Tickets went on sale this month for the ceremony, which runs from December 7-17 every year.

At the beginning of each sema ceremony, the disciples stand with their arms closed to their chest and feet pointed inward. Young and old Mevlevis do this out of respect and to signify humility, fighting their ego through a spiritual journey inside and outside of the Dervish lodge.

Ilyas Noyan Ozatik, the head of the reed flute players accompanying the Ankara semazens in Istanbul, says the Mevlevis "are on an inner journey of oneself to where God is."

Music is a unifying force he says, bringing "our frequencies together leading to a completion of souls."

This passionate inner battle reflects their relationship with the outside world. When asked about the turmoil in the Middle East,  Lora points to an old British saying: "if you want a clean street, every shop owner must clean the front of their own shop."

Mevlevis strive for universal peace, but believe that peace must begin in the hearts of individuals.

As the Dervishes turn, mesmerized and apparently staring into blank space, their spirit takes control and leads them across the age-old prayer space.

They glide effortlessly in circles, their white robes rising and falling, thinking all the while of their act as a bridge from God to earth.

@highlight

The Order of the Mevlevi, a Sufi sect from the 13th century, are known as "Whirling Dervishes"

@highlight

Mevlevis aim to act as a bridge between God and humankind through the practice of "sema"

@highlight

In a prayer-induced trance, they turn, one arm reaching for the sky and one arm down

@highlight

Turkey banned the order in 1925 but has since eased restrictions, allowing public worship