(CNN) -- "He's so good," Phil Everly said.

We were sitting in a corner booth at a rural cafeteria in Muhlenberg County, Kentucky.

Phil was talking about his older brother, Don. Having spent time with the Everly Brothers on the rock-and-roll road over the years, I had long noticed something:

Whenever they were performing, Phil fastened his eyes right on Don's. As they were creating their heartbreaking harmonies, he seldom looked away. I didn't want to ask him about that in front of his brother, but, with just the two of us there, I did.

"I have to pay attention every second with my harmonies," Phil said. "It's like playing tennis with someone who is really great. You can't let your mind wander for even a microsecond, or you'll be left behind."

When Phil died this month at the age of 74, I recalled that conversation. I first met him and Don during my years on tour with Jan and Dean; there were occasions when we found ourselves as part of shows at the same venues, sharing the same backstage areas, dining at the same pre-concert buffets. There are a lot of unlikely things that I managed to become used to during those years, but one thing I could never get over -- one thing that never ceased to feel like a dream -- was knowing the Everly Brothers. Their talent, the beauty of their voices, was something not entirely of this Earth. They were a miracle.

I was still of elementary school age when, early one morning, the clock radio snapped to life and before I could open my eyes a new song sounded in the darkness: "Bye Bye Love," two voices blending in a way I'd never heard before, and it was electric, it was that kind of unanticipated jolt. The disc jockey said the singers were called the Everly Brothers, and the thought that I would ever meet them, get to know them, travel with them, would not have seemed possible. But such things, if you're very lucky, can happen.

In the days after Phil's death, the tributes to him from fellow musicians made me understand anew that, as famous and accomplished as those singers are, they, too, were in awe of him.

Paul McCartney said that he and John Lennon used to pretend they were the Everly Brothers: "When John and I first started to write songs, I was Phil and he was Don. Years later when I finally met Phil, I was completely starstruck and at the same time extremely impressed by his humility and gentleness of soul." Paul Simon: "Phil and Don were the most beautiful sounding duo I ever heard." Vince Gill: "I honestly believe I've spent the last 40 years, on every record I've been part of for somebody else, trying to be an Everly. ... I've spent my whole life chasing that beautiful, beautiful blend."

In the five years starting in 1957 they had 25 top-40 hits -- "Bye Bye Love," "Wake Up Little Susie," "All I Have to Do Is Dream," "Cathy's Clown," "(Til) I Kissed You," "Let It Be Me," so many others -- but the numbers are the least of it. The sound of their voices was so pure, so achingly gorgeous, that to listen was to be humbled and filled with wonder. It's not surprising at all that, across the Atlantic Ocean, of course the young-and-unknown Paul McCartney and the young-and-unknown John Lennon would listen to the Everlys on imported-from-the-U.S. records and try to be just like them.

When I heard that Phil had died, I sat and did my best to recall moments in his presence, not wanting to forget a single second of them. He was soft-spoken and seemingly quite shy; there was an underlay of pain that somehow felt omnipresent, and that he didn't feel compelled to dwell upon.

Music fans remember the death of Buddy Holly in 1959, but few recall the funeral. Phil did: He, not yet old enough to vote, was one of Holly's pallbearers. Whatever may have hurt and disheartened Phil, he didn't bother other people with, but you could find it in his music. The first words to a song he wrote later in 1959, and that he and Don recorded: "I've been made blue / I've been lied to / When will I be loved?"

The fact that he and Don went through long periods of estrangements and silence is not a secret, but the silences ended each time a show began. The breathtaking sound of those voices intertwining was enough to bring listeners to tears. On Labor Day weekend in 1999 they made a trip together to the woods and hills of the part of Kentucky coal country where their father had gone to work in the mines at the age of 12. I was writing a column for Life magazine at the time; the Everlys invited me to come along.

Don and Phil drove separate cars. I rode with Don up Route 431 in Muhlenberg County. He said: "The town where I was born doesn't exist anymore. It was called Brownie -- just a few miles from here. It was a coal mining camp. When the coal was all gone, they tore the town down."

Later that day I sat in that bare-bones cafeteria with Phil, and he told me: "There's an acceptance of us here. They know who we are. They know our kin."

The brothers, on the strength of their hits, found a life for themselves far from the old coal mines. But if they never quite fit in with the gleaming and glitzy rock idols who were their fan-magazine-cover contemporaries, it's probably because, as boys, they had so little in common with the others. "I had this haunted feeling all my life," Don said to me one day in Kentucky. "Of being odd man out."

I told Don what Phil had said: how Phil had explained his reason for staring into Don's eyes as they sang, how Phil had said how much he admired his brother's gift.

Don told me: "It's like a third person. When Phil and I sing, there are times that what comes out is not either of us, but the voice of a third person."

On that trip we had been joined by the great Life photographer Harry Benson. Late one afternoon, by the shore of Lake Adela, with forest all around, the four of us watched the sun getting ready to set. There had been a drought -- little rain for summer months on end.

The brothers stood there in the quiet and then Phil turned to Don, gestured toward the treeline, and said: "It's browner this year."

Don, looking toward the water's surface, said: "The lake's down."

The shorthand of home. Whatever friction may have divided them from time to time, they never took it out on their audiences. When I asked Phil about it -- the constant effort to excel -- he said: "We've never tried to fluff it. We've always tried to make it better."

That they did. One of my favorite songs of theirs was never a major hit: "Gone, Gone, Gone." Yet with Phil's passing the thought occurs that, because of the music he and Don gave us, he, and they, never will be gone. And that long-ago question of Phil's -- "When will I be loved?" -- has an easy answer: Forever.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: The Everly Brothers had a talent that was extraordinary

@highlight

In five years, they had 25 hits in the Top 40 charts, he writes

@highlight

Despite frictions between Phil and Don Everly, they were masters at working together, Greene says

@highlight

Greene: Paul McCartney and John Lennon used to pretend that they were the Everly Brothers