(CNN) -- A month and a half ago -- 46 days -- Malaysia Airlines Flight 370 vanished over the southern Indian Ocean.

The milestone is a somber one because it now allows attorneys to move in. There's a 45-day federal law that says American lawyers have to wait that long to reach out to a family that's lost a loved one in a plane crash.

What it means is that families can now file suit in American courts against U.S. aircraft manufacturer Boeing Co.

The only problem: No wreckage has been found. It's kind of like a murder case without a body.

Some relatives of those on board the missing plane said they hope legal avenues can bring new information to light.

"We don't feel we have a whole lot of other choices because we're certainly not getting any answers without (legal action)," Sarah Bajc, partner of Flight 370 passenger Philip Wood, told CNN on Tuesday.

The frustration among the families is that Malaysian officials give opinions, but no data, at their briefings.

Legal pressure on the Malaysian government, Bajc said, might force it to release data it holds.

Attorneys have approached families about compensation lawsuits, but Bajc said the feeling among the relatives is that they do not want to file lawsuits of that type to chase money.

Searching but 'no contacts of interest'

Search efforts for MH370 have repeatedly come up empty.

The underwater drone scanning the ocean floor started its 10th mission on Tuesday, but there have been "no contacts of interest" in the first nine, Australia's Joint Agency Coordination Centre said.

The Bluefin-21 has scanned about 80% of the intended territory without finding any sign of MH370. Search leaders said the probe was still at work Wednesday morning.

"If we don't have the 'black box' with all the critical information on it, or we don't have any part of the wreckage, it would be very hard to maintain a claim against Boeing in any court in the United States," said aviation attorney Daniel Rose, a partner at the firm Kreindler & Kreindler.

Some argue the U.S. federal law barring attorneys' contact with victims' families for 45 days after an air disaster does not apply to crashes outside the United States.

In fact, at least one law firm has already taken the initial steps for a lawsuit. Aviation attorney Monica Kelly said she filed a request for documents and other information in an Illinois court last month in a case against Malaysia Airlines and Boeing. She said she represents Januari Siregar, whose son was aboard Flight 370.

While it may be more difficult to make a case against Boeing, the same can't be said for Malaysia Airlines.

The Montreal Convention governs such matters. Under international law, families can sue in the country where the passengers bought the ticket, where the airline is based or their final destination.

But the lawsuits and the money they may bring will never replace what families have lost or answer all their questions.

Sad, angry MH370 relatives in agonizing limbo

Waiting for answers

Malaysia Airlines representatives and government officials had scheduled a meeting Tuesday with families of Chinese passengers in Beijing, but the session was postponed. Relatives were told some Chinese tech experts would probably talk to them instead.

It was the second day in a row they had been disappointed, which only added to their frustration.

On Monday, the relatives wept, begged and cursed a Malaysian diplomat in China's capital.

They went to a meeting at a hotel there, expecting a long-awaited briefing from Malaysian technical experts, but erupted in anger when the diplomat announced there wouldn't be one.

"We don't know at this point whether they are alive or dead. And you haven't given us any direct proof of where they actually are. We want our loved ones back," a father of a missing passenger cried.

Drawing up a list

Relatives have drawn up 26 questions, many of them on technical issues, that they want Malaysian officials to address.

Among them: What's in the flight's log book? Can they review the jet's maintenance records? Can they listen to recordings of the Boeing 777 pilot's conversations with air traffic controllers just before contact was lost?

The diplomat said it's hard to give families answers when they have so little information about the March 8 flight that set off from the Malaysian capital of Kuala Lumpur destined for Beijing.

Because of the plane's flight path, most of the lawsuits against Malaysia Airlines would be filed in China or Malaysia. The families of the three Americans who were on board the Boeing 777 can also sue Malaysia Airlines in U.S. courts.

Kelly, an attorney at Ribbeck Law Chartered, a firm that specializes in aviation accident cases, said she believes based on her experience that families could receive between $400,000 and $3 million in damages.

However, it could take two years before they see the money, she said.

Oceanic salvage manager: How we search for Flight 370

CNN's Jean Casarez and Gregory Wallace contributed to this report.

@highlight

Underwater drone is continuing its 10th mission Wednesday morning

@highlight

Meeting with Chinese families is postponed again

@highlight

"We want our loved ones back," father of missing passenger says

@highlight

Malaysia Airlines Flight 370 went missing 46 days ago