Centennial, Colorado (CNN) -- A judge on Tuesday entered a standard plea of not guilty for James Holmes, the man suspected in a mass shooting at a Colorado movie theater, after he and his attorneys said they were not ready to enter a plea.

In court documents, Holmes' attorneys had suggested that they might enter a plea of not guilty by reason of insanity for the shooting rampage at the theater that left 12 people dead and 58 injured on July 20, 2012.

Holmes' sanity was expected to be a major issue at Tuesday's arraignment; his attorneys still may enter an insanity plea but it would be subject to the judge's approval.

Holmes' parents sat holding hands during the hearing but didn't react to the judge's decision. They were seated directly across the aisle from wheelchair-bound shooting victim Caleb Medley and his wife, Katie, who delivered their baby shortly after the shooting.

The hearing was delayed about 30 minutes because Holmes' attorney Daniel King was late. He attributed it to traffic caused by unexpected snowfall -- a weather system that surprised many journalists in the courtroom, as well.

When King asked Judge William Blair Sylvester for a delay of the arraignment, there were audible sighs from the side of the courtroom where shooting survivors and victim families sit. When the judge declared that he would move forward with the arraignment, one man held his hands in the air in a "hallelujah" gesture.

Prosecutors say they will make a decision on whether it not to seek the death penalty against the 25-year-old Holmes at a hearing April 1.

But an insanity plea could make such a move harder, said David Beller, an attorney who is not connected to the case.

"There are a few reasons they wouldn't go for the death penalty; the most important one being his mental state," Beller said. "The Supreme Court, and really society, has been very clear: We don't execute people who are mentally ill."

Details of shooting emerge in hearing

The reaction

Family members of some of those who died in the shooting say they would be unhappy with an insanity defense.

Jessica Watts, whose cousin was killed, said she does not believe Holmes is insane.

"Absolutely not. This was months and months of planning and thousands of dollars spent on his part in order to pull this horrific night off," she said.

Federal agents have said Holmes began buying guns in May 2012, two months before the attack. He allegedly built an arsenal of two Glock handguns, an AR-15 rifle, a shotgun and 6,295 rounds of ammunition.

In addition, authorities contend, the former University of Colorado doctoral student dyed his hair fiery orange and apparently visited the movie theater, taking photographs of hallways and doors, two weeks before the shooting.

Remembering the victims

The defense

According to the Colorado Bar Association, an insanity defense refers to "a person who is so diseased or defective in mind at the time of the commission of the act as to be incapable of distinguishing right from wrong with respect to that act is not accountable."

If Holmes' enters such a plea, he would waive all medical confidentiality and will have to turn over the name of any doctor or psychologist who may have treated him, according to Colorado law.

"If he enters the not guilty by reason of insanity plea, he's going to be examined by state doctors and any statement he makes to those state doctors are given to the prosecution for potential use later," Beller said.

On Monday, a judge ruled that Holmes will also have to agree to be drugged by doctors to assess his condition if he enters an insanity plea.

Earlier this month, Holmes' lawyers tried to have Colorado's insanity defense laws changed.

The attorneys asked the judge to rule parts of the state's insanity defense laws unconstitutional.

Among other issues, they cited the requirement that a defendant "cooperate" with examining psychiatrists as a violation of the defendant's privilege against compelled self-incrimination.

Widow of Colorado theater shooting victim sues psychiatrist

The charges

Holmes is charged with a total of 166 counts of murder, attempted murder and other charges.

Authorities say he booby-trapped his apartment with explosives, then traveled to the movie theater armed with four weapons, tear gas and body armor planning to kill audience members during a screening of "Batman: The Dark Knight Rises."

Witnesses who have spoken to CNN about the shooting have said the gunman roamed the theater, shooting randomly as people tried to scramble away or cowered between seats.

Among the 41 calls to 911, one stands out. In the 27-second call, at least 30 shots can be heard amid the chaos.

At his preliminary hearing in January, police who responded described hellish scenes inside the theater and described finding Holmes, dressed in body armor, standing outside, seeming "detached from it all," according to Officer Jason Oviatt.

At the conclusion of the brief hearing, the father of one of the victim's shouted out, "Rot in hell, Holmes."

Holmes' trial date has been set for August 5.

Read the latest news on CNN.com

CNN's Michael Cary and Jim Spellman contributed to this report from Colorado.

@highlight

NEW: James Holmes and attorneys say he is not ready to enter plea

@highlight

NEW: Judge enters a standard not guilty plea for Holmes

@highlight

NEW: Ruling to move forward elicits emotional response in courtroom

@highlight

The suspect's attorneys had filed court documents about insanity defenses