(CNN) -- Sergio Garcia knows the law well. He has a law degree and passed the California bar exam -- on his first try.

Now he wants to practice that law, giving advice and taking on cases. "I'm fighting for my American dream," he said.

Wednesday was a landmark day -- his first case before the California Supreme Court. But he's not able to act as a lawyer in front of the justices, because the law he loves is not on his side.

Garcia, 36, has been an undocumented immigrant since he was brought to the United States as a child from his native Mexico, and that means he cannot get a law license.

It doesn't matter what qualifications he has.

It also doesn't matter that he has been approved for a green card since 1995 and has been on the waiting list since. The line for Mexican citizens is so long it could be another six or seven years before his permanent residency is confirmed, he estimated.

He has the support of California Attorney General Kamala Harris, who wrote in a brief to the state supreme court last year: "Admitting Garcia to the bar would be consistent with state and federal policy that encourages immigrants, both documented and undocumented, to contribute to society."

And the state bar wants to admit him.

In many ways it seems straightforward: How can someone without legal status become licensed as a lawyer, whose job entails upholding the law?

That's the argument made by the Department of Justice in an amicus brief to the court.

"Aliens, including those that lack immigration status, are presumptively ineligible to receive public benefits," such as a law license, officials wrote, referring to a 1996 law signed by President Clinton.

The argument is that the court is partially funded by the state, and the state cannot fund an undocumented immigrant, so the court may not issue a law license.

But Garcia and his supporters believe the issue is not that simple as they make their arguments before the California Supreme Court on Wednesday. In addition to Garcia's lawyer, Jerome Fishkin, James Wagstaffe for the California State Bar, Ross Moody for the Attorney General's office and Tenny Daniel for U.S. Department of Justice appeared in court.

The case is being closely watched for the precedent it could set, not just for California, but the nation.

The court's decision could affect hundreds of other young professionals in this country seeking a license, according to VÃ­ctor Nieblas, an immigration attorney based in Southern California.

Garcia's case has received nationwide attention because of two similar cases in Florida and New York.

In Florida, bar admissions candidate and undocumented immigrant Jose Manuel Godinez-Samperio, 26, passed the bar and also couldn't receive his law license. He, along with the Florida Board of Bar Examiners, petitioned the state supreme court in December 2011 for an advisory opinion: "Are undocumented immigrants eligible for admission to the Florida Bar?"

In New York, City University of New York law graduate Cesar Vargas, 29, who was also brought to the United States illegally as a child, filed an application to practice law in 2012. Vargas has also advocated for a federal DREAM Act and helped launch the DREAM Action Coalition, a political and lobbying voice to help pass federal and state legislation for undocumented youth.

All three men have been open about their immigration status.

"Basically all I'm seeking is my law license in California, which I already had but was taken away from me because I'm undocumented," Garcia said to CNN en EspaÃ±ol.

For about two weeks, Garcia was sworn in as an attorney. Then he received a notice from the state bar that his admission was in error.

"It was very, very hard for me to have to tell my family that the celebration we had meant nothing," Garcia said. "It killed me inside to tell them that I really wasn't a lawyer."

Many undocumented immigrants brought to the United States as children qualify for two-year work visas under President Obama's Deferred Action for Childhood Arrivals program, but Garcia is too old to be eligible.

He qualifies for a green card through his father, who became a lawful permanent resident under the 1986 amnesty law, but is still waiting.

"Immigrants must wait longer if they are from Mexico, India, China or the Philippines, because lots of people from those countries want to immigrate to the U.S., and so demand is greater than supply," said Hiroshi Motomura, professor of immigration and citizenship law at the UCLA School of Law, "This seems superficially fair but I believe it's quite unfair and unequal, because the waiting period can vary so much."

Larry DeSha, former prosecutor for the State Bar of California, said Garcia shouldn't be given his law license because his immigration status would be in violation of a civil immigration statute and could affect his ability to represent his clients.

"If Mr. Garcia works or not is a separate question that deserves independent analysis," Nieblas said.

Motomura's view is that although undocumented immigrants generally may not be employees, they can be independent contractors. They could take clients as solo practitioners, to work on specific cases or projects, or to have an ongoing relationship as long as they had multiple clients. This ability to work as an independent contractor also means they could do volunteer legal work of certain kinds.

The U.S. Constitution guarantees public educational access through high school. Beyond high school there is no constitutional guarantee of access, but traditionally each state can decide to admit undocumented students to its public colleges and universities. Some bar them, some admit them as nonresidents at higher tuition, and some, like California, admit them at resident tuition rates.

Motomura said whatever California decides, "it is a decision that the federal government should and must respect."

The California Supreme Court has up to 90 days to decide on the future of Garcia. If it denies him his law license, he said he is prepared to take his case to the U.S. Supreme Court.

Should it be legal for an undocumented immigrant to practice law? Share your thoughts in the comments.

@highlight

Undocumented immigrant Sergio Garcia fights for his California law license

@highlight

Is it legal for an undocumented immigrant to practice law?

@highlight

"I'm fighting for my American dream," Sergio Garcia says

@highlight

DOJ: How can someone without legal status become licensed as a lawyer?