(Health.com)  -- Post-traumatic stress disorder (PTSD) affects more than the mind. The disorder may damage blood vessels and increase the risk of dying early, according to new research presented today at an annual meeting of the American Heart Association.

The study included about 286,000 mostly male veterans between the ages of 45 and 81 who served in Iraq, Afghanistan, and conflicts dating back to the Korean War.

The vets with PTSD -- who accounted for roughly 10 percent of the study participants -- had more than double the risk of dying during the 10-year study compared to their peers who didn't have disorder, the researchers found.

Health.com: Depression, PTSD common among Iraq vets

Twenty-nine percent of the vets with PTSD died during the study, compared to 8 percent of the vets without PTSD. (The overall death rate in the study was 13 percent.)

The increased risk of death associated with PTSD held even after the researchers controlled for factors such as high blood pressure, high cholesterol, diabetes, and smoking.

A separate analysis involving heart scans from 637 of the veterans found that men and women with PTSD had more calcium buildup in their arteries than vets without post-traumatic stress. Calcium buildup is a hallmark of atherosclerosis (also known as hardening of the arteries), which can lead to heart attacks.

Health.com: Surprising heart attack risks

Among veterans with similar degrees of calcium buildup, those who had PTSD were 48 percent more likely to die of any cause during the study and 41 percent more likely to die from heart disease compared to those without PTSD, according to the study, which was led by Naser Ahmadi, MD, a cardiologist at the Greater Los Angeles Veterans Administration Medical Center.

"If a vet has PTSD, they need to be under surveillance for cardiovascular disease as they age," says Joseph Boscarino, PhD, a senior investigator at Geisinger Center for Health Research, in Danville, Pennsylvania., and an expert on the link between post-traumatic stress and physical illness.

Boscarino did not participate in the new study. PTSD is an anxiety disorder that occurs after exposure to a traumatic event, including sexual abuse and military combat.

People with the condition experience recurring, intrusive memories about the event, and may also experience emotional numbness and detachment.

Health.com: Traumatized? Playing Tetris may reduce flashbacks

Previous studies have linked PTSD to a greater risk of death and heart disease, but the new study is the first to explore what's behind the relationship.

The explanation is likely complicated, says Laura Kubzansky, PhD, an associate professor at the Harvard School of Public Health, in Boston. Inflammation stemming from constant stress may be involved, she says, but other factors or unhealthy behaviors -- such as not getting enough exercise -- may be partly responsible as well.

"People with PTSD are trying to make themselves feel better in lots of different ways," says Kubzansky, who didn't take part in Dr. Ahmadi's study.

Behaviors such as smoking "clearly contribute, but there's something else going on." It's not clear from the study whether treating PTSD can lower a person's risk of atherosclerosis or heart disease.

Still, Dr. Ahmadi says that PTSD should be treated using effective techniques such as cognitive behavioral therapy, preferably as soon as possible after the traumatic event. "If you don't treat PTSD, it's like a vicious cycle," he says.

Health.com: Can Ecstasy help ease post-traumatic stress?

Boscarino says that thousands of veterans have contacted him to ask whether they can make disability claims for heart disease and post-traumatic stress to the Veterans Administration.

"The veteran community is very frustrated right now because they can't get a ruling on this [from the VA]," he says. "They have to fight each case over and over again, which is not the case for Agent Orange...or other military disability exposures."

Dr. Ahmadi presented his findings at the American Heart Association's annual Scientific Sessions meeting, which highlights the latest heart-related research and treatment advances. Unlike studies published in medical journals, the research presented at the meeting has not been vetted by independent experts in the field.

Copyright Health Magazine 2011

@highlight

Post-traumatic stress disorder (PTSD) affects more than the mind

@highlight

Disorder may damage blood vessels and increase the risk of dying early

@highlight

Veterans who had PTSD were 48 percent more likely to die of any cause during the study