(CNN) -- When "La Bamba" hit movie screens in 1987, audiences flocked to see the true story of singer Ritchie Valens, who died as a teen in an airplane crash almost three decades earlier.

"La Bamba" starred Lou Diamond Phillips as singer Ritchie Valens. It's one of 40 films featured in the festival.

But it was memorable for another reason.

The film was the first box office hit directed by a Latino filmmaker and starring mostly Latino actors, said Chon Noriega, a professor of cinema and media studies at the University of California, Los Angeles.

"La Bamba" is part of the Latino Images in Film festival, which begins Tuesday and runs through May on Turner Classic Movies.

The event features 40 films that show how Latinos have been depicted on the big screen and is part of the network's "Race and Hollywood" series.

(Turner Classic Movies, like CNN, is owned by Time Warner.)

Noriega, who chose the films and also co-hosts the festival, talked with CNN.com about what he hopes viewers will take away from the movie line-up.  Watch clips from some of the classic films »

The following is a edited version of that interview.

CNN: What was your selection process?

Chon Noriega: I decided I was going to focus specifically on Hollywood films that look substantively at either Latino characters or the Latino community.

I came up with a master list of films, and it's only about 70. There really haven't been that many that have dealt explicitly with the Latino population. And then, from there, we looked at what was available.

CNN: When you talk about Latino images, who do you include in that description?

Noriega: It's a kind of pan-ethnic, multiracial category. But basically in terms of the series, what it reflects is Mexican-Americans, Puerto Ricans and Cuban-Americans. There really haven't been, as far as I can tell, many Hollywood films that go beyond those three major groups.

CNN: What do you hope to accomplish with this movie lineup?

Noriega: By and large, these are films that really haven't been seen since their original release.

We really don't have an idea of what the history has been in terms of how Hollywood has dealt with or represented what is now a pretty sizeable part of our population.

We have an idea of what the stereotypes have been in terms of the kind of expendable characters that emerge within Westerns or action films, background characters like maids.

CNN: What do you mean by expendable characters?

Noriega: If I'm watching a science-fiction film and there happens to be a Latino character, I know that that character is going to be the first one to die. (laughs)

It is almost inevitable. Or in a Western. They're really not there as characters; they're there as foils for the largely white characters that are defining the film and the story.

To my mind, it's valuable just to go back and just see that these are the films that at different points represent how not just Hollywood but our society was trying to figure out where Latinos fit within the national culture.

CNN: As people watch these movies, from very early Hollywood to the 1990s, what is the progression of Latino characters?

Noriega: I don't know that we see a single trajectory of going from either one thing to another or from bad to better. You see certain recurring figures or types. You see different versions of the gangster kind of morphing into the gang member. But it's more or less an urban outlaw type, and that persists.

I think you see little shifts in terms of when they're being made and who is making them. You have some of the same characters in "My Family/Mi Familia," but it's being made by a Chicano filmmaker as part of an attempt to show a very diverse view of what a family can be.

CNN: What's your take on white actors playing Latino characters?

Noriega: Actually, [co-host] Robert Osborne and I kind of went back and forth on that throughout the series because I think there are two views. One is: Actors are actors, and they play make-believe, and they pretend to be different types of characters, and in an ideal world, actors should be able to play anything they are able to do effectively.

But when you look at it sociologically, you see it's only working one way, and that's where I think there's a problem.

In the history of Hollywood, we're maybe able to identify 70 films that really focus on Latino characters, family or community, and a third of those have white actors playing the Latinos. And Latino actors are not really getting the same opportunity to play other types.

CNN: How did the industry try to "transform" actors into Latino characters?

Noriega: The Latino population -- and it's part of the irony of this -- it's not a racial group. It's a multiracial, multi-ethnic group.

We talk about that in terms of "West Side Story," where everybody's identified how Natalie Wood was in brownface playing a Puerto Rican.

But in 1980, there was a revival of it on Broadway, and they actually cast a Puerto Rican actress. In the makeup room, they started putting brownface on her, [because] she wasn't dark enough to meet the expectations of what a Latina character would look like on stage.

I've done focus groups with Latino actors in the Screen Actors Guild, and they continually talk about that there are these expectations of what a Latino character is going to look like and more often than not, Latino actors don't look like that. (laughs)

CNN: What do you think about how Latinos are portrayed in film today?

Noriega: We have a somewhat broader cohort of actors who are known, who are included in films, not always starring, but they get secondary roles in films and so there's in some sense more of a presence.

When you look at the statistics in terms of the overall presence of Latinos in film and television, the numbers really haven't changed that much. So it's a kind of a subtle shift.

@highlight

Turner Classic Movies begins month-long Latino Images in Film festival

@highlight

Event features 40 films that show how Latinos have been depicted on the big screen

@highlight

Discussion tackles controversial practice of white actors playing Latino characters

@highlight

Scholar: Films show how Hollywood tried to figure out where Latinos fit in culture