Beijing, China (CNN) -- As the Middle East erupts into turmoil, and protesters take to the streets, China's fear of "luan" (chaos) has resurfaced, analysts say.

There have been whispers of a "jasmine revolution" on the internet and although calls for street protests have fallen flat so far, no matter: China appears jittery.

The turmoil in the Middle East hasn't gotten much coverage in state-run media. There have been more police on the streets, dissidents reportedly under house arrest and social networking sites selectively blocked.

Why? What does China fear?

China has had a history of walling itself from the outside world, fearful of foreign invasion and domination, from the times of the Mongols to the Opium Wars against the British through the brutal Japanese imperialism of the 20th century.

Despite the Chinese fascination with things foreign, historically there has been a fear among authorities of the influence of Western culture.

Within its Great Wall, China has exerted strong control over its people. From the era of feudal warlords to modern China, rulers have been obsessed with avoiding bottom-up peasant revolts.

"The perpetual question in the minds of all Chinese was how chaos could best be avoided," writes Erik Ringmar in "The Mechanics of Modernity in Europe and East Asia."

"Political thought as it developed from the earliest times onward, including Daoism, Legalism and Confucianism, was more than anything attempts to answer this question."

These dual fears -- domination from without and revolution within -- have been inherited by successive national leaders, especially after Chairman Mao. For two decades until his death in 1997, Deng Xiaoping was driven to modernize China quickly while maintaining stability, ordering the brutal Tiananmen Square crackdown in 1989 while single-mindedly pushing the reforms that opened and transformed his country.

President Hu Jintao, seeking to build a "harmonious society," last month called on Chinese officials to learn "social management" to maintain stability.

In his book "The Beijing Consensus," Joshua Cooper Ramo wrote that "the fear of chaos, of losing political and social control ... runs like an iron spine through the entire Chinese body politic."

China's economic transformation has been extraordinary. Market reforms have unleashed individual initiative and entrepreneurship. Hundreds of millions of farmers have been lifted out of poverty. Gleaming new cities have been built. China's economy is now the second biggest in the world after the United States.

Yet despite these achievements, the Communist Party remains sensitive to criticism. Analysts say the lack of a popular mandate through direct elections makes the party unsure of its own legitimacy and fearful of overthrow and disintegration.

"They have no ideological justification for being in power," said David Zweig, social science professor at the Hong Kong University of Science and Technology. "Their political institutions -- the parliaments, courts, police --are not independent ... They are often forced to rely on coercion to maintain power."

China's problem, Zweig said, is that the country is undergoing the most rapid social change in history but with a weak legal system. "So problems like pollution, land transfers, urbanization all lead to grievances that have no medium through which people can have their grievances resolved, other than local protests and state repression," he explained.

But the government is apparently trying to address those issues. To meet the challenge of governance, China has been advocating "rule by law" instead of "rule by man." To better manage rural affairs and address the farmers' day-to-day concerns, China has been experimenting with direct village elections. When successful, the system allows many grievances to get addressed on the grassroots level.

Still, citizens complain about a slew of socio-economic concerns, among them inflation, jobs, housing, education and affordable health care. The gap between rich and poor remains the country's biggest fault line.

Many have compared the protests in Cairo's Tahrir Square to those in Beijing's Tiananmen Square in 1989. China today shares many of Egypt's problems -- income inequality and corruption among them -- but analysts say the Chinese leadership is in little danger of becoming the next failed regime.

The Chinese people themselves don't appear to have an appetite for revolution. "I think most Chinese do feel that things are going pretty well in China, economically at least to date," said Orville Schell, director of Asia Society's Center on U.S.-China Relations. "Obviously there are some dissatisfied elements, but I don't think that there's the same level of cause for a populist uprising."

The Chinese economic reform has trickled down to benefit the majority of the population, analysts said, while the Communist Party's grip on military, state media and the internet is a lot tighter and more sophisticated.

In the Middle East, the poor and the disenfranchised have risen up in revolt. In China, many of those same people have risen from poverty. Analysts say continuing to spread the wealth remains one of China's biggest challenges.

@highlight

Turmoil in the Middle East hasn't gotten much coverage in state-run media

@highlight

China has had a history of walling itself from the outside world

@highlight

Within its Great Wall, China has exerted strong control over its people

@highlight

Last month President Hu Jintao called on Chinese officials to learn "social management"