NASA's rover Curiosity successfully carried out a highly challenging landing on Mars early Monday, transmitting images back to Earth after traveling hundreds of millions of miles through space to explore the red planet.

Scientists praised the landing Monday.

"This is a stunning achievement. The engineering went flawlessly," said Scott Hubbard, who was the first Mars program director at NASA headquarters and is now a consulting professor at Stanford University.

The 10 science instruments aboard Curiosity are in "perfect health," and testing and calibration are under way, NASA said Monday.

Some rover team specialists are analyzing the data from the landing, while others are preparing Curiosity for exploring Gale Crater, where it landed, NASA said. On its first full day on Mars, the rover is tasked with raising its high-gain antenna, enabling it to communicate directly with Earth at higher data rates. The primary method of transmitting data is through the orbiters, because that is more energy-efficient.

When asked whether anything had gone wrong during the landing, Jennifer Trosper, a mission manager with NASA's Jet Propulsion Laboratory in California, said simply, "No."

"There's a lot ahead of us, but so far we are just ecstatic about the performance of the vehicle," she told reporters at an afternoon news conference.

She said the rover will start sending weather data Tuesday but some of the "exciting science" won't begin for about nine Mars days.

"It does take time to check out the vehicle," she said.

Social media sites were bubbling with posts from enthusiastic Earthlings on Monday. The rover even has its own Twitter account, @MarsCuriosity. It informs readers: "FYI, I aim to send bigger, color pictures from Mars later this week once I've got my head up & Mastcam active #MSL"

Meet a rover driver: His car is on Mars

The $2.6 billion Curiosity made its dramatic arrival on Martian terrain in a spectacle popularly known as the "seven minutes of terror."

This jaw-dropping landing process, involving a sky crane and the world's largest supersonic parachute, allowed the spacecraft carrying Curiosity to target the landing area that scientists had meticulously chosen.

The mission control in the Jet Propulsion Laboratory burst into cheers as the rover touched down Monday morning. Team members hugged and high-fived one another as Curiosity beamed back the first pictures from the planet, while some shed tears.

At the news conference, NASA showed off some of the initial images, including one of Mount Sharp, which rises 3.4 miles above the floor of the Gale Crater, according to NASA.

"We can see more clearly these pebbles all over the ground," said Joy Crisp, a deputy project scientist with the mission. "We can see that it is very flat. ... There are no obstacles for driving [the few miles from the landing site]" to Mount Sharp.

Scientists cannot tell yet how easy it will be to scoop up the surface material, she said.

"I think the science team has a lot of work to do to figure out how were these materials put there," she said. "Was water involved? We don't know yet."

President Barack Obama weighed in on the historic moment.

"The successful landing of Curiosity -- the most sophisticated roving laboratory ever to land on another planet -- marks an unprecedented feat of technology that will stand as a point of national pride far into the future," Obama said in a statement congratulating the NASA employees who had worked on the project.

The scientific community reacted with a mixture of elation and relief.

"Rationally I know it was supposed to work all along, but emotionally it always seemed completely crazy," said James Wray, assistant professor at Georgia Tech, who is affiliated with the science team of Curiosity. "So to see all those steps being ticked off and actually working, it's a huge relief."

The initial images the SUV-size rover sent back to Earth were black and white and grainy, but one showed its wheel resting on the stony ground, and the vehicle's shadow appeared in another.

More space and science news from CNN Light Years

A camera on NASA's Mars Reconnaissance Orbiter captured an image of the 2,000-pound rover with its parachute still attached as it made its way down toward Gale Crater. At that point, the rover was about two miles from the planet's surface.

The spacecraft had been traveling away from Earth since November 26 on a journey of about 352 million miles (567 million kilometers), according to NASA.

Curiosity, which will be controlled from the Jet Propulsion Laboratory, has a full suite of sophisticated tools for exploring Mars. They include 17 cameras, a laser that can survey the composition of rocks from a distance and instruments that can analyze samples from soil or rocks.

The aim of its work is "to assess whether Mars ever had an environment able to support small life forms," NASA said.

Curiosity's first stop was Gale Crater, which may have once contained a lake.  After at least a year, the rover will arrive at Mount Sharp, in the center of the crater. The rover will drive up the mountain examining layers of sediment. This process is like looking at a historical record because each layer represents an era of the planet's history, scientists said.

The phenomenon of sedimentary layers is remarkably similar to what is seen on Earth, in California's Death Valley or in Glacier National Park in Montana, said John Grotzinger, chief scientist of the Mars Science Laboratory mission.

Rocks and minerals found on Earth are different than on Mars, but the idea of a mountain made of layers is familiar to scientists. Unlike on Earth, however, Mars has no plate tectonics, so the Martian layers are flat and not disrupted as they would be on Earth. That also means that Mount Sharp was formed in a different way than how mountains are created on Earth -- no one knows how.

Images: Exploring Mars

In these layers, scientists are looking for organic molecules, which are necessary to create life. But even if Curiosity finds them, that's not proof that life existed -- after all, these molecules are found in bus exhaust and meteorites, too, said Steve Squyres, part of the Mars Science Laboratory science team.

If there aren't any organics, that may suggest there's something on the planet destroying these molecules, said Georgia Tech's Wray. But if Curiosity detects them, Wray said, that might help scientists move from asking, "Was Mars ever habitable?" to "Did Mars actually host life?"

Curiosity's mission is also significant in an era when NASA's budgets are shrinking and China is becoming more ambitious in its space exploration program.

"I feel like it's a signal that we have the capability to do big and exciting things in the future." said Carol Paty, assistant professor at Georgia Tech's School of Earth and Atmospheric Sciences. "You can't not be excited."

Liquid water is not something scientists expect to be apparent on Mars because the planet is so cold and dry, Squyres said. If the planet does harbor liquid water today, it would have to be deep below the surface, perhaps peeking out in a few special places, but not likely to be seen by Curiosity, Squyres said.

Rover to search for clues to life on Mars

It's hard to know how long ago liquid water would have been there because there's no mechanism to date the rocks that rovers find on Mars, Squyres said.

Evidence from the spacecraft NASA has sent to Mars so far suggests that the "warm and wet" period on the planet lasted for the first billion years of the planet's history.

"In order to create life, you need both the right environmental conditions -- which include liquid water -- and you need the building blocks from which life is built, which includes organics," Squyres said. The Mars Science Laboratory is a precursor mission to sharper technology that could do life detection, Grotzinger said.

There aren't specific molecules that scientists are looking for with Curiosity. The attitude is: "Let's go to an interesting place with good tools and find out what's there," Squyres said.

What do you think about the Mars mission? Go to iReport

Curiosity is supposed to last for two years on Mars, but it may operate longer -- after all, Spirit and Opportunity, which arrived on Mars in 2004, were each only supposed to last 90 Martian days. Spirit stopped communicating with NASA in 2010 after getting stuck in sand, and Opportunity is still going.

"You take what Mars gives you," said Squyres, also the lead scientist on the Mars Exploration Rover Mission, which includes Spirit and Opportunity. "If we knew what we were going to find, it wouldn't be this much fun."

@highlight

Testing and calibration are under way, NASA says

@highlight

President Barack Obama hails "an unprecedented feat of technology"

@highlight

Rover Curiosity's first stop is Gale Crater, which may have once contained a lake

@highlight

The vehicle will be controlled from NASA's Jet Propulsion Laboratory