(CNN) -- Relations between the United States and Iran, already strained by U.S. sanctions on Iran's central bank and Iranian naval exercises in the Strait of Hormuz, are on the verge of spinning out of control.

What can push the two nations into a military confrontation is the fate of a former Marine, Amir Mirzaei Hekmati. A Revolutionary Court in western Iran sentenced the dual U.S.-Iranian citizen to death on January 9, claiming that he is a CIA spy. It is not often that the fate of entire nations hinges on that of a single individual, but the execution of a Marine by Iran will almost certainly inflame public opinion and tilt the balance toward war.

But perhaps what will save the day is an incident that placed friendship and trust, rather than enmity and paranoia, between Iranians and Americans. Days before the death sentence was passed on the Marine, American sailors rescued 13 Iranian fishermen held hostage for several weeks by Somali pirates who had seized their fishing vessel off the coast of Oman.

Those Somali pirates may have pulled off a diplomatic stunt that has eluded American and Iranian politicians for more than three decades. For a brief moment, the pirates healed the wounds of history. Two nations split since the hostage crisis of 1979 found their fishermen and sailors forced into each other's arms by a turn of fate. It was a most embarrassing embrace, with both governments trying to figure out how to handle the threat of friendship.

Even the pretense of hostility came down. It fell upon one of the rescued fisherman, Fazel Ur Rahman, to revel in the twists and turns of fortune. As devout seamen are wont to do, he interpreted his miraculous rescue by the Americans as an act of God. "It's like you were sent by God," he told the American sailors. "Every night we prayed for God to save us. And now you are here."

Like Sinbad the Sailor, Rahman and his shipmates vanished in time. But then they found themselves returned to an Iranian port. They will no doubt relate their encounter, not with predator drones but a giant and gentle American whale. One can already hear the peels of laughter and shrieks of disbelief as Rahman tells the story of how they were disgorged out of the belly of the Somali shark because the American whale spoke Urdu.

It may be that our fate is determined by crusty histories and fixed ideologies. But given the gulf separating Iranians and Americans, this metaphor is worth reflecting upon.

The rescue of the fishermen also evokes memories of a distant past and dreams of a hopeful future. While the Islamic Republic's ideologues portray America as a belligerent and hostile power, most Iranians recognize that if it were not for America's defense of Iran's sovereignty in 1946, Joseph Stalin would have devoured northern Iran. Many ordinary people in Iran, far from seeking a war with the United States (or Israel), silently pray to God for an end to their hardships. They dream of an Iranian Spring.

Sadly, in the modern Middle East, divine interventions -- God's creativity and compassion -- have taken on an ugly tone. If God favors this tribe or that faith, then must it mean that other faiths and tribes are to be destroyed? The acts of God -- earthquakes, floods, plagues, famine and such -- veer from the minor to the massive. Add nuclear weapons to God's arsenal and there is very little room left for tiny fishermen and their benevolent God.

But what if the fisherman Rahman was right? With a Marine's life and so much else at stake, what if the whole rescue incident was an act of God, his way of shaming world leaders by showing how even the most clueless of pirates can turn sworn enemies into friends, however temporarily? For helping the hapless Iranians and the Americans find common ground, even if it's at sea, the pirates deserve a toot, a hoot and quite possibly a salute.

Whether the future of U.S.-Iran relations will be stormy or turn hopeful, only God knows. Centuries before, Hafiz, the greatest of Persian poets, may have captured the essence of the fishermen rescue incident in describing what it means to offer friendship and show humanity. His wisdom can perhaps draw Iranians and Americans together:

"Plant the Tree of Friendship for It Brings Forth Boundless Joy.

Uproot the Saplings of Enmity for It Summons Countless Sorrows."

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Amir.

@highlight

Amir: the fate of a former Marine can push the U.S. and Iran into a military conflict

@highlight

He says that the incident of American sailors rescuing Iranian fishermen is a diplomatic feat

@highlight

Amir: what if the whole rescue incident was an act of God?

@highlight

He says many in Iran dream of an Iranian Spring, they do not want war with the U.S. (or Israel)