UNITED NATIONS (CNN) -- A rare meeting of U.N. Security Council heads of state, led for the first time by a U.S. president, adopted a resolution focused on stopping the spread of nuclear weapons Thursday.

President Obama is the first U.S. leader to head a United Nations Security Council meeting.

President Obama challenged the gathering -- which included leaders of nuclear powers including Russia, China, Great Britain and France -- to overcome cynicism against the goal of ridding the planet of nuclear arms.

"We harbor no illusions about the difficulty of bringing about a world without nuclear weapons," Obama said, adding that Thursday's meeting signaled a significant step forward in cooperative global action.

The resolution, which was adopted unanimously, calls for tighter controls on nuclear materials to prevent them from being used for military purposes or stolen. It also encourages enforcement of international treaties and U.N. resolutions regarding nuclear non-proliferation, particularly when nations such as Iran and North Korea are in violation.

"The world must stand together," Obama said. "We must demonstrate that international law is not an empty promise."

It was the first Security Council summit chaired by a U.S. president, and only the fifth time that Security Council heads of state have met. Obama led the meeting because the United States holds the revolving presidency of the Security Council in September.

Both Obama and Russian President Dimitry Medvedev, who spoke later, said the world's two nuclear superpowers were working on reducing their stockpiles in advance of a global nuclear summit scheduled for next year.

"It's obvious that an effective solution ... depends on the constructive engagement of all parties," Medvedev said, adding that he expected the Russia-U.S. leadership on the issue to be backed by "all nuclear powers."

The measure passed Thursday -- Security Council resolution 1887 -- calls for "locking down vulnerable nuclear weapons materials in four years" while minimizing civilian use of weapons-grade uranium. It encourages full compliance with all international treaties and resolutions on nuclear non-proliferation and disarmament, including Security Council resolutions that cite North Korea and Iran for failing to adhere to international commitments.

In addition, the resolution supports the peaceful use of nuclear energy, a theme backed by Chinese President Hu Jintao. China seeks to expand its nuclear energy capacity as part of an economic development plan that holds down greenhouse gas emissions that cause climate change.

British Prime Minister Gordon Brown also cited the role of nuclear power as a clean energy source that should be part of the solution to global warming affecting every nation. Brown and other leaders spoke of the need to prevent nuclear weapons or the materials to make them from ending up in the hands of terrorist groups.

"The biggest risk the world faces today is of extremists getting hold of nuclear materials," said Mohammad ElBaradei, director general of the International Atomic Energy Agency.

Libyan leader Moammar Gadhafi, who criticized the Security Council on Wednesday in a rambling speech to the U.N. General Assembly, was absent for the meeting.

In Libya's turn to speak at the summit, its special representative to the United Nations called for the IAEA to inspect all nuclear programs, including Israel's, instead of focusing on non-nuclear states.

Asked later about Gadhafi's absence, White House spokesman Robert Gibbs said Libya could serve as an example to Iran and North Korea as a nation that gave up its nuclear weapons program and now had rejoined the full international community.

"I think the message that the Libyans had at the Security Council is a message that we hope that the Iranians and the North Koreans will take to heart, and that is giving up a nuclear weapons program and the benefits that it can have for international cooperation and for their reintegration into an international community," Gibbs said.

Brown earlier called for sanctions against Iran for its efforts to develop a nuclear weapon.

On Wednesday, Medvedev signaled that Russia -- which previously has opposed such move -- also could support sanctions against Iran.

"Russia's position is clear: sanctions rarely lead to productive results, but in some cases sanctions are inevitable," Medvedev said in a joint appearance with Obama after they met in New York.

The statement bolsters U.S.-led efforts for increased international pressure on Iran to adhere to nonproliferation agreements in pursuing the development of nuclear energy.

Iran claims its nuclear program is intended for peaceful purposes, but the international community accuses it of continuing to try to develop nuclear weapons capability.

The Iranian mission to the United Nations released a statement after the Security Council meeting, saying the country's nuclear activities "are and always have been, for peaceful purposes, and, therefore, pose no threat whatsoever."

"In practicing its legitimate right to develop nuclear energy technology, Iran has always maintained its need for nuclear power as an alternative source of energy to supply its booming population and rapid development. ... Our commitment to nonproliferation remains intact," the statement added.

The United States and Russia previously have disagreed over Iran, and over possible steps the Security Council may take -- including imposing sanctions -- to push Tehran to comply with U.N. demands concerning its nuclear program.

Last week, Obama announced that the United States was dropping plans to base a missile defense shield system in Poland and the Czech Republic, a proposal that had rankled Moscow. He has denied the change was directly linked to Russia's position regarding sanctions on Iran, but said any Russian shift in that direction would be a bonus.

@highlight

NEW: Libya can serve as example of cooperation, White House spokesman says

@highlight

Resolution calls for preventing nuclear weapons from being stolen, used by military

@highlight

Obama, Russian President Dimitry Medvedev working to reduce stockpiles

@highlight

Venezuelan president Hugo Chavez on "Larry King Live" tonight, 9 ET