(CNN) -- When I learned about the tragic shooting at Sandy Hook elementary school, I wept and mourned like many other Americans. I was also reminded of my own daughter's death 32 years ago.

For those parents, families or friends of victims who want to see less guns fall into the hands of potential shooters, my personal journey may help serve as a path for change.

My daughter, Cari, was killed by a multiple repeat offender drunk driver on May 3, 1980. Four days later, I started Mothers Against Drunk Driving. I was shocked to learn that over the past decade, approximately 250,000 people were killed in alcohol-related fatal crashes. At that time, public health professionals considered drunk driving to be the No. 1 killer of Americans between the ages of 15 and 24. Drunk driving seemed like the only socially acceptable form of homicide in this country and the attitude toward perpetrators was benign, if not passive.

I also learned that probably nothing would happen to the man who killed my daughter. So I became a grass roots activist. As I found out, grass roots means, "working outside the system to change the inequities within" and activist means, "getting the job done."

I started MADD because I was angry over the injustice of the status quo. Over time, my efforts helped incite others to action. You kick a few pebbles, you turn a few stones, and eventually you have an avalanche. My "kicking a few pebbles" began in my home with the help of my father and a few friends.

Within three years, MADD developed into an international organization with almost 400 chapters worldwide, a staff of 50 employees, 2 million members, thousands of volunteers and an annual budget of more than $12 million.

Initially, we were mothers who lost children, but soon our membership included everyone who believed in our cause. Before long, voices from long forgotten victims who lost loved ones to drunk driving became loud and clear.

It was gratifying to realize that many people, given a chance, wanted the same things I did. Our small grass-roots movement grew into a groundswell that radically changed society's views on drunk driving.

Early on, it became clear that I must seek broad and strategic alliances for MADD to be successful. I turned to law enforcement officials, restaurateurs, legislators and civic organizations. It was only by building broad coalitions of such highly influential constituents that MADD, during my tenure, was able to initiate a sweeping change in public attitudes and laws against drunk driving.

There is another very important factor that helped our cause: the power of media attention. From 1980 to 1983, when MADD was very active, some of the biggest reductions in motor vehicle deaths occurred in large part because of the media attention we were able to generate. Jay Winsten, director of the Frank Stanton Center for Health Communication at the Harvard School of Public Health, said in a New York Times article, "During each high media period, alcohol related fatalities ... fell twice as rapidly as low media periods."

Before MADD, there was little education in the schools about alcohol or impaired driving. The press rarely mentioned alcohol involvement when reporting a crash. Drinking and driving was still legal in many states. Victims of drunk driving had almost no recourse in an apathetic court system more concerned about the rights of the accused. Involvement in the judicial process was discouraged. Victims had no movement to join, little or no legislation to endorse, and no emotional support system where they could share their grief.

The advent of MADD changed all that:

• Governor's task forces on drunk driving were formed in almost every state.

• At our urging, President Ronald Reagan initiated a Presidential Commission on Drunk Driving, and I was a member.

• MADD was the catalyst for SADD, Students Against Drunk Driving, started by my daughter, Serena.

• We aggressively lobbied for state and federal legislation that would raise the legal drinking age to 21, and we pushed for laws that would hold drunk drivers accountable for their crimes.

• Between 1981 and 1986, 729 state laws pertaining to drunk driving were enacted to help reduce alcohol-related traffic fatalities

• Most importantly, hundreds of thousands of lives have been saved because of the grass-roots efforts

Society no longer considers drunk driving socially acceptable. At long last, in many cases, drunk drivers are being forced to accept responsibility for their heinous acts because a fed up public has had enough.

MADD is a good example of how to change society. We didn't give up and neither should those who wish to see a safer world. You can have an impact and you can save lives.

That was the least I could do for my daughter.

I feel the pain for families of those who died at Sandy Hook. For those who want to do something about gun violence, change isn't easy. What is needed is a grass-roots movement similar to MADD that encompasses all aspects of society. To be effective, it must include all the stakeholders involved and reach a consensus that will make implementation -- whether in laws, increased education or other policy changes -- a given.

Ask for a Presidential Commission while the White House is focused on this issue. Don't take no for an answer. Accept each obstacle as a challenge to be overcome. Engage the media and harness the outpouring and support that is pouring in. People need direction. Leadership is key and MADD had that at the local, state and national level. Develop a strategy that people can follow and provide directions and concrete steps that will guarantee successes and keep people motivated. Don't lose the momentum, anger and rage. Now is the time to take action.

The opinions expressed in this commentary are solely those of Candace Lightner.

@highlight

Candace Lightner: After my daughter was killed by a drunk driver, I started MADD

@highlight

Lightner: MADD radically changed our society's view toward drunk driving

@highlight

She says those who want to change our gun culture can look to MADD's strategy

@highlight

Lightner: Engage the media and harness the support that is pouring in