(CNN) -- Physical inactivity causes 1 in 10 deaths worldwide, according to a series of studies released in British medical journal The Lancet, putting it on par with the dangers of smoking and obesity. The results also suggest that public health officials treat this situation as a pandemic.

Specifically, Harvard researchers say, inactivity caused an increase in deaths from coronary heart disease, type 2 diabetes, breast and colon cancers and caused more than 5.3 million deaths in 2008 worldwide.

If physical inactivity rates were to go down by even 10% to 20% worldwide, they say, it could save between a half-million and 1.3 million lives each year. This could also raise global life expectancy by almost a year.

FDA approves new diet drug

"This summer, we will admire the breathtaking feats of athletes competing in the 2012 Olympic Games," wrote Dr. I-Min Lee, a Harvard researcher and the lead author of an article accompanying the series of studies. "Although only the smallest fraction of the population will attain these heights, the overwhelming majority of us are able to be physically active at very modest levels, which bring substantial health benefits."

This series of five studies was specifically timed to be released just days before the start of the 2012 Olympics in London next week, and each of the studies focused on one specific issue related to physical inactivity and its effect on global health.

Adults and children at increased risk

The first in the group of five studies suggested that one-third of adults, and close to 80% of adolescents worldwide, are at increased risk of disease as a result of physical inactivity.

According to the report, some 1.5 billion adults worldwide face a 20% to 30% increased risk of heart disease, diabetes and certain cancers.

Researchers also found that inactivity levels varied widely across the globe, with the lowest levels in Bangladesh (5%) and the highest levels in Malta (71%).

"In most countries, inactivity rises with age and is higher in women than in men [34% vs 28%]," wrote Dr. Pedro C. Hallal, a professor at the Universidade Federal de Pelotas in Brazil. "Inactivity is also increased in high-income countries."

Big baby may increase cancer risk for mom

Why are some people more active?

The second study looked at why certain people and groups of people exercise while others do not.

The study authors found that previous research focused on individual-level factors such as age, sex and socioeconomic status, and they were conducted primarily in high-income countries. But they suggest future research focus on middle and lower-income countries.

"Research has been heavily concentrated in a few developed countries, most of which have stable or falling rates of noncommunicable diseases, rather than in low-income countries where understanding of evidence-based strategies for increasing physical activity is poor," wrote Adrian Bauman, a researcher from the University of Sydney in Australia. "Targeting factors known to cause inactivity is key to improving and designing effective interventions to increase activity levels."

Bauman and his colleagues found that health status, being male, young or wealthy tend to make people more physically active, as does family and societal support for physical activity.

What works to promote physical activity

The third article in The Lancet series looked at what specific programs and types of programs work to promote physical activity.

"Because even moderate physical activity such as walking and cycling can have substantial health benefits, understanding strategies that can increase these behaviors in different regions and cultures has become a public health priority," wrote Gregory Heath, a researcher from the University of Tennessee and the lead author of this study.

Too much TV linked with weaker kids

Heath and his team found that the use of mass-media campaigns to promote exercise, as well as signs to remind people to be active -- taking the stairs, for example -- had some effect on getting people more active.

The team also found that free, public exercise events, creating an environment that was conducive to exercise (bike lanes and walking trails), and improving public transportation were more likely to improve physical activity.

"Overall, our findings showed the interventions to have consistent and significant effects on physical activity and behaviors," Heath wrote. "Even though in some instances the effect sizes of these interventions were rather modest, they were large enough to translate into real population-level benefits if rolled out on a larger scale."

Using mobile phones to get people active

The fourth study found that technology, and specifically cell phone technology, could be significant in helping people get fit.

"With the high prevalence of both physical inactivity and the rapid growth of the mobile phone sector in low-income and middle-income countries, there is a potential for population-level effects that could truly affect global health," wrote Dr. Michael Pratt, a researcher from the Centers for Disease Control and Prevention.

Researchers believe that with more than 4 billion text messaging users worldwide, this could be an effective way to deliver health-conscious messages, particularly in low-income countries.

According to this report, Pratt and his team estimated that using Internet-based technologies could be twice as effective in middle-income countries as in high-income countries, given that 71% of the world's population lives in these countries and many have access to cell phones.

"This is a big challenge, but marked progress in countries such as Colombia and Brazil suggests that it is also an achievable challenge," he wrote.

Inactivity should be considered a pandemic

The final report suggests that physical inactivity should be recognized as a global pandemic and should be treated like any other infectious-disease pandemic would be.

"The role of physical inactivity continues to be undervalued despite robust evidence of its protective effects," wrote Harold Kohl, a researcher at the University of Texas School of Public Health and lead author of this study. "The response ... has been incomplete, unfocused and most certainly understaffed. ... The effect of this tardiness has been to put physical activity in reverse gear compared with population trends and advances in tobacco and alcohol control and diet."

Kohl called on countries -- low, middle and high-income -- to work across disciplines to fix this problem.

"Physical inactivity is an issue that crosses many sectors and will require collaboration, coordination and communication with multiple partners," he wrote, citing specifically city and community planners, transportation engineers, schools, parks and recreation officials and the media.

He says that almost 75% of World Health Organization member countries have some sort of plan to improve physical activity, but only 55% of the plans have been put into effect and only 42% of the plans in effect are well-funded.

"Substantial improvements in the infrastructure of planning and policy, leadership and advocacy, workforce training and surveillance must be realized," he said.

Father, son lose 260 pounds after weight loss surgery

Your 'Aha' weight-loss moments: Share your story of the inspiration you've gotten to lose weight.

@highlight

Physical inactivity causes 1 in 10 deaths worldwide, series of studies in Lancet say

@highlight

Researchers suggest public health officials treat inactivity as a pandemic

@highlight

Inactivity often rises with age and is higher in women as well as in high-income countries

@highlight

Studies: Exercise events and better public transportation help improve physical activity