(CNN) -- On Wednesday, April 2, the United States Supreme Court ruled that any cap on the overall amount a person can spend to influence an election is unconstitutional. Following on the heels of the court's previous decision in Citizens United, the McCutcheon ruling will allow unlimited spending to influence our nation's political process.

In the words of Justice Stephen Breyer, who wrote the dissent in the McCutcheon case, the ruling "eviscerates our nation's campaign finance laws, leaving a remnant incapable of dealing with the grave problems of democratic legitimacy that those laws were intended to resolve."

You shouldn't need money or connections to get a fair shake in our justice system. That's the very essence of our American creed. And yet we know that even with previous restrictions, money had a corrupting influence on our democracy. A Federal Election Survey found that 82% of Americans were worried about special interests buying elections. Three in five Americans thought Congress was already more likely to vote in ways that please their financial supporters, while only one in five Americans thought Congress votes in the best interest of constituents.

Several studies find money gives you access to members of Congress and their staff: Contributors have disproportionately better access. And these studies were conducted before the McCutcheon decision, when the total donations to candidates, parties or PACs within an election cycle were still limited at a whopping $123,000.

This decision benefits those who have that kind of money, not the everyday campaign contributor. The court upheld the law that puts a $5,200 cap on conventional individual contributions to a single candidate.

But without the $123,000 overall limit, imagine how much worse it will be when a single wealthy donor can contribute $3.5 million to a political party and its candidates. What we have politely called "influence" up until now will become nothing short of bribery.

It's hard enough to get the people's will through Congress as is. As is, 90% of Americans want stronger gun safety laws and yet gun-industry political contributions hobble legislative momentum.

And 72% of voters want to raise the minimum wage -- including a majority of Republicans -- but campaign spending and lobbying by the low-wage fast food and retail industry is stymieing progress in Congress there as well.

More than half of Americans want the federal government to limit power plant emissions and take other steps to curb climate change, moves opposed by the wealthy â€” and politically generous â€” oil and gas industry. On issue after issue after issue, the will of the American people is already up against the often-insurmountable obstacles created by well-heeled corporations armed with campaign contributions. And now it's just going to get worse. An analysis by the organization Demos found that the McCutcheon ruling could release more than $1 billion in additional election spending from wealthy donors through 2020.

The community activist group CREDO Action has launched a campaign to send NASCAR-like judge robes covered in corporate sponsorship logos to the five Supreme Court justices who voted for Citizens United and now the McCutcheon decision. Instead of protecting the marginalized and disenfranchised in America, the five conservative justices have manipulated our Constitution to create new rights and give even more power to our nation's wealthiest individuals and corporations.

In 1816, Thomas Jefferson wrote, "I hope that we shall crush in its birth the aristocracy of our monied corporations, which dare already to challenge our government to a trial of strength, and bid defiance to the laws of our country." But rather, thanks in part to the Supreme Court ruling in McCutcheon, it is now we the people who have been definitively crushed. As has our democracy.

@highlight

U.S. Supreme Court rules cap on aggregate amount of election donations is unconstitutional

@highlight

Sally Kohn: This benefits people who have the most money to buy the most influence

@highlight

Kohn: Money gives you disproportionately better access to Congress members and staff

@highlight

Kohn: Massive amounts of money and lobbying overturns the will of Americans on issues