The man's anger at authorities giving a briefing on Malaysia Airlines Flight 370 could not be contained.

He screamed at the screen as a promised video conference with Malaysian authorities became the latest part of the aftermath of the plane's disappearance to encounter technical difficulties.

"You're all bloody liars, and you're lying to us again," the Chinese man said, according to a translation.

Families of the passengers on the missing plane in attendance at the Beijing briefing Wednesday exploded in anger and stormed out.

"We will request their team of experts to come to Beijing to conduct face-to-face communications and fulfill their commitment," said Jing Hui, a spokesman for some of the families. "What Is the truth? What problem do they want to cover up?"

The families have 26 questions they want answered now. The queries were posted on the social media site Weibo by a committee representing some of the passengers' relatives. Some of the "questions" are requests that evidence be shared with them, including the flight's logbook and recording of air traffic control on March 8, the night the plane disappeared with 239 people aboard.

Most of the people on the plane were Chinese, and their families have become very distrustful of Malaysian government authorities and officials with the airline.

That was apparent in the request for MH370's log book. John Goglia, a former member of the U.S. National Transportation Safety Board, told CNN the log is usually on the plane and even if it wasn't, investigators wouldn't reveal specific information from it.

He also said a request for phone numbers of investigators would be denied.

But the other 24 questions and requests?

"These are not state secrets so the families should have access to all of that kind of information," he said.

Many of the 26 questions focus on technical issues involving emergency locator transmitters, or ELTs, and "black boxes." With an apparent in-depth understanding of how these work, the families ask about the specific technology on the missing plane.

ELTs are designed to activate after a crash and send a signal to a frequency monitored by air traffic controllers. "Black boxes," or voice and data recorders, could shed light on what went on in the plane's cockpit and other crucial flight information.

The families' final seven questions involve "protocol," including this: What did Malaysia Airlines do when the flight went missing?

The families also ask whether search and rescue teams have final results from searched areas, and whether the Malaysian government could specify the rights of family members "to know the facts of cases or the details of an incident."

Malaysia Airlines has said it shares all the information it has with appropriate authorities.

In a video message this month, Hugh Dunleavy, the airline's commercial director, said the company shares the same "fundamental requirement" as the families: to find out what happened.

Malaysian authorities have come under criticism repeatedly for their handling of the investigation.  But the government has insisted it's doing what it can to get to the bottom of what happened and support the families.

"We understand that it has been a difficult time for all the families.  And we appreciate that many families want to see physical evidence before they will accept that MH370 ended in the southern Indian Ocean," acting Transport Minister Hishammuddin Hussein said at the end of March.  "... The question that the families principally want answered, is the question we simply do not have the answer to -- namely, where their loved ones are, and where is MH370."

A week earlier, Hishammuddin made a pledge to the families: "We will do everything in our power to keep you informed."

Bluefin-21 completes 'full search'

After two previous setbacks that officials called minor, an underwater vessel searching for traces of MH370 resurfaced Thursday morning after completing what search officials called a "full mission."

The Bluefin-21 has now searched a total of 90 square kilometers (34.7 square miles) in its first three trips to the ocean floor.

On its second trip the Bluefin was forced to resurface after 11 hours because it needed to have a technical issue addressed.

Part of the equipment designed to help the Bluefin-21 move deeper and avoid seepage was low on oil.  Officials replenished the supply and redeployed the vessel.

The Bluefin-21 has its electronics sealed in bottles so they are protected from saltwater.  As the probe moves deeper and the pressure increases, the operating system pushes oil into these bottles.  The oil counters the pressure and prevents saltwater from seeping in. If oil fills the container, there's no space for saltwater.

"In no way should this suggest that (the AUV) is not 'hardy' enough to be working at this depth.  On the contrary, it is absolutely the best piece of equipment for the job we are doing," a source close to the operation said, adding that technical issues are common at great depths.

Data from its second and third mission have been downloaded, the Australian Joint Agency Coordination Centre said.

There were no "significant detections" during the second search.

24-hour mission

Bluefin-21 takes two hours to get near the ocean floor and another two hours to return to the surface. It aims to map the ocean floor for 16 hours to retrieve data, which then take four hours to analyze.

The vessel searches maximum depths of 4,500 meters (14,764 feet), and before the technical interruption, it was scheduled to complete its second dive about 10 a.m. ET, a source said.

The U.S. Navy has determined the seafloor in the search area reaches a maximum depth of 4,600 meters (15,092 feet).

The Bluefin operators said they can reprogram it to operate at 5,000 meters (16,404 feet), meaning it can search the originally designated area, which is thought to have yielded the most promising clues.

It is where a second audio signal that searchers thought was manmade and the right frequency to belong to the flight data recorder's emergency beacon.

The quality of the "ping" led authorities to focus the underwater search in the area.

An oil sample taken from a slick on the surface in that section of the ocean is at a lab being analyzed to see if it is an aviation or maritime fluid.

'Garbage patch'

"We have known a long time that especially the recent search area, the new search area they are looking at now, there's a lot of debris there because it is close to what we call the garbage patch, and that's where all of the garbage accumulates," said Erik Van Sebille, a physical oceanographer at University of New South Wales.

"There are five in each basin and one in the Indian Ocean. Everything that has been thrown in the ocean in the last 50 years and still floating is somewhere in this garbage patch."

Malaysia Airlines Flight 370 vanished on March 8 with 239 people aboard after taking off from Kuala Lumpur, Malaysia, bound for Beijing.

With no debris found after weeks of searches and no possible pings from the plane's "black boxes" detected in a week, officials said it's time to focus the search underwater.

While air and sea surface searches continued Thursday in a zone centered about 2,170 kilometers (1,348 miles) northwest of Perth, those searches are probably nearing an end.

Still, Thursday's surface search area grew significantly to 40,349 square kilometres (15,578.8 square miles).

@highlight

Ocean is a depth the Bluefin probe should be able to handle, U.S. Navy indicates

@highlight

"You're all bloody liars, and you're lying to us again," says angry man at families' briefing

@highlight

Families want log, official phone numbers, other data

@highlight

Officials say Bluefin-21 completed its third mission with no hiccups