(CNN) -- The folks in Buffalo are quite used to bad weather, but Tuesday night they were enduring a brutal trifecta of inclement conditions: unusually cold temperatures, high winds and almost another foot of snow.

It was so bad the Buffalo Sabres NHL team did something they haven't done since 2000: They told their fans to stay home and postponed their game at the First Niagara Center.

A blizzard warning is in effect for three counties until 6 a.m., forecasters said, and CNN affiliate WIVB reported one wind gust of 51 mph. There were also flood warnings in some areas because of broken water mains.

During an afternoon news conference, Erie County officials told residents to stay off the roads and said there was a significant number of road closures. Officials said it would be Wednesday afternoon at the earliest before most roads would be cleared.

But in a small bit of good news, part of Lake Erie was frozen over, meaning the lake-effect snow system pulled less moisture and snowfall amounts were significantly lower than first feared. Still, one area of Buffalo had 14 inches of new snow Tuesday, WIVB said.

The Sabres said their game against the Carolina Hurricanes would be played at a date yet to be determined.

Across the nation, many cities were still dealing with the effects of a polar vortex that dropped lower than normal and brought below-freezing temperatures to many states, including Florida.

And, unfortunately, the cold weather was also being blamed for one new death from hypothermia, authorities said Tuesday.

New York City saw a record low for the date. It was just four degrees in Central Park, breaking a record of six set in 1896.

That's not quite as bad as the all-time low of 15 below zero in 1934. But with the wind chill, temperatures still felt well below zero -- a 69-degree drop from Monday, when the weather was a relatively sultry 50 degrees with wind chill.

Temperatures plummeted below freezing somewhere in all 50 states Tuesday morning -- most, but not all, due to the arctic blast hovering like an ice chest, according to CNN meteorologist Dave Hennen. (The cold regions of California and Hawaii, for example, had nothing to do with the vortex.)

In Florida, despite the low temperatures, crops were not damaged, the state's Fruit and Vegetable Association told CNN.

Authorities have blamed at least 16 deaths on the cold so far, including 11 from traffic accidents and three involving hypothermia. A spokesman for the Cook County medical examiner's office in Illinois said Tuesday that one person had died as a result of the extreme cold.

And animals are suffering and dying, too. CNN affiliate WISH reported seven dogs froze to death near Indianapolis after being left outside, according to Marion County, Indiana, animal care officials.

At Chicago's Lincoln Park Zoo, Anana -- a polar bear who never grew the thick layer of fat that bears in the Arctic do -- had to be brought inside Monday. And at the National Aviary in Pittsburgh, bald eagles and African penguins, "who are used to temperate climates," were taken off exhibit until the weather warms up, the facility reported.

Travel snarled

The weather left more than 500 people stranded on three Amtrak trains overnight in western and north-central Illinois, Amtrak spokesman Marc Magliari said.

All three Chicago-bound trains -- two coming from California, and one originating in Quincy, Illinois -- stopped Monday afternoon or evening because conditions prevented them from going farther. At least one was stopped by "heavy snow drifting in a trenchlike area," Magliari said.

"The passengers were sheltered in place overnight," Magliari said. "It wasn't safe to take people off these trains ... because there wasn't a good way to get people to and from the trains in the bad weather."

Amtrak worked to make other arrangements, putting some passengers on buses.

All the trains had heat and electricity throughout, he said.

"It certainly wasn't as comfortable as anyone would have liked, but it was not unsafe," Magliari said. "It was the best thing to do in these temperatures in these conditions at that time overnight in that part of the state."

Jeanette Floyd, who boarded one of the California trains in Kansas City, praised the crew for helping to keep passengers positive, but said her trip -- which ended up taking more than a day from start to finish -- still was "one of the worst (experiences) ever."

"I can't feel my butt because it's just not there anymore, just sitting for literally 26 hours," Floyd told CNN Tuesday after arriving in Chicago by bus.

Floyd and other passengers said the crew gave them a complimentary meal during the stranding.

A fourth Amtrak train was stuck for nine hours Monday night and early Tuesday near Kalamazoo, Michigan, about 300 passengers had to wait more than nine hours to reach their destination, CNN affiliate WXMI reported.

"It was kind of like purgatory," a passenger told CNN affiliate WLS, adding that it was "not quite hellish because there was good company." The train, which was bound for Chicago, finally arrived at the city's Union Station on Monday night, WLS reported.

More than 2,600 flights were canceled within, into or out of the United States on Tuesday, according to flightaware.com. Nearly 6,000 were delayed, the flight-tracking website said.

New York resident Mindy Goldberg said her family's flight back from Mexico had been diverted to Boston because of the weather.

"I just called my kids' school to tell them they wouldn't be there, and she said, 'Everyone's stuck somewhere,'" Goldberg told CNN affiliate WBZ.

Ships ran into trouble as well. The U.S. Coast Guard Cutter Hollyhock had to break through ice in Lake Michigan.

In Indianapolis, Los Angeles resident Jason Bentley decided to play in the snow outside the airport after learning that his flight home had been canceled Sunday. It was 15 below zero Farenheit (minus 26 Celsius).

JetBlue cancels Northeast flights to rest crews

"This is the wettest snow I've ever touched, the easiest snow to make a snowman and to have snowball fights," Bentley wrote in a CNN Facebook discussion. "It's also probably the worst (weather) I've ever been in because of the temperature."

"Sick as a dog. Car is dead. Roads are closed. Space heater died yesterday," Amanda Brooke of Valparaiso, Indiana, said on Facebook. "Missing doctors' appointments I've had for six months." She described herself as "cold, sick, and trying not to be miserable."

In Columbus, Ohio, Alexis Mitchell-Tremain posted that she still had to go to work. "So, it's layers of clothing, the hubby's big woolly scarf, and a lot of coffee."

Jason Coppula in Pittsburgh can relate. "I have about three layers on, two gloves, two (pairs of) socks, scarf and ski goggles," he wrote on Facebook.

Extreme wind chills mean flesh can freeze in as little as five minutes. Several major school districts are closed Tuesday, including those in Minneapolis and Atlanta, to prevent children from waiting outside at bus stops.

When will this end?

Temperatures should start edging higher on Wednesday. By Thursday, most of the country will be back to normal, CNN meteorologist Brandon Miller said. In fact, some temperatures may even be a bit higher than usual.

CNN's Carma Hassan, Kait Richmond, Deborah Doft, Matt Smith, Indra Petersons, Stephanie Elam, and Paul Vercammen contributed to this report.

@highlight

NEW: Frozen lake means less snow, but it's still brutal in Buffalo

@highlight

NEW: Officials warn of flooded streets from broken waterlines

@highlight

More than 2,600 flights are canceled Tuesday

@highlight

One person died in Chicago area due to hypothermia, authorities said