Beijing, China (CNN) -- When 23-year-old magazine editor Liu Xinda looked to make his first investment in 2012, he considered the stock market. Many Chinese investors have jumped on the skyrocketing property market, but it was too rich for Liu's blood.

Instead he decided to invest in bitcoin. "I believed in bitcoin as a more secure way to store the value than renminbi," Liu said, referring to China's currency. "I trusted in its mechanisms."

Liu's trust paid off -- he purchased bitcoin when it was trading at 60 yuan (U.S.$9.85) on the Chinese market and sold when it was trading at 700 yuan ($115) in June. Last week, bitcoin was trading at 7,000 yuan ($1,149).

With bitcoin now reaching prices equivalent to an ounce of gold, more investors are turning toward the digital currency for a return on investment. And Chinese investors seeking similar investment success like Liu are feeding the bitcoin frenzy.

More than a third of the world's bitcoin transactions now flow through China's largest bitcoin trading website BTC China, according to bitcoin data websites. China has surpassed Japan's Mt.Gox and Europe's BitStamp, reaching 100,000 Bitcoins in daily trading volumes, or more than 400 million yuan (U.S.$65.7 million) in daily transactions.

Infographic: What is bitcoin?

"We think it's because bitcoin presents itself as a new asset class, albeit digital in nature. And given China is a country with strong practice of savings," Bobby Lee, CEO and co-founder of BTC China, told CNN. "It is quite understandable that the Chinese would want to explore bitcoins as yet another potential asset class for investing some of their savings."

In recent years China has been pushing to internationalize the yuan, adding more value to the once tightly controlled currency on international markets.

But despite the changes, controls mean individuals still find it difficult to invest in assets outside China. As a result, more Chinese are looking to invest in alternative assets like bitcoin.

Trading in the digital currency has been extremely volatile. Early in November the currency rose to what was then an all-time high of $900 earlier, only to fall back to $500 in the span of 28 hours. By last Friday, it was trading as high as $1,242.

Bitcoin worth almost as much as gold

"Chinese interest could play a huge role in turning bitcoin into the first trillion dollar non-fiat currency," Stan Stalnaker -- founding director of Hub Culture and the Ven, an asset-backed Internet reserve currency -- recently wrote in a CNNMoney opinion piece.

"Ironically, it is the United States, the 'free market' financial heavyweight in the world, that finds itself moving slowly to figure out how to adopt bitcoin," he wrote. "Meanwhile, China is proving to be a leading player in this 21st century currency."

However, digital currencies are not officially recognized as legitimate in China. In 2009, the government restricted the use of QQ coin, a popular virtual currency created by tech tycoon Tencent, to only virtual products.

Now Bitcoin faces a similar move.

China's central bank warned late on Thursday that Bitcoin carries substantial risks and issued new rules to prohibit financial institutions from dealing in the digital currency.

Ron Paul: Bitcoin could 'destroy the dollar'

Under the new regulation, financial institutions in China are banned from trading, underwriting or offering insurance in bitcoin. In addition, websites in China that provide trading services are required to report investors' identities to regulators and take steps to prohibit money laundering.

Following the central bank's announcement, the bitcoin price on the Chinese market shrunk by more than 20% and is still in decline.

While the central bank did not outlaw or prohibit individuals from owning bitcoin, the guidelines specify that it is not to be considered a currency.

With his past gains, Liu is happy to besitting out the current bitcoin boom and bust.

"The ongoing trend is nothing more than a hype to attract geeks," he said. "It's still very hard to spend. And I'm not investing more in bitcoin until I can use it to buy things from Taobao and Amazon."

"These are speculators that don't have faith in Bitcoin's value. They'll bailout from the market immediately after they suffer a deficit," he added.

@highlight

NEW: Chinese authorities crack down on bitcoin

@highlight

Analysts: Bitcoin value is being fueled by voracious Chinese investors

@highlight

A third of world's transactions now flow through China's largest bitcoin trading website