The U.S. military is ending its policy of excluding women from combat and will "expeditiously" open combat jobs and direct combat units to female troops, Defense Secretary Leon Panetta announced Thursday.

Women already are on the front lines overseas despite an official ban on combat, "and the time has come for our policies to recognize that reality," Panetta told reporters at the Pentagon.

"The fact is, they have become an integral part of our ability to perform our mission, and for more than a decade of war they have demonstrated courage and skill and patriotism," Panetta said.

Gen. Martin Dempsey, the chairman of the Joint Chiefs of Staff, said the decision would be implemented "over time and with careful analysis." But he said the service chiefs were unanimous in their support for the move.

Officials told CNN on Wednesday that not every position will open all at once. Once the policy is changed, the Department of Defense will enter what is being called an "assessment phase," in which each branch of service will examine all its jobs and units not currently integrated and then produce a timetable for integrating them.

The Army and Marine Corps, especially, will be examining physical standards and gender-neutral accommodations within combat units. Every 90 days, the service chiefs will have to report on their progress.

The move is one of the last significant policy decisions made by Panetta, who is expected to leave in mid-February. It is not clear where former Sen. Chuck Hagel, the nominated replacement, stands, but officials say he has been apprised of Panetta's coming announcement.

"It will take a while to work out the mechanics in some cases. We expect some jobs to open quickly, by the end of this year. Others, like special operations forces and infantry, may take longer," a senior defense official explained. Panetta is setting the goal of January 2016 for all assessments to be complete and women to be integrated as much as possible.

And the Pentagon has left itself some wiggle room that may ultimately lead to some jobs being designated as closed to women. A senior defense official said if, after the assessment, a branch finds that "a specific job or unit should not be open, they can go back to the secretary and ask for an exemption to the policy, to designate the job or unit as closed."

The official said the goal remains to open as many jobs as possible. "We should open all specialties to the maximum extent possible to women. We know they can do it."

Sen. John McCain, an Arizona Republican who spent six years as a prisoner of war during the Vietnam War, said he supports lifting the ban on women serving in combat, pointing out women are already serving in harm's way. But he said the move should not fundamentally change the military.

"As this new rule is implemented, it is critical that we maintain the same high standards that have made the American military the most feared and admired fighting force in the world -- particularly the rigorous physical standards for our elite special forces units," McCain said in a statement.

But Sen. Patty Murray, D-Washington called Panetta's decision a "historic step for equality" that recognizes the role women play in the military. Murray leads the Senate Veterans' Affairs Committee and is a member of the Defense Appropriations Subcommittee.

The Pentagon must notify Congress of each job or unit as it is sent up to the secretary to be opened to women. Then the Defense Department must wait 30 days while Congress is in session before implementing the change.

It is a marked difference from the way the military ended the exclusion of gays serving openly, or the "don't ask, don't tell" policy. In that case, there were no stipulations attached to openly gay service members. There was no staggered approach that integrated openly gay troops into units. It was instead done all at once, across the board.

A senior defense official explained the Pentagon's reasoning behind the different approach: "You're talking about personal choice of behavior versus physical capability. And they were already in the units. If you take a unit that's never had women before, that's quite a culture change."

Another senior defense official said the goal is "to provide a level, gender-neutral playing field."

The American Civil Liberties Union recently filed a federal lawsuit against the Department of Defense, charging that combat exclusion is unfair and outdated, harms America's safety and prevents women from receiving training and recognition for their work. The plaintiffs, who include women awarded Purple Hearts, say the exclusion places them at a disadvantage for promotion.

The ACLU said was thrilled about Panetta's announcement.

"But we welcome this statement with cautious optimism, as we hope that it will be implemented fairly and quickly so that servicewomen can receive the same recognition for their service as their male counterparts," Ariela Migdal, senior staff attorney with the ACLU Women's Rights Project, said in the statement.

Earlier this month, the Army opened the 160th Special Operations Aviation Regiment to women, and it has begun recruiting female pilots and crew chiefs. The Navy has put its first female officers on submarines in the past year, and certain female ground troops have been attached to combat units in Iraq and Afghanistan. More than 800 women were wounded in those wars, and at least 130 have died.

@highlight

Sen. McCain supports the move and says the military must keep its high standards

@highlight

Sen. Murray points out women already serve in combat

@highlight

Officials say Panetta will announce it is opening combat jobs to women

@highlight

Panetta hopes the process will be complete by January 2016, officials say