(CNN) -- Americans who celebrate on New Year's Eve with a bottle of champagne, party hats and a kiss at midnight have an important lesson to learn from the rest of the world (and certain regions of this country): The arrival of the new year is meant for feasting.

As the new year arrives around the globe, special cakes and breads abound, as do long noodles (representing long life), field peas (representing coins), herring (representing abundance) and pigs (representing good luck). The particulars vary, but the general theme is the same: to sit down and share a meal with family and friends to usher in a year of prosperity.

Where to see in the new year in style

Here are some of the common traditions around the world and a few hints about where to partake in them:

Hoppin' John, American South

A major New Year's food tradition in the American South, Hoppin' John is a dish of pork-flavored field peas or black-eyed peas (symbolizing coins) and rice, frequently served with collards or other cooked greens (as they're the color of money) and cornbread (the color of gold). The dish is said to bring good luck in the new year.

Different folklore traces the history and the name of this meal, but the current dish has its roots in African and West Indian traditions and was most likely brought over by slaves to North America. A recipe for Hoppin' John appears as early as 1847 in Sarah Rutledge's "The Carolina Housewife" and has been reinterpreted over the centuries by home and professional chefs.

The dish reportedly got its name in Charleston, South Carolina, and it is a veritable staple of Lowcountry cooking. So this is as good a place as any to eat it. Husk, the acclaimed restaurant of chef Sean Brock, often serves Hoppin' John, as does Charleston institution Hominy Grill. Not heading south for the holidays? Seersucker in Brooklyn, New York, is serving Hoppin' John from 10 a.m. to 5 p.m. on New Year's Day.

Twelve grapes, Spain

While Americans watch the ball drop in Times Square on New Year's Eve, Spaniards watch the broadcast from Puerta del Sol in Madrid, where revelers gather in front of the square's clock tower to ring in the New Year. Those out in the square and those watching at home partake in an unusual annual tradition: at the stroke of midnight they eat one grape for every toll of the clock bell. Some even prep their grapes -- peeling and seeding them -- to make sure they will be as efficient as possible when midnight comes.

6 food must-haves for 2013

The custom began at the turn of the 20th century and was purportedly thought up by grape producers in the south with a bumper crop. Since then the tradition has spread to many Spanish-speaking nations.

Those spending New Year's Eve in Madrid should head over to the Puerta del Sol before midnight. It's a lively square, surrounded by bars, restaurants and shopping, so it's a good place to be when the new year comes.

Tamales, Mexico

Tamales, corn dough stuffed with meat, cheese and other delicious additions and wrapped in a banana leaf or a corn husk, make appearances at pretty much every special occasion in Mexico. But the holiday season is an especially favored time for the food. In many families, groups of women gather together to make hundreds of the little packets -- with each person in charge of one aspect of the cooking process -- to hand out to friends, family and neighbors. On New Year's, it's often served with menudo, a tripe and hominy soup that is famously good for hangovers.

Those who live in cities with large Mexican populations shouldn't have much trouble finding restaurants selling tamales to go for New Year's Eve and Day. But gourmands who want the real deal should head to Mexico City, where steamed tamales are sold from vendors on street corners day and night. They can also be found at established restaurants like Flor de Lis or Pujol or tamale specialists like Los Tamales y Algo Mas.

Oliebollen, Netherlands

In the Netherlands, fried oil balls, or oliebollen, are sold by street carts and are traditionally consumed on New Year's Eve and at special celebratory fairs. They are doughnut-like dumplings, made by dropping a scoop of dough spiked with currants or raisins into a deep fryer and then dusted with powdered sugar.

In Amsterdam, be on the lookout for Oliebollenkraams, little temporary shacks or trailers on the street selling packets of hot fried oliebollen.

Marzipanschwein or GlÃ¼cksschwein, Austria and Germany

Austria, and its neighbor to the north, Germany, call New Year's Eve Sylvesterabend, or the eve of Saint Sylvester. Austrian revelers drink a red wine punch with cinnamon and spices, eat suckling pig for dinner and decorate the table with little pigs made of marzipan, called marzipanschwein. Good luck pigs, or GlÃ¼cksschwein, which are made of all sorts of things, are also common gifts throughout both Austria and Germany.

Vienna bakeries this time of year will be filled with a variety of pig-shaped sweets. Head to Julius Meinl, with more than three floors of gourmet food shopping, cafes and restaurants, to find the most impressive display of pig-shaped Champagne truffles, marzipan and chocolate in a variety of sizes.

Soba noodles, Japan

In Japanese households, families eat buckwheat soba noodles, or toshikoshi soba, at midnight on New Year's Eve to bid farewell to the year gone by and welcome the year to come. The tradition dates back to the 17th century, and the long noodles symbolize longevity and prosperity. In another custom called mochitsuki, friends and family spend the day before New Year's pounding mochi rice cakes. Sweet, glutinous rice is washed, soaked, steamed and pounded into a smooth mass. Then guests take turns pinching off pieces to make into small buns that are later eaten for dessert.

This New Year's Eve, at Manhattan Japanese restaurant En Japanese Brasserie, the chef (and willing customers) will take part in the mochitsuki. The resulting mochi will be served as dessert later in the evening. The restaurant is also serving two kaiseki menus, both featuring soba noodles as a final savory course. At midnight, they will break open a barrel of sake to welcome the New Year.

King cake, around the globe

The tradition of a New Year's cake is one that spans countless cultures. The Greeks have the Vasilopita, the French the gateau or galette des rois. Mexicans have the Rosca de Reyes and Bulgarians enjoy the banitsa.

Most of the cakes are consumed at midnight on New Year's Eve -- though some cultures cut their cake on Christmas or the Epiphany, January 6 -- and include a hidden gold coin or figure, which symbolizes a prosperous year for whomever finds it in their slice.

Cotechino con lenticchie, Italy

Italians celebrate New Year's Eve with La Festa di San Silvestro, often commencing with a traditional cotechino con lenticchie, a sausage and lentil stew that is said to bring good luck (the lentils represent money and good fortune) and, in certain households, zampone, a stuffed pig's trotter.

The meal ends with chiacchiere -- balls of fried dough that are rolled in honey and powdered sugar -- and prosecco. The dishes find their roots in Modena, but New Year's Eve feasts thrive across the country.

Pickled herring, Poland and Scandinavia

Because herring is in abundance in Poland and parts of Scandinavia, and because of their silver coloring, many in those nations eat pickled herring at the stroke of midnight to bring a year of prosperity and bounty. Some eat pickled herring in cream sauce, some have it with onions.

One special Polish New Year's Eve preparation of pickled herring, called Sledzie Marynowane, is made by soaking whole salt herrings in water for 24 hours and then layering them in a jar with onions, allspice, sugar and white vinegar. Scandinavians will often include herring in a larger midnight smorgasbord with smoked and pickled fish, pate and meatballs.

Kransekage, Denmark and Norway

Kransekage, literally wreath cake, is a cake tower composed of many concentric rings of cake layered atop one another, and they are made for New Year's Eve and other special occasions in Denmark and Norway. The cake is made using marzipan, often with a bottle of wine or Aquavit in the center and can be decorated with ornaments, flags and crackers.

Those who can't make it to Copenhagen this year for Danish treats should check out Larsen's Danish Bakery in the Ballard neighborhood of Seattle. They have a long-running mail-order business to accommodate kransekage lovers across the country and carefully pack each ring on the tower individually for easy assembly right before your New Year's Eve feast. A 10-ring cake goes for $86; an 18-ring cake is $150.

What are your New Year's dining traditions? Share your favorite dishes in the comments below.

@highlight

Pickled herring, lentils and noodles all make appearances on global New Year's menus

@highlight

In the American South, hoppin' john, made with rice and field peas, is said to bring good luck

@highlight

King cakes are part of the festivities in many cultures