(CNN) -- Australia said Wednesday that it has chosen a Dutch company to carry out the next phase of the underwater search for Malaysia Airlines Flight 370, which mysteriously disappeared five months ago this week.

Australian Deputy Prime Minister Warren Truss announced at a news conference that Fugro Survey will use two vessels for the search in the southern Indian Ocean, where the Malaysian plane is believed to have gone down after it flew off course and dropped off radar.

The two ships will be equipped with towed deep-water vehicles and will also use side-scan sonar, multi-beam echo sounders and video cameras in the search, Australian authorities said.

Fugro, which has operations in the Western Australian city of Perth, is engaged as a single, private contractor to search for the missing plane -- and if it successfully locates it, to positively identify and map the wreckage.

The operation, which is expected to begin in September and last as long as a year, will slowly scan some 60,000 square kilometers (23,000 square miles) of the ocean floor, looking for any sign of aircraft debris.

'No simple answer'

It's not yet clear exactly how the deep sea search will play out.

While the Australian Transport Safety Bureau, which is overseeing the underwater search at Malaysia's request, has developed the overall strategy, the independent contractor will be responsible for day-to-day operations in the search zone.

"We are still ... working out the details of the techniques to be used, which will vary depending on the topography of the ocean floor," ATSB Chief Commissioner Martin Dolan said Wednesday. "So there's a range of possibilities. We haven't gotten the full detail of our search plan because we have to do that on a collaborative basis with Fugro. So there's no simple answer."

Australia now estimates a yearlong underwater search will cost $48 million.

According to Truss, the amount of money Malaysia will contribute to the next phase is yet to be agreed. He said he expects to discuss that with his Malaysian counterpart later this month.

When asked if China, which had the greatest number of passengers on board the flight, would contribute financially to the next phase, Truss said Beijing hasn't "indicated an intention to assist in that way."

Mapping the ocean floor

Some 1,800 kilometers (1,100 miles) off the coast of Western Australia, a pair of survey ships continue their efforts to give search teams a better understanding of what lies thousands of meters below the surface in one of the most uncharted, remote places on the planet.

The Chinese Navy's Zhu Kezhen and the Australian-contracted Fugro Equator have covered roughly 60% of the priority search area, which the ATSB says is the most likely resting place of MH370. A Malaysian survey ship is on schedule to join them this month, and underwater mapping is expected to wrap up in September.

According to the ATSB, the data collected by survey ships is being converted into detailed topographical maps.

So far, it says, those maps show ocean depths ranging from 1,500 meters to nearly 5,000 meters (roughly one to three miles), and wide-ranging terrain that includes everything from flat, sloping surfaces, to rugged terrain like mountains, ridges and cliffs.

David Gallo, an oceanographer and director of special projects at the Woods Hole Oceanographic Institution, who was involved in the search for Air France Flight 447, said that a high level of detail is critical to make sure the search is carried out effectively and safely.

"You have to know where you're going or you'll end up impacting the bottom," he said. "We're looking at less than a handful of tools that can work in this depth and that are available, so you really don't want to risk anything."

One of the most challenging spots, Gallo pointed out, is at the southern end of the search area, where he expects to see pockets of terrain up to 7,000 meters deep (four miles).

"The south side of that Broken Ridge is a monstrous wall... almost two miles top to bottom, almost vertical," Gallo explains, adding that there are only a few pieces of equipment worldwide that would even have a chance of reaching such extreme depths.

A slow, painstaking search

According to ATSB tender documents, Fugro is required to begin the search no later than one month after signing the contract, and will be required to search all 60,000 square kilometers within 300 days.

The towed side-scan sonar devices will each be attached to one of two ships, the Fugro Equator and Fugro Discovery, with a cable, and will be capable of transmitting some data to the surface in real time. According to the ATSB's Dolan, that data will be analyzed by experts on the survey ships and on shore in Australia.

Woods Hole's Gallo said each type of search system has its strengths and weaknesses, noting that towed systems work well on flat terrain and cover ground quicker.

In more rugged areas, a drone which hugs the bottom will likely do a better job, albeit at a slower pace of around 65 square kilometers (25 square miles) a day.

For the most extreme terrain, Gallo said, search teams may need a remotely operated vehicle (ROV), steered from a surface ship with a tether.

Malaysia has already partnered with American and Australian contractors to supply additional search equipment, including a towed side-scan sonar and ROV. It's not yet clear how these will be integrated into the larger, Australian-run operation.

Where to start?

Where the search teams begin their work will depend on what the underwater maps show. "If there's a chunk of fairly smooth terrain and fairly shallow, you could get a lot of ground covered early on, which raises spirits a little bit," Gallo said.

But there's a lot of ground to cover. The area search teams hope to tackle over the next year is four times the size of the search zone for Air France 447, which went down in the mid-Atlantic in June 2009.

And with a greater area to search, and multiple search assets involved, the operation becomes far more complex.

"The worst thing that we could do is have a ship show up with technology, have them go over the spot...and you write that spot off forever," Gallo said.

But he added that he is completely confident in the ATSB's ability to manage the overall operation, saying that if the wreckage of MH370 is in the designated search zone, it will be found.

Are they looking in the right place?

There is far less confidence about whether search teams are looking in the right spot. The search for MH370 continues to focus along the seventh arc, the so-called "partial handshake," which experts believe was the last signal sent between the Malaysia Airlines plane and a communications satellite operated by Inmarsat.

"What I'm a little concerned about... is that there still seems to be some confusion about Inmarsat data and how it's being interpreted," said David Soucie, a former safety inspector at the U.S Federal Aviation Administration and author of "Why Planes Crash."

In late June, the ATSB announced it was moving the priority search area several hundred kilometers southwest, the second major shift of the search zone along the arc. That move was based on analysis of the satellite data and a review of aircraft performance limits, including speed and altitude, by an international group of experts.

That analysis also made a series of assumptions, "in order to define a search area of practical size," the ATSB's June report said, including that the plane was flying on autopilot for a long period of time until it eventually ran out of fuel and crashed. Not making that assumption, the report said, "would result in an impractically large search area."

No guarantees

The ATSB has said that the Inmarsat data will continue to be reviewed during the next phase of the search, acknowledging that there is still a chance the hunt may be extended outside the 60,000 square kilometers designated as the priority area.

"The haystack is a big chunk of terrain in the Indian Ocean," Gallo of Woods Hole said. "And even though the haystack is huge there's no guarantee that the needle is in that haystack."

Soucie agreed, however, he adds the ATSB is going about the search in a smart way: "Am I confident they will find the airplane in that area? No. But if it were my search, I would be doing exactly what they're doing."

Despite a potentially vast search zone, Dolan said late last week that he's cautiously optimistic that search teams will find the missing plane.

"We're doing this, in a large part, because we want to give some certainty to those who are grieving the loss of their loved ones," he said. "And we're fully committed to doing that."

MH370 departed Kuala Lumpur for Beijing early on the morning of March 8 carrying 239 passengers and crew members. On March 24, Malaysian Prime Minister Najib Razak announced that the flight had ended in the southern Indian Ocean.

To date, no trace of the plane has been found.

Australia: MH370 likely on autopilot with unresponsive crew in flight's final stage

For families of the missing, a hole in the clouds, an empty space on earth

MH370 families seek $5M for investigation, reward

@highlight

NEW: Australia says amount of money Malaysia will contribute not yet agreed

@highlight

Authorities choose the Dutch firm Fugro Survey to carry out the Indian Ocean search

@highlight

The firm will use two vessels to scour 60,000 square kilometers of ocean floor

@highlight

MH370 disappeared from radar five months ago; wreckage hasn't been found