(CNN) -- Beneath a hand-stitched Confederate flag, Terry Hancock prepared for battle.

On this Saturday afternoon, his work as colonel was nearly finished. He'd trained new soldiers, devised field formations and passed combat instructions to captains leading the seven companies in his battalion. He'd buttoned his thick, wool Union uniform, filled his antique canteen and groomed his dark, wiry beard.

Now, Hancock waited to storm Alabama's Janney Furnace.

"Honey, I wish they could see how you normally dress," said his wife, Amber. "We ain't Yankees."

She swished up in a plaid, hoop skirt-inflated dress -- which is an ordeal to maneuver in the portable toilet, she admitted -- and touched his cheek.

"Somebody's gotta play the Yankees," he said, grinning.

Hancock, 47, has re-enacted enough Civil War battles -- 300, he estimates -- to know sometimes you must portray the squadron your ancestors fought. Yankee re-enactors don't always travel to the Deep South for small battles, and this show featured just more than 100 soldiers. That's pretty small skirmish compared with, say, Gettysburg's 15,000 annual participants.

He's donned both uniforms throughout his 12-year re-enacting career.

Rather than rallying the 48th Alabama Infantry, his normal crew, he led the 23rd Kentucky, Union soldiers who may (or may not) have surrendered to "homeguard-type" Confederates. There's little documentation of what actually happened on that day in 1864, other than Janney Furnace, a Confederate iron  compound, had been "blown up" by Federal forces.

So, he and two other leaders planned an "educated guess" scenario, something "similar to what might've been." The Confederates would prevail today; Union troops would conquer during Sunday's re-enactment.

He watched his men line up, spines straight, listening to a lieutenant check weapons and bark orders.

"Shoulder -- arms!"

"Support -- arms!"

There was no small talk, no laughter. Getting into character, the character of a soldier, requires focus, diligence and a fastidious attention to historic detail. Every face, young and old, remained stoic.

"Now remember, call for the medic if something's seriously wrong," the lieutenant shouted. "Right then. Onward march!"

150 years of re-enacting

Before the Civil War ended, re-enactments began.

Soldiers, freshly home from combat, recreated battle scenes to educate townspeople and honor fallen comrades.

For Gettysburg's 50th anniversary in 1913, more than 50,000 Confederate and Union veterans returned to Pennsylvania to celebrate America's reunification. The former foes, ages 61 to an alleged 112, re-enacted the gruesome clash to an awe-struck audience.

After the Civil War's centennial commemorations in the 1960s, modern portrayals trickled into mainstream pop culture. Now, as the 150th anniversary approaches, thousands of Americans dress up to go back in time. Re-enactment groups, located in nearly every state, never stop recruiting.

"It's an expensive hobby with a cult following, and a great way to learn about history," said Professor Robert Harrison, who teaches a Civil War re-enactment course at Linn-Benton Community College in Oregon. "People are meticulous about accuracy."

"Hard-core" soldiers have led 20-mile marches and followed strict "seasonal Civil War" diets, he said. They often stay in character for a week.

But most re-enactors perform for a day and then discuss jobs, families and whatever's in the paper. It's a tight-knit community.

"Their enthusiasm is very high," he said. "It's contagious. After a spectator sees history unfold before them, they're much more likely to go out, buy a Civil War book and learn more. Above all else, re-enactors are educators."

Hancock considers himself an unorthodox Civil War teacher.

"We're living historians," he said. "We re-enact to educate, to enlighten. It's not a redneck hobby."

He remembers visiting Tennessee's Chickamauga battlefield as a 10-year-old boy, enamored by the monuments and their stories.

Now, as a retired teacher, he practices his passion with the Hardee's Guard Battalion -- a Civil War re-enactment fraternity scattered throughout Alabama, Georgia and Tennessee.

Fellow re-enactors are his best friends, his family. Re-enactments are an escape from reality, a chance to unplug, unwind and eat barbecue -- a far cry from the bloodshed during America's deadliest war.

"Re-enactments put emphasis on the battlefield itself -- the bravery, the heroism, the gallantry," said Dr. Clifford Kuhn, a specialist in Southern history at Georgia State University. "The larger context of the War, like the Southern economic devastation, the enormous death tolls, is conveniently moved to the side."

That can make commemorating tragic events cheerful, he said.

"These re-enactments gather so much attention because they connect with Southerners' personal identities," he said. "Historic re-enactments become community festivals."

Alabama pride

Ohatchee, a small town 60 miles northeast of Birmingham, buzzed with spectators as the 2 p.m. battle approached.

"Show them Yankees!"

"The South will rise!"

Children waved Confederate flags. Mothers smoothed blankets onto the grassy hillside. Old-style merchants, known on the re-enactment circuit as "suttlers," pushed baked goods, overalls and antique jewelry on the sidewalk.

It was a typical re-enactment weekend.

Hancock watched his men ready their guns. He checked his brass pocket watch, considering the 40-minute time limit.

Sudden explosions arrested the crowd's attention. Puffs of smoke dotted the field, products of "blanks" in place of bullets, firing into the cloudless sky. Cannons thundered back and forth. Soldiers collapsed -- some wincing in fake pain, others stifling giggles.

One man turned to his friend and yelled, "This is as much fun I can have with my clothes on!"

Amber watched from the sidelines. "Go Terry!" she shouted intermittently, clapping her hands. But as always, regardless of what side he represented, she cheered for the South.

"Ohh-wee!" she shouted. "Get them Yankees!"

@highlight

Re-enactors prepare to commemorate the Civil War's 150th anniversary

@highlight

Terry Hancock has been re-enacting Civil War battles for 12 years

@highlight

At Gettysburg's 50th anniversary, 50,000 Confederate and Union veterans re-enacted battle

@highlight

"Soldiers" pay fastidious attention to historic detail