WASHINGTON (CNN) -- Every day, five U.S. soldiers try to kill themselves. Before the Iraq war began, that figure was less than one suicide attempt a day.

A U.S. soldier patrols the streets of Baghdad in January.

The dramatic increase is revealed in new U.S. Army figures, which show 2,100 soldiers tried to commit suicide in 2007.

"Suicide attempts are rising and have risen over the last five years," said Col. Elspeth Cameron-Ritchie, an Army psychiatrist.

Concern over the rate of suicide attempts prompted Sen. Jim Webb, D-Virginia, to introduce legislation Thursday to improve the military's suicide-prevention programs.

"Our troops and their families are under unprecedented levels of stress due to the pace and frequency of more than five years of deployments," Webb said in a written statement.  Watch CNN Senior Pentagon Correspondent Jamie McIntyre on the reasons for the increase in suicides »

Sen. Patty Murray, D-Washington, took to the Senate floor Thursday, urging more help for military members, especially for those returning from war.

"Our brave service members who face deployment after deployment without the rest, recovery and treatment they need are at the breaking point," Murray said.

She said Congress has given "hundreds of millions of dollars" to the military to improve its ability to provide mental health treatment, but said it will take more than money to resolve the problem.

"It takes leadership and it takes a change in the culture of war," she said. She said some soldiers had reported receiving nothing more than an 800 number to call for help.

"Many soldiers need a real person to talk to," she said. "And they need psychiatrists and they need psychologists."

According to Army statistics, the incidence of U.S. Army soldiers attempting suicide or inflicting injuries on themselves has skyrocketed in the nearly five years since the start of the Iraq war.

Last year's 2,100 attempted suicides -- an average of more than 5 per day -- compares with about 350 suicide attempts in 2002, the year before the war in Iraq began, according to the Army.

The figures also show the number of suicides by active-duty troops in 2007 may reach an all-time high when the statistics are finalized in March, Army officials said.

The Army lists 89 soldier deaths in 2007 as suicides and is investigating 32 more as possible suicides. Suicide rates already were up in 2006 with 102 deaths, compared with 87 in 2005.

Cameron-Ritchie, the Army psychiatrist, said suicide attempts are usually related to problems with intimate relationships, but they are also related to problems with work, finances and the law.

"The really tough area here is stigma. We know that soldiers don't want to go seek care. They're tough, they're strong, they don't want to go see a behavioral health-care provider," Cameron-Ritchie said.

Multiple deployments and long deployments appear to exact a toll on relationships, thereby boosting the number of suicide attempts, she said.

Traditionally, the suicide rate among military members has been lower than age- and gender-matched civilians. But in recent years the rate has crept up from 12 per 100,000 among the military to 17.5 per 100,000 in 2006, she said. That's still less than the civilian figure of about 20 per 100,000, she said.

The "typical" soldier who commits suicide is a member of an infantry unit who uses a firearm to carry out the act, according to the Army.

Post-traumatic stress disorder also may be a factor in suicide attempts, Cameron-Ritchie said, because it can result in broken relationships and often leads to drug and alcohol abuse.

"The real central issue is relationships. Relationships, relationships, relationships," said U.S. Army Chaplain Lt. Col. Ran Dolinger. "People look at PTSD, they look at length of deployments ... but it's that broken relationship that really makes the difference."

To reduce suicides, the Army said it is targeting soldiers who are or have been in Iraq for long periods and teaching them to notice signs that can lead to suicide.

That training came too late for Army Specialist Tim Bowman. The 23-year-old killed himself in 2005 after returning from Iraq.

"As my family was preparing for a 2005 Thanksgiving meal, our son Timothy was lying on the floor, slowly bleeding to death from a self-inflicted gunshot wound," said his father, Mike Bowman, in testimony to a House Veterans' Affairs committee hearing in December. "His war was now over."

He said veterans return home to find an "understaffed, under-funded, under-equipped" Veterans Affairs mental health system.

"Many just give up trying," he said. E-mail to a friend

@highlight

Average of 5 soldiers per day tried to commit suicide in 2007, Army figures show

@highlight

Sen. Jim Webb introduces legislation to improve care for soldiers

@highlight

Army psychiatrist says soldiers must overcome stigma of treatment

@highlight

Psychiatrist: "We know that soldiers don't want to go seek care"