Washington (CNN) -- Amid criticism from his Republican opponent that his foreign policy "projects weakness," President Barack Obama confronted Iran and Syria on Tuesday and warned those who killed an American diplomat in Libya that they would be held accountable.

"The attacks on our civilians in Benghazi were attacks on America," Obama told the United Nations General Assembly. "There should be no doubt that we will be relentless in tracking down the killers and bringing them to justice."

Both GOP presidential candidate Mitt Romney and running mate Rep. Paul Ryan of Wisconsin have in recent days challenged Obama's foreign policy record, which is perceived to be a strength for the incumbent.

Obama confronts Iran, Syria; UNGA debate opens

In the battleground state of Colorado on Monday, Romney said Obama's characterization of the recent unrest in the Middle East as a "bump in the road" belittled the gravity of the attack on the U.S. Consulate in Benghazi on September 11 that killed Ambassador Christopher Stevens and three other Americans.

"Bumps in the road?" Romney asked. "We had an ambassador assassinated. We had a Muslim Brotherhood member elected to the presidency of Egypt. Twenty thousand people have been killed in Syria. We have tumult in Pakistan and, of course, Iran is that much closer to having the capacity to build a nuclear weapon."

Romney hammers Obama on 'bumps in the road'

Ryan said during a bus tour through the swing state of Ohio that Obama's policies "project weakness."

"When you project American weakness - the superpower projecting weakness - that creates a vacuum, that creates a void," Ryan added. "That void gets filled by people in countries who do not share our interests. It means our adversaries are that much more tempted to test us and our allies are much less likely to trust us, like Israel."

House Majority Leader Eric Cantor told reporters in a conference call on Monday organized by the Romney campaign that the absence of any bilateral meetings at the United Nations, including with Israeli Prime Minister Benjamin Netanyahu, demonstrated an unwillingness to engage on issues that could become pitfalls for American diplomacy.

Netanyahu has pressed the United States for a stronger line on Iran and Obama clarified his position on the issue in his U.N. remarks.

"America wants to resolve this issue through diplomacy, and we believe that there is still time and space to do so," the president said. "But that time is not unlimited."

"Make no mistake," he continued, "a nuclear-armed Iran is not a challenge that can be contained."

The president praised the Libyan government for its cooperation in investigating the attacks that killed Stevens, but he defended freedom of speech -- the unrest in the Muslim world grew out of a film produced in the United States that mocked the Muslim Prophet Mohammed.

"The strongest weapon against hateful speech is not repression it is more speech," Obama said adding that, "there is no speech that justifies mindless violence."

Slain envoy's legacy 'will live on in the lives he touched'

Clinton hosts Obama and Romney

Romney continued the conversation about the Middle East, albeit in a less confrontational way, when he spoke at the Clinton Global Initiative on Tuesday, tying his plan for economic development through trade and free enterprise to stability in the region.

"Religious extremism is certainly part of the problem," Romney said of the tension and violence in the Middle East. "But that's not the whole story."

Citing the Tunisian fruit vendor who set himself on fire and sparked the Arab Spring, Romney said the vendor who was humiliated by government forces wanted to provide for his family.

The freedom of an individual to work, Romney said, is at the core of his foreign aid plan.

"Work. That must be at the heart of our effort to help people build economies that can create jobs for people, young and old alike," Romney said.

Romney makes Clinton joke--in front of Clinton

When Romney addressed the Clinton event, he unveiled what his campaign calls his "Prosperity Pact," a re-engineering of the way America approaches foreign assistance.

Romney's plan ties U.S. trade policy to development in foreign nations by identifying barriers to trade and investment in developing countries. If the countries cooperated in working to remove the barriers, then Romney's plan would open trade to the countries and deliver development packages focusing on strengthening basic tenants of democracy.

Romney lays out 'aid with trade' in major foreign policy speech

Following his remarks at the United Nations, Obama addressed the Clinton group on human trafficking, saying it "must be called by its true name -- modern slavery."

The president signed an executive order on Tuesday to strengthen protections so that federal contractors aren't using forced labor.

Obama said the order raised the bar.

"In short, we're making clear that American tax dollars must never, ever be used to support the trafficking of human beings," he said.

The CNN Freedom Project: ending modern-day slavery

Obama's remarks also may resonate with Evangelical Christians since human trafficking is an issue that many churches in that community have organized to fight. Rescuing girls from sex slavery is also an issue that may resonate with some women voters.

More than 20 million men, women and children are victims of human trafficking worldwide, according to the executive order. Obama called on countries worldwide to enact and enforce laws preventing and punishing human trafficking.

Obama: America could survive Romney, but wouldn't thrive

The president and first lady Michelle Obama's taped appearance on ABC's "The View" appeared on Tuesday as well.

Saying she was channeling Elizabeth Hasselbeck, the show's vocal Republican co-host, Barbara Walters asked the president if it would be terrible for the country if Romney won.

"We can survive a lot," Obama answered, saying he thought Romney was a good man and means well.

"But the American people don't want to just survive. We want to thrive. I've just got a different vision of how we grow an economy. We grow fastest when the middle class is doing well," Obama said.

The Obamas also talked about their relationship.

The couple says that instead of the presidency making their relationship tougher, it has brought them closer together.

"We spend more time together in some ways than we did earlier in our marriage because I live above the store," the president explained "I have a 30 second commute."

Michelle Obama: I can make the president mad

Still, he said the weight of the office taught them to "talk the big stuff but don't sweat the small stuff."

Republicans have criticized Obama for taping "The View" while in New York but not meeting with world leaders.

Reunited and it feels so good

After his trip to New York, Romney reunited with Ryan and his campaign's bus tour at a rally in Vandalia, Ohio, just north of Dayton.

Romney joked about the battleground state's Republican senator, Rob Portman, who has been playing Obama in debate preparations for the party's presidential nominee.

"He's so good ... after an hour and an half of debate I want to kick him out of the room," Romney said, adding that Portman likes his arguments. "He knows they're right."

Romney also discussed job creation and taxes.

Speaking to college students and recent college graduates, Romney pointed out that 50% of college graduates can't find jobs.

"Look at your friends, half of you can't work, don't you understand where [Barack Obama is] taking this country?" Romney asked.

Battleground polls show Obama ahead

New polls released in four swing states on Tuesday all indicate Obama ahead of Romney by four to eight points.

The fresh batch of polls in Ohio, Florida, Iowa and Nevada - which together account for 59 electoral votes - were released by the Washington Post and American Research Group and were all conducted over the past six days, after the release of secretly recorded clips from a May fund-raiser, in which Romney casts Obama supporters as dependent on government. The story dominated coverage of the race for the White House last week.

In each survey, Obama's advantage is within the poll's sampling error, but each survey indicates the president grabbing at least 50 percent of the likely voters interviewed.

Fresh polls give Obama the advantage in four crucial battlegrounds

Poll: Obama up by five points in Ohio

CNN's Kevin Liptak, Ashley Killough, Rachel Streitfeld and Paul Steinhauser contributed to this report

@highlight

NEW: Romney and Ryan campaign in Ohio on education and jobs

@highlight

Obama: "The attacks on our civilians in Benghazi were attacks on America"

@highlight

Obama: U.S. could survive Romney presidency, but wouldn't thrive

@highlight

Barack, Michelle Obama on 'The View": "Talk the big stuff but don't sweat the small stuff"