(CNN)  -- I was 5 years old and my dad and I were on our way to the neighborhood bakery to buy a loaf of bread. It was early on the morning of January 1, 1959. A stranger stopped us on the deserted street right outside our second-floor apartment.

CNN's Arthur Brice remembers his fear, uncertainty and excitement as a boy during the Cuban revolution.

"Did you hear?" he asked. "Batista is gone."

Cuban dictator Fulgencio Batista had fled the country in the middle of the night. Fidel Castro would soon be in power.

Not many people can remember details from when they were 5 years old. But not many people have lived through what I did in the late 1950s. Conversations with my parents have refreshed those memories.

I remember a sense of surprise and excitement that morning, tinged with fear and uncertainty.

My dad says I was tranquil and quiet.

"Let's go back upstairs," he said after hearing the news.

"Yes, let's go, Papi," my dad quoted me as saying.

Back in our apartment, we tuned the radio to a local station, which confirmed the news.

My mother insisted we stay inside, saying there would be trouble. Indeed, a short while later, we heard loud gunshots as rebels hunted down Batista officials and supporters door-to-door.

That night, someone went up to our building's rooftop patio, looking for a Batista supporter. Two shots rang out. I cringed, squatting next to a wall. I remember the terror I felt.

That was the day the revolution triumphed. In two short years, Fidel Castro and his ragtag band of rebels had done what many considered impossible.

They would soon march triumphantly down the spine of Cuba from their rebel stronghold in Oriente Province on the eastern end of the island to Havana to assume power.

Fifty years later, Castro, his younger brother Raul and other revolutionaries are still there -- but not so for the millions of Cubans who have fled to the United States and elsewhere.

Twenty-one months after that morning when we heard the news, my family and I would be among those refugees.

It is fair to say that few Cubans who lived through the revolution expected that outcome. Castro had been hugely popular and widely seen as a savior who would deliver Cuba from 50 years of dictatorships and unstable governments. He had promised free elections and a return to constitutional government.

The highly unpopular and much-feared Batista had been a major player in Cuban politics since 1933, when he and a group of low-ranking army officials took control of the government.

A power-broker, Batista effectively ruled behind the scenes until he was elected president in 1940. He held power until 1944, when he was defeated for re-election.

Batista did not go away quietly. He was elected to the Senate in 1948 and was running for president in 1952 when he staged a coup after it looked like he wouldn't win.

Ruthless and dictatorial, he ruled with a bloody iron fist.

Fidel Castro, meanwhile, had been a student leader at the University of Havana in the late 1940s, heavily involved in the violent and passionate Cuban politics.

On July 26, 1953, he and a group of about 100 followers attacked the military Moncada Barracks in the eastern city of Santiago.

The attack failed miserably and about half of the insurgents were killed. Castro fled to the nearby Sierra Maestra mountains, but was captured a short while later.

While on trial in late 1953, he gave his famous "History Will Absolve Me" speech in which he said, "Condemn me. It does not matter. History will absolve me."

Pardoned under a general amnesty in 1955, Castro fled to Mexico, where he continued to plot against Batista. He formed the 26th of July Movement, named for the date of the Moncada Barracks attack, and gathered money and support. It was there that Castro met a man who would become a revolutionary legend, the Argentinean Ernesto "Che" Guevara.

In late November 1956, the rebels set sail from Veracruz aboard an old yacht named "Granma." Castro and his group of less than 100 followers landed a week later in eastern Cuba, where most of them were caught or killed.

Castro, his brother Raul and Guevara were among the handful who escaped into the Sierra Maestra mountains, where Castro had sought refuge after his disastrous Moncada attack three years earlier.

The rebel leader won popular support among the peasants in his remote hideaway while urban dissidents sowed insurrection in the cities.

Adopting guerrilla warfare tactics, Castro and his followers were able to inflict stinging defeats on Batista's army, which was mostly composed of young, untrained and unmotivated soldiers.

My mother, father, new baby brother and I lived in Santiago during the revolution, near the Sierra Maestra.

From a vantage point in the city, we could see Batista's planes bombing the rebel strongholds in the distance.

We would see Batista's armed troop convoys leaving their garrisons in the morning, heading for the jungle of the mountains.

There were whispered comments among Cubans that  the ambulances full of dead and wounded soldiers were returning under cover of darkness in the middle of the night.

What happened during the revolution registered strongly on a young boy who was robbed of a normal childhood, but who grew up witnessing history outside his front door.

I remember my dad coming home from work one day with a bullet hole in his car from a stray shot.

I remember heading to the beach one day along a country road outside Santiago and my dad unsuccessfully trying to push my head down in the back seat so I couldn't see the body lying next to the highway, barbed wire strung around the man's neck.

I remember looking out the second-floor balcony of an apartment we previously lived in and seeing a car full of young men chasing a screaming woman down the middle of the street. The men's arms stretched out of the windows as they pointed weapons at the woman.

The woman and the men disappeared from view, blocked by the corner of the building, so I never knew what happened to her.

That day, a major shoot-out broke out in the plaza in front of our apartment and my mother and I hugged the floor for safety. She crawled into the kitchen and got me a small glass of wine, which she had me drink so I would fall asleep. When I woke, there was quiet -- but no peace.

Another day, a car with four Batista secret police pulled up downstairs and the men got out, leaving the doors open and the engine running. They went into the business downstairs, searching for a Castro supporter. I don't know what happened there, either.

I remember a few days after the announcement of Batista's defeat, Castro started his procession down from the mountains and along Cuba's central highway to the capital, Havana. My parents were thinking about going down to watch the triumphant parade, but I asked that we not. I was scared of what might happen.

A few days later, I remember watching our console black-and-white TV as Castro gave his first speech before tens of thousands in Havana. I don't remember his words, but I do remember a white dove that perched on his shoulder as Camilo Cienfuegos, a major revolutionary leader and cohort, stood by his side.

Every once in a while, Castro would stop and turn to Cienfuegos and ask him, "Voy bien, Camilo?" Am I doing OK, Camilo? And Cienfuegos would answer, "Vas bien, Fidel."

Ten months later, Cienfuegos' plane disappeared over the ocean during a flight to Havana, and the whispering started. Although it is widely held that Cienfuegos perished in an accident, many Cubans started saying privately that Castro or his brother Raul had him taken out over political differences or because of a perceived threat from the charismatic revolutionary known for wearing a wide-brimmed hat.

To this day, the Castros continue to pay homage to Cienfuegos. An official logo for the 50th anniversary of the revolution bears a drawing of Castro and Cienfuegos.

And to this day, I remember the day 50 years ago that began with a journey for a loaf of bread that would change my life and that of so many others forever.

@highlight

CNN's Arthur Brice in Santiago when Castro, other rebels rose up against Batista

@highlight

Brice family witness to warplanes bombing rebel camps, heard shoot-outs

@highlight

Boy's world included police raids, rebels going door- to-door, body by the road

@highlight

50 years ago, a stranger on a deserted street asks: "Did you hear? Batista is gone"