(CNN) -- E-books aren't just becoming increasingly popular. They also appear to be promoting reading habits among American adults.

So says new research from the Pew Internet and American Life Project, which states that about one-fifth of U.S. adults have read an e-book in the past year.

And if you expand that to include Americans over 16 who have used an e-reader device or app to read news articles or magazine-style features, the figure jumps to 43%.

E-book users tend to read more often than people who read only print material, Pew found. In particular, they read more books. A typical e-book user read 24 books in the past year, compared with the 15 books reported by typical non-e-book users.

Also, a third of people who read e-content say they now spend more time reading than they did before e-books. This is especially true for people who own tablets and e-book readers.

This might be good for the economy. According to Pew, e-book users are "also more likely than others to have bought their most recent book, rather than borrowed it, and they are more likely than others to say they prefer to purchase books in general."

E-readers and tablets (including Amazon's Kindle Fire e-reader, which is a modified Android tablet) were a popular holiday gift item last year. Currently 28% of Americans age 18 and older own at least one tablet or an e-book reader. And that's not even counting the people who read books on a smartphone or iPod Touch app.

Then again, Pew also noted that e-book users often start searching for books online -- which isn't great news for people who run brick-and-mortar bookstores.

For now, print reading material still rules the consumer market, however. Pew found that nearly three-fourths of U.S. adults read a printed book in 2011, and 11% listened to an audiobook. Print books are especially popular when people read to children.

Print books are also the most popular choice when people want to borrow or lend a book. That's not surprising -- recently author Dave Taylor explained step-by-step how to borrow a Kindle book from a public library. It's not too difficult, but is still considerably more complicated than walking into the library and pulling a book off the shelf.

The survey also found that just slightly more people prefer e-books over print for reading in bed.

On the flip side, Pew noted that nearly 20% of U.S. adults said they had not read a single book in the past year. In general, people who don't own electronic reading devices are more likely not to read much at all.

In addition, nearly 20% of Americans 16 and older said they had "physical or health conditions that made reading difficult or challenging." Most of these people are older (25% of those over age 50), unemployed or low-income. But an interesting aspect of e-book and audiobook technology is its potential to improve the accessibility of written content.

Most e-reading devices allow the reader to adjust the font, font size, contrast, column width, and other factors to compensate for impaired vision. Plus, they often include text-to-speech technology that can read books or articles aloud -- maybe not with thrilling delivery, but still a useful option. This can also be helpful to people with limited literacy.

The cost of e-reading devices keeps dropping, and it's likely that in the next year or two companies like Amazon may be giving away basic e-readers for free (on the principle that you can make more money selling "blades" than "razors").

As the price of e-readers approaches zero, it opens up more opportunities for people who have been left on the wrong side of the digital divide to access the same wealth of information, entertainment and education as people with normal vision and average-or-better income.

Since the invention of writing, the written word has always disrupted the balance of power in societies. While e-books might have started out as a high-tech novelty for early adopters, they may ultimately prove to be a great equalizer across boundaries of ability, resources and education.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

E-book users tend to read more often than people who read only print material, a survey finds

@highlight

A third of people who read e-content say they now spend more time reading than before

@highlight

Currently 28% of Americans age 18 and older own at least one tablet or e-reader