Days ahead of a deadline to strike a deal, Iran's foreign minister engaged Friday in what Britain's top diplomat deemed "complex" but "useful discussions" on Tehran's controversial nuclear program that -- despite positive vibes on both sides -- have yet to produce a breakthrough.

"There are still significant gaps," British Foreign Secretary Philip Hammond said from Vienna. "... We are going away for technical discussions."

One person who wasn't going away -- or at least leaving Vienna -- was Iranian Foreign Minister Javad Zarif.

Zarif met for a second time in recent days with U.S. Secretary of State John Kerry and the European Union's foreign policy chief, Catherine Ashton. His next meetings were with Hammond and French Foreign Minister Laurent Fabius.

The Iranian minister once planned to return to Tehran on Friday night to consult with leaders there. But a member of his delegation said that, for the moment, the Iranian minister had no plans to leave Austria.

There's a lot at stake ahead of a November 24 deadline for the U.S. and five other world powers to reach an agreement with Iran over the Middle Eastern nation's nuclear program.

Iran and the group known as the P5+1 -- consisting of Germany, the United States, Russia, China, France and Britain, the latter five being permanent members of the U.N. Security Council -- agreed last February on a framework for comprehensive negotiations over Tehran's nuclear program.

P5+1 and Iran agree on nuclear negotiation framework

In July, they agreed to a four-month extension of those negotiations -- another positive step, but still anything but a long-term agreement to put the issue to rest.

A deal could mean an end to significant sanctions against Tehran and an opening up of the country to the West, a transition that would have begun with the June 2013 election of Hassan Rouhani as Iran's president. The lack of a deal could further inflame tensions and could lead to more punitive measures -- perhaps more sanctions or even military strikes or a confrontation of some sort.

Iran has insisted that like other countries, it has a right to develop nuclear power. Western powers have accused Iran of not being forthright enough and trying to develop not just nuclear power, but nuclear weapons as well.

To this point, the head of the International Atomic Energy Agency, who is not part of Vienna talks, said Thursday that Iranian authorities are continuing to deny his agency access to a sensitive military complex suspected of being a site of nuclear activities.

"Iran has not provided any explanations that enable the Agency to clarify the outstanding practical measures, nor has it proposed any new practical measures in the next step of the Framework for Cooperation, despite several requests from the Agency," Yukiya Amano said from Austria.

Kerry, America's top diplomat, talked by phone with Sergey Lavrov, his Russian counterpart, about the Iran negotiations, Russia's Foreign Ministry said.

He had been scheduled to leave Vienna on Friday night but delayed his exit until at least Saturday "in order to continue consultations" with Zarif, Ashton and others, U.S. State Department spokeswoman Jen Psaki said.

The same day, U.S. President Barack Obama made an announcement that seems to signal that, at the least, Washington hasn't given up hope on a deal by announcing a "pause (to) efforts to further further reduce Iran's crude oil sales during the" ongoing talks.

"In return for this and other limited relief measures, Iran has taken steps that have halted -- and in key respects rolled back -- progress on its nuclear program," the White House said in a statement. "The International Atomic Energy Agency has verified that Iran is meeting these commitments."

As to the talks, Hammond in a statement described them as "positive discussions" conducted in "a very cordial atmosphere."

"It is clear that both sides want to try to get a deal done but none of us want a bad deal, and we are very clear that we have to get more flexibility from the Iranians," he said. "In return, we are prepared to show some flexibility on our side. But time is short."

Ali Larijani, the head of Iran's parliament, sounded an optimistic note in remarks reported by IRNA. He said that when you look at the talks as a whole, there are grounds for a deal.

"As far as I'm informed, the two sides have had serious talks," he said.

@highlight

U.S. won't push to reduce Iran's oil sales; thinks Iran has halted nuclear progress

@highlight

Iran's foreign minister meets with top diplomats from the U.S., EU, Britain

@highlight

Britain's foreign secretary: All sides want an agreement, no one wants "a bad deal"

@highlight

Monday is the deadline for an agreement on Iran's nuclear program