In late 1989 the carefully constructed edifice of communism in Eastern Europe started crumbling in a wave of popular upheavals with a speed that took everyone by surprise.

Nowhere was this process bolder and bloodier that in the final act of the revolutionary domino: the downfall of Ceausescu, the Romanian dictator who ran his country for the benefit of himself and his family like a feudal master.

Today, the country is still trying to cope with a legacy that defiled the face of Bucharest, bankrupted the state and traumatized generations of Romanians.

For some, one way of overcoming their psychological damage is to tell their story to tourists.

It's now possible to join a tour in Bucharest that awakens the memories from a despised era to recount the story of the last days of Romanian communism.

Monument to megalomania

The tour starts at the grandiose Parliamentary Palace, a permanent reminder of the communist leader's megalomania.

Irene, 30, a chic parliamentary aide, gives us the figures and numbers.

The building, she says, is the world's third largest by volume after the Aztec pyramid of Teotihuacan and the Cape Canaveral rocket assembly hangar.

It uses 220,000 square meters of carpet, 3,500 tons of crystal and one million cubic meters of marble.

The carpet in the main Union Hall alone weighs 1.5 tons.

How did this monster come to be?

Irene tells us how Ceausescu took advantage of a 1977 earthquake to raze most of the lower city center of Bucharest, flattening a hill and changing the course of the Dambovita river.

Forty thousand people were forcibly displaced.

"Everything within an area of four square miles was rebuilt from scratch to match the style of the People's Palace. A stadium, several hospitals and two dozen churches or synagogues were demolished," says Irene.

"Only three historic Orthodox churches were saved by moving them, foundations and all, behind large apartment blocks so that they would remain invisible and not spoil his view."

Perfect echo

Construction involved 700 architects and 20,000 building workers doing three shifts a day, plus 5,000 army personnel, 1.5 million factory workers and an army of so-called volunteers.

The palace's Union Hall features two large spiral staircases that descend to the main entrance to allow Ceausescu and his wife Elena to make grand, synchronized entrances.

"He was short and touchy about his height", says Irene, "so he had the staircases rebuilt twice in order to match his step."

Irene claps her hands. The sound travels crisply.

"Every chamber has a perfect echo, because when Ceausescu wanted something, he clapped. And he wanted everyone to know he'd clapped."

Ceausescu never got to see the building finished.

By the time of the revolution, in December 1989, the building was only two-thirds complete. The incoming administration didn't know what to do with it, but the Romanian economy was so entangled with the palace that it had to be finished.

The building was completed in 1994 and, since 1996, it has housed the Romanian Senate and Chamber of Deputies.

The ground floor is home to a modern art museum.

Nevertheless, the building, which costs a dizzying $6 million a year to run, is still 70% empty.

After one hour of walking up and down its corridors, I had still only seen less than 10% of it.

Night of terror

After this grand-scale folly, the simple, modernist design of the old Communist Party headquarters, now the Interior Ministry, looks mundane, banal even.

It stands in front of what is now dubbed Revolution Square, where the protesting crowds gathered in December 1989, intent on bringing down the regime.

My friend Gabriel has brought me here to remember that night.

"I was just 17," says Gabriel, trying to sound neutral, but in his voice the underlying emotion is easily discernible.

"I felt a change in the air. So on December 21, 1989, I came here with my friends. We stood here for hours, sometimes silent, sometimes shouting slogans against the regime. Then someone started shooting at the crowd."

He looks up to the balcony.

"The guy standing next to me just fell without a sound. He was shot in the head. I thought, my God, that could be me! But I stayed. Everyone encouraged each other and we did not go home."

Gabriel looks at me and guesses my thoughts.

"I do not consider myself a hero", he says. "I was just a curious boy."

Revolution Square is now adorned with the Pyramid Of Victory. It depicts "a tall needle pricking the cloud of communism."

On the south side there is a Memory Wall with 1,058 names of innocent Romanians who were killed during the rebellion.

Gabriel still doesn't the name of the guy shot next to him.

"But I know he's one of them", he says.

Next day, Ceausescu left the besieged Communist party HQ by helicopter.

After the army turned against him, he was arrested in Targoviste and, after a short court martial, executed along with his wife Elena on Christmas Day 1989.

Images of their dead bodies ghoulishly beamed around the world.

An empty grave

They were buried in a hurry at Ghencea cemetery in southwestern Bucharest, their graves unmarked, although everybody knew where they were.

Gabriel shows me the original plots, now empty -- no one wants to reuse them.

In 2010, Valentin, their only surviving child, received permission to have his parents' remains exhumed and reburied together under a modest tombstone.

"So what happened to the Ceausescu's villa?" I ask Gabriel.

"I'll take you there", he says and drives me to north Bucharest, where green parks, tree-lined avenues and high walls illustrate the affluence of the residents.

Gabriel stops on the one side of a dual carriageway and points at a building on the far side."That's it", he says with an ironic smile.

I read the sign: "Embassy of Kuwait."

I cross the road and try to take a picture. There are two armed guards outside the embassy.

"No Photos," shouts one. I show him my press card. While he looks at it, I try to steal a few quick snaps.

"No, no, no," shouts the second guard running towards me. I smile, shrug and scamper across the carriageway to Gabriel who has been watching the scene with alarm.

"You don't argue with police", he says, as he speeds off, shaking his index finger at me.

Ceausescu and communism may have gone, but their impact in people's minds will take some time to heal.

Getting there

Bucharest airport is connected directly with most European capitals.

The TravelMaker agency offers a guided tour "The Last Days of Communism."  Daily 9:30--13:30, $50pp. (9 Elena Vacarescu St. Block XXI/2 Bucharest; +40 21 232 03 31; reservations@travelmaker.ro)

You can visit the Parliament Palace (Izvor 2-4 +40 21 316 0300) daily 10am-4pm, $10, as an individual by prior arrangement. Bring along your passport.

@highlight

Ceausescu was killed on December 25, 1989 amid an uprising against his communist regime

@highlight

The former dictator's Parliamentary Palace is said to be the world's third largest building by volume

@highlight

Today the building houses Romania's Senate and Chamber of Deputies, but 70% still stands empty