(CNN) -- Syrian President Bashar al-Assad defied expectations and dashed widespread hopes during an anticipated nationally televised speech Wednesday when he made no mention of lifting a state of emergency.

In his rambling 45-minute speech to the National Assembly, he acknowledged that Syrians want reform and that the government has not met their needs.

Making several references to an anti-Syria "conspiracy" and threats to "stability," al-Assad said strife cannot win out over future reforms.

"Although President al-Assad did acknowledge the need for reform, his failure to address head-on the lifting of the state of emergency smacks of procrastination," said Philip Luther, Amnesty International's deputy director for the Middle East and Africa. "He could declare this tomorrow if he wanted.

"He should have immediately ordered his security forces to stop using unwarranted force and announced steps towards implementing key human rights reforms."

U.S. State Department deputy spokesman Mark Toner said "the speech fell short of the type of reforms the Syrian people demanded" and lacked substance.

Al-Assad made few concrete promises after weeks of anti-government demonstrations that have left at least 61 people dead, according to Human Rights Watch.

The address "failed to commit to a specific reform agenda that would safeguard public freedoms and judicial independence and prohibit the Syrian government from encroaching on human rights," the group said.

Reem Haddad, a spokeswoman for the Syrian Information Ministry, told CNN the emergency law "will be lifted," but she said procedures must be worked out.

"The president presented his own vision" on an announced package of reforms, Haddad said. Details will come in a "limited time frame," she added.

Asked if Syrians received enough information, Haddad said, "I wouldn't say the people expected more."

At least 16 people were killed after the speech in clashes in the city of Latakia, which has been a center of unrest and the site of ongoing protests for the past few days, an eyewitness and an activist told CNN.

They said the deaths happened during clashes between anti-government demonstrators and security and army forces.

Haddad denied any deaths in the city.

The eyewitness, who did not want to be named for security reasons, said protesters started gathering in central Latakia's Qitar Square after the speech and chanted, "No to sectarianism, we want freedom" and "We stand by Daraa," the southern city that has seen the most violence since anti-government protests started almost two weeks ago.

As the crowd reached several thousand by the afternoon, they said, army personnel and security officers began shooting at the demonstrators.

"Latakia is tense and quiet tonight following the evening's events," the eyewitness said. "We are fearful because we have received today's violence as a message from the regime coinciding with the president's speech."

Another eyewitness said protests erupted in the city of Jasem, northwest of Daraa, with thousands of demonstrators in the town square. He said he also heard about demonstrations in other nearby towns.

Toner said the Syrians should not interfere with planned Friday demonstrations.

Al-Assad spoke a day after the Syrian cabinet resigned amid an unusual wave of unrest across the nation.

Also Wednesday, the Reuters news agency reported two of its journalists are missing in Syria.

Reuters quoted diplomatic sources as saying correspondent Suleiman al-Khalidi, a Jordanian national based in Amman, had been detained by the Syrian authorities in Damascus on Tuesday. The agency said photographer Khaled al-Hariri, a Syrian based in Damascus, has not been in contact with colleagues since Monday.

A Syrian official said authorities were working to establish what had happened to the two men, Reuters reported, adding the agency is "deeply concerned" about their whereabouts.

Two other Reuters journalists were detained by Syrian authorities over the weekend. Television producer Ayat Basma and cameraman Ezzat Baltaji, both Lebanese, were expelled to Lebanon, Reuters reported.

Syria is the latest in a string of Arabic-speaking nations beset with discontent over economic and human rights issues.

In his speech, al-Assad said Syria's government will not fall like a domino in a string of Arab revolutions, saying that instead, Syria had kicked the dominoes of the "conspirators" and that they had fallen instead.

Al-Assad also blamed unrest in his country on "enemies ... working daily and scientifically to undermine the stability of Syria." He said they were "stupid in choosing to target Syria."

"In principle, we support reform and meeting people's needs," the president said. "This is the duty of the state. But we cannot be for sedition."

He referred obliquely to the anti-government demonstrations, calling them "a test of our unity."

Al-Assad said, however, "we can't say that everybody who went out was part of the conspiracy. That wouldn't be accurate.

"Syria is not isolated from what is happening in the Arab world. We are part of this region," al-Assad said. "We influence and are influenced by it, but at the same time we are not a copy of other countries."

Legislators in the People's Assembly cheered the president when he arrived to begin the speech.

The state-run SANA news agency had reported that al-Assad's speech would "tackle the internal affairs and the latest events in Syria" and "reassure the Syrian people."

Al-Assad did make a passing reference to the emergency law, in place for almost 50 years.

"Sometimes we can postpone a certain suffering that may be caused by the emergency law or any other law or necessary measures that the citizen endures, but we cannot postpone the suffering of a child whose father cannot treat him because he doesn't have the money for his medication or when the state does not have this drug or this treatment," he said.

The law allows the government to make preventive arrests and override constitutional and penal code statutes. In effect since 1963, it also bars detainees who haven't been charged from filing court complaints or from having a lawyer present during interrogations.

Ihssan Zouabi, a protester in Daraa, called the president's speech a disappointment because he didn't address demands, including lifting the emergency law.

"We were hopeful prior to the speech but after, everyone was shocked. We were expecting much, much more," he said.

A Syrian rights activist who goes by the alias Malath Aumran for security reasons said he and other Syrians were disappointed. He said people are dying for freedom but the "martyrs" weren't mentioned.

"For me now, at this time ... actually he said nothing, he did nothing for us," Aumran said. "All of what he said was that we are traitors, that we are working for foreign conspiracies against our country, ... that the United States is behind this, what is going on in Syria."

Amnesty's Luther said the group is "disturbed by reports that security forces could already be shooting on demonstrators in Latakia who have been protesting against his speech."

Human Rights Watch called on al-Assad to lift the state of emergency, amend a law that allows forces to punish people for peaceful expression, investigate security services and allow the registration of new political parties.

CNN's Yousuf Basil, Katy Byron, Rima Maktabi, Tracy Doueiry, Erin McLaughlin and Amir Ahmed contributed to this report

@highlight

NEW: 16 people are killed in clashes in Latakia

@highlight

NEW: A government spokeswoman denies any deaths there

@highlight

NEW: Two Reuters journalists are reported missing

@highlight

Al-Assad makes a speech without delivering on the emergency law