(CNN) -- While the world's attention has been focused on tumult in the Arab world, Iran has cracked down with impunity on dissent and is feared to come down even harder as elections approach, Amnesty International said in a sweeping report.

The global human rights monitor documented "widespread and persistent human rights violations in Iran."

"It is essential if further mass human rights violations are to be avoided that the international community act on behalf of the hundreds, if not thousands, of prisoners of conscience and political prisoners imprisoned after unfair trials in Iran," Amnesty International said in the report.

Supreme Leader Ayatollah Ali Khameini celebrated the popular revolts in Tunisia, Egypt and Bahrain, saying that they reflected an "Islamic awakening" based on Iran's 1979 revolution.

But since the 2009 election, the Islamic republic has repressed similar voices within its own borders, Amnesty International said.

"Since the 2009 crackdown, the authorities have steadily cranked up repression in law and practice, and tightened their grip on the media," according to the Amnesty International report, which came out just hours after the United Nations Human Rights Council convened for its latest session in Geneva.

"In Iran today, you put yourself at risk if you do anything that might fall outside the increasingly narrow confines of what the authorities deem socially or politically acceptable," said Ann Harrison, of Amnesty's Middle East and North Africa program.

"Anything from setting up a social group on the Internet, forming or joining an NGO or expressing your opposition to the status quo can land you in prison," she said.

Iran has defended its record before the United Nations Human Rights Council and charged that Western critics are politicizing the issue of human rights for their own gain.

Yet Amnesty International said Iran has deemed demonstrations, public debate and the formation of groups and associations a threat to "national security" punishable by long prison sentences or even death.

"Lawyers have been jailed along with their clients. Foreign satellite television channels have been jammed. Newspapers have been banned," the advocacy group said.

Mahdieh Mohammadi Gorgani, wife of detained journalist Ahmad Zeidabadi, describes in the report how an interrogator told her husband, "We are ordered to crush you. And if you do not cooperate, we can do anything we want with you. And if you do not write the interrogation papers, we will force you to eat them."

Amnesty International said blogger Mehdi Khazali was this month sentenced to four and a half years in prison followed by 10 years in "internal exile," plus sentenced to pay a fine on charges believed to include "spreading propaganda against the system," "gathering and colluding against national security" and "insulting officials."

Amnesty International called on the world to pressure Iran to amend laws that restrict rights of expression and assembly, as well as to allow for public debate before Iranians cast their votes in March.

It also called for an end to jail time for people who protest peacefully and independent investigations of alleged human rights violations.

The issue of human rights, said Amnesty International, can get lost as the international community scrutinizes Iran's nuclear program.

"For Iranians facing this level of repression, it can be dispiriting that discussions about their country in diplomatic circles can seem to focus mainly on the nuclear program at the expense of human rights," Harrison said.

@highlight

A new Amnesty International report documents what is described as repression in Iran

@highlight

The human rights advocacy group urges the international community to take action

@highlight

"We are ordered to crush you," one interrogator told a detainee, according to the report

@highlight

Things may get worse with elections around the corner, Amnesty says