Beirut, Lebanon (CNN) -- Grass-roots fury rippled across Lebanon on Tuesday as a Hezbollah-backed politician got the nod to be the fractious country's new prime minister.

Lebanon's president, Michel Suleiman, appointed Najib Mikati to lead the country's government, a step seen by supporters of caretaker Prime Minister Saad Hariri's Western-backed Future Movement as a power grab by the Iranian-backed Shiite movement.

Mikati spoke shortly after his appointment, telling CNN that he is not Hezbollah's man and asking for time to prove himself in the new post. He suggested that one year would be a reasonable period in which to judge his leadership.

Mikati's appointment came on the same day supporters of Hariri's called for a "Day of Rage."

Hariri's government collapsed after Hezbollah withdrew its support for him this month.

That came because of Hariri's cooperation with the Special Tribunal for Lebanon, which is expected to indict Hezbollah members in connection with the assassination of former Prime Minister Rafik Hariri, the father of Saad Hariri.

Mikati said he is prepared to push ahead and form a government without Hariri if necessary. He refused to say whether he would support the ongoing investigation into the assassination of Hariri's father.

Hariri urged demonstrators on the "Day of Rage" to show restraint and calm as protests sprang up across Lebanon amid the country's uncertain future.

Speaking to his supporters in a televised address Tuesday, Hariri expressed regret about violence during the protests.

He was making reference to confrontations between security forces and protesters across Lebanon and the attack on an Al-Jazeera news network crew and the burning of one of its trucks in Tripoli, in northern Lebanon.

About 2,000 protesters gathered in Al Nour Square in Tripoli, Lebanese internal security forces said.

Protesters burned tires along roads in the northern towns of Halba and Al Abdeh but had not blocked traffic, security forces said. Demonstrators were also beginning to gather in the southern port city of Sidon and across the capital, Beirut.

CNN reporters in Beirut dodged rocks as 50 to 100 supporters of Hariri burned garbage containers in the middle of the street. Security forces stood by in armored personnel carriers and Humvees.

A Lebanese army spokesman said the forces were raiding sites in Tariq Al Jadideh, in Beirut, in pursuit of people who fired gunshots during demonstrations earlier Tuesday. The spokesman said he anticipated arrests.

Tuesday's demonstrations come on the heels of similar protests Monday as the political crisis unfolding in Lebanon for several weeks heated up.

"God, Hariri, Lebanon and nothing else," the crowd chanted.

"We will not allow (Syria) to come back and occupy us again. We will confront you with our souls, with our bodies with our determination so we can fail your schemes," said Mohammed Kabbara, a Sunni member of parliament from Tripoli. "You will not rule Lebanon. ... By God, this is our pledge to you, our pledge to all the martyrs, to all our people and to all the Lebanese."

Hariri said he appreciated those who called for the demonstration "to defend their democratic rights and beliefs," but he said anger should not be expressed by blocking streets, burning tires and violating other people's liberties.

"I want to express my extreme sorrow toward the violence that took place, and I warn everyone not to be dragged in any situation by any suspicious calls for violence," Hariri said.

"Don't give anyone the opportunity to use the street as an excuse to express their anger no matter what they do. Don't let anyone intimidate you."

He said that national discourse should prevail over any other discourse and called for citizens "to put the Lebanese flags on their houses" and urged them "to preserve the democratic expression."

"Today, you are angry, but you are also responsible. I truly understand your feelings. I understand your calls of rage because of your pain and your dignity, but let this anger not lead us to what we don't believe in."

During the day, Suleiman met with parliament over who should be the next prime minister, and Hezbollah said Mikati had secured enough votes to be named to the post.

Mikati was the interim prime minister of the Lebanese government that paved the way for the national parliamentary elections after the killing of Rafik Hariri in 2005.

The killing sparked widespread anger against Syria, which had troops in Lebanon and immense influence in the government.

The national outrage resulted in the resignation in April 2005 of Prime Minister Omar Karame, backed by Syria, and the departure of Syrian troops.

Mikati took over the prime minister's post after Karame and served in the position for a few months.

Also calling for calm and restraint, Mikati says he would cooperate with all Lebanese parties and extend a hand to all groups to end divisions. In a written statement, he said he sees no reason why all parties should not want to join together.

He thanked those who voted for him and said he respected the choice of others. He also said he will visit former prime ministers on Wednesday and has scheduled the consultations with lawmakers to form a new government starting Thursday.

Mikati said his nomination is not a challenge to any side or a the victory of one side over the other. He labeled his nomination as a victory of moderation over extremism.

Hezbollah leader Hassan Nasrallah, speaking live on TV, said Hezbollah-nominated Mikati would form "a national salvation government in which parties from across the political spectrum would take part."

He disputed the view that Mikati is a Hezbollah figure.

"He is a consensus candidate. We will not lead the new government and it will not be the government of Hezbollah," Nasrallah said. "We are going through a very sensitive phase in Lebanon, and we need to work together in order to overcome this phase."

The United States considers Hezbollah, which has close ties to Iran and Syria, to be a terrorist organization. The group is a political party and a major provider of social services in Lebanon, in addition to operating a militant wing.

Secretary of State Hillary Clinton said the United States is "watching the situation closely and carefully" and will judge the new government by its actions.

"As you know, the government formation is just beginning. A Hezbollah-controlled government would clearly have an impact on our bilateral relationship with Lebanon," she said.

"Our bottom lines remain as they always have been. First, we believe that justice must be pursued and impunity for murder ended. We believe in Lebanon's sovereignty and an end to outside interference."

U.S. State Department spokesman P.J. Crowley said Lebanon must abide by its constitution and live up to its international obligations. He called for all parties to maintain calm.

"The makeup of Lebanon's government is a Lebanese decision, but this decision should not be reached through coercion, intimidation and threats of violence," he said.

Crowley stressed the importance of the Special Tribunal and said its work would continue.

Martin Nesirky, spokesman for U.N. Secretary-General Ban Ki-moon, also urged all to remain calm. He said the "immediate concern" should be maintaining "domestic stability" and avoiding incidents that "could easily escalate."

Nasrallah has said he would withhold his views on the Special Tribunal until it announces any decision, a move expected in six to 10 weeks. But he urged Hezbollah's domestic rivals not to use the pending decision "to serve your political ends."

Under the peace agreement that ended Lebanon's 15-year civil war in 1990, Hezbollah's Iranian-backed militia is the only faction in Lebanon's political system allowed to keep an armed wing.

Israel and Hezbollah fought a war in 2006 that devastated southern Lebanon.

Clashes between the group and Lebanese authorities in 2008 brought the country to the brink of a new civil war.

CNN's Saad Abedine contributed to this report.

@highlight

The new premier says he is not Hezbollah's man and asks for time

@highlight

Outgoing Prime Minister Saad Hariri calls for calm amid angry protests

@highlight

Supporters of Hariri's accuse Hezbollah of attempting a takeover