(CNN) -- The gathering was small, but activists say its impact is potentially huge.

On January 5, in the ultraconservative heartland of Saudi Arabia, a small group of women held a demonstration calling for the release of detained family members. Their arrest, a short time later, caused great outrage and inspired even more people to take to the streets.

It was in the town of Buraida, where activists say mothers, daughters, sisters and wives -- many who brought children of their own -- gathered outside the Board of Grievances building and demanded rights they say their loved ones have been denied for far too long.

As Saudi Arabia is an absolute monarchy where protests are prohibited, it didn't take long for the police to show up. One amateur video purported to show what happened next, with security forces encircling the women before they're taken away.

Saudi activists say kingdom trying to silence them

Amnesty International said 18 women and 10 children were arrested and it quickly issued a statement calling for their release.

"According to reports and photos from the protest, these women and children merely gathered peacefully and held placards bearing their detained relatives' names and the length of their detention," said Philip Luther, Middle East and North Africa Program Director at Amnesty International.

"There is no way the Saudi Arabian authorities can justify detaining people if they have simply peacefully exercised their rights to freedom of expression and assembly."

Activists say by early the next day, at least seven of the women had been released, but that wasn't enough to quell the rising tide of anger over the incident. In Saudi Arabia, the jailing of women is an extremely sensitive issue.

In Buraida, which is the provincial capital of deeply conservative Qassim Province, the issue is even more sensitive than in other parts of the country.

One amateur video shows a group of men angrily marching through Buraida at night. As they hold up signs announcing how the arrest of women is a red line that should never be crossed, they also chant slogans declaring themselves unafraid of the country's interior minister, Mohammed bin Nayef, and demanding he release the women.

Saudi journalist Iman Al Qahtani, who has been covering the story, told CNN that when she went to Buraida to meet some of the women, she was followed by the Saudi secret police -- known as the Mubahith -- and felt compelled to leave the town.

"When I spoke to some of the women later," said Al Qahtani, "they told me 'we will continue protesting until our husbands and relatives are released.'"

Saudis defend Sri Lankan maid's execution, hit back at criticism

Activists say small protests spread to other cities.

In Riyadh, the country's capital, demonstrators called for the release of the women, while in Mecca, the Kingdom's religious capital, they called for the release of political prisoners, they said.

In another video, a small group of women in Buraida begin chanting a refrain that's become familiar of late: "The people call for the liberation of the prisons."

Rights groups say the Saudi Arabian government has detained thousands of citizens in connection with the country's counterterrorism efforts.

Relatives say that in many instances, their loved ones have been held without being tried and with no access to lawyers. In the past two years, an increasing number of sit ins and demonstrations have been held. Family members of those detained have gathered outside the country's Interior Ministry in Riyadh as well as the Board of Grievances in places like Qasim, demanding freedom for those they call political prisoners.

Opinion: America, the next Saudi Arabia

Last week, 101 Saudi clerics from Qasim signed a petition demanding that detainees held for security reasons should be given a trial or released. Motivated by what happened in Buraida, the clerics took issue with the treatment and arrest of the women.

Saudi officials have been reluctant to comment on the original protest, the arrests or subsequent demonstrations.

Major General Mansour Al-Turki, spokesman for Saudi Arabia's Interior Ministry, told CNN all the women arrested in Buraida have been released.

When asked about demonstrators' claims that their relatives are political prisoners who should be released, he said Saudi government officials would not comment on cases currently being "looked at by the courts."

Still, many wonder if demonstrations will continue despite the risks faced by those who participate.

"The question is, is there going to be more protests in Saudi over other issues?" asks Al Qahtani. "Or will the protests only be about calling for the release of the detained?"

In their petition last week, the group of clerics warned that the issue of detainees has "led to growing discontent ... which has become apparent through demonstrations and sit-ins that are increasing and intensifying."

"It would be wise to expedite resolution of the issue," the petition said.

@highlight

Arrest of female protesters in Saudi Arabia sparks outrage

@highlight

Rights groups say government has detained thousands under counterterrorism efforts

@highlight

Saudi officials have been reluctant to comment