Western Cape, South Africa (CNN) -- South Africa has an energy deficit on its hands. Too many people want fuel for their cars and electricity for their homes, and the country is struggling to keep up with demand.

To help ease this perceived crisis the big companies want to start drilling for natural gas using a controversial drilling technique called fracking. Under the plans the drilling will be done in one of the most remote and beautiful places in South Africa, the Karoo.

Fracking has caused controversy and protests across the globe, and South Africa is no exception. To release the natural gas the companies drill down and sideways into a rock called shale, and pump large quantities of water and other chemicals to release the gas.

Anti-fracking campaigners warn that this could have an irrevocable impact on this semi-desert region.

Jonathan Deal has written a book on the Karoo and he is now leading the campaign against fracking.

"It is a special place, it is irreplaceable" he told CNN, just outside the town of Sutherland in the Karoo. "My concern is that we would make decisions chasing fossil fuels in this country where this generation is making a decision that is going to affect unborn generations who would not be happy about it, when we should perhaps be pursuing renewable energies or looking at different energy mixes."

Muna Lakhani from Earthlife Africa warns that water in the area could become contaminated as a result of fracking. "The chances of damaging aquifers is very high and South Africa is a water scarce country," he told CNN in Cape Town.

"The Karoo happens to be the driest part of our country so to threaten our water supply with a system that uses massive amounts of water that can never be cleaned up, that contains toxic chemicals, seems to be insanity of the first order," he added.

Read more: Explain to me: Fracking

Shell South Africa, one of the main companies lobbying to begin fracking, denies there is any "insanity." Bonang Mohale, the company's chairman, told CNN's Robyn Curnow, that: "It is possible to have responsible fracking with respect to the environment and to the people of the Karoo."

"The first commitment that we made was never to compete with the people of the Karoo for their water needs in this pristine and ecologically sensitive area so we, in the initial stages, certainly when we drill the first well, bring portable water in from outside."

"The risks to the environment are well understood, well articulated and I think they can be totally and utterly mitigated, especially the issues of water contamination, the aquifers, and the scarcity of water."

Sutherland is a small town on the edge of the area that could be affected by fracking. It is so small you can stand on one side of the town and see straight down the main road to the other side. But despite its literal size, it has a big reputation because of its internationally recognized astronomical observatory.

Tourists and scientists flock here but even so, the place is quiet.

Jurgens Wagener runs a bed and breakfast in Sutherland and every evening he takes his guests into the Karoo to see the bright canopy of stars. He acknowledges that the town needs jobs but he is worried about the long term impact of fracking on his community.

"In the ten years we have been here I can say that it developed very much into a tourist attraction. We are just very concerned that if fracking does take place, there might be a boom for a very short period but what is it going to be like after that?"

According to a recent report by a South African think tank, paid for by Shell, the whole of South Africa and towns like Sutherland will get an economic boost if fracking goes ahead.

"The successful development of the shale gas reserves would result in approximately $11 billion to $30 billion contribution to the South African GDP", Rob Jeffrey from Econometrix told CNN. "In South African terms that is between three and 10% of South Africa's GDP, it is enormous. By the same token there would be a significant impact on employment."

But others believe Econometrix's employment figures have been exaggerated.

See also: Fracking in New York: Risk vs. Reward

"The aspect of the report that I most disagree with deals with the jobs numbers", Peet Du Plooy, an economist with the Trade and Industrial Policy Strategies told CNN.

"The report cites 700,000 jobs, which is more jobs than the entire mining sector combined. I can understand the motivation to cite such a high number but I don't think it is realistic."

In America, the debate over fracking is just as fractured. In Ohio there have been accusations that fracking causes earthquakes and water has become so contaminated that it can be set on fire.

In France protests by anti-fracking campaigners and some politicians has resulted in the drilling technique being banned altogether. Campaigners in South Africa argue that the lack of international and scientific consensus on the economic benefits and environmental impact of fracking mean it should not be allowed in the Karoo.

Shell argues that they are pushing for fracking to begin because they want a new source of energy to help solve the country's energy crisis.

"We are up to solving the vexing challenge that South Africa has and that challenge is that of the 50 million South Africans, 20% of this population has absolutely no access to energy whatsoever," Bonang Mohale, Shell South Africa's Chairman told CNN.

"That's 10 million South Africans," he continued. "They are the ones that have been busy chopping down our forests just to heat themselves and to cook and we are saying the case for gas is absolutely compelling because gas is much better as far as the environment is concerned than coal-fired power stations."

The South African government has stopped licensing for fracking while it studies all the arguments. The fate of the Karoo, South Africa's most fragile landscape, could be decided by the end of March.

@highlight

Energy companies plan to start drilling for natural gas to help ease energy deficit in South Africa.

@highlight

Campaigners say fracking, the drilling technique could damage environment irrevocably

@highlight

Shell South Africa is one of the main companies lobbying to begin fracking

@highlight

Shell says it will bring economic benefits and help ease South Africa's energy crisis.