(CNN) -- What if you saw your city as a giant obstacle course? Buildings were there to be leaped from, railings hurdled over, rooftops rolled across.

Suddenly the morning commute isn't so boring when you're scaling concrete walls Spider-Man-style, or balancing along ledges with the stealth of Catwoman.

There are countless ways to move through our urban spaces -- so why do we often plod along with the crowd?

A growing community sees things differently.

This is parkour, a daring discipline where people bound around concrete jungles in the most efficient way possible -- if that means leaping from building to building high above the gridlock below, then so be it.

They rely only on their bodies, using the city's surfaces to powerfully propel themselves forward, reading the landscape with an almost animal instinct. t

School of hard knocks

Can anyone become a parkour pro? I'm about to find out -- starting from the inside.

In a converted shipment yard in east London, ripped young men spring across concrete blocks with the ease of panthers.

They are training in the UK's first purpose-built parkour center -- a sign not just of how popular this once-underground activity has become, but how organized.

A vast warehouse has been decked-out to resemble the urban landscape, filled with a haphazard assortment of steel railings, brick walls, and giant trucks tires. A gentle electronic soundtrack plays in the background.

Why practice parkour inside, when there's a whole world to explore outside these four walls?

"We wanted somewhere you could train without worrying about residents complaining or being kicked off by the police -- and fair enough, if you are jumping on somebody's walls, they might not like it," explained 27-year-old James Adams, who four years ago quit his job as a high court civil servant to teach parkour full-time.

"We don't expect people to stop training outside, and we wouldn't want them to. But especially for those starting out, this place can be really useful -- it's a community of people to learn from."

An ideal introduction for those like myself, whose sporting prowess is limited to running after the bus or squeezing myself onto a train at rush hour.

There are no soft furnishing in this cavernous concrete building, and before I attempt my first challenge -- leaping over a waist-high steel railing -- I'm giving a word of warning.

"This isn't a gymnastics center," says Adams. "You can't fall on your head here and be fine."

Urban acrobats

Twenty minutes later I find myself hanging upside down from a four-meter-high concrete wall, gripping on for dear life.

"It really pushes you mentally to face fear and overcome it," says Adams, who first took up parkour because he was "bored out of his brain at the gym."

"Once you start training, your vision expands. It frees you in a huge way. You see a railing on your way to the train station and think 'I'm not going to go three feet out of my way. I can go over that."

Even in my panicked state gently rolling backwards down a wall, blood rushing to my head and the center swimming before my eyes, a strange thought looms before me.

'This is so much cooler than the gym.'

Lights, camera, action

Since it emerged in France in the 1980s, parkour has been as hard to pin down as the people who practice it, used as everything from a way to keep fit, to security training, and even film stunts.

In the opening scenes of James Bond film "Casino Royale," Daniel Craig leaps, rolls, and hurdles after a bad guy through a bustling construction site -- culminating in a spectacular dive between two cranes.

This is no ordinary villain, but Sebastian Foucan, one of the founders of parkour, and the pair perform moves so death-defying, you might think they were the work of special effects alone.

"It's almost expected now that when a superhero is traveling across the city, they'll be able to do parkour, because it looks cooler for them to run down the street and vault over a bin, than to just run in a straight line," says Adams.

"People do a class and assume the first thing I'm going to ask them to do is a triple backflip -- it couldn't be further from the truth. Most of the training we do is low and safe."

Power and beauty

The academy now hopes to train uniformed forces. As Adams says, a police officer who can chase someone over a wall, is going to be much more valuable than one who struggles to keep up.

Despite his bulky physique, there is an elegance to the way Adams lightly leaps over wooden barriers, and it's easy to see why parkour is also increasingly being used on stage -- the group is currently working on a performance of "Alice in Wonderland".

One thing's for certain, parkour will make that journey down the rabbit hole a lot more interesting.

Learn: Freerunners find their feet in Baghdad

@highlight

Introducing parkour, a discipline where people leap, roll, hurdle across cities

@highlight

Made famous in film stunts such as James Bond thriller 'Casino Royale'

@highlight

UK's first purpose-built parkour center opens in east London shipment yard

@highlight

Plans to train security forces, dance and theater groups