(CNN) -- "Lee Harvey Oswald shot"

"Man vs. tanks in Tiananmen Square"

"VJ Day in Times Square"

If these phrases immediately conjured a distinct image in your mind, you're in good company. Like you, untold millions of people pictured the same thing.

That's what iconic means.

These are the dramatic images that have are embedded in our culture. They have come to define a historical event, a famous person -- or maybe even an entire generation.

They're the proud images you see on postage stamps, like the flag raisings at Iwo Jima and, later, Ground Zero. They are also the images that depict terrible tragedies, such as the Kent State shootings and the Hindenburg disaster.

We see these photos reproduced time and time again. So what is it that makes them so iconic? How did they emerge and stand the test of time?

Or more simply, what makes them so special?

Learn more than you ever knew about "The Flag"

"I think the most important common denominator is that they strike us on a very deep emotional level, and the emotions are usually some of the deepest emotions that a human being can feel: heroism, fear, grief, joy," said Peter Howe, whose career has included stints as director of photography at Life magazine and picture editor at The New York Times Magazine.

These images appeal to something we all feel, Howe said.

"If you take, for instance, Alfred Eisenstaedt's picture of the sailor kissing the nurse in Times Square on VJ Day: I think you could take that photograph to any country and any culture and you would get a similar sort of response to the joyfulness of it all," Howe said. "Maybe some countries would not like a public display of a woman being kissed by a man in public, but there is a sort of joyfulness about that picture which I think is universally appealing."

Another important characteristic of iconic images is that they capture an exact instant and can't possibly be repeated, said John Loengard, a former Life magazine picture editor who has been taking photos professionally for more than 50 years.

He said the two most iconic pictures from this century are the hooded prisoner at Abu Ghraib and the falling man from the World Trade Center.

"Those simply upset us to see. We see it immediately, we grasp its significance, it's an exact moment," Loengard said. "The photographs could not possibly be repeated.

"And I think that's true of the Iwo Jima photograph that Joe Rosenthal took in World War II. It's true of photographs like Kent State, the guy who was shot and the girl kneeling over him, and ... in Vietnam, the burned girl running down the road and Eddie Adams' police chief executing a Vietcong prisoner. They're all pictures that are an exact instant."

Years after they were taken, iconic photographs can help us bring historical events into focus. They can help us to better understand the time period and what the prevailing sentiment was at the time.

"I think in Vietnam, it was opposition to the war," Loengard said. "There were many great photographers in Vietnam taking extremely wonderful photographs of combat. But none of them are iconic, I don't think. ... It was these situations that you simply looked at in the morning and you said: 'That's not what this country is about. This shouldn't be happening. We shouldn't be involved in this.'"

Images can also define how we ultimately view historical figures. Marilyn Monroe's sultry legacy is often traced back to the shot of her dress blowing up in "The Seven Year Itch." And Yousuf Karsh's portrait of a scowling Winston Churchill -- reportedly caused by Karsh snatching Churchill's cigar -- cemented Churchill's reputation as a "roaring lion."

"It summed up the leadership qualities that he had in an amazing way and made Churchill even more famous," Loengard said.

For decades, one would usually find these iconic images in a newspaper or magazine. But the digital age -- the rise of the Internet and cellphone cameras -- has changed things forever.

"I think there are probably more pictures being taken now than there have ever been taken in time," Howe said. "You just walk around and you see people always taking pictures on their iPhone. There's a massive visual imagery that is being generated by the public."

That could be a good or a bad thing, depending how you look at it, Howe said.

On the positive side, there is more opportunity now than ever for someone to capture an exact moment. And where there once was a significant time lag between when a photo was taken and when it was seen at the breakfast table, now it's instantaneous.

But a potentially iconic photo, Howe said, could be drowned out today by the sheer volume of photos available.

"I think it's much more difficult now for any particular image to rise to the surface," Howe said, "because we are so inundated with visual imagery nowadays. ... You are getting the image so quickly, and it's being followed up by so many more images afterward."

Before the Internet, media outlets had limited space and had to be more selective with photographs. The scarcity of photos usually gave people more time to absorb the images and put them into proper perspective.

But with much more space online, the standards have lowered, said Carol Squiers, curator at the International Center of Photography.

Now, it's not uncommon to see blurry cell phone pictures and poor amateur photographs published. And most cell phone photos still have a long way to go if they're to going to be considered anything near iconic.

"Right now, it's pretty hit or miss," Squiers said. "It's pretty haphazard and it's very much focused on the personal. 'Selfies,' I'm sure, far outweigh any other pictures that anybody takes.

"But it's a process. We're all undergoing learning experiments with the digital, even though it's been around for so long."

Squiers cited the recent Boston Marathon bombings as an example when most amateurs and their cell phones fell short of delivering high-quality images. Many photos were taken on the run and came out blurry or crooked.

"It's very easy to take a picture; it is not very easy to take a good picture," Squiers said. "And it is even harder to take a picture that lasts through time."

@highlight

Unforgettable photos often define an event, a person, or even a generation

@highlight

Examples: Kent State shooting, Times Square on VJ Day, Abu Ghraib prisoner

@highlight

Writer: "Iconic photographs can help us bring historical events into focus"

@highlight

CNN Films' "The Flag" tells the story behind the image of firefighters raising a flag at Ground Zero