(CNN) -- On perhaps this year's most compelling drama, the credits have yet to roll. Many have described that drama -- a story, apparently directed by North Korea, of Sony Pictures being hacked in retribution for a movie our foreign adversary considered an affront -- as novel. It is not.

While this cyberattack is notable for how much it took place in public view, the offensive use of cyber-weapons is far from new. Sony is, in fact, just the latest victim in a recent, escalating spate of such attacks aimed at undermining our economic and national security interests.

Examples are numerous, and the damage to our economic and national interests has been severe. Our financial institutions have been repeatedly targeted by criminal enterprises acting with impunity and at the direction of countries like Russia and Iran, according to news reports.

Our defense sector has seen a barrage of attacks aimed at siphoning off information that will undermine our nation's security. Reports have detailed a Chinese hacking enterprise traceable to a single, government-run building in Shanghai. And a Department of Justice's indictment against five members of China's People's Liberation Army reveals specifics of China's attempts to infiltrate and steal intellectual property from businesses in several industrial sectors.

The theft of intellectual property through cyber-espionage has been called "the greatest transfer of wealth in history," and cyber-crime and espionage reportedly cost the global economy $445 billion annually. Recent reports have, moreover, confirmed that our nation's energy grid is critically vulnerable.

The Sony attack made headlines in part because it revealed Hollywood secrets and celebrity squabbles that were fodder for celebrity gossip and well-suited for tabloid spectacle. But that doesn't make the damage any less serious. These ruthless cyberattacks damaged a company's reputation, opened the door to uncertain legal liabilities, and made light of our nation's copyright and intellectual property laws. They shattered any notion we may have had about our personal data and private communications remaining private.

We should all be troubled by Sony's decision to entirely cancel the release of the film "The Interview" in response to threats of physical violence by belligerent hackers. Simply put: When decisions like this are made, America's enemies win. But make no mistake: Our enemies are emboldened by this administration's failure to develop and adequately resource a comprehensive cyber-strategy and respond decisively to increasingly sophisticated and motivated cyber-adversaries.

Congress must pass meaningful cyber-legislation that allows our private sector and government to cooperate and share information that can be used to halt attacks before damage is done. We need, as a nation, to establish norms on what is permissible in cyberspace and ensure that law enforcement has the tools it needs to hold cyber-criminals, whether hacktivists or nation-states, accountable for their harm,

When Congress returns in January, I will work to make cyber-security a top priority. If elected Chairman of the Senate Armed Services Committee, I will establish a subcommittee focused on overseeing military cyber-programs, operations and activities.

This is Hollywood's moment in the cyber-victim spotlight.

The nation must transform these events into momentum to revise our strategy and improve our capabilities against such threats. Our enemies will, no doubt, be watching.

@highlight

John McCain: Sony hack is only one recent example of escalating cyber-attacks

@highlight

Such attacks, some laid to China and Russia, threaten U.S. interests, he says

@highlight

He says the administration and Congress must develop a comprehensive cyber strategy