For more than two weeks, satellites, planes and ships have been deployed to scour huge swathes of ocean for clues relating to the mysterious disappearance of Malaysia Airlines Flight 370 and the 239 people on board.

So far, an area covering 2.97 million square miles -- almost the size of the United States -- has yielded some leads but no proof of where the Boeing 777-200 is or what happened to it. In the past week, the spotlight has shifted to an expanse of the Indian Ocean more than 1,500 miles (2,400 kilometers) southwest of Australia, triggered by satellite images showing "suspicious" objects floating in the water.

Chinese plane spots 'suspicious objects'

We look at some of the hardware involved in this difficult search of one of the most inhospitable corners of the planet.

Satellites

China has had satellite assets deployed in the search for the missing airliner from the early stages of its disappearance -- including the optical earth observation satellite "Gaofen-1," which is responsible for the latest images of "suspect objects" floating in the southern Indian Ocean.

The current southern corridor search was triggered by images from another commercial satellite obtained and analyzed by Australian authorities, but identification by aircraft dispatched to identify the objects turned up nothing.

World listens for fading pings

NASA has said it will also deploy space-based assets over the Indian Ocean such as the Earth-Observing-1 (EO-1) satellite and the remote-controlled ISERV camera on the International Space Station to acquire images of possible crash sites. The resolution of these images could be used to identify objects of about 98 feet (30 meters) or larger.

The space-sourced information includes more than images: In the past few days France said data from satellite-generated radar echoes "identified some debris that could be from the Malaysia Airlines plane." Radar echoes are electronic signals that are sent out and bounce back if contact is made with an object on the surface.

Aircraft

Reconnaissance aircraft from Australia, New Zealand, the United States and China are currently involved in the search for, and identification of, this ocean-based debris.

P-3 Orion

Initially deployed as a Cold War-era submarine hunter in the 1960s, Lockheed's P-3 Orion is a mainstay of many modern air forces. A number of upgraded variants are being used in the search for MH370, including the P-3C (U.S. Navy) AP-3C Orion (Royal Australian Air force), P-3K2 Orion (New Zealand Air Force) and P-3J Orion (Japanese Maritime Self-Defense Force)

The P-3's long-range, long-loiter capability -- it can remain in the air for up to 16 hours -- has made it the benchmark for maritime patrol aircraft -- and perfect for this type of search. Sophisticated sensors on board the aircraft can detect sound 1,000 feet (304 meters) below the water's surface, while it can fly just 200 feet (60 meters) above the water.

P-8A Poseidon

A new addition to the U.S. Navy's arsenal, the P-8A from Boeing is arguably the world's most sophisticated anti-submarine and anti-surface warfare aircraft. It is being phased in as the replacement for the P-3 Orion in the U.S. Navy.

Built on the reliable Boeing 737 airframe, the Poseidon has a maximum speed of 490 knots, can fly up to 41,000 feet (12,496 meters) and can cover more than 1,200 nautical miles in four hours, according to the U.S. Navy. For the MH370 search, the P-8 will typically fly at 5,000 feet (1,524 meters), dipping to 1,000 feet to get a closer visual look at objects, the U.S. Navy said. They will typically fly at a speed of 250-270 knots, with a search time of eight to nine hours depending on the distance to the search area.

According to the U.S. Navy, the P-8's advanced radar capabilities allow its crew to recognize and investigate small contacts on the water's surface. The crew can also use an onboard camera system, as well as a multitude of sensors, to investigate contacts.

Ilyushin Il-76

The Chinese Air Force has deployed two Russian-made Il-76 aircraft to join the search. The four-engine, medium-range giant can be used as a commercial freighter or military transporter, able to carry heavy payloads such as vehicles and other outsized cargo via its ramp. It has a maximum speed of 458 knots and a ceiling of 39,370 feet (12,000 meters).

The II-76 also has an Aerial-Delivery System (ADS) for dropping cargo and other equipment while in flight -- something that may be useful if a crash site is found.

Get up to speed

Surface ships and equipment

A Chinese icebreaker -- which was involved in the rescue of a Russian research vessel stuck in the Antarctic ice earlier this year -- has now changed course and is steaming towards the location where the latest debris has been spotted in the southern Indian Ocean.

The helicopter-carrying Xuelong -- or Snow Dragon -- is expected to arrive in the search area on Tuesday, and has a "good knowledge" of the area, Qin Weijia, deputy director of the State Oceanic Administration's polar expedition office, told China's state-run Xinhua news agency.

Britain's Royal Navy has also dispatched a coastal survey ship, HMS Echo, to join the search. Launched in 2002, Echo was designed to carry out a wide range of survey work, including support to submarine and amphibious operations, through the collection of oceanographic and bathymetric  --analysis of the ocean, its salinity and sound profile -- data, according to the Royal Navy.

The U.S. Navy's 7th Fleet has been a major contributor to the search from the get-go, providing ships, aircraft and considerable technical know-how. In addition to air operations, the fleet has deployed surface ships equipped with sophisticated search capabilities.

As a precautionary measure in case a debris field is located, the fleet is moving a "black box" locator into the region -- which would provide a significant advantage in locating the missing aircraft's own flight data recorder, according to Commander William J. Marks, spokesperson for the 7th Fleet.

According to Marks, the "TPL-25 Towed Pinger Locator System" is able to locate black boxes on downed Navy and commercial aircraft down to a maximum depth of 20,000 feet (6,096 meters) anywhere in the world. The Pinger Locator is towed behind a vessel at slow speeds, generally from 1-5 knots depending on the depth. The tow "fish" carries a passive listening device for detecting pingers that automatically transmit an acoustic pulse.

@highlight

The more than two-week search for MH370 has covered an area the size of the U.S.

@highlight

Satellites have been providing images of "suspicious" surface objects

@highlight

A number of nations have sent reconnaissance aircraft to southern Indian Ocean

@highlight

The Malaysia Airlines Boeing 777 "vanished" on March 8 with 239 people on board