London, England (CNN) -- It's a windy and misty Sunday afternoon in March in the beautiful coastal town of Aldeburgh, Suffolk, and bleary-eyed travelers are disembarking from a coach after a two-hour journey from London.

But these are no ordinary tourists. Among them are some of the most influential names in British media and politics, and about 150 of them have descended on this sleepy town, best known for being the home of the late composer Benjamin Britten, to attend the Names not Numbers ideas festival.

Over the next few days, the attendees of this conference, which has been described as "intellectual viagra," will indulge in heavy, and sometimes provocative, discourse around themes such as creativity, history and even neuroscience.

From the hugely influential juggernaut that is the TED conference to the invite-only Google Zeitgeist to South by Southwest in Austin, Texas, there has been an undeniable boom in the ideas movement, bringing together creative luminaries and thinkers to flex some serious brain muscle.

In his book "Where good ideas come from," Steven Johnson attempts to explain the phenomenon of inspiration and argues that peer-produced innovations is key in the process of developing ideas, by bringing together doers and a network of thinkers to create new things in a collaborative process.

At Names not Numbers, an event sponsored by CNN International, the combination of limiting delegate numbers and bringing together an eclectic mix of speakers to hold 19th century-style salons in a remote location is intended to create a more communal experience than a conventional conference, says founder Julia Hobsbawm.

Read more: The woman using social media to predict the future

Founded in 2009, Hobsbawm, the daughter of Marxist historian Eric Hobsbawm, describes the event as an "experiential residential" that connects people from "different walks of life -- business, culture, media, politics, academia, with each other in a very intensive setting."

"The day conference is not conducive to fostering really brilliant ideas, so Names Not Numbers has always had the travel and shared cottage accommodation at its heart, as well as excellent content in the sessions themselves," she adds.

Previous speakers have included the UK's prime minister David Cameron, philosopher Alain de Botton and the pop star Annie Lennox.

This year, Dominic Young, a tech entrepreneur described it as an "amazing, legendary event," from which he was "only just coming back to Earth."

These events are seen as a real force for innovation and harness the power of bringing individuals across disciplines together to hopefully create serendipitous collaborations.

"Ideas conferences are a great source of inspiration, thoughts and, well, ideas," says Peter Bale, vice president and general manager of Digital for CNN International.

"CNN International was ready to support Names Not Numbers because it's an innovative format for generating conversation around some of the most important world issues: neuroscience, internet privacy, inequality and adding literature, arts and music to the mix."

Gatherings that promote big ideas have never been more valuable or lucrative. Popularized in the 1970s, they have increased significantly in number but perhaps the best known of the genre is the TED conference, which is held twice a year and has spawned a series of offshoots. Among them was the TEDActive conference in Palm Springs,

Ostensibly, TEDActive revolves around simulcasts of the three-day TED talks in Long Beach. However, it has evolved far from this back-seat role to carve it's own identity and attracts a fiercely loyal crowd that keeps coming back for more. Elizabeth Barry is a marketing executive from New Jersey who has attended Active for the past two years. She describes it as an "adult camp for intellectual stimulation."

For some these events represent a move away from the traditional conference model, highly prized by some employers for business education and professional development.

But others like Harvard economist Umair Haque argue that the great ideas industry needs "saving from itself." In his blog, he says: "The ideas industry ... oft seems hell-bent on turning each and every human on planet Earth into either a breathless 'pundit' or a zombified 'consumer.'"

@highlight

From TED conferences to South by Southwest, ideas festivals are booming

@highlight

Names not Numbers has been described as "intellectual viagra"

@highlight

Day conferences "not conducive to fostering really brilliant ideas," says Names not Numbers founder Julia Hobsbawm

@highlight

These events are highly prized by some employers for professional development