(CNN) -- Former rebels in the Central African Republic killed almost 1,000 in a two-day rampage earlier this month, Amnesty International said, as together with Human Rights Watch it warned of a surge in sectarian violence.

War crimes and crimes against humanity are being committed in the country, Amnesty International said.

"Crimes that have been committed include extrajudicial executions, mutilation of bodies, intentional destruction of religious buildings such as mosques, and the forced displacement of massive numbers of people," said Christian Mukosa, Amnesty International's Central Africa expert.

The country has seen violence and chaos since the Muslim-backed Seleka militia and other rebel groups from the marginalized northeast seized the capital Bangui in March. President Francios Bozize fled to Cameroon, and Michel Djotodia, who had been one of the Seleka leaders, made himself President.

Djotodia later officially disbanded the Seleka, but as many as 15,000 kept their arms and instead continued to wreak havoc in Bangui and elsewhere. They mainly targeted Christian communities, which in turn formed their own vigilante group, the anti-balaka (literally "anti-machete").

Anti-balaka forces staged an early morning attack in the capital on December 5, going door to door in some neighborhoods and killing approximately 60 Muslim men, Amnesty International said.

De facto government forces, known as ex-Seleka, retaliated against Christians, killing nearly 1,000 men over a two-day period, according to the rights group. A small number of women and children also were killed.

In a statement, Amnesty International called for the deployment of a "robust" U.N. peacekeeping force, with a mandate to protect civilians, and enough resources to do so effectively.

"The continuing violence, the extensive destruction of property, and the forced displacement of the population in Bangui are feeding enormous anger, hostility and mistrust," said Mukosa.

"There can be no prospect of ending the cycle of violence until the militias are disarmed and there is proper and effective protection for the thousands of civilians at risk in the country. Residential neighborhoods must be made safe as an urgent priority in order to allow people to go back to their homes and resume their normal lives."

Violence in Bossangoa

In a separate report, Human Rights Watch cited a surge in violence around the northern town of Bossangoa since September, adding concerned countries should immediately bolster the African Union peacekeeping force in the country and support efforts by France to protect civilians.

In the report, Human Rights Watch said Christian militias attacked Muslim communities, cutting the throats of children while forcing parents to watch.

Muslim groups retaliated, setting fire to Christian homes and killing their occupants with the apparent approval of commanders present, Human Rights Watch said.

The recent violence has created a humanitarian crisis.

Both sides have burned down large swathes of villages in the norhtern Ouham province, the rights group said, adding relief workers have found it difficult to provide assistance, particularly emergency medical aid, as aid workers have also been the targets of attacks.

"The brutal killings in the Central African Republic are creating a cycle of murder and reprisal that threatens to spin out of control," said Peter Bouckaert, emergencies director at Human Rights Watch and author of the report.

"The UN Security Council needs to act quickly to bring this evolving catastrophe to a halt."

The Central African Republic is about the size of France and a country rich in resources, including diamonds, gold, timber and ivory. The former French colony has rarely seen political stability or economic growth in the 53 years since it gained independence.

CNN's Susanna Capelouto and Dana Ford contributed to this report.

@highlight

NEW: Human Rights Watch report documents surge in violence around the northern town of Bossangoa

@highlight

Amnesty International says war crimes and crimes against humanity are being committed

@highlight

Amnesty International calls for the deployment of a "robust" U.N. peacekeeping force

@highlight

The violence is fueling "enormous anger, hostility and mistrust," says one expert