Washington (CNN) -- President Barack Obama's trip to Cartagena, Colombia, will be historic from the moment Air Force One touches down Friday. His weekend visit will mark the longest time a U.S. president will have spent in that country, where security concerns had limited previous presidential trips.

During his visit for the sixth Summit of the Americas, the president plans to focus on the economy, trade, energy and regional security. He's also expected to highlight some of the democratic and social reforms in the region.

In a speech Friday in Tampa, Florida, en route to Cartagena, Obama announced a new program that the White House is calling the Small Business Network of the Americas, which he said would help businesses get financing and counseling on how to access new markets south of the U.S. border.

"This initiative is going to help our small business. Latino-owned businesses," he said. "Women-owned businesses. African-American-owned businesses."

But the agenda may be driven by other concerns that have been debated by the Latin American leaders long before they arrived for the summit.

Cuba, which is not a member of the Organization of American States, is not invited to join the 34 other leaders.

"This is a point of contention," said Ted Piccone, a Brookings Institution senior fellow who specializes in U.S.-Latin American relations.

"There is a lot of disagreement about the U.S. policy toward Cuba. ... Cuba doesn't have a democratically elected government and therefore doesn't meet the criteria," he said.

But that didn't stop Ecuador's leftist President Rafael Correa from stoking the fire to get Cuban leader Raul Castro a seat at the table.

Correa threatened to put together a boycott with other leaders in the Bolivian Alliance (Venezuela, Bolivia and Nicaragua), which led to intense diplomacy behind the scenes. Inviting Castro would have certainly caused problems for Obama, especially in an election year.

During the previous summit three years ago in Port of Spain, Trinidad, Obama had an uncomfortable encounter with Hugo Chavez, when the Venezuelan leader handed him a book critical of the United States and Europe.

Colombian officials were clearly aware of the potential fallout in this case, so the country's foreign minister was dispatched to Cuba. Colombian President Juan Manuel Santos himself then flew to Cuba to meet with Castro.

Those meetings effectively ended the dispute, but Ecuador's Correa was angry. He fired off a letter to Santos criticizing the veto of Cuba's participation as "intolerable."

Then he boycotted the summit, even though the other leaders who had supported his appeal confirmed they would attend.

Piccone, of the Brookings Institution, said some leaders in the region are frustrated with what they view as a leftover Cold War attitude in the United States toward Cuba, and they are pushing for changes.

"My concern is that if it is fixed at the cost of abandoning the democratic rules of the group, that would too high a price to pay," Piccone said.

The high price being paid in the drug war across Latin America is also fueling a debate.

At a recent meeting at the White House with the leaders of Mexico and Canada, Obama was blunt about the ongoing threat in a region where some of the leaders believe the drug war is failing.

"Beyond our borders, these cartels and traffickers pose an extraordinary threat to our Central American neighbors," Obama said.

One possible solution that some of those neighbors discussed is decriminalizing drugs.

But on a recent trip to Mexico, a country that has been ravaged by drug-related violence, U.S. Vice President Joe Biden rejected that idea.

"There is no possibility that the Obama-Biden administration will change its policy on legalization," he said.

While this debate won't dominate the discussions at the summit, it could make headlines. National Security Council spokesman Tommy Vietor told CNN, "It's likely the issue will come up, and we welcome the discussion. However, our policy is different," he said.

The unscripted moments are likely to be the most interesting at the summit as there is no significant agreement expected on any of the major issues.

CNN's Rafael Romo contributed to this report

@highlight

President Obama is making the longest U.S. presidential visit to Colombia

@highlight

Obama announces a program to help U.S. businesses access southern markets

@highlight

The sixth Summit of the Americas won't include Cuba, however

@highlight

The hemisphere's drug war is expected to be addressed