Los Cabos, Mexico (CNN) -- The United States on Tuesday supported European leaders' efforts to ease the debt crisis, including the formation of a "banking union" to safeguard their financial systems.

"If people have a sense of where they are going, that can provide confidence and break the fever," President Barack Obama said at the end of the two-day G-20 summit.

U.S. Treasury Secretary Timothy Geithner said European leaders, meeting again next week, want to design a long-term framework for stability and take swift steps to institute short-term reforms.

"What this means is a framework of reforms so they can stand behind their banks, provide capital to the banks that need it, make sure they're protecting the safety of their depositors," Geithner said.

Leaders will work to ensure Italy and Spain can borrow at sustainable interest rates, said Geithner, indicating the United States was "encouraged" by developments and the meeting's focus on economic growth.

G20 pledges to support world economy

The European Union earlier this month unveiled a plan to create a coordinated banking union rather than leaving troubled nations to deal with their own banking crisis.

The proposal would include a single deposit guarantee organization covering all banks in the union, something similar to the FDIC, which covers U.S. bank deposits.

The summit largely focused on boosting a sluggish global recovery threatened by a possible collapse of the euro currency union.

European leaders are moving with a "heightened sense of urgency" to address the continent's financial problems, according to Obama. "They understand the stakes and pledge to take the action needed to address this crisis."

The president acknowledged "slower growth in Europe means slower growth in American jobs" and the potential effects on the upcoming election.

"If we do the right thing, politics will follow," Obama said.

Host President Felipe Calderon of Mexico, speaking at the end of the summit, said leaders agreed to extend a commitment to not introduce protectionist measures until 2014.

He also told reporters that Spain had not formally asked for a bailout.

In a declaration, G-20 leaders said they "would act together to strengthen recovery and address financial market tensions."

"Euro Area members of the G-20 will take all necessary policy measures to safeguard the integrity and stability of the area, improve the functioning of financial markets and break the feedback loop between sovereigns and banks," they said.

The International Monetary Fund said a number of member countries made emergency fund pledges, helping "efforts to create a $456 billion global firewall that puts the IMF in a much better position to help its 188 member countries restore sounder economic and financial conditions worldwide. "

"These resources are being made available for crisis prevention and resolution and to meet the potential financing needs of all IMF members," said Christine Legarde, managing director.

The summit largely focused on one of the primary causes of the global economy's lethargic recovery -- the threat of a European currency collapse that would roil the already fragile economies of most of the 17 countries that use the euro.

Obama played a role in ensuring other G-20 nations heard about European strategies, according to a senior administration official.

"The framework they (Europeans) are building, as they described it to us, amounts to a more forceful response than they've contemplated to date," the official said.

A main topic of the summit was Sunday's elections in debt-ridden Greece, where the center-right New Democracy party received the most votes and was asked to try to form a coalition government.

"They all want to work in partnership with Greece to make sure that Greece is reforming within the EU," Geithner said of European leaders.

The members of the G-20 are the United States, the European Union, Germany, Great Britain, France, Italy, Japan, Russia, China, Canada, Argentina, South Korea, South Africa, Mexico, Brazil, India, Indonesia, Saudi Arabia, Turkey and Australia.

CNN's Tom Cohen, Adam Aigner-Treworgy, Brianna Keilar and Dan Lothian contributed to this report.

@highlight

Obama encourages framework for "European integration"

@highlight

International Monetary Fund receives additional money

@highlight

U.S. encouraged by progress in addressing European crisis

@highlight

Summit looking at the eurozone crisis and how to boost global economic growth