(CNN) -- "I could have stayed home and baked cookies and had teas, but what I decided to do was fulfill my profession," Hillary Clinton famously snapped on the campaign trail two decades ago Friday. Mostly, we remember the comment as a moment in the perpetual mommy wars, but I tend to think about it as a moment in the history of chocolate chip cookies.

Capitalizing on the political gaffe, Family Circle challenged Clinton to a bake-off, and she obliged, providing an oatmeal chocolate chip cookie recipe that handily defeated Barbara Bush's variant. (You can still find it winning rave reviews online.) Home-baked cookies struck at the heart of what we thought mothering was all about.

It's still true today, but we have given it new meaning.

In 1992, Clinton's comment drew scorching responses from at-home mothers and cheers from fellow working moms. Such polarized reactions should be set in the context of Clinton's own life. Among the few women in her Yale Law School class, Clinton fought hard for professional success. Her remark was not merely a political misstep, but a generational declaration: a reflection of gut-level struggles women had made for workplace opportunity, even as mothers.

Yet, the long reach of what was, after all, an offhand remark touches on something deeper than a mere episode in the nation's contrived reality show, "Mom v. Mom." Through the twists and turns of that cookie-baking scandal, we experienced the birthing pains of the working family.

An idealized image of mothering stays powerfully with us: children arriving home from school, met at the door with warm chocolate chip cookies and a motherly embrace. That image evokes devotion, time and, most importantly, love. It is middle-class parenting unstressed by the demands of labor, whether paid or unpaid (the pans and trays awaiting washing are generally conveniently left out of the picture).

What was true 20 years ago is still true today: Many of us struggle with profound ambivalence about the demands that mothers' paid labor make on that idealized possibility. We long to care without pressure. The still distinct memory of Clinton's unsavvy comment speaks to a deep-seated cultural experience of loss. With more than two-thirds of mothers in the labor force today, few families are immune to negotiating child care and paid work. The plate of chocolate chip cookies embodies our desire for parenting and family space free of the demands of our paid jobs.

Still, there are signs of change. "Working family" was a term newly in use when Clinton made her famous comment, but working mothers have been, however messily and tentatively, forging a new model of parenting and laboring since that time.

Parents' priorities have changed, but not at the expense of their kids. Recent studies of time use by sociologists at the University of Maryland show employed mothers spending as much time in primary child care as nonemployed mothers in 1975.

Working-family mothers live with messier houses but report higher levels of enjoyment in their children's company than three decades ago. Today's working mother may be mixing up fewer batches of cookies, but when she does, she's often baking with the kids -- the activity not so much abandoned, as reserved for moments that matter to parent and child.

This new pragmatism doesn't mean there's no lingering guilt. The middle-class parents who still suffer most, I suspect, from cookie angst could learn from working-class women who have long seen good parenting in providing. Devotion to children can come in the form of earning what it takes to put treats on the table.

And they would do well to listen to another first lady, Michelle Obama, who as a black woman is well schooled in the multiple roles that black women, whether middle class or poor, have long fulfilled. Black mothers historically have believed they are dedicated mothers, even while earning money for their families. No one assumed that Obama, in her lawyer days before the White House, devoted herself to cookie making, but we knew she was a good mother.

Although it has not been as widely reported about as her gardens, Obama has been a voice for working families in the White House, speaking regularly on behalf of work-life initiatives. True, her shortbread cookies lost to Cindy McCain's oatmeal-butterscotch in Family Circle's 2008 bake-off. But more telling was that Working Mother magazine named her one of the country's most powerful working moms in 2011.

I have always been embarrassed by Clinton's cookies. They seemed like a capitulation to politics seeking to turn back the clock on women's roles. But I have begun to think that I shouldn't be. Twenty years ago Friday, that first lady campaigner made a divisive declaration on working motherhood. Perhaps we should see Clinton's successful decades in the public limelight since as a lesson in the new pragmatism.

Like Clinton, we can have our cookies, and careers, too.

The opinions expressed in this commentary are solely those of Kirsten Swinth.

@highlight

Kirsten Swinth: Hillary Clinton's "cookie-baking" remark stung women 20 years ago

@highlight

Swinth: In hindsight, it spoke to women's struggles balancing home and the workplace

@highlight

She says controversy reflected emerging trend that is common now: the working family

@highlight

Swinth: Cookie comment was seen as divisive but should have been seen as pragmatic