(CNN) -- That sport has become a big business is a well-worn cliche. It also widely acknowledged that commercialism in sport is relatively recent phenomenon.

Fifty years ago the majority of sports were organized on amateur lines, and even in professional sports the sums of money at stake were negligible.

Commercial sport has become one of the most visible manifestations of globalization, with broadcasting and sponsorships turning clubs and players into vehicles for generating cash -- some consider them more brands than athletes.

So how is all this working out -- for the sports organizations, the players, and the fans? And in this time of crisis, what can this microcosm of capitalism teach the economics of the real world?

Textbook economics teaches that woes of capitalism can be identified with two problems: The failure to achieve truly competitive markets and the manifest unreasonableness of the initial distribution of income.

Markets fail to be competitive because of various manifestations of monopoly power, often associated with superior access to relevant information, whereas efforts to improve the perceived fairness of the income distribution often conflict with the objective of improving economic efficiency.

Sports capitalism has some unique characteristics.

First, monopoly will not work -- teams and athletes need sporting competitors. Second, those competitors need to be genuine, in the sense that there is some degree of balance -- a predictable contest has limited entertainment value.

There are essentially two approaches to organizing competition: The American model and the European model.

The American model works like this. A collection of businessmen agree to found a league, each operating a franchise which is responsible for managing a team, securing a stadium and selling tickets.

The league, meaning owners operating as a committee, manage several important issues centrally. Typically, the broadcast rights are sold collectively, and often the merchandising rights too, with the money to be equally shared between the teams.

Visiting teams may be given a share of the gate. The league negotiates centrally with a players' union, fixing both minimum and maximum salaries.

No club is allowed to spend too much more than anyone else, and the weakest teams are typically rewarded with the first choice of new players entering the league (the draft).

In essence, the league is run as a kind of socialist collective by the franchise owners. And this model has been colossally successful in generating profits over the last 50 years.

In 2012 a study by WR Hambrecht estimated the market value of the four major leagues (NFL, MLB, NBA, NHL) at $67 billion. Collectivism seems to work.

The leagues argue that their success can be attributed to the rules which maintain balance among the teams. Skeptics argue that the economic success derives from artificial scarcity (entry into the majors is closely restricted) and monopoly power (these are the best leagues in the world in their sports -- the potential for new entrants to become rivals is negligible).

Sports in Europe is dominated by soccer, which operates under a completely different business model.

From an economic perspective there is free entry, in the sense that anyone can start a team and enter at the lowest league level, and then work their way to the top purely on sporting merit.

This is because each league in a given country is connected to every other league through the promotion and relegation system. This specifies that at the end of the season the worst performing teams (in sporting teams) and sent down to play in the next league down (relegation), whose best teams replace them (promotion).

This fluidity promotes a kind of cutthroat competition, where collective agreements are very limited. The threat of relegation means that the strong are not willing to share with the weak.

Perhaps surprisingly, the European model is one of pure capitalist competition, red in tooth and claw. Profitability is very low.

According to a study published by UEFA, the European governing body of soccer, in 2012, out of 700 clubs operating in the top divisions in European countries, 63% reported an operating loss, 55% reported a net loss, 38% reported negative net equity and auditors raised "going concern" doubts in 16% of cases.

European leagues are also highly unequal in sporting terms, with a handful of clubs dominating competition at both national and European level.

Many believe that the system is not stable, and UEFA has recently introduced regulations in order to achieve a less economically competitive environment.

However, as a system European football has been remarkably stable, with few clubs being liquidated, and a succession of "sugar daddies" being willing to step in and finance loss making clubs because of the prestige that this brings.

In both systems the players have done extremely well.

In the U.S. the unions have secured guaranteed percentages of league revenues, while in Europe open competition has ensured that wages have been bid up.

Top players earns tens of millions in salaries and even more from endorsements. Almost every school age child nowadays yearns to be a top athlete.

Many people feel it unfair that nurses or firemen earn small salaries compared to sports stars, but their pay simply reflects scarcity. The best are able to perform athletically in ways that no else can, in order to win championships on which fans place enormous value.

And do the fans do well? It sometimes seems that the default mode of the fan is discontent, with a jealous eye constantly turned to past in which life was simpler and tickets were cheaper.

There are constant scandals concerning the abuse of drugs, violence on and off the field, match fixing and gambling, exploitation of fans through ever increasing ticket prices. But the fact is that the universe of fans has expanded dramatically over the last fifty years, attendances have grown to unprecedented levels and broadcasting has ensured that any sporting event can be viewed anywhere in the world.

In this sense at least, modern professional sport, whether along the social-democratic lines adopted in the U.S., or the bare-knuckle laissez version practised in Europe, must be considered one of the most successful manifestations of modern capitalism.

Read more:

Fair play? Football clubs seek to beat financial offside trap

Postcard from America: Does sport need a soundtrack?

The next David Beckham: When Hollywood meets sport

Real Madrid named 'most valuable sports team'

The opinions expressed in this commentary are solely those of Stefan Szymanski.

@highlight

Sport is big business, but commercialism is a relatively recent phenomenon

@highlight

Sport capitalism comes in two models: That used in America, and in Europe

@highlight

But operate very differently but the players do extremely well, Stefan Szymanski says

@highlight

And professional sport must be considered a successful form of modern capitalism