(CNN) -- As a generation, millennials have been called coddled, under-qualified, whiny and, recently, "screwed." Apparently, both our egos and our grade point averages are wildly inflated.

Thanks for your input, everyone. I'm listening. But there's a time for taking constructive criticism, and there's a time to take it personally.

What better time than now? It's fight or flight at this point. Some cards are stacked against us (a rough job market and poor economy, for starters), and now we can add to that a serious PR problem.

We have never looked worse.

Because of all that, we've got a chip on our shoulders. We're frustrated, angry, tired and scared â€” the ultimate underdogs.

But I think we deserve more credit, and it's up to us to prove it.

A millennial's plea: We must vote

Ours are the hands that will shape the next decade â€” culturally, socially and economically. So instead of thinking about being "millennial" as something that happened to us, why don't we figure out how we will define it?

Despite the headlines, we've proven to be a pretty smart, organized and resourceful generation already.

Here are some reasons to be hopeful about what millennials will do in the decades to come, and how we members of "Generation Y Me?" can make it out of our current crisis.

We're brave

There are plenty of young people accomplishing feats and pushing boundaries right now, and I'm glad they're on team millennial.

Take Alex Morse, for example. He's the 23-year-old mayor of Holyoke, Massachusetts, the town where he grew up. Since he took office in January, Morse has focused on increasing traffic to Holyoke's downtown and created a new government position to promote local art. He also happens to be openly gay and surprised many people by getting elected at all.

Morse says he frequently speaks with other motivated young people and believes despite its sometimes bad rap, the millennial generation is ambitious.

What they don't teach you in college: Job-seeking as a millennial

"I wouldn't be here today if I listened to the people who told me I was too young to be mayor," he says. "Make a decision about what your goal is, and your life has to revolve around what that goal is."

The young mayor believes there's a logical place to start for millennials looking to change the world.

"People often think they have to go to a capital city or to a different city to improve their community, but what better place to improve than where you come from," he says. "If we all improve the communities we were born and raised in, that could go a long way in improving our country."

Maya Enista Smith, the chief operating officer at Mobilize.org, is another millennial all-star. And she believes in us, too.

The first-generation American is 28 now, but when she was just 17 she helped to register 30,000 voters as East Coast coordinator for the "Rock the Vote" initiative.

For the past seven years she has worked at Mobilize, an organization dedicated to empowering and investing in millennials, who Smith thinks are "uniquely positioned" to solve the challenges the United States is facing.

"What typifies this generation is they have a real idealism and hopefulness about what the future is going to look like in our hands," Smith says.

We're skilled and driven

Remember not too long ago when we were clawing each other's eyes out to get into college? Memories of that level of crazed intensity make me cringe (let's try to forget the day I cried over a bowl of tomato soup in the cafeteria about a bad quiz grade), but also suggest that as a generation, we can't be all that lazy.

Cash-strapped millennials curate style via social media

Maybe the biggest source of hope is how "overscheduled" we were as children. Our parents were criticized for enrolling us in Little League, ballet class and science camp all at once. But when you think about it, we "overscheduled" kids might be the uber project managers of the future.

We're built to multitask, and we're not afraid to learn and adapt.

Though mean overall SAT scores have gone down a bit since the 1970s, math scores have actually gotten better, according to the College Board.

The percentage of students ages 14 to 17 who are enrolled in school has increased over time, from 84% in 1950 to 94% in 1970 to 97% in 2010.

Plus, many more American children are bilingual now than they were in the past. According to the National Center for Education Statistics, the number of school-age children who spoke a language other than English at home increased from 4.7 million to 11.2 million between 1980 and 2009 â€” up from 10% to 21%.

And their English skills are increasing. Among children who don't speak English at home, the percentage who spoke English "with difficulty" dropped from 41% in 1980 to 24% in 2009.

We're the future, like it or not

I'm not denying that we're facing some huge challenges. But that's an exciting jam to be in.

It's likely that a member of our generation will solve some of the questions currently keeping us up at night: Will our government ever come together in a spirit of compromise to enact laws that will help us all? How will the music industry make money despite the overwhelming number of people downloading? What is our best source of low-cost energy? How can the journalism industry position itself to create more revenue?

Someone will eventually answer those questions or create new industries that render the problems obsolete. Millennials' time to shine comes at a precipitous moment in history.

When I was wrestling with a constraining university newspaper budget, a frustrated professor told me, "If you can figure that out, you'll have saved the journalism industry."

Why not?

It's time to stop letting other generations tell us who we are and find out for ourselves.

Are you a millennial who is tired of being counted out? Do you agree with the criticisms of millennials? Share your take in the comments section below.

"Like" CNN Living on Facebook.

The opinions expressed here are solely those of Maria LaMagna.

@highlight

Millennial Maria LaMagna says her generation isn't as "screwed" as some have argued

@highlight

Called coddled and over-stimulated, millennials are the first "plugged in" generation

@highlight

LaMagna says millennials' competitiveness and multitasking will help them creatively

@highlight

Millennials are poised to be the generation to solve the planet's ills, she says