(CNN) -- Upon his arrival in Damascus, Syria, joint U.N.-Arab League special envoy Kofi Annan called Monday for those responsible for Friday's massacre of 108 people in the town of Houla to be held responsible and for his six-point plan to be implemented.

"This was an appalling crime, and the Security Council has rightly condemned it," he said in a statement.

"Those responsible for these brutal crimes must be held accountable. I understand that the government is also investigating. It is the Syrian people, ordinary citizens of this great country, who are paying the highest price in this conflict.

"Our goal is to stop this suffering. It must end and it must end now."

Photos: Massacre in Syria (Warning: Graphic images)

Annan demanded that the government of Bashar al-Assad "take bold steps to signal that it is serious in its intention to resolve this crisis peacefully, and for everyone involved to help create the right context for a credible political process. And this message of peace is not only for the government, but for everyone with a gun."

He added, "The six-point plan has to be implemented comprehensively. And this is not happening."

Annan said he plans to have "serious and frank" talks with al-Assad and others. He has met with the country's foreign minister, according to images broadcast on state TV.

Annan: Syrian suffering 'must end and it must end now'

But a rebel leader said Annan's six-point plan is already "dead" following the killings in Houla, a suburb of the anti-government bastion of Homs. U.N. monitors in Syria said 49 children were among the dead.

Al-Assad's regime insists it was not behind the massacre and blames terrorist groups. Throughout the uprising against the government, Syria has blamed violence on "armed terrorist groups."

Opposition leaders say the massacre is the latest in Syria's crackdown against protesters.

Syrian U.N. representative Bashar al-Jaafari, who called the deaths "an appalling, horrific unjustified and unjustifiable crime," insisted Monday that the Syrian government is working to find the people responsible. He called on the U.N. Security Council to "convene to define those who arm, host, harbor and encourage the terrorist groups to continue their violence in Syria and bring them to justice," the state-run news agency SANA reported.

Deaths continue amid diplomatic deadlock

Jaafari railed against "member states" of the Security Council who are helping the opposition. "Those who are very interested in halting violence and making the comprehensive national dialogue in Syria a success should stop interfering in our internal affairs and should stop arming, hosting, funding and protecting the armed terrorist groups in my country," he said.

British Foreign Secretary William Hague, who has expressed outrage about the massacre, was in Russia on Monday seeking to persuade Russian officials to pressure the Syrian regime to comply with Annan's peace plan.

But after Hague met with Russian Foreign Minister Sergey Lavrov, there was no clear sign that international action would ratchet up.

"It sounds very noble to say Russia is supporting the Syrian government, and when it stops supporting the Syrian government, everything will be fine," Lavrov told reporters.

But in reality, he said, "We do not support the Syrian government. We are supporting the Kofi Annan plan that addresses both the Syrian government and the armed opposition. ... We have to be objective."

U.N. condemns Syrian killings; toll in massacre rises as violence goes on

After Friday's massacre in Houla, rebel leaders once again implored the international community for airstrikes against regime forces.

Meanwhile, residents of Houla were grieving as opposition activists and residents blamed al-Assad's regime for the bloodbath.

"By God, I washed the dead bodies of nine children. One was less than 9 months old!" a man screamed to a U.N. observer. "Why are they treating us like animals? We are humans. Did the infant carry an RPG? Was he a fighter? It was a baby, he had a pacifier in his mouth."

Al-Assad regime defined by violence

Images from Houla show a room crammed with the mangled and bloody bodies of children -- some with their skulls torn open.

"After the stuff we've seen, we can't feel anything. ... We're used to the sights now, the blood, the sound of gunfire," said another resident, who CNN is not naming because of safety concerns.

Pro-government gangs have returned to Houla, where food, water and medicine are in short supply, he said.

"They only thing we have here is the Free (Syrian) Army. It's the only thing that can protect us after God," the resident said.

The killings reignited international fury against al-Assad's regime for its 14-month crackdown on dissidents seeking an end to his rule.

On Sunday, some U.N. Security Council members condemned the Houla attacks "that involved a series of government artillery and tank shellings on a residential neighborhood" as well as the killings of civilians by gunshots fired at close-range.

In Jerusalem, Defense Minister Ehud Barak said Israel supports the U.N. Security Council's condemnation of the atrocities in Syria.

"The pictures of the children's mutilated bodies are both shocking and disturbing," he told a group of visiting U.S. senators. "We call upon the nations of the world to unite and act immediately to stop the ongoing massacre of innocents."

U.S. National Security Council spokesman Tommy Vietor said the United States was horrified by "credible reports" of the massacre, "including stabbing and ax attacks on women and children."

Opinion: Only Russia and China can stop the carnage

And some called Syria's promise of an investigation a farce.

"There's no way a Syrian military commission can credibly investigate this horrendous crime when so much evidence suggests pro-government forces were responsible," said Sarah Leah Whitson, Middle East and North Africa director at Human Rights Watch. "Annan should insist that Syria grant access to the U.N. commission of inquiry to investigate this and other grave crimes."

Over the weekend, the rebel Free Syrian Army said the Annan plan was "dead" after the Houla massacre.

"The joint command of the FSA inside Syria announces that it is no longer possible to abide by the peace plan brokered by Kofi Annan, (which) the regime is taking advantage of in order to commit more massacres against our unarmed civilians," Free Syrian Army spokesman Col. Qasim Saad Eddine said in a video posted Saturday.

"This is a clear evidence that Kofi Annan's plan is dead and a clear indication that Bashar Assad and his criminal gang do not understand anything but the language of force and violence," Eddine said. He urged the U.N. Security Council to "issue urgent and swift resolutions to save Syria, its people and the entire region by forming an international coalition mandated by the UNSC to launch airstrikes" against regime forces and their strategic points.

Violence continued Monday, with the Local Coordination Committees of Syria reporting 26 deaths.

U.N. officials say more than 9,000 people, most of them civilians, have been killed and tens of thousands more have been uprooted since the crisis began in March 2011. Opposition groups report a death toll of more than 11,000 people.

CNN can confirm neither details from Syria nor the authenticity of videos, as the Syrian government limits access by foreign journalists.

CNN's Yasmin Amer, Saad Abedine, Mohammed Jamjoom, Marilia Brocchetto and Holly Yan contributed to this report.

@highlight

NEW: Houla resident: "We're used to the sights now, the blood, the sound of gunfire"

@highlight

U.N.-Arab League special envoy promises "serious" discussions with al-Assad

@highlight

Syria calls on the Security Council to hold accountable member states aiding the opposition

@highlight

The Local Coordination Committees of Syria reports 26 deaths on Monday