New York (CNN) -- You might not know it to read the news of the discredited research that had long linked vaccines to autism, but there really is good progress on the autism research front.

• A study published last year in the journal Nature identified a genetic variant that could account for up to 15 percent of autism cases. Once we can determine which proteins are associated with various risk genes, we can start to understand the mechanisms of action that may cause autism. And once we understand the mechanisms of action, we can start to develop targeted therapeutics.

• Elsewhere, researchers working with the younger siblings of children with autism are identifying biomarkers that could enable autism to be detected as early as the first few weeks of life.

• Clinical trials are under way investigating a compound that has proved effective at rescuing mice from the symptoms of Fragile X syndrome, which may be related to autism.

• In addition, stem cell and genome scanning technologies hold great promise for autism research.

But all of this has been overshadowed by a seemingly relentless preoccupation with the notion that vaccines might cause autism, despite mountains of scientific evidence that have concluded there is no link. It's time for us all to put that behind us.

On Tuesday, the medical journal The Lancet retracted the controversial 1998 paper that linked the measles, mumps and rubella vaccine to autism. Last week, the British General Medical Council ruled that Dr. Andrew Wakefield's "conduct in this regard was dishonest and irresponsible" when he published the research. The panel's chairman said he'd shown a "callous disregard" for the suffering of children.

The original Lancet publication had launched an era of anti-vaccine activism. At a news conference after the publication, Wakefield said there were "sufficient anxieties for a case to be made" to separate the three vaccines. Vaccination rates plummeted, and measles outbreaks swept across the United Kingdom. Hundreds of children were hospitalized, and several died. Across the country and around the world, parents became stricken with an unfounded fear of vaccination.

Because my older daughter had been diagnosed with autism, I read Wakefield's study carefully. I followed his advice to separate the shots when it came time for my younger daughter to be vaccinated in 1999. Looking back, I realize now that that decision left her needlessly vulnerable to vaccine-preventable disease and, frankly, did nothing to reduce the likelihood that she too might be diagnosed with autism.

Eventually, Wakefield's collaborators withdrew their names from the Lancet paper. Later it was revealed that he had received funds from lawyers representing the children enrolled in his study and that he obtained control blood samples from children who attended his son's birthday party, paying them 5 pounds apiece.

Since the publication, millions of dollars have been spent on multiple international studies examining the Wakefield hypothesis. No study has ever replicated his results. In fact, one study published in 2008 specifically tried to replicate Wakefield's original work and found no evidence that the vaccine had a connection to either autism or GI disorders. (You can read all the autism/vaccine studies here.)

At this point, we have to be willing to accept what legitimate science tells us. The science is clear regarding MMR and autism, just as it is with thimerosal (a vaccine preservative that has also been implicated in the past) and autism. Multiple studies have failed to show a causal link.

Unfortunately, we still don't know what causes autism, and that is one reason the vaccine hypothesis has been so sticky, even in the face of overwhelming scientific evidence. But we will never find the answers we need about autism if we keep asking the same questions over and over. We need to move forward.

The problem is, we can never prove a negative. Science doesn't work this way. We will never be able to say we have done a definitive study showing vaccines don't cause autism. All science can show is the absence of a link.

Whereas anti-vaccine parent advocates cite personal anecdotes and state that they know with certainty that their child's autism came from vaccines because "they know their child," scientists talk about the "preponderance of evidence" and "statistical significance." That is not the stuff from which good soundbites are made.

Once you put a scary idea in someone's head, it is very hard to reassure them, even in the presence of compelling science. Anti-vaccine autism activists continue to view Wakefield as a hero willing to take on the establishment and fight for their children.

In the meantime, his research has had a lasting negative effect on children's health in that some people are still afraid of immunizations. In some cases, the younger siblings of children with autism are being denied lifesaving vaccines, despite mountains of scientific evidence indicating no link between vaccines and autism. This is the Wakefield legacy.

But the aftereffects of Wakefield's false claims don't stop there. Thousands of parents of children with autism were persuaded to pursue "detoxification" treatments to reverse nonexistent vaccine damage. At best, these treatments waste time and money. One child died from this "therapy."

In addition, pediatricians have found it hard to maintain constructive relationships with some families given their implicit accusations that mainstream medicine had harmed their children.

It's my hope that today marks a turning point. A staggering amount of work needs to be done to make life better for our families, and we may now be able to focus on moving forward with good science as our guide.

The opinions expressed in this commentary are solely those of Alison Singer.

@highlight

Alison Singer says link between autism, vaccinations debunked but research progressing

@highlight

But, she says, new science is overshadowed as some cling to discredited study

@highlight

Some parents put kids in danger by still avoiding vaccines, trying dicey "therapies"

@highlight

Singer: New research should move forward with science as a guide