(CNN) -- The script for Robocop, a futuristic tale of decline, had a note scribbled on the top of the first page. It read: "The future left Detroit behind."

As screenwriter Ed Neumeirer recalls, it was a prescient message.

That statement has never been more relevant to the American city, after it filed the biggest municipal bankruptcy in U.S. history earlier this month with debts around $18 billion. Neumeier says that RoboCop was, and still is, a metaphor "to show the industrial decline in America."

He told CNN: "The reason Detroit is important is because it's facing an economic blight that you can imagine happening in a lot of places."

Set in a futuristic Detroit plagued by financial ruin and economic decay, "RoboCop" -- made in 1987 -- relates how a no-nonsense cyborg law enforcer ends up policing the city's crime-ridden streets.

Written by Neumeier, directed by Paul Verhoeven and mostly filmed in Pittsburgh and Dallas, the film paints Detroit as a once-great metropolis and manufacturing hub laid to waste by outsourcing and mass unemployment.

Read more: Detroit's bankruptcy could spell good-bye for Howdy Doody

Neumeier told CNN he battled with producers to ensure Detroit remained the setting for the film, adding the fictional dystopia in "RoboCop" could easily become a reality when a city is stripped of the industry that ties its communities together.

"In retrospect, the idea of "RoboCop" really goes back to the car industry" he told CNN. "The sculpture of it is very much Detroit road-iron... having grown up in the sixties when the muscle car was so prominent, the notion of cars was very important to me then and ultimately to the formation of RoboCop."

Read more: Why Obama won't bailout Detroit

The cradle of auto manufacturing in the 1950s and home to the likes of Ford and General Motors, Detroit was once considered the engine of the U.S. economy. But production saw a sharp decline in the 1980s when Japan emerged as a global financial heavyweight and automakers like Nissan began to provide stern competition.

Decades of stagnation culminated in an $80 billion U.S. government bailout for the automotive industry between 2008-2010.

Watch more: The Motor City sputters to a stop

Today, Detroit is a shadow of the economic boomtown it once was. With a population of just over 700,000, the so-called "Motor City" is suffering from a 16% unemployment rate, as automotive jobs have all but disappeared and the mortgage crisis of 2007 hit homeowners hard.

Crime also poses a major social threat to Detroit. In 2012, Forbes named it the most dangerous U.S. city and the most miserable for 2013.

A debt restructuring deal to solve Detroit's economic woes is likely to mean extreme cuts to public services with retirees receiving just a fraction of their pensions, if plans proposed by emergency manager Kevin Orr go ahead.

At a press conference on Friday, in which he discussed the city's economic demise, Orr said: "Does anybody think it's OK to have 40-year-old trees growing through the roofs of dilapidated houses?"

Corporate America

In the film, fictional Detroit is propped up by a multinational corporation, called Omni Consumer Products (OCP), which runs everything from the hospitals to the police force. It also has grand designs to demolish "Old Detroit" and create an ultra-modern utopia called "Delta City."

The vulgar and callous corporate age that serves as the backdrop to "RoboCop" is upon us, according to Neumeier. "We are increasingly asking corporations to do these things for us... to provide human services. But their objectives are different to public service needs."

Despite Neumeier's efforts to remain, as he puts it, "neutral" to big business in "RoboCop," the antihero is a senior executive at OCP, who conspires with gangsters to run Detroit. "We are now living in the world that I was proposing in RoboCop," said Neumeier, adding that it showed "how big corporations will take care of us and..how they won't."

Read more: Detroit: After bankruptcy, then what?

Neumeier believes Detroit now has the opportunity to rebuild and perhaps rebrand itself as the aspirational "Delta City" portrayed at the start of his film. The one-time gem of the U.S Rust Belt must overcome the expectations of the past, he says, and clean up the ruined parts of the city.

He remains optimistic for the future of Detroit.

"There is a cheap and educated labor force. Some kind of high-tech would be good for them... I would say with the industrial and mechanical legacy there, somebody should start a robotics company."

Neumeier quotes Dick Jones, one of RoboCop's corporate villains, to sum up the city's industrial past and potential for a tech-based future: "Good business is where you find it."

A remake of the cult hit, directed by Jose Padilha and starring Hollywood big-hitters Samuel L. Jackson and Gary Oldman, is set to be released in 2014.

Opinion: How Detroit can rise again

@highlight

Released in 1987, RoboCop is set in a futuristic Detroit plagued by financial ruin and economic decay.

@highlight

In 2012, Forbes named it the most dangerous U.S. city, and crowned it most miserable in 2013.

@highlight

The U.S. government provided a $80 billion bailout for the automotive industry between 2008-2010.