CNN -- One evening in the spring of 2010, Keith McSpurren settled down with his children in his home in Toronto to watch play-off hockey on television, a ritual repeated in millions of households across Canada.

But as he watched the presenters running through the news of the day, he suddenly saw something in the background that had probably gone unnoticed to most.

"I take an odd pride in this, but I knew I had made it when I watched TV and sure enough behind the guys there's a CoverItLive console," McSpurren said. "I hit pause on the DVR and asked my son, 'See that thing in the middle? That's our software. That's what dad does.'"

The console McSpurren had spotted will be familiar to almost anyone who has looked at a news website in the past couple of years. As the thirst for instant news has grown ever more insatiable, the "live blog" a time-stamped, regularly-updated, predominantly text-based report of breaking stories has become a staple of internet news and sport coverage.

CoverItLive, which McSpurren developed in 2007, is the most commonly used live-blogging platform, and is regularly embedded on the websites of outlets as disparate as the BBC and Fox News; the Weather Channel and WWE.com -- as well, it seemed, as in the CBC Hockey Night Live studios.

More than 600 live-blogging "events" take place on CoverItLive every day, attracting unique readerships that, according to McSpurren, can run as high as 14 million per event -- a record currently shared by coverage of President Obama's Nobel Peace Prize speech, and a cricket Test match in India. Reports have claimed CoverItLive events attract 82 million visitors per month.

The console can be managed by a single journalist and refreshes instantly with new content, which can include pictures, videos or Twitter feeds, as well as the reporter's text commentary. Readers can interact through a comments box, vote in polls or enter trivia quizzes. The combined package of news and interactivity lends itself especially well to sport coverage, where it can mimic the experience of watching a match and discussing it with friends.

But in recent years, live-blogging has also become the default approach to covering much harder breaking news stories: the uprisings of the Arab spring, the phone-hacking scandal in the UK and the Norway shootings, for example, were all covered in live blogs on almost all major news platforms.

The duration of events can make live-blogs especially "sticky", encouraging readers to stay on a single page for longer than they ordinarily might. If a news story continues to develop throughout an entire day, the live-blog can become the one-stop shop for breaking developments alongside a digest of what has happened so far. It can later become an archive of how events unfolded in real time.

"The core figure to us is the number of readers times the duration they spend on the software," McSpurren said, stressing the multiplication.

"Something like the Casey Anthony trial in the United States (which was live-blogged in its entirety), was on from nine in the morning to four in the afternoon. It's infinitely better from a business point of view than a really great event that's only on for 35 minutes."

An average visitor to a CoverItLive event stays for 12 minutes, according to McSpurren. The live-blogging phenomenon actually pre-dates CoverItLive by several years, and probably has its roots among the team of sports obsessives of CricInfo, who first provided ball-by-ball coverage of cricket matches in the mid-1990s.

Both the BBC and the website of the Guardian newspaper in the UK soon picked up the baton, and the Guardian in particular cultivated a unique tone and community among its sportswriters and readers, who pore over every minute of a football match or cricket games in over-by-over mini-reports.

What not to blog

But for all the recent proliferation of live blogs, some media analysts say that rolling coverage is not always appropriate, pointing to some notable lapses in editorial judgment.

In 2008, for example, the Rocky Mountain News was widely criticized when one of its reporters live blogged, via Twitter, the funeral of a local toddler, who had been killed in an accident. Updates from the stream included "family members shovel earth into grave" and "people are again sobbing".

This month the BBC website also attracted criticism for its somewhat oxymoronic coverage of "Amy Winehouse death -- LIVE!"

Scott Murray, a former online sport editor at the Guardian, who has contributed live online commentary since 1998, said: "It kind of makes sense to do something like the phone-hacking scandal on a rolling blog, because on the first few days, something was happening every half an hour. But Amy Winehouse, it just doesn't make any sense. That's just a news story: someone has died. And that's it."

By definition, live blogs demand frequent updates, and thus reporters are often encouraged to substitute instant snaps for more considered journalistic analysis, or even silence.

"It's like 24-hour news on TV," said Murray. "You always have to have something to fill it. That's when you're going to get all this hot air and speculation."

McSpurren agrees that the true strength of live blogging relies on the skills of the reporter to offer relevant analysis, publish pictures and launch appropriate poll questions.

"Our business isn't magical," he said. "It really is dependent on the person running the event. If all you're doing is regurgitating what they see on the TV screen anyway, there really is no point for them to be there."

The continued success of live-blogging seems certain, however. CoverItLive was acquired by Demand Media in February and several alternative, similar platforms have also recently launched. McSpurren said that the business is working with news organizations to improve CoverItLive's compatibility and to offer better tools for journalists.

Meanwhile consumers continue to make live-blogs the best read articles on most news sites.

"People like immediacy," said Murray. "And I guess it means more people are getting interested in news, politics, sport, whatever, because there are new ways to consume it all."

@highlight

Live blogging of events, from news to sports, has become widespread

@highlight

CoverItLive created by Keith McSpurren in 2007 is most popular console to use

@highlight

Live blogs are attractive as they are seen as 'sticky' to readers

@highlight

Some question how appropriate blogging can be for some stories, such as Amy Winehouse's death