(CNN)It's been a big week for makeovers in the world of aviation.

First, U.S carrier Southwest Airlines unveiled its new branding, which included a complete overhaul of its livery. The old "canyon blue" was retired for a darker shade, the stripes on the tail have been modified, the fonts brought into the 21st century, and -- most significantly -- a yellow, red and blue heart added to the plane's belly.

"The heart emblazoned on our aircraft, and within our new look, symbolizes our commitment that we'll remain true to our core values as we set our sights on the future," explained Gary Kelly, Southwest Airlines' CEO, in a statement.

A few days later, Frontier Airlines similarly announced a redesign, this one a homage to the carrier's original incarnation (the first Frontier Airlines closed down in 1986). In its newest form, Frontier borrowed design elements from the original livery, including the stylized, Saul Bass-designed F in the brand name.

Both carriers are experiencing a shift in their corporate identity; Southwest should be finalizing its takeover of AirTran Airways, while Frontier recently rebranded as an ultra low-cost carrier.

"It's common for airlines to shake off their image with a new livery," explains Jonny Clark, an airline brand specialist and founder of thedesignair.net.

"When United merged with Continental, they created a new livery to show they were one entity."

Livery delivery

While usually, according to Clark, airline liveries have a shelf life of 20 years or so, there's been a recent spate of aircraft redesigns. American, Iberia, Air New Zealand are just a few of the carriers to tweak their appearance of late, and rumors abound that Abu Dhabi airline Etihad will soon undergo a major facelift as well.

"In the last couple of years, there's been an influx of new aircraft into a lot of fleets: 777s and A380s. A lot of airlines have taken advantage of this opportunity to create a point of differentiation," explains Clark.

American and European brands, he notes, tend to follow a similar aesthetic, known as "Eurowhite". It's a concept known for its simplicity, and usually comes down to an airline putting an emblem on the tail of an aircraft, and their logo on the fuselage.

"A lot of carriers do it. It comes down to cost," explains Clark.

"If you have an airplane in a hanger for 12 days, that's 12 days that aircraft is out of service. Especially for larger carriers with 100 aircraft in their fleet, the simpler the design, the less money they're loosing."

The Pacific Rim effect

There are a handful of airlines, however, that have taken a different tact. Several carriers in the Pacific Rim have also made over their liveries, favoring intricate designs that highlight the local design culture. When Fiji Airways rebranded itself earlier this year, for example, it took inspiration from Fijian Masi art, and borrowed several traditional motifs, particularly the Teteva symbol on the tail.

When Hawaiian Airlines introduced its regional subsidy, 'Ohana by Hawaiian, it similarly opted for a local aesthetic when crafting the new livery this year. The carrier teamed up with father-and-son design team Sig and Kuha'o Zane to craft a look that honored the local culture. The duo came up with livery that is simultaneously based on Hawaiian Airlines' inter-island route map, and traditional Hawaiian crafts.

"The 'Ohana by Hawaiian brand is deeply rooted in the communities of our islands, and it was important for the design to reflect that sense of family and community," explains Avi Mannis, Hawaiian Airlines' senior vice president of marketing.

Mannis admits that the planes have a more complicated paint job -- each aircraft takes 14 days to complete.

Going viral?

Finally, liveries can be a great marketing exercise for an airline. During the 2012 London Olympics, for example, several airlines introduced special edition liveries. To mark Hello Kitty's 40th birthday, Taiwan's Eva Air introduced the Hello Kitty Jet to more locations around the world.

Few airlines have mastered liveries' marketing potential like Air New Zealand, however, who for years has partnered with the Lord of the Rings franchise, creating Tolkien-themed safety videos, and emblazoning their aircraft with a new decal for each film that hits the theaters. Last year, one of their planes sported a decal of Smaug -- the fire-breathing dragon from the latest Hobbit movie.

"Their partnership with Lord of the Rings created this huge viral following," says Clark.

"It was a relatively small carrier, but now everyone's heard of them. It increased their awareness in the worldwide scope of passenger travel."

@highlight

A  number of airlines unveiled new liveries this week

@highlight

U.S. carrier Southwest plane will now display a colorful heart on their underside

@highlight

Many airlines in Pacific region riff off local culture and artwork for updated designs

@highlight

Changing an airline's look is huge marketing opportunity