(CNN) -- The Steubenville, Ohio, rape case has made national headlines because it represents a perfect storm of inappropriate sexual conduct, high-school football heroes, social media and viral YouTube videos.

The case reached some level of closure on Sunday as Judge Thomas Lipps handed down the juvenile equivalent of a guilty verdict and sentenced the two defendants to what could be years in a juvenile correctional facility as a consequence of their actions on August 11 and 12 of last year.

Two teens found guilty in Steubenville rape case

This verdict is a consequence not only of the defendants' actions that night, but also of decades of change in how society views sexual conduct -- and how the law has evolved in response to this change. In this case, a high school girl went to a party and allegedly drank so much that she began slurring her words and was occasionally unresponsive. Two football stars at the party are accused of taking advantage of her impaired state and engaging in sexual conduct with her.

A few decades ago, this behavior would probably have been considered inappropriate or "ungentlemanly." Today, it brings protesters into the streets and creates a nationwide outcry about sexual abuse.

The law has evolved as societal norms have changed. Lots of sexual conduct occurs when one or both participants are intoxicated to some extent. The question that the law needs to answer -- but at times struggles to answer -- is at what point one person's intoxication is so severe that she (or he, in theory) is legally unable to give meaningful consent.

Ohio law, like that of many states, sets this line at the point at which the victim's "ability to resist or consent was substantially impaired" by alcohol. But how impaired is "substantially impaired"?

In most cases, this question will be answered by a jury. (In the Steubenville case, the question was decided by the judge because the case was in juvenile court.) This could in theory be a fine line, though after hearing from the witnesses in the Steubenville case, most people today would agree with the court that this victim was well over that line.

Teens treated girl 'like a toy,' prosecutor says

A second lesson from this case is how the ubiquity of social media affects the way criminal cases are investigated and prosecuted. The Steubenville case was a dramatic example of this phenomenon: The victim only knew that a crime had been committed against her because she was featured in online photos and posts. Much of this online material was inadmissible in court. (For example, the infamous 12-minute video in which a person at the party jokes about the rape did much to increase public outrage, but would be rejected as hearsay in court.)

But the famous photo of the victim in which she is being carried by her wrists and ankles at the party was critical to establishing her level of intoxication. The prosecutor also admitted the texts in which one of the defendants stated "she (the victim) was like a dead body" and "she could barely move." These texts went a long way toward establishing that the defendants knew that the victim was so impaired that she was unable to consent. (Statements made by a party in the case are exempt from the hearsay rule.)

A generation ago, in a case that came to represent a different example of changing social norms, four police officers in Los Angeles were brought to trial for assaulting Rodney King only because a bystander happened to have a video camera with him and was able to record the abuse. At the time we thought: What a lucky coincidence for the prosecutor! And what bad luck for the police officers! But today we should all assume that anything we do could be caught on camera or video.

Meanwhile, many of the things we "say" to others are actually communicated by text, e-mail or online posting. Digital communication is so commonplace, especially among the younger generation, that those who engage in it are often not aware that they are creating a permanent record of their impressions, opinions and beliefs which could later be used in court.

In short, the Steubenville case has demonstrated how the rules have changed. Alcohol will still be present at parties and will still be an element in many sexual encounters -- but now prosecutors, judges and juries will impose their own standards for the acceptable level of impairment. And when we commit crimes, the world -- and more importantly, the future jurors in our case -- will be watching.

rape trial focuses on text messages, cell phone pictures

The opinions expressed in this commentary are solely those of Ric Simmons.

@highlight

Verdict shows that the way society views sexual conduct has changed, Simmons says

@highlight

Law struggles to define a person is too intoxicated to consent, he says

@highlight

Case also shows how social media affect criminal cases