(CNN) -- The last few months have witnessed a dramatic turn in the way democratic politics are conducted in a sovereign country that is also a member state of the European Union. The depth of the economic crisis and the increasing dependency of Greece on external funds to survive have led to an unprecedented degree of national humiliation and destabilization of the political system.

Greek parliamentary practices are operating under emergency procedures, a government has been overturned overnight and constitutional practices are being bypassed. The national parliament, the symbol of representative and competitive democracy in Greece, has become purely symbolic and procedural in the way it votes for its austerity laws. External pressures to impose a Special Commissioner to run the country's finances and recommendations regarding the date of national elections -- and the most desirable outcome -- are all attacking the heart of Greece's democracy, its sovereignty.

To be sure, Greek democracy was far from perfect before, suffering from clientelism, nepotism and corruption, but it had made significant strides since the country's entry into the European Community in 1981. Similarly, national sovereignty had become vulnerable way before 2009, as a result of increasing debt to unsustainable levels and a state deficit whose extent was not even calculated properly.

Yet what we are seeing now is the undermining of Greece's political class, and a fall in levels of trust in the political system. The historical responsibility for this state of affairs lies with domestic mismanagement, political incompetence and the constant missed opportunities for reform. This unprecedented level of economic recession and social alienation means Greek democracy is moving backwards at a rapid pace.

In times of crises, history comes back with a vengeance. There are those who revisit the past in order to understand what went wrong and blame the main culprits for the impasse. Others refer to similar historical parallels and focus their attention on comparable historical moments. Indeed during the history of modern Greece, democracy has often suffered from instability, uncertainty, military intervention and authoritarian or exclusionary practices.

A frequently mentioned historical reference is the interwar period, when the economic crisis shook the Greek political environment, and led to instability, military coups and eventually the fascist dictatorship under politician Ioannis Metaxas in 1936. Some remember the years of Nazi occupation during Second World War and the humiliating blow to Greece's national dignity, a very popular reference in present-day Greece and an impulsive reaction to the current pressure from Germany. Others refer to the more recent past of the post-war period of the 1950s and 1960s when the country suffered from an exclusionary and defective semi-democratic process led by the triarchy of the monarchy, the military and the right-wing forces. This type of illiberal and exclusive democracy led to the imposition of the military junta in 1967.

As with these historical examples, observers of the current political instability are worried about the high levels of disapproval among Greece's political class, the extent of social reaction and mobilization on the street and the degree of political polarization. Greece is gradually losing its middle class, the pillar of the political center, as politics is increasingly dominated by extremists of both sides. As usually happens during political instability, the extremists are the ones that gain in strength while those in the center become most vulnerable. Indeed, recent opinion polls show a remarkable defeat of the two-party system -- the center left (PASOK) and the center right (New Democracy) -- as voters move towards left-wing politics and, occasionally, the extreme fascist right.

In the past, Greek democracy often suffered from polarized and extreme politics. But the reasons were endogenous and had to do with the balance of power between the military, the monarchy and party politics, and the reactions of those who were excluded and wanted to participate in the political process. Politics in post-civil war Greece was a clear example of polarization and political exclusion.

For the first time since the 1974 transition to democracy, Greek democracy has experienced an unprecedented level of development and consolidation which is inter-connected with the country's membership of the European Community. Ironically, it is the source of Greece's democratic strength that threatens today the achievement of the past four decades. For the first time, the threat to Greece's democracy comes from the club of western democratic states, who treasure liberty, promote and assist democracy and use their normative soft power in international politics. It is a democratic German ruling political class, a democratic government fully accountable to its citizens, which recommends a commissioner, suggests that technocratic governments are maybe more efficient and is afraid of Greek national elections.

It is the eurogroup of the democratically elected financial ministers of the rich, prosperous northern European countries that is curtailing the choices of a free government and are demanding the strict supervision of a fellow member state. Greek democracy is threatened by the very entity that contributed to its consolidation. Greek democracy is not in danger of falling into the hands of the military because the Greek military is confined to its barracks, is well under civilian rule and military rulers have no interest in political intervention -- not that there is any political power left to seize anyway. The danger to Greece's democracy comes from abroad, where the urge for the economic competitiveness of the country through internal devaluation is hurting political competitiveness and freedom of choice.

Since its inception as an independent state, Greece has looked to the west to improve its democracy, for the emulation of models in the state administration and education and legal systems. The West has been the main orientation of a country on the periphery of Europe's geography, which provided the templates for reform and modernization.

More recently, the accession into the European Community unleashed all the benevolent forces of Greek democracy in the company of the most advanced democracies of the world. And countless times, Greece and other southern European countries were presented as excellent examples of democratic consolidation, examples to be followed by the post-communist central and east European states. The European Union has been the beacon of constitutional practices, human rights, party political competition, and the main source of strength of the international standing of its member states.

What we are seeing now in Greece is democratic regression to pre-membership levels, polarized politics, the undermining of the ruling classes and the loss of national sovereignty. Soon the country will urgently need a "pre-accession strategy" of political reconstruction, next to a much-required strategy for economic growth.

The opinions expressed in this commentary are solely those of Othon Anastasakis.

@highlight

Financial crisis is attacking the heart of Greek democracy and sovereignty

@highlight

Greek politics are increasingly dominated by extremists on both sides

@highlight

Finance ministers of northern Europe are curtailing the choices of a free government

@highlight

Greece is now democratically regressing to pre-European Community membership levels