(CNN) -- On the northern banks of the Thames Estuary outside London, a soft tide laps against the perimeter of Britain's latest multi-billion dollar development project.

Situated just 25 miles downriver from the ornate splendor of the Houses of Parliament and the suave sophistication of the Shard Tower, the DP World London Gateway is a new deep-sea container port that will welcome its first vessel at the beginning of November.

The 995 acre site has taken more than three years to construct, carries a price tag of Â£1.5 billion ($2.4 billion) and has the advanced technological capabilities to host the ever increasing heft of the world's biggest ships.

See also: Where is the world's busiest airport

Although other UK container ports such as Felixstowe have greater capacity --processing 3.74 million TEU (20-foot Equivalent Units) in 2011, according to the World Shipping Council, compared to London Gateway's 3.5 million TEU annual limit -- the team behind the Thames project believe their location and state-of-the-art facilities will give them a competitive edge.

"This will be a world class port that the UK will be proud of, a national asset, " said London Gateway CEO, Simon Moore. "(We're) trying to bring the biggest ships in the world as close as we can to the biggest point of consumption which is here and in the southeast."

Bigger and better?

A pier 2.7 kilometers (1.68 miles) long with six separate deep-water berths ensures giant vessels like the CMA CGM Marco Polo and the recently launched Maersk Triple E class of ships -- which require deeper berths and giant high-speed cranes to reach across vast vessel decks -- will be able to dock there (although there are currently no arrangements for the Triple E to come to the UK).

An extensive new set of road, railway and hinterland infrastructure services, meanwhile, will keep all goods moving rapidly towards their final destinations.

See also: 8 of the world's biggest infrastructure projects

According to London Gateway supply chain manager, Peter Ward, it is important the UK has these advanced facilities to ensure it isn't cut off or isolated from its trading partners.

"The ships that are out there are getting bigger and it's necessary that we have this kind of infrastructure to handle the UK's global trade," Ward said.

As it stands, only a handful of other ports around the world have the infrastructure to host behemoths like the Triple E and Marco Polo.

The Triple E is currently the world's largest vessel, stretching 400 meters in length with a record container capacity of 18,000 TEUs. Although it was only delivered in June there are already rumors of even bigger ships in the pipeline.

In an interview with CNN earlier this year Maersk's COO, Morten H. Engelstoft, said the Danish firm will seek to utilize the Triple E class over other vessels in the Maersk fleet on its AE10 Asia to Europe route because they are cheaper to operate, provide greater economies of scale and are more fuel efficient.

A knock-on effect of such policies, some industry experts claim, is that ports along the way will have to adapt their facilities (or start from scratch in the case of London Gateway) to cater for the increased importance of these giant ships.

See also: Introducing the world's biggest ship

According to Professor Kevin Cullinane of Napier University's Transport Research Institute, the largest ports will be forced to react purely because of the market influence of large firms such as Maersk.

"In the case of Maersk being the first to (introduce these large ships) bigger ports will have to respond as they wield such clout, especially in that market of Asia and Europe," Cullinane said.

He points to a dispute between Maersk and the Port of Singapore in the year 2000 when the Danish firm moved its local operations to nearby Malaysia as a warning of what may happen if ports don't respond to the needs of the biggest shipping companies.

Ports of call

While some are convinced that larger ships will have a huge impact on future port development, others aren't so sure.

Marc Levinson, the author of the "The Box: How the Shipping Container Made the World Smaller and the World Economy Bigger," believes larger ships won't necessarily mean all ports have to invest in new dredging or crane facilities or face being cast adrift.

"The ship lines would like to promote the idea that a port that can't cater for the very largest vessels would be in trouble," he explained, "(but) there is already a significant problem with overcapacity at ports around the world."

Levinson also points out that there are limitations on where the largest ships can travel that limits their use outside of very particular routes.

The Triple E class is too big for any port in the United States whilst the very largest ships still won't be able to fit through the Panama Canal even after its $5.25 billion expansion is completed later this year.

See also: Can Gondolas cut city traffic

The changing nature of global trade meanwhile means that in years to come the busy Asia to Europe routes may not be as important as they are today.

"We are already seeing that important pieces of manufacturing are beginning to shift from China and East Asia to Africa," Levinson said.

"Africa's ports aren't in a position to have Triple Es. They're going to have smaller vessels that can service the East coast of the U.S. and Europe as there will be a lot of trade there."

"The Triple Es and similarly large ships will be important going forward but there are going to be vessels of smaller sizes that will still have an important role within the industry," he added.

@highlight

London Gateway is a new deep water container port on the Thames Estuary near London

@highlight

The giant facility will be able to cater for the world's largest ships

@highlight

Many existing ports are being forced to adapt their facilities to cope with the ever increasing size of container ships