(CNN) -- Order has been restored in South Sudan after fighting that left about 500 people dead, the Ministry of Foreign Affairs said Wednesday.

Government forces are now in charge of the situation, and flights have resumed at Juba International Airport, the ministry said.

The United Nations, however, is warning that the crisis is not over. Joseph Contreras, U.N. acting spokesman on South Sudan, said, "It is a very, very fluid situation, so I don't think the country is out of the woods yet."

U.N. Secretary-General Ban Ki-moon also spoke Tuesday of being "deeply concerned" about South Sudan.

"There is a risk of this violence spreading to other states, and we have already seen some signs of this," Ban said.

Meanwhile, the South Sudanese government said its forces are in "absolute control of the situation" and that Sunday's coup attempt was not based on ethnic divisions but rather on "the power ambitions" of the coup plotters.

About 800 more people have been wounded in the violence, Information Minister Michael Makuei Lueth said earlier. He said bodies are still being found in forests and many of those who were wounded are dying in hospitals.

Deadly clashes in Africa's newest nation began Sunday evening. President Salva Kiir later said his forces had halted a coup attempt.

U.N. officials have expressed deep concern about the unrest, saying between 15,000 and 20,000 people have taken shelter in the organization's compounds in the capital, Juba.

"There are many, many people who have run away, and there are also people who have been killed," one woman who fled the fighting said. "Now there is a woman who has a baby who was shot in the back and died."

In Bor, a town 87 miles north of Juba, the South Sudan Red Cross reported 19 civilians were killed, said U.N. spokesman Martin Nesirky. Meanwhile, about 800 people gathered at a U.N. camp in Bor to seek protection, he added.

Gunfire was still ringing out in Juba as recently as Tuesday. But Makuei said Wednesday the situation in the city had returned to normal, with people returning to work, flights resuming and government offices opening.

He said the rebels who have clashed with government forces had moved closer to the Nile River.

Fears of ethnic tensions

U.N. officials have said they are worried the recent fighting is based on ethnic divisions.

Makuei disputed that suggestion, saying people from different states and tribes rose up against the government, which is now fighting back.

In a televised address Monday, Kiir blamed soldiers loyal to his sacked deputy, Riek Machar, for starting the fighting Sunday evening.

Ten people were arrested in connection with the foiled coup and five others are still at large, according to a statement posted Tuesday on the South Sudan government website. Those five include Machar, the government said on its Twitter account.

U.N. leader Ban spoke with Kiir by phone Tuesday, expressing his concern about the fighting.

"I spoke to President Salva Kiir yesterday morning, urging him to do everything possible he can to end the violence and to ensure respect for human rights and the rule of law," Ban told reporters in New York on Wednesday. "I also impressed on him the need to resume dialogue with the political opposition. I welcome the reports this morning that President Salva Kiir is willing to enter into such talks."

He urged "all parties to cease hostilities immediately" and called on the government to "exercise restraint in the management of the situation and to guarantee the protection of all civilians regardless of their ethnicities," the United Nations said.

Medical crisis

The International Committee of the Red Cross has said it is providing Juba's two major hospitals with support, such as wound-dressing materials, to cope with the heavy influx of patients.

More than 300 people have been admitted to Juba Teaching Hospital and Juba Military Hospital over the past two days, the organization said Tuesday.

"We know there are more people who need care, but they are having difficulty reaching health care facilities because of the security situation and the lack of available transportation," Felicity Gapes, a Red Cross delegate leading the medical response on the ground, said in a prepared statement.

The State Department said U.S. citizens in South Sudan should leave immediately and ordered the departure of nonemergency U.S. government personnel from the country.

In a tweet, the U.S. Mission in Juba said an evacuation flight for Wednesday was full. With a dusk-to-dawn curfew in effect, it said the airport would close at 5.30 p.m. locally.

Britain's Foreign Office announced the temporary withdrawal of some embassy staff and dependents.

Kiir's dismissal of his Cabinet in July further inflamed deep tensions between his Dinka community and Machar's Nuer community.

South Sudan formally split from Sudan in 2011 after a referendum, following decades of conflict. Numerous armed groups remain active in the oil-rich country.

Britain's minister for Africa, Mark Simmonds, urged leaders on all sides to end hostilities and for civilians to be protected.

"After years of conflict, the people of South Sudan expect their leaders to resolve their differences through political, instead of military, means," he said in a prepared statement. "Unless there is restraint from all sides it will be impossible to move the country further towards true national reconciliation."

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

CNN's Aliza Kassim, Nana Karikari-apau, Khushbu Shah and Michael Martinez contributed to this report.

@highlight

NEW: U.N. leader says South Sudan violence shows "some signs" of spreading

@highlight

NEW: South Sudan Red Cross reports 19 killed in Bor, U.N. says

@highlight

NEW: U.N.'s Ban Ki-moon urges president to end the violence that has killed 500

@highlight

NEW: South Sudan government must resume dialogue with opposition, Ban adds