(CNN) -- A whole lot of us are stuck with credit-card debt that goes up each month, mortgages worth more than our homes and student loans that extend into infinity. So it's only natural that we look at the debt crisis from the bottom up: from the perspective of the 99% who are getting screwed.

But what if we instead looked at this whole mess from the top down, from the point of view of the 1%: the billionaires and venture capitalists in Mitt Romney's world? Maybe, just maybe, their problem is our problem.

In fact, as I have come to see it, short of civilization-ending revolution, solving the debt crisis might actually mean saving the 1%.

They have the power and the money, they own our government, and they won't go down without taking everyone and everything else with them. Instead of backing them even further into the corner of fear and defensiveness, we need to help them find a way out. And that means helping them understand how they got there.

The debt crisis is not entirely President Bush's or President Obama's fault. It's not even Congress' fault. It actually resulted from a short-term "fix" to the economy made about 700 years ago.

See, for pretty much the entire first millennium -- what we call the Middle Ages -- the 00.01%, the feudal lords, enjoyed total control over the land and its people. The 99.99% worked the land and served the lords, who created no value at all. But by around 1100, the Crusades moved a whole lot of people and stuff around Europe. Peasants were exposed to sugar, cotton and all sorts of new weaving and milling technologies for the first time. Former peasant farmers started to get smarter and more productive. They established market days and traded what they grew and made with one another. They invented local currencies to store and exchange value instead of bartering.

Local currency then worked very differently from the money we use today. Someone would simply bring grain they harvested to the grain store, and come out with a foil receipt. The receipt could be broken into smaller pieces, which served as money. Since some grain was lost to spoilage, the currency's value went down over time. This meant it had to be spent instead of saved. So the money circulated very rapidly.

People got wealthy, invested in upkeep on their windmills, paid one another good wages, and got taller. Little towns got so rich that they built cathedrals. That's how a peer-to-peer economy works.

Watch: "Pawning" for rich people

But the aristocrats weren't participating in any of this wealth. Without a dependent peasant class, they had no way to survive. They didn't know how to do anything themselves. They needed a way to make money simply by having money. So they came up with some ways to force new kinds of dependence.

Their first trick was to outlaw local currency. If people wanted to trade among themselves, they would have to borrow money from the central treasury, with interest. Wars were fought, blood was spilled, but they got their way. We have all but forgotten that the money we use today is a monopoly currency that costs us more than it's worth.

The second great idea was the chartered monopoly: the corporation. It gave just one firm -- one friend of the king -- the authority to do business in a certain industry. The British East India Trading Company, for example, had all rights to cotton in America. A farmer wasn't permitted to sell his cotton to neighbors, or to make it into anything. He had to sell it at fixed prices to the company, which shipped it to England and let some other chartered corporation make mittens and hats, which were then shipped back to America for sale.

That's why we fought the Revolution.

The problem with this scheme is that it works by stifling innovation and competition. The wealthy stay wealthy by extracting value instead of creating it. The more value they extract, the more laws they write protecting the rights and privileges of the extractors. As companies like General Electric realized, it was better to sell off productive assets and become more like a bank. The system was created for people who have money to make money. The value creators are the chumps.

The most surprising victims in this whole saga, however, are the corporations themselves. You think you're scared? Talk to the heads of America's corporations. They have sucked all the money out of the system, and don't know how to create any more. According to Deloitte, asset profitability for American firms has steadily fallen 75% over the last 40 years. In other words, corporations have managed to absorb all the money, but they don't know how to do anything with it. They have no skills, no competencies and no vision.

It's not the 99% who need to retrain themselves in order to get jobs. It's the 1% who need to face the fact that their 600-year workaround of the value creation has reached the very endpoint of diminishing returns. They need to consider whether they might actually make more money at this stage of the game by helping people create value instead of actively preventing it.

What would that look like? Right now, companies like Google, eBay, Square, Kickstarter and even PayPal and Apple are at least pointed in the right direction. They create and sell tools and services that give people and small businesses the ability to create and exchange value with one another again. They understand that real value creation comes by fostering the peer-to-peer transactions of a bottom-up marketplace rather than simply repressing such activity.

But we, the 99%, are the only ones who can show them the way. We need to begin by abandoning the fruitless quest for gainful corporate employment, and instead start working for ourselves and one another. We must stop outsourcing our savings and investments to bankrupt corporations, and instead invest in the people and businesses in our own communities -- however we define those.

In doing so, we will very quickly create demand for the kinds of networks, supply chains and services that only larger companies can provide. We will give the 1% an opportunity to re-educate themselves, to find a path to success, and -- for the first time in centuries -- to experience the guilt-free satisfaction of working for a living.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff says the richest people tend to make money from finance

@highlight

He says historically, aristocracy took control from peasants of currency and its value

@highlight

Over time, they learned how to extract value and forgot how to create it, he says

@highlight

Rushkoff : The 1% could play a key role in new ways of creating value