(CNN) -- On February 14, when Netflix aired Season 2 of "House of Cards," my book, "The Last Great Senate," appeared clearly on the desk of Vice President Francis Underwood in Episode 2. It was as incongruous as it was unexpected.

I can't think of anyone less likely to read, let alone be inspired by, my narrative history about the statesmen of the great Senate than the scheming, diabolical, Underwood.

With the possible exception, that is, of Sen. Mitch McConnell.

McConnell, the Senate Republican leader, seeking his sixth term in the Senate, handily defeated Matt Bevin, his tea party opponent, in the Republican primary on May 20. He has certainly helped the Republican chances of capturing the Senate by spearheading the effort to defeat other potential tea party nominees.

But as McConnell turns to his general election campaign against Alison Grimes, it is a good moment to inventory the extraordinary damage that McConnell has done to the Senate over the past 5Â½ years.

Mitch McConnell did not create the hyper-partisan Senate, which has been in a long downward spiral dating back at least to the mid-1990s. But through a deliberate and calculated political strategy, McConnell drove the Senate to a new low.

When Barack Obama took office in January 2009, America was close to plunging into a second Great Depression. In one month, we lost three quarters of a million jobs. Our national narrative is that Americans come together in times of crisis, but it didn't happen this time.

Obama faced total partisan opposition despite the potential economic catastrophe. On the economic stimulus, health care, financial regulation, and then virtually everything else, Sen. McConnell did everything in his power to keep the Republicans in lockstep opposition.

By any objective measure -- the amount of legislation passed, filibusters conducted, holds applied, executive and judicial nominations blocked -- the Senate has become a more dyspeptic and dysfunctional institution.

Again and again, the Senate has failed to fulfill its role as what Walter Mondale once described as "the nation's mediator." Thoughtful debate, principled compromise, and pursuit of the national interest have all been subordinated to the permanent campaign for partisan advantage.

It has been a particularly cynical strategy because McConnell knows what the Senate should be. Unlike his predecessors, Trent Lott, who hated the Senate when he arrived and resolved to make it more like the partisan, hard-edged House, and Bill Frist, who never really understood it, McConnell grew up in the great Senate of the 1960s and 1970s.

In recent speeches and articles, he has invoked the name of Mike Mansfield, the longest-serving Senate majority leader, capturing the essence of Mansfield's leadership quite precisely by noting that Mansfield had built a Senate based on "mutual trust and respect."

Mansfield lived by the Golden Rule and treated everyone -- Democrats and Republicans, veteran senators and new arrivals -- the way he expected to be treated. Although he was a strong Democrat, bipartisanship radiated from Mansfield, who ate breakfast every morning with his best friend, Republican Sen. George Aiken.

He understood that America has one president at a time, and Senate leaders have a special responsibility to work with the president, regardless of party. Mansfield was one of President John Kennedy's closest friends, but he had at least 27 private meetings with President Richard Nixon, and kept his confidences despite their sharp differences on many issues.

He was admired for his great knowledge of the world, particularly Asia. He understood that the Senate was the place where senators had to subordinate their individual agendas, to take collective action through principled compromise. In Mansfield's Senate, pursuit of the national interest and commitment to the institution of the Senate were paramount.

No Senate leader could differ more from Mike Mansfield than Mitch McConnell. He has shown constant and visible contempt for the President. He has denounced those who disagree with him on campaign finance disclosure as "liberal thugs." He has opposed, or reneged on, every deal struck to make the Senate process nominations more swiftly.

He famously said that his highest priority was denying re-election to Obama, when in fact his highest priority should have been making the Senate work in the interests of the country. He personifies the unwillingness of many Republicans to accept the results of presidential elections that they lose, and repeatedly, he has been willing to deadlock the Senate for partisan purposes.

The Republican response to criticisms of McConnell has been to attack Majority Leader Harry Reid. But there are light years of differences between Reid. Reid is attempting to run the Senate and enact the legislative program of the President, while McConnell is practicing a strategy of total and utter obstruction.

The contrast calls to mind the famous comment of Speaker Sam Rayburn: "Any jackass can kick down a barn, but it takes a carpenter to build one."

To be sure, the partisan divide in the Senate is far larger than it was in the 1960s, 1970s and 1980s. But that reality makes it crucial to have leaders who can bridge those differences to move the country forward.

Sen. McConnell has chosen to exacerbate partisan differences rather than overcome them. Starting in 2013, it was quite clear that many senators -- Democratic and Republican -- shared the anger of the public about the dysfunctional Senate. They were committed to helping the Senate return to "regular order": legislating through committees, consideration of amendments, vigorous debate and principled compromise.

The Senate showed signs of breaking through the gridlock on a series of issues, including immigration, the budget, the farm bill, and consideration of executive nominations. Progress occurred as Senate Republicans -- veterans and new arrivals -- came forward to work in a constructive, bipartisan fashion.

They have always had to work around McConnell. Leaders set the tone, and virtually every serious observer thinks that the Senate would be a far different place if the Republicans were led by someone else, such as Lamar Alexander, Rob Portman, Susan Collins or Bob Corker.

In 2012, McConnell was measuring the drapes in the Majority Leader's office, when the nation re-elected President Obama and rejected the Republican strategy of obstruction and extremism.

Now he is betting on the President's diminished poll numbers and the impact of a lower Democratic turnout, presenting himself as a leader who can make the Senate function again.

It turns out that McConnell does share one thing with the President that he disdains: the audacity of hope. He has the audacity to claim to be a restorer of the Senate, and the hope that people will forget the record of the past 5Â½ years.

The voters of Kentucky will decide whether he gets another term, but the verdict on the damage he has caused in the Senate is already in.

Join us on Facebook.com/CNNOpinion.

@highlight

Ira Shapiro says Senate is much more divisive place because of Mitch McConnell

@highlight

He argues that the traditions of the Senate have been about "mutual trust and respect"

@highlight

The Republican Minority Leader has, says Shapiro, taken the Senate to a new low

@highlight

McConnell won GOP primary for his Senate seat, will face Democrat Alison Grimes