(CNN)  -- A decade-long civil war wrecked Sierra Leone's economy, but now a juice business could provide a blueprint of how to add value to the country's exports.

Although the civil war in Sierra Leone ended nine years ago, it is only now that the country's first significant value-added export has emerged. Africa Felix Juice produces juice concentrate from mango and pineapple farmed throughout Sierra Leone and exports it internationally.

The company is working from a special economic zone, in the form of a 54-acre low-tax industrial park, built just outside of the capital Freetown. It is designed to attract foreign interest and although similar zones exist in other parts of Africa, this project is a first for Sierra Leone.

The zone was set up by First Step -- a commercial subsidiary of the American NGO World Hope International.

First Step discovered that many farmers in Sierra Leone struggle to turn their fresh produce into money and that a lot of fruit ends up unsold or left rotting on the ground.

Sierra Leone's Deputy Minister of Information Sheka Tarawalie admits: "We have fruits like mangos, pineapples all over the country, but they are being wasted, and there is not much value added to these resources."

First Step's industrial park is intended to house factories that can process Sierra Leone's natural resources, rather than simply exporting them.

Richard Schroeder, First Step's CEO, sees the industrial park as a logical solution to help develop new business in the country.

He says: "We're just making it possible for businesses to easily establish and employ people to start processing resources locally instead of what always happens in Africa, which is, it's seen as a source of natural resources.

"Natural resources are dug up, brought some place else, cut down or taken out of the water, and processed and sent back to Africa or other places in the world, when the real value addition is, where jobs are created, where income is created -- where an economy can really find its engine."

There are stringent selection criteria for potential tenants to obtain a plot in the industrial park.

"There has to be a commitment to not only the financial bottom line," says Schroeder. "We're looking for tenants that also are passionate and care about their impact in terms of social impact and environmental impact."

Africa Felix Juice is now the first tenant and enjoys a three-year tax holiday, along with security, electricity and water supplies.

Majority-owned by First Step, Africa Felix was founded by Claudio Scotto. Its mission is, "to become a pioneer and leader in the Fairtrade tropical fruit juice concentrate market in the EU."

It pays farmers about $250 to $300 for each tree harvest--- a substantial jump from the $15 they would get at the local market.

Africa Felix Juice eventually plans to directly employ close to 100 Sierra Leoneans and provide a market for nearly 1,000 small farmers throughout the country.

"We're targeting the fair-trade niche of the business, obviously, because Sierra Leone has a difficult past," says Claudio.

"A fruit juice coming from Sierra Leone, we think, will have a very good impact into European consumers that can now choose something tangible coming from a place that they were thinking is only war, famine and death," he added.

Although special economic zones have been successful in Asia, some analysts have voiced concern that they won't work in countries without a well-developed labor force or infrastructure.

But with Africa Felix Juice up and running, and farmers receiving increased profits, the success of the project has not gone unnoticed.

"First Step is doing something that is historic, is unheard of in contemporary history in our country," says Tarawalie. "And they're changing the lives of people in the sense that they can see development taking place in our own lifetime."

He says he hopes Africa Felix Juice and the special economic zone will act as a catalyst for potential investors, demonstrating that, "we have created an enabling environment for companies to come in and do their business without hindrance."

@highlight

Special economic zone is a first for Sierra Leone

@highlight

It is intended to house factories that can process Sierra Leone's natural resources

@highlight

Africa Felix Juice is the first tenant and enjoys a three-year tax holiday