ISTANBUL, Turkey (CNN)  -- Sevket Sahintas works the night shift driving his taxi around Istanbul, Turkey, from midnight until dawn.

Sevket Sahintas says he didn't know anything about photography when he began snapping photos.

His route takes him past symbols of wealth old and new: the ornate carved stone gates of a 19th-century Ottoman sultan's palace, the gleaming high-rises in the city's rapidly growing financial district.

Periodically, Sahintas stops his yellow cab not for customers, but for photos.

Under a roaring overpass, he steps out of his vehicle and walks across the street to two homeless men who sleep huddled on the concrete under a blanket next to a half-finished plastic bottle of water.

Sahintas pauses for a moment and presses a button on his small camera. A flash erupts, then he turns and walks slowly back to the car.

In addition to being a cabbie, Sahintas is a self-taught photographer. He focuses his lens on the poorest segments of Istanbul's society. Sahintas, who began driving a taxi when he was 19, said he started taking photos five years ago when he began working the night shift.  Watch Sahintas as he photographs street scenes »

"I saw people on the street in winter. They were cold at night," he said. "To make their voices heard, I wanted to buy a camera and show that these people are living in difficult conditions. That's how it started."

Sahintas takes photos of homeless people, who often sleep barefoot in bus stops next to billboards where smiling models advertise everything from ice cream bars to credit cards.  See the streets through Sahintas' lens »

"I like to capture those contradictions," he said. "Happy smiling people on the ad boards beside that unhappy person who is trying to sleep. I want the happy people to see that minority and do something about it."

Sahintas also takes black-and-white portraits of the other characters who roam Istanbul's streets at night: dirty street children, garbage pickers, transvestite prostitutes.

Eventually, Sahintas' nocturnal perspective on Turkey's largest city began attracting attention, both at home and overseas. This month, an exhibit of his photos titled "The Other Side of the Night," is on display in an Istanbul gallery.

"Basically, we were amazed by his photos," said Anna Heidenhain, one of the directors of Manzara Perspectives, the art program displaying Sahintas' work. She compares his photographs to the social documentary form of photography that rose to prominence in the 1930s. iReport.com: Share your view of the world

But Sahintas is the first to acknowledge he approached photography as an amateur.

"I didn't know anything about photography," he said. "I didn't know any technical terms, just an on and an off button."

He keeps an eye out for subjects while driving Istanbul's winding streets.

At 2 a.m., he spotted a freelance garbage-picker patrolling Istanbul and hauling giant rolling carts through traffic.

Sahintas stopped and met with the man, named Yasar, and offered him a cigarette. Yasar told Sahintas he scavenges packing paper and cardboard boxes from garbage bins for resale to private recycling companies. Working until dawn, he can make the equivalent of $7 a night to feed his family of six.

"We are struggling to earn enough money to buy bread," Yasar said, before trundling off into the night with his cargo of paper, a lit cigarette hanging from his lips.

This week Turkey, one of the world's 20 wealthiest economies, is holding an annual meeting of the World Bank and the International Monetary Fund. The delegates are expected to discuss ways to battle poverty and strategies to prevent a repeat of last year's global economic crisis.

But Sahintas disagrees with experts who rate economies based on gross domestic product.

A country's wealth "should be related to how that money is distributed," he said. "If all the money is controlled by a few monopolies, I believe it shows a country's poverty, not its wealth."

Sahintas' work highlights the huge income gap in Turkish society. Even though the Turkish economy enjoyed steady growth for much of the past decade, the latest government statistics show that nearly one in five Turks live below the poverty line. During the past year, the economic crisis pummeled Turkey's export-driven industries, pushing unemployment to record highs.

The downturn has hit many Turks -- from Istanbul's garbage-pickers, who say there is less useful trash to scavenge, to the city's cabbies, who complain that fewer customers can afford their services.

Still, at the station from where Sahintas operates his cab, taxi drivers are quick to heap praise on their colleague.

"We are proud of our friend. We like his pictures, as well," Tolga Donmez said between glasses of steaming hot Turkish tea. "He makes us want to learn new skills, as well."

Despite the attention, Sahintas doesn't make enough money from his photos to earn a living. For that, the photographer has to work the night shift in his yellow cab.

@highlight

Cabbie's familiarity with cameras once consisted only of "an on and an off button"

@highlight

Sevket Sahintas garnering attention for photos taken on his night shift

@highlight

Fellow cabbie says, "He makes us want to learn new skills, as well"

@highlight

Sahintas wants Istanbul's "happy people" to see how cold, poor residents live