(CNET)  -- Are you confused by the myriad changes Facebook keeps making to its privacy settings?

Are you angry about your data being exposed without your express consent? Are you just fed up and not going to take it anymore?

You're not alone. A recent poll from Sophos found that an estimated 60 percent of users are considering quitting Facebook over privacy issues.

More than 11,000 people have committed to ditching the social-networking site on May 31, according to QuitFacebookDay.com. And more people are searching Google for ways to delete their Facebook accounts than ever, according to the Search Engine Land blog.

But leaving Facebook can be almost as confusing as navigating the privacy backwaters on the site.

Here are some tips on deleting your account and answers to questions about what that means for your data, and more.

What's the difference between deleting and deactivating a Facebook account?

Deactivation means the profile information and content are hidden from view of others but are saved on Facebook servers in case you want to reactivate the profile. Messages you've sent and Wall posts remain, but your name appears in black text that is not clickable since your profile is now hidden.

Deleting an account removes it from the site permanently and you have to start from scratch if you decide later that you want to be on Facebook again. There is a 14-day delay before the data is completely deleted to give users time to change their mind. If you change your mind you can merely log into the account and the deletion request will be canceled.

How do I deactivate my account?

Click the Account tab in the upper right-hand corner of your main page. The Settings tab should be highlighted and there is a Deactivate link at the very bottom of the list.

When you click it, you will be asked if you are sure you want to deactivate your account and why you are doing so. You will also be shown photos of you with friends with accompanying messages that say "(Your friend here) will miss you."

There is also a box to check at the bottom to opt out of receiving e-mails from Facebook if friends tag you in photos or invite you to join the site.

How do I delete my Facebook account?

It's not as easy to find out how to delete your account. I clicked on the Account tab and then Help Center and typed in "delete account" in the search window. Under the question prompt "How do I permanently delete my account" there is a link to this page where you can click the Submit button or the Cancel button.

What happens to my data after I delete my account?

According to this Facebook Help Center page all personally identifiable information associated with your account will be purged from Facebook's database if you choose to permanently delete the account.

"This includes information like your name, e-mail address, mailing address, and IM screen name," the site says. "Copies of some material (photos, notes, etc.) may remain in our servers for technical reasons, but this material is disassociated from any personal identifiers and completely inaccessible to other users. Facebook also does not use content associated with accounts that have been deactivated or deleted."

I asked a Facebook spokesman why copies would need to be kept at all and for how long, exactly when all traces of the data are gone entirely, and whether any data remain on any servers of partners, and if so for how long?

Here is his reply:

"When a photo or video is deleted, or when a person deletes his or her account, we quickly delete all of the metadata for the photo as well as any and all tagging and linking information.

For all practical purposes, the photo no longer exists, and we wouldn't be able find it if we were asked or even compelled to do so. This is similar to what happens when you delete information from the hard drive of your computer. Technically, the bits that make up the photo persist somewhere, but, again, the photo is impossible to find.

It's possible that someone who previously had access to a photo and saved the direct URL from our content delivery network partner (this is different from the Facebook URL) could still access the photo. However, again, the person would have to know the URL, and the photo only exists in the CDN's (content delivery network's) cache for a limited amount of time."

If I'm not ready to leave Facebook what can I do?

You can shore up your privacy settings and hope that Facebook doesn't make any new modifications that will undo what you've specified. There are several tools that can automatically check your Facebook settings and set them to the most private option, including browser bookmark tool SaveFace and a Facebook privacy scanner available at ReclaimPrivacy.org.

Or you can do it yourself in a number of steps. First, make sure the default setting for different types of information you have on your page -- particularly Posts by Me -- is not set to the default of "everyone," which means everyone on the Internet.

Click the Account tab at the top right of your profile page and click Privacy Settings. From there you can set the information in Personal Information and Posts, as well as Contact Information, and Friends, Tags, and Connections to a range of options from "everyone" to "only me." You also need to set privacy for each of your photo albums, under the Personal Information and Posts section.

Under the Search option you can specify who can see your search result on Facebook and allow or disallow search engines to display a preview of your Facebook profile.

The Applications and Websites section lets you control how much of your information friends and applications can see and share. There you can opt out of the Instant Personalization setting, which allows partner sites like Yelp and Pandora to provide a customized experience when you visit their sites based on your Facebook activities.

To block ads from sharing your information you can click Account Settings from the top-right Account tab on your main page and click the Facebook Ads tab and switch it to the default "only my friends" to "no one." The Huffington Post has a helpful video that walks through all of these steps.

And if you want to just make a statement but not leave the site, you can join the Facebook Protest movement and avoid logging on June 6.

What other social-networking sites are there?

Wikipedia has a long list of potential alternatives, but none of them are as popular as Facebook, which boasts 400 million active users. A social network is only as useful as the number of friends or relevant contacts it has and it would be tough to get your friends to move en masse to another site.

One upcoming promising option is Diaspora, which calls itself "the privacy aware, personally controlled, do-it-all distributed open-source social network" and was started in response to the Facebook's problems. The creators are raising money to finish the site and had reached the $100,000 mark on May 13, but it's unclear when it will be up and running.

What does Facebook say about all of this?

Company executives realize there is a backlash and that they've got a public relations problem on their hands. They held a companywide meeting last week to assuage the concerns of the rank and file.

A Facebook spokesman said he could not provide an executive to discuss the privacy issues with CNET this week.

However, Elliot Schrage, Facebook's vice president of public policy, answered reader questions on The New York Times site last week. "Clearly, we need to rethink the tempo of change and how we communicate it," he said. "Trust me. We'll do better."

Asked why the company doesn't put the control in the hands of its users with an opt-in policy, Schrage said: "Everything is opt-in on Facebook. Participating in the service is a choice...Please don't share if you're not comfortable. That said, we certainly will continue to work to improve the ease and access of controls to make more people more comfortable."

What does the government say?

So far, there have been no Congressional hearings or battle cries from Washington, D.C., but there have been some complaints lodged. More than a dozen privacy and consumer groups complained to then Federal Trade Commission about Facebook late last year. And more recently, Sen. Charles Schumer of New York has asked the agency to question Facebook about its privacy practices.

What's all the fuss, anyway?

This interactive site entitled "The Evolution of Privacy on Facebook" shows visually exactly how site changes to the privacy settings over time have encroached on users' privacy, revealing more of their data to more and more people.

Facebook is obviously making a business decision to expose more member content that can be monetized. Web surfers are used to dealing with the privacy versus profit trade-off, but what really irks them is that with each modification, users have to go back in and redo their settings or risk having photos, contact information, and other data exposed to the public that they want only friends to see.

Ted Weinstein, a San Francisco-based literary agent, said he is annoyed that Facebook keeps changing the rules on privacy and he has removed almost everything from his profile bit by bit. But he's reluctant to entirely cut ties with all of his contacts on the site.

"I don't want to throw those (Facebook contact) linkages away lightly. So I have removed material I'm not comfortable having everybody I've ever connected with having access to," he said in an interview. "I don't have confidence that Facebook won't make changes that make my prior settings irrelevant."

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Poll says 60 percent of users are considering quitting Facebook over privacy issues

@highlight

Deactivation means profile info and content are hidden from view but are saved on servers

@highlight

Facebook execs recognize the backlash and that they've got a PR problem