New York, NY (CNN) -- It would be wonderful to say that in 2013 things were looking up for women in Hollywood -- both onscreen and behind the scenes -- but the sad news is that the numbers have remained consistently dismal for the last decade. In 2012, in the US, women made up 18% of the directors, executive producers, producers, writers, cinematographers, and editors working on the top 250 domestic grossing films. And women directors accounted for just 9%.

It's clear that Hollywood has a woman problem. It's not just that they don't trust the vision of a woman to direct; they don't trust that people want to see our stories. There's a prevailing sense that male stories are universal, for everyone, and that women's stories are just for women.

Just look around at your local movie theater and you will see that the male action superhero films have become the dominant narratives of our time. Just this summer, we have already seen the release of the latest versions of "Superman", "Iron Man", "Star Trek", "The Fast and the Furious", and still to come are "The Lone Ranger", "Thor", "Grown Ups", "The Wolverine" among many, many others. The message is loud and clear -- these are the movies that matter -- not only to Hollywood, but, increasingly to the world, as the international box office now accounts for almost 70% of the grosses of these films. And none of the films above are directed by women.

The reality that female directors and producers and writers deal with is the ongoing perception that women will go see movies about men and that men won't go see stories about women. The success of "Bridesmaids" in 2011 helped diminish the case slightly, as did "The Hunger Games" in 2012. But even though women buy half the movie tickets, this perception persists especially for those who want to tell women's stories.

Another problem is that because there are so few movies about women, the ones that are released are held up to absurd scrutiny. If you fail the entire gender is blamed and we take two steps back, but on the other hand, if you are a success you can't get a sequel made because women's successes are still seen as flukes. We are stuck in a catch 22.

It is worth noting that this summer in the sea of superhero films, there are only two films with women leads being distributed by the major studios. "The Heat" is an original comedy, written by a woman Katie Dippold and directed by Paul Feig, the director of "Bridesmaids". It stars Sandra Bullock and Melissa McCarthy both at the top of their game in a genuinely hysterical film. "City of Bones: The Mortal Instruments" is the latest attempt to build off the success of the "Twilight" franchise.

While neither of the movies being released by the studios is directed by a woman, there are a handful of women directed films you can see this summer, at least here in the US. We have films from Sofia Coppola, Susan Seidelman, Margarethe von Trotta, Shari Springer Berman, Rama Burshtein, Jerusha Hess, Katie Aselton, Maggie Carey and Lake Bell. The problem is that all of these films are small, don't have superheroes flying or cities blowing up. These films will be available on a limited amount of screens, so you need to live in place that has more than just a local multiplex or else you will easily miss these films and your entire summer can go by without seeing a single film by a female director.

But even though the statistics are still dismal, there are women breaking through all across Hollywood. The reality is that there are women decision makers at all levels in the business. Amy Pascal has been successful as the head of Sony for several years. And just last week a new three person team was named to run Warner Brothers and it includes a woman -- Sue Kroll. And let's not forget Kathryn Bigelow who broke through and became the first female to win an Oscar for best director. She can make any movie she wants at any studio. But she chose to make her last film "Zero Dark Thirty" with an independent producer Megan Ellison, who has made quite a name for herself over the last couple of years. And while there are still not enough women directed films at the top tier festivals, this year for the first time at the Sundance Film Festival there was parity in both the US documentary and feature competitions.

But we need more women and more female role models as directors because movies have such power in our culture. They are a reflection of who we are and what we value. They are what we talk about at work on Monday morning. They are how we socialize. When we don't see women, and we don't see women's stories, we get the message that women don't matter as much, that our stories don't count, that our experiences are less valid. And that's something that is just not acceptable.

@highlight

Author Melissa Silverstein highlights Hollywood's women problem in her new book

@highlight

Women directors accounted for just 9% of Hollywood blockbusters in 2012

@highlight

More female directors needed to reflect women's voice, says Silverstein