ANAHEIM, California (CNN) -- As he fixes a broken sliding glass door at an apartment in Anaheim, California, Eduardo Gutierrez worries about his parents in Mexico.

Eduardo Gutierrez can't send money back to his parents in Mexico due to rising costs and less work.

He can no longer afford to send the $200 to $300 a month he had been sending back home to support his ailing father.

"I kind of feel bad that I can't help my parents," said Gutierrez, a legal immigrant who has worked in the United States for 20 years. "I try. But I can't these days, and it's a tough situation."

Gutierrez said he earns $18.50 an hour as a glazier, installer and fixer of glass in all shapes and sizes.

But with the U.S. economy sagging, his hours have shrunk, even as his gas and grocery bills have skyrocketed along with other expenses. He's struggling just to support his wife and three children.  Watch bad times in the U.S. felt in Mexico »

Bank of Mexico, Mexico's equivalent to the Federal Reserve, says stories like these are becoming more common. Deceleration in the U.S. construction industry resulted in $100 million less in "remittances" -- money from workers in the U.S. to their relatives in Mexico -- in January this year, the most recent available stats. The overall figure went from $1.7 billion in January 2007 to $1.6 billion this January, according to Bank of Mexico.

The slowdown in such money has been a consistent theme over the last year. The World Bank says remittances received by people in Mexico nearly ground to a halt in 2007, growing at a rate of 1.4 percent, compared with more than 20 percent annual growth from 2002 to 2006.

"The slowdown in Mexico is partly due to the weak job market in the United States, especially in the construction sector," the World Bank says on its Web site.

A poll, released Wednesday, of 5,000 Latin American adults living in the United States found that only 50 percent of respondents were still sending money on a regular basis to loved ones, down from 73 percent in a similar poll conducted in 2006. The poll was conducted in February by the Inter-American Development Bank's Multilateral Investment Fund.  See the rise of immigrants from Latin America »

What does that mean to families in Mexico counting on the payments to survive?

CNN caught up with Gutierrez's father in Tejaro, Mexico, a hardscrabble farming town of about 5,000 people. A gray-bearded man in a wide-brimmed hat, 77-year-old Camilo Izquierdo was feeding white goats that poked their heads through a makeshift fence.

He and his wife have 13 children, seven of whom have moved to the United States for work, including Eduardo Gutierrez. The dad used the money from his oldest son to supplement his farming income and to help pay for diabetes medication.

"He says things are getting too expensive over there," the father said. "He says things are worse there in California than over here."

His livestock has always been his lifeline. Izquierdo used to have 140 goats, but he began selling off his livestock to make ends meet. A drought made feed more expensive, and now he's down to just 40 goats, with little money left for his medicine.

"I am sick and have been sick for quite some time. The medicine keeps getting more expensive. I just don't know what to do anymore."

Back in California, Eduardo Gutierrez says that in addition to shrinking hours and rising food costs, gas prices are burning up his paycheck as he drives his truck to jobs spread out over hundreds of miles in Southern California.

He estimates that just driving to and from the jobs is costing him $400 to $500 a month in gas.  Gas calculator: How much do you need to work to pay for your gas? »

"I've been here over 20 years, and I saw the recession back in the '90s," Gutierrez said. "But this is worse, as far as I can tell. This is really bad."

Gutierrez says his financial situation could be more desperate, like those from his hometown who are now unemployed in California. When he visits his home in Mexico, he doesn't reveal everything about just how dire the situation is.

"Every time I go down there, a lot of people ask, 'How is my son doing?' " Gutierrez said. "I don't want to say they're out of a job or anything like that."

He added, "I say they're doing all right. But that is just a lie. They are doing bad right now. A lot of people are doing bad."

He said he knows lots of legal U.S. residents who have moved back home to Tejaro or the state of Michoacan. He also said the tighter border controls have convinced other Mexicans without legal U.S. paperwork not to try to not sneak across the border to make money for their families.

"I mean, who wants to risk his life just to make a living?" Gutierrez asked.

He said he hopes the U.S. economy picks back up and people begin renovating their homes again soon.

On this day, as he finished fixing the sliding glass door, he got on his knees like a kid playing marbles and used a hand brush to sweep every last metal shaving and screw into a dust pan.

"I don't know what's going to happen," he said of the U.S. economy. "Hopefully, things turn around a little better." E-mail to a friend

@highlight

Remittances to Mexico fell $100 million in January, according to Bank of Mexico

@highlight

"I kind of feel bad that I can't help my parents," immigrant in U.S. says

@highlight

Payments to loved ones back home have slowed during U.S. economic woes

@highlight

Father in Mexico: "He says things are worse there in California than over here"