Anderson, South Carolina (CNN) -- Marco Rubio came to South Carolina this week hoping to win over the kind of conservative hardliners who turned on him last year as the Senate immigration reform bill he sponsored hit a roadblock in the Republican-controlled House.

By the time Rubio addressed a massive GOP fundraiser here on Monday evening, it wasn't his right flank he had to worry about.

The Florida senator and likely presidential candidate was the headline speaker at a "Faith and Freedom" barbecue fundraiser for Rep. Jeff Duncan, the tea party-backed congressman who represents what many Republicans consider the most conservative House district in the state.

After a succession of speeches from South Carolina Republican notables like Sen. Lindsey Graham and Gov. Nikki Haley, Rubio took the stage in Anderson to applause, but was quickly interrupted by a group of protestors -- self-identified DREAMers, young immigrants brought to the country illegally as minors -- who loudly heckled the senator for abandoning last year's sweeping immigration package when it was met with harsh resistance on the right.

For an ambitious Republican looking to prove his conservative bona fides and rub out the stain of working with Chuck Schumer and Harry Reid, the interruption was something of a gift. A plugged-in Republican operative turned to a reporter and observed dryly, "I couldn't think of a better way to make Rubio look good in South Carolina."

The audience of nearly 1,200 conservatives jeered the protestors as Rubio waited for them to be escorted out of the Anderson Civic Center, scolding them in the process.

"We are a sovereign country that deserves to have immigration laws," Rubio said. "You're doing harm to your own cause because you don't have a right to illegally immigrate to the United States."

The crowd cheered him on. One elderly audience member shoved a protester as he weaved his way through the tables. Another, 73-year old Army veteran Turk Culberson, angrily stalked them out of the building, clutching his cane as if it were a baseball bat.

"I let my temper get the better of me," Culberson said after the incident. "But there was no place for that kind of thing. If you don't want to hear what he has to say, don't come."

Rubio plunges into immigration debate

The remainder of Rubio's speech cemented his standing with the deeply Republican crowd. A member of the Senate Foreign Relations and Intelligence committees, Rubio has championed a muscular foreign policy and tapped hawkish neoconservative thinkers as his foreign policy advisers. He spent much of the evening lambasting President Barack Obama's handling of overseas affairs, from the Middle East to Asia. "If you want to know the state of the world today, it is chaos," he said.

He pivoted to cultural issues, blasting tax laws that discourage marriage and a culture that regards divorce as no big deal. "The most important job we have is not congressman or senator or governor," he said. "It's family and mother and husband and wife."

Though several attendees said they had lingering questions about his immigration stance and wanted to hear more from him in the coming months, most of the Republicans who spoke to CNN complimented his speech.

"That crowd was with him 100%," said MaryAnn Riley, a longtime member of the Spartanburg County Republican Women. Riley, though, cautioned that she was open to supporting other potential Republican presidential candidates, naming Rick Perry and even former GOP nominee Mitt Romney as possible choices.

Duncan, who fiercely opposed Rubio's immigration efforts in 2013, said the senator "will have to explain" his position to South Carolinians if he seeks the GOP nomination. But Duncan had kind words for the man who graced his fundraiser. "Marco Rubio believes in faith and freedom," he said.

Graham, a fellow hawk in the Senate, was more generous in his remarks. He described Rubio as "the son of Ronald Reagan when it comes to national security."

Just as important as Rubio's public appearance were the carefully-curated private meetings that his advisers arranged prior to the dinner speech.

South Carolina back in 2016 spotlight

In his first trip to South Carolina since addressing a GOP fundraiser in Columbia two summers ago, Rubio spent the day in a series of closed-door sessions with influential local activists and potential financial backers, specifically courting the Christian conservatives who dominate grassroots Republican politics in the South Carolina upstate.

Rubio advisers organized a meeting for the senator with senior officials from Bob Jones University, making Rubio the first Republican presidential contender to cultivate leaders at the famed Christian university. He also entertained questions from over 40 social conservatives at the Greenville home of Lisa van Riper, the well-connected president of South Carolina Citizens For Life.

Tony Beam, the host of a drive-time Christian talk radio show that broadcasts throughout the upstate, said Rubio spoke for 10 minutes about "bedrock conservative values" while at Van Riper's home, stressing his opposition to same-sex marriage, before taking questions. Beam said he was "very moved" by Rubio's remarks, comparing the 43-year old Cuban-American to Ronald Reagan.

"I was very impressed with his grasp of the issues," Beam said. "But the thing that impressed me most was his optimism and belief in America, the kind that I first heard from Ronald Reagan when I was a kid in college. That's what I've been searching for. That's something that's missing in conservative messaging today. I was very moved."

Rubio, too, held a Greenville fundraiser for his political operation, Reclaim America PAC, which has so far spent half a million dollars on behalf of Republican candidates in 2014. The event attracted donors and business leaders from around the state, as well as another member of the South Carolina congressional delegation, Rep. Trey Gowdy.

Still, Rubio brushed off questions about his presidential aspirations in a session with reporters, giving them a pat answer about waiting until after the midterms before making a decision about a White House run.

He did take a moment to bash Hillary Clinton, the putative Democratic frontrunner. "She is responsible for at least four of the six yeas of this disastrous foreign policy," he said. "She was the secretary of state, the chief foreign policy officer of the Obama administration at a time when it is now universally accepted that his policy is a fiasco."

That comment drew a feisty retort from Clinton allies, who accused Rubio of pandering to "right-wing extremists." "He flip-flopped on his own immigration bill to keep them satisfied, thinks minimum wage doesn't work and said Medicare and Social Security 'weakened us as a people,'" said Adrienne Watson, spokeswoman for the pro-Clinton super PAC Correct The Record. "Americans are looking for a leader like Hillary Clinton to unite us, increase mobility and move our country forward."

As for the immigration flare-up earlier in the evening, Rubio stuck to his guns, saying that a path to legal status for undocumented immigrants is impossible without first securing the border and then re-structuring the current immigration system. "I don't know of anyone in Washington who has taken more criticism for supporting elements of what they are asking for," he said. "But what they are asking for and insisting upon is unrealistic. This notion that we are going to pass some kind of blanket amnesty is not realistic."

Outside the civic center, one of the immigration hecklers -- Charlotte, North Carolina, resident Oliver Merino -- promised to hound Rubio with similar protests wherever he goes. Merino, a member of the DREAM Organizing Network, a group that works to halt immigrant deportations, scoffed at the notion that Rubio could win over Hispanic voters if he secures the Republican nomination.

"He wants people like me to be deported," Merino said. "He doesn't stand with our community. We want people to know that. Wherever he goes, we will let him know that."

With Congress divided, Obama to go his own way on immigration

@highlight

The Florida senator is a likely candidate for the GOP presidential nomination

@highlight

He was a speaker at the "Faith and Freedom" barbecue fundraiser Monday night

@highlight

Group of DREAMers heckled him during his speech

@highlight

Conservatives liked what they heard, but want him to explain his views on immigration