Arlington, Virginia (CNN) -- Ron Paul supporters have a plan.

As they doggedly work the Republican system from the ground up, electing more of their team as delegates to the Republican National Convention, they have a heavyweight plan that's markedly different from the rumors of convention subterfuge and the guess of simply getting their candidate to the podium.

"We want to change the Republican Party," said Chris Stearns, the Virginia state director for the Ron Paul campaign. "We are making sure our people get in positions of leadership -- in the nation, in their state, in their county and city, all the way down to the grass roots level."

Libertarians such as Stearns aspire to nothing less than the kind of bottom-to-top takeover that proved so successful for the religious right and anti-abortion forces in the 1980s. Many of the men and women who swept into local party office then inhabit top rungs of the GOP now. And similar to that movement, Ron Paul and his campaigners for liberty are looking down the road.

"This is not just for this term," Stearns told CNN Radio from the southern end of the state, "but four, six or eight years from now."

Nearly 200 miles away, in northern Virginia, a separate Ron Paul supporter is similarly forward looking.

"Four years, eight years, 12 years, we are here for the long haul," said Patrick Bailey, a 26-year-old who moved from New York to Washington specifically to get involved in electoral politics.

He plunged in on Saturday as one of three Paul supporters running for delegate to the national convention from Virginia's 8th Congressional District.

Battle in the grass roots

That kind of local party election is often ignored by headlines and pundits, but it's where Ron Paulians are waging their most furious battle.

Primaries and caucuses often dictate how a state's delegates should vote, but it is these internal state and local party conventions that determine who the individual delegates will be. They represent hundreds of small but open doors to get your troops to the convention.

The 8th District, which includes the Washington suburbs of Alexandria and Arlington, felt the Paul surge Saturday. Four years ago, the district convention saw some 350 participants. The 8th District Republican chairman told CNN that participation had nearly doubled this year.

Anyone can attend and vote, as long as they sign up by a deadline and have not voted in a Democratic primary in the past five years. This is how the Paul strategy works: Sign up. Show up. Vote.

"We have been calling and e-mailing," Bailey said ahead of the vote. "Our turnout's looking great."

But some feel it is an attempt at political hijacking.

"There are people out here who are still fighting for Ron Paul who got defeated at our primary," said Fran Redmon, who has been involved in the 8th District Republican Party for 40 years. "It's so ridiculous. They should either be a Republican or not be here today."

Asked what she thought the Paul supporters were trying to accomplish, Redmon replied, "I think they aren't really thinking it through. I suppose they think we're people who don't have an agenda or something."

Indeed, the agenda is the rallying cry for the libertarian forces.

CNN spoke with more than two dozen Paul supporters at this local Republican meeting and they shared common goals: substantially smaller government both in spending and in power, far more limits on the Federal Reserve, an end to what they see as American interventionist policy overseas and a cry of concern for individual rights.

The second-ballot gambit

"This is a movement," said Homan Rabie, who came to the 8th District convention with his high school friends, "(Republicans) need a true philosophy." They need to bring in more minorities and young people like his group, he added.

So it's a movement. Why then all the national convention delegates?

Especially in a place like Virginia where, by Republican rules, nearly all the elected delegates must vote for Mitt Romney on the first ballot.

Let's get the nomination theory out of the way.

One supporter at the 8th District convention mentioned a much-forwarded idea that Paul delegates could abstain on the first ballot, forcing a second vote at the convention and then, on that second ballot, cast votes for Paul. But there are two problems with this notion: One is that if a delegate abstains, an alternate delegate, who may or may not be a Paul supporter, would step in. The other problem? Many Paul supporters told CNN they think it's a pipe dream. They're distancing themselves from the idea.

"To me personally, it doesn't look like any way that's going to happen," said Bailey, the candidate trying to get to Tampa. "I don't see (the Paul delegates) going in and causing a ruckus. The last thing we need is to become a scapegoat (if Republicans don't win in November)."

Change the party from the bottom up

Paul says as much himself. He told CNN last week that the idea of disrupting the national convention "is not in my plan. That is against my plan."

The plan, say supporters up and down the Paul chain, is to put their people in Republican positions of power from the bottom to the top, and change the party.

Saturday, the few hundred voters at Virginia's 8th District convention chose between seven candidates for three national convention seats. While Bailey came in fifth, his friend and fellow Paul supporter Matthew Burrow took third place and won a spot for libertarians in Tampa.

Stearns says Paul supporters have won 15 of the 24 congressional delegate spots decided in Virginia so far.

Add it to the list. Paul took all 21 elected delegate spots in Maine and the vast majority of the elected delegate positions in Nevada, state party officials confirmed to CNN.

Party officials in Minnesota have not been able to certify their exact results to CNN but agreed that Paul won most of the up-for-grabs delegates there as well. That is especially notable because Minnesota's delegates are not bound on the first ballot at the national convention.

But the 2012 nomination is not the point, Bailey reminded those around him.

Instead, it's learning the process, getting better at it, gaining positions and changing the Republican party, no matter how long it takes.

"We're all getting training on the ground now," he said. "At the end of the day, this is all practice for the next time. And the next time all be practice for the time after that. And eventually we are going to win."

It is a big plan, requiring not just determination but stamina.

@highlight

Ron Paul supporters want bottom-to-top takeover of GOP

@highlight

Part of the plan is electing supporters to party posts from local level and up

@highlight

Supporters say they're looking beyond 2012 to what's down the road

@highlight

"At the end of the day, this is all practice for the next time," Paul director says