(CNN)In Australia, fishermen call them "thumb splitters" because of the painful blow they can inflict.

In Hong Kong, they're so dangerous, that seafood restaurants store them live inside empty plastic water bottles so they can be handled.

The mantis shrimp -- a sea crustacean that resembles a praying mantis -- has a set of claws that accelerate so fast when it strikes that they create air bubbles which, when they explosively collapse, also serve to stun the mantis's prey.

Supersonic potential

The effect is known in physics as supercavitation and marine engineers are taking their cue from the humble mantis shrimp to create objects that, theoretically, at least, could one day travel underwater at supersonic speeds.

The principle works on the fact that when an object traveling through the water is encased in bubbles, there is little to no friction or drag.

Already the Russians have used supercavitation in the design of their torpedoes; the VA-111 Shkval torpedo flies through the water encased in a bubble, achieving speeds in excess of 200 knots (230 mph).

For Gregory Sancoff of Juliet Marine Systems, a company that has built a fully functioning supercavitating vessel, the same principles that allow seals and penguins to shoot through the water encased in a blanket of bubbles could be used in military and civilian applications.

Eliminating friction

"Water offers 900 times more friction than air does," Sancoff said.

In the same way that pushing your hand through swimming pool water creates bubbles by creating a high pressure area in front of it and low pressure area behind, supercavitating devices such as the Shkval torpedo work by pushing a dinner plate-sized disk at its nose through the water at high speed.

This plate is then gimbaled -- that is, it pivots on an axis -- giving the device some directional control. However, Sancoff said steering in this way is still an inexact science.

"The control of pushing something through the water with a blunt face is so difficult that it's impossible to keep that object on target," he said.

Some part of the device, he explained, needs to be in contact with dense water to give it stability and the ability to steer.

Regaining control

His supercavitating vessel "Ghost" works by putting propellers at the front rather than the rear of the boat, effectively dragging it through the water.

The 38-foot main hull travels above the water much like a hydrofoil, but the business end of the boat is contained in the 62-foot long tubes attached to the end of the struts.

Equipped with gas turbine engines, the boat uses a Venturi system to funnel the expelled thrust of the propellers into the tubes to create an air bubble around the engines.

"We're actually flying through this incredibly dense foam, which is mostly air, which gives us much higher speeds," he said. "It's sometimes known as microbubble supercavitation."

Decades of research

The concept is not new and scientists have been working on various designs for decades.

"Supercavitation technology goes way back with some significant research carried out in the 1950s," said Roger Arndt, Professor Emeritus of Civil Engineering at the University of Minnesota.

"When a hydrofoil exceeds a certain speed, cavitation can't be avoided and must be accommodated by a change in hydrofoil shape to allow operation in the supercavitation mode.

"The preliminary design of an 80-knot ship at Lockheed in 1963/64, utilized supercavitating hydrofoils as well as waterjet propulsion," said Arndt, who worked on the design team.

Sancoff, meanwhile, has spent $15 million building the military-style vessel (which he has described as a kind of "attack helicopter of the sea") with the aim of securing U.S. Navy contracts.

Civilian applications

Civilian interest is also growing in supercavitating vessels, not least because the boats -- which are effectively a type of submarine that bores a foam tunnel through the water -- give such a smooth ride.

"We just came back from a surface Navy show and we had serious inquiries from people who build ferries about building a high-speed ferry between Florida and Cuba now that Cuba is going to be open to the U.S. again," Sancoff said.

"If you cross the Gulf Stream between Florida and Cuba, you are in 15-foot seas ... Not only does Ghost supercavitate, but the way the boat's designed completely isolates all the wave motion from affecting the inside of the cockpit of the boat.

"You can be in 10-foot seas and not even feel it."

While Ghost can achieve speeds in excess of 50 knots (57mph), Sancoff said its stability is likely to be its biggest selling point.

"We're actually marketing it as a stabilized weapons platform for that one reason -- it's the only small vessel you can shoot precision weapons from," he said.

Shipping cargo and warriors

Inquiries have also been coming in from commercial shipping companies -- an industry that loses thousands of shipping containers a year to bad weather -- about adapting the technology to create highly stable cargo ships.

Offshore oil platforms, too, have been interested in a technology that can deliver oil crews quickly, safely and without seasickness.

Despite this, Sancoff says the first interest for Juliet Marine is to create a military vessel that is fast enough to protect a fleet from swarm attacks and stable enough to deliver troops safely in rough seas.

"If you want to deliver those 16 Navy SEALs or Royal Marines to that beach in rough water and you want them to get out of that boat almost boot-dry, we have that platform.

"We can get the warrior to where he needs to go, fit to fight and not beaten up from the 20G impact that some of these guys are getting in high-speed boats.

"High-speed boats are really beating the heck out of these guys."

@highlight

Supercavitation is the ability to travel underwater encased in a bubble of air

@highlight

A  U.S. boat builder has designed a supercavitating vessel it aims to sell to the navy

@highlight

The vessel travels on bubble-producing tubes and can reach speeds of 50 knots