The sheer amount and range of cultural activities available at any given time in Berlin is astonishing.

Even with a good guidebook it's almost impossible to scratch the surface of its constantly evolving scene.

Here are 10 destinations that'll help newcomers get up to speed with what's happening in a city that refuses to stand still.

Klunkerkranich

Walking past Neukolln Arcaden -- a shopping center located in southeast Berlin -- you'd never suspect that a super cool 2,500 square-meter rooftop bar and garden sits atop the lackluster gray building.

Formerly a concrete parking deck, Klunkerkranich has been revamped into a vibrant space for live music, film screenings and readings.

In the summer, it's the perfect spot to have a drink, be entertained by local artists and watch the sun set over the city.

It's not easy to find though.

From U-Bahn station Rathaus Neukolln, enter through the Postbank/Bibliothek entrance and take the elevator to the 5th floor. Exit and walk towards the parking garage ramp to the 6th floor.

Kulnkerkranich, 66 Karl-Marx Strasse

iReport: Tell us your favorite thing about Berlin

Sammlung Boros

From works by internationally renowned artists Ai Weiwei and Olafur Eliasson to Wolfgang Tillmans and Thomas Scheibitz, Sammlung Boros is an impressive contemporary art collection housed in an unconventional space.

Namely, a massive former World War II bunker in the heart of Berlin.

Due to safety regulations, Sammlung Boros only hosts groups of up to 12 at a time, so advanced booking is advised as tours fill up fast.

Sammlung Boros, Reinhardtstrasse 20, 10117 Berlin-Mitte; +49 30 24 08 33 300

Piano Salon Christophori

Tucked away in the northwestern part of Berlin is an old workshop space packed with antique piano paraphernalia and dangling chandeliers.

Several nights a week, musicians from all over the world take the stage at the intimate concert hall that features everything from piano recitals to jazz sessions.

Though the online ticket reservation system may seem old school at first, the fact that event organizers take the time to write out names in full on pieces of paper and place it on designated seats makes it all worth while.

Another thing to know: visitors don't pay for tickets beforehand, instead donations are made at the end of the show.

Piano Salon Christophori, Uferstrasse 8; +49 176 39 00 77 53

Markthalle IX Street Food Market

Every week in the bustling district of Kreuzberg, one of the few well-preserved historic market halls in Berlin is transformed into a street food market.

On Thursday evenings, the spacious Kreuzberg market hall, which was first opened in 1891, is filled with throngs of locals and a maze of drool-inducing food stands.

A long way from the more mundane German fast food staples, these small and local culinary vendors hawk everything from hand-pulled Chinese noodles tp vegan burgers and artisanal cheese.

Markthalle IX, Every Thursday from 5-10 p.m; Eisenbahnstrasse 42/43

Haus am Waldsee

Located in the southwest Berlin, Haus am Waldsee looks like the kind of house featured in fairy tales.

In fact, the villa is an exhibition space for contemporary art and a platform for artists living and working in Berlin.

Since 1946, a number of works by high-profile artists have been shown there, including Pablo Picasso, Hannah Hoch, Ernst Ludwig Kirchner, Joan Miro and Georges Braque.

Haus am Waldsee regularly holds artist lectures, classical concerts and offers an architectural audio guide of its surrounding neighborhood.

There's also a 10,000 square-meter sculpture garden.

Haus am Waldsee, 30 Argentinische Allee +49 30 801 89 35

Mobile Kino

In the summer, open air cinema is a popular activity in Berlin, but Mobile Kino spices up the concept by screening different films in different settings.

The aim of this cinema that roves the city by bicycle? To bring film-lovers together in unique venues across the German capital.

For information on screenings: http://www.mobilekino.de/screenings/

me Collectors Room

Hailed as one of the most comprehensive private collections in Europe, me Collectors Room is a private residence-cum-exhibition space in the heart of central Berlin.

Opened in 2010 by German art collector Thomas Olbricht, the extensive art collection spans works from the beginning of the 16th century to the present day.

me Collectors Room, Auguststrasse 68; +49 30 86 00 85 10

Kunstquartier Bethanien

The Bethanien building was commissioned by King Friedrich Wilhelm IV and opened in 1847 as an institute for educating nurses and carers.

After a turbulent series of events in the following years involving bomb attacks and closure, the building complex reopened as a cultural and social centre in 1973.

Today, Kunstquartier Bethanien hosts artist studios, exhibitions, open air cinemas, printmaking workshops, a garden, music classes and more.

Kunstquartier Bethanien, 2, Mariannenplatz +49 30 493 06 3 37

Deutsches Architektur Zentrum (DAZ)

Unlike traditional museums, the German Center for Architecture (DAZ) dubs itself as a "think-tank" that promotes discussion and debate on architecture, urban living and spatial culture.

DAZ hosts a variety of exhibitions, talks and presentations designed to gather anyone -- from citizens and architects to city planners and artists -- interested in discussing and exchanging relevant ideas.

DAZ, 48/49, Kopenicker Strasse; +49 30 278 799 29

KW Institute for Contemporary Art

Founded in the early 1990s in a former margarine factory, the KW Institute for Contemporary Art is a place where emerging international artists create and show their work.

Each month, KW has a new program that includes performances, lectures and film screenings.

It's located in Berlin's Mitte district and features a number of exhibition halls, studios, offices and a glassy cafe designed by American artist Dan Graham.

The first Berlin Biennale, held in 1998, took place at the KW.

KW Institute for Contemporary Art, 69, Augustrasse; +49 30 2434 590

@highlight

Klunkerkranich is a super cool 2,500 square-meter rooftop bar and garden atop an old parking deck

@highlight

Sammlung Boros houses  impressive contemporary art displays in a massive World War II bunker

@highlight

Mobile Kino is a cinema on a bicycle that roves the city to screens movies in different venues