Twenty years ago, April 5, 1992, Suada Dilberovic and Olga Sucic were shot and killed in Sarajevo. They were the shots heard around the world and they started the Bosnian War.

I covered that war, and many colleagues are gathering in Sarajevo now to commemorate what took hundreds of thousands of lives, left so many more wounded, and created millions of refugees. This was the war that introduced us to the term "ethnic cleansing."

The dominant Balkan power at the time, Serbia wanted to keep Yugoslavia together, and failing that, to carve out ethnically pure areas in the breakaway states to create a Greater Serbia.

It was a horrible fantasy that sought to destroy an ethnically mixed, intermarried community that had lived peacefully and progressively together in Bosnia.

This war was defining for the region, for the world and for those of us who covered it.

See some amazing photos from the war

We witnessed the heroic resistance of a population under siege and shelling and sniping for nearly four years. We learned the pain of watching men, women and children brutally slaughtered. These were the non-combatants, casually targeted in the crosshairs of the sniper's rifle, blown apart by mortar shells when they went to collect water, bread, fuel or even heading to school.

We learned the bitter cynicism of the international community that refused for some time to intervene, the United States and its allies finding every which way, and every tortured rhetorical device -- including refusing to use the word genocide -- to avoid getting off the sidelines.

I will never forget going to the funerals, one for a little girl called Almedina. Sarajevo had run short of everything even the letter "A" so Almedina's grave marker could not be spelled correctly.

I will never forget the mothers and fathers who would try to brave the siege around Sarajevo airport, then try to make a dash to the other side where in one village they could buy or scrounge some fresh fruit or vegetables, anything to complement the meager rations and dried food the humanitarian airlift would bring.

The night I was out there, a father managed to find a single apple for his child. For that he had risked his life.

On Friday more than 11,000 empty chairs will be arranged in silent poignant and powerful memory of Sarajevo's war dead.

Along with the citizens of Sarajevo and other besieged Bosnian towns and villages, many of our colleagues were killed and wounded.

And who will ever forget the death camps, the skeletal prisoners who evoked the terrible crimes of World War II? But this was at the end of the 20th century. This was the satellite age. We were there and we reported the story day in and day out, week after week, month...year after year.

This was the era of "never again" and it was happening again -- ethnic cleansing and genocide here in our own backyard, and on our watch. We fought back with all the power of our media.

For me, Bosnia was where I learned about the truth. Horrified when the do-nothing crowd suggested I was taking sides, or losing my objectivity, I was forced to confront this charge, and examine our Golden Rule.

Here in Bosnia I determined that in the face of unspeakable crimes and the most serious violations of international humanitarian order, there is no moral equivalence, no blurring the line between victim and aggressor.

Objectivity means giving all sides a fair hearing. It does not mean drawing a false moral equivalence. In this case there is no one-hand-or-the other.  And anyone who seeks to hide under that calumny is not just a liar, but an accessory, in this case to genocide.

I refused. It is the lesson of my lifetime.

As we all know, tens of thousands of deaths later including at Srebrenica in the summer of 1995, the worst massacre in Europe since World War Two, the U.S. finally intervened with NATO allies, ended the war and launched the peace that holds to this day.

No country, no crisis, is the same. Of course Syria is not Bosnia, nor is it Libya, but in Syria today a heavily armed military is besieging and slaughtering ordinary civilians and outgunned rebels too as the state tries to crush an uprising.

Just like in Bosnia, the Syrian rebels/opposition have been denied the right to self defense, for fear of "accelerating the conflict on the ground and making it worse."

Just like in Bosnia when the U.S. and its allies said they could not intervene "because it's a civil war and all sides are equally guilty," (although that was not the case as there was a clear aggressor) in Syria today they say they "don't know who to help, who to arm, the opposition is fragmented."

The lesson of Bosnia is that our democratic and free world which seeks to uphold the highest values bestowed on humankind, could no longer watch as ordinary civilians were butchered.

It's a lesson that took too long to implement, and the peace is not perfect, but at least the killing stopped.

@highlight

Amanpour: Bosnia was where I learned objectivity does not mean drawing a false moral equivalence

@highlight

Amanpour: No crisis is the same but in Syria the military is fighting a heavily outgunned opposition

@highlight

Amanpour: In Bosnia the time came when the world could no longer watch as civilians were butchered