Apple will begin manufacturing a computer in the United States next year, says CEO Tim Cook, marking a shift in perhaps the most-criticized element of the company's beloved gadget empire.

"We've been working for years on doing more and more in the United States," Cook said in an interview with Brian Williams on NBC's "Rock Center," scheduled to air Thursday night. "Next year, we will do one of our existing Mac lines in the United States."

Cook did not say which computer he was talking about, but some models of the new iMac have been arriving stamped "Assembled in the U.S.A," prompting speculation that it may be the company's flagship desktop.

An Apple spokesman told CNN that Apple will be investing $100 million in the move. He downplayed the iMac speculation, though, saying Apple has always done some assembly of its computers in the United States and calling the stamps on some 21-inch iMacs "coincidental as part of this story."

Cook shelled out additional details in an interview with Businessweek. He said Apple would not necessarily be the manufacturer of these computer components, "but we'll be working with people, and we'll be investing our money."

In recent years Apple has come under sometimes withering criticism for its supply chain in China, both for shipping U.S. jobs overseas and for the working conditions at plants run by the companies Apple contracts with there.

Former Apple CEO Steve Jobs, who died last year, avoided addressing the supply chain issue in public. But Cook has taken a different tack. He visited China in March to tour a factory owned by Foxconn, which makes electronics for Apple and other companies. And he allowed the Fair Labor Association to do a thorough audit of conditions at the Chinese factories, vowing to improve pay and hours.

Cook told NBC that Apple isn't concerned about the higher cost of manufacturing in the United States creating pressure to raise prices. Apple assembled many of its products in the United States until the late 1990s, when it exported that work to Asia where labor costs are lower.

"It's not so much about price, it's about the skills, etc.," he told NBC's Williams. "Over time, there are skills that are associated with manufacturing that have left the United States. Not necessarily people, but the education system has just stopped producing that. It's a concerted effort to get them back."

Cook acknowledged to Businessweek that the move is influenced, at least in part, by a desire to bolster a U.S. unemployment rate that, while slowly rebounding, still hovers around 8%.

"I don't think we have a responsibility to create a certain kind of job," Cook said. "But I think we do have a responsibility to create jobs."

In both interviews, Cook emphasized American jobs Apple has already helped create -- from the companies that make components of its popular iPhone to the developers who have built businesses creating apps for Apple mobile devices.

"The engine in here is made in America," Cook said, holding up an iPhone. "And not only are the engines in here made in America, but engines are made in America and exported.  The glass on this phone is made in Kentucky. So, we've been working for years on doing more and more in the United States."

As large as it may sound, a $100 million investment remains a relatively small chunk of Apple's estimated $120 billion cash on hand. It follows other limited steps by electronics companies.

Apple's not the first major tech player to shift a portion of its manufacturing to the states.

Lenovo, the world's second-largest PC maker, announced in October that it's starting a production line in North Carolina, creating 115 new jobs making laptops, desktops, tablets and other products. It's scheduled to open early next year.

And earlier this year, Google began making its Nexus Q media streamer at a Texas plant -- although that ill-fated device has had a rocky run. Five months after it was unveiled, the Q's page in the Google Play store says it is "not for sale at this time."

Late last year, an analysis by the Boston Consulting Group predicted that 2015 will be a "tipping point" when many tech industries will begin manufacturing in the United States.

"A surprising amount of work that rushed to China over the past decade could soon start to come back -- and the economic impact could be significant," said Harold L. Sirkin, a senior partner and lead author of the analysis. "We're on record predicting a U.S. manufacturing renaissance starting by around 2015."

@highlight

Apple CEO Tim Cook: Apple will start making a computer in the United States

@highlight

The move next year will cost $100 million, Apple spokesman says

@highlight

Apple has been criticized for working conditions at its factories in China

@highlight

Cook made comments to NBC News' Brian Williams