The fate of Syria's Western-backed opposition hangs on a knife edge in the northern part of the war-torn country -- and with radical Sunni militants and regime forces closing in on them from all sides, time may be running out.

At least six villages north of Syria's largest city of Aleppo fell Wednesday to militants from ISIS, according to AFP. The jihadist group has seized large swathes of land in Iraq and consolidated control over considerable territory in northeastern Syria in the past year.

ISIS fighters are now just 30 miles from the rebel-controlled northern suburbs of Aleppo and within striking distance of key opposition positions leading to the Turkish border.

The situation for the opposition may be even worse inside Aleppo city, where forces loyal to President Bashar al-Assad are gaining ground after a brutal months-long campaign against opposition forces.

With the radical Sunni fighters bearing down on them from the north, and troops loyal to President Assad retaking Aleppo neighborhood by neighborhood from the south and west, Syria's beleaguered rebels are facing an existential threat.

Since November 2013, the Syrian government has executed a concerted offensive on opposition-controlled areas of Aleppo city. Intensive and horrifically destructive barrel bombs have flattened the urban environment in which opposition insurgents had thrived, and forced thousands of civilians to flee.

The military has followed air bombardment with methodical but effective ground incursions that, over time, have enabled it to re-capture territory and force a rebel retreat to the city's northern districts. As such, the opposition is now in its weakest position in Aleppo city since mid-2012.

ISIS burst onto the scene in Syria in April 2013 and by December it had successfully established an expansive territorial presence across northern Syria, including in Aleppo governorate. But a sustained rebel offensive in January of this year forced ISIS to withdraw from the northwestern governorates of Latakia and Idlib and much of Aleppo, with the exception of three main towns in Aleppo's northeast: Al-Bab, Manbij and Jarablus.

The rebels in Aleppo fighting to topple Assad and beat back ISIS' advance have long been a melting pot of different groups, including various Free Syrian Army (FSA) units,  the al Qaeda affiliate Jabhat al-Nusra, and the Islamic Front (IF). While core moderate FSA-linked factions benefitted from an influx of Western support in late 2013 to facilitate their anti-ISIS offensive in January, this support has since dwindled. A principal Aleppo-based beneficiary of this support, Jaish al-Mujahideen, has since become a shadow of its former self.

The U.S. has leaned heavily on Gulf states to reduce their support of Islamist and Salafist groups in Syria, which has damaged the IF's capacity to operate as a unified and effective coalition. In Aleppo specifically, IF's main group, Liwa al-Tawhid, has also suffered from debilitating internal divisions and defections.

At the same time, the Assad regime's advances in Aleppo city and elsewhere have induced Jabhat al-Nusra -- a long-time ally of Syria's opposition, until recently -- to shift much of its resources west into Idlib governorate.

As such, the principal defenders of areas of Aleppo still under opposition control today are a wide array of moderate FSA factions, some of whom still receive limited military support from the West, and members of the fading IF, most of whom are from the Aleppo area. These groups have borne the brunt of fighting ISIS while also facing a sustained Syrian military assault. Both of these offensives have combined to leave Aleppo critically vulnerable.

But although regime advances in Aleppo city are extremely significant, the most immediate threat comes from ISIS and its rapid advance north of the city.

Controlling Dabiq, one of the villages that AFP reported was seized Wednesday, is already extremely symbolic for ISIS, whose official magazine is named after the town for its role in the hadith -- the teachings, deeds, and sayings of the Prophet Mohammed -- as the site of a major battle before the end of the world. Abu Musab al-Zarqawi, who founded ISIS' precursor group, once said the capture of Dabiq would represent the first step towards conquering "Constantinople" and "Rome."

With those villages in hand, ISIS now seems likely to move forward on two primary fronts -- northwest towards Sawran and eventually Azaz and southwest to Liwa al-Tawhid's stronghold in Marea.

If ISIS moves on Sawran and then captured Azaz, it will cut rebels off from a critical supply line into Turkey via Bab al-Salamah and could arguably spell the end for an effective opposition in Aleppo.

Losing Marea to ISIS would prove a crippling blow for Liwa al-Tawhid, whose founder and former leader Abdulqader Saleh was from the town. It would likely enable ISIS to continue towards Anadan and Hreitan, immediately north of opposition-controlled districts of Aleppo city, and cut off any remaining rebel forces there.

Eventually, this would also open a route towards the former ISIS towns of Darat Izza and Al-Dana to the west in Idlib governorate, where ISIS could threaten what would then be the last remaining border crossing with Turkey at Bab al-Hawa.

Late on Wednesday, while mosques in Marea issued calls for a general mobilization to defend against the expected ISIS assault, civilians and rebels stockpiled food and supplies in the case of a siege, according to people I spoke to in the town.

What will ISIS do if, as now seems inevitable, it captures these towns? The group has named their Aleppo offensive "Operation Revenge for the Women's Purity," a reference to allegations made by ISIS fighters that opposition groups had kidnapped and raped their wives during the anti-ISIS push in January. Such accusations would therefore seem likely to engender brutal acts of ISIS retribution in the coming days.

There's no escaping the fact that the opposition's prospects in Aleppo look grim. While a 9-month-old U.S.-led strategy of uniting and arming core elements of the moderate opposition has demonstrated success in Idlib, it is far from certain that Aleppo can be saved. Moreover, if ISIS was eventually to succeed in threatening, or worse cutting off, both the Bab al-Salamah and Bab al-Hawa crossings with Turkey, the sustainability of a powerful moderate opposition in northern Syria would face an existential threat.

The fate of Aleppo in the coming days, therefore, carries with it the future of Syria's military opposition in its fight against the Assad regime and an ever-expanding ISIS.

@highlight

ISIS fighters reportedly seize villages just 30 miles from Aleppo, Syria's largest city

@highlight

Rebels fighting to topple Assad surrounded by ISIS on one side, and regime forces on the other

@highlight

Charles Lister says beleaguered Syrian opposition in Aleppo faces being wiped out