Seoul, South Korea (CNN) -- North Korea is planning a nuclear test in the area where it has staged previous atomic blasts, according to a report from South Korean intelligence officials obtained by CNN.

The intelligence report has come to light as North Korea gets ready to carry out a rocket launch this week, a move that would further strain ties between the reclusive, nuclear-armed state and other countries. The launch is scheduled to take place just months after the ascendancy of its new leader.

The South Korean intelligence report says it is probable that after the long-range rocket launch, North Korea will use the ensuing international condemnation as an excuse to go ahead with the nuclear test in Punggye-ri, the site in the country's northeast where the other two tests were conducted in 2006 and 2009.

The report, which said such a test would be considered a grave provocation, includes satellite images that it says were shot recently and show the final stages of a tunnel being dug at the site.

The photos show an unusual pile of earth and sand near the opening of the tunnel, and the report says this pile has been growing in size since March.

North Korean state media outlets have not made an announcement regarding any plans for a new nuclear test.

On Monday, White House spokesman Jay Carney said the rocket launch would further isolate the country.

"We view the potential rocket launch as a very provocative act that would be, if it were conducted, done in direct violation of North Korea's international obligations," he told reporters. "Any further underground testing would be a provocative action ... in each case, this would be an indication of North Korea's decision, at the leadership level, not to take the steps that are necessary to allow North Korea to end its isolation, to rejoin the community of nations and to do something about the extreme poverty and deprivation that its people suffer from because of the nature of the system they live under and the isolation that they have brought on themselves."

He added, "I don't have any specific communications involving the president to report out to you today, but we are very focused on this." Such an act by Pyongyang "would make it virtually impossible for the United States to provide the nutritional assistance that we had planned to provide."

A university official sees North Korea's latest moves as calculating. "Once again this shows ... they know how to manipulate the world," said Andrei Lankov of Seoul's Kookmin University. "If they do a missile launch and in a few months a successful nuclear test, especially a uranium-based nuclear device, it will send a very strong message to the world. The same message they always want to deliver: We are here, we are dangerous, unpredictable and it's better to deal with us by giving us monetary and food concessions."

In private meetings brokered in part by China, North Korea in February agreed to stop nuclear tests, uranium enrichment and long-range missile launches in exchange for resumption of U.S. food aid.

A launch and a test, if carried out, could also derail recent efforts to reconvene the multilateral talks, known as six-party talks, on denuclearizing North Korea.

"We believe, in particular, that China joins us in its interest in seeing a denuclearized Korean peninsula, and we are continuing to encourage China, in particular, to act more effectively in that interest," State Department spokeswoman Victoria Nuland told reporters in Washington.

Pyongyang agreed to curtail its nuclear activities in exchange for aid in an agreement reached in talks in September 2005.

The deal fell apart after North Korea conducted nuclear tests in 2006 and 2009 and later disclosed a previously unknown uranium enrichment program that provided a second path to a bomb, in addition to the already known plutonium program.

The country has designated 2012 as a year of strength and prosperity to mark the 100th anniversary of the birth of Kim Il Sung, the founder of the communist state. His birthday next Sunday, known as the "Day of the Sun," is a key public holiday on the North Korean calendar.

Last month, Pyongyang announced it would launch a rocket carrying a satellite sometime between this Thursday and the following Monday to mark the occasion.

The North Korean government says the operation is for peaceful purposes. But Japan, the United States and South Korea see the launch as a cover for a long-range ballistic missile test.

The South Korean intelligence report noted that shortly before the last two nuclear tests, North Korea launched what it said were satellites into orbit.

The act of firing the long-range rocket would breach U.N. Security Council resolutions. Japan has said it will shoot down any part of the rocket that enters its territory.

The planned launch is scheduled to take place less than four months after Kim Jong Un became "supreme leader" of North Korea, succeeding his father, Kim Jong Il, who died in December.

Analysts are trying to gauge how much influence the younger Kim, thought to be in his late 20s, wields. Senior officials in the regime, including Kim's uncle, Jang Song Taek, are considered to exert considerable sway on policy.

North Korea granted a rare glimpse Sunday of its preparations for the rocket launch, taking a group of journalists to the Sohae Satellite Launching Station in Tongchang-ri, in the northwest part of the country.

"If you look for yourselves with your own eyes, then you can judge whether it's a ballistic missile, or whether it's a launch vehicle to put a satellite into orbit," Jang Myong Jin, head of the launch site, said through a translator. "That's why we've invited you to this launch site."

Journalists -- who were not allowed to take laptops or cell phones to the site, but were permitted to shoot video -- were shown the control center and the satellite that officials said would be shot into space.

The rocket itself is 30 meters, or about 100 feet, long. It was white, with red and blue paint.

International leaders have urged North Korea to cancel the launch, but Pyongyang has refused to back down, insisting that it needs the satellite to gather information on its crops, forests and weather.

An independent European analyst who visited the launch site said he saw nothing obvious that raised red flags.

"I don't know what they want to do in the future, but today what we see is a space launcher," Christian Lardier said.

Bill Richardson, the former U.S. ambassador to the United Nations, said Kim Jong Un may be trying to consolidate his leadership by sending a message to two audiences -- to the international community, he may be trying to establish himself as in charge. But his most important audience is the North Korean military and party leaders, he told CNN. "He's trying to show them that he is not going to buckle down from the United States or the six-party talks or China; that they're going to proceed with this launch; that they're going to proceed with him taking over the leadership of the country."

Richardson urged the United States not to react in haste. "Let's see what eventually happens," he said. "This is how the North Koreans operate: They try to send these huge, scary messages by these actions."

The last time Pyongyang carried out what it described as a satellite launch, in April 2009, the U.N. Security Council condemned the action and demanded that it not be repeated.

China, North Korea's closest ally and largest provider of aid, has expressed concern about the planned launch. Beijing says it has held talks with Pyongyang on the matter, but they appear to have had little effect on the North's plans.

"China strongly encourages everyone involved to remain calm and reasonable," said the Chinese foreign minister, Yang Jiechi, according to a report issued Monday by the official Chinese news agency, Xinhua. "These issues need to be worked out in a diplomatic and peaceful manner."

Analysts say the planned trajectory of the multistaged rocket's path is north to south over the Yellow Sea, with the main body of the projectile eventually landing in the Pacific Ocean near the Philippines.

President Benigno Aquino III of the Philippines has condemned any such launch as a "needless provocation" that could increase tensions in Southeast Asia.

CNN's Stan Grant and Elise Labott contributed to this report.

@highlight

Ex-U.S. ambassador to United Nations: Don't react hastily; "let's see what eventually happens"

@highlight

Professor: The country knows how to "manipulate the world"

@highlight

South Korea intelligence report says North Korea plans nuclear test

@highlight

North Korea appears to be pressing ahead with its planned rocket launch