London, England (CNN) -- The London sun is high when the bare-chested young men step onto the carefully manicured pitch, draped in flowing red cloaks and several layers of colorful beads. A few years ago they hadn't even held a cricket ball, let alone played in a competitive match, yet here they are today, entering the game's most famous venue to a flurry of cheers.

From a remote corner in Kenya to Lord's cricket ground in the UK, known as the spiritual home of cricket, it's been a long journey for the Maasai Cricket Warriors, a team of young tribesmen attending "Last Man Stands," a global championship event for amateur squads from around the world.

It all started six years ago thanks to the efforts of Aliya Bauer, a South African woman who'd gone to Kenya's Laikipia region to work on a primate research program. Whilst studying the behavior of baboons, Bauer was finding it hard to live without her big love: cricket.

"I was missing my passion and I just wanted to share it with others," says Bauer, who is now the team's coach. "Cricket is a fabulous medium to build friendships and to engage people in a positive way."

'Love for the game'

Bauer then decided to introduce cricket to the local community. She brought some basic cricket equipment from South Africa and held a trial session outside the Il Polei village chief's office.

"I just invited anybody who wanted to come," she remembers. "A few kids came along and then I approached the head teacher of the local school and asked him if it was possible to go twice a week and train the kids."

Read this: Maasai boy scares off lions with flashy invention

But along with the school children's attention, these initial sessions also captured the imagination of some of the young Maasai warriors living nearby. Every time they'd pass the training ground they would stop and watch curiously until one day some of them decided, just for the fun of it, to have a go at this novel game themselves.

"It was the first time to see this kind of a game because in Kenya cricket is not famous," says team captain Sonyanga Weblen Ole Ngais. "At that time it was more like just fun, but when we went on playing and training, we found out that we were starting to love the game."

'Just like throwing a spear'

Ngais, 24, says that cricket came naturally to him and his fellow Maasai warriors.

"Bowling, it wasn't hard for us," explains the formidably built captain. "I can relate it to the cultural way, the Maasai way, the way we throw the spear," he adds. "We are pastoralists, we keep animals and sometimes you encounter a wild animal, so if you throw the spear trying to protect yourself from the wild animal, then that's just (like) bowling."

Despite the lack of proper playing facilities, the shortage of funding and the absence of regular competition, the team went from strength to strength and today it includes 24 players, all coming from Il Polei and the neighboring Endana village.

Last year the team managed to raise funds to travel to Cape Town and take part in Last Man Stands, where they didn't win any of their games. This year, however, they managed to win two of their games, reaching the semi-finals of their group during the event, held from August 26 to September 4.

"I enjoyed the tournament," says Ngais. "It was our first time here in England and it was fun."

Positive change

But for the Warriors, cricket is more than just fun.

More importantly, the team uses sport as a tool to tackle social problems and spread health messages in their community.

Read this: Tribal elder modernizing the Maasai

Some members of the team are trained as volunteer coaches, visiting local schools to teach the game to young pupils. During these coaching sessions they also raise awareness about the dangers of HIV/AIDS through drama, songs and discussions. They also campaign against female genital mutilation, child marriage and animal poaching and try to improve relationships between rival communities.

"So far, we've introduced this to about 24 primary schools and around five secondary schools," says 31-year-old Francis Meshame, the oldest member of the team. "We want to expand the game within the area and put it in the school curriculum."

Local stars

Bauer says that all this social engagement, along with the team's rising profile, has turned the Warriors into ambassadors for positive change within their communities.

"Our parents, they're helping us because they are seeing what we are doing is something very important to the community," says Ngais. "Also, most of the Warriors are not working, so it creates some opportunity we get from this."

Some of the team's social initiatives are captured in "Warriors," a documentary expected to be released next year with the aim of sharing a message of hope with the rest of the world, according to Bauer.

Looking ahead, she says the goal is to introduce cricket development to more schools in order to bring success on and off the field.

"It would be amazing if we could get one of the guys playing for the Kenyan national side," says Bauer.

"There's definitely talent; what we just need now is the support to get these talented boys to play enough cricket, on proper facilities, get them proper coaching, and who knows? Nothing is impossible."

@highlight

A group of young Maasai men have formed a cricket team

@highlight

Called Maasai Cricket Warriors, they use sport to promote positive change

@highlight

They raise HIV/AIDS awareness and campaign against female genital mutilation

@highlight

Their efforts are captured in a documentary, set to be released next year