San Francisco (CNN) -- In the world of gaming, money doesn't necessarily buy respect.

Online games designed to be played on Facebook, called "social games" in industry jargon, have multiplied in the last few years, since the world's largest social network introduced a Web platform for friend-enhanced applications.

But even at a time when Zynga Game Network, which makes the wildly popular "FarmVille," is valued higher than software giant Electronic Arts, social games don't have much street cred among hard-core gamers or industry veterans.

A clearer picture of these dynamics emerged at last week's Game Developers Conference in San Francisco, where CNN attended panels and interviewed designers and programmers.

In the natural pecking order of game-making, visionaries like Nintendo's Shigeru Miyamoto can attract followers that hang on his every word. But at the opposite end, creators of social games struggle to legitimize their work among their peers.

This theme was pervasive enough to warrant its own panel at GDC. The hour-plus discussion was titled "No Freaking Respect! Social Game Developers Rant Back," and it attracted a large audience.

Scott Jon Siegel, a lead designer for Playdom, Disney's social-game division, spent his time onstage feeding many of the stereotypes. Something changed two years ago that formed a storm cloud over the land of Facebook games, he said.

"One game changed the entire games industry," Siegel said, standing in front of a silhouette of a cartoon farmer. "And this game is 'Farm Town.' "

"Farm Town" was a precursor to the more popular "FarmVille" from Zynga. These games earn revenue by encouraging players to click on advertisements, or through micro-payments, in which players cough up real money in exchange for virtual goods, such as barns or livestock.

"This formula instills bad habits," Siegel said. "You're doing 'making lots of money' right. You're doing 'engaging lots of users' right," he said, addressing developers. "You're not making good games."

Playdom introduced two new Facebook games during GDC. The company plans to release "Deep Realms" -- a story-driven, role-playing game set in a medieval town -- on March 21.

About a week later, Playdom intends to debut a puzzle game called "Gardens of Time." One part is a "hidden object" scavenger hunt, and another is a new take on those popular games in magazines or on bar machines that present two seemingly identical pictures and ask people to spot the differences between them.

Eric Todd, the game's creative director, said he put a lot of thought into themes for his game's story, which involves members of an organization tasked with protecting the flow of time. Before Playdom, Todd worked on the complex computer game "Spore," in which players populate a new world with creatures they create.

Mark Pincus, Zynga's CEO and therefore the veritable king of social gaming, didn't attend his company's GDC party or appear on any panels. Instead he dispatched chief designer Brian Reynolds, who defended his company's work, saying that Zynga's games -- most recently, "FarmVille" spinoffs such as "FrontierVille" and "CityVille" -- help people keep in touch with friends.

But that didn't stop other GDC attendees from criticizing the social-games trend. Nintendo President Satoru Iwata, in his keynote speech, commended competitors in the console arena but had no kind words for gaming on smartphones or social networks.

Even so, rival Konami, a major Japanese console game company, is moving quickly to add social networking features. And two news media empires are making aggressive plays in the social-game space. News Corp., which owns Fox, and DMGT, which owns several big UK sites, recently created divisions for publishing Facebook games.

Gaming has outpaced other categories in its successful adoption of social networks, said Facebook founder Mark Zuckerberg during an October announcement of his support for a venture capital fund dedicated to social apps.

"The games and stuff that have happened on this platform are just amazing. Zynga is a great example of this," Zuckerberg said. "Five years out, I think the world is going to look a lot more like Zynga."

For developers of social games, the challenge now is convincing skeptics that becoming Zynga is an honorable goal.

@highlight

Facebook game developers say they're sometimes put at the bottom of the pecking order

@highlight

That's despite the fact that social-game business is very profitable

@highlight

Some critics consider social games money-driven rather than artistic