Seoul (CNN) -- New images of North Korea's main satellite launch site show that an upgrade allowing for larger rockets has been completed, raising the possibility of a fresh launch within the year, a new report says.

Based on satellite images of the Sohae Satellite Launching Station, located on North Korea's west coast close to the Chinese border, the report was posted on the 38 North website, run by the U.S.-Korea Institute at Johns Hopkins University.

"North Korea is now ready to move forward with another rocket launch," concluded the report by retired imagery technology expert Nick Hansen, adding that if the political decision were made to proceed, "a rocket could be launched by the end of 2014."

The satellite pictures appeared to show that a yearlong construction project at the Sohae facility had been completed, including the upgrade of the launch pad and gantry tower to enable the launch of rockets larger than the existing Unha-3 space launch vehicle, said the report.

A South Korean Defense Ministry official, who would not be named in accordance with protocol, said Seoul was monitoring developments.

"Our military is observing closely all activities regarding the situation of construction and possibility of a missile launch at the North Korean Sohae Launching Site," the official said.

Larger rockets?

The U.S.-Korea Institute said the development would allow the Sohae facility to launch rockets up to 50 meters in length -- considerably larger than the Unha-3, which is about 30 meters long.

North Korea last fired an Unha-3 in December 2012, in a controversial launch that successfully put a satellite in orbit.

While Pyongyang insisted the test was for scientific purposes, many nations, including the United States and South Korea, considered it a cover for testing ballistic missile technology. The launch resulted in increased U.N. sanctions on the diplomatically isolated state.

The 38 North report stated that the "most likely candidate" for any potential launch remained the existing Unha-3, since the "much larger rocket, reportedly under development, is at least several years from becoming operational."

The satellite images also indicated Pyongyang had conducted engine-tests for a road-mobile intercontinental ballistic missile (ICBM), the KN-08, it said, which had been ongoing at the site for at least two years.

"It remains unclear how successful these tests have been. However, rocket motor tests are typically conducted prior to full-scale test launches of a missile that precede a weapon becoming operational," said the report.

Any decision to launch a rocket would ultimately hinge on political considerations, it said.

Is North Korea still digging tunnels to the South?

'Long-term commitment'

Daniel A. Pinkston, North East Asia deputy project director at the International Crisis Group, said the reported activity at Sohae was consistent with Pyongyang's statements regarding space launches.

"The Kim family regime has demonstrated the long-term commitment -- over 30 years -- to develop long-range missiles," he said.

"It is important to recognize the relative scale of the investment for an economy the size of the DPRK's. State media and other institutions extol the space program and asserts it is absolutely necessary for the country's economic development."

While any decision by Pyongyang to proceed with a launch would take into account domestic and international factors, he said, "In my view, the DPRK government is fully committed to conducting additional satellite launches, and cannot be dissuaded by the international community."

The Unha-3 did not have military applications, but North Korean scientists and engineers were able to "apply the know-how they've acquired from the Unha-3 to other missiles," he said.

"The DPRK has continued to develop missiles with the intention of acquiring an ICBM," he said.

@highlight

A new report says North Korea has completed a major upgrade of its launch center

@highlight

It says the upgrade will allow for larger rockets to be launched

@highlight

It says Pyongyang is continuing testing on a road-mobile intercontinental ballistic missile

@highlight

Analysts expect Pyongyang to continue with its rockets program despite international opposition