London, England (CNN) -- Former British Prime Minister Tony Blair says he would have taken the decision to remove Saddam Hussein even without evidence of weapons of mass destruction in Iraq.

In an excerpt from a BBC interview to be aired Sunday, Blair said: "I would still have thought it right to remove him. I mean obviously you would have had to use and deploy different arguments, about the nature of the threat."

Blair, who left office in 2007 and now serves as a special envoy to the Middle East, will be questioned next year at an inquiry into Britain's role in the 2003 conflict.

At the time of the conflict the British government based its decision to go to war on evidence, contained within a dossier it published in September 2002, that Saddam had weapons of mass destruction (WMDs) ready to deploy within 45 minutes.

But critics of the war claim the Bush administration had decided to remove the Iraqi dictator by force by the end of 2002 and that Blair was aware of this and had offered his support.

The current inquiry is not a court of law, so it cannot find anyone criminally responsible or even apportion blame. But inquiry members will be able to judge the legality of the conflict.

Despite doubts about Iraq's WMDs, Blair was defiant about the need for regime change in Baghdad for the sake of peace in the region. He told the BBC: "I can't really think we'd be better with him and his two sons still in charge, but it's incredibly difficult and I totally understand.

"That's why I sympathize with the people who were against [the war] for perfectly good reasons and are against it now, but for me, you know, in the end I had to take the decision.

"It was the notion of him as a threat to the region, of which the development of WMD was obviously one. He used chemical weapons on his own people, so this was obviously the thing that was uppermost in my mind."

Last month, Blair denied a claims that Peter Goldsmith, Britain's Attorney General at the time of the Iraq war, was "bullied" into declaring that the invasion was legal.

According to reports in the British media, Goldsmith warned Blair the invasion was a serious breach of international law in an "uncompromising letter" in July 2002, eight months before the campaign.

In an interview with CNN, the former premier refuted the claim but accepted his reputation had been called into question many times over Iraq. "Over the years I've answered questions time and time again about it [the invasion] and am happy to do so again," he said.

"It was an important decision, and it was a momentous decision in terms of your country and in terms of mine.

"But one of the things you learn as leader of a country is that you have the responsibility to take decisions. Some of those decisions are difficult decisions and some are very controversial... sometimes they can be very bitter, very difficult. That's part of being a leader."

Britain has already held four hearings about the Iraq war. But because all were held before the end of 2004 -- so close to the start of the war -- they were hampered by limited information, political analyst Glen Rangwala of Cambridge University told CNN.

"They didn't manage to achieve anything like a comprehensive understanding of the paths that led the UK to support the United States in the invasion," he said. "This will be the first to look at political decision-making that led to the British invasion of 2003, with the potential to tell a full story."

Britain's first two inquiries were held by government committees in 2003.

The House of Commons Select Committee on Foreign Affairs examined whether Britain's Foreign Office gave accurate and complete information to Parliament in the run-up to the war. It found the government exerted no improper influence on the drafting of the dossier given to Parliament on Iraq's alleged weapons of mass destruction.

The Intelligence and Security Committee then examined whether intelligence about Iraq and its weapons was properly assessed and accurately reflected in government publications. Its findings were mixed.

The next two inquiries had narrow mandates, looking at specific aspects of the war. The Hutton report from January 2004 investigated the death of David Kelly, a leading microbiologist and former U.N. weapons inspector who committed suicide months earlier. Kelly had worked for the British Ministry of Defence, advising it on Iraq's weapons of mass destruction, but was later found to be the source of a BBC report that said the government had exaggerated evidence to justify war on Iraq.

Following that came the Butler inquiry, which looked at the accuracy of intelligence on weapons of mass destruction in Iraq and elsewhere. It found some of the intelligence sources were "seriously flawed," but that there was no evidence of deliberate distortion or culpable negligence by spy agencies.

@highlight

Former British PM Tony Blair tells BBC it was right to remove Saddam Hussein, sons from Iraq

@highlight

Blair faces a British inquiry into the country's role in the 2003 conflict

@highlight

Britain based its decision to go to war on evidence Saddam had weapons of mass destruction

@highlight

Critics argue Blair government had exaggerated evidence to justify war on Iraq