Washington (CNN) -- An Arkansas pipeline spill that coated streets and lawns with a smelly, asphalt-like crude oil provides opponents of the proposed Keystone XL pipeline with new ammunition to combat the project that would bring more of the tar sands bitumen from Canada.

The Obama administration is expected to issue a decision on expanding the Keystone pipeline in coming months, after an upcoming public hearing that is part of the State Department's assessment of the border-crossing proposal.

The project has become a flashpoint in Washington and a dilemma of sorts for President Barack Obama, who will anger the liberal Democratic base if he approves the pipeline or face condemnation from Republicans and pro-business moderates if he nixes job creation by opposing it.

A recent report by the State Department said the 800-mile Keystone pipeline expansion should have no significant effect on the environment along its proposed route, causing supporters to ratchet up pressure on Obama to approve it.

In Saturday's weekly Republican address, Rep. Lee Terry of Nebraska said the Keystone pipeline "is primed to give our economy a shot in the arm and make energy more affordable -- and it won't cost the taxpayers a dime."

Terry spoke a day after the apparent pipeline rupture in the Arkansas town of Mayflower, about 20 miles north of Little Rock, that demonstrated the exact kind of environmental threat predicted by opponents of the Keystone project.

Keystone XL pipeline public meeting set

Black torrents of diluted bitumen -- the tar-like oil dug up in northern Alberta that is thinned with chemicals to make it transportable by pipeline -- flowed through the community, forcing the evacuation of 22 homes.

Pipeline owner ExxonMobil was barred Tuesday from restarting the pipeline "until the agency is satisfied with repairs and is confident that all immediate safety concerns have been addressed," according to a statement from the U.S. Department of Transportation's Pipeline and Hazardous Materials Safety Administration.

"When I got here, you could have canoed down the street, there was so much oil running down through there," said Mayflower resident Chris Harrell. Another resident, Amber Bartlett, described the smell of the black sludge on part of her yard as "very intense."

State Attorney General Dustin McDaniel said Tuesday he was launching an investigation and asked ExxonMobil to preserve all documents and information related to the spill and cleanup efforts.

Daily updates by ExxonMobil show the scale of the spill designated as "major" by the Environmental Protection Agency, as well as the struggle to clean it up.

The company said Tuesday it had deployed 15 vacuum trucks, 33 storage tanks and 330 workers that recovered roughly 12,000 barrels of oil and water so far. It also mentioned that 14 oiled ducks, two turtles and one muskrat had been found. Two ducks were killed by the spill.

To Glen Hooks, who was in Mayflower on Tuesday for the Sierra Club, the Arkansas incident portends similar problems with the Keystone pipeline.

"We are connecting the two because this is a great example of what could happen if the Keystone XL pipeline is permitted and built," Hooks told CNN, noting it would be transporting the same "viscous, thick, nasty stuff."

Rep. Ed Markey of Massachusetts, the top Democrat on the House Natural Resources Committee, said the Arkansas incident was "a troubling reminder that oil companies still have not proven that they can safely transport Canadian tar sands oil across the United States without creating risks to our citizens and our environment."

Markey has lobbied for legislation ending a tax loophole that protects oil companies from a fee to pay for the costs of tar sands oil spills, and his statement Sunday said ExxonMobil should "be forced to pay for all cleanup costs and assist affected Arkansas homeowners in whatever way they need."

"Whether it's the proposed Keystone XL pipeline, or this mess in Arkansas, Americans are realizing that transporting large amounts of this corrosive and polluting fuel is a bad deal for American taxpayers and for our environment," he added.

Political tensions over the pipeline run deep.

Protestors call on Obama to reject Keystone XL pipeline

Supporters including Republican leaders, the business community and some oil state Democrats argue it will create at least 5,000 jobs and carry more than 800,000 barrels of oil a day from U.S. ally Canada, reducing American dependence on less friendly and less stable countries.

Environmentalists and Democratic allies opposing the project contend the tar sands oil from Canada produces up to 30% more greenhouse gases, and extracting it causes deforestation and other problems.

However, a traditional political ally on the left -- organized labor -- is generally siding with pro-pipeline arguments because of the jobs it would create.

The opponents also cite the risk of spills, which they say are more prevalent for the heavier tar sands oil. In response, Saskatchewan Premier Brad Wall told CNN that the tar sand oil from neighboring Alberta will get to market whether or not the pipeline gets built.

"This is transitional energy," Wall said. "We all want to get to the point where hydrocarbons don't play the role they play today, but in the meantime, they do."

The Obama administration initially rejected a permit for the Keystone pipeline in January 2012 after Nebraska's governor, a Republican, complained it would cross the vital Ogallala Aquifer in his state.

Obama later accelerated approval for a southern portion of the project that runs from Oklahoma to the Gulf Coast, but critics accused him of avoiding a politically sensitive decision on the northern leg.

Nebraska officials have since approved a revised route for the pipeline, and supporters of the plan now complain that the administration's continued vetting was unnecessary after previous years of review.

CNNMoney's Steve Hargreaves and CNN's Jason Hanna, Lisa Sylvester and Lisa Desjardins contributed to this report.

@highlight

The Obama administration will decide on the Keystone XL pipeline this year

@highlight

Opponents argue the tar sand oil from Canada makes spills more likely

@highlight

They cite the Arkansas spill that coated roads and lawns in asphalt-like residue

@highlight

Pipeline supporters say it will create jobs, and the oil will get to market anyway