(CNN) -- There is a growing belief among many in the West that Europe and the United States provoked President Putin into annexing Crimea. Moscow's reaction to NATO expansion and to the EU's efforts to bring Ukraine into its orbit was, it is said, inevitable.

In this view, Western leaders backed Putin into a corner and, with the situation worsening in eastern Ukraine, it is time we gave him an exit plan.

Interestingly, this is the prevalent view in Southeast Asia, a region not lacking a large and assertive neighbor of its own.

In Singapore last week, several prominent figures told me Southeast Asia is managing better the challenge of a resurgent China than Europe is a re-assertive Russia. But this is a misleading comparison. China and Russia present entirely different propositions to their neighbors.

President Xi Jinping recognizes the logic of win-win international politics.

Whilst tightening his political control, he has overseen what is perhaps China's most ambitious strategy for market-led socio-economic reform since the Deng Xiaoping era, and launched an all-out assault on the rampant levels of corruption in the Chinese Communist Party.

In focusing on growth and modernization, Xi is aware of the importance of a stable and prosperous regional environment, and has sought to manage the growing anxiety and resentment that China's rise is causing among its Southeast Asian neighbors. Relations with Japan have deteriorated to a dangerous level, but in China's southern neighborhood Xi has worked hard to improve relations.

Ties with Vietnam and Malaysia have been bolstered, despite competing territorial claims over islands in the South China Sea. China is increasingly active in a range of regional multilateral institutions, and has sustained a constructive political and economic relationship with the United States, despite their competing strategic roles in the region.

Most importantly, China is ever more deeply integrated economically with its neighbors across East Asia, serving as an essential engine of regional economic growth. From a Chinese perspective, the rising tide lifts all boats. Neighbors that are economically strong support China's growth. Given its relative size, China's political influence will only grow as a result.

'Law of jungle'

The contrast between this approach and that of President Putin could not be starker. Putin appears to see the world through a unique prism of winner takes all and loser loses everything. He represents a 19th century "law of the jungle" mentality, in the words of Angela Merkel. This makes Russia an altogether more dangerous neighbor.

As tends to be the case with bad neighbors, Russia's belligerence stems from problems at home. Despite recent high global oil prices, Putin presides over an economy in reverse. Russia's current account surplus was already projected to have disappeared this year, before the crisis over Ukraine. Capital outflows amounted to $63 billion last year, a figure at least matched in the first quarter of 2014. In the meantime, growth is projected to fall in 2014 to 0.6% according to Russian figures, after achieving only 1.3% in 2013.

Like Xi, Putin has tightened his control over the media and political opposition. But rather than accompanying political tightening with economic reform, his government has side-stepped market-opening commitments made as part of Russia's WTO accession. And rather than tackling ever-deepening corruption, he has continued to hand his close allies the choicest parts of the Russian economy through Kremlin-led corporate mergers and lucrative concessions.

Regionally, Putin's notion of national security is to surround Russia with what Karel de Gucht, the EU Trade Commissioner, recently described as a string of economic "black holes" (such as Ukraine and Belarus) and "frozen conflicts" (including in Transnistria, Abkhazia and South Ossetia).

These areas remain dependent upon Russia for their economic survival and constitute a further hindrance to Russian economic growth. Where China recognizes the necessity of a stable neighborhood, Putin has manufactured a volatile and vulnerable one.

Nor does he show any interest in exiting this spiral. Having failed with economic coercion, he is now also resorting to political and military coercion to prevent Ukraine from escaping Russia's economic stranglehold.

No return

Russia will not reform under Putin's watch, as some in the West once hoped. He blames the West for Russia's ills and wallows in victimhood. But he avoids reforming the economic system he created, and perceives steps towards embedding the rule of law, accountable government and more open markets around Russia's neighborhood as threats to his and Russia's power.

If the choice now is between trying to bring President Putin gradually in from the cold, or containing his worst instincts towards Russia's European neighbors, the latter is the only rational answer.

Europe and the United States should not accept the way Crimea was annexed into Russia, and should be prepared and willing to apply major economic sanctions should Putin raise the stakes again over Ukraine or Transnistria. Over time, Ukraine should be integrated into EU markets through the completion of the Association Agreement along with substantial financial support.

There can be no return for Putin to the G8 or business-as-usual in NATO until Russian economic and military threats against its European neighbors are lifted and a mutually acceptable solution is found to Crimea's status.

Putin's actions are not a response to European and American provocations. He has painted himself into a corner with a combination of strategic paranoia, dreams of Russian revanche and economic illiteracy. As it seeks to present a strong and united response, the West can ill afford to blame itself.

The views expressed in this commentary are solely those of Robin Niblett.

@highlight

There is a growing view Russia was provoked into annexing Crimea, Robin Niblett says

@highlight

This belief is prevalent in Southeast Asia, where China is asserting itself, he says

@highlight

But Niblett says China's president recognizes the logic of win-win diplomacy

@highlight

Putin's "winner takes all" approach, however, requires a strong response, he says