(CNN) -- Stacy Peterson disappeared five years ago, but the suspicions and fears she harbored about her husband haunted his murder trial and proved crucial in his conviction.

Her words came to life through two crucial witnesses who conveyed Stacy's remarks to jurors. That's hearsay evidence, or what one person tells another outside a courtroom setting.

The allowance of that evidence could possibly form the basis of an appeal by attorneys for former suburban Chicago police Sgt. Drew Peterson, 56, who was found guilty Thursday of the 2004 killing of ex-wife Kathleen Savio.

Stacy Peterson's words and her husband's conviction could also mean that he could face a new murder trial -- this time for the death of Stacy herself.

"Stacy, you are now next for justice," Savio's brother Nick Savio said after the verdict was read.

Savio was Peterson's third wife; Stacy, his fourth.

Stacy vanished in October 2007, but her body has never been found. She left three children behind at home, and her family believes she was killed.

But before Peterson can be charged again, prosecutors would have to prove that Stacy is dead and then that she was murdered.

"The longer someone is gone, the easier it is to prove they haven't just run away and that they are deceased," said James Glasgow, the prosecutor in Will County, southwest of Chicago.

"October 28, 2007, is in our rearview mirror now," he said. "We are going to look at that case and assess it as it stands today, and if we feel confident in going forward, we will be doing so."

Peterson once fueled outrage in the media with his brash behavior and flippant remarks about his wife's disappearance. But Thursday, he sat stone-faced in court as the verdict was read and returned to his jail cell as a murderer with little public sympathy.

His case, however, could live on in the court system for years.

Critical moments from the Drew Peterson trial

"You know what they say, a conviction is a first step in a successful appeal," said Joel Brodsky, Peterson's lawyer.

"Believe me, there's several world-class appellate lawyers just waiting to get their teeth into this."

An appeal could be based on a number of issues, including potential prosecutorial misconduct.

But at the heart of the Peterson trial controversy is the court's allowance of Stacy Peterson's disturbing comments, which jurors said were "extremely critical" to reaching the guilty verdict.

Jurors heard what she had said through the testimony of two key witnesses: the Rev. Neil Schori, Stacy Peterson's pastor, and Harry Smith, Savio's former divorce lawyer.

Schori testified that Stacy told him she woke up in the middle of the night -- the same night that Savio was killed -- and noticed her husband was not in bed.

"After that, it was some time later, in the early morning hours," Schori said. "She saw him standing near the washer and dryer, dressed in all black, carrying a bag. She said that he removed his clothing, and then took the contents of the bag and put all of that into the washing machine."

Schori said Stacy told him that Drew told her he had killed Savio and then coached her to lie to police about it. And she did, Schori said.

Juror Teresa Mathews said Friday that the jury was troubled that police interviewed Stacy while Drew was present.

Smith testified that Stacy planned to divorce Drew and wanted to know if "the fact that he killed Kathy could be used against him" as leverage.

Just days after that phone call with Smith, Stacy disappeared.

Her statements would be struck down in most courts of law: In 2004, the U.S. Supreme Court ruled that hearsay violates a defendant's Sixth Amendment right to confront a witness testifying against him or her.

But Illinois passed a special law in 2008 that allows such hearsay evidence in rare instances when prosecutors believe a person was killed to prevent his or her testimony.

The law quickly became known as "Drew's law."

Defense attorneys argued that it was unconstitutional. They said it unfairly targeted Drew Peterson because it was passed after the case had already made national headlines.

"He is absolutely innocent," Brodsky said of Peterson after Thursday's verdict, adding that his client was convicted "based almost entirely on hearsay."

Kelly Saindon, a former prosecutor in Chicago who attended parts of the Peterson trial, said the hearsay evidence was key.

"That was exactly the turning point when the prosecution hit their stride," she told HLN. "Stacy's voice came in, and everyone knew she was gone and that Drew Peterson was a murderer.

"You could see it on the jury's face," she said.

Savio was found dead in her bathtub on March 1, 2004. Her hair was wet, but the tub was clean and dry.

Savio's killing did not garner much publicity until Stacy Peterson went missing and investigators began looking again into the circumstances. They exhumed Savio's body, re-examined it and issued a second report on her death. Savio, it said, was murdered.

Peterson was arrested and charged in May 2009 with first-degree murder.

His lawyers argued her death was accidental -- that she fell, hit her head and drowned. But jurors said Friday that they believed doctors who testified otherwise; that Savio's injuries were not consistent with a bathroom mishap.

Jurors never saw any physical evidence connecting Peterson to Savio's death. Nor was there testimony placing him at the crime scene. But they heard what Stacy said.

The jury of seven men and five women deliberated for nearly 14 hours before reaching their verdict.

When the panel adjourned for the night Wednesday, the jury was 11-1 in favor of a guilty verdict, juror Ron Supalo told reporters. He was the holdout and said it was Schori and Smith's testimony about what Stacy had said that finally swayed him.

"The hearsay evidence was big," he told CNN affiliate WLS-TV. "It seemed all the evidence was pointing toward the defendant being guilty."

Jury foreman Eduardo Saldana said Friday the testimony of Schori and Smith played a big part in the jurors' decision.

Schori said he was "hugely honored to be able to give Stacy a voice."

"The jury did the right thing," he said. "And justice is coming for Stacy's family, too. It's going to happen."

Peterson was married to Savio in 2001 when he had an affair with then-17-year-old Stacy Cales, who eventually became his fourth wife.

Savio and Peterson filed for divorce in October 2001. Their relationship was contentious in the years following, and a legal battle ensued over the division of common property. A court was about to make a ruling in which Savio was expected to receive part of Peterson's pension and other support. But Savio died before the decision.

Peterson is set to be sentenced in late November.

Illinois no longer has the death penalty. Peterson faces a maximum of 60 years in prison.

The Peterson trial: Your questions answered

@highlight

NEW: Jurors say hearsay evidence was critical in Peterson's conviction

@highlight

Stacy Peterson disappeared in 2007 and is believed dead

@highlight

But her disturbing statements are presented in court through witnesses

@highlight

Defense lawyers argue hearsay is unconstitutional but Illinois made it legal in certain cases