Port-Au-Prince, Haiti (CNN) -- Like cholera itself, Haiti's protests against the United Nations spread Thursday to the capital, Port-au-Prince, as angry people took to the streets demanding the global body get out of their country.

Similar demonstrations erupted earlier this week in the northern coastal city of Cap-Haitien after assertions that U.N. peacekeepers from Nepal were responsible for starting the cholera outbreak that has claimed more than 1,100 lives and spread to eight of the nation's 10 departments.

The United Nations has denied that its forces were responsible for the outbreak.

In Port-au-Prince on Thursday, a planned protest began peacefully in the center of the city but turned violent as it moved toward the presidential palace, with one woman overcome by tear gas, witnesses said.

At the central square, Champs de Mars Plaza, several hundred young men moving in a pack blocked traffic by setting fire to tires in the street and overturning Dumpsters.

Several threw rocks at a campaign poster for presidential candidate Jude Celestin, whose candidacy has been endorsed by outgoing president Rene Preval.

Others threw Molotov cocktails at the poster.

Some Haitians have said Celestin is a symbol of what is not working in the country, and that Preval's endorsement of him means the election -- set for November 28 -- will not be fair.

Near the presidential palace, which was destroyed in the January 12 earthquake that killed more than 200,000 people and left more than 1 million homeless, stores were closed and few cars were in the streets, though pedestrians were moving about freely.

A sprawling makeshift tent city that is home to thousands of people who lost their homes in the quake is located in the area.

"The Haitian government is never do nothing for us," said Pierre Aliodor, a protester who lives in the camp. "And we know the international government is still spending a lot of money for the Haitian people. But Preval, with his government, he still keeps their money to take back to the United States to buy some house."

Since the earthquake struck, neither he nor his wife had received any help from the government or from any of the many nongovernmental organizations that are in Haiti, Aliodor said.

Aliodor called for elections to be delayed. "This is not election time," he said, adding that both Preval and the U.N. forces should depart, "because they are not good for the Haitian people."

In another part of town, dozens of Haitians -- most of them young and male -- attacked a government tractor that was being used to clear barricades blocking the streets.

In addition to the 1,110 reported cholera deaths, another 18,382 people have been hospitalized with the disease, the health ministry reported. The hospital death rate was 4.0 percent, far above the none to 1.0 percent that infectious disease experts said they expect in developed countries.

In Washington, Mark Ward, the acting director of the Office of U.S. Foreign Disaster Assistance at the U.S. Agency for International Development, said U.S. authorities have "a lot of confidence" in the Haitian government's response to the outbreak.

The U.S. government strategy for aid in Haiti is to focus on prevention, he said, citing the need for clean drinking water, the addition of chlorine to the water supply, the ready availability of oral rehydration salts, education of the populace about how to protect themselves from getting the disease, and money to expand treatment centers.

"We're going to invest a lot of money in their health system in the next five years," said Thomas C. Adams, special coordinator for Haiti.

"Every hour that the efforts of medical and relief workers are obstructed means more deaths of Haitians from cholera," said Dr. Mirta Roses, director of the Pan American Health Organization (PAHO). "We understand the frustration of many Haitians with the tragic situation that has developed as a result of systemic poverty, the January earthquake and now the cholera epidemic. But relief and medical workers are as critical to saving lives as rescue teams were after the earthquake."

In Cap-Haitien, a cholera treatment center at the main stadium is being operated by Medecins Sans Frontieres, also known as Doctors without Borders. Before the recent unrest, the organization was planning to open another center in a different part of town, said Dr. Lea Guido, PAHO representative in Port-au-Prince. On Wednesday alone, the center took in 100 patients.

PAHO said the unrest had led it and other United Nations agencies to discontinue much of their work supporting cholera treatment centers, training health personnel, and delivering supplies to affected communities.

"The last shipment of medical supplies was delivered over the weekend, and we had to postpone distribution planned for Monday," said Guido. "The airport was closed, and many roads remain blocked. We have not been able to ship new supplies to the area at all this week."

Beginning Monday, residents of Cap-Haitien, which has been hard hit by the outbreak, began demonstrations against U.N. peacekeepers. The northern port city is in the North Department, the Haitian province that has the highest fatality rate from cholera, 7.5 percent.

"Experience shows that without access to health care, the rate could rise to as much as five times that figure," PAHO said in a statement.

Health workers at Hopital Universitaire, the city's main hospital, treated at least six patients with gunshot wounds.  "MINUSTAH shot them," said a man pushing a wheelbarrow holding one of the wounded. He was referring to the U.N. forces in Haiti by their acronym.

At Cap-Haitien's Justinien Hospital, Dr. Wilton Cheruben told CNN that 37 people with bullet wounds had been treated between Monday and Wednesday night. The victims included a 9-year-old and a 14-year-old who were shot in the mouth; a 6-year-old was shot in the back and an 11-year-old was shot in the arm, he said.

"Right now, we don't have any anesthetics, and the people really need some help," he said.

In Cap-Haitien, PAHO staff members have been confined to their living quarters since Monday.

Roses said Thursday it was impossible to identify the origins of the epidemic in Haiti "with currently available data."

Rita Colwell, a cholera expert at the University of Maryland in College Park and the Johns Hopkins Bloomberg School of Public Health in Baltimore, said the reported links between the outbreak and peacekeepers is not based on evidence. "The evidence is not clear at all to be making any charge whatsoever for importing the disease," she said. "We've been jumping to conclusions without evidence, without facts."

U.N. officials said the demonstrations have disrupted logistical operations, including the supply of clean water and proper sanitation.

The U.N.'s World Food Programme reported that one of its warehouses had been looted and that food supplies were burned. The private charity Oxfam suspended water chlorination projects and other private charities pulled out of the Cap Haitien area.

U.N. staffers have suggested the violence is politically motivated and said it's especially troubling just ahead of Haiti's presidential elections.

Journalists Dmitri Foucard and Osman Jean Junior contributed to this story from Port-au-Prince

@highlight

Demonstrators blame U.N. peacekeepers for the cholera outbreak

@highlight

Protests have been ongoing in the northern city of Cap-Haitien

@highlight

Aid agencies say the protests are hampering treatment