(CNN) -- In space, astronauts go for years without a fresh supply of water. Floating in a capsule in outer space they wash and drink from the same continuously recycled source. So why, asked Swedish industrial designer Mehrdad Mahdjoubi, do we not do the same on Earth?

This was the concept behind the OrbSys Shower -- a high-tech purification system that recycles water while you wash. In the eyes of Mahdjoubi, we should start doing it now, before it becomes a necessity.

So how does it work? Similar to space showers, it works on a "closed loop system:" hot water falls from the tap to the drain and is instantly purified to drinking water standard and then pumped back out of the showerhead. As the process is quick, the water remains hot and only needs to be reheated very slightly.

As a result, it saves more than 90% in water usage and 80% in energy every time you shower, while also producing water that is cleaner than your average tap.

"With my shower, which is constantly recycling water, you'd only use about five liters of water for a 10 minute shower ... In a regular shower you would use 150 liters of water -- 30 times as much. It's a lot of savings," explains Mahdjoubi.

According to research carried out by his company, Orbital Systems, these savings translate to at least â‚¬1000 ($1351) off your energy bills each year.

Mahdjoubi proposed the OrbSys shower while studying Industrial Design at the University of Lund in Sweden. His concept formed part of a collaborative project with NASA's Johnson Space Center, which looks to drive design concepts that could potentially assist space expeditions.

"In an extreme environment such as a space mission to Mars, design concepts are brought forward to use all of the possible resources to make it there and back. I don't see any reason why we can't be as efficient on Earth as we can be in space," he says.

According to the U.S. Environmental Protection Agency (EPA), 1.2 trillion gallons of water are used every year for showering in the United States alone. And yet, rather disturbingly, across the world more than three times the population of the States lacks access to any clean water at all.

The concept of a water-saving shower is by no means a new one, but when CNN's Blueprint team caught up with Mahdjoubi at his offices in Malmo, southern Sweden, he explained that because it doesn't compromise on comfort, it's different to the rest. It has a higher than average water pressure and a very stable flow because, unlike conventional showers, it works independently from other appliances.

This year, his showers were installed for the first time in Ribersborgs Kallbadhus, a coastal bathing house in Sweden. During the summer months more than 1000 bathers come and swim waters rich with plankton, algae and seaweed, before showering off.

"It's not just an exotic environment for application but it's an extreme field test because the showers are on pretty much constantly, for about 10 hours per day... and the feedback has been good."

At the bathing house, CNN introduced Mahdjoubi to Danish industrial designer Nille Juul- SÃ¸rensen, who recently designed Malmo's Triangeln train station. Juul- SÃ¸rensen was keen to talk about the wider potential of Mahdjoubi's design: "My interest is not in the objects but in the system. There will be so many applications for this."

If deployed on a bigger scale, the purification technology developed for OrbSys could be used in taps and drinking fountains in the world's developing countries, where water-related illness is rife. "Everybody should save as many resources as possible," says Mahdjoubi, "but obviously these showers would be even more beneficial for people living in areas with water shortages.

"I want to get it to as many people as possible. That's the next step. It's not just about saving water. The motivation is to be smart about how we use our planet's resources."

@highlight

Swedish designer Mehrdad Mahdjoubi has developed a shower that recycles water

@highlight

OrbSys Shower saves more than 90% water and 80% energy while you wash

@highlight

It could save users over $1000 a year and help people living in areas with a shortage of water