(CNN) -- At age of 52, it might be too late to re-visit your beliefs and principles in order to change them.

When you see the regression from where we were, to the situation now and realize the dream you have been working towards has moved almost entirely out-of-reach, you feel tired, hopeless, and less motivated to recharge yourself.

I was born in Gaza in 1962 to a refugee family who had been expelled from their village "Sawafir" in the then British --mandate of Palestine.

Five years later, in June 1967, Gaza was occupied by Israel, which meant that I grew up under the occupation. When you live under occupation, your national ambitions become clearer and stronger.

I promised myself that I would do my utmost to contribute to achieving peace and freedom for our people and region through talks and debates.

In 1987, at the age of 27, I took part in the first intifada, which I viewed as largely peaceful, with boys and girls throwing stones at well-equipped Israeli soldiers.

Through that struggle, we succeeding in winning the hearts and minds, not only of the international community but also many Israelis themselves; who became advocates for our right to have a free and independent Palestinian state.

I learned, to some extent, what freedom meant when I took my first plane trip, flying to London via Tel Aviv in 1993. I had been invited by Amnesty International in my capacity as the founder of the organization's Palestinian branch.

I wrote articles and appeared on television and radio to promote human rights and non-violent struggle; I was invited to address Israeli audiences and receive Israeli citizens in Gaza itself. I also stood as a candidate in the first Palestinian parliamentary elections in 1996.

Then, my dream of being a free citizen in a free state grew and flourished, but over time it gradually became weaker and weaker.

Twenty years ago, how to make peace with Israel was a daily topic for the Palestinian people. It was very normal to see tens of Israelis citizens walking freely along Gaza streets, shopping and making conversation.

On the other side of the border, an influential Israeli camp was advocating making peace with the Palestinians.

Nowadays, "peace" is perhaps the least used word in Gaza's daily lexicon, replaced as it has been by the terms; tanks, F16, killing, shelling, rockets and revenge.

And in Israel, politicians and groups compete to see who will be more aggressive towards the Palestinians. This is demonstrated by the success of the extreme right in politics.

Twenty years ago, more than 80,000 Palestinian workers went to Israel every day to work alongside Israelis, acting as ambassadors for co-existance.

Twenty years ago, it was common to see the slogan and fliers "PEACE NOW" on cars and at shops and restaurants. Making peace with the Palestinians appeared to be a priority for the Israeli public.

Recently, the Israeli government built a huge wall separating Israel from the Palestinian territories. Now that Israeli citizens cannot see us any more, it seems they have lost sight of our reality.

And the reality has been deteriorating. When the Israelis began building separation walls in the late 1990s, many of its citizens were being killed by suicide bombers. In September 2000, the second intifada erupted with a far more violent face than its predecessor.

Hamas won the election in 2006 and took control from Fatah forcibly in June 2007, prompting Israel to blockade the Gaza Strip, which created humanitarians crises. Since then Israel has declared three wars against Gaza, in 2008, 2012 and now 2014. Meantime, Hamas and other resistance movements continue to launch homemade rockets into Israel's cities.

Within the new reality, the Israelis and Palestinians are unable to see/meet/talk/interact with each other.

I always say, it is easy to fight someone you don't know and/or have no mutual interests with, but you cannot make peace with someone unless you know them well and share interests.

This is why it has been easy for the new generations on both sides -- Israeli and Palestinians -- to fight each other aggressively. They have never met and they don't see the benefit of living peacefully. Nowadays, they communicate from a distance through rockets, bullets, shelling, guns -- instead of physically interacting.

The generations of both sides have been taken hostages by the conflict, they consume and waste their energy and resources to make the other's life more difficult. Both generations have to work harder to find the lost opportunity, which is hidden underneath scene of the conflict; they have to be educated to look differently.

Regional cooperation

In today's globalized world, the problems have become cross-border despite being perceived as local. Regional cooperation is needed.

Both Israelis and Palestinians suffer severe water shortages, pollution, population growth, radicalism, unemployment. But while the cost of conflict to both is huge, the profit of peace would be much higher.

In addition to the waste of their own resources, the Palestinians have received billions of dollars of aid in the past 20 years since the Oslo accord, while Israel receives U.S. aid assistance of about US$3 billion every year.

Some of the international aid and the local resources are spent in fueling the conflict, though it would make a huge and positive difference to people's lives if such huge amounts were instead used in developmental projects.

Both the Israeli and Palestinian governments might be able to reach a peace agreement, but achieving culture of peace remains distant.

I have never thought to leave Gaza or to emigrate, though I have always easy access to such a possibility.

I believe that Gaza is in need of an "agent of change." I have been and I wanted to continue to be such an agent of change.

But I feel tired, hopeless and less motivated to recharge myself.

What is Israel's endgame in Gaza?

What is Hamas' endgame in Gaza?

How do we get a cease-fire to end the bloodshed in Gaza?

@highlight

Omar Shaban was born to a Palestinian refugee family and grew up in Gaza

@highlight

In 1987 he participated in the first intifada and went on to work for as a peace campaigner

@highlight

But he says as violence has increased, so has the gap between citizens on both sides

@highlight

He says it is disheartening to see that Gaza is further from peace than it was 20 years ago