Myth No. 1: A suntan's fine, as long as you don't burn.

Reality: While even one sunburn may double the chance of eventually developing melanoma (the most serious type of skin cancer), your kids are still at risk even if they never burn. "The more sun you get, the more likely you are to develop certain skin cancers," says Martin Weinstock, M.D., chairman of the American Cancer Society's Skin Cancer Advisory Group, no matter what your skin tone. "Any tan indicates damage to your skin."

Myth No. 2: A beach umbrella blocks the sun.

Reality: It's not foolproof. Sand reflects 17 percent of UV radiation, so you're still exposed, says Dr. Weinstock. Nevertheless, it's smart to stay in the shade when the sun's rays are high; just make sure you're also slathered with sunscreen.

Myth No. 3: Sun can't penetrate through windows.

Reality: Glass filters out only one kind of radiation -- UVB rays. But UVA rays, which penetrate deeper, can still get through. That's why many adults have more freckles on their left side than their right -- it's from UV exposure on that side through the car window when driving. To protect yourself, apply sunscreen to any exposed areas (like your hands, forearms, and face) before getting into your car, especially in the spring and summer months, says Anthony Mancini, M.D., head of pediatric dermatology at Children's Memorial Hospital in Chicago, Illinois. If you're buying a new car, consider one with tinted windows, which keep out almost four times more UVA light than regular ones. You don't need to worry about putting on sunscreen when indoors unless you or your child spends most of your time near a window (for example, if your child's desk is right next to one). Parenting.com: TLC for sunburned skin

Myth No. 4: Too much sunscreen causes vitamin D deficiency.

Reality: You may have read that extra exposure to sunshine is needed to help your body make vitamin D. But according to the ACS, the American Academy of Dermatology, and the Skin Cancer Foundation, both kids and adults get plenty of this nutrient through multivitamins, vitamin D--rich foods (like milk and fortified orange juice), and everyday sun exposure. Also, even if you're wearing sunscreen, small amounts of UV rays still penetrate your skin, and that's more than enough to help your body produce vitamin D. Parenting.com: Sun protection 101

Myth No. 5: If it's cool or cloudy outside, you don't need sunscreen.

Reality: According to the Skind Cancer Foundation, up to 80 percent of the sun's UV rays can pass through clouds. This is the reason people often end up with serious sunburns on overcast days if they've spent time outside with no sun protection. Even in the winter months, you need to beware: Snow can reflect up to 80 percent of UV rays, increasing exposure. This is especially true if your family's on a ski vacation -- the higher your altitude, the greater your UV exposure. Parenting.com: Your print-and-save guide to warm-weather safety

Myth No. 6: 80 percent of sun damage occurs before age 18.

Reality: Contrary to previous estimates, recent studies show that we get less than 25 percent of our total lifetime sun exposure before age 18. That means you get the majority of it later on. So while you absolutely should be vigilant about protecting your kids, make sure you take care of yourself, too. While 83 percent of parents arm their kids with sunscreen and protective clothing whenever they're outdoors, only two-thirds practice what they preach, according to a 2005 AAD survey. "Remember, kids don't always pay attention to what you say -- it's more about what you do," says Dr. Weinstock. "If you're making them wear sunscreen but baking yourself, you're sending them a mixed message they may carry into adulthood."  E-mail to a friend

@highlight

Kids still at risk even if they never burn; even slight tan indicates damage

@highlight

Up to 80 percent of the sun's ultraviolet rays can pass through clouds

@highlight

Glass, like a car window, filters UVB rays, but not deeper-penetrating UVA