Wellington, New Zealand (CNN) -- In April this year I read an email newsletter from a youth leadership forum in my hometown of Wellington, New Zealand, that I regularly receive. This one had a small article about a video speech contest called Date With History, organized by a non-profit alliance called TckTckTck, asking for two-minute speeches answering the question "If you had two minutes to tell leaders what kind of future you want, what would you say?"

I immediately started writing ideas on my hand during school. I really wanted to add my voice to the movement of young people everywhere, who want to work together as global citizens, to make the world a better place.

Since hearing that I'd won the contest and will really speak truth to power, I've been thinking long and hard about the future I want. What shall I tell world leaders gathering at the Rio+20 Summit? How can I speak for those who can't? How can young people inspire action, not only hopeful words, from leaders attending the summit?

See also: Can Rio +20 solve the world's environmental problems?

I envision a future where every person's rights are respected and protected. I envision a future of harmony and balance, of knowledge and freedom, of peace and prosperity, where wealth is defined as an abundance or profusion of happiness. I really believe we can make this change, idealistic as it sounds.

First, we need to educate everyone -- and in a transformative way. Every child born should have at least a primary education. But the system we know will only breed more of the same kind of thinking that got us into the pickle we're in now. As I said in my Date With History entry, we can't meet the future with what we did in the past and I believe that education is the key to change. We need to think differently about human capacity. We need to encourage creativity and divergent thinking.

I see the education system working to a linear 'production line' mentality where children are batched - year 1, year 2, year 3 -- and then processed through Math, English, Science and so on, until they emerge beautifully standardized. Education seeks to systematically individualize us through measurements like grades and tables. This is dangerous. We know that good things happen in groups, that collaboration is the key to change. Education should embrace this.

Education is a transformative process. It takes time. So what can we do now? Involving youth is key to making this change. Just imagine what we can achieve if we put youth thinking together with the experience of the older generations before us. Initiatives like the Elders+Youngers dialogues help increase knowledge for young and older generations, giving youth the impetus to commit to sustainable development in ways our current leadership hasn't even thought of yet.

Secondly I've noticed (haven't we all) that we use too many resources to serve our endless consumption needs, we continue to use dirty technologies instead of investing in cleaner ones and we don't respect the planet's limits.

How we can mimic nature and learn from Mother Nature? We can no longer continue to "take-make-waste" as Severn Suzuki said in 1992, we need to embrace systems that work as a cycle. The concept of biomimicry has had more lab work than any modern technology -- 4.5 billion years of experimentation, to be exact! In nature all processes are cycles, where the waste from one "phase" is food for another.

Rapid implementation of closed-loop technologies might be one of the fastest ways we can help to slow the path to irreversible temperature rise and to conserve our precious resources.

A fellow Date With History finalist, Annie from the UK, put it beautifully in her entry speech: "We hear the phrase 'Save Our Planet' a lot. The truth is, planet Earth will survive. It's the human race that won't survive. Humans cannot adapt quickly enough to a changing climate."

I say, let's learn from the environment around us, let's be inspired by the wonder and beauty of the world, let's utilize the perfection of knowledge that nature surrounds us with. As a hero of mine, Janine Benyus, once said "The more our world functions like the natural world, the more likely we are to endure on this home that is ours, but not ours alone."

Leaders must act now. I can't put it any more simply. If our leaders want our support, they must deserve the trust that three billion youth -- half the world's people -- have placed in them.

It's time for our leaders to look youth in the eyes and remember just who needs the just, safe, secure and equitable future they talk about. Before my speech at the Earth Summit, I'd love to hear from people everywhere about the future they want. You can tell me here.

What do you think Brittany should I say to say to world leaders? Leave a comment below?

The opinions expressed in this commentary are solely those of Brittany Trilford.

@highlight

Brittany Trilford, 17, will address world leaders at the Rio + 20 summit next week

@highlight

"I envision a future where every person's rights are respected and protected," she says

@highlight

She believes that schools should encourage creativity and collaboration

@highlight

We should take inspiration from nature and learn to re-use waste, says Trilford