(CNN) -- Fadi Ghandour is CEO of Aramex International, one of the leading logistics and transportation companies in the Middle East and south Asia. He founded Aramex in 1982 and 15 years later it went onto become the first company from the Arab world to go public on the U.S. Nasdaq stock exchange.

In 2002, Ghandour, in collaboration with private equity firm Abraaj, took the company private. Today Aramex is a public company again, trading on the Dubai Financial Market.

Between 2003 to 2005, he was the Middle East and North Africa area chairman of the Young Presidents' Organization. And he continues to be actively involved in community socio-economic development and NGO work in the region.

CNN's Schams Elwazer talks to Ghandour, one of the leading entrepreneurs in the region, on the importance of developing an entrepreneurial spirit.

Schams Elwazer: Aramex is now about 25 years old. You were among the first entrepreneurs, especially when it comes to service-based industries, in the region. How pressing a need is there to develop entrepreneurship in the region?

Fadi Ghandour: I think it's extremely pressing. I think it's extremely important that entrepreneurs are nurtured in the region. They need to be looked after and they need to be taught now to be entrepreneurs, the new students. The youth of the Arab world needs to understand that entrepreneurship is the way to get out of the stifling job market that is being looked at today.

Because historically the Arab world, the region, had been a place where most people look for governments to employ them. This means very little innovation, very little space for creating news jobs. And in today's world, governments are unable to employ. They don't want to employ.

If we are going to hire the hundred million people that are going to come into the job market in the coming 20 years, we're going to have to tell them that they're going to have to create their own businesses.

SE: What changes have you seen in the Arab business climate since you've started?

FG: You can think of the Arab world pre-9/11 and post-9/11 as far as the business climate. Post 9/11, which is a blessing, because suddenly the Arab world decided to invest in the Arab world.

Arab capital decided to look for opportunities within the Arab world and decided to take risks on the Arab world. And the boom that you see in the region is a direct result of the Arab world finally being convinced that the opportunities are here and not anywhere else.

And that's what makes a big difference. That's what's making Dubai at the end of the day; that's what's making Jordan; Egypt in terms of the new business boom that is happening.

And at the same time there is, I think, a talent and brain regain in the region. This is new. We've gotten a lot of experienced Western-educated, or Western-employed talented people. They want to come back here and that is because the business opportunity is here.

And the biggest loss of the Arab world was to have lost its brain. I see a very strong trend of people coming back.

SE: Is that changing the face of business in the region?

FG: Absolutely. It's changing the face of business in the region because you're bringing habits of modern economies, of developed economies into economies that are developing. It's not that we don't have our own capabilities, but we need a lot of help. We need people to come back and tell us what is happening outside of our region: how big companies have made it; how big governments outside of our region have made it.

SE: And that's partially what you benefited from listing on the Nasdaq and being the first and only Arab company to list on the Nasdaq. You did develop, learn and bring back with you these Western standards of best practices.

FG: Absolutely. When talking about Western management practices, I need to be careful. But the reality is that modern management is a Western concept. What I did when I went public on Nasdaq is say that companies from the region can make it over there. It is doable.

SE: Was there increased pressure from the market and from shareholders to constantly deliver quarter-on-quarter? Did you want to take more long-term strategic decisions that maybe wouldn't immediately show high turnover?

FG: Sure. The entrepreneurial spirit may have been a little bit stifled when we were on Nasdaq because of the pressure of quarter-to-quarter. But we're also a public company today and we still continue to live quarter-to-quarter but maybe with less pressure because the research community on public companies is not as pressurizing as the community in the West.

But I wouldn't make it that big an issue. But being part of a private equity firm for three years, a lot of entrepreneurship was pushed because private equity by nature pushes you to grow and pushes you to take risks.

If a shareholder wants you to take risks, then you are going to take risks. When you are public, shareholders are much more conservative than when you are private.

SE: When you began you really started as a niche business supporting global players. Now you've become a very significant player regionally and you've expanded to other markets as well, such as in south Asia. How can you and will you be able to compete with the big boys like DHL and FedEx in mature markets?

FG: Sure, we think we have the product, the services and quality of global standard. The brand is not recognized, but the brand can be built. We are patient people.

We've been able to build what we have in 25 years, competing with the giants in our traditional markets. We're competing in India for instance. India is a massive market that has all the big boys in it and we have a respectable share of the international express market.

So we're also taking those habits and our presence into not only south Asia but into southeast Asia. We're going to build a Chinese company and we're looking at acquiring a company in the US. We've also, as you know, acquired a company in Ireland that has a European base.

SE: And what do you think is really the key change that needs to take place in the region in the coming years in order to create a more vibrant, viable regional economy?

FG: I think the region needs to decide what it's going to do with the extra cash that it has. If we continue to invest in real-estate then I'm worried. If we're not going to invest in our people, if we're not going to invest in our youth, if we're not going to change the way we invest in our youth, we're going to be in trouble.

That is the single biggest challenge that the Arab world has. It is what we are teaching our students, our youth, the people that are going to come into the economy in the coming 20 years. Are we going to teach them skills that will allow them to create their own jobs, that will allow them to become entrepreneurs, that will allow them to become business people, to become innovators, to become creators? Or are we going to continue to think that the traditional way of making money is the only way?

We need to move from the hard asset mentality to the soft mentality of investment. And this is a long-term investment and this is a window of opportunity that has opened for us. The blessing of the oil price needs to be continuously looked at as a blessing in investing in the youth. It will be a curse if we don't take advantage of that extra cash and invest it in the future by investing in people. E-mail to a friend

@highlight

Ghandour is CEO of Aramex, the leading logistics company in the Middle East

@highlight

Entrepreneurship is route for Arab youth to escape stifling job market, he says

@highlight

Region must invest in youth. "If we continue to invest in real-estate, I'm worried."