(CNN)  -- Esra'a al Shafei, a recent university graduate in Bahrain, is young, Muslim and frustrated.

Young Muslims, pictured here in Afghanistan, are increasingly using technology to engage the world.

The 23-year-old says the complexity of who she is as a Muslim is being distorted by extremists and the media coverage of them.

Channeling her frustration, she started Mideastyouth.com, a Web site she describes as a place for young people in the region to "show a different side of our religion" and discuss topics big and small, taboo and not.

She represents a generation of Muslims who are using technology to express themselves, connect with others, challenge traditional power structures and create an identity in an era when Islamic extremists often grab the headlines.

"I think the word that clearly defines the younger generation and also separates them from their parents is 'globalized,'" said Reza Aslan, the author of two books on Islam, including the recently published "How to Win a Cosmic War: God, Globalization and the End of the War on Terror."

Access to technology lags in countries with large Muslim populations compared with Europe and the United States. Access also varies between those countries depending on a variety of factors such as governmental control and economic development.

But the numbers of people using the Web and cell phones are growing -- and quickly. "The percentage increases of Internet users in places like Iran, Pakistan and Egypt are astronomical during the past five years," Aslan said.

A recent study by Forrester Research predicted growth rates for Web usage would continue to soar in the region during the next five years.

A battle over interpretation

Al Shafei, who spoke to CNN by phone from Bahrain, said her Islamic identity was partly shaped by a childhood that included Christian classmates and American and British teachers.

She also grew up in a country that was relatively progressive enough to appoint a female Jewish ambassador recently. "Islam is much more relaxed here," she said. "But it doesn't mean we're not good Muslims."

She discovered blogs, and the more she read, the more she grew frustrated with the nature of the dialogue. "No one was talking to each other," she said.

The conflict between Hezbollah and Israel in 2006 was the turning point for her. "I was really annoyed by how the Western and Arab media were covering it," she said. "Both sides were sticking to the extremes."

She said she started her Web site that year to provide the world -- and media -- a different perspective on Islam. "We're not as simplistic as the media would often make of us," she said.

Al Shafei said the Web site's discussion subjects range from the political to the taboo, including homosexuality, premarital sex and atheism. The anonymity provided by the Web helps foster such discussion, she said.

She is, however, careful to avoid talking about some topics, which could get her in trouble. "I always remind myself that I have my limitations," she said. "There are various issues that I am unable to tackle for security reasons."

Al Shafei said she hopes that Web sites such as hers could help fight extremist Islamic groups by defeating their arguments through cultural and religious dialogue. But she concedes there's catching up to do.

"We have to move faster" because extremist groups are more widespread in traditional media such as newspapers and radio stations, which are still consumed by more people than new media such as Web sites, she said.

The extremists' lure

Some extremists are adept at using technology and new media as well. The killings of journalist Daniel Pearl, U.S. businessman Nicholas Berg and Eugene Armstrong, an American contractor working in Iraq, were all recorded and later broadcast on the Web.

It's long been a concern that the Web is being used by extremist groups such as al Qaeda to recruit young Muslims to their cause. However, Bruce Etling, who co-authored recent studies of the Arabic and Persian blogospheres at Harvard University's Berkman Center for Internet & Society, said he found little evidence of such activity.

"In the Arabic blogosphere we found no specific clusters related to extremism, and when it was discussed, it tended to be in negative terms," he said. "It was a counter-narrative we were surprised to find."

There are several possible reasons why, he explained. It's difficult for extremist groups to maintain a static presence on the Web -- they constantly have to move to avoid being found.

Additionally, popular sites such as Facebook have strict terms of usage, which make it difficult for extremist groups -- and their sympathizers -- to build a following.

Aslan, who is also the executive editor of the social-networking Web site Mecca.com, said that research has consistently shown that the Internet is not an effective recruiting tool for extremists. He said extremist groups use the Web more as a marketing and communication tool.

"Nobody, absolutely nobody, straps a bomb on their body because they were recruited from the Internet," he said. "It takes an enormous amount of personal face-to-face contact and time in order to recruit a young person into the cause of jihad."

The Web and the streets

Observers say that like other young people around the world, Muslims mostly use technology such as cell phones and the Web for social and recreational reasons, not political.

Jared Cohen traveled through the Middle East from 2004 through 2006 for his book, "Children of Jihad: A Young American's Travels Among the Youth of the Middle East." He joined the U.S. State Department in September, 2006.

He said his travels showed him that the same tools young Muslims are using to socialize also are helping them organize.

While at an underground party in Iran a few years ago, he asked the Iranians how they heard about the gathering. They told him that if he were to go to the marketplace during the day and turn on his Bluetooth, he could receive random messages with details on where to go and at what time.

Western-style parties and music are prohibited in Iran, so young people hold them secretly to evade security.

Cohen said the partygoers were dismissive when asked if they were afraid of the security forces finding out. "No one over 30 knows what Bluetooth does," the young Iranians told him.

That knowledge and tech savviness played a significant role in the recent protests after the disputed Iranian election. Protesters used Twitter, cell phones and other social-networking tools to organize and spread word of what was happening on the streets.

The impact on Islam: A new identity?

The post-election fallout in Iran is one example that portends a broader generational and hierarchical struggle in the Muslim community, some experts say.

There are a lot of young Muslims. By some estimates, about 60 percent of Muslims in the Middle East are under the age of 30.

"What the printing press is to Christianity in the 16th century, that's what the Internet is doing to Islam now," Aslan said. "It has opened up the monopoly over the interpretation of Islam that used to solely belong to the religious class."

Some clerical authorities, well aware of the challenges posed to their influence by the powers of the Web, are becoming more tech savvy and are building a digital presence, Aslan says.

But their interpretations and authority increasingly have competition from sites created by young Muslims such as al Shafei and online communities found on Facebook and Twitter.

However, emerging technology also could be a force that helps forge a new, more global Islamic identity. Syrian Muslims can now talk to Muslims in Pakistan, Indonesia, the U.S. or Europe.

"During the 20th century, the parents of this generation were struggling to define for themselves some conception of a pan-Arab or pan-Muslim unity," Aslan said. "But that was elusive because there are so many things geopolitically that separate the Muslim world.

"With the Internet, those boundaries, those borders are irrelevant."

@highlight

The number of young Muslims using the Web is rising, experts say

@highlight

They're using it to express themselves and connect with others

@highlight

These tools also are providing a way to organize socially and politically