New York (CNN) -- As a powerful mix of weather converged on the U.S. East Coast, residents across the region seemed to take the warnings with varying degrees of seriousness.

"It started yesterday afternoon when we started to see a rush from consumers for supplies like flashlights, hand-held radios and batteries," said Tom Collins Jr., a hardware store owner in Atlantic County, New Jersey. "And starting this morning, we've started selling plywood to contractors to help board up homes."

In Manhattan, where forecasts of a direct hit from Hurricane Irene last year left the city largely unaffected, many residents seemed relatively confident about Hurricane Sandy and its aftereffects.

"Most seem to take the attitude of 'whatever happens, happens,'" said Jason Covell, who works at Nuthouse Hardware on Manhattan's East Side. "I don't think anybody's going crazy and buying sandbags."

Still, New York Gov. Andrew Cuomo on Friday declared a state of emergency in every county in expectation of the storm, while placing the National Guard on standby.

Mayor Michael Bloomberg said the city's Metropolitan Transportation Authority would begin suspending service "before the arrival of sustained winds of 39 miles per hour or higher."

"A major concern given this type of storm is the possibility of prolonged power outages, as you know," he said.

As Sandy churned northward, forecasters warned of high winds, strong tides and heavy rain, as well as potential snow, saying the storm would be strengthened by its collision with a wintry storm moving from the west.

Early forecasting models show the tropical weather could make landfall in the Washington region as early as Monday, though it will more likely push farther north and slam the New York metropolitan area by Tuesday.

Eastern portions of Ohio and Pennsylvania could get snow, while heavy rains are expected to blast the Eastern Seaboard.

In Maryland, Gov. Martin O'Malley declared a state of emergency in advance of the storm.

"I urge all Marylanders to review their family emergency plans, make sure their emergency supplies like batteries and water are fully stocked and to stay informed," he said.

Meanwhile in Connecticut, Avon Town Manager Brandon Robertson recalled the perils of last year's storm, which knocked out 90% of the town's power grid around Halloween.

"The town was in pretty tough shape," he said. "I don't think anyone expected the level of devastation."

Robertson said he had his first emergency preparedness meeting Friday and that power companies, which were criticized for a slow response last year, have already started to prepare.

"We are stronger and better prepared to respond now," said Connecticut Light & Power spokeswoman Theresa Gilbert.

Federal authorities warned those in the densely populated area that is the storm's predicted path to fill up on prescriptions, nonperishable foods, cash, bottled water, flashlights, extra batteries and first-aid kits.

Farther south, Virginia's National Guard was authorized Friday to bring up to 300 personnel for possible recovery operations.

Last year, Hurricane Irene inflicted major damage from North Carolina to New England, though largely spared New York, where Manhattan restaurants and bars hosted hurricane specials and parties.

But in neighboring states like New Jersey and Pennsylvania, the storm had harsher effects, knocking out power for thousands and causing flooding.

"While Sandy's exact track is still uncertain, New Jersey has the potential to experience a major impact from high winds, heavy rain, flooding and power outages," said New Jersey Gov. Chris Christie. "I encourage all of our families to stay informed, get ready and reach out to those you know who may be isolated or in need of extra assistance during adverse conditions."

Floods are considered the most frequent natural hazards in New Jersey and residents across Atlantic County could be seen Friday filling up sandbags in preparation.

Meanwhile, utility companies across the region were also in preparation mode in the hopes of reducing the numbers of power outages brought on by a rush of inclement weather.

"We're bringing in all of our field people," said Rena Esposito, a spokeswoman for Public Service Electric and Gas Company, New Jersey's largest utility firm. "We're also making arrangements with other utility companies to be able to get support from other states if needed."

Last October, a powerful snowstorm left more than a million residents without power across the Northeast and mid-Atlantic states.

CNN's Eden Pontz contributed to this report

@highlight

New York's MTA will start suspending service before sustained winds of 39 mph

@highlight

Virginia's National Guard authorized to activate to 300 personnel

@highlight

Early models show the hurricane could make landfall in D.C. region as early as Monday

@highlight

Forecasters say it will more likely push farther north and hit the New York area by Tuesday