(CNN) -- Mara Urshel had seen enough heartache to fill her 35,000-square-foot Manhattan bridal salon, Kleinfeld.

"Wedding dress sample sizes are all size 10," says Urshel, explaining that plus-sized brides previously could not try on gowns but could only look at them being modeled.

"But a bride is a bride is a bride, no matter what. She shouldn't have to be destroyed because some other woman has to try on dresses so she can decide how she wants to look on her big day."

That is why, six years ago, Urshel decided that Kleinfeld -- now known for being the store showcased in TLC's "Say Yes to the Dress" and "SYTTD: Big Bliss" -- would stock plus-size dress samples, which brides could order up to a size 32.

"We give the bride whatever she wants," says Urshel. "She is the customer."

Oh, for a world in which that were true for the rest of us, says Gwen DeVoe, the executive producer of the just- completed Sonsi Full-Figured Fashion Week in New York.

Still in its infancy, FFW was created on the premise that plus-sized women are generally ignored by American designers, every trendy mall store, all the glossy magazines -- and they're tired of it.

"Let's call it frustrated," said DeVoe.

DeVoe has not appointed herself the spokesperson for all plus-sized women in America, but she could.

Her goal three years ago in putting together FFW was to get fashion designers and their customers together because she just didn't think the people who are paid to do that in this country were doing it very well.

She thinks the designers and retailers don't get it. She thinks they don't respect the plus-sized customer. Furthermore, she thinks they are leaving gobs of big-girl cash on the table.

"They say we don't spend money on clothes? That's bananas," DeVoe says. "We're a very loyal customer. But we don't buy the magazines because we don't see ourselves in them. We don't go to their shows because we aren't invited -- and by the way, neither are you."

FFW's Saturday night finale brought together 1,000 of those previously uninvited designer-friendly customers who are ready to buy. Showcasing more than 25 designers, the event was what DeVoe had imagined -- a toast to the curvy figure, proof that women can eschew the cultural norm of model-thinness and wear the best clothes and be worthy of Italian Vogue. The fact that the show looked like a million and could rake in likewise was not to be lost in the shuffle of any such runway extravaganza either.

DeVoe says designers -- she cites Jean Paul Gautier -- think runways are about fantasy and "nobody fantasizes about being fat."

"I just want to look good in clothes. How about you?"

By the numbers

Despite DeVoe's protestations, only 17% of women's apparel dollar was spent last year on plus-sized clothing, according to Marshall Cohen, chief retail analyst for the NPD Group. This happened even though plus-sized women had 28% of the purchasing power, he said.

It makes you wonder about the higher math. The average-sized woman in America is either a 14 or 16 -- depending on who you ask and what style she's got on (and sometimes which afternoon she's trying it on). According to the Centers for Disease Control and Prevention, she weighs 164.7 pounds.

Now consider this: Most designers and some mall stores call a size 14 a plus-size.

The United States is continuing to fill up with those larger-than-size-14s. Remember those numbers out of the CDC that say that two out of three Americans are overweight or obese and in need of a good workout?

And yet with only 17% of the market dollar contributed, plus-sized women still plunked in more than $17.5 billion in sales in the 12 months ending in April 2011.

So what we have is a potentially huge -- and getting bigger -- market for plus-sized fashion. According to Cohen, that market came close to $18 billion in the April 2009 to April 2010 buying season, but it backed away in the season ending April 2011. That's because when times got hard for retailers, the first product line they cut was, yes, the plus-sized line.

Again, why the disrespect?

Cohen says one reason is there's the perception, backed some by reality, that a part of the larger-sized market is not fashion-centric, "not into clothes." And, two, there is simply not enough product available for them to spend money on.

"If you don't give them more than 10% of the floor space of available retail floor space, " he asked, "what do you expect?"

Squeezed on to the Internet

They could go online.

Well, yes.

The big-name retailers openly invite them to by not actually carrying anything above, in some cases, a size 14. Gap, Old Navy, Ann Taylor, H&M and Banana Republic sell their plus sizes exclusively online.

When times got tough for some retailers, like Liz Claiborne, their plus-sized line, like Elisabeth, was dropped altogether in 2009.

(Gap, which owns its eponymous brand, Old Navy and Banana Republic, did not respond to a request for comment from CNN.com. Liz Claiborne Inc. declined comment.)

Sonsi, a recent addition to the online world, just opened a year ago to the plus-sized customer. It has gathered 380 plus-sized retailers together in one place to make shopping easier for the e-consumer. Some of those outlets are the usual suspects -- like Lane Bryant and Fashion Bug -- but most are mom-and-pop start-ups that saw the need and filled it.

Spokesperson Jill Hutchinson says the reaction from most of the people who find the website is "where have you been all my life?"

Sonsi.com is also crafted as a social commerce site that merged fashion retail with magazine-style content and social networking, specifically for full-figured women who have loved the outlet as a way to talk about their lives.

Some plus-sized women like shopping online. But as bloggers, customer complaint lines and retail analysts illustrate, it's not for larger women who:

• Want to try on the clothes before they buy them.

• Want to cash in on sales.

• Want to avoid shipping costs

• Believe they are being excluded from the store because the stores doesn't want fat people in there ruining the experience for the skinny people.

Even in department stores, the concerns of the plus-sized woman aren't considered, said Cohen of the trend-tracking NPD Group. The dressing rooms aren't big enough, and some stores have gang dressing rooms, which are tough for those with acute body awareness issues anyway.

"Women don't want their self-esteem bashed when they walk into a department store," said Emme, the first plus-sized supermodel, head of emmenation.com and now an actress in New York. "I don't think we're talking about anorexics or those morbidly obese. We're talking about what's real.

The "size-14 on top and size-16 on bottom" mother and entrepreneur says: "Look. We eat right. We exercise when we can. We take care of our kids. We want to look good. We aren't built like teenagers. Just once I'd like to see us take a day and not buy anything from a certain segment of stores and then they'd see how much buying power we have."

Point of view, sensibility and expertise

Some ask what is the problem? Surely the industry has seen the numbers?

Robin Givhan, the Pulitzer Prize-winning fashion writer for Newsweek and The Daily Beast, is certain they have.

"High-end designers should be making size 14s. That's lunacy if they're not. But as the population as a whole has gotten bigger, the idealized model has gotten smaller. It's a way of denoting its rarefied status and exclusivity, in a sad way it reinforces the status of thinness."

She tells the story of when designer Tracy Reese opened up a store in Manhattan and stocked it full of all the standard sizes and was surprised to find that what size Reese ran out of first was Os and 2s. That is who the designer customer is.

Givhan says that back in the 1990s, when Cindy Crawford ruled the runways, the ravishing brunette supermodel was a size 6. There were women out there with with breasts and thighs just like hers; they were not malnourished waifs.

Givhan knows that size 6 is not size 16, but says maybe one day the cycle away from size 0s and 2s on the runway can come back around to what "normal" women wear.

"How big is too big? The average person knows the difference between voluptuous and obese. Do I think they should be hacking off their biggest customer base? No. But how much of their brand identification is based on their idealized customer? It's not just high-end designers who have idealized customers either. That's what brands are. It's why customers are drawn to them in the first place."

Then what's the answer for the disrespected and designed-disaffected on all price points on the fashion budget?

Says Givhan: Get new designers who "get" that market.

Right now, she says, the plus-sized market is asking for designers to increase its regular-sized proportions when maybe those designers just don't get what makes a plus-sized dress or skirt or blouse great.

"It's about point of view, sensibility and expertise," she says. You don't want a sportswear designer making your Oscar gown, she pointed out. "The fit is wrong."

Cohen agrees, but adds: "This is a loyal audience. They like where they've bought before, but once they've found you, they will stay with you. If you decide to start to get into that market and haven't been, good luck to you. You're going to have to earn your stripes.

"But it will be worth it. The market is there."

@highlight

Full-Figure Fashion Week producer says many designers diss big women

@highlight

Plus-sized women spent more than $17.5 billion in sales in past 12 months

@highlight

Some retailers only sell plus-sizes on the Internet

@highlight

Prize-winning fashion writer Robin Givhan: Designers lack plus-size fashion expertise