(CNN)  -- The images coming out of Haiti since a devastating earthquake rocked the country almost a year ago show death, disease and political uncertainty. Yet these images don't portray the whole story.

Ten-year-old Andrise, who lost her relatives and home in the quake, recently returned to school, proudly wearing her new pink uniform. She boasts to Save the Children staff that she is one of the best students in class. She dreams of becoming a doctor.

Andrise is one example of what is possible for children who live in a country that for decades has been mired in poverty and corruption. Today, Haiti is at a crossroads and the future of these children will be determined by their families, countrymen, newly elected government, and, the international community.

Will we limit relief efforts to achieve no more than a return to the status quo, or will we make children like Andrise the priority -- and transform tragedy into sustainable progress led by Haitians? Clearly, the latter is the only way to realize the promise of Haiti's next generation.

I urge Haiti -- with support of the international community -- to achieve a prompt, fair and credible resolution of the election. This would guarantee that lifesaving cholera work can continue uninterrupted  so the newly elected government will provide the leadership so Haiti can take advantage of a constellation of factors that hold potential for success. These include:

-- the opportunities presented by unprecedented attention, resources and international partnerships focused on Haiti,

-- the incredible resiliency of the Haitian people who prefer a hand up to a handout,

-- the resourcefulness of Haitians living abroad who are committed to Haiti's future,

-- Haiti's proximity to the United States, which has a strong national interest in seeing the country progress.

As its next-door neighbor, the United States must assist the Haitian people in their quest to build back. Congress and the Obama administration need to make a 15-year commitment to Haiti that will help create sustainable development to improve the health, education and economic opportunities of children and families. The United States must also work with other donors to treat those who are suffering from cholera and invest in water and sanitation programs that will eliminate the conditions in which cholera thrives.

A long-term investment is not only the right thing to do, but the smart thing to do. A Haiti that is not developed is far more costly to the U.S. than one that is economically and politically secure. Investing in a more resilient Haiti now will yield significant return. It will cost far less than a continuing cycle of poverty, disaster recovery, and instability which U.S. interests in our hemisphere will require us to address when they reach an emergency level.

With the right commitments by Haitian and international leadership, Andrise has a chance to become a doctor. Her mother has a chance to be trained in a profession that will contribute to the economic growth of their community and country. Their family can someday move from a camp to a house that is accessible to health care services, schools and jobs. Small steps can create a ripple effect and lead to big, positive and lasting changes.

One only needs to look across the border to the Dominican Republic to see how long-term U.S. investments have contributed to a strong stable government and economy. Forty years ago, the Dominican Republic had some areas that were as undeveloped as Haiti. Today, it has hospitals, universities and a thriving tourism industry. Haiti has the potential to move in this direction.

Already Haiti has seen progress since the earthquake, albeit at a much slower pace than many of us would like, given the obstacles it faced before and after the earthquake. Nevertheless, gains are being made.

Despite the untenable living conditions and lack of jobs and basic services, many children are back in school. Many families living in camps now have access to clean water, which they did not have before the earthquake. Pregnant and new mothers who never had access to health facilities are seeing doctors, nurses and midwives.

Most of this success can be attributed to the generous outpouring from the international community in the immediate aftermath of the quake and to many of the Haitians in the United States and Canada who have returned to help create a better future for their homeland.

We should not give up on the opportunity to make Haiti better. With coordinated leadership from the government of Haiti, backed by perseverance and leadership from the United States and international community, Haiti can help ensure Andrise -- and all the children of Haiti -- have the chance to realize their full potential so that they and their country may prosper.

The opinions in this commentary are solely those of Charles MacCormack.

@highlight

Charles MacCormack: Haiti must resolve election stalemate so it moves forward from solid base

@highlight

Success stories, he says, like schoolgirl Andrise's, show Haiti could rebound better than ever

@highlight

MacCormack:  U.S. needs to commit 15 years to help improve sanitation, health, education

@highlight

He writes that it's important for the U.S. to have a  prosperous, politically secure neighbor