New Orleans (CNN) -- Tropical Storm Isaac neared hurricane strength Monday night, closing on the Gulf Coast with a projected landfall a day short of the seventh anniversary of the devastating Hurricane Katrina.

Isaac was forecast to strike land south of New Orleans on Tuesday night, perhaps as a Category 1 hurricane with top winds of about 90 mph. The Katina anniversary was leaving much of the Gulf Coast with "a high level of anxiety," as New Orleans Mayor Mitch Landrieu put it Monday.

Residents of low-lying coastal areas from the Florida Panhandle to southeastern Louisiana were ordered to evacuate ahead of storm surges and heavy rain, while Landrieu acknowledged his own jitters due to the coincidence.

Isaac is expected to be weaker than Katrina, which came ashore as a Category 3 hurricane with 125-mph winds. But New Orleans could start to feel tropical storm force winds by midnight Monday, and while Isaac may veer off its currently projected course, "It seems to be settling into a pathway and a speed that is becoming predictable," Landrieu said.

"It is quite ironic that we have a hurricane threatening us on the seventh anniversary of Katrina," he said. But he added that as of Monday afternoon, "There is nothing this storm will bring us that we are not capable of handling."

Most of Katrina's nearly 1,800 deaths occurred when the protective levees around New Orleans failed, flooding the city. But Landrieu said the levees have had $10 billion in improvements since 2005, and the city's pump stations have backup generators ready in case of electrical outages.

One of those stations is the biggest in the world and some can move as much as 150,000 gallons per second.

"This is the best system that the greater New Orleans area has ever seen," Col. Ed Fleming of the Army Corps of Engineers said.

Preparing for Isaac, state by state

Isaac faltered a bit in the Gulf of Mexico as an eye wall that had been forming appeared to break up Monday afternoon, slowing its development, National Hurricane Center Deputy Director Ed Rappaport told CNN. As of 11 p.m. ET, its top winds remained 70 mph -- just under hurricane strength -- and it was expected to become a hurricane "Monday night or early Tuesday," the Miami-based hurricane center reported.

Isaac was centered about 190 miles (305 kilometers) southeast of the mouth of the Mississippi River, and it was moving to the northwest at 10 mph.

But tropical-storm-force winds extended more than 200 miles from the center, and hurricane warnings stretched from Morgan City, Louisiana, to the Alabama-Florida border. Tropical storm warnings extended eastward to Destin, Florida, and westward from Morgan City to Intracoastal City, Louisiana, about 150 miles west of New Orleans.

There was also the potential for a lot of rain, as much as 18 inches in a few areas of Alabama, Louisiana and Mississippi, the hurricane center said.

As the storm heads north, its rain would benefit some drought-ravaged states like Arkansas, Illinois, Indiana and Missouri.

Landrieu has not ordered an evacuation of his city, most of which is below sea level and protected by a network of levees. But he said he would "strongly urge" about 900 people who live outside the levee system to leave -- and if anyone else is thinking about getting out, "now would be a good time to go."

Live blog: Isaac moves in

Others in low-lying Louisiana parishes and in coastal counties and barrier islands of Mississippi, Alabama and northwest Florida were told to clear out ahead of the storm. In Alabama, state Emergency Management Agency Director Art Faulkner warned that strong winds and high water may affect the Mobile area even if the storm hits as far west as Louisiana.

"It is a very large storm," Faulkner said. "And oftentimes we confuse and focus on a specific dot that may be identified as the center of the storm when very dangerous conditions may exist as far as 200 miles from that specific dot."

The storm lashed Cuba and the Florida Keys over the weekend after slamming into Haiti, where at least 19 people had been reported dead by Monday, the country's civil protection agency reported.

The Hurricane Center projected storm surges of 3 to 6 feet for the Florida Panhandle, 6 to 9 feet for the Alabama coast and 6 to 12 feet for the Mississippi and southeastern Louisiana shores.

In Bay St. Louis, Mississippi, Hancock County authorities ordered residents of low-lying areas to evacuate Monday evening. The National Park Service had already ordered visitors to leave the barrier islands off the Mississippi coast.

Jackson County, which includes the coastal cities of Pascagoula, Gautier and Ocean Springs, ordered evacuations for anyone living south of U.S. Highway 90 -- a major artery along the Mississippi coast -- or for those living in mobile homes, along rivers and in other vulnerable areas.

"Those residents that experienced flooding during Hurricane Katrina should evaluate what the effects of the possible 8-12 foot tidal surge would have to their property and make an informed decision with regard to evacuation," a message from the county Board of Supervisors added.

But on Dauphin Island, south of Mobile, many residents were preparing to sit out Isaac at home, said Alexa Alexander.

"We are boarding up (and) getting supplies ready," said Alexander, who lives and tends bar on the island. "We've had a little bit of people leave Dauphin Island, but not much. Most of the locals are going to ride it out."

Dauphin Island was badly damaged by Katrina, which cut the island in half -- a gouge since filled by sand and rock. The skies there were just clouding up Monday afternoon, Alexander said.

Louisiana resident Ryan Unger plans to stay in place despite an evacuation order. He filled up gas tanks Sunday night in case he has to run his generator.

"Starting to get a little sense of anxiety, like, OK, am I ready for it?" he said. "Realizing we ain't really ready for a storm. So we're just all thinking about what we gotta do to get in place to get ready for it."

Residents of St. Charles Parish and parts of Jefferson Parish and Plaquemines Parish in Louisiana had been ordered to clear out as well. Some 9,000 residents in Jefferson Parish, Louisiana, were ordered to evacuate Monday morning, along with the towns of Jean Lafitte, Crown Point and Barataria.

"We're worried about tidal surge," Jean Lafitte Mayor Tim Kerner said.

Airports across the region also made plans to shut down as the storm passed. New Orleans will shut its international airport after its last flight Monday night, spokesman Ryan Berni said, while smaller airports in Mississippi, Alabama and Florida also announced closures starting Tuesday.

Louisiana Gov. Bobby Jindal called on residents in coastal parishes prone to flooding to voluntarily evacuate. Even pro football player Courtney Roby of the New Orleans Saints was a little nervous.

"Kinda a scary feeling of uncertainty," he said via Twitter.

Disaster dining: How to stay safe and stay fed in a storm

Mississippi officials dispatched 1,500 National Guard troops to the state's three southern counties to help with emergency operations, as well as 45 state troopers to ease traffic flow.

The state has distributed 10,000 sandbags to residents ahead of the storm.

"In short, we have done everything in our power to be prepared for the storm," Mississippi Gov. Phil Bryant said.

In the coastal Mississippi city of Pass Christian, people were moving their boats to higher ground and preparing their homes.

"Lookin' like we're gonna be ground zero again," said Daryl Vaught, as he prepared to place sandbags in front of his doors and garage.

"It seems like Katrina just happened yesterday," Vaught told CNN affiliate WDSU. "Hopefully we'll dodge a bullet here this time. I didn't last time."

iReport: Isaac pounds Ft. Lauderdale beach

It appeared Monday that the storm's ferocity would mostly bypass Florida's west coast and the Republican National Convention in Tampa, where the schedule was pushed back a day by organizers over concerns about the storm. The storm passed well west of the city, but flood advisories remained posted around the area Monday evening.

Share your photos and videos of Isaac on CNN iReport

CNN's Mariano Castillo, Matt Smith, Josh Levs, Dave Alsup, Chelsea J. Carter, Tom Cohen, Martin Savidge, Gary Tuchman and Jim Spellman, and journalist Jean Junior Osman contributed to this report.

@highlight

NEW: Isaac continues path toward southern Louisiana

@highlight

Storm could dump 18 inches of rain in some areas

@highlight

Current projections show the storm making landfall Tuesday night or Wednesday morning near New Orleans

@highlight

The storm could be a Category 2 hurricane with 100 mph winds by then