(CNN) -- Mention the Italian city of Florence, and people think of history, conjuring images of a classical city that was once Europe's Renaissance capital.

In truth, the structure of the city has changed little since the 15th century when Michelangelo, Botticelli and the other great painters and sculptors of the era paraded through its piazzas.

But what's it like to explore these ancient streets using the tools of the 21st century?

Is it possible to survive in Florence and see it properly armed with just a smartphone?

This was the challenge I set myself when visiting the city.

No guides or guidebooks.

Nothing written down at all, and definitely no help from a friendly local.

Getting there

Traveling to Florence using technology is easy.

New high-speed rail company Italo has an app and e-booking service.

All I need is my phone and booking code to take my seat for the 180 mph (290 kph) journey from Turin.

Accommodation is a breeze, too.

Florence is one of more than a dozen Italian cities covered by last-minute room booking app Hotel Tonight.

The app suggests a couple of places in the humdrum neighborhood near the city's station, but also a riverside artisan workshop turned boutique hotel, Riva Lofts (Via Baccio Bandinelli 98, Florence; +39 055 7130272). A couple of swipes later the room is mine, for $210.

When I get there, all rooms in the cheapest category are gone.

I get an upgrade to a two-floor suite, with kitchen, bathroom and a floating staircase up to a loft room beneath the original workshop ceiling.

So far, so good.

A quick check of another hotel reservation app suggests I've saved nearly $70 on my booking.

'Upside-down palace'

Like all big European cities, Florence has its share of apps that translate the tried-and-tested format of a paper guidebook onto a screen.

Among the best is Too Much Florence, available free for both Android and Apple phones.

I appreciate the app's eye for the offbeat.

It leads me to Piazza del Limbo, a sad little square close to the Santi Apostoli church. The square earned its name during the medieval period, when children who died unbaptized were buried here.

The same app also takes me to the extravagant "upside-down palace" of Borgo Ognissanti. The Palazzo Baldovinetti was supposedly decorated with an inverted facade during the 16th century, to thwart the building regulations of a Medici duke.

Untappd isn't supposed to be a travel app, but it's exactly the tool you need to find a decent pint anywhere in the world, even here in the heart of wine country.

It points me to Beer House Club (Corso Tintori 34r, Florence; +39 055 2476763), a modern bar with neon, foosball, snacks and 10 pumps of artisan beers, including their own brews made in the neighboring city of Prato.

Thanks to my four-inch screen, I'm enriched, fed and watered.

Sightseeing seems easier than ever.

In fact, tech-friendly travel logistics get ever easier, even in the heart of "old Europe."

When I'm due to meet my family for an onward trip to Naples, a quick search on Trenitalia's Pronto Treno app tells me their train is running 10 minutes late.

I don't need to rush in vain.

The app even seemed to know their platform before the arrivals board did. (It was wrong, however.)

No spare change for Florence's new tram?

No problem: a text message to 488-0105 and an SMS comes right back to me, the fare deducted from my prepaid phone account.

When on roam

It's not all plain surfing.

Mobile phone battery technology hasn't kept speed with the power-hungry HD screens and super-quick quad-core processors inside modern smartphones.

On both mornings I set out with a fully charged battery.

On neither day did my phone last beyond 3 p.m.

The situation with data is perhaps even worse.

In 36 hours, I consumed more than 180 megabytes.

Seeing Florence from the small screen would have been prohibitively expensive if I was being billed by the megabyte.

Roaming charges for travelers originating within the European Union will likely be phased out by late 2015, but that offers no comfort to many visitors, especially with arrivals from China and the rest of Asia growing rapidly.

Ubiquitous free Wi-Fi would help.

In April, Rome's Fiumicino airport announced it was rolling out free Wi-Fi to all passengers, but for truly wireless travel, connectivity needs to go beyond the gates of the airport parking lot.

Of course, none of that is Florence's fault.

Behind its medieval walls and ancient traditions, the city is getting ready for a new generation of visitors -- and their gadgets, too.

Donald Strachan is a food and travel journalist and co-author of "Frommer's EasyGuide to Rome, Florence and Venice 2014."

@highlight

Is it possible to visit Florence, Italy, and see it properly with just a smartphone?

@highlight

Travel and accommodation bookings are easy thanks to train and hotel apps

@highlight

Relying on phones instead of guidebooks can be costly due to data roaming charges