(CNN) -- This is a story about a girl and her tree -- a tree that helped keep hope alive, even as the world closed in on her.

Three times in Anne Frank's widely read diary, the young Holocaust victim wrote about a tree. She could see it from the attic window of the secret annex where her family hid for two years, before being betrayed.

"From my favorite spot on the floor I look up at the blue sky and the bare chestnut tree, on whose branches little raindrops shine, appearing like silver, and at the seagulls and other birds as they glide on the wind," she wrote on February 23, 1944. "As long as this exists, and it certainly always will, I know that then there will always be comfort for every sorrow, whatever the circumstances may be."

The tree that reminded Frank of the promise of life still looms high above the courtyard behind the Anne Frank House, now a museum in Amsterdam, Netherlands, that just marked its 50th anniversary. But at about 170 years of age, Anne Frank's tree is dying.

The spring before her family and the others hiding with them were captured, the girl focused on the tree's budding life -- and her own.

"Our chestnut tree is already quite greenish and you can even see little blooms here and there," she wrote on April 18, 1944. Two days earlier, she'd recorded her first kiss.

Frank died of typhus in Bergen-Belsen just weeks before the Nazi concentration camp was liberated in 1945. But her name, story and message live on through her diary and, also, through her ailing tree.

The tree that keeps giving

The tree has been sick for 10 years; a fungus has left two-thirds of it hollow, said Anne Frank House spokeswoman Annemarie Bekker.

A battle began in late 2007 between city officials who wanted to chop it down and activists who insisted it stay. But a court injunction, a second-opinion analysis and a committee mobilization later, it still stands, barely alive and supported by steel.

About five years ago, the museum began collecting chestnuts from the tree to grow seedlings, so that pieces of the original tree could take root and flourish elsewhere. The tree is a horse chestnut, which is often called a buckeye tree in the United States and a conker tree in the United Kingdom.

Its saplings have been distributed to international parks and schools named for Anne Frank. One will be planted later this year at Yad Vashem, Israel's official Holocaust memorial in Jerusalem.

Through a project and contest launched last year by the Anne Frank Center USA, a New York-based educational nonprofit working with the museum in Amsterdam, 11 sites in the United States will see Frank's tree blossom. They range from the White House and various museums and memorials to a high school that changed U.S. history.

A handful of winning applications were driven by youth inspired by Frank, who would be 80 if she'd survived, and her diary.

One girl in Boston, Massachusetts,12-year-old Aliyah Finkel, felt an immediate connection to the writer, so much so that she chose to have her bat mitzvah -- the coming of age ceremony for Jewish girls -- in the synagogue Frank's family attended in Amsterdam before they went into hiding.

"It wasn't just a diary written by some person, it was written by a 13-year-old girl," Finkel said. "I was interested in the story of her life. She had so much hope. There are some parts [of the diary] that are really sad, but it's more inspiring."

With the help of her family, and contacts they have with local officials, Finkel's inspired push will bring a tree to Boston Common and lessons about tolerance to the city's public schools.

Down South, a public school in Arkansas, the only in the nation to become a national historic site, will also see an Anne Frank tree bloom.

Little Rock Central High School senior John Allen Riggins, 17, heard about the contest last summer while listening to National Public Radio.

His school was racially integrated in 1957 by the "Little Rock Nine," a development that proved a pivotal moment in the Civil Rights movement. An avid follower of history and politics, Riggins saw parallels between Anne Frank's legacy and that of the Arkansas students.

"From all across the world, in different time periods and different social struggles, young people have been caught up in history and these social tensions have come down upon them," Riggins said. "Anne Frank was 14 when she was hiding, and the youngest of the nine was 14."

For Elaine Leeder, it was in many ways her father's youth, and by extension her own, that made her reach out for a part of the tree.

The dean of social sciences at Sonoma State University in Rohnert Park, California, Leeder is the daughter of a Holocaust survivor. Her father lost his mother, sister and brother when they were taken to a pit outside their Lithuanian village and gunned down with about 2,000 other Jews.

"The shades were always drawn in my house. We were afraid of neighbors," she said, describing the legacy she carried. "I became a genocide scholar over the years because of my personal story."

The sapling she competed for will be nurtured in the university's Holocaust & Genocide Memorial Grove, where genocides across time are remembered. Beside it will be a sign quoting Frank: "How wonderful it is that nobody need wait a single moment before starting to improve the world."

Much of what his daughter wrote came as a surprise to Otto Frank, the family's sole survivor. He retrieved the diary and eventually published it after World War II. More than 30 million copies have been sold.

In a speech he gave in 1968, according to the Anne Frank House, he spoke of the reactions he had upon first reading his daughter's words.

"How could I have suspected that it meant so much to Anne to see a patch of blue sky, to observe the gulls during their flight and how important the chestnut tree was to her, as I recall that she never took an interest in nature," he said. "But she longed for it during that time when she felt like a caged bird."

It turns out the saplings selected for sites in the United States are caged themselves. When they arrived in the country in December, the young trees were seized by the U.S. Department of Agriculture. Because of sicknesses ravaging horse chestnuts in Europe, the trees will remain in quarantine for three years.

The tree Frank secretly admired through an attic window will be gone in five to 15 years, Anne Frank House officials say. But by the time it disappears, pieces of it will be growing strong, reaching for blue skies and welcoming birds across the globe -- a living legacy to a girl who understood what life could promise.

@highlight

While in hiding, Holocaust victim Anne Frank wrote in her diary about a tree

@highlight

The tree gave her hope about life, but now it is dying outside the secret annex

@highlight

The tree's meaning will live on through distributed saplings grown from its chestnuts

@highlight

Eleven sites in U.S. win saplings but will have to wait three years due to quarantine