San Diego, California (CNN) -- As the immigration debate moves to the House of Representatives, Americans are fully engaged. Is it too much to ask that they also be fully informed?

Not many are. They have strong opinions on a subject they don't really understand. They know what they believe, but they long ago stopped asking themselves why they believe it. Worst of all, as bad as the immigration problem is, some of the solutions they propose range from the nonworkable to the nonsensical.

One proposed remedy sticks out as the nuttiest of all. In fact, if you love this country, it's actually quite offensive.

Consider the interaction I had recently with a friend who follows politics. The son of a Pennsylvania coal miner and a graduate of Yale Law School and Oxford University, my buddy wanted to put in his two cents about immigration -- and how to fix a broken system. A moderate Republican, he doesn't support the bill that the Senate passed by a vote of 68-32, and he is looking for something better. He doesn't mind the idea of legalizing at least some of the undocumented, but he wants the United States to secure the border first. He's reasonable, but this issue troubles him -- and so do some of the proposed remedies.

As for his solution, my friend blurted out: "Why don't we just do whatever Mexico does? I mean, they must be doing a good job of keeping out illegal immigrants. Why not adopt their policies?"

Ay Chihuahua. Not this again. I hear this argument, or variations of it, at least three times a week from readers. I've heard it from audiences when I give speeches. I've heard it from callers when I host radio shows.

It's either someone's idea of a joke or what some people consider a major breakthrough.

Here's the back story. Accounts in the media over the last several years have detailed how badly Mexico treats immigrants from Central America who try to enter illegally through its southern border on their way to the United States. The border is often fortified, and the trip can be dangerous.

Mexican immigration officials sometimes look the other way and let the migrants cross the Mexico-Guatemala border because they assume that they're only passing through on their way to the United States. But when there is the chance that the Central Americans might stick around and find work in Mexico, attitudes harden -- both on the border and in Mexican society at large. And the standards for becoming a citizen and punishments for infractions are much harsher than those in the U.S.

How's that for irony? It seems that Mexicans are no more keen on losing jobs to Guatemalans, Hondurans or Salvadorans than Americans are about losing them to Mexicans. It goes to show that people are the same all around the world.

There is no denying the hypocrisy of Mexicans who insist on a secure border to the south but would prefer a porous one to the north. On trips to Mexico City to meet with government officials, I've raised that issue.

But that doesn't let Americans off the hook for the role they play in this drama. U.S. employers willingly and eagerly hire immigrants from Mexico -- and Central America -- to do jobs that Americans won't do. The American household has never been more dependent on illegal immigrant labor that provides middle-class Americans with nannies, gardeners, housekeepers, senior caregivers and all the other comforts of what used to be an upper-middle-class lifestyle.

Should the United States aspire to be like Mexico? Is that really the solution to our immigration woes?

Sure. Let's do that. It's worked out really well for Mexico over the past century or so.

We're talking about a country that people try to escape, where opportunity is scarce and where the population is divided six ways from Sunday -- rich vs. poor, country folks vs. city dwellers, light skinned vs. dark skinned, the educated elite vs. the poor illiterates who serve them. We're talking about a country where people routinely prey on one another, and where many of them seem to think that they can't have anything unless they take it from someone else.

We're talking about a country that takes in about $25 billion a year in remittances from expatriates living in the United States, and has no real national economic policy beyond that and tourism. We're talking about a country, parts of which remain mired in the Third World and an economy that -- while it has shown new vibrancy in recent years -- remains second-rate, and where immigration is kept to a minimum and where foreign investment in key industries such as petroleum is restricted. And last, we're talking about a country that remains plagued by nativism and racism toward immigrants who are considered inferior to the native-born.

Is that a model worth emulating? Should we be like Mexico?

No, thank you. Not on your life. Not for this Mexican-American. About 100 years ago, my grandfather, and his parents, chose the United States over Mexico because it was a superior country. During the Mexican Revolution, this was thought to be a safer country with more freedom and opportunity. That is still the case. Now some of my fellow Americans want me to, in essence, choose Mexico over the United States, as if our neighbor could teach us how to behave toward immigrants.

Sure, we Americans have our problems. And our immigration system is broken. But, believe it or not, it is still the envy of the world. Immigration is one thing we do right. Let's remember that.

The opinions in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette hears some nonsensical solutions to the U.S. immigration problem

@highlight

He says one of the worst is that U.S. adopt a harsh immigration policy like Mexico's

@highlight

Navarrette: Mexico's bad economy, other woes are related to keeping immigrants out

@highlight

He asks whether we want a nation people want to leave, and where immigrants are despised