(CNN) -- Hollywood executives love a movie franchise: a series of films with an in-built audience who return time and again to enjoy their favorite characters, stories and themes. Such box-office gold is usually based on pre-existing properties, for example comics ("Iron Man" et al), novels ("The Hunger Games") -- even theme-park rides ("Pirates of The Caribbean").

But the strong interest that followed the death of actor Paul Walker last weekend has been boosted by his crucial role in an unlikely franchise whose appeal has built steadily during the past decade, especially outside the United States.

The six "Fast & Furious" films have spawned a globe-trotting, block-busting series, generating $2.4 billion in ticket sales alone since the turn of the century. Back then few predicted that a mid-budget actioner with little-known actors set in the hi-octane world of LA street-racing would still be going strong 12 years later.

How did it happen?

Released in June 2001, "The Fast And The Furious" was a testosterone-fuelled boys-with-toys movie set around a cat-and-mouse game between an undercover cop (Walker) and his prey (Vin Diesel).

"I remember being in Honolulu when Mark Shmuger (former co-chairman of Universal Pictures) called to say they'd just had the most amazing test screening of a film we'd never heard of, called 'The Fast And The Furious,' recalls Andrew Cripps, former president and COO of UIP, the distribution joint-venture between Universal and Paramount which released the first three films internationally.

"It seemed pretty domestic at the time," continues Cripps, now president EMEA for IMAX. "It was about L.A. street-racing, it had a relatively unknown cast, but there was a chemistry there between the lead characters and it really worked with young audiences around the world. I was pleasantly surprised by the international box office of the first film."

"The Fast And The Furious" raced to an impressive $145 million in the U.S. during the lucrative and crowded summer season. An international release was delayed till fall to market the film as a fresh success that had swept the U.S. while also ensuring it avoided competition from bigger rivals. International grosses were low compared to domestic -- but they were strong for a $38 million movie skewed to an American audience.

But the chemistry between Walker and Diesel that engaged audiences was missing from the next two sequels. For the second installment, 2003's "2 Fast 2 Furious," Diesel was absent (focusing on two potential franchises that positioned him as the clear star) although Walker remained front and center. While U.S. box office was down on its predecessor, international grosses jumped 75%: a domestic franchise clearly had global appeal. As before, the UK, France, Germany and Australia proved powerful markets, while Mexico saw sales more than double, mirroring the series popularity with Hispanic audiences in the U.S.

Universal sat up and took note, setting the third film -- which starred neither Walker nor Diesel -- in Tokyo. At the time it made sense: Japan has its own street-racing scene and in 2006 was the biggest international market. It was also a territory the franchise had yet to crack. "The Fast and The Furious: Tokyo Drift" worked for the Japanese market, boosting box office by 28% from the previous film. But while Japan grew, other major markets shrank and North American box office halved. Without Walker or Diesel the franchise had lost its spark and seemingly run its course.

By 2009, with the careers of the original cast floundering, Diesel -- now a producer -- helped orchestrate the return of all four key players from the original cast for "Fast & Furious." International success had to be the focus if the franchise was to be revived: domestic success was no longer a guarantor of franchise longevity.

Nervous executives were still unsure the package would work and skipped a release into the overheated summer market, targeting instead an Easter rollout and building on the success of the first feature (the film's tagline was "New Model. Original Parts."). It worked and audiences returned, with fresh growth in all the franchise's previous key markets and new support in Russia, a traditional haven for action movies.

"The relationship between Paul Walker and Vin Diesel's characters was at the heart of the franchise," explains box office analyst Charles Gant of The Guardian. "So as soon as it brought those two guys back together they were on a money train."

That chemistry and rivalry between Walker and Diesel needed to be maintained. How? By turning the movies from street-racing series into a globe-trotting action franchise rooted in frenetic auto action. Thus 2011's "Fast Five" became a heist caper set in Brazil with Walker and Diesel working together instead of in opposition: global appeal broadened still further by bringing back multi-national characters from across the franchise.

But with Walker and Diesel both on the wrong side of the law the series now needed a new opponent. Enter former wrestler and human mountain Dwayne Johnson aka "The Rock." "We initially designed the role for Tommy Lee Jones," Diesel explained in an April 2011 interview. "One of my fans on Facebook said I would love to see you and The Rock in anything together. It really was the best choice in the world."

"Fast Five" became a major international player and from its late April release it landed a knockout blow on superhero slugfest "Thor" across several territories. It was also the first of the franchise to venture into the high-ticket giant-screens owned by IMAX, its bangs and ballistics sitting well with the format's male-heavy audience.

By the time the UK-set "Fast & Furious 6" opened in May 2013, expectations were heady: the first film had been a domestic-weighted surprise; the second a solid sequel; the third a flop; the fourth an all-or-nothing reboot; the fifth a take-a-chance change of direction. The sixth was primed to be a guaranteed blockbuster.

It didn't disappoint.

Grossing $550 million at the international box office alone, "Fast & Furious 6" has become the third highest grossing film of the year worldwide behind "Iron Man 3" and "Despicable Me 2." Seventy percent of its $788m gross has come from overseas: as with its predecessor, China was the top grossing market ($66m). Such heady figures were vital to sustain a movie series whose production costs had ballooned from $38m in 2001 to $160m in 2013.

But Walker's death has now left the future of the franchise in question: Universal announced this week that production has shut down on the seventh instalment "so we can assess all options available to move forward with the franchise," which was due to release on July 11 2014. Many of the cast are already signed up for an eighth episode.

"The latest was the biggest yet and the series looked set to grow and grow," says Gant. "The franchise is giddy and fun and I think it will be a real challenge for them to continue in the wake of Paul Walker's death and the manner in which it occurred."

Nick Hunt contributed to this report.

@highlight

"Fast and The Furious" movie franchise has taken more than $2 billion worldwide through ticket sales

@highlight

The future of the series is now being considered following the death of star Paul Walker

@highlight

More than 60% of its box office has come from international, boosted by China in recent years

@highlight

The series floundered for several years when its two leads were absent