New York (CNN) -- The Korean War began 60 years ago on June 25, 1950, and it still hasn't ended. Fighting on the Korean Peninsula may have stopped with a cease-fire in July 1953, but North and South Korea have remained in a tense state of armed truce ever since, with open warfare just a hair-trigger away.

The sinking of the South Korean navy vessel Cheonan on March 26 -- which an international investigation team concluded last week to be the result of a North Korean torpedo attack -- shows how volatile the situation remains between North and South.

There is a real danger of the current war of words escalating into a shooting war, which would be a catastrophe for Korea and the surrounding region. But if all sides, including the United States, pull back from the brink, this tragedy may also present an opportunity to defuse tensions with North Korea and resume talks that have been on hold for the last two years.

The Cheonan disaster caused an outcry of grief and anger in South Korea. On May 24, South Korea's President Lee Myung-bak gave a forceful speech to his countrymen, asserting that South Korea would not tolerate any provocation from the North and would pursue "proactive deterrence."

South Koreans, Lee vowed, "will immediately exercise our right of self-defense" if their territorial waters, airspace or territory are violated." Lee called the sinking of the Cheonan, in which 46 sailors died, a violation of the United Nations Charter and of the Korean War Armistice and said he would turn to the U.N. Security Council for international support in condemning North Korea. U.S. Secretary of State Hillary Clinton has demanded North Korea face "consequences" for this attack.

But North Korea denies involvement in the incident, claiming the whole investigation is a fabrication designed to undermine North-South Korean relations and ignite a war against the North. The North Koreans have said any retaliation against them for the incident would be met with a forceful and immediate response, up to and including all-out war. China has so far been neutral about the investigation's findings, calling the incident a "tragedy" but refusing to blame North Korea and calling for calm on all sides.

Without China's support, no call for action against North Korea will make it through the U.N. Security Council. (China is one of the five nations that hold veto power on the Council.) China supported two rounds of U.N. sanctions against Pyongyang, after North Korea's nuclear tests in 2006 and 2009, but is unlikely to support sanctions this time. North Korea denies responsibility for the incident and China regards the evidence as inconclusive. Besides, it's hard to see what further economic or diplomatic pressure can be put on North Korea, which already faces tough previous sanctions.

Contrary to common belief, North Korea is not facing internal political disarray or economic decline. Kim Jong Il appears to be fully in charge, and harvests for the last two years have been relatively good. Chinese sources estimate a substantial increase in North Korean industrial production over the last year.

Whatever may have motivated the attack on the Cheonan, it was not the act of a desperate or divided regime, and the strong sanctions called for by President Lee -- even if China would agree to support and enforce them -- are not likely to get North Korea to admit responsibility for the attack or to change its behavior.

On the other hand, there is a real danger of this war of words escalating into a shooting war. With well over a million Korean troops facing each other across the Demilitarized Zone separating North and South, along with 29,000 U.S. troops in the South, and North Korea now armed with nuclear weapons, the consequences of a renewed Korean War would be catastrophic for the Korean peninsula and the entire Northeast Asia region.

The Cheonan incident has reinforced U.S.-South Korean and U.S.-Japanese cooperation in deterring the North. But deterrence can look like provocation from the other side, and in such a tense and volatile environment, a slight miscalculation can lead to disaster. Anger and outrage may be understandable, but cooler heads must prevail. Millions of lives are at stake.

Rather than lead to deepening confrontation, this tragedy may be an opportunity to re-engage North Korea in talks to scale back and ultimately eliminate its nuclear program, and to promote security and economic cooperation with its neighbors.

North Korea has never admitted to acts of terrorism in the past, and we cannot expect it to acknowledge responsibility and apologize for the sinking of the Cheonan as a precondition for such talks. Instead, the international community should take advantage of Kim Jong Il's stated willingness to return to multilateral negotiations, suspended since 2008, as a way of reducing tensions on the Korean peninsula. It is time to end the Korean War, not start it anew.

The opinions expressed in this commentary are solely those of Charles Armstrong.

@highlight

Charles Armstrong says new conflict between North and South shows tension unabated

@highlight

International probe shows North Korea sunk South's Navy ship, he says; South is furious

@highlight

North Korea denies role in sinking; China reluctant to weigh in on U.N. sanctions, he says

@highlight

Writer: Armed conflict threatens; but could be opportunity for new negotiations with North