Washington (CNN) -- The Republican-controlled House of Representatives delivered a mixed message on America's role in the NATO-led Libya campaign Friday, opposing a resolution expressing support for the war while also voting down a bill restricting American involvement in the conflict.

The first measure -- similar to legislation introduced in the Senate by Sen. John Kerry, D-Massachusetts, and Sen. John McCain, R-Arizona -- was backed by the White House. It was defeated 123-295, with Republicans overwhelmingly opposing the measure and Democrats voting more narrowly in favor of it.

The second measure was strongly supported by House Speaker John Boehner, R-Ohio, and other top GOP leaders.  It was defeated 180-238, with Democrats largely voting no as Republicans voted yes by a slimmer margin.

In short, the House appeared unable to speak with clarity on President Barack Obama's controversial effort to oust Libyan leader Moammar Gadhafi.

White House press secretary Jay Carney expressed disappointment in the first House vote, and told reporters the "writing is on the wall" for Gadhafi.

"Now is not the time to let up," he said.

Secretary of State Hillary Clinton said she was "gratified that the House has decisively rejected efforts to limit funding for the NATO mission."

"I am pleased that a very important statement was made today by the House, on a bipartisan basis, that recognizes the need for us to continue this important mission," she added.

Asked to explain the relatively rare defeat for the House leadership on the second vote, Boehner only offered a one-word reply: "nothing."

A GOP leadership aide, however, told CNN there was last-minute concern among some Republican members that a vote to restrict certain forms of U.S. involvement in the NATO mission could have been interpreted as an inherent authorization of other types of force.

"Once you de-facto (approve) it ... then the president can run with it," said Rep. Scott Garrett, R-New Jersey, who opposed both measures. "What we're trying to do here is have our cake and eat it too.  We're trying to split it in half by declaring a partial war and then telling (Obama) how he is going to be commander-in-chief."

"I don't think you can do that in a bill," Garrett said. "The proper resolution would say we should not be over there, (and) we are withholding all funds for all military activity, period."

Rep. Gerry Connolly, D-Virginia, who backed the support resolution while opposing the bill restricting involvement, said he wasn't lobbied by the White House until Friday morning.

"I think moving forward, a lesson (about administration outreach) has been learned here," he said.

Much of the House's disapproval of the Libya campaign has been fueled by a belief that Obama failed to sufficiently consult with Congress before committing to military engagement. Specifically, representatives from both political parties say the administration has violated the 1973 War Powers Resolution, which gives the president 60 days to get congressional approval for sending U.S. forces to war, followed by a 30-day extension to end hostilities.

The combined 90-day period ended last Sunday.

Support for the war has also been further shaken by evidence of several noncombatant deaths caused by recent NATO airstrikes.

The White House says Obama didn't need congressional authorization because U.S. forces are playing only a supporting role in Libya and haven't engaged in what the law defines as hostilities. The president, however, personally overruled contrary legal opinions put forward by both the Pentagon and the Justice Department's Office of Legal Counsel, according to a report published Saturday in The New York Times.

Boehner said during Friday's debate on the House floor that Obama's authority under the Constitution "does not free the president from accountability to the American people, this Congress or the rule of law."

The War Powers Resolution "is the law of the land and simply cannot be ignored," he said. The GOP-sponsored bill is necessary to "defend the constitutional authority of the legislature" and provides "much-needed accountability."

Some Democrats, however, blasted Republicans, accusing them of playing politics with what they called a critical foreign policy priority.

"This was not handled right" by the White House, said Rep. Sheila Jackson Lee, D-Texas. But the House votes are "nothing but politics," and "I don't want to abandon my friends in the Arab states who are now struggling for democracy."

Defense Secretary Robert Gates said Thursday it would be a mistake for Congress to cut funding for U.S. military operations in Libya.

"I think, once we have our forces engaged, to deny them funding would be a mistake," Gates told PBS News. Key American allies -- especially the British, the French and the Italians -- consider Libya a vital interest, and "our alliance with them is a vital interest for us," he said, citing their efforts in Afghanistan.

Gates insisted that progress has been made toward the U.S. goal of ousting Gadhafi.

"Based on everything we see, the government gets shakier by the day," Gates said. "His forces have been significantly diminished. The opposition is expanding the areas under their control."

Clinton met privately with House Democrats on Thursday to urge support for the resolution backing the Libya mission, according to a Democratic source who attended the meeting.

"The bottom line is, whose side are you on?" she said earlier in the week.  "Are you on Gadhafi's side, or are you on the side of the aspirations of the Libyan people and the international coalition that has been created to support them?"

The allied military effort, which has formal United Nations support, was launched to protect Libyan civilians from violence stemming from a crackdown launched by Gadhafi. Western leaders have made clear, however, that they believe the mission cannot be successfully completed without Gadhafi's ouster.

The White House has promised not to use U.S. ground troops, but bipartisan congressional opposition to the military campaign has nevertheless been mounting over several weeks. In addition to concerns about the War Powers Resolution, traditional anti-war Democrats and fiscally conservative Republicans are worried about the cost of the conflict.

In a recent report on the mission, the administration said the cost of military and humanitarian operations through June 3 was about $800 million. It estimated the total cost through September 30 would be $1.1 billion.

CNN's Dana Bash, Rachel Streitfeld and Deirdre Walsh contributed to this report.

@highlight

House rejects bill that would have cut funding for U.S. offensive operations in Libya

@highlight

The House also has rejected a measure expressing support for the Libya mission

@highlight

House members say the administration has violated the 1973 War Powers Resolution

@highlight

Administration: Resolution not violated because the U.S. isn't technically engaged in hostilities