(CNN) -- More than 1,000 people have died in Syria since the conflict there started in mid-March, U.N. Secretary-General Ban Ki-moon said Friday, a grim milestone that reflects his alarm over the "escalation of violence" in the authoritarian Arab country.

The unrest, which started percolating in the southern city of Daraa and then spread to the rest of the country, claimed more lives Friday in Hama, the city known for a 1982 government massacre against the civilian population.

At least 34 were killed Friday and many more were wounded, according to Rami Abdul Rahman, head of the London-based Syrian Observatory for Human Rights, an entity in regular touch with activists in the country.

He said all of the deaths came from indiscriminate gunfire toward demonstrators, reviving memories of the decades-old crackdown.

One witness, a dentist, told CNN he was taking part in the demonstrations when marchers were "surprised" by the military and the shabiha, armed pro-regime elements, opened fire in what he called an "intense" situation.

The witness provided the names of nine slain people, whose bodies were seized by pro-regime people, and estimated the number of casualties at around 100.

Another witness there reported at least one demonstration in which tens of thousands of people took to the streets.

The witness said people were heading toward a square in the center of town and chanted, "Freedom, freedom! National unity! Christians and Muslims are one! Leave, leave" and, "The people want the fall of the regime."

That same witness later reported small demonstrations in some areas, with protesters burning tires amid intermittent gunfire.

Rahman said the wounded were being treated in private clinics, and while he's unclear about the situation at the city's main hospital, he said the medics he was talking to were in tears.

CNN can't independently confirm the accounts.

The Baathist government of Hafez al-Assad, who once ruled Syria, crushed the 1982 revolt in Hama against the Sunnis, who are the majority religious group in Syria.

Estimates put the death toll then at between 10,000 and 30,000 people; the exact number was never known. The government has been dominated by the al-Assad family's Alawite community, a minority religious group that is an offshoot of Shiite Islam.

The Hama protests erupted after this week's Friday Muslim prayers, which were dedicated to the children who have taken part in the persistent and angry uprising against the Syrian government.

At least 51 children have been killed by security forces since the anti-government protests started in mid-March, according to the Local Coordination Committees of Syria.

They include Hamza Ali al-Khateeb, the 13-year-old Daraa boy whose killing has captured the world's attention, and a 4-year-old shot in Rastan, a town in restive Homs province.

The overall death toll in Rastan has reached 80, the coordination group said, and an activist near Rastan said he heard the sounds of gunfire and artillery overnight.

An eyewitness in Rastan said there wasn't a call to prayer Friday, people could not leave their homes and there were no demonstrations because security personnel promptly shelled gatherings when they saw them.

Demonstrations after Friday prayers have energized the opposition in Syria and every week there have been different protest themes. The focus on children dovetails with the outcry over Hamza's death.

Ban reflected the worldwide outrage toward the Syrian regime when said he is "deeply troubled by the continued serious violations of human rights, including disturbing reports of the deaths of children under torture, live ammunition and shelling." He also said that many people have been injured and thousands arrested over nearly three months.

While noting the "announcement by the Syrian authorities of an amnesty and the establishment of a committee to establish a national dialogue," Ban emphasized that "violent repression by security and military forces must end immediately for a genuine and inclusive dialogue to take place and lead to the comprehensive reforms and change called for by the Syrian people."

UNICEF, the U.N. children's agency, said this week that since mid-March, "reports of children injured, detained, displaced and at times killed have been increasing."

It said the use of live ammunition on demonstrators has reportedly killed at least 30 children, but it hasn't been able to independently verify casualty figures and the "circumstances of their death."

It said Syria is a party to the Convention on the Rights of the Child and "has an obligation to ensure children's right to life" their safety and other human rights, such as freedom of expression.

"We are particularly disturbed by the recent video images of children who were arbitrarily detained and suffered torture or ill-treatment during their detention, leading in some cases to their death.  We call on the government to thoroughly investigate these reports and ensure that perpetrators of such horrific acts are identified and brought to justice," the agency said.

Another group caught in the middle of the discord in Syria is the Iraqi refugee community, an estimated 1 million people, according to the International Organization for Migration. They fled to Syria during the war in Iraq.

The organization said Friday that there is "growing concern" of an influx of people returning to Iraq. It is working with government authorities and other humanitarian groups to prepare for immediate and long-term help for those people and the communities hosting them.

There have not been "significant" increases in returns, but "smaller-scale returns have been reported, primarily in Anbar and Baghdad," the group said.

Migration organization monitors in Baghdad last month learned that "126 families had returned from Syria due to violence and instability. Interviews are currently being conducted with these and other returnee families to better understand their reasons for return and their future intentions."

"With nearly one million Iraqis still displaced within the country, the possibility of a major increase in returns from Syria poses a considerable challenge to Iraq's stability," said the International Organization for Migration's Iraq chief of mission, Michael Pillinger.

"IOM remains committed to working with the government to closely monitor the return situation and, if necessary, provide immediate assistance to vulnerable returnees," he said.

CNN's Arwa Damon, Nada Husseini and Joe Sterling contributed to this report

@highlight

NEW: "Violent repression by security and military forces must end immediately," Ban says

@highlight

NEW: A London-based Syrian group says at least 34 are dead Friday

@highlight

Protesters in Syria dedicate Friday's marches to children

@highlight

Children have died during the demonstrations, groups say