(CNN) -- Eva Walusimbi knows well how it is to live in darkness.

As a community leader in the small town of Mityana, central Uganda, she's been witnessing the health hazards and financial strains that a shortage of electricity can bring to people living in energy poor, rural areas.

"Just three miles away from here, people in the villages don't have electricity -- some of them use candles, some use kerosene lamps," says Walusimbi, who runs schools for orphans and disadvantaged children in Uganda.

"One morning there was a kid that was picked from school early in the morning because her sibling had died in a fire," she says. "[The kid] had lit a candle in the house and then went outside to do some other chores, so the candle melted away and the house was all on fire. By the time that they came back to see what's going on, the whole house was burned down and the kid was burned to ashes."

In Uganda, some 90% of the population lives without access to electricity, according to World Bank figures. Apart from the health risks, Walusimbi, 50, says that lack of electricity is also preventing people from escaping poverty.

"People that are living without electricity, their day ends up so quickly -- they can do less work compared to the people with full light," she says.

But for Walusimbi, there is light at the end of the tunnel. She has joined Solar Sister, a group aiming to eradicate energy poverty while creating economic opportunities for women.

Using an Avon-style women's distribution system, Solar Sister trains, recruits and supports female entrepreneurs in East Africa to sell affordable solar lighting and other green products such as solar lamps and mobile phone chargers. The women use their community networks of family and neighbors to build their own businesses, earning a commission on each sale.

Read related: Harnessing pedal power to light up Africa

Solar Sister founder Katherine Lucey, a former investment banker with expertise in the energy sector, says this model is creating access to safe, affordable and clean energy while helping women to earn a steady income to support their families.

"This gives them a chance to earn money in a way that is a lot more steady -- they have control over it and that money can come into the family," says Lucey, who is based in Rhode Island, in the United States. "In almost all cases we see them using that to spend on education for their children."

During her 20-year career as an energy executive, Lucey says she'd seen how access to electricity was fundamental for economic growth. But whilst working on large-scale energy projects in developing countries, she also realized that the pressing needs of many poor individuals were still not being served. After dark, houses not connected to the electricity grid rely mainly on open-flame kerosene lamps for light. Such lanterns, however, pose fire hazards, emit toxic fumes and a put a strain on family budgets.

"You really can't raise up above subsistence living if you don't have light, electricity and energy," says Lucey. "And when you do have it, it's just tremendous what people are able to accomplish and the impact it has on people's lives: children can study more and go to school, women can start businesses and are able to provide for their families."

Read also: Pay-as-you-go solar power lights up rural Africa

According to Lighting Africa, a joint World Bank - International Finance Corporation program developed to increase access to clean sources of energy for lighting, 589 million people in the continent live without access to a public electricity facility. The group says African poor rural households and small businesses pay $10 billion per year for lighting purposes, while communities not connected to the grid spend $4.4 billion annually on kerosene.

Lucey says ending a culture of dependency on aid is crucial to help people escape economic hardship and deal with the issue of energy poverty.

She explains: "There's not enough philanthropy in the world to solve this problem," she says. "A third of the world population doesn't have access to electricity -- it's not going to be solved by philanthropy, it's going to be solved by some kind of market mechanism where people have access to this product ... and purchase as they need it."

So far, more than 270 entrepreneurs in Uganda, Rwanda and South Sudan have joined Solar Sister. Lucey says the group, which is looking to expand in other counties in the continent, is deliberately working solely with women as they are responsible of managing the energy needs of a household.

"Women are the ones who walk miles to cut the wood; women are the ones who go to markets to buy kerosene -- so if we wanted to make the change that someone would say 'well, I'll quit the kerosene, I'm going to buy a solar lamp and use cleaner technology,' then it had to be the person who was in charge of making that decision and that's the women."

Back in Mityana, Walusimbi says her life has "changed enormously" since she started working with the group, using the extra money to cover her household and farm needs.

"It makes me feel proud to see that I'm bringing an income to my family," she says. "Because if I can support my family, I feel good -- other than seeking helplessly and looking for everything to be sponsored."

@highlight

Solar Sister is a network of women selling solar lighting to poor communities

@highlight

The female entrepreneurs make a commission on every sale

@highlight

More than 270 women in three East African countries have so far joined the group

@highlight

Founder Katherine Lucey says energy poverty will not be solved by philanthropy