(TIME.com) -- Take a look outside your window. Chances are the air you'll see is far cleaner than it was decades ago.

Since 1980, levels of ozone pollution — one of the main ingredients in smog — have fallen by 25% in the U.S., while nitrogen dioxide has fallen by 55% and sulfur dioxide by 78%.

The change is visual too — the smog-obscured skies that were once a constant backdrop to cities like Los Angeles in the 1960s and '70s are far less common. It's easy to assume that America won the war on air pollution, and to look with pity on developing cities like Beijing and New Delhi where the air is still poisoned.

There's just one problem with that sense of satisfaction: the data doesn't back it up.

According to a new report from the American Lung Association (ALA), nearly 148 million Americans live in areas where smog and soot particles have led to unhealthy levels of pollution. That means that for almost half of all Americans, simply breathing can be dangerous.

Even worse, the report shows that some aspects of air quality have been deteriorating over the past few years in many cities — from 2010 to 2012, ozone worsened in 22 of the 25 biggest metropolitan areas, including cities like New York and Chicago.

"Air pollution is not just a nuisance or the haze we see on the horizon; it's literally putting our health in danger," Bonnie Holmes-Gen, senior policy director of the ALA in California, told the Los Angeles Times. "We've come a long way, but the status quo is not acceptable."

The news is far from all bad. Thanks in part to the retirement of a number of older coal-fired power plants, levels of particulate pollution — soot, in other words — have been dropping in recent years, with cities like Philadelphia and Indianapolis recording their lowest levels yet.

And historically, we're far better off — as Brad Plumer notes over at Vox, air pollutants as a whole have fallen 72% since the Clean Air Act was passed in 1970, even as the economy, population and energy use have all risen.

But as the ALA report makes clear, some of that progress is being lost, in part thanks to climate change — one environmental challenge we're very much not meeting. Rising levels of ozone pollution have been linked to warmer temperatures, which will make it that much tougher to fight smog in the future.

And the government could have done more — in 2011, President Barack Obama went against the recommendations of the Environmental Protection Agency (EPA) and rejected a proposal that would have tightened the ozone standard to between 60 and 70 parts per billion. (The level is currently at 75 ppb, set by former President George W. Bush, who was not exactly known as an environmental paragon.)

Those regulatory battles matter because it's becoming increasingly clear that healthy air is a moving target. The more scientists learn about the health impacts of air pollution, the more dangerous it appears — even at comparatively low levels.

Last October, the World Health Organization (WHO) officially declared air pollution to be a carcinogen, connecting it directly to lung cancer as well as bladder cancer.

And bad air doesn't just hurt the lungs — a raft of studies have connected air pollution, especially soot, to cardiovascular disease, even triggering heart attacks. Even autism has been linked to pollution.

In March, the WHO estimated that outdoor air pollution caused 3.7 million premature deaths globally in 2012 — nearly three times the number of people who die each year from tuberculosis.

Climate change gets most of the environmental attention, with reason — its effects are already being felt, and it has the potential to radically change our world for the worse. But air pollution is sickening and killing millions of people around the world right now. And unlike global warming, the technological and regulatory solutions to conventional air pollution already exist.

That's why it was good news Tuesday when the U.S. Supreme Court upheld the EPA's ability to control coal-fired power-plant emissions in 28 states.

The decision excited greens because it indicates the court will eventually back even more controversial carbon regulations that the Obama White House is busy formulating now, but the regulation that was upheld — the Cross-State Pollution Rule — will prevent an estimated 45,000 deaths a year from conventional air pollution once it's in place.

Air pollution remains stubbornly difficult to eliminate, in part because of the vagary of the wind itself, which separates the victims of pollution from its source.

As Justice Ruth Bader Ginsburg wrote in her decision yesterday, quoting from the Book of John: "The wind bloweth where it listeth, and thou hearest the sound therof, but canst not tell where it cometh, and whither it goeth."

But if we can't control the air, we can control what we put into it — and protect ourselves.

@highlight

Report: Nearly 148 million live in U.S. areas with unhealthy smog and soot

@highlight

Some aspects of air quality have been deterioriating, the American Lung Association says

@highlight

Climate change presents a formidable obstacle to progress