Washington (CNN) -- Pakistan's military insists that the NATO strike last month that killed more than two dozen Pakistani soldiers near the Afghan border was deliberate.

In an effort to pre-empt the results of NATO's official investigation, due out next week, the Pakistani Embassy in Washington invited reporters for a detailed briefing on the incident.

Pakistani military officials at the briefing contended that NATO forces knew they were firing at Pakistani troops throughout the attack and even apologized as they kept firing, evidence they say supports their assertions the attack was deliberate.

U.S. officials have said it was a regrettable case of mistaken identity and miscommunication when NATO attacked the area in support of a nearby U.S.-Afghan joint patrol that believed it was under fire from the Taliban.

"I have a story to tell and this is the story of those brave people who left us in the middle of a cold, November night on a barren mountain top," a senior Pakistani defense official began.

Using maps, photos and PowerPoint charts, he offered a painstaking recreation of the incident from the Pakistani military's point of view, based on interviews with surviving troops and residents where the attack took place.

He and embassy officials at the briefing spoke on the condition of anonymity, preferring for their military and civilian leadership in Islamabad to speak on the record.

At issue is whether Pakistani troops were the target of the attacks.

The Pakistani officials at the briefing argued that well-established operating procedures and an intricate system for operational information sharing were deliberately ignored, which led to the tragic incident that killed 24 Pakistani "martyrs."

American officials told CNN that U.S. forces checked first with their Pakistani counterparts before launching the strike. Before calling in airstrikes, the U.S. forces checked with a Pakistani liaison team. They were not seeking permission -- because the airstrikes were described as a matter of self-defense -- but were making sure Pakistani troops weren't in what was called a poorly marked border area, the officials said.

After that consultation, the U.S. believed there were no Pakistani forces nearby, which turned out not to be true.

U.S. military officials would not comment on the Pakistani assertions, citing the ongoing investigation. But in the past few weeks, U.S. officials have denied vehemently the charge by Pakistan's military that this was a deliberate attack.

"What I can say, absolutely, and I can't imagine anyone in this room wouldn't believe me -- we did not attack a border post, a Pakistan military border post, intentionally," Martin Dempsey, chairman of the Joint Chiefs of Staff, said in a speech in Washington last week. "If you think we did, I'd have to ask you in return what in the world would we hope to gain by doing that? So I can say that categorically.

Dempsey said, "They believe we did this intentionally in some way to either discredit them or goad them into further action."

Pentagon spokesman George Little said, "We know enough at this point to say with certainty this was not an intentional attack on Pakistani forces. The Pakistanis are our partners; it defies reason that we would attack them."

But Pakistani officials at the embassy briefing said that not only were the coordinates incorrect, covering an area nine miles north of the attack, but Pakistan's chain of command was in the process of reviewing them when NATO helicopters began the striking Pakistani outpost "Volcano" shortly after midnight. Pakistan only returned fire after its first post was fired upon, which prompted NATO to strike against the second post, "Boulder," the officials said, adding that the commanding officer who ran up the hill to the area with a rescue team was killed.

A NATO officer at the joint coordination outpost in the area even apologized to his Pakistani liaison in the middle of the attack for relaying the wrong location of the area NATO planes were about to fire on, preventing Pakistan from warning this was a friendly post, according to the Pakistani officials. Even after NATO officer acknowledged at about 1:15 a.m. that it was firing on the outposts and confirmed it was pulling back its helicopters, the Pakistanis maintain there was continued fire on the two posts by U.S. attack helicopters and an AC-130 gunship for about another hour until about 2:20 a.m. Neither claim could be verified with NATO and American officials.

Could NATO forces have mistaken the two border posts on the Afghan border for extremist bases, as U.S. officials have suggested?

Highly unlikely, the senior Pakistani defense official said at the briefing. First of all, the structures stood in plain view on the top of a barren ridge -- a place he said, which terrorists probably wouldn't be inclined to use as a hideout. Photos of both posts that suffered the attack show the structures made of stone and sandbags sitting on high ground.

A slide at the presentation called "Mistaken Identity Not Possible" tried to casts further doubt on the U.S. argument.

The slide detailed several ways Pakistan and its NATO counterparts keep track of each other's activities at the border.

The defense official claimed that NATO was even monitoring the Pakistani border posts' radio transmissions reporting it was under fire by NATO aircraft.

What's more, he said, the Pakistani military has shown its counterparts at several coordination centers maps of where it has outposts so as to avoid such misunderstandings.

"It's something which just doesn't make any sense to me given the kind of coordination mechanism we have, the kind of information-sharing we have, given the fact that these locations are mutually known to both sides," he said.

The official would not speculate as to why NATO would deliberately attack two Pakistani outposts about 300 yards from the border, but would only say this was the official conclusion of the Pakistani leadership.

The incident has exacerbated an already fractious relationship between the United States and Pakistan, whose military has been on the defensive since the secret raid by U.S. Navy SEALs that killed Osama bin Laden in May.

Since the attack on bin Laden's compound in Abbottabad, close to Pakistani military installations, tensions have been at record levels. But last month's attack seems to have been the last straw, with Pakistan shutting NATO supply routes until it receives an official apology.

The United States has expressed "condolences" for the loss of the Pakistani soldiers but won't go as far as to issue an "apology" until the NATO investigation is complete. Pakistan has explicitly refused to coordinate with investigation, saying it doesn't trust NATO.

Regardless of the results of the investigation, officials say the incident has further solidified Pakistani military and public opinion against cooperation with NATO and the United States.

"There is a sense of outrage," one senior official said. "It's there on the street, amongst the leadership -- political as well as military -- and among the rank and file of the military. The sheer magnitude of this thing is unbelievable."

@highlight

Pakistani military officials say NATO forces knew they were firing at Pakistani troops

@highlight

U.S. has said last month's attack was a case of mistaken identity, miscommunication

@highlight

More than two dozen Pakistani soldiers killed in NATO strike near the Afghan border

@highlight

Strike has exacerbated already fractious relationship between U.S. and Pakistan