(CNN) -- In the crowded world of social media, with its virtual currency of likes and followers, some people will do anything for attention.

Post a meme on Facebook. Create a parody account on Twitter. And in extreme cases, spread something shocking or offensive.

In these tender days after the Newtown, Connecticut, school shootings, bad behavior on social media has some observers wondering: Should people be criminally liable for false or threatening information they post online? And could they be successfully prosecuted?

Connecticut State Police Lt. Paul Vance jump-started this discussion Sunday when he complained to reporters about people posting fake information on social media related to Friday's fatal shootings of 26 people, 20 of them young children, at Sandy Hook Elementary School.

"There has been misinformation from people posing as the shooter in this case, posing using other IDs, mimicking this crime and crime scene and criminal activity that took place in this community. There's been some things in somewhat of a threatening manner," he said.

"These issues are crimes. They will be investigated, statewide and federally," he added. "Prosecution will take place when people who are perpetrating this information are identified."

Vance would not elaborate on which posts he was talking about. But a quick search of Twitter found a handful of new accounts seemingly created to piggyback on the notoriety of Adam Lanza, the alleged gunman. One was written as if from Lanza's perspective and made profane boasts about the massacre. It had almost 900 followers Monday night before being taken down.

"It's sick. It's hateful. But I don't know what they (police) can do about that," said Lauri Stevens, a social media strategist who works as a consultant to law enforcement agencies.

Other tweets encouraged people to take violent action against members of the National Rifle Association, the gun-rights lobby.

After shooting, cops take no-tolerance approach to copycat threats

In the U.S., laws governing online harassment, threats and impersonating others vary from state to state. In Connecticut, harassment can be a felony, depending on the severity of the threats, and punishable by up to five years in prison. Since the Newtown shootings, state authorities have emphasized the law applies to online communications as well as other forms.

"Anyone who harasses or threatens the victims, the victims' families or witnesses of these horrific crimes or who in any manner interferes with the ongoing state or federal investigations will be referred for state and or federal prosecution to the fullest extent permitted by law," said Tom Carson, a spokesman for the Connecticut U.S. Attorney's office.

"Harassment not only includes in-person contact, but also contact via the Internet, social media and telephone."

Despite the disturbing nature of some social-media messages about the shootings, several legal experts contacted by CNN questioned whether Connecticut authorities could successfully bring charges against whoever posted them.

Prosecutions over social-media activity are still rare. In October a 19-year-old man was sentenced to 12 weeks in jail in the UK for posting what a judge called "despicable" comments on his Facebook page about a missing 5-year-old girl.

And in a highly publicized cyberbullying case, a Missouri woman was convicted in 2008 after prosecutors say she created a fake MySpace profile to befriend and then abandon a 13-year-old neighbor girl, leading the girl to hang herself.

Federal prosecutors charged the woman, Lori Drew, under a statute which bans unauthorized access to computers. But a judge overturned the conviction, saying that if Drew was to be found guilty of illegally accessing a computer, anyone who ever violated MySpace's terms of service would be guilty of a misdemeanor.

"We have a free-speech baseline in this country. Saying things about the Connecticut shooting 'somewhat in a threatening manner' ... is not going to be actionable for the most part," Ryan Calo, an assistant professor at the University of Washington School of Law, told CNN's Josh Levs.

"What the prosecution would have to show is that the post, or the tweet or whatever it happens to be, was done intentionally ... in order to interfere with the investigation, in order to create a public panic," Calo added. "And that's a relatively high bar to show."

Stevens, the social media consultant, believes authorities would have better luck going after social media users whose behavior crosses the line "from saying insulting things ... to making someone feel unsafe."

She cited the case of a Toronto man who was arrested last month and charged with criminal harassment after sending a woman a series of offensive Twitter messages. The woman, Stephanie Guthrie, built her case by documenting his tweets through screen capture and an unlisted Storify account.

"Unfortunately, when it comes to harassment, the onus is on the victim to collect as much information as they can," Guthrie told The Toronto Star.

Stevens believes there would be more prosecutions of such cases if more cops were familiar enough with social platforms to investigate claims of online harassment. Police also would need cooperation from companies such as Facebook and Twitter, which typically have been reluctant to reveal users' identities, she said.

"We don't have a lot of legal precedent. So people are at a loss for what to do," she said.

It remains to be seen whether Connecticut authorities bring charges against any social media users in relation to the Newtown case. But Ben Wizner of the American Civil Liberties Union believes they have an uphill battle.

"The police are there to protect our safety and not our feelings," said Wizner, director of the ACLU's Speech, Privacy & Technology Project. "If his (Vance's) suggestion is that anyone who posts false information about this case on social media is subject to arrest, that would be extremely unconstitutional.

"There's a tendency (among law enforcement) to overreact to new technology. But the legal issues are the same," he said. "I can understand why law enforcement would be upset about the spread of false information. But that doesn't make it criminal."

@highlight

Connecticut police: Social media users have posted fake info about Newtown shootings

@highlight

New Twitter accounts seem created to piggyback on the notoriety of the alleged gunman

@highlight

Legal experts question whether authorities could successfully bring charges over online posts

@highlight

ACLU free-speech expert: "The police are there to protect our safety and not our feelings"