Dan Condon believes in recycling. Just not when it comes to his hotel towels.

Condon composts when he's at home in Boulder, Colorado. He eats local, organic and fair-trade food and drives a Honda CR-Z hybrid sports car.

You might call him green.

Except he's not so green when he travels for his work at an education nonprofit and stays in a hotel, which happens about 10 weeks per year. There, he uses a new towel every day. And don't try to bribe him with a drink or dessert coupon to get him to reuse the same one.

"I could care less about rewards for environmentally conscious behavior unless it's miles," Condon wrote in an e-mail.

If hotels can't convince a hybrid-driving recycling enthusiast like Condon to go green while traveling, how can they possibly convince everyone else?

9 glamorous movie-star hotels

That's the problem of hotels trying to "green" your hotel stay. After guests have paid a pretty penny for a night at the inn, even the most environmental guests may want to treat themselves to fresh towels every day and those little bottles of sweet-smelling shampoo.

Despite the fact that most people describe themselves in surveys as environmentally conscious and as preferring green products, there's a big gap between consumer attitudes and consumer behaviors when it comes to going green, said Michael Giebelhausen, a marketing professor at the Cornell University School of Hotel Administration.

"It can be nice to have fresh towels, and not doing so is a sacrifice," said Giebelhausen, whose current research focuses on the impact of hotel sustainability programs on guest satisfaction. "Participating requires some effort, and there's some cost to be incurred on the part of the consumer."

Guests who go green are happy

Nearly 90% of hotel guests are offered the chance to do something sustainable during their stays, and about two-thirds will participate, according to Giebelhausen's analysis of 2011 data from the J.D. Power and Associates North America Hotel Guest Satisfaction Study.

Those guests who participate in a hotel's green programs report that they are more satisfied with their stays than guests who do not participate. Participating in a hotel's sustainability program provides "a feeling that it was good to be green, it made them feel good about themselves, and that translated to the service provider," Giebelhausen said.

8 getaways we wish we could afford

"These guests, who are ostensibly receiving a lower level of service, report being more satisfied overall with their stay."

There's just one catch: Guests who don't participate in voluntary sustainability programs reported the lowest levels of satisfaction with their hotel stays.  "One explanation for these findings is that when people don't live up to their ideals, and vice versa, this affects how satisfied they are with the entity that presented them this 'moral dilemma,'" Giebelhausen said.

Sustainability is becoming the norm

It makes business sense for hotels to go green: Increasing sewage rates, stricter water use requirements and more recycling options are all convincing hotels to reduce their water and energy costs, said hotel industry veteran Pat Maher, an environmental consultant and "green guru" for the American Hotel & Lodging Association.

More than 75% of U.S. hotels have linen and towel reuse programs, 59% have guest or internal recycling programs, and 46% have a water-saving program, according to a 2012 American Hotel & Lodging Association survey of its members.

They also have "back of the house" programs that include low-flow shower heads, faucets and toilets; energy-efficient light bulbs, high-efficiency appliances and other efforts. Some are required by local governments; others just make business sense.

That translates into real dollars: The U.S. Environmental Protection Agency has found that hotels and other lodging facilities use more than 510 trillion BTU of energy annually at a cost of more than $7.4 billion. That energy use generates 54 million metric tons of greenhouse gas emissions, equal to the emissions from more than 11 million passenger vehicles, according to the agency.

Beyond Mickey Mouse: Best cruises for 2013

The EPA reports that the lodging industry could save $745 million annually by reducing energy use by 10%. That translates to 60 cents more revenue per room night at limited-service hotels and $2 at full-service hotels.

Annoyed that the hotel's bottom line benefits from your sacrifice? Some hotels are trying to make water-saving behavior pay for their guests. Participating Sheraton Hotels & Resorts gives guests a $5 food and drink voucher or 500 Starwood points for every day they decline housekeeping's services (except departure day).

Part of the Kimpton culture

Some hotels are making green cool.

It seems to be an easier sell for hip, higher-end chains like Kimpton Hotel & Restaurant Group's properties, which cultivate an edgier base of customers. About 85% of hotel guests participate in the chain's towel and sheet reuse program, said Mike DeFrino, Kimpton's executive vice president of hotel operations.

Bill Kimpton started the boutique hotel chain by rehabbing older buildings and turning them into hotels. Although Kimpton died in 2001, the company that bears his name still has the reputation he cultivated. Most locations welcome guests to mingle at a lobby cocktail hour, lounge in their animal-print robes and bring their pets on their stay. And many locations will lend guests a goldfish as part of the Guppy Love program.

"I think our guests expect us to push the envelope and try things that are different than what the mass-appeal hotels are doing," DeFrino said.

DeFrino's convinced that some guests don't actually mean to ask for new towels but are much like his teenage daughter, who tosses her towels on the floor at home for no good reason. "Once it's on the floor, you're going to get a clean towel," he said. (Hotel guests, not his daughter.)

The pressure on a mid-priced chain

It's trickier for other hotel chains, where sustainability isn't necessarily part of the appeal to the customer.

The mid-priced chains are competing for a more price-sensitive business and leisure traveler. Hampton Inn, which offers a hot breakfast at its nearly 1,900 company-owned and franchise locations across the country, has two environmentally friendly options for disposable plates, bowls and cutlery: 100% biodegradable Enviroware or Taterware, a resin material made from potato starch.

The chain's takeout coffee cup sleeves are made from 100% recycled fiber, and the towel reuse program simply asks customers using a door hanger to "reuse or replace" towels. No big deal either way, the sign suggests.

"We're delivering these messages in a light-hearted way. ... It's not preachy or paternalistic," said Jennifer Silberman, vice president of corporate responsibility for Hilton Worldwide, which owns Hampton.

More happens behind the scenes at Hampton, which benefits from LightStay, Hilton's company-wide sustainability system that tracks the sustainability of 200 operational practices at nearly 3,900 properties around the world. Hilton has saved more than $147 million since 2008 through efficiency projects, including reporting through LightStay, Silberman said.

Satisfying the luxury guest

You'd think environmental sustainability programs would hit a roadblock with luxury guests, who want the best of everything.  Not so, said Sue Stephenson, vice president of Ritz-Carlton's Community Footprints, the chain's social and environmental responsibility program.

"It in no way diminishes the luxury experience," Stephenson said. "We still have the best towels, linens and amenities."

Many Ritz-Carlton guests now use the same sheets two nights in a row (introduced in 2011) and hang up their towels to use another day (introduced in 2009).

"We've not had a single negative guest comment but have certainly had positive guest comments," Stephenson said. "Guests want to see we're doing the right thing."

It helps that the onus is really on the business to be responsible in its construction, hotel operations, food service and landscaping, she said. "The majority of what can be done for the environment is what we can do as a business," Stephenson said.

No matter the price point, no hotelier can afford to lose a guest because he or she doesn't like the way a hotel communicates its message.

Even Kimpton's DeFrino said the boutique chain won't roll out an environmental initiative if tests show that customers don't like it. But in Kimpton's case, DeFrino found that guests approve of their efforts.

"Our guest satisfaction has improved since our green initiatives were introduced, and it's given us confidence that efforts have not deteriorated the guest experience," he said.

The tide may be turning

It's possible that younger people used to recycling and saving water will bring those attitudes into their hotel stays as they age. Ritz-Carlton's Stephenson sees children leading their parents into caring about the environment on their hotel stays.

Betting that more and more consumers want to choose environmentally friendly hotels right now, travel website TripAdvisor is launching its GreenLeaders program this year to let travelers know which hotels have sustainable practices.

About 71% of travelers reported that they planned to choose hotels based on sustainability over the next year, compared with 65% in the previous survey, according to an April 2012 Trip Advisor survey.

Yet while 81% of hotels have some green programs, almost a quarter don't communicate that fact to their guests, said TripAdvisor spokeswoman Alison Croyle.

The website is accepting applications from hotels to qualify for a "GreenLeader" or "GreenPartner" label on the TripAdvisor site based on their sustainable practices. The program will rely on traveler feedback, and any discrepancies could trigger an independent audit of the hotel.

That's information that Genevieve Hein, 33, who always hangs up her towels at hotels to reuse them the next day, would enjoy having.

"Trying to limit my impact on the environment makes me feel good," said Hein, assistant director of residence life at Sarah Lawrence College in New York.

"When I go against my green principles for the sake of convenience or to go with the flow, I feel bad about myself and guilty. I can't imagine how those feelings would enhance my vacation, which is supposed to be all about feeling good."

Do you like to participate in a hotel's sustainable programs, or do they irritate you? Please share your thoughts in the comments section below.

@highlight

Hotel guests who "go green" are happier with their stay

@highlight

Increasing water and energy costs are pushing hotels to cut costs wherever they can

@highlight

Many hotels find that guests don't mind using the same towels and sheets every night

@highlight

TripAdvisor will be adding a green label for hotels listed on its site