(CNN) -- Just as the Netscape IPO inaugurated the dotcom mania of the 90s, so Facebook's imminent IPO will trigger a hysteria with the social web. But the most interesting question isn't whether Facebook is actually worth $100 billion or how many billions of dollars Mark Zuckerberg will personally bank -- but whether or not Facebook really will make the world a better place for its close to a billion users.

Zuckerberg certainly thinks it will. "Facebook was not originally created to be a company. It was built to accomplish a social mission -- to make the world more open and connected," he wrote in a letter to shareholders that Facebook filed with the U.S. Security and Exchange Commission yesterday. This social mission, Zuckerberg explained, has been designed to give people a voice, to change how society is organized and to bring us closer together as a species.

Zuckerberg isn't alone in seeing Facebook as a major engine of historical progress that will "build real value for the world". As Larry Summers, the former U.S. treasury secretary, notes about the Facebook offering, it's "an American milestone" and Zuckerberg's company has the same historical significance as Ford or IBM. And just as Ford pioneered the mass-produced motor car and IBM helped develop the personal computer, so Facebook is (re)inventing the internet, transforming it from a solitary experience for anonymous individuals into a shared, social world.

Reid Hoffman, the Silicon Valley super-connector who introduced Zuckerberg to his first investor, calls this new world "Web 3.0," describing it as a place of "real identities generating massive amounts of data." That data is, of course, all the personal details about ourselves -- the billions of photos, updates and videos that we post narcissistically on our Facebook pages.

That data is us. We -- you and I -- are the company's real product, the oil of our Web 3.0 age. Facebook aggregates and stores all our personal data and then sells access to it to advertisers. That is Facebook's creepy business model and it's why the seven-year-old company realized $3.71 billion of revenue in 2011.

"You've only got one identity," Zuckerberg once remarked with his typical naivety about the human condition. And, of course, he wants to own that identity, even going as far as to develop a product called Timeline which, quite literally, establishes an official narrative of our lives on his social network.

Rather than being just another highly-trafficked website, Facebook's goal is become the operating system for the entire social web. Through its Social Graph technology, Facebook has introduced apps that allow us to tell our friends what movies we are watching, what books we are reading and what music we are listening to. As Time magazine explained when it made Zuckerberg its 2010 Person of the Year, his goal is to transform the internet into a well-lit dorm room in which "wherever you go online, you'll see your friends."

And, of course, your friends -- not to mention your parents, employers, teachers and everyone else online -- will see you. They'll see you whatever you are doing and thinking and wherever you have been and will go.

The impact of Facebook on our privacy is deeply worrying. I've argued that all this sharing is a trap, designed to tear open our lives. Many other people are now worrying about Facebook's cult of radical transparency and its willful disregard for privacy. Vivianne Reding, the European commissioner for justice, is even seeking to establish a "right to forget" law which makes you and I, rather than Facebook, the masters of our own personal data.

Zuckerberg's strategy to promote his IPO is to present Facebook as a technology company that exists for the public good. "There is a huge need and a huge opportunity to get everyone in the world connected, to give everyone a voice and to help transform society for the future," he wrote in the SEC letter. But this is a fallacy. Facebook is a privately owned, for profit enterprise that exists for the benefit of its shareholders and employees. Connectivity benefits the company rather than us. Openness, we need to always remember, is a self-serving Silicon Valley ideology rather than a self-evident public good.

So forget whether or not Facebook is really worth $75 or $100 billion. Ignore all the hocus-pocus about "floats" and how Wall Street bankers really value Facebook. The real value of Facebook lies in whether all this radical transparency will make the world a better place. Many think it will, arguing that Facebook and its "internet of people" will deepen our democracy and make the world a more open place.

I doubt it will. The 1996 Netscape IPO led to the great stock market collapse of April 2000. But I fear that the 2012 Facebook IPO could lead to a much more human collapse. I worry about the disappearance of core values such as privacy, solitude and secrecy in our Web 3.0 world. So what's at stake here goes beyond economics. It gets to the very core of what it means to be human in our ubiquitously networked age.

Drowning in a tsunami of sharing

Whether or not Facebook realizes its imperial dream of becoming the operating system of our Web 3.0 world, there's no doubt that social networks and social media companies are dramatically changing the internet's architecture and its economy.

On Tuesday evening, I attended the Crunchies, Silicon Valley's annual Oscar-style award ceremony, which were held in San Francisco's appropriately transparent Davies Symphony Hall. And while Facebook failed to win any awards, its specter -- or, at least, the specter of social media -- hung heavily over the event.

For better or worse, you see, everything and everyone inside Silicon Valley is going social. Indeed, given the visibility of social media companies at the awards, the Crunchies could have been renamed the Socials.

Almost every award went to a social company or entrepreneur. Best New Start-up was won by the social pinboard network Pinterest. Founder of the year went to Twitter Chairman Jack Dorsey, while Twitter itself won the Biggest Social Impact award. The Angel Investor award went to Silicon Valley's most social investor, Reid Hoffman, and the winner of CEO of the Year award was LinkedIn CEO Jeff Weiner. The Facebook social game Words with Friends won the "Best Time Sink" award, and Best International Start-Up award went to the Brazilian social commerce Peixe Urbano. Google + was awarded the Best Social Application, the photography sharing site Fotopedia won Best Tablet Application, the social network Path 2.0 won Best Design award and the gay social network Grindr won Best Location Application.

The legendary Kleiner-Perkins venture capitalist John Doerr described social as the third great wave of technological innovation, after the invention of the personal computer and the internet.

Doerr's wave is about to engulf all of us. Are you ready to be drowned in an online tsunami of sharing?

Introspection versus incessant updates

One response to all the self-promotional noise of the social web came this week from a most unexpected source. Susan Cain is the author of the new book "Quiet: The Power of Introverts in a World That Can't Stop Talking." And "Quiet," which is one of the hottest selling books in America right now and was featured as the Time cover story this week, is a reminder of the importance of introspection and solitude in our Facebook, Google+ and Twitter age of incessant updates, retweets, likes and pokes.

Amidst all the hype of his IPO, I hope Zuckerberg has the opportunity to sit down and read the excellent "Quiet." It may inspire him to think more critically about his "social mission" and the real value of giving everyone a "voice" to talk about themselves.

â€¢ Follow @ajkeen on Twitter

The opinions expressed in this commentary are solely those of Andrew Keen

@highlight

Commentator Andrew Keen describes the business model that has led to Facebook's billion-dollar valuation as "creepy"

@highlight

Keen says the impact of Facebook on our privacy is "deeply worrying"

@highlight

"I worry about the disappearance of core values such as privacy, solitude and secrecy," Keen adds.