(CNN) -- Second terms, untainted by re-election posturing, often reveal a president's true governing philosophy. In the case of President Obama, two recent revelations have confirmed all we may need to know about his agenda for the next four years.

On December 30, the president sat down for an interview with David Gregory on "Meet the Press." Gregory asked the president, "So what is your single priority of the second term? What is the equivalent to health care?"

President Obama replied, "Well, there are a couple of things that we need to get done. I've said that fixing our broken immigration system is a top priority. I will introduce legislation in the first year to get that done." He went on to say, "The second thing that we've got to do is to stabilize the economy and make sure it's growing."

During his first term in office, coming off "the worst recession since the Great Depression," to use the president's own words, it appeared to many that he prioritized Obamacare over the economy. Now it appears that the economy, and all that goes along with it, like the ever-growing national debt, will again play second fiddle, this time to immigration reform.

If priorities are any reflection of politics, it appears the president is more concerned with what he regards as historic, landmark legislation to build his legacy, rather than the economic well-being of the nation. If that seems like a harsh assessment, consider that just this week we learned from Stephen Moore's interview of House Speaker John Boehner in the Wall Street Journal that the president told Boehner during the fiscal cliff negotiations, "We don't have a spending problem."

If $16 trillion of national debt and the huge deficits each year aren't spending problems, then what is? The United States most certainly has a spending problem. For the president to insist otherwise is dumbfounding but at the same time entirely consistent with his policies.

He called for the Simpson-Bowles Commission on deficit reduction, but ignored their recommendations. He campaigned ad nauseam about the need for a balanced approach to deficit reduction, but the latest fiscal cliff deal is almost entirely tax hikes and even includes more stimulus spending. The only spending cuts he agreed to, the sequestration cuts, he had announced during one of the presidential debates "will not happen."

There seems to be a near invincible unwillingness by this president and his advisors to cut the size and scope of government. How then do conservatives negotiate the coming debt ceiling extension, especially when they control neither the White House nor the Senate?

There is no easy answer, but perhaps they should begin by explaining to the American people "the politics of reality," as William Buckley aptly defined conservatism.

The recent elections seem to indicate that a majority of the American people want lower taxes for themselves but approve of the president's increased spending programs. In the end, they cannot have both. A vibrant and prosperous private sector cannot coexist with a one-size-fits-all caretaker state. One relies on low taxes and limited government interference, the other on high taxes and government redistribution of resources.

So Americans must choose between the two and conservatives must make that choice clear: higher taxes, higher spending and more government services, or opportunity and upward mobility with lower taxes and less government interference.

The debt ceiling is just the first of many opportunities to bring this choice to the public. Republicans should make it clear that they will fulfill our debt obligations in a responsible manner, but they will only give the president short-term debt ceiling extensions until we get this problem under control. If Obama doesn't want to cut spending in a meaningful way he's going to have to explain that to the American people every couple of months for the next four years.

The purpose isn't to thrash the president and his party or be ideological shock troops, as Ronald Reagan once warned against, but to hold a national education seminar on fiscal responsibility. Republicans have not won the argument, and will not win it, when these fiscal deals are made behind closed doors before the strike of midnight.

Sunlight is the best disinfectant and so too in politics. Republicans can win the argument by making a clear and cogent public articulation of the president's spending problem and how the American people, especially the lower and middle classes, will be the ones to suffer as a result.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: National debt doesn't look like a priority for President Obama

@highlight

Bennett: Obama more concerned with his legacy rather than our economic well-being

@highlight

He asks why the president is so unwilling to cut the size and scope of government

@highlight

Bennett: GOP should make it clear that it will fulfill our debt obligations in a responsible way