Washington (CNN) -- There are political upstarts, rebels with and without a cause, and then there's Ted Cruz.

The first-term Republican senator from Texas has achieved the rare notoriety of having almost everyone in Washington mad at him, at least for now.

His legislative maneuverings led to last year's 16-day government shutdown, and he almost single-handedly scuttled this week's congressional approval of a year-long debt ceiling extension that denies fiscal conservatives a key negotiating tool until after the November elections.

Democrats dislike Cruz for his right-wing social and economic policies such as vehement opposition to gay marriage and President Barack Obama's signature health care reforms.

Cruz's Republican colleagues, especially those in the Senate, are angry because he forces them to choose between conservative purity and political pragmatism, a particularly tough spot in an election year.

To Cruz, a tea-party favorite who arrived in Washington just over a year ago, it's all about telling the truth -- as he sees it.

Election-year logic explains GOP dysfunction

Cruz: Politicians are lying to the people

Washington politicians -- including fellow Republicans -- don't want to be honest with America about their unwillingness to tackle tough issues like the rising federal debt, Cruz said Thursday in an interview with conservative talk radio host Mark Levin.

"People don't like to be lied to," he said to explain historically low approval ratings for Congress, adding that forcing Republican politicians to tell the truth "makes their head explode."

Others, including fellow legislators, say Cruz puts his personal agenda of galvanizing a right-wing political movement ahead of what's best for his party as a whole as it tries to reclaim control of the Senate and retain its House majority in November.

Kevin Madden, a GOP strategist and CNN political commentator, said Cruz's tactics seek to position him as a conservative champion on social issues as well as economic issues.

Madden cited a new proposal by Cruz intended to strip the federal government's power to legalize gay marriage by shifting that issue to state control.

"Social conservatives are looking for a voice inside the legislative process on (the gay marriage) debate and Ted Cruz is now stepping up," Madden said. "And I think Ted Cruz sees this as an opportunity to become a social conservative champion because I think he has put together a pretty strong profile as an economic conservative champion in other debates."

However, such right-wing positions increasingly differ from the American mainstream, which can make Cruz a liability for the Republican Party, according to Madden.

"If he's positioning himself as the face of the party, and he's moving against public tide and public sentiment, it makes Republicans look once again like they are out of step with the American people," Madden said, adding: "That's what's happening to Ted Cruz."

Panel: Cruz creating headaches for McConnell, GOP

New kid on the block

In less than 14 months, Cruz has quarreled publicly with Democratic senators, staged a 21-hour filibuster against the health reforms known as Obamacare -- at one point reading the Dr. Seuss classic "Green Eggs and Ham" -- and enraged GOP leaders by pushing strategies that backfired on the party.

Last October, Cruz's insistence on linking provisions dismantling Obamacare to needed government spending authority caused the government shutdown. It ended with Republicans getting nothing but blame for what most Americans considered a needless political crisis.

Wary of a similar debacle, Republican leaders shifted from a two-year strategy of wringing concessions out of the need to raise the federal borrowing limit.

After previously saying they would target the debt ceiling deadline in late February for more deficit-reduction demands, they decided against creating another example of Washington gridlock and dysfunction.

This week, House Republicans failed to agree on attaching various provisions sought by conservatives to a debt-ceiling plan that allows the government to borrow what it needs through March of 2015.

House Speaker John Boehner, a past proponent of forcing concessions over the issue, gave up and pushed through a "clean" proposal that passed with support from 199 Democrats and only 28 Republicans.

GOP leaders in Senate then sought a politically expedient strategy for the measure disliked by the party's conservative base. They urged their caucus to let it come up without objection so Republicans could simply vote "no" while Democrats passed it.

Filibuster politics

Cruz had other ideas. He tried to filibuster the measure, which forced a 60-vote majority in order for it to proceed. That meant at least five Republicans had to join the 55-seat Democratic caucus to prevent a showdown that could roil financial markets over the possibility of a U.S. default in coming weeks.

With the vote held open for far longer than usual, Senate GOP leader Mitch McConnell of Kentucky and top deputy John Cornyn of Texas eventually provided the final two Republicans votes needed to overcome the Cruz filibuster bid.

Other GOP senators then changed their votes to provide political cover for McConnell and Cornyn, and all 12 Republican senators who helped Democrats stave off the filibuster then opposed the debt ceiling plan on the final vote. Needing only a simple majority for final approval, it passed with purely Democratic support.

Cruz railed against that kind of politicking in the interview Thursday with Levin, accusing fellow Republicans of being dishonest.

"The single thing that Republican politicians hate and fear the most ... is when they're forced to tell the truth. It makes their head explode," he said, calling the debt-ceiling vote "the perfect example."

His GOP colleagues, which he called establishment Republicans, wanted "a perfect show vote" in which they opposed the debt ceiling plan without being held accountable for enabling Democrats to pass it by helping them overcome the filibuster bid, Cruz said.

"They wanted to be able to tell what they view as their foolish gullible constituents back home they didn't do it, and they're mad because by (my) refusing to consent to that, they had to come out in the open and admit to that," he said.

Harsh criticism

It was unusually harsh and direct criticism of party colleagues, the opposite of the political mantra often cited by GOP icon Ronald Reagan that "thou shalt not speak ill of another Republican."

Republican anger at Cruz for the debt-ceiling maneuver had been obvious but muted.

Sen. Lindsey Graham of South Carolina said his colleagues thought "this wasn't a good strategy in light of the fact that the House showed it didn't have the ability to pass a debt ceiling with Republican votes."

Graham and other veteran GOP legislators, including McConnell and Cornyn, face primary challengers from the right this year, and the debt-ceiling vote provided ammunition for opponents to attack their conservative credentials.

For Cruz, bucking what he calls the Washington establishment, including Republicans, is all that matters.

"If we wait on the entrenched politicians in Washington to make the case to stand up, hell will freeze over before that happens," he told Levin. "This is nothing new. That's true of entrenched power. It's always been true of Washington."

About his GOP detractors, Cruz said that "every one of those senators who's angry, when they go back home, they tell their constituents they're doing everything they can to stop (the rising debt ceiling), but they don't actually want to do what they're saying."

Such a public rift with his party can hurt Republicans and Cruz, said Marc Lamont Hill, a CNN political commentator who hosts "Huff Post Live."

"Ted Cruz seems to be uncontrollable by the Republican Party," Hill noted, adding that polls show Cruz "moving in the wrong direction" among potential GOP presidential contenders in 2016. "People are dissatisfied with folk like Ted Cruz, who don't seem viable anymore because they're not willing to play ball."

Madden, the GOP strategist, conceded that with Cruz's ability to "drive a lot of headlines and get a lot of attention," Republican leaders will continue to see him "as a challenge."

CNN's Jake Tapper contributed to this report.

@highlight

GOP Sen. Ted Cruz seeks to galvanize a conservative political movement

@highlight

Critics say the freshman from Texas puts his personal agenda over party benefit

@highlight

Cruz: Forcing GOP politicians to tell the truth "makes their head explode"

@highlight

GOP strategist: Cruz seeks to become the party leader on social and fiscal issues