(CNN) -- The Supreme Court is about to hold hearings on whether the police need a warrant to attach a GPS tracker to a suspect's car and trace its movements while it is in a public space. (The case at hand, United States v. Jones, concerns a major drug dealer, and the police could not use the data collected while his car was parked in his garage.)

The intense debate the case has already elicited among legal scholars, civil rights and libertarian activists, and those particularly concerned with public safety and national security is largely focused on the question: what would the Founding Fathers have said about the case? As I see it, at least equal weight should be accorded to the question: How well are our public authorities doing in their dealings with criminals? Who needs more tools and who should be denied access to cyber-age technologies if we are to keep a balance between our profound and essential commitments to privacy as well as our security?

According to national statistics for 2010, less than half (47%) of violent crimes committed in this country are "cleared" (that is, suspects are arrested, charged, and turned over for prosecution) and only one out of five (18%) criminals who commit nonviolent crimes (such as burglary) are caught and tried. For obvious reasons there are no such statistics available for terrorists, and the fact that there was no successful attack in the U.S. over the past 10 years tends to make us complacent.

However, if one takes into account that there are many millions of people in the world who hate us and wish us harm (and at least a few right here in the U.S.), we should maintain our vigilance. As one terrorist group once put it, "You have to be lucky all the time. We only have to be lucky once."

To argue that the preceding data show that the government should be given some more leeway is not a violation of the Constitution, but directly sanctioned by it. Unlike the First Amendment, which is worded in absolute terms -- "Congress shall make NO law" -- the Fourth Amendment bans only unreasonable searches. That is, it recognizes that there is a whole category of searches that are fully legitimate and violate no one's rights.

As to what is reasonable, it obviously changes with the circumstances. Given that criminals can use freely all the new technologies -- including of course GPS trackers, smartphones and spyware -- it seems eminently reasonable that the police should also be able to use some of these, especially in public spaces, in which people have no expectation of privacy (or at least should not have one).

Opponents argue that the Founding Fathers provided that before a warrant is issued, the police need to show probable cause by bringing data to a judge, who reviews the facts and determines whether a warrant is appropriate and how it should be issued. However, this is needed only for searching people's private spaces -- their homes, personal effects, and personal records such as diaries -- and not for using a technology that does what cops have been doing for a century: Track a suspect in public spaces, without a warrant. Moreover, often some such surveillance is needed before a tip or lead can be developed to the point that it meets the standard of probable cause.

The counter-argument that if the police are allowed to proceed, we shall be all tracked seven days a week, round the clock does not withstand minimal criticism. At most, the GPS data tells us that someone drove a car to certain places. Who lives or works there, what happened, etc. etc., all remain to be investigated.

If the police put GPS devices in all the cars on the road, or even only in one out of every thousand, cops would be buried under an endless flood of data points -- among which suspects would be lost.

At the same time, the police should be required to file reports after the fact about their use of GPS trackers. If it turns out that they are employed too often or to track people who are, say, political activists, the police should be reprimanded and if they persist, elected officials (say, a city council) should set limits on the use of this and other crime-fighting technologies and punish those who abuse them.

If the data ran the other way -- if most criminals were neutralized and we did not have to be concerned about terrorists -- reasonable people who seek to deny the police the use of GPS trackers without probable cause might have a much stronger case. However, even then, I have a hard time believing that the Founding Fathers meant for the police to be denied tools available to all others, including the bad dudes.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

Should law enforcement need a warrant before planting a GPS tracking device on a car?

@highlight

No, the Supreme Court ought to decide that they should not, says Amitai Etzioni

@highlight

In this case, our need for security outweighs privacy concerns, he says

@highlight

Cops have already been tracking suspects in public places for a century, Etzioni says