(CNN)I am a Muslim, but I wasn't always. I converted to Islam in November 2001, two months after 9/11.

I was 21 and living in Baton Rouge, Louisiana. It was a bad time to be a Muslim. But after four years of studying, poking and prodding at world religions and their adherents, I decided to take the plunge.

Questions and answers

I am the product of a Creole Catholic and an Irish atheist. I grew up Catholic, then was agnostic, now I'm Muslim.

My journey to Islam began when I was about 15 years old in mass, and had questions about my faith. The answers from teachers and clergymen -- don't worry your pretty little head about it -- didn't satisfy me.

So I did what any red-blooded American would do: the opposite. I worried about it. For many years. I questioned the nature of religion, man, and the universe.

After questioning everything I was taught to be true and digging through rhetoric, history and dogma, I found out about this strange thing called Islam. I learned that Islam is neither a culture nor a cult, nor could it be represented by one part of the world. I came to realize Islam is a world religion that teaches tolerance, justice and honor, and promotes patience, modesty and balance.

As I studied the faith, I was surprised many of the tenants resonated with me. I was pleased to find that Islam teaches its adherents to honor all prophets, from Moses to Jesus to Muhammad, all of whom taught mankind to worship one God and to conduct ourselves with higher purpose.

I was drawn to Islam's appeal to intellect and heartened by the prophet Muhammad's quote, "The acquisition of knowledge is compulsory for every Muslim, whether male or female." I was astounded that science and rationality were embraced by Muslim thinkers like Al-Khawarizmi, who invented algebra; Ibn Firnas, who developed the mechanics of flight before DaVinci; and Al-Zahravi, who is the father of modern surgery.

Here was a religion telling me to seek out answers and use my intellect to question the world around me.

Taking the plunge

It was 2001 and I had been putting off converting for a while. I feared what people would think, but was utterly miserable. When 9/11 happened, the actions of the hijackers horrified me. But in its aftermath, I spent most of my time defending Muslims and their religion to people who were all too eager to paint a group of 1.6 billion people with one brush because of the actions of a few. I was done being held hostage by the opinions of others. In defending Islam, I got over my fear and decided to join my brothers and sisters in the faith I believed in.

My family did not understand, but it wasn't a surprise to them since I had been studying religion. Most were very concerned for my safety. Luckily, most of my friends were cool about it, and even curious to learn more.

The scarf

These days, I am a proud wearer of hijab. You can call it a scarf. My scarf does not tie my hands behind my back, and it is not a tool of oppression. It doesn't prevent thoughts from entering my head and leaving my mouth. But I didn't always know this.

Studying Islam didn't immediately dispel all my cultural misconceptions. I had been raised on imagery of women in the East being treated like chattel by men who forced them to cover their bodies out of shame or a sense of ownership.

But when I asked a Muslim woman "Why do you wear that?", her answer was obvious, and appealing: "To please God. To be recognized as a woman who is to be respected and not harassed. So that I can protect myself from the male gaze." She explained how dressing modestly is a symbol to the world that a woman's body is not meant for mass consumption or critique.

I still wasn't convinced and replied, "Yeah, but women are like second class citizens in your faith?" The very patient Muslim lady explained that, during a time when the Western world treated women like property, Islam taught that men and women were equal in the eyes of God. Islam made the woman's consent to marriage mandatory and gave women the opportunity to inherit, own property, run businesses and participate in government.

She listed right after right that women in Islam held nearly 1250 years before women's lib was ever thought of in the West. Surprisingly, Islam turned out to be the religion that appealed to my feminist ideals.

Getting married

It might shock you to know that I had an arranged marriage. That doesn't mean I was forced to marry my father's first choice suitor, like Jasmine from Aladdin. Dad didn't even have a say.

When I converted, it wasn't a good time to be a Muslim. Feeling isolated, alienated and rejected by my own society pushed me to want to start a family of my own. Even before converting I had always wanted a serious relationship, but found few men looking for the same.

As a new Muslim, I knew there was a better way to look for love and a lifelong partnership. I decided that if I wanted a serious relationship, it was time to get serious about finding one. I wanted an arranged marriage.

I made a list of "30 Rock"-style deal breakers. I searched. I interviewed. I interrogated friends and families of prospects.

I decided I wanted to marry another convert, someone who had been where I was and wanted to go where I wanted to go. Thanks to parents of friends, I found my now-husband, a convert to Islam, in Mobile, Alabama, two hours from my New Orleans home. Twelve years later, we are living happily ever after.

Not every Muslim finds a mate in this manner, and I didn't always see this for my life. But I am glad Islam afforded me this option.

Living in a post-9/11 world

I never had to give up my personality, American identity or culture to be a Muslim. I have, at times, had to give up on being treated with dignity.

I have been spat on, had eggs thrown at me, and been cursed at from passing cars. And I have felt terror when the mosque I attended in Savannah, Georgia, was first shot at, then burned down.

In August 2012, I moved back home to New Orleans, where being different is the norm. I finally felt safe -- for a while. But now, with the continuous news coverage of the un-Islamic group known as ISIS, I have been subjected to much of the same treatment I received in other cities. And I now feel less safe than I ever have.

It enrages me to know there are some who call themselves Muslims and who distort and misappropriate Islam for political gains. It weighs on me knowing that millions of my countrymen see only these images as a representative of my religion. It is unbearable to know that I am passionately hated for my beliefs, when those hating me don't even know what my beliefs are.

In my journey to Islam, I came to learn that Muslims come in all shapes, sizes, attitudes, ethnicities, cultures and nationalities. I came to know that Islam teaches disagreement and that shouldn't lead to disrespect, as most Muslims want peace. Most of all, I have faith that my fellow Americans can rise above fear and hatred and come to learn the same.

The opinions expressed in this story are solely those of Theresa Corbin.

@highlight

Theresa Corbin converted to Islam at age 21

@highlight

She found the religion appealed to her intellect and feminist ideals

@highlight

"Muslims come in all shapes, sizes, attitudes, ethnicities, cultures and nationalities," she writes

@highlight

Have a personal essay of your own to share? Submit at CNN iReport