Istanbul (CNN) -- One of the world's most powerful Muslim preachers lives behind a gated compound in the small, leafy town of Saylorsburg, Pennsylvania.

The reclusive Turkish cleric's name is Fethullah Gulen.

If you believe the Turkish government, supporters of this cleric in Pennsylvania are spearheading a coup attempt in Turkey that is destabilizing one of America's most important allies in the Middle East.

In recent weeks, Turkish Prime Minister Recep Tayyip Erdogan, a religious conservative, has compared Gulen and his supporters to a virus and a medieval cult of assassins.

Meanwhile, in an interview with CNN, a top official from Erdogan's ruling Justice and Development Party, or AKP, called the Gulen movement a "fifth column" that had infiltrated the Turkish police force and judiciary.

"We are confronted by a structure that doesn't take orders from within the chain of command of the state," parliament member and deputy AKP chairman Mahir Unal told CNN. "Rather, it takes orders from outside the state."

Who is this mysterious man in Pennsylvania?

The 72-year old imam went into self-imposed exile when he moved from Turkey to the United States in 1999.

He rarely speaks to journalists and has turned down interview requests from CNN for more than two years. But in a rare e-mail interview published in The Wall Street Journal on Tuesday, Gulen denied any involvement in a political conspiracy.

"We will never be a part of any plot against those who are governing our country," he wrote, according to The Wall Street Journal.

Muslim cleric and school spiritual leader

Supporters describe Gulen as a moderate Muslim cleric who champions interfaith dialogue. Promotional videos show him meeting with Pope John Paul II in the Vatican in the 1990s. He also repeatedly met with rabbis and Christian priests in Turkey.

The preacher is best known as the spiritual leader of a network of schools and universities that operate in more than 100 countries. In the U.S., this academic empire includes Harmony Public Schools, the largest charter school network in Texas. The U.S. Department of Education awarded Harmony schools in Texas a $30 million grant after they received high scores in the government's "Race to the Top" education competition.

Every year, students from Gulen schools around the world gather in Istanbul for a lavish series of concerts, dances and academic competitions called The Turkish Olympics. At these events, African students perform Turkish folk dances in traditional Turkish costumes before packed stadium audiences.

Gulen supporter and newspaper columnist Ihsan Yilmaz insisted the schools "are not owned by Gulen," but by a loose network of volunteers from the cleric's movement.

"These people know each other, they meet together, but officially speaking, (the schools) are owned by different businessmen," Yilmaz explained.

Volunteers in the Gulen movement also own TV stations, the largest-circulation newspaper in Turkey, gold mines and at least one Turkish bank.

"There are many businessmen in Turkey who espouse the ideas of Gulen. Because starting from the 1960s, Gulen has been teaching them look, in order to be a good Muslim, you don't have to be a poor guy," explained Yilmaz, who is also a professor of political science at Fatih University, a Gulen-affiliated school in Istanbul.

Relations with the Prime Minister

Throughout much of the last decade, the Gulen movement was also a strong Erdogan supporter.

Pro-Gulen media outlets backed sprawling investigations of alleged coup plots organized by Turkish military commanders. Dozens of military officers, as well as secular writers, academics and businessmen, waited for years in prison for trials that critics called witch hunts.

At that time, it also became increasingly dangerous to criticize the Gulen movement.

Police arrested and imprisoned writer Ahmet Sik for more than a year, accusing him of supporting a terrorist organization. A court banned his book "The Imam's Army," which took a critical look at the Gulen movement, before it was even published.

Now out of prison, but still facing charges, Sik said the long-standing alliance between Turkey's two most prominent Islamic conservative leaders -- Erdogan and Gulen -- had collapsed into a bitter power struggle.

"There was a forced marriage, and the fight that began with who would lead the family is continuing as an ugly divorce," Sik told CNN.

"On the one side, there is the Gulen community, a dark and opaque power that can damage the most powerful administration in Turkish history. And on the other side, you have an administration that under the guise of fighting this community can and has suspended all legal and democratic principles," he said.

In November, Erdogan announced plans to shut down privately owned preparatory schools, which help some Turkish students study for university entrance exams. Pro-Gulen media groups denounced the move, which would hurt an important part of the Gulen academic empire in Turkey.

Anti-corruption raids

On December 17, police carried out a series of anti-corruption raids targeting dozens of people closely linked to the Turkish government. Among those arrested were the sons of two senior Cabinet ministers as well as the head of the state-owned HalkBank. Outlets like the pro-Gulen newspaper Today's Zaman published detailed reports alleging that police found large amounts of cash -- in the case of the bank director, stored in shoe boxes -- in the homes of some of the suspects.

Erdogan denounced the allegations of graft against his government. Instead, he accused police and prosecutors of organizing a politically motivated investigation to hurt his party before nationwide municipal elections in March. The Turkish government embarked on the highly unusual mass demotion of thousands of police and prosecutors believed to be involved in the investigation.

'God is behind us'

"There is a political crisis in Turkey right now, and also a societal crisis in the sense that I've hardly seen Turkish society this polarized, this tense, this paranoid," said Mustafa Akyol, author of the book "Islam Without Extremes."

"Both sides use religious language to justify themselves," Akyol added. "Both sides say 'God is behind us.' "

In a fiery speech distributed on one of his movement's websites last month, Gulen accused the Turkish government of hypocrisy.

"Those who don't see the thief but go after those trying to catch the thief, who don't see the murder but try to defame others by accusing innocent people: Let God bring fire to their houses, ruin their homes, break their unity," the cleric yelled while shaking his fist in anger.

There are few signs that the power struggle between rival wings of the Turkish bureaucracy shows any signs of letting up. Speaking on condition of anonymity, Erdogan supporters have said that a recent series of police arrests targeting alleged al Qaeda suspects in Turkey were actually carried out by pro-Gulen police and prosecutors seeking to embarrass the Turkish government.

Within hours of the anti-al Qaeda raids on January 14, a counter-terror police commander involved was reportedly demoted to his department's juvenile crimes division.

As the mudslinging also continues between different factions of the Turkish media, it is highly unlikely that the enigmatic cleric, safely sequestered in Pennsylvania, will return to face the political firestorm in Turkey anytime soon.

@highlight

Turkish government says group managed by Fethullah Gulen is leading a coup attempt in Turkey

@highlight

He denies any involvement in a political conspiracy

@highlight

Gulen's group once backed Turkey's Prime Minister, but that relationship has soured

@highlight

"There is a political crisis in Turkey right now," and society is polarized, author says