Hong Kong (CNN) -- Scroll through Kickstarter, and you'll get a kick out the sheer variety of projects with tin cups in hand.

A documentary about the Dungeons and Dragons fantasy role-playing game, a zombie board game, even a sprouting pencil -- all are looking for handouts via the popular crowd-funded site.

But one project in particular caught our attention in the CNN newsroom. Called "Float," it gives Beijing residents the tools to measure air quality for themselves with pollution-sensing kites.

Kites have been flown for recreation, sport and art. But for environmental monitoring? It is the tethered aircraft that got the best of Charlie Brown, and it's now tracking air quality that's among the worst in the world.

"There's a long tradition of kite flying and kite making in China," says Xiaowei Wang, a masters candidate at the Harvard School of Graduate Design and one of the co-creators of Float. "There's a large group of enthusiasts, and we really wanted to tap into this existing group of people excited about kites."

Float raised over US$4,500 on Kickstarter to hold workshops for Beijing residents to learn how to build and fly pollution-sensing kites. Among those taking part, 40-to-70-year-old Chinese workers and retirees who enjoy flying kites -- including a 72-year-old kitemaster.

Blog: Clearing the air in China

The kites are equipped with small modules that detect carbon monoxide, volatile organic compounds (VOC) and particulate matter. Air quality levels are displayed through LED lights that change in color -- from hot pink (which represents the worst air quality) to green (which signifies the best). All data from the flight is stored on an SD card.

Xiaowei and her team have held two workshops and a group kite flight in the evening to create a sparkling web of glowing crafts. Float is keen to highlight the visual and sensory experience of their project with Xiaowei telling me, "From the ground looking up, it's like a kite flash mob because the sky is full of all these kites."

But a constellation of pollution-sensors in the sky is more than public art or a reboot of a popular pastime. In China, it can be a political challenge.

In June, a senior Chinese official demanded that foreign embassies stop issuing air pollution readings. Citing the Vienna Convention on Diplomatic Relations, Deputy Environment Minister Wu Xiaoqing said foreign embassy pollution readings were illegal.

U.S. readings challenge China's smog claims

Though Wu did not name any countries in particular, it was seen as throw-down directed at America's diplomatic missions which post hourly air quality readings via Twitter for Beijing, Shanghai and Guangzhou.

The U.S. readings, which frequently rate Beijing's air as "unhealthy," are widely viewed as reliable alternatives to China's own monitoring reports.

China may say only it has the right to monitor its air pollution. But Float has untethered China's official grip on air quality data with its high-flying sensors.

And they know it. On its Kickstarter page, Float acknowledges the politically sensitive nature of its project. The team writes: "Urban air quality is a serious issue that affects rapidly industrializing cities globally, and within Beijing as the capital of China, it is an issue kept quiet by the government under fear of criticism and protest from the public."

Xiaowei insists their project is not seen as threatening, and looks forward to future workshops in Beijing next summer.

And with a smile, Xiaowei tells me: "It's hard to imagine the government getting upset with a group of retired guys who enjoy flying kites."

@highlight

Float gives Beijing residents the tools to measure air quality for themselves with pollution-sensing kites

@highlight

Air quality is politically-sensitive in China, with official readings not considered accurate

@highlight

Kites equipped with modules that detect carbon monoxide, volatile organic compounds, particulates

@highlight

Float: Urban air quality is a serious issue that affects rapidly industrializing cities globally