Port-au-Prince, Haiti (CNN) -- The cemetery was mazelike before the earthquake, but now it's impossible to navigate, with many of the narrow passages blocked by rubble. It takes Vladimir Duthiers an hour to reach his destination.

He steps over coffins that people have pulled out of old crypts and replaced with the earthquake's dead. Some plaques have been spray-painted over: "RIP January 12, 2010."

Skulls. Bones. Stench. Flies.

In one crypt is a fresh body, covered sloppily with a gray blanket issued by an aid agency. A cardboard sign carries a name: Hilaire Nicaisse.

Duthiers, 40, has come to find his family's crypt where, among others, the grandparents he never knew are buried.

On this afternoon, the CNN production assistant wants to make sure no one had disturbed the peace of his ancestors and to learn as much as he can from dates and names that might be engraved in stone.

News organizations such as CNN sent their Haitian employees to cover the nation's national agony. And for those journalists, like Duthiers and colleague Edvige Jean-François, it was a bittersweet homecoming -- a chance to reconnect with roots amid heartbreak.

This was hardly the way Duthiers had hoped to discover his homeland. Born and raised in a fractured immigrant home in New York, he grew up hearing snippets about his culture and ancestors. He had wanted to come here so many years ago, but his own career and political turmoil in Haiti got in the way. His longing was that of a child searching for his mother; his determination like that of a mountaineer determined to conquer Everest.

Duthiers was last in Haiti in 1980. The next time he touched Haitian soil was with a CNN team that landed in the capital the day after the January 12 earthquake. In an instant, long-held images were gone. Everywhere he stepped, Duthiers found suffering. All he could do now was to visit his family grave site.

Duthiers continues his snaking journey through the cemetery, recounting stories of his grandmother. Some, he admits, have probably grown to epic proportions over the years. But he wants to keep it that way.

He heard that his grandmother, Jeanne Caillet, was a Sorbonne-educated journalist working in France between the great wars and was repeatedly jailed, and perhaps beaten, for her participation in the suffragist movement. The abuse broke her spirit. She returned to Haiti and died three days after giving birth to Duthiers' father.

Duthiers scales rubble, looking for markers that will lead him to Caillet. Then in section CB-26, in front of a collapsed church, Duthiers falls to his knees before a crypt bearing his family name.

It stands intact except for a few chunks that have fallen out here and there. He's relieved. But what were the exact dates of his grandparents' deaths? When were they born? What were their astrological signs?

He had hoped to discover all this from the gravestones, but information is sparse.

"This is as close as I'll get to them," he says, touching the grave. "This is a little bit of heaven in the middle of hell."

He picks up a metal cross that has fallen to the ground. He thinks about placing it on the crypt, but then leaves it where it was. He couldn't be sure it belonged to his family.

Cosmic circumstances, he says, brought his family to this land that they loved. From Africa, France, the Dominican Republic. Ironically, he says, it is on this trip that he has begun to understand.

"They thought this was the place to be. Now I can feel what they felt," he says.

He says a last goodbye and makes his way back on sacred ground.

It is time for Duthiers to accompany colleague Jean-François on her journey, so they go to another cemetery to find her father's resting place. He had retired in the United States and moved back home to Port-au-Prince in 1996. He died a year ago.

Like Duthiers, Jean-François, 41, arrived in Port-au-Prince the day after the quake. It was unbearable to see her beloved city flattened, to be near the tens of thousands who were dead or suffering.

Now, toward the end of an arduous assignment, Jean-François has grown anxious. She cannot leave without visiting her father's grave, her parents' home. She is afraid that if the grave has been disturbed, she will have to rebury him.

But this cemetery, far from central Port-au-Prince, is untouched. "It's good to see it intact," she says, gazing upward at a wall of crypts and counting six from the bottom to No. 2226.

White plastic flowers are tucked neatly in front. She was once in this place with her family at a ceremony for her father. "It's just the way it was a year ago," she says, drying her tears.

She feels an odd guilt for having spent time finding the dead when so many of the living are suffering. But she could not leave Haiti without visiting the man to whom she still talks to find strength.

Duthiers and Jean-François make one last stop -- to the house in which her parents had planned to live out their days. After her father's death, her mother has been spending much of her time in the United States.

The white tiles are still sparkling. The neatly appointed bathrooms, never used. Jean-François meanders room to room, stumbling upon a rug still rolled up in its shipping material. And a box full of photographs.

"There I am -- my high school graduation," she says.

With that, the two make their way back to the hotel. They carry with them a message to visitors at the main Port-au-Prince cemetery, centuries of wisdom crudely painted above the main gate: "Now is the time to think about yourself."

@highlight

CNN production assistant visits family crypt to check on damage, learn about his ancestors

@highlight

Colleague visits crypt to see her father's resting place, then goes to parents' home

@highlight

Both arrived in Port-au-Prince the day after the earthquake that devastated the city

@highlight

They face fear of damage to ancestral resting places, bear weight of suffering around them