(CNN) -- The destruction that Superstorm Sandy inflicted on 13-year-old Ryan Panetta and his home has taken six months to be complete.

In the end, it wasn't the wind and water that did in his house in Broad Channel, New York. It was the claws of a giant excavator, sent this week by the city to demolish the home his entire family had been laboring nights to rebuild since Sandy struck.

"I would want to be here to see it but I didn't know it was going to be so tough," said Ryan as machinery crushed the home he had lived in since birth, where he was raised along with his two brothers and little sister. The neighbors, seeing a bit of what may lie in their future, hugged each of them silently. One neighbor told them, "new home, new memories."

Rain sprinkled and a cool, gray sky full of clouds bubbled high above. As the rooms where they'd celebrated dozens of birthdays and Christmases splintered into piles of wood, the Panettas began to cry.

"I knew it was going to be hard, though, you know? I knew we couldn't live there anymore but this is where I put all my babies' home to -- and to watch it just being broken down like this is tearing me up," said Karen Panetta, Ryan's mom. "It's -- the impact of Sandy -- we're reliving it every single day for the last six months. Every home we can't go back to -- a place we called home, we relive it. Every day."

Sandy developed into a hurricane in October as it crashed through the Caribbean then raked the East Coast of the United States, making landfall near their home as a post-tropical cyclone. It killed more than 180 people in Canada, Cuba, Haiti, Jamaica and the United States.

It also contributed to tens of billions of dollars in damages, especially along shoreline communities in New York, New Jersey and parts of Connecticut.

Photos: Board by board, Jersey Shore rebuilds

CNN has been following this family's story, but this sudden crash exactly a half year after the day of the storm was unexpected. Ryan had repeatedly told everyone his home would be rebuilt, even if he had to do it with his own young hands. "We will be back in our home. I'm sure of it," he had said.

The beginning of the end of 803 Church Street was on October 29, when the raging water enveloped Broad Channel, an island in Jamaica Bay, while the father, Joe Panetta, was at work. Ryan swam for help. "I jumped out ... I wasn't even thinking that a log would hit me or anything," Ryan recalled, the memory still vivid. He didn't worry about the danger of electrical power lines in the water, either. His youngest brother, Christian, chokes up recalling how he believed he would drown.

Ryan's mother credits Ryan with saving their lives, but their home was flooded so severely it couldn't be occupied. To make matters worse, the rising water of the ocean had met the bay in the nearby Rockaways and Ryan's school, Scholars' Academy, was flooded. The city counted 73,000 students displaced by the storm.

At the end of the year, Sandy was still eating away at Ryan's life as the displaced family shared a one-bedroom temporary apartment while mold grew inside their empty home and school and saltwater corroded everything. Ryan commuted two hours to a replacement school. He was one of 5,400 students whose school buildings were not yet repaired. Scholars' Academy had been looted, needed a new boiler and cleaning was hampered because sewage from a neighboring treatment plant had penetrated the basement and first floor. Some of his teachers and the principal were in temporary housing.

Playgrounds in storm areas memorialize Newtown victims

Most evenings Ryan had mined hope by going back to his damaged home to join his family pulling out the rotting floor and walls and trying to rebuild while the family navigated insurance settlements, city rebuilding rules, federal assistance and emergency housing. Some nights it was all too much.

"This community was our entire world. We all grew up here. But it's been very hard on the kids moving from one place to another, not getting enough sleep, not having any of their things or their school. The one thing that's held together is our family. And we will rebuild this house because we have so many Christmases and birthdays and memories here," Karen Panetta said in December, standing in a shell that was once their living room.

Work on the school also progressed with urgency. "We need this place to be there for kids like Ryan because they need the consistency, they need one place they can count on, " lamented Principal Brian O'Connell, whose life mirrored Ryan's as he went from temporary housing to a temporary school, then to oversee the restoration of his Scholars' Academy and his own home blocks away.

Rebuilding NYU's research labs after Superstorm Sandy

By January 14 he had gotten his wish. Ryan and 700 other middle school kids marched back in wearing T-shirts that read "Scholars' Strong, Rockaway Resilient." From the gym floor to the piano in the school auditorium, much had to be repaired or replaced. iPads and other items were lost to looters.

Everything else had been replaced. A temporary boiler was chugging away. O'Connell said donations had been overwhelming and the repairs swift, but the emotional toll on his students and faculty was high. Additional counselors had been brought in to provide guidance to the children of the storm. Weekend, early morning and after-school programs were offered to provide academic support.

The only smile you can get out of Ryan is when you talk about his school, where the boys' varsity basketball team made the playoffs for the first time and the girls' team won the city championship. Scholars' has a record number of kids entering good high schools and scholarship money and assistance is starting to come in. It's the one thing that's been made right.

Then in late January, FEMA released new maps covering the areas damaged by Sandy. The maps are used to determine the level of flood risk to an area, which also determines the costs set for federal flood insurance. They can make a difference in people's decision to rebuild before they even consider whether their construction plans would square with city regulations.

According to Dan Watson, FEMA press secretary, the maps had not been revised for Broad Channel since the 1980s; the new one showed the Panetta home in a V zone. Homes in these zones are "subject to high-velocity wave action (a 3-foot breaking wave) from the 1% annual chance coastal flood."

Because of the risk, Zone V is subject to more stringent building requirements than other zones.

To the Panettas, that translated into building higher, which also meant more money for flood insurance, even as they are discovering the insurance they had was insufficient to make them whole.

Queens families: Power company to blame for homes burned during Sandy

"That's the way they are -- you pay, pay, pay and then, you know, when it's time to pay back out, they don't do it. They're nickel-and-diming me for everything. And when I say everything I mean everything," Joe Panetta said as he pointed to a $1,000 front door that would be reimbursed at $252. The storm door was $360 but wasn't covered.

They had no insurance on the contents. Frustrated, Joe Panetta insisted the insurance company send an engineer and assess whether the home could be saved. The Panettas have been living in temporary housing with assistance from FEMA since Sandy hit. With engineering reports signaling structural compromises and mortgage payments and rent costs piling up, Joe Panetta pushed the insurance company and the city, which made the decision to demolish.

That left the Panettas standing outside this week in matching Broad Channel sweatshirts, a bright green shamrock stamped on the front like a team jersey. Ryan missed a precious school day because he wanted to be there when the house went down, something like sitting by an ailing patient in hospice care.

He waited all morning on his street, where the homes looked very much like the beach bungalows they had been for generations, housing the families of New York City's public employees, like the firefighters, paramedics and police officers whose union stickers and idling service vehicles line the streets.

Flags still fluttered from front doors and flowers bloomed in pots. But inside, many of the homes are mostly gutted and several were to come down that day.

The city contractors said they have 19 homes to tear down in the neighborhood because of Sandy -- the Panetta's was just number three. But neighbors gathered with the Panettas to show their support, which is why, the Panetta's said, they are still determined to rebuild -- right there.

@highlight

Panetta family gathers with neighbors to watch house razed

@highlight

Family had tried to restore home but ran into problems with insurance money, building code

@highlight

They still remain committed to bringing a new house to their plot of land

@highlight

They have lived for decades on an island in Jamaica Bay that was hit by Superstorm Sandy