NEW YORK (CNN)  -- Two undocumented workers from Mexico and one from Ecuador have reached court settlements in recent weeks for a total of $3.85 million in damages for New York construction-site accidents, an attorney for the men announced Wednesday.

"All three cases involve construction and terribly unsafe working conditions," the attorney, Brian O'Dwyer, said in a news conference. "We're here today to re-emphasize -- as we have in the past -- to the Latino community and all undocumented workers that they have the same rights once they're on the job as any New York citizen."

A 33-year-old undocumented plumber from Mexico who was scalded by an exploding pipe at a Wall Street construction site in 2004 settled his damage claim for $2.5 million, according to a statement given to reporters at the news conference. The married father of two, who says he still has nightmares from the accident, hopes to open a restaurant or bar with the settlement money, his cousin told reporters.

In a separate statement, owners of the Wall Street site said only that the injured plumber was "employed directly by [the] contractor and not by the owner of the property nor the managing agent." Reached through a public relations firm, a spokesperson for the contractor, Swig Equities, had no comment.

Another undocumented Mexican worker suffered severe injuries to his left foot and other parts of his body when a steel beam fell on his lower body at a building site in downtown Manhattan, the news conference statement said. The 52-year-old settled his damage claim against Beway Realty Corp. and F.J. Sciame Construction Co. Inc. for $750,000, according to the statement.

David Koeppel, a managing member of Beway Realty, said he was not familiar with the case. F.J. Sciame Construction, the site's contractor, did not respond to inquiries.

A 36-year-old Ecuadorian laborer who worked at the Arverne by the Sea community in Queens -- a neighborhood The New York Times has called a "bright spot" in the housing market for its strong sales and low foreclosure rates -- settled a damage claim for $600,000, the news conference statement said.

He was injured when three large 44x10-foot trusses, each weighing 200 pounds, collapsed onto him in August 2007, fracturing his hip and causing other injuries, according to the statement.

The father of three, who had worked in construction for more than a decade and owned his own company at the time of the accident, said he was very sad after the accident because he did not know how he would support his family. His two sons, now 7 and 8, and his 16-year-old daughter were all born in the United States.

"The contractor tried to blame me," he said at the news conference, speaking in Spanish. What message would he give other workers? "Don't be afraid to talk to a lawyer."

Although he had not yet recovered enough to resume construction work, he hopes to use the settlement money to build a home for his family in New Jersey.

Messages left for The Beechwood Organization, developers of Arverne by the Sea, were not returned.

Joel Magallan, executive director of Asociacion Tepeyac, an immigrant advocacy group, said that while construction work is often dangerous, undocumented workers are likely to work at sites that lack safety equipment and OSHA regulation compliance.

"This is a great day for the undocumented immigrants," Magallan said. "They have to know today that they have rights -- the same rights as other workers who are U.S. citizens or permanent residents."

"Many workers are threatened by their employers with deportation or discharge if they bring their cases to court," O'Dwyer said. "What we find normally on work sites in New York is that deaths occur to the undocumented far out of proportion to their work in the workplace, and that is because of the fact that they just do not receive the safety protections," he said.

In 2005, O'Dwyer won a historic $4 million settlement for a 33-year-old Mexican worker who had fallen 30 feet in a scaffolding accident in the Bronx. The injured worker, who was hospitalized for four weeks and underwent seven surgeries after the 2001 accident, told CNN on Wednesday that workers -- documented or undocumented -- should not to be afraid to stand up for their rights.

Although it is illegal for an employer to knowingly hire a worker who is undocumented, according to the New York City Mayor's Office of Immigration Affairs, if an undocumented worker is hired by an employer, he or she then has the right to be paid minimum wage and overtime, the right to health protection and workplace safety, and the right to organize to improve labor conditions.

"Each of these men was injured in the course of their work on construction sites, and their immigration status was irrelevant to their right to seek redress for those injuries," O'Dwyer explained in a statement. "Enforcing laws requiring a safe workplace serves the interests of all Americans, whether they are citizens or not."

The men involved in the settlements said they chose to remain anonymous to protect relatives outside of the United States, who could become the target of kidnapping schemes if knowledge of their settlements became public.

@highlight

Two undocumented workers from Mexico, one from Ecuador reach settlements

@highlight

The three had been injured in different construction accidents around New York

@highlight

Attorney says undocumented workers have same rights once they're on the job

@highlight

Advocate says undocumented construction workers often have less-safe sites