Rome (CNN) -- Italy faces a period of uncertainty and political horse trading Tuesday after parliamentary elections left no party in a clear position to form a government.

The center-left coalition headed by Pier Luigi Bersani won by a narrow margin in Italy's lower house of parliament, according to final figures released by the Interior Ministry.

But Bersani's coalition, with 29.54% of the vote, finished less than half a percentage point ahead of the anti-austerity center-right coalition headed by controversial three-time Prime Minister Silvio Berlusconi, which garnered 29.18%.

It was a similar story in Italy's upper house, where the lack of a clear majority means that no one has a firm enough mandate to govern the country.

Final results showed the center-left winning the Senate with 31.63% of the vote, compared with the center-right's 30.72% -- an outcome that points to stalemate because of the way Senate seats are distributed.

"This is a case of gridlock," said James Walston of the American University of Rome. "Nothing could be worse for Europe."

International concern is high that Italy -- the third-largest economy in the eurozone and the eighth-biggest in the world -- could face fresh elections if no coalition government can be formed.

In any case, a weak government would probably struggle to push through the tough reforms many observers feel are needed to get the economy back on track.

Symbolizing Italians' own unhappiness with austerity and their political leaders, a quarter of the vote in the lower house went to the anti-establishment Five Star protest movement led by comedian Beppe Grillo, who has said he won't join forces with any established political parties.

A bloc led by Mario Monti, the former head of a technocrat government that steered Italy through the worst of the eurozone crisis last year, trailed badly in fourth place.

Markets reacted negatively to the uncertainty Tuesday, with fears about the eurozone crisis coming once more to the fore after months during which confidence had grown.

Even if Bersani can form a workable coalition, governing will be very difficult, and investors are concerned that a stalemate in the Senate could undermine the progress Italy has made in overhauling its troubled economy.

European markets, including Milan, were sharply lower in morning trading, while Asian markets also retreated.

U.S. stocks fell Monday amid the concerns about Italy, with the Dow and S&P 500 suffering their biggest one-day declines of the year. U.S. stock futures were indicating a rebound for stocks at the open on Tuesday.

Can the anti-Berlusconi pull Italy out of the mire?

Voter turnout was lower than anticipated Sunday, the first day of balloting, down from 62.55% in 2008 to 55.17% this year, Italy's ANSA news agency reported.

Weather, in part, appeared to cause the lower voter turnout, the news agency said. It was snowing in portions of northern Italy and raining in the southern part of the country.

Alliance-building

Italy's political system encourages the forming of alliances.

But if neither Bersani nor Berlusconi can build a strong enough coalition to govern, Italy could face another round of elections.

Beppe Grillo: Clown prince of Italian politics

The center-left alliance dominated by Bersani's Democratic Party also includes the more left-wing Left Ecology Freedom party.

It was widely assumed ahead of the vote that the center-left would join forces with Monti's bloc, but its disappointing showing means that even together, they cannot command a majority in the upper house.

Bersani held a clear lead in polling in the weeks ahead of the vote but saw it slip away in the final days of the campaign.

Walston, the analyst, said ahead of the vote that the left had suffered from a lack of leadership, which prevented it from putting forward a clear picture. Bersani, 61, comes across as "bluff and homespun, and that's part of his appeal -- or not, depending on your point of view," said Walston.

The center-right alliance led by Berlusconi's People of Freedom Party, or PdL, in coalition with the right-wing, anti-immigration Northern League, made up significant ground in the final days of campaigning.

Berlusconi gave conflicting signals as to whether he was running for the premiership, indicating that he would seek the job if his coalition won, but contradicting that on other occasions.

In a phone interview Tuesday with Italian journalist and TV host Maurizio Belpietro, he said everyone had tried their best to help their country.

"The difference this time is that we weren't able to see through to the end and win," Berlusconi said.

He acknowledged that the confused result has done nothing to help market confidence.

But, he added, "I don't think Monti will be able to form any type of coalition with his policy of austerity and his dangerous economic policies that have hurt Italy."

Unless either Bersani or -- even less likely -- Berlusconi can persuade Grillo to enter an alliance, their options are limited.

Grillo, the 64-year-old known as the "clown prince" of Italian politics, has been outspoken in his criticism of Berlusconi and other politicians in the three years since he founded his party, known as M5S.

CNN iReporter Elisa Bozzi, an Italian art curator, said she was very disappointed by the outcome of the election.

"Yesterday when I saw the result I was completely without words," she said. "I think we in Italy will go again to vote because it's impossible to govern a state in this situation, (where) we don't have a majority."

She believes many voters hold Monti responsible for Italy's current debt crisis without remembering the dire economic situation he inherited when Berlusconi resigned in 2011. At the same time, Bersani failed to gain people's confidence, she said.

"Beppe Grillo has many votes because people are angry and frustrated," Bozzi said. "People in Italy are completely disappointed by the situation we see day-by-day, by corruption, scandals."

Such is voters' disillusion that Bozzi believes Grillo could garner enough votes in fresh elections to win outright.

Berlusconi's troubles

Berlusconi, the septuagenarian playboy billionaire nicknamed "Il Cavaliere," campaigned as a Milan court weighed his appeal against a tax fraud conviction, for which he was sentenced to four years in jail last year.

The verdict has still to be delivered; however, under the Italian legal system, he is entitled to a further appeal in a higher court.

Because the case dates to July 2006, the statute of limitations will expire this year, meaning there is a good chance that none of the defendants will serve any prison time.

Italian parliamentarians are elected for five-year terms, with the current one due to end in April.

But in December, the PdL withdrew its support of the reformist government led by Monti, saying it was pursuing policies that "were too German-centric."

Monti subsequently resigned, and the parliament was dissolved.

Italy's economy has stagnated for years, and suffered the biggest contraction of any G7 nation in 2012 -- it shrank by 2.2%. Last week, the European Commission said it would contract by a further 1.0% this year, double the rate it had previously forecast.

Meanwhile, unemployment will rise to 11.6% in 2013, according to the European Commission, and then 12% next year.

CNN's Barbie Latza Nadeau, Hada Messia and Becky Anderson reported from Rome. Laura Smith-Spark wrote and reported in London. Mark Thompson also contributed to this report from London.

@highlight

NEW: "We weren't able to see through to the end and win," Berlusconi says of election

@highlight

Parliamentary election results bring fears about weak government, economic woes

@highlight

"Nothing could be worse for Europe," analyst James Walston says of the stalemate

@highlight

A quarter of votes in the lower house go to a protest movement led by an ex-comedian