Abidjan, Ivory Coast (CNN) -- The European Union announced a recovery package of 180 million euros for the Ivory Coast on Tuesday as residents of the African nation attempted to adjust to life with a clear leader and relative stability after months of bloodshed.

Forces arrested former President Laurent Gbagbo after storming his residence on Monday. Gbagbo defied calls to step down after an electoral commission declared he lost a presidential election in November to Alassane Ouattara. Ouattara has been recognized internationally as the legitimate winner.

A violent power struggle followed the standoff, with supporters loyal to both sides taking to the streets in protests since December. Hundreds have been killed, according to the United Nations and the International Committee of the Red Cross.

Andris Piebalgs, EU commissioner for development, announced the recovery package on Tuesday.

"We will stand by Ivory Coast and its people by immediately starting to work with the government of President Ouattara to support him in getting the country on the right track towards reconciliation, democracy, economic recovery and sustainable development," he said.

The funding will provide support to ensure basic needs for citizens such as health, water, sanitation and to support the agricultural sector, Piebalgs said in a statement. It also will clear the Ivory Coast's debt accumulated through the European Investment Bank.

Top military brass pledged their support to Ouattara in a ceremony Tuesday at a hotel in Abdijan. Gen. Phillipe Mangou, Gbagbo's former army chief of staff, said on state television that the generals were received by Ouattara and given orders to take measures to restore order in the country.

All security personnel should rejoin their posts Wednesday morning, Mangou said, to help the country return to normal. He also appealed to citizens who participated in the unrest to lay down their weapons and return to work, saying that those who fail to do so will be considered outlaws.

The United Nations' World Food Programme said it was planning airlifts in the coming days "to provide life-saving food assistance to tens of thousands of internally displaced people" in Ivory Coast, as well as Ivorian refugees in neighboring Liberia.

"We need to open up a humanitarian lifeline to the many Ivorians who are now the victims of alarming shortages of food, water and other basic needs," said Josette Sheeran, World Food Programme executive director. The organization will airlift food from Niger and Mali into western Ivory Coast and Monrovia, Liberia, as part of a plan to transport 15,000 metric tons of cereals, vegetable oil and other items, it said in a statement.

U.S. President Barack Obama called Ouattara on Tuesday "to congratulate him on assuming his duties as the democratically elected president," the White House said in a statement. Obama offered Ouattara support in his efforts to unite the nation, restore security and the economy and reform the security forces, the statement said.

In addition, "the two leaders ... reiterated the importance of ensuring that alleged atrocities are investigated and that perpetrators -- regardless of which side they supported -- are held accountable for their actions" in Ivory Coast, the White House said. The two also committed to support the United Nations commission of inquiry and the International Criminal Court in investigating abuses.

Gbagbo rejected an offer to teach at an American university and have supporters in Ouattara's cabinet, as well as immunity from International Criminal Court prosecution, an African diplomat with knowledge of the situation told CNN Tuesday.

Gbagbo had only 200 troops left and no way to restock the basement refuge of the presidential palace when he was captured, the source said, declining to be named discussing sensitive details.

The Ivorian forces who stormed Gbagbo's residence could simply have thrown a grenade into the basement, but Ouattara had given specific instructions that he was not to be killed, the source said.

"Finally, we have reached the dawn of a new era of hope," Ouattara said in a televised address Monday. "We had hoped this transfer had been different, but we have to focus on today."

Ouattara said he would set up a Truth and Reconciliation Commission to investigate allegations of human rights violations.

U.N. Secretary-General Ban Ki-moon welcomed Ouattara's plan for the commission, according to a statement from his spokesperson. In a phone call with Ouattara on Monday, Ban underlined the expectation that any further bloodshed will be avoided now that Gbagbo is in the hands of Ouattara's forces.

"The Secretary-General calls on all parties to work together to put an end to this tragic chapter, which could have been avoided had Mr. Gbagbo respected the will of the people at a far earlier stage," according to the statement.

Ouattara urged his countrymen to lay down their weapons and said he has asked the justice minister to start legal proceedings against Gbagbo, his wife and his colleagues.

Gbagbo was being held at the Golf Hotel, which has served as Ouattara's headquarters during the turmoil. Ouattara's government remains responsible for Gbagbo's physical safety, according to the U.N. statement.

Gbagbo asked for and is receiving U.N. protection, according to Alain Le Roy, under-secretary-general of the U.N. Department of Peacekeeping Operations. Le Roy said forces are also ensuring the security of the former leader's wife.

"I understand from President Ouattara that he wants President Gbagbo to go on trial in Ivory Coast," said the U.N. official.

Fighting largely ended soon after Gbagbo's arrest, Le Roy said.

"To my knowledge, most of the fighting has stopped," he said, adding that "there are pockets of resistance here and there."

Le Roy -- along with the Ivory Coast's ambassador to the United Nations, Youssoufou Bamba, and the French Embassy -- said forces loyal to Ouattara made the arrest.

Authorities are trying to move carefully and follow legal procedures to bring Gbagbo to trial, said a senior U.S. official with knowledge of the events. The official declined to be named because of the sensitivity of the situation.

The arrest is a "step in the right direction to return Ivory Coast to normality," the source said, adding that the city of Abidjan is a wreck, with "death squads, militias roaming (and) burning bodies on the streets, which is posing a major humanitarian challenge."

The fighting left Abidjan with sporadic power and sanitation, and residents said dead bodies were left on the streets.

Even after Gbagbo's arrest, Abidjan looked like a ghost city, with few venturing outside after all the violence. Parts of the city were still grappling with food and water shortages on Tuesday, but some signs of normalcy surfaced as traffic flowed on the streets.

Speaking from inside the Golf Hotel, Gbagbo told his supporters to stop fighting.

"I hope that people lay down their weapons and return to a normal state of civil rule so that the crisis can conclude as quickly as possible," he said.

Kenyan Prime Minister Raila Odinga, who served as the African Union's main negotiator in Ivory Coast, said he hopes Ouattara will be merciful as president.

"Gbagbo's capture should be a lesson to African leaders to respect the will of the people as expressed in the ballot," he said. "I urge President Ouattara to be magnanimous in victory and grant him and his people amnesty." Ouattara should also exercise inclusivity in the formation of his government, Odinga said.

At least tens of thousands of people have fled into neighboring Liberia to escape the fighting, according to Oxfam, an international aid organization.

The International Committee of the Red Cross said that 800 people had been shot dead in the western cocoa-producing town of Duekoue during the conflict. A U.N. official put the death toll at 330.

Ban predicted last week that the outcome of the crisis in Ivory Coast would set the tone for other nations in Africa.

"What happens in Cote d'Ivoire has huge implications for the continent that will have 16 presidential elections this year," he said, using the French name for the country.

CNN's Dan Rivers, Jack Maddox, Sarita Harilela, Carol Jordan, Mariano Castillo, Niki Cook, Matthew Hoye, Alan Silverleib and Zain Verjee contributed to this report

@highlight

NEW: Obama calls President Alassane Ouattara

@highlight

EU announces recovery package for Ivory Coast

@highlight

Military leaders pledge support for Ouattara

@highlight

Laurent Gbagbo rejected immunity, influence and a university position, a source says