(CNN) -- How do you imagine the computer of the future?

In movies like "Iron Man" and "Minority Report," characters reach out and move virtual objects around in midair with their hands, sending windows and images sailing through 3-D space without touching a keyboard or controller.

That future is now here. The new Leap Motion controller, which starts shipping preorders Monday and costs $80, is the first commercial gadget that will bring some of that Hollywood magic to laptops and desktops. The screen is still two-dimensional for now, but fingers and hands are free to poke, grab and flick in 3-D to move through applications. The device will go on sale at Best Buy on July 28.

CNN tested out the new controller to get a taste of this touch-free future. (Full disclosure: Last month we named Leap Motion as one of our 10 startups to watch for 2013.) Here are our impressions:

Motion detection

Motion-detection sensors are presumed to be the next big input device for computers, complementing existing input technology like the mouse, keyboard, touchscreen and voice control. The Leap Motion controller follows in the footsteps of the Microsoft Kinect.

But where the Kinect tracks large movements for the entire body, the Leap is meant for small, subtle hand movements made close to the screen. Leap says its technology can track precise movements to within one-hundredth of a millimeter.

Optimally, the Leap controller sits about an inch in front of the keyboard, lined up with the middle of the computer screen. Its sensors can pick up movement as far as 2 feet up in the air and 2 feet out from each side of the device, creating an invisible oblong field for moving your hands around.

The Mac- and Windows-compatible controller plugs into a USB port and is remarkably small -- close in size to a pack of gum. The half-inch-high and 3-inch-long rectangle is also impressively light, weighing in at a tenth of a pound.

The device isn't just a another way to nudge a cursor around or input data.

"Our philosophy is not that the Leap is intended to replace the mouse and keyboard," said Michael Buckwald, Leap's co-founder and CEO. He says the Leap controller can tap into a new way of working with applications that is richer than existing methods, but will never be a more efficient way to do certain tasks, like enter data into a spreadsheet.

"The Leap is not binary," he said. "The mouse can only be clicking or not clicking."

Leap has been working with developers to create apps specifically for the controller. The Leap Motion apps are cordoned off in their own launch application, called Airspace. To buy new apps, you are taken to the Web-based Airspace store where they are sorted by category or platform.

There are a few professional apps, lots of casual games, tools for learning a new instrument like a harp or piano, and educational programs. Most are platform agnostic, but about 30% are only for Windows or Mac. Windows users can install Unlock, which lets you unlock your computer by waving your hand above the controller. It recognizes your unique hand shape and uses it as a password.

Drawbacks

Using the Leap to navigate this added dimension has its challenges.

Gestures are not unified across all apps. Scrolling might be a forward circular motion with a single finger in one app, and left to right in another. Apps include instructions, but getting the feel for each one takes time. The Leap works best when your hands are parallel to the desk. If a hand is too vertical, the sensors can't pick out individual fingers.

The Leap sensors are extremely sensitive. This is great for when you want to make small precise movements, but maddeningly finicky when you're just trying to do something simple like select a button.

In the app Frog Dissection, pinning a virtual amphibian to a table to dissect it requires a steady hand. Keeping your arms and hands very still -- a requirement in many programs to select something on the screen -- is harder and more tiring than it looks. Leap suggests using the device with your elbows propped on the desk.

When you are in the zone in an app -- having mastered where your hands need to be and how much movement is just enough -- the tracking can be incredibly accurate and the results impressive. This is best demonstrated in creative apps that help users make music or art. It's also fun for zipping through the universe in your own private planetarium using the Exoplanet app.

The effort it takes to make an app decipher your 3-D movements can make some tasks more difficult, not less. Take the clean, simple New York Times app for Leap. The app shows one row of articles and a few simple gestures for selecting and scrolling through them. It takes practice to get the hang of it, and even once you do, the experience is halting. Sometimes you'll send the queue racing off in the wrong direction. Other times you'll wonder why your article-closing hand wave isn't being picked up by the controller.

The New York Times app hits on a common issue with many of these early Leap applications: Using 3-D gestures doesn't improve on many experiences. Reading the Times, playing "Cut the Rope" and dissecting a digital frog would all be more satisfying experiences on a touchscreen device (or, for the latter, on an actual frog).

A promising future

Despite these limitations, the Leap technology has a bright future. Developers are working on new apps and on integrating Leap support into existing ones -- the Google Earth app is an early example. Another app called Touchless attempts to bring Leap controls to regular Mac and Windows OS actions.

Buckwald said that while the company has been focusing on this controller for now, the hardware is small enough to be built into mobile devices like a tablet. Working directly with an equipment manufacturer could result in a more controlled and consistent experience.

The Leap Motion controller is a promising foray into desktop 3-D gesture control. The technology feels like the rough first draft of something that will grow more polished over time. It's still young, and will hopefully improve as developers pinpoint the best ways to use it.

The Leap is a curiosity worth watching. But for now, don't ditch your keyboard and mouse.

@highlight

Leap Motion controller lets you manipulate computer apps with hand gestures

@highlight

Using motion sensors, the controller detects your hand movements 2 feet away

@highlight

Navigating with Leap takes practice as the device can be maddeningly sensitive

@highlight

The controller costs $80 and will be available at Best Buy starting July 28