Editor's note: John Rice is founder and CEO of Management Leadership for Tomorrow (MLT), a New York-based national nonprofit organization seeking to develop "the next generation of African American, Hispanic and Native American leaders in major corporations, nonprofit organizations and entrepreneurial ventures."

John Rice says there's a tremendous need for new leaders in the nonprofit world.

NEW YORK (CNN) -- President Obama has challenged all Americans to participate in the volunteer service movement and to support initiatives that help solve the problems that plague our communities.

He recently introduced the Social Innovation Fund, intended to help increase the impact of the most effective and innovative nonprofits in our communities. This is a tremendous step in the right direction, but in order to expand these initiatives, we need a broader pool of leaders with a deep understanding of the communities they are serving and who have the skills, experience and relationships required to succeed in leadership roles.

According to the Bridgespan Group, a leading nonprofit consulting firm, the number of vacant senior manager roles in the nonprofit arena is ever increasing, with 24,000 positions available in 2009 alone. Over the next 10 years, this sector will need to attract and develop more than two times the number of people currently employed in order to fill these roles. This next generation of leaders must come from within the communities that struggle most, as these leaders are the most passionate about making change and have the most to gain if successful.   Watch John Rice on preparing for leadership roles »

The good news is that there is an incredible desire among young African-Americans to give back to their communities.

Darren Smith is a young investment banker who grew up in one of New York's underserved neighborhoods and won a scholarship to Baruch College in New York, where he graduated with honors. If you were to ask him what he wants to accomplish in his life, he will say that he aspires to do two things: become a business leader and build a nonprofit that has a large impact in the community in which he grew up.

He believes that developing strong business skills, broad relationships and a track record of success will prepare him to maximize his impact in the community.

Smith is one of thousands of talented African-American students and young professionals eager to become corporate or entrepreneurial leaders in sectors such as finance, technology, consulting and entertainment, where they have a broad sphere of influence that extends into their communities.

Yet minority leaders remain dramatically under-represented in leadership positions and in the pipeline to those roles. Despite representing 13.5 percent of the U.S. population, African-Americans hold less than 3 percent of senior executive positions and represent only 5 percent of MBA graduates.

To address this issue, I founded Management Leadership for Tomorrow (MLT), a nonprofit that provides high-potential young people such as Smith with the "key ingredients" they need to realize their career potential -- the step by step career roadmap, coaching and mentoring, hard and soft skill development, door-opening relationships and a high-performing peer community.

Every senior leader would say they would not be where they are today if they had not gotten some or all of these ingredients, but remarkably these key ingredients are not taught in even the best schools. Instead they are passed down through informal channels to which minorities still have more limited access. As a result, too many African-Americans who overcome a challenging home environment and troubled K-12 education system to attend college are not achieving their full career potential.

Here at MLT, we have had exciting results to date: nearly 40 percent of the minority students at top business schools such as Harvard, Wharton and Kellogg completed MLT's MBA Prep program and 95 percent of the undergraduates who complete our Career Prep program land fast-track jobs at America's leading firms across all sectors.

While participating in MLT's Career Prep program as a college student, Smith and several other MLT fellows founded a mentoring organization that prepares high school students from New York's most underserved communities for college. Like Smith, nearly 90 percent of our alumni desire to launch or lead a nonprofit organization at some point in their careers, and many are already well down the path.

To harness this potential, MLT has built a robust curriculum that prepares our fellows to enter and succeed in the social entrepreneurship sector, and we partner with leading nonprofits and foundations such as Teach for America, Stand for Children, New Profit, The Knight Foundation and Blue Ridge Foundation to connect MLT alumni to other talent pipelines.

Despite these advances, there is still much more to be done. It is not enough to get African-Americans into fast-track entry-level positions or MBA programs; we need a comprehensive, multistage approach to enable them to overcome hurdles they will encounter along the path to the senior leadership levels.

Research shows that the largest challenge for minorities is the transition from middle management to senior management, so more investment is needed at that stage.

By helping to grow organizations such as MLT and other successful talent development initiatives, I believe that we will succeed in filling the growing leadership gap in corporations, nonprofits, entrepreneurial ventures and the government.

Once there, African-Americans and other under-represented minorities will have the passion, financial capital, experience and relationships they need to be change agents in the communities that are in desperate need of our support. The success of our nation depends on it.

The opinions expressed in this commentary are solely those of John Rice.

@highlight

John Rice: President Obama is stressing need for national service

@highlight

He says there's a huge need for leaders in the nonprofit world

@highlight

Rice: It's crucial to train leaders from minority communities

@highlight

He says these leaders can help change communities in desperate need