Bonn, Germany (CNN) -- Ten years ago, Afghan leaders met outside Bonn, Germany, to lay out a road map to establish and sustain Afghanistan's government after the fall of the Taliban.

On Monday, the nation's president for the last seven years, Hamid Karzai, will once again preside over a conference in the west German city to chart his nation's future. Yet this time, as opposed to just U.N. representatives facilitating the 2001 conference for a group of Afghan exiles and leaders, members of 85 delegations from various countries and 15 international organizations will join Afghans in the discussions.

Their goal is to take stock of accomplishments and assess continued challenges in Afghanistan over the past decade, as well as to plot a partnership with the Kabul government amid plans to withdraw all foreign combat troops from the country by 2014.

There has, admittedly, been notable progress in recent years. Afghanistan's economy has grown, albeit it at a slow rate. Despite reported corruption, Afghanistan has moved away from the repressive extremist rule of the Taliban and toward a more democratic political system, in which Afghans vote for their leaders. And the status of women -- strictly controlled under the Taliban -- has improved with a constitutional commitment guaranteeing equality, and 3 million girls are now in school.

But the international community knows many of these gains hang by a thread.

As it was in 2001, Afghanistan is still one of the world's poorest and corrupt nations. Even as international troops seek to wind down their involvement, the country faces a resilient Taliban insurgency, political instability and economic turmoil.

Attendees at this Bonn conference are expected to address prospects for long-term aid for Afghanistan. That could well include a promise of substantial resources from the international community, given concerns Afghanistan's economic stability may suffer after international troops leave and funding levels dwindle.

Karzai is officially in charge of the conference, seeking to demonstrate ownership over his nation's own affairs. Afghan officials are expected to make extensive presentations on plans to assume responsibility of security from NATO-led forces over the next three years and efforts to forge a political settlement with the Taliban, which some see as key to establishing security across the country.

Yet even with Afghanistan's ambitious plans to become self-sufficient in political and security matters, few expect it will be truly independent -- especially economically -- beyond the 2014 transition.

World Bank and American analyses state that the security situation will be pivotal to Afghanistan's ability to grow its economy. They estimate the withdrawal of troops and a resulting loss of foreign aid could reduce Afghanistan's growth rate by 50% or more -- something the World Bank warned could cause the Afghan economy to collapse.

The U.S. has introduced its own plan, developed in coordination with the Afghan government, to shore up the Afghan economy. Washington hopes that increasing investment in Afghanistan's private sector and developing the country's agricultural and mining sectors will help the nation become less reliant on the United States.

U.S. officials acknowledge that it will be difficult for Afghanistan to make more progress economically, unless the governance and security situations improve. There are also other challenges, like the fact Afghanistan still ranks among the world's lowest literacy and health rates -- factors that make it difficult to find skilled laborers need to fuel industry. Another problem is the state of Afghanistan's infrastructure.

One focus is to integrate Afghanistan's economy with its neighbors in south and central Asia, thus bolstering Afghanistan's self-sufficiency. To that end, the United States has introduced the New Silk Road initiative to promote Afghanistan as a hub for the free movement of goods, services, capital and people in the region.

The elephant in the room at Bonn -- or, more accurately, not in the room -- will be neighboring Pakistan. Islamabad opted not to send any representatives to the conference last week in reaction to November 27 cross-border strike by NATO that killed 24 of its soldiers. It has also closed NATO supply lines into Afghanistan in retaliation for the attack.

Pakistan is viewed as a critical player in the region, because of its perceived relationships with the Taliban and other insurgency groups -- some of whom are based within Pakistani borders, from where they launch attacks on Afghan and foreign troops. Pakistan's government, itself, has argued for a larger role in regional efforts to stabilize the country and broker peace with the Taliban.

Washington had hoped the Bonn conference would produce momentum for peace talks with the Taliban, but reconciliation efforts have stalled since the September assassination of Burhanuddin Rabbani, a former Afghan president who was his government's chief negotiator in talks with insurgents. Those efforts have been further stymied by Pakistan's decision not to go to Germany.

U.S. Secretary of State Hillary Clinton, who arrived in Bonn on Sunday night, has called Pakistan's decision to drop out of the conference "regrettable" and even called Pakistani Prime Minister Yousaf Raza Gilani to ask his government to reconsider.

Still, U.S. officials -- at least publicly -- refuse to admit Pakistan will play spoiler either at the Bonn conference or in the larger U.S.-led plans to stabilize Afghanistan and bring forces home.

@highlight

Diplomats and NGO leaders meet this week in Germany to talk about Afghanistan

@highlight

The conference is being led by Afghan President Hamid Karzai

@highlight

Afghanistan is facing many economic, security and political challenges

@highlight

The absence of Pakistan from the conference looms large