(CNN)It's not easy being the Pope. Not only does he shepherd nearly 1 billion Catholic souls, he also leads a small but morally significant state with envoys and interests in nearly every country.

As scholars like to say, the Vatican has walked the line between spiritual and worldly concerns for centuries. Sometimes, as when St. John Paul II stood up to Communist Poland, the church's moral and political clout have combined to pack a powerful punch. At other times, popes have to make a hard choice: Adopt the sharp tongue of a prophet or the discretion of a diplomat?

This Sunday in Rome, Pope Francis faced just such a dilemma.

First, the back story:

One hundred years ago, more than 1 million Armenians (some estimates run as high as 1.5 million) died at the hand of the Turks. Many of the victims were part of a branch of Christianity closely aligned with Catholicism.

A slew of  historians and at least 20 countries call the killings a "genocide." (A U.S. resolution to do the same has languished in Congress.) Turkish officials disagree, arguing that the deaths, while unfortunate, were part of a long-running war that witnessed casualties on all sides.

For their part, previous popes had finessed the genocide question.

John Paul II used the "g" word in 2001, but didn't dare speak it out loud. Instead, it was tucked into a document signed by the former pontiff and the head of the Armenian church, after they had celebrated Mass together.

Pope Emeritus Benedict XVI called the killings "a great evil" and "terrible persecution" in a speech 2006, but avoided labeling them genocide. (Benedict found other ways to tick off the Turks, initially opposing their entry into the European Union.)

As Pope Francis prepared to celebrate a special Mass Sunday to commemorate a century since the slaughter,  Vatican watchers were divided about whether he would use the word "genocide."

He did, but in a roundabout way, by quoting John Paul's document.

"In the past century, our human family has lived through three massive and unprecedented tragedies," Francis said. "The first, which is widely considered 'the first genocide of the 20th century,' struck your own Armenian people."

The middle phrase comes directly from the document issued 14 years ago by John Paul.

In citing his predecessor, Francis highlighted one of the Vatican's chiefest concerns, especially on matters of moral import: continuity. Whether holding the line against artificial birth control, declining to ordain female priests or dealing with diplomatic tensions, it sometimes seems as if the church considers inconsistency the most unforgivable of sins.

"The Vatican and the papacy love continuity," said the Rev. Thomas Reese, a Vatican analyst for National Catholic Reporter.

If Francis had not called the Armenian killings a genocide, particularly at such a high-profile event -- the audience included Armenia's President -- it might have been interpreted as a change in church policy, Reese said.

At the same time, Francis didn't want to anger the Turks more than necessary, especially since they have become a key ally against the persecution of Christians by ISIS in the Middle East, which the Pope alluded to in his speech on Sunday.

"The fact that he quoted John Paul is a sign that he's downplaying it," Reese said of the Armenian murders. "He's telling people: There's nothing new here."

New or not, Turkey was not happy.

The nation recalled its Vatican ambassador for "consultations" just hours after Francis' comments, the Turkish Foreign Ministry said. Turkey also promptly summoned his counterpart, the Vatican's ambassador, for a meeting, Turkish state broadcaster TRT reported.

In a tweet Sunday, Turkey's Foreign Minister Mevlut Cavusoglu called the Pope's use of the word "unacceptable" and "out of touch with both historical facts and legal basis."

"Religious authorities are not places through which hatred and animosity are fueled by unfounded allegations," the tweet reads.

"Hatred" and "animosity" are not words often used to describe Pope Francis.

Because he often shines a sympathetic face on the world, emphasizing mercy over judgment, it's easy to miss the bluntness Francis brings to the bully pulpit. On matters of doctrine and diplomacy, he may be carrying on Catholic traditions, but in his willingness to engage in geopolitics and the tone that engagement often takes, this pope is decidedly different.

He has helped broker a backroom detente between the United States and Cuba, and invited Israeli and Palestinian leaders for an unprecedented prayer service at the Vatican (after annoying some Israelis with an impromptu prayer at the wall that separates the West Bank from Jerusalem.)

But Francis has also suggested that force may be justified to stop ISIS' slaughter of Christians, warned of the "Mexicanization" of Argentina and said that satirists who insult religion should expect a retaliatory punch.

On Monday, the Pope addressed a roomful of priests at morning Mass. He must have heard the hubbub about his "genocide" remark, but he encouraged his charges to speak frankly, without fear, and to bear the courage of their convictions, just as the early apostles had.

"We cannot keep silent about what we have seen and heard," Francis said.

CNN's Gul Tuysuz  and Jethro Mullen contributed to this report.

@highlight

Previous popes had finessed the question of whether the killing of 1.5 million Armenians was genocide.

@highlight

Because he often shines such a smiley face on the world, it can be easy to forget the bluntness Francis sometimes brings to the bully pulpit