London (CNN) -- While President Barack Obama and his Chinese counterpart Xi Jinping enjoy the Californian sunshine this week, a different kind of heat threatens Xi in his troublesome backyard, Tibet.

Nearly 120 Tibetans have doused themselves in gasoline and set themselves alight in protest against Chinese occupation and repression. Most have died.

Theirs is not the only form of protest. In November, students gathered in their hundreds in Chabcha (known in Chinese as Gonghe) county, Qinghai province, to protest the use of Mandarin, rather than Tibetan, as the language of education. In April, unemployed Tibetan graduates in Machu county, Gansu province, protested that Chinese immigrants were taking jobs, while last month, thousands of Tibetans converged on a pilgrimage site on Naghla Dzambha mountain to prevent a Chinese company mining it.

The default Chinese response to protest is to use force. In its official human rights report this year, the U.S. State Department described repression in Tibet as "severe," noting abuses such as "extrajudicial killings, torture [and] arbitrary arrests." In March, the chair of the Senate Foreign Relations Committee described Tibet as among the world's "most repressed and closed societies."

The cycle of repression and protest goes on. Just last week Tenzin Shirab, a 31-year-old nomad, died after setting himself on fire. In 2011, the self-immolation of another young man, Mohamed Bouazizi in Tunisia, was said to be the catalyst for the Arab Spring, an outpouring of long-repressed desire for freedom that was hailed by world leaders. But you will search in vain for any stirring words on Tibetan freedom from President Obama or other world leaders.

Western politicians perform a careful dance in relation to Tibet. Those who elect them want them to speak out for freedom and human rights; China, reported to hold more than one-fifth of the United States' total foreign-held debt, wants them to shut up. Realpolitik dictates appeasement: electoral politics requires tough talk. The result is a mess.

There have been countless official "expressions of concern" about the situation since the self-immolations started to spread two years ago, and we are constantly reassured that private channels are being used to apply pressure to China. Officials and junior ministers are permitted to issue calls for restraint. But there is a ceiling above which such statements do not go: leaders remain mute.

President Obama has not publicly addressed the issue of human rights in Tibet since taking office. Secretary of State John Kerry has made one careful comment since his appointment, but there is no evidence he raised Tibet during his visit to China in April.

China recently threatened commercial consequences for the UK unless Prime Minister David Cameron apologized for meeting the Dalai Lama in private last year. His response -- while falling short of an apology -- reassured them that the UK views Tibet as part of China, and failed to mention human rights at all.

Sinologists -- and spin doctors -- in Washington or the UK's Foreign and Commonwealth office may argue that Tibet will benefit from a sensitive approach. Late last year, however, two British government ministers who had been leaned on not to meet with the Dalai Lama for fear of offending China again, finally lost patience with that view, writing that "where Tibet is concerned, the Chinese government does not respond positively to any conciliatory gesture ... but instead interprets this as a sign of weakness and so makes further demands for concessions."

What goes for London goes for Washington -- and Berlin, Paris and Ottawa for that matter. Western policy on Tibet is pleasing no one -- not China, not the electorates, and certainly not Tibetans. It must be changed.

China's economic engine is slowing, and Beijing is acutely conscious that without growth, its 1.3 billion people will be far less tolerant of continued dictatorship.

Between 250 to 500 public protests are already estimated to take place every day in China -- foreign trade and investment will dry up if China starts to look like an unstable place to do business. Reform is in China's interests.

China also seeks legitimacy as a full member of the world community and is undoubtedly sensitive to criticism on human rights. This year, it seeks election to the U.N.'s Human Rights Council (HRC). While economic muscle helps it win nations' votes for the HRC election, it still needs to offer its potential voters some tokens of sincerity.

More tellingly, China actually accepted 42 out of 99 recommendations to improve its performance on human rights following its last full human rights review by the UN in 2009. In choosing not simply to reject that kind of external assessment, China has also accepted the need to demonstrate progress. It faces another such review this year.

Beijing has not gone soft, however. It will not choose to show progress on Tibet, unless it is called to account for Tibet. No one expects President Obama to embarrass his guest this weekend with tasteless honesty or Arab Spring-style rhetoric on Tibet. But bringing Tibet to the table will show China and the American people he represents that he recognizes the old model has failed.

China, the U.S. and Tibet all stand to benefit from that.

The opinions expressed in this commentary are solely those of Eleanor Byrne-Rosengren.

@highlight

Eleanor Byrne-Rosengren: Obama should raise issue of Tibet during meeting with Xi

@highlight

She says world leaders have been silent, despite wave of Tibetan self-immolations

@highlight

China has accepted the need to improve its human rights performance, she says

@highlight

"China, the U.S. and Tibet all stand to benefit" from addressing the issue, she says