(CNN) -- British journalism is under siege. With no settlement yet on press regulation following last year's judicial inquiry into phone hacking, this week has seen another seminal moment. Once again The Guardian, now clearly one of the crusading newspapers of the world, is at the heart of matters.

The detention of the partner of Guardian journalist Glenn Greenwald by security officials at Heathrow airport in London has unleashed a virulent debate about the place of the free press and the role of the state. The fact that obscure terrorism legislation was cited to hold him for nine hours and confiscate his computer equipment has added a further twist.

In the past, police would be required to obtain court orders that could be contested before they could seize journalistic materials. Now the ill-defined threat of terror seems to excuse the tactics of a despotic state.

A former editor of The Times in London, Simon Jenkins, wrote that "harassing the family of those who have upset authority is the most obscene form of state terrorism," adding that "the hysteria of the 'war on terror' is now corrupting every area of democratic government."

On the other hand, the UK's Home Office said Greenwald's partner David Miranda was carrying "highly sensitive stolen information that would help terrorism," and those who oppose his detention should think about what they are condoning. Former Conservative member of Parliament Louise Mensch told the BBC that Miranda's actions were endangering the lives of U.S. and British agents.

But Miranda was released without charge, with no suggestion he was seeking to help terrorists, and he is taking legal action against the UK authorities for the return of his property.

This has polarized positions into a black and white, good or bad debate. If you support a free press publishing leaked state secrets you are apparently condoning terrorism. If you don't object to his detention loudly, you are condoning the secret state. Unlike the U.S., Britain has no First Amendment to protect the role of the free press. Like so much of the British constitution, it is an unwritten assumption.

Reason lies in the complicated middle ground -- unfashionable as that may be.

Social media, advocacy journalism, the need to define and claim the narrative and to be heard leaves little room for middle ground, but it is there that this conflict will be resolved. In that gray area, the ethical bridge between these positions will have to be rebuilt.

As a start, we should acknowledge some plain truths.

First, journalists have responsibilities toward the state, and governments have responsibilities toward a free and open press. Radical transparency, which would release anything and everything, is not what any responsible news organization, including the Guardian, would support.

Equally, government agencies, however shadowy, need to recognize that journalism is a legitimate -- indeed essential -- activity in a democratic society, especially when it is inconvenient, embarrassing or blows secrets you would have preferred to remain hidden.

Second, if you reveal a country's national secrets you shouldn't be surprised if its security services take an aggressive interest in you. This doesn't mean you were wrong to report them. Family members and loved ones should not have to carry public responsibility for your professional actions. But when they act as couriers for your work, they are more than family members and loved ones -- they are your proxy and will attract as much interest from the authorities.

Third, journalism is not terrorism, so terrorism laws should not be used to intimidate journalists. There is no suggestion that David Miranda was planning to hand material to terrorists -- as the authorities well know. Governments embarrassed by the latest rounds of whistleblowing would like to cast a chill across investigative journalism. But it is not in the interests of a free society to allow that to happen.

At heart, the issue is the legitimate scope and role of intelligence and security operations in a modern liberal democracy. As a first stab, they should be as small as necessary -- recognizing that serious threats to Western states mean their activities are bound to be, and need to be, of significant scale.

What matters is how their powers are used and their accountability. It's what a country's moral authority rests upon. U.S. and UK authorities acting against legitimate newsgathering need to reflect on what it says about their democratic values. Seizing Associated Press phone records or intimidating the families of journalists will have some in Moscow, Tehran, Beijing and Pyongyang rubbing their hands with glee.

Many believe the UK's security operations' insufficient scrutiny and accountability make them untrustworthy. Even David Anderson, Britain's independent reviewer of terrorism legislation, is calling for a wide public and parliamentary debate on this law.

At least that debate seems certain to happen. And it is better that the discussion about the state and journalism centers on a piece of public interest, serious journalism than over the criminal antics of Rupert Murdoch's phone hackers.

What may have started last weekend as a clumsy piece of intimidation could have far wider consequences.

The opinions expressed in this commentary are solely those of Richard Sambrook.

@highlight

Richard Sambrook: UK journalism under siege with detention of Greenwald's partner

@highlight

Sambrook: A middle ground exists between the state as despot or defender of citizenry

@highlight

He says terrorism laws should not be used to bully reporters, as they were in this case

@highlight

Sambrook: Issue is the scope of security operations in a modern liberal democracy